/*
  This file was generated automatically with scripts/maple2c.py.
  Do not edit this file directly as it can be overwritten!!

  This Source Code Form is subject to the terms of the Mozilla Public
  License, v. 2.0. If a copy of the MPL was not distributed with this
  file, You can obtain one at http://mozilla.org/MPL/2.0/.

  Maple version     : Maple 2022 (X86 64 LINUX)
  Maple source      : ./maple/gga_exc/gga_k_apbe.mpl
  Type of functional: gga_exc
*/

#define maple2c_order 4
#define MAPLE2C_FLAGS (XC_FLAGS_I_HAVE_EXC | XC_FLAGS_I_HAVE_VXC | XC_FLAGS_I_HAVE_FXC | XC_FLAGS_I_HAVE_KXC | XC_FLAGS_I_HAVE_LXC)


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t5, t7, t8, t9, t11;
  double t12, t14, t15, t17, t18, t20, t21, t22;
  double t24, t26, t27, t28, t29, t31, t32, t34;
  double t40, t45, t49, tzk0;

  gga_k_apbe_params *params;

  assert(p->params != NULL);
  params = (gga_k_apbe_params * )(p->params);

  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = t3 * t3;
  t5 = M_CBRTPI;
  t7 = t4 * t5 * M_PI;
  t8 = 0.1e1 <= p->zeta_threshold;
  t9 = p->zeta_threshold - 0.1e1;
  t11 = my_piecewise5(t8, t9, t8, -t9, 0);
  t12 = 0.1e1 + t11;
  t14 = POW_1_3(p->zeta_threshold);
  t15 = t14 * t14;
  t17 = POW_1_3(t12);
  t18 = t17 * t17;
  t20 = my_piecewise3(t12 <= p->zeta_threshold, t15 * p->zeta_threshold, t18 * t12);
  t21 = POW_1_3(rho[0]);
  t22 = t21 * t21;
  t24 = M_CBRT6;
  t26 = M_PI * M_PI;
  t27 = POW_1_3(t26);
  t28 = t27 * t27;
  t29 = 0.1e1 / t28;
  t31 = M_CBRT2;
  t32 = t31 * t31;
  t34 = rho[0] * rho[0];
  t40 = params->kappa + params->mu * t24 * t29 * sigma[0] * t32 / t22 / t34 / 0.24e2;
  t45 = 0.1e1 + params->kappa * (0.1e1 - params->kappa / t40);
  t49 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t20 * t22 * t45);
  tzk0 = 0.2e1 * t49;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t5, t7, t8, t9, t11;
  double t12, t14, t15, t17, t18, t20, t21, t22;
  double t24, t26, t27, t28, t29, t31, t32, t34;
  double t40, t45, t49, tzk0;

  double t55, t58, t60, t61, t63, t66, t67, t71;
  double tvrho0, t79, t80, t83, tvsigma0;

  gga_k_apbe_params *params;

  assert(p->params != NULL);
  params = (gga_k_apbe_params * )(p->params);

  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = t3 * t3;
  t5 = M_CBRTPI;
  t7 = t4 * t5 * M_PI;
  t8 = 0.1e1 <= p->zeta_threshold;
  t9 = p->zeta_threshold - 0.1e1;
  t11 = my_piecewise5(t8, t9, t8, -t9, 0);
  t12 = 0.1e1 + t11;
  t14 = POW_1_3(p->zeta_threshold);
  t15 = t14 * t14;
  t17 = POW_1_3(t12);
  t18 = t17 * t17;
  t20 = my_piecewise3(t12 <= p->zeta_threshold, t15 * p->zeta_threshold, t18 * t12);
  t21 = POW_1_3(rho[0]);
  t22 = t21 * t21;
  t24 = M_CBRT6;
  t26 = M_PI * M_PI;
  t27 = POW_1_3(t26);
  t28 = t27 * t27;
  t29 = 0.1e1 / t28;
  t31 = M_CBRT2;
  t32 = t31 * t31;
  t34 = rho[0] * rho[0];
  t40 = params->kappa + params->mu * t24 * t29 * sigma[0] * t32 / t22 / t34 / 0.24e2;
  t45 = 0.1e1 + params->kappa * (0.1e1 - params->kappa / t40);
  t49 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t20 * t22 * t45);
  tzk0 = 0.2e1 * t49;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t55 = t34 * rho[0];
  t58 = params->kappa * params->kappa;
  t60 = t7 * t20 / t55 * t58;
  t61 = t40 * t40;
  t63 = 0.1e1 / t61 * params->mu;
  t66 = t29 * sigma[0] * t32;
  t67 = t63 * t24 * t66;
  t71 = my_piecewise3(t2, 0, t7 * t20 / t21 * t45 / 0.1e2 - t60 * t67 / 0.6e2);
  tvrho0 = 0.2e1 * rho[0] * t71 + 0.2e1 * t49;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t79 = t24 * t29 * t32;
  t80 = t63 * t79;
  t83 = my_piecewise3(t2, 0, t7 * t20 / t34 * t58 * t80 / 0.16e3);
  tvsigma0 = 0.2e1 * rho[0] * t83;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t5, t7, t8, t9, t11;
  double t12, t14, t15, t17, t18, t20, t21, t22;
  double t24, t26, t27, t28, t29, t31, t32, t34;
  double t40, t45, t49, tzk0;

  double t55, t58, t60, t61, t63, t66, t67, t71;
  double tvrho0, t79, t80, t83, tvsigma0;

  double t92, t96, t99, t104, t107, t108, t109, t110;
  double t112, t113, t116, t120, tv2rho20, t125, t130, t133;
  double t137, tv2rhosigma0, t147, t150, tv2sigma20;

  gga_k_apbe_params *params;

  assert(p->params != NULL);
  params = (gga_k_apbe_params * )(p->params);

  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = t3 * t3;
  t5 = M_CBRTPI;
  t7 = t4 * t5 * M_PI;
  t8 = 0.1e1 <= p->zeta_threshold;
  t9 = p->zeta_threshold - 0.1e1;
  t11 = my_piecewise5(t8, t9, t8, -t9, 0);
  t12 = 0.1e1 + t11;
  t14 = POW_1_3(p->zeta_threshold);
  t15 = t14 * t14;
  t17 = POW_1_3(t12);
  t18 = t17 * t17;
  t20 = my_piecewise3(t12 <= p->zeta_threshold, t15 * p->zeta_threshold, t18 * t12);
  t21 = POW_1_3(rho[0]);
  t22 = t21 * t21;
  t24 = M_CBRT6;
  t26 = M_PI * M_PI;
  t27 = POW_1_3(t26);
  t28 = t27 * t27;
  t29 = 0.1e1 / t28;
  t31 = M_CBRT2;
  t32 = t31 * t31;
  t34 = rho[0] * rho[0];
  t40 = params->kappa + params->mu * t24 * t29 * sigma[0] * t32 / t22 / t34 / 0.24e2;
  t45 = 0.1e1 + params->kappa * (0.1e1 - params->kappa / t40);
  t49 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t20 * t22 * t45);
  tzk0 = 0.2e1 * t49;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t55 = t34 * rho[0];
  t58 = params->kappa * params->kappa;
  t60 = t7 * t20 / t55 * t58;
  t61 = t40 * t40;
  t63 = 0.1e1 / t61 * params->mu;
  t66 = t29 * sigma[0] * t32;
  t67 = t63 * t24 * t66;
  t71 = my_piecewise3(t2, 0, t7 * t20 / t21 * t45 / 0.1e2 - t60 * t67 / 0.6e2);
  tvrho0 = 0.2e1 * rho[0] * t71 + 0.2e1 * t49;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t79 = t24 * t29 * t32;
  t80 = t63 * t79;
  t83 = my_piecewise3(t2, 0, t7 * t20 / t34 * t58 * t80 / 0.16e3);
  tvsigma0 = 0.2e1 * rho[0] * t83;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t92 = t34 * t34;
  t96 = t7 * t20 / t92 * t58;
  t99 = t92 * t34;
  t104 = t7 * t20 / t22 / t99 * t58;
  t107 = params->mu * params->mu;
  t108 = 0.1e1 / t61 / t40 * t107;
  t109 = t24 * t24;
  t110 = t108 * t109;
  t112 = 0.1e1 / t27 / t26;
  t113 = sigma[0] * sigma[0];
  t116 = t110 * t112 * t113 * t31;
  t120 = my_piecewise3(t2, 0, -t7 * t20 / t21 / rho[0] * t45 / 0.3e2 + 0.7e1 / 0.18e3 * t96 * t67 - t104 * t116 / 0.135e3);
  tv2rho20 = 0.2e1 * rho[0] * t120 + 0.4e1 * t71;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t125 = t92 * rho[0];
  t130 = t7 * t20 / t22 / t125 * t58;
  t133 = t110 * t112 * t31 * sigma[0];
  t137 = my_piecewise3(t2, 0, -t60 * t80 / 0.8e2 + t130 * t133 / 0.36e3);
  tv2rhosigma0 = 0.2e1 * rho[0] * t137 + 0.2e1 * t83;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t147 = t108 * t109 * t112 * t31;
  t150 = my_piecewise3(t2, 0, -t7 * t20 / t22 / t92 * t58 * t147 / 0.96e3);
  tv2sigma20 = 0.2e1 * rho[0] * t150;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t5, t7, t8, t9, t11;
  double t12, t14, t15, t17, t18, t20, t21, t22;
  double t24, t26, t27, t28, t29, t31, t32, t34;
  double t40, t45, t49, tzk0;

  double t55, t58, t60, t61, t63, t66, t67, t71;
  double tvrho0, t79, t80, t83, tvsigma0;

  double t92, t96, t99, t104, t107, t108, t109, t110;
  double t112, t113, t116, t120, tv2rho20, t125, t130, t133;
  double t137, tv2rhosigma0, t147, t150, tv2sigma20;

  double t162, t165, t170, t173, t176, t177, t178, t182;
  double t183, t184, t185, t186, t187, t189, t193, tv3rho30;
  double t205, t207, t211, tv3rho2sigma0, t217, t221, t225, tv3rhosigma20;
  double t228, t232, t236, tv3sigma30;

  gga_k_apbe_params *params;

  assert(p->params != NULL);
  params = (gga_k_apbe_params * )(p->params);

  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = t3 * t3;
  t5 = M_CBRTPI;
  t7 = t4 * t5 * M_PI;
  t8 = 0.1e1 <= p->zeta_threshold;
  t9 = p->zeta_threshold - 0.1e1;
  t11 = my_piecewise5(t8, t9, t8, -t9, 0);
  t12 = 0.1e1 + t11;
  t14 = POW_1_3(p->zeta_threshold);
  t15 = t14 * t14;
  t17 = POW_1_3(t12);
  t18 = t17 * t17;
  t20 = my_piecewise3(t12 <= p->zeta_threshold, t15 * p->zeta_threshold, t18 * t12);
  t21 = POW_1_3(rho[0]);
  t22 = t21 * t21;
  t24 = M_CBRT6;
  t26 = M_PI * M_PI;
  t27 = POW_1_3(t26);
  t28 = t27 * t27;
  t29 = 0.1e1 / t28;
  t31 = M_CBRT2;
  t32 = t31 * t31;
  t34 = rho[0] * rho[0];
  t40 = params->kappa + params->mu * t24 * t29 * sigma[0] * t32 / t22 / t34 / 0.24e2;
  t45 = 0.1e1 + params->kappa * (0.1e1 - params->kappa / t40);
  t49 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t20 * t22 * t45);
  tzk0 = 0.2e1 * t49;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t55 = t34 * rho[0];
  t58 = params->kappa * params->kappa;
  t60 = t7 * t20 / t55 * t58;
  t61 = t40 * t40;
  t63 = 0.1e1 / t61 * params->mu;
  t66 = t29 * sigma[0] * t32;
  t67 = t63 * t24 * t66;
  t71 = my_piecewise3(t2, 0, t7 * t20 / t21 * t45 / 0.1e2 - t60 * t67 / 0.6e2);
  tvrho0 = 0.2e1 * rho[0] * t71 + 0.2e1 * t49;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t79 = t24 * t29 * t32;
  t80 = t63 * t79;
  t83 = my_piecewise3(t2, 0, t7 * t20 / t34 * t58 * t80 / 0.16e3);
  tvsigma0 = 0.2e1 * rho[0] * t83;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t92 = t34 * t34;
  t96 = t7 * t20 / t92 * t58;
  t99 = t92 * t34;
  t104 = t7 * t20 / t22 / t99 * t58;
  t107 = params->mu * params->mu;
  t108 = 0.1e1 / t61 / t40 * t107;
  t109 = t24 * t24;
  t110 = t108 * t109;
  t112 = 0.1e1 / t27 / t26;
  t113 = sigma[0] * sigma[0];
  t116 = t110 * t112 * t113 * t31;
  t120 = my_piecewise3(t2, 0, -t7 * t20 / t21 / rho[0] * t45 / 0.3e2 + 0.7e1 / 0.18e3 * t96 * t67 - t104 * t116 / 0.135e3);
  tv2rho20 = 0.2e1 * rho[0] * t120 + 0.4e1 * t71;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t125 = t92 * rho[0];
  t130 = t7 * t20 / t22 / t125 * t58;
  t133 = t110 * t112 * t31 * sigma[0];
  t137 = my_piecewise3(t2, 0, -t60 * t80 / 0.8e2 + t130 * t133 / 0.36e3);
  tv2rhosigma0 = 0.2e1 * rho[0] * t137 + 0.2e1 * t83;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t147 = t108 * t109 * t112 * t31;
  t150 = my_piecewise3(t2, 0, -t7 * t20 / t22 / t92 * t58 * t147 / 0.96e3);
  tv2sigma20 = 0.2e1 * rho[0] * t150;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t162 = t7 * t20 / t125 * t58;
  t165 = t92 * t55;
  t170 = t7 * t20 / t22 / t165 * t58;
  t173 = t5 * t5;
  t176 = t4 / t173 / t26;
  t177 = t92 * t92;
  t178 = t177 * t34;
  t182 = t176 * t20 / t21 / t178;
  t183 = t61 * t61;
  t184 = 0.1e1 / t183;
  t185 = t58 * t184;
  t186 = t107 * params->mu;
  t187 = t113 * sigma[0];
  t189 = t185 * t186 * t187;
  t193 = my_piecewise3(t2, 0, 0.2e1 / 0.45e2 * t7 * t20 / t21 / t34 * t45 - 0.41e2 / 0.27e3 * t162 * t67 + t170 * t116 / 0.15e2 - 0.4e1 / 0.135e3 * t182 * t189);
  tv3rho30 = 0.2e1 * rho[0] * t193 + 0.6e1 * t120;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t205 = t176 * t20 / t21 / t177 / rho[0];
  t207 = t185 * t186 * t113;
  t211 = my_piecewise3(t2, 0, 0.3e1 / 0.8e2 * t96 * t80 - 0.23e2 / 0.108e4 * t104 * t133 + t205 * t207 / 0.9e2);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t211 + 0.4e1 * t137;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  t217 = 0.1e1 / t21 / t177;
  t221 = t185 * t186 * sigma[0];
  t225 = my_piecewise3(t2, 0, 0.7e1 / 0.144e4 * t130 * t147 - t176 * t20 * t217 * t221 / 0.24e3);
  tv3rhosigma20 = 0.2e1 * rho[0] * t225 + 0.2e1 * t150;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  t228 = t176 * t20;
  t232 = t184 * t186;
  t236 = my_piecewise3(t2, 0, t228 / t21 / t165 * t58 * t232 / 0.64e3);
  tv3sigma30 = 0.2e1 * rho[0] * t236;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t5, t7, t8, t9, t11;
  double t12, t14, t15, t17, t18, t20, t21, t22;
  double t24, t26, t27, t28, t29, t31, t32, t34;
  double t40, t45, t49, tzk0;

  double t55, t58, t60, t61, t63, t66, t67, t71;
  double tvrho0, t79, t80, t83, tvsigma0;

  double t92, t96, t99, t104, t107, t108, t109, t110;
  double t112, t113, t116, t120, tv2rho20, t125, t130, t133;
  double t137, tv2rhosigma0, t147, t150, tv2sigma20;

  double t162, t165, t170, t173, t176, t177, t178, t182;
  double t183, t184, t185, t186, t187, t189, t193, tv3rho30;
  double t205, t207, t211, tv3rho2sigma0, t217, t221, t225, tv3rhosigma20;
  double t228, t232, t236, tv3sigma30;

  double t258, t272, t273, t274, t280, tv4rho40, t300, tv4rho3sigma0;
  double t318, tv4rho2sigma20, t334, tv4rhosigma30, t344, tv4sigma40;

  gga_k_apbe_params *params;

  assert(p->params != NULL);
  params = (gga_k_apbe_params * )(p->params);

  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = t3 * t3;
  t5 = M_CBRTPI;
  t7 = t4 * t5 * M_PI;
  t8 = 0.1e1 <= p->zeta_threshold;
  t9 = p->zeta_threshold - 0.1e1;
  t11 = my_piecewise5(t8, t9, t8, -t9, 0);
  t12 = 0.1e1 + t11;
  t14 = POW_1_3(p->zeta_threshold);
  t15 = t14 * t14;
  t17 = POW_1_3(t12);
  t18 = t17 * t17;
  t20 = my_piecewise3(t12 <= p->zeta_threshold, t15 * p->zeta_threshold, t18 * t12);
  t21 = POW_1_3(rho[0]);
  t22 = t21 * t21;
  t24 = M_CBRT6;
  t26 = M_PI * M_PI;
  t27 = POW_1_3(t26);
  t28 = t27 * t27;
  t29 = 0.1e1 / t28;
  t31 = M_CBRT2;
  t32 = t31 * t31;
  t34 = rho[0] * rho[0];
  t40 = params->kappa + params->mu * t24 * t29 * sigma[0] * t32 / t22 / t34 / 0.24e2;
  t45 = 0.1e1 + params->kappa * (0.1e1 - params->kappa / t40);
  t49 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t20 * t22 * t45);
  tzk0 = 0.2e1 * t49;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t55 = t34 * rho[0];
  t58 = params->kappa * params->kappa;
  t60 = t7 * t20 / t55 * t58;
  t61 = t40 * t40;
  t63 = 0.1e1 / t61 * params->mu;
  t66 = t29 * sigma[0] * t32;
  t67 = t63 * t24 * t66;
  t71 = my_piecewise3(t2, 0, t7 * t20 / t21 * t45 / 0.1e2 - t60 * t67 / 0.6e2);
  tvrho0 = 0.2e1 * rho[0] * t71 + 0.2e1 * t49;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t79 = t24 * t29 * t32;
  t80 = t63 * t79;
  t83 = my_piecewise3(t2, 0, t7 * t20 / t34 * t58 * t80 / 0.16e3);
  tvsigma0 = 0.2e1 * rho[0] * t83;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t92 = t34 * t34;
  t96 = t7 * t20 / t92 * t58;
  t99 = t92 * t34;
  t104 = t7 * t20 / t22 / t99 * t58;
  t107 = params->mu * params->mu;
  t108 = 0.1e1 / t61 / t40 * t107;
  t109 = t24 * t24;
  t110 = t108 * t109;
  t112 = 0.1e1 / t27 / t26;
  t113 = sigma[0] * sigma[0];
  t116 = t110 * t112 * t113 * t31;
  t120 = my_piecewise3(t2, 0, -t7 * t20 / t21 / rho[0] * t45 / 0.3e2 + 0.7e1 / 0.18e3 * t96 * t67 - t104 * t116 / 0.135e3);
  tv2rho20 = 0.2e1 * rho[0] * t120 + 0.4e1 * t71;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t125 = t92 * rho[0];
  t130 = t7 * t20 / t22 / t125 * t58;
  t133 = t110 * t112 * t31 * sigma[0];
  t137 = my_piecewise3(t2, 0, -t60 * t80 / 0.8e2 + t130 * t133 / 0.36e3);
  tv2rhosigma0 = 0.2e1 * rho[0] * t137 + 0.2e1 * t83;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t147 = t108 * t109 * t112 * t31;
  t150 = my_piecewise3(t2, 0, -t7 * t20 / t22 / t92 * t58 * t147 / 0.96e3);
  tv2sigma20 = 0.2e1 * rho[0] * t150;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t162 = t7 * t20 / t125 * t58;
  t165 = t92 * t55;
  t170 = t7 * t20 / t22 / t165 * t58;
  t173 = t5 * t5;
  t176 = t4 / t173 / t26;
  t177 = t92 * t92;
  t178 = t177 * t34;
  t182 = t176 * t20 / t21 / t178;
  t183 = t61 * t61;
  t184 = 0.1e1 / t183;
  t185 = t58 * t184;
  t186 = t107 * params->mu;
  t187 = t113 * sigma[0];
  t189 = t185 * t186 * t187;
  t193 = my_piecewise3(t2, 0, 0.2e1 / 0.45e2 * t7 * t20 / t21 / t34 * t45 - 0.41e2 / 0.27e3 * t162 * t67 + t170 * t116 / 0.15e2 - 0.4e1 / 0.135e3 * t182 * t189);
  tv3rho30 = 0.2e1 * rho[0] * t193 + 0.6e1 * t120;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t205 = t176 * t20 / t21 / t177 / rho[0];
  t207 = t185 * t186 * t113;
  t211 = my_piecewise3(t2, 0, 0.3e1 / 0.8e2 * t96 * t80 - 0.23e2 / 0.108e4 * t104 * t133 + t205 * t207 / 0.9e2);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t211 + 0.4e1 * t137;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  t217 = 0.1e1 / t21 / t177;
  t221 = t185 * t186 * sigma[0];
  t225 = my_piecewise3(t2, 0, 0.7e1 / 0.144e4 * t130 * t147 - t176 * t20 * t217 * t221 / 0.24e3);
  tv3rhosigma20 = 0.2e1 * rho[0] * t225 + 0.2e1 * t150;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  t228 = t176 * t20;
  t232 = t184 * t186;
  t236 = my_piecewise3(t2, 0, t228 / t21 / t165 * t58 * t232 / 0.64e3);
  tv3sigma30 = 0.2e1 * rho[0] * t236;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  t258 = t177 * t55;
  t272 = t107 * t107;
  t273 = 0.1e1 / t183 / t40 * t272;
  t274 = t113 * t113;
  t280 = my_piecewise3(t2, 0, -0.14e2 / 0.135e3 * t7 * t20 / t21 / t55 * t45 + 0.611e3 / 0.81e3 * t7 * t20 / t99 * t58 * t67 - 0.703e3 / 0.1215e4 * t7 * t20 / t22 / t177 * t58 * t116 + 0.232e3 / 0.405e3 * t176 * t20 / t21 / t258 * t189 - 0.16e2 / 0.1215e4 * t176 * t20 / t177 / t99 * t58 * t273 * t274 * t79);
  tv4rho40 = 0.2e1 * rho[0] * t280 + 0.8e1 * t193;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t300 = my_piecewise3(t2, 0, -0.3e1 / 0.2e2 * t162 * t80 + 0.257e3 / 0.162e4 * t170 * t133 - 0.17e2 / 0.9e2 * t182 * t207 + 0.2e1 / 0.405e3 * t176 * t20 / t177 / t125 * t58 * t273 * t187 * t79);
  tv4rho3sigma0 = 0.2e1 * rho[0] * t300 + 0.6e1 * t211;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  t318 = my_piecewise3(t2, 0, -0.119e3 / 0.432e4 * t104 * t147 + 0.13e2 / 0.24e3 * t205 * t221 - t176 * t20 / t177 / t92 * t58 * t273 * t113 * t79 / 0.54e3);
  tv4rho2sigma20 = 0.2e1 * rho[0] * t318 + 0.4e1 * t225;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  t334 = my_piecewise3(t2, 0, -0.11e2 / 0.96e3 * t228 * t217 * t58 * t232 + t176 * t20 / t258 * t58 * t273 * t24 * t66 / 0.144e4);
  tv4rhosigma30 = 0.2e1 * rho[0] * t334 + 0.2e1 * t236;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  t344 = my_piecewise3(t2, 0, -t176 * t20 / t178 * t58 * t273 * t79 / 0.384e4);
  tv4sigma40 = 0.2e1 * rho[0] * t344;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

}

#endif


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t4, t6, t7, t8, t11;
  double t12, t15, t16, t17, t19, t20, t21, t22;
  double t23, t24, t25, t26, t28, t29, t30, t31;
  double t32, t33, t34, t35, t36, t37, t38, t39;
  double t40, t41, t43, t47, t52, t56, t57, t58;
  double t60, t61, t62, t63, t64, t66, t67, t68;
  double t69, t70, t71, t73, t77, t82, t86, tzk0;

  gga_k_apbe_params *params;

  assert(p->params != NULL);
  params = (gga_k_apbe_params * )(p->params);

  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = t2 * t2;
  t4 = M_CBRTPI;
  t6 = t3 * t4 * M_PI;
  t7 = rho[0] + rho[1];
  t8 = 0.1e1 / t7;
  t11 = 0.2e1 * rho[0] * t8 <= p->zeta_threshold;
  t12 = p->zeta_threshold - 0.1e1;
  t15 = 0.2e1 * rho[1] * t8 <= p->zeta_threshold;
  t16 = -t12;
  t17 = rho[0] - rho[1];
  t19 = my_piecewise5(t11, t12, t15, t16, t17 * t8);
  t20 = 0.1e1 + t19;
  t21 = t20 <= p->zeta_threshold;
  t22 = POW_1_3(p->zeta_threshold);
  t23 = t22 * t22;
  t24 = t23 * p->zeta_threshold;
  t25 = POW_1_3(t20);
  t26 = t25 * t25;
  t28 = my_piecewise3(t21, t24, t26 * t20);
  t29 = POW_1_3(t7);
  t30 = t29 * t29;
  t31 = t28 * t30;
  t32 = M_CBRT6;
  t33 = params->mu * t32;
  t34 = M_PI * M_PI;
  t35 = POW_1_3(t34);
  t36 = t35 * t35;
  t37 = 0.1e1 / t36;
  t38 = t37 * sigma[0];
  t39 = rho[0] * rho[0];
  t40 = POW_1_3(rho[0]);
  t41 = t40 * t40;
  t43 = 0.1e1 / t41 / t39;
  t47 = params->kappa + t33 * t38 * t43 / 0.24e2;
  t52 = 0.1e1 + params->kappa * (0.1e1 - params->kappa / t47);
  t56 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t52);
  t57 = rho[1] <= p->dens_threshold;
  t58 = -t17;
  t60 = my_piecewise5(t15, t12, t11, t16, t58 * t8);
  t61 = 0.1e1 + t60;
  t62 = t61 <= p->zeta_threshold;
  t63 = POW_1_3(t61);
  t64 = t63 * t63;
  t66 = my_piecewise3(t62, t24, t64 * t61);
  t67 = t66 * t30;
  t68 = t37 * sigma[2];
  t69 = rho[1] * rho[1];
  t70 = POW_1_3(rho[1]);
  t71 = t70 * t70;
  t73 = 0.1e1 / t71 / t69;
  t77 = params->kappa + t33 * t68 * t73 / 0.24e2;
  t82 = 0.1e1 + params->kappa * (0.1e1 - params->kappa / t77);
  t86 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t67 * t82);
  tzk0 = t56 + t86;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t4, t6, t7, t8, t11;
  double t12, t15, t16, t17, t19, t20, t21, t22;
  double t23, t24, t25, t26, t28, t29, t30, t31;
  double t32, t33, t34, t35, t36, t37, t38, t39;
  double t40, t41, t43, t47, t52, t56, t57, t58;
  double t60, t61, t62, t63, t64, t66, t67, t68;
  double t69, t70, t71, t73, t77, t82, t86, tzk0;

  double t87, t88, t89, t91, t94, t95, t99, t100;
  double t103, t104, t105, t106, t107, t109, t110, t111;
  double t113, t115, t119, t120, t122, t125, t126, t130;
  double t133, t135, tvrho0, t139, t142, t143, t148, t150;
  double t153, t154, t158, t159, t160, t162, t163, t164;
  double t166, t168, t172, tvrho1, t175, t177, t180, tvsigma0;
  double tvsigma1, t182, t185, tvsigma2;

  gga_k_apbe_params *params;

  assert(p->params != NULL);
  params = (gga_k_apbe_params * )(p->params);

  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = t2 * t2;
  t4 = M_CBRTPI;
  t6 = t3 * t4 * M_PI;
  t7 = rho[0] + rho[1];
  t8 = 0.1e1 / t7;
  t11 = 0.2e1 * rho[0] * t8 <= p->zeta_threshold;
  t12 = p->zeta_threshold - 0.1e1;
  t15 = 0.2e1 * rho[1] * t8 <= p->zeta_threshold;
  t16 = -t12;
  t17 = rho[0] - rho[1];
  t19 = my_piecewise5(t11, t12, t15, t16, t17 * t8);
  t20 = 0.1e1 + t19;
  t21 = t20 <= p->zeta_threshold;
  t22 = POW_1_3(p->zeta_threshold);
  t23 = t22 * t22;
  t24 = t23 * p->zeta_threshold;
  t25 = POW_1_3(t20);
  t26 = t25 * t25;
  t28 = my_piecewise3(t21, t24, t26 * t20);
  t29 = POW_1_3(t7);
  t30 = t29 * t29;
  t31 = t28 * t30;
  t32 = M_CBRT6;
  t33 = params->mu * t32;
  t34 = M_PI * M_PI;
  t35 = POW_1_3(t34);
  t36 = t35 * t35;
  t37 = 0.1e1 / t36;
  t38 = t37 * sigma[0];
  t39 = rho[0] * rho[0];
  t40 = POW_1_3(rho[0]);
  t41 = t40 * t40;
  t43 = 0.1e1 / t41 / t39;
  t47 = params->kappa + t33 * t38 * t43 / 0.24e2;
  t52 = 0.1e1 + params->kappa * (0.1e1 - params->kappa / t47);
  t56 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t52);
  t57 = rho[1] <= p->dens_threshold;
  t58 = -t17;
  t60 = my_piecewise5(t15, t12, t11, t16, t58 * t8);
  t61 = 0.1e1 + t60;
  t62 = t61 <= p->zeta_threshold;
  t63 = POW_1_3(t61);
  t64 = t63 * t63;
  t66 = my_piecewise3(t62, t24, t64 * t61);
  t67 = t66 * t30;
  t68 = t37 * sigma[2];
  t69 = rho[1] * rho[1];
  t70 = POW_1_3(rho[1]);
  t71 = t70 * t70;
  t73 = 0.1e1 / t71 / t69;
  t77 = params->kappa + t33 * t68 * t73 / 0.24e2;
  t82 = 0.1e1 + params->kappa * (0.1e1 - params->kappa / t77);
  t86 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t67 * t82);
  tzk0 = t56 + t86;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t87 = t7 * t7;
  t88 = 0.1e1 / t87;
  t89 = t17 * t88;
  t91 = my_piecewise5(t11, 0, t15, 0, t8 - t89);
  t94 = my_piecewise3(t21, 0, 0.5e1 / 0.3e1 * t26 * t91);
  t95 = t94 * t30;
  t99 = 0.1e1 / t29;
  t100 = t28 * t99;
  t103 = t6 * t100 * t52 / 0.1e2;
  t104 = params->kappa * params->kappa;
  t105 = t31 * t104;
  t106 = t6 * t105;
  t107 = t47 * t47;
  t109 = 0.1e1 / t107 * params->mu;
  t110 = t109 * t32;
  t111 = t39 * rho[0];
  t113 = 0.1e1 / t41 / t111;
  t115 = t110 * t38 * t113;
  t119 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t95 * t52 + t103 - t106 * t115 / 0.6e2);
  t120 = t58 * t88;
  t122 = my_piecewise5(t15, 0, t11, 0, -t8 - t120);
  t125 = my_piecewise3(t62, 0, 0.5e1 / 0.3e1 * t64 * t122);
  t126 = t125 * t30;
  t130 = t66 * t99;
  t133 = t6 * t130 * t82 / 0.1e2;
  t135 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t126 * t82 + t133);
  tvrho0 = t56 + t86 + t7 * (t119 + t135);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t139 = my_piecewise5(t11, 0, t15, 0, -t8 - t89);
  t142 = my_piecewise3(t21, 0, 0.5e1 / 0.3e1 * t26 * t139);
  t143 = t142 * t30;
  t148 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t143 * t52 + t103);
  t150 = my_piecewise5(t15, 0, t11, 0, t8 - t120);
  t153 = my_piecewise3(t62, 0, 0.5e1 / 0.3e1 * t64 * t150);
  t154 = t153 * t30;
  t158 = t67 * t104;
  t159 = t6 * t158;
  t160 = t77 * t77;
  t162 = 0.1e1 / t160 * params->mu;
  t163 = t162 * t32;
  t164 = t69 * rho[1];
  t166 = 0.1e1 / t71 / t164;
  t168 = t163 * t68 * t166;
  t172 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t154 * t82 + t133 - t159 * t168 / 0.6e2);
  tvrho1 = t56 + t86 + t7 * (t148 + t172);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t175 = t32 * t37;
  t177 = t109 * t175 * t43;
  t180 = my_piecewise3(t1, 0, t106 * t177 / 0.16e3);
  tvsigma0 = t7 * t180;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t182 = t162 * t175 * t73;
  t185 = my_piecewise3(t57, 0, t159 * t182 / 0.16e3);
  tvsigma2 = t7 * t185;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t4, t6, t7, t8, t11;
  double t12, t15, t16, t17, t19, t20, t21, t22;
  double t23, t24, t25, t26, t28, t29, t30, t31;
  double t32, t33, t34, t35, t36, t37, t38, t39;
  double t40, t41, t43, t47, t52, t56, t57, t58;
  double t60, t61, t62, t63, t64, t66, t67, t68;
  double t69, t70, t71, t73, t77, t82, t86, tzk0;

  double t87, t88, t89, t91, t94, t95, t99, t100;
  double t103, t104, t105, t106, t107, t109, t110, t111;
  double t113, t115, t119, t120, t122, t125, t126, t130;
  double t133, t135, tvrho0, t139, t142, t143, t148, t150;
  double t153, t154, t158, t159, t160, t162, t163, t164;
  double t166, t168, t172, tvrho1, t175, t177, t180, tvsigma0;
  double tvsigma1, t182, t185, tvsigma2;

  double t188, t189, t192, t193, t194, t197, t201, t202;
  double t206, t208, t211, t215, t216, t219, t221, t222;
  double t226, t227, t228, t229, t231, t232, t233, t234;
  double t237, t239, t243, t245, t249, t250, t251, t254;
  double t257, t261, t262, t266, t268, t270, t273, t275;
  double tv2rho20, t278, t282, t286, t287, t291, t293, t296;
  double t302, t303, t307, t311, t312, t316, t318, t322;
  double t326, t327, t330, tv2rho21, t335, t340, t344, t345;
  double t351, t352, t357, t361, t362, t368, t374, t375;
  double t376, t377, t378, t381, t383, t387, t389, t393;
  double tv2rho22, t399, t400, t402, t405, t409, t413, tv2rhosigma0;
  double tv2rhosigma1, t418, t420, tv2rhosigma2, t425, tv2rhosigma3, tv2rhosigma4, t429;
  double t431, t434, t438, t442, tv2rhosigma5, t444, t445, t449;
  double t452, tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t453, t457;
  double t460, tv2sigma25;

  gga_k_apbe_params *params;

  assert(p->params != NULL);
  params = (gga_k_apbe_params * )(p->params);

  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = t2 * t2;
  t4 = M_CBRTPI;
  t6 = t3 * t4 * M_PI;
  t7 = rho[0] + rho[1];
  t8 = 0.1e1 / t7;
  t11 = 0.2e1 * rho[0] * t8 <= p->zeta_threshold;
  t12 = p->zeta_threshold - 0.1e1;
  t15 = 0.2e1 * rho[1] * t8 <= p->zeta_threshold;
  t16 = -t12;
  t17 = rho[0] - rho[1];
  t19 = my_piecewise5(t11, t12, t15, t16, t17 * t8);
  t20 = 0.1e1 + t19;
  t21 = t20 <= p->zeta_threshold;
  t22 = POW_1_3(p->zeta_threshold);
  t23 = t22 * t22;
  t24 = t23 * p->zeta_threshold;
  t25 = POW_1_3(t20);
  t26 = t25 * t25;
  t28 = my_piecewise3(t21, t24, t26 * t20);
  t29 = POW_1_3(t7);
  t30 = t29 * t29;
  t31 = t28 * t30;
  t32 = M_CBRT6;
  t33 = params->mu * t32;
  t34 = M_PI * M_PI;
  t35 = POW_1_3(t34);
  t36 = t35 * t35;
  t37 = 0.1e1 / t36;
  t38 = t37 * sigma[0];
  t39 = rho[0] * rho[0];
  t40 = POW_1_3(rho[0]);
  t41 = t40 * t40;
  t43 = 0.1e1 / t41 / t39;
  t47 = params->kappa + t33 * t38 * t43 / 0.24e2;
  t52 = 0.1e1 + params->kappa * (0.1e1 - params->kappa / t47);
  t56 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t52);
  t57 = rho[1] <= p->dens_threshold;
  t58 = -t17;
  t60 = my_piecewise5(t15, t12, t11, t16, t58 * t8);
  t61 = 0.1e1 + t60;
  t62 = t61 <= p->zeta_threshold;
  t63 = POW_1_3(t61);
  t64 = t63 * t63;
  t66 = my_piecewise3(t62, t24, t64 * t61);
  t67 = t66 * t30;
  t68 = t37 * sigma[2];
  t69 = rho[1] * rho[1];
  t70 = POW_1_3(rho[1]);
  t71 = t70 * t70;
  t73 = 0.1e1 / t71 / t69;
  t77 = params->kappa + t33 * t68 * t73 / 0.24e2;
  t82 = 0.1e1 + params->kappa * (0.1e1 - params->kappa / t77);
  t86 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t67 * t82);
  tzk0 = t56 + t86;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t87 = t7 * t7;
  t88 = 0.1e1 / t87;
  t89 = t17 * t88;
  t91 = my_piecewise5(t11, 0, t15, 0, t8 - t89);
  t94 = my_piecewise3(t21, 0, 0.5e1 / 0.3e1 * t26 * t91);
  t95 = t94 * t30;
  t99 = 0.1e1 / t29;
  t100 = t28 * t99;
  t103 = t6 * t100 * t52 / 0.1e2;
  t104 = params->kappa * params->kappa;
  t105 = t31 * t104;
  t106 = t6 * t105;
  t107 = t47 * t47;
  t109 = 0.1e1 / t107 * params->mu;
  t110 = t109 * t32;
  t111 = t39 * rho[0];
  t113 = 0.1e1 / t41 / t111;
  t115 = t110 * t38 * t113;
  t119 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t95 * t52 + t103 - t106 * t115 / 0.6e2);
  t120 = t58 * t88;
  t122 = my_piecewise5(t15, 0, t11, 0, -t8 - t120);
  t125 = my_piecewise3(t62, 0, 0.5e1 / 0.3e1 * t64 * t122);
  t126 = t125 * t30;
  t130 = t66 * t99;
  t133 = t6 * t130 * t82 / 0.1e2;
  t135 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t126 * t82 + t133);
  tvrho0 = t56 + t86 + t7 * (t119 + t135);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t139 = my_piecewise5(t11, 0, t15, 0, -t8 - t89);
  t142 = my_piecewise3(t21, 0, 0.5e1 / 0.3e1 * t26 * t139);
  t143 = t142 * t30;
  t148 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t143 * t52 + t103);
  t150 = my_piecewise5(t15, 0, t11, 0, t8 - t120);
  t153 = my_piecewise3(t62, 0, 0.5e1 / 0.3e1 * t64 * t150);
  t154 = t153 * t30;
  t158 = t67 * t104;
  t159 = t6 * t158;
  t160 = t77 * t77;
  t162 = 0.1e1 / t160 * params->mu;
  t163 = t162 * t32;
  t164 = t69 * rho[1];
  t166 = 0.1e1 / t71 / t164;
  t168 = t163 * t68 * t166;
  t172 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t154 * t82 + t133 - t159 * t168 / 0.6e2);
  tvrho1 = t56 + t86 + t7 * (t148 + t172);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t175 = t32 * t37;
  t177 = t109 * t175 * t43;
  t180 = my_piecewise3(t1, 0, t106 * t177 / 0.16e3);
  tvsigma0 = t7 * t180;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t182 = t162 * t175 * t73;
  t185 = my_piecewise3(t57, 0, t159 * t182 / 0.16e3);
  tvsigma2 = t7 * t185;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t188 = 0.1e1 / t25;
  t189 = t91 * t91;
  t192 = t87 * t7;
  t193 = 0.1e1 / t192;
  t194 = t17 * t193;
  t197 = my_piecewise5(t11, 0, t15, 0, -0.2e1 * t88 + 0.2e1 * t194);
  t201 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t188 * t189 + 0.5e1 / 0.3e1 * t26 * t197);
  t202 = t201 * t30;
  t206 = t94 * t99;
  t208 = t6 * t206 * t52;
  t211 = t6 * t95 * t104;
  t215 = 0.1e1 / t29 / t7;
  t216 = t28 * t215;
  t219 = t6 * t216 * t52 / 0.3e2;
  t221 = t6 * t100 * t104;
  t222 = t221 * t115;
  t226 = params->mu * params->mu;
  t227 = 0.1e1 / t107 / t47 * t226;
  t228 = t32 * t32;
  t229 = t227 * t228;
  t231 = 0.1e1 / t35 / t34;
  t232 = sigma[0] * sigma[0];
  t233 = t231 * t232;
  t234 = t39 * t39;
  t237 = 0.1e1 / t40 / t234 / t111;
  t239 = t229 * t233 * t237;
  t243 = 0.1e1 / t41 / t234;
  t245 = t110 * t38 * t243;
  t249 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t202 * t52 + t208 / 0.5e1 - t211 * t115 / 0.3e2 - t219 - t222 / 0.45e2 - t106 * t239 / 0.27e3 + 0.11e2 / 0.18e3 * t106 * t245);
  t250 = 0.1e1 / t63;
  t251 = t122 * t122;
  t254 = t58 * t193;
  t257 = my_piecewise5(t15, 0, t11, 0, 0.2e1 * t88 + 0.2e1 * t254);
  t261 = my_piecewise3(t62, 0, 0.1e2 / 0.9e1 * t250 * t251 + 0.5e1 / 0.3e1 * t64 * t257);
  t262 = t261 * t30;
  t266 = t125 * t99;
  t268 = t6 * t266 * t82;
  t270 = t66 * t215;
  t273 = t6 * t270 * t82 / 0.3e2;
  t275 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t262 * t82 + t268 / 0.5e1 - t273);
  tv2rho20 = 0.2e1 * t119 + 0.2e1 * t135 + t7 * (t249 + t275);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t278 = t188 * t139;
  t282 = my_piecewise5(t11, 0, t15, 0, 0.2e1 * t194);
  t286 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t278 * t91 + 0.5e1 / 0.3e1 * t26 * t282);
  t287 = t286 * t30;
  t291 = t142 * t99;
  t293 = t6 * t291 * t52;
  t296 = t6 * t143 * t104;
  t302 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t287 * t52 + t293 / 0.1e2 - t296 * t115 / 0.6e2 + t208 / 0.1e2 - t219 - t222 / 0.9e2);
  t303 = t250 * t150;
  t307 = my_piecewise5(t15, 0, t11, 0, 0.2e1 * t254);
  t311 = my_piecewise3(t62, 0, 0.1e2 / 0.9e1 * t303 * t122 + 0.5e1 / 0.3e1 * t64 * t307);
  t312 = t311 * t30;
  t316 = t153 * t99;
  t318 = t6 * t316 * t82;
  t322 = t6 * t126 * t104;
  t326 = t6 * t130 * t104;
  t327 = t326 * t168;
  t330 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t312 * t82 + t318 / 0.1e2 + t268 / 0.1e2 - t273 - t322 * t168 / 0.6e2 - t327 / 0.9e2);
  tv2rho21 = t119 + t135 + t148 + t172 + t7 * (t302 + t330);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t335 = t139 * t139;
  t340 = my_piecewise5(t11, 0, t15, 0, 0.2e1 * t88 + 0.2e1 * t194);
  t344 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t188 * t335 + 0.5e1 / 0.3e1 * t26 * t340);
  t345 = t344 * t30;
  t351 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t345 * t52 + t293 / 0.5e1 - t219);
  t352 = t150 * t150;
  t357 = my_piecewise5(t15, 0, t11, 0, -0.2e1 * t88 + 0.2e1 * t254);
  t361 = my_piecewise3(t62, 0, 0.1e2 / 0.9e1 * t250 * t352 + 0.5e1 / 0.3e1 * t64 * t357);
  t362 = t361 * t30;
  t368 = t6 * t154 * t104;
  t374 = 0.1e1 / t160 / t77 * t226;
  t375 = t374 * t228;
  t376 = sigma[2] * sigma[2];
  t377 = t231 * t376;
  t378 = t69 * t69;
  t381 = 0.1e1 / t70 / t378 / t164;
  t383 = t375 * t377 * t381;
  t387 = 0.1e1 / t71 / t378;
  t389 = t163 * t68 * t387;
  t393 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t362 * t82 + t318 / 0.5e1 - t368 * t168 / 0.3e2 - t273 - t327 / 0.45e2 - t159 * t383 / 0.27e3 + 0.11e2 / 0.18e3 * t159 * t389);
  tv2rho22 = 0.2e1 * t148 + 0.2e1 * t172 + t7 * (t351 + t393);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t399 = t221 * t177 / 0.24e3;
  t400 = t234 * t39;
  t402 = 0.1e1 / t40 / t400;
  t405 = t229 * t231 * t402 * sigma[0];
  t409 = t109 * t175 * t113;
  t413 = my_piecewise3(t1, 0, t211 * t177 / 0.16e3 + t399 + t106 * t405 / 0.72e3 - t106 * t409 / 0.6e2);
  tv2rhosigma0 = t7 * t413 + t180;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t418 = t326 * t182 / 0.24e3;
  t420 = my_piecewise3(t57, 0, t322 * t182 / 0.16e3 + t418);
  tv2rhosigma2 = t7 * t420 + t185;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t425 = my_piecewise3(t1, 0, t296 * t177 / 0.16e3 + t399);
  tv2rhosigma3 = t7 * t425 + t180;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t429 = t378 * t69;
  t431 = 0.1e1 / t70 / t429;
  t434 = t375 * t231 * t431 * sigma[2];
  t438 = t162 * t175 * t166;
  t442 = my_piecewise3(t57, 0, t368 * t182 / 0.16e3 + t418 + t159 * t434 / 0.72e3 - t159 * t438 / 0.6e2);
  tv2rhosigma5 = t7 * t442 + t185;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t444 = t228 * t231;
  t445 = t234 * rho[0];
  t449 = t227 * t444 / t40 / t445;
  t452 = my_piecewise3(t1, 0, -t106 * t449 / 0.192e4);
  tv2sigma20 = t7 * t452;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t453 = t378 * rho[1];
  t457 = t374 * t444 / t70 / t453;
  t460 = my_piecewise3(t57, 0, -t159 * t457 / 0.192e4);
  tv2sigma25 = t7 * t460;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t4, t6, t7, t8, t11;
  double t12, t15, t16, t17, t19, t20, t21, t22;
  double t23, t24, t25, t26, t28, t29, t30, t31;
  double t32, t33, t34, t35, t36, t37, t38, t39;
  double t40, t41, t43, t47, t52, t56, t57, t58;
  double t60, t61, t62, t63, t64, t66, t67, t68;
  double t69, t70, t71, t73, t77, t82, t86, tzk0;

  double t87, t88, t89, t91, t94, t95, t99, t100;
  double t103, t104, t105, t106, t107, t109, t110, t111;
  double t113, t115, t119, t120, t122, t125, t126, t130;
  double t133, t135, tvrho0, t139, t142, t143, t148, t150;
  double t153, t154, t158, t159, t160, t162, t163, t164;
  double t166, t168, t172, tvrho1, t175, t177, t180, tvsigma0;
  double tvsigma1, t182, t185, tvsigma2;

  double t188, t189, t192, t193, t194, t197, t201, t202;
  double t206, t208, t211, t215, t216, t219, t221, t222;
  double t226, t227, t228, t229, t231, t232, t233, t234;
  double t237, t239, t243, t245, t249, t250, t251, t254;
  double t257, t261, t262, t266, t268, t270, t273, t275;
  double tv2rho20, t278, t282, t286, t287, t291, t293, t296;
  double t302, t303, t307, t311, t312, t316, t318, t322;
  double t326, t327, t330, tv2rho21, t335, t340, t344, t345;
  double t351, t352, t357, t361, t362, t368, t374, t375;
  double t376, t377, t378, t381, t383, t387, t389, t393;
  double tv2rho22, t399, t400, t402, t405, t409, t413, tv2rhosigma0;
  double tv2rhosigma1, t418, t420, tv2rhosigma2, t425, tv2rhosigma3, tv2rhosigma4, t429;
  double t431, t434, t438, t442, tv2rhosigma5, t444, t445, t449;
  double t452, tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t453, t457;
  double t460, tv2sigma25;

  double t463, t465, t467, t471, t473, t478, t481, t482;
  double t485, t488, t489, t490, t493, t497, t498, t503;
  double t507, t508, t513, t514, t516, t518, t520, t522;
  double t524, t527, t528, t531, t532, t535, t536, t537;
  double t539, t540, t541, t542, t543, t544, t546, t549;
  double t550, t552, t553, t556, t559, t562, t566, t567;
  double t571, t573, t575, t577, t579, t582, t584, tv3rho30;
  double t587, t588, t589, t592, t597, t598, t600, t604;
  double t605, t609, t612, t614, t617, t619, t622, t624;
  double t635, t636, t637, t640, t645, t647, t651, t652;
  double t656, t659, t660, t662, t667, t671, t673, t675;
  double t676, t679, tv3rho31, t682, t687, t691, t695, t696;
  double t700, t702, t705, t712, t713, t718, t722, t726;
  double t727, t731, t733, t737, t741, t742, t748, t752;
  double t754, t755, tv3rho32, t760, t767, t771, t772, t779;
  double t780, t782, t784, t788, t790, t799, t806, t810;
  double t811, t816, t823, t824, t826, t827, t828, t829;
  double t830, t832, t835, t836, tv3rho33, t842, t849, t850;
  double t852, t854, t856, t858, t863, t867, t871, tv3rho2sigma0;
  double tv3rho2sigma1, t876, t879, t881, tv3rho2sigma2, t885, t895, tv3rho2sigma3;
  double tv3rho2sigma4, t899, t904, t908, t911, tv3rho2sigma5, t918, tv3rho2sigma6;
  double tv3rho2sigma7, t930, t932, t934, t939, t943, t947, tv3rho2sigma8;
  double t952, t953, t955, t957, t961, t965, tv3rhosigma20, tv3rhosigma21;
  double tv3rhosigma22, tv3rhosigma23, tv3rhosigma24, t970, t972, tv3rhosigma25, t977, tv3rhosigma26;
  double tv3rhosigma27, tv3rhosigma28, tv3rhosigma29, tv3rhosigma210, t981, t983, t985, t989;
  double t993, tv3rhosigma211, t997, t1000, tv3sigma30, tv3sigma31, tv3sigma32, tv3sigma33;
  double tv3sigma34, tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38, t1003, t1006, tv3sigma39;

  gga_k_apbe_params *params;

  assert(p->params != NULL);
  params = (gga_k_apbe_params * )(p->params);

  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = t2 * t2;
  t4 = M_CBRTPI;
  t6 = t3 * t4 * M_PI;
  t7 = rho[0] + rho[1];
  t8 = 0.1e1 / t7;
  t11 = 0.2e1 * rho[0] * t8 <= p->zeta_threshold;
  t12 = p->zeta_threshold - 0.1e1;
  t15 = 0.2e1 * rho[1] * t8 <= p->zeta_threshold;
  t16 = -t12;
  t17 = rho[0] - rho[1];
  t19 = my_piecewise5(t11, t12, t15, t16, t17 * t8);
  t20 = 0.1e1 + t19;
  t21 = t20 <= p->zeta_threshold;
  t22 = POW_1_3(p->zeta_threshold);
  t23 = t22 * t22;
  t24 = t23 * p->zeta_threshold;
  t25 = POW_1_3(t20);
  t26 = t25 * t25;
  t28 = my_piecewise3(t21, t24, t26 * t20);
  t29 = POW_1_3(t7);
  t30 = t29 * t29;
  t31 = t28 * t30;
  t32 = M_CBRT6;
  t33 = params->mu * t32;
  t34 = M_PI * M_PI;
  t35 = POW_1_3(t34);
  t36 = t35 * t35;
  t37 = 0.1e1 / t36;
  t38 = t37 * sigma[0];
  t39 = rho[0] * rho[0];
  t40 = POW_1_3(rho[0]);
  t41 = t40 * t40;
  t43 = 0.1e1 / t41 / t39;
  t47 = params->kappa + t33 * t38 * t43 / 0.24e2;
  t52 = 0.1e1 + params->kappa * (0.1e1 - params->kappa / t47);
  t56 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t52);
  t57 = rho[1] <= p->dens_threshold;
  t58 = -t17;
  t60 = my_piecewise5(t15, t12, t11, t16, t58 * t8);
  t61 = 0.1e1 + t60;
  t62 = t61 <= p->zeta_threshold;
  t63 = POW_1_3(t61);
  t64 = t63 * t63;
  t66 = my_piecewise3(t62, t24, t64 * t61);
  t67 = t66 * t30;
  t68 = t37 * sigma[2];
  t69 = rho[1] * rho[1];
  t70 = POW_1_3(rho[1]);
  t71 = t70 * t70;
  t73 = 0.1e1 / t71 / t69;
  t77 = params->kappa + t33 * t68 * t73 / 0.24e2;
  t82 = 0.1e1 + params->kappa * (0.1e1 - params->kappa / t77);
  t86 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t67 * t82);
  tzk0 = t56 + t86;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t87 = t7 * t7;
  t88 = 0.1e1 / t87;
  t89 = t17 * t88;
  t91 = my_piecewise5(t11, 0, t15, 0, t8 - t89);
  t94 = my_piecewise3(t21, 0, 0.5e1 / 0.3e1 * t26 * t91);
  t95 = t94 * t30;
  t99 = 0.1e1 / t29;
  t100 = t28 * t99;
  t103 = t6 * t100 * t52 / 0.1e2;
  t104 = params->kappa * params->kappa;
  t105 = t31 * t104;
  t106 = t6 * t105;
  t107 = t47 * t47;
  t109 = 0.1e1 / t107 * params->mu;
  t110 = t109 * t32;
  t111 = t39 * rho[0];
  t113 = 0.1e1 / t41 / t111;
  t115 = t110 * t38 * t113;
  t119 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t95 * t52 + t103 - t106 * t115 / 0.6e2);
  t120 = t58 * t88;
  t122 = my_piecewise5(t15, 0, t11, 0, -t8 - t120);
  t125 = my_piecewise3(t62, 0, 0.5e1 / 0.3e1 * t64 * t122);
  t126 = t125 * t30;
  t130 = t66 * t99;
  t133 = t6 * t130 * t82 / 0.1e2;
  t135 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t126 * t82 + t133);
  tvrho0 = t56 + t86 + t7 * (t119 + t135);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t139 = my_piecewise5(t11, 0, t15, 0, -t8 - t89);
  t142 = my_piecewise3(t21, 0, 0.5e1 / 0.3e1 * t26 * t139);
  t143 = t142 * t30;
  t148 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t143 * t52 + t103);
  t150 = my_piecewise5(t15, 0, t11, 0, t8 - t120);
  t153 = my_piecewise3(t62, 0, 0.5e1 / 0.3e1 * t64 * t150);
  t154 = t153 * t30;
  t158 = t67 * t104;
  t159 = t6 * t158;
  t160 = t77 * t77;
  t162 = 0.1e1 / t160 * params->mu;
  t163 = t162 * t32;
  t164 = t69 * rho[1];
  t166 = 0.1e1 / t71 / t164;
  t168 = t163 * t68 * t166;
  t172 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t154 * t82 + t133 - t159 * t168 / 0.6e2);
  tvrho1 = t56 + t86 + t7 * (t148 + t172);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t175 = t32 * t37;
  t177 = t109 * t175 * t43;
  t180 = my_piecewise3(t1, 0, t106 * t177 / 0.16e3);
  tvsigma0 = t7 * t180;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t182 = t162 * t175 * t73;
  t185 = my_piecewise3(t57, 0, t159 * t182 / 0.16e3);
  tvsigma2 = t7 * t185;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t188 = 0.1e1 / t25;
  t189 = t91 * t91;
  t192 = t87 * t7;
  t193 = 0.1e1 / t192;
  t194 = t17 * t193;
  t197 = my_piecewise5(t11, 0, t15, 0, -0.2e1 * t88 + 0.2e1 * t194);
  t201 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t188 * t189 + 0.5e1 / 0.3e1 * t26 * t197);
  t202 = t201 * t30;
  t206 = t94 * t99;
  t208 = t6 * t206 * t52;
  t211 = t6 * t95 * t104;
  t215 = 0.1e1 / t29 / t7;
  t216 = t28 * t215;
  t219 = t6 * t216 * t52 / 0.3e2;
  t221 = t6 * t100 * t104;
  t222 = t221 * t115;
  t226 = params->mu * params->mu;
  t227 = 0.1e1 / t107 / t47 * t226;
  t228 = t32 * t32;
  t229 = t227 * t228;
  t231 = 0.1e1 / t35 / t34;
  t232 = sigma[0] * sigma[0];
  t233 = t231 * t232;
  t234 = t39 * t39;
  t237 = 0.1e1 / t40 / t234 / t111;
  t239 = t229 * t233 * t237;
  t243 = 0.1e1 / t41 / t234;
  t245 = t110 * t38 * t243;
  t249 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t202 * t52 + t208 / 0.5e1 - t211 * t115 / 0.3e2 - t219 - t222 / 0.45e2 - t106 * t239 / 0.27e3 + 0.11e2 / 0.18e3 * t106 * t245);
  t250 = 0.1e1 / t63;
  t251 = t122 * t122;
  t254 = t58 * t193;
  t257 = my_piecewise5(t15, 0, t11, 0, 0.2e1 * t88 + 0.2e1 * t254);
  t261 = my_piecewise3(t62, 0, 0.1e2 / 0.9e1 * t250 * t251 + 0.5e1 / 0.3e1 * t64 * t257);
  t262 = t261 * t30;
  t266 = t125 * t99;
  t268 = t6 * t266 * t82;
  t270 = t66 * t215;
  t273 = t6 * t270 * t82 / 0.3e2;
  t275 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t262 * t82 + t268 / 0.5e1 - t273);
  tv2rho20 = 0.2e1 * t119 + 0.2e1 * t135 + t7 * (t249 + t275);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t278 = t188 * t139;
  t282 = my_piecewise5(t11, 0, t15, 0, 0.2e1 * t194);
  t286 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t278 * t91 + 0.5e1 / 0.3e1 * t26 * t282);
  t287 = t286 * t30;
  t291 = t142 * t99;
  t293 = t6 * t291 * t52;
  t296 = t6 * t143 * t104;
  t302 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t287 * t52 + t293 / 0.1e2 - t296 * t115 / 0.6e2 + t208 / 0.1e2 - t219 - t222 / 0.9e2);
  t303 = t250 * t150;
  t307 = my_piecewise5(t15, 0, t11, 0, 0.2e1 * t254);
  t311 = my_piecewise3(t62, 0, 0.1e2 / 0.9e1 * t303 * t122 + 0.5e1 / 0.3e1 * t64 * t307);
  t312 = t311 * t30;
  t316 = t153 * t99;
  t318 = t6 * t316 * t82;
  t322 = t6 * t126 * t104;
  t326 = t6 * t130 * t104;
  t327 = t326 * t168;
  t330 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t312 * t82 + t318 / 0.1e2 + t268 / 0.1e2 - t273 - t322 * t168 / 0.6e2 - t327 / 0.9e2);
  tv2rho21 = t119 + t135 + t148 + t172 + t7 * (t302 + t330);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t335 = t139 * t139;
  t340 = my_piecewise5(t11, 0, t15, 0, 0.2e1 * t88 + 0.2e1 * t194);
  t344 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t188 * t335 + 0.5e1 / 0.3e1 * t26 * t340);
  t345 = t344 * t30;
  t351 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t345 * t52 + t293 / 0.5e1 - t219);
  t352 = t150 * t150;
  t357 = my_piecewise5(t15, 0, t11, 0, -0.2e1 * t88 + 0.2e1 * t254);
  t361 = my_piecewise3(t62, 0, 0.1e2 / 0.9e1 * t250 * t352 + 0.5e1 / 0.3e1 * t64 * t357);
  t362 = t361 * t30;
  t368 = t6 * t154 * t104;
  t374 = 0.1e1 / t160 / t77 * t226;
  t375 = t374 * t228;
  t376 = sigma[2] * sigma[2];
  t377 = t231 * t376;
  t378 = t69 * t69;
  t381 = 0.1e1 / t70 / t378 / t164;
  t383 = t375 * t377 * t381;
  t387 = 0.1e1 / t71 / t378;
  t389 = t163 * t68 * t387;
  t393 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t362 * t82 + t318 / 0.5e1 - t368 * t168 / 0.3e2 - t273 - t327 / 0.45e2 - t159 * t383 / 0.27e3 + 0.11e2 / 0.18e3 * t159 * t389);
  tv2rho22 = 0.2e1 * t148 + 0.2e1 * t172 + t7 * (t351 + t393);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t399 = t221 * t177 / 0.24e3;
  t400 = t234 * t39;
  t402 = 0.1e1 / t40 / t400;
  t405 = t229 * t231 * t402 * sigma[0];
  t409 = t109 * t175 * t113;
  t413 = my_piecewise3(t1, 0, t211 * t177 / 0.16e3 + t399 + t106 * t405 / 0.72e3 - t106 * t409 / 0.6e2);
  tv2rhosigma0 = t7 * t413 + t180;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t418 = t326 * t182 / 0.24e3;
  t420 = my_piecewise3(t57, 0, t322 * t182 / 0.16e3 + t418);
  tv2rhosigma2 = t7 * t420 + t185;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t425 = my_piecewise3(t1, 0, t296 * t177 / 0.16e3 + t399);
  tv2rhosigma3 = t7 * t425 + t180;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t429 = t378 * t69;
  t431 = 0.1e1 / t70 / t429;
  t434 = t375 * t231 * t431 * sigma[2];
  t438 = t162 * t175 * t166;
  t442 = my_piecewise3(t57, 0, t368 * t182 / 0.16e3 + t418 + t159 * t434 / 0.72e3 - t159 * t438 / 0.6e2);
  tv2rhosigma5 = t7 * t442 + t185;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t444 = t228 * t231;
  t445 = t234 * rho[0];
  t449 = t227 * t444 / t40 / t445;
  t452 = my_piecewise3(t1, 0, -t106 * t449 / 0.192e4);
  tv2sigma20 = t7 * t452;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t453 = t378 * rho[1];
  t457 = t374 * t444 / t70 / t453;
  t460 = my_piecewise3(t57, 0, -t159 * t457 / 0.192e4);
  tv2sigma25 = t7 * t460;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t463 = t234 * t234;
  t465 = 0.1e1 / t40 / t463;
  t467 = t229 * t233 * t465;
  t471 = 0.1e1 / t41 / t445;
  t473 = t110 * t38 * t471;
  t478 = t221 * t245;
  t481 = 0.1e1 / t25 / t20;
  t482 = t189 * t91;
  t485 = t188 * t91;
  t488 = t87 * t87;
  t489 = 0.1e1 / t488;
  t490 = t17 * t489;
  t493 = my_piecewise5(t11, 0, t15, 0, 0.6e1 * t193 - 0.6e1 * t490);
  t497 = my_piecewise3(t21, 0, -0.1e2 / 0.27e2 * t481 * t482 + 0.1e2 / 0.3e1 * t485 * t197 + 0.5e1 / 0.3e1 * t26 * t493);
  t498 = t497 * t30;
  t503 = t6 * t202 * t104;
  t507 = t6 * t206 * t104;
  t508 = t507 * t115;
  t513 = t6 * t216 * t104;
  t514 = t513 * t115;
  t516 = t221 * t239;
  t518 = t201 * t99;
  t520 = t6 * t518 * t52;
  t522 = t94 * t215;
  t524 = t6 * t522 * t52;
  t527 = 0.1e1 / t29 / t87;
  t528 = t28 * t527;
  t531 = 0.2e1 / 0.45e2 * t6 * t528 * t52;
  t532 = t4 * t4;
  t535 = t3 / t532 / t34;
  t536 = t535 * t31;
  t537 = t107 * t107;
  t539 = t104 / t537;
  t540 = t226 * params->mu;
  t541 = t232 * sigma[0];
  t542 = t540 * t541;
  t543 = t463 * t111;
  t544 = 0.1e1 / t543;
  t546 = t539 * t542 * t544;
  t549 = 0.11e2 / 0.27e3 * t106 * t467 - 0.77e2 / 0.27e3 * t106 * t473 + 0.11e2 / 0.6e2 * t211 * t245 + 0.11e2 / 0.9e2 * t478 + 0.3e1 / 0.2e2 * t6 * t498 * t52 - t503 * t115 / 0.2e2 - t508 / 0.15e2 - t211 * t239 / 0.9e2 + t514 / 0.9e2 - t516 / 0.135e3 + 0.3e1 / 0.1e2 * t520 - t524 / 0.1e2 + t531 - t536 * t546 / 0.135e3;
  t550 = my_piecewise3(t1, 0, t549);
  t552 = 0.1e1 / t63 / t61;
  t553 = t251 * t122;
  t556 = t250 * t122;
  t559 = t58 * t489;
  t562 = my_piecewise5(t15, 0, t11, 0, -0.6e1 * t193 - 0.6e1 * t559);
  t566 = my_piecewise3(t62, 0, -0.1e2 / 0.27e2 * t552 * t553 + 0.1e2 / 0.3e1 * t556 * t257 + 0.5e1 / 0.3e1 * t64 * t562);
  t567 = t566 * t30;
  t571 = t261 * t99;
  t573 = t6 * t571 * t82;
  t575 = t125 * t215;
  t577 = t6 * t575 * t82;
  t579 = t66 * t527;
  t582 = 0.2e1 / 0.45e2 * t6 * t579 * t82;
  t584 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t567 * t82 + 0.3e1 / 0.1e2 * t573 - t577 / 0.1e2 + t582);
  tv3rho30 = 0.3e1 * t249 + 0.3e1 * t275 + t7 * (t550 + t584);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t587 = 0.2e1 * t302;
  t588 = 0.2e1 * t330;
  t589 = t481 * t139;
  t592 = t188 * t282;
  t597 = 0.2e1 * t193;
  t598 = 0.6e1 * t490;
  t600 = my_piecewise5(t11, 0, t15, 0, t597 - t598);
  t604 = my_piecewise3(t21, 0, -0.1e2 / 0.27e2 * t589 * t189 + 0.2e2 / 0.9e1 * t592 * t91 + 0.1e2 / 0.9e1 * t278 * t197 + 0.5e1 / 0.3e1 * t26 * t600);
  t605 = t604 * t30;
  t609 = t286 * t99;
  t612 = t6 * t609 * t52 / 0.5e1;
  t614 = t6 * t287 * t104;
  t617 = t142 * t215;
  t619 = t6 * t617 * t52;
  t622 = t6 * t291 * t104;
  t624 = t622 * t115 / 0.45e2;
  t635 = 0.3e1 / 0.2e2 * t6 * t605 * t52 + t612 - t614 * t115 / 0.3e2 - t619 / 0.3e2 - t624 - t296 * t239 / 0.27e3 + 0.11e2 / 0.18e3 * t296 * t245 + t520 / 0.1e2 - t524 / 0.15e2 - t508 / 0.45e2 + t531 + t514 / 0.135e3 - t516 / 0.405e3 + 0.11e2 / 0.27e3 * t478;
  t636 = my_piecewise3(t1, 0, t635);
  t637 = t552 * t150;
  t640 = t250 * t307;
  t645 = 0.6e1 * t559;
  t647 = my_piecewise5(t15, 0, t11, 0, -t597 - t645);
  t651 = my_piecewise3(t62, 0, -0.1e2 / 0.27e2 * t637 * t251 + 0.2e2 / 0.9e1 * t640 * t122 + 0.1e2 / 0.9e1 * t303 * t257 + 0.5e1 / 0.3e1 * t64 * t647);
  t652 = t651 * t30;
  t656 = t311 * t99;
  t659 = t6 * t656 * t82 / 0.5e1;
  t660 = t153 * t215;
  t662 = t6 * t660 * t82;
  t667 = t6 * t262 * t104;
  t671 = t6 * t266 * t104;
  t673 = t671 * t168 / 0.45e2;
  t675 = t6 * t270 * t104;
  t676 = t675 * t168;
  t679 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t652 * t82 + t659 - t662 / 0.3e2 + t573 / 0.1e2 - t577 / 0.15e2 + t582 - t667 * t168 / 0.6e2 - t673 + t676 / 0.27e3);
  tv3rho31 = t249 + t275 + t587 + t588 + t7 * (t636 + t679);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t682 = t481 * t335;
  t687 = t188 * t340;
  t691 = my_piecewise5(t11, 0, t15, 0, -t597 - t598);
  t695 = my_piecewise3(t21, 0, -0.1e2 / 0.27e2 * t682 * t91 + 0.2e2 / 0.9e1 * t278 * t282 + 0.1e2 / 0.9e1 * t687 * t91 + 0.5e1 / 0.3e1 * t26 * t691);
  t696 = t695 * t30;
  t700 = t344 * t99;
  t702 = t6 * t700 * t52;
  t705 = t6 * t345 * t104;
  t712 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t696 * t52 + t702 / 0.1e2 - t705 * t115 / 0.6e2 + t612 - t619 / 0.15e2 - t624 - t524 / 0.3e2 + t531 + t514 / 0.27e3);
  t713 = t552 * t352;
  t718 = t250 * t357;
  t722 = my_piecewise5(t15, 0, t11, 0, t597 - t645);
  t726 = my_piecewise3(t62, 0, -0.1e2 / 0.27e2 * t713 * t122 + 0.2e2 / 0.9e1 * t303 * t307 + 0.1e2 / 0.9e1 * t718 * t122 + 0.5e1 / 0.3e1 * t64 * t722);
  t727 = t726 * t30;
  t731 = t361 * t99;
  t733 = t6 * t731 * t82;
  t737 = t6 * t312 * t104;
  t741 = t6 * t316 * t104;
  t742 = t741 * t168;
  t748 = t326 * t383;
  t752 = t326 * t389;
  t754 = 0.3e1 / 0.2e2 * t6 * t727 * t82 + t733 / 0.1e2 + t659 - t662 / 0.15e2 - t737 * t168 / 0.3e2 - t742 / 0.45e2 - t577 / 0.3e2 + t582 - t673 + t676 / 0.135e3 - t322 * t383 / 0.27e3 - t748 / 0.405e3 + 0.11e2 / 0.18e3 * t322 * t389 + 0.11e2 / 0.27e3 * t752;
  t755 = my_piecewise3(t57, 0, t754);
  tv3rho32 = t587 + t588 + t351 + t393 + t7 * (t712 + t755);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t760 = t335 * t139;
  t767 = my_piecewise5(t11, 0, t15, 0, -0.6e1 * t193 - 0.6e1 * t490);
  t771 = my_piecewise3(t21, 0, -0.1e2 / 0.27e2 * t481 * t760 + 0.1e2 / 0.3e1 * t278 * t340 + 0.5e1 / 0.3e1 * t26 * t767);
  t772 = t771 * t30;
  t779 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t772 * t52 + 0.3e1 / 0.1e2 * t702 - t619 / 0.1e2 + t531);
  t780 = t378 * t378;
  t782 = 0.1e1 / t70 / t780;
  t784 = t375 * t377 * t782;
  t788 = 0.1e1 / t71 / t453;
  t790 = t163 * t68 * t788;
  t799 = t352 * t150;
  t806 = my_piecewise5(t15, 0, t11, 0, 0.6e1 * t193 - 0.6e1 * t559);
  t810 = my_piecewise3(t62, 0, -0.1e2 / 0.27e2 * t552 * t799 + 0.1e2 / 0.3e1 * t303 * t357 + 0.5e1 / 0.3e1 * t64 * t806);
  t811 = t810 * t30;
  t816 = t6 * t362 * t104;
  t823 = t535 * t67;
  t824 = t160 * t160;
  t826 = t104 / t824;
  t827 = t376 * sigma[2];
  t828 = t540 * t827;
  t829 = t780 * t164;
  t830 = 0.1e1 / t829;
  t832 = t826 * t828 * t830;
  t835 = 0.11e2 / 0.27e3 * t159 * t784 - 0.77e2 / 0.27e3 * t159 * t790 + 0.11e2 / 0.6e2 * t368 * t389 + 0.11e2 / 0.9e2 * t752 - t742 / 0.15e2 - t748 / 0.135e3 + t676 / 0.9e2 + 0.3e1 / 0.2e2 * t6 * t811 * t82 - t816 * t168 / 0.2e2 - t368 * t383 / 0.9e2 + 0.3e1 / 0.1e2 * t733 + t582 - t662 / 0.1e2 - t823 * t832 / 0.135e3;
  t836 = my_piecewise3(t57, 0, t835);
  tv3rho33 = 0.3e1 * t351 + 0.3e1 * t393 + t7 * (t779 + t836);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t842 = t507 * t177;
  t849 = t513 * t177 / 0.72e3;
  t850 = t221 * t405;
  t852 = t221 * t409;
  t854 = t463 * t39;
  t856 = t540 / t854;
  t858 = t539 * t856 * t232;
  t863 = t229 * t231 * t237 * sigma[0];
  t867 = t109 * t175 * t243;
  t871 = my_piecewise3(t1, 0, t503 * t177 / 0.16e3 + t842 / 0.12e3 + t211 * t405 / 0.36e3 - t211 * t409 / 0.3e2 - t849 + t850 / 0.54e3 - t852 / 0.45e2 + t536 * t858 / 0.36e3 - t106 * t863 / 0.8e2 + 0.11e2 / 0.18e3 * t106 * t867);
  tv3rho2sigma0 = t7 * t871 + 0.2e1 * t413;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t876 = t671 * t182;
  t879 = t675 * t182 / 0.72e3;
  t881 = my_piecewise3(t57, 0, t667 * t182 / 0.16e3 + t876 / 0.12e3 - t879);
  tv3rho2sigma2 = t7 * t881 + 0.2e1 * t420;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t885 = t622 * t177;
  t895 = my_piecewise3(t1, 0, t614 * t177 / 0.16e3 + t885 / 0.24e3 + t296 * t405 / 0.72e3 - t296 * t409 / 0.6e2 + t842 / 0.24e3 - t849 + t850 / 0.108e4 - t852 / 0.9e2);
  tv3rho2sigma3 = t7 * t895 + t413 + t425;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t899 = t741 * t182;
  t904 = t326 * t434;
  t908 = t326 * t438;
  t911 = my_piecewise3(t57, 0, t737 * t182 / 0.16e3 + t899 / 0.24e3 + t876 / 0.24e3 - t879 + t322 * t434 / 0.72e3 + t904 / 0.108e4 - t322 * t438 / 0.6e2 - t908 / 0.9e2);
  tv3rho2sigma5 = t7 * t911 + t420 + t442;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t918 = my_piecewise3(t1, 0, t705 * t177 / 0.16e3 + t885 / 0.12e3 - t849);
  tv3rho2sigma6 = t7 * t918 + 0.2e1 * t425;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t930 = t780 * t69;
  t932 = t540 / t930;
  t934 = t826 * t932 * t376;
  t939 = t375 * t231 * t381 * sigma[2];
  t943 = t162 * t175 * t387;
  t947 = my_piecewise3(t57, 0, t816 * t182 / 0.16e3 + t899 / 0.12e3 + t368 * t434 / 0.36e3 - t368 * t438 / 0.3e2 - t879 + t904 / 0.54e3 - t908 / 0.45e2 + t823 * t934 / 0.36e3 - t159 * t939 / 0.8e2 + 0.11e2 / 0.18e3 * t159 * t943);
  tv3rho2sigma8 = t7 * t947 + 0.2e1 * t442;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  t952 = t221 * t449 / 0.288e4;
  t953 = t463 * rho[0];
  t955 = t540 / t953;
  t957 = t539 * t955 * sigma[0];
  t961 = t227 * t444 * t402;
  t965 = my_piecewise3(t1, 0, -t211 * t449 / 0.192e4 - t952 - t536 * t957 / 0.96e3 + t106 * t961 / 0.36e3);
  tv3rhosigma20 = t7 * t965 + t452;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  t970 = t326 * t457 / 0.288e4;
  t972 = my_piecewise3(t57, 0, -t322 * t457 / 0.192e4 - t970);
  tv3rhosigma25 = t7 * t972 + t460;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  t977 = my_piecewise3(t1, 0, -t296 * t449 / 0.192e4 - t952);
  tv3rhosigma26 = t7 * t977 + t452;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  t981 = t780 * rho[1];
  t983 = t540 / t981;
  t985 = t826 * t983 * sigma[2];
  t989 = t374 * t444 * t431;
  t993 = my_piecewise3(t57, 0, -t368 * t457 / 0.192e4 - t970 - t823 * t985 / 0.96e3 + t159 * t989 / 0.36e3);
  tv3rhosigma211 = t7 * t993 + t460;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  t997 = t539 * t540 / t463;
  t1000 = my_piecewise3(t1, 0, t536 * t997 / 0.256e4);
  tv3sigma30 = t7 * t1000;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  t1003 = t826 * t540 / t780;
  t1006 = my_piecewise3(t57, 0, t823 * t1003 / 0.256e4);
  tv3sigma39 = t7 * t1006;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t4, t6, t7, t8, t11;
  double t12, t15, t16, t17, t19, t20, t21, t22;
  double t23, t24, t25, t26, t28, t29, t30, t31;
  double t32, t33, t34, t35, t36, t37, t38, t39;
  double t40, t41, t43, t47, t52, t56, t57, t58;
  double t60, t61, t62, t63, t64, t66, t67, t68;
  double t69, t70, t71, t73, t77, t82, t86, tzk0;

  double t87, t88, t89, t91, t94, t95, t99, t100;
  double t103, t104, t105, t106, t107, t109, t110, t111;
  double t113, t115, t119, t120, t122, t125, t126, t130;
  double t133, t135, tvrho0, t139, t142, t143, t148, t150;
  double t153, t154, t158, t159, t160, t162, t163, t164;
  double t166, t168, t172, tvrho1, t175, t177, t180, tvsigma0;
  double tvsigma1, t182, t185, tvsigma2;

  double t188, t189, t192, t193, t194, t197, t201, t202;
  double t206, t208, t211, t215, t216, t219, t221, t222;
  double t226, t227, t228, t229, t231, t232, t233, t234;
  double t237, t239, t243, t245, t249, t250, t251, t254;
  double t257, t261, t262, t266, t268, t270, t273, t275;
  double tv2rho20, t278, t282, t286, t287, t291, t293, t296;
  double t302, t303, t307, t311, t312, t316, t318, t322;
  double t326, t327, t330, tv2rho21, t335, t340, t344, t345;
  double t351, t352, t357, t361, t362, t368, t374, t375;
  double t376, t377, t378, t381, t383, t387, t389, t393;
  double tv2rho22, t399, t400, t402, t405, t409, t413, tv2rhosigma0;
  double tv2rhosigma1, t418, t420, tv2rhosigma2, t425, tv2rhosigma3, tv2rhosigma4, t429;
  double t431, t434, t438, t442, tv2rhosigma5, t444, t445, t449;
  double t452, tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t453, t457;
  double t460, tv2sigma25;

  double t463, t465, t467, t471, t473, t478, t481, t482;
  double t485, t488, t489, t490, t493, t497, t498, t503;
  double t507, t508, t513, t514, t516, t518, t520, t522;
  double t524, t527, t528, t531, t532, t535, t536, t537;
  double t539, t540, t541, t542, t543, t544, t546, t549;
  double t550, t552, t553, t556, t559, t562, t566, t567;
  double t571, t573, t575, t577, t579, t582, t584, tv3rho30;
  double t587, t588, t589, t592, t597, t598, t600, t604;
  double t605, t609, t612, t614, t617, t619, t622, t624;
  double t635, t636, t637, t640, t645, t647, t651, t652;
  double t656, t659, t660, t662, t667, t671, t673, t675;
  double t676, t679, tv3rho31, t682, t687, t691, t695, t696;
  double t700, t702, t705, t712, t713, t718, t722, t726;
  double t727, t731, t733, t737, t741, t742, t748, t752;
  double t754, t755, tv3rho32, t760, t767, t771, t772, t779;
  double t780, t782, t784, t788, t790, t799, t806, t810;
  double t811, t816, t823, t824, t826, t827, t828, t829;
  double t830, t832, t835, t836, tv3rho33, t842, t849, t850;
  double t852, t854, t856, t858, t863, t867, t871, tv3rho2sigma0;
  double tv3rho2sigma1, t876, t879, t881, tv3rho2sigma2, t885, t895, tv3rho2sigma3;
  double tv3rho2sigma4, t899, t904, t908, t911, tv3rho2sigma5, t918, tv3rho2sigma6;
  double tv3rho2sigma7, t930, t932, t934, t939, t943, t947, tv3rho2sigma8;
  double t952, t953, t955, t957, t961, t965, tv3rhosigma20, tv3rhosigma21;
  double tv3rhosigma22, tv3rhosigma23, tv3rhosigma24, t970, t972, tv3rhosigma25, t977, tv3rhosigma26;
  double tv3rhosigma27, tv3rhosigma28, tv3rhosigma29, tv3rhosigma210, t981, t983, t985, t989;
  double t993, tv3rhosigma211, t997, t1000, tv3sigma30, tv3sigma31, tv3sigma32, tv3sigma33;
  double tv3sigma34, tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38, t1003, t1006, tv3sigma39;

  double t1010, t1011, t1014, t1015, t1018, t1019, t1027, t1035;
  double t1037, t1039, t1041, t1044, t1045, t1046, t1058, t1060;
  double t1061, t1070, t1073, t1075, t1076, t1082, t1088, t1089;
  double t1092, t1096, t1103, t1107, t1111, t1114, t1118, t1119;
  double t1125, t1128, t1129, t1131, t1133, t1134, t1136, t1137;
  double t1143, t1148, t1151, t1155, t1162, t1166, t1170, t1175;
  double t1177, tv4rho40, t1188, t1191, t1195, t1196, t1201, t1202;
  double t1203, t1204, t1211, t1232, t1233, t1235, t1239, t1246;
  double t1250, t1251, t1254, t1260, t1263, t1265, t1282, t1284;
  double t1288, t1295, t1299, t1300, t1303, t1309, t1313, t1314;
  double t1317, t1318, t1319, t1321, t1322, t1324, t1325, tv4rho41;
  double t1342, t1355, t1359, t1366, t1373, t1383, t1387, t1388;
  double t1396, t1398, t1399, t1401, t1403, t1405, t1408, t1409;
  double t1412, t1413, t1423, t1436, t1440, t1447, t1451, t1463;
  double t1470, t1472, tv4rho42, t1493, t1497, t1504, t1507, t1516;
  double t1517, t1519, t1524, t1526, t1529, t1530, t1532, t1534;
  double t1546, t1566, t1570, t1577, t1583, t1584, t1586, t1589;
  double t1591, tv4rho43, t1596, t1601, t1608, t1612, t1621, t1623;
  double t1628, t1631, t1632, t1664, t1670, t1675, t1682, t1686;
  double t1695, t1701, t1704, t1706, tv4rho44, t1724, t1725, t1727;
  double t1729, t1735, t1737, t1739, t1743, t1745, t1763, t1765;
  double t1766, tv4rho3sigma0, tv4rho3sigma1, t1771, t1773, t1776, t1778, tv4rho3sigma2;
  double t1780, t1787, t1790, t1792, t1794, t1810, t1811, tv4rho3sigma3;
  double tv4rho3sigma4, t1813, t1817, t1818, t1825, t1826, t1831, t1832;
  double t1834, t1835, tv4rho3sigma5, t1839, t1849, t1850, tv4rho3sigma6, tv4rho3sigma7;
  double t1854, t1859, t1863, t1870, t1874, t1878, t1880, t1881;
  double tv4rho3sigma8, t1889, tv4rho3sigma9, tv4rho3sigma10, t1936, t1937, tv4rho3sigma11, t1942;
  double t1949, t1950, t1952, t1971, tv4rho2sigma20, tv4rho2sigma21, tv4rho2sigma22, tv4rho2sigma23;
  double tv4rho2sigma24, t1976, t1979, t1981, tv4rho2sigma25, t1985, t1995, tv4rho2sigma26;
  double tv4rho2sigma27, tv4rho2sigma28, tv4rho2sigma29, tv4rho2sigma210, t1999, t2004, t2008, t2011;
  double tv4rho2sigma211, t2018, tv4rho2sigma212, tv4rho2sigma213, tv4rho2sigma214, tv4rho2sigma215, tv4rho2sigma216, t2047;
  double tv4rho2sigma217, t2052, t2064, tv4rhosigma30, tv4rhosigma31, tv4rhosigma32, tv4rhosigma33, tv4rhosigma34;
  double tv4rhosigma35, tv4rhosigma36, tv4rhosigma37, tv4rhosigma38, t2069, t2071, tv4rhosigma39, t2076;
  double tv4rhosigma310, tv4rhosigma311, tv4rhosigma312, tv4rhosigma313, tv4rhosigma314, tv4rhosigma315, tv4rhosigma316, tv4rhosigma317;
  double tv4rhosigma318, t2091, tv4rhosigma319, t2100, tv4sigma40, tv4sigma41, tv4sigma42, tv4sigma43;
  double tv4sigma44, tv4sigma45, tv4sigma46, tv4sigma47, tv4sigma48, tv4sigma49, tv4sigma410, tv4sigma411;
  double tv4sigma412, tv4sigma413, t2108, tv4sigma414;

  gga_k_apbe_params *params;

  assert(p->params != NULL);
  params = (gga_k_apbe_params * )(p->params);

  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = t2 * t2;
  t4 = M_CBRTPI;
  t6 = t3 * t4 * M_PI;
  t7 = rho[0] + rho[1];
  t8 = 0.1e1 / t7;
  t11 = 0.2e1 * rho[0] * t8 <= p->zeta_threshold;
  t12 = p->zeta_threshold - 0.1e1;
  t15 = 0.2e1 * rho[1] * t8 <= p->zeta_threshold;
  t16 = -t12;
  t17 = rho[0] - rho[1];
  t19 = my_piecewise5(t11, t12, t15, t16, t17 * t8);
  t20 = 0.1e1 + t19;
  t21 = t20 <= p->zeta_threshold;
  t22 = POW_1_3(p->zeta_threshold);
  t23 = t22 * t22;
  t24 = t23 * p->zeta_threshold;
  t25 = POW_1_3(t20);
  t26 = t25 * t25;
  t28 = my_piecewise3(t21, t24, t26 * t20);
  t29 = POW_1_3(t7);
  t30 = t29 * t29;
  t31 = t28 * t30;
  t32 = M_CBRT6;
  t33 = params->mu * t32;
  t34 = M_PI * M_PI;
  t35 = POW_1_3(t34);
  t36 = t35 * t35;
  t37 = 0.1e1 / t36;
  t38 = t37 * sigma[0];
  t39 = rho[0] * rho[0];
  t40 = POW_1_3(rho[0]);
  t41 = t40 * t40;
  t43 = 0.1e1 / t41 / t39;
  t47 = params->kappa + t33 * t38 * t43 / 0.24e2;
  t52 = 0.1e1 + params->kappa * (0.1e1 - params->kappa / t47);
  t56 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t52);
  t57 = rho[1] <= p->dens_threshold;
  t58 = -t17;
  t60 = my_piecewise5(t15, t12, t11, t16, t58 * t8);
  t61 = 0.1e1 + t60;
  t62 = t61 <= p->zeta_threshold;
  t63 = POW_1_3(t61);
  t64 = t63 * t63;
  t66 = my_piecewise3(t62, t24, t64 * t61);
  t67 = t66 * t30;
  t68 = t37 * sigma[2];
  t69 = rho[1] * rho[1];
  t70 = POW_1_3(rho[1]);
  t71 = t70 * t70;
  t73 = 0.1e1 / t71 / t69;
  t77 = params->kappa + t33 * t68 * t73 / 0.24e2;
  t82 = 0.1e1 + params->kappa * (0.1e1 - params->kappa / t77);
  t86 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t67 * t82);
  tzk0 = t56 + t86;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t87 = t7 * t7;
  t88 = 0.1e1 / t87;
  t89 = t17 * t88;
  t91 = my_piecewise5(t11, 0, t15, 0, t8 - t89);
  t94 = my_piecewise3(t21, 0, 0.5e1 / 0.3e1 * t26 * t91);
  t95 = t94 * t30;
  t99 = 0.1e1 / t29;
  t100 = t28 * t99;
  t103 = t6 * t100 * t52 / 0.1e2;
  t104 = params->kappa * params->kappa;
  t105 = t31 * t104;
  t106 = t6 * t105;
  t107 = t47 * t47;
  t109 = 0.1e1 / t107 * params->mu;
  t110 = t109 * t32;
  t111 = t39 * rho[0];
  t113 = 0.1e1 / t41 / t111;
  t115 = t110 * t38 * t113;
  t119 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t95 * t52 + t103 - t106 * t115 / 0.6e2);
  t120 = t58 * t88;
  t122 = my_piecewise5(t15, 0, t11, 0, -t8 - t120);
  t125 = my_piecewise3(t62, 0, 0.5e1 / 0.3e1 * t64 * t122);
  t126 = t125 * t30;
  t130 = t66 * t99;
  t133 = t6 * t130 * t82 / 0.1e2;
  t135 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t126 * t82 + t133);
  tvrho0 = t56 + t86 + t7 * (t119 + t135);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t139 = my_piecewise5(t11, 0, t15, 0, -t8 - t89);
  t142 = my_piecewise3(t21, 0, 0.5e1 / 0.3e1 * t26 * t139);
  t143 = t142 * t30;
  t148 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t143 * t52 + t103);
  t150 = my_piecewise5(t15, 0, t11, 0, t8 - t120);
  t153 = my_piecewise3(t62, 0, 0.5e1 / 0.3e1 * t64 * t150);
  t154 = t153 * t30;
  t158 = t67 * t104;
  t159 = t6 * t158;
  t160 = t77 * t77;
  t162 = 0.1e1 / t160 * params->mu;
  t163 = t162 * t32;
  t164 = t69 * rho[1];
  t166 = 0.1e1 / t71 / t164;
  t168 = t163 * t68 * t166;
  t172 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t154 * t82 + t133 - t159 * t168 / 0.6e2);
  tvrho1 = t56 + t86 + t7 * (t148 + t172);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t175 = t32 * t37;
  t177 = t109 * t175 * t43;
  t180 = my_piecewise3(t1, 0, t106 * t177 / 0.16e3);
  tvsigma0 = t7 * t180;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t182 = t162 * t175 * t73;
  t185 = my_piecewise3(t57, 0, t159 * t182 / 0.16e3);
  tvsigma2 = t7 * t185;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t188 = 0.1e1 / t25;
  t189 = t91 * t91;
  t192 = t87 * t7;
  t193 = 0.1e1 / t192;
  t194 = t17 * t193;
  t197 = my_piecewise5(t11, 0, t15, 0, -0.2e1 * t88 + 0.2e1 * t194);
  t201 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t188 * t189 + 0.5e1 / 0.3e1 * t26 * t197);
  t202 = t201 * t30;
  t206 = t94 * t99;
  t208 = t6 * t206 * t52;
  t211 = t6 * t95 * t104;
  t215 = 0.1e1 / t29 / t7;
  t216 = t28 * t215;
  t219 = t6 * t216 * t52 / 0.3e2;
  t221 = t6 * t100 * t104;
  t222 = t221 * t115;
  t226 = params->mu * params->mu;
  t227 = 0.1e1 / t107 / t47 * t226;
  t228 = t32 * t32;
  t229 = t227 * t228;
  t231 = 0.1e1 / t35 / t34;
  t232 = sigma[0] * sigma[0];
  t233 = t231 * t232;
  t234 = t39 * t39;
  t237 = 0.1e1 / t40 / t234 / t111;
  t239 = t229 * t233 * t237;
  t243 = 0.1e1 / t41 / t234;
  t245 = t110 * t38 * t243;
  t249 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t202 * t52 + t208 / 0.5e1 - t211 * t115 / 0.3e2 - t219 - t222 / 0.45e2 - t106 * t239 / 0.27e3 + 0.11e2 / 0.18e3 * t106 * t245);
  t250 = 0.1e1 / t63;
  t251 = t122 * t122;
  t254 = t58 * t193;
  t257 = my_piecewise5(t15, 0, t11, 0, 0.2e1 * t88 + 0.2e1 * t254);
  t261 = my_piecewise3(t62, 0, 0.1e2 / 0.9e1 * t250 * t251 + 0.5e1 / 0.3e1 * t64 * t257);
  t262 = t261 * t30;
  t266 = t125 * t99;
  t268 = t6 * t266 * t82;
  t270 = t66 * t215;
  t273 = t6 * t270 * t82 / 0.3e2;
  t275 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t262 * t82 + t268 / 0.5e1 - t273);
  tv2rho20 = 0.2e1 * t119 + 0.2e1 * t135 + t7 * (t249 + t275);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t278 = t188 * t139;
  t282 = my_piecewise5(t11, 0, t15, 0, 0.2e1 * t194);
  t286 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t278 * t91 + 0.5e1 / 0.3e1 * t26 * t282);
  t287 = t286 * t30;
  t291 = t142 * t99;
  t293 = t6 * t291 * t52;
  t296 = t6 * t143 * t104;
  t302 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t287 * t52 + t293 / 0.1e2 - t296 * t115 / 0.6e2 + t208 / 0.1e2 - t219 - t222 / 0.9e2);
  t303 = t250 * t150;
  t307 = my_piecewise5(t15, 0, t11, 0, 0.2e1 * t254);
  t311 = my_piecewise3(t62, 0, 0.1e2 / 0.9e1 * t303 * t122 + 0.5e1 / 0.3e1 * t64 * t307);
  t312 = t311 * t30;
  t316 = t153 * t99;
  t318 = t6 * t316 * t82;
  t322 = t6 * t126 * t104;
  t326 = t6 * t130 * t104;
  t327 = t326 * t168;
  t330 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t312 * t82 + t318 / 0.1e2 + t268 / 0.1e2 - t273 - t322 * t168 / 0.6e2 - t327 / 0.9e2);
  tv2rho21 = t119 + t135 + t148 + t172 + t7 * (t302 + t330);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t335 = t139 * t139;
  t340 = my_piecewise5(t11, 0, t15, 0, 0.2e1 * t88 + 0.2e1 * t194);
  t344 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t188 * t335 + 0.5e1 / 0.3e1 * t26 * t340);
  t345 = t344 * t30;
  t351 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t345 * t52 + t293 / 0.5e1 - t219);
  t352 = t150 * t150;
  t357 = my_piecewise5(t15, 0, t11, 0, -0.2e1 * t88 + 0.2e1 * t254);
  t361 = my_piecewise3(t62, 0, 0.1e2 / 0.9e1 * t250 * t352 + 0.5e1 / 0.3e1 * t64 * t357);
  t362 = t361 * t30;
  t368 = t6 * t154 * t104;
  t374 = 0.1e1 / t160 / t77 * t226;
  t375 = t374 * t228;
  t376 = sigma[2] * sigma[2];
  t377 = t231 * t376;
  t378 = t69 * t69;
  t381 = 0.1e1 / t70 / t378 / t164;
  t383 = t375 * t377 * t381;
  t387 = 0.1e1 / t71 / t378;
  t389 = t163 * t68 * t387;
  t393 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t362 * t82 + t318 / 0.5e1 - t368 * t168 / 0.3e2 - t273 - t327 / 0.45e2 - t159 * t383 / 0.27e3 + 0.11e2 / 0.18e3 * t159 * t389);
  tv2rho22 = 0.2e1 * t148 + 0.2e1 * t172 + t7 * (t351 + t393);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t399 = t221 * t177 / 0.24e3;
  t400 = t234 * t39;
  t402 = 0.1e1 / t40 / t400;
  t405 = t229 * t231 * t402 * sigma[0];
  t409 = t109 * t175 * t113;
  t413 = my_piecewise3(t1, 0, t211 * t177 / 0.16e3 + t399 + t106 * t405 / 0.72e3 - t106 * t409 / 0.6e2);
  tv2rhosigma0 = t7 * t413 + t180;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t418 = t326 * t182 / 0.24e3;
  t420 = my_piecewise3(t57, 0, t322 * t182 / 0.16e3 + t418);
  tv2rhosigma2 = t7 * t420 + t185;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t425 = my_piecewise3(t1, 0, t296 * t177 / 0.16e3 + t399);
  tv2rhosigma3 = t7 * t425 + t180;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t429 = t378 * t69;
  t431 = 0.1e1 / t70 / t429;
  t434 = t375 * t231 * t431 * sigma[2];
  t438 = t162 * t175 * t166;
  t442 = my_piecewise3(t57, 0, t368 * t182 / 0.16e3 + t418 + t159 * t434 / 0.72e3 - t159 * t438 / 0.6e2);
  tv2rhosigma5 = t7 * t442 + t185;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t444 = t228 * t231;
  t445 = t234 * rho[0];
  t449 = t227 * t444 / t40 / t445;
  t452 = my_piecewise3(t1, 0, -t106 * t449 / 0.192e4);
  tv2sigma20 = t7 * t452;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t453 = t378 * rho[1];
  t457 = t374 * t444 / t70 / t453;
  t460 = my_piecewise3(t57, 0, -t159 * t457 / 0.192e4);
  tv2sigma25 = t7 * t460;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t463 = t234 * t234;
  t465 = 0.1e1 / t40 / t463;
  t467 = t229 * t233 * t465;
  t471 = 0.1e1 / t41 / t445;
  t473 = t110 * t38 * t471;
  t478 = t221 * t245;
  t481 = 0.1e1 / t25 / t20;
  t482 = t189 * t91;
  t485 = t188 * t91;
  t488 = t87 * t87;
  t489 = 0.1e1 / t488;
  t490 = t17 * t489;
  t493 = my_piecewise5(t11, 0, t15, 0, 0.6e1 * t193 - 0.6e1 * t490);
  t497 = my_piecewise3(t21, 0, -0.1e2 / 0.27e2 * t481 * t482 + 0.1e2 / 0.3e1 * t485 * t197 + 0.5e1 / 0.3e1 * t26 * t493);
  t498 = t497 * t30;
  t503 = t6 * t202 * t104;
  t507 = t6 * t206 * t104;
  t508 = t507 * t115;
  t513 = t6 * t216 * t104;
  t514 = t513 * t115;
  t516 = t221 * t239;
  t518 = t201 * t99;
  t520 = t6 * t518 * t52;
  t522 = t94 * t215;
  t524 = t6 * t522 * t52;
  t527 = 0.1e1 / t29 / t87;
  t528 = t28 * t527;
  t531 = 0.2e1 / 0.45e2 * t6 * t528 * t52;
  t532 = t4 * t4;
  t535 = t3 / t532 / t34;
  t536 = t535 * t31;
  t537 = t107 * t107;
  t539 = t104 / t537;
  t540 = t226 * params->mu;
  t541 = t232 * sigma[0];
  t542 = t540 * t541;
  t543 = t463 * t111;
  t544 = 0.1e1 / t543;
  t546 = t539 * t542 * t544;
  t549 = 0.11e2 / 0.27e3 * t106 * t467 - 0.77e2 / 0.27e3 * t106 * t473 + 0.11e2 / 0.6e2 * t211 * t245 + 0.11e2 / 0.9e2 * t478 + 0.3e1 / 0.2e2 * t6 * t498 * t52 - t503 * t115 / 0.2e2 - t508 / 0.15e2 - t211 * t239 / 0.9e2 + t514 / 0.9e2 - t516 / 0.135e3 + 0.3e1 / 0.1e2 * t520 - t524 / 0.1e2 + t531 - t536 * t546 / 0.135e3;
  t550 = my_piecewise3(t1, 0, t549);
  t552 = 0.1e1 / t63 / t61;
  t553 = t251 * t122;
  t556 = t250 * t122;
  t559 = t58 * t489;
  t562 = my_piecewise5(t15, 0, t11, 0, -0.6e1 * t193 - 0.6e1 * t559);
  t566 = my_piecewise3(t62, 0, -0.1e2 / 0.27e2 * t552 * t553 + 0.1e2 / 0.3e1 * t556 * t257 + 0.5e1 / 0.3e1 * t64 * t562);
  t567 = t566 * t30;
  t571 = t261 * t99;
  t573 = t6 * t571 * t82;
  t575 = t125 * t215;
  t577 = t6 * t575 * t82;
  t579 = t66 * t527;
  t582 = 0.2e1 / 0.45e2 * t6 * t579 * t82;
  t584 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t567 * t82 + 0.3e1 / 0.1e2 * t573 - t577 / 0.1e2 + t582);
  tv3rho30 = 0.3e1 * t249 + 0.3e1 * t275 + t7 * (t550 + t584);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t587 = 0.2e1 * t302;
  t588 = 0.2e1 * t330;
  t589 = t481 * t139;
  t592 = t188 * t282;
  t597 = 0.2e1 * t193;
  t598 = 0.6e1 * t490;
  t600 = my_piecewise5(t11, 0, t15, 0, t597 - t598);
  t604 = my_piecewise3(t21, 0, -0.1e2 / 0.27e2 * t589 * t189 + 0.2e2 / 0.9e1 * t592 * t91 + 0.1e2 / 0.9e1 * t278 * t197 + 0.5e1 / 0.3e1 * t26 * t600);
  t605 = t604 * t30;
  t609 = t286 * t99;
  t612 = t6 * t609 * t52 / 0.5e1;
  t614 = t6 * t287 * t104;
  t617 = t142 * t215;
  t619 = t6 * t617 * t52;
  t622 = t6 * t291 * t104;
  t624 = t622 * t115 / 0.45e2;
  t635 = 0.3e1 / 0.2e2 * t6 * t605 * t52 + t612 - t614 * t115 / 0.3e2 - t619 / 0.3e2 - t624 - t296 * t239 / 0.27e3 + 0.11e2 / 0.18e3 * t296 * t245 + t520 / 0.1e2 - t524 / 0.15e2 - t508 / 0.45e2 + t531 + t514 / 0.135e3 - t516 / 0.405e3 + 0.11e2 / 0.27e3 * t478;
  t636 = my_piecewise3(t1, 0, t635);
  t637 = t552 * t150;
  t640 = t250 * t307;
  t645 = 0.6e1 * t559;
  t647 = my_piecewise5(t15, 0, t11, 0, -t597 - t645);
  t651 = my_piecewise3(t62, 0, -0.1e2 / 0.27e2 * t637 * t251 + 0.2e2 / 0.9e1 * t640 * t122 + 0.1e2 / 0.9e1 * t303 * t257 + 0.5e1 / 0.3e1 * t64 * t647);
  t652 = t651 * t30;
  t656 = t311 * t99;
  t659 = t6 * t656 * t82 / 0.5e1;
  t660 = t153 * t215;
  t662 = t6 * t660 * t82;
  t667 = t6 * t262 * t104;
  t671 = t6 * t266 * t104;
  t673 = t671 * t168 / 0.45e2;
  t675 = t6 * t270 * t104;
  t676 = t675 * t168;
  t679 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t652 * t82 + t659 - t662 / 0.3e2 + t573 / 0.1e2 - t577 / 0.15e2 + t582 - t667 * t168 / 0.6e2 - t673 + t676 / 0.27e3);
  tv3rho31 = t249 + t275 + t587 + t588 + t7 * (t636 + t679);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t682 = t481 * t335;
  t687 = t188 * t340;
  t691 = my_piecewise5(t11, 0, t15, 0, -t597 - t598);
  t695 = my_piecewise3(t21, 0, -0.1e2 / 0.27e2 * t682 * t91 + 0.2e2 / 0.9e1 * t278 * t282 + 0.1e2 / 0.9e1 * t687 * t91 + 0.5e1 / 0.3e1 * t26 * t691);
  t696 = t695 * t30;
  t700 = t344 * t99;
  t702 = t6 * t700 * t52;
  t705 = t6 * t345 * t104;
  t712 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t696 * t52 + t702 / 0.1e2 - t705 * t115 / 0.6e2 + t612 - t619 / 0.15e2 - t624 - t524 / 0.3e2 + t531 + t514 / 0.27e3);
  t713 = t552 * t352;
  t718 = t250 * t357;
  t722 = my_piecewise5(t15, 0, t11, 0, t597 - t645);
  t726 = my_piecewise3(t62, 0, -0.1e2 / 0.27e2 * t713 * t122 + 0.2e2 / 0.9e1 * t303 * t307 + 0.1e2 / 0.9e1 * t718 * t122 + 0.5e1 / 0.3e1 * t64 * t722);
  t727 = t726 * t30;
  t731 = t361 * t99;
  t733 = t6 * t731 * t82;
  t737 = t6 * t312 * t104;
  t741 = t6 * t316 * t104;
  t742 = t741 * t168;
  t748 = t326 * t383;
  t752 = t326 * t389;
  t754 = 0.3e1 / 0.2e2 * t6 * t727 * t82 + t733 / 0.1e2 + t659 - t662 / 0.15e2 - t737 * t168 / 0.3e2 - t742 / 0.45e2 - t577 / 0.3e2 + t582 - t673 + t676 / 0.135e3 - t322 * t383 / 0.27e3 - t748 / 0.405e3 + 0.11e2 / 0.18e3 * t322 * t389 + 0.11e2 / 0.27e3 * t752;
  t755 = my_piecewise3(t57, 0, t754);
  tv3rho32 = t587 + t588 + t351 + t393 + t7 * (t712 + t755);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t760 = t335 * t139;
  t767 = my_piecewise5(t11, 0, t15, 0, -0.6e1 * t193 - 0.6e1 * t490);
  t771 = my_piecewise3(t21, 0, -0.1e2 / 0.27e2 * t481 * t760 + 0.1e2 / 0.3e1 * t278 * t340 + 0.5e1 / 0.3e1 * t26 * t767);
  t772 = t771 * t30;
  t779 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t772 * t52 + 0.3e1 / 0.1e2 * t702 - t619 / 0.1e2 + t531);
  t780 = t378 * t378;
  t782 = 0.1e1 / t70 / t780;
  t784 = t375 * t377 * t782;
  t788 = 0.1e1 / t71 / t453;
  t790 = t163 * t68 * t788;
  t799 = t352 * t150;
  t806 = my_piecewise5(t15, 0, t11, 0, 0.6e1 * t193 - 0.6e1 * t559);
  t810 = my_piecewise3(t62, 0, -0.1e2 / 0.27e2 * t552 * t799 + 0.1e2 / 0.3e1 * t303 * t357 + 0.5e1 / 0.3e1 * t64 * t806);
  t811 = t810 * t30;
  t816 = t6 * t362 * t104;
  t823 = t535 * t67;
  t824 = t160 * t160;
  t826 = t104 / t824;
  t827 = t376 * sigma[2];
  t828 = t540 * t827;
  t829 = t780 * t164;
  t830 = 0.1e1 / t829;
  t832 = t826 * t828 * t830;
  t835 = 0.11e2 / 0.27e3 * t159 * t784 - 0.77e2 / 0.27e3 * t159 * t790 + 0.11e2 / 0.6e2 * t368 * t389 + 0.11e2 / 0.9e2 * t752 - t742 / 0.15e2 - t748 / 0.135e3 + t676 / 0.9e2 + 0.3e1 / 0.2e2 * t6 * t811 * t82 - t816 * t168 / 0.2e2 - t368 * t383 / 0.9e2 + 0.3e1 / 0.1e2 * t733 + t582 - t662 / 0.1e2 - t823 * t832 / 0.135e3;
  t836 = my_piecewise3(t57, 0, t835);
  tv3rho33 = 0.3e1 * t351 + 0.3e1 * t393 + t7 * (t779 + t836);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t842 = t507 * t177;
  t849 = t513 * t177 / 0.72e3;
  t850 = t221 * t405;
  t852 = t221 * t409;
  t854 = t463 * t39;
  t856 = t540 / t854;
  t858 = t539 * t856 * t232;
  t863 = t229 * t231 * t237 * sigma[0];
  t867 = t109 * t175 * t243;
  t871 = my_piecewise3(t1, 0, t503 * t177 / 0.16e3 + t842 / 0.12e3 + t211 * t405 / 0.36e3 - t211 * t409 / 0.3e2 - t849 + t850 / 0.54e3 - t852 / 0.45e2 + t536 * t858 / 0.36e3 - t106 * t863 / 0.8e2 + 0.11e2 / 0.18e3 * t106 * t867);
  tv3rho2sigma0 = t7 * t871 + 0.2e1 * t413;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t876 = t671 * t182;
  t879 = t675 * t182 / 0.72e3;
  t881 = my_piecewise3(t57, 0, t667 * t182 / 0.16e3 + t876 / 0.12e3 - t879);
  tv3rho2sigma2 = t7 * t881 + 0.2e1 * t420;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t885 = t622 * t177;
  t895 = my_piecewise3(t1, 0, t614 * t177 / 0.16e3 + t885 / 0.24e3 + t296 * t405 / 0.72e3 - t296 * t409 / 0.6e2 + t842 / 0.24e3 - t849 + t850 / 0.108e4 - t852 / 0.9e2);
  tv3rho2sigma3 = t7 * t895 + t413 + t425;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t899 = t741 * t182;
  t904 = t326 * t434;
  t908 = t326 * t438;
  t911 = my_piecewise3(t57, 0, t737 * t182 / 0.16e3 + t899 / 0.24e3 + t876 / 0.24e3 - t879 + t322 * t434 / 0.72e3 + t904 / 0.108e4 - t322 * t438 / 0.6e2 - t908 / 0.9e2);
  tv3rho2sigma5 = t7 * t911 + t420 + t442;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t918 = my_piecewise3(t1, 0, t705 * t177 / 0.16e3 + t885 / 0.12e3 - t849);
  tv3rho2sigma6 = t7 * t918 + 0.2e1 * t425;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t930 = t780 * t69;
  t932 = t540 / t930;
  t934 = t826 * t932 * t376;
  t939 = t375 * t231 * t381 * sigma[2];
  t943 = t162 * t175 * t387;
  t947 = my_piecewise3(t57, 0, t816 * t182 / 0.16e3 + t899 / 0.12e3 + t368 * t434 / 0.36e3 - t368 * t438 / 0.3e2 - t879 + t904 / 0.54e3 - t908 / 0.45e2 + t823 * t934 / 0.36e3 - t159 * t939 / 0.8e2 + 0.11e2 / 0.18e3 * t159 * t943);
  tv3rho2sigma8 = t7 * t947 + 0.2e1 * t442;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  t952 = t221 * t449 / 0.288e4;
  t953 = t463 * rho[0];
  t955 = t540 / t953;
  t957 = t539 * t955 * sigma[0];
  t961 = t227 * t444 * t402;
  t965 = my_piecewise3(t1, 0, -t211 * t449 / 0.192e4 - t952 - t536 * t957 / 0.96e3 + t106 * t961 / 0.36e3);
  tv3rhosigma20 = t7 * t965 + t452;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  t970 = t326 * t457 / 0.288e4;
  t972 = my_piecewise3(t57, 0, -t322 * t457 / 0.192e4 - t970);
  tv3rhosigma25 = t7 * t972 + t460;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  t977 = my_piecewise3(t1, 0, -t296 * t449 / 0.192e4 - t952);
  tv3rhosigma26 = t7 * t977 + t452;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  t981 = t780 * rho[1];
  t983 = t540 / t981;
  t985 = t826 * t983 * sigma[2];
  t989 = t374 * t444 * t431;
  t993 = my_piecewise3(t57, 0, -t368 * t457 / 0.192e4 - t970 - t823 * t985 / 0.96e3 + t159 * t989 / 0.36e3);
  tv3rhosigma211 = t7 * t993 + t460;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  t997 = t539 * t540 / t463;
  t1000 = my_piecewise3(t1, 0, t536 * t997 / 0.256e4);
  tv3sigma30 = t7 * t1000;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  t1003 = t826 * t540 / t780;
  t1006 = my_piecewise3(t57, 0, t823 * t1003 / 0.256e4);
  tv3sigma39 = t7 * t1006;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

  t1010 = t6 * t528 * t104;
  t1011 = t1010 * t115;
  t1014 = t6 * t518 * t104;
  t1015 = t1014 * t115;
  t1018 = t6 * t522 * t104;
  t1019 = t1018 * t115;
  t1027 = t221 * t473;
  t1035 = t507 * t245;
  t1037 = t513 * t245;
  t1039 = t221 * t467;
  t1041 = t535 * t105;
  t1044 = t226 * t226;
  t1045 = 0.1e1 / t537 / t47 * t1044;
  t1046 = t232 * t232;
  t1058 = t507 * t239;
  t1060 = -0.8e1 / 0.405e3 * t1011 - 0.2e1 / 0.15e2 * t1015 + 0.2e1 / 0.45e2 * t1019 - 0.979e3 / 0.243e4 * t106 * t229 * t233 / t40 / t953 - 0.308e3 / 0.405e3 * t1027 + 0.1309e4 / 0.81e3 * t106 * t110 * t38 / t41 / t400 + 0.22e2 / 0.45e2 * t1035 - 0.11e2 / 0.135e3 * t1037 + 0.44e2 / 0.405e3 * t1039 - 0.4e1 / 0.1215e4 * t1041 * t1045 * t1046 / t41 / t463 / t400 * t32 * t37 - t503 * t239 / 0.45e2 - 0.4e1 / 0.135e3 * t1058;
  t1061 = t513 * t239;
  t1070 = t6 * t498 * t104;
  t1073 = t20 * t20;
  t1075 = 0.1e1 / t25 / t1073;
  t1076 = t189 * t189;
  t1082 = t197 * t197;
  t1088 = 0.1e1 / t488 / t7;
  t1089 = t17 * t1088;
  t1092 = my_piecewise5(t11, 0, t15, 0, -0.24e2 * t489 + 0.24e2 * t1089);
  t1096 = my_piecewise3(t21, 0, 0.4e2 / 0.81e2 * t1075 * t1076 - 0.2e2 / 0.9e1 * t481 * t189 * t197 + 0.1e2 / 0.3e1 * t188 * t1082 + 0.4e2 / 0.9e1 * t485 * t493 + 0.5e1 / 0.3e1 * t26 * t1092);
  t1103 = t6 * t497 * t99 * t52;
  t1107 = t6 * t201 * t215 * t52;
  t1111 = t6 * t94 * t527 * t52;
  t1114 = 0.1e1 / t29 / t192;
  t1118 = 0.14e2 / 0.135e3 * t6 * t28 * t1114 * t52;
  t1119 = t463 * t234;
  t1125 = t535 * t95;
  t1128 = t535 * t100;
  t1129 = t1128 * t546;
  t1131 = 0.2e1 / 0.405e3 * t1061 + 0.22e2 / 0.135e3 * t211 * t467 - 0.154e3 / 0.135e3 * t211 * t473 + 0.11e2 / 0.3e2 * t503 * t245 - t1070 * t115 / 0.15e2 + 0.3e1 / 0.2e2 * t6 * t1096 * t30 * t52 + 0.2e1 / 0.5e1 * t1103 - t1107 / 0.5e1 + 0.8e1 / 0.45e2 * t1111 - t1118 + 0.22e2 / 0.135e3 * t536 * t539 * t542 / t1119 - 0.4e1 / 0.135e3 * t1125 * t546 - 0.8e1 / 0.405e3 * t1129;
  t1133 = my_piecewise3(t1, 0, t1060 + t1131);
  t1134 = t61 * t61;
  t1136 = 0.1e1 / t63 / t1134;
  t1137 = t251 * t251;
  t1143 = t257 * t257;
  t1148 = t58 * t1088;
  t1151 = my_piecewise5(t15, 0, t11, 0, 0.24e2 * t489 + 0.24e2 * t1148);
  t1155 = my_piecewise3(t62, 0, 0.4e2 / 0.81e2 * t1136 * t1137 - 0.2e2 / 0.9e1 * t552 * t251 * t257 + 0.1e2 / 0.3e1 * t250 * t1143 + 0.4e2 / 0.9e1 * t556 * t562 + 0.5e1 / 0.3e1 * t64 * t1151);
  t1162 = t6 * t566 * t99 * t82;
  t1166 = t6 * t261 * t215 * t82;
  t1170 = t6 * t125 * t527 * t82;
  t1175 = 0.14e2 / 0.135e3 * t6 * t66 * t1114 * t82;
  t1177 = my_piecewise3(t57, 0, 0.3e1 / 0.2e2 * t6 * t1155 * t30 * t82 + 0.2e1 / 0.5e1 * t1162 - t1166 / 0.5e1 + 0.8e1 / 0.45e2 * t1170 - t1175);
  tv4rho40 = 0.4e1 * t550 + 0.4e1 * t584 + t7 * (t1133 + t1177);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t1188 = t622 * t245;
  t1191 = t6 * t605 * t104;
  t1195 = t6 * t609 * t104;
  t1196 = t1195 * t115;
  t1201 = t6 * t617 * t104;
  t1202 = t1201 * t115;
  t1203 = t1202 / 0.9e2;
  t1204 = t622 * t239;
  t1211 = 0.11e2 / 0.27e3 * t296 * t467 - 0.77e2 / 0.27e3 * t296 * t473 + 0.11e2 / 0.6e2 * t614 * t245 + 0.11e2 / 0.9e2 * t1188 - t1191 * t115 / 0.2e2 - t1196 / 0.15e2 - t614 * t239 / 0.9e2 + t1203 - t1204 / 0.135e3 - 0.2e1 / 0.135e3 * t1011 - t1015 / 0.3e2 + t1019 / 0.45e2 - 0.77e2 / 0.405e3 * t1027 + 0.11e2 / 0.9e2 * t1035;
  t1232 = 0.12e2 * t489;
  t1233 = 0.24e2 * t1089;
  t1235 = my_piecewise5(t11, 0, t15, 0, -t1232 + t1233);
  t1239 = my_piecewise3(t21, 0, 0.4e2 / 0.81e2 * t1075 * t139 * t482 - 0.1e2 / 0.9e1 * t481 * t282 * t189 - 0.1e2 / 0.9e1 * t589 * t91 * t197 + 0.1e2 / 0.3e1 * t188 * t600 * t91 + 0.1e2 / 0.3e1 * t592 * t197 + 0.1e2 / 0.9e1 * t278 * t493 + 0.5e1 / 0.3e1 * t26 * t1235);
  t1246 = t6 * t604 * t99 * t52;
  t1250 = t6 * t286 * t215 * t52;
  t1251 = t1250 / 0.1e2;
  t1254 = t6 * t142 * t527 * t52;
  t1260 = t535 * t143;
  t1263 = -0.11e2 / 0.27e3 * t1037 + 0.11e2 / 0.405e3 * t1039 - t1058 / 0.135e3 + t1061 / 0.405e3 + 0.3e1 / 0.2e2 * t6 * t1239 * t30 * t52 + 0.3e1 / 0.1e2 * t1246 - t1251 + 0.2e1 / 0.45e2 * t1254 + t1103 / 0.1e2 - t1107 / 0.1e2 + 0.2e1 / 0.15e2 * t1111 - t1118 - 0.2e1 / 0.405e3 * t1129 - t1260 * t546 / 0.135e3;
  t1265 = my_piecewise3(t1, 0, t1211 + t1263);
  t1282 = 0.24e2 * t1148;
  t1284 = my_piecewise5(t15, 0, t11, 0, t1232 + t1282);
  t1288 = my_piecewise3(t62, 0, 0.4e2 / 0.81e2 * t1136 * t150 * t553 - 0.1e2 / 0.9e1 * t552 * t307 * t251 - 0.1e2 / 0.9e1 * t637 * t122 * t257 + 0.1e2 / 0.3e1 * t250 * t647 * t122 + 0.1e2 / 0.3e1 * t640 * t257 + 0.1e2 / 0.9e1 * t303 * t562 + 0.5e1 / 0.3e1 * t64 * t1284);
  t1295 = t6 * t651 * t99 * t82;
  t1299 = t6 * t311 * t215 * t82;
  t1300 = t1299 / 0.1e2;
  t1303 = t6 * t153 * t527 * t82;
  t1309 = t6 * t567 * t104;
  t1313 = t6 * t571 * t104;
  t1314 = t1313 * t168;
  t1317 = t6 * t575 * t104;
  t1318 = t1317 * t168;
  t1319 = t1318 / 0.9e2;
  t1321 = t6 * t579 * t104;
  t1322 = t1321 * t168;
  t1324 = 0.3e1 / 0.2e2 * t6 * t1288 * t30 * t82 + 0.3e1 / 0.1e2 * t1295 - t1300 + 0.2e1 / 0.45e2 * t1303 + t1162 / 0.1e2 - t1166 / 0.1e2 + 0.2e1 / 0.15e2 * t1170 - t1175 - t1309 * t168 / 0.6e2 - t1314 / 0.3e2 + t1319 - 0.2e1 / 0.405e3 * t1322;
  t1325 = my_piecewise3(t57, 0, t1324);
  tv4rho41 = t550 + t584 + 0.3e1 * t636 + 0.3e1 * t679 + t7 * (t1265 + t1325);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 1] += tv4rho41;

  t1342 = t282 * t282;
  t1355 = my_piecewise5(t11, 0, t15, 0, t1233);
  t1359 = my_piecewise3(t21, 0, 0.4e2 / 0.81e2 * t1075 * t335 * t189 - 0.4e2 / 0.27e2 * t589 * t91 * t282 - 0.1e2 / 0.27e2 * t682 * t197 + 0.2e2 / 0.9e1 * t188 * t1342 + 0.2e2 / 0.9e1 * t278 * t600 - 0.1e2 / 0.27e2 * t481 * t340 * t189 + 0.2e2 / 0.9e1 * t188 * t691 * t91 + 0.1e2 / 0.9e1 * t687 * t197 + 0.5e1 / 0.3e1 * t26 * t1355);
  t1366 = t6 * t344 * t215 * t52;
  t1373 = t6 * t695 * t99 * t52;
  t1383 = t6 * t696 * t104;
  t1387 = t6 * t700 * t104;
  t1388 = t1387 * t115;
  t1396 = 0.11e2 / 0.135e3 * t1188 - 0.4e1 / 0.405e3 * t1011 + t1019 / 0.135e3 - 0.11e2 / 0.81e3 * t1037 - t1383 * t115 / 0.3e2 - t1388 / 0.45e2 - t705 * t239 / 0.27e3 - 0.2e1 / 0.45e2 * t1196 + 0.2e1 / 0.135e3 * t1202 - 0.2e1 / 0.405e3 * t1204 + t1061 / 0.1215e4;
  t1398 = my_piecewise3(t1, 0, 0.11e2 / 0.18e3 * t705 * t245 + 0.3e1 / 0.2e2 * t6 * t1359 * t30 * t52 - t1366 / 0.3e2 + t1246 / 0.5e1 - 0.2e1 / 0.15e2 * t1250 + 0.4e1 / 0.45e2 * t1254 + t1373 / 0.5e1 - t1107 / 0.3e2 + 0.4e1 / 0.45e2 * t1111 - t1118 + t1396);
  t1399 = t671 * t389;
  t1401 = t675 * t389;
  t1403 = t671 * t383;
  t1405 = t675 * t383;
  t1408 = t6 * t656 * t104;
  t1409 = t1408 * t168;
  t1412 = t6 * t660 * t104;
  t1413 = t1412 * t168;
  t1423 = t307 * t307;
  t1436 = my_piecewise5(t15, 0, t11, 0, t1282);
  t1440 = my_piecewise3(t62, 0, 0.4e2 / 0.81e2 * t1136 * t352 * t251 - 0.4e2 / 0.27e2 * t637 * t122 * t307 - 0.1e2 / 0.27e2 * t713 * t257 + 0.2e2 / 0.9e1 * t250 * t1423 + 0.2e2 / 0.9e1 * t303 * t647 - 0.1e2 / 0.27e2 * t552 * t357 * t251 + 0.2e2 / 0.9e1 * t250 * t722 * t122 + 0.1e2 / 0.9e1 * t718 * t257 + 0.5e1 / 0.3e1 * t64 * t1436);
  t1447 = t6 * t726 * t99 * t82;
  t1451 = t6 * t361 * t215 * t82;
  t1463 = t6 * t652 * t104;
  t1470 = -0.2e1 / 0.15e2 * t1299 + 0.4e1 / 0.45e2 * t1303 - t1166 / 0.3e2 + 0.4e1 / 0.45e2 * t1170 - t1175 + 0.2e1 / 0.135e3 * t1318 - 0.4e1 / 0.405e3 * t1322 - t1314 / 0.45e2 - t1463 * t168 / 0.3e2 - t667 * t383 / 0.27e3 + 0.11e2 / 0.18e3 * t667 * t389;
  t1472 = my_piecewise3(t57, 0, 0.11e2 / 0.135e3 * t1399 - 0.11e2 / 0.81e3 * t1401 - 0.2e1 / 0.405e3 * t1403 + t1405 / 0.1215e4 - 0.2e1 / 0.45e2 * t1409 + t1413 / 0.135e3 + 0.3e1 / 0.2e2 * t6 * t1440 * t30 * t82 + t1447 / 0.5e1 - t1451 / 0.3e2 + t1295 / 0.5e1 + t1470);
  tv4rho42 = 0.2e1 * t636 + 0.2e1 * t679 + 0.2e1 * t712 + 0.2e1 * t755 + t7 * (t1398 + t1472);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 2] += tv4rho42;

  t1493 = my_piecewise5(t11, 0, t15, 0, t1232 + t1233);
  t1497 = my_piecewise3(t21, 0, 0.4e2 / 0.81e2 * t1075 * t760 * t91 - 0.1e2 / 0.9e1 * t682 * t282 - 0.1e2 / 0.9e1 * t589 * t340 * t91 + 0.1e2 / 0.3e1 * t592 * t340 + 0.1e2 / 0.3e1 * t278 * t691 + 0.1e2 / 0.9e1 * t188 * t767 * t91 + 0.5e1 / 0.3e1 * t26 * t1493);
  t1504 = t6 * t771 * t99 * t52;
  t1507 = t6 * t772 * t104;
  t1516 = 0.3e1 / 0.2e2 * t6 * t1497 * t30 * t52 + t1504 / 0.1e2 - t1507 * t115 / 0.6e2 + 0.3e1 / 0.1e2 * t1373 - t1366 / 0.1e2 - t1388 / 0.3e2 - t1251 + 0.2e1 / 0.15e2 * t1254 + t1203 + 0.2e1 / 0.45e2 * t1111 - t1118 - 0.2e1 / 0.405e3 * t1011;
  t1517 = my_piecewise3(t1, 0, t1516);
  t1519 = t6 * t727 * t104;
  t1524 = t741 * t383;
  t1526 = t741 * t389;
  t1529 = t6 * t731 * t104;
  t1530 = t1529 * t168;
  t1532 = t326 * t784;
  t1534 = t326 * t790;
  t1546 = -t1519 * t168 / 0.2e2 - t737 * t383 / 0.9e2 - t1524 / 0.135e3 + 0.11e2 / 0.9e2 * t1526 - t1530 / 0.3e2 + 0.11e2 / 0.405e3 * t1532 - 0.77e2 / 0.405e3 * t1534 + 0.11e2 / 0.27e3 * t322 * t784 - 0.77e2 / 0.27e3 * t322 * t790 + 0.11e2 / 0.6e2 * t737 * t389 + 0.11e2 / 0.9e2 * t1399 - 0.11e2 / 0.27e3 * t1401 - t1403 / 0.135e3 + t1405 / 0.405e3;
  t1566 = my_piecewise5(t15, 0, t11, 0, -t1232 + t1282);
  t1570 = my_piecewise3(t62, 0, 0.4e2 / 0.81e2 * t1136 * t799 * t122 - 0.1e2 / 0.9e1 * t713 * t307 - 0.1e2 / 0.9e1 * t637 * t357 * t122 + 0.1e2 / 0.3e1 * t640 * t357 + 0.1e2 / 0.3e1 * t303 * t722 + 0.1e2 / 0.9e1 * t250 * t806 * t122 + 0.5e1 / 0.3e1 * t64 * t1566);
  t1577 = t6 * t810 * t99 * t82;
  t1583 = t535 * t130;
  t1584 = t1583 * t832;
  t1586 = t535 * t126;
  t1589 = -t1409 / 0.15e2 + t1413 / 0.45e2 + t1319 - 0.2e1 / 0.135e3 * t1322 + 0.3e1 / 0.2e2 * t6 * t1570 * t30 * t82 + t1577 / 0.1e2 + 0.3e1 / 0.1e2 * t1447 - t1451 / 0.1e2 + 0.2e1 / 0.15e2 * t1303 - t1300 + 0.2e1 / 0.45e2 * t1170 - t1175 - 0.2e1 / 0.405e3 * t1584 - t1586 * t832 / 0.135e3;
  t1591 = my_piecewise3(t57, 0, t1546 + t1589);
  tv4rho43 = 0.3e1 * t712 + 0.3e1 * t755 + t779 + t836 + t7 * (t1517 + t1591);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 3] += tv4rho43;

  t1596 = t335 * t335;
  t1601 = t340 * t340;
  t1608 = my_piecewise5(t11, 0, t15, 0, 0.24e2 * t489 + 0.24e2 * t1089);
  t1612 = my_piecewise3(t21, 0, 0.4e2 / 0.81e2 * t1075 * t1596 - 0.2e2 / 0.9e1 * t682 * t340 + 0.1e2 / 0.3e1 * t188 * t1601 + 0.4e2 / 0.9e1 * t278 * t767 + 0.5e1 / 0.3e1 * t26 * t1608);
  t1621 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t1612 * t30 * t52 + 0.2e1 / 0.5e1 * t1504 - t1366 / 0.5e1 + 0.8e1 / 0.45e2 * t1254 - t1118);
  t1623 = t6 * t811 * t104;
  t1628 = t535 * t158;
  t1631 = 0.1e1 / t824 / t77 * t1044;
  t1632 = t376 * t376;
  t1664 = -t1623 * t168 / 0.15e2 - t816 * t383 / 0.45e2 - 0.4e1 / 0.1215e4 * t1628 * t1631 * t1632 / t71 / t780 / t429 * t32 * t37 + 0.1309e4 / 0.81e3 * t159 * t163 * t68 / t71 / t429 - 0.979e3 / 0.243e4 * t159 * t375 * t377 / t70 / t981 + 0.11e2 / 0.3e2 * t816 * t389 + 0.22e2 / 0.135e3 * t368 * t784 - 0.154e3 / 0.135e3 * t368 * t790 - 0.4e1 / 0.135e3 * t1524 + 0.22e2 / 0.45e2 * t1526 - 0.2e1 / 0.15e2 * t1530 + 0.44e2 / 0.405e3 * t1532;
  t1670 = t352 * t352;
  t1675 = t357 * t357;
  t1682 = my_piecewise5(t15, 0, t11, 0, -0.24e2 * t489 + 0.24e2 * t1148);
  t1686 = my_piecewise3(t62, 0, 0.4e2 / 0.81e2 * t1136 * t1670 - 0.2e2 / 0.9e1 * t713 * t357 + 0.1e2 / 0.3e1 * t250 * t1675 + 0.4e2 / 0.9e1 * t303 * t806 + 0.5e1 / 0.3e1 * t64 * t1682);
  t1695 = t780 * t378;
  t1701 = t535 * t154;
  t1704 = -0.308e3 / 0.405e3 * t1534 - 0.11e2 / 0.135e3 * t1401 + 0.2e1 / 0.405e3 * t1405 + 0.2e1 / 0.45e2 * t1413 - 0.8e1 / 0.405e3 * t1322 + 0.3e1 / 0.2e2 * t6 * t1686 * t30 * t82 + 0.2e1 / 0.5e1 * t1577 - t1451 / 0.5e1 + 0.8e1 / 0.45e2 * t1303 - t1175 - 0.8e1 / 0.405e3 * t1584 + 0.22e2 / 0.135e3 * t823 * t826 * t828 / t1695 - 0.4e1 / 0.135e3 * t1701 * t832;
  t1706 = my_piecewise3(t57, 0, t1664 + t1704);
  tv4rho44 = 0.4e1 * t779 + 0.4e1 * t836 + t7 * (t1621 + t1706);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 4] += tv4rho44;

  t1724 = t1010 * t177 / 0.54e3;
  t1725 = t513 * t409;
  t1727 = t513 * t405;
  t1729 = t221 * t867;
  t1735 = t1018 * t177;
  t1737 = t507 * t409;
  t1739 = t507 * t405;
  t1743 = t1014 * t177;
  t1745 = t221 * t863;
  t1763 = t1128 * t858;
  t1765 = t1041 * t1045 / t41 / t463 / t445 * t541 * t32 * t37 / 0.81e3 - 0.77e2 / 0.27e3 * t106 * t109 * t175 * t471 + t1724 + t1725 / 0.9e2 - t1727 / 0.108e4 + 0.11e2 / 0.9e2 * t1729 - t503 * t409 / 0.2e2 + t503 * t405 / 0.24e3 - t1735 / 0.24e3 - t1737 / 0.15e2 + t1739 / 0.18e3 + 0.11e2 / 0.6e2 * t211 * t867 + t1743 / 0.8e2 - t1745 / 0.4e2 + 0.341e3 / 0.324e4 * t106 * t229 * t231 * t465 * sigma[0] - 0.3e1 / 0.8e2 * t211 * t863 + t1070 * t177 / 0.16e3 - 0.19e2 / 0.36e3 * t536 * t539 * t540 * t544 * t232 + t1125 * t858 / 0.12e3 + t1763 / 0.18e3;
  t1766 = my_piecewise3(t1, 0, t1765);
  tv4rho3sigma0 = t7 * t1766 + 0.3e1 * t871;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  tv4rho3sigma1 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 1] += tv4rho3sigma1;

  t1771 = t1313 * t182;
  t1773 = t1317 * t182;
  t1776 = t1321 * t182 / 0.54e3;
  t1778 = my_piecewise3(t57, 0, t1309 * t182 / 0.16e3 + t1771 / 0.8e2 - t1773 / 0.24e3 + t1776);
  tv4rho3sigma2 = t7 * t1778 + 0.3e1 * t881;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 2] += tv4rho3sigma2;

  t1780 = 0.2e1 * t895;
  t1787 = t1201 * t177;
  t1790 = t622 * t409 / 0.45e2;
  t1792 = t622 * t405 / 0.54e3;
  t1794 = t1195 * t177 / 0.12e3;
  t1810 = 0.11e2 / 0.18e3 * t296 * t867 - t614 * t409 / 0.3e2 + t614 * t405 / 0.36e3 - t1787 / 0.72e3 - t1790 + t1792 + t1794 + t1724 + t1725 / 0.135e3 - t1727 / 0.162e4 + 0.11e2 / 0.27e3 * t1729 - t1735 / 0.36e3 - t1737 / 0.45e2 + t1739 / 0.54e3 + t1743 / 0.24e3 - t296 * t863 / 0.8e2 - t1745 / 0.12e3 + t1191 * t177 / 0.16e3 + t1763 / 0.54e3 + t1260 * t858 / 0.36e3;
  t1811 = my_piecewise3(t1, 0, t1810);
  tv4rho3sigma3 = t7 * t1811 + t1780 + t871;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 3] += tv4rho3sigma3;

  tv4rho3sigma4 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 4] += tv4rho3sigma4;

  t1813 = 0.2e1 * t911;
  t1817 = t1408 * t182 / 0.12e3;
  t1818 = t1412 * t182;
  t1825 = t671 * t434 / 0.54e3;
  t1826 = t675 * t434;
  t1831 = t671 * t438 / 0.45e2;
  t1832 = t675 * t438;
  t1834 = t1463 * t182 / 0.16e3 + t1817 - t1818 / 0.72e3 + t1771 / 0.24e3 - t1773 / 0.36e3 + t1776 + t667 * t434 / 0.72e3 + t1825 - t1826 / 0.324e4 - t667 * t438 / 0.6e2 - t1831 + t1832 / 0.27e3;
  t1835 = my_piecewise3(t57, 0, t1834);
  tv4rho3sigma5 = t7 * t1835 + t1813 + t881;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 5] += tv4rho3sigma5;

  t1839 = t1387 * t177;
  t1849 = t1383 * t177 / 0.16e3 + t1839 / 0.24e3 + t705 * t405 / 0.72e3 - t705 * t409 / 0.6e2 + t1794 - t1787 / 0.36e3 + t1792 - t1790 - t1735 / 0.72e3 + t1724 - t1727 / 0.324e4 + t1725 / 0.27e3;
  t1850 = my_piecewise3(t1, 0, t1849);
  tv4rho3sigma6 = t7 * t1850 + t1780 + t918;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 6] += tv4rho3sigma6;

  tv4rho3sigma7 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 7] += tv4rho3sigma7;

  t1854 = t1529 * t182;
  t1859 = t741 * t434;
  t1863 = t741 * t438;
  t1870 = t1583 * t934;
  t1874 = t326 * t939;
  t1878 = t326 * t943;
  t1880 = t1519 * t182 / 0.16e3 + t1854 / 0.24e3 + t1817 - t1818 / 0.36e3 + t737 * t434 / 0.36e3 + t1859 / 0.54e3 - t737 * t438 / 0.3e2 - t1863 / 0.45e2 - t1773 / 0.72e3 + t1776 + t1825 - t1826 / 0.162e4 - t1831 + t1832 / 0.135e3 + t1586 * t934 / 0.36e3 + t1870 / 0.54e3 - t322 * t939 / 0.8e2 - t1874 / 0.12e3 + 0.11e2 / 0.18e3 * t322 * t943 + 0.11e2 / 0.27e3 * t1878;
  t1881 = my_piecewise3(t57, 0, t1880);
  tv4rho3sigma8 = t7 * t1881 + t1813 + t947;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 8] += tv4rho3sigma8;

  t1889 = my_piecewise3(t1, 0, t1507 * t177 / 0.16e3 + t1839 / 0.8e2 - t1787 / 0.24e3 + t1724);
  tv4rho3sigma9 = t7 * t1889 + 0.3e1 * t918;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 9] += tv4rho3sigma9;

  tv4rho3sigma10 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 10] += tv4rho3sigma10;

  t1936 = t1628 * t1631 / t71 / t780 / t453 * t827 * t32 * t37 / 0.81e3 - 0.77e2 / 0.27e3 * t159 * t162 * t175 * t788 + 0.11e2 / 0.6e2 * t368 * t943 - t816 * t438 / 0.2e2 + t816 * t434 / 0.24e3 + 0.11e2 / 0.9e2 * t1878 + t1854 / 0.8e2 - t1863 / 0.15e2 + t1832 / 0.9e2 - t1818 / 0.24e3 + t1776 + 0.341e3 / 0.324e4 * t159 * t375 * t231 * t782 * sigma[2] - 0.3e1 / 0.8e2 * t368 * t939 - t1874 / 0.4e2 + t1859 / 0.18e3 - t1826 / 0.108e4 + t1870 / 0.18e3 + t1623 * t182 / 0.16e3 - 0.19e2 / 0.36e3 * t823 * t826 * t540 * t830 * t376 + t1701 * t934 / 0.12e3;
  t1937 = my_piecewise3(t57, 0, t1936);
  tv4rho3sigma11 = t7 * t1937 + 0.3e1 * t947;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 11] += tv4rho3sigma11;

  t1942 = t507 * t449;
  t1949 = t513 * t449 / 0.864e4;
  t1950 = t1128 * t957;
  t1952 = t221 * t961;
  t1971 = my_piecewise3(t1, 0, -t503 * t449 / 0.192e4 - t1942 / 0.144e4 - t1125 * t957 / 0.48e3 + t211 * t961 / 0.18e3 + t1949 - t1950 / 0.72e3 + t1952 / 0.27e3 - t1041 * t1045 / t41 / t1119 * t232 * t32 * t37 / 0.216e4 + 0.43e2 / 0.288e4 * t536 * t539 * t856 * sigma[0] - 0.19e2 / 0.108e4 * t106 * t227 * t444 * t237);
  tv4rho2sigma20 = t7 * t1971 + 0.2e1 * t965;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  tv4rho2sigma21 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 1] += tv4rho2sigma21;

  tv4rho2sigma22 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 2] += tv4rho2sigma22;

  tv4rho2sigma23 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 3] += tv4rho2sigma23;

  tv4rho2sigma24 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 4] += tv4rho2sigma24;

  t1976 = t671 * t457;
  t1979 = t675 * t457 / 0.864e4;
  t1981 = my_piecewise3(t57, 0, -t667 * t457 / 0.192e4 - t1976 / 0.144e4 + t1979);
  tv4rho2sigma25 = t7 * t1981 + 0.2e1 * t972;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 5] += tv4rho2sigma25;

  t1985 = t622 * t449;
  t1995 = my_piecewise3(t1, 0, -t614 * t449 / 0.192e4 - t1985 / 0.288e4 - t1260 * t957 / 0.96e3 + t296 * t961 / 0.36e3 - t1942 / 0.288e4 + t1949 - t1950 / 0.144e4 + t1952 / 0.54e3);
  tv4rho2sigma26 = t7 * t1995 + t965 + t977;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 6] += tv4rho2sigma26;

  tv4rho2sigma27 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 7] += tv4rho2sigma27;

  tv4rho2sigma28 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 8] += tv4rho2sigma28;

  tv4rho2sigma29 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 9] += tv4rho2sigma29;

  tv4rho2sigma210 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 10] += tv4rho2sigma210;

  t1999 = t741 * t457;
  t2004 = t1583 * t985;
  t2008 = t326 * t989;
  t2011 = my_piecewise3(t57, 0, -t737 * t457 / 0.192e4 - t1999 / 0.288e4 - t1976 / 0.288e4 + t1979 - t1586 * t985 / 0.96e3 - t2004 / 0.144e4 + t322 * t989 / 0.36e3 + t2008 / 0.54e3);
  tv4rho2sigma211 = t7 * t2011 + t972 + t993;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 11] += tv4rho2sigma211;

  t2018 = my_piecewise3(t1, 0, -t705 * t449 / 0.192e4 - t1985 / 0.144e4 + t1949);
  tv4rho2sigma212 = t7 * t2018 + 0.2e1 * t977;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 12] += tv4rho2sigma212;

  tv4rho2sigma213 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 13] += tv4rho2sigma213;

  tv4rho2sigma214 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 14] += tv4rho2sigma214;

  tv4rho2sigma215 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 15] += tv4rho2sigma215;

  tv4rho2sigma216 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 16] += tv4rho2sigma216;

  t2047 = my_piecewise3(t57, 0, -t816 * t457 / 0.192e4 - t1999 / 0.144e4 - t1701 * t985 / 0.48e3 + t368 * t989 / 0.18e3 + t1979 - t2004 / 0.72e3 + t2008 / 0.27e3 - t1628 * t1631 / t71 / t1695 * t376 * t32 * t37 / 0.216e4 + 0.43e2 / 0.288e4 * t823 * t826 * t932 * sigma[2] - 0.19e2 / 0.108e4 * t159 * t374 * t444 * t381);
  tv4rho2sigma217 = t7 * t2047 + 0.2e1 * t993;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 17] += tv4rho2sigma217;

  t2052 = t1128 * t997 / 0.384e4;
  t2064 = my_piecewise3(t1, 0, t1125 * t997 / 0.256e4 + t2052 + t1041 * t1045 / t41 / t543 * t175 * sigma[0] / 0.576e4 - t536 * t539 * t955 / 0.32e3);
  tv4rhosigma30 = t7 * t2064 + t1000;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  tv4rhosigma31 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 1] += tv4rhosigma31;

  tv4rhosigma32 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 2] += tv4rhosigma32;

  tv4rhosigma33 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 3] += tv4rhosigma33;

  tv4rhosigma34 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 4] += tv4rhosigma34;

  tv4rhosigma35 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 5] += tv4rhosigma35;

  tv4rhosigma36 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 6] += tv4rhosigma36;

  tv4rhosigma37 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 7] += tv4rhosigma37;

  tv4rhosigma38 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 8] += tv4rhosigma38;

  t2069 = t1583 * t1003 / 0.384e4;
  t2071 = my_piecewise3(t57, 0, t1586 * t1003 / 0.256e4 + t2069);
  tv4rhosigma39 = t7 * t2071 + t1006;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 9] += tv4rhosigma39;

  t2076 = my_piecewise3(t1, 0, t1260 * t997 / 0.256e4 + t2052);
  tv4rhosigma310 = t7 * t2076 + t1000;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 10] += tv4rhosigma310;

  tv4rhosigma311 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 11] += tv4rhosigma311;

  tv4rhosigma312 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 12] += tv4rhosigma312;

  tv4rhosigma313 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 13] += tv4rhosigma313;

  tv4rhosigma314 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 14] += tv4rhosigma314;

  tv4rhosigma315 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 15] += tv4rhosigma315;

  tv4rhosigma316 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 16] += tv4rhosigma316;

  tv4rhosigma317 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 17] += tv4rhosigma317;

  tv4rhosigma318 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 18] += tv4rhosigma318;

  t2091 = my_piecewise3(t57, 0, t1701 * t1003 / 0.256e4 + t2069 + t1628 * t1631 / t71 / t829 * t175 * sigma[2] / 0.576e4 - t823 * t826 * t983 / 0.32e3);
  tv4rhosigma319 = t7 * t2091 + t1006;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 19] += tv4rhosigma319;

  t2100 = my_piecewise3(t1, 0, -t1041 * t1045 / t41 / t854 * t32 * t37 / 0.1536e5);
  tv4sigma40 = t7 * t2100;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

  tv4sigma41 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 1] += tv4sigma41;

  tv4sigma42 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 2] += tv4sigma42;

  tv4sigma43 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 3] += tv4sigma43;

  tv4sigma44 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 4] += tv4sigma44;

  tv4sigma45 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 5] += tv4sigma45;

  tv4sigma46 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 6] += tv4sigma46;

  tv4sigma47 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 7] += tv4sigma47;

  tv4sigma48 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 8] += tv4sigma48;

  tv4sigma49 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 9] += tv4sigma49;

  tv4sigma410 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 10] += tv4sigma410;

  tv4sigma411 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 11] += tv4sigma411;

  tv4sigma412 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 12] += tv4sigma412;

  tv4sigma413 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 13] += tv4sigma413;

  t2108 = my_piecewise3(t57, 0, -t1628 * t1631 / t71 / t930 * t32 * t37 / 0.1536e5);
  tv4sigma414 = t7 * t2108;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 14] += tv4sigma414;

}

#endif

