/*
  This file was generated automatically with scripts/maple2c.py.
  Do not edit this file directly as it can be overwritten!!

  This Source Code Form is subject to the terms of the Mozilla Public
  License, v. 2.0. If a copy of the MPL was not distributed with this
  file, You can obtain one at http://mozilla.org/MPL/2.0/.

  Maple version     : Maple 2022 (X86 64 LINUX)
  Maple source      : ./maple/gga_exc/gga_k_meyer.mpl
  Type of functional: gga_exc
*/

#define maple2c_order 4
#define MAPLE2C_FLAGS (XC_FLAGS_I_HAVE_EXC | XC_FLAGS_I_HAVE_VXC | XC_FLAGS_I_HAVE_FXC | XC_FLAGS_I_HAVE_KXC | XC_FLAGS_I_HAVE_LXC)


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t5, t7, t8, t9, t11;
  double t12, t14, t15, t17, t18, t20, t21, t22;
  double t23, t24, t25, t26, t27, t28, t29, t30;
  double t31, t32, t33, t35, t39, t40, t41, t42;
  double t43, t44, t45, t46, t49, t50, t51, t52;
  double t53, t55, t57, t58, t59, t60, t63, t64;
  double t65, t66, t69, t73, tzk0;


  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = t3 * t3;
  t5 = M_CBRTPI;
  t7 = t4 * t5 * M_PI;
  t8 = 0.1e1 <= p->zeta_threshold;
  t9 = p->zeta_threshold - 0.1e1;
  t11 = my_piecewise5(t8, t9, t8, -t9, 0);
  t12 = 0.1e1 + t11;
  t14 = POW_1_3(p->zeta_threshold);
  t15 = t14 * t14;
  t17 = POW_1_3(t12);
  t18 = t17 * t17;
  t20 = my_piecewise3(t12 <= p->zeta_threshold, t15 * p->zeta_threshold, t18 * t12);
  t21 = POW_1_3(rho[0]);
  t22 = t21 * t21;
  t23 = t20 * t22;
  t24 = M_CBRT6;
  t25 = M_PI * M_PI;
  t26 = POW_1_3(t25);
  t27 = t26 * t26;
  t28 = 0.1e1 / t27;
  t29 = t24 * t28;
  t30 = M_CBRT2;
  t31 = t30 * t30;
  t32 = sigma[0] * t31;
  t33 = rho[0] * rho[0];
  t35 = 0.1e1 / t22 / t33;
  t39 = 0.1e1 - t29 * t32 * t35 / 0.864e3;
  t40 = t24 * t24;
  t41 = 0.1e1 / t26;
  t42 = t40 * t41;
  t43 = sqrt(sigma[0]);
  t44 = t43 * t30;
  t45 = t21 * rho[0];
  t46 = 0.1e1 / t45;
  t49 = t42 * t44 * t46 / 0.72e2;
  t50 = 0.1e1 + t49;
  t51 = -0.1e1 + t49;
  t52 = fabs(t51);
  t53 = 0.1e1 / t52;
  t55 = log(t50 * t53);
  t57 = t39 * t55 * t24;
  t58 = 0.1e1 / t43;
  t59 = t26 * t58;
  t60 = t31 * t45;
  t63 = 0.3e1 / 0.2e1 * t57 * t59 * t60;
  t64 = 0.1e1 / 0.2e1 - t63;
  t65 = 0.1e1 / 0.2e1 + t63;
  t66 = 0.1e1 / t65;
  t69 = 0.2e2 * t64 * t66 + 0.1e1;
  t73 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t23 * t69);
  tzk0 = 0.2e1 * t73;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t5, t7, t8, t9, t11;
  double t12, t14, t15, t17, t18, t20, t21, t22;
  double t23, t24, t25, t26, t27, t28, t29, t30;
  double t31, t32, t33, t35, t39, t40, t41, t42;
  double t43, t44, t45, t46, t49, t50, t51, t52;
  double t53, t55, t57, t58, t59, t60, t63, t64;
  double t65, t66, t69, t73, tzk0;

  double t75, t79, t81, t82, t83, t86, t88, t89;
  double t90, t91, t92, t93, t97, t98, t99, t100;
  double t101, t102, t103, t105, t108, t112, t114, t115;
  double t116, t117, t120, t125, tvrho0, t128, t129, t133;
  double t134, t135, t137, t138, t142, t143, t144, t147;
  double t148, t149, t153, t155, t158, t162, tvsigma0;


  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = t3 * t3;
  t5 = M_CBRTPI;
  t7 = t4 * t5 * M_PI;
  t8 = 0.1e1 <= p->zeta_threshold;
  t9 = p->zeta_threshold - 0.1e1;
  t11 = my_piecewise5(t8, t9, t8, -t9, 0);
  t12 = 0.1e1 + t11;
  t14 = POW_1_3(p->zeta_threshold);
  t15 = t14 * t14;
  t17 = POW_1_3(t12);
  t18 = t17 * t17;
  t20 = my_piecewise3(t12 <= p->zeta_threshold, t15 * p->zeta_threshold, t18 * t12);
  t21 = POW_1_3(rho[0]);
  t22 = t21 * t21;
  t23 = t20 * t22;
  t24 = M_CBRT6;
  t25 = M_PI * M_PI;
  t26 = POW_1_3(t25);
  t27 = t26 * t26;
  t28 = 0.1e1 / t27;
  t29 = t24 * t28;
  t30 = M_CBRT2;
  t31 = t30 * t30;
  t32 = sigma[0] * t31;
  t33 = rho[0] * rho[0];
  t35 = 0.1e1 / t22 / t33;
  t39 = 0.1e1 - t29 * t32 * t35 / 0.864e3;
  t40 = t24 * t24;
  t41 = 0.1e1 / t26;
  t42 = t40 * t41;
  t43 = sqrt(sigma[0]);
  t44 = t43 * t30;
  t45 = t21 * rho[0];
  t46 = 0.1e1 / t45;
  t49 = t42 * t44 * t46 / 0.72e2;
  t50 = 0.1e1 + t49;
  t51 = -0.1e1 + t49;
  t52 = fabs(t51);
  t53 = 0.1e1 / t52;
  t55 = log(t50 * t53);
  t57 = t39 * t55 * t24;
  t58 = 0.1e1 / t43;
  t59 = t26 * t58;
  t60 = t31 * t45;
  t63 = 0.3e1 / 0.2e1 * t57 * t59 * t60;
  t64 = 0.1e1 / 0.2e1 - t63;
  t65 = 0.1e1 / 0.2e1 + t63;
  t66 = 0.1e1 / t65;
  t69 = 0.2e2 * t64 * t66 + 0.1e1;
  t73 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t23 * t69);
  tzk0 = 0.2e1 * t73;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t75 = t20 / t21;
  t79 = t42 * t43;
  t81 = 0.1e1 / t21 / t33;
  t82 = t30 * t81;
  t83 = t82 * t55;
  t86 = t82 * t53;
  t88 = t52 * t52;
  t89 = 0.1e1 / t88;
  t90 = t50 * t89;
  t91 = t90 * t42;
  t92 = fabs(t51) / t51;
  t93 = t81 * t92;
  t97 = t91 * t44 * t93 / 0.54e2 - t79 * t86 / 0.54e2;
  t98 = t39 * t97;
  t99 = 0.1e1 / t50;
  t100 = t99 * t52;
  t101 = t98 * t100;
  t102 = t24 * t26;
  t103 = t58 * t31;
  t105 = t102 * t103 * t45;
  t108 = t31 * t21;
  t112 = -t79 * t83 / 0.108e3 - 0.3e1 / 0.2e1 * t101 * t105 - 0.2e1 * t57 * t59 * t108;
  t114 = t65 * t65;
  t115 = 0.1e1 / t114;
  t116 = t64 * t115;
  t117 = -t112;
  t120 = 0.2e2 * t112 * t66 - 0.2e2 * t116 * t117;
  t125 = my_piecewise3(t2, 0, t7 * t75 * t69 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t23 * t120);
  tvrho0 = 0.2e1 * rho[0] * t125 + 0.2e1 * t73;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t128 = t42 * t30;
  t129 = t46 * t55;
  t133 = t42 * t58;
  t134 = t30 * t46;
  t135 = t134 * t53;
  t137 = t58 * t30;
  t138 = t46 * t92;
  t142 = -t91 * t137 * t138 / 0.144e3 + t133 * t135 / 0.144e3;
  t143 = t39 * t142;
  t144 = t143 * t100;
  t147 = t43 * sigma[0];
  t148 = 0.1e1 / t147;
  t149 = t26 * t148;
  t153 = t128 * t129 * t58 / 0.288e3 - 0.3e1 / 0.2e1 * t144 * t105 + 0.3e1 / 0.4e1 * t57 * t149 * t60;
  t155 = -t153;
  t158 = -0.2e2 * t116 * t155 + 0.2e2 * t153 * t66;
  t162 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t23 * t158);
  tvsigma0 = 0.2e1 * rho[0] * t162;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t5, t7, t8, t9, t11;
  double t12, t14, t15, t17, t18, t20, t21, t22;
  double t23, t24, t25, t26, t27, t28, t29, t30;
  double t31, t32, t33, t35, t39, t40, t41, t42;
  double t43, t44, t45, t46, t49, t50, t51, t52;
  double t53, t55, t57, t58, t59, t60, t63, t64;
  double t65, t66, t69, t73, tzk0;

  double t75, t79, t81, t82, t83, t86, t88, t89;
  double t90, t91, t92, t93, t97, t98, t99, t100;
  double t101, t102, t103, t105, t108, t112, t114, t115;
  double t116, t117, t120, t125, tvrho0, t128, t129, t133;
  double t134, t135, t137, t138, t142, t143, t144, t147;
  double t148, t149, t153, t155, t158, t162, tvsigma0;

  double t165, t172, t174, t175, t176, t179, t184, t187;
  double t188, t190, t191, t192, t193, t197, t198, t199;
  double t200, t201, t205, t209, t210, t211, t214, t215;
  double t216, t217, t220, t221, t222, t223, t224, t228;
  double t232, t235, t236, t240, t243, t247, t248, t249;
  double t252, t255, t260, tv2rho20, t266, t267, t268, t278;
  double t280, t285, t286, t287, t294, t295, t298, t299;
  double t300, t301, t310, t312, t317, t320, t325, t328;
  double t331, t336, tv2rhosigma0, t339, t346, t349, t350, t351;
  double t352, t355, t356, t360, t364, t367, t368, t369;
  double t370, t373, t377, t382, t384, t385, t389, t394;
  double t397, t400, t404, tv2sigma20;


  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = t3 * t3;
  t5 = M_CBRTPI;
  t7 = t4 * t5 * M_PI;
  t8 = 0.1e1 <= p->zeta_threshold;
  t9 = p->zeta_threshold - 0.1e1;
  t11 = my_piecewise5(t8, t9, t8, -t9, 0);
  t12 = 0.1e1 + t11;
  t14 = POW_1_3(p->zeta_threshold);
  t15 = t14 * t14;
  t17 = POW_1_3(t12);
  t18 = t17 * t17;
  t20 = my_piecewise3(t12 <= p->zeta_threshold, t15 * p->zeta_threshold, t18 * t12);
  t21 = POW_1_3(rho[0]);
  t22 = t21 * t21;
  t23 = t20 * t22;
  t24 = M_CBRT6;
  t25 = M_PI * M_PI;
  t26 = POW_1_3(t25);
  t27 = t26 * t26;
  t28 = 0.1e1 / t27;
  t29 = t24 * t28;
  t30 = M_CBRT2;
  t31 = t30 * t30;
  t32 = sigma[0] * t31;
  t33 = rho[0] * rho[0];
  t35 = 0.1e1 / t22 / t33;
  t39 = 0.1e1 - t29 * t32 * t35 / 0.864e3;
  t40 = t24 * t24;
  t41 = 0.1e1 / t26;
  t42 = t40 * t41;
  t43 = sqrt(sigma[0]);
  t44 = t43 * t30;
  t45 = t21 * rho[0];
  t46 = 0.1e1 / t45;
  t49 = t42 * t44 * t46 / 0.72e2;
  t50 = 0.1e1 + t49;
  t51 = -0.1e1 + t49;
  t52 = fabs(t51);
  t53 = 0.1e1 / t52;
  t55 = log(t50 * t53);
  t57 = t39 * t55 * t24;
  t58 = 0.1e1 / t43;
  t59 = t26 * t58;
  t60 = t31 * t45;
  t63 = 0.3e1 / 0.2e1 * t57 * t59 * t60;
  t64 = 0.1e1 / 0.2e1 - t63;
  t65 = 0.1e1 / 0.2e1 + t63;
  t66 = 0.1e1 / t65;
  t69 = 0.2e2 * t64 * t66 + 0.1e1;
  t73 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t23 * t69);
  tzk0 = 0.2e1 * t73;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t75 = t20 / t21;
  t79 = t42 * t43;
  t81 = 0.1e1 / t21 / t33;
  t82 = t30 * t81;
  t83 = t82 * t55;
  t86 = t82 * t53;
  t88 = t52 * t52;
  t89 = 0.1e1 / t88;
  t90 = t50 * t89;
  t91 = t90 * t42;
  t92 = fabs(t51) / t51;
  t93 = t81 * t92;
  t97 = t91 * t44 * t93 / 0.54e2 - t79 * t86 / 0.54e2;
  t98 = t39 * t97;
  t99 = 0.1e1 / t50;
  t100 = t99 * t52;
  t101 = t98 * t100;
  t102 = t24 * t26;
  t103 = t58 * t31;
  t105 = t102 * t103 * t45;
  t108 = t31 * t21;
  t112 = -t79 * t83 / 0.108e3 - 0.3e1 / 0.2e1 * t101 * t105 - 0.2e1 * t57 * t59 * t108;
  t114 = t65 * t65;
  t115 = 0.1e1 / t114;
  t116 = t64 * t115;
  t117 = -t112;
  t120 = 0.2e2 * t112 * t66 - 0.2e2 * t116 * t117;
  t125 = my_piecewise3(t2, 0, t7 * t75 * t69 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t23 * t120);
  tvrho0 = 0.2e1 * rho[0] * t125 + 0.2e1 * t73;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t128 = t42 * t30;
  t129 = t46 * t55;
  t133 = t42 * t58;
  t134 = t30 * t46;
  t135 = t134 * t53;
  t137 = t58 * t30;
  t138 = t46 * t92;
  t142 = -t91 * t137 * t138 / 0.144e3 + t133 * t135 / 0.144e3;
  t143 = t39 * t142;
  t144 = t143 * t100;
  t147 = t43 * sigma[0];
  t148 = 0.1e1 / t147;
  t149 = t26 * t148;
  t153 = t128 * t129 * t58 / 0.288e3 - 0.3e1 / 0.2e1 * t144 * t105 + 0.3e1 / 0.4e1 * t57 * t149 * t60;
  t155 = -t153;
  t158 = -0.2e2 * t116 * t155 + 0.2e2 * t153 * t66;
  t162 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t23 * t158);
  tvsigma0 = 0.2e1 * rho[0] * t162;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t165 = t20 * t46;
  t172 = t33 * rho[0];
  t174 = 0.1e1 / t21 / t172;
  t175 = t30 * t174;
  t176 = t175 * t55;
  t179 = t42 * t44;
  t184 = t175 * t53;
  t187 = t29 * sigma[0];
  t188 = t33 * t33;
  t190 = 0.1e1 / t22 / t188;
  t191 = t31 * t190;
  t192 = t89 * t92;
  t193 = t191 * t192;
  t197 = 0.1e1 / t88 / t52;
  t198 = t50 * t197;
  t199 = t198 * t29;
  t200 = t92 * t92;
  t201 = t190 * t200;
  t205 = t174 * t92;
  t209 = t90 * t29;
  t210 = 0.0;
  t211 = t190 * t210;
  t214 = t209 * t32 * t211 / 0.486e3;
  t215 = 0.7e1 / 0.162e3 * t79 * t184 - t187 * t193 / 0.243e3 + t199 * t32 * t201 / 0.243e3 - 0.7e1 / 0.162e3 * t91 * t44 * t205 - t214;
  t216 = t39 * t215;
  t217 = t216 * t100;
  t220 = t50 * t50;
  t221 = 0.1e1 / t220;
  t222 = t221 * t52;
  t223 = 0.1e1 / rho[0];
  t224 = t222 * t223;
  t228 = t99 * t223 * t92;
  t232 = t102 * t103 * t21;
  t235 = 0.1e1 / t22;
  t236 = t31 * t235;
  t240 = t79 * t176 / 0.108e3 - t179 * t81 * t97 * t100 / 0.54e2 - 0.3e1 / 0.2e1 * t217 * t105 - t98 * t224 / 0.3e1 + t98 * t228 / 0.3e1 - 0.4e1 * t101 * t232 - 0.2e1 / 0.3e1 * t57 * t59 * t236;
  t243 = t112 * t115;
  t247 = 0.1e1 / t114 / t65;
  t248 = t64 * t247;
  t249 = t117 * t117;
  t252 = -t240;
  t255 = -0.2e2 * t116 * t252 - 0.4e2 * t243 * t117 + 0.2e2 * t240 * t66 + 0.4e2 * t248 * t249;
  t260 = my_piecewise3(t2, 0, -t7 * t165 * t69 / 0.3e2 + t7 * t75 * t120 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t23 * t255);
  tv2rho20 = 0.2e1 * rho[0] * t260 + 0.4e1 * t125;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t266 = t42 * t134;
  t267 = t97 * t99;
  t268 = t52 * t58;
  t278 = t29 * t31;
  t280 = 0.1e1 / t22 / t172;
  t285 = t198 * t24;
  t286 = t28 * t31;
  t287 = t280 * t200;
  t294 = t90 * t24;
  t295 = t280 * t210;
  t298 = t294 * t286 * t295 / 0.1296e4;
  t299 = -t133 * t86 / 0.108e3 + t278 * t280 * t89 * t92 / 0.648e3 - t285 * t286 * t287 / 0.648e3 + t91 * t137 * t93 / 0.108e3 + t298;
  t300 = t39 * t299;
  t301 = t300 * t100;
  t310 = t148 * t31;
  t312 = t102 * t310 * t45;
  t317 = t266 * t267 * t268 / 0.288e3 - t179 * t81 * t142 * t100 / 0.108e3 - 0.3e1 / 0.2e1 * t301 * t105 - t143 * t224 / 0.3e1 + t143 * t228 / 0.3e1 - 0.2e1 * t144 * t232 + 0.3e1 / 0.4e1 * t101 * t312 + t57 * t149 * t108;
  t320 = t153 * t115;
  t325 = t155 * t117;
  t328 = -t317;
  t331 = -0.2e2 * t116 * t328 - 0.2e2 * t320 * t117 - 0.2e2 * t243 * t155 + 0.4e2 * t248 * t325 + 0.2e2 * t317 * t66;
  t336 = my_piecewise3(t2, 0, t7 * t75 * t158 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t23 * t331);
  tv2rhosigma0 = 0.2e1 * rho[0] * t336 + 0.2e1 * t162;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t339 = t142 * t99;
  t346 = t42 * t148;
  t349 = 0.1e1 / sigma[0];
  t350 = t29 * t349;
  t351 = t31 * t35;
  t352 = t351 * t192;
  t355 = t349 * t31;
  t356 = t35 * t200;
  t360 = t148 * t30;
  t364 = t35 * t210;
  t367 = t209 * t355 * t364 / 0.3456e4;
  t368 = -t346 * t135 / 0.288e3 - t350 * t352 / 0.1728e4 + t199 * t355 * t356 / 0.1728e4 + t91 * t360 * t138 / 0.288e3 - t367;
  t369 = t39 * t368;
  t370 = t369 * t100;
  t373 = t222 * t349;
  t377 = t99 * t349 * t92;
  t382 = sigma[0] * sigma[0];
  t384 = 0.1e1 / t43 / t382;
  t385 = t26 * t384;
  t389 = t266 * t339 * t268 / 0.144e3 - t128 * t129 * t148 / 0.288e3 - 0.3e1 / 0.2e1 * t370 * t105 + t143 * t373 / 0.8e1 - t143 * t377 / 0.8e1 + 0.3e1 / 0.2e1 * t144 * t312 - 0.9e1 / 0.8e1 * t57 * t385 * t60;
  t394 = t155 * t155;
  t397 = -t389;
  t400 = -0.2e2 * t116 * t397 - 0.4e2 * t320 * t155 + 0.4e2 * t248 * t394 + 0.2e2 * t389 * t66;
  t404 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t23 * t400);
  tv2sigma20 = 0.2e1 * rho[0] * t404;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t5, t7, t8, t9, t11;
  double t12, t14, t15, t17, t18, t20, t21, t22;
  double t23, t24, t25, t26, t27, t28, t29, t30;
  double t31, t32, t33, t35, t39, t40, t41, t42;
  double t43, t44, t45, t46, t49, t50, t51, t52;
  double t53, t55, t57, t58, t59, t60, t63, t64;
  double t65, t66, t69, t73, tzk0;

  double t75, t79, t81, t82, t83, t86, t88, t89;
  double t90, t91, t92, t93, t97, t98, t99, t100;
  double t101, t102, t103, t105, t108, t112, t114, t115;
  double t116, t117, t120, t125, tvrho0, t128, t129, t133;
  double t134, t135, t137, t138, t142, t143, t144, t147;
  double t148, t149, t153, t155, t158, t162, tvsigma0;

  double t165, t172, t174, t175, t176, t179, t184, t187;
  double t188, t190, t191, t192, t193, t197, t198, t199;
  double t200, t201, t205, t209, t210, t211, t214, t215;
  double t216, t217, t220, t221, t222, t223, t224, t228;
  double t232, t235, t236, t240, t243, t247, t248, t249;
  double t252, t255, t260, tv2rho20, t266, t267, t268, t278;
  double t280, t285, t286, t287, t294, t295, t298, t299;
  double t300, t301, t310, t312, t317, t320, t325, t328;
  double t331, t336, tv2rhosigma0, t339, t346, t349, t350, t351;
  double t352, t355, t356, t360, t364, t367, t368, t369;
  double t370, t373, t377, t382, t384, t385, t389, t394;
  double t397, t400, t404, tv2sigma20;

  double t407, t422, t423, t424, t425, t426, t427, t428;
  double t431, t432, t433, t434, t437, t440, t442, t444;
  double t445, t446, t449, t451, t452, t456, t457, t458;
  double t459, t466, t468, t469, t470, t471, t472, t473;
  double t477, t481, t482, t484, t486, t490, t492, t494;
  double t495, t496, t500, t501, t506, t513, t514, t515;
  double t518, t519, t522, t525, t526, t530, t536, t539;
  double t542, t545, t550, t551, t552, t553, t556, t559;
  double t562, t567, tv3rho30, t577, t579, t588, t589, t590;
  double t597, t612, t613, t614, t616, t620, t621, t631;
  double t633, t638, t639, t641, t642, t643, t646, t647;
  double t650, t655, t657, t667, t668, t671, t674, t683;
  double t686, t687, t690, t693, t704, t707, t710, t713;
  double t716, t721, tv3rho2sigma0, t735, t738, t741, t753, t754;
  double t755, t759, t760, t761, t764, t765, t767, t769;
  double t772, t774, t779, t780, t783, t784, t791, t793;
  double t801, t807, t809, t810, t811, t821, t825, t826;
  double t833, t834, t837, t848, t851, t856, t859, t862;
  double t867, tv3rhosigma20, t870, t872, t873, t877, t881, t882;
  double t883, t886, t887, t897, t898, t902, t905, t906;
  double t907, t910, t911, t912, t915, t916, t918, t920;
  double t921, t924, t927, t928, t930, t934, t935, t936;
  double t937, t941, t946, t947, t948, t953, t954, t955;
  double t956, t957, t960, t967, t976, t979, t982, t985;
  double t989, tv3sigma30;


  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = t3 * t3;
  t5 = M_CBRTPI;
  t7 = t4 * t5 * M_PI;
  t8 = 0.1e1 <= p->zeta_threshold;
  t9 = p->zeta_threshold - 0.1e1;
  t11 = my_piecewise5(t8, t9, t8, -t9, 0);
  t12 = 0.1e1 + t11;
  t14 = POW_1_3(p->zeta_threshold);
  t15 = t14 * t14;
  t17 = POW_1_3(t12);
  t18 = t17 * t17;
  t20 = my_piecewise3(t12 <= p->zeta_threshold, t15 * p->zeta_threshold, t18 * t12);
  t21 = POW_1_3(rho[0]);
  t22 = t21 * t21;
  t23 = t20 * t22;
  t24 = M_CBRT6;
  t25 = M_PI * M_PI;
  t26 = POW_1_3(t25);
  t27 = t26 * t26;
  t28 = 0.1e1 / t27;
  t29 = t24 * t28;
  t30 = M_CBRT2;
  t31 = t30 * t30;
  t32 = sigma[0] * t31;
  t33 = rho[0] * rho[0];
  t35 = 0.1e1 / t22 / t33;
  t39 = 0.1e1 - t29 * t32 * t35 / 0.864e3;
  t40 = t24 * t24;
  t41 = 0.1e1 / t26;
  t42 = t40 * t41;
  t43 = sqrt(sigma[0]);
  t44 = t43 * t30;
  t45 = t21 * rho[0];
  t46 = 0.1e1 / t45;
  t49 = t42 * t44 * t46 / 0.72e2;
  t50 = 0.1e1 + t49;
  t51 = -0.1e1 + t49;
  t52 = fabs(t51);
  t53 = 0.1e1 / t52;
  t55 = log(t50 * t53);
  t57 = t39 * t55 * t24;
  t58 = 0.1e1 / t43;
  t59 = t26 * t58;
  t60 = t31 * t45;
  t63 = 0.3e1 / 0.2e1 * t57 * t59 * t60;
  t64 = 0.1e1 / 0.2e1 - t63;
  t65 = 0.1e1 / 0.2e1 + t63;
  t66 = 0.1e1 / t65;
  t69 = 0.2e2 * t64 * t66 + 0.1e1;
  t73 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t23 * t69);
  tzk0 = 0.2e1 * t73;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t75 = t20 / t21;
  t79 = t42 * t43;
  t81 = 0.1e1 / t21 / t33;
  t82 = t30 * t81;
  t83 = t82 * t55;
  t86 = t82 * t53;
  t88 = t52 * t52;
  t89 = 0.1e1 / t88;
  t90 = t50 * t89;
  t91 = t90 * t42;
  t92 = fabs(t51) / t51;
  t93 = t81 * t92;
  t97 = t91 * t44 * t93 / 0.54e2 - t79 * t86 / 0.54e2;
  t98 = t39 * t97;
  t99 = 0.1e1 / t50;
  t100 = t99 * t52;
  t101 = t98 * t100;
  t102 = t24 * t26;
  t103 = t58 * t31;
  t105 = t102 * t103 * t45;
  t108 = t31 * t21;
  t112 = -t79 * t83 / 0.108e3 - 0.3e1 / 0.2e1 * t101 * t105 - 0.2e1 * t57 * t59 * t108;
  t114 = t65 * t65;
  t115 = 0.1e1 / t114;
  t116 = t64 * t115;
  t117 = -t112;
  t120 = 0.2e2 * t112 * t66 - 0.2e2 * t116 * t117;
  t125 = my_piecewise3(t2, 0, t7 * t75 * t69 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t23 * t120);
  tvrho0 = 0.2e1 * rho[0] * t125 + 0.2e1 * t73;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t128 = t42 * t30;
  t129 = t46 * t55;
  t133 = t42 * t58;
  t134 = t30 * t46;
  t135 = t134 * t53;
  t137 = t58 * t30;
  t138 = t46 * t92;
  t142 = -t91 * t137 * t138 / 0.144e3 + t133 * t135 / 0.144e3;
  t143 = t39 * t142;
  t144 = t143 * t100;
  t147 = t43 * sigma[0];
  t148 = 0.1e1 / t147;
  t149 = t26 * t148;
  t153 = t128 * t129 * t58 / 0.288e3 - 0.3e1 / 0.2e1 * t144 * t105 + 0.3e1 / 0.4e1 * t57 * t149 * t60;
  t155 = -t153;
  t158 = -0.2e2 * t116 * t155 + 0.2e2 * t153 * t66;
  t162 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t23 * t158);
  tvsigma0 = 0.2e1 * rho[0] * t162;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t165 = t20 * t46;
  t172 = t33 * rho[0];
  t174 = 0.1e1 / t21 / t172;
  t175 = t30 * t174;
  t176 = t175 * t55;
  t179 = t42 * t44;
  t184 = t175 * t53;
  t187 = t29 * sigma[0];
  t188 = t33 * t33;
  t190 = 0.1e1 / t22 / t188;
  t191 = t31 * t190;
  t192 = t89 * t92;
  t193 = t191 * t192;
  t197 = 0.1e1 / t88 / t52;
  t198 = t50 * t197;
  t199 = t198 * t29;
  t200 = t92 * t92;
  t201 = t190 * t200;
  t205 = t174 * t92;
  t209 = t90 * t29;
  t210 = 0.0;
  t211 = t190 * t210;
  t214 = t209 * t32 * t211 / 0.486e3;
  t215 = 0.7e1 / 0.162e3 * t79 * t184 - t187 * t193 / 0.243e3 + t199 * t32 * t201 / 0.243e3 - 0.7e1 / 0.162e3 * t91 * t44 * t205 - t214;
  t216 = t39 * t215;
  t217 = t216 * t100;
  t220 = t50 * t50;
  t221 = 0.1e1 / t220;
  t222 = t221 * t52;
  t223 = 0.1e1 / rho[0];
  t224 = t222 * t223;
  t228 = t99 * t223 * t92;
  t232 = t102 * t103 * t21;
  t235 = 0.1e1 / t22;
  t236 = t31 * t235;
  t240 = t79 * t176 / 0.108e3 - t179 * t81 * t97 * t100 / 0.54e2 - 0.3e1 / 0.2e1 * t217 * t105 - t98 * t224 / 0.3e1 + t98 * t228 / 0.3e1 - 0.4e1 * t101 * t232 - 0.2e1 / 0.3e1 * t57 * t59 * t236;
  t243 = t112 * t115;
  t247 = 0.1e1 / t114 / t65;
  t248 = t64 * t247;
  t249 = t117 * t117;
  t252 = -t240;
  t255 = -0.2e2 * t116 * t252 - 0.4e2 * t243 * t117 + 0.2e2 * t240 * t66 + 0.4e2 * t248 * t249;
  t260 = my_piecewise3(t2, 0, -t7 * t165 * t69 / 0.3e2 + t7 * t75 * t120 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t23 * t255);
  tv2rho20 = 0.2e1 * rho[0] * t260 + 0.4e1 * t125;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t266 = t42 * t134;
  t267 = t97 * t99;
  t268 = t52 * t58;
  t278 = t29 * t31;
  t280 = 0.1e1 / t22 / t172;
  t285 = t198 * t24;
  t286 = t28 * t31;
  t287 = t280 * t200;
  t294 = t90 * t24;
  t295 = t280 * t210;
  t298 = t294 * t286 * t295 / 0.1296e4;
  t299 = -t133 * t86 / 0.108e3 + t278 * t280 * t89 * t92 / 0.648e3 - t285 * t286 * t287 / 0.648e3 + t91 * t137 * t93 / 0.108e3 + t298;
  t300 = t39 * t299;
  t301 = t300 * t100;
  t310 = t148 * t31;
  t312 = t102 * t310 * t45;
  t317 = t266 * t267 * t268 / 0.288e3 - t179 * t81 * t142 * t100 / 0.108e3 - 0.3e1 / 0.2e1 * t301 * t105 - t143 * t224 / 0.3e1 + t143 * t228 / 0.3e1 - 0.2e1 * t144 * t232 + 0.3e1 / 0.4e1 * t101 * t312 + t57 * t149 * t108;
  t320 = t153 * t115;
  t325 = t155 * t117;
  t328 = -t317;
  t331 = -0.2e2 * t116 * t328 - 0.2e2 * t320 * t117 - 0.2e2 * t243 * t155 + 0.4e2 * t248 * t325 + 0.2e2 * t317 * t66;
  t336 = my_piecewise3(t2, 0, t7 * t75 * t158 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t23 * t331);
  tv2rhosigma0 = 0.2e1 * rho[0] * t336 + 0.2e1 * t162;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t339 = t142 * t99;
  t346 = t42 * t148;
  t349 = 0.1e1 / sigma[0];
  t350 = t29 * t349;
  t351 = t31 * t35;
  t352 = t351 * t192;
  t355 = t349 * t31;
  t356 = t35 * t200;
  t360 = t148 * t30;
  t364 = t35 * t210;
  t367 = t209 * t355 * t364 / 0.3456e4;
  t368 = -t346 * t135 / 0.288e3 - t350 * t352 / 0.1728e4 + t199 * t355 * t356 / 0.1728e4 + t91 * t360 * t138 / 0.288e3 - t367;
  t369 = t39 * t368;
  t370 = t369 * t100;
  t373 = t222 * t349;
  t377 = t99 * t349 * t92;
  t382 = sigma[0] * sigma[0];
  t384 = 0.1e1 / t43 / t382;
  t385 = t26 * t384;
  t389 = t266 * t339 * t268 / 0.144e3 - t128 * t129 * t148 / 0.288e3 - 0.3e1 / 0.2e1 * t370 * t105 + t143 * t373 / 0.8e1 - t143 * t377 / 0.8e1 + 0.3e1 / 0.2e1 * t144 * t312 - 0.9e1 / 0.8e1 * t57 * t385 * t60;
  t394 = t155 * t155;
  t397 = -t389;
  t400 = -0.2e2 * t116 * t397 - 0.4e2 * t320 * t155 + 0.4e2 * t248 * t394 + 0.2e2 * t389 * t66;
  t404 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t23 * t400);
  tv2sigma20 = 0.2e1 * rho[0] * t404;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t407 = t20 * t81;
  t422 = 0.1e1 / t220 / t50;
  t423 = t422 * t52;
  t424 = t98 * t423;
  t425 = t174 * t40;
  t426 = t41 * t43;
  t427 = t426 * t30;
  t428 = t425 * t427;
  t431 = t221 * t40;
  t432 = t98 * t431;
  t433 = t175 * t92;
  t434 = t426 * t433;
  t437 = t99 * t174;
  t440 = t42 * t44 * t210;
  t442 = t98 * t437 * t440 / 0.162e3;
  t444 = 0.1e1 / t21 / t188;
  t445 = t30 * t444;
  t446 = t445 * t53;
  t449 = t188 * rho[0];
  t451 = 0.1e1 / t22 / t449;
  t452 = t31 * t451;
  t456 = 0.1e1 / t25;
  t457 = t456 * t147;
  t458 = t188 * t172;
  t459 = 0.1e1 / t458;
  t466 = t457 * t459 * t89 * t210;
  t468 = t88 * t88;
  t469 = 0.1e1 / t468;
  t470 = t50 * t469;
  t471 = t470 * t456;
  t472 = t147 * t459;
  t473 = t200 * t92;
  t477 = t451 * t200;
  t481 = t198 * t456;
  t482 = t92 * t210;
  t484 = t481 * t472 * t482;
  t486 = t444 * t92;
  t490 = t451 * t210;
  t492 = t209 * t32 * t490;
  t494 = -0.35e2 / 0.243e3 * t79 * t446 + 0.7e1 / 0.243e3 * t187 * t452 * t192 - 0.2e1 / 0.729e3 * t457 * t459 * t197 * t200 + t466 / 0.729e3 + 0.2e1 / 0.729e3 * t471 * t472 * t473 - 0.7e1 / 0.243e3 * t199 * t32 * t477 - 0.2e1 / 0.729e3 * t484 + 0.35e2 / 0.243e3 * t91 * t44 * t486 + 0.7e1 / 0.486e3 * t492 - t214;
  t495 = t39 * t494;
  t496 = t495 * t100;
  t500 = 0.1e1 / t22 / rho[0];
  t501 = t31 * t500;
  t506 = t174 * t97 * t100;
  t513 = t29 * t32;
  t514 = t190 * t97;
  t515 = t514 * t222;
  t518 = t99 * t92;
  t519 = t514 * t518;
  t522 = t445 * t55;
  t525 = 0.1e1 / t33;
  t526 = t222 * t525;
  t530 = t99 * t525 * t92;
  t536 = t102 * t103 * t235;
  t539 = -0.2e1 / 0.3e1 * t216 * t224 + 0.2e1 / 0.3e1 * t216 * t228 - t424 * t428 / 0.81e2 + t432 * t434 / 0.81e2 - t442 - 0.3e1 / 0.2e1 * t496 * t105 + 0.4e1 / 0.9e1 * t57 * t59 * t501 + t179 * t506 / 0.36e2 - t179 * t81 * t215 * t100 / 0.36e2 - t513 * t515 / 0.324e3 + t513 * t519 / 0.324e3 - 0.17e2 / 0.486e3 * t79 * t522 - 0.5e1 / 0.9e1 * t98 * t526 + 0.5e1 / 0.9e1 * t98 * t530 - 0.6e1 * t217 * t232 - 0.2e1 * t101 * t536;
  t542 = t240 * t115;
  t545 = t112 * t247;
  t550 = t114 * t114;
  t551 = 0.1e1 / t550;
  t552 = t64 * t551;
  t553 = t249 * t117;
  t556 = t117 * t252;
  t559 = -t539;
  t562 = -0.2e2 * t116 * t559 - 0.6e2 * t542 * t117 - 0.6e2 * t243 * t252 + 0.12e3 * t248 * t556 + 0.12e3 * t545 * t249 + 0.2e2 * t539 * t66 - 0.12e3 * t552 * t553;
  t567 = my_piecewise3(t2, 0, 0.2e1 / 0.45e2 * t7 * t407 * t69 - t7 * t165 * t120 / 0.1e2 + 0.3e1 / 0.1e2 * t7 * t75 * t255 + 0.3e1 / 0.2e2 * t7 * t23 * t562);
  tv3rho30 = 0.2e1 * rho[0] * t567 + 0.6e1 * t260;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t577 = t98 * t99;
  t579 = t349 * t223 * t92;
  t588 = t98 * t221;
  t589 = t52 * t349;
  t590 = t589 * t223;
  t597 = t280 * t97;
  t612 = t188 * t33;
  t613 = 0.1e1 / t612;
  t614 = t456 * t613;
  t616 = t197 * t200 * t43;
  t620 = t89 * t43 * t210;
  t621 = t614 * t620;
  t631 = t43 * t210;
  t633 = t481 * t613 * t92 * t631;
  t638 = t286 * t211;
  t639 = t294 * t638;
  t641 = 0.7e1 / 0.324e3 * t133 * t184 - 0.5e1 / 0.648e3 * t278 * t190 * t89 * t92 + t614 * t616 / 0.972e3 - t621 / 0.1944e4 - t471 * t613 * t473 * t43 / 0.972e3 + 0.5e1 / 0.648e3 * t285 * t286 * t201 + t633 / 0.972e3 - 0.7e1 / 0.324e3 * t91 * t137 * t205 - 0.5e1 / 0.1296e4 * t639 + t298;
  t642 = t39 * t641;
  t643 = t642 * t100;
  t646 = -t577 * t579 / 0.6e1 + t133 * t176 / 0.162e3 - t143 * t526 / 0.9e1 + t143 * t530 / 0.9e1 + t588 * t590 / 0.6e1 - 0.2e1 / 0.3e1 * t300 * t224 + 0.2e1 / 0.3e1 * t300 * t228 + t278 * t597 * t222 / 0.2592e4 - t278 * t597 * t518 / 0.2592e4 + 0.3e1 / 0.4e1 * t217 * t312 - 0.3e1 / 0.2e1 * t643 * t105;
  t647 = t143 * t423;
  t650 = t143 * t431;
  t655 = t143 * t437 * t440 / 0.162e3;
  t657 = t174 * t142 * t100;
  t667 = t190 * t142;
  t668 = t667 * t222;
  t671 = t667 * t518;
  t674 = t215 * t99;
  t683 = t102 * t310 * t21;
  t686 = -t647 * t428 / 0.81e2 + t650 * t434 / 0.81e2 - t655 + t179 * t657 / 0.108e3 + t57 * t149 * t236 / 0.3e1 - t179 * t81 * t299 * t100 / 0.54e2 - t513 * t668 / 0.486e3 + t513 * t671 / 0.486e3 + t266 * t674 * t268 / 0.288e3 - 0.4e1 * t301 * t232 - 0.2e1 / 0.3e1 * t144 * t536 + 0.2e1 * t101 * t683;
  t687 = t646 + t686;
  t690 = t317 * t115;
  t693 = t153 * t247;
  t704 = t155 * t249;
  t707 = t328 * t117;
  t710 = t155 * t252;
  t713 = -t687;
  t716 = -0.2e2 * t116 * t713 - 0.4e2 * t690 * t117 - 0.2e2 * t542 * t155 - 0.4e2 * t243 * t328 + 0.8e2 * t248 * t707 + 0.4e2 * t248 * t710 + 0.4e2 * t693 * t249 - 0.2e2 * t320 * t252 + 0.8e2 * t545 * t325 - 0.12e3 * t552 * t704 + 0.2e2 * t687 * t66;
  t721 = my_piecewise3(t2, 0, -t7 * t165 * t158 / 0.3e2 + t7 * t75 * t331 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t23 * t716);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t721 + 0.4e1 * t336;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  t735 = t143 * t221;
  t738 = t143 * t99;
  t741 = t280 * t142;
  t753 = t41 * t30;
  t754 = t753 * t81;
  t755 = t58 * t40 * t754;
  t759 = t41 * t58;
  t760 = t82 * t92;
  t761 = t759 * t760;
  t764 = t99 * t58;
  t765 = t143 * t764;
  t767 = t42 * t82 * t210;
  t769 = t765 * t767 / 0.432e3;
  t772 = t384 * t31;
  t774 = t102 * t772 * t45;
  t779 = t31 * t280;
  t780 = t779 * t192;
  t783 = t456 * t58;
  t784 = 0.1e1 / t449;
  t791 = t783 * t784 * t89 * t210;
  t793 = t58 * t784;
  t801 = t481 * t793 * t482;
  t807 = t209 * t355 * t295;
  t809 = t346 * t86 / 0.216e3 + t350 * t780 / 0.1296e4 - t783 * t784 * t197 * t200 / 0.2592e4 + t791 / 0.5184e4 + t471 * t793 * t473 / 0.2592e4 - t199 * t355 * t287 / 0.1296e4 - t801 / 0.2592e4 - t91 * t360 * t93 / 0.216e3 + t807 / 0.2592e4 - t367;
  t810 = t39 * t809;
  t811 = t810 * t100;
  t821 = t299 * t99;
  t825 = t52 * t148;
  t826 = t267 * t825;
  t833 = -t650 * t761 / 0.216e3 + t769 + 0.3e1 / 0.2e1 * t301 * t312 - 0.9e1 / 0.8e1 * t101 * t774 - 0.3e1 / 0.2e1 * t811 * t105 - t179 * t81 * t368 * t100 / 0.108e3 - 0.3e1 / 0.2e1 * t57 * t385 * t108 + t266 * t821 * t268 / 0.144e3 - t266 * t826 / 0.288e3 - 0.2e1 * t370 * t232 + 0.2e1 * t144 * t683;
  t834 = -t300 * t377 / 0.8e1 - t369 * t224 / 0.3e1 + t369 * t228 / 0.3e1 + t300 * t373 / 0.8e1 + t735 * t590 / 0.3e1 - t738 * t579 / 0.3e1 + t278 * t741 * t222 / 0.864e3 - t278 * t741 * t518 / 0.864e3 - t128 * t81 * t55 * t148 / 0.432e3 + t647 * t755 / 0.216e3 + t833;
  t837 = t389 * t115;
  t848 = t394 * t117;
  t851 = t155 * t328;
  t856 = t397 * t117;
  t859 = -t834;
  t862 = -0.2e2 * t116 * t859 - 0.2e2 * t837 * t117 - 0.4e2 * t690 * t155 - 0.2e2 * t243 * t397 + 0.8e2 * t248 * t851 + 0.4e2 * t248 * t856 - 0.4e2 * t320 * t328 + 0.8e2 * t693 * t325 + 0.4e2 * t545 * t394 - 0.12e3 * t552 * t848 + 0.2e2 * t834 * t66;
  t867 = my_piecewise3(t2, 0, t7 * t75 * t400 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t23 * t862);
  tv3rhosigma20 = 0.2e1 * rho[0] * t867 + 0.2e1 * t404;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  t870 = t382 * sigma[0];
  t872 = 0.1e1 / t43 / t870;
  t873 = t26 * t872;
  t877 = t368 * t99;
  t881 = t29 * t351;
  t882 = t142 * t221;
  t883 = t882 * t589;
  t886 = t349 * t92;
  t887 = t339 * t886;
  t897 = 0.1e1 / t382;
  t898 = t222 * t897;
  t902 = t99 * t897 * t92;
  t905 = t148 * t40;
  t906 = t753 * t46;
  t907 = t905 * t906;
  t910 = t41 * t148;
  t911 = t134 * t92;
  t912 = t910 * t911;
  t915 = t99 * t148;
  t916 = t143 * t915;
  t918 = t42 * t134 * t210;
  t920 = t916 * t918 / 0.1152e4;
  t921 = t42 * t384;
  t924 = t29 * t897;
  t927 = t456 * t148;
  t928 = 0.1e1 / t188;
  t930 = t928 * t197 * t200;
  t934 = t928 * t89 * t210;
  t935 = t927 * t934;
  t936 = t935 / 0.13824e5;
  t937 = t148 * t928;
  t941 = t897 * t31;
  t946 = t481 * t937 * t482;
  t947 = t946 / 0.6912e4;
  t948 = t384 * t30;
  t953 = t209 * t941 * t364;
  t954 = t953 / 0.2304e4;
  t955 = t921 * t135 / 0.192e3 + t924 * t352 / 0.1152e4 + t927 * t930 / 0.6912e4 - t936 - t471 * t937 * t473 / 0.6912e4 - t199 * t941 * t356 / 0.1152e4 + t947 - t91 * t948 * t138 / 0.192e3 + t954 - t367;
  t956 = t39 * t955;
  t957 = t956 * t100;
  t960 = t339 * t825;
  t967 = 0.45e2 / 0.16e2 * t57 * t873 * t60 + t266 * t877 * t268 / 0.96e2 - t881 * t883 / 0.2304e4 + t881 * t887 / 0.2304e4 + t369 * t373 / 0.4e1 - t369 * t377 / 0.4e1 + t128 * t129 * t384 / 0.128e3 - t143 * t898 / 0.4e1 + t143 * t902 / 0.4e1 - t647 * t907 / 0.576e3 + t650 * t912 / 0.576e3 - t920 - 0.3e1 / 0.2e1 * t957 * t105 - t266 * t960 / 0.96e2 + 0.9e1 / 0.4e1 * t370 * t312 - 0.27e2 / 0.8e1 * t144 * t774;
  t976 = t394 * t155;
  t979 = t155 * t397;
  t982 = -t967;
  t985 = -0.2e2 * t116 * t982 - 0.6e2 * t837 * t155 + 0.12e3 * t248 * t979 - 0.6e2 * t320 * t397 + 0.12e3 * t693 * t394 - 0.12e3 * t552 * t976 + 0.2e2 * t967 * t66;
  t989 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t23 * t985);
  tv3sigma30 = 0.2e1 * rho[0] * t989;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t5, t7, t8, t9, t11;
  double t12, t14, t15, t17, t18, t20, t21, t22;
  double t23, t24, t25, t26, t27, t28, t29, t30;
  double t31, t32, t33, t35, t39, t40, t41, t42;
  double t43, t44, t45, t46, t49, t50, t51, t52;
  double t53, t55, t57, t58, t59, t60, t63, t64;
  double t65, t66, t69, t73, tzk0;

  double t75, t79, t81, t82, t83, t86, t88, t89;
  double t90, t91, t92, t93, t97, t98, t99, t100;
  double t101, t102, t103, t105, t108, t112, t114, t115;
  double t116, t117, t120, t125, tvrho0, t128, t129, t133;
  double t134, t135, t137, t138, t142, t143, t144, t147;
  double t148, t149, t153, t155, t158, t162, tvsigma0;

  double t165, t172, t174, t175, t176, t179, t184, t187;
  double t188, t190, t191, t192, t193, t197, t198, t199;
  double t200, t201, t205, t209, t210, t211, t214, t215;
  double t216, t217, t220, t221, t222, t223, t224, t228;
  double t232, t235, t236, t240, t243, t247, t248, t249;
  double t252, t255, t260, tv2rho20, t266, t267, t268, t278;
  double t280, t285, t286, t287, t294, t295, t298, t299;
  double t300, t301, t310, t312, t317, t320, t325, t328;
  double t331, t336, tv2rhosigma0, t339, t346, t349, t350, t351;
  double t352, t355, t356, t360, t364, t367, t368, t369;
  double t370, t373, t377, t382, t384, t385, t389, t394;
  double t397, t400, t404, tv2sigma20;

  double t407, t422, t423, t424, t425, t426, t427, t428;
  double t431, t432, t433, t434, t437, t440, t442, t444;
  double t445, t446, t449, t451, t452, t456, t457, t458;
  double t459, t466, t468, t469, t470, t471, t472, t473;
  double t477, t481, t482, t484, t486, t490, t492, t494;
  double t495, t496, t500, t501, t506, t513, t514, t515;
  double t518, t519, t522, t525, t526, t530, t536, t539;
  double t542, t545, t550, t551, t552, t553, t556, t559;
  double t562, t567, tv3rho30, t577, t579, t588, t589, t590;
  double t597, t612, t613, t614, t616, t620, t621, t631;
  double t633, t638, t639, t641, t642, t643, t646, t647;
  double t650, t655, t657, t667, t668, t671, t674, t683;
  double t686, t687, t690, t693, t704, t707, t710, t713;
  double t716, t721, tv3rho2sigma0, t735, t738, t741, t753, t754;
  double t755, t759, t760, t761, t764, t765, t767, t769;
  double t772, t774, t779, t780, t783, t784, t791, t793;
  double t801, t807, t809, t810, t811, t821, t825, t826;
  double t833, t834, t837, t848, t851, t856, t859, t862;
  double t867, tv3rhosigma20, t870, t872, t873, t877, t881, t882;
  double t883, t886, t887, t897, t898, t902, t905, t906;
  double t907, t910, t911, t912, t915, t916, t918, t920;
  double t921, t924, t927, t928, t930, t934, t935, t936;
  double t937, t941, t946, t947, t948, t953, t954, t955;
  double t956, t957, t960, t967, t976, t979, t982, t985;
  double t989, tv3sigma30;

  double t1007, t1012, t1020, t1021, t1033, t1040, t1058, t1061;
  double t1062, t1066, t1069, t1071, t1074, t1076, t1079, t1082;
  double t1086, t1090, t1093, t1100, t1103, t1106, t1113, t1118;
  double t1119, t1120, t1127, t1130, t1134, t1144, t1145, t1155;
  double t1156, t1157, t1162, t1164, t1186, t1189, t1203, t1204;
  double t1207, t1210, t1215, t1224, t1225, t1231, t1240, t1245;
  double tv4rho40, t1258, t1261, t1289, t1308, t1311, t1322, t1327;
  double t1340, t1345, t1348, t1349, t1353, t1357, t1364, t1385;
  double t1387, t1390, t1393, t1398, t1401, t1421, t1429, t1431;
  double t1456, t1464, t1466, t1469, t1472, t1488, t1494, t1499;
  double t1501, t1512, t1528, t1534, tv4rho3sigma0, t1576, t1577, t1580;
  double t1583, t1600, t1617, t1624, t1625, t1629, t1636, t1656;
  double t1665, t1667, t1689, t1693, t1737, t1749, t1760, t1764;
  double t1773, t1793, t1803, t1805, t1814, t1820, tv4rho2sigma20, t1837;
  double t1860, t1861, t1883, t1887, t1904, t1907, t1936, t1941;
  double t1971, t1976, t2000, t2002, t2005, t2054, t2060, tv4rhosigma30;
  double t2063, t2102, t2109, t2110, t2123, t2130, t2152, t2165;
  double t2172, t2180, t2225, t2226, t2241, t2247, t2256, t2260;
  double tv4sigma40;


  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = t3 * t3;
  t5 = M_CBRTPI;
  t7 = t4 * t5 * M_PI;
  t8 = 0.1e1 <= p->zeta_threshold;
  t9 = p->zeta_threshold - 0.1e1;
  t11 = my_piecewise5(t8, t9, t8, -t9, 0);
  t12 = 0.1e1 + t11;
  t14 = POW_1_3(p->zeta_threshold);
  t15 = t14 * t14;
  t17 = POW_1_3(t12);
  t18 = t17 * t17;
  t20 = my_piecewise3(t12 <= p->zeta_threshold, t15 * p->zeta_threshold, t18 * t12);
  t21 = POW_1_3(rho[0]);
  t22 = t21 * t21;
  t23 = t20 * t22;
  t24 = M_CBRT6;
  t25 = M_PI * M_PI;
  t26 = POW_1_3(t25);
  t27 = t26 * t26;
  t28 = 0.1e1 / t27;
  t29 = t24 * t28;
  t30 = M_CBRT2;
  t31 = t30 * t30;
  t32 = sigma[0] * t31;
  t33 = rho[0] * rho[0];
  t35 = 0.1e1 / t22 / t33;
  t39 = 0.1e1 - t29 * t32 * t35 / 0.864e3;
  t40 = t24 * t24;
  t41 = 0.1e1 / t26;
  t42 = t40 * t41;
  t43 = sqrt(sigma[0]);
  t44 = t43 * t30;
  t45 = t21 * rho[0];
  t46 = 0.1e1 / t45;
  t49 = t42 * t44 * t46 / 0.72e2;
  t50 = 0.1e1 + t49;
  t51 = -0.1e1 + t49;
  t52 = fabs(t51);
  t53 = 0.1e1 / t52;
  t55 = log(t50 * t53);
  t57 = t39 * t55 * t24;
  t58 = 0.1e1 / t43;
  t59 = t26 * t58;
  t60 = t31 * t45;
  t63 = 0.3e1 / 0.2e1 * t57 * t59 * t60;
  t64 = 0.1e1 / 0.2e1 - t63;
  t65 = 0.1e1 / 0.2e1 + t63;
  t66 = 0.1e1 / t65;
  t69 = 0.2e2 * t64 * t66 + 0.1e1;
  t73 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t23 * t69);
  tzk0 = 0.2e1 * t73;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t75 = t20 / t21;
  t79 = t42 * t43;
  t81 = 0.1e1 / t21 / t33;
  t82 = t30 * t81;
  t83 = t82 * t55;
  t86 = t82 * t53;
  t88 = t52 * t52;
  t89 = 0.1e1 / t88;
  t90 = t50 * t89;
  t91 = t90 * t42;
  t92 = fabs(t51) / t51;
  t93 = t81 * t92;
  t97 = t91 * t44 * t93 / 0.54e2 - t79 * t86 / 0.54e2;
  t98 = t39 * t97;
  t99 = 0.1e1 / t50;
  t100 = t99 * t52;
  t101 = t98 * t100;
  t102 = t24 * t26;
  t103 = t58 * t31;
  t105 = t102 * t103 * t45;
  t108 = t31 * t21;
  t112 = -t79 * t83 / 0.108e3 - 0.3e1 / 0.2e1 * t101 * t105 - 0.2e1 * t57 * t59 * t108;
  t114 = t65 * t65;
  t115 = 0.1e1 / t114;
  t116 = t64 * t115;
  t117 = -t112;
  t120 = 0.2e2 * t112 * t66 - 0.2e2 * t116 * t117;
  t125 = my_piecewise3(t2, 0, t7 * t75 * t69 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t23 * t120);
  tvrho0 = 0.2e1 * rho[0] * t125 + 0.2e1 * t73;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t128 = t42 * t30;
  t129 = t46 * t55;
  t133 = t42 * t58;
  t134 = t30 * t46;
  t135 = t134 * t53;
  t137 = t58 * t30;
  t138 = t46 * t92;
  t142 = -t91 * t137 * t138 / 0.144e3 + t133 * t135 / 0.144e3;
  t143 = t39 * t142;
  t144 = t143 * t100;
  t147 = t43 * sigma[0];
  t148 = 0.1e1 / t147;
  t149 = t26 * t148;
  t153 = t128 * t129 * t58 / 0.288e3 - 0.3e1 / 0.2e1 * t144 * t105 + 0.3e1 / 0.4e1 * t57 * t149 * t60;
  t155 = -t153;
  t158 = -0.2e2 * t116 * t155 + 0.2e2 * t153 * t66;
  t162 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t23 * t158);
  tvsigma0 = 0.2e1 * rho[0] * t162;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t165 = t20 * t46;
  t172 = t33 * rho[0];
  t174 = 0.1e1 / t21 / t172;
  t175 = t30 * t174;
  t176 = t175 * t55;
  t179 = t42 * t44;
  t184 = t175 * t53;
  t187 = t29 * sigma[0];
  t188 = t33 * t33;
  t190 = 0.1e1 / t22 / t188;
  t191 = t31 * t190;
  t192 = t89 * t92;
  t193 = t191 * t192;
  t197 = 0.1e1 / t88 / t52;
  t198 = t50 * t197;
  t199 = t198 * t29;
  t200 = t92 * t92;
  t201 = t190 * t200;
  t205 = t174 * t92;
  t209 = t90 * t29;
  t210 = 0.0;
  t211 = t190 * t210;
  t214 = t209 * t32 * t211 / 0.486e3;
  t215 = 0.7e1 / 0.162e3 * t79 * t184 - t187 * t193 / 0.243e3 + t199 * t32 * t201 / 0.243e3 - 0.7e1 / 0.162e3 * t91 * t44 * t205 - t214;
  t216 = t39 * t215;
  t217 = t216 * t100;
  t220 = t50 * t50;
  t221 = 0.1e1 / t220;
  t222 = t221 * t52;
  t223 = 0.1e1 / rho[0];
  t224 = t222 * t223;
  t228 = t99 * t223 * t92;
  t232 = t102 * t103 * t21;
  t235 = 0.1e1 / t22;
  t236 = t31 * t235;
  t240 = t79 * t176 / 0.108e3 - t179 * t81 * t97 * t100 / 0.54e2 - 0.3e1 / 0.2e1 * t217 * t105 - t98 * t224 / 0.3e1 + t98 * t228 / 0.3e1 - 0.4e1 * t101 * t232 - 0.2e1 / 0.3e1 * t57 * t59 * t236;
  t243 = t112 * t115;
  t247 = 0.1e1 / t114 / t65;
  t248 = t64 * t247;
  t249 = t117 * t117;
  t252 = -t240;
  t255 = -0.2e2 * t116 * t252 - 0.4e2 * t243 * t117 + 0.2e2 * t240 * t66 + 0.4e2 * t248 * t249;
  t260 = my_piecewise3(t2, 0, -t7 * t165 * t69 / 0.3e2 + t7 * t75 * t120 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t23 * t255);
  tv2rho20 = 0.2e1 * rho[0] * t260 + 0.4e1 * t125;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t266 = t42 * t134;
  t267 = t97 * t99;
  t268 = t52 * t58;
  t278 = t29 * t31;
  t280 = 0.1e1 / t22 / t172;
  t285 = t198 * t24;
  t286 = t28 * t31;
  t287 = t280 * t200;
  t294 = t90 * t24;
  t295 = t280 * t210;
  t298 = t294 * t286 * t295 / 0.1296e4;
  t299 = -t133 * t86 / 0.108e3 + t278 * t280 * t89 * t92 / 0.648e3 - t285 * t286 * t287 / 0.648e3 + t91 * t137 * t93 / 0.108e3 + t298;
  t300 = t39 * t299;
  t301 = t300 * t100;
  t310 = t148 * t31;
  t312 = t102 * t310 * t45;
  t317 = t266 * t267 * t268 / 0.288e3 - t179 * t81 * t142 * t100 / 0.108e3 - 0.3e1 / 0.2e1 * t301 * t105 - t143 * t224 / 0.3e1 + t143 * t228 / 0.3e1 - 0.2e1 * t144 * t232 + 0.3e1 / 0.4e1 * t101 * t312 + t57 * t149 * t108;
  t320 = t153 * t115;
  t325 = t155 * t117;
  t328 = -t317;
  t331 = -0.2e2 * t116 * t328 - 0.2e2 * t320 * t117 - 0.2e2 * t243 * t155 + 0.4e2 * t248 * t325 + 0.2e2 * t317 * t66;
  t336 = my_piecewise3(t2, 0, t7 * t75 * t158 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t23 * t331);
  tv2rhosigma0 = 0.2e1 * rho[0] * t336 + 0.2e1 * t162;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t339 = t142 * t99;
  t346 = t42 * t148;
  t349 = 0.1e1 / sigma[0];
  t350 = t29 * t349;
  t351 = t31 * t35;
  t352 = t351 * t192;
  t355 = t349 * t31;
  t356 = t35 * t200;
  t360 = t148 * t30;
  t364 = t35 * t210;
  t367 = t209 * t355 * t364 / 0.3456e4;
  t368 = -t346 * t135 / 0.288e3 - t350 * t352 / 0.1728e4 + t199 * t355 * t356 / 0.1728e4 + t91 * t360 * t138 / 0.288e3 - t367;
  t369 = t39 * t368;
  t370 = t369 * t100;
  t373 = t222 * t349;
  t377 = t99 * t349 * t92;
  t382 = sigma[0] * sigma[0];
  t384 = 0.1e1 / t43 / t382;
  t385 = t26 * t384;
  t389 = t266 * t339 * t268 / 0.144e3 - t128 * t129 * t148 / 0.288e3 - 0.3e1 / 0.2e1 * t370 * t105 + t143 * t373 / 0.8e1 - t143 * t377 / 0.8e1 + 0.3e1 / 0.2e1 * t144 * t312 - 0.9e1 / 0.8e1 * t57 * t385 * t60;
  t394 = t155 * t155;
  t397 = -t389;
  t400 = -0.2e2 * t116 * t397 - 0.4e2 * t320 * t155 + 0.4e2 * t248 * t394 + 0.2e2 * t389 * t66;
  t404 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t23 * t400);
  tv2sigma20 = 0.2e1 * rho[0] * t404;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t407 = t20 * t81;
  t422 = 0.1e1 / t220 / t50;
  t423 = t422 * t52;
  t424 = t98 * t423;
  t425 = t174 * t40;
  t426 = t41 * t43;
  t427 = t426 * t30;
  t428 = t425 * t427;
  t431 = t221 * t40;
  t432 = t98 * t431;
  t433 = t175 * t92;
  t434 = t426 * t433;
  t437 = t99 * t174;
  t440 = t42 * t44 * t210;
  t442 = t98 * t437 * t440 / 0.162e3;
  t444 = 0.1e1 / t21 / t188;
  t445 = t30 * t444;
  t446 = t445 * t53;
  t449 = t188 * rho[0];
  t451 = 0.1e1 / t22 / t449;
  t452 = t31 * t451;
  t456 = 0.1e1 / t25;
  t457 = t456 * t147;
  t458 = t188 * t172;
  t459 = 0.1e1 / t458;
  t466 = t457 * t459 * t89 * t210;
  t468 = t88 * t88;
  t469 = 0.1e1 / t468;
  t470 = t50 * t469;
  t471 = t470 * t456;
  t472 = t147 * t459;
  t473 = t200 * t92;
  t477 = t451 * t200;
  t481 = t198 * t456;
  t482 = t92 * t210;
  t484 = t481 * t472 * t482;
  t486 = t444 * t92;
  t490 = t451 * t210;
  t492 = t209 * t32 * t490;
  t494 = -0.35e2 / 0.243e3 * t79 * t446 + 0.7e1 / 0.243e3 * t187 * t452 * t192 - 0.2e1 / 0.729e3 * t457 * t459 * t197 * t200 + t466 / 0.729e3 + 0.2e1 / 0.729e3 * t471 * t472 * t473 - 0.7e1 / 0.243e3 * t199 * t32 * t477 - 0.2e1 / 0.729e3 * t484 + 0.35e2 / 0.243e3 * t91 * t44 * t486 + 0.7e1 / 0.486e3 * t492 - t214;
  t495 = t39 * t494;
  t496 = t495 * t100;
  t500 = 0.1e1 / t22 / rho[0];
  t501 = t31 * t500;
  t506 = t174 * t97 * t100;
  t513 = t29 * t32;
  t514 = t190 * t97;
  t515 = t514 * t222;
  t518 = t99 * t92;
  t519 = t514 * t518;
  t522 = t445 * t55;
  t525 = 0.1e1 / t33;
  t526 = t222 * t525;
  t530 = t99 * t525 * t92;
  t536 = t102 * t103 * t235;
  t539 = -0.2e1 / 0.3e1 * t216 * t224 + 0.2e1 / 0.3e1 * t216 * t228 - t424 * t428 / 0.81e2 + t432 * t434 / 0.81e2 - t442 - 0.3e1 / 0.2e1 * t496 * t105 + 0.4e1 / 0.9e1 * t57 * t59 * t501 + t179 * t506 / 0.36e2 - t179 * t81 * t215 * t100 / 0.36e2 - t513 * t515 / 0.324e3 + t513 * t519 / 0.324e3 - 0.17e2 / 0.486e3 * t79 * t522 - 0.5e1 / 0.9e1 * t98 * t526 + 0.5e1 / 0.9e1 * t98 * t530 - 0.6e1 * t217 * t232 - 0.2e1 * t101 * t536;
  t542 = t240 * t115;
  t545 = t112 * t247;
  t550 = t114 * t114;
  t551 = 0.1e1 / t550;
  t552 = t64 * t551;
  t553 = t249 * t117;
  t556 = t117 * t252;
  t559 = -t539;
  t562 = -0.2e2 * t116 * t559 - 0.6e2 * t542 * t117 - 0.6e2 * t243 * t252 + 0.12e3 * t248 * t556 + 0.12e3 * t545 * t249 + 0.2e2 * t539 * t66 - 0.12e3 * t552 * t553;
  t567 = my_piecewise3(t2, 0, 0.2e1 / 0.45e2 * t7 * t407 * t69 - t7 * t165 * t120 / 0.1e2 + 0.3e1 / 0.1e2 * t7 * t75 * t255 + 0.3e1 / 0.2e2 * t7 * t23 * t562);
  tv3rho30 = 0.2e1 * rho[0] * t567 + 0.6e1 * t260;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t577 = t98 * t99;
  t579 = t349 * t223 * t92;
  t588 = t98 * t221;
  t589 = t52 * t349;
  t590 = t589 * t223;
  t597 = t280 * t97;
  t612 = t188 * t33;
  t613 = 0.1e1 / t612;
  t614 = t456 * t613;
  t616 = t197 * t200 * t43;
  t620 = t89 * t43 * t210;
  t621 = t614 * t620;
  t631 = t43 * t210;
  t633 = t481 * t613 * t92 * t631;
  t638 = t286 * t211;
  t639 = t294 * t638;
  t641 = 0.7e1 / 0.324e3 * t133 * t184 - 0.5e1 / 0.648e3 * t278 * t190 * t89 * t92 + t614 * t616 / 0.972e3 - t621 / 0.1944e4 - t471 * t613 * t473 * t43 / 0.972e3 + 0.5e1 / 0.648e3 * t285 * t286 * t201 + t633 / 0.972e3 - 0.7e1 / 0.324e3 * t91 * t137 * t205 - 0.5e1 / 0.1296e4 * t639 + t298;
  t642 = t39 * t641;
  t643 = t642 * t100;
  t646 = -t577 * t579 / 0.6e1 + t133 * t176 / 0.162e3 - t143 * t526 / 0.9e1 + t143 * t530 / 0.9e1 + t588 * t590 / 0.6e1 - 0.2e1 / 0.3e1 * t300 * t224 + 0.2e1 / 0.3e1 * t300 * t228 + t278 * t597 * t222 / 0.2592e4 - t278 * t597 * t518 / 0.2592e4 + 0.3e1 / 0.4e1 * t217 * t312 - 0.3e1 / 0.2e1 * t643 * t105;
  t647 = t143 * t423;
  t650 = t143 * t431;
  t655 = t143 * t437 * t440 / 0.162e3;
  t657 = t174 * t142 * t100;
  t667 = t190 * t142;
  t668 = t667 * t222;
  t671 = t667 * t518;
  t674 = t215 * t99;
  t683 = t102 * t310 * t21;
  t686 = -t647 * t428 / 0.81e2 + t650 * t434 / 0.81e2 - t655 + t179 * t657 / 0.108e3 + t57 * t149 * t236 / 0.3e1 - t179 * t81 * t299 * t100 / 0.54e2 - t513 * t668 / 0.486e3 + t513 * t671 / 0.486e3 + t266 * t674 * t268 / 0.288e3 - 0.4e1 * t301 * t232 - 0.2e1 / 0.3e1 * t144 * t536 + 0.2e1 * t101 * t683;
  t687 = t646 + t686;
  t690 = t317 * t115;
  t693 = t153 * t247;
  t704 = t155 * t249;
  t707 = t328 * t117;
  t710 = t155 * t252;
  t713 = -t687;
  t716 = -0.2e2 * t116 * t713 - 0.4e2 * t690 * t117 - 0.2e2 * t542 * t155 - 0.4e2 * t243 * t328 + 0.8e2 * t248 * t707 + 0.4e2 * t248 * t710 + 0.4e2 * t693 * t249 - 0.2e2 * t320 * t252 + 0.8e2 * t545 * t325 - 0.12e3 * t552 * t704 + 0.2e2 * t687 * t66;
  t721 = my_piecewise3(t2, 0, -t7 * t165 * t158 / 0.3e2 + t7 * t75 * t331 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t23 * t716);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t721 + 0.4e1 * t336;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  t735 = t143 * t221;
  t738 = t143 * t99;
  t741 = t280 * t142;
  t753 = t41 * t30;
  t754 = t753 * t81;
  t755 = t58 * t40 * t754;
  t759 = t41 * t58;
  t760 = t82 * t92;
  t761 = t759 * t760;
  t764 = t99 * t58;
  t765 = t143 * t764;
  t767 = t42 * t82 * t210;
  t769 = t765 * t767 / 0.432e3;
  t772 = t384 * t31;
  t774 = t102 * t772 * t45;
  t779 = t31 * t280;
  t780 = t779 * t192;
  t783 = t456 * t58;
  t784 = 0.1e1 / t449;
  t791 = t783 * t784 * t89 * t210;
  t793 = t58 * t784;
  t801 = t481 * t793 * t482;
  t807 = t209 * t355 * t295;
  t809 = t346 * t86 / 0.216e3 + t350 * t780 / 0.1296e4 - t783 * t784 * t197 * t200 / 0.2592e4 + t791 / 0.5184e4 + t471 * t793 * t473 / 0.2592e4 - t199 * t355 * t287 / 0.1296e4 - t801 / 0.2592e4 - t91 * t360 * t93 / 0.216e3 + t807 / 0.2592e4 - t367;
  t810 = t39 * t809;
  t811 = t810 * t100;
  t821 = t299 * t99;
  t825 = t52 * t148;
  t826 = t267 * t825;
  t833 = -t650 * t761 / 0.216e3 + t769 + 0.3e1 / 0.2e1 * t301 * t312 - 0.9e1 / 0.8e1 * t101 * t774 - 0.3e1 / 0.2e1 * t811 * t105 - t179 * t81 * t368 * t100 / 0.108e3 - 0.3e1 / 0.2e1 * t57 * t385 * t108 + t266 * t821 * t268 / 0.144e3 - t266 * t826 / 0.288e3 - 0.2e1 * t370 * t232 + 0.2e1 * t144 * t683;
  t834 = -t300 * t377 / 0.8e1 - t369 * t224 / 0.3e1 + t369 * t228 / 0.3e1 + t300 * t373 / 0.8e1 + t735 * t590 / 0.3e1 - t738 * t579 / 0.3e1 + t278 * t741 * t222 / 0.864e3 - t278 * t741 * t518 / 0.864e3 - t128 * t81 * t55 * t148 / 0.432e3 + t647 * t755 / 0.216e3 + t833;
  t837 = t389 * t115;
  t848 = t394 * t117;
  t851 = t155 * t328;
  t856 = t397 * t117;
  t859 = -t834;
  t862 = -0.2e2 * t116 * t859 - 0.2e2 * t837 * t117 - 0.4e2 * t690 * t155 - 0.2e2 * t243 * t397 + 0.8e2 * t248 * t851 + 0.4e2 * t248 * t856 - 0.4e2 * t320 * t328 + 0.8e2 * t693 * t325 + 0.4e2 * t545 * t394 - 0.12e3 * t552 * t848 + 0.2e2 * t834 * t66;
  t867 = my_piecewise3(t2, 0, t7 * t75 * t400 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t23 * t862);
  tv3rhosigma20 = 0.2e1 * rho[0] * t867 + 0.2e1 * t404;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  t870 = t382 * sigma[0];
  t872 = 0.1e1 / t43 / t870;
  t873 = t26 * t872;
  t877 = t368 * t99;
  t881 = t29 * t351;
  t882 = t142 * t221;
  t883 = t882 * t589;
  t886 = t349 * t92;
  t887 = t339 * t886;
  t897 = 0.1e1 / t382;
  t898 = t222 * t897;
  t902 = t99 * t897 * t92;
  t905 = t148 * t40;
  t906 = t753 * t46;
  t907 = t905 * t906;
  t910 = t41 * t148;
  t911 = t134 * t92;
  t912 = t910 * t911;
  t915 = t99 * t148;
  t916 = t143 * t915;
  t918 = t42 * t134 * t210;
  t920 = t916 * t918 / 0.1152e4;
  t921 = t42 * t384;
  t924 = t29 * t897;
  t927 = t456 * t148;
  t928 = 0.1e1 / t188;
  t930 = t928 * t197 * t200;
  t934 = t928 * t89 * t210;
  t935 = t927 * t934;
  t936 = t935 / 0.13824e5;
  t937 = t148 * t928;
  t941 = t897 * t31;
  t946 = t481 * t937 * t482;
  t947 = t946 / 0.6912e4;
  t948 = t384 * t30;
  t953 = t209 * t941 * t364;
  t954 = t953 / 0.2304e4;
  t955 = t921 * t135 / 0.192e3 + t924 * t352 / 0.1152e4 + t927 * t930 / 0.6912e4 - t936 - t471 * t937 * t473 / 0.6912e4 - t199 * t941 * t356 / 0.1152e4 + t947 - t91 * t948 * t138 / 0.192e3 + t954 - t367;
  t956 = t39 * t955;
  t957 = t956 * t100;
  t960 = t339 * t825;
  t967 = 0.45e2 / 0.16e2 * t57 * t873 * t60 + t266 * t877 * t268 / 0.96e2 - t881 * t883 / 0.2304e4 + t881 * t887 / 0.2304e4 + t369 * t373 / 0.4e1 - t369 * t377 / 0.4e1 + t128 * t129 * t384 / 0.128e3 - t143 * t898 / 0.4e1 + t143 * t902 / 0.4e1 - t647 * t907 / 0.576e3 + t650 * t912 / 0.576e3 - t920 - 0.3e1 / 0.2e1 * t957 * t105 - t266 * t960 / 0.96e2 + 0.9e1 / 0.4e1 * t370 * t312 - 0.27e2 / 0.8e1 * t144 * t774;
  t976 = t394 * t155;
  t979 = t155 * t397;
  t982 = -t967;
  t985 = -0.2e2 * t116 * t982 - 0.6e2 * t837 * t155 + 0.12e3 * t248 * t979 - 0.6e2 * t320 * t397 + 0.12e3 * t693 * t394 - 0.12e3 * t552 * t976 + 0.2e2 * t967 * t66;
  t989 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t23 * t985);
  tv3sigma30 = 0.2e1 * rho[0] * t989;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  t1007 = t457 * t459;
  t1012 = t97 * t221;
  t1020 = 0.1e1 / t21 / t449;
  t1021 = t30 * t1020;
  t1033 = t451 * t97;
  t1040 = t190 * t215;
  t1058 = -0.4e1 * t217 * t536 - 0.4e1 / 0.2187e4 * t1007 * t97 * t422 * t52 + 0.4e1 / 0.2187e4 * t1007 * t1012 * t92 - 0.2e1 / 0.2187e4 * t1007 * t267 * t210 + 0.25e2 / 0.162e3 * t79 * t1021 * t55 - t179 * t81 * t494 * t100 / 0.27e2 + t179 * t174 * t215 * t100 / 0.18e2 + 0.23e2 / 0.1458e4 * t513 * t1033 * t222 - 0.23e2 / 0.1458e4 * t513 * t1033 * t518 - 0.2e1 / 0.243e3 * t513 * t1040 * t222 + 0.2e1 / 0.243e3 * t513 * t1040 * t518 - 0.34e2 / 0.243e3 * t179 * t444 * t97 * t100 - 0.2e2 / 0.27e2 * t57 * t59 * t351 - t495 * t224 + t495 * t228 - 0.11e2 / 0.9e1 * t216 * t526;
  t1061 = 0.1e1 / t172;
  t1062 = t222 * t1061;
  t1066 = t99 * t1061 * t92;
  t1069 = t220 * t220;
  t1071 = 0.1e1 / t1069 * t52;
  t1074 = t28 * sigma[0];
  t1076 = t451 * t24 * t1074 * t31;
  t1079 = t422 * t24;
  t1082 = t1074 * t452 * t92;
  t1086 = t444 * t40 * t427;
  t1090 = t426 * t445 * t92;
  t1093 = t99 * t444;
  t1100 = t102 * t103 * t500;
  t1103 = t221 * t24;
  t1106 = t1074 * t452 * t210;
  t1113 = 0.1e1 / t22 / t612;
  t1118 = t188 * t188;
  t1119 = 0.1e1 / t1118;
  t1120 = t147 * t1119;
  t1127 = t456 * t382;
  t1130 = 0.1e1 / t21 / t1118 / rho[0];
  t1134 = t473 * t40 * t753;
  t1144 = t210 * t210;
  t1145 = t753 * t1144;
  t1155 = t92 * t40;
  t1156 = t753 * t210;
  t1157 = t1155 * t1156;
  t1162 = t50 / t468 / t52;
  t1164 = t200 * t200;
  t1186 = t200 * t40 * t1156;
  t1189 = 0.455e3 / 0.729e3 * t79 * t1021 * t53 - 0.427e3 / 0.2187e4 * t187 * t31 * t1113 * t192 - 0.28e2 / 0.729e3 * t471 * t1120 * t473 + 0.28e2 / 0.729e3 * t481 * t1120 * t482 - 0.4e1 / 0.19683e5 * t1127 * t1130 * t469 * t1134 - 0.427e3 / 0.4374e4 * t209 * t32 * t1113 * t210 + 0.4e1 / 0.2187e4 * t466 + t198 * t1127 * t1130 * t40 * t1145 / 0.19683e5 - 0.455e3 / 0.729e3 * t91 * t44 * t1020 * t92 + 0.4e1 / 0.19683e5 * t1127 * t1130 * t197 * t1157 + 0.4e1 / 0.19683e5 * t1162 * t1127 * t1130 * t1164 * t128 + 0.427e3 / 0.2187e4 * t199 * t32 * t1113 * t200 + 0.35e2 / 0.1458e4 * t492 - 0.8e1 / 0.2187e4 * t484 - t214 + 0.28e2 / 0.729e3 * t457 * t1119 * t197 * t200 - 0.14e2 / 0.729e3 * t457 * t1119 * t89 * t210 - 0.2e1 / 0.6561e4 * t470 * t1127 * t1130 * t1186;
  t1203 = 0.11e2 / 0.9e1 * t216 * t530 + 0.2e1 / 0.3e1 * t98 * t1062 - 0.2e1 / 0.3e1 * t98 * t1066 - t98 * t1071 * t1076 / 0.243e3 + t98 * t1079 * t1082 / 0.243e3 + 0.5e1 / 0.243e3 * t424 * t1086 - 0.5e1 / 0.243e3 * t432 * t1090 + 0.5e1 / 0.486e3 * t98 * t1093 * t440 - 0.8e1 * t496 * t232 + 0.16e2 / 0.9e1 * t101 * t1100 - t98 * t1103 * t1106 / 0.486e3 - 0.3e1 / 0.2e1 * t39 * t1189 * t100 * t105 - t216 * t423 * t428 / 0.27e2 + t216 * t431 * t434 / 0.27e2 - t216 * t437 * t440 / 0.54e2 - t442;
  t1204 = t1058 + t1203;
  t1207 = t539 * t115;
  t1210 = t240 * t247;
  t1215 = t112 * t551;
  t1224 = t64 / t550 / t65;
  t1225 = t249 * t249;
  t1231 = t252 * t252;
  t1240 = 0.16e3 * t248 * t117 * t559 - 0.72e3 * t552 * t249 * t252 + 0.2e2 * t116 * t1204 - 0.8e2 * t1207 * t117 + 0.2e2 * t1204 * t66 + 0.24e3 * t1210 * t249 - 0.48e3 * t1215 * t553 + 0.48e3 * t1224 * t1225 + 0.12e3 * t248 * t1231 - 0.8e2 * t243 * t559 - 0.12e3 * t542 * t252 + 0.48e3 * t545 * t556;
  t1245 = my_piecewise3(t2, 0, -0.14e2 / 0.135e3 * t7 * t20 * t174 * t69 + 0.8e1 / 0.45e2 * t7 * t407 * t120 - t7 * t165 * t255 / 0.5e1 + 0.2e1 / 0.5e1 * t7 * t75 * t562 + 0.3e1 / 0.2e2 * t7 * t23 * t1240);
  tv4rho40 = 0.2e1 * rho[0] * t1245 + 0.8e1 * t567;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t1258 = t317 * t247;
  t1261 = t153 * t551;
  t1289 = t190 * t299;
  t1308 = t42 * t137;
  t1311 = t451 * t142;
  t1322 = -0.17e2 / 0.486e3 * t179 * t444 * t142 * t100 - t513 * t1289 * t222 / 0.162e3 + t513 * t1289 * t518 / 0.162e3 + t266 * t494 * t99 * t268 / 0.288e3 - t179 * t81 * t641 * t100 / 0.36e2 + t179 * t174 * t299 * t100 / 0.36e2 + t1308 * t506 / 0.54e2 + 0.5e1 / 0.486e3 * t513 * t1311 * t222 - 0.5e1 / 0.486e3 * t513 * t1311 * t518 + t300 * t530 / 0.3e1 - t642 * t224 + t642 * t228;
  t1327 = t280 * t215;
  t1340 = t349 * t525 * t92;
  t1345 = t589 * t525;
  t1348 = t614 * t97;
  t1349 = t423 * t43;
  t1353 = t221 * t43 * t92;
  t1357 = t99 * t43 * t210;
  t1364 = -t300 * t526 / 0.3e1 - 0.7e1 / 0.7776e4 * t278 * t515 + t278 * t1327 * t222 / 0.1296e4 - t278 * t1327 * t518 / 0.1296e4 + 0.7e1 / 0.7776e4 * t278 * t519 - 0.2e1 / 0.9e1 * t57 * t149 * t501 - 0.5e1 / 0.18e2 * t577 * t1340 - t133 * t522 / 0.54e2 + 0.5e1 / 0.18e2 * t588 * t1345 + t1348 * t1349 / 0.5832e4 - t1348 * t1353 / 0.5832e4 + t1348 * t1357 / 0.11664e5 - t1007 * t142 * t422 * t52 / 0.729e3;
  t1385 = t102 * t310 * t235;
  t1387 = t143 * t1071;
  t1390 = t143 * t1079;
  t1393 = t143 * t1103;
  t1398 = t456 / t21 / t1118;
  t1401 = sigma[0] * t40;
  t1421 = t456 * t459;
  t1429 = t197 * t92;
  t1431 = t1401 * t1156;
  t1456 = t1398 * t469 * t473 * t1401 * t753 / 0.13122e5 - 0.119e3 / 0.2916e4 * t285 * t286 * t477 - 0.35e2 / 0.486e3 * t133 * t446 + 0.11e2 / 0.972e3 * t471 * t459 * t473 * t43 - 0.11e2 / 0.972e3 * t481 * t459 * t92 * t631 + 0.119e3 / 0.5832e4 * t294 * t286 * t490 - 0.11e2 / 0.972e3 * t1421 * t616 + 0.11e2 / 0.1944e4 * t1421 * t620 - t621 / 0.1458e4 + t633 / 0.729e3 - 0.13e2 / 0.1944e4 * t639 - t1398 * t1429 * t1431 / 0.13122e5 - t1162 * t1398 * t1164 * sigma[0] * t128 / 0.13122e5 - t198 * t1398 * t42 * sigma[0] * t30 * t1144 / 0.52488e5 + 0.35e2 / 0.486e3 * t91 * t137 * t486 + t298 + 0.119e3 / 0.2916e4 * t278 * t451 * t89 * t92 + t470 * t1398 * t200 * t1431 / 0.8748e4;
  t1464 = t1007 * t882 * t92 / 0.729e3 - t1007 * t339 * t210 / 0.1458e4 - t216 * t99 * t579 / 0.3e1 + t216 * t221 * t590 / 0.3e1 + 0.2e1 / 0.27e2 * t143 * t1062 - 0.2e1 / 0.27e2 * t143 * t1066 - t650 * t1090 / 0.27e2 + t101 * t1385 - t1387 * t1076 / 0.243e3 + t1390 * t1082 / 0.243e3 - t1393 * t1106 / 0.486e3 - 0.3e1 / 0.2e1 * t39 * t1456 * t100 * t105 + t143 * t1093 * t440 / 0.54e2;
  t1466 = t58 * t174 * t128;
  t1469 = t300 * t423;
  t1472 = t300 * t431;
  t1488 = t221 * t58;
  t1494 = t425 * t1156;
  t1499 = t424 * t1466 / 0.162e3 - t1469 * t428 / 0.27e2 + t1472 * t434 / 0.27e2 - t300 * t437 * t440 / 0.54e2 + 0.3e1 / 0.4e1 * t496 * t312 + 0.4e1 / 0.9e1 * t144 * t1100 + 0.3e1 * t217 * t683 - 0.6e1 * t643 * t232 - 0.2e1 * t301 * t536 - t98 * t1488 * t205 * t128 / 0.162e3 + t98 * t764 * t1494 / 0.324e3 + t647 * t1086 / 0.27e2 - t655;
  t1501 = t1322 + t1364 + t1464 + t1499;
  t1512 = t687 * t115;
  t1528 = 0.48e3 * t1224 * t155 * t553 - 0.36e3 * t552 * t325 * t252 + 0.2e2 * t116 * t1501 - 0.6e2 * t1512 * t117 - 0.2e2 * t1207 * t155 - 0.36e3 * t1215 * t704 + 0.2e2 * t1501 * t66 - 0.6e2 * t243 * t713 - 0.6e2 * t690 * t252 - 0.2e2 * t320 * t559 - 0.6e2 * t542 * t328;
  t1534 = my_piecewise3(t2, 0, 0.2e1 / 0.45e2 * t7 * t407 * t158 - t7 * t165 * t331 / 0.1e2 + 0.3e1 / 0.1e2 * t7 * t75 * t716 + 0.3e1 / 0.2e2 * t7 * t23 * (0.12e3 * t248 * t713 * t117 + 0.4e2 * t248 * t155 * t559 + 0.12e3 * t248 * t328 * t252 - 0.36e3 * t552 * t328 * t249 + 0.12e3 * t1210 * t325 + 0.12e3 * t1258 * t249 - 0.12e3 * t1261 * t553 + 0.24e3 * t545 * t707 + 0.12e3 * t545 * t710 + 0.12e3 * t693 * t556 + t1528));
  tv4rho3sigma0 = 0.2e1 * rho[0] * t1534 + 0.6e1 * t721;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  t1576 = 0.8e2 * t248 * t859 * t117 + 0.48e3 * t1224 * t394 * t249 + 0.8e2 * t248 * t155 * t713 + 0.4e2 * t248 * t397 * t252 - 0.12e3 * t552 * t397 * t249 - 0.12e3 * t552 * t394 * t252 - 0.24e3 * t1215 * t848 + 0.16e3 * t1258 * t325 - 0.24e3 * t1261 * t704 + 0.16e3 * t545 * t851 + 0.8e2 * t545 * t856 + 0.16e3 * t693 * t707 + 0.8e2 * t693 * t710;
  t1577 = t389 * t247;
  t1580 = t328 * t328;
  t1583 = t834 * t115;
  t1600 = t280 * t299;
  t1617 = t614 * t142;
  t1624 = t52 * t897;
  t1625 = t1624 * t223;
  t1629 = t897 * t223 * t92;
  t1636 = t278 * t1600 * t518 / 0.432e3 - t278 * t1600 * t222 / 0.432e3 + 0.25e2 / 0.7776e4 * t278 * t668 - 0.25e2 / 0.7776e4 * t278 * t671 - 0.2e1 / 0.3e1 * t300 * t221 * t590 + 0.2e1 / 0.3e1 * t300 * t99 * t579 - t1617 * t1349 / 0.1458e4 + t1617 * t1353 / 0.1458e4 - t1617 * t1357 / 0.2916e4 + t588 * t1625 / 0.4e1 - t577 * t1629 / 0.4e1 - t735 * t1345 / 0.9e1 + t738 * t1340 / 0.9e1;
  t1656 = t102 * t772 * t21;
  t1665 = 0.5e1 / 0.1296e4 * t128 * t174 * t55 * t148 - t642 * t373 / 0.8e1 + t369 * t526 / 0.9e1 - t369 * t530 / 0.9e1 + t642 * t377 / 0.8e1 + 0.2e1 / 0.3e1 * t810 * t224 - 0.2e1 / 0.3e1 * t810 * t228 - t769 - 0.4e1 * t301 * t683 + 0.3e1 * t101 * t1656 + 0.4e1 * t811 * t232 + 0.2e1 / 0.3e1 * t370 * t536 - 0.2e1 / 0.3e1 * t144 * t1385;
  t1667 = t369 * t431;
  t1689 = t456 / t21 / t458;
  t1693 = t58 * t613;
  t1737 = t791 / 0.3888e4 - 0.7e1 / 0.648e3 * t346 * t184 - 0.7e1 / 0.3888e4 * t350 * t193 - t1689 * t469 * t1134 / 0.34992e5 - 0.19e2 / 0.7776e4 * t471 * t1693 * t473 + 0.19e2 / 0.7776e4 * t481 * t1693 * t482 - t801 / 0.1944e4 + 0.19e2 / 0.7776e4 * t783 * t613 * t197 * t200 - 0.19e2 / 0.15552e5 * t783 * t613 * t89 * t210 + 0.7e1 / 0.3888e4 * t199 * t355 * t201 + 0.7e1 / 0.648e3 * t91 * t360 * t205 - t470 * t1689 * t1186 / 0.23328e5 + t807 / 0.864e3 - t367 + t1689 * t1429 * t42 * t30 * t210 / 0.34992e5 + t1162 * t1689 * t1164 * t40 * t753 / 0.34992e5 + t198 * t1689 * t42 * t30 * t1144 / 0.139968e6 - 0.7e1 / 0.7776e4 * t209 * t355 * t211;
  t1749 = t369 * t423;
  t1760 = -t1667 * t434 / 0.81e2 + t369 * t437 * t440 / 0.162e3 - t1469 * t755 / 0.108e3 - t647 * t1466 / 0.648e3 + t650 * t759 * t433 / 0.648e3 - t765 * t1494 / 0.1296e4 + 0.3e1 / 0.2e1 * t39 * t1737 * t100 * t105 + t300 * t1488 * t1155 * t754 / 0.108e3 - t300 * t764 * t767 / 0.216e3 + t1749 * t428 / 0.81e2 - 0.3e1 / 0.2e1 * t643 * t312 + 0.9e1 / 0.8e1 * t217 * t774 - t266 * t641 * t99 * t268 / 0.144e3;
  t1764 = t29 * t779;
  t1773 = t42 * t82;
  t1793 = t190 * t368;
  t1803 = t266 * t674 * t825 / 0.288e3 + t1764 * t1012 * t589 / 0.2592e4 - t1764 * t267 * t886 / 0.2592e4 - t1308 * t657 / 0.81e2 + t1773 * t826 / 0.216e3 - t1387 * t29 * t191 / 0.648e3 + t1390 * t286 * t190 * t92 / 0.648e3 - t1393 * t638 / 0.1296e4 + t179 * t81 * t809 * t100 / 0.54e2 - t179 * t174 * t368 * t100 / 0.108e3 - t513 * t1793 * t518 / 0.486e3 + t513 * t1793 * t222 / 0.486e3 + t57 * t385 * t236 / 0.2e1;
  t1805 = t1636 + t1665 + t1760 + t1803;
  t1814 = -0.48e3 * t552 * t325 * t328 - 0.2e2 * t116 * t1805 - 0.4e2 * t1583 * t117 + 0.4e2 * t1210 * t394 - 0.4e2 * t1512 * t155 + 0.4e2 * t1577 * t249 + 0.8e2 * t248 * t1580 - 0.2e2 * t1805 * t66 - 0.4e2 * t243 * t859 - 0.2e2 * t837 * t252 - 0.4e2 * t320 * t713 - 0.8e2 * t690 * t328 - 0.2e2 * t542 * t397;
  t1820 = my_piecewise3(t2, 0, -t7 * t165 * t400 / 0.3e2 + t7 * t75 * t862 / 0.5e1 + 0.3e1 / 0.2e2 * t7 * t23 * (t1576 + t1814));
  tv4rho2sigma20 = 0.2e1 * rho[0] * t1820 + 0.4e1 * t867;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  t1837 = t456 * t784 * t142;
  t1860 = t369 * t221 * t590 / 0.2e1 - t369 * t99 * t579 / 0.2e1 - 0.3e1 / 0.4e1 * t735 * t1625 + 0.3e1 / 0.4e1 * t738 * t1629 - t1837 * t764 * t210 / 0.7776e4 + t921 * t83 / 0.144e3 - t1837 * t423 * t58 / 0.3888e4 + t1837 * t1488 * t92 / 0.3888e4 + t266 * t809 * t99 * t268 / 0.96e2 - t881 * t299 * t221 * t589 / 0.2304e4 + t881 * t821 * t886 / 0.2304e4;
  t1861 = t52 * t384;
  t1883 = t280 * t368;
  t1887 = t28 * t349;
  t1904 = t456 * t349;
  t1907 = 0.1e1 / t21 / t612;
  t1936 = t954 - t936 + t947 + t791 / 0.15552e5 - t801 / 0.7776e4 - t921 * t86 / 0.144e3 - t924 * t780 / 0.864e3 + t199 * t941 * t287 / 0.864e3 - t198 * t1904 * t1907 * t40 * t1145 / 0.373248e6 - t1904 * t1907 * t197 * t1157 / 0.93312e5 - t1162 * t1904 * t1907 * t1164 * t128 / 0.93312e5 + t807 / 0.1296e4 - t209 * t941 * t295 / 0.1728e4 - t367 + t91 * t948 * t93 / 0.144e3 + t1904 * t1907 * t469 * t1134 / 0.93312e5 + t470 * t1904 * t1907 * t1186 / 0.62208e5;
  t1941 = t266 * t267 * t1861 / 0.128e3 - t1764 * t883 / 0.1296e4 - t1773 * t960 / 0.144e3 - t179 * t81 * t955 * t100 / 0.108e3 - t266 * t821 * t825 / 0.96e2 + t1764 * t887 / 0.1296e4 + 0.15e2 / 0.4e1 * t57 * t873 * t108 + t1472 * t912 / 0.576e3 - 0.5e1 / 0.2592e4 * t278 * t1883 * t518 - t1393 * t1887 * t779 * t210 / 0.3456e4 - t300 * t915 * t918 / 0.1152e4 - 0.3e1 / 0.2e1 * t39 * t1936 * t100 * t105;
  t1971 = t102 * t872 * t31 * t45;
  t1976 = t1749 * t755 / 0.108e3 - t1667 * t761 / 0.108e3 + t369 * t764 * t767 / 0.216e3 - t647 * t905 * t754 / 0.144e3 + t650 * t910 * t760 / 0.144e3 - t916 * t767 / 0.288e3 - t1469 * t907 / 0.576e3 - t1387 * t349 * t24 * t286 * t280 / 0.1728e4 + t1390 * t1887 * t779 * t92 / 0.1728e4 + 0.45e2 / 0.16e2 * t101 * t1971 - 0.27e2 / 0.8e1 * t301 * t774;
  t2000 = 0.9e1 / 0.4e1 * t811 * t312 - 0.2e1 * t957 * t232 + 0.3e1 * t370 * t683 - 0.9e1 / 0.2e1 * t144 * t1656 - t956 * t224 / 0.3e1 + t956 * t228 / 0.3e1 + t810 * t373 / 0.4e1 - t810 * t377 / 0.4e1 - t300 * t898 / 0.4e1 + t300 * t902 / 0.4e1 + 0.5e1 / 0.2592e4 * t278 * t1883 * t222 - t920;
  t2002 = t1860 + t1941 + t1976 + t2000;
  t2005 = t967 * t115;
  t2054 = 0.48e3 * t1224 * t976 * t117 + 0.4e2 * t248 * t982 * t117 - 0.36e3 * t552 * t979 * t117 + 0.12e3 * t248 * t155 * t859 + 0.12e3 * t248 * t328 * t397 - 0.36e3 * t552 * t394 * t328 + 0.2e2 * t116 * t2002 - 0.12e3 * t1215 * t976 - 0.2e2 * t243 * t982 - 0.6e2 * t320 * t859 + 0.12e3 * t545 * t979;
  t2060 = my_piecewise3(t2, 0, t7 * t75 * t985 / 0.1e2 + 0.3e1 / 0.2e2 * t7 * t23 * (-0.2e2 * t2005 * t117 + 0.12e3 * t1258 * t394 - 0.36e3 * t1261 * t848 - 0.6e2 * t1583 * t155 + 0.12e3 * t1577 * t325 + 0.2e2 * t2002 * t66 - 0.6e2 * t837 * t328 - 0.6e2 * t690 * t397 + 0.24e3 * t693 * t851 + 0.12e3 * t693 * t856 + t2054));
  tv4rhosigma30 = 0.2e1 * rho[0] * t2060 + 0.2e1 * t989;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  t2063 = t382 * t382;
  t2102 = t28 * t897;
  t2109 = 0.1e1 / t870;
  t2110 = t2109 * t31;
  t2123 = t384 * t928;
  t2130 = t456 * t897;
  t2152 = t456 * t384;
  t2165 = -0.5e1 / 0.4608e4 * t209 * t2110 * t364 + 0.5e1 / 0.6912e4 * t953 - t935 / 0.10368e5 + t946 / 0.5184e4 - 0.5e1 / 0.384e3 * t42 * t872 * t135 - 0.5e1 / 0.2304e4 * t29 * t2109 * t352 + t471 * t2123 * t473 / 0.2304e4 - t481 * t2123 * t482 / 0.2304e4 + t2130 * t1020 * t197 * t1157 / 0.248832e6 + t1162 * t2130 * t1020 * t1164 * t128 / 0.248832e6 + 0.5e1 / 0.2304e4 * t199 * t2110 * t356 + t198 * t2130 * t1020 * t40 * t1145 / 0.995328e6 + 0.5e1 / 0.384e3 * t91 * t872 * t30 * t138 - t2152 * t930 / 0.2304e4 + t2152 * t934 / 0.4608e4 - t2130 * t1020 * t469 * t1134 / 0.248832e6 - t367 - t470 * t2130 * t1020 * t1186 / 0.165888e6;
  t2172 = -0.315e3 / 0.32e2 * t57 * t26 / t43 / t2063 * t60 - t881 * t339 * t897 * t92 / 0.864e3 - t920 + 0.3e1 / 0.8e1 * t956 * t373 - 0.3e1 / 0.8e1 * t956 * t377 + 0.3e1 * t957 * t312 - 0.27e2 / 0.4e1 * t370 * t774 - t369 * t915 * t918 / 0.384e3 + 0.7e1 / 0.1152e4 * t647 * t384 * t40 * t906 - 0.7e1 / 0.1152e4 * t650 * t41 * t384 * t911 + 0.7e1 / 0.2304e4 * t143 * t99 * t384 * t918 + t1387 * t897 * t24 * t286 * t35 / 0.4608e4 - t1390 * t2102 * t351 * t92 / 0.4608e4 + 0.45e2 / 0.4e1 * t144 * t1971 - 0.3e1 / 0.2e1 * t39 * t2165 * t100 * t105 - t1749 * t907 / 0.192e3;
  t2180 = t456 * t928 * t142;
  t2225 = t1667 * t912 / 0.192e3 + t1393 * t2102 * t351 * t210 / 0.9216e4 - t2180 * t221 * t148 * t92 / 0.10368e5 + t2180 * t915 * t210 / 0.20736e5 - 0.5e1 / 0.192e3 * t128 * t129 * t872 + t2180 * t423 * t148 / 0.10368e5 - t266 * t877 * t825 / 0.48e2 + t881 * t882 * t1624 / 0.864e3 + t266 * t339 * t1861 / 0.32e2 + t266 * t955 * t99 * t268 / 0.72e2 - t881 * t368 * t221 * t589 / 0.864e3 + t881 * t877 * t886 / 0.864e3 - 0.11e2 / 0.16e2 * t369 * t898 + 0.11e2 / 0.16e2 * t369 * t902 + 0.25e2 / 0.32e2 * t143 * t222 * t2109 - 0.25e2 / 0.32e2 * t143 * t99 * t2109 * t92;
  t2226 = t2172 + t2225;
  t2241 = t394 * t394;
  t2247 = t397 * t397;
  t2256 = 0.16e3 * t248 * t155 * t982 - 0.72e3 * t552 * t394 * t397 + 0.2e2 * t116 * t2226 + 0.48e3 * t1224 * t2241 - 0.48e3 * t1261 * t976 - 0.8e2 * t2005 * t155 + 0.24e3 * t1577 * t394 + 0.2e2 * t2226 * t66 + 0.12e3 * t248 * t2247 - 0.8e2 * t320 * t982 - 0.12e3 * t837 * t397 + 0.48e3 * t693 * t979;
  t2260 = my_piecewise3(t2, 0, 0.3e1 / 0.2e2 * t7 * t23 * t2256);
  tv4sigma40 = 0.2e1 * rho[0] * t2260;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

}

#endif


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t4, t6, t7, t8, t11;
  double t12, t15, t16, t17, t19, t20, t21, t22;
  double t23, t24, t25, t26, t28, t29, t30, t31;
  double t32, t33, t34, t35, t36, t37, t38, t39;
  double t40, t42, t46, t47, t48, t49, t50, t51;
  double t52, t55, t56, t57, t58, t59, t61, t63;
  double t64, t65, t68, t69, t70, t71, t74, t78;
  double t79, t80, t82, t83, t84, t85, t86, t88;
  double t89, t90, t91, t92, t94, t98, t99, t100;
  double t101, t104, t105, t106, t107, t108, t110, t112;
  double t113, t114, t117, t118, t119, t120, t123, t127;
  double tzk0;


  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = t2 * t2;
  t4 = M_CBRTPI;
  t6 = t3 * t4 * M_PI;
  t7 = rho[0] + rho[1];
  t8 = 0.1e1 / t7;
  t11 = 0.2e1 * rho[0] * t8 <= p->zeta_threshold;
  t12 = p->zeta_threshold - 0.1e1;
  t15 = 0.2e1 * rho[1] * t8 <= p->zeta_threshold;
  t16 = -t12;
  t17 = rho[0] - rho[1];
  t19 = my_piecewise5(t11, t12, t15, t16, t17 * t8);
  t20 = 0.1e1 + t19;
  t21 = t20 <= p->zeta_threshold;
  t22 = POW_1_3(p->zeta_threshold);
  t23 = t22 * t22;
  t24 = t23 * p->zeta_threshold;
  t25 = POW_1_3(t20);
  t26 = t25 * t25;
  t28 = my_piecewise3(t21, t24, t26 * t20);
  t29 = POW_1_3(t7);
  t30 = t29 * t29;
  t31 = t28 * t30;
  t32 = M_CBRT6;
  t33 = M_PI * M_PI;
  t34 = POW_1_3(t33);
  t35 = t34 * t34;
  t36 = 0.1e1 / t35;
  t37 = t32 * t36;
  t38 = rho[0] * rho[0];
  t39 = POW_1_3(rho[0]);
  t40 = t39 * t39;
  t42 = 0.1e1 / t40 / t38;
  t46 = 0.1e1 - t37 * sigma[0] * t42 / 0.864e3;
  t47 = t32 * t32;
  t48 = 0.1e1 / t34;
  t49 = t47 * t48;
  t50 = sqrt(sigma[0]);
  t51 = t39 * rho[0];
  t52 = 0.1e1 / t51;
  t55 = t49 * t50 * t52 / 0.72e2;
  t56 = 0.1e1 + t55;
  t57 = -0.1e1 + t55;
  t58 = fabs(t57);
  t59 = 0.1e1 / t58;
  t61 = log(t56 * t59);
  t63 = t46 * t61 * t32;
  t64 = 0.1e1 / t50;
  t65 = t34 * t64;
  t68 = 0.3e1 * t63 * t65 * t51;
  t69 = 0.1e1 / 0.2e1 - t68;
  t70 = 0.1e1 / 0.2e1 + t68;
  t71 = 0.1e1 / t70;
  t74 = 0.2e2 * t69 * t71 + 0.1e1;
  t78 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t74);
  t79 = rho[1] <= p->dens_threshold;
  t80 = -t17;
  t82 = my_piecewise5(t15, t12, t11, t16, t80 * t8);
  t83 = 0.1e1 + t82;
  t84 = t83 <= p->zeta_threshold;
  t85 = POW_1_3(t83);
  t86 = t85 * t85;
  t88 = my_piecewise3(t84, t24, t86 * t83);
  t89 = t88 * t30;
  t90 = rho[1] * rho[1];
  t91 = POW_1_3(rho[1]);
  t92 = t91 * t91;
  t94 = 0.1e1 / t92 / t90;
  t98 = 0.1e1 - t37 * sigma[2] * t94 / 0.864e3;
  t99 = sqrt(sigma[2]);
  t100 = t91 * rho[1];
  t101 = 0.1e1 / t100;
  t104 = t49 * t99 * t101 / 0.72e2;
  t105 = 0.1e1 + t104;
  t106 = -0.1e1 + t104;
  t107 = fabs(t106);
  t108 = 0.1e1 / t107;
  t110 = log(t105 * t108);
  t112 = t98 * t110 * t32;
  t113 = 0.1e1 / t99;
  t114 = t34 * t113;
  t117 = 0.3e1 * t112 * t114 * t100;
  t118 = 0.1e1 / 0.2e1 - t117;
  t119 = 0.1e1 / 0.2e1 + t117;
  t120 = 0.1e1 / t119;
  t123 = 0.2e2 * t118 * t120 + 0.1e1;
  t127 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t89 * t123);
  tzk0 = t78 + t127;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t4, t6, t7, t8, t11;
  double t12, t15, t16, t17, t19, t20, t21, t22;
  double t23, t24, t25, t26, t28, t29, t30, t31;
  double t32, t33, t34, t35, t36, t37, t38, t39;
  double t40, t42, t46, t47, t48, t49, t50, t51;
  double t52, t55, t56, t57, t58, t59, t61, t63;
  double t64, t65, t68, t69, t70, t71, t74, t78;
  double t79, t80, t82, t83, t84, t85, t86, t88;
  double t89, t90, t91, t92, t94, t98, t99, t100;
  double t101, t104, t105, t106, t107, t108, t110, t112;
  double t113, t114, t117, t118, t119, t120, t123, t127;
  double tzk0;

  double t128, t129, t130, t132, t135, t136, t140, t141;
  double t144, t146, t147, t153, t154, t155, t156, t157;
  double t158, t159, t163, t164, t165, t166, t167, t168;
  double t170, t176, t178, t179, t180, t181, t184, t189;
  double t190, t192, t195, t196, t200, t203, t205, tvrho0;
  double t209, t212, t213, t218, t220, t223, t224, t229;
  double t230, t236, t237, t238, t239, t240, t241, t242;
  double t246, t247, t248, t249, t250, t252, t258, t260;
  double t261, t262, t263, t266, t271, tvrho1, t274, t281;
  double t282, t286, t287, t288, t291, t292, t293, t297;
  double t299, t302, t306, tvsigma0, tvsigma1, t307, t314, t315;
  double t319, t320, t321, t324, t325, t326, t330, t332;
  double t335, t339, tvsigma2;


  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = t2 * t2;
  t4 = M_CBRTPI;
  t6 = t3 * t4 * M_PI;
  t7 = rho[0] + rho[1];
  t8 = 0.1e1 / t7;
  t11 = 0.2e1 * rho[0] * t8 <= p->zeta_threshold;
  t12 = p->zeta_threshold - 0.1e1;
  t15 = 0.2e1 * rho[1] * t8 <= p->zeta_threshold;
  t16 = -t12;
  t17 = rho[0] - rho[1];
  t19 = my_piecewise5(t11, t12, t15, t16, t17 * t8);
  t20 = 0.1e1 + t19;
  t21 = t20 <= p->zeta_threshold;
  t22 = POW_1_3(p->zeta_threshold);
  t23 = t22 * t22;
  t24 = t23 * p->zeta_threshold;
  t25 = POW_1_3(t20);
  t26 = t25 * t25;
  t28 = my_piecewise3(t21, t24, t26 * t20);
  t29 = POW_1_3(t7);
  t30 = t29 * t29;
  t31 = t28 * t30;
  t32 = M_CBRT6;
  t33 = M_PI * M_PI;
  t34 = POW_1_3(t33);
  t35 = t34 * t34;
  t36 = 0.1e1 / t35;
  t37 = t32 * t36;
  t38 = rho[0] * rho[0];
  t39 = POW_1_3(rho[0]);
  t40 = t39 * t39;
  t42 = 0.1e1 / t40 / t38;
  t46 = 0.1e1 - t37 * sigma[0] * t42 / 0.864e3;
  t47 = t32 * t32;
  t48 = 0.1e1 / t34;
  t49 = t47 * t48;
  t50 = sqrt(sigma[0]);
  t51 = t39 * rho[0];
  t52 = 0.1e1 / t51;
  t55 = t49 * t50 * t52 / 0.72e2;
  t56 = 0.1e1 + t55;
  t57 = -0.1e1 + t55;
  t58 = fabs(t57);
  t59 = 0.1e1 / t58;
  t61 = log(t56 * t59);
  t63 = t46 * t61 * t32;
  t64 = 0.1e1 / t50;
  t65 = t34 * t64;
  t68 = 0.3e1 * t63 * t65 * t51;
  t69 = 0.1e1 / 0.2e1 - t68;
  t70 = 0.1e1 / 0.2e1 + t68;
  t71 = 0.1e1 / t70;
  t74 = 0.2e2 * t69 * t71 + 0.1e1;
  t78 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t74);
  t79 = rho[1] <= p->dens_threshold;
  t80 = -t17;
  t82 = my_piecewise5(t15, t12, t11, t16, t80 * t8);
  t83 = 0.1e1 + t82;
  t84 = t83 <= p->zeta_threshold;
  t85 = POW_1_3(t83);
  t86 = t85 * t85;
  t88 = my_piecewise3(t84, t24, t86 * t83);
  t89 = t88 * t30;
  t90 = rho[1] * rho[1];
  t91 = POW_1_3(rho[1]);
  t92 = t91 * t91;
  t94 = 0.1e1 / t92 / t90;
  t98 = 0.1e1 - t37 * sigma[2] * t94 / 0.864e3;
  t99 = sqrt(sigma[2]);
  t100 = t91 * rho[1];
  t101 = 0.1e1 / t100;
  t104 = t49 * t99 * t101 / 0.72e2;
  t105 = 0.1e1 + t104;
  t106 = -0.1e1 + t104;
  t107 = fabs(t106);
  t108 = 0.1e1 / t107;
  t110 = log(t105 * t108);
  t112 = t98 * t110 * t32;
  t113 = 0.1e1 / t99;
  t114 = t34 * t113;
  t117 = 0.3e1 * t112 * t114 * t100;
  t118 = 0.1e1 / 0.2e1 - t117;
  t119 = 0.1e1 / 0.2e1 + t117;
  t120 = 0.1e1 / t119;
  t123 = 0.2e2 * t118 * t120 + 0.1e1;
  t127 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t89 * t123);
  tzk0 = t78 + t127;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t128 = t7 * t7;
  t129 = 0.1e1 / t128;
  t130 = t17 * t129;
  t132 = my_piecewise5(t11, 0, t15, 0, t8 - t130);
  t135 = my_piecewise3(t21, 0, 0.5e1 / 0.3e1 * t26 * t132);
  t136 = t135 * t30;
  t140 = 0.1e1 / t29;
  t141 = t28 * t140;
  t144 = t6 * t141 * t74 / 0.1e2;
  t146 = 0.1e1 / t39 / t38;
  t147 = t50 * t146;
  t153 = t58 * t58;
  t154 = 0.1e1 / t153;
  t155 = t56 * t154;
  t156 = t155 * t47;
  t157 = t48 * t50;
  t158 = fabs(t57) / t57;
  t159 = t146 * t158;
  t163 = -t49 * t147 * t59 / 0.54e2 + t156 * t157 * t159 / 0.54e2;
  t164 = t46 * t163;
  t165 = 0.1e1 / t56;
  t166 = t165 * t58;
  t167 = t164 * t166;
  t168 = t32 * t34;
  t170 = t168 * t64 * t51;
  t176 = -t49 * t147 * t61 / 0.108e3 - 0.3e1 * t167 * t170 - 0.4e1 * t63 * t65 * t39;
  t178 = t70 * t70;
  t179 = 0.1e1 / t178;
  t180 = t69 * t179;
  t181 = -t176;
  t184 = 0.2e2 * t176 * t71 - 0.2e2 * t180 * t181;
  t189 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t136 * t74 + t144 + 0.3e1 / 0.2e2 * t6 * t31 * t184);
  t190 = t80 * t129;
  t192 = my_piecewise5(t15, 0, t11, 0, -t8 - t190);
  t195 = my_piecewise3(t84, 0, 0.5e1 / 0.3e1 * t86 * t192);
  t196 = t195 * t30;
  t200 = t88 * t140;
  t203 = t6 * t200 * t123 / 0.1e2;
  t205 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t196 * t123 + t203);
  tvrho0 = t78 + t127 + t7 * (t189 + t205);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t209 = my_piecewise5(t11, 0, t15, 0, -t8 - t130);
  t212 = my_piecewise3(t21, 0, 0.5e1 / 0.3e1 * t26 * t209);
  t213 = t212 * t30;
  t218 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t213 * t74 + t144);
  t220 = my_piecewise5(t15, 0, t11, 0, t8 - t190);
  t223 = my_piecewise3(t84, 0, 0.5e1 / 0.3e1 * t86 * t220);
  t224 = t223 * t30;
  t229 = 0.1e1 / t91 / t90;
  t230 = t99 * t229;
  t236 = t107 * t107;
  t237 = 0.1e1 / t236;
  t238 = t105 * t237;
  t239 = t238 * t47;
  t240 = t48 * t99;
  t241 = fabs(t106) / t106;
  t242 = t229 * t241;
  t246 = -t49 * t230 * t108 / 0.54e2 + t239 * t240 * t242 / 0.54e2;
  t247 = t98 * t246;
  t248 = 0.1e1 / t105;
  t249 = t248 * t107;
  t250 = t247 * t249;
  t252 = t168 * t113 * t100;
  t258 = -t49 * t230 * t110 / 0.108e3 - 0.3e1 * t250 * t252 - 0.4e1 * t112 * t114 * t91;
  t260 = t119 * t119;
  t261 = 0.1e1 / t260;
  t262 = t118 * t261;
  t263 = -t258;
  t266 = 0.2e2 * t258 * t120 - 0.2e2 * t262 * t263;
  t271 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t224 * t123 + t203 + 0.3e1 / 0.2e2 * t6 * t89 * t266);
  tvrho1 = t78 + t127 + t7 * (t218 + t271);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t274 = t52 * t61;
  t281 = t48 * t64;
  t282 = t52 * t158;
  t286 = t49 * t64 * t52 * t59 / 0.144e3 - t156 * t281 * t282 / 0.144e3;
  t287 = t46 * t286;
  t288 = t287 * t166;
  t291 = t50 * sigma[0];
  t292 = 0.1e1 / t291;
  t293 = t34 * t292;
  t297 = t49 * t274 * t64 / 0.288e3 - 0.3e1 * t288 * t170 + 0.3e1 / 0.2e1 * t63 * t293 * t51;
  t299 = -t297;
  t302 = -0.2e2 * t180 * t299 + 0.2e2 * t297 * t71;
  t306 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t302);
  tvsigma0 = t7 * t306;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t307 = t101 * t110;
  t314 = t48 * t113;
  t315 = t101 * t241;
  t319 = t49 * t113 * t101 * t108 / 0.144e3 - t239 * t314 * t315 / 0.144e3;
  t320 = t98 * t319;
  t321 = t320 * t249;
  t324 = t99 * sigma[2];
  t325 = 0.1e1 / t324;
  t326 = t34 * t325;
  t330 = t49 * t307 * t113 / 0.288e3 - 0.3e1 * t321 * t252 + 0.3e1 / 0.2e1 * t112 * t326 * t100;
  t332 = -t330;
  t335 = 0.2e2 * t330 * t120 - 0.2e2 * t262 * t332;
  t339 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t89 * t335);
  tvsigma2 = t7 * t339;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t4, t6, t7, t8, t11;
  double t12, t15, t16, t17, t19, t20, t21, t22;
  double t23, t24, t25, t26, t28, t29, t30, t31;
  double t32, t33, t34, t35, t36, t37, t38, t39;
  double t40, t42, t46, t47, t48, t49, t50, t51;
  double t52, t55, t56, t57, t58, t59, t61, t63;
  double t64, t65, t68, t69, t70, t71, t74, t78;
  double t79, t80, t82, t83, t84, t85, t86, t88;
  double t89, t90, t91, t92, t94, t98, t99, t100;
  double t101, t104, t105, t106, t107, t108, t110, t112;
  double t113, t114, t117, t118, t119, t120, t123, t127;
  double tzk0;

  double t128, t129, t130, t132, t135, t136, t140, t141;
  double t144, t146, t147, t153, t154, t155, t156, t157;
  double t158, t159, t163, t164, t165, t166, t167, t168;
  double t170, t176, t178, t179, t180, t181, t184, t189;
  double t190, t192, t195, t196, t200, t203, t205, tvrho0;
  double t209, t212, t213, t218, t220, t223, t224, t229;
  double t230, t236, t237, t238, t239, t240, t241, t242;
  double t246, t247, t248, t249, t250, t252, t258, t260;
  double t261, t262, t263, t266, t271, tvrho1, t274, t281;
  double t282, t286, t287, t288, t291, t292, t293, t297;
  double t299, t302, t306, tvsigma0, tvsigma1, t307, t314, t315;
  double t319, t320, t321, t324, t325, t326, t330, t332;
  double t335, t339, tvsigma2;

  double t342, t343, t346, t347, t348, t351, t355, t356;
  double t360, t362, t368, t369, t372, t374, t376, t378;
  double t379, t383, t391, t392, t394, t396, t400, t401;
  double t402, t403, t404, t405, t409, t410, t413, t414;
  double t415, t418, t419, t420, t421, t424, t425, t426;
  double t427, t428, t432, t436, t439, t443, t446, t450;
  double t451, t452, t455, t458, t463, t464, t465, t468;
  double t471, t475, t476, t480, t482, t484, t487, t489;
  double tv2rho20, t492, t496, t500, t501, t505, t507, t515;
  double t516, t520, t524, t525, t529, t531, t538, t541;
  double tv2rho21, t546, t551, t555, t556, t562, t563, t568;
  double t572, t573, t582, t584, t585, t589, t597, t598;
  double t600, t602, t606, t607, t608, t609, t610, t611;
  double t615, t616, t619, t620, t621, t624, t625, t626;
  double t627, t630, t631, t632, t633, t634, t638, t642;
  double t645, t649, t652, t656, t657, t658, t661, t664;
  double t669, tv2rho22, t677, t678, t679, t680, t693, t695;
  double t698, t702, t707, t708, t709, t710, t720, t726;
  double t729, t734, t737, t740, t745, tv2rhosigma0, tv2rhosigma1, t752;
  double t754, tv2rhosigma2, t760, tv2rhosigma3, tv2rhosigma4, t765, t766, t767;
  double t780, t782, t785, t789, t794, t795, t796, t797;
  double t807, t813, t816, t821, t824, t827, t832, tv2rhosigma5;
  double t834, t845, t846, t848, t851, t852, t856, t857;
  double t860, t863, t864, t865, t866, t869, t873, t878;
  double t880, t881, t885, t890, t893, t896, t900, tv2sigma20;
  double tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t901, t912, t913, t915;
  double t918, t919, t923, t924, t927, t930, t931, t932;
  double t933, t936, t940, t945, t947, t948, t952, t957;
  double t960, t963, t967, tv2sigma25;


  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = t2 * t2;
  t4 = M_CBRTPI;
  t6 = t3 * t4 * M_PI;
  t7 = rho[0] + rho[1];
  t8 = 0.1e1 / t7;
  t11 = 0.2e1 * rho[0] * t8 <= p->zeta_threshold;
  t12 = p->zeta_threshold - 0.1e1;
  t15 = 0.2e1 * rho[1] * t8 <= p->zeta_threshold;
  t16 = -t12;
  t17 = rho[0] - rho[1];
  t19 = my_piecewise5(t11, t12, t15, t16, t17 * t8);
  t20 = 0.1e1 + t19;
  t21 = t20 <= p->zeta_threshold;
  t22 = POW_1_3(p->zeta_threshold);
  t23 = t22 * t22;
  t24 = t23 * p->zeta_threshold;
  t25 = POW_1_3(t20);
  t26 = t25 * t25;
  t28 = my_piecewise3(t21, t24, t26 * t20);
  t29 = POW_1_3(t7);
  t30 = t29 * t29;
  t31 = t28 * t30;
  t32 = M_CBRT6;
  t33 = M_PI * M_PI;
  t34 = POW_1_3(t33);
  t35 = t34 * t34;
  t36 = 0.1e1 / t35;
  t37 = t32 * t36;
  t38 = rho[0] * rho[0];
  t39 = POW_1_3(rho[0]);
  t40 = t39 * t39;
  t42 = 0.1e1 / t40 / t38;
  t46 = 0.1e1 - t37 * sigma[0] * t42 / 0.864e3;
  t47 = t32 * t32;
  t48 = 0.1e1 / t34;
  t49 = t47 * t48;
  t50 = sqrt(sigma[0]);
  t51 = t39 * rho[0];
  t52 = 0.1e1 / t51;
  t55 = t49 * t50 * t52 / 0.72e2;
  t56 = 0.1e1 + t55;
  t57 = -0.1e1 + t55;
  t58 = fabs(t57);
  t59 = 0.1e1 / t58;
  t61 = log(t56 * t59);
  t63 = t46 * t61 * t32;
  t64 = 0.1e1 / t50;
  t65 = t34 * t64;
  t68 = 0.3e1 * t63 * t65 * t51;
  t69 = 0.1e1 / 0.2e1 - t68;
  t70 = 0.1e1 / 0.2e1 + t68;
  t71 = 0.1e1 / t70;
  t74 = 0.2e2 * t69 * t71 + 0.1e1;
  t78 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t74);
  t79 = rho[1] <= p->dens_threshold;
  t80 = -t17;
  t82 = my_piecewise5(t15, t12, t11, t16, t80 * t8);
  t83 = 0.1e1 + t82;
  t84 = t83 <= p->zeta_threshold;
  t85 = POW_1_3(t83);
  t86 = t85 * t85;
  t88 = my_piecewise3(t84, t24, t86 * t83);
  t89 = t88 * t30;
  t90 = rho[1] * rho[1];
  t91 = POW_1_3(rho[1]);
  t92 = t91 * t91;
  t94 = 0.1e1 / t92 / t90;
  t98 = 0.1e1 - t37 * sigma[2] * t94 / 0.864e3;
  t99 = sqrt(sigma[2]);
  t100 = t91 * rho[1];
  t101 = 0.1e1 / t100;
  t104 = t49 * t99 * t101 / 0.72e2;
  t105 = 0.1e1 + t104;
  t106 = -0.1e1 + t104;
  t107 = fabs(t106);
  t108 = 0.1e1 / t107;
  t110 = log(t105 * t108);
  t112 = t98 * t110 * t32;
  t113 = 0.1e1 / t99;
  t114 = t34 * t113;
  t117 = 0.3e1 * t112 * t114 * t100;
  t118 = 0.1e1 / 0.2e1 - t117;
  t119 = 0.1e1 / 0.2e1 + t117;
  t120 = 0.1e1 / t119;
  t123 = 0.2e2 * t118 * t120 + 0.1e1;
  t127 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t89 * t123);
  tzk0 = t78 + t127;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t128 = t7 * t7;
  t129 = 0.1e1 / t128;
  t130 = t17 * t129;
  t132 = my_piecewise5(t11, 0, t15, 0, t8 - t130);
  t135 = my_piecewise3(t21, 0, 0.5e1 / 0.3e1 * t26 * t132);
  t136 = t135 * t30;
  t140 = 0.1e1 / t29;
  t141 = t28 * t140;
  t144 = t6 * t141 * t74 / 0.1e2;
  t146 = 0.1e1 / t39 / t38;
  t147 = t50 * t146;
  t153 = t58 * t58;
  t154 = 0.1e1 / t153;
  t155 = t56 * t154;
  t156 = t155 * t47;
  t157 = t48 * t50;
  t158 = fabs(t57) / t57;
  t159 = t146 * t158;
  t163 = -t49 * t147 * t59 / 0.54e2 + t156 * t157 * t159 / 0.54e2;
  t164 = t46 * t163;
  t165 = 0.1e1 / t56;
  t166 = t165 * t58;
  t167 = t164 * t166;
  t168 = t32 * t34;
  t170 = t168 * t64 * t51;
  t176 = -t49 * t147 * t61 / 0.108e3 - 0.3e1 * t167 * t170 - 0.4e1 * t63 * t65 * t39;
  t178 = t70 * t70;
  t179 = 0.1e1 / t178;
  t180 = t69 * t179;
  t181 = -t176;
  t184 = 0.2e2 * t176 * t71 - 0.2e2 * t180 * t181;
  t189 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t136 * t74 + t144 + 0.3e1 / 0.2e2 * t6 * t31 * t184);
  t190 = t80 * t129;
  t192 = my_piecewise5(t15, 0, t11, 0, -t8 - t190);
  t195 = my_piecewise3(t84, 0, 0.5e1 / 0.3e1 * t86 * t192);
  t196 = t195 * t30;
  t200 = t88 * t140;
  t203 = t6 * t200 * t123 / 0.1e2;
  t205 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t196 * t123 + t203);
  tvrho0 = t78 + t127 + t7 * (t189 + t205);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t209 = my_piecewise5(t11, 0, t15, 0, -t8 - t130);
  t212 = my_piecewise3(t21, 0, 0.5e1 / 0.3e1 * t26 * t209);
  t213 = t212 * t30;
  t218 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t213 * t74 + t144);
  t220 = my_piecewise5(t15, 0, t11, 0, t8 - t190);
  t223 = my_piecewise3(t84, 0, 0.5e1 / 0.3e1 * t86 * t220);
  t224 = t223 * t30;
  t229 = 0.1e1 / t91 / t90;
  t230 = t99 * t229;
  t236 = t107 * t107;
  t237 = 0.1e1 / t236;
  t238 = t105 * t237;
  t239 = t238 * t47;
  t240 = t48 * t99;
  t241 = fabs(t106) / t106;
  t242 = t229 * t241;
  t246 = -t49 * t230 * t108 / 0.54e2 + t239 * t240 * t242 / 0.54e2;
  t247 = t98 * t246;
  t248 = 0.1e1 / t105;
  t249 = t248 * t107;
  t250 = t247 * t249;
  t252 = t168 * t113 * t100;
  t258 = -t49 * t230 * t110 / 0.108e3 - 0.3e1 * t250 * t252 - 0.4e1 * t112 * t114 * t91;
  t260 = t119 * t119;
  t261 = 0.1e1 / t260;
  t262 = t118 * t261;
  t263 = -t258;
  t266 = 0.2e2 * t258 * t120 - 0.2e2 * t262 * t263;
  t271 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t224 * t123 + t203 + 0.3e1 / 0.2e2 * t6 * t89 * t266);
  tvrho1 = t78 + t127 + t7 * (t218 + t271);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t274 = t52 * t61;
  t281 = t48 * t64;
  t282 = t52 * t158;
  t286 = t49 * t64 * t52 * t59 / 0.144e3 - t156 * t281 * t282 / 0.144e3;
  t287 = t46 * t286;
  t288 = t287 * t166;
  t291 = t50 * sigma[0];
  t292 = 0.1e1 / t291;
  t293 = t34 * t292;
  t297 = t49 * t274 * t64 / 0.288e3 - 0.3e1 * t288 * t170 + 0.3e1 / 0.2e1 * t63 * t293 * t51;
  t299 = -t297;
  t302 = -0.2e2 * t180 * t299 + 0.2e2 * t297 * t71;
  t306 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t302);
  tvsigma0 = t7 * t306;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t307 = t101 * t110;
  t314 = t48 * t113;
  t315 = t101 * t241;
  t319 = t49 * t113 * t101 * t108 / 0.144e3 - t239 * t314 * t315 / 0.144e3;
  t320 = t98 * t319;
  t321 = t320 * t249;
  t324 = t99 * sigma[2];
  t325 = 0.1e1 / t324;
  t326 = t34 * t325;
  t330 = t49 * t307 * t113 / 0.288e3 - 0.3e1 * t321 * t252 + 0.3e1 / 0.2e1 * t112 * t326 * t100;
  t332 = -t330;
  t335 = 0.2e2 * t330 * t120 - 0.2e2 * t262 * t332;
  t339 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t89 * t335);
  tvsigma2 = t7 * t339;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t342 = 0.1e1 / t25;
  t343 = t132 * t132;
  t346 = t128 * t7;
  t347 = 0.1e1 / t346;
  t348 = t17 * t347;
  t351 = my_piecewise5(t11, 0, t15, 0, -0.2e1 * t129 + 0.2e1 * t348);
  t355 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t342 * t343 + 0.5e1 / 0.3e1 * t26 * t351);
  t356 = t355 * t30;
  t360 = t135 * t140;
  t362 = t6 * t360 * t74;
  t368 = 0.1e1 / t29 / t7;
  t369 = t28 * t368;
  t372 = t6 * t369 * t74 / 0.3e2;
  t374 = t6 * t141 * t184;
  t376 = t38 * rho[0];
  t378 = 0.1e1 / t39 / t376;
  t379 = t50 * t378;
  t383 = t49 * t50;
  t391 = t37 * sigma[0];
  t392 = t38 * t38;
  t394 = 0.1e1 / t40 / t392;
  t396 = t394 * t154 * t158;
  t400 = 0.1e1 / t153 / t58;
  t401 = t56 * t400;
  t402 = t401 * t32;
  t403 = t36 * sigma[0];
  t404 = t158 * t158;
  t405 = t394 * t404;
  t409 = t378 * t158;
  t410 = t157 * t409;
  t413 = t155 * t32;
  t414 = 0.0;
  t415 = t394 * t414;
  t418 = t413 * t403 * t415 / 0.486e3;
  t419 = 0.7e1 / 0.162e3 * t49 * t379 * t59 - t391 * t396 / 0.243e3 + t402 * t403 * t405 / 0.243e3 - 0.7e1 / 0.162e3 * t156 * t410 - t418;
  t420 = t46 * t419;
  t421 = t420 * t166;
  t424 = t56 * t56;
  t425 = 0.1e1 / t424;
  t426 = t425 * t58;
  t427 = 0.1e1 / rho[0];
  t428 = t426 * t427;
  t432 = t165 * t427 * t158;
  t436 = t168 * t64 * t39;
  t439 = 0.1e1 / t40;
  t443 = t49 * t379 * t61 / 0.108e3 - t383 * t146 * t163 * t166 / 0.54e2 - 0.3e1 * t421 * t170 - t164 * t428 / 0.3e1 + t164 * t432 / 0.3e1 - 0.8e1 * t167 * t436 - 0.4e1 / 0.3e1 * t63 * t65 * t439;
  t446 = t176 * t179;
  t450 = 0.1e1 / t178 / t70;
  t451 = t69 * t450;
  t452 = t181 * t181;
  t455 = -t443;
  t458 = -0.2e2 * t180 * t455 - 0.4e2 * t446 * t181 + 0.2e2 * t443 * t71 + 0.4e2 * t451 * t452;
  t463 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t356 * t74 + t362 / 0.5e1 + 0.3e1 / 0.1e2 * t6 * t136 * t184 - t372 + t374 / 0.5e1 + 0.3e1 / 0.2e2 * t6 * t31 * t458);
  t464 = 0.1e1 / t85;
  t465 = t192 * t192;
  t468 = t80 * t347;
  t471 = my_piecewise5(t15, 0, t11, 0, 0.2e1 * t129 + 0.2e1 * t468);
  t475 = my_piecewise3(t84, 0, 0.1e2 / 0.9e1 * t464 * t465 + 0.5e1 / 0.3e1 * t86 * t471);
  t476 = t475 * t30;
  t480 = t195 * t140;
  t482 = t6 * t480 * t123;
  t484 = t88 * t368;
  t487 = t6 * t484 * t123 / 0.3e2;
  t489 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t476 * t123 + t482 / 0.5e1 - t487);
  tv2rho20 = 0.2e1 * t189 + 0.2e1 * t205 + t7 * (t463 + t489);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t492 = t342 * t209;
  t496 = my_piecewise5(t11, 0, t15, 0, 0.2e1 * t348);
  t500 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t492 * t132 + 0.5e1 / 0.3e1 * t26 * t496);
  t501 = t500 * t30;
  t505 = t212 * t140;
  t507 = t6 * t505 * t74;
  t515 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t501 * t74 + t507 / 0.1e2 + 0.3e1 / 0.2e2 * t6 * t213 * t184 + t362 / 0.1e2 - t372 + t374 / 0.1e2);
  t516 = t464 * t220;
  t520 = my_piecewise5(t15, 0, t11, 0, 0.2e1 * t468);
  t524 = my_piecewise3(t84, 0, 0.1e2 / 0.9e1 * t516 * t192 + 0.5e1 / 0.3e1 * t86 * t520);
  t525 = t524 * t30;
  t529 = t223 * t140;
  t531 = t6 * t529 * t123;
  t538 = t6 * t200 * t266;
  t541 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t525 * t123 + t531 / 0.1e2 + t482 / 0.1e2 - t487 + 0.3e1 / 0.2e2 * t6 * t196 * t266 + t538 / 0.1e2);
  tv2rho21 = t189 + t205 + t218 + t271 + t7 * (t515 + t541);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t546 = t209 * t209;
  t551 = my_piecewise5(t11, 0, t15, 0, 0.2e1 * t129 + 0.2e1 * t348);
  t555 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t342 * t546 + 0.5e1 / 0.3e1 * t26 * t551);
  t556 = t555 * t30;
  t562 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t556 * t74 + t507 / 0.5e1 - t372);
  t563 = t220 * t220;
  t568 = my_piecewise5(t15, 0, t11, 0, -0.2e1 * t129 + 0.2e1 * t468);
  t572 = my_piecewise3(t84, 0, 0.1e2 / 0.9e1 * t464 * t563 + 0.5e1 / 0.3e1 * t86 * t568);
  t573 = t572 * t30;
  t582 = t90 * rho[1];
  t584 = 0.1e1 / t91 / t582;
  t585 = t99 * t584;
  t589 = t49 * t99;
  t597 = t37 * sigma[2];
  t598 = t90 * t90;
  t600 = 0.1e1 / t92 / t598;
  t602 = t600 * t237 * t241;
  t606 = 0.1e1 / t236 / t107;
  t607 = t105 * t606;
  t608 = t607 * t32;
  t609 = t36 * sigma[2];
  t610 = t241 * t241;
  t611 = t600 * t610;
  t615 = t584 * t241;
  t616 = t240 * t615;
  t619 = t238 * t32;
  t620 = 0.0;
  t621 = t600 * t620;
  t624 = t619 * t609 * t621 / 0.486e3;
  t625 = 0.7e1 / 0.162e3 * t49 * t585 * t108 - t597 * t602 / 0.243e3 + t608 * t609 * t611 / 0.243e3 - 0.7e1 / 0.162e3 * t239 * t616 - t624;
  t626 = t98 * t625;
  t627 = t626 * t249;
  t630 = t105 * t105;
  t631 = 0.1e1 / t630;
  t632 = t631 * t107;
  t633 = 0.1e1 / rho[1];
  t634 = t632 * t633;
  t638 = t248 * t633 * t241;
  t642 = t168 * t113 * t91;
  t645 = 0.1e1 / t92;
  t649 = t49 * t585 * t110 / 0.108e3 - t589 * t229 * t246 * t249 / 0.54e2 - 0.3e1 * t627 * t252 - t247 * t634 / 0.3e1 + t247 * t638 / 0.3e1 - 0.8e1 * t250 * t642 - 0.4e1 / 0.3e1 * t112 * t114 * t645;
  t652 = t258 * t261;
  t656 = 0.1e1 / t260 / t119;
  t657 = t118 * t656;
  t658 = t263 * t263;
  t661 = -t649;
  t664 = 0.2e2 * t649 * t120 - 0.2e2 * t262 * t661 - 0.4e2 * t652 * t263 + 0.4e2 * t657 * t658;
  t669 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t573 * t123 + t531 / 0.5e1 + 0.3e1 / 0.1e2 * t6 * t224 * t266 - t487 + t538 / 0.5e1 + 0.3e1 / 0.2e2 * t6 * t89 * t664);
  tv2rho22 = 0.2e1 * t218 + 0.2e1 * t271 + t7 * (t562 + t669);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t677 = t6 * t141 * t302 / 0.1e2;
  t678 = t49 * t52;
  t679 = t163 * t165;
  t680 = t58 * t64;
  t693 = 0.1e1 / t40 / t376;
  t695 = t693 * t154 * t158;
  t698 = t36 * t693;
  t702 = t281 * t159;
  t707 = t413 * t698 * t414 / 0.1296e4;
  t708 = -t49 * t64 * t146 * t59 / 0.108e3 + t37 * t695 / 0.648e3 - t402 * t698 * t404 / 0.648e3 + t156 * t702 / 0.108e3 + t707;
  t709 = t46 * t708;
  t710 = t709 * t166;
  t720 = t168 * t292 * t51;
  t726 = t678 * t679 * t680 / 0.288e3 - t383 * t146 * t286 * t166 / 0.108e3 - 0.3e1 * t710 * t170 - t287 * t428 / 0.3e1 + t287 * t432 / 0.3e1 - 0.4e1 * t288 * t436 + 0.3e1 / 0.2e1 * t167 * t720 + 0.2e1 * t63 * t293 * t39;
  t729 = t297 * t179;
  t734 = t299 * t181;
  t737 = -t726;
  t740 = -0.2e2 * t180 * t737 - 0.2e2 * t729 * t181 - 0.2e2 * t446 * t299 + 0.4e2 * t451 * t734 + 0.2e2 * t726 * t71;
  t745 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t136 * t302 + t677 + 0.3e1 / 0.2e2 * t6 * t31 * t740);
  tv2rhosigma0 = t7 * t745 + t306;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t752 = t6 * t200 * t335 / 0.1e2;
  t754 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t196 * t335 + t752);
  tv2rhosigma2 = t7 * t754 + t339;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t760 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t213 * t302 + t677);
  tv2rhosigma3 = t7 * t760 + t306;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t765 = t49 * t101;
  t766 = t246 * t248;
  t767 = t107 * t113;
  t780 = 0.1e1 / t92 / t582;
  t782 = t780 * t237 * t241;
  t785 = t36 * t780;
  t789 = t314 * t242;
  t794 = t619 * t785 * t620 / 0.1296e4;
  t795 = -t49 * t113 * t229 * t108 / 0.108e3 + t37 * t782 / 0.648e3 - t608 * t785 * t610 / 0.648e3 + t239 * t789 / 0.108e3 + t794;
  t796 = t98 * t795;
  t797 = t796 * t249;
  t807 = t168 * t325 * t100;
  t813 = t765 * t766 * t767 / 0.288e3 - t589 * t229 * t319 * t249 / 0.108e3 - 0.3e1 * t797 * t252 - t320 * t634 / 0.3e1 + t320 * t638 / 0.3e1 - 0.4e1 * t321 * t642 + 0.3e1 / 0.2e1 * t250 * t807 + 0.2e1 * t112 * t326 * t91;
  t816 = t330 * t261;
  t821 = t332 * t263;
  t824 = -t813;
  t827 = 0.2e2 * t813 * t120 - 0.2e2 * t262 * t824 - 0.2e2 * t816 * t263 - 0.2e2 * t652 * t332 + 0.4e2 * t657 * t821;
  t832 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t224 * t335 + t752 + 0.3e1 / 0.2e2 * t6 * t89 * t827);
  tv2rhosigma5 = t7 * t832 + t339;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t834 = t286 * t165;
  t845 = 0.1e1 / sigma[0];
  t846 = t37 * t845;
  t848 = t42 * t154 * t158;
  t851 = t36 * t845;
  t852 = t42 * t404;
  t856 = t48 * t292;
  t857 = t856 * t282;
  t860 = t42 * t414;
  t863 = t413 * t851 * t860 / 0.3456e4;
  t864 = -t49 * t292 * t52 * t59 / 0.288e3 - t846 * t848 / 0.1728e4 + t402 * t851 * t852 / 0.1728e4 + t156 * t857 / 0.288e3 - t863;
  t865 = t46 * t864;
  t866 = t865 * t166;
  t869 = t426 * t845;
  t873 = t165 * t845 * t158;
  t878 = sigma[0] * sigma[0];
  t880 = 0.1e1 / t50 / t878;
  t881 = t34 * t880;
  t885 = t678 * t834 * t680 / 0.144e3 - t49 * t274 * t292 / 0.288e3 - 0.3e1 * t866 * t170 + t287 * t869 / 0.8e1 - t287 * t873 / 0.8e1 + 0.3e1 * t288 * t720 - 0.9e1 / 0.4e1 * t63 * t881 * t51;
  t890 = t299 * t299;
  t893 = -t885;
  t896 = -0.2e2 * t180 * t893 - 0.4e2 * t729 * t299 + 0.4e2 * t451 * t890 + 0.2e2 * t885 * t71;
  t900 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t896);
  tv2sigma20 = t7 * t900;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t901 = t319 * t248;
  t912 = 0.1e1 / sigma[2];
  t913 = t37 * t912;
  t915 = t94 * t237 * t241;
  t918 = t36 * t912;
  t919 = t94 * t610;
  t923 = t48 * t325;
  t924 = t923 * t315;
  t927 = t94 * t620;
  t930 = t619 * t918 * t927 / 0.3456e4;
  t931 = -t49 * t325 * t101 * t108 / 0.288e3 - t913 * t915 / 0.1728e4 + t608 * t918 * t919 / 0.1728e4 + t239 * t924 / 0.288e3 - t930;
  t932 = t98 * t931;
  t933 = t932 * t249;
  t936 = t632 * t912;
  t940 = t248 * t912 * t241;
  t945 = sigma[2] * sigma[2];
  t947 = 0.1e1 / t99 / t945;
  t948 = t34 * t947;
  t952 = t765 * t901 * t767 / 0.144e3 - t49 * t307 * t325 / 0.288e3 - 0.3e1 * t933 * t252 + t320 * t936 / 0.8e1 - t320 * t940 / 0.8e1 + 0.3e1 * t321 * t807 - 0.9e1 / 0.4e1 * t112 * t948 * t100;
  t957 = t332 * t332;
  t960 = -t952;
  t963 = 0.2e2 * t952 * t120 - 0.2e2 * t262 * t960 - 0.4e2 * t816 * t332 + 0.4e2 * t657 * t957;
  t967 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t89 * t963);
  tv2sigma25 = t7 * t967;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t4, t6, t7, t8, t11;
  double t12, t15, t16, t17, t19, t20, t21, t22;
  double t23, t24, t25, t26, t28, t29, t30, t31;
  double t32, t33, t34, t35, t36, t37, t38, t39;
  double t40, t42, t46, t47, t48, t49, t50, t51;
  double t52, t55, t56, t57, t58, t59, t61, t63;
  double t64, t65, t68, t69, t70, t71, t74, t78;
  double t79, t80, t82, t83, t84, t85, t86, t88;
  double t89, t90, t91, t92, t94, t98, t99, t100;
  double t101, t104, t105, t106, t107, t108, t110, t112;
  double t113, t114, t117, t118, t119, t120, t123, t127;
  double tzk0;

  double t128, t129, t130, t132, t135, t136, t140, t141;
  double t144, t146, t147, t153, t154, t155, t156, t157;
  double t158, t159, t163, t164, t165, t166, t167, t168;
  double t170, t176, t178, t179, t180, t181, t184, t189;
  double t190, t192, t195, t196, t200, t203, t205, tvrho0;
  double t209, t212, t213, t218, t220, t223, t224, t229;
  double t230, t236, t237, t238, t239, t240, t241, t242;
  double t246, t247, t248, t249, t250, t252, t258, t260;
  double t261, t262, t263, t266, t271, tvrho1, t274, t281;
  double t282, t286, t287, t288, t291, t292, t293, t297;
  double t299, t302, t306, tvsigma0, tvsigma1, t307, t314, t315;
  double t319, t320, t321, t324, t325, t326, t330, t332;
  double t335, t339, tvsigma2;

  double t342, t343, t346, t347, t348, t351, t355, t356;
  double t360, t362, t368, t369, t372, t374, t376, t378;
  double t379, t383, t391, t392, t394, t396, t400, t401;
  double t402, t403, t404, t405, t409, t410, t413, t414;
  double t415, t418, t419, t420, t421, t424, t425, t426;
  double t427, t428, t432, t436, t439, t443, t446, t450;
  double t451, t452, t455, t458, t463, t464, t465, t468;
  double t471, t475, t476, t480, t482, t484, t487, t489;
  double tv2rho20, t492, t496, t500, t501, t505, t507, t515;
  double t516, t520, t524, t525, t529, t531, t538, t541;
  double tv2rho21, t546, t551, t555, t556, t562, t563, t568;
  double t572, t573, t582, t584, t585, t589, t597, t598;
  double t600, t602, t606, t607, t608, t609, t610, t611;
  double t615, t616, t619, t620, t621, t624, t625, t626;
  double t627, t630, t631, t632, t633, t634, t638, t642;
  double t645, t649, t652, t656, t657, t658, t661, t664;
  double t669, tv2rho22, t677, t678, t679, t680, t693, t695;
  double t698, t702, t707, t708, t709, t710, t720, t726;
  double t729, t734, t737, t740, t745, tv2rhosigma0, tv2rhosigma1, t752;
  double t754, tv2rhosigma2, t760, tv2rhosigma3, tv2rhosigma4, t765, t766, t767;
  double t780, t782, t785, t789, t794, t795, t796, t797;
  double t807, t813, t816, t821, t824, t827, t832, tv2rhosigma5;
  double t834, t845, t846, t848, t851, t852, t856, t857;
  double t860, t863, t864, t865, t866, t869, t873, t878;
  double t880, t881, t885, t890, t893, t896, t900, tv2sigma20;
  double tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t901, t912, t913, t915;
  double t918, t919, t923, t924, t927, t930, t931, t932;
  double t933, t936, t940, t945, t947, t948, t952, t957;
  double t960, t963, t967, tv2sigma25;

  double t971, t972, t975, t978, t979, t980, t983, t987;
  double t988, t992, t994, t999, t1001, t1004, t1010, t1011;
  double t1014, t1016, t1019, t1022, t1027, t1034, t1038, t1046;
  double t1047, t1051, t1055, t1056, t1061, t1062, t1063, t1064;
  double t1065, t1068, t1069, t1072, t1074, t1075, t1077, t1081;
  double t1083, t1085, t1088, t1089, t1090, t1091, t1098, t1100;
  double t1101, t1102, t1103, t1104, t1105, t1113, t1114, t1116;
  double t1118, t1119, t1123, t1124, t1126, t1127, t1128, t1134;
  double t1137, t1140, t1143, t1148, t1149, t1150, t1151, t1154;
  double t1157, t1160, t1165, t1167, t1168, t1171, t1174, t1177;
  double t1181, t1182, t1186, t1188, t1190, t1192, t1194, t1197;
  double t1199, tv3rho30, t1202, t1203, t1204, t1207, t1212, t1213;
  double t1215, t1219, t1220, t1224, t1227, t1231, t1233, t1237;
  double t1246, t1247, t1248, t1251, t1256, t1258, t1262, t1263;
  double t1267, t1270, t1271, t1273, t1282, t1284, t1287, tv3rho31;
  double t1290, t1295, t1299, t1303, t1304, t1308, t1310, t1319;
  double t1320, t1325, t1329, t1333, t1334, t1338, t1340, t1347;
  double t1355, t1357, t1358, tv3rho32, t1363, t1370, t1374, t1375;
  double t1382, t1383, t1390, t1394, t1395, t1415, t1420, t1427;
  double t1431, t1435, t1436, t1440, t1444, t1445, t1452, t1454;
  double t1456, t1459, t1460, t1461, t1468, t1470, t1471, t1472;
  double t1473, t1474, t1475, t1483, t1484, t1486, t1488, t1489;
  double t1493, t1494, t1496, t1497, t1498, t1502, t1503, t1504;
  double t1505, t1506, t1509, t1510, t1513, t1515, t1516, t1518;
  double t1522, t1525, t1528, t1531, t1536, t1537, t1538, t1539;
  double t1542, t1545, t1548, t1553, tv3rho33, t1561, t1568, t1570;
  double t1576, t1583, t1591, t1602, t1603, t1604, t1607, t1608;
  double t1610, t1613, t1614, t1615, t1618, t1621, t1624, t1629;
  double t1633, t1641, t1642, t1643, t1645, t1649, t1650, t1656;
  double t1662, t1664, t1668, t1670, t1671, t1672, t1680, t1683;
  double t1684, t1687, t1690, t1701, t1704, t1707, t1710, t1713;
  double t1718, tv3rho2sigma0, tv3rho2sigma1, t1725, t1729, t1731, tv3rho2sigma2, t1737;
  double t1745, tv3rho2sigma3, tv3rho2sigma4, t1751, t1758, t1761, tv3rho2sigma5, t1769;
  double tv3rho2sigma6, tv3rho2sigma7, t1780, t1790, t1800, t1801, t1802, t1805;
  double t1807, t1810, t1811, t1812, t1815, t1820, t1821, t1830;
  double t1838, t1839, t1840, t1842, t1846, t1847, t1853, t1859;
  double t1861, t1865, t1867, t1868, t1869, t1872, t1875, t1880;
  double t1888, t1891, t1892, t1895, t1898, t1909, t1912, t1915;
  double t1918, t1921, t1926, tv3rho2sigma8, t1933, t1942, t1945, t1948;
  double t1949, t1952, t1963, t1967, t1968, t1981, t1982, t1989;
  double t1991, t1995, t2000, t2002, t2005, t2006, t2007, t2009;
  double t2010, t2011, t2015, t2016, t2021, t2022, t2024, t2026;
  double t2030, t2037, t2038, t2041, t2052, t2055, t2060, t2063;
  double t2066, t2071, tv3rhosigma20, tv3rhosigma21, tv3rhosigma22, tv3rhosigma23, tv3rhosigma24, t2078;
  double t2080, tv3rhosigma25, t2086, tv3rhosigma26, tv3rhosigma27, tv3rhosigma28, tv3rhosigma29, tv3rhosigma210;
  double t2099, t2103, t2104, t2114, t2118, t2122, t2125, t2126;
  double t2129, t2138, t2139, t2146, t2148, t2152, t2157, t2159;
  double t2162, t2163, t2164, t2166, t2167, t2168, t2172, t2173;
  double t2178, t2179, t2181, t2183, t2187, t2194, t2195, t2198;
  double t2209, t2212, t2217, t2220, t2223, t2228, tv3rhosigma211, t2230;
  double t2234, t2235, t2238, t2239, t2242, t2244, t2245, t2253;
  double t2254, t2258, t2264, t2271, t2274, t2275, t2277, t2281;
  double t2282, t2283, t2284, t2288, t2293, t2294, t2295, t2296;
  double t2299, t2300, t2301, t2302, t2303, t2304, t2307, t2308;
  double t2309, t2314, t2315, t2317, t2319, t2324, t2333, t2336;
  double t2339, t2342, t2346, tv3sigma30, tv3sigma31, tv3sigma32, tv3sigma33, tv3sigma34;
  double tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38, t2350, t2351, t2355, t2358;
  double t2359, t2360, t2365, t2366, t2368, t2370, t2371, t2373;
  double t2374, t2378, t2382, t2386, t2392, t2399, t2402, t2403;
  double t2405, t2409, t2410, t2411, t2412, t2416, t2421, t2422;
  double t2423, t2424, t2427, t2428, t2429, t2430, t2431, t2432;
  double t2441, t2450, t2453, t2456, t2459, t2463, tv3sigma39;


  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = t2 * t2;
  t4 = M_CBRTPI;
  t6 = t3 * t4 * M_PI;
  t7 = rho[0] + rho[1];
  t8 = 0.1e1 / t7;
  t11 = 0.2e1 * rho[0] * t8 <= p->zeta_threshold;
  t12 = p->zeta_threshold - 0.1e1;
  t15 = 0.2e1 * rho[1] * t8 <= p->zeta_threshold;
  t16 = -t12;
  t17 = rho[0] - rho[1];
  t19 = my_piecewise5(t11, t12, t15, t16, t17 * t8);
  t20 = 0.1e1 + t19;
  t21 = t20 <= p->zeta_threshold;
  t22 = POW_1_3(p->zeta_threshold);
  t23 = t22 * t22;
  t24 = t23 * p->zeta_threshold;
  t25 = POW_1_3(t20);
  t26 = t25 * t25;
  t28 = my_piecewise3(t21, t24, t26 * t20);
  t29 = POW_1_3(t7);
  t30 = t29 * t29;
  t31 = t28 * t30;
  t32 = M_CBRT6;
  t33 = M_PI * M_PI;
  t34 = POW_1_3(t33);
  t35 = t34 * t34;
  t36 = 0.1e1 / t35;
  t37 = t32 * t36;
  t38 = rho[0] * rho[0];
  t39 = POW_1_3(rho[0]);
  t40 = t39 * t39;
  t42 = 0.1e1 / t40 / t38;
  t46 = 0.1e1 - t37 * sigma[0] * t42 / 0.864e3;
  t47 = t32 * t32;
  t48 = 0.1e1 / t34;
  t49 = t47 * t48;
  t50 = sqrt(sigma[0]);
  t51 = t39 * rho[0];
  t52 = 0.1e1 / t51;
  t55 = t49 * t50 * t52 / 0.72e2;
  t56 = 0.1e1 + t55;
  t57 = -0.1e1 + t55;
  t58 = fabs(t57);
  t59 = 0.1e1 / t58;
  t61 = log(t56 * t59);
  t63 = t46 * t61 * t32;
  t64 = 0.1e1 / t50;
  t65 = t34 * t64;
  t68 = 0.3e1 * t63 * t65 * t51;
  t69 = 0.1e1 / 0.2e1 - t68;
  t70 = 0.1e1 / 0.2e1 + t68;
  t71 = 0.1e1 / t70;
  t74 = 0.2e2 * t69 * t71 + 0.1e1;
  t78 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t74);
  t79 = rho[1] <= p->dens_threshold;
  t80 = -t17;
  t82 = my_piecewise5(t15, t12, t11, t16, t80 * t8);
  t83 = 0.1e1 + t82;
  t84 = t83 <= p->zeta_threshold;
  t85 = POW_1_3(t83);
  t86 = t85 * t85;
  t88 = my_piecewise3(t84, t24, t86 * t83);
  t89 = t88 * t30;
  t90 = rho[1] * rho[1];
  t91 = POW_1_3(rho[1]);
  t92 = t91 * t91;
  t94 = 0.1e1 / t92 / t90;
  t98 = 0.1e1 - t37 * sigma[2] * t94 / 0.864e3;
  t99 = sqrt(sigma[2]);
  t100 = t91 * rho[1];
  t101 = 0.1e1 / t100;
  t104 = t49 * t99 * t101 / 0.72e2;
  t105 = 0.1e1 + t104;
  t106 = -0.1e1 + t104;
  t107 = fabs(t106);
  t108 = 0.1e1 / t107;
  t110 = log(t105 * t108);
  t112 = t98 * t110 * t32;
  t113 = 0.1e1 / t99;
  t114 = t34 * t113;
  t117 = 0.3e1 * t112 * t114 * t100;
  t118 = 0.1e1 / 0.2e1 - t117;
  t119 = 0.1e1 / 0.2e1 + t117;
  t120 = 0.1e1 / t119;
  t123 = 0.2e2 * t118 * t120 + 0.1e1;
  t127 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t89 * t123);
  tzk0 = t78 + t127;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t128 = t7 * t7;
  t129 = 0.1e1 / t128;
  t130 = t17 * t129;
  t132 = my_piecewise5(t11, 0, t15, 0, t8 - t130);
  t135 = my_piecewise3(t21, 0, 0.5e1 / 0.3e1 * t26 * t132);
  t136 = t135 * t30;
  t140 = 0.1e1 / t29;
  t141 = t28 * t140;
  t144 = t6 * t141 * t74 / 0.1e2;
  t146 = 0.1e1 / t39 / t38;
  t147 = t50 * t146;
  t153 = t58 * t58;
  t154 = 0.1e1 / t153;
  t155 = t56 * t154;
  t156 = t155 * t47;
  t157 = t48 * t50;
  t158 = fabs(t57) / t57;
  t159 = t146 * t158;
  t163 = -t49 * t147 * t59 / 0.54e2 + t156 * t157 * t159 / 0.54e2;
  t164 = t46 * t163;
  t165 = 0.1e1 / t56;
  t166 = t165 * t58;
  t167 = t164 * t166;
  t168 = t32 * t34;
  t170 = t168 * t64 * t51;
  t176 = -t49 * t147 * t61 / 0.108e3 - 0.3e1 * t167 * t170 - 0.4e1 * t63 * t65 * t39;
  t178 = t70 * t70;
  t179 = 0.1e1 / t178;
  t180 = t69 * t179;
  t181 = -t176;
  t184 = 0.2e2 * t176 * t71 - 0.2e2 * t180 * t181;
  t189 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t136 * t74 + t144 + 0.3e1 / 0.2e2 * t6 * t31 * t184);
  t190 = t80 * t129;
  t192 = my_piecewise5(t15, 0, t11, 0, -t8 - t190);
  t195 = my_piecewise3(t84, 0, 0.5e1 / 0.3e1 * t86 * t192);
  t196 = t195 * t30;
  t200 = t88 * t140;
  t203 = t6 * t200 * t123 / 0.1e2;
  t205 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t196 * t123 + t203);
  tvrho0 = t78 + t127 + t7 * (t189 + t205);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t209 = my_piecewise5(t11, 0, t15, 0, -t8 - t130);
  t212 = my_piecewise3(t21, 0, 0.5e1 / 0.3e1 * t26 * t209);
  t213 = t212 * t30;
  t218 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t213 * t74 + t144);
  t220 = my_piecewise5(t15, 0, t11, 0, t8 - t190);
  t223 = my_piecewise3(t84, 0, 0.5e1 / 0.3e1 * t86 * t220);
  t224 = t223 * t30;
  t229 = 0.1e1 / t91 / t90;
  t230 = t99 * t229;
  t236 = t107 * t107;
  t237 = 0.1e1 / t236;
  t238 = t105 * t237;
  t239 = t238 * t47;
  t240 = t48 * t99;
  t241 = fabs(t106) / t106;
  t242 = t229 * t241;
  t246 = -t49 * t230 * t108 / 0.54e2 + t239 * t240 * t242 / 0.54e2;
  t247 = t98 * t246;
  t248 = 0.1e1 / t105;
  t249 = t248 * t107;
  t250 = t247 * t249;
  t252 = t168 * t113 * t100;
  t258 = -t49 * t230 * t110 / 0.108e3 - 0.3e1 * t250 * t252 - 0.4e1 * t112 * t114 * t91;
  t260 = t119 * t119;
  t261 = 0.1e1 / t260;
  t262 = t118 * t261;
  t263 = -t258;
  t266 = 0.2e2 * t258 * t120 - 0.2e2 * t262 * t263;
  t271 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t224 * t123 + t203 + 0.3e1 / 0.2e2 * t6 * t89 * t266);
  tvrho1 = t78 + t127 + t7 * (t218 + t271);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t274 = t52 * t61;
  t281 = t48 * t64;
  t282 = t52 * t158;
  t286 = t49 * t64 * t52 * t59 / 0.144e3 - t156 * t281 * t282 / 0.144e3;
  t287 = t46 * t286;
  t288 = t287 * t166;
  t291 = t50 * sigma[0];
  t292 = 0.1e1 / t291;
  t293 = t34 * t292;
  t297 = t49 * t274 * t64 / 0.288e3 - 0.3e1 * t288 * t170 + 0.3e1 / 0.2e1 * t63 * t293 * t51;
  t299 = -t297;
  t302 = -0.2e2 * t180 * t299 + 0.2e2 * t297 * t71;
  t306 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t302);
  tvsigma0 = t7 * t306;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t307 = t101 * t110;
  t314 = t48 * t113;
  t315 = t101 * t241;
  t319 = t49 * t113 * t101 * t108 / 0.144e3 - t239 * t314 * t315 / 0.144e3;
  t320 = t98 * t319;
  t321 = t320 * t249;
  t324 = t99 * sigma[2];
  t325 = 0.1e1 / t324;
  t326 = t34 * t325;
  t330 = t49 * t307 * t113 / 0.288e3 - 0.3e1 * t321 * t252 + 0.3e1 / 0.2e1 * t112 * t326 * t100;
  t332 = -t330;
  t335 = 0.2e2 * t330 * t120 - 0.2e2 * t262 * t332;
  t339 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t89 * t335);
  tvsigma2 = t7 * t339;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t342 = 0.1e1 / t25;
  t343 = t132 * t132;
  t346 = t128 * t7;
  t347 = 0.1e1 / t346;
  t348 = t17 * t347;
  t351 = my_piecewise5(t11, 0, t15, 0, -0.2e1 * t129 + 0.2e1 * t348);
  t355 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t342 * t343 + 0.5e1 / 0.3e1 * t26 * t351);
  t356 = t355 * t30;
  t360 = t135 * t140;
  t362 = t6 * t360 * t74;
  t368 = 0.1e1 / t29 / t7;
  t369 = t28 * t368;
  t372 = t6 * t369 * t74 / 0.3e2;
  t374 = t6 * t141 * t184;
  t376 = t38 * rho[0];
  t378 = 0.1e1 / t39 / t376;
  t379 = t50 * t378;
  t383 = t49 * t50;
  t391 = t37 * sigma[0];
  t392 = t38 * t38;
  t394 = 0.1e1 / t40 / t392;
  t396 = t394 * t154 * t158;
  t400 = 0.1e1 / t153 / t58;
  t401 = t56 * t400;
  t402 = t401 * t32;
  t403 = t36 * sigma[0];
  t404 = t158 * t158;
  t405 = t394 * t404;
  t409 = t378 * t158;
  t410 = t157 * t409;
  t413 = t155 * t32;
  t414 = 0.0;
  t415 = t394 * t414;
  t418 = t413 * t403 * t415 / 0.486e3;
  t419 = 0.7e1 / 0.162e3 * t49 * t379 * t59 - t391 * t396 / 0.243e3 + t402 * t403 * t405 / 0.243e3 - 0.7e1 / 0.162e3 * t156 * t410 - t418;
  t420 = t46 * t419;
  t421 = t420 * t166;
  t424 = t56 * t56;
  t425 = 0.1e1 / t424;
  t426 = t425 * t58;
  t427 = 0.1e1 / rho[0];
  t428 = t426 * t427;
  t432 = t165 * t427 * t158;
  t436 = t168 * t64 * t39;
  t439 = 0.1e1 / t40;
  t443 = t49 * t379 * t61 / 0.108e3 - t383 * t146 * t163 * t166 / 0.54e2 - 0.3e1 * t421 * t170 - t164 * t428 / 0.3e1 + t164 * t432 / 0.3e1 - 0.8e1 * t167 * t436 - 0.4e1 / 0.3e1 * t63 * t65 * t439;
  t446 = t176 * t179;
  t450 = 0.1e1 / t178 / t70;
  t451 = t69 * t450;
  t452 = t181 * t181;
  t455 = -t443;
  t458 = -0.2e2 * t180 * t455 - 0.4e2 * t446 * t181 + 0.2e2 * t443 * t71 + 0.4e2 * t451 * t452;
  t463 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t356 * t74 + t362 / 0.5e1 + 0.3e1 / 0.1e2 * t6 * t136 * t184 - t372 + t374 / 0.5e1 + 0.3e1 / 0.2e2 * t6 * t31 * t458);
  t464 = 0.1e1 / t85;
  t465 = t192 * t192;
  t468 = t80 * t347;
  t471 = my_piecewise5(t15, 0, t11, 0, 0.2e1 * t129 + 0.2e1 * t468);
  t475 = my_piecewise3(t84, 0, 0.1e2 / 0.9e1 * t464 * t465 + 0.5e1 / 0.3e1 * t86 * t471);
  t476 = t475 * t30;
  t480 = t195 * t140;
  t482 = t6 * t480 * t123;
  t484 = t88 * t368;
  t487 = t6 * t484 * t123 / 0.3e2;
  t489 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t476 * t123 + t482 / 0.5e1 - t487);
  tv2rho20 = 0.2e1 * t189 + 0.2e1 * t205 + t7 * (t463 + t489);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t492 = t342 * t209;
  t496 = my_piecewise5(t11, 0, t15, 0, 0.2e1 * t348);
  t500 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t492 * t132 + 0.5e1 / 0.3e1 * t26 * t496);
  t501 = t500 * t30;
  t505 = t212 * t140;
  t507 = t6 * t505 * t74;
  t515 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t501 * t74 + t507 / 0.1e2 + 0.3e1 / 0.2e2 * t6 * t213 * t184 + t362 / 0.1e2 - t372 + t374 / 0.1e2);
  t516 = t464 * t220;
  t520 = my_piecewise5(t15, 0, t11, 0, 0.2e1 * t468);
  t524 = my_piecewise3(t84, 0, 0.1e2 / 0.9e1 * t516 * t192 + 0.5e1 / 0.3e1 * t86 * t520);
  t525 = t524 * t30;
  t529 = t223 * t140;
  t531 = t6 * t529 * t123;
  t538 = t6 * t200 * t266;
  t541 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t525 * t123 + t531 / 0.1e2 + t482 / 0.1e2 - t487 + 0.3e1 / 0.2e2 * t6 * t196 * t266 + t538 / 0.1e2);
  tv2rho21 = t189 + t205 + t218 + t271 + t7 * (t515 + t541);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t546 = t209 * t209;
  t551 = my_piecewise5(t11, 0, t15, 0, 0.2e1 * t129 + 0.2e1 * t348);
  t555 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t342 * t546 + 0.5e1 / 0.3e1 * t26 * t551);
  t556 = t555 * t30;
  t562 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t556 * t74 + t507 / 0.5e1 - t372);
  t563 = t220 * t220;
  t568 = my_piecewise5(t15, 0, t11, 0, -0.2e1 * t129 + 0.2e1 * t468);
  t572 = my_piecewise3(t84, 0, 0.1e2 / 0.9e1 * t464 * t563 + 0.5e1 / 0.3e1 * t86 * t568);
  t573 = t572 * t30;
  t582 = t90 * rho[1];
  t584 = 0.1e1 / t91 / t582;
  t585 = t99 * t584;
  t589 = t49 * t99;
  t597 = t37 * sigma[2];
  t598 = t90 * t90;
  t600 = 0.1e1 / t92 / t598;
  t602 = t600 * t237 * t241;
  t606 = 0.1e1 / t236 / t107;
  t607 = t105 * t606;
  t608 = t607 * t32;
  t609 = t36 * sigma[2];
  t610 = t241 * t241;
  t611 = t600 * t610;
  t615 = t584 * t241;
  t616 = t240 * t615;
  t619 = t238 * t32;
  t620 = 0.0;
  t621 = t600 * t620;
  t624 = t619 * t609 * t621 / 0.486e3;
  t625 = 0.7e1 / 0.162e3 * t49 * t585 * t108 - t597 * t602 / 0.243e3 + t608 * t609 * t611 / 0.243e3 - 0.7e1 / 0.162e3 * t239 * t616 - t624;
  t626 = t98 * t625;
  t627 = t626 * t249;
  t630 = t105 * t105;
  t631 = 0.1e1 / t630;
  t632 = t631 * t107;
  t633 = 0.1e1 / rho[1];
  t634 = t632 * t633;
  t638 = t248 * t633 * t241;
  t642 = t168 * t113 * t91;
  t645 = 0.1e1 / t92;
  t649 = t49 * t585 * t110 / 0.108e3 - t589 * t229 * t246 * t249 / 0.54e2 - 0.3e1 * t627 * t252 - t247 * t634 / 0.3e1 + t247 * t638 / 0.3e1 - 0.8e1 * t250 * t642 - 0.4e1 / 0.3e1 * t112 * t114 * t645;
  t652 = t258 * t261;
  t656 = 0.1e1 / t260 / t119;
  t657 = t118 * t656;
  t658 = t263 * t263;
  t661 = -t649;
  t664 = 0.2e2 * t649 * t120 - 0.2e2 * t262 * t661 - 0.4e2 * t652 * t263 + 0.4e2 * t657 * t658;
  t669 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t573 * t123 + t531 / 0.5e1 + 0.3e1 / 0.1e2 * t6 * t224 * t266 - t487 + t538 / 0.5e1 + 0.3e1 / 0.2e2 * t6 * t89 * t664);
  tv2rho22 = 0.2e1 * t218 + 0.2e1 * t271 + t7 * (t562 + t669);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t677 = t6 * t141 * t302 / 0.1e2;
  t678 = t49 * t52;
  t679 = t163 * t165;
  t680 = t58 * t64;
  t693 = 0.1e1 / t40 / t376;
  t695 = t693 * t154 * t158;
  t698 = t36 * t693;
  t702 = t281 * t159;
  t707 = t413 * t698 * t414 / 0.1296e4;
  t708 = -t49 * t64 * t146 * t59 / 0.108e3 + t37 * t695 / 0.648e3 - t402 * t698 * t404 / 0.648e3 + t156 * t702 / 0.108e3 + t707;
  t709 = t46 * t708;
  t710 = t709 * t166;
  t720 = t168 * t292 * t51;
  t726 = t678 * t679 * t680 / 0.288e3 - t383 * t146 * t286 * t166 / 0.108e3 - 0.3e1 * t710 * t170 - t287 * t428 / 0.3e1 + t287 * t432 / 0.3e1 - 0.4e1 * t288 * t436 + 0.3e1 / 0.2e1 * t167 * t720 + 0.2e1 * t63 * t293 * t39;
  t729 = t297 * t179;
  t734 = t299 * t181;
  t737 = -t726;
  t740 = -0.2e2 * t180 * t737 - 0.2e2 * t729 * t181 - 0.2e2 * t446 * t299 + 0.4e2 * t451 * t734 + 0.2e2 * t726 * t71;
  t745 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t136 * t302 + t677 + 0.3e1 / 0.2e2 * t6 * t31 * t740);
  tv2rhosigma0 = t7 * t745 + t306;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t752 = t6 * t200 * t335 / 0.1e2;
  t754 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t196 * t335 + t752);
  tv2rhosigma2 = t7 * t754 + t339;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t760 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t213 * t302 + t677);
  tv2rhosigma3 = t7 * t760 + t306;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t765 = t49 * t101;
  t766 = t246 * t248;
  t767 = t107 * t113;
  t780 = 0.1e1 / t92 / t582;
  t782 = t780 * t237 * t241;
  t785 = t36 * t780;
  t789 = t314 * t242;
  t794 = t619 * t785 * t620 / 0.1296e4;
  t795 = -t49 * t113 * t229 * t108 / 0.108e3 + t37 * t782 / 0.648e3 - t608 * t785 * t610 / 0.648e3 + t239 * t789 / 0.108e3 + t794;
  t796 = t98 * t795;
  t797 = t796 * t249;
  t807 = t168 * t325 * t100;
  t813 = t765 * t766 * t767 / 0.288e3 - t589 * t229 * t319 * t249 / 0.108e3 - 0.3e1 * t797 * t252 - t320 * t634 / 0.3e1 + t320 * t638 / 0.3e1 - 0.4e1 * t321 * t642 + 0.3e1 / 0.2e1 * t250 * t807 + 0.2e1 * t112 * t326 * t91;
  t816 = t330 * t261;
  t821 = t332 * t263;
  t824 = -t813;
  t827 = 0.2e2 * t813 * t120 - 0.2e2 * t262 * t824 - 0.2e2 * t816 * t263 - 0.2e2 * t652 * t332 + 0.4e2 * t657 * t821;
  t832 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t224 * t335 + t752 + 0.3e1 / 0.2e2 * t6 * t89 * t827);
  tv2rhosigma5 = t7 * t832 + t339;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t834 = t286 * t165;
  t845 = 0.1e1 / sigma[0];
  t846 = t37 * t845;
  t848 = t42 * t154 * t158;
  t851 = t36 * t845;
  t852 = t42 * t404;
  t856 = t48 * t292;
  t857 = t856 * t282;
  t860 = t42 * t414;
  t863 = t413 * t851 * t860 / 0.3456e4;
  t864 = -t49 * t292 * t52 * t59 / 0.288e3 - t846 * t848 / 0.1728e4 + t402 * t851 * t852 / 0.1728e4 + t156 * t857 / 0.288e3 - t863;
  t865 = t46 * t864;
  t866 = t865 * t166;
  t869 = t426 * t845;
  t873 = t165 * t845 * t158;
  t878 = sigma[0] * sigma[0];
  t880 = 0.1e1 / t50 / t878;
  t881 = t34 * t880;
  t885 = t678 * t834 * t680 / 0.144e3 - t49 * t274 * t292 / 0.288e3 - 0.3e1 * t866 * t170 + t287 * t869 / 0.8e1 - t287 * t873 / 0.8e1 + 0.3e1 * t288 * t720 - 0.9e1 / 0.4e1 * t63 * t881 * t51;
  t890 = t299 * t299;
  t893 = -t885;
  t896 = -0.2e2 * t180 * t893 - 0.4e2 * t729 * t299 + 0.4e2 * t451 * t890 + 0.2e2 * t885 * t71;
  t900 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t896);
  tv2sigma20 = t7 * t900;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t901 = t319 * t248;
  t912 = 0.1e1 / sigma[2];
  t913 = t37 * t912;
  t915 = t94 * t237 * t241;
  t918 = t36 * t912;
  t919 = t94 * t610;
  t923 = t48 * t325;
  t924 = t923 * t315;
  t927 = t94 * t620;
  t930 = t619 * t918 * t927 / 0.3456e4;
  t931 = -t49 * t325 * t101 * t108 / 0.288e3 - t913 * t915 / 0.1728e4 + t608 * t918 * t919 / 0.1728e4 + t239 * t924 / 0.288e3 - t930;
  t932 = t98 * t931;
  t933 = t932 * t249;
  t936 = t632 * t912;
  t940 = t248 * t912 * t241;
  t945 = sigma[2] * sigma[2];
  t947 = 0.1e1 / t99 / t945;
  t948 = t34 * t947;
  t952 = t765 * t901 * t767 / 0.144e3 - t49 * t307 * t325 / 0.288e3 - 0.3e1 * t933 * t252 + t320 * t936 / 0.8e1 - t320 * t940 / 0.8e1 + 0.3e1 * t321 * t807 - 0.9e1 / 0.4e1 * t112 * t948 * t100;
  t957 = t332 * t332;
  t960 = -t952;
  t963 = 0.2e2 * t952 * t120 - 0.2e2 * t262 * t960 - 0.4e2 * t816 * t332 + 0.4e2 * t657 * t957;
  t967 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t89 * t963);
  tv2sigma25 = t7 * t967;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t971 = 0.1e1 / t25 / t20;
  t972 = t343 * t132;
  t975 = t342 * t132;
  t978 = t128 * t128;
  t979 = 0.1e1 / t978;
  t980 = t17 * t979;
  t983 = my_piecewise5(t11, 0, t15, 0, 0.6e1 * t347 - 0.6e1 * t980);
  t987 = my_piecewise3(t21, 0, -0.1e2 / 0.27e2 * t971 * t972 + 0.1e2 / 0.3e1 * t975 * t351 + 0.5e1 / 0.3e1 * t26 * t983);
  t988 = t987 * t30;
  t992 = t355 * t140;
  t994 = t6 * t992 * t74;
  t999 = t135 * t368;
  t1001 = t6 * t999 * t74;
  t1004 = t6 * t360 * t184;
  t1010 = 0.1e1 / t29 / t128;
  t1011 = t28 * t1010;
  t1014 = 0.2e1 / 0.45e2 * t6 * t1011 * t74;
  t1016 = t6 * t369 * t184;
  t1019 = t6 * t141 * t458;
  t1022 = 0.1e1 / t40 / rho[0];
  t1027 = t378 * t163 * t166;
  t1034 = t394 * t163;
  t1038 = t165 * t158;
  t1046 = 0.1e1 / t38;
  t1047 = t426 * t1046;
  t1051 = t165 * t1046 * t158;
  t1055 = 0.1e1 / t39 / t392;
  t1056 = t50 * t1055;
  t1061 = 0.1e1 / t424 / t56;
  t1062 = t1061 * t58;
  t1063 = t164 * t1062;
  t1064 = t378 * t47;
  t1065 = t1064 * t157;
  t1068 = t425 * t47;
  t1069 = t164 * t1068;
  t1072 = t165 * t378;
  t1074 = t50 * t414;
  t1075 = t49 * t1074;
  t1077 = t164 * t1072 * t1075 / 0.162e3;
  t1081 = t392 * rho[0];
  t1083 = 0.1e1 / t40 / t1081;
  t1085 = t1083 * t154 * t158;
  t1088 = 0.1e1 / t33;
  t1089 = t1088 * t291;
  t1090 = t392 * t376;
  t1091 = 0.1e1 / t1090;
  t1098 = t1089 * t1091 * t154 * t414;
  t1100 = t153 * t153;
  t1101 = 0.1e1 / t1100;
  t1102 = t56 * t1101;
  t1103 = t1102 * t1088;
  t1104 = t291 * t1091;
  t1105 = t404 * t158;
  t1113 = t401 * t1088;
  t1114 = t158 * t414;
  t1116 = t1113 * t1104 * t1114;
  t1118 = t1055 * t158;
  t1119 = t157 * t1118;
  t1123 = t403 * t1083 * t414;
  t1124 = t413 * t1123;
  t1126 = -0.35e2 / 0.243e3 * t49 * t1056 * t59 + 0.7e1 / 0.243e3 * t391 * t1085 - t1089 * t1091 * t400 * t404 / 0.729e3 + t1098 / 0.1458e4 + t1103 * t1104 * t1105 / 0.729e3 - 0.7e1 / 0.243e3 * t402 * t403 * t1083 * t404 - t1116 / 0.729e3 + 0.35e2 / 0.243e3 * t156 * t1119 + 0.7e1 / 0.486e3 * t1124 - t418;
  t1127 = t46 * t1126;
  t1128 = t1127 * t166;
  t1134 = t168 * t64 * t439;
  t1137 = 0.8e1 / 0.9e1 * t63 * t65 * t1022 + t383 * t1027 / 0.36e2 - t383 * t146 * t419 * t166 / 0.36e2 - t391 * t1034 * t426 / 0.324e3 + t391 * t1034 * t1038 / 0.324e3 - 0.2e1 / 0.3e1 * t420 * t428 + 0.2e1 / 0.3e1 * t420 * t432 - 0.5e1 / 0.9e1 * t164 * t1047 + 0.5e1 / 0.9e1 * t164 * t1051 - 0.17e2 / 0.486e3 * t49 * t1056 * t61 - t1063 * t1065 / 0.81e2 + t1069 * t410 / 0.81e2 - t1077 - 0.3e1 * t1128 * t170 - 0.12e2 * t421 * t436 - 0.4e1 * t167 * t1134;
  t1140 = t443 * t179;
  t1143 = t176 * t450;
  t1148 = t178 * t178;
  t1149 = 0.1e1 / t1148;
  t1150 = t69 * t1149;
  t1151 = t452 * t181;
  t1154 = t181 * t455;
  t1157 = -t1137;
  t1160 = 0.2e2 * t1137 * t71 - 0.6e2 * t1140 * t181 + 0.12e3 * t1143 * t452 - 0.12e3 * t1150 * t1151 + 0.12e3 * t451 * t1154 - 0.2e2 * t180 * t1157 - 0.6e2 * t446 * t455;
  t1165 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t988 * t74 + 0.3e1 / 0.1e2 * t994 + 0.9e1 / 0.2e2 * t6 * t356 * t184 - t1001 / 0.1e2 + 0.3e1 / 0.5e1 * t1004 + 0.9e1 / 0.2e2 * t6 * t136 * t458 + t1014 - t1016 / 0.1e2 + 0.3e1 / 0.1e2 * t1019 + 0.3e1 / 0.2e2 * t6 * t31 * t1160);
  t1167 = 0.1e1 / t85 / t83;
  t1168 = t465 * t192;
  t1171 = t464 * t192;
  t1174 = t80 * t979;
  t1177 = my_piecewise5(t15, 0, t11, 0, -0.6e1 * t347 - 0.6e1 * t1174);
  t1181 = my_piecewise3(t84, 0, -0.1e2 / 0.27e2 * t1167 * t1168 + 0.1e2 / 0.3e1 * t1171 * t471 + 0.5e1 / 0.3e1 * t86 * t1177);
  t1182 = t1181 * t30;
  t1186 = t475 * t140;
  t1188 = t6 * t1186 * t123;
  t1190 = t195 * t368;
  t1192 = t6 * t1190 * t123;
  t1194 = t88 * t1010;
  t1197 = 0.2e1 / 0.45e2 * t6 * t1194 * t123;
  t1199 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t1182 * t123 + 0.3e1 / 0.1e2 * t1188 - t1192 / 0.1e2 + t1197);
  tv3rho30 = 0.3e1 * t463 + 0.3e1 * t489 + t7 * (t1165 + t1199);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t1202 = 0.2e1 * t515;
  t1203 = 0.2e1 * t541;
  t1204 = t971 * t209;
  t1207 = t342 * t496;
  t1212 = 0.2e1 * t347;
  t1213 = 0.6e1 * t980;
  t1215 = my_piecewise5(t11, 0, t15, 0, t1212 - t1213);
  t1219 = my_piecewise3(t21, 0, -0.1e2 / 0.27e2 * t1204 * t343 + 0.2e2 / 0.9e1 * t1207 * t132 + 0.1e2 / 0.9e1 * t492 * t351 + 0.5e1 / 0.3e1 * t26 * t1215);
  t1220 = t1219 * t30;
  t1224 = t500 * t140;
  t1227 = t6 * t1224 * t74 / 0.5e1;
  t1231 = t212 * t368;
  t1233 = t6 * t1231 * t74;
  t1237 = t6 * t505 * t184 / 0.5e1;
  t1246 = 0.3e1 / 0.2e2 * t6 * t1220 * t74 + t1227 + 0.3e1 / 0.1e2 * t6 * t501 * t184 - t1233 / 0.3e2 + t1237 + 0.3e1 / 0.2e2 * t6 * t213 * t458 + t994 / 0.1e2 - t1001 / 0.15e2 + t1004 / 0.5e1 + t1014 - t1016 / 0.15e2 + t1019 / 0.1e2;
  t1247 = my_piecewise3(t1, 0, t1246);
  t1248 = t1167 * t220;
  t1251 = t464 * t520;
  t1256 = 0.6e1 * t1174;
  t1258 = my_piecewise5(t15, 0, t11, 0, -t1212 - t1256);
  t1262 = my_piecewise3(t84, 0, -0.1e2 / 0.27e2 * t1248 * t465 + 0.2e2 / 0.9e1 * t1251 * t192 + 0.1e2 / 0.9e1 * t516 * t471 + 0.5e1 / 0.3e1 * t86 * t1258);
  t1263 = t1262 * t30;
  t1267 = t524 * t140;
  t1270 = t6 * t1267 * t123 / 0.5e1;
  t1271 = t223 * t368;
  t1273 = t6 * t1271 * t123;
  t1282 = t6 * t480 * t266 / 0.5e1;
  t1284 = t6 * t484 * t266;
  t1287 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t1263 * t123 + t1270 - t1273 / 0.3e2 + t1188 / 0.1e2 - t1192 / 0.15e2 + t1197 + 0.3e1 / 0.2e2 * t6 * t476 * t266 + t1282 - t1284 / 0.3e2);
  tv3rho31 = t463 + t489 + t1202 + t1203 + t7 * (t1247 + t1287);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t1290 = t971 * t546;
  t1295 = t342 * t551;
  t1299 = my_piecewise5(t11, 0, t15, 0, -t1212 - t1213);
  t1303 = my_piecewise3(t21, 0, -0.1e2 / 0.27e2 * t1290 * t132 + 0.2e2 / 0.9e1 * t492 * t496 + 0.1e2 / 0.9e1 * t1295 * t132 + 0.5e1 / 0.3e1 * t26 * t1299);
  t1304 = t1303 * t30;
  t1308 = t555 * t140;
  t1310 = t6 * t1308 * t74;
  t1319 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t1304 * t74 + t1310 / 0.1e2 + 0.3e1 / 0.2e2 * t6 * t556 * t184 + t1227 - t1233 / 0.15e2 + t1237 - t1001 / 0.3e2 + t1014 - t1016 / 0.3e2);
  t1320 = t1167 * t563;
  t1325 = t464 * t568;
  t1329 = my_piecewise5(t15, 0, t11, 0, t1212 - t1256);
  t1333 = my_piecewise3(t84, 0, -0.1e2 / 0.27e2 * t1320 * t192 + 0.2e2 / 0.9e1 * t516 * t520 + 0.1e2 / 0.9e1 * t1325 * t192 + 0.5e1 / 0.3e1 * t86 * t1329);
  t1334 = t1333 * t30;
  t1338 = t572 * t140;
  t1340 = t6 * t1338 * t123;
  t1347 = t6 * t529 * t266;
  t1355 = t6 * t200 * t664;
  t1357 = 0.3e1 / 0.2e2 * t6 * t1334 * t123 + t1340 / 0.1e2 + t1270 - t1273 / 0.15e2 + 0.3e1 / 0.1e2 * t6 * t525 * t266 + t1347 / 0.5e1 - t1192 / 0.3e2 + t1197 + t1282 - t1284 / 0.15e2 + 0.3e1 / 0.2e2 * t6 * t196 * t664 + t1355 / 0.1e2;
  t1358 = my_piecewise3(t79, 0, t1357);
  tv3rho32 = t1202 + t1203 + t562 + t669 + t7 * (t1319 + t1358);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t1363 = t546 * t209;
  t1370 = my_piecewise5(t11, 0, t15, 0, -0.6e1 * t347 - 0.6e1 * t980);
  t1374 = my_piecewise3(t21, 0, -0.1e2 / 0.27e2 * t971 * t1363 + 0.1e2 / 0.3e1 * t492 * t551 + 0.5e1 / 0.3e1 * t26 * t1370);
  t1375 = t1374 * t30;
  t1382 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t1375 * t74 + 0.3e1 / 0.1e2 * t1310 - t1233 / 0.1e2 + t1014);
  t1383 = t563 * t220;
  t1390 = my_piecewise5(t15, 0, t11, 0, 0.6e1 * t347 - 0.6e1 * t1174);
  t1394 = my_piecewise3(t84, 0, -0.1e2 / 0.27e2 * t1167 * t1383 + 0.1e2 / 0.3e1 * t516 * t568 + 0.5e1 / 0.3e1 * t86 * t1390);
  t1395 = t1394 * t30;
  t1415 = 0.1e1 / t92 / rho[1];
  t1420 = t584 * t246 * t249;
  t1427 = t600 * t246;
  t1431 = t248 * t241;
  t1435 = 0.1e1 / t90;
  t1436 = t632 * t1435;
  t1440 = t248 * t1435 * t241;
  t1444 = 0.1e1 / t91 / t598;
  t1445 = t99 * t1444;
  t1452 = t598 * rho[1];
  t1454 = 0.1e1 / t92 / t1452;
  t1456 = t1454 * t237 * t241;
  t1459 = t1088 * t324;
  t1460 = t598 * t582;
  t1461 = 0.1e1 / t1460;
  t1468 = t1459 * t1461 * t237 * t620;
  t1470 = t236 * t236;
  t1471 = 0.1e1 / t1470;
  t1472 = t105 * t1471;
  t1473 = t1472 * t1088;
  t1474 = t324 * t1461;
  t1475 = t610 * t241;
  t1483 = t607 * t1088;
  t1484 = t241 * t620;
  t1486 = t1483 * t1474 * t1484;
  t1488 = t1444 * t241;
  t1489 = t240 * t1488;
  t1493 = t609 * t1454 * t620;
  t1494 = t619 * t1493;
  t1496 = -0.35e2 / 0.243e3 * t49 * t1445 * t108 + 0.7e1 / 0.243e3 * t597 * t1456 - t1459 * t1461 * t606 * t610 / 0.729e3 + t1468 / 0.1458e4 + t1473 * t1474 * t1475 / 0.729e3 - 0.7e1 / 0.243e3 * t608 * t609 * t1454 * t610 - t1486 / 0.729e3 + 0.35e2 / 0.243e3 * t239 * t1489 + 0.7e1 / 0.486e3 * t1494 - t624;
  t1497 = t98 * t1496;
  t1498 = t1497 * t249;
  t1502 = 0.1e1 / t630 / t105;
  t1503 = t1502 * t107;
  t1504 = t247 * t1503;
  t1505 = t584 * t47;
  t1506 = t1505 * t240;
  t1509 = t631 * t47;
  t1510 = t247 * t1509;
  t1513 = t248 * t584;
  t1515 = t99 * t620;
  t1516 = t49 * t1515;
  t1518 = t247 * t1513 * t1516 / 0.162e3;
  t1522 = t168 * t113 * t645;
  t1525 = -0.2e1 / 0.3e1 * t626 * t634 + 0.2e1 / 0.3e1 * t626 * t638 + 0.8e1 / 0.9e1 * t112 * t114 * t1415 + t589 * t1420 / 0.36e2 - t589 * t229 * t625 * t249 / 0.36e2 - t597 * t1427 * t632 / 0.324e3 + t597 * t1427 * t1431 / 0.324e3 - 0.5e1 / 0.9e1 * t247 * t1436 + 0.5e1 / 0.9e1 * t247 * t1440 - 0.17e2 / 0.486e3 * t49 * t1445 * t110 - 0.3e1 * t1498 * t252 - t1504 * t1506 / 0.81e2 + t1510 * t616 / 0.81e2 - t1518 - 0.12e2 * t627 * t642 - 0.4e1 * t250 * t1522;
  t1528 = t649 * t261;
  t1531 = t258 * t656;
  t1536 = t260 * t260;
  t1537 = 0.1e1 / t1536;
  t1538 = t118 * t1537;
  t1539 = t658 * t263;
  t1542 = t263 * t661;
  t1545 = -t1525;
  t1548 = 0.2e2 * t1525 * t120 - 0.6e2 * t1528 * t263 + 0.12e3 * t1531 * t658 - 0.12e3 * t1538 * t1539 + 0.12e3 * t657 * t1542 - 0.2e2 * t262 * t1545 - 0.6e2 * t652 * t661;
  t1553 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t1395 * t123 + 0.3e1 / 0.1e2 * t1340 + 0.9e1 / 0.2e2 * t6 * t573 * t266 - t1273 / 0.1e2 + 0.3e1 / 0.5e1 * t1347 + 0.9e1 / 0.2e2 * t6 * t224 * t664 + t1197 - t1284 / 0.1e2 + 0.3e1 / 0.1e2 * t1355 + 0.3e1 / 0.2e2 * t6 * t89 * t1548);
  tv3rho33 = 0.3e1 * t562 + 0.3e1 * t669 + t7 * (t1382 + t1553);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t1561 = t6 * t360 * t302;
  t1568 = t6 * t369 * t302 / 0.3e2;
  t1570 = t6 * t141 * t740;
  t1576 = t64 * t378;
  t1583 = t419 * t165;
  t1591 = t394 * t286;
  t1602 = t164 * t425;
  t1603 = t58 * t845;
  t1604 = t1603 * t427;
  t1607 = -0.2e1 / 0.3e1 * t709 * t428 + 0.2e1 / 0.3e1 * t709 * t432 + t49 * t1576 * t61 / 0.162e3 + 0.2e1 / 0.3e1 * t63 * t293 * t439 + t678 * t1583 * t680 / 0.288e3 - t383 * t146 * t708 * t166 / 0.54e2 - t391 * t1591 * t426 / 0.486e3 + t391 * t1591 * t1038 / 0.486e3 - t287 * t1047 / 0.9e1 + t287 * t1051 / 0.9e1 + t1602 * t1604 / 0.6e1;
  t1608 = t164 * t165;
  t1610 = t845 * t427 * t158;
  t1613 = t37 * t693;
  t1614 = t163 * t425;
  t1615 = t1614 * t58;
  t1618 = t679 * t158;
  t1621 = t287 * t1062;
  t1624 = t287 * t1068;
  t1629 = t287 * t1072 * t1075 / 0.162e3;
  t1633 = t378 * t286 * t166;
  t1641 = t392 * t38;
  t1642 = 0.1e1 / t1641;
  t1643 = t1088 * t1642;
  t1645 = t400 * t404 * t50;
  t1649 = t154 * t50 * t414;
  t1650 = t1643 * t1649;
  t1656 = t36 * t394;
  t1662 = t1113 * t1642 * t158 * t1074;
  t1664 = t281 * t409;
  t1668 = t413 * t1656 * t414;
  t1670 = 0.7e1 / 0.324e3 * t49 * t1576 * t59 - 0.5e1 / 0.648e3 * t37 * t396 + t1643 * t1645 / 0.1944e4 - t1650 / 0.3888e4 - t1103 * t1642 * t1105 * t50 / 0.1944e4 + 0.5e1 / 0.648e3 * t402 * t1656 * t404 + t1662 / 0.1944e4 - 0.7e1 / 0.324e3 * t156 * t1664 - 0.5e1 / 0.1296e4 * t1668 + t707;
  t1671 = t46 * t1670;
  t1672 = t1671 * t166;
  t1680 = t168 * t292 * t39;
  t1683 = -t1608 * t1610 / 0.6e1 + t1613 * t1615 / 0.2592e4 - t1613 * t1618 / 0.2592e4 - t1621 * t1065 / 0.81e2 + t1624 * t410 / 0.81e2 - t1629 + 0.3e1 / 0.2e1 * t421 * t720 + t383 * t1633 / 0.108e3 - 0.3e1 * t1672 * t170 - 0.8e1 * t710 * t436 - 0.4e1 / 0.3e1 * t288 * t1134 + 0.4e1 * t167 * t1680;
  t1684 = t1607 + t1683;
  t1687 = t726 * t179;
  t1690 = t297 * t450;
  t1701 = t299 * t452;
  t1704 = t737 * t181;
  t1707 = t299 * t455;
  t1710 = -t1684;
  t1713 = -0.2e2 * t1140 * t299 + 0.8e2 * t1143 * t734 - 0.12e3 * t1150 * t1701 + 0.2e2 * t1684 * t71 - 0.4e2 * t1687 * t181 + 0.4e2 * t1690 * t452 + 0.8e2 * t451 * t1704 + 0.4e2 * t451 * t1707 - 0.2e2 * t180 * t1710 - 0.4e2 * t446 * t737 - 0.2e2 * t729 * t455;
  t1718 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t356 * t302 + t1561 / 0.5e1 + 0.3e1 / 0.1e2 * t6 * t136 * t740 - t1568 + t1570 / 0.5e1 + 0.3e1 / 0.2e2 * t6 * t31 * t1713);
  tv3rho2sigma0 = t7 * t1718 + 0.2e1 * t745;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t1725 = t6 * t480 * t335;
  t1729 = t6 * t484 * t335 / 0.3e2;
  t1731 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t476 * t335 + t1725 / 0.5e1 - t1729);
  tv3rho2sigma2 = t7 * t1731 + 0.2e1 * t754;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t1737 = t6 * t505 * t302;
  t1745 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t501 * t302 + t1737 / 0.1e2 + 0.3e1 / 0.2e2 * t6 * t213 * t740 + t1561 / 0.1e2 - t1568 + t1570 / 0.1e2);
  tv3rho2sigma3 = t7 * t1745 + t745 + t760;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t1751 = t6 * t529 * t335;
  t1758 = t6 * t200 * t827;
  t1761 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t525 * t335 + t1751 / 0.1e2 + t1725 / 0.1e2 - t1729 + 0.3e1 / 0.2e2 * t6 * t196 * t827 + t1758 / 0.1e2);
  tv3rho2sigma5 = t7 * t1761 + t754 + t832;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t1769 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t556 * t302 + t1737 / 0.5e1 - t1568);
  tv3rho2sigma6 = t7 * t1769 + 0.2e1 * t760;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t1780 = t600 * t319;
  t1790 = t625 * t248;
  t1800 = t247 * t631;
  t1801 = t107 * t912;
  t1802 = t1801 * t633;
  t1805 = t247 * t248;
  t1807 = t912 * t633 * t241;
  t1810 = t37 * t780;
  t1811 = t246 * t631;
  t1812 = t1811 * t107;
  t1815 = t766 * t241;
  t1820 = -t597 * t1780 * t632 / 0.486e3 + t597 * t1780 * t1431 / 0.486e3 + 0.2e1 / 0.3e1 * t112 * t326 * t645 + t765 * t1790 * t767 / 0.288e3 - t589 * t229 * t795 * t249 / 0.54e2 + t320 * t1440 / 0.9e1 + t1800 * t1802 / 0.6e1 - t1805 * t1807 / 0.6e1 + t1810 * t1812 / 0.2592e4 - t1810 * t1815 / 0.2592e4 - t320 * t1436 / 0.9e1;
  t1821 = t113 * t584;
  t1830 = t584 * t319 * t249;
  t1838 = t598 * t90;
  t1839 = 0.1e1 / t1838;
  t1840 = t1088 * t1839;
  t1842 = t606 * t610 * t99;
  t1846 = t237 * t99 * t620;
  t1847 = t1840 * t1846;
  t1853 = t36 * t600;
  t1859 = t1483 * t1839 * t241 * t1515;
  t1861 = t314 * t615;
  t1865 = t619 * t1853 * t620;
  t1867 = 0.7e1 / 0.324e3 * t49 * t1821 * t108 - 0.5e1 / 0.648e3 * t37 * t602 + t1840 * t1842 / 0.1944e4 - t1847 / 0.3888e4 - t1473 * t1839 * t1475 * t99 / 0.1944e4 + 0.5e1 / 0.648e3 * t608 * t1853 * t610 + t1859 / 0.1944e4 - 0.7e1 / 0.324e3 * t239 * t1861 - 0.5e1 / 0.1296e4 * t1865 + t794;
  t1868 = t98 * t1867;
  t1869 = t1868 * t249;
  t1872 = t320 * t1503;
  t1875 = t320 * t1509;
  t1880 = t320 * t1513 * t1516 / 0.162e3;
  t1888 = t168 * t325 * t91;
  t1891 = t49 * t1821 * t110 / 0.162e3 - 0.2e1 / 0.3e1 * t796 * t634 + 0.2e1 / 0.3e1 * t796 * t638 + t589 * t1830 / 0.108e3 - 0.3e1 * t1869 * t252 - t1872 * t1506 / 0.81e2 + t1875 * t616 / 0.81e2 - t1880 + 0.3e1 / 0.2e1 * t627 * t807 - 0.8e1 * t797 * t642 - 0.4e1 / 0.3e1 * t321 * t1522 + 0.4e1 * t250 * t1888;
  t1892 = t1820 + t1891;
  t1895 = t813 * t261;
  t1898 = t330 * t656;
  t1909 = t332 * t658;
  t1912 = t824 * t263;
  t1915 = t332 * t661;
  t1918 = -t1892;
  t1921 = 0.2e2 * t1892 * t120 - 0.2e2 * t1528 * t332 + 0.8e2 * t1531 * t821 - 0.12e3 * t1538 * t1909 - 0.4e2 * t1895 * t263 + 0.4e2 * t1898 * t658 + 0.8e2 * t657 * t1912 + 0.4e2 * t657 * t1915 - 0.2e2 * t262 * t1918 - 0.4e2 * t652 * t824 - 0.2e2 * t816 * t661;
  t1926 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t573 * t335 + t1751 / 0.5e1 + 0.3e1 / 0.1e2 * t6 * t224 * t827 - t1729 + t1758 / 0.5e1 + 0.3e1 / 0.2e2 * t6 * t89 * t1921);
  tv3rho2sigma8 = t7 * t1926 + 0.2e1 * t832;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  t1933 = t6 * t141 * t896 / 0.1e2;
  t1942 = t287 * t425;
  t1945 = t287 * t165;
  t1948 = t286 * t425;
  t1949 = t1948 * t58;
  t1952 = t834 * t158;
  t1963 = t708 * t165;
  t1967 = t58 * t292;
  t1968 = t679 * t1967;
  t1981 = t1088 * t64;
  t1982 = 0.1e1 / t1081;
  t1989 = t1981 * t1982 * t154 * t414;
  t1991 = t64 * t1982;
  t1995 = t693 * t404;
  t2000 = t1113 * t1991 * t1114;
  t2002 = t856 * t159;
  t2005 = t693 * t414;
  t2006 = t851 * t2005;
  t2007 = t413 * t2006;
  t2009 = t49 * t292 * t146 * t59 / 0.216e3 + t846 * t695 / 0.1296e4 - t1981 * t1982 * t400 * t404 / 0.5184e4 + t1989 / 0.10368e5 + t1103 * t1991 * t1105 / 0.5184e4 - t402 * t851 * t1995 / 0.1296e4 - t2000 / 0.5184e4 - t156 * t2002 / 0.216e3 + t2007 / 0.2592e4 - t863;
  t2010 = t46 * t2009;
  t2011 = t2010 * t166;
  t2015 = t48 * t146;
  t2016 = t64 * t47 * t2015;
  t2021 = t165 * t64;
  t2022 = t287 * t2021;
  t2024 = t49 * t146 * t414;
  t2026 = t2022 * t2024 / 0.432e3;
  t2030 = t168 * t880 * t51;
  t2037 = t678 * t1963 * t680 / 0.144e3 - t678 * t1968 / 0.288e3 - t383 * t146 * t864 * t166 / 0.108e3 - 0.3e1 * t2011 * t170 + t1621 * t2016 / 0.216e3 - t1624 * t702 / 0.216e3 + t2026 + 0.3e1 * t710 * t720 - 0.9e1 / 0.4e1 * t167 * t2030 - 0.4e1 * t866 * t436 + 0.4e1 * t288 * t1680;
  t2038 = -t865 * t428 / 0.3e1 + t865 * t432 / 0.3e1 + t709 * t869 / 0.8e1 - t709 * t873 / 0.8e1 + t1942 * t1604 / 0.3e1 - t1945 * t1610 / 0.3e1 + t1613 * t1949 / 0.864e3 - t1613 * t1952 / 0.864e3 - t49 * t146 * t61 * t292 / 0.432e3 - 0.3e1 * t63 * t881 * t39 + t2037;
  t2041 = t885 * t179;
  t2052 = t890 * t181;
  t2055 = t299 * t737;
  t2060 = t893 * t181;
  t2063 = -t2038;
  t2066 = 0.4e2 * t1143 * t890 - 0.12e3 * t1150 * t2052 - 0.4e2 * t1687 * t299 + 0.8e2 * t1690 * t734 - 0.2e2 * t180 * t2063 - 0.2e2 * t2041 * t181 + 0.2e2 * t2038 * t71 + 0.8e2 * t451 * t2055 + 0.4e2 * t451 * t2060 - 0.2e2 * t446 * t893 - 0.4e2 * t729 * t737;
  t2071 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t136 * t896 + t1933 + 0.3e1 / 0.2e2 * t6 * t31 * t2066);
  tv3rhosigma20 = t7 * t2071 + t900;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  t2078 = t6 * t200 * t963 / 0.1e2;
  t2080 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t196 * t963 + t2078);
  tv3rhosigma25 = t7 * t2080 + t967;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  t2086 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t213 * t896 + t1933);
  tv3rhosigma26 = t7 * t2086 + t900;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  t2099 = t795 * t248;
  t2103 = t107 * t325;
  t2104 = t766 * t2103;
  t2114 = t229 * t110;
  t2118 = t320 * t631;
  t2122 = t320 * t248;
  t2125 = t319 * t631;
  t2126 = t2125 * t107;
  t2129 = t901 * t241;
  t2138 = t1088 * t113;
  t2139 = 0.1e1 / t1452;
  t2146 = t2138 * t2139 * t237 * t620;
  t2148 = t113 * t2139;
  t2152 = t780 * t610;
  t2157 = t1483 * t2148 * t1484;
  t2159 = t923 * t242;
  t2162 = t780 * t620;
  t2163 = t918 * t2162;
  t2164 = t619 * t2163;
  t2166 = t49 * t325 * t229 * t108 / 0.216e3 + t913 * t782 / 0.1296e4 - t2138 * t2139 * t606 * t610 / 0.5184e4 + t2146 / 0.10368e5 + t1473 * t2148 * t1475 / 0.5184e4 - t608 * t918 * t2152 / 0.1296e4 - t2157 / 0.5184e4 - t239 * t2159 / 0.216e3 + t2164 / 0.2592e4 - t930;
  t2167 = t98 * t2166;
  t2168 = t2167 * t249;
  t2172 = t48 * t229;
  t2173 = t113 * t47 * t2172;
  t2178 = t248 * t113;
  t2179 = t320 * t2178;
  t2181 = t49 * t229 * t620;
  t2183 = t2179 * t2181 / 0.432e3;
  t2187 = t168 * t947 * t100;
  t2194 = -t2122 * t1807 / 0.3e1 + t1810 * t2126 / 0.864e3 - t1810 * t2129 / 0.864e3 - 0.3e1 * t2168 * t252 + t1872 * t2173 / 0.216e3 - t1875 * t789 / 0.216e3 + t2183 + 0.3e1 * t797 * t807 - 0.9e1 / 0.4e1 * t250 * t2187 - 0.4e1 * t933 * t642 + 0.4e1 * t321 * t1888;
  t2195 = -t932 * t634 / 0.3e1 + t932 * t638 / 0.3e1 + t796 * t936 / 0.8e1 - t796 * t940 / 0.8e1 + t765 * t2099 * t767 / 0.144e3 - t765 * t2104 / 0.288e3 - t589 * t229 * t931 * t249 / 0.108e3 - 0.3e1 * t112 * t948 * t91 - t49 * t2114 * t325 / 0.432e3 + t2118 * t1802 / 0.3e1 + t2194;
  t2198 = t952 * t261;
  t2209 = t957 * t263;
  t2212 = t332 * t824;
  t2217 = t960 * t263;
  t2220 = -t2195;
  t2223 = 0.2e2 * t2195 * t120 + 0.4e2 * t1531 * t957 - 0.12e3 * t1538 * t2209 - 0.4e2 * t1895 * t332 + 0.8e2 * t1898 * t821 - 0.2e2 * t2198 * t263 + 0.8e2 * t657 * t2212 + 0.4e2 * t657 * t2217 - 0.2e2 * t262 * t2220 - 0.2e2 * t652 * t960 - 0.4e2 * t816 * t824;
  t2228 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t224 * t963 + t2078 + 0.3e1 / 0.2e2 * t6 * t89 * t2223);
  tv3rhosigma211 = t7 * t2228 + t967;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  t2230 = t864 * t165;
  t2234 = t37 * t42;
  t2235 = t1948 * t1603;
  t2238 = t845 * t158;
  t2239 = t834 * t2238;
  t2242 = t878 * sigma[0];
  t2244 = 0.1e1 / t50 / t2242;
  t2245 = t34 * t2244;
  t2253 = 0.1e1 / t878;
  t2254 = t426 * t2253;
  t2258 = t165 * t2253 * t158;
  t2264 = t834 * t1967;
  t2271 = t37 * t2253;
  t2274 = t1088 * t292;
  t2275 = 0.1e1 / t392;
  t2277 = t2275 * t400 * t404;
  t2281 = t2275 * t154 * t414;
  t2282 = t2274 * t2281;
  t2283 = t2282 / 0.27648e5;
  t2284 = t292 * t2275;
  t2288 = t36 * t2253;
  t2293 = t1113 * t2284 * t1114;
  t2294 = t2293 / 0.13824e5;
  t2295 = t48 * t880;
  t2296 = t2295 * t282;
  t2299 = t2288 * t860;
  t2300 = t413 * t2299;
  t2301 = t2300 / 0.2304e4;
  t2302 = t49 * t880 * t52 * t59 / 0.192e3 + t2271 * t848 / 0.1152e4 + t2274 * t2277 / 0.13824e5 - t2283 - t1103 * t2284 * t1105 / 0.13824e5 - t402 * t2288 * t852 / 0.1152e4 + t2294 - t156 * t2296 / 0.192e3 + t2301 - t863;
  t2303 = t46 * t2302;
  t2304 = t2303 * t166;
  t2307 = t292 * t47;
  t2308 = t48 * t52;
  t2309 = t2307 * t2308;
  t2314 = t165 * t292;
  t2315 = t287 * t2314;
  t2317 = t49 * t52 * t414;
  t2319 = t2315 * t2317 / 0.1152e4;
  t2324 = t678 * t2230 * t680 / 0.96e2 - t2234 * t2235 / 0.2304e4 + t2234 * t2239 / 0.2304e4 + 0.45e2 / 0.8e1 * t63 * t2245 * t51 + t865 * t869 / 0.4e1 - t865 * t873 / 0.4e1 - t287 * t2254 / 0.4e1 + t287 * t2258 / 0.4e1 + t49 * t274 * t880 / 0.128e3 - t678 * t2264 / 0.96e2 - 0.3e1 * t2304 * t170 - t1621 * t2309 / 0.576e3 + t1624 * t857 / 0.576e3 - t2319 + 0.9e1 / 0.2e1 * t866 * t720 - 0.27e2 / 0.4e1 * t288 * t2030;
  t2333 = t890 * t299;
  t2336 = t299 * t893;
  t2339 = -t2324;
  t2342 = -0.12e3 * t1150 * t2333 + 0.12e3 * t1690 * t890 - 0.2e2 * t180 * t2339 - 0.6e2 * t2041 * t299 + 0.2e2 * t2324 * t71 + 0.12e3 * t451 * t2336 - 0.6e2 * t729 * t893;
  t2346 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t2342);
  tv3sigma30 = t7 * t2346;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  t2350 = 0.1e1 / t945;
  t2351 = t632 * t2350;
  t2355 = t248 * t2350 * t241;
  t2358 = t325 * t47;
  t2359 = t48 * t101;
  t2360 = t2358 * t2359;
  t2365 = t248 * t325;
  t2366 = t320 * t2365;
  t2368 = t49 * t101 * t620;
  t2370 = t2366 * t2368 / 0.1152e4;
  t2371 = t945 * sigma[2];
  t2373 = 0.1e1 / t99 / t2371;
  t2374 = t34 * t2373;
  t2378 = t931 * t248;
  t2382 = t37 * t94;
  t2386 = t912 * t241;
  t2392 = t901 * t2103;
  t2399 = t37 * t2350;
  t2402 = t1088 * t325;
  t2403 = 0.1e1 / t598;
  t2405 = t2403 * t606 * t610;
  t2409 = t2403 * t237 * t620;
  t2410 = t2402 * t2409;
  t2411 = t2410 / 0.27648e5;
  t2412 = t325 * t2403;
  t2416 = t36 * t2350;
  t2421 = t1483 * t2412 * t1484;
  t2422 = t2421 / 0.13824e5;
  t2423 = t48 * t947;
  t2424 = t2423 * t315;
  t2427 = t2416 * t927;
  t2428 = t619 * t2427;
  t2429 = t2428 / 0.2304e4;
  t2430 = t49 * t947 * t101 * t108 / 0.192e3 + t2399 * t915 / 0.1152e4 + t2402 * t2405 / 0.13824e5 - t2411 - t1473 * t2412 * t1475 / 0.13824e5 - t608 * t2416 * t919 / 0.1152e4 + t2422 - t239 * t2424 / 0.192e3 + t2429 - t930;
  t2431 = t98 * t2430;
  t2432 = t2431 * t249;
  t2441 = t49 * t307 * t947 / 0.128e3 - t320 * t2351 / 0.4e1 + t320 * t2355 / 0.4e1 - t1872 * t2360 / 0.576e3 + t1875 * t924 / 0.576e3 - t2370 + 0.45e2 / 0.8e1 * t112 * t2374 * t100 + t765 * t2378 * t767 / 0.96e2 - t2382 * t2125 * t1801 / 0.2304e4 + t2382 * t901 * t2386 / 0.2304e4 + 0.9e1 / 0.2e1 * t933 * t807 - t765 * t2392 / 0.96e2 - 0.3e1 * t2432 * t252 + t932 * t936 / 0.4e1 - t932 * t940 / 0.4e1 - 0.27e2 / 0.4e1 * t321 * t2187;
  t2450 = t957 * t332;
  t2453 = t332 * t960;
  t2456 = -t2441;
  t2459 = 0.2e2 * t2441 * t120 - 0.12e3 * t1538 * t2450 + 0.12e3 * t1898 * t957 - 0.6e2 * t2198 * t332 + 0.12e3 * t657 * t2453 - 0.2e2 * t262 * t2456 - 0.6e2 * t816 * t960;
  t2463 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t89 * t2459);
  tv3sigma39 = t7 * t2463;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t4, t6, t7, t8, t11;
  double t12, t15, t16, t17, t19, t20, t21, t22;
  double t23, t24, t25, t26, t28, t29, t30, t31;
  double t32, t33, t34, t35, t36, t37, t38, t39;
  double t40, t42, t46, t47, t48, t49, t50, t51;
  double t52, t55, t56, t57, t58, t59, t61, t63;
  double t64, t65, t68, t69, t70, t71, t74, t78;
  double t79, t80, t82, t83, t84, t85, t86, t88;
  double t89, t90, t91, t92, t94, t98, t99, t100;
  double t101, t104, t105, t106, t107, t108, t110, t112;
  double t113, t114, t117, t118, t119, t120, t123, t127;
  double tzk0;

  double t128, t129, t130, t132, t135, t136, t140, t141;
  double t144, t146, t147, t153, t154, t155, t156, t157;
  double t158, t159, t163, t164, t165, t166, t167, t168;
  double t170, t176, t178, t179, t180, t181, t184, t189;
  double t190, t192, t195, t196, t200, t203, t205, tvrho0;
  double t209, t212, t213, t218, t220, t223, t224, t229;
  double t230, t236, t237, t238, t239, t240, t241, t242;
  double t246, t247, t248, t249, t250, t252, t258, t260;
  double t261, t262, t263, t266, t271, tvrho1, t274, t281;
  double t282, t286, t287, t288, t291, t292, t293, t297;
  double t299, t302, t306, tvsigma0, tvsigma1, t307, t314, t315;
  double t319, t320, t321, t324, t325, t326, t330, t332;
  double t335, t339, tvsigma2;

  double t342, t343, t346, t347, t348, t351, t355, t356;
  double t360, t362, t368, t369, t372, t374, t376, t378;
  double t379, t383, t391, t392, t394, t396, t400, t401;
  double t402, t403, t404, t405, t409, t410, t413, t414;
  double t415, t418, t419, t420, t421, t424, t425, t426;
  double t427, t428, t432, t436, t439, t443, t446, t450;
  double t451, t452, t455, t458, t463, t464, t465, t468;
  double t471, t475, t476, t480, t482, t484, t487, t489;
  double tv2rho20, t492, t496, t500, t501, t505, t507, t515;
  double t516, t520, t524, t525, t529, t531, t538, t541;
  double tv2rho21, t546, t551, t555, t556, t562, t563, t568;
  double t572, t573, t582, t584, t585, t589, t597, t598;
  double t600, t602, t606, t607, t608, t609, t610, t611;
  double t615, t616, t619, t620, t621, t624, t625, t626;
  double t627, t630, t631, t632, t633, t634, t638, t642;
  double t645, t649, t652, t656, t657, t658, t661, t664;
  double t669, tv2rho22, t677, t678, t679, t680, t693, t695;
  double t698, t702, t707, t708, t709, t710, t720, t726;
  double t729, t734, t737, t740, t745, tv2rhosigma0, tv2rhosigma1, t752;
  double t754, tv2rhosigma2, t760, tv2rhosigma3, tv2rhosigma4, t765, t766, t767;
  double t780, t782, t785, t789, t794, t795, t796, t797;
  double t807, t813, t816, t821, t824, t827, t832, tv2rhosigma5;
  double t834, t845, t846, t848, t851, t852, t856, t857;
  double t860, t863, t864, t865, t866, t869, t873, t878;
  double t880, t881, t885, t890, t893, t896, t900, tv2sigma20;
  double tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t901, t912, t913, t915;
  double t918, t919, t923, t924, t927, t930, t931, t932;
  double t933, t936, t940, t945, t947, t948, t952, t957;
  double t960, t963, t967, tv2sigma25;

  double t971, t972, t975, t978, t979, t980, t983, t987;
  double t988, t992, t994, t999, t1001, t1004, t1010, t1011;
  double t1014, t1016, t1019, t1022, t1027, t1034, t1038, t1046;
  double t1047, t1051, t1055, t1056, t1061, t1062, t1063, t1064;
  double t1065, t1068, t1069, t1072, t1074, t1075, t1077, t1081;
  double t1083, t1085, t1088, t1089, t1090, t1091, t1098, t1100;
  double t1101, t1102, t1103, t1104, t1105, t1113, t1114, t1116;
  double t1118, t1119, t1123, t1124, t1126, t1127, t1128, t1134;
  double t1137, t1140, t1143, t1148, t1149, t1150, t1151, t1154;
  double t1157, t1160, t1165, t1167, t1168, t1171, t1174, t1177;
  double t1181, t1182, t1186, t1188, t1190, t1192, t1194, t1197;
  double t1199, tv3rho30, t1202, t1203, t1204, t1207, t1212, t1213;
  double t1215, t1219, t1220, t1224, t1227, t1231, t1233, t1237;
  double t1246, t1247, t1248, t1251, t1256, t1258, t1262, t1263;
  double t1267, t1270, t1271, t1273, t1282, t1284, t1287, tv3rho31;
  double t1290, t1295, t1299, t1303, t1304, t1308, t1310, t1319;
  double t1320, t1325, t1329, t1333, t1334, t1338, t1340, t1347;
  double t1355, t1357, t1358, tv3rho32, t1363, t1370, t1374, t1375;
  double t1382, t1383, t1390, t1394, t1395, t1415, t1420, t1427;
  double t1431, t1435, t1436, t1440, t1444, t1445, t1452, t1454;
  double t1456, t1459, t1460, t1461, t1468, t1470, t1471, t1472;
  double t1473, t1474, t1475, t1483, t1484, t1486, t1488, t1489;
  double t1493, t1494, t1496, t1497, t1498, t1502, t1503, t1504;
  double t1505, t1506, t1509, t1510, t1513, t1515, t1516, t1518;
  double t1522, t1525, t1528, t1531, t1536, t1537, t1538, t1539;
  double t1542, t1545, t1548, t1553, tv3rho33, t1561, t1568, t1570;
  double t1576, t1583, t1591, t1602, t1603, t1604, t1607, t1608;
  double t1610, t1613, t1614, t1615, t1618, t1621, t1624, t1629;
  double t1633, t1641, t1642, t1643, t1645, t1649, t1650, t1656;
  double t1662, t1664, t1668, t1670, t1671, t1672, t1680, t1683;
  double t1684, t1687, t1690, t1701, t1704, t1707, t1710, t1713;
  double t1718, tv3rho2sigma0, tv3rho2sigma1, t1725, t1729, t1731, tv3rho2sigma2, t1737;
  double t1745, tv3rho2sigma3, tv3rho2sigma4, t1751, t1758, t1761, tv3rho2sigma5, t1769;
  double tv3rho2sigma6, tv3rho2sigma7, t1780, t1790, t1800, t1801, t1802, t1805;
  double t1807, t1810, t1811, t1812, t1815, t1820, t1821, t1830;
  double t1838, t1839, t1840, t1842, t1846, t1847, t1853, t1859;
  double t1861, t1865, t1867, t1868, t1869, t1872, t1875, t1880;
  double t1888, t1891, t1892, t1895, t1898, t1909, t1912, t1915;
  double t1918, t1921, t1926, tv3rho2sigma8, t1933, t1942, t1945, t1948;
  double t1949, t1952, t1963, t1967, t1968, t1981, t1982, t1989;
  double t1991, t1995, t2000, t2002, t2005, t2006, t2007, t2009;
  double t2010, t2011, t2015, t2016, t2021, t2022, t2024, t2026;
  double t2030, t2037, t2038, t2041, t2052, t2055, t2060, t2063;
  double t2066, t2071, tv3rhosigma20, tv3rhosigma21, tv3rhosigma22, tv3rhosigma23, tv3rhosigma24, t2078;
  double t2080, tv3rhosigma25, t2086, tv3rhosigma26, tv3rhosigma27, tv3rhosigma28, tv3rhosigma29, tv3rhosigma210;
  double t2099, t2103, t2104, t2114, t2118, t2122, t2125, t2126;
  double t2129, t2138, t2139, t2146, t2148, t2152, t2157, t2159;
  double t2162, t2163, t2164, t2166, t2167, t2168, t2172, t2173;
  double t2178, t2179, t2181, t2183, t2187, t2194, t2195, t2198;
  double t2209, t2212, t2217, t2220, t2223, t2228, tv3rhosigma211, t2230;
  double t2234, t2235, t2238, t2239, t2242, t2244, t2245, t2253;
  double t2254, t2258, t2264, t2271, t2274, t2275, t2277, t2281;
  double t2282, t2283, t2284, t2288, t2293, t2294, t2295, t2296;
  double t2299, t2300, t2301, t2302, t2303, t2304, t2307, t2308;
  double t2309, t2314, t2315, t2317, t2319, t2324, t2333, t2336;
  double t2339, t2342, t2346, tv3sigma30, tv3sigma31, tv3sigma32, tv3sigma33, tv3sigma34;
  double tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38, t2350, t2351, t2355, t2358;
  double t2359, t2360, t2365, t2366, t2368, t2370, t2371, t2373;
  double t2374, t2378, t2382, t2386, t2392, t2399, t2402, t2403;
  double t2405, t2409, t2410, t2411, t2412, t2416, t2421, t2422;
  double t2423, t2424, t2427, t2428, t2429, t2430, t2431, t2432;
  double t2441, t2450, t2453, t2456, t2459, t2463, tv3sigma39;

  double t2474, t2485, t2492, t2494, t2500, t2511, t2517, t2518;
  double t2519, t2527, t2542, t2543, t2555, t2559, t2561, t2562;
  double t2573, t2574, t2579, t2581, t2588, t2593, t2597, t2603;
  double t2606, t2609, t2613, t2614, t2615, t2618, t2621, t2624;
  double t2637, t2653, t2656, t2657, t2660, t2663, t2668, t2677;
  double t2678, t2684, t2693, t2697, t2699, t2700, t2706, t2712;
  double t2713, t2716, t2720, t2729, t2735, t2738, t2744, t2747;
  double t2750, t2754, t2758, t2762, t2765, t2769, t2770, t2771;
  double t2772, t2774, t2775, t2781, t2786, t2789, t2793, t2800;
  double t2804, t2808, t2813, t2815, tv4rho40, t2831, t2835, t2839;
  double t2840, t2857, t2858, t2860, t2864, t2873, t2879, t2880;
  double t2882, t2887, t2888, t2905, t2907, t2911, t2918, t2922;
  double t2923, t2926, t2935, t2938, t2939, t2941, t2943, t2944;
  double tv4rho41, t2953, t2957, t2975, t2988, t2992, t3001, t3009;
  double t3010, t3019, t3032, t3036, t3043, t3047, t3056, t3059;
  double t3070, t3073, t3075, t3076, tv4rho42, t3097, t3101, t3108;
  double t3119, t3120, t3137, t3141, t3148, t3156, t3165, t3175;
  double t3177, t3178, tv4rho43, t3183, t3188, t3195, t3199, t3208;
  double t3219, t3230, t3231, t3232, t3235, t3238, t3241, t3244;
  double t3249, t3254, t3258, t3259, t3260, t3265, t3270, t3273;
  double t3276, t3295, t3296, t3301, t3308, t3309, t3310, t3315;
  double t3317, t3326, t3336, t3340, t3349, t3362, t3363, t3364;
  double t3368, t3381, t3389, t3409, t3410, t3413, t3416, t3421;
  double t3430, t3431, t3437, t3446, t3450, t3455, t3462, t3466;
  double t3479, t3480, tv4rho44, t3488, t3494, t3497, t3504, t3506;
  double t3509, t3511, t3514, t3546, t3566, t3572, t3575, t3578;
  double t3585, t3588, t3591, t3594, t3595, t3602, t3612, t3624;
  double t3630, t3661, t3679, t3682, t3683, t3687, t3690, t3693;
  double t3708, t3727, t3731, t3735, t3744, t3748, t3773, t3775;
  double t3781, t3787, tv4rho3sigma0, tv4rho3sigma1, t3794, t3797, t3801, t3803;
  double tv4rho3sigma2, t3805, t3811, t3816, t3820, t3829, t3830, tv4rho3sigma3;
  double tv4rho3sigma4, t3832, t3838, t3840, t3849, t3851, t3854, tv4rho3sigma5;
  double t3860, t3869, tv4rho3sigma6, tv4rho3sigma7, t3875, t3882, t3890, t3892;
  double t3893, tv4rho3sigma8, t3902, tv4rho3sigma9, tv4rho3sigma10, t3931, t3934, t3955;
  double t3959, t3960, t3975, t3979, t3988, t3991, t3992, t3996;
  double t4000, t4004, t4007, t4009, t4012, t4028, t4039, t4045;
  double t4050, t4051, t4054, t4064, t4075, t4085, t4120, t4125;
  double t4128, t4131, t4144, t4146, t4149, t4152, t4176, t4192;
  double t4198, tv4rho3sigma11, t4205, t4212, t4214, t4249, t4262, t4267;
  double t4284, t4287, t4288, t4292, t4322, t4325, t4327, t4367;
  double t4368, t4385, t4417, t4423, t4426, t4438, t4441, t4457;
  double t4459, t4462, t4465, t4468, t4488, t4494, tv4rho2sigma20, tv4rho2sigma21;
  double tv4rho2sigma22, tv4rho2sigma23, tv4rho2sigma24, t4501, t4505, t4507, tv4rho2sigma25, t4513;
  double t4521, tv4rho2sigma26, tv4rho2sigma27, tv4rho2sigma28, tv4rho2sigma29, tv4rho2sigma210, t4527, t4534;
  double t4537, tv4rho2sigma211, t4545, tv4rho2sigma212, tv4rho2sigma213, tv4rho2sigma214, tv4rho2sigma215, tv4rho2sigma216;
  double t4573, t4608, t4613, t4626, t4633, t4646, t4655, t4664;
  double t4665, t4678, t4684, t4696, t4699, t4705, t4711, t4726;
  double t4759, t4774, t4777, t4779, t4795, t4807, t4821, t4824;
  double t4827, t4833, tv4rho2sigma217, t4840, t4852, t4863, t4873, t4888;
  double t4904, t4906, t4915, t4946, t4953, t4983, t4995, t5012;
  double t5014, t5017, t5066, t5072, tv4rhosigma30, tv4rhosigma31, tv4rhosigma32, tv4rhosigma33;
  double tv4rhosigma34, tv4rhosigma35, tv4rhosigma36, tv4rhosigma37, tv4rhosigma38, t5079, t5081, tv4rhosigma39;
  double t5087, tv4rhosigma310, tv4rhosigma311, tv4rhosigma312, tv4rhosigma313, tv4rhosigma314, tv4rhosigma315, tv4rhosigma316;
  double tv4rhosigma317, tv4rhosigma318, t5095, t5104, t5121, t5130, t5153, t5177;
  double t5181, t5182, t5214, t5216, t5254, t5261, t5263, t5266;
  double t5315, t5321, tv4rhosigma319, t5349, t5365, t5369, t5377, t5407;
  double t5414, t5421, t5426, t5456, t5480, t5481, t5496, t5502;
  double t5511, t5515, tv4sigma40, tv4sigma41, tv4sigma42, tv4sigma43, tv4sigma44, tv4sigma45;
  double tv4sigma46, tv4sigma47, tv4sigma48, tv4sigma49, tv4sigma410, tv4sigma411, tv4sigma412, tv4sigma413;
  double t5521, t5538, t5542, t5547, t5566, t5576, t5591, t5620;
  double t5629, t5673, t5674, t5689, t5695, t5704, t5708, tv4sigma414;


  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = t2 * t2;
  t4 = M_CBRTPI;
  t6 = t3 * t4 * M_PI;
  t7 = rho[0] + rho[1];
  t8 = 0.1e1 / t7;
  t11 = 0.2e1 * rho[0] * t8 <= p->zeta_threshold;
  t12 = p->zeta_threshold - 0.1e1;
  t15 = 0.2e1 * rho[1] * t8 <= p->zeta_threshold;
  t16 = -t12;
  t17 = rho[0] - rho[1];
  t19 = my_piecewise5(t11, t12, t15, t16, t17 * t8);
  t20 = 0.1e1 + t19;
  t21 = t20 <= p->zeta_threshold;
  t22 = POW_1_3(p->zeta_threshold);
  t23 = t22 * t22;
  t24 = t23 * p->zeta_threshold;
  t25 = POW_1_3(t20);
  t26 = t25 * t25;
  t28 = my_piecewise3(t21, t24, t26 * t20);
  t29 = POW_1_3(t7);
  t30 = t29 * t29;
  t31 = t28 * t30;
  t32 = M_CBRT6;
  t33 = M_PI * M_PI;
  t34 = POW_1_3(t33);
  t35 = t34 * t34;
  t36 = 0.1e1 / t35;
  t37 = t32 * t36;
  t38 = rho[0] * rho[0];
  t39 = POW_1_3(rho[0]);
  t40 = t39 * t39;
  t42 = 0.1e1 / t40 / t38;
  t46 = 0.1e1 - t37 * sigma[0] * t42 / 0.864e3;
  t47 = t32 * t32;
  t48 = 0.1e1 / t34;
  t49 = t47 * t48;
  t50 = sqrt(sigma[0]);
  t51 = t39 * rho[0];
  t52 = 0.1e1 / t51;
  t55 = t49 * t50 * t52 / 0.72e2;
  t56 = 0.1e1 + t55;
  t57 = -0.1e1 + t55;
  t58 = fabs(t57);
  t59 = 0.1e1 / t58;
  t61 = log(t56 * t59);
  t63 = t46 * t61 * t32;
  t64 = 0.1e1 / t50;
  t65 = t34 * t64;
  t68 = 0.3e1 * t63 * t65 * t51;
  t69 = 0.1e1 / 0.2e1 - t68;
  t70 = 0.1e1 / 0.2e1 + t68;
  t71 = 0.1e1 / t70;
  t74 = 0.2e2 * t69 * t71 + 0.1e1;
  t78 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t74);
  t79 = rho[1] <= p->dens_threshold;
  t80 = -t17;
  t82 = my_piecewise5(t15, t12, t11, t16, t80 * t8);
  t83 = 0.1e1 + t82;
  t84 = t83 <= p->zeta_threshold;
  t85 = POW_1_3(t83);
  t86 = t85 * t85;
  t88 = my_piecewise3(t84, t24, t86 * t83);
  t89 = t88 * t30;
  t90 = rho[1] * rho[1];
  t91 = POW_1_3(rho[1]);
  t92 = t91 * t91;
  t94 = 0.1e1 / t92 / t90;
  t98 = 0.1e1 - t37 * sigma[2] * t94 / 0.864e3;
  t99 = sqrt(sigma[2]);
  t100 = t91 * rho[1];
  t101 = 0.1e1 / t100;
  t104 = t49 * t99 * t101 / 0.72e2;
  t105 = 0.1e1 + t104;
  t106 = -0.1e1 + t104;
  t107 = fabs(t106);
  t108 = 0.1e1 / t107;
  t110 = log(t105 * t108);
  t112 = t98 * t110 * t32;
  t113 = 0.1e1 / t99;
  t114 = t34 * t113;
  t117 = 0.3e1 * t112 * t114 * t100;
  t118 = 0.1e1 / 0.2e1 - t117;
  t119 = 0.1e1 / 0.2e1 + t117;
  t120 = 0.1e1 / t119;
  t123 = 0.2e2 * t118 * t120 + 0.1e1;
  t127 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t89 * t123);
  tzk0 = t78 + t127;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t128 = t7 * t7;
  t129 = 0.1e1 / t128;
  t130 = t17 * t129;
  t132 = my_piecewise5(t11, 0, t15, 0, t8 - t130);
  t135 = my_piecewise3(t21, 0, 0.5e1 / 0.3e1 * t26 * t132);
  t136 = t135 * t30;
  t140 = 0.1e1 / t29;
  t141 = t28 * t140;
  t144 = t6 * t141 * t74 / 0.1e2;
  t146 = 0.1e1 / t39 / t38;
  t147 = t50 * t146;
  t153 = t58 * t58;
  t154 = 0.1e1 / t153;
  t155 = t56 * t154;
  t156 = t155 * t47;
  t157 = t48 * t50;
  t158 = fabs(t57) / t57;
  t159 = t146 * t158;
  t163 = -t49 * t147 * t59 / 0.54e2 + t156 * t157 * t159 / 0.54e2;
  t164 = t46 * t163;
  t165 = 0.1e1 / t56;
  t166 = t165 * t58;
  t167 = t164 * t166;
  t168 = t32 * t34;
  t170 = t168 * t64 * t51;
  t176 = -t49 * t147 * t61 / 0.108e3 - 0.3e1 * t167 * t170 - 0.4e1 * t63 * t65 * t39;
  t178 = t70 * t70;
  t179 = 0.1e1 / t178;
  t180 = t69 * t179;
  t181 = -t176;
  t184 = 0.2e2 * t176 * t71 - 0.2e2 * t180 * t181;
  t189 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t136 * t74 + t144 + 0.3e1 / 0.2e2 * t6 * t31 * t184);
  t190 = t80 * t129;
  t192 = my_piecewise5(t15, 0, t11, 0, -t8 - t190);
  t195 = my_piecewise3(t84, 0, 0.5e1 / 0.3e1 * t86 * t192);
  t196 = t195 * t30;
  t200 = t88 * t140;
  t203 = t6 * t200 * t123 / 0.1e2;
  t205 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t196 * t123 + t203);
  tvrho0 = t78 + t127 + t7 * (t189 + t205);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t209 = my_piecewise5(t11, 0, t15, 0, -t8 - t130);
  t212 = my_piecewise3(t21, 0, 0.5e1 / 0.3e1 * t26 * t209);
  t213 = t212 * t30;
  t218 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t213 * t74 + t144);
  t220 = my_piecewise5(t15, 0, t11, 0, t8 - t190);
  t223 = my_piecewise3(t84, 0, 0.5e1 / 0.3e1 * t86 * t220);
  t224 = t223 * t30;
  t229 = 0.1e1 / t91 / t90;
  t230 = t99 * t229;
  t236 = t107 * t107;
  t237 = 0.1e1 / t236;
  t238 = t105 * t237;
  t239 = t238 * t47;
  t240 = t48 * t99;
  t241 = fabs(t106) / t106;
  t242 = t229 * t241;
  t246 = -t49 * t230 * t108 / 0.54e2 + t239 * t240 * t242 / 0.54e2;
  t247 = t98 * t246;
  t248 = 0.1e1 / t105;
  t249 = t248 * t107;
  t250 = t247 * t249;
  t252 = t168 * t113 * t100;
  t258 = -t49 * t230 * t110 / 0.108e3 - 0.3e1 * t250 * t252 - 0.4e1 * t112 * t114 * t91;
  t260 = t119 * t119;
  t261 = 0.1e1 / t260;
  t262 = t118 * t261;
  t263 = -t258;
  t266 = 0.2e2 * t258 * t120 - 0.2e2 * t262 * t263;
  t271 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t224 * t123 + t203 + 0.3e1 / 0.2e2 * t6 * t89 * t266);
  tvrho1 = t78 + t127 + t7 * (t218 + t271);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t274 = t52 * t61;
  t281 = t48 * t64;
  t282 = t52 * t158;
  t286 = t49 * t64 * t52 * t59 / 0.144e3 - t156 * t281 * t282 / 0.144e3;
  t287 = t46 * t286;
  t288 = t287 * t166;
  t291 = t50 * sigma[0];
  t292 = 0.1e1 / t291;
  t293 = t34 * t292;
  t297 = t49 * t274 * t64 / 0.288e3 - 0.3e1 * t288 * t170 + 0.3e1 / 0.2e1 * t63 * t293 * t51;
  t299 = -t297;
  t302 = -0.2e2 * t180 * t299 + 0.2e2 * t297 * t71;
  t306 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t302);
  tvsigma0 = t7 * t306;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t307 = t101 * t110;
  t314 = t48 * t113;
  t315 = t101 * t241;
  t319 = t49 * t113 * t101 * t108 / 0.144e3 - t239 * t314 * t315 / 0.144e3;
  t320 = t98 * t319;
  t321 = t320 * t249;
  t324 = t99 * sigma[2];
  t325 = 0.1e1 / t324;
  t326 = t34 * t325;
  t330 = t49 * t307 * t113 / 0.288e3 - 0.3e1 * t321 * t252 + 0.3e1 / 0.2e1 * t112 * t326 * t100;
  t332 = -t330;
  t335 = 0.2e2 * t330 * t120 - 0.2e2 * t262 * t332;
  t339 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t89 * t335);
  tvsigma2 = t7 * t339;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t342 = 0.1e1 / t25;
  t343 = t132 * t132;
  t346 = t128 * t7;
  t347 = 0.1e1 / t346;
  t348 = t17 * t347;
  t351 = my_piecewise5(t11, 0, t15, 0, -0.2e1 * t129 + 0.2e1 * t348);
  t355 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t342 * t343 + 0.5e1 / 0.3e1 * t26 * t351);
  t356 = t355 * t30;
  t360 = t135 * t140;
  t362 = t6 * t360 * t74;
  t368 = 0.1e1 / t29 / t7;
  t369 = t28 * t368;
  t372 = t6 * t369 * t74 / 0.3e2;
  t374 = t6 * t141 * t184;
  t376 = t38 * rho[0];
  t378 = 0.1e1 / t39 / t376;
  t379 = t50 * t378;
  t383 = t49 * t50;
  t391 = t37 * sigma[0];
  t392 = t38 * t38;
  t394 = 0.1e1 / t40 / t392;
  t396 = t394 * t154 * t158;
  t400 = 0.1e1 / t153 / t58;
  t401 = t56 * t400;
  t402 = t401 * t32;
  t403 = t36 * sigma[0];
  t404 = t158 * t158;
  t405 = t394 * t404;
  t409 = t378 * t158;
  t410 = t157 * t409;
  t413 = t155 * t32;
  t414 = 0.0;
  t415 = t394 * t414;
  t418 = t413 * t403 * t415 / 0.486e3;
  t419 = 0.7e1 / 0.162e3 * t49 * t379 * t59 - t391 * t396 / 0.243e3 + t402 * t403 * t405 / 0.243e3 - 0.7e1 / 0.162e3 * t156 * t410 - t418;
  t420 = t46 * t419;
  t421 = t420 * t166;
  t424 = t56 * t56;
  t425 = 0.1e1 / t424;
  t426 = t425 * t58;
  t427 = 0.1e1 / rho[0];
  t428 = t426 * t427;
  t432 = t165 * t427 * t158;
  t436 = t168 * t64 * t39;
  t439 = 0.1e1 / t40;
  t443 = t49 * t379 * t61 / 0.108e3 - t383 * t146 * t163 * t166 / 0.54e2 - 0.3e1 * t421 * t170 - t164 * t428 / 0.3e1 + t164 * t432 / 0.3e1 - 0.8e1 * t167 * t436 - 0.4e1 / 0.3e1 * t63 * t65 * t439;
  t446 = t176 * t179;
  t450 = 0.1e1 / t178 / t70;
  t451 = t69 * t450;
  t452 = t181 * t181;
  t455 = -t443;
  t458 = -0.2e2 * t180 * t455 - 0.4e2 * t446 * t181 + 0.2e2 * t443 * t71 + 0.4e2 * t451 * t452;
  t463 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t356 * t74 + t362 / 0.5e1 + 0.3e1 / 0.1e2 * t6 * t136 * t184 - t372 + t374 / 0.5e1 + 0.3e1 / 0.2e2 * t6 * t31 * t458);
  t464 = 0.1e1 / t85;
  t465 = t192 * t192;
  t468 = t80 * t347;
  t471 = my_piecewise5(t15, 0, t11, 0, 0.2e1 * t129 + 0.2e1 * t468);
  t475 = my_piecewise3(t84, 0, 0.1e2 / 0.9e1 * t464 * t465 + 0.5e1 / 0.3e1 * t86 * t471);
  t476 = t475 * t30;
  t480 = t195 * t140;
  t482 = t6 * t480 * t123;
  t484 = t88 * t368;
  t487 = t6 * t484 * t123 / 0.3e2;
  t489 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t476 * t123 + t482 / 0.5e1 - t487);
  tv2rho20 = 0.2e1 * t189 + 0.2e1 * t205 + t7 * (t463 + t489);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t492 = t342 * t209;
  t496 = my_piecewise5(t11, 0, t15, 0, 0.2e1 * t348);
  t500 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t492 * t132 + 0.5e1 / 0.3e1 * t26 * t496);
  t501 = t500 * t30;
  t505 = t212 * t140;
  t507 = t6 * t505 * t74;
  t515 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t501 * t74 + t507 / 0.1e2 + 0.3e1 / 0.2e2 * t6 * t213 * t184 + t362 / 0.1e2 - t372 + t374 / 0.1e2);
  t516 = t464 * t220;
  t520 = my_piecewise5(t15, 0, t11, 0, 0.2e1 * t468);
  t524 = my_piecewise3(t84, 0, 0.1e2 / 0.9e1 * t516 * t192 + 0.5e1 / 0.3e1 * t86 * t520);
  t525 = t524 * t30;
  t529 = t223 * t140;
  t531 = t6 * t529 * t123;
  t538 = t6 * t200 * t266;
  t541 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t525 * t123 + t531 / 0.1e2 + t482 / 0.1e2 - t487 + 0.3e1 / 0.2e2 * t6 * t196 * t266 + t538 / 0.1e2);
  tv2rho21 = t189 + t205 + t218 + t271 + t7 * (t515 + t541);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t546 = t209 * t209;
  t551 = my_piecewise5(t11, 0, t15, 0, 0.2e1 * t129 + 0.2e1 * t348);
  t555 = my_piecewise3(t21, 0, 0.1e2 / 0.9e1 * t342 * t546 + 0.5e1 / 0.3e1 * t26 * t551);
  t556 = t555 * t30;
  t562 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t556 * t74 + t507 / 0.5e1 - t372);
  t563 = t220 * t220;
  t568 = my_piecewise5(t15, 0, t11, 0, -0.2e1 * t129 + 0.2e1 * t468);
  t572 = my_piecewise3(t84, 0, 0.1e2 / 0.9e1 * t464 * t563 + 0.5e1 / 0.3e1 * t86 * t568);
  t573 = t572 * t30;
  t582 = t90 * rho[1];
  t584 = 0.1e1 / t91 / t582;
  t585 = t99 * t584;
  t589 = t49 * t99;
  t597 = t37 * sigma[2];
  t598 = t90 * t90;
  t600 = 0.1e1 / t92 / t598;
  t602 = t600 * t237 * t241;
  t606 = 0.1e1 / t236 / t107;
  t607 = t105 * t606;
  t608 = t607 * t32;
  t609 = t36 * sigma[2];
  t610 = t241 * t241;
  t611 = t600 * t610;
  t615 = t584 * t241;
  t616 = t240 * t615;
  t619 = t238 * t32;
  t620 = 0.0;
  t621 = t600 * t620;
  t624 = t619 * t609 * t621 / 0.486e3;
  t625 = 0.7e1 / 0.162e3 * t49 * t585 * t108 - t597 * t602 / 0.243e3 + t608 * t609 * t611 / 0.243e3 - 0.7e1 / 0.162e3 * t239 * t616 - t624;
  t626 = t98 * t625;
  t627 = t626 * t249;
  t630 = t105 * t105;
  t631 = 0.1e1 / t630;
  t632 = t631 * t107;
  t633 = 0.1e1 / rho[1];
  t634 = t632 * t633;
  t638 = t248 * t633 * t241;
  t642 = t168 * t113 * t91;
  t645 = 0.1e1 / t92;
  t649 = t49 * t585 * t110 / 0.108e3 - t589 * t229 * t246 * t249 / 0.54e2 - 0.3e1 * t627 * t252 - t247 * t634 / 0.3e1 + t247 * t638 / 0.3e1 - 0.8e1 * t250 * t642 - 0.4e1 / 0.3e1 * t112 * t114 * t645;
  t652 = t258 * t261;
  t656 = 0.1e1 / t260 / t119;
  t657 = t118 * t656;
  t658 = t263 * t263;
  t661 = -t649;
  t664 = 0.2e2 * t649 * t120 - 0.2e2 * t262 * t661 - 0.4e2 * t652 * t263 + 0.4e2 * t657 * t658;
  t669 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t573 * t123 + t531 / 0.5e1 + 0.3e1 / 0.1e2 * t6 * t224 * t266 - t487 + t538 / 0.5e1 + 0.3e1 / 0.2e2 * t6 * t89 * t664);
  tv2rho22 = 0.2e1 * t218 + 0.2e1 * t271 + t7 * (t562 + t669);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t677 = t6 * t141 * t302 / 0.1e2;
  t678 = t49 * t52;
  t679 = t163 * t165;
  t680 = t58 * t64;
  t693 = 0.1e1 / t40 / t376;
  t695 = t693 * t154 * t158;
  t698 = t36 * t693;
  t702 = t281 * t159;
  t707 = t413 * t698 * t414 / 0.1296e4;
  t708 = -t49 * t64 * t146 * t59 / 0.108e3 + t37 * t695 / 0.648e3 - t402 * t698 * t404 / 0.648e3 + t156 * t702 / 0.108e3 + t707;
  t709 = t46 * t708;
  t710 = t709 * t166;
  t720 = t168 * t292 * t51;
  t726 = t678 * t679 * t680 / 0.288e3 - t383 * t146 * t286 * t166 / 0.108e3 - 0.3e1 * t710 * t170 - t287 * t428 / 0.3e1 + t287 * t432 / 0.3e1 - 0.4e1 * t288 * t436 + 0.3e1 / 0.2e1 * t167 * t720 + 0.2e1 * t63 * t293 * t39;
  t729 = t297 * t179;
  t734 = t299 * t181;
  t737 = -t726;
  t740 = -0.2e2 * t180 * t737 - 0.2e2 * t729 * t181 - 0.2e2 * t446 * t299 + 0.4e2 * t451 * t734 + 0.2e2 * t726 * t71;
  t745 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t136 * t302 + t677 + 0.3e1 / 0.2e2 * t6 * t31 * t740);
  tv2rhosigma0 = t7 * t745 + t306;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t752 = t6 * t200 * t335 / 0.1e2;
  t754 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t196 * t335 + t752);
  tv2rhosigma2 = t7 * t754 + t339;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t760 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t213 * t302 + t677);
  tv2rhosigma3 = t7 * t760 + t306;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t765 = t49 * t101;
  t766 = t246 * t248;
  t767 = t107 * t113;
  t780 = 0.1e1 / t92 / t582;
  t782 = t780 * t237 * t241;
  t785 = t36 * t780;
  t789 = t314 * t242;
  t794 = t619 * t785 * t620 / 0.1296e4;
  t795 = -t49 * t113 * t229 * t108 / 0.108e3 + t37 * t782 / 0.648e3 - t608 * t785 * t610 / 0.648e3 + t239 * t789 / 0.108e3 + t794;
  t796 = t98 * t795;
  t797 = t796 * t249;
  t807 = t168 * t325 * t100;
  t813 = t765 * t766 * t767 / 0.288e3 - t589 * t229 * t319 * t249 / 0.108e3 - 0.3e1 * t797 * t252 - t320 * t634 / 0.3e1 + t320 * t638 / 0.3e1 - 0.4e1 * t321 * t642 + 0.3e1 / 0.2e1 * t250 * t807 + 0.2e1 * t112 * t326 * t91;
  t816 = t330 * t261;
  t821 = t332 * t263;
  t824 = -t813;
  t827 = 0.2e2 * t813 * t120 - 0.2e2 * t262 * t824 - 0.2e2 * t816 * t263 - 0.2e2 * t652 * t332 + 0.4e2 * t657 * t821;
  t832 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t224 * t335 + t752 + 0.3e1 / 0.2e2 * t6 * t89 * t827);
  tv2rhosigma5 = t7 * t832 + t339;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t834 = t286 * t165;
  t845 = 0.1e1 / sigma[0];
  t846 = t37 * t845;
  t848 = t42 * t154 * t158;
  t851 = t36 * t845;
  t852 = t42 * t404;
  t856 = t48 * t292;
  t857 = t856 * t282;
  t860 = t42 * t414;
  t863 = t413 * t851 * t860 / 0.3456e4;
  t864 = -t49 * t292 * t52 * t59 / 0.288e3 - t846 * t848 / 0.1728e4 + t402 * t851 * t852 / 0.1728e4 + t156 * t857 / 0.288e3 - t863;
  t865 = t46 * t864;
  t866 = t865 * t166;
  t869 = t426 * t845;
  t873 = t165 * t845 * t158;
  t878 = sigma[0] * sigma[0];
  t880 = 0.1e1 / t50 / t878;
  t881 = t34 * t880;
  t885 = t678 * t834 * t680 / 0.144e3 - t49 * t274 * t292 / 0.288e3 - 0.3e1 * t866 * t170 + t287 * t869 / 0.8e1 - t287 * t873 / 0.8e1 + 0.3e1 * t288 * t720 - 0.9e1 / 0.4e1 * t63 * t881 * t51;
  t890 = t299 * t299;
  t893 = -t885;
  t896 = -0.2e2 * t180 * t893 - 0.4e2 * t729 * t299 + 0.4e2 * t451 * t890 + 0.2e2 * t885 * t71;
  t900 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t896);
  tv2sigma20 = t7 * t900;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t901 = t319 * t248;
  t912 = 0.1e1 / sigma[2];
  t913 = t37 * t912;
  t915 = t94 * t237 * t241;
  t918 = t36 * t912;
  t919 = t94 * t610;
  t923 = t48 * t325;
  t924 = t923 * t315;
  t927 = t94 * t620;
  t930 = t619 * t918 * t927 / 0.3456e4;
  t931 = -t49 * t325 * t101 * t108 / 0.288e3 - t913 * t915 / 0.1728e4 + t608 * t918 * t919 / 0.1728e4 + t239 * t924 / 0.288e3 - t930;
  t932 = t98 * t931;
  t933 = t932 * t249;
  t936 = t632 * t912;
  t940 = t248 * t912 * t241;
  t945 = sigma[2] * sigma[2];
  t947 = 0.1e1 / t99 / t945;
  t948 = t34 * t947;
  t952 = t765 * t901 * t767 / 0.144e3 - t49 * t307 * t325 / 0.288e3 - 0.3e1 * t933 * t252 + t320 * t936 / 0.8e1 - t320 * t940 / 0.8e1 + 0.3e1 * t321 * t807 - 0.9e1 / 0.4e1 * t112 * t948 * t100;
  t957 = t332 * t332;
  t960 = -t952;
  t963 = 0.2e2 * t952 * t120 - 0.2e2 * t262 * t960 - 0.4e2 * t816 * t332 + 0.4e2 * t657 * t957;
  t967 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t89 * t963);
  tv2sigma25 = t7 * t967;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t971 = 0.1e1 / t25 / t20;
  t972 = t343 * t132;
  t975 = t342 * t132;
  t978 = t128 * t128;
  t979 = 0.1e1 / t978;
  t980 = t17 * t979;
  t983 = my_piecewise5(t11, 0, t15, 0, 0.6e1 * t347 - 0.6e1 * t980);
  t987 = my_piecewise3(t21, 0, -0.1e2 / 0.27e2 * t971 * t972 + 0.1e2 / 0.3e1 * t975 * t351 + 0.5e1 / 0.3e1 * t26 * t983);
  t988 = t987 * t30;
  t992 = t355 * t140;
  t994 = t6 * t992 * t74;
  t999 = t135 * t368;
  t1001 = t6 * t999 * t74;
  t1004 = t6 * t360 * t184;
  t1010 = 0.1e1 / t29 / t128;
  t1011 = t28 * t1010;
  t1014 = 0.2e1 / 0.45e2 * t6 * t1011 * t74;
  t1016 = t6 * t369 * t184;
  t1019 = t6 * t141 * t458;
  t1022 = 0.1e1 / t40 / rho[0];
  t1027 = t378 * t163 * t166;
  t1034 = t394 * t163;
  t1038 = t165 * t158;
  t1046 = 0.1e1 / t38;
  t1047 = t426 * t1046;
  t1051 = t165 * t1046 * t158;
  t1055 = 0.1e1 / t39 / t392;
  t1056 = t50 * t1055;
  t1061 = 0.1e1 / t424 / t56;
  t1062 = t1061 * t58;
  t1063 = t164 * t1062;
  t1064 = t378 * t47;
  t1065 = t1064 * t157;
  t1068 = t425 * t47;
  t1069 = t164 * t1068;
  t1072 = t165 * t378;
  t1074 = t50 * t414;
  t1075 = t49 * t1074;
  t1077 = t164 * t1072 * t1075 / 0.162e3;
  t1081 = t392 * rho[0];
  t1083 = 0.1e1 / t40 / t1081;
  t1085 = t1083 * t154 * t158;
  t1088 = 0.1e1 / t33;
  t1089 = t1088 * t291;
  t1090 = t392 * t376;
  t1091 = 0.1e1 / t1090;
  t1098 = t1089 * t1091 * t154 * t414;
  t1100 = t153 * t153;
  t1101 = 0.1e1 / t1100;
  t1102 = t56 * t1101;
  t1103 = t1102 * t1088;
  t1104 = t291 * t1091;
  t1105 = t404 * t158;
  t1113 = t401 * t1088;
  t1114 = t158 * t414;
  t1116 = t1113 * t1104 * t1114;
  t1118 = t1055 * t158;
  t1119 = t157 * t1118;
  t1123 = t403 * t1083 * t414;
  t1124 = t413 * t1123;
  t1126 = -0.35e2 / 0.243e3 * t49 * t1056 * t59 + 0.7e1 / 0.243e3 * t391 * t1085 - t1089 * t1091 * t400 * t404 / 0.729e3 + t1098 / 0.1458e4 + t1103 * t1104 * t1105 / 0.729e3 - 0.7e1 / 0.243e3 * t402 * t403 * t1083 * t404 - t1116 / 0.729e3 + 0.35e2 / 0.243e3 * t156 * t1119 + 0.7e1 / 0.486e3 * t1124 - t418;
  t1127 = t46 * t1126;
  t1128 = t1127 * t166;
  t1134 = t168 * t64 * t439;
  t1137 = 0.8e1 / 0.9e1 * t63 * t65 * t1022 + t383 * t1027 / 0.36e2 - t383 * t146 * t419 * t166 / 0.36e2 - t391 * t1034 * t426 / 0.324e3 + t391 * t1034 * t1038 / 0.324e3 - 0.2e1 / 0.3e1 * t420 * t428 + 0.2e1 / 0.3e1 * t420 * t432 - 0.5e1 / 0.9e1 * t164 * t1047 + 0.5e1 / 0.9e1 * t164 * t1051 - 0.17e2 / 0.486e3 * t49 * t1056 * t61 - t1063 * t1065 / 0.81e2 + t1069 * t410 / 0.81e2 - t1077 - 0.3e1 * t1128 * t170 - 0.12e2 * t421 * t436 - 0.4e1 * t167 * t1134;
  t1140 = t443 * t179;
  t1143 = t176 * t450;
  t1148 = t178 * t178;
  t1149 = 0.1e1 / t1148;
  t1150 = t69 * t1149;
  t1151 = t452 * t181;
  t1154 = t181 * t455;
  t1157 = -t1137;
  t1160 = 0.2e2 * t1137 * t71 - 0.6e2 * t1140 * t181 + 0.12e3 * t1143 * t452 - 0.12e3 * t1150 * t1151 + 0.12e3 * t451 * t1154 - 0.2e2 * t180 * t1157 - 0.6e2 * t446 * t455;
  t1165 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t988 * t74 + 0.3e1 / 0.1e2 * t994 + 0.9e1 / 0.2e2 * t6 * t356 * t184 - t1001 / 0.1e2 + 0.3e1 / 0.5e1 * t1004 + 0.9e1 / 0.2e2 * t6 * t136 * t458 + t1014 - t1016 / 0.1e2 + 0.3e1 / 0.1e2 * t1019 + 0.3e1 / 0.2e2 * t6 * t31 * t1160);
  t1167 = 0.1e1 / t85 / t83;
  t1168 = t465 * t192;
  t1171 = t464 * t192;
  t1174 = t80 * t979;
  t1177 = my_piecewise5(t15, 0, t11, 0, -0.6e1 * t347 - 0.6e1 * t1174);
  t1181 = my_piecewise3(t84, 0, -0.1e2 / 0.27e2 * t1167 * t1168 + 0.1e2 / 0.3e1 * t1171 * t471 + 0.5e1 / 0.3e1 * t86 * t1177);
  t1182 = t1181 * t30;
  t1186 = t475 * t140;
  t1188 = t6 * t1186 * t123;
  t1190 = t195 * t368;
  t1192 = t6 * t1190 * t123;
  t1194 = t88 * t1010;
  t1197 = 0.2e1 / 0.45e2 * t6 * t1194 * t123;
  t1199 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t1182 * t123 + 0.3e1 / 0.1e2 * t1188 - t1192 / 0.1e2 + t1197);
  tv3rho30 = 0.3e1 * t463 + 0.3e1 * t489 + t7 * (t1165 + t1199);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t1202 = 0.2e1 * t515;
  t1203 = 0.2e1 * t541;
  t1204 = t971 * t209;
  t1207 = t342 * t496;
  t1212 = 0.2e1 * t347;
  t1213 = 0.6e1 * t980;
  t1215 = my_piecewise5(t11, 0, t15, 0, t1212 - t1213);
  t1219 = my_piecewise3(t21, 0, -0.1e2 / 0.27e2 * t1204 * t343 + 0.2e2 / 0.9e1 * t1207 * t132 + 0.1e2 / 0.9e1 * t492 * t351 + 0.5e1 / 0.3e1 * t26 * t1215);
  t1220 = t1219 * t30;
  t1224 = t500 * t140;
  t1227 = t6 * t1224 * t74 / 0.5e1;
  t1231 = t212 * t368;
  t1233 = t6 * t1231 * t74;
  t1237 = t6 * t505 * t184 / 0.5e1;
  t1246 = 0.3e1 / 0.2e2 * t6 * t1220 * t74 + t1227 + 0.3e1 / 0.1e2 * t6 * t501 * t184 - t1233 / 0.3e2 + t1237 + 0.3e1 / 0.2e2 * t6 * t213 * t458 + t994 / 0.1e2 - t1001 / 0.15e2 + t1004 / 0.5e1 + t1014 - t1016 / 0.15e2 + t1019 / 0.1e2;
  t1247 = my_piecewise3(t1, 0, t1246);
  t1248 = t1167 * t220;
  t1251 = t464 * t520;
  t1256 = 0.6e1 * t1174;
  t1258 = my_piecewise5(t15, 0, t11, 0, -t1212 - t1256);
  t1262 = my_piecewise3(t84, 0, -0.1e2 / 0.27e2 * t1248 * t465 + 0.2e2 / 0.9e1 * t1251 * t192 + 0.1e2 / 0.9e1 * t516 * t471 + 0.5e1 / 0.3e1 * t86 * t1258);
  t1263 = t1262 * t30;
  t1267 = t524 * t140;
  t1270 = t6 * t1267 * t123 / 0.5e1;
  t1271 = t223 * t368;
  t1273 = t6 * t1271 * t123;
  t1282 = t6 * t480 * t266 / 0.5e1;
  t1284 = t6 * t484 * t266;
  t1287 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t1263 * t123 + t1270 - t1273 / 0.3e2 + t1188 / 0.1e2 - t1192 / 0.15e2 + t1197 + 0.3e1 / 0.2e2 * t6 * t476 * t266 + t1282 - t1284 / 0.3e2);
  tv3rho31 = t463 + t489 + t1202 + t1203 + t7 * (t1247 + t1287);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t1290 = t971 * t546;
  t1295 = t342 * t551;
  t1299 = my_piecewise5(t11, 0, t15, 0, -t1212 - t1213);
  t1303 = my_piecewise3(t21, 0, -0.1e2 / 0.27e2 * t1290 * t132 + 0.2e2 / 0.9e1 * t492 * t496 + 0.1e2 / 0.9e1 * t1295 * t132 + 0.5e1 / 0.3e1 * t26 * t1299);
  t1304 = t1303 * t30;
  t1308 = t555 * t140;
  t1310 = t6 * t1308 * t74;
  t1319 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t1304 * t74 + t1310 / 0.1e2 + 0.3e1 / 0.2e2 * t6 * t556 * t184 + t1227 - t1233 / 0.15e2 + t1237 - t1001 / 0.3e2 + t1014 - t1016 / 0.3e2);
  t1320 = t1167 * t563;
  t1325 = t464 * t568;
  t1329 = my_piecewise5(t15, 0, t11, 0, t1212 - t1256);
  t1333 = my_piecewise3(t84, 0, -0.1e2 / 0.27e2 * t1320 * t192 + 0.2e2 / 0.9e1 * t516 * t520 + 0.1e2 / 0.9e1 * t1325 * t192 + 0.5e1 / 0.3e1 * t86 * t1329);
  t1334 = t1333 * t30;
  t1338 = t572 * t140;
  t1340 = t6 * t1338 * t123;
  t1347 = t6 * t529 * t266;
  t1355 = t6 * t200 * t664;
  t1357 = 0.3e1 / 0.2e2 * t6 * t1334 * t123 + t1340 / 0.1e2 + t1270 - t1273 / 0.15e2 + 0.3e1 / 0.1e2 * t6 * t525 * t266 + t1347 / 0.5e1 - t1192 / 0.3e2 + t1197 + t1282 - t1284 / 0.15e2 + 0.3e1 / 0.2e2 * t6 * t196 * t664 + t1355 / 0.1e2;
  t1358 = my_piecewise3(t79, 0, t1357);
  tv3rho32 = t1202 + t1203 + t562 + t669 + t7 * (t1319 + t1358);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t1363 = t546 * t209;
  t1370 = my_piecewise5(t11, 0, t15, 0, -0.6e1 * t347 - 0.6e1 * t980);
  t1374 = my_piecewise3(t21, 0, -0.1e2 / 0.27e2 * t971 * t1363 + 0.1e2 / 0.3e1 * t492 * t551 + 0.5e1 / 0.3e1 * t26 * t1370);
  t1375 = t1374 * t30;
  t1382 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t1375 * t74 + 0.3e1 / 0.1e2 * t1310 - t1233 / 0.1e2 + t1014);
  t1383 = t563 * t220;
  t1390 = my_piecewise5(t15, 0, t11, 0, 0.6e1 * t347 - 0.6e1 * t1174);
  t1394 = my_piecewise3(t84, 0, -0.1e2 / 0.27e2 * t1167 * t1383 + 0.1e2 / 0.3e1 * t516 * t568 + 0.5e1 / 0.3e1 * t86 * t1390);
  t1395 = t1394 * t30;
  t1415 = 0.1e1 / t92 / rho[1];
  t1420 = t584 * t246 * t249;
  t1427 = t600 * t246;
  t1431 = t248 * t241;
  t1435 = 0.1e1 / t90;
  t1436 = t632 * t1435;
  t1440 = t248 * t1435 * t241;
  t1444 = 0.1e1 / t91 / t598;
  t1445 = t99 * t1444;
  t1452 = t598 * rho[1];
  t1454 = 0.1e1 / t92 / t1452;
  t1456 = t1454 * t237 * t241;
  t1459 = t1088 * t324;
  t1460 = t598 * t582;
  t1461 = 0.1e1 / t1460;
  t1468 = t1459 * t1461 * t237 * t620;
  t1470 = t236 * t236;
  t1471 = 0.1e1 / t1470;
  t1472 = t105 * t1471;
  t1473 = t1472 * t1088;
  t1474 = t324 * t1461;
  t1475 = t610 * t241;
  t1483 = t607 * t1088;
  t1484 = t241 * t620;
  t1486 = t1483 * t1474 * t1484;
  t1488 = t1444 * t241;
  t1489 = t240 * t1488;
  t1493 = t609 * t1454 * t620;
  t1494 = t619 * t1493;
  t1496 = -0.35e2 / 0.243e3 * t49 * t1445 * t108 + 0.7e1 / 0.243e3 * t597 * t1456 - t1459 * t1461 * t606 * t610 / 0.729e3 + t1468 / 0.1458e4 + t1473 * t1474 * t1475 / 0.729e3 - 0.7e1 / 0.243e3 * t608 * t609 * t1454 * t610 - t1486 / 0.729e3 + 0.35e2 / 0.243e3 * t239 * t1489 + 0.7e1 / 0.486e3 * t1494 - t624;
  t1497 = t98 * t1496;
  t1498 = t1497 * t249;
  t1502 = 0.1e1 / t630 / t105;
  t1503 = t1502 * t107;
  t1504 = t247 * t1503;
  t1505 = t584 * t47;
  t1506 = t1505 * t240;
  t1509 = t631 * t47;
  t1510 = t247 * t1509;
  t1513 = t248 * t584;
  t1515 = t99 * t620;
  t1516 = t49 * t1515;
  t1518 = t247 * t1513 * t1516 / 0.162e3;
  t1522 = t168 * t113 * t645;
  t1525 = -0.2e1 / 0.3e1 * t626 * t634 + 0.2e1 / 0.3e1 * t626 * t638 + 0.8e1 / 0.9e1 * t112 * t114 * t1415 + t589 * t1420 / 0.36e2 - t589 * t229 * t625 * t249 / 0.36e2 - t597 * t1427 * t632 / 0.324e3 + t597 * t1427 * t1431 / 0.324e3 - 0.5e1 / 0.9e1 * t247 * t1436 + 0.5e1 / 0.9e1 * t247 * t1440 - 0.17e2 / 0.486e3 * t49 * t1445 * t110 - 0.3e1 * t1498 * t252 - t1504 * t1506 / 0.81e2 + t1510 * t616 / 0.81e2 - t1518 - 0.12e2 * t627 * t642 - 0.4e1 * t250 * t1522;
  t1528 = t649 * t261;
  t1531 = t258 * t656;
  t1536 = t260 * t260;
  t1537 = 0.1e1 / t1536;
  t1538 = t118 * t1537;
  t1539 = t658 * t263;
  t1542 = t263 * t661;
  t1545 = -t1525;
  t1548 = 0.2e2 * t1525 * t120 - 0.6e2 * t1528 * t263 + 0.12e3 * t1531 * t658 - 0.12e3 * t1538 * t1539 + 0.12e3 * t657 * t1542 - 0.2e2 * t262 * t1545 - 0.6e2 * t652 * t661;
  t1553 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t1395 * t123 + 0.3e1 / 0.1e2 * t1340 + 0.9e1 / 0.2e2 * t6 * t573 * t266 - t1273 / 0.1e2 + 0.3e1 / 0.5e1 * t1347 + 0.9e1 / 0.2e2 * t6 * t224 * t664 + t1197 - t1284 / 0.1e2 + 0.3e1 / 0.1e2 * t1355 + 0.3e1 / 0.2e2 * t6 * t89 * t1548);
  tv3rho33 = 0.3e1 * t562 + 0.3e1 * t669 + t7 * (t1382 + t1553);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t1561 = t6 * t360 * t302;
  t1568 = t6 * t369 * t302 / 0.3e2;
  t1570 = t6 * t141 * t740;
  t1576 = t64 * t378;
  t1583 = t419 * t165;
  t1591 = t394 * t286;
  t1602 = t164 * t425;
  t1603 = t58 * t845;
  t1604 = t1603 * t427;
  t1607 = -0.2e1 / 0.3e1 * t709 * t428 + 0.2e1 / 0.3e1 * t709 * t432 + t49 * t1576 * t61 / 0.162e3 + 0.2e1 / 0.3e1 * t63 * t293 * t439 + t678 * t1583 * t680 / 0.288e3 - t383 * t146 * t708 * t166 / 0.54e2 - t391 * t1591 * t426 / 0.486e3 + t391 * t1591 * t1038 / 0.486e3 - t287 * t1047 / 0.9e1 + t287 * t1051 / 0.9e1 + t1602 * t1604 / 0.6e1;
  t1608 = t164 * t165;
  t1610 = t845 * t427 * t158;
  t1613 = t37 * t693;
  t1614 = t163 * t425;
  t1615 = t1614 * t58;
  t1618 = t679 * t158;
  t1621 = t287 * t1062;
  t1624 = t287 * t1068;
  t1629 = t287 * t1072 * t1075 / 0.162e3;
  t1633 = t378 * t286 * t166;
  t1641 = t392 * t38;
  t1642 = 0.1e1 / t1641;
  t1643 = t1088 * t1642;
  t1645 = t400 * t404 * t50;
  t1649 = t154 * t50 * t414;
  t1650 = t1643 * t1649;
  t1656 = t36 * t394;
  t1662 = t1113 * t1642 * t158 * t1074;
  t1664 = t281 * t409;
  t1668 = t413 * t1656 * t414;
  t1670 = 0.7e1 / 0.324e3 * t49 * t1576 * t59 - 0.5e1 / 0.648e3 * t37 * t396 + t1643 * t1645 / 0.1944e4 - t1650 / 0.3888e4 - t1103 * t1642 * t1105 * t50 / 0.1944e4 + 0.5e1 / 0.648e3 * t402 * t1656 * t404 + t1662 / 0.1944e4 - 0.7e1 / 0.324e3 * t156 * t1664 - 0.5e1 / 0.1296e4 * t1668 + t707;
  t1671 = t46 * t1670;
  t1672 = t1671 * t166;
  t1680 = t168 * t292 * t39;
  t1683 = -t1608 * t1610 / 0.6e1 + t1613 * t1615 / 0.2592e4 - t1613 * t1618 / 0.2592e4 - t1621 * t1065 / 0.81e2 + t1624 * t410 / 0.81e2 - t1629 + 0.3e1 / 0.2e1 * t421 * t720 + t383 * t1633 / 0.108e3 - 0.3e1 * t1672 * t170 - 0.8e1 * t710 * t436 - 0.4e1 / 0.3e1 * t288 * t1134 + 0.4e1 * t167 * t1680;
  t1684 = t1607 + t1683;
  t1687 = t726 * t179;
  t1690 = t297 * t450;
  t1701 = t299 * t452;
  t1704 = t737 * t181;
  t1707 = t299 * t455;
  t1710 = -t1684;
  t1713 = -0.2e2 * t1140 * t299 + 0.8e2 * t1143 * t734 - 0.12e3 * t1150 * t1701 + 0.2e2 * t1684 * t71 - 0.4e2 * t1687 * t181 + 0.4e2 * t1690 * t452 + 0.8e2 * t451 * t1704 + 0.4e2 * t451 * t1707 - 0.2e2 * t180 * t1710 - 0.4e2 * t446 * t737 - 0.2e2 * t729 * t455;
  t1718 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t356 * t302 + t1561 / 0.5e1 + 0.3e1 / 0.1e2 * t6 * t136 * t740 - t1568 + t1570 / 0.5e1 + 0.3e1 / 0.2e2 * t6 * t31 * t1713);
  tv3rho2sigma0 = t7 * t1718 + 0.2e1 * t745;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t1725 = t6 * t480 * t335;
  t1729 = t6 * t484 * t335 / 0.3e2;
  t1731 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t476 * t335 + t1725 / 0.5e1 - t1729);
  tv3rho2sigma2 = t7 * t1731 + 0.2e1 * t754;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t1737 = t6 * t505 * t302;
  t1745 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t501 * t302 + t1737 / 0.1e2 + 0.3e1 / 0.2e2 * t6 * t213 * t740 + t1561 / 0.1e2 - t1568 + t1570 / 0.1e2);
  tv3rho2sigma3 = t7 * t1745 + t745 + t760;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t1751 = t6 * t529 * t335;
  t1758 = t6 * t200 * t827;
  t1761 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t525 * t335 + t1751 / 0.1e2 + t1725 / 0.1e2 - t1729 + 0.3e1 / 0.2e2 * t6 * t196 * t827 + t1758 / 0.1e2);
  tv3rho2sigma5 = t7 * t1761 + t754 + t832;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t1769 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t556 * t302 + t1737 / 0.5e1 - t1568);
  tv3rho2sigma6 = t7 * t1769 + 0.2e1 * t760;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t1780 = t600 * t319;
  t1790 = t625 * t248;
  t1800 = t247 * t631;
  t1801 = t107 * t912;
  t1802 = t1801 * t633;
  t1805 = t247 * t248;
  t1807 = t912 * t633 * t241;
  t1810 = t37 * t780;
  t1811 = t246 * t631;
  t1812 = t1811 * t107;
  t1815 = t766 * t241;
  t1820 = -t597 * t1780 * t632 / 0.486e3 + t597 * t1780 * t1431 / 0.486e3 + 0.2e1 / 0.3e1 * t112 * t326 * t645 + t765 * t1790 * t767 / 0.288e3 - t589 * t229 * t795 * t249 / 0.54e2 + t320 * t1440 / 0.9e1 + t1800 * t1802 / 0.6e1 - t1805 * t1807 / 0.6e1 + t1810 * t1812 / 0.2592e4 - t1810 * t1815 / 0.2592e4 - t320 * t1436 / 0.9e1;
  t1821 = t113 * t584;
  t1830 = t584 * t319 * t249;
  t1838 = t598 * t90;
  t1839 = 0.1e1 / t1838;
  t1840 = t1088 * t1839;
  t1842 = t606 * t610 * t99;
  t1846 = t237 * t99 * t620;
  t1847 = t1840 * t1846;
  t1853 = t36 * t600;
  t1859 = t1483 * t1839 * t241 * t1515;
  t1861 = t314 * t615;
  t1865 = t619 * t1853 * t620;
  t1867 = 0.7e1 / 0.324e3 * t49 * t1821 * t108 - 0.5e1 / 0.648e3 * t37 * t602 + t1840 * t1842 / 0.1944e4 - t1847 / 0.3888e4 - t1473 * t1839 * t1475 * t99 / 0.1944e4 + 0.5e1 / 0.648e3 * t608 * t1853 * t610 + t1859 / 0.1944e4 - 0.7e1 / 0.324e3 * t239 * t1861 - 0.5e1 / 0.1296e4 * t1865 + t794;
  t1868 = t98 * t1867;
  t1869 = t1868 * t249;
  t1872 = t320 * t1503;
  t1875 = t320 * t1509;
  t1880 = t320 * t1513 * t1516 / 0.162e3;
  t1888 = t168 * t325 * t91;
  t1891 = t49 * t1821 * t110 / 0.162e3 - 0.2e1 / 0.3e1 * t796 * t634 + 0.2e1 / 0.3e1 * t796 * t638 + t589 * t1830 / 0.108e3 - 0.3e1 * t1869 * t252 - t1872 * t1506 / 0.81e2 + t1875 * t616 / 0.81e2 - t1880 + 0.3e1 / 0.2e1 * t627 * t807 - 0.8e1 * t797 * t642 - 0.4e1 / 0.3e1 * t321 * t1522 + 0.4e1 * t250 * t1888;
  t1892 = t1820 + t1891;
  t1895 = t813 * t261;
  t1898 = t330 * t656;
  t1909 = t332 * t658;
  t1912 = t824 * t263;
  t1915 = t332 * t661;
  t1918 = -t1892;
  t1921 = 0.2e2 * t1892 * t120 - 0.2e2 * t1528 * t332 + 0.8e2 * t1531 * t821 - 0.12e3 * t1538 * t1909 - 0.4e2 * t1895 * t263 + 0.4e2 * t1898 * t658 + 0.8e2 * t657 * t1912 + 0.4e2 * t657 * t1915 - 0.2e2 * t262 * t1918 - 0.4e2 * t652 * t824 - 0.2e2 * t816 * t661;
  t1926 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t573 * t335 + t1751 / 0.5e1 + 0.3e1 / 0.1e2 * t6 * t224 * t827 - t1729 + t1758 / 0.5e1 + 0.3e1 / 0.2e2 * t6 * t89 * t1921);
  tv3rho2sigma8 = t7 * t1926 + 0.2e1 * t832;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  t1933 = t6 * t141 * t896 / 0.1e2;
  t1942 = t287 * t425;
  t1945 = t287 * t165;
  t1948 = t286 * t425;
  t1949 = t1948 * t58;
  t1952 = t834 * t158;
  t1963 = t708 * t165;
  t1967 = t58 * t292;
  t1968 = t679 * t1967;
  t1981 = t1088 * t64;
  t1982 = 0.1e1 / t1081;
  t1989 = t1981 * t1982 * t154 * t414;
  t1991 = t64 * t1982;
  t1995 = t693 * t404;
  t2000 = t1113 * t1991 * t1114;
  t2002 = t856 * t159;
  t2005 = t693 * t414;
  t2006 = t851 * t2005;
  t2007 = t413 * t2006;
  t2009 = t49 * t292 * t146 * t59 / 0.216e3 + t846 * t695 / 0.1296e4 - t1981 * t1982 * t400 * t404 / 0.5184e4 + t1989 / 0.10368e5 + t1103 * t1991 * t1105 / 0.5184e4 - t402 * t851 * t1995 / 0.1296e4 - t2000 / 0.5184e4 - t156 * t2002 / 0.216e3 + t2007 / 0.2592e4 - t863;
  t2010 = t46 * t2009;
  t2011 = t2010 * t166;
  t2015 = t48 * t146;
  t2016 = t64 * t47 * t2015;
  t2021 = t165 * t64;
  t2022 = t287 * t2021;
  t2024 = t49 * t146 * t414;
  t2026 = t2022 * t2024 / 0.432e3;
  t2030 = t168 * t880 * t51;
  t2037 = t678 * t1963 * t680 / 0.144e3 - t678 * t1968 / 0.288e3 - t383 * t146 * t864 * t166 / 0.108e3 - 0.3e1 * t2011 * t170 + t1621 * t2016 / 0.216e3 - t1624 * t702 / 0.216e3 + t2026 + 0.3e1 * t710 * t720 - 0.9e1 / 0.4e1 * t167 * t2030 - 0.4e1 * t866 * t436 + 0.4e1 * t288 * t1680;
  t2038 = -t865 * t428 / 0.3e1 + t865 * t432 / 0.3e1 + t709 * t869 / 0.8e1 - t709 * t873 / 0.8e1 + t1942 * t1604 / 0.3e1 - t1945 * t1610 / 0.3e1 + t1613 * t1949 / 0.864e3 - t1613 * t1952 / 0.864e3 - t49 * t146 * t61 * t292 / 0.432e3 - 0.3e1 * t63 * t881 * t39 + t2037;
  t2041 = t885 * t179;
  t2052 = t890 * t181;
  t2055 = t299 * t737;
  t2060 = t893 * t181;
  t2063 = -t2038;
  t2066 = 0.4e2 * t1143 * t890 - 0.12e3 * t1150 * t2052 - 0.4e2 * t1687 * t299 + 0.8e2 * t1690 * t734 - 0.2e2 * t180 * t2063 - 0.2e2 * t2041 * t181 + 0.2e2 * t2038 * t71 + 0.8e2 * t451 * t2055 + 0.4e2 * t451 * t2060 - 0.2e2 * t446 * t893 - 0.4e2 * t729 * t737;
  t2071 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t136 * t896 + t1933 + 0.3e1 / 0.2e2 * t6 * t31 * t2066);
  tv3rhosigma20 = t7 * t2071 + t900;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  t2078 = t6 * t200 * t963 / 0.1e2;
  t2080 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t196 * t963 + t2078);
  tv3rhosigma25 = t7 * t2080 + t967;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  t2086 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t213 * t896 + t1933);
  tv3rhosigma26 = t7 * t2086 + t900;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  t2099 = t795 * t248;
  t2103 = t107 * t325;
  t2104 = t766 * t2103;
  t2114 = t229 * t110;
  t2118 = t320 * t631;
  t2122 = t320 * t248;
  t2125 = t319 * t631;
  t2126 = t2125 * t107;
  t2129 = t901 * t241;
  t2138 = t1088 * t113;
  t2139 = 0.1e1 / t1452;
  t2146 = t2138 * t2139 * t237 * t620;
  t2148 = t113 * t2139;
  t2152 = t780 * t610;
  t2157 = t1483 * t2148 * t1484;
  t2159 = t923 * t242;
  t2162 = t780 * t620;
  t2163 = t918 * t2162;
  t2164 = t619 * t2163;
  t2166 = t49 * t325 * t229 * t108 / 0.216e3 + t913 * t782 / 0.1296e4 - t2138 * t2139 * t606 * t610 / 0.5184e4 + t2146 / 0.10368e5 + t1473 * t2148 * t1475 / 0.5184e4 - t608 * t918 * t2152 / 0.1296e4 - t2157 / 0.5184e4 - t239 * t2159 / 0.216e3 + t2164 / 0.2592e4 - t930;
  t2167 = t98 * t2166;
  t2168 = t2167 * t249;
  t2172 = t48 * t229;
  t2173 = t113 * t47 * t2172;
  t2178 = t248 * t113;
  t2179 = t320 * t2178;
  t2181 = t49 * t229 * t620;
  t2183 = t2179 * t2181 / 0.432e3;
  t2187 = t168 * t947 * t100;
  t2194 = -t2122 * t1807 / 0.3e1 + t1810 * t2126 / 0.864e3 - t1810 * t2129 / 0.864e3 - 0.3e1 * t2168 * t252 + t1872 * t2173 / 0.216e3 - t1875 * t789 / 0.216e3 + t2183 + 0.3e1 * t797 * t807 - 0.9e1 / 0.4e1 * t250 * t2187 - 0.4e1 * t933 * t642 + 0.4e1 * t321 * t1888;
  t2195 = -t932 * t634 / 0.3e1 + t932 * t638 / 0.3e1 + t796 * t936 / 0.8e1 - t796 * t940 / 0.8e1 + t765 * t2099 * t767 / 0.144e3 - t765 * t2104 / 0.288e3 - t589 * t229 * t931 * t249 / 0.108e3 - 0.3e1 * t112 * t948 * t91 - t49 * t2114 * t325 / 0.432e3 + t2118 * t1802 / 0.3e1 + t2194;
  t2198 = t952 * t261;
  t2209 = t957 * t263;
  t2212 = t332 * t824;
  t2217 = t960 * t263;
  t2220 = -t2195;
  t2223 = 0.2e2 * t2195 * t120 + 0.4e2 * t1531 * t957 - 0.12e3 * t1538 * t2209 - 0.4e2 * t1895 * t332 + 0.8e2 * t1898 * t821 - 0.2e2 * t2198 * t263 + 0.8e2 * t657 * t2212 + 0.4e2 * t657 * t2217 - 0.2e2 * t262 * t2220 - 0.2e2 * t652 * t960 - 0.4e2 * t816 * t824;
  t2228 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t224 * t963 + t2078 + 0.3e1 / 0.2e2 * t6 * t89 * t2223);
  tv3rhosigma211 = t7 * t2228 + t967;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  t2230 = t864 * t165;
  t2234 = t37 * t42;
  t2235 = t1948 * t1603;
  t2238 = t845 * t158;
  t2239 = t834 * t2238;
  t2242 = t878 * sigma[0];
  t2244 = 0.1e1 / t50 / t2242;
  t2245 = t34 * t2244;
  t2253 = 0.1e1 / t878;
  t2254 = t426 * t2253;
  t2258 = t165 * t2253 * t158;
  t2264 = t834 * t1967;
  t2271 = t37 * t2253;
  t2274 = t1088 * t292;
  t2275 = 0.1e1 / t392;
  t2277 = t2275 * t400 * t404;
  t2281 = t2275 * t154 * t414;
  t2282 = t2274 * t2281;
  t2283 = t2282 / 0.27648e5;
  t2284 = t292 * t2275;
  t2288 = t36 * t2253;
  t2293 = t1113 * t2284 * t1114;
  t2294 = t2293 / 0.13824e5;
  t2295 = t48 * t880;
  t2296 = t2295 * t282;
  t2299 = t2288 * t860;
  t2300 = t413 * t2299;
  t2301 = t2300 / 0.2304e4;
  t2302 = t49 * t880 * t52 * t59 / 0.192e3 + t2271 * t848 / 0.1152e4 + t2274 * t2277 / 0.13824e5 - t2283 - t1103 * t2284 * t1105 / 0.13824e5 - t402 * t2288 * t852 / 0.1152e4 + t2294 - t156 * t2296 / 0.192e3 + t2301 - t863;
  t2303 = t46 * t2302;
  t2304 = t2303 * t166;
  t2307 = t292 * t47;
  t2308 = t48 * t52;
  t2309 = t2307 * t2308;
  t2314 = t165 * t292;
  t2315 = t287 * t2314;
  t2317 = t49 * t52 * t414;
  t2319 = t2315 * t2317 / 0.1152e4;
  t2324 = t678 * t2230 * t680 / 0.96e2 - t2234 * t2235 / 0.2304e4 + t2234 * t2239 / 0.2304e4 + 0.45e2 / 0.8e1 * t63 * t2245 * t51 + t865 * t869 / 0.4e1 - t865 * t873 / 0.4e1 - t287 * t2254 / 0.4e1 + t287 * t2258 / 0.4e1 + t49 * t274 * t880 / 0.128e3 - t678 * t2264 / 0.96e2 - 0.3e1 * t2304 * t170 - t1621 * t2309 / 0.576e3 + t1624 * t857 / 0.576e3 - t2319 + 0.9e1 / 0.2e1 * t866 * t720 - 0.27e2 / 0.4e1 * t288 * t2030;
  t2333 = t890 * t299;
  t2336 = t299 * t893;
  t2339 = -t2324;
  t2342 = -0.12e3 * t1150 * t2333 + 0.12e3 * t1690 * t890 - 0.2e2 * t180 * t2339 - 0.6e2 * t2041 * t299 + 0.2e2 * t2324 * t71 + 0.12e3 * t451 * t2336 - 0.6e2 * t729 * t893;
  t2346 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t2342);
  tv3sigma30 = t7 * t2346;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  t2350 = 0.1e1 / t945;
  t2351 = t632 * t2350;
  t2355 = t248 * t2350 * t241;
  t2358 = t325 * t47;
  t2359 = t48 * t101;
  t2360 = t2358 * t2359;
  t2365 = t248 * t325;
  t2366 = t320 * t2365;
  t2368 = t49 * t101 * t620;
  t2370 = t2366 * t2368 / 0.1152e4;
  t2371 = t945 * sigma[2];
  t2373 = 0.1e1 / t99 / t2371;
  t2374 = t34 * t2373;
  t2378 = t931 * t248;
  t2382 = t37 * t94;
  t2386 = t912 * t241;
  t2392 = t901 * t2103;
  t2399 = t37 * t2350;
  t2402 = t1088 * t325;
  t2403 = 0.1e1 / t598;
  t2405 = t2403 * t606 * t610;
  t2409 = t2403 * t237 * t620;
  t2410 = t2402 * t2409;
  t2411 = t2410 / 0.27648e5;
  t2412 = t325 * t2403;
  t2416 = t36 * t2350;
  t2421 = t1483 * t2412 * t1484;
  t2422 = t2421 / 0.13824e5;
  t2423 = t48 * t947;
  t2424 = t2423 * t315;
  t2427 = t2416 * t927;
  t2428 = t619 * t2427;
  t2429 = t2428 / 0.2304e4;
  t2430 = t49 * t947 * t101 * t108 / 0.192e3 + t2399 * t915 / 0.1152e4 + t2402 * t2405 / 0.13824e5 - t2411 - t1473 * t2412 * t1475 / 0.13824e5 - t608 * t2416 * t919 / 0.1152e4 + t2422 - t239 * t2424 / 0.192e3 + t2429 - t930;
  t2431 = t98 * t2430;
  t2432 = t2431 * t249;
  t2441 = t49 * t307 * t947 / 0.128e3 - t320 * t2351 / 0.4e1 + t320 * t2355 / 0.4e1 - t1872 * t2360 / 0.576e3 + t1875 * t924 / 0.576e3 - t2370 + 0.45e2 / 0.8e1 * t112 * t2374 * t100 + t765 * t2378 * t767 / 0.96e2 - t2382 * t2125 * t1801 / 0.2304e4 + t2382 * t901 * t2386 / 0.2304e4 + 0.9e1 / 0.2e1 * t933 * t807 - t765 * t2392 / 0.96e2 - 0.3e1 * t2432 * t252 + t932 * t936 / 0.4e1 - t932 * t940 / 0.4e1 - 0.27e2 / 0.4e1 * t321 * t2187;
  t2450 = t957 * t332;
  t2453 = t332 * t960;
  t2456 = -t2441;
  t2459 = 0.2e2 * t2441 * t120 - 0.12e3 * t1538 * t2450 + 0.12e3 * t1898 * t957 - 0.6e2 * t2198 * t332 + 0.12e3 * t657 * t2453 - 0.2e2 * t262 * t2456 - 0.6e2 * t816 * t960;
  t2463 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t89 * t2459);
  tv3sigma39 = t7 * t2463;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

  t2474 = t1083 * t163;
  t2485 = t394 * t419;
  t2492 = 0.1e1 / t376;
  t2494 = t165 * t2492 * t158;
  t2500 = t1089 * t1091;
  t2511 = t425 * t32;
  t2517 = t392 * t392;
  t2518 = 0.1e1 / t2517;
  t2519 = t291 * t2518;
  t2527 = 0.1e1 / t40 / t1641;
  t2542 = 0.1e1 / t39 / t1081;
  t2543 = t50 * t2542;
  t2555 = t1088 * t878;
  t2559 = 0.1e1 / t39 / t2517 / rho[0];
  t2561 = t414 * t414;
  t2562 = t48 * t2561;
  t2573 = t48 * t414;
  t2574 = t158 * t47 * t2573;
  t2579 = t56 / t1100 / t58;
  t2581 = t404 * t404;
  t2588 = t1101 * t1105 * t49;
  t2593 = t49 * t414;
  t2597 = -0.4e1 / 0.2187e4 * t1116 + 0.35e2 / 0.1458e4 * t1124 - 0.14e2 / 0.729e3 * t1103 * t2519 * t1105 + 0.14e2 / 0.729e3 * t1113 * t2519 * t1114 - 0.427e3 / 0.4374e4 * t413 * t403 * t2527 * t414 + 0.2e1 / 0.2187e4 * t1098 + 0.14e2 / 0.729e3 * t1089 * t2518 * t400 * t404 - 0.7e1 / 0.729e3 * t1089 * t2518 * t154 * t414 + 0.455e3 / 0.729e3 * t49 * t2543 * t59 - 0.427e3 / 0.2187e4 * t391 * t2527 * t154 * t158 + 0.427e3 / 0.2187e4 * t402 * t403 * t2527 * t404 + t401 * t2555 * t2559 * t47 * t2562 / 0.39366e5 - 0.455e3 / 0.729e3 * t156 * t157 * t2542 * t158 + 0.2e1 / 0.19683e5 * t2555 * t2559 * t400 * t2574 + 0.2e1 / 0.19683e5 * t2579 * t2555 * t2559 * t2581 * t49 - 0.2e1 / 0.19683e5 * t2555 * t2559 * t2588 - t418 - t1102 * t2555 * t2559 * t404 * t2593 / 0.6561e4;
  t2603 = t1055 * t47 * t157;
  t2606 = -0.34e2 / 0.243e3 * t383 * t1055 * t163 * t166 + t383 * t378 * t419 * t166 / 0.18e2 + 0.23e2 / 0.1458e4 * t391 * t2474 * t426 - 0.23e2 / 0.1458e4 * t391 * t2474 * t1038 - t383 * t146 * t1126 * t166 / 0.27e2 - 0.2e1 / 0.243e3 * t391 * t2485 * t426 + 0.2e1 / 0.243e3 * t391 * t2485 * t1038 - t1077 - 0.2e1 / 0.3e1 * t164 * t2494 - 0.4e2 / 0.27e2 * t63 * t65 * t42 - 0.2e1 / 0.2187e4 * t2500 * t163 * t1061 * t58 + 0.2e1 / 0.2187e4 * t2500 * t1614 * t158 - t2500 * t679 * t414 / 0.2187e4 - t164 * t2511 * t1123 / 0.486e3 - 0.3e1 * t46 * t2597 * t166 * t170 + 0.5e1 / 0.243e3 * t1063 * t2603;
  t2609 = t165 * t1055;
  t2613 = t424 * t424;
  t2614 = 0.1e1 / t2613;
  t2615 = t2614 * t58;
  t2618 = t1083 * t32 * t403;
  t2621 = t1061 * t32;
  t2624 = t403 * t1083 * t158;
  t2637 = t168 * t64 * t1022;
  t2653 = t426 * t2492;
  t2656 = -0.5e1 / 0.243e3 * t1069 * t1119 + 0.5e1 / 0.486e3 * t164 * t2609 * t1075 - t164 * t2615 * t2618 / 0.243e3 + t164 * t2621 * t2624 / 0.243e3 - t420 * t1062 * t1065 / 0.27e2 + t420 * t1068 * t410 / 0.27e2 - t420 * t1072 * t1075 / 0.54e2 + 0.32e2 / 0.9e1 * t167 * t2637 - 0.16e2 * t1128 * t436 - 0.8e1 * t421 * t1134 + 0.25e2 / 0.162e3 * t49 * t2543 * t61 - t1127 * t428 + t1127 * t432 - 0.11e2 / 0.9e1 * t420 * t1047 + 0.11e2 / 0.9e1 * t420 * t1051 + 0.2e1 / 0.3e1 * t164 * t2653;
  t2657 = t2606 + t2656;
  t2660 = t1137 * t179;
  t2663 = t443 * t450;
  t2668 = t176 * t1149;
  t2677 = t69 / t1148 / t70;
  t2678 = t452 * t452;
  t2684 = t455 * t455;
  t2693 = -0.72e3 * t1150 * t452 * t455 + 0.16e3 * t451 * t181 * t1157 - 0.12e3 * t1140 * t455 + 0.48e3 * t1143 * t1154 - 0.48e3 * t2668 * t1151 - 0.8e2 * t446 * t1157 + 0.2e2 * t180 * t2657 - 0.8e2 * t2660 * t181 + 0.2e2 * t2657 * t71 + 0.24e3 * t2663 * t452 + 0.48e3 * t2677 * t2678 + 0.12e3 * t451 * t2684;
  t2697 = t20 * t20;
  t2699 = 0.1e1 / t25 / t2697;
  t2700 = t343 * t343;
  t2706 = t351 * t351;
  t2712 = 0.1e1 / t978 / t7;
  t2713 = t17 * t2712;
  t2716 = my_piecewise5(t11, 0, t15, 0, -0.24e2 * t979 + 0.24e2 * t2713);
  t2720 = my_piecewise3(t21, 0, 0.4e2 / 0.81e2 * t2699 * t2700 - 0.2e2 / 0.9e1 * t971 * t343 * t351 + 0.1e2 / 0.3e1 * t342 * t2706 + 0.4e2 / 0.9e1 * t975 * t983 + 0.5e1 / 0.3e1 * t26 * t2716);
  t2729 = t6 * t992 * t184;
  t2735 = t6 * t999 * t184;
  t2738 = t6 * t360 * t458;
  t2744 = t6 * t1011 * t184;
  t2747 = t6 * t369 * t458;
  t2750 = t6 * t141 * t1160;
  t2754 = t6 * t987 * t140 * t74;
  t2758 = t6 * t355 * t368 * t74;
  t2762 = t6 * t135 * t1010 * t74;
  t2765 = 0.1e1 / t29 / t346;
  t2769 = 0.14e2 / 0.135e3 * t6 * t28 * t2765 * t74;
  t2770 = 0.3e1 / 0.2e2 * t6 * t31 * t2693 + 0.3e1 / 0.2e2 * t6 * t2720 * t30 * t74 + 0.3e1 / 0.5e1 * t6 * t988 * t184 + 0.6e1 / 0.5e1 * t2729 + 0.9e1 / 0.1e2 * t6 * t356 * t458 - 0.2e1 / 0.5e1 * t2735 + 0.6e1 / 0.5e1 * t2738 + 0.3e1 / 0.5e1 * t6 * t136 * t1160 + 0.8e1 / 0.45e2 * t2744 - t2747 / 0.5e1 + 0.2e1 / 0.5e1 * t2750 + 0.2e1 / 0.5e1 * t2754 - t2758 / 0.5e1 + 0.8e1 / 0.45e2 * t2762 - t2769;
  t2771 = my_piecewise3(t1, 0, t2770);
  t2772 = t83 * t83;
  t2774 = 0.1e1 / t85 / t2772;
  t2775 = t465 * t465;
  t2781 = t471 * t471;
  t2786 = t80 * t2712;
  t2789 = my_piecewise5(t15, 0, t11, 0, 0.24e2 * t979 + 0.24e2 * t2786);
  t2793 = my_piecewise3(t84, 0, 0.4e2 / 0.81e2 * t2774 * t2775 - 0.2e2 / 0.9e1 * t1167 * t465 * t471 + 0.1e2 / 0.3e1 * t464 * t2781 + 0.4e2 / 0.9e1 * t1171 * t1177 + 0.5e1 / 0.3e1 * t86 * t2789);
  t2800 = t6 * t1181 * t140 * t123;
  t2804 = t6 * t475 * t368 * t123;
  t2808 = t6 * t195 * t1010 * t123;
  t2813 = 0.14e2 / 0.135e3 * t6 * t88 * t2765 * t123;
  t2815 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t2793 * t30 * t123 + 0.2e1 / 0.5e1 * t2800 - t2804 / 0.5e1 + 0.8e1 / 0.45e2 * t2808 - t2813);
  tv4rho40 = 0.4e1 * t1165 + 0.4e1 * t1199 + t7 * (t2771 + t2815);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t2831 = t6 * t212 * t1010 * t74;
  t2835 = t6 * t1219 * t140 * t74;
  t2839 = t6 * t500 * t368 * t74;
  t2840 = t2839 / 0.1e2;
  t2857 = 0.12e2 * t979;
  t2858 = 0.24e2 * t2713;
  t2860 = my_piecewise5(t11, 0, t15, 0, -t2857 + t2858);
  t2864 = my_piecewise3(t21, 0, 0.4e2 / 0.81e2 * t2699 * t209 * t972 - 0.1e2 / 0.9e1 * t971 * t496 * t343 - 0.1e2 / 0.9e1 * t1204 * t132 * t351 + 0.1e2 / 0.3e1 * t342 * t1215 * t132 + 0.1e2 / 0.3e1 * t1207 * t351 + 0.1e2 / 0.9e1 * t492 * t983 + 0.5e1 / 0.3e1 * t26 * t2860);
  t2873 = t6 * t1224 * t184;
  t2879 = t6 * t1231 * t184;
  t2880 = t2879 / 0.1e2;
  t2882 = t6 * t505 * t458;
  t2887 = 0.3e1 / 0.1e2 * t2729 - t2735 / 0.5e1 + 0.3e1 / 0.1e2 * t2738 + 0.2e1 / 0.15e2 * t2744 - t2747 / 0.1e2 + t2750 / 0.1e2 + t2754 / 0.1e2 - t2758 / 0.1e2 + 0.2e1 / 0.15e2 * t2762 - t2769 + 0.2e1 / 0.45e2 * t2831 + 0.3e1 / 0.1e2 * t2835 - t2840 + 0.3e1 / 0.2e2 * t6 * t2864 * t30 * t74 + 0.9e1 / 0.2e2 * t6 * t1220 * t184 + 0.3e1 / 0.5e1 * t2873 + 0.9e1 / 0.2e2 * t6 * t501 * t458 - t2880 + 0.3e1 / 0.1e2 * t2882 + 0.3e1 / 0.2e2 * t6 * t213 * t1160;
  t2888 = my_piecewise3(t1, 0, t2887);
  t2905 = 0.24e2 * t2786;
  t2907 = my_piecewise5(t15, 0, t11, 0, t2857 + t2905);
  t2911 = my_piecewise3(t84, 0, 0.4e2 / 0.81e2 * t2774 * t220 * t1168 - 0.1e2 / 0.9e1 * t1167 * t520 * t465 - 0.1e2 / 0.9e1 * t1248 * t192 * t471 + 0.1e2 / 0.3e1 * t464 * t1258 * t192 + 0.1e2 / 0.3e1 * t1251 * t471 + 0.1e2 / 0.9e1 * t516 * t1177 + 0.5e1 / 0.3e1 * t86 * t2907);
  t2918 = t6 * t1262 * t140 * t123;
  t2922 = t6 * t524 * t368 * t123;
  t2923 = t2922 / 0.1e2;
  t2926 = t6 * t223 * t1010 * t123;
  t2935 = t6 * t1186 * t266;
  t2938 = t6 * t1190 * t266;
  t2939 = t2938 / 0.1e2;
  t2941 = t6 * t1194 * t266;
  t2943 = 0.3e1 / 0.2e2 * t6 * t2911 * t30 * t123 + 0.3e1 / 0.1e2 * t2918 - t2923 + 0.2e1 / 0.45e2 * t2926 + t2800 / 0.1e2 - t2804 / 0.1e2 + 0.2e1 / 0.15e2 * t2808 - t2813 + 0.3e1 / 0.2e2 * t6 * t1182 * t266 + 0.3e1 / 0.1e2 * t2935 - t2939 + 0.2e1 / 0.45e2 * t2941;
  t2944 = my_piecewise3(t79, 0, t2943);
  tv4rho41 = t1165 + t1199 + 0.3e1 * t1247 + 0.3e1 * t1287 + t7 * (t2888 + t2944);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 1] += tv4rho41;

  t2953 = t6 * t1303 * t140 * t74;
  t2957 = t6 * t555 * t368 * t74;
  t2975 = t496 * t496;
  t2988 = my_piecewise5(t11, 0, t15, 0, t2858);
  t2992 = my_piecewise3(t21, 0, 0.4e2 / 0.81e2 * t2699 * t546 * t343 - 0.4e2 / 0.27e2 * t1204 * t132 * t496 - 0.1e2 / 0.27e2 * t1290 * t351 + 0.2e2 / 0.9e1 * t342 * t2975 + 0.2e2 / 0.9e1 * t492 * t1215 - 0.1e2 / 0.27e2 * t971 * t551 * t343 + 0.2e2 / 0.9e1 * t342 * t1299 * t132 + 0.1e2 / 0.9e1 * t1295 * t351 + 0.5e1 / 0.3e1 * t26 * t2988);
  t3001 = t6 * t1308 * t184;
  t3009 = t2953 / 0.5e1 - t2957 / 0.3e2 - t2735 / 0.15e2 + 0.4e1 / 0.45e2 * t2744 - t2747 / 0.3e2 - t2758 / 0.3e2 + 0.4e1 / 0.45e2 * t2762 - t2769 + 0.4e1 / 0.45e2 * t2831 + t2835 / 0.5e1 - 0.2e1 / 0.15e2 * t2839 + 0.3e1 / 0.2e2 * t6 * t2992 * t30 * t74 + 0.3e1 / 0.1e2 * t6 * t1304 * t184 + t3001 / 0.5e1 + 0.3e1 / 0.2e2 * t6 * t556 * t458 + 0.2e1 / 0.5e1 * t2873 - 0.2e1 / 0.15e2 * t2879 + t2882 / 0.5e1;
  t3010 = my_piecewise3(t1, 0, t3009);
  t3019 = t520 * t520;
  t3032 = my_piecewise5(t15, 0, t11, 0, t2905);
  t3036 = my_piecewise3(t84, 0, 0.4e2 / 0.81e2 * t2774 * t563 * t465 - 0.4e2 / 0.27e2 * t1248 * t192 * t520 - 0.1e2 / 0.27e2 * t1320 * t471 + 0.2e2 / 0.9e1 * t464 * t3019 + 0.2e2 / 0.9e1 * t516 * t1258 - 0.1e2 / 0.27e2 * t1167 * t568 * t465 + 0.2e2 / 0.9e1 * t464 * t1329 * t192 + 0.1e2 / 0.9e1 * t1325 * t471 + 0.5e1 / 0.3e1 * t86 * t3032);
  t3043 = t6 * t1333 * t140 * t123;
  t3047 = t6 * t572 * t368 * t123;
  t3056 = t6 * t1267 * t266;
  t3059 = t6 * t1271 * t266;
  t3070 = t6 * t480 * t664;
  t3073 = t6 * t484 * t664;
  t3075 = 0.3e1 / 0.2e2 * t6 * t3036 * t30 * t123 + t3043 / 0.5e1 - t3047 / 0.3e2 + t2918 / 0.5e1 - 0.2e1 / 0.15e2 * t2922 + 0.4e1 / 0.45e2 * t2926 + 0.3e1 / 0.1e2 * t6 * t1263 * t266 + 0.2e1 / 0.5e1 * t3056 - t3059 / 0.15e2 - t2804 / 0.3e2 + 0.4e1 / 0.45e2 * t2808 - t2813 + t2935 / 0.5e1 - 0.2e1 / 0.15e2 * t2938 + 0.4e1 / 0.45e2 * t2941 + 0.3e1 / 0.2e2 * t6 * t476 * t664 + t3070 / 0.5e1 - t3073 / 0.3e2;
  t3076 = my_piecewise3(t79, 0, t3075);
  tv4rho42 = 0.2e1 * t1247 + 0.2e1 * t1287 + 0.2e1 * t1319 + 0.2e1 * t1358 + t7 * (t3010 + t3076);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 2] += tv4rho42;

  t3097 = my_piecewise5(t11, 0, t15, 0, t2857 + t2858);
  t3101 = my_piecewise3(t21, 0, 0.4e2 / 0.81e2 * t2699 * t1363 * t132 - 0.1e2 / 0.9e1 * t1290 * t496 - 0.1e2 / 0.9e1 * t1204 * t551 * t132 + 0.1e2 / 0.3e1 * t1207 * t551 + 0.1e2 / 0.3e1 * t492 * t1299 + 0.1e2 / 0.9e1 * t342 * t1370 * t132 + 0.5e1 / 0.3e1 * t26 * t3097);
  t3108 = t6 * t1374 * t140 * t74;
  t3119 = 0.3e1 / 0.2e2 * t6 * t3101 * t30 * t74 + t3108 / 0.1e2 + 0.3e1 / 0.2e2 * t6 * t1375 * t184 + 0.3e1 / 0.1e2 * t2953 - t2957 / 0.1e2 + 0.3e1 / 0.1e2 * t3001 - t2840 + 0.2e1 / 0.15e2 * t2831 - t2880 + 0.2e1 / 0.45e2 * t2762 - t2769 + 0.2e1 / 0.45e2 * t2744;
  t3120 = my_piecewise3(t1, 0, t3119);
  t3137 = my_piecewise5(t15, 0, t11, 0, -t2857 + t2905);
  t3141 = my_piecewise3(t84, 0, 0.4e2 / 0.81e2 * t2774 * t1383 * t192 - 0.1e2 / 0.9e1 * t1320 * t520 - 0.1e2 / 0.9e1 * t1248 * t568 * t192 + 0.1e2 / 0.3e1 * t1251 * t568 + 0.1e2 / 0.3e1 * t516 * t1329 + 0.1e2 / 0.9e1 * t464 * t1390 * t192 + 0.5e1 / 0.3e1 * t86 * t3137);
  t3148 = t6 * t1394 * t140 * t123;
  t3156 = t6 * t1338 * t266;
  t3165 = t6 * t529 * t664;
  t3175 = t6 * t200 * t1548;
  t3177 = 0.3e1 / 0.2e2 * t6 * t3141 * t30 * t123 + t3148 / 0.1e2 + 0.3e1 / 0.1e2 * t3043 - t3047 / 0.1e2 + 0.9e1 / 0.2e2 * t6 * t1334 * t266 + 0.3e1 / 0.1e2 * t3156 - t2923 + 0.2e1 / 0.15e2 * t2926 + 0.3e1 / 0.5e1 * t3056 - t3059 / 0.5e1 + 0.9e1 / 0.2e2 * t6 * t525 * t664 + 0.3e1 / 0.1e2 * t3165 + 0.2e1 / 0.45e2 * t2808 - t2813 - t2939 + 0.2e1 / 0.15e2 * t2941 + 0.3e1 / 0.1e2 * t3070 - t3073 / 0.1e2 + 0.3e1 / 0.2e2 * t6 * t196 * t1548 + t3175 / 0.1e2;
  t3178 = my_piecewise3(t79, 0, t3177);
  tv4rho43 = 0.3e1 * t1319 + 0.3e1 * t1358 + t1382 + t1553 + t7 * (t3120 + t3178);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 3] += tv4rho43;

  t3183 = t546 * t546;
  t3188 = t551 * t551;
  t3195 = my_piecewise5(t11, 0, t15, 0, 0.24e2 * t979 + 0.24e2 * t2713);
  t3199 = my_piecewise3(t21, 0, 0.4e2 / 0.81e2 * t2699 * t3183 - 0.2e2 / 0.9e1 * t1290 * t551 + 0.1e2 / 0.3e1 * t342 * t3188 + 0.4e2 / 0.9e1 * t492 * t1370 + 0.5e1 / 0.3e1 * t26 * t3195);
  t3208 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t3199 * t30 * t74 + 0.2e1 / 0.5e1 * t3108 - t2957 / 0.5e1 + 0.8e1 / 0.45e2 * t2831 - t2769);
  t3219 = t1459 * t1461;
  t3230 = t630 * t630;
  t3231 = 0.1e1 / t3230;
  t3232 = t3231 * t107;
  t3235 = t1454 * t32 * t609;
  t3238 = t1502 * t32;
  t3241 = t609 * t1454 * t241;
  t3244 = t631 * t32;
  t3249 = t1444 * t47 * t240;
  t3254 = t248 * t1444;
  t3258 = t598 * t598;
  t3259 = 0.1e1 / t3258;
  t3260 = t324 * t3259;
  t3265 = 0.1e1 / t92 / t1838;
  t3270 = t1088 * t945;
  t3273 = 0.1e1 / t91 / t3258 / rho[1];
  t3276 = t1471 * t1475 * t49;
  t3295 = t620 * t620;
  t3296 = t48 * t3295;
  t3301 = 0.1e1 / t91 / t1452;
  t3308 = t241 * t47;
  t3309 = t48 * t620;
  t3310 = t3308 * t3309;
  t3315 = t105 / t1470 / t107;
  t3317 = t610 * t610;
  t3326 = t99 * t3301;
  t3336 = t49 * t620;
  t3340 = 0.14e2 / 0.729e3 * t1483 * t3260 * t1484 - 0.427e3 / 0.4374e4 * t619 * t609 * t3265 * t620 - 0.2e1 / 0.19683e5 * t3270 * t3273 * t3276 - 0.14e2 / 0.729e3 * t1473 * t3260 * t1475 + 0.2e1 / 0.2187e4 * t1468 - 0.4e1 / 0.2187e4 * t1486 + 0.35e2 / 0.1458e4 * t1494 + 0.14e2 / 0.729e3 * t1459 * t3259 * t606 * t610 - 0.7e1 / 0.729e3 * t1459 * t3259 * t237 * t620 + t607 * t3270 * t3273 * t47 * t3296 / 0.39366e5 - 0.455e3 / 0.729e3 * t239 * t240 * t3301 * t241 + 0.2e1 / 0.19683e5 * t3270 * t3273 * t606 * t3310 + 0.2e1 / 0.19683e5 * t3315 * t3270 * t3273 * t3317 * t49 + 0.427e3 / 0.2187e4 * t608 * t609 * t3265 * t610 - t624 + 0.455e3 / 0.729e3 * t49 * t3326 * t108 - 0.427e3 / 0.2187e4 * t597 * t3265 * t237 * t241 - t1472 * t3270 * t3273 * t610 * t3336 / 0.6561e4;
  t3349 = t168 * t113 * t1415;
  t3362 = -0.2e1 / 0.2187e4 * t3219 * t246 * t1502 * t107 + 0.2e1 / 0.2187e4 * t3219 * t1811 * t241 - t3219 * t766 * t620 / 0.2187e4 - t247 * t3232 * t3235 / 0.243e3 + t247 * t3238 * t3241 / 0.243e3 - t247 * t3244 * t1493 / 0.486e3 + 0.5e1 / 0.243e3 * t1504 * t3249 - 0.5e1 / 0.243e3 * t1510 * t1489 + 0.5e1 / 0.486e3 * t247 * t3254 * t1516 - 0.3e1 * t98 * t3340 * t249 * t252 - t626 * t1513 * t1516 / 0.54e2 + 0.32e2 / 0.9e1 * t250 * t3349 - t626 * t1503 * t1506 / 0.27e2 + t626 * t1509 * t616 / 0.27e2 - 0.16e2 * t1498 * t642 - 0.8e1 * t627 * t1522;
  t3363 = 0.1e1 / t582;
  t3364 = t632 * t3363;
  t3368 = t248 * t3363 * t241;
  t3381 = t600 * t625;
  t3389 = t1454 * t246;
  t3409 = 0.2e1 / 0.3e1 * t247 * t3364 - 0.2e1 / 0.3e1 * t247 * t3368 - 0.11e2 / 0.9e1 * t626 * t1436 + 0.11e2 / 0.9e1 * t626 * t1440 - t1497 * t634 + t1497 * t638 - 0.34e2 / 0.243e3 * t589 * t1444 * t246 * t249 + 0.2e1 / 0.243e3 * t597 * t3381 * t1431 + t589 * t584 * t625 * t249 / 0.18e2 + 0.23e2 / 0.1458e4 * t597 * t3389 * t632 - 0.23e2 / 0.1458e4 * t597 * t3389 * t1431 - t589 * t229 * t1496 * t249 / 0.27e2 - 0.2e1 / 0.243e3 * t597 * t3381 * t632 - 0.4e2 / 0.27e2 * t112 * t114 * t94 - t1518 + 0.25e2 / 0.162e3 * t49 * t3326 * t110;
  t3410 = t3362 + t3409;
  t3413 = t1525 * t261;
  t3416 = t649 * t656;
  t3421 = t258 * t1537;
  t3430 = t118 / t1536 / t119;
  t3431 = t658 * t658;
  t3437 = t661 * t661;
  t3446 = -0.72e3 * t1538 * t658 * t661 + 0.16e3 * t657 * t263 * t1545 + 0.2e2 * t3410 * t120 - 0.12e3 * t1528 * t661 + 0.48e3 * t1531 * t1542 - 0.48e3 * t3421 * t1539 - 0.8e2 * t652 * t1545 + 0.2e2 * t262 * t3410 - 0.8e2 * t3413 * t263 + 0.24e3 * t3416 * t658 + 0.48e3 * t3430 * t3431 + 0.12e3 * t657 * t3437;
  t3450 = t563 * t563;
  t3455 = t568 * t568;
  t3462 = my_piecewise5(t15, 0, t11, 0, -0.24e2 * t979 + 0.24e2 * t2786);
  t3466 = my_piecewise3(t84, 0, 0.4e2 / 0.81e2 * t2774 * t3450 - 0.2e2 / 0.9e1 * t1320 * t568 + 0.1e2 / 0.3e1 * t464 * t3455 + 0.4e2 / 0.9e1 * t516 * t1390 + 0.5e1 / 0.3e1 * t86 * t3462);
  t3479 = 0.2e1 / 0.5e1 * t3148 + 0.6e1 / 0.5e1 * t3156 + 0.6e1 / 0.5e1 * t3165 + 0.2e1 / 0.5e1 * t3175 - t3073 / 0.5e1 - t3047 / 0.5e1 - 0.2e1 / 0.5e1 * t3059 + 0.3e1 / 0.5e1 * t6 * t224 * t1548 + 0.3e1 / 0.2e2 * t6 * t89 * t3446 + 0.3e1 / 0.2e2 * t6 * t3466 * t30 * t123 + 0.3e1 / 0.5e1 * t6 * t1395 * t266 + 0.9e1 / 0.1e2 * t6 * t573 * t664 - t2813 + 0.8e1 / 0.45e2 * t2926 + 0.8e1 / 0.45e2 * t2941;
  t3480 = my_piecewise3(t79, 0, t3479);
  tv4rho44 = 0.4e1 * t1382 + 0.4e1 * t1553 + t7 * (t3208 + t3480);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 4] += tv4rho44;

  t3488 = t6 * t992 * t302;
  t3494 = t6 * t999 * t302;
  t3497 = t6 * t360 * t740;
  t3504 = 0.2e1 / 0.45e2 * t6 * t1011 * t302;
  t3506 = t6 * t369 * t740;
  t3509 = t6 * t141 * t1713;
  t3511 = t726 * t450;
  t3514 = t297 * t1149;
  t3546 = t1684 * t179;
  t3566 = t1576 * t49;
  t3572 = t1064 * t2573;
  t3575 = t709 * t1062;
  t3578 = t709 * t1068;
  t3585 = t168 * t292 * t439;
  t3588 = t287 * t2615;
  t3591 = t287 * t2621;
  t3594 = -t1621 * t2603 / 0.27e2 + t1624 * t1119 / 0.27e2 - t287 * t2609 * t1075 / 0.54e2 - t1063 * t3566 / 0.162e3 + t1069 * t1664 / 0.162e3 - t164 * t2021 * t3572 / 0.324e3 + t3575 * t1065 / 0.27e2 - t3578 * t410 / 0.27e2 + t709 * t1072 * t1075 / 0.54e2 - 0.2e1 * t167 * t3585 + t3588 * t2618 / 0.243e3 - t3591 * t2624 / 0.243e3;
  t3595 = t287 * t2511;
  t3602 = t1088 / t39 / t2517;
  t3612 = t36 * t1083;
  t3624 = t1088 * t1091;
  t3630 = t64 * t1055;
  t3661 = t3602 * t1101 * t1105 * sigma[0] * t49 / 0.26244e5 + 0.11e2 / 0.1944e4 * t1103 * t1091 * t1105 * t50 - 0.119e3 / 0.2916e4 * t402 * t3612 * t404 - 0.11e2 / 0.1944e4 * t1113 * t1091 * t158 * t1074 - t1650 / 0.2916e4 + t1662 / 0.1458e4 + 0.119e3 / 0.2916e4 * t37 * t1085 - 0.11e2 / 0.1944e4 * t3624 * t1645 + 0.11e2 / 0.3888e4 * t3624 * t1649 - 0.13e2 / 0.1944e4 * t1668 + t707 - 0.35e2 / 0.486e3 * t49 * t3630 * t59 + 0.119e3 / 0.5832e4 * t413 * t3612 * t414 - t3602 * t400 * t158 * sigma[0] * t47 * t2573 / 0.26244e5 - t2579 * t3602 * t2581 * sigma[0] * t49 / 0.26244e5 - t401 * t3602 * t49 * sigma[0] * t2561 / 0.104976e6 + 0.35e2 / 0.486e3 * t156 * t281 * t1118 + t1102 * t3602 * t404 * sigma[0] * t2593 / 0.17496e5;
  t3679 = t37 * t394;
  t3682 = t1643 * t163;
  t3683 = t1062 * t50;
  t3687 = t425 * t50 * t158;
  t3690 = t3595 * t1123 / 0.486e3 - 0.3e1 / 0.2e1 * t1128 * t720 + 0.3e1 * t46 * t3661 * t166 * t170 - 0.6e1 * t421 * t1680 + 0.12e2 * t1672 * t436 + 0.4e1 * t710 * t1134 - 0.8e1 / 0.9e1 * t288 * t2637 - t709 * t1051 / 0.3e1 - t1671 * t432 + t709 * t1047 / 0.3e1 - 0.7e1 / 0.7776e4 * t3679 * t1618 - t3682 * t3683 / 0.11664e5 + t3682 * t3687 / 0.11664e5;
  t3693 = t165 * t50 * t414;
  t3708 = t1083 * t286;
  t3727 = t394 * t708;
  t3731 = -t3682 * t3693 / 0.23328e5 + t1671 * t428 - 0.2e1 / 0.27e2 * t287 * t2653 + 0.2e1 / 0.27e2 * t287 * t2494 + t49 * t3630 * t61 / 0.54e2 + t1629 + 0.17e2 / 0.486e3 * t383 * t1055 * t286 * t166 - 0.5e1 / 0.486e3 * t391 * t3708 * t426 + 0.5e1 / 0.486e3 * t391 * t3708 * t1038 - t383 * t378 * t708 * t166 / 0.36e2 - t678 * t1126 * t165 * t680 / 0.288e3 + t383 * t146 * t1670 * t166 / 0.36e2 + t391 * t3727 * t426 / 0.162e3;
  t3735 = t49 * t64;
  t3744 = t1603 * t1046;
  t3748 = t845 * t1046 * t158;
  t3773 = -t391 * t3727 * t1038 / 0.162e3 - t3735 * t1027 / 0.54e2 + t420 * t165 * t1610 / 0.3e1 - t420 * t425 * t1604 / 0.3e1 - 0.5e1 / 0.18e2 * t1602 * t3744 + 0.5e1 / 0.18e2 * t1608 * t3748 + 0.4e1 / 0.9e1 * t63 * t293 * t1022 - t1613 * t419 * t425 * t58 / 0.1296e4 + t1613 * t1583 * t158 / 0.1296e4 + t2500 * t286 * t1061 * t58 / 0.1458e4 - t2500 * t1948 * t158 / 0.1458e4 + t2500 * t834 * t414 / 0.2916e4 + 0.7e1 / 0.7776e4 * t3679 * t1615;
  t3775 = t3594 + t3690 + t3731 + t3773;
  t3781 = -0.36e3 * t1150 * t734 * t455 + 0.48e3 * t2677 * t299 * t1151 - 0.6e2 * t1140 * t737 - 0.2e2 * t729 * t1157 - 0.6e2 * t1687 * t455 - 0.36e3 * t2668 * t1701 - 0.6e2 * t446 * t1710 - 0.2e2 * t180 * t3775 - 0.6e2 * t3546 * t181 - 0.2e2 * t2660 * t299 - 0.2e2 * t3775 * t71;
  t3787 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t988 * t302 + 0.3e1 / 0.1e2 * t3488 + 0.9e1 / 0.2e2 * t6 * t356 * t740 - t3494 / 0.1e2 + 0.3e1 / 0.5e1 * t3497 + 0.9e1 / 0.2e2 * t6 * t136 * t1713 + t3504 - t3506 / 0.1e2 + 0.3e1 / 0.1e2 * t3509 + 0.3e1 / 0.2e2 * t6 * t31 * (-0.36e3 * t1150 * t737 * t452 + 0.4e2 * t451 * t299 * t1157 + 0.12e3 * t451 * t1710 * t181 + 0.12e3 * t451 * t737 * t455 + 0.24e3 * t1143 * t1704 + 0.12e3 * t1143 * t1707 - 0.12e3 * t3514 * t1151 + 0.12e3 * t1690 * t1154 + 0.12e3 * t2663 * t734 + 0.12e3 * t3511 * t452 + t3781));
  tv4rho3sigma0 = t7 * t3787 + 0.3e1 * t1718;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  tv4rho3sigma1 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 1] += tv4rho3sigma1;

  t3794 = t6 * t1186 * t335;
  t3797 = t6 * t1190 * t335;
  t3801 = 0.2e1 / 0.45e2 * t6 * t1194 * t335;
  t3803 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t1182 * t335 + 0.3e1 / 0.1e2 * t3794 - t3797 / 0.1e2 + t3801);
  tv4rho3sigma2 = t7 * t3803 + 0.3e1 * t1731;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 2] += tv4rho3sigma2;

  t3805 = 0.2e1 * t1745;
  t3811 = t6 * t1224 * t302 / 0.5e1;
  t3816 = t6 * t1231 * t302;
  t3820 = t6 * t505 * t740 / 0.5e1;
  t3829 = 0.3e1 / 0.2e2 * t6 * t1220 * t302 + t3811 + 0.3e1 / 0.1e2 * t6 * t501 * t740 - t3816 / 0.3e2 + t3820 + 0.3e1 / 0.2e2 * t6 * t213 * t1713 + t3488 / 0.1e2 - t3494 / 0.15e2 + t3497 / 0.5e1 + t3504 - t3506 / 0.15e2 + t3509 / 0.1e2;
  t3830 = my_piecewise3(t1, 0, t3829);
  tv4rho3sigma3 = t7 * t3830 + t1718 + t3805;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 3] += tv4rho3sigma3;

  tv4rho3sigma4 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 4] += tv4rho3sigma4;

  t3832 = 0.2e1 * t1761;
  t3838 = t6 * t1267 * t335 / 0.5e1;
  t3840 = t6 * t1271 * t335;
  t3849 = t6 * t480 * t827 / 0.5e1;
  t3851 = t6 * t484 * t827;
  t3854 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t1263 * t335 + t3838 - t3840 / 0.3e2 + t3794 / 0.1e2 - t3797 / 0.15e2 + t3801 + 0.3e1 / 0.2e2 * t6 * t476 * t827 + t3849 - t3851 / 0.3e2);
  tv4rho3sigma5 = t7 * t3854 + t1731 + t3832;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 5] += tv4rho3sigma5;

  t3860 = t6 * t1308 * t302;
  t3869 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t1304 * t302 + t3860 / 0.1e2 + 0.3e1 / 0.2e2 * t6 * t556 * t740 + t3811 - t3816 / 0.15e2 + t3820 - t3494 / 0.3e2 + t3504 - t3506 / 0.3e2);
  tv4rho3sigma6 = t7 * t3869 + t1769 + t3805;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 6] += tv4rho3sigma6;

  tv4rho3sigma7 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 7] += tv4rho3sigma7;

  t3875 = t6 * t1338 * t335;
  t3882 = t6 * t529 * t827;
  t3890 = t6 * t200 * t1921;
  t3892 = 0.3e1 / 0.2e2 * t6 * t1334 * t335 + t3875 / 0.1e2 + t3838 - t3840 / 0.15e2 + 0.3e1 / 0.1e2 * t6 * t525 * t827 + t3882 / 0.5e1 - t3797 / 0.3e2 + t3801 + t3849 - t3851 / 0.15e2 + 0.3e1 / 0.2e2 * t6 * t196 * t1921 + t3890 / 0.1e2;
  t3893 = my_piecewise3(t79, 0, t3892);
  tv4rho3sigma8 = t7 * t3893 + t1926 + t3832;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 8] += tv4rho3sigma8;

  t3902 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t1375 * t302 + 0.3e1 / 0.1e2 * t3860 - t3816 / 0.1e2 + t3504);
  tv4rho3sigma9 = t7 * t3902 + 0.3e1 * t1769;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 9] += tv4rho3sigma9;

  tv4rho3sigma10 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 10] += tv4rho3sigma10;

  t3931 = t49 * t113;
  t3934 = t600 * t795;
  t3955 = t113 * t1444;
  t3959 = -t589 * t229 * t1867 * t249 / 0.36e2 + t3931 * t1420 / 0.54e2 - t597 * t3934 * t632 / 0.162e3 + t597 * t3934 * t1431 / 0.162e3 + t765 * t1496 * t248 * t767 / 0.288e3 + t796 * t1440 / 0.3e1 - t796 * t1436 / 0.3e1 + 0.2e1 / 0.27e2 * t320 * t3364 - 0.2e1 / 0.27e2 * t320 * t3368 - t1868 * t634 + t1868 * t638 - t49 * t3955 * t110 / 0.54e2;
  t3960 = t1454 * t319;
  t3975 = t1801 * t1435;
  t3979 = t912 * t1435 * t241;
  t3988 = t37 * t600;
  t3991 = t1840 * t246;
  t3992 = t1503 * t99;
  t3996 = t631 * t99 * t241;
  t4000 = t248 * t99 * t620;
  t4004 = t319 * t1502 * t107;
  t4007 = 0.5e1 / 0.486e3 * t597 * t3960 * t632 - 0.5e1 / 0.486e3 * t597 * t3960 * t1431 + t589 * t584 * t795 * t249 / 0.36e2 - 0.17e2 / 0.486e3 * t589 * t1444 * t319 * t249 + 0.5e1 / 0.18e2 * t1800 * t3975 - 0.5e1 / 0.18e2 * t1805 * t3979 - 0.4e1 / 0.9e1 * t112 * t326 * t1415 - t626 * t248 * t1807 / 0.3e1 + 0.7e1 / 0.7776e4 * t3988 * t1815 + t3991 * t3992 / 0.11664e5 - t3991 * t3996 / 0.11664e5 + t3991 * t4000 / 0.23328e5 - t3219 * t4004 / 0.1458e4;
  t4009 = t2125 * t241;
  t4012 = t901 * t620;
  t4028 = t168 * t325 * t645;
  t4039 = t1821 * t49;
  t4045 = t1505 * t3309;
  t4050 = t3219 * t4009 / 0.1458e4 - t3219 * t4012 / 0.2916e4 + t1810 * t625 * t631 * t107 / 0.1296e4 - t1810 * t1790 * t241 / 0.1296e4 + t626 * t631 * t1802 / 0.3e1 - 0.7e1 / 0.7776e4 * t3988 * t1812 + 0.2e1 * t250 * t4028 - t320 * t631 * t1444 * t3308 * t240 / 0.27e2 + t320 * t3254 * t1516 / 0.54e2 + t1504 * t4039 / 0.162e3 - t1510 * t1861 / 0.162e3 + t247 * t2178 * t4045 / 0.324e3 + t1872 * t3249 / 0.27e2;
  t4051 = t796 * t1503;
  t4054 = t796 * t1509;
  t4064 = t1088 * t1461;
  t4075 = t1088 / t91 / t3258;
  t4085 = t36 * t1454;
  t4120 = t1859 / 0.1458e4 - 0.13e2 / 0.1944e4 * t1865 + 0.119e3 / 0.2916e4 * t37 * t1456 - 0.11e2 / 0.1944e4 * t4064 * t1842 + 0.11e2 / 0.3888e4 * t4064 * t1846 - 0.11e2 / 0.1944e4 * t1483 * t1461 * t241 * t1515 + t4075 * t1471 * t1475 * sigma[2] * t49 / 0.26244e5 + 0.11e2 / 0.1944e4 * t1473 * t1461 * t1475 * t99 - 0.119e3 / 0.2916e4 * t608 * t4085 * t610 + t794 - t1847 / 0.2916e4 + 0.119e3 / 0.5832e4 * t619 * t4085 * t620 - 0.35e2 / 0.486e3 * t49 * t3955 * t108 - t4075 * t606 * t241 * sigma[2] * t47 * t3309 / 0.26244e5 - t3315 * t4075 * t3317 * sigma[2] * t49 / 0.26244e5 - t607 * t4075 * t49 * sigma[2] * t3295 / 0.104976e6 + 0.35e2 / 0.486e3 * t239 * t314 * t1488 + t1472 * t4075 * t610 * sigma[2] * t3336 / 0.17496e5;
  t4125 = t320 * t3232;
  t4128 = t320 * t3238;
  t4131 = t320 * t3244;
  t4144 = -t4051 * t1506 / 0.27e2 + t4054 * t616 / 0.27e2 - t796 * t1513 * t1516 / 0.54e2 - 0.3e1 * t98 * t4120 * t249 * t252 - t4125 * t3235 / 0.243e3 + t4128 * t3241 / 0.243e3 - t4131 * t1493 / 0.486e3 + 0.3e1 / 0.2e1 * t1498 * t807 - 0.12e2 * t1869 * t642 + 0.6e1 * t627 * t1888 - 0.4e1 * t797 * t1522 + 0.8e1 / 0.9e1 * t321 * t3349 - t1880;
  t4146 = t3959 + t4007 + t4050 + t4144;
  t4149 = t813 * t656;
  t4152 = t330 * t1537;
  t4176 = t1892 * t261;
  t4192 = -0.36e3 * t1538 * t824 * t658 + 0.4e2 * t657 * t332 * t1545 + 0.12e3 * t657 * t1918 * t263 + 0.12e3 * t657 * t824 * t661 - 0.6e2 * t1528 * t824 - 0.2e2 * t816 * t1545 - 0.6e2 * t1895 * t661 - 0.6e2 * t652 * t1918 + 0.2e2 * t262 * t4146 - 0.6e2 * t4176 * t263 - 0.2e2 * t3413 * t332;
  t4198 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t1395 * t335 + 0.3e1 / 0.1e2 * t3875 + 0.9e1 / 0.2e2 * t6 * t573 * t827 - t3840 / 0.1e2 + 0.3e1 / 0.5e1 * t3882 + 0.9e1 / 0.2e2 * t6 * t224 * t1921 + t3801 - t3851 / 0.1e2 + 0.3e1 / 0.1e2 * t3890 + 0.3e1 / 0.2e2 * t6 * t89 * (-0.36e3 * t1538 * t821 * t661 + 0.48e3 * t3430 * t332 * t1539 + 0.2e2 * t4146 * t120 + 0.24e3 * t1531 * t1912 + 0.12e3 * t1531 * t1915 - 0.12e3 * t4152 * t1539 + 0.12e3 * t1898 * t1542 - 0.36e3 * t3421 * t1909 + 0.12e3 * t3416 * t821 + 0.12e3 * t4149 * t658 + t4192));
  tv4rho3sigma11 = t7 * t4198 + 0.3e1 * t1926;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 11] += tv4rho3sigma11;

  t4205 = t6 * t360 * t896;
  t4212 = t6 * t369 * t896 / 0.3e2;
  t4214 = t6 * t141 * t2066;
  t4249 = -0.12e3 * t1150 * t893 * t452 - 0.12e3 * t1150 * t890 * t455 - 0.48e3 * t1150 * t734 * t737 + 0.8e2 * t451 * t299 * t1710 + 0.8e2 * t451 * t2063 * t181 + 0.48e3 * t2677 * t890 * t452 + 0.4e2 * t451 * t893 * t455 + 0.8e2 * t1143 * t2060 + 0.16e3 * t1690 * t1704 + 0.8e2 * t1690 * t1707 - 0.24e3 * t3514 * t1701 - 0.24e3 * t2668 * t2052 + 0.16e3 * t3511 * t734;
  t4262 = t1643 * t286;
  t4267 = t708 * t425;
  t4284 = t1671 * t869 / 0.8e1 - t1671 * t873 / 0.8e1 - t63 * t881 * t439 + t1942 * t3744 / 0.9e1 - t1945 * t3748 / 0.9e1 - t4262 * t3687 / 0.2916e4 + t4262 * t3693 / 0.5832e4 + t1613 * t4267 * t58 / 0.432e3 - t1613 * t1963 * t158 / 0.432e3 + 0.2e1 / 0.3e1 * t709 * t425 * t1604 - 0.25e2 / 0.7776e4 * t3679 * t1949 - 0.2e1 / 0.3e1 * t709 * t165 * t1610 + 0.25e2 / 0.7776e4 * t3679 * t1952;
  t4287 = t58 * t2253;
  t4288 = t4287 * t427;
  t4292 = t2253 * t427 * t158;
  t4322 = t49 * t146;
  t4325 = t4262 * t3683 / 0.2916e4 - t1602 * t4288 / 0.4e1 + t1608 * t4292 / 0.4e1 + t2026 + 0.3e1 * t1672 * t720 - 0.9e1 / 0.4e1 * t421 * t2030 + t287 * t2614 * t58 * t32 * t1656 / 0.648e3 - t287 * t1061 * t37 * t394 * t158 / 0.648e3 + t1942 * t37 * t415 / 0.1296e4 + t3735 * t1633 / 0.81e2 + t678 * t1670 * t165 * t680 / 0.144e3 - 0.5e1 / 0.1296e4 * t49 * t378 * t61 * t292 - t4322 * t1968 / 0.216e3;
  t4327 = t394 * t864;
  t4367 = 0.1e1 / t39 / t1090;
  t4368 = t1088 * t4367;
  t4385 = t64 * t1642;
  t4417 = t1989 / 0.7776e4 - 0.7e1 / 0.648e3 * t49 * t292 * t378 * t59 - 0.7e1 / 0.3888e4 * t846 * t396 - t4368 * t1101 * t1105 * t47 * t48 / 0.69984e5 + 0.19e2 / 0.15552e5 * t1981 * t1642 * t400 * t404 - 0.19e2 / 0.31104e5 * t1981 * t1642 * t154 * t414 + t4368 * t400 * t2574 / 0.69984e5 - 0.19e2 / 0.15552e5 * t1103 * t4385 * t1105 + t2579 * t1088 * t4367 * t2581 * t49 / 0.69984e5 + 0.19e2 / 0.15552e5 * t1113 * t4385 * t1114 + t1113 * t4367 * t47 * t2562 / 0.279936e6 - 0.7e1 / 0.7776e4 * t413 * t851 * t415 + 0.7e1 / 0.648e3 * t156 * t856 * t409 - t1102 * t4368 * t404 * t47 * t2573 / 0.46656e5 + 0.7e1 / 0.3888e4 * t402 * t851 * t405 - t863 - t2000 / 0.3888e4 + t2007 / 0.864e3;
  t4423 = t168 * t880 * t39;
  t4426 = -t391 * t4327 * t426 / 0.486e3 + t383 * t378 * t864 * t166 / 0.108e3 - t678 * t1583 * t1967 / 0.288e3 - t1613 * t1614 * t1603 / 0.2592e4 + t1613 * t679 * t2238 / 0.2592e4 - t383 * t146 * t2009 * t166 / 0.54e2 + t391 * t4327 * t1038 / 0.486e3 - t865 * t1047 / 0.9e1 + t865 * t1051 / 0.9e1 - 0.2e1 / 0.3e1 * t2010 * t428 + 0.2e1 / 0.3e1 * t2010 * t432 - 0.3e1 * t46 * t4417 * t166 * t170 - 0.6e1 * t167 * t4423;
  t4438 = t865 * t1062;
  t4441 = t865 * t1068;
  t4457 = -t3578 * t702 / 0.108e3 + t709 * t2021 * t2024 / 0.216e3 + t1621 * t3566 / 0.648e3 - t1624 * t1664 / 0.648e3 + t2022 * t3572 / 0.1296e4 - t4438 * t1065 / 0.81e2 + t4441 * t410 / 0.81e2 - t865 * t1072 * t1075 / 0.162e3 + t3575 * t2016 / 0.108e3 - 0.8e1 * t2011 * t436 + 0.8e1 * t710 * t1680 - 0.4e1 / 0.3e1 * t866 * t1134 + 0.4e1 / 0.3e1 * t288 * t3585;
  t4459 = t4284 + t4325 + t4426 + t4457;
  t4462 = t885 * t450;
  t4465 = t737 * t737;
  t4468 = t2038 * t179;
  t4488 = -0.2e2 * t1140 * t893 + 0.16e3 * t1143 * t2055 - 0.8e2 * t1687 * t737 - 0.4e2 * t729 * t1710 + 0.2e2 * t180 * t4459 - 0.4e2 * t4468 * t181 - 0.2e2 * t2041 * t455 - 0.4e2 * t446 * t2063 + 0.4e2 * t2663 * t890 - 0.4e2 * t3546 * t299 + 0.2e2 * t4459 * t71 + 0.4e2 * t4462 * t452 + 0.8e2 * t451 * t4465;
  t4494 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t356 * t896 + t4205 / 0.5e1 + 0.3e1 / 0.1e2 * t6 * t136 * t2066 - t4212 + t4214 / 0.5e1 + 0.3e1 / 0.2e2 * t6 * t31 * (t4249 + t4488));
  tv4rho2sigma20 = t7 * t4494 + 0.2e1 * t2071;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  tv4rho2sigma21 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 1] += tv4rho2sigma21;

  tv4rho2sigma22 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 2] += tv4rho2sigma22;

  tv4rho2sigma23 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 3] += tv4rho2sigma23;

  tv4rho2sigma24 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 4] += tv4rho2sigma24;

  t4501 = t6 * t480 * t963;
  t4505 = t6 * t484 * t963 / 0.3e2;
  t4507 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t476 * t963 + t4501 / 0.5e1 - t4505);
  tv4rho2sigma25 = t7 * t4507 + 0.2e1 * t2080;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 5] += tv4rho2sigma25;

  t4513 = t6 * t505 * t896;
  t4521 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t501 * t896 + t4513 / 0.1e2 + 0.3e1 / 0.2e2 * t6 * t213 * t2066 + t4205 / 0.1e2 - t4212 + t4214 / 0.1e2);
  tv4rho2sigma26 = t7 * t4521 + t2071 + t2086;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 6] += tv4rho2sigma26;

  tv4rho2sigma27 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 7] += tv4rho2sigma27;

  tv4rho2sigma28 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 8] += tv4rho2sigma28;

  tv4rho2sigma29 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 9] += tv4rho2sigma29;

  tv4rho2sigma210 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 10] += tv4rho2sigma210;

  t4527 = t6 * t529 * t963;
  t4534 = t6 * t200 * t2223;
  t4537 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t525 * t963 + t4527 / 0.1e2 + t4501 / 0.1e2 - t4505 + 0.3e1 / 0.2e2 * t6 * t196 * t2223 + t4534 / 0.1e2);
  tv4rho2sigma211 = t7 * t4537 + t2080 + t2228;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 11] += tv4rho2sigma211;

  t4545 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t556 * t896 + t4513 / 0.5e1 - t4212);
  tv4rho2sigma212 = t7 * t4545 + 0.2e1 * t2086;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 12] += tv4rho2sigma212;

  tv4rho2sigma213 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 13] += tv4rho2sigma213;

  tv4rho2sigma214 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 14] += tv4rho2sigma214;

  tv4rho2sigma215 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 15] += tv4rho2sigma215;

  tv4rho2sigma216 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 16] += tv4rho2sigma216;

  t4573 = t600 * t931;
  t4608 = -t597 * t4573 * t632 / 0.486e3 + t597 * t4573 * t1431 / 0.486e3 + t765 * t1867 * t248 * t767 / 0.144e3 + 0.3e1 * t1869 * t807 - 0.9e1 / 0.4e1 * t627 * t2187 - 0.8e1 * t2168 * t642 + 0.8e1 * t797 * t1888 - 0.4e1 / 0.3e1 * t933 * t1522 + 0.4e1 / 0.3e1 * t321 * t4028 + t2183 + t3931 * t1830 / 0.81e2 + t320 * t3231 * t107 * t32 * t1853 / 0.648e3 - t320 * t1502 * t37 * t600 * t241 / 0.648e3;
  t4613 = t2350 * t633 * t241;
  t4626 = t1840 * t319;
  t4633 = t795 * t631;
  t4646 = t2118 * t37 * t621 / 0.1296e4 + t1805 * t4613 / 0.4e1 + 0.2e1 / 0.3e1 * t796 * t631 * t1802 - 0.25e2 / 0.7776e4 * t3988 * t2126 - 0.2e1 / 0.3e1 * t796 * t248 * t1807 + 0.25e2 / 0.7776e4 * t3988 * t2129 + t4626 * t3992 / 0.2916e4 - t4626 * t3996 / 0.2916e4 + t4626 * t4000 / 0.5832e4 + t1810 * t4633 * t107 / 0.432e3 - t1810 * t2099 * t241 / 0.432e3 - t765 * t1790 * t2103 / 0.288e3 - t1810 * t1811 * t1801 / 0.2592e4;
  t4655 = t49 * t229;
  t4664 = t107 * t2350;
  t4665 = t4664 * t633;
  t4678 = t325 * t584;
  t4684 = t1810 * t766 * t2386 / 0.2592e4 - t589 * t229 * t2166 * t249 / 0.54e2 - t4655 * t2104 / 0.216e3 + t589 * t584 * t931 * t249 / 0.108e3 - t112 * t948 * t645 - t1800 * t4665 / 0.4e1 + t2118 * t3975 / 0.9e1 - t2122 * t3979 / 0.9e1 - t932 * t1436 / 0.9e1 + t932 * t1440 / 0.9e1 - t1868 * t940 / 0.8e1 - 0.5e1 / 0.1296e4 * t49 * t4678 * t110 - 0.2e1 / 0.3e1 * t2167 * t634;
  t4696 = t932 * t1503;
  t4699 = t932 * t1509;
  t4705 = t113 * t1839;
  t4711 = 0.1e1 / t91 / t1460;
  t4726 = t1088 * t4711;
  t4759 = t2146 / 0.7776e4 - t2157 / 0.3888e4 + t2164 / 0.864e3 - t930 - 0.19e2 / 0.15552e5 * t1473 * t4705 * t1475 + t3315 * t1088 * t4711 * t3317 * t49 / 0.69984e5 + 0.19e2 / 0.15552e5 * t1483 * t4705 * t1484 + t1483 * t4711 * t47 * t3296 / 0.279936e6 - 0.7e1 / 0.7776e4 * t619 * t918 * t621 + t4726 * t606 * t3310 / 0.69984e5 + 0.19e2 / 0.15552e5 * t2138 * t1839 * t606 * t610 - 0.19e2 / 0.31104e5 * t2138 * t1839 * t237 * t620 + 0.7e1 / 0.3888e4 * t608 * t918 * t611 + 0.7e1 / 0.648e3 * t239 * t923 * t615 - t1472 * t4726 * t610 * t47 * t3309 / 0.46656e5 - t4726 * t1471 * t1475 * t47 * t48 / 0.69984e5 - 0.7e1 / 0.648e3 * t49 * t4678 * t108 - 0.7e1 / 0.3888e4 * t913 * t602;
  t4774 = t168 * t947 * t91;
  t4777 = 0.2e1 / 0.3e1 * t2167 * t638 + t1868 * t936 / 0.8e1 - t932 * t1513 * t1516 / 0.162e3 + t4051 * t2173 / 0.108e3 - t4054 * t789 / 0.108e3 - t4696 * t1506 / 0.81e2 + t4699 * t616 / 0.81e2 - 0.3e1 * t98 * t4759 * t249 * t252 + t796 * t2178 * t2181 / 0.216e3 + t1872 * t4039 / 0.648e3 - t1875 * t1861 / 0.648e3 + t2179 * t4045 / 0.1296e4 - 0.6e1 * t250 * t4774;
  t4779 = t4608 + t4646 + t4684 + t4777;
  t4795 = -0.12e3 * t1538 * t960 * t658 - 0.12e3 * t1538 * t957 * t661 - 0.48e3 * t1538 * t821 * t824 + 0.8e2 * t657 * t2220 * t263 + 0.48e3 * t3430 * t957 * t658 + 0.4e2 * t657 * t960 * t661 + 0.2e2 * t4779 * t120 + 0.16e3 * t1531 * t2212 + 0.16e3 * t1898 * t1912 + 0.8e2 * t1898 * t1915 - 0.24e3 * t4152 * t1909 - 0.24e3 * t3421 * t2209 + 0.16e3 * t4149 * t821;
  t4807 = t2195 * t261;
  t4821 = t952 * t656;
  t4824 = t824 * t824;
  t4827 = 0.8e2 * t657 * t332 * t1918 - 0.2e2 * t1528 * t960 + 0.8e2 * t1531 * t2217 - 0.8e2 * t1895 * t824 - 0.4e2 * t816 * t1918 - 0.2e2 * t2198 * t661 - 0.4e2 * t652 * t2220 + 0.2e2 * t262 * t4779 - 0.4e2 * t4807 * t263 - 0.4e2 * t4176 * t332 + 0.4e2 * t3416 * t957 + 0.4e2 * t4821 * t658 + 0.8e2 * t657 * t4824;
  t4833 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t573 * t963 + t4527 / 0.5e1 + 0.3e1 / 0.1e2 * t6 * t224 * t2223 - t4505 + t4534 / 0.5e1 + 0.3e1 / 0.2e2 * t6 * t89 * (t4795 + t4827));
  tv4rho2sigma217 = t7 * t4833 + 0.2e1 * t2228;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 17] += tv4rho2sigma217;

  t4840 = t6 * t141 * t2342 / 0.1e2;
  t4852 = t1088 * t1982 * t286;
  t4863 = t864 * t425;
  t4873 = t865 * t425 * t1604 / 0.2e1 - t865 * t165 * t1610 / 0.2e1 - 0.3e1 / 0.4e1 * t1942 * t4288 + 0.3e1 / 0.4e1 * t1945 * t4292 - t4852 * t1062 * t64 / 0.7776e4 + t4852 * t425 * t64 * t158 / 0.7776e4 - t4852 * t2021 * t414 / 0.15552e5 + 0.5e1 / 0.2592e4 * t1613 * t4863 * t58 - 0.5e1 / 0.2592e4 * t1613 * t2230 * t158 + 0.15e2 / 0.2e1 * t63 * t2245 * t39 - t2319;
  t4888 = t58 * t880;
  t4904 = t1088 * t845;
  t4906 = 0.1e1 / t39 / t1641;
  t4915 = t880 * t146;
  t4946 = t1989 / 0.31104e5 + t4904 * t4906 * t2588 / 0.186624e6 - t413 * t2288 * t2005 / 0.1728e4 + t2294 + t2301 - t2283 - t863 - t2000 / 0.15552e5 + t2007 / 0.1296e4 - t49 * t4915 * t59 / 0.144e3 - t2271 * t695 / 0.864e3 - t4904 * t4906 * t400 * t2574 / 0.186624e6 - t2579 * t4904 * t4906 * t2581 * t49 / 0.186624e6 + t402 * t2288 * t1995 / 0.864e3 - t401 * t4904 * t4906 * t47 * t2562 / 0.746496e6 + t156 * t2295 * t159 / 0.144e3 + t1102 * t4904 * t4906 * t404 * t2593 / 0.124416e6;
  t4953 = -t383 * t146 * t2302 * t166 / 0.108e3 + t678 * t2009 * t165 * t680 / 0.96e2 - t2234 * t4267 * t1603 / 0.2304e4 + t2234 * t1963 * t2238 / 0.2304e4 + t678 * t679 * t4888 / 0.128e3 - t678 * t1963 * t1967 / 0.96e2 - 0.27e2 / 0.4e1 * t710 * t2030 - 0.4e1 * t2304 * t436 + 0.6e1 * t866 * t1680 - 0.9e1 * t288 * t4423 - 0.3e1 * t46 * t4946 * t166 * t170 - t3575 * t2309 / 0.576e3;
  t4983 = -t3588 * t845 * t32 * t698 / 0.1728e4 + t3591 * t851 * t693 * t158 / 0.1728e4 + t3578 * t857 / 0.576e3 - t3595 * t2006 / 0.3456e4 - t709 * t2314 * t2317 / 0.1152e4 + 0.9e1 / 0.2e1 * t2011 * t720 + t2303 * t432 / 0.3e1 + t49 * t4915 * t61 / 0.144e3 + t2010 * t869 / 0.4e1 - t2010 * t873 / 0.4e1 + t709 * t2258 / 0.4e1;
  t4995 = t168 * t2244 * t51;
  t5012 = -t2303 * t428 / 0.3e1 - t709 * t2254 / 0.4e1 - t4322 * t2264 / 0.144e3 - t1613 * t2235 / 0.1296e4 + t1613 * t2239 / 0.1296e4 + 0.45e2 / 0.8e1 * t167 * t4995 + t4438 * t2016 / 0.108e3 - t4441 * t702 / 0.108e3 + t865 * t2021 * t2024 / 0.216e3 - t1621 * t2307 * t2015 / 0.144e3 + t1624 * t2002 / 0.144e3 - t2315 * t2024 / 0.288e3;
  t5014 = t4873 + t4953 + t4983 + t5012;
  t5017 = t2324 * t179;
  t5066 = -0.36e3 * t1150 * t2336 * t181 - 0.36e3 * t1150 * t890 * t737 + 0.48e3 * t2677 * t2333 * t181 + 0.4e2 * t451 * t2339 * t181 + 0.12e3 * t451 * t299 * t2063 + 0.12e3 * t451 * t737 * t893 + 0.12e3 * t1143 * t2336 + 0.2e2 * t180 * t5014 - 0.6e2 * t729 * t2063 - 0.12e3 * t2668 * t2333 - 0.2e2 * t446 * t2339;
  t5072 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t136 * t2342 + t4840 + 0.3e1 / 0.2e2 * t6 * t31 * (-0.6e2 * t1687 * t893 + 0.24e3 * t1690 * t2055 + 0.12e3 * t1690 * t2060 - 0.2e2 * t5017 * t181 - 0.6e2 * t2041 * t737 - 0.36e3 * t3514 * t2052 - 0.6e2 * t4468 * t299 + 0.12e3 * t3511 * t890 + 0.12e3 * t4462 * t734 + 0.2e2 * t5014 * t71 + t5066));
  tv4rhosigma30 = t7 * t5072 + t2346;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  tv4rhosigma31 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 1] += tv4rhosigma31;

  tv4rhosigma32 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 2] += tv4rhosigma32;

  tv4rhosigma33 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 3] += tv4rhosigma33;

  tv4rhosigma34 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 4] += tv4rhosigma34;

  tv4rhosigma35 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 5] += tv4rhosigma35;

  tv4rhosigma36 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 6] += tv4rhosigma36;

  tv4rhosigma37 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 7] += tv4rhosigma37;

  tv4rhosigma38 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 8] += tv4rhosigma38;

  t5079 = t6 * t200 * t2459 / 0.1e2;
  t5081 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t196 * t2459 + t5079);
  tv4rhosigma39 = t7 * t5081 + t2463;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 9] += tv4rhosigma39;

  t5087 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t213 * t2342 + t4840);
  tv4rhosigma310 = t7 * t5087 + t2346;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 10] += tv4rhosigma310;

  tv4rhosigma311 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 11] += tv4rhosigma311;

  tv4rhosigma312 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 12] += tv4rhosigma312;

  tv4rhosigma313 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 13] += tv4rhosigma313;

  tv4rhosigma314 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 14] += tv4rhosigma314;

  tv4rhosigma315 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 15] += tv4rhosigma315;

  tv4rhosigma316 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 16] += tv4rhosigma316;

  tv4rhosigma317 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 17] += tv4rhosigma317;

  tv4rhosigma318 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 18] += tv4rhosigma318;

  t5095 = t2138 * t2139;
  t5104 = t931 * t631;
  t5121 = -t932 * t248 * t1807 / 0.2e1 - t5095 * t4004 / 0.7776e4 + 0.3e1 / 0.4e1 * t2122 * t4613 + t5095 * t4009 / 0.7776e4 - t5095 * t4012 / 0.15552e5 + 0.5e1 / 0.2592e4 * t1810 * t5104 * t107 - 0.5e1 / 0.2592e4 * t1810 * t2378 * t241 + t932 * t631 * t1802 / 0.2e1 - 0.3e1 / 0.4e1 * t2118 * t4665 + 0.15e2 / 0.2e1 * t112 * t2374 * t91 - t4655 * t2392 / 0.144e3;
  t5130 = t168 * t2373 * t100;
  t5153 = -t2370 + t4054 * t924 / 0.576e3 - t4131 * t2163 / 0.3456e4 - t796 * t2365 * t2368 / 0.1152e4 + 0.45e2 / 0.8e1 * t250 * t5130 - t1872 * t2358 * t2172 / 0.144e3 + t1875 * t2159 / 0.144e3 - t2366 * t2181 / 0.288e3 - t4051 * t2360 / 0.576e3 - t4125 * t912 * t32 * t785 / 0.1728e4 + t4128 * t918 * t780 * t241 / 0.1728e4 + t49 * t2114 * t947 / 0.144e3;
  t5177 = t107 * t947;
  t5181 = -t2167 * t940 / 0.4e1 - t796 * t2351 / 0.4e1 + t796 * t2355 / 0.4e1 - t2431 * t634 / 0.3e1 + t2431 * t638 / 0.3e1 + t2167 * t936 / 0.4e1 + 0.6e1 * t933 * t1888 - 0.4e1 * t2432 * t642 - 0.9e1 * t321 * t4774 - t589 * t229 * t2430 * t249 / 0.108e3 + t765 * t766 * t5177 / 0.128e3;
  t5182 = t780 * t319;
  t5214 = t1088 * t912;
  t5216 = 0.1e1 / t91 / t1838;
  t5254 = t2146 / 0.31104e5 - t2157 / 0.15552e5 + t2164 / 0.1296e4 + t5214 * t5216 * t3276 / 0.186624e6 - t619 * t2416 * t2162 / 0.1728e4 - t930 - t607 * t5214 * t5216 * t47 * t3296 / 0.746496e6 + t239 * t2423 * t242 / 0.144e3 - t5214 * t5216 * t606 * t3310 / 0.186624e6 - t3315 * t5214 * t5216 * t3317 * t49 / 0.186624e6 + t608 * t2416 * t2152 / 0.864e3 + t2422 + t2429 - t49 * t947 * t229 * t108 / 0.144e3 - t2399 * t782 / 0.864e3 - t2411 + t1472 * t5214 * t5216 * t610 * t3336 / 0.124416e6;
  t5261 = -t913 * t5182 * t632 / 0.1296e4 + t913 * t5182 * t1431 / 0.1296e4 + t765 * t2166 * t248 * t767 / 0.96e2 - t2382 * t4633 * t1801 / 0.2304e4 + t2382 * t2099 * t2386 / 0.2304e4 - t765 * t2099 * t2103 / 0.96e2 + t4696 * t2173 / 0.108e3 - t4699 * t789 / 0.108e3 + t932 * t2178 * t2181 / 0.216e3 - 0.27e2 / 0.4e1 * t797 * t2187 - 0.3e1 * t98 * t5254 * t249 * t252 + 0.9e1 / 0.2e1 * t2168 * t807;
  t5263 = t5121 + t5153 + t5181 + t5261;
  t5266 = t2441 * t261;
  t5315 = -0.36e3 * t1538 * t2453 * t263 - 0.36e3 * t1538 * t957 * t824 + 0.12e3 * t657 * t332 * t2220 + 0.48e3 * t3430 * t2450 * t263 + 0.4e2 * t657 * t2456 * t263 + 0.12e3 * t657 * t824 * t960 + 0.12e3 * t1531 * t2453 - 0.6e2 * t816 * t2220 - 0.12e3 * t3421 * t2450 - 0.2e2 * t652 * t2456 + 0.2e2 * t262 * t5263;
  t5321 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t224 * t2459 + t5079 + 0.3e1 / 0.2e2 * t6 * t89 * (0.2e2 * t5263 * t120 - 0.6e2 * t1895 * t960 + 0.24e3 * t1898 * t2212 + 0.12e3 * t1898 * t2217 - 0.6e2 * t2198 * t824 - 0.36e3 * t4152 * t2209 - 0.2e2 * t5266 * t263 - 0.6e2 * t4807 * t332 + 0.12e3 * t4149 * t957 + 0.12e3 * t4821 * t821 + t5315));
  tv4rhosigma319 = t7 * t5321 + t2463;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 19] += tv4rhosigma319;

  t5349 = 0.1e1 / t2242;
  t5365 = t1088 * t2275 * t286;
  t5369 = -t2319 + t3588 * t2253 * t32 * t36 * t42 / 0.4608e4 - t3591 * t2288 * t42 * t158 / 0.4608e4 + t3595 * t2299 / 0.9216e4 + 0.6e1 * t2304 * t720 - 0.27e2 / 0.2e1 * t866 * t2030 + t678 * t834 * t4888 / 0.32e2 + t678 * t2302 * t165 * t680 / 0.72e2 - 0.11e2 / 0.16e2 * t865 * t2254 + 0.11e2 / 0.16e2 * t865 * t2258 + 0.25e2 / 0.32e2 * t287 * t426 * t5349 - 0.5e1 / 0.192e3 * t49 * t274 * t2244 + 0.3e1 / 0.8e1 * t2303 * t869 - 0.25e2 / 0.32e2 * t287 * t165 * t5349 * t158 - 0.3e1 / 0.8e1 * t2303 * t873 + t5365 * t1062 * t292 / 0.20736e5;
  t5377 = t878 * t878;
  t5407 = t880 * t2275;
  t5414 = t36 * t5349;
  t5421 = t1088 * t880;
  t5426 = t1088 * t2253;
  t5456 = -0.5e1 / 0.384e3 * t49 * t2244 * t52 * t59 - 0.5e1 / 0.2304e4 * t37 * t5349 * t848 + t1103 * t5407 * t1105 / 0.4608e4 - t1113 * t5407 * t1114 / 0.4608e4 - 0.5e1 / 0.4608e4 * t413 * t5414 * t860 + t2293 / 0.10368e5 + 0.5e1 / 0.6912e4 * t2300 - t2282 / 0.20736e5 - t5421 * t2277 / 0.4608e4 + t5421 * t2281 / 0.9216e4 - t5426 * t2542 * t2588 / 0.497664e6 + t2579 * t5426 * t2542 * t2581 * t49 / 0.497664e6 + t5426 * t2542 * t400 * t2574 / 0.497664e6 - t863 + 0.5e1 / 0.2304e4 * t402 * t5414 * t852 + t401 * t5426 * t2542 * t47 * t2562 / 0.1990656e7 + 0.5e1 / 0.384e3 * t156 * t48 * t2244 * t282 - t1102 * t5426 * t2542 * t404 * t2593 / 0.331776e6;
  t5480 = -t5365 * t425 * t292 * t158 / 0.20736e5 + t5365 * t2314 * t414 / 0.41472e5 - 0.315e3 / 0.16e2 * t63 * t34 / t50 / t5377 * t51 - t2234 * t4863 * t1603 / 0.864e3 + t2234 * t2230 * t2238 / 0.864e3 - t2234 * t834 * t2253 * t158 / 0.864e3 - t678 * t2230 * t1967 / 0.48e2 + t2234 * t1948 * t4287 / 0.864e3 - 0.3e1 * t46 * t5456 * t166 * t170 + 0.45e2 / 0.2e1 * t288 * t4995 - t4438 * t2309 / 0.192e3 + t4441 * t857 / 0.192e3 - t865 * t2314 * t2317 / 0.384e3 + 0.7e1 / 0.1152e4 * t1621 * t880 * t47 * t2308 - 0.7e1 / 0.1152e4 * t1624 * t2296 + 0.7e1 / 0.2304e4 * t287 * t165 * t880 * t2317;
  t5481 = t5369 + t5480;
  t5496 = t890 * t890;
  t5502 = t893 * t893;
  t5511 = -0.72e3 * t1150 * t890 * t893 + 0.16e3 * t451 * t299 * t2339 + 0.48e3 * t1690 * t2336 + 0.2e2 * t180 * t5481 - 0.12e3 * t2041 * t893 - 0.48e3 * t3514 * t2333 - 0.8e2 * t729 * t2339 + 0.48e3 * t2677 * t5496 - 0.8e2 * t5017 * t299 + 0.24e3 * t4462 * t890 + 0.12e3 * t451 * t5502 + 0.2e2 * t5481 * t71;
  t5515 = my_piecewise3(t1, 0, 0.3e1 / 0.2e2 * t6 * t31 * t5511);
  tv4sigma40 = t7 * t5515;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

  tv4sigma41 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 1] += tv4sigma41;

  tv4sigma42 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 2] += tv4sigma42;

  tv4sigma43 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 3] += tv4sigma43;

  tv4sigma44 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 4] += tv4sigma44;

  tv4sigma45 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 5] += tv4sigma45;

  tv4sigma46 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 6] += tv4sigma46;

  tv4sigma47 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 7] += tv4sigma47;

  tv4sigma48 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 8] += tv4sigma48;

  tv4sigma49 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 9] += tv4sigma49;

  tv4sigma410 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 10] += tv4sigma410;

  tv4sigma411 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 11] += tv4sigma411;

  tv4sigma412 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 12] += tv4sigma412;

  tv4sigma413 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 13] += tv4sigma413;

  t5521 = t1088 * t2403 * t319;
  t5538 = 0.1e1 / t2371;
  t5542 = t1088 * t947;
  t5547 = t1088 * t2350;
  t5566 = t36 * t5538;
  t5576 = t947 * t2403;
  t5591 = -0.5e1 / 0.384e3 * t49 * t2373 * t101 * t108 - 0.5e1 / 0.2304e4 * t37 * t5538 * t915 - t5542 * t2405 / 0.4608e4 + t5542 * t2409 / 0.9216e4 - t930 + t607 * t5547 * t3301 * t47 * t3296 / 0.1990656e7 + 0.5e1 / 0.384e3 * t239 * t48 * t2373 * t315 + t5547 * t3301 * t606 * t3310 / 0.497664e6 + t3315 * t5547 * t3301 * t3317 * t49 / 0.497664e6 + 0.5e1 / 0.2304e4 * t608 * t5566 * t919 - 0.5e1 / 0.4608e4 * t619 * t5566 * t927 - t5547 * t3301 * t3276 / 0.497664e6 + t1473 * t5576 * t1475 / 0.4608e4 - t1483 * t5576 * t1484 / 0.4608e4 + t2421 / 0.10368e5 + 0.5e1 / 0.6912e4 * t2428 - t2410 / 0.20736e5 - t1472 * t5547 * t3301 * t610 * t3336 / 0.331776e6;
  t5620 = -t2370 + 0.11e2 / 0.16e2 * t932 * t2355 + 0.3e1 / 0.8e1 * t2431 * t936 + t5521 * t1503 * t325 / 0.20736e5 - t5521 * t631 * t325 * t241 / 0.20736e5 + t5521 * t2365 * t620 / 0.41472e5 + 0.6e1 * t2432 * t807 - 0.3e1 * t98 * t5591 * t249 * t252 - t932 * t2365 * t2368 / 0.384e3 + 0.45e2 / 0.2e1 * t321 * t5130 - 0.27e2 / 0.2e1 * t933 * t2187 + 0.7e1 / 0.1152e4 * t1872 * t947 * t47 * t2359 - 0.7e1 / 0.1152e4 * t1875 * t2424 + 0.7e1 / 0.2304e4 * t320 * t248 * t947 * t2368 - t4696 * t2360 / 0.192e3 + t4125 * t2350 * t32 * t36 * t94 / 0.4608e4;
  t5629 = t945 * t945;
  t5673 = -t4128 * t2416 * t94 * t241 / 0.4608e4 + t4699 * t924 / 0.192e3 + t4131 * t2427 / 0.9216e4 - 0.315e3 / 0.16e2 * t112 * t34 / t99 / t5629 * t100 - 0.3e1 / 0.8e1 * t2431 * t940 - 0.5e1 / 0.192e3 * t49 * t307 * t2373 + 0.25e2 / 0.32e2 * t320 * t632 * t5538 - 0.25e2 / 0.32e2 * t320 * t248 * t5538 * t241 - t765 * t2378 * t2103 / 0.48e2 - t2382 * t901 * t2350 * t241 / 0.864e3 + t765 * t2430 * t248 * t767 / 0.72e2 - t2382 * t5104 * t1801 / 0.864e3 + t2382 * t2378 * t2386 / 0.864e3 + t765 * t901 * t5177 / 0.32e2 + t2382 * t2125 * t4664 / 0.864e3 - 0.11e2 / 0.16e2 * t932 * t2351;
  t5674 = t5620 + t5673;
  t5689 = t957 * t957;
  t5695 = t960 * t960;
  t5704 = -0.72e3 * t1538 * t957 * t960 + 0.16e3 * t657 * t332 * t2456 + 0.2e2 * t5674 * t120 + 0.48e3 * t1898 * t2453 - 0.12e3 * t2198 * t960 - 0.48e3 * t4152 * t2450 - 0.8e2 * t816 * t2456 + 0.2e2 * t262 * t5674 - 0.8e2 * t5266 * t332 + 0.48e3 * t3430 * t5689 + 0.24e3 * t4821 * t957 + 0.12e3 * t657 * t5695;
  t5708 = my_piecewise3(t79, 0, 0.3e1 / 0.2e2 * t6 * t89 * t5704);
  tv4sigma414 = t7 * t5708;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 14] += tv4sigma414;

}

#endif

