/*
  This file was generated automatically with scripts/maple2c.py.
  Do not edit this file directly as it can be overwritten!!

  This Source Code Form is subject to the terms of the Mozilla Public
  License, v. 2.0. If a copy of the MPL was not distributed with this
  file, You can obtain one at http://mozilla.org/MPL/2.0/.

  Maple version     : Maple 2022 (X86 64 LINUX)
  Maple source      : ./maple/gga_exc/gga_x_2d_pbe.mpl
  Type of functional: gga_exc
*/

#define maple2c_order 4
#define MAPLE2C_FLAGS (XC_FLAGS_I_HAVE_EXC | XC_FLAGS_I_HAVE_VXC | XC_FLAGS_I_HAVE_FXC | XC_FLAGS_I_HAVE_KXC | XC_FLAGS_I_HAVE_LXC)


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t5, t6, t8, t9, t11, t13;
  double t15, t16, t17, t18, t20, t21, t25, t28;
  double t32, tzk0;


  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = sqrt(M_PI);
  t5 = 0.1e1 <= p->zeta_threshold;
  t6 = p->zeta_threshold - 0.1e1;
  t8 = my_piecewise5(t5, t6, t5, -t6, 0);
  t9 = 0.1e1 + t8;
  t11 = sqrt(p->zeta_threshold);
  t13 = sqrt(t9);
  t15 = my_piecewise3(t9 <= p->zeta_threshold, t11 * p->zeta_threshold, t13 * t9);
  t16 = 0.1e1 / t3 * t15;
  t17 = M_SQRT2;
  t18 = sqrt(rho[0]);
  t20 = rho[0] * rho[0];
  t21 = t20 * rho[0];
  t25 = 0.4604e0 + 0.14106971928508582281e-1 * sigma[0] / t21;
  t28 = 0.14604e1 - 0.21196816e0 / t25;
  t32 = my_piecewise3(t2, 0, -0.2e1 / 0.3e1 * t16 * t17 * t18 * t28);
  tzk0 = 0.2e1 * t32;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t5, t6, t8, t9, t11, t13;
  double t15, t16, t17, t18, t20, t21, t25, t28;
  double t32, tzk0;

  double t38, t40, t41, t42, t43, t48, tvrho0, t52;
  double t56, tvsigma0;


  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = sqrt(M_PI);
  t5 = 0.1e1 <= p->zeta_threshold;
  t6 = p->zeta_threshold - 0.1e1;
  t8 = my_piecewise5(t5, t6, t5, -t6, 0);
  t9 = 0.1e1 + t8;
  t11 = sqrt(p->zeta_threshold);
  t13 = sqrt(t9);
  t15 = my_piecewise3(t9 <= p->zeta_threshold, t11 * p->zeta_threshold, t13 * t9);
  t16 = 0.1e1 / t3 * t15;
  t17 = M_SQRT2;
  t18 = sqrt(rho[0]);
  t20 = rho[0] * rho[0];
  t21 = t20 * rho[0];
  t25 = 0.4604e0 + 0.14106971928508582281e-1 * sigma[0] / t21;
  t28 = 0.14604e1 - 0.21196816e0 / t25;
  t32 = my_piecewise3(t2, 0, -0.2e1 / 0.3e1 * t16 * t17 * t18 * t28);
  tzk0 = 0.2e1 * t32;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t38 = t15 * t17;
  t40 = 0.1e1 / t18 / t21;
  t41 = t25 * t25;
  t42 = 0.1e1 / t41;
  t43 = t40 * t42;
  t48 = my_piecewise3(t2, 0, -t16 * t17 / t18 * t28 / 0.3e1 + 0.33741119762638214745e-2 * t38 * t43 * sigma[0]);
  tvrho0 = 0.2e1 * rho[0] * t48 + 0.2e1 * t32;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t52 = 0.1e1 / t18 / t20;
  t56 = my_piecewise3(t2, 0, -0.11247039920879404915e-2 * t38 * t52 * t42);
  tvsigma0 = 0.2e1 * rho[0] * t56;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t5, t6, t8, t9, t11, t13;
  double t15, t16, t17, t18, t20, t21, t25, t28;
  double t32, tzk0;

  double t38, t40, t41, t42, t43, t48, tvrho0, t52;
  double t56, tvsigma0;

  double t65, t68, t72, t76, t77, t78, t83, tv2rho20;
  double t88, t90, t91, t96, tv2rhosigma0, t99, t101, t105;
  double tv2sigma20;


  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = sqrt(M_PI);
  t5 = 0.1e1 <= p->zeta_threshold;
  t6 = p->zeta_threshold - 0.1e1;
  t8 = my_piecewise5(t5, t6, t5, -t6, 0);
  t9 = 0.1e1 + t8;
  t11 = sqrt(p->zeta_threshold);
  t13 = sqrt(t9);
  t15 = my_piecewise3(t9 <= p->zeta_threshold, t11 * p->zeta_threshold, t13 * t9);
  t16 = 0.1e1 / t3 * t15;
  t17 = M_SQRT2;
  t18 = sqrt(rho[0]);
  t20 = rho[0] * rho[0];
  t21 = t20 * rho[0];
  t25 = 0.4604e0 + 0.14106971928508582281e-1 * sigma[0] / t21;
  t28 = 0.14604e1 - 0.21196816e0 / t25;
  t32 = my_piecewise3(t2, 0, -0.2e1 / 0.3e1 * t16 * t17 * t18 * t28);
  tzk0 = 0.2e1 * t32;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t38 = t15 * t17;
  t40 = 0.1e1 / t18 / t21;
  t41 = t25 * t25;
  t42 = 0.1e1 / t41;
  t43 = t40 * t42;
  t48 = my_piecewise3(t2, 0, -t16 * t17 / t18 * t28 / 0.3e1 + 0.33741119762638214745e-2 * t38 * t43 * sigma[0]);
  tvrho0 = 0.2e1 * rho[0] * t48 + 0.2e1 * t32;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t52 = 0.1e1 / t18 / t20;
  t56 = my_piecewise3(t2, 0, -0.11247039920879404915e-2 * t38 * t52 * t42);
  tvsigma0 = 0.2e1 * rho[0] * t56;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t65 = t20 * t20;
  t68 = 0.1e1 / t18 / t65 * t42;
  t72 = t65 * t21;
  t76 = 0.1e1 / t41 / t25;
  t77 = 0.1e1 / t18 / t72 * t76;
  t78 = sigma[0] * sigma[0];
  t83 = my_piecewise3(t2, 0, t16 * t17 / t18 / rho[0] * t28 / 0.6e1 - 0.10122335928791464424e-1 * t38 * t68 * sigma[0] + 0.28559101759679007257e-3 * t38 * t77 * t78);
  tv2rho20 = 0.2e1 * rho[0] * t83 + 0.4e1 * t48;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t88 = t65 * t20;
  t90 = 0.1e1 / t18 / t88;
  t91 = t90 * t76;
  t96 = my_piecewise3(t2, 0, 0.28117599802198512288e-2 * t38 * t43 - 0.95197005865596690856e-4 * t38 * t91 * sigma[0]);
  tv2rhosigma0 = 0.2e1 * rho[0] * t96 + 0.2e1 * t56;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t99 = t65 * rho[0];
  t101 = 0.1e1 / t18 / t99;
  t105 = my_piecewise3(t2, 0, 0.31732335288532230285e-4 * t38 * t101 * t76);
  tv2sigma20 = 0.2e1 * rho[0] * t105;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t5, t6, t8, t9, t11, t13;
  double t15, t16, t17, t18, t20, t21, t25, t28;
  double t32, tzk0;

  double t38, t40, t41, t42, t43, t48, tvrho0, t52;
  double t56, tvsigma0;

  double t65, t68, t72, t76, t77, t78, t83, tv2rho20;
  double t88, t90, t91, t96, tv2rhosigma0, t99, t101, t105;
  double tv2sigma20;

  double t112, t116, t118, t119, t125, t126, t127, t128;
  double t129, t134, tv3rho30, t146, t151, tv3rho2sigma0, t158, t159;
  double t164, tv3rhosigma20, t170, tv3sigma30;


  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = sqrt(M_PI);
  t5 = 0.1e1 <= p->zeta_threshold;
  t6 = p->zeta_threshold - 0.1e1;
  t8 = my_piecewise5(t5, t6, t5, -t6, 0);
  t9 = 0.1e1 + t8;
  t11 = sqrt(p->zeta_threshold);
  t13 = sqrt(t9);
  t15 = my_piecewise3(t9 <= p->zeta_threshold, t11 * p->zeta_threshold, t13 * t9);
  t16 = 0.1e1 / t3 * t15;
  t17 = M_SQRT2;
  t18 = sqrt(rho[0]);
  t20 = rho[0] * rho[0];
  t21 = t20 * rho[0];
  t25 = 0.4604e0 + 0.14106971928508582281e-1 * sigma[0] / t21;
  t28 = 0.14604e1 - 0.21196816e0 / t25;
  t32 = my_piecewise3(t2, 0, -0.2e1 / 0.3e1 * t16 * t17 * t18 * t28);
  tzk0 = 0.2e1 * t32;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t38 = t15 * t17;
  t40 = 0.1e1 / t18 / t21;
  t41 = t25 * t25;
  t42 = 0.1e1 / t41;
  t43 = t40 * t42;
  t48 = my_piecewise3(t2, 0, -t16 * t17 / t18 * t28 / 0.3e1 + 0.33741119762638214745e-2 * t38 * t43 * sigma[0]);
  tvrho0 = 0.2e1 * rho[0] * t48 + 0.2e1 * t32;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t52 = 0.1e1 / t18 / t20;
  t56 = my_piecewise3(t2, 0, -0.11247039920879404915e-2 * t38 * t52 * t42);
  tvsigma0 = 0.2e1 * rho[0] * t56;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t65 = t20 * t20;
  t68 = 0.1e1 / t18 / t65 * t42;
  t72 = t65 * t21;
  t76 = 0.1e1 / t41 / t25;
  t77 = 0.1e1 / t18 / t72 * t76;
  t78 = sigma[0] * sigma[0];
  t83 = my_piecewise3(t2, 0, t16 * t17 / t18 / rho[0] * t28 / 0.6e1 - 0.10122335928791464424e-1 * t38 * t68 * sigma[0] + 0.28559101759679007257e-3 * t38 * t77 * t78);
  tv2rho20 = 0.2e1 * rho[0] * t83 + 0.4e1 * t48;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t88 = t65 * t20;
  t90 = 0.1e1 / t18 / t88;
  t91 = t90 * t76;
  t96 = my_piecewise3(t2, 0, 0.28117599802198512288e-2 * t38 * t43 - 0.95197005865596690856e-4 * t38 * t91 * sigma[0]);
  tv2rhosigma0 = 0.2e1 * rho[0] * t96 + 0.2e1 * t56;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t99 = t65 * rho[0];
  t101 = 0.1e1 / t18 / t99;
  t105 = my_piecewise3(t2, 0, 0.31732335288532230285e-4 * t38 * t101 * t76);
  tv2sigma20 = 0.2e1 * rho[0] * t105;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t112 = t101 * t42;
  t116 = t65 * t65;
  t118 = 0.1e1 / t18 / t116;
  t119 = t118 * t76;
  t125 = 0.1e1 / t18 / t116 / t21;
  t126 = t41 * t41;
  t127 = 0.1e1 / t126;
  t128 = t125 * t127;
  t129 = t78 * sigma[0];
  t134 = my_piecewise3(t2, 0, -t16 * t17 * t52 * t28 / 0.4e1 + 0.44706983685495634539e-1 * t38 * t112 * sigma[0] - 0.2998705684766295762e-2 * t38 * t119 * t78 + 0.36259420214449062971e-4 * t38 * t128 * t129);
  tv3rho30 = 0.2e1 * rho[0] * t134 + 0.6e1 * t83;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t146 = 0.1e1 / t18 / t116 / t20 * t127;
  t151 = my_piecewise3(t2, 0, -0.98411599307694793008e-2 * t38 * t68 + 0.8567730527903702177e-3 * t38 * t77 * sigma[0] - 0.12086473404816354323e-4 * t38 * t146 * t78);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t151 + 0.4e1 * t96;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  t158 = 0.1e1 / t18 / t116 / rho[0];
  t159 = t158 * t127;
  t164 = my_piecewise3(t2, 0, -0.17452784408692726657e-3 * t38 * t91 + 0.40288244682721181078e-5 * t38 * t159 * sigma[0]);
  tv3rhosigma20 = 0.2e1 * rho[0] * t164 + 0.2e1 * t105;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  t170 = my_piecewise3(t2, 0, -0.13429414894240393692e-5 * t38 * t118 * t127);
  tv3sigma30 = 0.2e1 * rho[0] * t170;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t5, t6, t8, t9, t11, t13;
  double t15, t16, t17, t18, t20, t21, t25, t28;
  double t32, tzk0;

  double t38, t40, t41, t42, t43, t48, tvrho0, t52;
  double t56, tvsigma0;

  double t65, t68, t72, t76, t77, t78, t83, tv2rho20;
  double t88, t90, t91, t96, tv2rhosigma0, t99, t101, t105;
  double tv2sigma20;

  double t112, t116, t118, t119, t125, t126, t127, t128;
  double t129, t134, tv3rho30, t146, t151, tv3rho2sigma0, t158, t159;
  double t164, tv3rhosigma20, t170, tv3sigma30;

  double t187, t196, t198, t203, tv4rho40, t223, tv4rho3sigma0, t240;
  double tv4rho2sigma20, t250, tv4rhosigma30, t256, tv4sigma40;


  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = sqrt(M_PI);
  t5 = 0.1e1 <= p->zeta_threshold;
  t6 = p->zeta_threshold - 0.1e1;
  t8 = my_piecewise5(t5, t6, t5, -t6, 0);
  t9 = 0.1e1 + t8;
  t11 = sqrt(p->zeta_threshold);
  t13 = sqrt(t9);
  t15 = my_piecewise3(t9 <= p->zeta_threshold, t11 * p->zeta_threshold, t13 * t9);
  t16 = 0.1e1 / t3 * t15;
  t17 = M_SQRT2;
  t18 = sqrt(rho[0]);
  t20 = rho[0] * rho[0];
  t21 = t20 * rho[0];
  t25 = 0.4604e0 + 0.14106971928508582281e-1 * sigma[0] / t21;
  t28 = 0.14604e1 - 0.21196816e0 / t25;
  t32 = my_piecewise3(t2, 0, -0.2e1 / 0.3e1 * t16 * t17 * t18 * t28);
  tzk0 = 0.2e1 * t32;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t38 = t15 * t17;
  t40 = 0.1e1 / t18 / t21;
  t41 = t25 * t25;
  t42 = 0.1e1 / t41;
  t43 = t40 * t42;
  t48 = my_piecewise3(t2, 0, -t16 * t17 / t18 * t28 / 0.3e1 + 0.33741119762638214745e-2 * t38 * t43 * sigma[0]);
  tvrho0 = 0.2e1 * rho[0] * t48 + 0.2e1 * t32;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t52 = 0.1e1 / t18 / t20;
  t56 = my_piecewise3(t2, 0, -0.11247039920879404915e-2 * t38 * t52 * t42);
  tvsigma0 = 0.2e1 * rho[0] * t56;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t65 = t20 * t20;
  t68 = 0.1e1 / t18 / t65 * t42;
  t72 = t65 * t21;
  t76 = 0.1e1 / t41 / t25;
  t77 = 0.1e1 / t18 / t72 * t76;
  t78 = sigma[0] * sigma[0];
  t83 = my_piecewise3(t2, 0, t16 * t17 / t18 / rho[0] * t28 / 0.6e1 - 0.10122335928791464424e-1 * t38 * t68 * sigma[0] + 0.28559101759679007257e-3 * t38 * t77 * t78);
  tv2rho20 = 0.2e1 * rho[0] * t83 + 0.4e1 * t48;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t88 = t65 * t20;
  t90 = 0.1e1 / t18 / t88;
  t91 = t90 * t76;
  t96 = my_piecewise3(t2, 0, 0.28117599802198512288e-2 * t38 * t43 - 0.95197005865596690856e-4 * t38 * t91 * sigma[0]);
  tv2rhosigma0 = 0.2e1 * rho[0] * t96 + 0.2e1 * t56;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t99 = t65 * rho[0];
  t101 = 0.1e1 / t18 / t99;
  t105 = my_piecewise3(t2, 0, 0.31732335288532230285e-4 * t38 * t101 * t76);
  tv2sigma20 = 0.2e1 * rho[0] * t105;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t112 = t101 * t42;
  t116 = t65 * t65;
  t118 = 0.1e1 / t18 / t116;
  t119 = t118 * t76;
  t125 = 0.1e1 / t18 / t116 / t21;
  t126 = t41 * t41;
  t127 = 0.1e1 / t126;
  t128 = t125 * t127;
  t129 = t78 * sigma[0];
  t134 = my_piecewise3(t2, 0, -t16 * t17 * t52 * t28 / 0.4e1 + 0.44706983685495634539e-1 * t38 * t112 * sigma[0] - 0.2998705684766295762e-2 * t38 * t119 * t78 + 0.36259420214449062971e-4 * t38 * t128 * t129);
  tv3rho30 = 0.2e1 * rho[0] * t134 + 0.6e1 * t83;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t146 = 0.1e1 / t18 / t116 / t20 * t127;
  t151 = my_piecewise3(t2, 0, -0.98411599307694793008e-2 * t38 * t68 + 0.8567730527903702177e-3 * t38 * t77 * sigma[0] - 0.12086473404816354323e-4 * t38 * t146 * t78);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t151 + 0.4e1 * t96;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  t158 = 0.1e1 / t18 / t116 / rho[0];
  t159 = t158 * t127;
  t164 = my_piecewise3(t2, 0, -0.17452784408692726657e-3 * t38 * t91 + 0.40288244682721181078e-5 * t38 * t159 * sigma[0]);
  tv3rhosigma20 = 0.2e1 * rho[0] * t164 + 0.2e1 * t105;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  t170 = my_piecewise3(t2, 0, -0.13429414894240393692e-5 * t38 * t118 * t127);
  tv3sigma30 = 0.2e1 * rho[0] * t170;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  t187 = 0.1e1 / t18 / t116 / t65;
  t196 = 0.1e1 / t126 / t25;
  t198 = t78 * t78;
  t203 = my_piecewise3(t2, 0, 0.5e1 / 0.8e1 * t16 * t17 * t40 * t28 - 0.24462311827912705691e0 * t38 * t90 * t42 * sigma[0] + 0.29273079303670982439e-1 * t38 * t158 * t76 * t78 - 0.79770724471787938536e-3 * t38 * t187 * t127 * t129 + 0.61381274773107548394e-5 * t38 / t18 / t116 / t72 * t196 * t198);
  tv4rho40 = 0.2e1 * rho[0] * t203 + 0.8e1 * t134;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t223 = my_piecewise3(t2, 0, 0.44285219688462656854e-1 * t38 * t112 - 0.72587716972517476778e-2 * t38 * t119 * sigma[0] + 0.2356862313939189093e-3 * t38 * t128 * t78 - 0.20460424924369182797e-5 * t38 / t18 / t116 / t88 * t196 * t129);
  tv4rho3sigma0 = 0.2e1 * rho[0] * t223 + 0.6e1 * t151;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  t240 = my_piecewise3(t2, 0, 0.11344309865650272327e-2 * t38 * t77 - 0.60432367024081771617e-4 * t38 * t146 * sigma[0] + 0.68201416414563942659e-6 * t38 / t18 / t116 / t99 * t196 * t78);
  tv4rho2sigma20 = 0.2e1 * rho[0] * t240 + 0.4e1 * t164;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  t250 = my_piecewise3(t2, 0, 0.11415002660104334638e-4 * t38 * t159 - 0.22733805471521314218e-6 * t38 * t187 * t196 * sigma[0]);
  tv4rhosigma30 = 0.2e1 * rho[0] * t250 + 0.2e1 * t170;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  t256 = my_piecewise3(t2, 0, 0.75779351571737714062e-7 * t38 * t125 * t196);
  tv4sigma40 = 0.2e1 * rho[0] * t256;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

}

#endif


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t4, t5, t8, t9, t12;
  double t13, t14, t16, t17, t18, t19, t20, t21;
  double t22, t23, t24, t25, t26, t27, t28, t29;
  double t30, t33, t36, t37, t40, t41, t42, t44;
  double t45, t46, t47, t48, t49, t50, t51, t52;
  double t53, t56, t59, t60, t63, tzk0;


  t1 = rho[0] <= p->dens_threshold;
  t2 = sqrt(M_PI);
  t3 = 0.1e1 / t2;
  t4 = rho[0] + rho[1];
  t5 = 0.1e1 / t4;
  t8 = 0.2e1 * rho[0] * t5 <= p->zeta_threshold;
  t9 = p->zeta_threshold - 0.1e1;
  t12 = 0.2e1 * rho[1] * t5 <= p->zeta_threshold;
  t13 = -t9;
  t14 = rho[0] - rho[1];
  t16 = my_piecewise5(t8, t9, t12, t13, t14 * t5);
  t17 = 0.1e1 + t16;
  t18 = t17 <= p->zeta_threshold;
  t19 = sqrt(p->zeta_threshold);
  t20 = t19 * p->zeta_threshold;
  t21 = sqrt(t17);
  t22 = t21 * t17;
  t23 = my_piecewise3(t18, t20, t22);
  t24 = t3 * t23;
  t25 = M_SQRT2;
  t26 = sqrt(t4);
  t27 = t25 * t26;
  t28 = rho[0] * rho[0];
  t29 = t28 * rho[0];
  t30 = 0.1e1 / t29;
  t33 = 0.4604e0 + 0.70534859642542911404e-2 * sigma[0] * t30;
  t36 = 0.14604e1 - 0.21196816e0 / t33;
  t37 = t27 * t36;
  t40 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t24 * t37);
  t41 = rho[1] <= p->dens_threshold;
  t42 = -t14;
  t44 = my_piecewise5(t12, t9, t8, t13, t42 * t5);
  t45 = 0.1e1 + t44;
  t46 = t45 <= p->zeta_threshold;
  t47 = sqrt(t45);
  t48 = t47 * t45;
  t49 = my_piecewise3(t46, t20, t48);
  t50 = t3 * t49;
  t51 = rho[1] * rho[1];
  t52 = t51 * rho[1];
  t53 = 0.1e1 / t52;
  t56 = 0.4604e0 + 0.70534859642542911404e-2 * sigma[2] * t53;
  t59 = 0.14604e1 - 0.21196816e0 / t56;
  t60 = t27 * t59;
  t63 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t50 * t60);
  tzk0 = t40 + t63;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t4, t5, t8, t9, t12;
  double t13, t14, t16, t17, t18, t19, t20, t21;
  double t22, t23, t24, t25, t26, t27, t28, t29;
  double t30, t33, t36, t37, t40, t41, t42, t44;
  double t45, t46, t47, t48, t49, t50, t51, t52;
  double t53, t56, t59, t60, t63, tzk0;

  double t64, t65, t66, t68, t71, t72, t75, t76;
  double t77, t79, t80, t81, t82, t83, t84, t85;
  double t86, t87, t91, t92, t94, t97, t98, t101;
  double t103, t105, tvrho0, t109, t112, t113, t117, t119;
  double t122, t123, t126, t127, t128, t129, t130, t131;
  double t132, t133, t137, tvrho1, t140, t141, t144, tvsigma0;
  double tvsigma1, t145, t146, t149, tvsigma2;


  t1 = rho[0] <= p->dens_threshold;
  t2 = sqrt(M_PI);
  t3 = 0.1e1 / t2;
  t4 = rho[0] + rho[1];
  t5 = 0.1e1 / t4;
  t8 = 0.2e1 * rho[0] * t5 <= p->zeta_threshold;
  t9 = p->zeta_threshold - 0.1e1;
  t12 = 0.2e1 * rho[1] * t5 <= p->zeta_threshold;
  t13 = -t9;
  t14 = rho[0] - rho[1];
  t16 = my_piecewise5(t8, t9, t12, t13, t14 * t5);
  t17 = 0.1e1 + t16;
  t18 = t17 <= p->zeta_threshold;
  t19 = sqrt(p->zeta_threshold);
  t20 = t19 * p->zeta_threshold;
  t21 = sqrt(t17);
  t22 = t21 * t17;
  t23 = my_piecewise3(t18, t20, t22);
  t24 = t3 * t23;
  t25 = M_SQRT2;
  t26 = sqrt(t4);
  t27 = t25 * t26;
  t28 = rho[0] * rho[0];
  t29 = t28 * rho[0];
  t30 = 0.1e1 / t29;
  t33 = 0.4604e0 + 0.70534859642542911404e-2 * sigma[0] * t30;
  t36 = 0.14604e1 - 0.21196816e0 / t33;
  t37 = t27 * t36;
  t40 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t24 * t37);
  t41 = rho[1] <= p->dens_threshold;
  t42 = -t14;
  t44 = my_piecewise5(t12, t9, t8, t13, t42 * t5);
  t45 = 0.1e1 + t44;
  t46 = t45 <= p->zeta_threshold;
  t47 = sqrt(t45);
  t48 = t47 * t45;
  t49 = my_piecewise3(t46, t20, t48);
  t50 = t3 * t49;
  t51 = rho[1] * rho[1];
  t52 = t51 * rho[1];
  t53 = 0.1e1 / t52;
  t56 = 0.4604e0 + 0.70534859642542911404e-2 * sigma[2] * t53;
  t59 = 0.14604e1 - 0.21196816e0 / t56;
  t60 = t27 * t59;
  t63 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t50 * t60);
  tzk0 = t40 + t63;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t64 = t4 * t4;
  t65 = 0.1e1 / t64;
  t66 = t14 * t65;
  t68 = my_piecewise5(t8, 0, t12, 0, t5 - t66);
  t71 = my_piecewise3(t18, 0, 0.3e1 / 0.2e1 * t21 * t68);
  t72 = t3 * t71;
  t75 = 0.1e1 / t26;
  t76 = t25 * t75;
  t77 = t76 * t36;
  t79 = t24 * t77 / 0.3e1;
  t80 = t23 * t25;
  t81 = t80 * t26;
  t82 = t33 * t33;
  t83 = 0.1e1 / t82;
  t84 = t83 * sigma[0];
  t85 = t28 * t28;
  t86 = 0.1e1 / t85;
  t87 = t84 * t86;
  t91 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t72 * t37 - t79 + 0.16870559881319107373e-2 * t81 * t87);
  t92 = t42 * t65;
  t94 = my_piecewise5(t12, 0, t8, 0, -t5 - t92);
  t97 = my_piecewise3(t46, 0, 0.3e1 / 0.2e1 * t47 * t94);
  t98 = t3 * t97;
  t101 = t76 * t59;
  t103 = t50 * t101 / 0.3e1;
  t105 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t98 * t60 - t103);
  tvrho0 = t40 + t63 + t4 * (t91 + t105);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t109 = my_piecewise5(t8, 0, t12, 0, -t5 - t66);
  t112 = my_piecewise3(t18, 0, 0.3e1 / 0.2e1 * t21 * t109);
  t113 = t3 * t112;
  t117 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t113 * t37 - t79);
  t119 = my_piecewise5(t12, 0, t8, 0, t5 - t92);
  t122 = my_piecewise3(t46, 0, 0.3e1 / 0.2e1 * t47 * t119);
  t123 = t3 * t122;
  t126 = t49 * t25;
  t127 = t126 * t26;
  t128 = t56 * t56;
  t129 = 0.1e1 / t128;
  t130 = t129 * sigma[2];
  t131 = t51 * t51;
  t132 = 0.1e1 / t131;
  t133 = t130 * t132;
  t137 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t123 * t60 - t103 + 0.16870559881319107373e-2 * t127 * t133);
  tvrho1 = t40 + t63 + t4 * (t117 + t137);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t140 = t26 * t83;
  t141 = t140 * t30;
  t144 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t80 * t141);
  tvsigma0 = t4 * t144;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t145 = t26 * t129;
  t146 = t145 * t53;
  t149 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t126 * t146);
  tvsigma2 = t4 * t149;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t4, t5, t8, t9, t12;
  double t13, t14, t16, t17, t18, t19, t20, t21;
  double t22, t23, t24, t25, t26, t27, t28, t29;
  double t30, t33, t36, t37, t40, t41, t42, t44;
  double t45, t46, t47, t48, t49, t50, t51, t52;
  double t53, t56, t59, t60, t63, tzk0;

  double t64, t65, t66, t68, t71, t72, t75, t76;
  double t77, t79, t80, t81, t82, t83, t84, t85;
  double t86, t87, t91, t92, t94, t97, t98, t101;
  double t103, t105, tvrho0, t109, t112, t113, t117, t119;
  double t122, t123, t126, t127, t128, t129, t130, t131;
  double t132, t133, t137, tvrho1, t140, t141, t144, tvsigma0;
  double tvsigma1, t145, t146, t149, tvsigma2;

  double t152, t153, t156, t157, t158, t161, t165, t166;
  double t169, t171, t172, t176, t177, t178, t180, t181;
  double t182, t185, t186, t187, t188, t189, t190, t193;
  double t194, t195, t199, t200, t201, t204, t207, t211;
  double t212, t215, t217, t219, t221, tv2rho20, t224, t228;
  double t232, t233, t236, t238, t239, t245, t246, t250;
  double t254, t255, t258, t261, t262, t265, t266, t269;
  double tv2rho21, t274, t279, t283, t284, t289, t290, t295;
  double t299, t300, t304, t305, t310, t311, t312, t313;
  double t314, t315, t318, t319, t320, t324, tv2rho22, t329;
  double t330, t332, t333, t334, t336, t339, t343, tv2rhosigma0;
  double tv2rhosigma1, t347, t348, t350, t352, tv2rhosigma2, t357, tv2rhosigma3;
  double tv2rhosigma4, t361, t362, t364, t367, t371, tv2rhosigma5, t373;
  double t374, t375, t376, t379, tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23;
  double tv2sigma24, t380, t381, t382, t383, t386, tv2sigma25;


  t1 = rho[0] <= p->dens_threshold;
  t2 = sqrt(M_PI);
  t3 = 0.1e1 / t2;
  t4 = rho[0] + rho[1];
  t5 = 0.1e1 / t4;
  t8 = 0.2e1 * rho[0] * t5 <= p->zeta_threshold;
  t9 = p->zeta_threshold - 0.1e1;
  t12 = 0.2e1 * rho[1] * t5 <= p->zeta_threshold;
  t13 = -t9;
  t14 = rho[0] - rho[1];
  t16 = my_piecewise5(t8, t9, t12, t13, t14 * t5);
  t17 = 0.1e1 + t16;
  t18 = t17 <= p->zeta_threshold;
  t19 = sqrt(p->zeta_threshold);
  t20 = t19 * p->zeta_threshold;
  t21 = sqrt(t17);
  t22 = t21 * t17;
  t23 = my_piecewise3(t18, t20, t22);
  t24 = t3 * t23;
  t25 = M_SQRT2;
  t26 = sqrt(t4);
  t27 = t25 * t26;
  t28 = rho[0] * rho[0];
  t29 = t28 * rho[0];
  t30 = 0.1e1 / t29;
  t33 = 0.4604e0 + 0.70534859642542911404e-2 * sigma[0] * t30;
  t36 = 0.14604e1 - 0.21196816e0 / t33;
  t37 = t27 * t36;
  t40 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t24 * t37);
  t41 = rho[1] <= p->dens_threshold;
  t42 = -t14;
  t44 = my_piecewise5(t12, t9, t8, t13, t42 * t5);
  t45 = 0.1e1 + t44;
  t46 = t45 <= p->zeta_threshold;
  t47 = sqrt(t45);
  t48 = t47 * t45;
  t49 = my_piecewise3(t46, t20, t48);
  t50 = t3 * t49;
  t51 = rho[1] * rho[1];
  t52 = t51 * rho[1];
  t53 = 0.1e1 / t52;
  t56 = 0.4604e0 + 0.70534859642542911404e-2 * sigma[2] * t53;
  t59 = 0.14604e1 - 0.21196816e0 / t56;
  t60 = t27 * t59;
  t63 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t50 * t60);
  tzk0 = t40 + t63;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t64 = t4 * t4;
  t65 = 0.1e1 / t64;
  t66 = t14 * t65;
  t68 = my_piecewise5(t8, 0, t12, 0, t5 - t66);
  t71 = my_piecewise3(t18, 0, 0.3e1 / 0.2e1 * t21 * t68);
  t72 = t3 * t71;
  t75 = 0.1e1 / t26;
  t76 = t25 * t75;
  t77 = t76 * t36;
  t79 = t24 * t77 / 0.3e1;
  t80 = t23 * t25;
  t81 = t80 * t26;
  t82 = t33 * t33;
  t83 = 0.1e1 / t82;
  t84 = t83 * sigma[0];
  t85 = t28 * t28;
  t86 = 0.1e1 / t85;
  t87 = t84 * t86;
  t91 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t72 * t37 - t79 + 0.16870559881319107373e-2 * t81 * t87);
  t92 = t42 * t65;
  t94 = my_piecewise5(t12, 0, t8, 0, -t5 - t92);
  t97 = my_piecewise3(t46, 0, 0.3e1 / 0.2e1 * t47 * t94);
  t98 = t3 * t97;
  t101 = t76 * t59;
  t103 = t50 * t101 / 0.3e1;
  t105 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t98 * t60 - t103);
  tvrho0 = t40 + t63 + t4 * (t91 + t105);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t109 = my_piecewise5(t8, 0, t12, 0, -t5 - t66);
  t112 = my_piecewise3(t18, 0, 0.3e1 / 0.2e1 * t21 * t109);
  t113 = t3 * t112;
  t117 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t113 * t37 - t79);
  t119 = my_piecewise5(t12, 0, t8, 0, t5 - t92);
  t122 = my_piecewise3(t46, 0, 0.3e1 / 0.2e1 * t47 * t119);
  t123 = t3 * t122;
  t126 = t49 * t25;
  t127 = t126 * t26;
  t128 = t56 * t56;
  t129 = 0.1e1 / t128;
  t130 = t129 * sigma[2];
  t131 = t51 * t51;
  t132 = 0.1e1 / t131;
  t133 = t130 * t132;
  t137 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t123 * t60 - t103 + 0.16870559881319107373e-2 * t127 * t133);
  tvrho1 = t40 + t63 + t4 * (t117 + t137);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t140 = t26 * t83;
  t141 = t140 * t30;
  t144 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t80 * t141);
  tvsigma0 = t4 * t144;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t145 = t26 * t129;
  t146 = t145 * t53;
  t149 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t126 * t146);
  tvsigma2 = t4 * t149;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t152 = 0.1e1 / t21;
  t153 = t68 * t68;
  t156 = t64 * t4;
  t157 = 0.1e1 / t156;
  t158 = t14 * t157;
  t161 = my_piecewise5(t8, 0, t12, 0, -0.2e1 * t65 + 0.2e1 * t158);
  t165 = my_piecewise3(t18, 0, 0.3e1 / 0.4e1 * t152 * t153 + 0.3e1 / 0.2e1 * t21 * t161);
  t166 = t3 * t165;
  t169 = t72 * t77;
  t171 = t71 * t25;
  t172 = t171 * t26;
  t176 = 0.1e1 / t26 / t4;
  t177 = t25 * t176;
  t178 = t177 * t36;
  t180 = t24 * t178 / 0.6e1;
  t181 = t80 * t75;
  t182 = t181 * t87;
  t185 = 0.1e1 / t82 / t33;
  t186 = sigma[0] * sigma[0];
  t187 = t185 * t186;
  t188 = t85 * t85;
  t189 = 0.1e1 / t188;
  t190 = t187 * t189;
  t193 = t85 * rho[0];
  t194 = 0.1e1 / t193;
  t195 = t84 * t194;
  t199 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t166 * t37 - 0.2e1 / 0.3e1 * t169 + 0.33741119762638214746e-2 * t172 * t87 + t180 + 0.16870559881319107373e-2 * t182 + 0.71397754399197518142e-4 * t81 * t190 - 0.67482239525276429492e-2 * t81 * t195);
  t200 = 0.1e1 / t47;
  t201 = t94 * t94;
  t204 = t42 * t157;
  t207 = my_piecewise5(t12, 0, t8, 0, 0.2e1 * t65 + 0.2e1 * t204);
  t211 = my_piecewise3(t46, 0, 0.3e1 / 0.4e1 * t200 * t201 + 0.3e1 / 0.2e1 * t47 * t207);
  t212 = t3 * t211;
  t215 = t98 * t101;
  t217 = t177 * t59;
  t219 = t50 * t217 / 0.6e1;
  t221 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t212 * t60 - 0.2e1 / 0.3e1 * t215 + t219);
  tv2rho20 = 0.2e1 * t91 + 0.2e1 * t105 + t4 * (t199 + t221);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t224 = t152 * t109;
  t228 = my_piecewise5(t8, 0, t12, 0, 0.2e1 * t158);
  t232 = my_piecewise3(t18, 0, 0.3e1 / 0.4e1 * t224 * t68 + 0.3e1 / 0.2e1 * t21 * t228);
  t233 = t3 * t232;
  t236 = t113 * t77;
  t238 = t112 * t25;
  t239 = t238 * t26;
  t245 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t233 * t37 - t236 / 0.3e1 + 0.16870559881319107373e-2 * t239 * t87 - t169 / 0.3e1 + t180 + 0.84352799406595536863e-3 * t182);
  t246 = t200 * t119;
  t250 = my_piecewise5(t12, 0, t8, 0, 0.2e1 * t204);
  t254 = my_piecewise3(t46, 0, 0.3e1 / 0.4e1 * t246 * t94 + 0.3e1 / 0.2e1 * t47 * t250);
  t255 = t3 * t254;
  t258 = t123 * t101;
  t261 = t97 * t25;
  t262 = t261 * t26;
  t265 = t126 * t75;
  t266 = t265 * t133;
  t269 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t255 * t60 - t258 / 0.3e1 - t215 / 0.3e1 + t219 + 0.16870559881319107373e-2 * t262 * t133 + 0.84352799406595536865e-3 * t266);
  tv2rho21 = t91 + t105 + t117 + t137 + t4 * (t245 + t269);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t274 = t109 * t109;
  t279 = my_piecewise5(t8, 0, t12, 0, 0.2e1 * t65 + 0.2e1 * t158);
  t283 = my_piecewise3(t18, 0, 0.3e1 / 0.4e1 * t152 * t274 + 0.3e1 / 0.2e1 * t21 * t279);
  t284 = t3 * t283;
  t289 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t284 * t37 - 0.2e1 / 0.3e1 * t236 + t180);
  t290 = t119 * t119;
  t295 = my_piecewise5(t12, 0, t8, 0, -0.2e1 * t65 + 0.2e1 * t204);
  t299 = my_piecewise3(t46, 0, 0.3e1 / 0.4e1 * t200 * t290 + 0.3e1 / 0.2e1 * t47 * t295);
  t300 = t3 * t299;
  t304 = t122 * t25;
  t305 = t304 * t26;
  t310 = 0.1e1 / t128 / t56;
  t311 = sigma[2] * sigma[2];
  t312 = t310 * t311;
  t313 = t131 * t131;
  t314 = 0.1e1 / t313;
  t315 = t312 * t314;
  t318 = t131 * rho[1];
  t319 = 0.1e1 / t318;
  t320 = t130 * t319;
  t324 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t300 * t60 - 0.2e1 / 0.3e1 * t258 + 0.33741119762638214746e-2 * t305 * t133 + t219 + 0.16870559881319107373e-2 * t266 + 0.71397754399197518142e-4 * t127 * t315 - 0.67482239525276429492e-2 * t127 * t320);
  tv2rho22 = 0.2e1 * t117 + 0.2e1 * t137 + t4 * (t289 + t324);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t329 = t75 * t83;
  t330 = t329 * t30;
  t332 = 0.28117599802198512286e-3 * t80 * t330;
  t333 = t85 * t29;
  t334 = 0.1e1 / t333;
  t336 = t185 * t334 * sigma[0];
  t339 = t140 * t86;
  t343 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t171 * t141 - t332 - 0.23799251466399172713e-4 * t81 * t336 + 0.16870559881319107372e-2 * t80 * t339);
  tv2rhosigma0 = t4 * t343 + t144;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t347 = t75 * t129;
  t348 = t347 * t53;
  t350 = 0.28117599802198512286e-3 * t126 * t348;
  t352 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t261 * t146 - t350);
  tv2rhosigma2 = t4 * t352 + t149;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t357 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t238 * t141 - t332);
  tv2rhosigma3 = t4 * t357 + t144;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t361 = t131 * t52;
  t362 = 0.1e1 / t361;
  t364 = t310 * t362 * sigma[2];
  t367 = t145 * t132;
  t371 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t304 * t146 - t350 - 0.23799251466399172713e-4 * t127 * t364 + 0.16870559881319107372e-2 * t126 * t367);
  tv2rhosigma5 = t4 * t371 + t149;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t373 = t26 * t185;
  t374 = t85 * t28;
  t375 = 0.1e1 / t374;
  t376 = t373 * t375;
  t379 = my_piecewise3(t1, 0, 0.79330838221330575711e-5 * t80 * t376);
  tv2sigma20 = t4 * t379;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t380 = t26 * t310;
  t381 = t131 * t51;
  t382 = 0.1e1 / t381;
  t383 = t380 * t382;
  t386 = my_piecewise3(t41, 0, 0.79330838221330575711e-5 * t126 * t383);
  tv2sigma25 = t4 * t386;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t4, t5, t8, t9, t12;
  double t13, t14, t16, t17, t18, t19, t20, t21;
  double t22, t23, t24, t25, t26, t27, t28, t29;
  double t30, t33, t36, t37, t40, t41, t42, t44;
  double t45, t46, t47, t48, t49, t50, t51, t52;
  double t53, t56, t59, t60, t63, tzk0;

  double t64, t65, t66, t68, t71, t72, t75, t76;
  double t77, t79, t80, t81, t82, t83, t84, t85;
  double t86, t87, t91, t92, t94, t97, t98, t101;
  double t103, t105, tvrho0, t109, t112, t113, t117, t119;
  double t122, t123, t126, t127, t128, t129, t130, t131;
  double t132, t133, t137, tvrho1, t140, t141, t144, tvsigma0;
  double tvsigma1, t145, t146, t149, tvsigma2;

  double t152, t153, t156, t157, t158, t161, t165, t166;
  double t169, t171, t172, t176, t177, t178, t180, t181;
  double t182, t185, t186, t187, t188, t189, t190, t193;
  double t194, t195, t199, t200, t201, t204, t207, t211;
  double t212, t215, t217, t219, t221, tv2rho20, t224, t228;
  double t232, t233, t236, t238, t239, t245, t246, t250;
  double t254, t255, t258, t261, t262, t265, t266, t269;
  double tv2rho21, t274, t279, t283, t284, t289, t290, t295;
  double t299, t300, t304, t305, t310, t311, t312, t313;
  double t314, t315, t318, t319, t320, t324, tv2rho22, t329;
  double t330, t332, t333, t334, t336, t339, t343, tv2rhosigma0;
  double tv2rhosigma1, t347, t348, t350, t352, tv2rhosigma2, t357, tv2rhosigma3;
  double tv2rhosigma4, t361, t362, t364, t367, t371, tv2rhosigma5, t373;
  double t374, t375, t376, t379, tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23;
  double tv2sigma24, t380, t381, t382, t383, t386, tv2sigma25;

  double t389, t390, t393, t396, t397, t398, t401, t405;
  double t406, t411, t414, t415, t418, t421, t422, t423;
  double t424, t426, t427, t430, t431, t432, t435, t437;
  double t438, t443, t444, t445, t447, t448, t449, t451;
  double t453, t454, t455, t456, t459, t462, t465, t469;
  double t470, t473, t474, t476, t478, t480, tv3rho30, t483;
  double t484, t485, t488, t493, t494, t496, t500, t501;
  double t505, t506, t507, t510, t512, t514, t525, t526;
  double t527, t530, t535, t537, t541, t542, t546, t547;
  double t551, t552, t555, t557, t558, t559, t562, tv3rho31;
  double t565, t570, t574, t578, t579, t582, t584, t585;
  double t592, t593, t598, t602, t606, t607, t610, t613;
  double t614, t617, t618, t624, t628, t630, t631, tv3rho32;
  double t636, t643, t647, t648, t653, t654, t655, t660;
  double t661, t662, t663, t665, t666, t669, t676, t680;
  double t681, t685, t686, t689, t699, t700, tv3rho33, t706;
  double t712, t713, t715, t716, t718, t719, t723, t724;
  double t728, t731, t735, tv3rho2sigma0, tv3rho2sigma1, t740, t742, t743;
  double t745, t747, tv3rho2sigma2, t751, t761, tv3rho2sigma3, tv3rho2sigma4, t765;
  double t770, t774, t775, t778, tv3rho2sigma5, t785, tv3rho2sigma6, tv3rho2sigma7;
  double t799, t800, t804, t807, t811, tv3rho2sigma8, t815, t816;
  double t818, t820, t822, t825, t829, tv3rhosigma20, tv3rhosigma21, tv3rhosigma22;
  double tv3rhosigma23, tv3rhosigma24, t833, t834, t836, t838, tv3rhosigma25, t843;
  double tv3rhosigma26, tv3rhosigma27, tv3rhosigma28, tv3rhosigma29, tv3rhosigma210, t848, t850, t853;
  double t857, tv3rhosigma211, t859, t860, t863, tv3sigma30, tv3sigma31, tv3sigma32;
  double tv3sigma33, tv3sigma34, tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38, t864, t865;
  double t868, tv3sigma39;


  t1 = rho[0] <= p->dens_threshold;
  t2 = sqrt(M_PI);
  t3 = 0.1e1 / t2;
  t4 = rho[0] + rho[1];
  t5 = 0.1e1 / t4;
  t8 = 0.2e1 * rho[0] * t5 <= p->zeta_threshold;
  t9 = p->zeta_threshold - 0.1e1;
  t12 = 0.2e1 * rho[1] * t5 <= p->zeta_threshold;
  t13 = -t9;
  t14 = rho[0] - rho[1];
  t16 = my_piecewise5(t8, t9, t12, t13, t14 * t5);
  t17 = 0.1e1 + t16;
  t18 = t17 <= p->zeta_threshold;
  t19 = sqrt(p->zeta_threshold);
  t20 = t19 * p->zeta_threshold;
  t21 = sqrt(t17);
  t22 = t21 * t17;
  t23 = my_piecewise3(t18, t20, t22);
  t24 = t3 * t23;
  t25 = M_SQRT2;
  t26 = sqrt(t4);
  t27 = t25 * t26;
  t28 = rho[0] * rho[0];
  t29 = t28 * rho[0];
  t30 = 0.1e1 / t29;
  t33 = 0.4604e0 + 0.70534859642542911404e-2 * sigma[0] * t30;
  t36 = 0.14604e1 - 0.21196816e0 / t33;
  t37 = t27 * t36;
  t40 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t24 * t37);
  t41 = rho[1] <= p->dens_threshold;
  t42 = -t14;
  t44 = my_piecewise5(t12, t9, t8, t13, t42 * t5);
  t45 = 0.1e1 + t44;
  t46 = t45 <= p->zeta_threshold;
  t47 = sqrt(t45);
  t48 = t47 * t45;
  t49 = my_piecewise3(t46, t20, t48);
  t50 = t3 * t49;
  t51 = rho[1] * rho[1];
  t52 = t51 * rho[1];
  t53 = 0.1e1 / t52;
  t56 = 0.4604e0 + 0.70534859642542911404e-2 * sigma[2] * t53;
  t59 = 0.14604e1 - 0.21196816e0 / t56;
  t60 = t27 * t59;
  t63 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t50 * t60);
  tzk0 = t40 + t63;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t64 = t4 * t4;
  t65 = 0.1e1 / t64;
  t66 = t14 * t65;
  t68 = my_piecewise5(t8, 0, t12, 0, t5 - t66);
  t71 = my_piecewise3(t18, 0, 0.3e1 / 0.2e1 * t21 * t68);
  t72 = t3 * t71;
  t75 = 0.1e1 / t26;
  t76 = t25 * t75;
  t77 = t76 * t36;
  t79 = t24 * t77 / 0.3e1;
  t80 = t23 * t25;
  t81 = t80 * t26;
  t82 = t33 * t33;
  t83 = 0.1e1 / t82;
  t84 = t83 * sigma[0];
  t85 = t28 * t28;
  t86 = 0.1e1 / t85;
  t87 = t84 * t86;
  t91 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t72 * t37 - t79 + 0.16870559881319107373e-2 * t81 * t87);
  t92 = t42 * t65;
  t94 = my_piecewise5(t12, 0, t8, 0, -t5 - t92);
  t97 = my_piecewise3(t46, 0, 0.3e1 / 0.2e1 * t47 * t94);
  t98 = t3 * t97;
  t101 = t76 * t59;
  t103 = t50 * t101 / 0.3e1;
  t105 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t98 * t60 - t103);
  tvrho0 = t40 + t63 + t4 * (t91 + t105);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t109 = my_piecewise5(t8, 0, t12, 0, -t5 - t66);
  t112 = my_piecewise3(t18, 0, 0.3e1 / 0.2e1 * t21 * t109);
  t113 = t3 * t112;
  t117 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t113 * t37 - t79);
  t119 = my_piecewise5(t12, 0, t8, 0, t5 - t92);
  t122 = my_piecewise3(t46, 0, 0.3e1 / 0.2e1 * t47 * t119);
  t123 = t3 * t122;
  t126 = t49 * t25;
  t127 = t126 * t26;
  t128 = t56 * t56;
  t129 = 0.1e1 / t128;
  t130 = t129 * sigma[2];
  t131 = t51 * t51;
  t132 = 0.1e1 / t131;
  t133 = t130 * t132;
  t137 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t123 * t60 - t103 + 0.16870559881319107373e-2 * t127 * t133);
  tvrho1 = t40 + t63 + t4 * (t117 + t137);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t140 = t26 * t83;
  t141 = t140 * t30;
  t144 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t80 * t141);
  tvsigma0 = t4 * t144;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t145 = t26 * t129;
  t146 = t145 * t53;
  t149 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t126 * t146);
  tvsigma2 = t4 * t149;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t152 = 0.1e1 / t21;
  t153 = t68 * t68;
  t156 = t64 * t4;
  t157 = 0.1e1 / t156;
  t158 = t14 * t157;
  t161 = my_piecewise5(t8, 0, t12, 0, -0.2e1 * t65 + 0.2e1 * t158);
  t165 = my_piecewise3(t18, 0, 0.3e1 / 0.4e1 * t152 * t153 + 0.3e1 / 0.2e1 * t21 * t161);
  t166 = t3 * t165;
  t169 = t72 * t77;
  t171 = t71 * t25;
  t172 = t171 * t26;
  t176 = 0.1e1 / t26 / t4;
  t177 = t25 * t176;
  t178 = t177 * t36;
  t180 = t24 * t178 / 0.6e1;
  t181 = t80 * t75;
  t182 = t181 * t87;
  t185 = 0.1e1 / t82 / t33;
  t186 = sigma[0] * sigma[0];
  t187 = t185 * t186;
  t188 = t85 * t85;
  t189 = 0.1e1 / t188;
  t190 = t187 * t189;
  t193 = t85 * rho[0];
  t194 = 0.1e1 / t193;
  t195 = t84 * t194;
  t199 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t166 * t37 - 0.2e1 / 0.3e1 * t169 + 0.33741119762638214746e-2 * t172 * t87 + t180 + 0.16870559881319107373e-2 * t182 + 0.71397754399197518142e-4 * t81 * t190 - 0.67482239525276429492e-2 * t81 * t195);
  t200 = 0.1e1 / t47;
  t201 = t94 * t94;
  t204 = t42 * t157;
  t207 = my_piecewise5(t12, 0, t8, 0, 0.2e1 * t65 + 0.2e1 * t204);
  t211 = my_piecewise3(t46, 0, 0.3e1 / 0.4e1 * t200 * t201 + 0.3e1 / 0.2e1 * t47 * t207);
  t212 = t3 * t211;
  t215 = t98 * t101;
  t217 = t177 * t59;
  t219 = t50 * t217 / 0.6e1;
  t221 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t212 * t60 - 0.2e1 / 0.3e1 * t215 + t219);
  tv2rho20 = 0.2e1 * t91 + 0.2e1 * t105 + t4 * (t199 + t221);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t224 = t152 * t109;
  t228 = my_piecewise5(t8, 0, t12, 0, 0.2e1 * t158);
  t232 = my_piecewise3(t18, 0, 0.3e1 / 0.4e1 * t224 * t68 + 0.3e1 / 0.2e1 * t21 * t228);
  t233 = t3 * t232;
  t236 = t113 * t77;
  t238 = t112 * t25;
  t239 = t238 * t26;
  t245 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t233 * t37 - t236 / 0.3e1 + 0.16870559881319107373e-2 * t239 * t87 - t169 / 0.3e1 + t180 + 0.84352799406595536863e-3 * t182);
  t246 = t200 * t119;
  t250 = my_piecewise5(t12, 0, t8, 0, 0.2e1 * t204);
  t254 = my_piecewise3(t46, 0, 0.3e1 / 0.4e1 * t246 * t94 + 0.3e1 / 0.2e1 * t47 * t250);
  t255 = t3 * t254;
  t258 = t123 * t101;
  t261 = t97 * t25;
  t262 = t261 * t26;
  t265 = t126 * t75;
  t266 = t265 * t133;
  t269 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t255 * t60 - t258 / 0.3e1 - t215 / 0.3e1 + t219 + 0.16870559881319107373e-2 * t262 * t133 + 0.84352799406595536865e-3 * t266);
  tv2rho21 = t91 + t105 + t117 + t137 + t4 * (t245 + t269);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t274 = t109 * t109;
  t279 = my_piecewise5(t8, 0, t12, 0, 0.2e1 * t65 + 0.2e1 * t158);
  t283 = my_piecewise3(t18, 0, 0.3e1 / 0.4e1 * t152 * t274 + 0.3e1 / 0.2e1 * t21 * t279);
  t284 = t3 * t283;
  t289 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t284 * t37 - 0.2e1 / 0.3e1 * t236 + t180);
  t290 = t119 * t119;
  t295 = my_piecewise5(t12, 0, t8, 0, -0.2e1 * t65 + 0.2e1 * t204);
  t299 = my_piecewise3(t46, 0, 0.3e1 / 0.4e1 * t200 * t290 + 0.3e1 / 0.2e1 * t47 * t295);
  t300 = t3 * t299;
  t304 = t122 * t25;
  t305 = t304 * t26;
  t310 = 0.1e1 / t128 / t56;
  t311 = sigma[2] * sigma[2];
  t312 = t310 * t311;
  t313 = t131 * t131;
  t314 = 0.1e1 / t313;
  t315 = t312 * t314;
  t318 = t131 * rho[1];
  t319 = 0.1e1 / t318;
  t320 = t130 * t319;
  t324 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t300 * t60 - 0.2e1 / 0.3e1 * t258 + 0.33741119762638214746e-2 * t305 * t133 + t219 + 0.16870559881319107373e-2 * t266 + 0.71397754399197518142e-4 * t127 * t315 - 0.67482239525276429492e-2 * t127 * t320);
  tv2rho22 = 0.2e1 * t117 + 0.2e1 * t137 + t4 * (t289 + t324);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t329 = t75 * t83;
  t330 = t329 * t30;
  t332 = 0.28117599802198512286e-3 * t80 * t330;
  t333 = t85 * t29;
  t334 = 0.1e1 / t333;
  t336 = t185 * t334 * sigma[0];
  t339 = t140 * t86;
  t343 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t171 * t141 - t332 - 0.23799251466399172713e-4 * t81 * t336 + 0.16870559881319107372e-2 * t80 * t339);
  tv2rhosigma0 = t4 * t343 + t144;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t347 = t75 * t129;
  t348 = t347 * t53;
  t350 = 0.28117599802198512286e-3 * t126 * t348;
  t352 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t261 * t146 - t350);
  tv2rhosigma2 = t4 * t352 + t149;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t357 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t238 * t141 - t332);
  tv2rhosigma3 = t4 * t357 + t144;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t361 = t131 * t52;
  t362 = 0.1e1 / t361;
  t364 = t310 * t362 * sigma[2];
  t367 = t145 * t132;
  t371 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t304 * t146 - t350 - 0.23799251466399172713e-4 * t127 * t364 + 0.16870559881319107372e-2 * t126 * t367);
  tv2rhosigma5 = t4 * t371 + t149;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t373 = t26 * t185;
  t374 = t85 * t28;
  t375 = 0.1e1 / t374;
  t376 = t373 * t375;
  t379 = my_piecewise3(t1, 0, 0.79330838221330575711e-5 * t80 * t376);
  tv2sigma20 = t4 * t379;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t380 = t26 * t310;
  t381 = t131 * t51;
  t382 = 0.1e1 / t381;
  t383 = t380 * t382;
  t386 = my_piecewise3(t41, 0, 0.79330838221330575711e-5 * t126 * t383);
  tv2sigma25 = t4 * t386;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t389 = 0.1e1 / t22;
  t390 = t153 * t68;
  t393 = t152 * t68;
  t396 = t64 * t64;
  t397 = 0.1e1 / t396;
  t398 = t14 * t397;
  t401 = my_piecewise5(t8, 0, t12, 0, 0.6e1 * t157 - 0.6e1 * t398);
  t405 = my_piecewise3(t18, 0, -0.3e1 / 0.8e1 * t389 * t390 + 0.9e1 / 0.4e1 * t393 * t161 + 0.3e1 / 0.2e1 * t21 * t401);
  t406 = t3 * t405;
  t411 = t181 * t195;
  t414 = 0.1e1 / t188 / rho[0];
  t415 = t187 * t414;
  t418 = t84 * t375;
  t421 = t82 * t82;
  t422 = 0.1e1 / t421;
  t423 = t186 * sigma[0];
  t424 = t422 * t423;
  t426 = 0.1e1 / t188 / t85;
  t427 = t424 * t426;
  t430 = t166 * t77;
  t431 = t165 * t25;
  t432 = t431 * t26;
  t435 = t72 * t178;
  t437 = t171 * t75;
  t438 = t437 * t87;
  t443 = 0.1e1 / t26 / t64;
  t444 = t25 * t443;
  t445 = t444 * t36;
  t447 = t24 * t445 / 0.4e1;
  t448 = t80 * t176;
  t449 = t448 * t87;
  t451 = t181 * t190;
  t453 = -0.2e1 / 0.3e1 * t406 * t37 - 0.20244671857582928847e-1 * t172 * t195 - 0.10122335928791464424e-1 * t411 - 0.85677305279037021771e-3 * t81 * t415 + 0.33741119762638214746e-1 * t81 * t418 + 0.45324275268061328712e-5 * t81 * t427 - t430 + 0.50611679643957322119e-2 * t432 * t87 + t435 / 0.2e1 + 0.50611679643957322119e-2 * t438 + 0.21419326319759255442e-3 * t172 * t190 - t447 - 0.1265291991098933053e-2 * t449 + 0.10709663159879627721e-3 * t451;
  t454 = my_piecewise3(t1, 0, t453);
  t455 = 0.1e1 / t48;
  t456 = t201 * t94;
  t459 = t200 * t94;
  t462 = t42 * t397;
  t465 = my_piecewise5(t12, 0, t8, 0, -0.6e1 * t157 - 0.6e1 * t462);
  t469 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t455 * t456 + 0.9e1 / 0.4e1 * t459 * t207 + 0.3e1 / 0.2e1 * t47 * t465);
  t470 = t3 * t469;
  t473 = t212 * t101;
  t474 = t98 * t217;
  t476 = t444 * t59;
  t478 = t50 * t476 / 0.4e1;
  t480 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t470 * t60 - t473 + t474 / 0.2e1 - t478);
  tv3rho30 = 0.3e1 * t199 + 0.3e1 * t221 + t4 * (t454 + t480);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t483 = 0.2e1 * t245;
  t484 = 0.2e1 * t269;
  t485 = t389 * t109;
  t488 = t152 * t228;
  t493 = 0.2e1 * t157;
  t494 = 0.6e1 * t398;
  t496 = my_piecewise5(t8, 0, t12, 0, t493 - t494);
  t500 = my_piecewise3(t18, 0, -0.3e1 / 0.8e1 * t485 * t153 + 0.3e1 / 0.2e1 * t488 * t68 + 0.3e1 / 0.4e1 * t224 * t161 + 0.3e1 / 0.2e1 * t21 * t496);
  t501 = t3 * t500;
  t505 = 0.2e1 / 0.3e1 * t233 * t77;
  t506 = t232 * t25;
  t507 = t506 * t26;
  t510 = t113 * t178;
  t512 = t238 * t75;
  t514 = 0.16870559881319107373e-2 * t512 * t87;
  t525 = -0.2e1 / 0.3e1 * t501 * t37 - t505 + 0.33741119762638214746e-2 * t507 * t87 + t510 / 0.6e1 + t514 + 0.71397754399197518142e-4 * t239 * t190 - 0.67482239525276429492e-2 * t239 * t195 - t430 / 0.3e1 + t435 / 0.3e1 + 0.16870559881319107373e-2 * t438 - t447 - 0.84352799406595536864e-3 * t449 + 0.3569887719959875907e-4 * t451 - 0.33741119762638214745e-2 * t411;
  t526 = my_piecewise3(t1, 0, t525);
  t527 = t455 * t119;
  t530 = t200 * t250;
  t535 = 0.6e1 * t462;
  t537 = my_piecewise5(t12, 0, t8, 0, -t493 - t535);
  t541 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t527 * t201 + 0.3e1 / 0.2e1 * t530 * t94 + 0.3e1 / 0.4e1 * t246 * t207 + 0.3e1 / 0.2e1 * t47 * t537);
  t542 = t3 * t541;
  t546 = 0.2e1 / 0.3e1 * t255 * t101;
  t547 = t123 * t217;
  t551 = t211 * t25;
  t552 = t551 * t26;
  t555 = t261 * t75;
  t557 = 0.16870559881319107373e-2 * t555 * t133;
  t558 = t126 * t176;
  t559 = t558 * t133;
  t562 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t542 * t60 - t546 + t547 / 0.6e1 - t473 / 0.3e1 + t474 / 0.3e1 - t478 + 0.16870559881319107373e-2 * t552 * t133 + t557 - 0.42176399703297768432e-3 * t559);
  tv3rho31 = t199 + t221 + t483 + t484 + t4 * (t526 + t562);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t565 = t389 * t274;
  t570 = t152 * t279;
  t574 = my_piecewise5(t8, 0, t12, 0, -t493 - t494);
  t578 = my_piecewise3(t18, 0, -0.3e1 / 0.8e1 * t565 * t68 + 0.3e1 / 0.2e1 * t224 * t228 + 0.3e1 / 0.4e1 * t570 * t68 + 0.3e1 / 0.2e1 * t21 * t574);
  t579 = t3 * t578;
  t582 = t284 * t77;
  t584 = t283 * t25;
  t585 = t584 * t26;
  t592 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t579 * t37 - t582 / 0.3e1 + 0.16870559881319107373e-2 * t585 * t87 - t505 + t510 / 0.3e1 + t514 + t435 / 0.6e1 - t447 - 0.42176399703297768432e-3 * t449);
  t593 = t455 * t290;
  t598 = t200 * t295;
  t602 = my_piecewise5(t12, 0, t8, 0, t493 - t535);
  t606 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t593 * t94 + 0.3e1 / 0.2e1 * t246 * t250 + 0.3e1 / 0.4e1 * t598 * t94 + 0.3e1 / 0.2e1 * t47 * t602);
  t607 = t3 * t606;
  t610 = t300 * t101;
  t613 = t254 * t25;
  t614 = t613 * t26;
  t617 = t304 * t75;
  t618 = t617 * t133;
  t624 = t265 * t315;
  t628 = t265 * t320;
  t630 = -0.2e1 / 0.3e1 * t607 * t60 - t610 / 0.3e1 - t546 + t547 / 0.3e1 + 0.33741119762638214746e-2 * t614 * t133 + 0.16870559881319107373e-2 * t618 + t474 / 0.6e1 - t478 + t557 - 0.84352799406595536865e-3 * t559 + 0.71397754399197518142e-4 * t262 * t315 + 0.35698877199598759071e-4 * t624 - 0.67482239525276429492e-2 * t262 * t320 - 0.33741119762638214746e-2 * t628;
  t631 = my_piecewise3(t41, 0, t630);
  tv3rho32 = t483 + t484 + t289 + t324 + t4 * (t592 + t631);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t636 = t274 * t109;
  t643 = my_piecewise5(t8, 0, t12, 0, -0.6e1 * t157 - 0.6e1 * t398);
  t647 = my_piecewise3(t18, 0, -0.3e1 / 0.8e1 * t389 * t636 + 0.9e1 / 0.4e1 * t224 * t279 + 0.3e1 / 0.2e1 * t21 * t643);
  t648 = t3 * t647;
  t653 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t648 * t37 - t582 + t510 / 0.2e1 - t447);
  t654 = t299 * t25;
  t655 = t654 * t26;
  t660 = t128 * t128;
  t661 = 0.1e1 / t660;
  t662 = t311 * sigma[2];
  t663 = t661 * t662;
  t665 = 0.1e1 / t313 / t131;
  t666 = t663 * t665;
  t669 = t290 * t119;
  t676 = my_piecewise5(t12, 0, t8, 0, 0.6e1 * t157 - 0.6e1 * t462);
  t680 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t455 * t669 + 0.9e1 / 0.4e1 * t246 * t295 + 0.3e1 / 0.2e1 * t47 * t676);
  t681 = t3 * t680;
  t685 = 0.1e1 / t313 / rho[1];
  t686 = t312 * t685;
  t689 = t130 * t382;
  t699 = 0.50611679643957322119e-2 * t655 * t133 + 0.21419326319759255442e-3 * t305 * t315 + 0.45324275268061328712e-5 * t127 * t666 - t610 - 0.2e1 / 0.3e1 * t681 * t60 - 0.85677305279037021771e-3 * t127 * t686 + 0.33741119762638214746e-1 * t127 * t689 - 0.20244671857582928847e-1 * t305 * t320 + 0.50611679643957322119e-2 * t618 + 0.10709663159879627721e-3 * t624 - 0.10122335928791464424e-1 * t628 - 0.1265291991098933053e-2 * t559 + t547 / 0.2e1 - t478;
  t700 = my_piecewise3(t41, 0, t699);
  tv3rho33 = 0.3e1 * t289 + 0.3e1 * t324 + t4 * (t653 + t700);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t706 = t171 * t330;
  t712 = t176 * t83;
  t713 = t712 * t30;
  t715 = 0.14058799901099256143e-3 * t80 * t713;
  t716 = t181 * t336;
  t718 = t329 * t86;
  t719 = t80 * t718;
  t723 = t422 / t188 / t29;
  t724 = t723 * t186;
  t728 = t185 * t189 * sigma[0];
  t731 = t140 * t194;
  t735 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t431 * t141 - 0.56235199604397024572e-3 * t706 - 0.47598502932798345426e-4 * t172 * t336 + 0.33741119762638214744e-2 * t171 * t339 + t715 - 0.23799251466399172712e-4 * t716 + 0.16870559881319107372e-2 * t719 - 0.15108091756020442903e-5 * t81 * t724 + 0.23799251466399172713e-3 * t81 * t728 - 0.67482239525276429488e-2 * t80 * t731);
  tv3rho2sigma0 = t4 * t735 + 0.2e1 * t343;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t740 = t261 * t348;
  t742 = t176 * t129;
  t743 = t742 * t53;
  t745 = 0.14058799901099256143e-3 * t126 * t743;
  t747 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t551 * t146 - 0.56235199604397024572e-3 * t740 + t745);
  tv3rho2sigma2 = t4 * t747 + 0.2e1 * t352;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t751 = t238 * t330;
  t761 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t506 * t141 - 0.28117599802198512286e-3 * t751 - 0.23799251466399172713e-4 * t239 * t336 + 0.16870559881319107372e-2 * t238 * t339 - 0.28117599802198512286e-3 * t706 + t715 - 0.11899625733199586356e-4 * t716 + 0.84352799406595536858e-3 * t719);
  tv3rho2sigma3 = t4 * t761 + t343 + t357;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t765 = t304 * t348;
  t770 = t265 * t364;
  t774 = t347 * t132;
  t775 = t126 * t774;
  t778 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t613 * t146 - 0.28117599802198512286e-3 * t765 - 0.28117599802198512286e-3 * t740 + t745 - 0.23799251466399172713e-4 * t262 * t364 - 0.11899625733199586356e-4 * t770 + 0.16870559881319107372e-2 * t261 * t367 + 0.8435279940659553686e-3 * t775);
  tv3rho2sigma5 = t4 * t778 + t352 + t371;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t785 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t584 * t141 - 0.56235199604397024572e-3 * t751 + t715);
  tv3rho2sigma6 = t4 * t785 + 0.2e1 * t357;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t799 = t661 / t313 / t52;
  t800 = t799 * t311;
  t804 = t310 * t314 * sigma[2];
  t807 = t145 * t319;
  t811 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t654 * t146 - 0.56235199604397024572e-3 * t765 - 0.47598502932798345426e-4 * t305 * t364 + 0.33741119762638214744e-2 * t304 * t367 + t745 - 0.23799251466399172712e-4 * t770 + 0.16870559881319107372e-2 * t775 - 0.15108091756020442903e-5 * t127 * t800 + 0.23799251466399172713e-3 * t127 * t804 - 0.67482239525276429488e-2 * t126 * t807);
  tv3rho2sigma8 = t4 * t811 + 0.2e1 * t371;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  t815 = t75 * t185;
  t816 = t815 * t375;
  t818 = 0.39665419110665287856e-5 * t80 * t816;
  t820 = 0.1e1 / t188 / t28;
  t822 = t422 * t820 * sigma[0];
  t825 = t373 * t334;
  t829 = my_piecewise3(t1, 0, 0.79330838221330575711e-5 * t171 * t376 + t818 + 0.50360305853401476345e-6 * t81 * t822 - 0.47598502932798345427e-4 * t80 * t825);
  tv3rhosigma20 = t4 * t829 + t379;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  t833 = t75 * t310;
  t834 = t833 * t382;
  t836 = 0.39665419110665287856e-5 * t126 * t834;
  t838 = my_piecewise3(t41, 0, 0.79330838221330575711e-5 * t261 * t383 + t836);
  tv3rhosigma25 = t4 * t838 + t386;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  t843 = my_piecewise3(t1, 0, 0.79330838221330575711e-5 * t238 * t376 + t818);
  tv3rhosigma26 = t4 * t843 + t379;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  t848 = 0.1e1 / t313 / t51;
  t850 = t661 * t848 * sigma[2];
  t853 = t380 * t362;
  t857 = my_piecewise3(t41, 0, 0.79330838221330575711e-5 * t304 * t383 + t836 + 0.50360305853401476345e-6 * t127 * t850 - 0.47598502932798345427e-4 * t126 * t853);
  tv3rhosigma211 = t4 * t857 + t386;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  t859 = t26 * t422;
  t860 = t859 * t414;
  t863 = my_piecewise3(t1, 0, -0.16786768617800492115e-6 * t80 * t860);
  tv3sigma30 = t4 * t863;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  t864 = t26 * t661;
  t865 = t864 * t685;
  t868 = my_piecewise3(t41, 0, -0.16786768617800492115e-6 * t126 * t865);
  tv3sigma39 = t4 * t868;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t4, t5, t8, t9, t12;
  double t13, t14, t16, t17, t18, t19, t20, t21;
  double t22, t23, t24, t25, t26, t27, t28, t29;
  double t30, t33, t36, t37, t40, t41, t42, t44;
  double t45, t46, t47, t48, t49, t50, t51, t52;
  double t53, t56, t59, t60, t63, tzk0;

  double t64, t65, t66, t68, t71, t72, t75, t76;
  double t77, t79, t80, t81, t82, t83, t84, t85;
  double t86, t87, t91, t92, t94, t97, t98, t101;
  double t103, t105, tvrho0, t109, t112, t113, t117, t119;
  double t122, t123, t126, t127, t128, t129, t130, t131;
  double t132, t133, t137, tvrho1, t140, t141, t144, tvsigma0;
  double tvsigma1, t145, t146, t149, tvsigma2;

  double t152, t153, t156, t157, t158, t161, t165, t166;
  double t169, t171, t172, t176, t177, t178, t180, t181;
  double t182, t185, t186, t187, t188, t189, t190, t193;
  double t194, t195, t199, t200, t201, t204, t207, t211;
  double t212, t215, t217, t219, t221, tv2rho20, t224, t228;
  double t232, t233, t236, t238, t239, t245, t246, t250;
  double t254, t255, t258, t261, t262, t265, t266, t269;
  double tv2rho21, t274, t279, t283, t284, t289, t290, t295;
  double t299, t300, t304, t305, t310, t311, t312, t313;
  double t314, t315, t318, t319, t320, t324, tv2rho22, t329;
  double t330, t332, t333, t334, t336, t339, t343, tv2rhosigma0;
  double tv2rhosigma1, t347, t348, t350, t352, tv2rhosigma2, t357, tv2rhosigma3;
  double tv2rhosigma4, t361, t362, t364, t367, t371, tv2rhosigma5, t373;
  double t374, t375, t376, t379, tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23;
  double tv2sigma24, t380, t381, t382, t383, t386, tv2sigma25;

  double t389, t390, t393, t396, t397, t398, t401, t405;
  double t406, t411, t414, t415, t418, t421, t422, t423;
  double t424, t426, t427, t430, t431, t432, t435, t437;
  double t438, t443, t444, t445, t447, t448, t449, t451;
  double t453, t454, t455, t456, t459, t462, t465, t469;
  double t470, t473, t474, t476, t478, t480, tv3rho30, t483;
  double t484, t485, t488, t493, t494, t496, t500, t501;
  double t505, t506, t507, t510, t512, t514, t525, t526;
  double t527, t530, t535, t537, t541, t542, t546, t547;
  double t551, t552, t555, t557, t558, t559, t562, tv3rho31;
  double t565, t570, t574, t578, t579, t582, t584, t585;
  double t592, t593, t598, t602, t606, t607, t610, t613;
  double t614, t617, t618, t624, t628, t630, t631, tv3rho32;
  double t636, t643, t647, t648, t653, t654, t655, t660;
  double t661, t662, t663, t665, t666, t669, t676, t680;
  double t681, t685, t686, t689, t699, t700, tv3rho33, t706;
  double t712, t713, t715, t716, t718, t719, t723, t724;
  double t728, t731, t735, tv3rho2sigma0, tv3rho2sigma1, t740, t742, t743;
  double t745, t747, tv3rho2sigma2, t751, t761, tv3rho2sigma3, tv3rho2sigma4, t765;
  double t770, t774, t775, t778, tv3rho2sigma5, t785, tv3rho2sigma6, tv3rho2sigma7;
  double t799, t800, t804, t807, t811, tv3rho2sigma8, t815, t816;
  double t818, t820, t822, t825, t829, tv3rhosigma20, tv3rhosigma21, tv3rhosigma22;
  double tv3rhosigma23, tv3rhosigma24, t833, t834, t836, t838, tv3rhosigma25, t843;
  double tv3rhosigma26, tv3rhosigma27, tv3rhosigma28, tv3rhosigma29, tv3rhosigma210, t848, t850, t853;
  double t857, tv3rhosigma211, t859, t860, t863, tv3sigma30, tv3sigma31, tv3sigma32;
  double tv3sigma33, tv3sigma34, tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38, t864, t865;
  double t868, tv3sigma39;

  double t871, t874, t877, t878, t880, t881, t883, t884;
  double t890, t896, t897, t900, t904, t910, t913, t920;
  double t921, t923, t929, t933, t934, t942, t944, t948;
  double t951, t953, t956, t958, t960, t966, t968, t969;
  double t971, t972, t978, t983, t986, t990, t994, t996;
  double t997, t1000, t1002, tv4rho40, t1010, t1012, t1013, t1014;
  double t1031, t1032, t1034, t1038, t1046, t1052, t1054, t1055;
  double t1056, t1060, t1065, t1077, t1079, t1096, t1098, t1102;
  double t1106, t1107, t1108, t1109, t1114, t1119, t1122, t1123;
  double t1125, t1127, t1128, tv4rho41, t1135, t1137, t1141, t1144;
  double t1172, t1185, t1189, t1193, t1195, t1200, t1202, t1204;
  double t1208, t1210, t1212, t1214, t1217, t1221, t1239, t1252;
  double t1256, t1260, t1262, tv4rho42, t1283, t1287, t1291, t1293;
  double t1302, t1303, t1307, t1309, t1317, t1319, t1321, t1323;
  double t1327, t1332, t1356, t1360, t1364, t1368, t1370, tv4rho43;
  double t1375, t1380, t1387, t1391, t1397, t1413, t1417, t1426;
  double t1427, t1429, t1434, t1443, t1448, t1455, t1459, t1464;
  double t1466, tv4rho44, t1475, t1477, t1479, t1481, t1484, t1495;
  double t1501, t1503, t1505, t1509, t1523, t1524, tv4rho3sigma0, tv4rho3sigma1;
  double t1529, t1531, t1536, t1538, tv4rho3sigma2, t1540, t1542, t1544;
  double t1550, t1555, t1570, t1571, tv4rho3sigma3, tv4rho3sigma4, t1573, t1577;
  double t1578, t1585, t1586, t1591, t1593, t1595, t1596, tv4rho3sigma5;
  double t1600, t1610, t1611, tv4rho3sigma6, tv4rho3sigma7, t1615, t1620, t1624;
  double t1631, t1635, t1640, t1642, t1643, tv4rho3sigma8, t1651, tv4rho3sigma9;
  double tv4rho3sigma10, t1692, t1693, tv4rho3sigma11, t1698, t1707, t1708, t1711;
  double t1726, tv4rho2sigma20, tv4rho2sigma21, tv4rho2sigma22, tv4rho2sigma23, tv4rho2sigma24, t1731, t1736;
  double t1738, tv4rho2sigma25, t1742, t1752, tv4rho2sigma26, tv4rho2sigma27, tv4rho2sigma28, tv4rho2sigma29;
  double tv4rho2sigma210, t1756, t1761, t1766, t1769, tv4rho2sigma211, t1776, tv4rho2sigma212;
  double tv4rho2sigma213, tv4rho2sigma214, tv4rho2sigma215, tv4rho2sigma216, t1801, tv4rho2sigma217, t1808, t1817;
  double tv4rhosigma30, tv4rhosigma31, tv4rhosigma32, tv4rhosigma33, tv4rhosigma34, tv4rhosigma35, tv4rhosigma36, tv4rhosigma37;
  double tv4rhosigma38, t1824, t1826, tv4rhosigma39, t1831, tv4rhosigma310, tv4rhosigma311, tv4rhosigma312;
  double tv4rhosigma313, tv4rhosigma314, tv4rhosigma315, tv4rhosigma316, tv4rhosigma317, tv4rhosigma318, t1843, tv4rhosigma319;
  double t1849, tv4sigma40, tv4sigma41, tv4sigma42, tv4sigma43, tv4sigma44, tv4sigma45, tv4sigma46;
  double tv4sigma47, tv4sigma48, tv4sigma49, tv4sigma410, tv4sigma411, tv4sigma412, tv4sigma413, t1854;
  double tv4sigma414;


  t1 = rho[0] <= p->dens_threshold;
  t2 = sqrt(M_PI);
  t3 = 0.1e1 / t2;
  t4 = rho[0] + rho[1];
  t5 = 0.1e1 / t4;
  t8 = 0.2e1 * rho[0] * t5 <= p->zeta_threshold;
  t9 = p->zeta_threshold - 0.1e1;
  t12 = 0.2e1 * rho[1] * t5 <= p->zeta_threshold;
  t13 = -t9;
  t14 = rho[0] - rho[1];
  t16 = my_piecewise5(t8, t9, t12, t13, t14 * t5);
  t17 = 0.1e1 + t16;
  t18 = t17 <= p->zeta_threshold;
  t19 = sqrt(p->zeta_threshold);
  t20 = t19 * p->zeta_threshold;
  t21 = sqrt(t17);
  t22 = t21 * t17;
  t23 = my_piecewise3(t18, t20, t22);
  t24 = t3 * t23;
  t25 = M_SQRT2;
  t26 = sqrt(t4);
  t27 = t25 * t26;
  t28 = rho[0] * rho[0];
  t29 = t28 * rho[0];
  t30 = 0.1e1 / t29;
  t33 = 0.4604e0 + 0.70534859642542911404e-2 * sigma[0] * t30;
  t36 = 0.14604e1 - 0.21196816e0 / t33;
  t37 = t27 * t36;
  t40 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t24 * t37);
  t41 = rho[1] <= p->dens_threshold;
  t42 = -t14;
  t44 = my_piecewise5(t12, t9, t8, t13, t42 * t5);
  t45 = 0.1e1 + t44;
  t46 = t45 <= p->zeta_threshold;
  t47 = sqrt(t45);
  t48 = t47 * t45;
  t49 = my_piecewise3(t46, t20, t48);
  t50 = t3 * t49;
  t51 = rho[1] * rho[1];
  t52 = t51 * rho[1];
  t53 = 0.1e1 / t52;
  t56 = 0.4604e0 + 0.70534859642542911404e-2 * sigma[2] * t53;
  t59 = 0.14604e1 - 0.21196816e0 / t56;
  t60 = t27 * t59;
  t63 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t50 * t60);
  tzk0 = t40 + t63;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t64 = t4 * t4;
  t65 = 0.1e1 / t64;
  t66 = t14 * t65;
  t68 = my_piecewise5(t8, 0, t12, 0, t5 - t66);
  t71 = my_piecewise3(t18, 0, 0.3e1 / 0.2e1 * t21 * t68);
  t72 = t3 * t71;
  t75 = 0.1e1 / t26;
  t76 = t25 * t75;
  t77 = t76 * t36;
  t79 = t24 * t77 / 0.3e1;
  t80 = t23 * t25;
  t81 = t80 * t26;
  t82 = t33 * t33;
  t83 = 0.1e1 / t82;
  t84 = t83 * sigma[0];
  t85 = t28 * t28;
  t86 = 0.1e1 / t85;
  t87 = t84 * t86;
  t91 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t72 * t37 - t79 + 0.16870559881319107373e-2 * t81 * t87);
  t92 = t42 * t65;
  t94 = my_piecewise5(t12, 0, t8, 0, -t5 - t92);
  t97 = my_piecewise3(t46, 0, 0.3e1 / 0.2e1 * t47 * t94);
  t98 = t3 * t97;
  t101 = t76 * t59;
  t103 = t50 * t101 / 0.3e1;
  t105 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t98 * t60 - t103);
  tvrho0 = t40 + t63 + t4 * (t91 + t105);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t109 = my_piecewise5(t8, 0, t12, 0, -t5 - t66);
  t112 = my_piecewise3(t18, 0, 0.3e1 / 0.2e1 * t21 * t109);
  t113 = t3 * t112;
  t117 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t113 * t37 - t79);
  t119 = my_piecewise5(t12, 0, t8, 0, t5 - t92);
  t122 = my_piecewise3(t46, 0, 0.3e1 / 0.2e1 * t47 * t119);
  t123 = t3 * t122;
  t126 = t49 * t25;
  t127 = t126 * t26;
  t128 = t56 * t56;
  t129 = 0.1e1 / t128;
  t130 = t129 * sigma[2];
  t131 = t51 * t51;
  t132 = 0.1e1 / t131;
  t133 = t130 * t132;
  t137 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t123 * t60 - t103 + 0.16870559881319107373e-2 * t127 * t133);
  tvrho1 = t40 + t63 + t4 * (t117 + t137);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t140 = t26 * t83;
  t141 = t140 * t30;
  t144 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t80 * t141);
  tvsigma0 = t4 * t144;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t145 = t26 * t129;
  t146 = t145 * t53;
  t149 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t126 * t146);
  tvsigma2 = t4 * t149;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t152 = 0.1e1 / t21;
  t153 = t68 * t68;
  t156 = t64 * t4;
  t157 = 0.1e1 / t156;
  t158 = t14 * t157;
  t161 = my_piecewise5(t8, 0, t12, 0, -0.2e1 * t65 + 0.2e1 * t158);
  t165 = my_piecewise3(t18, 0, 0.3e1 / 0.4e1 * t152 * t153 + 0.3e1 / 0.2e1 * t21 * t161);
  t166 = t3 * t165;
  t169 = t72 * t77;
  t171 = t71 * t25;
  t172 = t171 * t26;
  t176 = 0.1e1 / t26 / t4;
  t177 = t25 * t176;
  t178 = t177 * t36;
  t180 = t24 * t178 / 0.6e1;
  t181 = t80 * t75;
  t182 = t181 * t87;
  t185 = 0.1e1 / t82 / t33;
  t186 = sigma[0] * sigma[0];
  t187 = t185 * t186;
  t188 = t85 * t85;
  t189 = 0.1e1 / t188;
  t190 = t187 * t189;
  t193 = t85 * rho[0];
  t194 = 0.1e1 / t193;
  t195 = t84 * t194;
  t199 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t166 * t37 - 0.2e1 / 0.3e1 * t169 + 0.33741119762638214746e-2 * t172 * t87 + t180 + 0.16870559881319107373e-2 * t182 + 0.71397754399197518142e-4 * t81 * t190 - 0.67482239525276429492e-2 * t81 * t195);
  t200 = 0.1e1 / t47;
  t201 = t94 * t94;
  t204 = t42 * t157;
  t207 = my_piecewise5(t12, 0, t8, 0, 0.2e1 * t65 + 0.2e1 * t204);
  t211 = my_piecewise3(t46, 0, 0.3e1 / 0.4e1 * t200 * t201 + 0.3e1 / 0.2e1 * t47 * t207);
  t212 = t3 * t211;
  t215 = t98 * t101;
  t217 = t177 * t59;
  t219 = t50 * t217 / 0.6e1;
  t221 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t212 * t60 - 0.2e1 / 0.3e1 * t215 + t219);
  tv2rho20 = 0.2e1 * t91 + 0.2e1 * t105 + t4 * (t199 + t221);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t224 = t152 * t109;
  t228 = my_piecewise5(t8, 0, t12, 0, 0.2e1 * t158);
  t232 = my_piecewise3(t18, 0, 0.3e1 / 0.4e1 * t224 * t68 + 0.3e1 / 0.2e1 * t21 * t228);
  t233 = t3 * t232;
  t236 = t113 * t77;
  t238 = t112 * t25;
  t239 = t238 * t26;
  t245 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t233 * t37 - t236 / 0.3e1 + 0.16870559881319107373e-2 * t239 * t87 - t169 / 0.3e1 + t180 + 0.84352799406595536863e-3 * t182);
  t246 = t200 * t119;
  t250 = my_piecewise5(t12, 0, t8, 0, 0.2e1 * t204);
  t254 = my_piecewise3(t46, 0, 0.3e1 / 0.4e1 * t246 * t94 + 0.3e1 / 0.2e1 * t47 * t250);
  t255 = t3 * t254;
  t258 = t123 * t101;
  t261 = t97 * t25;
  t262 = t261 * t26;
  t265 = t126 * t75;
  t266 = t265 * t133;
  t269 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t255 * t60 - t258 / 0.3e1 - t215 / 0.3e1 + t219 + 0.16870559881319107373e-2 * t262 * t133 + 0.84352799406595536865e-3 * t266);
  tv2rho21 = t91 + t105 + t117 + t137 + t4 * (t245 + t269);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t274 = t109 * t109;
  t279 = my_piecewise5(t8, 0, t12, 0, 0.2e1 * t65 + 0.2e1 * t158);
  t283 = my_piecewise3(t18, 0, 0.3e1 / 0.4e1 * t152 * t274 + 0.3e1 / 0.2e1 * t21 * t279);
  t284 = t3 * t283;
  t289 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t284 * t37 - 0.2e1 / 0.3e1 * t236 + t180);
  t290 = t119 * t119;
  t295 = my_piecewise5(t12, 0, t8, 0, -0.2e1 * t65 + 0.2e1 * t204);
  t299 = my_piecewise3(t46, 0, 0.3e1 / 0.4e1 * t200 * t290 + 0.3e1 / 0.2e1 * t47 * t295);
  t300 = t3 * t299;
  t304 = t122 * t25;
  t305 = t304 * t26;
  t310 = 0.1e1 / t128 / t56;
  t311 = sigma[2] * sigma[2];
  t312 = t310 * t311;
  t313 = t131 * t131;
  t314 = 0.1e1 / t313;
  t315 = t312 * t314;
  t318 = t131 * rho[1];
  t319 = 0.1e1 / t318;
  t320 = t130 * t319;
  t324 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t300 * t60 - 0.2e1 / 0.3e1 * t258 + 0.33741119762638214746e-2 * t305 * t133 + t219 + 0.16870559881319107373e-2 * t266 + 0.71397754399197518142e-4 * t127 * t315 - 0.67482239525276429492e-2 * t127 * t320);
  tv2rho22 = 0.2e1 * t117 + 0.2e1 * t137 + t4 * (t289 + t324);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t329 = t75 * t83;
  t330 = t329 * t30;
  t332 = 0.28117599802198512286e-3 * t80 * t330;
  t333 = t85 * t29;
  t334 = 0.1e1 / t333;
  t336 = t185 * t334 * sigma[0];
  t339 = t140 * t86;
  t343 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t171 * t141 - t332 - 0.23799251466399172713e-4 * t81 * t336 + 0.16870559881319107372e-2 * t80 * t339);
  tv2rhosigma0 = t4 * t343 + t144;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t347 = t75 * t129;
  t348 = t347 * t53;
  t350 = 0.28117599802198512286e-3 * t126 * t348;
  t352 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t261 * t146 - t350);
  tv2rhosigma2 = t4 * t352 + t149;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t357 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t238 * t141 - t332);
  tv2rhosigma3 = t4 * t357 + t144;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t361 = t131 * t52;
  t362 = 0.1e1 / t361;
  t364 = t310 * t362 * sigma[2];
  t367 = t145 * t132;
  t371 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t304 * t146 - t350 - 0.23799251466399172713e-4 * t127 * t364 + 0.16870559881319107372e-2 * t126 * t367);
  tv2rhosigma5 = t4 * t371 + t149;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t373 = t26 * t185;
  t374 = t85 * t28;
  t375 = 0.1e1 / t374;
  t376 = t373 * t375;
  t379 = my_piecewise3(t1, 0, 0.79330838221330575711e-5 * t80 * t376);
  tv2sigma20 = t4 * t379;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t380 = t26 * t310;
  t381 = t131 * t51;
  t382 = 0.1e1 / t381;
  t383 = t380 * t382;
  t386 = my_piecewise3(t41, 0, 0.79330838221330575711e-5 * t126 * t383);
  tv2sigma25 = t4 * t386;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t389 = 0.1e1 / t22;
  t390 = t153 * t68;
  t393 = t152 * t68;
  t396 = t64 * t64;
  t397 = 0.1e1 / t396;
  t398 = t14 * t397;
  t401 = my_piecewise5(t8, 0, t12, 0, 0.6e1 * t157 - 0.6e1 * t398);
  t405 = my_piecewise3(t18, 0, -0.3e1 / 0.8e1 * t389 * t390 + 0.9e1 / 0.4e1 * t393 * t161 + 0.3e1 / 0.2e1 * t21 * t401);
  t406 = t3 * t405;
  t411 = t181 * t195;
  t414 = 0.1e1 / t188 / rho[0];
  t415 = t187 * t414;
  t418 = t84 * t375;
  t421 = t82 * t82;
  t422 = 0.1e1 / t421;
  t423 = t186 * sigma[0];
  t424 = t422 * t423;
  t426 = 0.1e1 / t188 / t85;
  t427 = t424 * t426;
  t430 = t166 * t77;
  t431 = t165 * t25;
  t432 = t431 * t26;
  t435 = t72 * t178;
  t437 = t171 * t75;
  t438 = t437 * t87;
  t443 = 0.1e1 / t26 / t64;
  t444 = t25 * t443;
  t445 = t444 * t36;
  t447 = t24 * t445 / 0.4e1;
  t448 = t80 * t176;
  t449 = t448 * t87;
  t451 = t181 * t190;
  t453 = -0.2e1 / 0.3e1 * t406 * t37 - 0.20244671857582928847e-1 * t172 * t195 - 0.10122335928791464424e-1 * t411 - 0.85677305279037021771e-3 * t81 * t415 + 0.33741119762638214746e-1 * t81 * t418 + 0.45324275268061328712e-5 * t81 * t427 - t430 + 0.50611679643957322119e-2 * t432 * t87 + t435 / 0.2e1 + 0.50611679643957322119e-2 * t438 + 0.21419326319759255442e-3 * t172 * t190 - t447 - 0.1265291991098933053e-2 * t449 + 0.10709663159879627721e-3 * t451;
  t454 = my_piecewise3(t1, 0, t453);
  t455 = 0.1e1 / t48;
  t456 = t201 * t94;
  t459 = t200 * t94;
  t462 = t42 * t397;
  t465 = my_piecewise5(t12, 0, t8, 0, -0.6e1 * t157 - 0.6e1 * t462);
  t469 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t455 * t456 + 0.9e1 / 0.4e1 * t459 * t207 + 0.3e1 / 0.2e1 * t47 * t465);
  t470 = t3 * t469;
  t473 = t212 * t101;
  t474 = t98 * t217;
  t476 = t444 * t59;
  t478 = t50 * t476 / 0.4e1;
  t480 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t470 * t60 - t473 + t474 / 0.2e1 - t478);
  tv3rho30 = 0.3e1 * t199 + 0.3e1 * t221 + t4 * (t454 + t480);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t483 = 0.2e1 * t245;
  t484 = 0.2e1 * t269;
  t485 = t389 * t109;
  t488 = t152 * t228;
  t493 = 0.2e1 * t157;
  t494 = 0.6e1 * t398;
  t496 = my_piecewise5(t8, 0, t12, 0, t493 - t494);
  t500 = my_piecewise3(t18, 0, -0.3e1 / 0.8e1 * t485 * t153 + 0.3e1 / 0.2e1 * t488 * t68 + 0.3e1 / 0.4e1 * t224 * t161 + 0.3e1 / 0.2e1 * t21 * t496);
  t501 = t3 * t500;
  t505 = 0.2e1 / 0.3e1 * t233 * t77;
  t506 = t232 * t25;
  t507 = t506 * t26;
  t510 = t113 * t178;
  t512 = t238 * t75;
  t514 = 0.16870559881319107373e-2 * t512 * t87;
  t525 = -0.2e1 / 0.3e1 * t501 * t37 - t505 + 0.33741119762638214746e-2 * t507 * t87 + t510 / 0.6e1 + t514 + 0.71397754399197518142e-4 * t239 * t190 - 0.67482239525276429492e-2 * t239 * t195 - t430 / 0.3e1 + t435 / 0.3e1 + 0.16870559881319107373e-2 * t438 - t447 - 0.84352799406595536864e-3 * t449 + 0.3569887719959875907e-4 * t451 - 0.33741119762638214745e-2 * t411;
  t526 = my_piecewise3(t1, 0, t525);
  t527 = t455 * t119;
  t530 = t200 * t250;
  t535 = 0.6e1 * t462;
  t537 = my_piecewise5(t12, 0, t8, 0, -t493 - t535);
  t541 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t527 * t201 + 0.3e1 / 0.2e1 * t530 * t94 + 0.3e1 / 0.4e1 * t246 * t207 + 0.3e1 / 0.2e1 * t47 * t537);
  t542 = t3 * t541;
  t546 = 0.2e1 / 0.3e1 * t255 * t101;
  t547 = t123 * t217;
  t551 = t211 * t25;
  t552 = t551 * t26;
  t555 = t261 * t75;
  t557 = 0.16870559881319107373e-2 * t555 * t133;
  t558 = t126 * t176;
  t559 = t558 * t133;
  t562 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t542 * t60 - t546 + t547 / 0.6e1 - t473 / 0.3e1 + t474 / 0.3e1 - t478 + 0.16870559881319107373e-2 * t552 * t133 + t557 - 0.42176399703297768432e-3 * t559);
  tv3rho31 = t199 + t221 + t483 + t484 + t4 * (t526 + t562);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t565 = t389 * t274;
  t570 = t152 * t279;
  t574 = my_piecewise5(t8, 0, t12, 0, -t493 - t494);
  t578 = my_piecewise3(t18, 0, -0.3e1 / 0.8e1 * t565 * t68 + 0.3e1 / 0.2e1 * t224 * t228 + 0.3e1 / 0.4e1 * t570 * t68 + 0.3e1 / 0.2e1 * t21 * t574);
  t579 = t3 * t578;
  t582 = t284 * t77;
  t584 = t283 * t25;
  t585 = t584 * t26;
  t592 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t579 * t37 - t582 / 0.3e1 + 0.16870559881319107373e-2 * t585 * t87 - t505 + t510 / 0.3e1 + t514 + t435 / 0.6e1 - t447 - 0.42176399703297768432e-3 * t449);
  t593 = t455 * t290;
  t598 = t200 * t295;
  t602 = my_piecewise5(t12, 0, t8, 0, t493 - t535);
  t606 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t593 * t94 + 0.3e1 / 0.2e1 * t246 * t250 + 0.3e1 / 0.4e1 * t598 * t94 + 0.3e1 / 0.2e1 * t47 * t602);
  t607 = t3 * t606;
  t610 = t300 * t101;
  t613 = t254 * t25;
  t614 = t613 * t26;
  t617 = t304 * t75;
  t618 = t617 * t133;
  t624 = t265 * t315;
  t628 = t265 * t320;
  t630 = -0.2e1 / 0.3e1 * t607 * t60 - t610 / 0.3e1 - t546 + t547 / 0.3e1 + 0.33741119762638214746e-2 * t614 * t133 + 0.16870559881319107373e-2 * t618 + t474 / 0.6e1 - t478 + t557 - 0.84352799406595536865e-3 * t559 + 0.71397754399197518142e-4 * t262 * t315 + 0.35698877199598759071e-4 * t624 - 0.67482239525276429492e-2 * t262 * t320 - 0.33741119762638214746e-2 * t628;
  t631 = my_piecewise3(t41, 0, t630);
  tv3rho32 = t483 + t484 + t289 + t324 + t4 * (t592 + t631);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t636 = t274 * t109;
  t643 = my_piecewise5(t8, 0, t12, 0, -0.6e1 * t157 - 0.6e1 * t398);
  t647 = my_piecewise3(t18, 0, -0.3e1 / 0.8e1 * t389 * t636 + 0.9e1 / 0.4e1 * t224 * t279 + 0.3e1 / 0.2e1 * t21 * t643);
  t648 = t3 * t647;
  t653 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t648 * t37 - t582 + t510 / 0.2e1 - t447);
  t654 = t299 * t25;
  t655 = t654 * t26;
  t660 = t128 * t128;
  t661 = 0.1e1 / t660;
  t662 = t311 * sigma[2];
  t663 = t661 * t662;
  t665 = 0.1e1 / t313 / t131;
  t666 = t663 * t665;
  t669 = t290 * t119;
  t676 = my_piecewise5(t12, 0, t8, 0, 0.6e1 * t157 - 0.6e1 * t462);
  t680 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t455 * t669 + 0.9e1 / 0.4e1 * t246 * t295 + 0.3e1 / 0.2e1 * t47 * t676);
  t681 = t3 * t680;
  t685 = 0.1e1 / t313 / rho[1];
  t686 = t312 * t685;
  t689 = t130 * t382;
  t699 = 0.50611679643957322119e-2 * t655 * t133 + 0.21419326319759255442e-3 * t305 * t315 + 0.45324275268061328712e-5 * t127 * t666 - t610 - 0.2e1 / 0.3e1 * t681 * t60 - 0.85677305279037021771e-3 * t127 * t686 + 0.33741119762638214746e-1 * t127 * t689 - 0.20244671857582928847e-1 * t305 * t320 + 0.50611679643957322119e-2 * t618 + 0.10709663159879627721e-3 * t624 - 0.10122335928791464424e-1 * t628 - 0.1265291991098933053e-2 * t559 + t547 / 0.2e1 - t478;
  t700 = my_piecewise3(t41, 0, t699);
  tv3rho33 = 0.3e1 * t289 + 0.3e1 * t324 + t4 * (t653 + t700);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t706 = t171 * t330;
  t712 = t176 * t83;
  t713 = t712 * t30;
  t715 = 0.14058799901099256143e-3 * t80 * t713;
  t716 = t181 * t336;
  t718 = t329 * t86;
  t719 = t80 * t718;
  t723 = t422 / t188 / t29;
  t724 = t723 * t186;
  t728 = t185 * t189 * sigma[0];
  t731 = t140 * t194;
  t735 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t431 * t141 - 0.56235199604397024572e-3 * t706 - 0.47598502932798345426e-4 * t172 * t336 + 0.33741119762638214744e-2 * t171 * t339 + t715 - 0.23799251466399172712e-4 * t716 + 0.16870559881319107372e-2 * t719 - 0.15108091756020442903e-5 * t81 * t724 + 0.23799251466399172713e-3 * t81 * t728 - 0.67482239525276429488e-2 * t80 * t731);
  tv3rho2sigma0 = t4 * t735 + 0.2e1 * t343;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t740 = t261 * t348;
  t742 = t176 * t129;
  t743 = t742 * t53;
  t745 = 0.14058799901099256143e-3 * t126 * t743;
  t747 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t551 * t146 - 0.56235199604397024572e-3 * t740 + t745);
  tv3rho2sigma2 = t4 * t747 + 0.2e1 * t352;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t751 = t238 * t330;
  t761 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t506 * t141 - 0.28117599802198512286e-3 * t751 - 0.23799251466399172713e-4 * t239 * t336 + 0.16870559881319107372e-2 * t238 * t339 - 0.28117599802198512286e-3 * t706 + t715 - 0.11899625733199586356e-4 * t716 + 0.84352799406595536858e-3 * t719);
  tv3rho2sigma3 = t4 * t761 + t343 + t357;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t765 = t304 * t348;
  t770 = t265 * t364;
  t774 = t347 * t132;
  t775 = t126 * t774;
  t778 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t613 * t146 - 0.28117599802198512286e-3 * t765 - 0.28117599802198512286e-3 * t740 + t745 - 0.23799251466399172713e-4 * t262 * t364 - 0.11899625733199586356e-4 * t770 + 0.16870559881319107372e-2 * t261 * t367 + 0.8435279940659553686e-3 * t775);
  tv3rho2sigma5 = t4 * t778 + t352 + t371;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t785 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t584 * t141 - 0.56235199604397024572e-3 * t751 + t715);
  tv3rho2sigma6 = t4 * t785 + 0.2e1 * t357;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t799 = t661 / t313 / t52;
  t800 = t799 * t311;
  t804 = t310 * t314 * sigma[2];
  t807 = t145 * t319;
  t811 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t654 * t146 - 0.56235199604397024572e-3 * t765 - 0.47598502932798345426e-4 * t305 * t364 + 0.33741119762638214744e-2 * t304 * t367 + t745 - 0.23799251466399172712e-4 * t770 + 0.16870559881319107372e-2 * t775 - 0.15108091756020442903e-5 * t127 * t800 + 0.23799251466399172713e-3 * t127 * t804 - 0.67482239525276429488e-2 * t126 * t807);
  tv3rho2sigma8 = t4 * t811 + 0.2e1 * t371;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  t815 = t75 * t185;
  t816 = t815 * t375;
  t818 = 0.39665419110665287856e-5 * t80 * t816;
  t820 = 0.1e1 / t188 / t28;
  t822 = t422 * t820 * sigma[0];
  t825 = t373 * t334;
  t829 = my_piecewise3(t1, 0, 0.79330838221330575711e-5 * t171 * t376 + t818 + 0.50360305853401476345e-6 * t81 * t822 - 0.47598502932798345427e-4 * t80 * t825);
  tv3rhosigma20 = t4 * t829 + t379;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  t833 = t75 * t310;
  t834 = t833 * t382;
  t836 = 0.39665419110665287856e-5 * t126 * t834;
  t838 = my_piecewise3(t41, 0, 0.79330838221330575711e-5 * t261 * t383 + t836);
  tv3rhosigma25 = t4 * t838 + t386;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  t843 = my_piecewise3(t1, 0, 0.79330838221330575711e-5 * t238 * t376 + t818);
  tv3rhosigma26 = t4 * t843 + t379;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  t848 = 0.1e1 / t313 / t51;
  t850 = t661 * t848 * sigma[2];
  t853 = t380 * t362;
  t857 = my_piecewise3(t41, 0, 0.79330838221330575711e-5 * t304 * t383 + t836 + 0.50360305853401476345e-6 * t127 * t850 - 0.47598502932798345427e-4 * t126 * t853);
  tv3rhosigma211 = t4 * t857 + t386;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  t859 = t26 * t422;
  t860 = t859 * t414;
  t863 = my_piecewise3(t1, 0, -0.16786768617800492115e-6 * t80 * t860);
  tv3sigma30 = t4 * t863;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  t864 = t26 * t661;
  t865 = t864 * t685;
  t868 = my_piecewise3(t41, 0, -0.16786768617800492115e-6 * t126 * t865);
  tv3sigma39 = t4 * t868;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

  t871 = t72 * t445;
  t874 = t25 / t26 / t156;
  t877 = 0.5e1 / 0.8e1 * t24 * t874 * t36;
  t878 = t406 * t77;
  t880 = t166 * t178;
  t881 = t17 * t17;
  t883 = 0.1e1 / t21 / t881;
  t884 = t153 * t153;
  t890 = t161 * t161;
  t896 = 0.1e1 / t396 / t4;
  t897 = t14 * t896;
  t900 = my_piecewise5(t8, 0, t12, 0, -0.24e2 * t397 + 0.24e2 * t897);
  t904 = my_piecewise3(t18, 0, 0.9e1 / 0.16e2 * t883 * t884 - 0.9e1 / 0.4e1 * t389 * t153 * t161 + 0.9e1 / 0.4e1 * t152 * t890 + 0.3e1 * t393 * t401 + 0.3e1 / 0.2e1 * t21 * t900);
  t910 = t181 * t415;
  t913 = 0.1e1 / t188 / t193;
  t920 = 0.1e1 / t421 / t33;
  t921 = t186 * t186;
  t923 = t188 * t188;
  t929 = t431 * t75 * t87;
  t933 = -t871 + t877 - 0.4e1 / 0.3e1 * t878 + t880 - 0.2e1 / 0.3e1 * t3 * t904 * t37 - 0.34270922111614808708e-2 * t172 * t415 - 0.17135461055807404354e-2 * t910 - 0.10877826064334718891e-3 * t81 * t424 * t913 + 0.18129710107224531484e-4 * t172 * t427 + 0.38363296733192217744e-6 * t81 * t920 * t921 / t923 + 0.10122335928791464424e-1 * t929 + 0.42838652639518510885e-3 * t432 * t190;
  t934 = t181 * t418;
  t942 = t181 * t427;
  t944 = t437 * t195;
  t948 = t448 * t195;
  t951 = t171 * t176 * t87;
  t953 = t437 * t190;
  t956 = t80 * t443 * t87;
  t958 = t448 * t190;
  t960 = t405 * t25;
  t966 = 0.67482239525276429493e-1 * t934 + 0.91389125630972823222e-2 * t81 * t187 * t820 - 0.20244671857582928848e0 * t81 * t84 * t334 + 0.90648550536122657421e-5 * t942 - 0.40489343715165857696e-1 * t944 + 0.13496447905055285899e0 * t172 * t418 + 0.10122335928791464424e-1 * t948 - 0.5061167964395732212e-2 * t951 + 0.42838652639518510885e-3 * t953 + 0.2530583982197866106e-2 * t956 - 0.10709663159879627721e-3 * t958 + 0.67482239525276429492e-2 * t960 * t26 * t87 - 0.40489343715165857695e-1 * t432 * t195;
  t968 = my_piecewise3(t1, 0, t933 + t966);
  t969 = t45 * t45;
  t971 = 0.1e1 / t47 / t969;
  t972 = t201 * t201;
  t978 = t207 * t207;
  t983 = t42 * t896;
  t986 = my_piecewise5(t12, 0, t8, 0, 0.24e2 * t397 + 0.24e2 * t983);
  t990 = my_piecewise3(t46, 0, 0.9e1 / 0.16e2 * t971 * t972 - 0.9e1 / 0.4e1 * t455 * t201 * t207 + 0.9e1 / 0.4e1 * t200 * t978 + 0.3e1 * t459 * t465 + 0.3e1 / 0.2e1 * t47 * t986);
  t994 = t470 * t101;
  t996 = t212 * t217;
  t997 = t98 * t476;
  t1000 = 0.5e1 / 0.8e1 * t50 * t874 * t59;
  t1002 = my_piecewise3(t41, 0, -0.2e1 / 0.3e1 * t3 * t990 * t60 - 0.4e1 / 0.3e1 * t994 + t996 - t997 + t1000);
  tv4rho40 = 0.4e1 * t454 + 0.4e1 * t480 + t4 * (t968 + t1002);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t1010 = t113 * t445;
  t1012 = t501 * t77;
  t1013 = t233 * t178;
  t1014 = t1013 / 0.2e1;
  t1031 = 0.12e2 * t397;
  t1032 = 0.24e2 * t897;
  t1034 = my_piecewise5(t8, 0, t12, 0, -t1031 + t1032);
  t1038 = my_piecewise3(t18, 0, 0.9e1 / 0.16e2 * t883 * t109 * t390 - 0.9e1 / 0.8e1 * t389 * t228 * t153 - 0.9e1 / 0.8e1 * t485 * t68 * t161 + 0.9e1 / 0.4e1 * t152 * t496 * t68 + 0.9e1 / 0.4e1 * t488 * t161 + 0.3e1 / 0.4e1 * t224 * t401 + 0.3e1 / 0.2e1 * t21 * t1034);
  t1046 = t512 * t195;
  t1052 = -0.3e1 / 0.4e1 * t871 + t877 - t878 / 0.3e1 + t880 / 0.2e1 - t1010 / 0.4e1 - t1012 + t1014 - 0.2e1 / 0.3e1 * t3 * t1038 * t37 - 0.42838652639518510884e-3 * t910 + 0.25305839821978661059e-2 * t929 - 0.20244671857582928847e-1 * t507 * t195 - 0.10122335928791464424e-1 * t1046 - 0.85677305279037021771e-3 * t239 * t415 + 0.33741119762638214746e-1 * t239 * t418;
  t1054 = t238 * t176 * t87;
  t1055 = 0.1265291991098933053e-2 * t1054;
  t1056 = t512 * t190;
  t1060 = t500 * t25;
  t1065 = t506 * t75 * t87;
  t1077 = -t1055 + 0.10709663159879627721e-3 * t1056 + 0.45324275268061328712e-5 * t239 * t427 + 0.50611679643957322119e-2 * t1060 * t26 * t87 + 0.50611679643957322119e-2 * t1065 + 0.21419326319759255442e-3 * t507 * t190 + 0.16870559881319107372e-1 * t934 + 0.22662137634030664355e-5 * t942 - 0.10122335928791464424e-1 * t944 + 0.50611679643957322118e-2 * t948 - 0.25305839821978661059e-2 * t951 + 0.10709663159879627721e-3 * t953 + 0.18979379866483995795e-2 * t956 - 0.53548315799398138606e-4 * t958;
  t1079 = my_piecewise3(t1, 0, t1052 + t1077);
  t1096 = 0.24e2 * t983;
  t1098 = my_piecewise5(t12, 0, t8, 0, t1031 + t1096);
  t1102 = my_piecewise3(t46, 0, 0.9e1 / 0.16e2 * t971 * t119 * t456 - 0.9e1 / 0.8e1 * t455 * t250 * t201 - 0.9e1 / 0.8e1 * t527 * t94 * t207 + 0.9e1 / 0.4e1 * t200 * t537 * t94 + 0.9e1 / 0.4e1 * t530 * t207 + 0.3e1 / 0.4e1 * t246 * t465 + 0.3e1 / 0.2e1 * t47 * t1098);
  t1106 = t542 * t101;
  t1107 = t255 * t217;
  t1108 = t1107 / 0.2e1;
  t1109 = t123 * t476;
  t1114 = t469 * t25;
  t1119 = t551 * t75 * t133;
  t1122 = t261 * t176 * t133;
  t1123 = 0.1265291991098933053e-2 * t1122;
  t1125 = t126 * t443 * t133;
  t1127 = -0.2e1 / 0.3e1 * t3 * t1102 * t60 - t1106 + t1108 - t1109 / 0.4e1 - t994 / 0.3e1 + t996 / 0.2e1 - 0.3e1 / 0.4e1 * t997 + t1000 + 0.16870559881319107373e-2 * t1114 * t26 * t133 + 0.2530583982197866106e-2 * t1119 - t1123 + 0.63264599554946652648e-3 * t1125;
  t1128 = my_piecewise3(t41, 0, t1127);
  tv4rho41 = t454 + t480 + 0.3e1 * t526 + 0.3e1 * t562 + t4 * (t1079 + t1128);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 1] += tv4rho41;

  t1135 = t579 * t77;
  t1137 = t578 * t25;
  t1141 = t284 * t178;
  t1144 = t584 * t75 * t87;
  t1172 = t228 * t228;
  t1185 = my_piecewise5(t8, 0, t12, 0, t1032);
  t1189 = my_piecewise3(t18, 0, 0.9e1 / 0.16e2 * t883 * t274 * t153 - 0.3e1 / 0.2e1 * t485 * t68 * t228 - 0.3e1 / 0.8e1 * t565 * t161 + 0.3e1 / 0.2e1 * t152 * t1172 + 0.3e1 / 0.2e1 * t224 * t496 - 0.3e1 / 0.8e1 * t389 * t279 * t153 + 0.3e1 / 0.2e1 * t152 * t574 * t68 + 0.3e1 / 0.4e1 * t570 * t161 + 0.3e1 / 0.2e1 * t21 * t1185);
  t1193 = 0.71397754399197518142e-4 * t1056 - 0.2e1 / 0.3e1 * t1012 + 0.2e1 / 0.3e1 * t1013 + 0.33741119762638214746e-2 * t1065 - t871 / 0.2e1 - 0.84352799406595536864e-3 * t951 + t877 + 0.1265291991098933053e-2 * t956 - 0.17849438599799379535e-4 * t958 + t880 / 0.6e1 - 0.2e1 / 0.3e1 * t3 * t1189 * t37;
  t1195 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t1135 + 0.33741119762638214746e-2 * t1137 * t26 * t87 + t1141 / 0.6e1 + 0.16870559881319107373e-2 * t1144 + 0.71397754399197518142e-4 * t585 * t190 - 0.67482239525276429492e-2 * t585 * t195 - 0.67482239525276429492e-2 * t1046 + 0.16870559881319107373e-2 * t948 - t1010 / 0.2e1 - 0.16870559881319107373e-2 * t1054 + t1193);
  t1200 = t607 * t101;
  t1202 = t300 * t217;
  t1204 = t541 * t25;
  t1208 = t555 * t315;
  t1210 = t558 * t315;
  t1212 = t555 * t320;
  t1214 = t558 * t320;
  t1217 = t613 * t75 * t133;
  t1221 = t304 * t176 * t133;
  t1239 = t250 * t250;
  t1252 = my_piecewise5(t12, 0, t8, 0, t1096);
  t1256 = my_piecewise3(t46, 0, 0.9e1 / 0.16e2 * t971 * t290 * t201 - 0.3e1 / 0.2e1 * t527 * t94 * t250 - 0.3e1 / 0.8e1 * t593 * t207 + 0.3e1 / 0.2e1 * t200 * t1239 + 0.3e1 / 0.2e1 * t246 * t537 - 0.3e1 / 0.8e1 * t455 * t295 * t201 + 0.3e1 / 0.2e1 * t200 * t602 * t94 + 0.3e1 / 0.4e1 * t598 * t207 + 0.3e1 / 0.2e1 * t47 * t1252);
  t1260 = -0.84352799406595536865e-3 * t1221 + 0.16870559881319107373e-2 * t1119 - 0.16870559881319107373e-2 * t1122 + 0.1265291991098933053e-2 * t1125 - 0.2e1 / 0.3e1 * t1106 + 0.2e1 / 0.3e1 * t1107 - t1109 / 0.2e1 + t996 / 0.6e1 - t997 / 0.2e1 + t1000 - 0.2e1 / 0.3e1 * t3 * t1256 * t60;
  t1262 = my_piecewise3(t41, 0, 0.71397754399197518142e-4 * t552 * t315 - 0.67482239525276429492e-2 * t552 * t320 - 0.2e1 / 0.3e1 * t1200 + t1202 / 0.6e1 + 0.33741119762638214746e-2 * t1204 * t26 * t133 + 0.71397754399197518142e-4 * t1208 - 0.17849438599799379536e-4 * t1210 - 0.67482239525276429492e-2 * t1212 + 0.16870559881319107373e-2 * t1214 + 0.33741119762638214746e-2 * t1217 + t1260);
  tv4rho42 = 0.2e1 * t526 + 0.2e1 * t562 + 0.2e1 * t592 + 0.2e1 * t631 + t4 * (t1195 + t1262);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 2] += tv4rho42;

  t1283 = my_piecewise5(t8, 0, t12, 0, t1031 + t1032);
  t1287 = my_piecewise3(t18, 0, 0.9e1 / 0.16e2 * t883 * t636 * t68 - 0.9e1 / 0.8e1 * t565 * t228 - 0.9e1 / 0.8e1 * t485 * t279 * t68 + 0.9e1 / 0.4e1 * t488 * t279 + 0.9e1 / 0.4e1 * t224 * t574 + 0.3e1 / 0.4e1 * t152 * t643 * t68 + 0.3e1 / 0.2e1 * t21 * t1283);
  t1291 = t648 * t77;
  t1293 = t647 * t25;
  t1302 = -0.2e1 / 0.3e1 * t3 * t1287 * t37 - t1291 / 0.3e1 + 0.16870559881319107373e-2 * t1293 * t26 * t87 - t1135 + t1141 / 0.2e1 + 0.25305839821978661059e-2 * t1144 + t1014 - 0.3e1 / 0.4e1 * t1010 - t1055 - t871 / 0.4e1 + t877 + 0.63264599554946652648e-3 * t956;
  t1303 = my_piecewise3(t1, 0, t1302);
  t1307 = t654 * t75 * t133;
  t1309 = t617 * t315;
  t1317 = t265 * t666;
  t1319 = t265 * t686;
  t1321 = t265 * t689;
  t1323 = t617 * t320;
  t1327 = 0.45324275268061328712e-5 * t262 * t666 + 0.2530583982197866106e-2 * t1307 + 0.10709663159879627721e-3 * t1309 + 0.10709663159879627721e-3 * t1208 - 0.53548315799398138605e-4 * t1210 - 0.10122335928791464424e-1 * t1212 + 0.5061167964395732212e-2 * t1214 + 0.50611679643957322119e-2 * t1217 - 0.2530583982197866106e-2 * t1221 + 0.22662137634030664356e-5 * t1317 - 0.42838652639518510886e-3 * t1319 + 0.16870559881319107373e-1 * t1321 - 0.10122335928791464424e-1 * t1323 - 0.85677305279037021771e-3 * t262 * t686;
  t1332 = t606 * t25;
  t1356 = my_piecewise5(t12, 0, t8, 0, -t1031 + t1096);
  t1360 = my_piecewise3(t46, 0, 0.9e1 / 0.16e2 * t971 * t669 * t94 - 0.9e1 / 0.8e1 * t593 * t250 - 0.9e1 / 0.8e1 * t527 * t295 * t94 + 0.9e1 / 0.4e1 * t530 * t295 + 0.9e1 / 0.4e1 * t246 * t602 + 0.3e1 / 0.4e1 * t200 * t676 * t94 + 0.3e1 / 0.2e1 * t47 * t1356);
  t1364 = t681 * t101;
  t1368 = 0.33741119762638214746e-1 * t262 * t689 - 0.20244671857582928847e-1 * t614 * t320 + 0.50611679643957322119e-2 * t1332 * t26 * t133 + 0.21419326319759255442e-3 * t614 * t315 - t1123 + 0.18979379866483995795e-2 * t1125 - t1200 + t1202 / 0.2e1 - 0.2e1 / 0.3e1 * t3 * t1360 * t60 - t1364 / 0.3e1 - t997 / 0.4e1 + t1000 + t1108 - 0.3e1 / 0.4e1 * t1109;
  t1370 = my_piecewise3(t41, 0, t1327 + t1368);
  tv4rho43 = 0.3e1 * t592 + 0.3e1 * t631 + t653 + t700 + t4 * (t1303 + t1370);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 3] += tv4rho43;

  t1375 = t274 * t274;
  t1380 = t279 * t279;
  t1387 = my_piecewise5(t8, 0, t12, 0, 0.24e2 * t397 + 0.24e2 * t897);
  t1391 = my_piecewise3(t18, 0, 0.9e1 / 0.16e2 * t883 * t1375 - 0.9e1 / 0.4e1 * t565 * t279 + 0.9e1 / 0.4e1 * t152 * t1380 + 0.3e1 * t224 * t643 + 0.3e1 / 0.2e1 * t21 * t1387);
  t1397 = my_piecewise3(t1, 0, -0.2e1 / 0.3e1 * t3 * t1391 * t37 - 0.4e1 / 0.3e1 * t1291 + t1141 - t1010 + t877);
  t1413 = 0.1e1 / t313 / t318;
  t1417 = t680 * t25;
  t1426 = 0.1e1 / t660 / t56;
  t1427 = t311 * t311;
  t1429 = t313 * t313;
  t1434 = 0.10122335928791464424e-1 * t1307 + 0.42838652639518510885e-3 * t1309 + 0.13496447905055285899e0 * t305 * t689 + 0.91389125630972823222e-2 * t127 * t312 * t848 - 0.20244671857582928848e0 * t127 * t130 * t362 - 0.40489343715165857695e-1 * t655 * t320 - 0.34270922111614808708e-2 * t305 * t686 - 0.10877826064334718891e-3 * t127 * t663 * t1413 + 0.67482239525276429492e-2 * t1417 * t26 * t133 + 0.42838652639518510885e-3 * t655 * t315 + 0.18129710107224531484e-4 * t305 * t666 + 0.38363296733192217744e-6 * t127 * t1426 * t1427 / t1429;
  t1443 = t290 * t290;
  t1448 = t295 * t295;
  t1455 = my_piecewise5(t12, 0, t8, 0, -0.24e2 * t397 + 0.24e2 * t983);
  t1459 = my_piecewise3(t46, 0, 0.9e1 / 0.16e2 * t971 * t1443 - 0.9e1 / 0.4e1 * t593 * t295 + 0.9e1 / 0.4e1 * t200 * t1448 + 0.3e1 * t246 * t676 + 0.3e1 / 0.2e1 * t47 * t1455);
  t1464 = -0.10709663159879627721e-3 * t1210 + 0.10122335928791464424e-1 * t1214 - 0.5061167964395732212e-2 * t1221 + 0.90648550536122657421e-5 * t1317 - 0.17135461055807404354e-2 * t1319 + 0.67482239525276429493e-1 * t1321 - 0.40489343715165857696e-1 * t1323 + 0.2530583982197866106e-2 * t1125 - 0.2e1 / 0.3e1 * t3 * t1459 * t60 + t1202 - 0.4e1 / 0.3e1 * t1364 + t1000 - t1109;
  t1466 = my_piecewise3(t41, 0, t1434 + t1464);
  tv4rho44 = 0.4e1 * t653 + 0.4e1 * t700 + t4 * (t1397 + t1466);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 4] += tv4rho44;

  t1475 = 0.21088199851648884214e-3 * t80 * t443 * t83 * t30;
  t1477 = t80 * t712 * t86;
  t1479 = t448 * t336;
  t1481 = t181 * t724;
  t1484 = t80 * t329 * t194;
  t1495 = t431 * t330;
  t1501 = t171 * t713;
  t1503 = t171 * t718;
  t1505 = t437 * t336;
  t1509 = t181 * t728;
  t1523 = -0.20244671857582928847e-1 * t171 * t731 - t1475 - 0.12652919910989330529e-2 * t1477 + 0.17849438599799379534e-4 * t1479 - 0.22662137634030664354e-5 * t1481 - 0.10122335928791464423e-1 * t1484 - 0.12787765577730739247e-6 * t81 * t920 / t188 / t333 * t423 + 0.33741119762638214744e-1 * t80 * t140 * t375 - 0.84352799406595536858e-3 * t1495 + 0.50611679643957322116e-2 * t431 * t339 - 0.71397754399197518139e-4 * t432 * t336 + 0.42176399703297768429e-3 * t1501 + 0.50611679643957322116e-2 * t1503 - 0.71397754399197518137e-4 * t1505 - 0.45324275268061328709e-5 * t172 * t724 + 0.35698877199598759068e-3 * t1509 + 0.31726992687642930096e-4 * t81 * t422 * t426 * t186 - 0.21895311349087238896e-2 * t81 * t185 * t414 * sigma[0] + 0.71397754399197518139e-3 * t172 * t728 - 0.56235199604397024573e-3 * t960 * t141;
  t1524 = my_piecewise3(t1, 0, t1523);
  tv4rho3sigma0 = t4 * t1524 + 0.3e1 * t735;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  tv4rho3sigma1 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 1] += tv4rho3sigma1;

  t1529 = t551 * t348;
  t1531 = t261 * t743;
  t1536 = 0.21088199851648884214e-3 * t126 * t443 * t129 * t53;
  t1538 = my_piecewise3(t41, 0, -0.56235199604397024573e-3 * t1114 * t146 - 0.84352799406595536858e-3 * t1529 + 0.42176399703297768429e-3 * t1531 - t1536);
  tv4rho3sigma2 = t4 * t1538 + 0.3e1 * t747;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 2] += tv4rho3sigma2;

  t1540 = 0.2e1 * t761;
  t1542 = 0.16870559881319107372e-2 * t238 * t718;
  t1544 = 0.23799251466399172712e-4 * t512 * t336;
  t1550 = 0.56235199604397024572e-3 * t506 * t330;
  t1555 = t238 * t713;
  t1570 = t1542 - t1544 - 0.15108091756020442903e-5 * t239 * t724 - 0.67482239525276429488e-2 * t238 * t731 - t1550 + 0.33741119762638214744e-2 * t506 * t339 - 0.47598502932798345426e-4 * t507 * t336 + 0.14058799901099256143e-3 * t1555 - t1475 - 0.84352799406595536858e-3 * t1477 + 0.11899625733199586356e-4 * t1479 - 0.75540458780102214513e-6 * t1481 - 0.33741119762638214743e-2 * t1484 - 0.28117599802198512286e-3 * t1495 + 0.28117599802198512286e-3 * t1501 + 0.16870559881319107372e-2 * t1503 - 0.23799251466399172712e-4 * t1505 + 0.23799251466399172713e-3 * t239 * t728 + 0.11899625733199586356e-3 * t1509 - 0.56235199604397024573e-3 * t1060 * t141;
  t1571 = my_piecewise3(t1, 0, t1570);
  tv4rho3sigma3 = t4 * t1571 + t1540 + t735;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 3] += tv4rho3sigma3;

  tv4rho3sigma4 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 4] += tv4rho3sigma4;

  t1573 = 0.2e1 * t778;
  t1577 = 0.56235199604397024572e-3 * t613 * t348;
  t1578 = t304 * t743;
  t1585 = 0.23799251466399172712e-4 * t555 * t364;
  t1586 = t558 * t364;
  t1591 = 0.16870559881319107372e-2 * t261 * t774;
  t1593 = t126 * t742 * t132;
  t1595 = -0.56235199604397024573e-3 * t1204 * t146 - t1577 + 0.14058799901099256143e-3 * t1578 - 0.28117599802198512286e-3 * t1529 + 0.28117599802198512286e-3 * t1531 - t1536 - 0.23799251466399172713e-4 * t552 * t364 - t1585 + 0.5949812866599793178e-5 * t1586 + 0.16870559881319107372e-2 * t551 * t367 + t1591 - 0.4217639970329776843e-3 * t1593;
  t1596 = my_piecewise3(t41, 0, t1595);
  tv4rho3sigma5 = t4 * t1596 + t1573 + t747;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 5] += tv4rho3sigma5;

  t1600 = t584 * t330;
  t1610 = -0.56235199604397024573e-3 * t1137 * t141 - 0.28117599802198512286e-3 * t1600 - 0.23799251466399172713e-4 * t585 * t336 + 0.16870559881319107372e-2 * t584 * t339 - t1550 + 0.28117599802198512286e-3 * t1555 - t1544 + t1542 + 0.14058799901099256143e-3 * t1501 - t1475 + 0.5949812866599793178e-5 * t1479 - 0.42176399703297768429e-3 * t1477;
  t1611 = my_piecewise3(t1, 0, t1610);
  tv4rho3sigma6 = t4 * t1611 + t1540 + t785;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 6] += tv4rho3sigma6;

  tv4rho3sigma7 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 7] += tv4rho3sigma7;

  t1615 = t654 * t348;
  t1620 = t617 * t364;
  t1624 = t304 * t774;
  t1631 = t265 * t800;
  t1635 = t265 * t804;
  t1640 = t126 * t347 * t319;
  t1642 = -0.56235199604397024573e-3 * t1332 * t146 - 0.28117599802198512286e-3 * t1615 - t1577 + 0.28117599802198512286e-3 * t1578 - 0.47598502932798345426e-4 * t614 * t364 - 0.23799251466399172713e-4 * t1620 + 0.33741119762638214744e-2 * t613 * t367 + 0.16870559881319107372e-2 * t1624 + 0.14058799901099256143e-3 * t1531 - t1536 - t1585 + 0.11899625733199586356e-4 * t1586 + t1591 - 0.8435279940659553686e-3 * t1593 - 0.15108091756020442903e-5 * t262 * t800 - 0.75540458780102214515e-6 * t1631 + 0.23799251466399172713e-3 * t262 * t804 + 0.11899625733199586356e-3 * t1635 - 0.67482239525276429488e-2 * t261 * t807 - 0.33741119762638214744e-2 * t1640;
  t1643 = my_piecewise3(t41, 0, t1642);
  tv4rho3sigma8 = t4 * t1643 + t1573 + t811;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 8] += tv4rho3sigma8;

  t1651 = my_piecewise3(t1, 0, -0.56235199604397024573e-3 * t1293 * t141 - 0.84352799406595536858e-3 * t1600 + 0.42176399703297768429e-3 * t1555 - t1475);
  tv4rho3sigma9 = t4 * t1651 + 0.3e1 * t785;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 9] += tv4rho3sigma9;

  tv4rho3sigma10 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 10] += tv4rho3sigma10;

  t1692 = -0.12787765577730739247e-6 * t127 * t1426 / t313 / t361 * t662 + 0.33741119762638214744e-1 * t126 * t145 * t382 + 0.50611679643957322116e-2 * t654 * t367 - 0.71397754399197518139e-4 * t655 * t364 - 0.45324275268061328709e-5 * t305 * t800 - 0.20244671857582928847e-1 * t304 * t807 - 0.10122335928791464423e-1 * t1640 - 0.84352799406595536858e-3 * t1615 + 0.50611679643957322116e-2 * t1624 - 0.12652919910989330529e-2 * t1593 + 0.42176399703297768429e-3 * t1578 - t1536 + 0.31726992687642930096e-4 * t127 * t661 * t665 * t311 - 0.21895311349087238896e-2 * t127 * t310 * t685 * sigma[2] + 0.71397754399197518139e-3 * t305 * t804 - 0.22662137634030664354e-5 * t1631 + 0.35698877199598759068e-3 * t1635 - 0.71397754399197518137e-4 * t1620 + 0.17849438599799379534e-4 * t1586 - 0.56235199604397024573e-3 * t1417 * t146;
  t1693 = my_piecewise3(t41, 0, t1692);
  tv4rho3sigma11 = t4 * t1693 + 0.3e1 * t811;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 11] += tv4rho3sigma11;

  t1698 = t171 * t816;
  t1707 = 0.19832709555332643928e-5 * t80 * t176 * t185 * t375;
  t1708 = t181 * t822;
  t1711 = t80 * t815 * t334;
  t1726 = my_piecewise3(t1, 0, 0.79330838221330575711e-5 * t431 * t376 + 0.79330838221330575712e-5 * t1698 + 0.10072061170680295269e-5 * t172 * t822 - 0.95197005865596690854e-4 * t171 * t825 - t1707 + 0.50360305853401476345e-6 * t1708 - 0.47598502932798345428e-4 * t1711 + 0.42625885259102464159e-7 * t81 * t920 / t188 / t374 * t186 - 0.80576489365442362152e-5 * t81 * t723 * sigma[0] + 0.33318952052958841799e-3 * t80 * t373 * t189);
  tv4rho2sigma20 = t4 * t1726 + 0.2e1 * t829;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  tv4rho2sigma21 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 1] += tv4rho2sigma21;

  tv4rho2sigma22 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 2] += tv4rho2sigma22;

  tv4rho2sigma23 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 3] += tv4rho2sigma23;

  tv4rho2sigma24 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 4] += tv4rho2sigma24;

  t1731 = t261 * t834;
  t1736 = 0.19832709555332643928e-5 * t126 * t176 * t310 * t382;
  t1738 = my_piecewise3(t41, 0, 0.79330838221330575711e-5 * t551 * t383 + 0.79330838221330575712e-5 * t1731 - t1736);
  tv4rho2sigma25 = t4 * t1738 + 0.2e1 * t838;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 5] += tv4rho2sigma25;

  t1742 = t238 * t816;
  t1752 = my_piecewise3(t1, 0, 0.79330838221330575711e-5 * t506 * t376 + 0.39665419110665287856e-5 * t1742 + 0.50360305853401476345e-6 * t239 * t822 - 0.47598502932798345427e-4 * t238 * t825 + 0.39665419110665287856e-5 * t1698 - t1707 + 0.25180152926700738173e-6 * t1708 - 0.23799251466399172714e-4 * t1711);
  tv4rho2sigma26 = t4 * t1752 + t829 + t843;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 6] += tv4rho2sigma26;

  tv4rho2sigma27 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 7] += tv4rho2sigma27;

  tv4rho2sigma28 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 8] += tv4rho2sigma28;

  tv4rho2sigma29 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 9] += tv4rho2sigma29;

  tv4rho2sigma210 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 10] += tv4rho2sigma210;

  t1756 = t304 * t834;
  t1761 = t265 * t850;
  t1766 = t126 * t833 * t362;
  t1769 = my_piecewise3(t41, 0, 0.79330838221330575711e-5 * t613 * t383 + 0.39665419110665287856e-5 * t1756 + 0.39665419110665287856e-5 * t1731 - t1736 + 0.50360305853401476345e-6 * t262 * t850 + 0.25180152926700738172e-6 * t1761 - 0.47598502932798345427e-4 * t261 * t853 - 0.23799251466399172714e-4 * t1766);
  tv4rho2sigma211 = t4 * t1769 + t838 + t857;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 11] += tv4rho2sigma211;

  t1776 = my_piecewise3(t1, 0, 0.79330838221330575711e-5 * t584 * t376 + 0.79330838221330575712e-5 * t1742 - t1707);
  tv4rho2sigma212 = t4 * t1776 + 0.2e1 * t843;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 12] += tv4rho2sigma212;

  tv4rho2sigma213 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 13] += tv4rho2sigma213;

  tv4rho2sigma214 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 14] += tv4rho2sigma214;

  tv4rho2sigma215 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 15] += tv4rho2sigma215;

  tv4rho2sigma216 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 16] += tv4rho2sigma216;

  t1801 = my_piecewise3(t41, 0, 0.79330838221330575711e-5 * t654 * t383 + 0.79330838221330575712e-5 * t1756 + 0.10072061170680295269e-5 * t305 * t850 - 0.95197005865596690854e-4 * t304 * t853 - t1736 + 0.50360305853401476345e-6 * t1761 - 0.47598502932798345428e-4 * t1766 + 0.42625885259102464159e-7 * t127 * t1426 / t313 / t381 * t311 - 0.80576489365442362152e-5 * t127 * t799 * sigma[2] + 0.33318952052958841799e-3 * t126 * t380 * t314);
  tv4rho2sigma217 = t4 * t1801 + 0.2e1 * t857;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 17] += tv4rho2sigma217;

  t1808 = 0.83933843089002460575e-7 * t80 * t75 * t422 * t414;
  t1817 = my_piecewise3(t1, 0, -0.16786768617800492115e-6 * t171 * t860 - t1808 - 0.14208628419700821386e-7 * t81 * t920 * t913 * sigma[0] + 0.15108091756020442904e-5 * t80 * t859 * t820);
  tv4rhosigma30 = t4 * t1817 + t863;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  tv4rhosigma31 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 1] += tv4rhosigma31;

  tv4rhosigma32 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 2] += tv4rhosigma32;

  tv4rhosigma33 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 3] += tv4rhosigma33;

  tv4rhosigma34 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 4] += tv4rhosigma34;

  tv4rhosigma35 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 5] += tv4rhosigma35;

  tv4rhosigma36 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 6] += tv4rhosigma36;

  tv4rhosigma37 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 7] += tv4rhosigma37;

  tv4rhosigma38 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 8] += tv4rhosigma38;

  t1824 = 0.83933843089002460575e-7 * t126 * t75 * t661 * t685;
  t1826 = my_piecewise3(t41, 0, -0.16786768617800492115e-6 * t261 * t865 - t1824);
  tv4rhosigma39 = t4 * t1826 + t868;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 9] += tv4rhosigma39;

  t1831 = my_piecewise3(t1, 0, -0.16786768617800492115e-6 * t238 * t860 - t1808);
  tv4rhosigma310 = t4 * t1831 + t863;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 10] += tv4rhosigma310;

  tv4rhosigma311 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 11] += tv4rhosigma311;

  tv4rhosigma312 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 12] += tv4rhosigma312;

  tv4rhosigma313 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 13] += tv4rhosigma313;

  tv4rhosigma314 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 14] += tv4rhosigma314;

  tv4rhosigma315 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 15] += tv4rhosigma315;

  tv4rhosigma316 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 16] += tv4rhosigma316;

  tv4rhosigma317 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 17] += tv4rhosigma317;

  tv4rhosigma318 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 18] += tv4rhosigma318;

  t1843 = my_piecewise3(t41, 0, -0.16786768617800492115e-6 * t304 * t865 - t1824 - 0.14208628419700821386e-7 * t127 * t1426 * t1413 * sigma[2] + 0.15108091756020442904e-5 * t126 * t864 * t848);
  tv4rhosigma319 = t4 * t1843 + t868;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 19] += tv4rhosigma319;

  t1849 = my_piecewise3(t1, 0, 0.47362094732336071289e-8 * t80 * t26 * t920 * t426);
  tv4sigma40 = t4 * t1849;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

  tv4sigma41 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 1] += tv4sigma41;

  tv4sigma42 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 2] += tv4sigma42;

  tv4sigma43 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 3] += tv4sigma43;

  tv4sigma44 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 4] += tv4sigma44;

  tv4sigma45 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 5] += tv4sigma45;

  tv4sigma46 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 6] += tv4sigma46;

  tv4sigma47 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 7] += tv4sigma47;

  tv4sigma48 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 8] += tv4sigma48;

  tv4sigma49 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 9] += tv4sigma49;

  tv4sigma410 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 10] += tv4sigma410;

  tv4sigma411 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 11] += tv4sigma411;

  tv4sigma412 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 12] += tv4sigma412;

  tv4sigma413 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 13] += tv4sigma413;

  t1854 = my_piecewise3(t41, 0, 0.47362094732336071289e-8 * t126 * t26 * t1426 * t665);
  tv4sigma414 = t4 * t1854;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 14] += tv4sigma414;

}

#endif

