/*
  This file was generated automatically with scripts/maple2c.py.
  Do not edit this file directly as it can be overwritten!!

  This Source Code Form is subject to the terms of the Mozilla Public
  License, v. 2.0. If a copy of the MPL was not distributed with this
  file, You can obtain one at http://mozilla.org/MPL/2.0/.

  Maple version     : Maple 2022 (X86 64 LINUX)
  Maple source      : ./maple/gga_exc/gga_x_b86.mpl
  Type of functional: gga_exc
*/

#define maple2c_order 4
#define MAPLE2C_FLAGS (XC_FLAGS_I_HAVE_EXC | XC_FLAGS_I_HAVE_VXC | XC_FLAGS_I_HAVE_FXC | XC_FLAGS_I_HAVE_KXC | XC_FLAGS_I_HAVE_LXC)


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t6, t7, t8, t10, t11;
  double t13, t15, t17, t18, t19, t20, t21, t22;
  double t23, t24, t26, t27, t30, t31, t32, t35;
  double t39, tzk0;

  gga_x_b86_params *params;

  assert(p->params != NULL);
  params = (gga_x_b86_params * )(p->params);

  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = M_CBRTPI;
  t6 = t3 / t4;
  t7 = 0.1e1 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t10 = my_piecewise5(t7, t8, t7, -t8, 0);
  t11 = 0.1e1 + t10;
  t13 = POW_1_3(p->zeta_threshold);
  t15 = POW_1_3(t11);
  t17 = my_piecewise3(t11 <= p->zeta_threshold, t13 * p->zeta_threshold, t15 * t11);
  t18 = POW_1_3(rho[0]);
  t19 = t17 * t18;
  t20 = params->beta * sigma[0];
  t21 = M_CBRT2;
  t22 = t21 * t21;
  t23 = rho[0] * rho[0];
  t24 = t18 * t18;
  t26 = 0.1e1 / t24 / t23;
  t27 = t22 * t26;
  t30 = params->gamma * sigma[0] * t27 + 0.1e1;
  t31 = pow(t30, params->omega);
  t32 = 0.1e1 / t31;
  t35 = t20 * t27 * t32 + 0.1e1;
  t39 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t19 * t35);
  tzk0 = 0.2e1 * t39;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t6, t7, t8, t10, t11;
  double t13, t15, t17, t18, t19, t20, t21, t22;
  double t23, t24, t26, t27, t30, t31, t32, t35;
  double t39, tzk0;

  double t41, t45, t47, t52, t53, t54, t55, t57;
  double t60, t61, t63, t66, t71, tvrho0, t74, t77;
  double t79, t84, t88, tvsigma0;

  gga_x_b86_params *params;

  assert(p->params != NULL);
  params = (gga_x_b86_params * )(p->params);

  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = M_CBRTPI;
  t6 = t3 / t4;
  t7 = 0.1e1 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t10 = my_piecewise5(t7, t8, t7, -t8, 0);
  t11 = 0.1e1 + t10;
  t13 = POW_1_3(p->zeta_threshold);
  t15 = POW_1_3(t11);
  t17 = my_piecewise3(t11 <= p->zeta_threshold, t13 * p->zeta_threshold, t15 * t11);
  t18 = POW_1_3(rho[0]);
  t19 = t17 * t18;
  t20 = params->beta * sigma[0];
  t21 = M_CBRT2;
  t22 = t21 * t21;
  t23 = rho[0] * rho[0];
  t24 = t18 * t18;
  t26 = 0.1e1 / t24 / t23;
  t27 = t22 * t26;
  t30 = params->gamma * sigma[0] * t27 + 0.1e1;
  t31 = pow(t30, params->omega);
  t32 = 0.1e1 / t31;
  t35 = t20 * t27 * t32 + 0.1e1;
  t39 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t19 * t35);
  tzk0 = 0.2e1 * t39;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t41 = t17 / t24;
  t45 = t23 * rho[0];
  t47 = 0.1e1 / t24 / t45;
  t52 = sigma[0] * sigma[0];
  t53 = params->beta * t52;
  t54 = t23 * t23;
  t55 = t54 * t23;
  t57 = 0.1e1 / t18 / t55;
  t60 = t32 * params->omega;
  t61 = 0.1e1 / t30;
  t63 = t60 * params->gamma * t61;
  t66 = -0.8e1 / 0.3e1 * t20 * t22 * t47 * t32 + 0.16e2 / 0.3e1 * t53 * t21 * t57 * t63;
  t71 = my_piecewise3(t2, 0, -t6 * t41 * t35 / 0.8e1 - 0.3e1 / 0.8e1 * t6 * t19 * t66);
  tvrho0 = 0.2e1 * rho[0] * t71 + 0.2e1 * t39;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t74 = params->beta * t22;
  t77 = t54 * rho[0];
  t79 = 0.1e1 / t18 / t77;
  t84 = -0.2e1 * t20 * t21 * t79 * t63 + t74 * t26 * t32;
  t88 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t19 * t84);
  tvsigma0 = 0.2e1 * rho[0] * t88;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t6, t7, t8, t10, t11;
  double t13, t15, t17, t18, t19, t20, t21, t22;
  double t23, t24, t26, t27, t30, t31, t32, t35;
  double t39, tzk0;

  double t41, t45, t47, t52, t53, t54, t55, t57;
  double t60, t61, t63, t66, t71, tvrho0, t74, t77;
  double t79, t84, t88, tvsigma0;

  double t93, t101, t106, t108, t113, t114, t115, t116;
  double t117, t118, t119, t120, t121, t122, t123, t124;
  double t125, t128, t131, t136, tv2rho20, t145, t150, t153;
  double t154, t155, t160, t165, tv2rhosigma0, t170, t171, t175;
  double t179, tv2sigma20;

  gga_x_b86_params *params;

  assert(p->params != NULL);
  params = (gga_x_b86_params * )(p->params);

  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = M_CBRTPI;
  t6 = t3 / t4;
  t7 = 0.1e1 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t10 = my_piecewise5(t7, t8, t7, -t8, 0);
  t11 = 0.1e1 + t10;
  t13 = POW_1_3(p->zeta_threshold);
  t15 = POW_1_3(t11);
  t17 = my_piecewise3(t11 <= p->zeta_threshold, t13 * p->zeta_threshold, t15 * t11);
  t18 = POW_1_3(rho[0]);
  t19 = t17 * t18;
  t20 = params->beta * sigma[0];
  t21 = M_CBRT2;
  t22 = t21 * t21;
  t23 = rho[0] * rho[0];
  t24 = t18 * t18;
  t26 = 0.1e1 / t24 / t23;
  t27 = t22 * t26;
  t30 = params->gamma * sigma[0] * t27 + 0.1e1;
  t31 = pow(t30, params->omega);
  t32 = 0.1e1 / t31;
  t35 = t20 * t27 * t32 + 0.1e1;
  t39 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t19 * t35);
  tzk0 = 0.2e1 * t39;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t41 = t17 / t24;
  t45 = t23 * rho[0];
  t47 = 0.1e1 / t24 / t45;
  t52 = sigma[0] * sigma[0];
  t53 = params->beta * t52;
  t54 = t23 * t23;
  t55 = t54 * t23;
  t57 = 0.1e1 / t18 / t55;
  t60 = t32 * params->omega;
  t61 = 0.1e1 / t30;
  t63 = t60 * params->gamma * t61;
  t66 = -0.8e1 / 0.3e1 * t20 * t22 * t47 * t32 + 0.16e2 / 0.3e1 * t53 * t21 * t57 * t63;
  t71 = my_piecewise3(t2, 0, -t6 * t41 * t35 / 0.8e1 - 0.3e1 / 0.8e1 * t6 * t19 * t66);
  tvrho0 = 0.2e1 * rho[0] * t71 + 0.2e1 * t39;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t74 = params->beta * t22;
  t77 = t54 * rho[0];
  t79 = 0.1e1 / t18 / t77;
  t84 = -0.2e1 * t20 * t21 * t79 * t63 + t74 * t26 * t32;
  t88 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t19 * t84);
  tvsigma0 = 0.2e1 * rho[0] * t88;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t93 = t17 / t24 / rho[0];
  t101 = 0.1e1 / t24 / t54;
  t106 = t54 * t45;
  t108 = 0.1e1 / t18 / t106;
  t113 = t52 * sigma[0];
  t114 = params->beta * t113;
  t115 = t54 * t54;
  t116 = t115 * t23;
  t117 = 0.1e1 / t116;
  t118 = t114 * t117;
  t119 = params->omega * params->omega;
  t120 = t32 * t119;
  t121 = params->gamma * params->gamma;
  t122 = t30 * t30;
  t123 = 0.1e1 / t122;
  t124 = t121 * t123;
  t125 = t120 * t124;
  t128 = t60 * t124;
  t131 = 0.88e2 / 0.9e1 * t20 * t22 * t101 * t32 - 0.48e2 * t53 * t21 * t108 * t63 + 0.256e3 / 0.9e1 * t118 * t125 + 0.256e3 / 0.9e1 * t118 * t128;
  t136 = my_piecewise3(t2, 0, t6 * t93 * t35 / 0.12e2 - t6 * t41 * t66 / 0.4e1 - 0.3e1 / 0.8e1 * t6 * t19 * t131);
  tv2rho20 = 0.2e1 * rho[0] * t136 + 0.4e1 * t71;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t145 = params->beta * t21;
  t150 = params->omega * params->gamma * sigma[0] * t61;
  t153 = t115 * rho[0];
  t154 = 0.1e1 / t153;
  t155 = t53 * t154;
  t160 = -0.8e1 / 0.3e1 * t74 * t47 * t32 + 0.16e2 * t145 * t57 * t32 * t150 - 0.32e2 / 0.3e1 * t155 * t125 - 0.32e2 / 0.3e1 * t155 * t128;
  t165 = my_piecewise3(t2, 0, -t6 * t41 * t84 / 0.8e1 - 0.3e1 / 0.8e1 * t6 * t19 * t160);
  tv2rhosigma0 = 0.2e1 * rho[0] * t165 + 0.2e1 * t88;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t170 = 0.1e1 / t115;
  t171 = t20 * t170;
  t175 = -0.4e1 * t145 * t79 * t63 + 0.4e1 * t171 * t125 + 0.4e1 * t171 * t128;
  t179 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t19 * t175);
  tv2sigma20 = 0.2e1 * rho[0] * t179;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t6, t7, t8, t10, t11;
  double t13, t15, t17, t18, t19, t20, t21, t22;
  double t23, t24, t26, t27, t30, t31, t32, t35;
  double t39, tzk0;

  double t41, t45, t47, t52, t53, t54, t55, t57;
  double t60, t61, t63, t66, t71, tvrho0, t74, t77;
  double t79, t84, t88, tvsigma0;

  double t93, t101, t106, t108, t113, t114, t115, t116;
  double t117, t118, t119, t120, t121, t122, t123, t124;
  double t125, t128, t131, t136, tv2rho20, t145, t150, t153;
  double t154, t155, t160, t165, tv2rhosigma0, t170, t171, t175;
  double t179, tv2sigma20;

  double t182, t193, t199, t204, t205, t206, t211, t212;
  double t213, t215, t217, t218, t219, t222, t223, t224;
  double t228, t232, t235, t240, tv3rho30, t258, t259, t260;
  double t261, t264, t265, t268, t270, t272, t279, t284;
  double tv3rho2sigma0, t294, t295, t296, t299, t303, t305, t312;
  double t317, tv3rhosigma20, t321, t322, t325, t329, t331, t338;
  double t342, tv3sigma30;

  gga_x_b86_params *params;

  assert(p->params != NULL);
  params = (gga_x_b86_params * )(p->params);

  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = M_CBRTPI;
  t6 = t3 / t4;
  t7 = 0.1e1 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t10 = my_piecewise5(t7, t8, t7, -t8, 0);
  t11 = 0.1e1 + t10;
  t13 = POW_1_3(p->zeta_threshold);
  t15 = POW_1_3(t11);
  t17 = my_piecewise3(t11 <= p->zeta_threshold, t13 * p->zeta_threshold, t15 * t11);
  t18 = POW_1_3(rho[0]);
  t19 = t17 * t18;
  t20 = params->beta * sigma[0];
  t21 = M_CBRT2;
  t22 = t21 * t21;
  t23 = rho[0] * rho[0];
  t24 = t18 * t18;
  t26 = 0.1e1 / t24 / t23;
  t27 = t22 * t26;
  t30 = params->gamma * sigma[0] * t27 + 0.1e1;
  t31 = pow(t30, params->omega);
  t32 = 0.1e1 / t31;
  t35 = t20 * t27 * t32 + 0.1e1;
  t39 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t19 * t35);
  tzk0 = 0.2e1 * t39;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t41 = t17 / t24;
  t45 = t23 * rho[0];
  t47 = 0.1e1 / t24 / t45;
  t52 = sigma[0] * sigma[0];
  t53 = params->beta * t52;
  t54 = t23 * t23;
  t55 = t54 * t23;
  t57 = 0.1e1 / t18 / t55;
  t60 = t32 * params->omega;
  t61 = 0.1e1 / t30;
  t63 = t60 * params->gamma * t61;
  t66 = -0.8e1 / 0.3e1 * t20 * t22 * t47 * t32 + 0.16e2 / 0.3e1 * t53 * t21 * t57 * t63;
  t71 = my_piecewise3(t2, 0, -t6 * t41 * t35 / 0.8e1 - 0.3e1 / 0.8e1 * t6 * t19 * t66);
  tvrho0 = 0.2e1 * rho[0] * t71 + 0.2e1 * t39;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t74 = params->beta * t22;
  t77 = t54 * rho[0];
  t79 = 0.1e1 / t18 / t77;
  t84 = -0.2e1 * t20 * t21 * t79 * t63 + t74 * t26 * t32;
  t88 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t19 * t84);
  tvsigma0 = 0.2e1 * rho[0] * t88;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t93 = t17 / t24 / rho[0];
  t101 = 0.1e1 / t24 / t54;
  t106 = t54 * t45;
  t108 = 0.1e1 / t18 / t106;
  t113 = t52 * sigma[0];
  t114 = params->beta * t113;
  t115 = t54 * t54;
  t116 = t115 * t23;
  t117 = 0.1e1 / t116;
  t118 = t114 * t117;
  t119 = params->omega * params->omega;
  t120 = t32 * t119;
  t121 = params->gamma * params->gamma;
  t122 = t30 * t30;
  t123 = 0.1e1 / t122;
  t124 = t121 * t123;
  t125 = t120 * t124;
  t128 = t60 * t124;
  t131 = 0.88e2 / 0.9e1 * t20 * t22 * t101 * t32 - 0.48e2 * t53 * t21 * t108 * t63 + 0.256e3 / 0.9e1 * t118 * t125 + 0.256e3 / 0.9e1 * t118 * t128;
  t136 = my_piecewise3(t2, 0, t6 * t93 * t35 / 0.12e2 - t6 * t41 * t66 / 0.4e1 - 0.3e1 / 0.8e1 * t6 * t19 * t131);
  tv2rho20 = 0.2e1 * rho[0] * t136 + 0.4e1 * t71;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t145 = params->beta * t21;
  t150 = params->omega * params->gamma * sigma[0] * t61;
  t153 = t115 * rho[0];
  t154 = 0.1e1 / t153;
  t155 = t53 * t154;
  t160 = -0.8e1 / 0.3e1 * t74 * t47 * t32 + 0.16e2 * t145 * t57 * t32 * t150 - 0.32e2 / 0.3e1 * t155 * t125 - 0.32e2 / 0.3e1 * t155 * t128;
  t165 = my_piecewise3(t2, 0, -t6 * t41 * t84 / 0.8e1 - 0.3e1 / 0.8e1 * t6 * t19 * t160);
  tv2rhosigma0 = 0.2e1 * rho[0] * t165 + 0.2e1 * t88;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t170 = 0.1e1 / t115;
  t171 = t20 * t170;
  t175 = -0.4e1 * t145 * t79 * t63 + 0.4e1 * t171 * t125 + 0.4e1 * t171 * t128;
  t179 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t19 * t175);
  tv2sigma20 = 0.2e1 * rho[0] * t179;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t182 = t17 * t26;
  t193 = 0.1e1 / t24 / t77;
  t199 = 0.1e1 / t18 / t115;
  t204 = t115 * t45;
  t205 = 0.1e1 / t204;
  t206 = t114 * t205;
  t211 = t52 * t52;
  t212 = params->beta * t211;
  t213 = t115 * t77;
  t215 = 0.1e1 / t24 / t213;
  t217 = t212 * t215 * t32;
  t218 = t119 * params->omega;
  t219 = t121 * params->gamma;
  t222 = 0.1e1 / t122 / t30;
  t223 = t222 * t22;
  t224 = t218 * t219 * t223;
  t228 = t119 * t219 * t223;
  t232 = params->omega * t219 * t223;
  t235 = -0.1232e4 / 0.27e2 * t20 * t22 * t193 * t32 + 0.10912e5 / 0.27e2 * t53 * t21 * t199 * t63 - 0.4864e4 / 0.9e1 * t206 * t125 - 0.4864e4 / 0.9e1 * t206 * t128 + 0.2048e4 / 0.27e2 * t217 * t224 + 0.2048e4 / 0.9e1 * t217 * t228 + 0.4096e4 / 0.27e2 * t217 * t232;
  t240 = my_piecewise3(t2, 0, -0.5e1 / 0.36e2 * t6 * t182 * t35 + t6 * t93 * t66 / 0.4e1 - 0.3e1 / 0.8e1 * t6 * t41 * t131 - 0.3e1 / 0.8e1 * t6 * t19 * t235);
  tv3rho30 = 0.2e1 * rho[0] * t240 + 0.6e1 * t136;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t258 = params->beta * t117 * t32;
  t259 = t119 * t121;
  t260 = t52 * t123;
  t261 = t259 * t260;
  t264 = params->omega * t121;
  t265 = t264 * t260;
  t268 = t115 * t54;
  t270 = 0.1e1 / t24 / t268;
  t272 = t114 * t270 * t32;
  t279 = 0.88e2 / 0.9e1 * t74 * t101 * t32 - 0.104e4 / 0.9e1 * t145 * t108 * t32 * t150 + 0.544e3 / 0.3e1 * t258 * t261 + 0.544e3 / 0.3e1 * t258 * t265 - 0.256e3 / 0.9e1 * t272 * t224 - 0.256e3 / 0.3e1 * t272 * t228 - 0.512e3 / 0.9e1 * t272 * t232;
  t284 = my_piecewise3(t2, 0, t6 * t93 * t84 / 0.12e2 - t6 * t41 * t160 / 0.4e1 - 0.3e1 / 0.8e1 * t6 * t19 * t279);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t284 + 0.4e1 * t165;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  t294 = params->beta * t154 * t32;
  t295 = t123 * sigma[0];
  t296 = t259 * t295;
  t299 = t264 * t295;
  t303 = 0.1e1 / t24 / t204;
  t305 = t53 * t303 * t32;
  t312 = 0.64e2 / 0.3e1 * t145 * t57 * t63 - 0.16e3 / 0.3e1 * t294 * t296 - 0.16e3 / 0.3e1 * t294 * t299 + 0.32e2 / 0.3e1 * t305 * t224 + 0.32e2 * t305 * t228 + 0.64e2 / 0.3e1 * t305 * t232;
  t317 = my_piecewise3(t2, 0, -t6 * t41 * t175 / 0.8e1 - 0.3e1 / 0.8e1 * t6 * t19 * t312);
  tv3rhosigma20 = 0.2e1 * rho[0] * t317 + 0.2e1 * t179;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  t321 = params->beta * t170 * t32;
  t322 = t259 * t123;
  t325 = t264 * t123;
  t329 = 0.1e1 / t24 / t116;
  t331 = t20 * t329 * t32;
  t338 = -0.4e1 * t331 * t224 - 0.12e2 * t331 * t228 - 0.8e1 * t331 * t232 + 0.12e2 * t321 * t322 + 0.12e2 * t321 * t325;
  t342 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t19 * t338);
  tv3sigma30 = 0.2e1 * rho[0] * t342;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t2, t3, t4, t6, t7, t8, t10, t11;
  double t13, t15, t17, t18, t19, t20, t21, t22;
  double t23, t24, t26, t27, t30, t31, t32, t35;
  double t39, tzk0;

  double t41, t45, t47, t52, t53, t54, t55, t57;
  double t60, t61, t63, t66, t71, tvrho0, t74, t77;
  double t79, t84, t88, tvsigma0;

  double t93, t101, t106, t108, t113, t114, t115, t116;
  double t117, t118, t119, t120, t121, t122, t123, t124;
  double t125, t128, t131, t136, tv2rho20, t145, t150, t153;
  double t154, t155, t160, t165, tv2rhosigma0, t170, t171, t175;
  double t179, tv2sigma20;

  double t182, t193, t199, t204, t205, t206, t211, t212;
  double t213, t215, t217, t218, t219, t222, t223, t224;
  double t228, t232, t235, t240, tv3rho30, t258, t259, t260;
  double t261, t264, t265, t268, t270, t272, t279, t284;
  double tv3rho2sigma0, t294, t295, t296, t299, t303, t305, t312;
  double t317, tv3rhosigma20, t321, t322, t325, t329, t331, t338;
  double t342, tv3sigma30;

  double t371, t376, t380, t389, t394, t395, t396, t398;
  double t400, t401, t405, t409, t413, t416, t421, tv4rho40;
  double t442, t447, t448, t451, t463, t472, t477, tv4rho3sigma0;
  double t494, t496, t498, t511, t525, tv4rho2sigma20, t533, t536;
  double t550, t564, tv4rhosigma30, t568, t578, t591, tv4sigma40;

  gga_x_b86_params *params;

  assert(p->params != NULL);
  params = (gga_x_b86_params * )(p->params);

  t2 = rho[0] / 0.2e1 <= p->dens_threshold;
  t3 = M_CBRT3;
  t4 = M_CBRTPI;
  t6 = t3 / t4;
  t7 = 0.1e1 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t10 = my_piecewise5(t7, t8, t7, -t8, 0);
  t11 = 0.1e1 + t10;
  t13 = POW_1_3(p->zeta_threshold);
  t15 = POW_1_3(t11);
  t17 = my_piecewise3(t11 <= p->zeta_threshold, t13 * p->zeta_threshold, t15 * t11);
  t18 = POW_1_3(rho[0]);
  t19 = t17 * t18;
  t20 = params->beta * sigma[0];
  t21 = M_CBRT2;
  t22 = t21 * t21;
  t23 = rho[0] * rho[0];
  t24 = t18 * t18;
  t26 = 0.1e1 / t24 / t23;
  t27 = t22 * t26;
  t30 = params->gamma * sigma[0] * t27 + 0.1e1;
  t31 = pow(t30, params->omega);
  t32 = 0.1e1 / t31;
  t35 = t20 * t27 * t32 + 0.1e1;
  t39 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t19 * t35);
  tzk0 = 0.2e1 * t39;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t41 = t17 / t24;
  t45 = t23 * rho[0];
  t47 = 0.1e1 / t24 / t45;
  t52 = sigma[0] * sigma[0];
  t53 = params->beta * t52;
  t54 = t23 * t23;
  t55 = t54 * t23;
  t57 = 0.1e1 / t18 / t55;
  t60 = t32 * params->omega;
  t61 = 0.1e1 / t30;
  t63 = t60 * params->gamma * t61;
  t66 = -0.8e1 / 0.3e1 * t20 * t22 * t47 * t32 + 0.16e2 / 0.3e1 * t53 * t21 * t57 * t63;
  t71 = my_piecewise3(t2, 0, -t6 * t41 * t35 / 0.8e1 - 0.3e1 / 0.8e1 * t6 * t19 * t66);
  tvrho0 = 0.2e1 * rho[0] * t71 + 0.2e1 * t39;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t74 = params->beta * t22;
  t77 = t54 * rho[0];
  t79 = 0.1e1 / t18 / t77;
  t84 = -0.2e1 * t20 * t21 * t79 * t63 + t74 * t26 * t32;
  t88 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t19 * t84);
  tvsigma0 = 0.2e1 * rho[0] * t88;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t93 = t17 / t24 / rho[0];
  t101 = 0.1e1 / t24 / t54;
  t106 = t54 * t45;
  t108 = 0.1e1 / t18 / t106;
  t113 = t52 * sigma[0];
  t114 = params->beta * t113;
  t115 = t54 * t54;
  t116 = t115 * t23;
  t117 = 0.1e1 / t116;
  t118 = t114 * t117;
  t119 = params->omega * params->omega;
  t120 = t32 * t119;
  t121 = params->gamma * params->gamma;
  t122 = t30 * t30;
  t123 = 0.1e1 / t122;
  t124 = t121 * t123;
  t125 = t120 * t124;
  t128 = t60 * t124;
  t131 = 0.88e2 / 0.9e1 * t20 * t22 * t101 * t32 - 0.48e2 * t53 * t21 * t108 * t63 + 0.256e3 / 0.9e1 * t118 * t125 + 0.256e3 / 0.9e1 * t118 * t128;
  t136 = my_piecewise3(t2, 0, t6 * t93 * t35 / 0.12e2 - t6 * t41 * t66 / 0.4e1 - 0.3e1 / 0.8e1 * t6 * t19 * t131);
  tv2rho20 = 0.2e1 * rho[0] * t136 + 0.4e1 * t71;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t145 = params->beta * t21;
  t150 = params->omega * params->gamma * sigma[0] * t61;
  t153 = t115 * rho[0];
  t154 = 0.1e1 / t153;
  t155 = t53 * t154;
  t160 = -0.8e1 / 0.3e1 * t74 * t47 * t32 + 0.16e2 * t145 * t57 * t32 * t150 - 0.32e2 / 0.3e1 * t155 * t125 - 0.32e2 / 0.3e1 * t155 * t128;
  t165 = my_piecewise3(t2, 0, -t6 * t41 * t84 / 0.8e1 - 0.3e1 / 0.8e1 * t6 * t19 * t160);
  tv2rhosigma0 = 0.2e1 * rho[0] * t165 + 0.2e1 * t88;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t170 = 0.1e1 / t115;
  t171 = t20 * t170;
  t175 = -0.4e1 * t145 * t79 * t63 + 0.4e1 * t171 * t125 + 0.4e1 * t171 * t128;
  t179 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t19 * t175);
  tv2sigma20 = 0.2e1 * rho[0] * t179;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t182 = t17 * t26;
  t193 = 0.1e1 / t24 / t77;
  t199 = 0.1e1 / t18 / t115;
  t204 = t115 * t45;
  t205 = 0.1e1 / t204;
  t206 = t114 * t205;
  t211 = t52 * t52;
  t212 = params->beta * t211;
  t213 = t115 * t77;
  t215 = 0.1e1 / t24 / t213;
  t217 = t212 * t215 * t32;
  t218 = t119 * params->omega;
  t219 = t121 * params->gamma;
  t222 = 0.1e1 / t122 / t30;
  t223 = t222 * t22;
  t224 = t218 * t219 * t223;
  t228 = t119 * t219 * t223;
  t232 = params->omega * t219 * t223;
  t235 = -0.1232e4 / 0.27e2 * t20 * t22 * t193 * t32 + 0.10912e5 / 0.27e2 * t53 * t21 * t199 * t63 - 0.4864e4 / 0.9e1 * t206 * t125 - 0.4864e4 / 0.9e1 * t206 * t128 + 0.2048e4 / 0.27e2 * t217 * t224 + 0.2048e4 / 0.9e1 * t217 * t228 + 0.4096e4 / 0.27e2 * t217 * t232;
  t240 = my_piecewise3(t2, 0, -0.5e1 / 0.36e2 * t6 * t182 * t35 + t6 * t93 * t66 / 0.4e1 - 0.3e1 / 0.8e1 * t6 * t41 * t131 - 0.3e1 / 0.8e1 * t6 * t19 * t235);
  tv3rho30 = 0.2e1 * rho[0] * t240 + 0.6e1 * t136;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t258 = params->beta * t117 * t32;
  t259 = t119 * t121;
  t260 = t52 * t123;
  t261 = t259 * t260;
  t264 = params->omega * t121;
  t265 = t264 * t260;
  t268 = t115 * t54;
  t270 = 0.1e1 / t24 / t268;
  t272 = t114 * t270 * t32;
  t279 = 0.88e2 / 0.9e1 * t74 * t101 * t32 - 0.104e4 / 0.9e1 * t145 * t108 * t32 * t150 + 0.544e3 / 0.3e1 * t258 * t261 + 0.544e3 / 0.3e1 * t258 * t265 - 0.256e3 / 0.9e1 * t272 * t224 - 0.256e3 / 0.3e1 * t272 * t228 - 0.512e3 / 0.9e1 * t272 * t232;
  t284 = my_piecewise3(t2, 0, t6 * t93 * t84 / 0.12e2 - t6 * t41 * t160 / 0.4e1 - 0.3e1 / 0.8e1 * t6 * t19 * t279);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t284 + 0.4e1 * t165;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  t294 = params->beta * t154 * t32;
  t295 = t123 * sigma[0];
  t296 = t259 * t295;
  t299 = t264 * t295;
  t303 = 0.1e1 / t24 / t204;
  t305 = t53 * t303 * t32;
  t312 = 0.64e2 / 0.3e1 * t145 * t57 * t63 - 0.16e3 / 0.3e1 * t294 * t296 - 0.16e3 / 0.3e1 * t294 * t299 + 0.32e2 / 0.3e1 * t305 * t224 + 0.32e2 * t305 * t228 + 0.64e2 / 0.3e1 * t305 * t232;
  t317 = my_piecewise3(t2, 0, -t6 * t41 * t175 / 0.8e1 - 0.3e1 / 0.8e1 * t6 * t19 * t312);
  tv3rhosigma20 = 0.2e1 * rho[0] * t317 + 0.2e1 * t179;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  t321 = params->beta * t170 * t32;
  t322 = t259 * t123;
  t325 = t264 * t123;
  t329 = 0.1e1 / t24 / t116;
  t331 = t20 * t329 * t32;
  t338 = -0.4e1 * t331 * t224 - 0.12e2 * t331 * t228 - 0.8e1 * t331 * t232 + 0.12e2 * t321 * t322 + 0.12e2 * t321 * t325;
  t342 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t19 * t338);
  tv3sigma30 = 0.2e1 * rho[0] * t342;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  t371 = t114 / t268;
  t376 = t115 * t55;
  t380 = t212 / t24 / t376 * t32;
  t389 = t115 * t115;
  t394 = params->beta * t211 * sigma[0] / t18 / t389 / rho[0] * t32;
  t395 = t119 * t119;
  t396 = t121 * t121;
  t398 = t122 * t122;
  t400 = 0.1e1 / t398 * t21;
  t401 = t395 * t396 * t400;
  t405 = t218 * t396 * t400;
  t409 = t119 * t396 * t400;
  t413 = params->omega * t396 * t400;
  t416 = 0.20944e5 / 0.81e2 * t20 * t22 / t24 / t55 * t32 - 0.97504e5 / 0.27e2 * t53 * t21 / t18 / t153 * t63 + 0.656128e6 / 0.81e2 * t371 * t125 + 0.656128e6 / 0.81e2 * t371 * t128 - 0.200704e6 / 0.81e2 * t380 * t224 - 0.200704e6 / 0.27e2 * t380 * t228 - 0.401408e6 / 0.81e2 * t380 * t232 + 0.32768e5 / 0.81e2 * t394 * t401 + 0.65536e5 / 0.27e2 * t394 * t405 + 0.360448e6 / 0.81e2 * t394 * t409 + 0.65536e5 / 0.27e2 * t394 * t413;
  t421 = my_piecewise3(t2, 0, 0.1e2 / 0.27e2 * t6 * t17 * t47 * t35 - 0.5e1 / 0.9e1 * t6 * t182 * t66 + t6 * t93 * t131 / 0.2e1 - t6 * t41 * t235 / 0.2e1 - 0.3e1 / 0.8e1 * t6 * t19 * t416);
  tv4rho40 = 0.2e1 * rho[0] * t421 + 0.8e1 * t240;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t442 = params->beta * t205 * t32;
  t447 = params->beta * t215;
  t448 = t32 * t218;
  t451 = t219 * t113 * t223;
  t463 = t212 / t18 / t389 * t32;
  t472 = -0.1232e4 / 0.27e2 * t74 * t193 * t32 + 0.8096e4 / 0.9e1 * t145 * t199 * t32 * t150 - 0.656e5 / 0.27e2 * t442 * t261 - 0.656e5 / 0.27e2 * t442 * t265 + 0.22784e5 / 0.27e2 * t447 * t448 * t451 + 0.22784e5 / 0.9e1 * t447 * t120 * t451 + 0.45568e5 / 0.27e2 * t447 * t60 * t451 - 0.4096e4 / 0.27e2 * t463 * t401 - 0.8192e4 / 0.9e1 * t463 * t405 - 0.45056e5 / 0.27e2 * t463 * t409 - 0.8192e4 / 0.9e1 * t463 * t413;
  t477 = my_piecewise3(t2, 0, -0.5e1 / 0.36e2 * t6 * t182 * t84 + t6 * t93 * t160 / 0.4e1 - 0.3e1 / 0.8e1 * t6 * t41 * t279 - 0.3e1 / 0.8e1 * t6 * t19 * t472);
  tv4rho3sigma0 = 0.2e1 * rho[0] * t477 + 0.6e1 * t284;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  t494 = params->beta * t270;
  t496 = t219 * t222;
  t498 = t496 * t52 * t22;
  t511 = t114 / t18 / t115 / t106 * t32;
  t525 = my_piecewise3(t2, 0, t6 * t93 * t175 / 0.12e2 - t6 * t41 * t312 / 0.4e1 - 0.3e1 / 0.8e1 * t6 * t19 * (-0.1216e4 / 0.9e1 * t145 * t108 * t63 + 0.5344e4 / 0.9e1 * t258 * t296 + 0.5344e4 / 0.9e1 * t258 * t299 - 0.8e3 / 0.3e1 * t494 * t448 * t498 - 0.8e3 * t494 * t120 * t498 - 0.16e4 / 0.3e1 * t494 * t60 * t498 + 0.512e3 / 0.9e1 * t511 * t401 + 0.1024e4 / 0.3e1 * t511 * t405 + 0.5632e4 / 0.9e1 * t511 * t409 + 0.1024e4 / 0.3e1 * t511 * t413));
  tv4rho2sigma20 = 0.2e1 * rho[0] * t525 + 0.4e1 * t317;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  t533 = params->beta * t303;
  t536 = t496 * sigma[0] * t22;
  t550 = t53 / t18 / t376 * t32;
  t564 = my_piecewise3(t2, 0, -t6 * t41 * t338 / 0.8e1 - 0.3e1 / 0.8e1 * t6 * t19 * (-0.96e2 * t294 * t322 + 0.224e3 / 0.3e1 * t533 * t448 * t536 + 0.224e3 * t533 * t120 * t536 - 0.96e2 * t294 * t325 + 0.448e3 / 0.3e1 * t533 * t60 * t536 - 0.64e2 / 0.3e1 * t550 * t401 - 0.128e3 * t550 * t405 - 0.704e3 / 0.3e1 * t550 * t409 - 0.128e3 * t550 * t413));
  tv4rhosigma30 = 0.2e1 * rho[0] * t564 + 0.2e1 * t342;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  t568 = params->beta * t329 * t32;
  t578 = t20 / t18 / t213 * t32;
  t591 = my_piecewise3(t2, 0, -0.3e1 / 0.8e1 * t6 * t19 * (-0.16e2 * t568 * t224 - 0.48e2 * t568 * t228 - 0.32e2 * t568 * t232 + 0.8e1 * t578 * t401 + 0.48e2 * t578 * t405 + 0.88e2 * t578 * t409 + 0.48e2 * t578 * t413));
  tv4sigma40 = 0.2e1 * rho[0] * t591;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

}

#endif


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t5, t6, t7, t10, t11;
  double t14, t15, t16, t18, t19, t20, t21, t22;
  double t23, t25, t26, t27, t28, t29, t30, t31;
  double t33, t36, t37, t38, t41, t45, t46, t47;
  double t49, t50, t51, t52, t54, t55, t56, t57;
  double t58, t59, t61, t64, t65, t66, t69, t73;
  double tzk0;

  gga_x_b86_params *params;

  assert(p->params != NULL);
  params = (gga_x_b86_params * )(p->params);

  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = M_CBRTPI;
  t5 = t2 / t3;
  t6 = rho[0] + rho[1];
  t7 = 0.1e1 / t6;
  t10 = 0.2e1 * rho[0] * t7 <= p->zeta_threshold;
  t11 = p->zeta_threshold - 0.1e1;
  t14 = 0.2e1 * rho[1] * t7 <= p->zeta_threshold;
  t15 = -t11;
  t16 = rho[0] - rho[1];
  t18 = my_piecewise5(t10, t11, t14, t15, t16 * t7);
  t19 = 0.1e1 + t18;
  t20 = t19 <= p->zeta_threshold;
  t21 = POW_1_3(p->zeta_threshold);
  t22 = t21 * p->zeta_threshold;
  t23 = POW_1_3(t19);
  t25 = my_piecewise3(t20, t22, t23 * t19);
  t26 = POW_1_3(t6);
  t27 = t25 * t26;
  t28 = params->beta * sigma[0];
  t29 = rho[0] * rho[0];
  t30 = POW_1_3(rho[0]);
  t31 = t30 * t30;
  t33 = 0.1e1 / t31 / t29;
  t36 = params->gamma * sigma[0] * t33 + 0.1e1;
  t37 = pow(t36, params->omega);
  t38 = 0.1e1 / t37;
  t41 = t28 * t33 * t38 + 0.1e1;
  t45 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t41);
  t46 = rho[1] <= p->dens_threshold;
  t47 = -t16;
  t49 = my_piecewise5(t14, t11, t10, t15, t47 * t7);
  t50 = 0.1e1 + t49;
  t51 = t50 <= p->zeta_threshold;
  t52 = POW_1_3(t50);
  t54 = my_piecewise3(t51, t22, t52 * t50);
  t55 = t54 * t26;
  t56 = params->beta * sigma[2];
  t57 = rho[1] * rho[1];
  t58 = POW_1_3(rho[1]);
  t59 = t58 * t58;
  t61 = 0.1e1 / t59 / t57;
  t64 = params->gamma * sigma[2] * t61 + 0.1e1;
  t65 = pow(t64, params->omega);
  t66 = 0.1e1 / t65;
  t69 = t56 * t61 * t66 + 0.1e1;
  t73 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t55 * t69);
  tzk0 = t45 + t73;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t5, t6, t7, t10, t11;
  double t14, t15, t16, t18, t19, t20, t21, t22;
  double t23, t25, t26, t27, t28, t29, t30, t31;
  double t33, t36, t37, t38, t41, t45, t46, t47;
  double t49, t50, t51, t52, t54, t55, t56, t57;
  double t58, t59, t61, t64, t65, t66, t69, t73;
  double tzk0;

  double t74, t75, t76, t78, t81, t82, t86, t87;
  double t88, t91, t92, t94, t97, t98, t99, t100;
  double t102, t104, t105, t107, t110, t115, t116, t118;
  double t121, t122, t126, t129, t131, tvrho0, t135, t138;
  double t139, t144, t146, t149, t150, t154, t156, t159;
  double t160, t161, t162, t164, t166, t167, t169, t172;
  double t177, tvrho1, t182, t184, t187, t191, tvsigma0, tvsigma1;
  double t194, t196, t199, t203, tvsigma2;

  gga_x_b86_params *params;

  assert(p->params != NULL);
  params = (gga_x_b86_params * )(p->params);

  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = M_CBRTPI;
  t5 = t2 / t3;
  t6 = rho[0] + rho[1];
  t7 = 0.1e1 / t6;
  t10 = 0.2e1 * rho[0] * t7 <= p->zeta_threshold;
  t11 = p->zeta_threshold - 0.1e1;
  t14 = 0.2e1 * rho[1] * t7 <= p->zeta_threshold;
  t15 = -t11;
  t16 = rho[0] - rho[1];
  t18 = my_piecewise5(t10, t11, t14, t15, t16 * t7);
  t19 = 0.1e1 + t18;
  t20 = t19 <= p->zeta_threshold;
  t21 = POW_1_3(p->zeta_threshold);
  t22 = t21 * p->zeta_threshold;
  t23 = POW_1_3(t19);
  t25 = my_piecewise3(t20, t22, t23 * t19);
  t26 = POW_1_3(t6);
  t27 = t25 * t26;
  t28 = params->beta * sigma[0];
  t29 = rho[0] * rho[0];
  t30 = POW_1_3(rho[0]);
  t31 = t30 * t30;
  t33 = 0.1e1 / t31 / t29;
  t36 = params->gamma * sigma[0] * t33 + 0.1e1;
  t37 = pow(t36, params->omega);
  t38 = 0.1e1 / t37;
  t41 = t28 * t33 * t38 + 0.1e1;
  t45 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t41);
  t46 = rho[1] <= p->dens_threshold;
  t47 = -t16;
  t49 = my_piecewise5(t14, t11, t10, t15, t47 * t7);
  t50 = 0.1e1 + t49;
  t51 = t50 <= p->zeta_threshold;
  t52 = POW_1_3(t50);
  t54 = my_piecewise3(t51, t22, t52 * t50);
  t55 = t54 * t26;
  t56 = params->beta * sigma[2];
  t57 = rho[1] * rho[1];
  t58 = POW_1_3(rho[1]);
  t59 = t58 * t58;
  t61 = 0.1e1 / t59 / t57;
  t64 = params->gamma * sigma[2] * t61 + 0.1e1;
  t65 = pow(t64, params->omega);
  t66 = 0.1e1 / t65;
  t69 = t56 * t61 * t66 + 0.1e1;
  t73 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t55 * t69);
  tzk0 = t45 + t73;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t74 = t6 * t6;
  t75 = 0.1e1 / t74;
  t76 = t16 * t75;
  t78 = my_piecewise5(t10, 0, t14, 0, t7 - t76);
  t81 = my_piecewise3(t20, 0, 0.4e1 / 0.3e1 * t23 * t78);
  t82 = t81 * t26;
  t86 = t26 * t26;
  t87 = 0.1e1 / t86;
  t88 = t25 * t87;
  t91 = t5 * t88 * t41 / 0.8e1;
  t92 = t29 * rho[0];
  t94 = 0.1e1 / t31 / t92;
  t97 = sigma[0] * sigma[0];
  t98 = params->beta * t97;
  t99 = t29 * t29;
  t100 = t99 * t29;
  t102 = 0.1e1 / t30 / t100;
  t104 = t38 * params->omega;
  t105 = 0.1e1 / t36;
  t107 = t104 * params->gamma * t105;
  t110 = 0.8e1 / 0.3e1 * t98 * t102 * t107 - 0.8e1 / 0.3e1 * t28 * t94 * t38;
  t115 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t82 * t41 - t91 - 0.3e1 / 0.8e1 * t5 * t27 * t110);
  t116 = t47 * t75;
  t118 = my_piecewise5(t14, 0, t10, 0, -t7 - t116);
  t121 = my_piecewise3(t51, 0, 0.4e1 / 0.3e1 * t52 * t118);
  t122 = t121 * t26;
  t126 = t54 * t87;
  t129 = t5 * t126 * t69 / 0.8e1;
  t131 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t122 * t69 - t129);
  tvrho0 = t45 + t73 + t6 * (t115 + t131);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t135 = my_piecewise5(t10, 0, t14, 0, -t7 - t76);
  t138 = my_piecewise3(t20, 0, 0.4e1 / 0.3e1 * t23 * t135);
  t139 = t138 * t26;
  t144 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t139 * t41 - t91);
  t146 = my_piecewise5(t14, 0, t10, 0, t7 - t116);
  t149 = my_piecewise3(t51, 0, 0.4e1 / 0.3e1 * t52 * t146);
  t150 = t149 * t26;
  t154 = t57 * rho[1];
  t156 = 0.1e1 / t59 / t154;
  t159 = sigma[2] * sigma[2];
  t160 = params->beta * t159;
  t161 = t57 * t57;
  t162 = t161 * t57;
  t164 = 0.1e1 / t58 / t162;
  t166 = t66 * params->omega;
  t167 = 0.1e1 / t64;
  t169 = t166 * params->gamma * t167;
  t172 = -0.8e1 / 0.3e1 * t56 * t156 * t66 + 0.8e1 / 0.3e1 * t160 * t164 * t169;
  t177 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t150 * t69 - t129 - 0.3e1 / 0.8e1 * t5 * t55 * t172);
  tvrho1 = t45 + t73 + t6 * (t144 + t177);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t182 = t99 * rho[0];
  t184 = 0.1e1 / t30 / t182;
  t187 = -t28 * t184 * t107 + params->beta * t33 * t38;
  t191 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t187);
  tvsigma0 = t6 * t191;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t194 = t161 * rho[1];
  t196 = 0.1e1 / t58 / t194;
  t199 = -t56 * t196 * t169 + params->beta * t61 * t66;
  t203 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t55 * t199);
  tvsigma2 = t6 * t203;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t5, t6, t7, t10, t11;
  double t14, t15, t16, t18, t19, t20, t21, t22;
  double t23, t25, t26, t27, t28, t29, t30, t31;
  double t33, t36, t37, t38, t41, t45, t46, t47;
  double t49, t50, t51, t52, t54, t55, t56, t57;
  double t58, t59, t61, t64, t65, t66, t69, t73;
  double tzk0;

  double t74, t75, t76, t78, t81, t82, t86, t87;
  double t88, t91, t92, t94, t97, t98, t99, t100;
  double t102, t104, t105, t107, t110, t115, t116, t118;
  double t121, t122, t126, t129, t131, tvrho0, t135, t138;
  double t139, t144, t146, t149, t150, t154, t156, t159;
  double t160, t161, t162, t164, t166, t167, t169, t172;
  double t177, tvrho1, t182, t184, t187, t191, tvsigma0, tvsigma1;
  double t194, t196, t199, t203, tvsigma2;

  double t206, t207, t208, t211, t212, t213, t216, t220;
  double t221, t225, t227, t233, t234, t237, t239, t242;
  double t246, t248, t252, t253, t254, t255, t256, t257;
  double t258, t259, t260, t261, t262, t263, t264, t267;
  double t270, t275, t276, t277, t278, t281, t284, t288;
  double t289, t293, t295, t297, t300, t302, tv2rho20, t305;
  double t309, t313, t314, t318, t320, t328, t329, t333;
  double t337, t338, t342, t344, t351, t354, tv2rho21, t359;
  double t364, t368, t369, t375, t376, t381, t385, t386;
  double t396, t400, t402, t406, t407, t408, t409, t410;
  double t411, t412, t413, t414, t415, t416, t419, t422;
  double t427, tv2rho22, t435, t440, t441, t443, t446, t447;
  double t448, t453, t458, tv2rhosigma0, tv2rhosigma1, t465, t467, tv2rhosigma2;
  double t473, tv2rhosigma3, tv2rhosigma4, t482, t484, t487, t488, t489;
  double t494, t499, tv2rhosigma5, t503, t506, t507, t510, t514;
  double tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t517, t520, t521;
  double t524, t528, tv2sigma25;

  gga_x_b86_params *params;

  assert(p->params != NULL);
  params = (gga_x_b86_params * )(p->params);

  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = M_CBRTPI;
  t5 = t2 / t3;
  t6 = rho[0] + rho[1];
  t7 = 0.1e1 / t6;
  t10 = 0.2e1 * rho[0] * t7 <= p->zeta_threshold;
  t11 = p->zeta_threshold - 0.1e1;
  t14 = 0.2e1 * rho[1] * t7 <= p->zeta_threshold;
  t15 = -t11;
  t16 = rho[0] - rho[1];
  t18 = my_piecewise5(t10, t11, t14, t15, t16 * t7);
  t19 = 0.1e1 + t18;
  t20 = t19 <= p->zeta_threshold;
  t21 = POW_1_3(p->zeta_threshold);
  t22 = t21 * p->zeta_threshold;
  t23 = POW_1_3(t19);
  t25 = my_piecewise3(t20, t22, t23 * t19);
  t26 = POW_1_3(t6);
  t27 = t25 * t26;
  t28 = params->beta * sigma[0];
  t29 = rho[0] * rho[0];
  t30 = POW_1_3(rho[0]);
  t31 = t30 * t30;
  t33 = 0.1e1 / t31 / t29;
  t36 = params->gamma * sigma[0] * t33 + 0.1e1;
  t37 = pow(t36, params->omega);
  t38 = 0.1e1 / t37;
  t41 = t28 * t33 * t38 + 0.1e1;
  t45 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t41);
  t46 = rho[1] <= p->dens_threshold;
  t47 = -t16;
  t49 = my_piecewise5(t14, t11, t10, t15, t47 * t7);
  t50 = 0.1e1 + t49;
  t51 = t50 <= p->zeta_threshold;
  t52 = POW_1_3(t50);
  t54 = my_piecewise3(t51, t22, t52 * t50);
  t55 = t54 * t26;
  t56 = params->beta * sigma[2];
  t57 = rho[1] * rho[1];
  t58 = POW_1_3(rho[1]);
  t59 = t58 * t58;
  t61 = 0.1e1 / t59 / t57;
  t64 = params->gamma * sigma[2] * t61 + 0.1e1;
  t65 = pow(t64, params->omega);
  t66 = 0.1e1 / t65;
  t69 = t56 * t61 * t66 + 0.1e1;
  t73 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t55 * t69);
  tzk0 = t45 + t73;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t74 = t6 * t6;
  t75 = 0.1e1 / t74;
  t76 = t16 * t75;
  t78 = my_piecewise5(t10, 0, t14, 0, t7 - t76);
  t81 = my_piecewise3(t20, 0, 0.4e1 / 0.3e1 * t23 * t78);
  t82 = t81 * t26;
  t86 = t26 * t26;
  t87 = 0.1e1 / t86;
  t88 = t25 * t87;
  t91 = t5 * t88 * t41 / 0.8e1;
  t92 = t29 * rho[0];
  t94 = 0.1e1 / t31 / t92;
  t97 = sigma[0] * sigma[0];
  t98 = params->beta * t97;
  t99 = t29 * t29;
  t100 = t99 * t29;
  t102 = 0.1e1 / t30 / t100;
  t104 = t38 * params->omega;
  t105 = 0.1e1 / t36;
  t107 = t104 * params->gamma * t105;
  t110 = 0.8e1 / 0.3e1 * t98 * t102 * t107 - 0.8e1 / 0.3e1 * t28 * t94 * t38;
  t115 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t82 * t41 - t91 - 0.3e1 / 0.8e1 * t5 * t27 * t110);
  t116 = t47 * t75;
  t118 = my_piecewise5(t14, 0, t10, 0, -t7 - t116);
  t121 = my_piecewise3(t51, 0, 0.4e1 / 0.3e1 * t52 * t118);
  t122 = t121 * t26;
  t126 = t54 * t87;
  t129 = t5 * t126 * t69 / 0.8e1;
  t131 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t122 * t69 - t129);
  tvrho0 = t45 + t73 + t6 * (t115 + t131);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t135 = my_piecewise5(t10, 0, t14, 0, -t7 - t76);
  t138 = my_piecewise3(t20, 0, 0.4e1 / 0.3e1 * t23 * t135);
  t139 = t138 * t26;
  t144 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t139 * t41 - t91);
  t146 = my_piecewise5(t14, 0, t10, 0, t7 - t116);
  t149 = my_piecewise3(t51, 0, 0.4e1 / 0.3e1 * t52 * t146);
  t150 = t149 * t26;
  t154 = t57 * rho[1];
  t156 = 0.1e1 / t59 / t154;
  t159 = sigma[2] * sigma[2];
  t160 = params->beta * t159;
  t161 = t57 * t57;
  t162 = t161 * t57;
  t164 = 0.1e1 / t58 / t162;
  t166 = t66 * params->omega;
  t167 = 0.1e1 / t64;
  t169 = t166 * params->gamma * t167;
  t172 = -0.8e1 / 0.3e1 * t56 * t156 * t66 + 0.8e1 / 0.3e1 * t160 * t164 * t169;
  t177 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t150 * t69 - t129 - 0.3e1 / 0.8e1 * t5 * t55 * t172);
  tvrho1 = t45 + t73 + t6 * (t144 + t177);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t182 = t99 * rho[0];
  t184 = 0.1e1 / t30 / t182;
  t187 = -t28 * t184 * t107 + params->beta * t33 * t38;
  t191 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t187);
  tvsigma0 = t6 * t191;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t194 = t161 * rho[1];
  t196 = 0.1e1 / t58 / t194;
  t199 = -t56 * t196 * t169 + params->beta * t61 * t66;
  t203 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t55 * t199);
  tvsigma2 = t6 * t203;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t206 = t23 * t23;
  t207 = 0.1e1 / t206;
  t208 = t78 * t78;
  t211 = t74 * t6;
  t212 = 0.1e1 / t211;
  t213 = t16 * t212;
  t216 = my_piecewise5(t10, 0, t14, 0, -0.2e1 * t75 + 0.2e1 * t213);
  t220 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t207 * t208 + 0.4e1 / 0.3e1 * t23 * t216);
  t221 = t220 * t26;
  t225 = t81 * t87;
  t227 = t5 * t225 * t41;
  t233 = 0.1e1 / t86 / t6;
  t234 = t25 * t233;
  t237 = t5 * t234 * t41 / 0.12e2;
  t239 = t5 * t88 * t110;
  t242 = 0.1e1 / t31 / t99;
  t246 = t99 * t92;
  t248 = 0.1e1 / t30 / t246;
  t252 = t97 * sigma[0];
  t253 = params->beta * t252;
  t254 = t99 * t99;
  t255 = t254 * t29;
  t256 = 0.1e1 / t255;
  t257 = t253 * t256;
  t258 = params->omega * params->omega;
  t259 = t38 * t258;
  t260 = params->gamma * params->gamma;
  t261 = t36 * t36;
  t262 = 0.1e1 / t261;
  t263 = t260 * t262;
  t264 = t259 * t263;
  t267 = t104 * t263;
  t270 = 0.88e2 / 0.9e1 * t28 * t242 * t38 - 0.24e2 * t98 * t248 * t107 + 0.64e2 / 0.9e1 * t257 * t264 + 0.64e2 / 0.9e1 * t257 * t267;
  t275 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t221 * t41 - t227 / 0.4e1 - 0.3e1 / 0.4e1 * t5 * t82 * t110 + t237 - t239 / 0.4e1 - 0.3e1 / 0.8e1 * t5 * t27 * t270);
  t276 = t52 * t52;
  t277 = 0.1e1 / t276;
  t278 = t118 * t118;
  t281 = t47 * t212;
  t284 = my_piecewise5(t14, 0, t10, 0, 0.2e1 * t75 + 0.2e1 * t281);
  t288 = my_piecewise3(t51, 0, 0.4e1 / 0.9e1 * t277 * t278 + 0.4e1 / 0.3e1 * t52 * t284);
  t289 = t288 * t26;
  t293 = t121 * t87;
  t295 = t5 * t293 * t69;
  t297 = t54 * t233;
  t300 = t5 * t297 * t69 / 0.12e2;
  t302 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t289 * t69 - t295 / 0.4e1 + t300);
  tv2rho20 = 0.2e1 * t115 + 0.2e1 * t131 + t6 * (t275 + t302);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t305 = t207 * t135;
  t309 = my_piecewise5(t10, 0, t14, 0, 0.2e1 * t213);
  t313 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t305 * t78 + 0.4e1 / 0.3e1 * t23 * t309);
  t314 = t313 * t26;
  t318 = t138 * t87;
  t320 = t5 * t318 * t41;
  t328 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t314 * t41 - t320 / 0.8e1 - 0.3e1 / 0.8e1 * t5 * t139 * t110 - t227 / 0.8e1 + t237 - t239 / 0.8e1);
  t329 = t277 * t146;
  t333 = my_piecewise5(t14, 0, t10, 0, 0.2e1 * t281);
  t337 = my_piecewise3(t51, 0, 0.4e1 / 0.9e1 * t329 * t118 + 0.4e1 / 0.3e1 * t52 * t333);
  t338 = t337 * t26;
  t342 = t149 * t87;
  t344 = t5 * t342 * t69;
  t351 = t5 * t126 * t172;
  t354 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t338 * t69 - t344 / 0.8e1 - t295 / 0.8e1 + t300 - 0.3e1 / 0.8e1 * t5 * t122 * t172 - t351 / 0.8e1);
  tv2rho21 = t115 + t131 + t144 + t177 + t6 * (t328 + t354);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t359 = t135 * t135;
  t364 = my_piecewise5(t10, 0, t14, 0, 0.2e1 * t75 + 0.2e1 * t213);
  t368 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t207 * t359 + 0.4e1 / 0.3e1 * t23 * t364);
  t369 = t368 * t26;
  t375 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t369 * t41 - t320 / 0.4e1 + t237);
  t376 = t146 * t146;
  t381 = my_piecewise5(t14, 0, t10, 0, -0.2e1 * t75 + 0.2e1 * t281);
  t385 = my_piecewise3(t51, 0, 0.4e1 / 0.9e1 * t277 * t376 + 0.4e1 / 0.3e1 * t52 * t381);
  t386 = t385 * t26;
  t396 = 0.1e1 / t59 / t161;
  t400 = t161 * t154;
  t402 = 0.1e1 / t58 / t400;
  t406 = t159 * sigma[2];
  t407 = params->beta * t406;
  t408 = t161 * t161;
  t409 = t408 * t57;
  t410 = 0.1e1 / t409;
  t411 = t407 * t410;
  t412 = t66 * t258;
  t413 = t64 * t64;
  t414 = 0.1e1 / t413;
  t415 = t260 * t414;
  t416 = t412 * t415;
  t419 = t166 * t415;
  t422 = 0.88e2 / 0.9e1 * t56 * t396 * t66 - 0.24e2 * t160 * t402 * t169 + 0.64e2 / 0.9e1 * t411 * t416 + 0.64e2 / 0.9e1 * t411 * t419;
  t427 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t386 * t69 - t344 / 0.4e1 - 0.3e1 / 0.4e1 * t5 * t150 * t172 + t300 - t351 / 0.4e1 - 0.3e1 / 0.8e1 * t5 * t55 * t422);
  tv2rho22 = 0.2e1 * t144 + 0.2e1 * t177 + t6 * (t375 + t427);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t435 = t5 * t88 * t187 / 0.8e1;
  t440 = params->beta * t102 * t38;
  t441 = params->omega * params->gamma;
  t443 = t441 * sigma[0] * t105;
  t446 = t254 * rho[0];
  t447 = 0.1e1 / t446;
  t448 = t98 * t447;
  t453 = -0.8e1 / 0.3e1 * params->beta * t94 * t38 + 0.8e1 * t440 * t443 - 0.8e1 / 0.3e1 * t448 * t264 - 0.8e1 / 0.3e1 * t448 * t267;
  t458 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t82 * t187 - t435 - 0.3e1 / 0.8e1 * t5 * t27 * t453);
  tv2rhosigma0 = t458 * t6 + t191;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t465 = t5 * t126 * t199 / 0.8e1;
  t467 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t122 * t199 - t465);
  tv2rhosigma2 = t467 * t6 + t203;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t473 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t139 * t187 - t435);
  tv2rhosigma3 = t473 * t6 + t191;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t482 = params->beta * t164 * t66;
  t484 = t441 * sigma[2] * t167;
  t487 = t408 * rho[1];
  t488 = 0.1e1 / t487;
  t489 = t160 * t488;
  t494 = -0.8e1 / 0.3e1 * params->beta * t156 * t66 + 0.8e1 * t482 * t484 - 0.8e1 / 0.3e1 * t489 * t416 - 0.8e1 / 0.3e1 * t489 * t419;
  t499 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t150 * t199 - t465 - 0.3e1 / 0.8e1 * t5 * t55 * t494);
  tv2rhosigma5 = t499 * t6 + t203;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t503 = t441 * t105;
  t506 = 0.1e1 / t254;
  t507 = t28 * t506;
  t510 = -0.2e1 * t184 * t38 * t503 * params->beta + t264 * t507 + t267 * t507;
  t514 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t510);
  tv2sigma20 = t6 * t514;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t517 = t441 * t167;
  t520 = 0.1e1 / t408;
  t521 = t56 * t520;
  t524 = -0.2e1 * t196 * t517 * t66 * params->beta + t416 * t521 + t419 * t521;
  t528 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t55 * t524);
  tv2sigma25 = t6 * t528;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t5, t6, t7, t10, t11;
  double t14, t15, t16, t18, t19, t20, t21, t22;
  double t23, t25, t26, t27, t28, t29, t30, t31;
  double t33, t36, t37, t38, t41, t45, t46, t47;
  double t49, t50, t51, t52, t54, t55, t56, t57;
  double t58, t59, t61, t64, t65, t66, t69, t73;
  double tzk0;

  double t74, t75, t76, t78, t81, t82, t86, t87;
  double t88, t91, t92, t94, t97, t98, t99, t100;
  double t102, t104, t105, t107, t110, t115, t116, t118;
  double t121, t122, t126, t129, t131, tvrho0, t135, t138;
  double t139, t144, t146, t149, t150, t154, t156, t159;
  double t160, t161, t162, t164, t166, t167, t169, t172;
  double t177, tvrho1, t182, t184, t187, t191, tvsigma0, tvsigma1;
  double t194, t196, t199, t203, tvsigma2;

  double t206, t207, t208, t211, t212, t213, t216, t220;
  double t221, t225, t227, t233, t234, t237, t239, t242;
  double t246, t248, t252, t253, t254, t255, t256, t257;
  double t258, t259, t260, t261, t262, t263, t264, t267;
  double t270, t275, t276, t277, t278, t281, t284, t288;
  double t289, t293, t295, t297, t300, t302, tv2rho20, t305;
  double t309, t313, t314, t318, t320, t328, t329, t333;
  double t337, t338, t342, t344, t351, t354, tv2rho21, t359;
  double t364, t368, t369, t375, t376, t381, t385, t386;
  double t396, t400, t402, t406, t407, t408, t409, t410;
  double t411, t412, t413, t414, t415, t416, t419, t422;
  double t427, tv2rho22, t435, t440, t441, t443, t446, t447;
  double t448, t453, t458, tv2rhosigma0, tv2rhosigma1, t465, t467, tv2rhosigma2;
  double t473, tv2rhosigma3, tv2rhosigma4, t482, t484, t487, t488, t489;
  double t494, t499, tv2rhosigma5, t503, t506, t507, t510, t514;
  double tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t517, t520, t521;
  double t524, t528, tv2sigma25;

  double t532, t533, t536, t539, t540, t541, t544, t548;
  double t549, t553, t555, t560, t562, t565, t571, t572;
  double t575, t577, t580, t583, t588, t592, t593, t594;
  double t599, t600, t601, t603, t604, t605, t606, t607;
  double t609, t610, t611, t614, t617, t620, t625, t627;
  double t628, t631, t634, t637, t641, t642, t646, t648;
  double t650, t652, t654, t657, t659, tv3rho30, t662, t663;
  double t664, t667, t672, t673, t675, t679, t680, t684;
  double t687, t691, t693, t697, t706, t707, t708, t711;
  double t716, t718, t722, t723, t727, t730, t731, t733;
  double t742, t744, t747, tv3rho31, t750, t755, t759, t763;
  double t764, t768, t770, t779, t780, t785, t789, t793;
  double t794, t798, t800, t807, t815, t817, t818, tv3rho32;
  double t823, t830, t834, t835, t842, t843, t850, t854;
  double t855, t871, t876, t880, t881, t882, t887, t888;
  double t889, t891, t892, t893, t895, t896, t897, t900;
  double t903, t906, t911, tv3rho33, t919, t926, t928, t934;
  double t938, t939, t940, t941, t944, t945, t948, t950;
  double t951, t958, t963, tv3rho2sigma0, tv3rho2sigma1, t970, t974, t976;
  double tv3rho2sigma2, t982, t990, tv3rho2sigma3, tv3rho2sigma4, t996, t1003, t1006;
  double tv3rho2sigma5, t1014, tv3rho2sigma6, tv3rho2sigma7, t1029, t1033, t1034, t1035;
  double t1038, t1041, t1043, t1044, t1051, t1056, tv3rho2sigma8, t1063;
  double t1067, t1068, t1069, t1072, t1076, t1077, t1084, t1089;
  double tv3rhosigma20, tv3rhosigma21, tv3rhosigma22, tv3rhosigma23, tv3rhosigma24, t1096, t1098, tv3rhosigma25;
  double t1104, tv3rhosigma26, tv3rhosigma27, tv3rhosigma28, tv3rhosigma29, tv3rhosigma210, t1112, t1113;
  double t1114, t1117, t1121, t1122, t1129, t1134, tv3rhosigma211, t1137;
  double t1138, t1141, t1145, t1146, t1152, t1156, tv3sigma30, tv3sigma31;
  double tv3sigma32, tv3sigma33, tv3sigma34, tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38, t1158;
  double t1159, t1162, t1166, t1167, t1173, t1177, tv3sigma39;

  gga_x_b86_params *params;

  assert(p->params != NULL);
  params = (gga_x_b86_params * )(p->params);

  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = M_CBRTPI;
  t5 = t2 / t3;
  t6 = rho[0] + rho[1];
  t7 = 0.1e1 / t6;
  t10 = 0.2e1 * rho[0] * t7 <= p->zeta_threshold;
  t11 = p->zeta_threshold - 0.1e1;
  t14 = 0.2e1 * rho[1] * t7 <= p->zeta_threshold;
  t15 = -t11;
  t16 = rho[0] - rho[1];
  t18 = my_piecewise5(t10, t11, t14, t15, t16 * t7);
  t19 = 0.1e1 + t18;
  t20 = t19 <= p->zeta_threshold;
  t21 = POW_1_3(p->zeta_threshold);
  t22 = t21 * p->zeta_threshold;
  t23 = POW_1_3(t19);
  t25 = my_piecewise3(t20, t22, t23 * t19);
  t26 = POW_1_3(t6);
  t27 = t25 * t26;
  t28 = params->beta * sigma[0];
  t29 = rho[0] * rho[0];
  t30 = POW_1_3(rho[0]);
  t31 = t30 * t30;
  t33 = 0.1e1 / t31 / t29;
  t36 = params->gamma * sigma[0] * t33 + 0.1e1;
  t37 = pow(t36, params->omega);
  t38 = 0.1e1 / t37;
  t41 = t28 * t33 * t38 + 0.1e1;
  t45 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t41);
  t46 = rho[1] <= p->dens_threshold;
  t47 = -t16;
  t49 = my_piecewise5(t14, t11, t10, t15, t47 * t7);
  t50 = 0.1e1 + t49;
  t51 = t50 <= p->zeta_threshold;
  t52 = POW_1_3(t50);
  t54 = my_piecewise3(t51, t22, t52 * t50);
  t55 = t54 * t26;
  t56 = params->beta * sigma[2];
  t57 = rho[1] * rho[1];
  t58 = POW_1_3(rho[1]);
  t59 = t58 * t58;
  t61 = 0.1e1 / t59 / t57;
  t64 = params->gamma * sigma[2] * t61 + 0.1e1;
  t65 = pow(t64, params->omega);
  t66 = 0.1e1 / t65;
  t69 = t56 * t61 * t66 + 0.1e1;
  t73 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t55 * t69);
  tzk0 = t45 + t73;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t74 = t6 * t6;
  t75 = 0.1e1 / t74;
  t76 = t16 * t75;
  t78 = my_piecewise5(t10, 0, t14, 0, t7 - t76);
  t81 = my_piecewise3(t20, 0, 0.4e1 / 0.3e1 * t23 * t78);
  t82 = t81 * t26;
  t86 = t26 * t26;
  t87 = 0.1e1 / t86;
  t88 = t25 * t87;
  t91 = t5 * t88 * t41 / 0.8e1;
  t92 = t29 * rho[0];
  t94 = 0.1e1 / t31 / t92;
  t97 = sigma[0] * sigma[0];
  t98 = params->beta * t97;
  t99 = t29 * t29;
  t100 = t99 * t29;
  t102 = 0.1e1 / t30 / t100;
  t104 = t38 * params->omega;
  t105 = 0.1e1 / t36;
  t107 = t104 * params->gamma * t105;
  t110 = 0.8e1 / 0.3e1 * t98 * t102 * t107 - 0.8e1 / 0.3e1 * t28 * t94 * t38;
  t115 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t82 * t41 - t91 - 0.3e1 / 0.8e1 * t5 * t27 * t110);
  t116 = t47 * t75;
  t118 = my_piecewise5(t14, 0, t10, 0, -t7 - t116);
  t121 = my_piecewise3(t51, 0, 0.4e1 / 0.3e1 * t52 * t118);
  t122 = t121 * t26;
  t126 = t54 * t87;
  t129 = t5 * t126 * t69 / 0.8e1;
  t131 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t122 * t69 - t129);
  tvrho0 = t45 + t73 + t6 * (t115 + t131);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t135 = my_piecewise5(t10, 0, t14, 0, -t7 - t76);
  t138 = my_piecewise3(t20, 0, 0.4e1 / 0.3e1 * t23 * t135);
  t139 = t138 * t26;
  t144 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t139 * t41 - t91);
  t146 = my_piecewise5(t14, 0, t10, 0, t7 - t116);
  t149 = my_piecewise3(t51, 0, 0.4e1 / 0.3e1 * t52 * t146);
  t150 = t149 * t26;
  t154 = t57 * rho[1];
  t156 = 0.1e1 / t59 / t154;
  t159 = sigma[2] * sigma[2];
  t160 = params->beta * t159;
  t161 = t57 * t57;
  t162 = t161 * t57;
  t164 = 0.1e1 / t58 / t162;
  t166 = t66 * params->omega;
  t167 = 0.1e1 / t64;
  t169 = t166 * params->gamma * t167;
  t172 = -0.8e1 / 0.3e1 * t56 * t156 * t66 + 0.8e1 / 0.3e1 * t160 * t164 * t169;
  t177 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t150 * t69 - t129 - 0.3e1 / 0.8e1 * t5 * t55 * t172);
  tvrho1 = t45 + t73 + t6 * (t144 + t177);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t182 = t99 * rho[0];
  t184 = 0.1e1 / t30 / t182;
  t187 = -t28 * t184 * t107 + params->beta * t33 * t38;
  t191 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t187);
  tvsigma0 = t6 * t191;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t194 = t161 * rho[1];
  t196 = 0.1e1 / t58 / t194;
  t199 = -t56 * t196 * t169 + params->beta * t61 * t66;
  t203 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t55 * t199);
  tvsigma2 = t6 * t203;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t206 = t23 * t23;
  t207 = 0.1e1 / t206;
  t208 = t78 * t78;
  t211 = t74 * t6;
  t212 = 0.1e1 / t211;
  t213 = t16 * t212;
  t216 = my_piecewise5(t10, 0, t14, 0, -0.2e1 * t75 + 0.2e1 * t213);
  t220 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t207 * t208 + 0.4e1 / 0.3e1 * t23 * t216);
  t221 = t220 * t26;
  t225 = t81 * t87;
  t227 = t5 * t225 * t41;
  t233 = 0.1e1 / t86 / t6;
  t234 = t25 * t233;
  t237 = t5 * t234 * t41 / 0.12e2;
  t239 = t5 * t88 * t110;
  t242 = 0.1e1 / t31 / t99;
  t246 = t99 * t92;
  t248 = 0.1e1 / t30 / t246;
  t252 = t97 * sigma[0];
  t253 = params->beta * t252;
  t254 = t99 * t99;
  t255 = t254 * t29;
  t256 = 0.1e1 / t255;
  t257 = t253 * t256;
  t258 = params->omega * params->omega;
  t259 = t38 * t258;
  t260 = params->gamma * params->gamma;
  t261 = t36 * t36;
  t262 = 0.1e1 / t261;
  t263 = t260 * t262;
  t264 = t259 * t263;
  t267 = t104 * t263;
  t270 = 0.88e2 / 0.9e1 * t28 * t242 * t38 - 0.24e2 * t98 * t248 * t107 + 0.64e2 / 0.9e1 * t257 * t264 + 0.64e2 / 0.9e1 * t257 * t267;
  t275 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t221 * t41 - t227 / 0.4e1 - 0.3e1 / 0.4e1 * t5 * t82 * t110 + t237 - t239 / 0.4e1 - 0.3e1 / 0.8e1 * t5 * t27 * t270);
  t276 = t52 * t52;
  t277 = 0.1e1 / t276;
  t278 = t118 * t118;
  t281 = t47 * t212;
  t284 = my_piecewise5(t14, 0, t10, 0, 0.2e1 * t75 + 0.2e1 * t281);
  t288 = my_piecewise3(t51, 0, 0.4e1 / 0.9e1 * t277 * t278 + 0.4e1 / 0.3e1 * t52 * t284);
  t289 = t288 * t26;
  t293 = t121 * t87;
  t295 = t5 * t293 * t69;
  t297 = t54 * t233;
  t300 = t5 * t297 * t69 / 0.12e2;
  t302 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t289 * t69 - t295 / 0.4e1 + t300);
  tv2rho20 = 0.2e1 * t115 + 0.2e1 * t131 + t6 * (t275 + t302);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t305 = t207 * t135;
  t309 = my_piecewise5(t10, 0, t14, 0, 0.2e1 * t213);
  t313 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t305 * t78 + 0.4e1 / 0.3e1 * t23 * t309);
  t314 = t313 * t26;
  t318 = t138 * t87;
  t320 = t5 * t318 * t41;
  t328 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t314 * t41 - t320 / 0.8e1 - 0.3e1 / 0.8e1 * t5 * t139 * t110 - t227 / 0.8e1 + t237 - t239 / 0.8e1);
  t329 = t277 * t146;
  t333 = my_piecewise5(t14, 0, t10, 0, 0.2e1 * t281);
  t337 = my_piecewise3(t51, 0, 0.4e1 / 0.9e1 * t329 * t118 + 0.4e1 / 0.3e1 * t52 * t333);
  t338 = t337 * t26;
  t342 = t149 * t87;
  t344 = t5 * t342 * t69;
  t351 = t5 * t126 * t172;
  t354 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t338 * t69 - t344 / 0.8e1 - t295 / 0.8e1 + t300 - 0.3e1 / 0.8e1 * t5 * t122 * t172 - t351 / 0.8e1);
  tv2rho21 = t115 + t131 + t144 + t177 + t6 * (t328 + t354);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t359 = t135 * t135;
  t364 = my_piecewise5(t10, 0, t14, 0, 0.2e1 * t75 + 0.2e1 * t213);
  t368 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t207 * t359 + 0.4e1 / 0.3e1 * t23 * t364);
  t369 = t368 * t26;
  t375 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t369 * t41 - t320 / 0.4e1 + t237);
  t376 = t146 * t146;
  t381 = my_piecewise5(t14, 0, t10, 0, -0.2e1 * t75 + 0.2e1 * t281);
  t385 = my_piecewise3(t51, 0, 0.4e1 / 0.9e1 * t277 * t376 + 0.4e1 / 0.3e1 * t52 * t381);
  t386 = t385 * t26;
  t396 = 0.1e1 / t59 / t161;
  t400 = t161 * t154;
  t402 = 0.1e1 / t58 / t400;
  t406 = t159 * sigma[2];
  t407 = params->beta * t406;
  t408 = t161 * t161;
  t409 = t408 * t57;
  t410 = 0.1e1 / t409;
  t411 = t407 * t410;
  t412 = t66 * t258;
  t413 = t64 * t64;
  t414 = 0.1e1 / t413;
  t415 = t260 * t414;
  t416 = t412 * t415;
  t419 = t166 * t415;
  t422 = 0.88e2 / 0.9e1 * t56 * t396 * t66 - 0.24e2 * t160 * t402 * t169 + 0.64e2 / 0.9e1 * t411 * t416 + 0.64e2 / 0.9e1 * t411 * t419;
  t427 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t386 * t69 - t344 / 0.4e1 - 0.3e1 / 0.4e1 * t5 * t150 * t172 + t300 - t351 / 0.4e1 - 0.3e1 / 0.8e1 * t5 * t55 * t422);
  tv2rho22 = 0.2e1 * t144 + 0.2e1 * t177 + t6 * (t375 + t427);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t435 = t5 * t88 * t187 / 0.8e1;
  t440 = params->beta * t102 * t38;
  t441 = params->omega * params->gamma;
  t443 = t441 * sigma[0] * t105;
  t446 = t254 * rho[0];
  t447 = 0.1e1 / t446;
  t448 = t98 * t447;
  t453 = -0.8e1 / 0.3e1 * params->beta * t94 * t38 + 0.8e1 * t440 * t443 - 0.8e1 / 0.3e1 * t448 * t264 - 0.8e1 / 0.3e1 * t448 * t267;
  t458 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t82 * t187 - t435 - 0.3e1 / 0.8e1 * t5 * t27 * t453);
  tv2rhosigma0 = t458 * t6 + t191;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t465 = t5 * t126 * t199 / 0.8e1;
  t467 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t122 * t199 - t465);
  tv2rhosigma2 = t467 * t6 + t203;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t473 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t139 * t187 - t435);
  tv2rhosigma3 = t473 * t6 + t191;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t482 = params->beta * t164 * t66;
  t484 = t441 * sigma[2] * t167;
  t487 = t408 * rho[1];
  t488 = 0.1e1 / t487;
  t489 = t160 * t488;
  t494 = -0.8e1 / 0.3e1 * params->beta * t156 * t66 + 0.8e1 * t482 * t484 - 0.8e1 / 0.3e1 * t489 * t416 - 0.8e1 / 0.3e1 * t489 * t419;
  t499 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t150 * t199 - t465 - 0.3e1 / 0.8e1 * t5 * t55 * t494);
  tv2rhosigma5 = t499 * t6 + t203;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t503 = t441 * t105;
  t506 = 0.1e1 / t254;
  t507 = t28 * t506;
  t510 = -0.2e1 * t184 * t38 * t503 * params->beta + t264 * t507 + t267 * t507;
  t514 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t510);
  tv2sigma20 = t6 * t514;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t517 = t441 * t167;
  t520 = 0.1e1 / t408;
  t521 = t56 * t520;
  t524 = -0.2e1 * t196 * t517 * t66 * params->beta + t416 * t521 + t419 * t521;
  t528 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t55 * t524);
  tv2sigma25 = t6 * t528;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t532 = 0.1e1 / t206 / t19;
  t533 = t208 * t78;
  t536 = t207 * t78;
  t539 = t74 * t74;
  t540 = 0.1e1 / t539;
  t541 = t16 * t540;
  t544 = my_piecewise5(t10, 0, t14, 0, 0.6e1 * t212 - 0.6e1 * t541);
  t548 = my_piecewise3(t20, 0, -0.8e1 / 0.27e2 * t532 * t533 + 0.4e1 / 0.3e1 * t536 * t216 + 0.4e1 / 0.3e1 * t23 * t544);
  t549 = t548 * t26;
  t553 = t220 * t87;
  t555 = t5 * t553 * t41;
  t560 = t81 * t233;
  t562 = t5 * t560 * t41;
  t565 = t5 * t225 * t110;
  t571 = 0.1e1 / t86 / t74;
  t572 = t25 * t571;
  t575 = 0.5e1 / 0.36e2 * t5 * t572 * t41;
  t577 = t5 * t234 * t110;
  t580 = t5 * t88 * t270;
  t583 = 0.1e1 / t31 / t182;
  t588 = 0.1e1 / t30 / t254;
  t592 = t254 * t92;
  t593 = 0.1e1 / t592;
  t594 = t253 * t593;
  t599 = t97 * t97;
  t600 = params->beta * t599;
  t601 = t254 * t182;
  t603 = 0.1e1 / t31 / t601;
  t604 = t600 * t603;
  t605 = t258 * params->omega;
  t606 = t38 * t605;
  t607 = t260 * params->gamma;
  t609 = 0.1e1 / t261 / t36;
  t610 = t607 * t609;
  t611 = t606 * t610;
  t614 = t259 * t610;
  t617 = t104 * t610;
  t620 = -0.1232e4 / 0.27e2 * t28 * t583 * t38 + 0.5456e4 / 0.27e2 * t98 * t588 * t107 - 0.1216e4 / 0.9e1 * t594 * t264 - 0.1216e4 / 0.9e1 * t594 * t267 + 0.512e3 / 0.27e2 * t604 * t611 + 0.512e3 / 0.9e1 * t604 * t614 + 0.1024e4 / 0.27e2 * t604 * t617;
  t625 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t549 * t41 - 0.3e1 / 0.8e1 * t555 - 0.9e1 / 0.8e1 * t5 * t221 * t110 + t562 / 0.4e1 - 0.3e1 / 0.4e1 * t565 - 0.9e1 / 0.8e1 * t5 * t82 * t270 - t575 + t577 / 0.4e1 - 0.3e1 / 0.8e1 * t580 - 0.3e1 / 0.8e1 * t5 * t27 * t620);
  t627 = 0.1e1 / t276 / t50;
  t628 = t278 * t118;
  t631 = t277 * t118;
  t634 = t47 * t540;
  t637 = my_piecewise5(t14, 0, t10, 0, -0.6e1 * t212 - 0.6e1 * t634);
  t641 = my_piecewise3(t51, 0, -0.8e1 / 0.27e2 * t627 * t628 + 0.4e1 / 0.3e1 * t631 * t284 + 0.4e1 / 0.3e1 * t52 * t637);
  t642 = t641 * t26;
  t646 = t288 * t87;
  t648 = t5 * t646 * t69;
  t650 = t121 * t233;
  t652 = t5 * t650 * t69;
  t654 = t54 * t571;
  t657 = 0.5e1 / 0.36e2 * t5 * t654 * t69;
  t659 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t642 * t69 - 0.3e1 / 0.8e1 * t648 + t652 / 0.4e1 - t657);
  tv3rho30 = 0.3e1 * t275 + 0.3e1 * t302 + t6 * (t625 + t659);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t662 = 0.2e1 * t328;
  t663 = 0.2e1 * t354;
  t664 = t532 * t135;
  t667 = t207 * t309;
  t672 = 0.2e1 * t212;
  t673 = 0.6e1 * t541;
  t675 = my_piecewise5(t10, 0, t14, 0, t672 - t673);
  t679 = my_piecewise3(t20, 0, -0.8e1 / 0.27e2 * t664 * t208 + 0.8e1 / 0.9e1 * t667 * t78 + 0.4e1 / 0.9e1 * t305 * t216 + 0.4e1 / 0.3e1 * t23 * t675);
  t680 = t679 * t26;
  t684 = t313 * t87;
  t687 = t5 * t684 * t41 / 0.4e1;
  t691 = t138 * t233;
  t693 = t5 * t691 * t41;
  t697 = t5 * t318 * t110 / 0.4e1;
  t706 = -0.3e1 / 0.8e1 * t5 * t680 * t41 - t687 - 0.3e1 / 0.4e1 * t5 * t314 * t110 + t693 / 0.12e2 - t697 - 0.3e1 / 0.8e1 * t5 * t139 * t270 - t555 / 0.8e1 + t562 / 0.6e1 - t565 / 0.4e1 - t575 + t577 / 0.6e1 - t580 / 0.8e1;
  t707 = my_piecewise3(t1, 0, t706);
  t708 = t627 * t146;
  t711 = t277 * t333;
  t716 = 0.6e1 * t634;
  t718 = my_piecewise5(t14, 0, t10, 0, -t672 - t716);
  t722 = my_piecewise3(t51, 0, -0.8e1 / 0.27e2 * t708 * t278 + 0.8e1 / 0.9e1 * t711 * t118 + 0.4e1 / 0.9e1 * t329 * t284 + 0.4e1 / 0.3e1 * t52 * t718);
  t723 = t722 * t26;
  t727 = t337 * t87;
  t730 = t5 * t727 * t69 / 0.4e1;
  t731 = t149 * t233;
  t733 = t5 * t731 * t69;
  t742 = t5 * t293 * t172 / 0.4e1;
  t744 = t5 * t297 * t172;
  t747 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t723 * t69 - t730 + t733 / 0.12e2 - t648 / 0.8e1 + t652 / 0.6e1 - t657 - 0.3e1 / 0.8e1 * t5 * t289 * t172 - t742 + t744 / 0.12e2);
  tv3rho31 = t275 + t302 + t662 + t663 + t6 * (t707 + t747);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t750 = t532 * t359;
  t755 = t207 * t364;
  t759 = my_piecewise5(t10, 0, t14, 0, -t672 - t673);
  t763 = my_piecewise3(t20, 0, -0.8e1 / 0.27e2 * t750 * t78 + 0.8e1 / 0.9e1 * t305 * t309 + 0.4e1 / 0.9e1 * t755 * t78 + 0.4e1 / 0.3e1 * t23 * t759);
  t764 = t763 * t26;
  t768 = t368 * t87;
  t770 = t5 * t768 * t41;
  t779 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t764 * t41 - t770 / 0.8e1 - 0.3e1 / 0.8e1 * t5 * t369 * t110 - t687 + t693 / 0.6e1 - t697 + t562 / 0.12e2 - t575 + t577 / 0.12e2);
  t780 = t627 * t376;
  t785 = t277 * t381;
  t789 = my_piecewise5(t14, 0, t10, 0, t672 - t716);
  t793 = my_piecewise3(t51, 0, -0.8e1 / 0.27e2 * t780 * t118 + 0.8e1 / 0.9e1 * t329 * t333 + 0.4e1 / 0.9e1 * t785 * t118 + 0.4e1 / 0.3e1 * t52 * t789);
  t794 = t793 * t26;
  t798 = t385 * t87;
  t800 = t5 * t798 * t69;
  t807 = t5 * t342 * t172;
  t815 = t5 * t126 * t422;
  t817 = -0.3e1 / 0.8e1 * t5 * t794 * t69 - t800 / 0.8e1 - t730 + t733 / 0.6e1 - 0.3e1 / 0.4e1 * t5 * t338 * t172 - t807 / 0.4e1 + t652 / 0.12e2 - t657 - t742 + t744 / 0.6e1 - 0.3e1 / 0.8e1 * t5 * t122 * t422 - t815 / 0.8e1;
  t818 = my_piecewise3(t46, 0, t817);
  tv3rho32 = t662 + t663 + t375 + t427 + t6 * (t779 + t818);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t823 = t359 * t135;
  t830 = my_piecewise5(t10, 0, t14, 0, -0.6e1 * t212 - 0.6e1 * t541);
  t834 = my_piecewise3(t20, 0, -0.8e1 / 0.27e2 * t532 * t823 + 0.4e1 / 0.3e1 * t305 * t364 + 0.4e1 / 0.3e1 * t23 * t830);
  t835 = t834 * t26;
  t842 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t835 * t41 - 0.3e1 / 0.8e1 * t770 + t693 / 0.4e1 - t575);
  t843 = t376 * t146;
  t850 = my_piecewise5(t14, 0, t10, 0, 0.6e1 * t212 - 0.6e1 * t634);
  t854 = my_piecewise3(t51, 0, -0.8e1 / 0.27e2 * t627 * t843 + 0.4e1 / 0.3e1 * t329 * t381 + 0.4e1 / 0.3e1 * t52 * t850);
  t855 = t854 * t26;
  t871 = 0.1e1 / t59 / t194;
  t876 = 0.1e1 / t58 / t408;
  t880 = t408 * t154;
  t881 = 0.1e1 / t880;
  t882 = t407 * t881;
  t887 = t159 * t159;
  t888 = params->beta * t887;
  t889 = t408 * t194;
  t891 = 0.1e1 / t59 / t889;
  t892 = t888 * t891;
  t893 = t66 * t605;
  t895 = 0.1e1 / t413 / t64;
  t896 = t607 * t895;
  t897 = t893 * t896;
  t900 = t412 * t896;
  t903 = t166 * t896;
  t906 = -0.1232e4 / 0.27e2 * t56 * t871 * t66 + 0.5456e4 / 0.27e2 * t160 * t876 * t169 - 0.1216e4 / 0.9e1 * t882 * t416 - 0.1216e4 / 0.9e1 * t882 * t419 + 0.512e3 / 0.27e2 * t892 * t897 + 0.512e3 / 0.9e1 * t892 * t900 + 0.1024e4 / 0.27e2 * t892 * t903;
  t911 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t855 * t69 - 0.3e1 / 0.8e1 * t800 - 0.9e1 / 0.8e1 * t5 * t386 * t172 + t733 / 0.4e1 - 0.3e1 / 0.4e1 * t807 - 0.9e1 / 0.8e1 * t5 * t150 * t422 - t657 + t744 / 0.4e1 - 0.3e1 / 0.8e1 * t815 - 0.3e1 / 0.8e1 * t5 * t55 * t906);
  tv3rho33 = 0.3e1 * t375 + 0.3e1 * t427 + t6 * (t842 + t911);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t919 = t5 * t225 * t187;
  t926 = t5 * t234 * t187 / 0.12e2;
  t928 = t5 * t88 * t453;
  t934 = params->beta * t248 * t38;
  t938 = params->beta * t256 * t38;
  t939 = t258 * t260;
  t940 = t97 * t262;
  t941 = t939 * t940;
  t944 = params->omega * t260;
  t945 = t944 * t940;
  t948 = t254 * t99;
  t950 = 0.1e1 / t31 / t948;
  t951 = t253 * t950;
  t958 = 0.88e2 / 0.9e1 * params->beta * t242 * t38 - 0.52e3 / 0.9e1 * t934 * t443 + 0.136e3 / 0.3e1 * t938 * t941 + 0.136e3 / 0.3e1 * t938 * t945 - 0.64e2 / 0.9e1 * t951 * t611 - 0.64e2 / 0.3e1 * t951 * t614 - 0.128e3 / 0.9e1 * t951 * t617;
  t963 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t221 * t187 - t919 / 0.4e1 - 0.3e1 / 0.4e1 * t5 * t82 * t453 + t926 - t928 / 0.4e1 - 0.3e1 / 0.8e1 * t5 * t27 * t958);
  tv3rho2sigma0 = t6 * t963 + 0.2e1 * t458;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t970 = t5 * t293 * t199;
  t974 = t5 * t297 * t199 / 0.12e2;
  t976 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t289 * t199 - t970 / 0.4e1 + t974);
  tv3rho2sigma2 = t6 * t976 + 0.2e1 * t467;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t982 = t5 * t318 * t187;
  t990 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t314 * t187 - t982 / 0.8e1 - 0.3e1 / 0.8e1 * t5 * t139 * t453 - t919 / 0.8e1 + t926 - t928 / 0.8e1);
  tv3rho2sigma3 = t6 * t990 + t458 + t473;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t996 = t5 * t342 * t199;
  t1003 = t5 * t126 * t494;
  t1006 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t338 * t199 - t996 / 0.8e1 - t970 / 0.8e1 + t974 - 0.3e1 / 0.8e1 * t5 * t122 * t494 - t1003 / 0.8e1);
  tv3rho2sigma5 = t1006 * t6 + t467 + t499;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t1014 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t369 * t187 - t982 / 0.4e1 + t926);
  tv3rho2sigma6 = t1014 * t6 + 0.2e1 * t473;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t1029 = params->beta * t402 * t66;
  t1033 = params->beta * t410 * t66;
  t1034 = t159 * t414;
  t1035 = t939 * t1034;
  t1038 = t944 * t1034;
  t1041 = t408 * t161;
  t1043 = 0.1e1 / t59 / t1041;
  t1044 = t407 * t1043;
  t1051 = 0.88e2 / 0.9e1 * params->beta * t396 * t66 - 0.52e3 / 0.9e1 * t1029 * t484 + 0.136e3 / 0.3e1 * t1033 * t1035 + 0.136e3 / 0.3e1 * t1033 * t1038 - 0.64e2 / 0.9e1 * t1044 * t897 - 0.64e2 / 0.3e1 * t1044 * t900 - 0.128e3 / 0.9e1 * t1044 * t903;
  t1056 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t386 * t199 - t996 / 0.4e1 - 0.3e1 / 0.4e1 * t5 * t150 * t494 + t974 - t1003 / 0.4e1 - 0.3e1 / 0.8e1 * t5 * t55 * t1051);
  tv3rho2sigma8 = t1056 * t6 + 0.2e1 * t499;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  t1063 = t5 * t88 * t510 / 0.8e1;
  t1067 = params->beta * t447 * t38;
  t1068 = t262 * sigma[0];
  t1069 = t939 * t1068;
  t1072 = t944 * t1068;
  t1076 = 0.1e1 / t31 / t592;
  t1077 = t98 * t1076;
  t1084 = 0.32e2 / 0.3e1 * t440 * t503 - 0.4e2 / 0.3e1 * t1067 * t1069 - 0.4e2 / 0.3e1 * t1067 * t1072 + 0.8e1 / 0.3e1 * t1077 * t611 + 0.8e1 * t1077 * t614 + 0.16e2 / 0.3e1 * t1077 * t617;
  t1089 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t82 * t510 - t1063 - 0.3e1 / 0.8e1 * t5 * t27 * t1084);
  tv3rhosigma20 = t1089 * t6 + t514;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  t1096 = t5 * t126 * t524 / 0.8e1;
  t1098 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t122 * t524 - t1096);
  tv3rhosigma25 = t1098 * t6 + t528;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  t1104 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t139 * t510 - t1063);
  tv3rhosigma26 = t1104 * t6 + t514;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  t1112 = params->beta * t488 * t66;
  t1113 = t414 * sigma[2];
  t1114 = t939 * t1113;
  t1117 = t944 * t1113;
  t1121 = 0.1e1 / t59 / t880;
  t1122 = t160 * t1121;
  t1129 = 0.32e2 / 0.3e1 * t482 * t517 - 0.4e2 / 0.3e1 * t1112 * t1114 - 0.4e2 / 0.3e1 * t1112 * t1117 + 0.8e1 / 0.3e1 * t1122 * t897 + 0.8e1 * t1122 * t900 + 0.16e2 / 0.3e1 * t1122 * t903;
  t1134 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t150 * t524 - t1096 - 0.3e1 / 0.8e1 * t5 * t55 * t1129);
  tv3rhosigma211 = t1134 * t6 + t528;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  t1137 = params->beta * t506 * t38;
  t1138 = t939 * t262;
  t1141 = t944 * t262;
  t1145 = 0.1e1 / t31 / t255;
  t1146 = t28 * t1145;
  t1152 = 0.3e1 * t1137 * t1138 + 0.3e1 * t1137 * t1141 - t1146 * t611 - 0.3e1 * t1146 * t614 - 0.2e1 * t1146 * t617;
  t1156 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t1152);
  tv3sigma30 = t6 * t1156;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  t1158 = params->beta * t520 * t66;
  t1159 = t939 * t414;
  t1162 = t944 * t414;
  t1166 = 0.1e1 / t59 / t409;
  t1167 = t56 * t1166;
  t1173 = 0.3e1 * t1158 * t1159 + 0.3e1 * t1158 * t1162 - t1167 * t897 - 0.3e1 * t1167 * t900 - 0.2e1 * t1167 * t903;
  t1177 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t55 * t1173);
  tv3sigma39 = t6 * t1177;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, xc_gga_out_params *out)
{
  double t1, t2, t3, t5, t6, t7, t10, t11;
  double t14, t15, t16, t18, t19, t20, t21, t22;
  double t23, t25, t26, t27, t28, t29, t30, t31;
  double t33, t36, t37, t38, t41, t45, t46, t47;
  double t49, t50, t51, t52, t54, t55, t56, t57;
  double t58, t59, t61, t64, t65, t66, t69, t73;
  double tzk0;

  double t74, t75, t76, t78, t81, t82, t86, t87;
  double t88, t91, t92, t94, t97, t98, t99, t100;
  double t102, t104, t105, t107, t110, t115, t116, t118;
  double t121, t122, t126, t129, t131, tvrho0, t135, t138;
  double t139, t144, t146, t149, t150, t154, t156, t159;
  double t160, t161, t162, t164, t166, t167, t169, t172;
  double t177, tvrho1, t182, t184, t187, t191, tvsigma0, tvsigma1;
  double t194, t196, t199, t203, tvsigma2;

  double t206, t207, t208, t211, t212, t213, t216, t220;
  double t221, t225, t227, t233, t234, t237, t239, t242;
  double t246, t248, t252, t253, t254, t255, t256, t257;
  double t258, t259, t260, t261, t262, t263, t264, t267;
  double t270, t275, t276, t277, t278, t281, t284, t288;
  double t289, t293, t295, t297, t300, t302, tv2rho20, t305;
  double t309, t313, t314, t318, t320, t328, t329, t333;
  double t337, t338, t342, t344, t351, t354, tv2rho21, t359;
  double t364, t368, t369, t375, t376, t381, t385, t386;
  double t396, t400, t402, t406, t407, t408, t409, t410;
  double t411, t412, t413, t414, t415, t416, t419, t422;
  double t427, tv2rho22, t435, t440, t441, t443, t446, t447;
  double t448, t453, t458, tv2rhosigma0, tv2rhosigma1, t465, t467, tv2rhosigma2;
  double t473, tv2rhosigma3, tv2rhosigma4, t482, t484, t487, t488, t489;
  double t494, t499, tv2rhosigma5, t503, t506, t507, t510, t514;
  double tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t517, t520, t521;
  double t524, t528, tv2sigma25;

  double t532, t533, t536, t539, t540, t541, t544, t548;
  double t549, t553, t555, t560, t562, t565, t571, t572;
  double t575, t577, t580, t583, t588, t592, t593, t594;
  double t599, t600, t601, t603, t604, t605, t606, t607;
  double t609, t610, t611, t614, t617, t620, t625, t627;
  double t628, t631, t634, t637, t641, t642, t646, t648;
  double t650, t652, t654, t657, t659, tv3rho30, t662, t663;
  double t664, t667, t672, t673, t675, t679, t680, t684;
  double t687, t691, t693, t697, t706, t707, t708, t711;
  double t716, t718, t722, t723, t727, t730, t731, t733;
  double t742, t744, t747, tv3rho31, t750, t755, t759, t763;
  double t764, t768, t770, t779, t780, t785, t789, t793;
  double t794, t798, t800, t807, t815, t817, t818, tv3rho32;
  double t823, t830, t834, t835, t842, t843, t850, t854;
  double t855, t871, t876, t880, t881, t882, t887, t888;
  double t889, t891, t892, t893, t895, t896, t897, t900;
  double t903, t906, t911, tv3rho33, t919, t926, t928, t934;
  double t938, t939, t940, t941, t944, t945, t948, t950;
  double t951, t958, t963, tv3rho2sigma0, tv3rho2sigma1, t970, t974, t976;
  double tv3rho2sigma2, t982, t990, tv3rho2sigma3, tv3rho2sigma4, t996, t1003, t1006;
  double tv3rho2sigma5, t1014, tv3rho2sigma6, tv3rho2sigma7, t1029, t1033, t1034, t1035;
  double t1038, t1041, t1043, t1044, t1051, t1056, tv3rho2sigma8, t1063;
  double t1067, t1068, t1069, t1072, t1076, t1077, t1084, t1089;
  double tv3rhosigma20, tv3rhosigma21, tv3rhosigma22, tv3rhosigma23, tv3rhosigma24, t1096, t1098, tv3rhosigma25;
  double t1104, tv3rhosigma26, tv3rhosigma27, tv3rhosigma28, tv3rhosigma29, tv3rhosigma210, t1112, t1113;
  double t1114, t1117, t1121, t1122, t1129, t1134, tv3rhosigma211, t1137;
  double t1138, t1141, t1145, t1146, t1152, t1156, tv3sigma30, tv3sigma31;
  double tv3sigma32, tv3sigma33, tv3sigma34, tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38, t1158;
  double t1159, t1162, t1166, t1167, t1173, t1177, tv3sigma39;

  double t1182, t1185, t1189, t1192, t1196, t1198, t1200, t1201;
  double t1207, t1213, t1214, t1217, t1221, t1230, t1236, t1238;
  double t1244, t1247, t1250, t1263, t1268, t1271, t1280, t1284;
  double t1285, t1287, t1288, t1290, t1291, t1294, t1297, t1300;
  double t1303, t1307, t1308, t1309, t1311, t1312, t1318, t1323;
  double t1326, t1330, t1337, t1341, t1345, t1350, t1352, tv4rho40;
  double t1359, t1363, t1364, t1367, t1388, t1389, t1391, t1395;
  double t1404, t1410, t1411, t1413, t1424, t1425, t1442, t1444;
  double t1448, t1455, t1459, t1460, t1463, t1472, t1475, t1476;
  double t1478, t1480, t1481, tv4rho41, t1490, t1494, t1509, t1522;
  double t1526, t1535, t1546, t1547, t1556, t1569, t1573, t1580;
  double t1584, t1593, t1596, t1607, t1610, t1612, t1613, tv4rho42;
  double t1634, t1638, t1645, t1656, t1657, t1674, t1678, t1685;
  double t1693, t1702, t1712, t1714, t1715, tv4rho43, t1720, t1725;
  double t1732, t1736, t1745, t1763, t1768, t1771, t1780, t1784;
  double t1786, t1788, t1789, t1792, t1795, t1798, t1801, t1813;
  double t1818, t1825, t1829, t1837, t1838, tv4rho44, t1846, t1852;
  double t1855, t1862, t1864, t1867, t1877, t1883, t1884, t1885;
  double t1889, t1893, t1899, t1908, t1913, tv4rho3sigma0, tv4rho3sigma1, t1920;
  double t1923, t1927, t1929, tv4rho3sigma2, t1931, t1937, t1942, t1946;
  double t1955, t1956, tv4rho3sigma3, tv4rho3sigma4, t1958, t1964, t1966, t1975;
  double t1977, t1980, tv4rho3sigma5, t1986, t1995, tv4rho3sigma6, tv4rho3sigma7, t2001;
  double t2008, t2016, t2018, t2019, tv4rho3sigma8, t2028, tv4rho3sigma9, tv4rho3sigma10;
  double t2053, t2059, t2060, t2072, t2081, t2086, tv4rho3sigma11, t2093;
  double t2100, t2102, t2111, t2112, t2125, t2139, tv4rho2sigma20, tv4rho2sigma21;
  double tv4rho2sigma22, tv4rho2sigma23, tv4rho2sigma24, t2146, t2150, t2152, tv4rho2sigma25, t2158;
  double t2166, tv4rho2sigma26, tv4rho2sigma27, tv4rho2sigma28, tv4rho2sigma29, tv4rho2sigma210, t2172, t2179;
  double t2182, tv4rho2sigma211, t2190, tv4rho2sigma212, tv4rho2sigma213, tv4rho2sigma214, tv4rho2sigma215, tv4rho2sigma216;
  double t2208, t2209, t2222, t2236, tv4rho2sigma217, t2243, t2247, t2248;
  double t2262, t2276, tv4rhosigma30, tv4rhosigma31, tv4rhosigma32, tv4rhosigma33, tv4rhosigma34, tv4rhosigma35;
  double tv4rhosigma36, tv4rhosigma37, tv4rhosigma38, t2283, t2285, tv4rhosigma39, t2291, tv4rhosigma310;
  double tv4rhosigma311, tv4rhosigma312, tv4rhosigma313, tv4rhosigma314, tv4rhosigma315, tv4rhosigma316, tv4rhosigma317, tv4rhosigma318;
  double t2299, t2300, t2314, t2328, tv4rhosigma319, t2331, t2343, t2355;
  double tv4sigma40, tv4sigma41, tv4sigma42, tv4sigma43, tv4sigma44, tv4sigma45, tv4sigma46, tv4sigma47;
  double tv4sigma48, tv4sigma49, tv4sigma410, tv4sigma411, tv4sigma412, tv4sigma413, t2357, t2369;
  double t2381, tv4sigma414;

  gga_x_b86_params *params;

  assert(p->params != NULL);
  params = (gga_x_b86_params * )(p->params);

  t1 = rho[0] <= p->dens_threshold;
  t2 = M_CBRT3;
  t3 = M_CBRTPI;
  t5 = t2 / t3;
  t6 = rho[0] + rho[1];
  t7 = 0.1e1 / t6;
  t10 = 0.2e1 * rho[0] * t7 <= p->zeta_threshold;
  t11 = p->zeta_threshold - 0.1e1;
  t14 = 0.2e1 * rho[1] * t7 <= p->zeta_threshold;
  t15 = -t11;
  t16 = rho[0] - rho[1];
  t18 = my_piecewise5(t10, t11, t14, t15, t16 * t7);
  t19 = 0.1e1 + t18;
  t20 = t19 <= p->zeta_threshold;
  t21 = POW_1_3(p->zeta_threshold);
  t22 = t21 * p->zeta_threshold;
  t23 = POW_1_3(t19);
  t25 = my_piecewise3(t20, t22, t23 * t19);
  t26 = POW_1_3(t6);
  t27 = t25 * t26;
  t28 = params->beta * sigma[0];
  t29 = rho[0] * rho[0];
  t30 = POW_1_3(rho[0]);
  t31 = t30 * t30;
  t33 = 0.1e1 / t31 / t29;
  t36 = params->gamma * sigma[0] * t33 + 0.1e1;
  t37 = pow(t36, params->omega);
  t38 = 0.1e1 / t37;
  t41 = t28 * t33 * t38 + 0.1e1;
  t45 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t41);
  t46 = rho[1] <= p->dens_threshold;
  t47 = -t16;
  t49 = my_piecewise5(t14, t11, t10, t15, t47 * t7);
  t50 = 0.1e1 + t49;
  t51 = t50 <= p->zeta_threshold;
  t52 = POW_1_3(t50);
  t54 = my_piecewise3(t51, t22, t52 * t50);
  t55 = t54 * t26;
  t56 = params->beta * sigma[2];
  t57 = rho[1] * rho[1];
  t58 = POW_1_3(rho[1]);
  t59 = t58 * t58;
  t61 = 0.1e1 / t59 / t57;
  t64 = params->gamma * sigma[2] * t61 + 0.1e1;
  t65 = pow(t64, params->omega);
  t66 = 0.1e1 / t65;
  t69 = t56 * t61 * t66 + 0.1e1;
  t73 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t55 * t69);
  tzk0 = t45 + t73;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t74 = t6 * t6;
  t75 = 0.1e1 / t74;
  t76 = t16 * t75;
  t78 = my_piecewise5(t10, 0, t14, 0, t7 - t76);
  t81 = my_piecewise3(t20, 0, 0.4e1 / 0.3e1 * t23 * t78);
  t82 = t81 * t26;
  t86 = t26 * t26;
  t87 = 0.1e1 / t86;
  t88 = t25 * t87;
  t91 = t5 * t88 * t41 / 0.8e1;
  t92 = t29 * rho[0];
  t94 = 0.1e1 / t31 / t92;
  t97 = sigma[0] * sigma[0];
  t98 = params->beta * t97;
  t99 = t29 * t29;
  t100 = t99 * t29;
  t102 = 0.1e1 / t30 / t100;
  t104 = t38 * params->omega;
  t105 = 0.1e1 / t36;
  t107 = t104 * params->gamma * t105;
  t110 = 0.8e1 / 0.3e1 * t98 * t102 * t107 - 0.8e1 / 0.3e1 * t28 * t94 * t38;
  t115 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t82 * t41 - t91 - 0.3e1 / 0.8e1 * t5 * t27 * t110);
  t116 = t47 * t75;
  t118 = my_piecewise5(t14, 0, t10, 0, -t7 - t116);
  t121 = my_piecewise3(t51, 0, 0.4e1 / 0.3e1 * t52 * t118);
  t122 = t121 * t26;
  t126 = t54 * t87;
  t129 = t5 * t126 * t69 / 0.8e1;
  t131 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t122 * t69 - t129);
  tvrho0 = t45 + t73 + t6 * (t115 + t131);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t135 = my_piecewise5(t10, 0, t14, 0, -t7 - t76);
  t138 = my_piecewise3(t20, 0, 0.4e1 / 0.3e1 * t23 * t135);
  t139 = t138 * t26;
  t144 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t139 * t41 - t91);
  t146 = my_piecewise5(t14, 0, t10, 0, t7 - t116);
  t149 = my_piecewise3(t51, 0, 0.4e1 / 0.3e1 * t52 * t146);
  t150 = t149 * t26;
  t154 = t57 * rho[1];
  t156 = 0.1e1 / t59 / t154;
  t159 = sigma[2] * sigma[2];
  t160 = params->beta * t159;
  t161 = t57 * t57;
  t162 = t161 * t57;
  t164 = 0.1e1 / t58 / t162;
  t166 = t66 * params->omega;
  t167 = 0.1e1 / t64;
  t169 = t166 * params->gamma * t167;
  t172 = -0.8e1 / 0.3e1 * t56 * t156 * t66 + 0.8e1 / 0.3e1 * t160 * t164 * t169;
  t177 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t150 * t69 - t129 - 0.3e1 / 0.8e1 * t5 * t55 * t172);
  tvrho1 = t45 + t73 + t6 * (t144 + t177);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t182 = t99 * rho[0];
  t184 = 0.1e1 / t30 / t182;
  t187 = -t28 * t184 * t107 + params->beta * t33 * t38;
  t191 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t187);
  tvsigma0 = t6 * t191;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t194 = t161 * rho[1];
  t196 = 0.1e1 / t58 / t194;
  t199 = -t56 * t196 * t169 + params->beta * t61 * t66;
  t203 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t55 * t199);
  tvsigma2 = t6 * t203;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t206 = t23 * t23;
  t207 = 0.1e1 / t206;
  t208 = t78 * t78;
  t211 = t74 * t6;
  t212 = 0.1e1 / t211;
  t213 = t16 * t212;
  t216 = my_piecewise5(t10, 0, t14, 0, -0.2e1 * t75 + 0.2e1 * t213);
  t220 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t207 * t208 + 0.4e1 / 0.3e1 * t23 * t216);
  t221 = t220 * t26;
  t225 = t81 * t87;
  t227 = t5 * t225 * t41;
  t233 = 0.1e1 / t86 / t6;
  t234 = t25 * t233;
  t237 = t5 * t234 * t41 / 0.12e2;
  t239 = t5 * t88 * t110;
  t242 = 0.1e1 / t31 / t99;
  t246 = t99 * t92;
  t248 = 0.1e1 / t30 / t246;
  t252 = t97 * sigma[0];
  t253 = params->beta * t252;
  t254 = t99 * t99;
  t255 = t254 * t29;
  t256 = 0.1e1 / t255;
  t257 = t253 * t256;
  t258 = params->omega * params->omega;
  t259 = t38 * t258;
  t260 = params->gamma * params->gamma;
  t261 = t36 * t36;
  t262 = 0.1e1 / t261;
  t263 = t260 * t262;
  t264 = t259 * t263;
  t267 = t104 * t263;
  t270 = 0.88e2 / 0.9e1 * t28 * t242 * t38 - 0.24e2 * t98 * t248 * t107 + 0.64e2 / 0.9e1 * t257 * t264 + 0.64e2 / 0.9e1 * t257 * t267;
  t275 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t221 * t41 - t227 / 0.4e1 - 0.3e1 / 0.4e1 * t5 * t82 * t110 + t237 - t239 / 0.4e1 - 0.3e1 / 0.8e1 * t5 * t27 * t270);
  t276 = t52 * t52;
  t277 = 0.1e1 / t276;
  t278 = t118 * t118;
  t281 = t47 * t212;
  t284 = my_piecewise5(t14, 0, t10, 0, 0.2e1 * t75 + 0.2e1 * t281);
  t288 = my_piecewise3(t51, 0, 0.4e1 / 0.9e1 * t277 * t278 + 0.4e1 / 0.3e1 * t52 * t284);
  t289 = t288 * t26;
  t293 = t121 * t87;
  t295 = t5 * t293 * t69;
  t297 = t54 * t233;
  t300 = t5 * t297 * t69 / 0.12e2;
  t302 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t289 * t69 - t295 / 0.4e1 + t300);
  tv2rho20 = 0.2e1 * t115 + 0.2e1 * t131 + t6 * (t275 + t302);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t305 = t207 * t135;
  t309 = my_piecewise5(t10, 0, t14, 0, 0.2e1 * t213);
  t313 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t305 * t78 + 0.4e1 / 0.3e1 * t23 * t309);
  t314 = t313 * t26;
  t318 = t138 * t87;
  t320 = t5 * t318 * t41;
  t328 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t314 * t41 - t320 / 0.8e1 - 0.3e1 / 0.8e1 * t5 * t139 * t110 - t227 / 0.8e1 + t237 - t239 / 0.8e1);
  t329 = t277 * t146;
  t333 = my_piecewise5(t14, 0, t10, 0, 0.2e1 * t281);
  t337 = my_piecewise3(t51, 0, 0.4e1 / 0.9e1 * t329 * t118 + 0.4e1 / 0.3e1 * t52 * t333);
  t338 = t337 * t26;
  t342 = t149 * t87;
  t344 = t5 * t342 * t69;
  t351 = t5 * t126 * t172;
  t354 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t338 * t69 - t344 / 0.8e1 - t295 / 0.8e1 + t300 - 0.3e1 / 0.8e1 * t5 * t122 * t172 - t351 / 0.8e1);
  tv2rho21 = t115 + t131 + t144 + t177 + t6 * (t328 + t354);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t359 = t135 * t135;
  t364 = my_piecewise5(t10, 0, t14, 0, 0.2e1 * t75 + 0.2e1 * t213);
  t368 = my_piecewise3(t20, 0, 0.4e1 / 0.9e1 * t207 * t359 + 0.4e1 / 0.3e1 * t23 * t364);
  t369 = t368 * t26;
  t375 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t369 * t41 - t320 / 0.4e1 + t237);
  t376 = t146 * t146;
  t381 = my_piecewise5(t14, 0, t10, 0, -0.2e1 * t75 + 0.2e1 * t281);
  t385 = my_piecewise3(t51, 0, 0.4e1 / 0.9e1 * t277 * t376 + 0.4e1 / 0.3e1 * t52 * t381);
  t386 = t385 * t26;
  t396 = 0.1e1 / t59 / t161;
  t400 = t161 * t154;
  t402 = 0.1e1 / t58 / t400;
  t406 = t159 * sigma[2];
  t407 = params->beta * t406;
  t408 = t161 * t161;
  t409 = t408 * t57;
  t410 = 0.1e1 / t409;
  t411 = t407 * t410;
  t412 = t66 * t258;
  t413 = t64 * t64;
  t414 = 0.1e1 / t413;
  t415 = t260 * t414;
  t416 = t412 * t415;
  t419 = t166 * t415;
  t422 = 0.88e2 / 0.9e1 * t56 * t396 * t66 - 0.24e2 * t160 * t402 * t169 + 0.64e2 / 0.9e1 * t411 * t416 + 0.64e2 / 0.9e1 * t411 * t419;
  t427 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t386 * t69 - t344 / 0.4e1 - 0.3e1 / 0.4e1 * t5 * t150 * t172 + t300 - t351 / 0.4e1 - 0.3e1 / 0.8e1 * t5 * t55 * t422);
  tv2rho22 = 0.2e1 * t144 + 0.2e1 * t177 + t6 * (t375 + t427);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t435 = t5 * t88 * t187 / 0.8e1;
  t440 = params->beta * t102 * t38;
  t441 = params->omega * params->gamma;
  t443 = t441 * sigma[0] * t105;
  t446 = t254 * rho[0];
  t447 = 0.1e1 / t446;
  t448 = t98 * t447;
  t453 = -0.8e1 / 0.3e1 * params->beta * t94 * t38 + 0.8e1 * t440 * t443 - 0.8e1 / 0.3e1 * t448 * t264 - 0.8e1 / 0.3e1 * t448 * t267;
  t458 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t82 * t187 - t435 - 0.3e1 / 0.8e1 * t5 * t27 * t453);
  tv2rhosigma0 = t458 * t6 + t191;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t465 = t5 * t126 * t199 / 0.8e1;
  t467 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t122 * t199 - t465);
  tv2rhosigma2 = t467 * t6 + t203;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t473 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t139 * t187 - t435);
  tv2rhosigma3 = t473 * t6 + t191;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t482 = params->beta * t164 * t66;
  t484 = t441 * sigma[2] * t167;
  t487 = t408 * rho[1];
  t488 = 0.1e1 / t487;
  t489 = t160 * t488;
  t494 = -0.8e1 / 0.3e1 * params->beta * t156 * t66 + 0.8e1 * t482 * t484 - 0.8e1 / 0.3e1 * t489 * t416 - 0.8e1 / 0.3e1 * t489 * t419;
  t499 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t150 * t199 - t465 - 0.3e1 / 0.8e1 * t5 * t55 * t494);
  tv2rhosigma5 = t499 * t6 + t203;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t503 = t441 * t105;
  t506 = 0.1e1 / t254;
  t507 = t28 * t506;
  t510 = -0.2e1 * t184 * t38 * t503 * params->beta + t264 * t507 + t267 * t507;
  t514 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t510);
  tv2sigma20 = t6 * t514;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t517 = t441 * t167;
  t520 = 0.1e1 / t408;
  t521 = t56 * t520;
  t524 = -0.2e1 * t196 * t517 * t66 * params->beta + t416 * t521 + t419 * t521;
  t528 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t55 * t524);
  tv2sigma25 = t6 * t528;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t532 = 0.1e1 / t206 / t19;
  t533 = t208 * t78;
  t536 = t207 * t78;
  t539 = t74 * t74;
  t540 = 0.1e1 / t539;
  t541 = t16 * t540;
  t544 = my_piecewise5(t10, 0, t14, 0, 0.6e1 * t212 - 0.6e1 * t541);
  t548 = my_piecewise3(t20, 0, -0.8e1 / 0.27e2 * t532 * t533 + 0.4e1 / 0.3e1 * t536 * t216 + 0.4e1 / 0.3e1 * t23 * t544);
  t549 = t548 * t26;
  t553 = t220 * t87;
  t555 = t5 * t553 * t41;
  t560 = t81 * t233;
  t562 = t5 * t560 * t41;
  t565 = t5 * t225 * t110;
  t571 = 0.1e1 / t86 / t74;
  t572 = t25 * t571;
  t575 = 0.5e1 / 0.36e2 * t5 * t572 * t41;
  t577 = t5 * t234 * t110;
  t580 = t5 * t88 * t270;
  t583 = 0.1e1 / t31 / t182;
  t588 = 0.1e1 / t30 / t254;
  t592 = t254 * t92;
  t593 = 0.1e1 / t592;
  t594 = t253 * t593;
  t599 = t97 * t97;
  t600 = params->beta * t599;
  t601 = t254 * t182;
  t603 = 0.1e1 / t31 / t601;
  t604 = t600 * t603;
  t605 = t258 * params->omega;
  t606 = t38 * t605;
  t607 = t260 * params->gamma;
  t609 = 0.1e1 / t261 / t36;
  t610 = t607 * t609;
  t611 = t606 * t610;
  t614 = t259 * t610;
  t617 = t104 * t610;
  t620 = -0.1232e4 / 0.27e2 * t28 * t583 * t38 + 0.5456e4 / 0.27e2 * t98 * t588 * t107 - 0.1216e4 / 0.9e1 * t594 * t264 - 0.1216e4 / 0.9e1 * t594 * t267 + 0.512e3 / 0.27e2 * t604 * t611 + 0.512e3 / 0.9e1 * t604 * t614 + 0.1024e4 / 0.27e2 * t604 * t617;
  t625 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t549 * t41 - 0.3e1 / 0.8e1 * t555 - 0.9e1 / 0.8e1 * t5 * t221 * t110 + t562 / 0.4e1 - 0.3e1 / 0.4e1 * t565 - 0.9e1 / 0.8e1 * t5 * t82 * t270 - t575 + t577 / 0.4e1 - 0.3e1 / 0.8e1 * t580 - 0.3e1 / 0.8e1 * t5 * t27 * t620);
  t627 = 0.1e1 / t276 / t50;
  t628 = t278 * t118;
  t631 = t277 * t118;
  t634 = t47 * t540;
  t637 = my_piecewise5(t14, 0, t10, 0, -0.6e1 * t212 - 0.6e1 * t634);
  t641 = my_piecewise3(t51, 0, -0.8e1 / 0.27e2 * t627 * t628 + 0.4e1 / 0.3e1 * t631 * t284 + 0.4e1 / 0.3e1 * t52 * t637);
  t642 = t641 * t26;
  t646 = t288 * t87;
  t648 = t5 * t646 * t69;
  t650 = t121 * t233;
  t652 = t5 * t650 * t69;
  t654 = t54 * t571;
  t657 = 0.5e1 / 0.36e2 * t5 * t654 * t69;
  t659 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t642 * t69 - 0.3e1 / 0.8e1 * t648 + t652 / 0.4e1 - t657);
  tv3rho30 = 0.3e1 * t275 + 0.3e1 * t302 + t6 * (t625 + t659);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t662 = 0.2e1 * t328;
  t663 = 0.2e1 * t354;
  t664 = t532 * t135;
  t667 = t207 * t309;
  t672 = 0.2e1 * t212;
  t673 = 0.6e1 * t541;
  t675 = my_piecewise5(t10, 0, t14, 0, t672 - t673);
  t679 = my_piecewise3(t20, 0, -0.8e1 / 0.27e2 * t664 * t208 + 0.8e1 / 0.9e1 * t667 * t78 + 0.4e1 / 0.9e1 * t305 * t216 + 0.4e1 / 0.3e1 * t23 * t675);
  t680 = t679 * t26;
  t684 = t313 * t87;
  t687 = t5 * t684 * t41 / 0.4e1;
  t691 = t138 * t233;
  t693 = t5 * t691 * t41;
  t697 = t5 * t318 * t110 / 0.4e1;
  t706 = -0.3e1 / 0.8e1 * t5 * t680 * t41 - t687 - 0.3e1 / 0.4e1 * t5 * t314 * t110 + t693 / 0.12e2 - t697 - 0.3e1 / 0.8e1 * t5 * t139 * t270 - t555 / 0.8e1 + t562 / 0.6e1 - t565 / 0.4e1 - t575 + t577 / 0.6e1 - t580 / 0.8e1;
  t707 = my_piecewise3(t1, 0, t706);
  t708 = t627 * t146;
  t711 = t277 * t333;
  t716 = 0.6e1 * t634;
  t718 = my_piecewise5(t14, 0, t10, 0, -t672 - t716);
  t722 = my_piecewise3(t51, 0, -0.8e1 / 0.27e2 * t708 * t278 + 0.8e1 / 0.9e1 * t711 * t118 + 0.4e1 / 0.9e1 * t329 * t284 + 0.4e1 / 0.3e1 * t52 * t718);
  t723 = t722 * t26;
  t727 = t337 * t87;
  t730 = t5 * t727 * t69 / 0.4e1;
  t731 = t149 * t233;
  t733 = t5 * t731 * t69;
  t742 = t5 * t293 * t172 / 0.4e1;
  t744 = t5 * t297 * t172;
  t747 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t723 * t69 - t730 + t733 / 0.12e2 - t648 / 0.8e1 + t652 / 0.6e1 - t657 - 0.3e1 / 0.8e1 * t5 * t289 * t172 - t742 + t744 / 0.12e2);
  tv3rho31 = t275 + t302 + t662 + t663 + t6 * (t707 + t747);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t750 = t532 * t359;
  t755 = t207 * t364;
  t759 = my_piecewise5(t10, 0, t14, 0, -t672 - t673);
  t763 = my_piecewise3(t20, 0, -0.8e1 / 0.27e2 * t750 * t78 + 0.8e1 / 0.9e1 * t305 * t309 + 0.4e1 / 0.9e1 * t755 * t78 + 0.4e1 / 0.3e1 * t23 * t759);
  t764 = t763 * t26;
  t768 = t368 * t87;
  t770 = t5 * t768 * t41;
  t779 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t764 * t41 - t770 / 0.8e1 - 0.3e1 / 0.8e1 * t5 * t369 * t110 - t687 + t693 / 0.6e1 - t697 + t562 / 0.12e2 - t575 + t577 / 0.12e2);
  t780 = t627 * t376;
  t785 = t277 * t381;
  t789 = my_piecewise5(t14, 0, t10, 0, t672 - t716);
  t793 = my_piecewise3(t51, 0, -0.8e1 / 0.27e2 * t780 * t118 + 0.8e1 / 0.9e1 * t329 * t333 + 0.4e1 / 0.9e1 * t785 * t118 + 0.4e1 / 0.3e1 * t52 * t789);
  t794 = t793 * t26;
  t798 = t385 * t87;
  t800 = t5 * t798 * t69;
  t807 = t5 * t342 * t172;
  t815 = t5 * t126 * t422;
  t817 = -0.3e1 / 0.8e1 * t5 * t794 * t69 - t800 / 0.8e1 - t730 + t733 / 0.6e1 - 0.3e1 / 0.4e1 * t5 * t338 * t172 - t807 / 0.4e1 + t652 / 0.12e2 - t657 - t742 + t744 / 0.6e1 - 0.3e1 / 0.8e1 * t5 * t122 * t422 - t815 / 0.8e1;
  t818 = my_piecewise3(t46, 0, t817);
  tv3rho32 = t662 + t663 + t375 + t427 + t6 * (t779 + t818);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t823 = t359 * t135;
  t830 = my_piecewise5(t10, 0, t14, 0, -0.6e1 * t212 - 0.6e1 * t541);
  t834 = my_piecewise3(t20, 0, -0.8e1 / 0.27e2 * t532 * t823 + 0.4e1 / 0.3e1 * t305 * t364 + 0.4e1 / 0.3e1 * t23 * t830);
  t835 = t834 * t26;
  t842 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t835 * t41 - 0.3e1 / 0.8e1 * t770 + t693 / 0.4e1 - t575);
  t843 = t376 * t146;
  t850 = my_piecewise5(t14, 0, t10, 0, 0.6e1 * t212 - 0.6e1 * t634);
  t854 = my_piecewise3(t51, 0, -0.8e1 / 0.27e2 * t627 * t843 + 0.4e1 / 0.3e1 * t329 * t381 + 0.4e1 / 0.3e1 * t52 * t850);
  t855 = t854 * t26;
  t871 = 0.1e1 / t59 / t194;
  t876 = 0.1e1 / t58 / t408;
  t880 = t408 * t154;
  t881 = 0.1e1 / t880;
  t882 = t407 * t881;
  t887 = t159 * t159;
  t888 = params->beta * t887;
  t889 = t408 * t194;
  t891 = 0.1e1 / t59 / t889;
  t892 = t888 * t891;
  t893 = t66 * t605;
  t895 = 0.1e1 / t413 / t64;
  t896 = t607 * t895;
  t897 = t893 * t896;
  t900 = t412 * t896;
  t903 = t166 * t896;
  t906 = -0.1232e4 / 0.27e2 * t56 * t871 * t66 + 0.5456e4 / 0.27e2 * t160 * t876 * t169 - 0.1216e4 / 0.9e1 * t882 * t416 - 0.1216e4 / 0.9e1 * t882 * t419 + 0.512e3 / 0.27e2 * t892 * t897 + 0.512e3 / 0.9e1 * t892 * t900 + 0.1024e4 / 0.27e2 * t892 * t903;
  t911 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t855 * t69 - 0.3e1 / 0.8e1 * t800 - 0.9e1 / 0.8e1 * t5 * t386 * t172 + t733 / 0.4e1 - 0.3e1 / 0.4e1 * t807 - 0.9e1 / 0.8e1 * t5 * t150 * t422 - t657 + t744 / 0.4e1 - 0.3e1 / 0.8e1 * t815 - 0.3e1 / 0.8e1 * t5 * t55 * t906);
  tv3rho33 = 0.3e1 * t375 + 0.3e1 * t427 + t6 * (t842 + t911);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t919 = t5 * t225 * t187;
  t926 = t5 * t234 * t187 / 0.12e2;
  t928 = t5 * t88 * t453;
  t934 = params->beta * t248 * t38;
  t938 = params->beta * t256 * t38;
  t939 = t258 * t260;
  t940 = t97 * t262;
  t941 = t939 * t940;
  t944 = params->omega * t260;
  t945 = t944 * t940;
  t948 = t254 * t99;
  t950 = 0.1e1 / t31 / t948;
  t951 = t253 * t950;
  t958 = 0.88e2 / 0.9e1 * params->beta * t242 * t38 - 0.52e3 / 0.9e1 * t934 * t443 + 0.136e3 / 0.3e1 * t938 * t941 + 0.136e3 / 0.3e1 * t938 * t945 - 0.64e2 / 0.9e1 * t951 * t611 - 0.64e2 / 0.3e1 * t951 * t614 - 0.128e3 / 0.9e1 * t951 * t617;
  t963 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t221 * t187 - t919 / 0.4e1 - 0.3e1 / 0.4e1 * t5 * t82 * t453 + t926 - t928 / 0.4e1 - 0.3e1 / 0.8e1 * t5 * t27 * t958);
  tv3rho2sigma0 = t6 * t963 + 0.2e1 * t458;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t970 = t5 * t293 * t199;
  t974 = t5 * t297 * t199 / 0.12e2;
  t976 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t289 * t199 - t970 / 0.4e1 + t974);
  tv3rho2sigma2 = t6 * t976 + 0.2e1 * t467;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t982 = t5 * t318 * t187;
  t990 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t314 * t187 - t982 / 0.8e1 - 0.3e1 / 0.8e1 * t5 * t139 * t453 - t919 / 0.8e1 + t926 - t928 / 0.8e1);
  tv3rho2sigma3 = t6 * t990 + t458 + t473;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t996 = t5 * t342 * t199;
  t1003 = t5 * t126 * t494;
  t1006 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t338 * t199 - t996 / 0.8e1 - t970 / 0.8e1 + t974 - 0.3e1 / 0.8e1 * t5 * t122 * t494 - t1003 / 0.8e1);
  tv3rho2sigma5 = t1006 * t6 + t467 + t499;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t1014 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t369 * t187 - t982 / 0.4e1 + t926);
  tv3rho2sigma6 = t1014 * t6 + 0.2e1 * t473;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t1029 = params->beta * t402 * t66;
  t1033 = params->beta * t410 * t66;
  t1034 = t159 * t414;
  t1035 = t939 * t1034;
  t1038 = t944 * t1034;
  t1041 = t408 * t161;
  t1043 = 0.1e1 / t59 / t1041;
  t1044 = t407 * t1043;
  t1051 = 0.88e2 / 0.9e1 * params->beta * t396 * t66 - 0.52e3 / 0.9e1 * t1029 * t484 + 0.136e3 / 0.3e1 * t1033 * t1035 + 0.136e3 / 0.3e1 * t1033 * t1038 - 0.64e2 / 0.9e1 * t1044 * t897 - 0.64e2 / 0.3e1 * t1044 * t900 - 0.128e3 / 0.9e1 * t1044 * t903;
  t1056 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t386 * t199 - t996 / 0.4e1 - 0.3e1 / 0.4e1 * t5 * t150 * t494 + t974 - t1003 / 0.4e1 - 0.3e1 / 0.8e1 * t5 * t55 * t1051);
  tv3rho2sigma8 = t1056 * t6 + 0.2e1 * t499;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  t1063 = t5 * t88 * t510 / 0.8e1;
  t1067 = params->beta * t447 * t38;
  t1068 = t262 * sigma[0];
  t1069 = t939 * t1068;
  t1072 = t944 * t1068;
  t1076 = 0.1e1 / t31 / t592;
  t1077 = t98 * t1076;
  t1084 = 0.32e2 / 0.3e1 * t440 * t503 - 0.4e2 / 0.3e1 * t1067 * t1069 - 0.4e2 / 0.3e1 * t1067 * t1072 + 0.8e1 / 0.3e1 * t1077 * t611 + 0.8e1 * t1077 * t614 + 0.16e2 / 0.3e1 * t1077 * t617;
  t1089 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t82 * t510 - t1063 - 0.3e1 / 0.8e1 * t5 * t27 * t1084);
  tv3rhosigma20 = t1089 * t6 + t514;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  t1096 = t5 * t126 * t524 / 0.8e1;
  t1098 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t122 * t524 - t1096);
  tv3rhosigma25 = t1098 * t6 + t528;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  t1104 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t139 * t510 - t1063);
  tv3rhosigma26 = t1104 * t6 + t514;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  t1112 = params->beta * t488 * t66;
  t1113 = t414 * sigma[2];
  t1114 = t939 * t1113;
  t1117 = t944 * t1113;
  t1121 = 0.1e1 / t59 / t880;
  t1122 = t160 * t1121;
  t1129 = 0.32e2 / 0.3e1 * t482 * t517 - 0.4e2 / 0.3e1 * t1112 * t1114 - 0.4e2 / 0.3e1 * t1112 * t1117 + 0.8e1 / 0.3e1 * t1122 * t897 + 0.8e1 * t1122 * t900 + 0.16e2 / 0.3e1 * t1122 * t903;
  t1134 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t150 * t524 - t1096 - 0.3e1 / 0.8e1 * t5 * t55 * t1129);
  tv3rhosigma211 = t1134 * t6 + t528;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  t1137 = params->beta * t506 * t38;
  t1138 = t939 * t262;
  t1141 = t944 * t262;
  t1145 = 0.1e1 / t31 / t255;
  t1146 = t28 * t1145;
  t1152 = 0.3e1 * t1137 * t1138 + 0.3e1 * t1137 * t1141 - t1146 * t611 - 0.3e1 * t1146 * t614 - 0.2e1 * t1146 * t617;
  t1156 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * t1152);
  tv3sigma30 = t6 * t1156;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  t1158 = params->beta * t520 * t66;
  t1159 = t939 * t414;
  t1162 = t944 * t414;
  t1166 = 0.1e1 / t59 / t409;
  t1167 = t56 * t1166;
  t1173 = 0.3e1 * t1158 * t1159 + 0.3e1 * t1158 * t1162 - t1167 * t897 - 0.3e1 * t1167 * t900 - 0.2e1 * t1167 * t903;
  t1177 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t55 * t1173);
  tv3sigma39 = t6 * t1177;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

  t1182 = t5 * t81 * t571 * t41;
  t1185 = 0.1e1 / t86 / t211;
  t1189 = 0.1e2 / 0.27e2 * t5 * t25 * t1185 * t41;
  t1192 = t5 * t548 * t87 * t41;
  t1196 = t5 * t220 * t233 * t41;
  t1198 = t19 * t19;
  t1200 = 0.1e1 / t206 / t1198;
  t1201 = t208 * t208;
  t1207 = t216 * t216;
  t1213 = 0.1e1 / t539 / t6;
  t1214 = t16 * t1213;
  t1217 = my_piecewise5(t10, 0, t14, 0, -0.24e2 * t540 + 0.24e2 * t1214);
  t1221 = my_piecewise3(t20, 0, 0.4e2 / 0.81e2 * t1200 * t1201 - 0.16e2 / 0.9e1 * t532 * t208 * t216 + 0.4e1 / 0.3e1 * t207 * t1207 + 0.16e2 / 0.9e1 * t536 * t544 + 0.4e1 / 0.3e1 * t23 * t1217);
  t1230 = t5 * t553 * t110;
  t1236 = t5 * t560 * t110;
  t1238 = t5 * t225 * t270;
  t1244 = t5 * t572 * t110;
  t1247 = t5 * t234 * t270;
  t1250 = t5 * t88 * t620;
  t1263 = t253 / t948;
  t1268 = t254 * t100;
  t1271 = t600 / t31 / t1268;
  t1280 = t254 * t254;
  t1284 = params->beta * t599 * sigma[0] / t30 / t1280 / rho[0];
  t1285 = t258 * t258;
  t1287 = t260 * t260;
  t1288 = t261 * t261;
  t1290 = t1287 / t1288;
  t1291 = t38 * t1285 * t1290;
  t1294 = t606 * t1290;
  t1297 = t259 * t1290;
  t1300 = t104 * t1290;
  t1303 = 0.20944e5 / 0.81e2 * t28 / t31 / t100 * t38 - 0.48752e5 / 0.27e2 * t98 / t30 / t446 * t107 + 0.164032e6 / 0.81e2 * t1263 * t264 + 0.164032e6 / 0.81e2 * t1263 * t267 - 0.50176e5 / 0.81e2 * t1271 * t611 - 0.50176e5 / 0.27e2 * t1271 * t614 - 0.100352e6 / 0.81e2 * t1271 * t617 + 0.4096e4 / 0.81e2 * t1284 * t1291 + 0.8192e4 / 0.27e2 * t1284 * t1294 + 0.45056e5 / 0.81e2 * t1284 * t1297 + 0.8192e4 / 0.27e2 * t1284 * t1300;
  t1307 = -0.5e1 / 0.9e1 * t1182 + t1189 - t1192 / 0.2e1 + t1196 / 0.2e1 - 0.3e1 / 0.8e1 * t5 * t1221 * t26 * t41 - 0.3e1 / 0.2e1 * t5 * t549 * t110 - 0.3e1 / 0.2e1 * t1230 - 0.9e1 / 0.4e1 * t5 * t221 * t270 + t1236 - 0.3e1 / 0.2e1 * t1238 - 0.3e1 / 0.2e1 * t5 * t82 * t620 - 0.5e1 / 0.9e1 * t1244 + t1247 / 0.2e1 - t1250 / 0.2e1 - 0.3e1 / 0.8e1 * t5 * t27 * t1303;
  t1308 = my_piecewise3(t1, 0, t1307);
  t1309 = t50 * t50;
  t1311 = 0.1e1 / t276 / t1309;
  t1312 = t278 * t278;
  t1318 = t284 * t284;
  t1323 = t47 * t1213;
  t1326 = my_piecewise5(t14, 0, t10, 0, 0.24e2 * t540 + 0.24e2 * t1323);
  t1330 = my_piecewise3(t51, 0, 0.4e2 / 0.81e2 * t1311 * t1312 - 0.16e2 / 0.9e1 * t627 * t278 * t284 + 0.4e1 / 0.3e1 * t277 * t1318 + 0.16e2 / 0.9e1 * t631 * t637 + 0.4e1 / 0.3e1 * t52 * t1326);
  t1337 = t5 * t641 * t87 * t69;
  t1341 = t5 * t288 * t233 * t69;
  t1345 = t5 * t121 * t571 * t69;
  t1350 = 0.1e2 / 0.27e2 * t5 * t54 * t1185 * t69;
  t1352 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t1330 * t26 * t69 - t1337 / 0.2e1 + t1341 / 0.2e1 - 0.5e1 / 0.9e1 * t1345 + t1350);
  tv4rho40 = 0.4e1 * t625 + 0.4e1 * t659 + t6 * (t1308 + t1352);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t1359 = t5 * t679 * t87 * t41;
  t1363 = t5 * t313 * t233 * t41;
  t1364 = t1363 / 0.4e1;
  t1367 = t5 * t138 * t571 * t41;
  t1388 = 0.12e2 * t540;
  t1389 = 0.24e2 * t1214;
  t1391 = my_piecewise5(t10, 0, t14, 0, -t1388 + t1389);
  t1395 = my_piecewise3(t20, 0, 0.4e2 / 0.81e2 * t1200 * t135 * t533 - 0.8e1 / 0.9e1 * t532 * t309 * t208 - 0.8e1 / 0.9e1 * t664 * t78 * t216 + 0.4e1 / 0.3e1 * t207 * t675 * t78 + 0.4e1 / 0.3e1 * t667 * t216 + 0.4e1 / 0.9e1 * t305 * t544 + 0.4e1 / 0.3e1 * t23 * t1391);
  t1404 = t5 * t684 * t110;
  t1410 = t5 * t691 * t110;
  t1411 = t1410 / 0.4e1;
  t1413 = t5 * t318 * t270;
  t1424 = -0.3e1 / 0.8e1 * t1359 + t1364 - 0.5e1 / 0.36e2 * t1367 - 0.5e1 / 0.12e2 * t1182 + t1189 - t1192 / 0.8e1 + t1196 / 0.4e1 - 0.3e1 / 0.8e1 * t5 * t1395 * t26 * t41 - 0.9e1 / 0.8e1 * t5 * t680 * t110 - 0.3e1 / 0.4e1 * t1404 - 0.9e1 / 0.8e1 * t5 * t314 * t270 + t1411 - 0.3e1 / 0.8e1 * t1413 - 0.3e1 / 0.8e1 * t5 * t139 * t620 - 0.3e1 / 0.8e1 * t1230 + t1236 / 0.2e1 - 0.3e1 / 0.8e1 * t1238 - 0.5e1 / 0.12e2 * t1244 + t1247 / 0.4e1 - t1250 / 0.8e1;
  t1425 = my_piecewise3(t1, 0, t1424);
  t1442 = 0.24e2 * t1323;
  t1444 = my_piecewise5(t14, 0, t10, 0, t1388 + t1442);
  t1448 = my_piecewise3(t51, 0, 0.4e2 / 0.81e2 * t1311 * t146 * t628 - 0.8e1 / 0.9e1 * t627 * t333 * t278 - 0.8e1 / 0.9e1 * t708 * t118 * t284 + 0.4e1 / 0.3e1 * t277 * t718 * t118 + 0.4e1 / 0.3e1 * t711 * t284 + 0.4e1 / 0.9e1 * t329 * t637 + 0.4e1 / 0.3e1 * t52 * t1444);
  t1455 = t5 * t722 * t87 * t69;
  t1459 = t5 * t337 * t233 * t69;
  t1460 = t1459 / 0.4e1;
  t1463 = t5 * t149 * t571 * t69;
  t1472 = t5 * t646 * t172;
  t1475 = t5 * t650 * t172;
  t1476 = t1475 / 0.4e1;
  t1478 = t5 * t654 * t172;
  t1480 = -0.3e1 / 0.8e1 * t5 * t1448 * t26 * t69 - 0.3e1 / 0.8e1 * t1455 + t1460 - 0.5e1 / 0.36e2 * t1463 - t1337 / 0.8e1 + t1341 / 0.4e1 - 0.5e1 / 0.12e2 * t1345 + t1350 - 0.3e1 / 0.8e1 * t5 * t642 * t172 - 0.3e1 / 0.8e1 * t1472 + t1476 - 0.5e1 / 0.36e2 * t1478;
  t1481 = my_piecewise3(t46, 0, t1480);
  tv4rho41 = t625 + t659 + 0.3e1 * t707 + 0.3e1 * t747 + t6 * (t1425 + t1481);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 1] += tv4rho41;

  t1490 = t5 * t763 * t87 * t41;
  t1494 = t5 * t368 * t233 * t41;
  t1509 = t309 * t309;
  t1522 = my_piecewise5(t10, 0, t14, 0, t1389);
  t1526 = my_piecewise3(t20, 0, 0.4e2 / 0.81e2 * t1200 * t359 * t208 - 0.32e2 / 0.27e2 * t664 * t78 * t309 - 0.8e1 / 0.27e2 * t750 * t216 + 0.8e1 / 0.9e1 * t207 * t1509 + 0.8e1 / 0.9e1 * t305 * t675 - 0.8e1 / 0.27e2 * t532 * t364 * t208 + 0.8e1 / 0.9e1 * t207 * t759 * t78 + 0.4e1 / 0.9e1 * t755 * t216 + 0.4e1 / 0.3e1 * t23 * t1522);
  t1535 = t5 * t768 * t110;
  t1546 = -t1490 / 0.4e1 + t1494 / 0.12e2 - t1359 / 0.4e1 + t1363 / 0.3e1 - 0.5e1 / 0.18e2 * t1367 - 0.5e1 / 0.18e2 * t1182 + t1189 + t1196 / 0.12e2 - 0.3e1 / 0.8e1 * t5 * t1526 * t26 * t41 - 0.3e1 / 0.4e1 * t5 * t764 * t110 - t1535 / 0.4e1 - 0.3e1 / 0.8e1 * t5 * t369 * t270 - t1404 / 0.2e1 + t1410 / 0.3e1 - t1413 / 0.4e1 + t1236 / 0.6e1 - 0.5e1 / 0.18e2 * t1244 + t1247 / 0.12e2;
  t1547 = my_piecewise3(t1, 0, t1546);
  t1556 = t333 * t333;
  t1569 = my_piecewise5(t14, 0, t10, 0, t1442);
  t1573 = my_piecewise3(t51, 0, 0.4e2 / 0.81e2 * t1311 * t376 * t278 - 0.32e2 / 0.27e2 * t708 * t118 * t333 - 0.8e1 / 0.27e2 * t780 * t284 + 0.8e1 / 0.9e1 * t277 * t1556 + 0.8e1 / 0.9e1 * t329 * t718 - 0.8e1 / 0.27e2 * t627 * t381 * t278 + 0.8e1 / 0.9e1 * t277 * t789 * t118 + 0.4e1 / 0.9e1 * t785 * t284 + 0.4e1 / 0.3e1 * t52 * t1569);
  t1580 = t5 * t793 * t87 * t69;
  t1584 = t5 * t385 * t233 * t69;
  t1593 = t5 * t727 * t172;
  t1596 = t5 * t731 * t172;
  t1607 = t5 * t293 * t422;
  t1610 = t5 * t297 * t422;
  t1612 = -0.3e1 / 0.8e1 * t5 * t1573 * t26 * t69 - t1580 / 0.4e1 + t1584 / 0.12e2 - t1455 / 0.4e1 + t1459 / 0.3e1 - 0.5e1 / 0.18e2 * t1463 - 0.3e1 / 0.4e1 * t5 * t723 * t172 - t1593 / 0.2e1 + t1596 / 0.6e1 + t1341 / 0.12e2 - 0.5e1 / 0.18e2 * t1345 + t1350 - t1472 / 0.4e1 + t1475 / 0.3e1 - 0.5e1 / 0.18e2 * t1478 - 0.3e1 / 0.8e1 * t5 * t289 * t422 - t1607 / 0.4e1 + t1610 / 0.12e2;
  t1613 = my_piecewise3(t46, 0, t1612);
  tv4rho42 = 0.2e1 * t707 + 0.2e1 * t747 + 0.2e1 * t779 + 0.2e1 * t818 + t6 * (t1547 + t1613);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 2] += tv4rho42;

  t1634 = my_piecewise5(t10, 0, t14, 0, t1388 + t1389);
  t1638 = my_piecewise3(t20, 0, 0.4e2 / 0.81e2 * t1200 * t823 * t78 - 0.8e1 / 0.9e1 * t750 * t309 - 0.8e1 / 0.9e1 * t664 * t364 * t78 + 0.4e1 / 0.3e1 * t667 * t364 + 0.4e1 / 0.3e1 * t305 * t759 + 0.4e1 / 0.9e1 * t207 * t830 * t78 + 0.4e1 / 0.3e1 * t23 * t1634);
  t1645 = t5 * t834 * t87 * t41;
  t1656 = -0.3e1 / 0.8e1 * t5 * t1638 * t26 * t41 - t1645 / 0.8e1 - 0.3e1 / 0.8e1 * t5 * t835 * t110 - 0.3e1 / 0.8e1 * t1490 + t1494 / 0.4e1 - 0.3e1 / 0.8e1 * t1535 + t1364 - 0.5e1 / 0.12e2 * t1367 + t1411 - 0.5e1 / 0.36e2 * t1182 + t1189 - 0.5e1 / 0.36e2 * t1244;
  t1657 = my_piecewise3(t1, 0, t1656);
  t1674 = my_piecewise5(t14, 0, t10, 0, -t1388 + t1442);
  t1678 = my_piecewise3(t51, 0, 0.4e2 / 0.81e2 * t1311 * t843 * t118 - 0.8e1 / 0.9e1 * t780 * t333 - 0.8e1 / 0.9e1 * t708 * t381 * t118 + 0.4e1 / 0.3e1 * t711 * t381 + 0.4e1 / 0.3e1 * t329 * t789 + 0.4e1 / 0.9e1 * t277 * t850 * t118 + 0.4e1 / 0.3e1 * t52 * t1674);
  t1685 = t5 * t854 * t87 * t69;
  t1693 = t5 * t798 * t172;
  t1702 = t5 * t342 * t422;
  t1712 = t5 * t126 * t906;
  t1714 = -0.3e1 / 0.8e1 * t5 * t1678 * t26 * t69 - t1685 / 0.8e1 - 0.3e1 / 0.8e1 * t1580 + t1584 / 0.4e1 - 0.9e1 / 0.8e1 * t5 * t794 * t172 - 0.3e1 / 0.8e1 * t1693 + t1460 - 0.5e1 / 0.12e2 * t1463 - 0.3e1 / 0.4e1 * t1593 + t1596 / 0.2e1 - 0.9e1 / 0.8e1 * t5 * t338 * t422 - 0.3e1 / 0.8e1 * t1702 - 0.5e1 / 0.36e2 * t1345 + t1350 + t1476 - 0.5e1 / 0.12e2 * t1478 - 0.3e1 / 0.8e1 * t1607 + t1610 / 0.4e1 - 0.3e1 / 0.8e1 * t5 * t122 * t906 - t1712 / 0.8e1;
  t1715 = my_piecewise3(t46, 0, t1714);
  tv4rho43 = 0.3e1 * t779 + 0.3e1 * t818 + t842 + t911 + t6 * (t1657 + t1715);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 3] += tv4rho43;

  t1720 = t359 * t359;
  t1725 = t364 * t364;
  t1732 = my_piecewise5(t10, 0, t14, 0, 0.24e2 * t540 + 0.24e2 * t1214);
  t1736 = my_piecewise3(t20, 0, 0.4e2 / 0.81e2 * t1200 * t1720 - 0.16e2 / 0.9e1 * t750 * t364 + 0.4e1 / 0.3e1 * t207 * t1725 + 0.16e2 / 0.9e1 * t305 * t830 + 0.4e1 / 0.3e1 * t23 * t1732);
  t1745 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t1736 * t26 * t41 - t1645 / 0.2e1 + t1494 / 0.2e1 - 0.5e1 / 0.9e1 * t1367 + t1189);
  t1763 = t407 / t1041;
  t1768 = t408 * t162;
  t1771 = t888 / t59 / t1768;
  t1780 = t408 * t408;
  t1784 = params->beta * t887 * sigma[2] / t58 / t1780 / rho[1];
  t1786 = t413 * t413;
  t1788 = t1287 / t1786;
  t1789 = t66 * t1285 * t1788;
  t1792 = t893 * t1788;
  t1795 = t412 * t1788;
  t1798 = t166 * t1788;
  t1801 = 0.20944e5 / 0.81e2 * t56 / t59 / t162 * t66 - 0.48752e5 / 0.27e2 * t160 / t58 / t487 * t169 + 0.164032e6 / 0.81e2 * t1763 * t416 + 0.164032e6 / 0.81e2 * t1763 * t419 - 0.50176e5 / 0.81e2 * t1771 * t897 - 0.50176e5 / 0.27e2 * t1771 * t900 - 0.100352e6 / 0.81e2 * t1771 * t903 + 0.4096e4 / 0.81e2 * t1784 * t1789 + 0.8192e4 / 0.27e2 * t1784 * t1792 + 0.45056e5 / 0.81e2 * t1784 * t1795 + 0.8192e4 / 0.27e2 * t1784 * t1798;
  t1813 = t376 * t376;
  t1818 = t381 * t381;
  t1825 = my_piecewise5(t14, 0, t10, 0, -0.24e2 * t540 + 0.24e2 * t1323);
  t1829 = my_piecewise3(t51, 0, 0.4e2 / 0.81e2 * t1311 * t1813 - 0.16e2 / 0.9e1 * t780 * t381 + 0.4e1 / 0.3e1 * t277 * t1818 + 0.16e2 / 0.9e1 * t329 * t850 + 0.4e1 / 0.3e1 * t52 * t1825);
  t1837 = -0.9e1 / 0.4e1 * t5 * t386 * t422 - 0.3e1 / 0.2e1 * t5 * t150 * t906 - 0.3e1 / 0.8e1 * t5 * t55 * t1801 + t1610 / 0.2e1 - t1685 / 0.2e1 - 0.3e1 / 0.2e1 * t1693 - 0.3e1 / 0.2e1 * t1702 - t1712 / 0.2e1 - 0.5e1 / 0.9e1 * t1478 + t1584 / 0.2e1 + t1596 - 0.5e1 / 0.9e1 * t1463 + t1350 - 0.3e1 / 0.8e1 * t5 * t1829 * t26 * t69 - 0.3e1 / 0.2e1 * t5 * t855 * t172;
  t1838 = my_piecewise3(t46, 0, t1837);
  tv4rho44 = 0.4e1 * t842 + 0.4e1 * t911 + t6 * (t1745 + t1838);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 4] += tv4rho44;

  t1846 = t5 * t553 * t187;
  t1852 = t5 * t560 * t187;
  t1855 = t5 * t225 * t453;
  t1862 = 0.5e1 / 0.36e2 * t5 * t572 * t187;
  t1864 = t5 * t234 * t453;
  t1867 = t5 * t88 * t958;
  t1877 = params->beta * t593 * t38;
  t1883 = params->beta * t603 * t38;
  t1884 = t605 * t607;
  t1885 = t252 * t609;
  t1889 = t258 * t607;
  t1893 = params->omega * t607;
  t1899 = t600 / t30 / t1280;
  t1908 = -0.1232e4 / 0.27e2 * params->beta * t583 * t38 + 0.4048e4 / 0.9e1 * params->beta * t588 * t38 * t443 - 0.164e5 / 0.27e2 * t1877 * t941 - 0.164e5 / 0.27e2 * t1877 * t945 + 0.5696e4 / 0.27e2 * t1883 * t1884 * t1885 + 0.5696e4 / 0.9e1 * t1883 * t1889 * t1885 + 0.11392e5 / 0.27e2 * t1883 * t1893 * t1885 - 0.512e3 / 0.27e2 * t1899 * t1291 - 0.1024e4 / 0.9e1 * t1899 * t1294 - 0.5632e4 / 0.27e2 * t1899 * t1297 - 0.1024e4 / 0.9e1 * t1899 * t1300;
  t1913 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t549 * t187 - 0.3e1 / 0.8e1 * t1846 - 0.9e1 / 0.8e1 * t5 * t221 * t453 + t1852 / 0.4e1 - 0.3e1 / 0.4e1 * t1855 - 0.9e1 / 0.8e1 * t5 * t82 * t958 - t1862 + t1864 / 0.4e1 - 0.3e1 / 0.8e1 * t1867 - 0.3e1 / 0.8e1 * t5 * t27 * t1908);
  tv4rho3sigma0 = t1913 * t6 + 0.3e1 * t963;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  tv4rho3sigma1 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 1] += tv4rho3sigma1;

  t1920 = t5 * t646 * t199;
  t1923 = t5 * t650 * t199;
  t1927 = 0.5e1 / 0.36e2 * t5 * t654 * t199;
  t1929 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t642 * t199 - 0.3e1 / 0.8e1 * t1920 + t1923 / 0.4e1 - t1927);
  tv4rho3sigma2 = t1929 * t6 + 0.3e1 * t976;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 2] += tv4rho3sigma2;

  t1931 = 0.2e1 * t990;
  t1937 = t5 * t684 * t187 / 0.4e1;
  t1942 = t5 * t691 * t187;
  t1946 = t5 * t318 * t453 / 0.4e1;
  t1955 = -0.3e1 / 0.8e1 * t5 * t680 * t187 - t1937 - 0.3e1 / 0.4e1 * t5 * t314 * t453 + t1942 / 0.12e2 - t1946 - 0.3e1 / 0.8e1 * t5 * t139 * t958 - t1846 / 0.8e1 + t1852 / 0.6e1 - t1855 / 0.4e1 - t1862 + t1864 / 0.6e1 - t1867 / 0.8e1;
  t1956 = my_piecewise3(t1, 0, t1955);
  tv4rho3sigma3 = t1956 * t6 + t1931 + t963;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 3] += tv4rho3sigma3;

  tv4rho3sigma4 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 4] += tv4rho3sigma4;

  t1958 = 0.2e1 * t1006;
  t1964 = t5 * t727 * t199 / 0.4e1;
  t1966 = t5 * t731 * t199;
  t1975 = t5 * t293 * t494 / 0.4e1;
  t1977 = t5 * t297 * t494;
  t1980 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t723 * t199 - t1964 + t1966 / 0.12e2 - t1920 / 0.8e1 + t1923 / 0.6e1 - t1927 - 0.3e1 / 0.8e1 * t5 * t289 * t494 - t1975 + t1977 / 0.12e2);
  tv4rho3sigma5 = t1980 * t6 + t1958 + t976;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 5] += tv4rho3sigma5;

  t1986 = t5 * t768 * t187;
  t1995 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t764 * t187 - t1986 / 0.8e1 - 0.3e1 / 0.8e1 * t5 * t369 * t453 - t1937 + t1942 / 0.6e1 - t1946 + t1852 / 0.12e2 - t1862 + t1864 / 0.12e2);
  tv4rho3sigma6 = t1995 * t6 + t1014 + t1931;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 6] += tv4rho3sigma6;

  tv4rho3sigma7 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 7] += tv4rho3sigma7;

  t2001 = t5 * t798 * t199;
  t2008 = t5 * t342 * t494;
  t2016 = t5 * t126 * t1051;
  t2018 = -0.3e1 / 0.8e1 * t5 * t794 * t199 - t2001 / 0.8e1 - t1964 + t1966 / 0.6e1 - 0.3e1 / 0.4e1 * t5 * t338 * t494 - t2008 / 0.4e1 + t1923 / 0.12e2 - t1927 - t1975 + t1977 / 0.6e1 - 0.3e1 / 0.8e1 * t5 * t122 * t1051 - t2016 / 0.8e1;
  t2019 = my_piecewise3(t46, 0, t2018);
  tv4rho3sigma8 = t2019 * t6 + t1056 + t1958;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 8] += tv4rho3sigma8;

  t2028 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t835 * t187 - 0.3e1 / 0.8e1 * t1986 + t1942 / 0.4e1 - t1862);
  tv4rho3sigma9 = t2028 * t6 + 0.3e1 * t1014;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 9] += tv4rho3sigma9;

  tv4rho3sigma10 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 10] += tv4rho3sigma10;

  t2053 = params->beta * t881 * t66;
  t2059 = params->beta * t891 * t66;
  t2060 = t406 * t895;
  t2072 = t888 / t58 / t1780;
  t2081 = -0.1232e4 / 0.27e2 * params->beta * t871 * t66 + 0.4048e4 / 0.9e1 * params->beta * t876 * t66 * t484 - 0.164e5 / 0.27e2 * t2053 * t1035 - 0.164e5 / 0.27e2 * t2053 * t1038 + 0.5696e4 / 0.27e2 * t2059 * t1884 * t2060 + 0.5696e4 / 0.9e1 * t2059 * t1889 * t2060 + 0.11392e5 / 0.27e2 * t2059 * t1893 * t2060 - 0.512e3 / 0.27e2 * t2072 * t1789 - 0.1024e4 / 0.9e1 * t2072 * t1792 - 0.5632e4 / 0.27e2 * t2072 * t1795 - 0.1024e4 / 0.9e1 * t2072 * t1798;
  t2086 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t855 * t199 - 0.3e1 / 0.8e1 * t2001 - 0.9e1 / 0.8e1 * t5 * t386 * t494 + t1966 / 0.4e1 - 0.3e1 / 0.4e1 * t2008 - 0.9e1 / 0.8e1 * t5 * t150 * t1051 - t1927 + t1977 / 0.4e1 - 0.3e1 / 0.8e1 * t2016 - 0.3e1 / 0.8e1 * t5 * t55 * t2081);
  tv4rho3sigma11 = t2086 * t6 + 0.3e1 * t1056;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 11] += tv4rho3sigma11;

  t2093 = t5 * t225 * t510;
  t2100 = t5 * t234 * t510 / 0.12e2;
  t2102 = t5 * t88 * t1084;
  t2111 = params->beta * t950 * t38;
  t2112 = t609 * t97;
  t2125 = t253 / t30 / t254 / t246;
  t2139 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t221 * t510 - t2093 / 0.4e1 - 0.3e1 / 0.4e1 * t5 * t82 * t1084 + t2100 - t2102 / 0.4e1 - 0.3e1 / 0.8e1 * t5 * t27 * (-0.608e3 / 0.9e1 * t934 * t503 + 0.1336e4 / 0.9e1 * t938 * t1069 + 0.1336e4 / 0.9e1 * t938 * t1072 - 0.2e3 / 0.3e1 * t2111 * t1884 * t2112 - 0.2e3 * t2111 * t1889 * t2112 - 0.4e3 / 0.3e1 * t2111 * t1893 * t2112 + 0.64e2 / 0.9e1 * t2125 * t1291 + 0.128e3 / 0.3e1 * t2125 * t1294 + 0.704e3 / 0.9e1 * t2125 * t1297 + 0.128e3 / 0.3e1 * t2125 * t1300));
  tv4rho2sigma20 = t2139 * t6 + 0.2e1 * t1089;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  tv4rho2sigma21 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 1] += tv4rho2sigma21;

  tv4rho2sigma22 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 2] += tv4rho2sigma22;

  tv4rho2sigma23 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 3] += tv4rho2sigma23;

  tv4rho2sigma24 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 4] += tv4rho2sigma24;

  t2146 = t5 * t293 * t524;
  t2150 = t5 * t297 * t524 / 0.12e2;
  t2152 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t289 * t524 - t2146 / 0.4e1 + t2150);
  tv4rho2sigma25 = t2152 * t6 + 0.2e1 * t1098;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 5] += tv4rho2sigma25;

  t2158 = t5 * t318 * t510;
  t2166 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t314 * t510 - t2158 / 0.8e1 - 0.3e1 / 0.8e1 * t5 * t139 * t1084 - t2093 / 0.8e1 + t2100 - t2102 / 0.8e1);
  tv4rho2sigma26 = t2166 * t6 + t1089 + t1104;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 6] += tv4rho2sigma26;

  tv4rho2sigma27 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 7] += tv4rho2sigma27;

  tv4rho2sigma28 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 8] += tv4rho2sigma28;

  tv4rho2sigma29 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 9] += tv4rho2sigma29;

  tv4rho2sigma210 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 10] += tv4rho2sigma210;

  t2172 = t5 * t342 * t524;
  t2179 = t5 * t126 * t1129;
  t2182 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t338 * t524 - t2172 / 0.8e1 - t2146 / 0.8e1 + t2150 - 0.3e1 / 0.8e1 * t5 * t122 * t1129 - t2179 / 0.8e1);
  tv4rho2sigma211 = t2182 * t6 + t1098 + t1134;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 11] += tv4rho2sigma211;

  t2190 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t369 * t510 - t2158 / 0.4e1 + t2100);
  tv4rho2sigma212 = t2190 * t6 + 0.2e1 * t1104;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 12] += tv4rho2sigma212;

  tv4rho2sigma213 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 13] += tv4rho2sigma213;

  tv4rho2sigma214 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 14] += tv4rho2sigma214;

  tv4rho2sigma215 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 15] += tv4rho2sigma215;

  tv4rho2sigma216 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 16] += tv4rho2sigma216;

  t2208 = params->beta * t1043 * t66;
  t2209 = t895 * t159;
  t2222 = t407 / t58 / t408 / t400;
  t2236 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t386 * t524 - t2172 / 0.4e1 - 0.3e1 / 0.4e1 * t5 * t150 * t1129 + t2150 - t2179 / 0.4e1 - 0.3e1 / 0.8e1 * t5 * t55 * (-0.608e3 / 0.9e1 * t1029 * t517 + 0.1336e4 / 0.9e1 * t1033 * t1114 + 0.1336e4 / 0.9e1 * t1033 * t1117 - 0.2e3 / 0.3e1 * t2208 * t1884 * t2209 - 0.2e3 * t2208 * t1889 * t2209 - 0.4e3 / 0.3e1 * t2208 * t1893 * t2209 + 0.64e2 / 0.9e1 * t2222 * t1789 + 0.128e3 / 0.3e1 * t2222 * t1792 + 0.704e3 / 0.9e1 * t2222 * t1795 + 0.128e3 / 0.3e1 * t2222 * t1798));
  tv4rho2sigma217 = t2236 * t6 + 0.2e1 * t1134;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 17] += tv4rho2sigma217;

  t2243 = t5 * t88 * t1152 / 0.8e1;
  t2247 = params->beta * t1076 * t38;
  t2248 = t609 * sigma[0];
  t2262 = t98 / t30 / t1268;
  t2276 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t82 * t1152 - t2243 - 0.3e1 / 0.8e1 * t5 * t27 * (-0.24e2 * t1067 * t1138 + 0.56e2 / 0.3e1 * t2247 * t1884 * t2248 + 0.56e2 * t2247 * t1889 * t2248 - 0.24e2 * t1067 * t1141 + 0.112e3 / 0.3e1 * t2247 * t1893 * t2248 - 0.8e1 / 0.3e1 * t2262 * t1291 - 0.16e2 * t2262 * t1294 - 0.88e2 / 0.3e1 * t2262 * t1297 - 0.16e2 * t2262 * t1300));
  tv4rhosigma30 = t2276 * t6 + t1156;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  tv4rhosigma31 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 1] += tv4rhosigma31;

  tv4rhosigma32 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 2] += tv4rhosigma32;

  tv4rhosigma33 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 3] += tv4rhosigma33;

  tv4rhosigma34 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 4] += tv4rhosigma34;

  tv4rhosigma35 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 5] += tv4rhosigma35;

  tv4rhosigma36 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 6] += tv4rhosigma36;

  tv4rhosigma37 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 7] += tv4rhosigma37;

  tv4rhosigma38 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 8] += tv4rhosigma38;

  t2283 = t5 * t126 * t1173 / 0.8e1;
  t2285 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t122 * t1173 - t2283);
  tv4rhosigma39 = t2285 * t6 + t1177;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 9] += tv4rhosigma39;

  t2291 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t139 * t1152 - t2243);
  tv4rhosigma310 = t2291 * t6 + t1156;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 10] += tv4rhosigma310;

  tv4rhosigma311 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 11] += tv4rhosigma311;

  tv4rhosigma312 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 12] += tv4rhosigma312;

  tv4rhosigma313 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 13] += tv4rhosigma313;

  tv4rhosigma314 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 14] += tv4rhosigma314;

  tv4rhosigma315 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 15] += tv4rhosigma315;

  tv4rhosigma316 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 16] += tv4rhosigma316;

  tv4rhosigma317 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 17] += tv4rhosigma317;

  tv4rhosigma318 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 18] += tv4rhosigma318;

  t2299 = params->beta * t1121 * t66;
  t2300 = t895 * sigma[2];
  t2314 = t160 / t58 / t1768;
  t2328 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t150 * t1173 - t2283 - 0.3e1 / 0.8e1 * t5 * t55 * (-0.24e2 * t1112 * t1159 + 0.56e2 / 0.3e1 * t2299 * t1884 * t2300 + 0.56e2 * t2299 * t1889 * t2300 - 0.24e2 * t1112 * t1162 + 0.112e3 / 0.3e1 * t2299 * t1893 * t2300 - 0.8e1 / 0.3e1 * t2314 * t1789 - 0.16e2 * t2314 * t1792 - 0.88e2 / 0.3e1 * t2314 * t1795 - 0.16e2 * t2314 * t1798));
  tv4rhosigma319 = t2328 * t6 + t1177;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 19] += tv4rhosigma319;

  t2331 = params->beta * t1145 * t38;
  t2343 = t28 / t30 / t601;
  t2355 = my_piecewise3(t1, 0, -0.3e1 / 0.8e1 * t5 * t27 * (-0.4e1 * t1884 * t2331 * t609 - 0.12e2 * t1889 * t2331 * t609 - 0.8e1 * t1893 * t2331 * t609 + t1291 * t2343 + 0.6e1 * t1294 * t2343 + 0.11e2 * t1297 * t2343 + 0.6e1 * t1300 * t2343));
  tv4sigma40 = t6 * t2355;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

  tv4sigma41 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 1] += tv4sigma41;

  tv4sigma42 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 2] += tv4sigma42;

  tv4sigma43 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 3] += tv4sigma43;

  tv4sigma44 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 4] += tv4sigma44;

  tv4sigma45 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 5] += tv4sigma45;

  tv4sigma46 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 6] += tv4sigma46;

  tv4sigma47 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 7] += tv4sigma47;

  tv4sigma48 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 8] += tv4sigma48;

  tv4sigma49 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 9] += tv4sigma49;

  tv4sigma410 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 10] += tv4sigma410;

  tv4sigma411 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 11] += tv4sigma411;

  tv4sigma412 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 12] += tv4sigma412;

  tv4sigma413 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 13] += tv4sigma413;

  t2357 = params->beta * t1166 * t66;
  t2369 = t56 / t58 / t889;
  t2381 = my_piecewise3(t46, 0, -0.3e1 / 0.8e1 * t5 * t55 * (-0.4e1 * t1884 * t2357 * t895 - 0.12e2 * t1889 * t2357 * t895 - 0.8e1 * t1893 * t2357 * t895 + t1789 * t2369 + 0.6e1 * t1792 * t2369 + 0.11e2 * t1795 * t2369 + 0.6e1 * t1798 * t2369));
  tv4sigma414 = t6 * t2381;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 14] += tv4sigma414;

}

#endif

