/*
  This file was generated automatically with scripts/maple2c.py.
  Do not edit this file directly as it can be overwritten!!

  This Source Code Form is subject to the terms of the Mozilla Public
  License, v. 2.0. If a copy of the MPL was not distributed with this
  file, You can obtain one at http://mozilla.org/MPL/2.0/.

  Maple version     : Maple 2022 (X86 64 LINUX)
  Maple source      : ./maple/mgga_exc/mgga_x_br89.mpl
  Type of functional: mgga_exc
*/

#define maple2c_order 4
#define MAPLE2C_FLAGS (XC_FLAGS_I_HAVE_EXC | XC_FLAGS_I_HAVE_VXC | XC_FLAGS_I_HAVE_FXC | XC_FLAGS_I_HAVE_KXC | XC_FLAGS_I_HAVE_LXC)


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t7, t8, t10, t12, t14;
  double t15, t16, t18, t19, t20, t21, t22, t23;
  double t24, t25, t27, t30, t33, t34, t36, t40;
  double t43, t44, t47, t50, t53, t54, t55, t56;
  double t57, t59, t60, t62, t63, t64, t65, t66;
  double t67, t68, t69, t70, t71, t73, t74, t75;
  double t76, t77, t78, t80, t81, t82, t83, t84;
  double t87, t88, t89, t91, t95, t96, t97, t100;
  double tzk0;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = 0.1e1 <= p->zeta_threshold;
  t5 = p->zeta_threshold - 0.1e1;
  t7 = my_piecewise5(t4, t5, t4, -t5, 0);
  t8 = 0.1e1 + t7;
  t10 = POW_1_3(p->zeta_threshold);
  t12 = POW_1_3(t8);
  t14 = my_piecewise3(t8 <= p->zeta_threshold, t10 * p->zeta_threshold, t12 * t8);
  t15 = POW_1_3(rho[0]);
  t16 = t14 * t15;
  t18 = POW_1_3(0.1e1 / M_PI);
  t19 = 0.1e1 / t18;
  t20 = M_CBRT4;
  t21 = t19 * t20;
  t22 = t16 * t21;
  t23 = M_CBRT2;
  t24 = t23 * t23;
  t25 = t15 * t15;
  t27 = 0.1e1 / t25 / rho[0];
  t30 = tau[0] * params->gamma;
  t33 = params->gamma * sigma[0];
  t34 = rho[0] * rho[0];
  t36 = 0.1e1 / t25 / t34;
  t40 = fabs(lapl[0] * t27 / 0.2e1 - 0.2e1 * t30 * t27 + t33 * t36 / 0.4e1);
  t43 = t24 * t40 / 0.3e1 < 0.5e-12;
  t44 = lapl[0] * t24;
  t47 = t24 * t27;
  t50 = t24 * t36;
  t53 = t44 * t27 / 0.6e1 - 0.2e1 / 0.3e1 * t30 * t47 + t33 * t50 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t43, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t24;
  t75 = t74 * t27;
  t76 = t73 - t75;
  t77 = t73 + t75;
  t78 = 0.1e1 / t77;
  t80 = t76 * t76;
  t81 = t80 * t76;
  t82 = t77 * t77;
  t83 = t82 * t77;
  t84 = 0.1e1 / t83;
  t87 = t80 * t80;
  t88 = t87 * t76;
  t89 = t82 * t82;
  t91 = 0.1e1 / t89 / t77;
  t95 = 0.1e1 + params->at * (t76 * t78 - 0.2e1 * t81 * t84 + t88 * t91);
  t96 = t66 * t95;
  t97 = t65 * t96;
  t100 = my_piecewise3(t3, 0, -t22 * t97 / 0.4e1);
  tzk0 = 0.2e1 * t100;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t7, t8, t10, t12, t14;
  double t15, t16, t18, t19, t20, t21, t22, t23;
  double t24, t25, t27, t30, t33, t34, t36, t40;
  double t43, t44, t47, t50, t53, t54, t55, t56;
  double t57, t59, t60, t62, t63, t64, t65, t66;
  double t67, t68, t69, t70, t71, t73, t74, t75;
  double t76, t77, t78, t80, t81, t82, t83, t84;
  double t87, t88, t89, t91, t95, t96, t97, t100;
  double tzk0;

  double t102, t103, t106, t107, t108, t109, t110, t115;
  double t117, t118, t122, t123, t124, t125, t126, t127;
  double t129, t130, t131, t133, t134, t135, t136, t137;
  double t138, t139, t142, t143, t144, t145, t146, t148;
  double t149, t150, t153, t154, t155, t158, t159, t160;
  double t161, t162, t163, t165, t166, t169, t173, t174;
  double t175, t178, t181, t182, t185, t189, t190, t193;
  double t194, t195, t199, tvrho0, t202, t203, t205, t206;
  double t207, t208, t211, t212, t214, t217, t218, t219;
  double t223, t227, tvsigma0, t230, t231, t232, t233, t236;
  double t237, t239, t242, t243, t244, t248, t252, tvlapl0;
  double t256, t257, t258, t259, t262, t263, t265, t268;
  double t269, t270, t274, t287, t288, t289, t293, tvtau0;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = 0.1e1 <= p->zeta_threshold;
  t5 = p->zeta_threshold - 0.1e1;
  t7 = my_piecewise5(t4, t5, t4, -t5, 0);
  t8 = 0.1e1 + t7;
  t10 = POW_1_3(p->zeta_threshold);
  t12 = POW_1_3(t8);
  t14 = my_piecewise3(t8 <= p->zeta_threshold, t10 * p->zeta_threshold, t12 * t8);
  t15 = POW_1_3(rho[0]);
  t16 = t14 * t15;
  t18 = POW_1_3(0.1e1 / M_PI);
  t19 = 0.1e1 / t18;
  t20 = M_CBRT4;
  t21 = t19 * t20;
  t22 = t16 * t21;
  t23 = M_CBRT2;
  t24 = t23 * t23;
  t25 = t15 * t15;
  t27 = 0.1e1 / t25 / rho[0];
  t30 = tau[0] * params->gamma;
  t33 = params->gamma * sigma[0];
  t34 = rho[0] * rho[0];
  t36 = 0.1e1 / t25 / t34;
  t40 = fabs(lapl[0] * t27 / 0.2e1 - 0.2e1 * t30 * t27 + t33 * t36 / 0.4e1);
  t43 = t24 * t40 / 0.3e1 < 0.5e-12;
  t44 = lapl[0] * t24;
  t47 = t24 * t27;
  t50 = t24 * t36;
  t53 = t44 * t27 / 0.6e1 - 0.2e1 / 0.3e1 * t30 * t47 + t33 * t50 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t43, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t24;
  t75 = t74 * t27;
  t76 = t73 - t75;
  t77 = t73 + t75;
  t78 = 0.1e1 / t77;
  t80 = t76 * t76;
  t81 = t80 * t76;
  t82 = t77 * t77;
  t83 = t82 * t77;
  t84 = 0.1e1 / t83;
  t87 = t80 * t80;
  t88 = t87 * t76;
  t89 = t82 * t82;
  t91 = 0.1e1 / t89 / t77;
  t95 = 0.1e1 + params->at * (t76 * t78 - 0.2e1 * t81 * t84 + t88 * t91);
  t96 = t66 * t95;
  t97 = t65 * t96;
  t100 = my_piecewise3(t3, 0, -t22 * t97 / 0.4e1);
  tzk0 = 0.2e1 * t100;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t102 = t14 / t25;
  t103 = t102 * t21;
  t106 = t16 * t19;
  t107 = M_CBRTPI;
  t108 = t107 * t107;
  t109 = t20 * t108;
  t110 = my_piecewise3(t54, 0, 0);
  t115 = t34 * rho[0];
  t117 = 0.1e1 / t25 / t115;
  t118 = t24 * t117;
  t122 = my_piecewise3(t43, t110, -0.5e1 / 0.18e2 * t44 * t36 + 0.1e2 / 0.9e1 * t30 * t50 - 0.2e1 / 0.9e1 * t33 * t118);
  t123 = t56 * t56;
  t124 = 0.1e1 / t123;
  t125 = t122 * t124;
  t126 = t109 * t125;
  t127 = t106 * t126;
  t129 = exp(-0.2e1 / 0.3e1 * t57);
  t130 = 0.1e1 / t129;
  t131 = t57 * t57;
  t133 = t131 - 0.2e1 * t57 + 0.3e1;
  t134 = 0.1e1 / t133;
  t135 = t130 * t134;
  t136 = t57 - 0.2e1;
  t137 = t136 * t136;
  t138 = t135 * t137;
  t139 = t138 * t97;
  t142 = t108 * t122;
  t143 = t124 * t130;
  t144 = t142 * t143;
  t145 = t134 * t137;
  t146 = t145 * t63;
  t148 = t142 * t124;
  t149 = t137 * t60;
  t150 = t135 * t149;
  t153 = t144 * t146 - t148 * t150 / 0.2e1;
  t154 = t59 * t153;
  t155 = t154 * t96;
  t158 = t20 * t59;
  t159 = 0.1e1 / t131;
  t160 = t64 * t159;
  t161 = t158 * t160;
  t162 = t106 * t161;
  t163 = t95 * t108;
  t165 = t143 * t145;
  t166 = t163 * t122 * t165;
  t169 = t66 * params->at;
  t173 = 0.1e1 / t82;
  t174 = t76 * t173;
  t175 = t74 * t36;
  t178 = t80 * t84;
  t181 = 0.1e1 / t89;
  t182 = t81 * t181;
  t185 = t87 * t91;
  t189 = 0.1e1 / t89 / t82;
  t190 = t88 * t189;
  t193 = 0.5e1 / 0.3e1 * t74 * t36 * t78 + 0.5e1 / 0.3e1 * t174 * t175 - 0.1e2 * t178 * t175 - 0.1e2 * t182 * t175 + 0.25e2 / 0.3e1 * t185 * t175 + 0.25e2 / 0.3e1 * t190 * t175;
  t194 = t169 * t193;
  t195 = t65 * t194;
  t199 = my_piecewise3(t3, 0, -t103 * t97 / 0.12e2 - t127 * t139 / 0.12e2 - t22 * t155 / 0.4e1 + t162 * t166 / 0.4e1 - t22 * t195 / 0.4e1);
  tvrho0 = 0.2e1 * rho[0] * t199 + 0.2e1 * t100;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t202 = params->gamma * t24;
  t203 = t202 * t36;
  t205 = my_piecewise3(t43, t110, t203 / 0.12e2);
  t206 = t205 * t124;
  t207 = t109 * t206;
  t208 = t106 * t207;
  t211 = t108 * t205;
  t212 = t211 * t143;
  t214 = t211 * t124;
  t217 = t212 * t146 - t214 * t150 / 0.2e1;
  t218 = t59 * t217;
  t219 = t218 * t96;
  t223 = t163 * t205 * t165;
  t227 = my_piecewise3(t3, 0, -t208 * t139 / 0.12e2 - t22 * t219 / 0.4e1 + t162 * t223 / 0.4e1);
  tvsigma0 = 0.2e1 * rho[0] * t227;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t230 = my_piecewise3(t43, t110, t47 / 0.6e1);
  t231 = t230 * t124;
  t232 = t109 * t231;
  t233 = t106 * t232;
  t236 = t108 * t230;
  t237 = t236 * t143;
  t239 = t236 * t124;
  t242 = t237 * t146 - t239 * t150 / 0.2e1;
  t243 = t59 * t242;
  t244 = t243 * t96;
  t248 = t163 * t230 * t165;
  t252 = my_piecewise3(t3, 0, -t233 * t139 / 0.12e2 - t22 * t244 / 0.4e1 + t162 * t248 / 0.4e1);
  tvlapl0 = 0.2e1 * rho[0] * t252;

  if(out->vlapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t256 = my_piecewise3(t43, t110, -0.2e1 / 0.3e1 * t202 * t27);
  t257 = t256 * t124;
  t258 = t109 * t257;
  t259 = t106 * t258;
  t262 = t108 * t256;
  t263 = t262 * t143;
  t265 = t262 * t124;
  t268 = t263 * t146 - t265 * t150 / 0.2e1;
  t269 = t59 * t268;
  t270 = t269 * t96;
  t274 = t163 * t256 * t165;
  t287 = -t174 * t47 + 0.6e1 * t178 * t47 + 0.6e1 * t182 * t47 - 0.5e1 * t185 * t47 - 0.5e1 * t190 * t47 - t47 * t78;
  t288 = t169 * t287;
  t289 = t65 * t288;
  t293 = my_piecewise3(t3, 0, -t259 * t139 / 0.12e2 - t22 * t270 / 0.4e1 + t162 * t274 / 0.4e1 - t22 * t289 / 0.4e1);
  tvtau0 = 0.2e1 * rho[0] * t293;

  if(out->vtau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t7, t8, t10, t12, t14;
  double t15, t16, t18, t19, t20, t21, t22, t23;
  double t24, t25, t27, t30, t33, t34, t36, t40;
  double t43, t44, t47, t50, t53, t54, t55, t56;
  double t57, t59, t60, t62, t63, t64, t65, t66;
  double t67, t68, t69, t70, t71, t73, t74, t75;
  double t76, t77, t78, t80, t81, t82, t83, t84;
  double t87, t88, t89, t91, t95, t96, t97, t100;
  double tzk0;

  double t102, t103, t106, t107, t108, t109, t110, t115;
  double t117, t118, t122, t123, t124, t125, t126, t127;
  double t129, t130, t131, t133, t134, t135, t136, t137;
  double t138, t139, t142, t143, t144, t145, t146, t148;
  double t149, t150, t153, t154, t155, t158, t159, t160;
  double t161, t162, t163, t165, t166, t169, t173, t174;
  double t175, t178, t181, t182, t185, t189, t190, t193;
  double t194, t195, t199, tvrho0, t202, t203, t205, t206;
  double t207, t208, t211, t212, t214, t217, t218, t219;
  double t223, t227, tvsigma0, t230, t231, t232, t233, t236;
  double t237, t239, t242, t243, t244, t248, t252, tvlapl0;
  double t256, t257, t258, t259, t262, t263, t265, t268;
  double t269, t270, t274, t287, t288, t289, t293, tvtau0;

  double t296, t298, t301, t302, t303, t304, t305, t308;
  double t310, t311, t312, t313, t314, t317, t318, t319;
  double t320, t321, t326, t328, t329, t332, t333, t334;
  double t335, t336, t337, t338, t339, t340, t341, t342;
  double t343, t344, t347, t348, t349, t356, t358, t359;
  double t363, t365, t368, t369, t372, t375, t376, t377;
  double t380, t383, t386, t387, t389, t390, t393, t394;
  double t395, t396, t397, t400, t401, t402, t404, t405;
  double t406, t409, t410, t411, t414, t417, t419, t420;
  double t423, t424, t426, t427, t428, t433, t439, t440;
  double t441, t443, t447, t448, t451, t454, t459, t464;
  double t470, t471, t476, t477, t478, t481, t482, t485;
  double t486, t487, t490, t491, t492, t493, t496, t497;
  double t500, t501, t502, t506, t507, t508, t509, t510;
  double t511, t512, t513, t516, t517, t520, t522, tv2rho20;
  double t525, t528, t530, t531, t532, t533, t536, t537;
  double t538, t539, t540, t541, t544, t545, t546, t547;
  double t548, t549, t554, t555, t556, t561, t562, t569;
  double t572, t573, t574, t576, t577, t578, t581, t582;
  double t583, t587, t590, t591, t594, t597, t601, t603;
  double t604, t605, t608, t609, t610, t613, t620, t621;
  double t622, t623, t627, t631, t634, t635, t636, t637;
  double t640, t641, t645, t646, t649, t651, tv2rhosigma0, t654;
  double t658, t659, t660, t661, t664, t665, t666, t669;
  double t670, t671, t686, t689, t690, t691, t693, t696;
  double t697, t705, t712, t713, t714, t717, t718, t719;
  double t722, t729, t730, t734, t738, t741, t742, t745;
  double t746, t749, t752, t754, tv2rholapl0, t757, t760, t767;
  double t768, t771, t792, t793, t794, t802, t803, t804;
  double t806, t809, t810, t818, t825, t826, t827, t833;
  double t836, t837, t838, t843, t848, t851, t852, t853;
  double t854, t857, t858, t859, t862, t865, t866, t871;
  double t872, t873, t876, t877, t881, t884, t885, t886;
  double t890, t893, t894, t903, t905, tv2rhotau0, t908, t909;
  double t910, t911, t913, t914, t915, t916, t917, t920;
  double t921, t922, t929, t930, t931, t932, t941, t942;
  double t943, t944, t945, t948, t949, t952, t953, t957;
  double t960, t962, t963, t965, t966, t970, t971, t972;
  double t977, t978, t982, t984, t986, t989, t990, t991;
  double t994, t997, t998, tv2sigma20, t1000, t1001, t1002, t1005;
  double t1010, t1015, t1016, t1021, t1022, t1025, t1029, t1032;
  double t1033, t1036, t1040, t1042, t1043, t1044, t1051, t1052;
  double t1053, t1056, t1057, t1058, t1061, t1064, t1065, t1066;
  double t1069, t1070, tv2sigmalapl0, t1099, t1100, t1101, t1108, t1111;
  double t1114, t1117, t1122, t1126, t1129, t1130, tv2sigmatau0, t1132;
  double t1133, t1134, t1135, t1138, t1139, t1140, t1147, t1148;
  double t1149, t1150, t1159, t1160, t1163, t1164, t1167, t1168;
  double t1172, t1175, t1177, t1178, t1182, t1183, t1184, t1189;
  double t1190, t1194, t1197, t1198, t1199, t1202, t1205, t1206;
  double tv2lapl20, t1208, t1209, t1210, t1213, t1218, t1223, t1224;
  double t1229, t1230, t1233, t1237, t1240, t1241, t1244, t1248;
  double t1250, t1251, t1252, t1259, t1260, t1261, t1264, t1265;
  double t1266, t1269, t1272, t1273, t1274, t1279, t1283, t1286;
  double t1287, tv2lapltau0, t1289, t1290, t1291, t1292, t1295, t1296;
  double t1297, t1304, t1305, t1306, t1307, t1318, t1319, t1322;
  double t1323, t1326, t1327, t1331, t1334, t1336, t1337, t1341;
  double t1342, t1343, t1348, t1351, t1352, t1356, t1360, t1363;
  double t1364, t1365, t1368, t1373, t1386, t1387, t1388, t1391;
  double t1392, tv2tau20;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = 0.1e1 <= p->zeta_threshold;
  t5 = p->zeta_threshold - 0.1e1;
  t7 = my_piecewise5(t4, t5, t4, -t5, 0);
  t8 = 0.1e1 + t7;
  t10 = POW_1_3(p->zeta_threshold);
  t12 = POW_1_3(t8);
  t14 = my_piecewise3(t8 <= p->zeta_threshold, t10 * p->zeta_threshold, t12 * t8);
  t15 = POW_1_3(rho[0]);
  t16 = t14 * t15;
  t18 = POW_1_3(0.1e1 / M_PI);
  t19 = 0.1e1 / t18;
  t20 = M_CBRT4;
  t21 = t19 * t20;
  t22 = t16 * t21;
  t23 = M_CBRT2;
  t24 = t23 * t23;
  t25 = t15 * t15;
  t27 = 0.1e1 / t25 / rho[0];
  t30 = tau[0] * params->gamma;
  t33 = params->gamma * sigma[0];
  t34 = rho[0] * rho[0];
  t36 = 0.1e1 / t25 / t34;
  t40 = fabs(lapl[0] * t27 / 0.2e1 - 0.2e1 * t30 * t27 + t33 * t36 / 0.4e1);
  t43 = t24 * t40 / 0.3e1 < 0.5e-12;
  t44 = lapl[0] * t24;
  t47 = t24 * t27;
  t50 = t24 * t36;
  t53 = t44 * t27 / 0.6e1 - 0.2e1 / 0.3e1 * t30 * t47 + t33 * t50 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t43, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t24;
  t75 = t74 * t27;
  t76 = t73 - t75;
  t77 = t73 + t75;
  t78 = 0.1e1 / t77;
  t80 = t76 * t76;
  t81 = t80 * t76;
  t82 = t77 * t77;
  t83 = t82 * t77;
  t84 = 0.1e1 / t83;
  t87 = t80 * t80;
  t88 = t87 * t76;
  t89 = t82 * t82;
  t91 = 0.1e1 / t89 / t77;
  t95 = 0.1e1 + params->at * (t76 * t78 - 0.2e1 * t81 * t84 + t88 * t91);
  t96 = t66 * t95;
  t97 = t65 * t96;
  t100 = my_piecewise3(t3, 0, -t22 * t97 / 0.4e1);
  tzk0 = 0.2e1 * t100;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t102 = t14 / t25;
  t103 = t102 * t21;
  t106 = t16 * t19;
  t107 = M_CBRTPI;
  t108 = t107 * t107;
  t109 = t20 * t108;
  t110 = my_piecewise3(t54, 0, 0);
  t115 = t34 * rho[0];
  t117 = 0.1e1 / t25 / t115;
  t118 = t24 * t117;
  t122 = my_piecewise3(t43, t110, -0.5e1 / 0.18e2 * t44 * t36 + 0.1e2 / 0.9e1 * t30 * t50 - 0.2e1 / 0.9e1 * t33 * t118);
  t123 = t56 * t56;
  t124 = 0.1e1 / t123;
  t125 = t122 * t124;
  t126 = t109 * t125;
  t127 = t106 * t126;
  t129 = exp(-0.2e1 / 0.3e1 * t57);
  t130 = 0.1e1 / t129;
  t131 = t57 * t57;
  t133 = t131 - 0.2e1 * t57 + 0.3e1;
  t134 = 0.1e1 / t133;
  t135 = t130 * t134;
  t136 = t57 - 0.2e1;
  t137 = t136 * t136;
  t138 = t135 * t137;
  t139 = t138 * t97;
  t142 = t108 * t122;
  t143 = t124 * t130;
  t144 = t142 * t143;
  t145 = t134 * t137;
  t146 = t145 * t63;
  t148 = t142 * t124;
  t149 = t137 * t60;
  t150 = t135 * t149;
  t153 = t144 * t146 - t148 * t150 / 0.2e1;
  t154 = t59 * t153;
  t155 = t154 * t96;
  t158 = t20 * t59;
  t159 = 0.1e1 / t131;
  t160 = t64 * t159;
  t161 = t158 * t160;
  t162 = t106 * t161;
  t163 = t95 * t108;
  t165 = t143 * t145;
  t166 = t163 * t122 * t165;
  t169 = t66 * params->at;
  t173 = 0.1e1 / t82;
  t174 = t76 * t173;
  t175 = t74 * t36;
  t178 = t80 * t84;
  t181 = 0.1e1 / t89;
  t182 = t81 * t181;
  t185 = t87 * t91;
  t189 = 0.1e1 / t89 / t82;
  t190 = t88 * t189;
  t193 = 0.5e1 / 0.3e1 * t74 * t36 * t78 + 0.5e1 / 0.3e1 * t174 * t175 - 0.1e2 * t178 * t175 - 0.1e2 * t182 * t175 + 0.25e2 / 0.3e1 * t185 * t175 + 0.25e2 / 0.3e1 * t190 * t175;
  t194 = t169 * t193;
  t195 = t65 * t194;
  t199 = my_piecewise3(t3, 0, -t103 * t97 / 0.12e2 - t127 * t139 / 0.12e2 - t22 * t155 / 0.4e1 + t162 * t166 / 0.4e1 - t22 * t195 / 0.4e1);
  tvrho0 = 0.2e1 * rho[0] * t199 + 0.2e1 * t100;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t202 = params->gamma * t24;
  t203 = t202 * t36;
  t205 = my_piecewise3(t43, t110, t203 / 0.12e2);
  t206 = t205 * t124;
  t207 = t109 * t206;
  t208 = t106 * t207;
  t211 = t108 * t205;
  t212 = t211 * t143;
  t214 = t211 * t124;
  t217 = t212 * t146 - t214 * t150 / 0.2e1;
  t218 = t59 * t217;
  t219 = t218 * t96;
  t223 = t163 * t205 * t165;
  t227 = my_piecewise3(t3, 0, -t208 * t139 / 0.12e2 - t22 * t219 / 0.4e1 + t162 * t223 / 0.4e1);
  tvsigma0 = 0.2e1 * rho[0] * t227;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t230 = my_piecewise3(t43, t110, t47 / 0.6e1);
  t231 = t230 * t124;
  t232 = t109 * t231;
  t233 = t106 * t232;
  t236 = t108 * t230;
  t237 = t236 * t143;
  t239 = t236 * t124;
  t242 = t237 * t146 - t239 * t150 / 0.2e1;
  t243 = t59 * t242;
  t244 = t243 * t96;
  t248 = t163 * t230 * t165;
  t252 = my_piecewise3(t3, 0, -t233 * t139 / 0.12e2 - t22 * t244 / 0.4e1 + t162 * t248 / 0.4e1);
  tvlapl0 = 0.2e1 * rho[0] * t252;

  if(out->vlapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t256 = my_piecewise3(t43, t110, -0.2e1 / 0.3e1 * t202 * t27);
  t257 = t256 * t124;
  t258 = t109 * t257;
  t259 = t106 * t258;
  t262 = t108 * t256;
  t263 = t262 * t143;
  t265 = t262 * t124;
  t268 = t263 * t146 - t265 * t150 / 0.2e1;
  t269 = t59 * t268;
  t270 = t269 * t96;
  t274 = t163 * t256 * t165;
  t287 = -t174 * t47 + 0.6e1 * t178 * t47 + 0.6e1 * t182 * t47 - 0.5e1 * t185 * t47 - 0.5e1 * t190 * t47 - t47 * t78;
  t288 = t169 * t287;
  t289 = t65 * t288;
  t293 = my_piecewise3(t3, 0, -t259 * t139 / 0.12e2 - t22 * t270 / 0.4e1 + t162 * t274 / 0.4e1 - t22 * t289 / 0.4e1);
  tvtau0 = 0.2e1 * rho[0] * t293;

  if(out->vtau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t296 = params->at * t193;
  t298 = t296 * t142 * t165;
  t301 = t137 * t59;
  t302 = t135 * t301;
  t303 = t64 * t66;
  t304 = t303 * t296;
  t305 = t302 * t304;
  t308 = t122 * t122;
  t310 = t123 * t56;
  t311 = 0.1e1 / t310;
  t312 = t311 * t130;
  t313 = t312 * t145;
  t314 = t163 * t308 * t313;
  t317 = t163 * t125;
  t318 = t133 * t133;
  t319 = 0.1e1 / t318;
  t320 = t130 * t319;
  t321 = t57 * t108;
  t326 = 0.2e1 * t122 * t165 * t321 - 0.2e1 * t138 * t148;
  t328 = t320 * t137 * t326;
  t329 = t317 * t328;
  t332 = t107 * M_PI;
  t333 = t20 * t332;
  t334 = t123 * t123;
  t335 = 0.1e1 / t334;
  t336 = t308 * t335;
  t337 = t333 * t336;
  t338 = t106 * t337;
  t339 = t129 * t129;
  t340 = 0.1e1 / t339;
  t341 = t340 * t319;
  t342 = t137 * t137;
  t343 = t341 * t342;
  t344 = t343 * t97;
  t347 = t153 * t159;
  t348 = t158 * t347;
  t349 = t106 * t348;
  t356 = t34 * t34;
  t358 = 0.1e1 / t25 / t356;
  t359 = t24 * t358;
  t363 = my_piecewise3(t43, t110, 0.2e2 / 0.27e2 * t44 * t117 - 0.8e2 / 0.27e2 * t30 * t118 + 0.22e2 / 0.27e2 * t33 * t359);
  t365 = t163 * t363 * t165;
  t368 = t102 * t19;
  t369 = t368 * t126;
  t372 = t368 * t161;
  t375 = t363 * t124;
  t376 = t109 * t375;
  t377 = t106 * t376;
  t380 = t138 * t155;
  t383 = t162 * t298 / 0.2e1 - t127 * t305 / 0.6e1 - t162 * t314 / 0.2e1 - t162 * t329 / 0.4e1 - t338 * t344 / 0.12e2 + t349 * t166 / 0.2e1 + t162 * t365 / 0.4e1 - t369 * t139 / 0.18e2 + t372 * t166 / 0.6e1 - t377 * t139 / 0.12e2 - t127 * t380 / 0.6e1;
  t386 = t108 * t363;
  t387 = t386 * t143;
  t389 = t108 * t308;
  t390 = t389 * t312;
  t393 = t332 * t308;
  t394 = t335 * t340;
  t395 = t393 * t394;
  t396 = t319 * t342;
  t397 = t396 * t63;
  t400 = t319 * t137;
  t401 = t63 * t326;
  t402 = t400 * t401;
  t404 = t137 * t136;
  t405 = t319 * t404;
  t406 = t405 * t63;
  t409 = t393 * t335;
  t410 = t342 * t60;
  t411 = t341 * t410;
  t414 = t386 * t124;
  t417 = t389 * t311;
  t419 = t60 * t326;
  t420 = t400 * t419;
  t423 = t404 * t60;
  t424 = t341 * t423;
  t426 = t387 * t146 - 0.2e1 * t390 * t146 - t395 * t397 / 0.3e1 - t144 * t402 + 0.2e1 * t395 * t406 + 0.2e1 / 0.3e1 * t409 * t411 - t414 * t150 / 0.2e1 + t417 * t150 + t144 * t420 / 0.2e1 - t409 * t424;
  t427 = t59 * t426;
  t428 = t427 * t96;
  t433 = t154 * t194;
  t439 = tau[0] * tau[0];
  t440 = t439 * t23;
  t441 = t356 * rho[0];
  t443 = 0.1e1 / t15 / t441;
  t447 = t76 * t84;
  t448 = t440 * t443;
  t451 = t74 * t117;
  t454 = t80 * t181;
  t459 = t81 * t91;
  t464 = t87 * t189;
  t470 = 0.1e1 / t89 / t83;
  t471 = t88 * t470;
  t476 = -0.4e2 / 0.9e1 * t74 * t117 * t78 + 0.1e3 / 0.9e1 * t440 * t443 * t173 - 0.5e3 / 0.9e1 * t447 * t448 - 0.4e2 / 0.9e1 * t174 * t451 - 0.2e3 * t454 * t448 + 0.8e2 / 0.3e1 * t178 * t451 - 0.2e3 / 0.9e1 * t459 * t448 + 0.8e2 / 0.3e1 * t182 * t451 + 0.25e4 / 0.9e1 * t464 * t448 - 0.2e3 / 0.9e1 * t185 * t451 + 0.5e3 / 0.3e1 * t471 * t448 - 0.2e3 / 0.9e1 * t190 * t451;
  t477 = t169 * t476;
  t478 = t65 * t477;
  t481 = t14 * t27;
  t482 = t481 * t21;
  t485 = t308 * t311;
  t486 = t109 * t485;
  t487 = t106 * t486;
  t490 = t320 * t301;
  t491 = t95 * t326;
  t492 = t303 * t491;
  t493 = t490 * t492;
  t496 = t341 * t404;
  t497 = t496 * t97;
  t500 = t159 * t95;
  t501 = t65 * t500;
  t502 = t343 * t501;
  t506 = 0.1e1 / t131 / t57;
  t507 = t64 * t506;
  t508 = t158 * t507;
  t509 = t106 * t508;
  t510 = t95 * t332;
  t511 = t510 * t308;
  t512 = t394 * t396;
  t513 = t511 * t512;
  t516 = t394 * t405;
  t517 = t511 * t516;
  t520 = -t103 * t155 / 0.6e1 - t22 * t428 / 0.4e1 - t103 * t195 / 0.6e1 - t22 * t433 / 0.2e1 - t22 * t478 / 0.4e1 + t482 * t97 / 0.18e2 + t487 * t139 / 0.6e1 + t127 * t493 / 0.12e2 - t338 * t497 / 0.6e1 + t338 * t502 / 0.3e1 - t509 * t513 / 0.2e1 + t162 * t517 / 0.2e1;
  t522 = my_piecewise3(t3, 0, t383 + t520);
  tv2rho20 = 0.2e1 * rho[0] * t522 + 0.4e1 * t199;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t525 = t368 * t207;
  t528 = t202 * t117;
  t530 = my_piecewise3(t43, t110, -0.2e1 / 0.9e1 * t528);
  t531 = t530 * t124;
  t532 = t109 * t531;
  t533 = t106 * t532;
  t536 = t205 * t311;
  t537 = t109 * t536;
  t538 = t106 * t537;
  t539 = t95 * t122;
  t540 = t303 * t539;
  t541 = t302 * t540;
  t544 = t205 * t335;
  t545 = t333 * t544;
  t546 = t106 * t545;
  t547 = t342 * t59;
  t548 = t341 * t547;
  t549 = t548 * t540;
  t554 = t404 * t59;
  t555 = t341 * t554;
  t556 = t555 * t540;
  t561 = t160 * t539;
  t562 = t548 * t561;
  t569 = t138 * t219;
  t572 = -t525 * t139 / 0.36e2 - t533 * t139 / 0.12e2 + t538 * t541 / 0.6e1 - t546 * t549 / 0.12e2 + t208 * t493 / 0.12e2 - t546 * t556 / 0.6e1 - t208 * t380 / 0.12e2 + t546 * t562 / 0.3e1 - t208 * t305 / 0.12e2 - t103 * t219 / 0.12e2 - t127 * t569 / 0.12e2;
  t573 = t108 * t530;
  t574 = t573 * t143;
  t576 = t211 * t312;
  t577 = t63 * t122;
  t578 = t145 * t577;
  t581 = t332 * t205;
  t582 = t581 * t394;
  t583 = t396 * t577;
  t587 = t405 * t577;
  t590 = t60 * t122;
  t591 = t396 * t590;
  t594 = t573 * t124;
  t597 = t145 * t590;
  t601 = t405 * t590;
  t603 = t574 * t146 - 0.2e1 * t576 * t578 - t582 * t583 / 0.3e1 - t212 * t402 + 0.2e1 * t582 * t587 + 0.2e1 / 0.3e1 * t582 * t591 - t594 * t150 / 0.2e1 + t576 * t597 + t212 * t420 / 0.2e1 - t582 * t601;
  t604 = t59 * t603;
  t605 = t604 * t96;
  t608 = t217 * t159;
  t609 = t158 * t608;
  t610 = t106 * t609;
  t613 = t218 * t194;
  t620 = t510 * t544;
  t621 = t342 * t122;
  t622 = t341 * t621;
  t623 = t620 * t622;
  t627 = t296 * t211 * t165;
  t631 = t163 * t530 * t165;
  t634 = t163 * t536;
  t635 = t137 * t122;
  t636 = t135 * t635;
  t637 = t634 * t636;
  t640 = t163 * t206;
  t641 = t640 * t328;
  t645 = t341 * t404 * t122;
  t646 = t620 * t645;
  t649 = -t22 * t605 / 0.4e1 + t610 * t166 / 0.4e1 - t22 * t613 / 0.4e1 + t372 * t223 / 0.12e2 + t349 * t223 / 0.4e1 - t509 * t623 / 0.2e1 + t162 * t627 / 0.4e1 + t162 * t631 / 0.4e1 - t162 * t637 / 0.2e1 - t162 * t641 / 0.4e1 + t162 * t646 / 0.2e1;
  t651 = my_piecewise3(t3, 0, t572 + t649);
  tv2rhosigma0 = 0.2e1 * rho[0] * t651 + 0.2e1 * t227;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t654 = t368 * t232;
  t658 = my_piecewise3(t43, t110, -0.5e1 / 0.18e2 * t50);
  t659 = t658 * t124;
  t660 = t109 * t659;
  t661 = t106 * t660;
  t664 = t230 * t311;
  t665 = t109 * t664;
  t666 = t106 * t665;
  t669 = t230 * t335;
  t670 = t333 * t669;
  t671 = t106 * t670;
  t686 = t138 * t244;
  t689 = -t654 * t139 / 0.36e2 - t661 * t139 / 0.12e2 + t666 * t541 / 0.6e1 - t671 * t549 / 0.12e2 + t233 * t493 / 0.12e2 - t671 * t556 / 0.6e1 - t233 * t380 / 0.12e2 + t671 * t562 / 0.3e1 - t233 * t305 / 0.12e2 - t103 * t244 / 0.12e2 - t127 * t686 / 0.12e2;
  t690 = t108 * t658;
  t691 = t690 * t143;
  t693 = t236 * t312;
  t696 = t332 * t230;
  t697 = t696 * t394;
  t705 = t690 * t124;
  t712 = t691 * t146 - 0.2e1 * t693 * t578 - t697 * t583 / 0.3e1 - t237 * t402 + 0.2e1 * t697 * t587 + 0.2e1 / 0.3e1 * t697 * t591 - t705 * t150 / 0.2e1 + t693 * t597 + t237 * t420 / 0.2e1 - t697 * t601;
  t713 = t59 * t712;
  t714 = t713 * t96;
  t717 = t242 * t159;
  t718 = t158 * t717;
  t719 = t106 * t718;
  t722 = t243 * t194;
  t729 = t510 * t669;
  t730 = t729 * t622;
  t734 = t296 * t236 * t165;
  t738 = t163 * t658 * t165;
  t741 = t163 * t664;
  t742 = t741 * t636;
  t745 = t163 * t231;
  t746 = t745 * t328;
  t749 = t729 * t645;
  t752 = -t22 * t714 / 0.4e1 + t719 * t166 / 0.4e1 - t22 * t722 / 0.4e1 + t372 * t248 / 0.12e2 + t349 * t248 / 0.4e1 - t509 * t730 / 0.2e1 + t162 * t734 / 0.4e1 + t162 * t738 / 0.4e1 - t162 * t742 / 0.2e1 - t162 * t746 / 0.4e1 + t162 * t749 / 0.2e1;
  t754 = my_piecewise3(t3, 0, t689 + t752);
  tv2rholapl0 = 0.2e1 * rho[0] * t754 + 0.2e1 * t252;

  if(out->v2rholapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t757 = t269 * t194;
  t760 = t154 * t288;
  t767 = t23 / t15 / t356;
  t768 = t173 * tau[0];
  t771 = t767 * tau[0];
  t792 = 0.5e1 / 0.3e1 * t50 * t78 - 0.2e2 / 0.3e1 * t767 * t768 + 0.1e3 / 0.3e1 * t447 * t771 + 0.5e1 / 0.3e1 * t174 * t50 + 0.12e3 * t454 * t771 - 0.1e2 * t178 * t50 + 0.4e2 / 0.3e1 * t459 * t771 - 0.1e2 * t182 * t50 - 0.5e3 / 0.3e1 * t464 * t771 + 0.25e2 / 0.3e1 * t185 * t50 - 0.1e3 * t471 * t771 + 0.25e2 / 0.3e1 * t190 * t50;
  t793 = t169 * t792;
  t794 = t65 * t793;
  t802 = my_piecewise3(t43, t110, 0.1e2 / 0.9e1 * t203);
  t803 = t108 * t802;
  t804 = t803 * t143;
  t806 = t262 * t312;
  t809 = t332 * t256;
  t810 = t809 * t394;
  t818 = t803 * t124;
  t825 = t804 * t146 - 0.2e1 * t806 * t578 - t810 * t583 / 0.3e1 - t263 * t402 + 0.2e1 * t810 * t587 + 0.2e1 / 0.3e1 * t810 * t591 - t818 * t150 / 0.2e1 + t806 * t597 + t263 * t420 / 0.2e1 - t810 * t601;
  t826 = t59 * t825;
  t827 = t826 * t96;
  t833 = t163 * t802 * t165;
  t836 = t802 * t124;
  t837 = t109 * t836;
  t838 = t106 * t837;
  t843 = t368 * t258;
  t848 = t138 * t270;
  t851 = -t22 * t757 / 0.4e1 - t22 * t760 / 0.4e1 - t22 * t794 / 0.4e1 - t103 * t289 / 0.12e2 - t103 * t270 / 0.12e2 - t22 * t827 / 0.4e1 + t349 * t274 / 0.4e1 + t162 * t833 / 0.4e1 - t838 * t139 / 0.12e2 - t259 * t380 / 0.12e2 - t843 * t139 / 0.36e2 + t372 * t274 / 0.12e2 - t127 * t848 / 0.12e2;
  t852 = t268 * t159;
  t853 = t158 * t852;
  t854 = t106 * t853;
  t857 = t256 * t335;
  t858 = t510 * t857;
  t859 = t858 * t622;
  t862 = t858 * t645;
  t865 = t333 * t857;
  t866 = t106 * t865;
  t871 = t256 * t311;
  t872 = t163 * t871;
  t873 = t872 * t636;
  t876 = t163 * t257;
  t877 = t876 * t328;
  t881 = t296 * t262 * t165;
  t884 = params->at * t287;
  t885 = t303 * t884;
  t886 = t302 * t885;
  t890 = t884 * t142 * t165;
  t893 = t109 * t871;
  t894 = t106 * t893;
  t903 = t854 * t166 / 0.4e1 - t509 * t859 / 0.2e1 + t162 * t862 / 0.2e1 - t866 * t556 / 0.6e1 + t866 * t562 / 0.3e1 - t162 * t873 / 0.2e1 - t162 * t877 / 0.4e1 + t162 * t881 / 0.4e1 - t127 * t886 / 0.12e2 + t162 * t890 / 0.4e1 + t894 * t541 / 0.6e1 + t259 * t493 / 0.12e2 - t866 * t549 / 0.12e2 - t259 * t305 / 0.12e2;
  t905 = my_piecewise3(t3, 0, t851 + t903);
  tv2rhotau0 = 0.2e1 * rho[0] * t905 + 0.2e1 * t293;

  if(out->v2rhotau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t908 = my_piecewise3(t43, t110, 0);
  t909 = t908 * t124;
  t910 = t109 * t909;
  t911 = t106 * t910;
  t913 = t911 * t139 / 0.12e2;
  t914 = t205 * t205;
  t915 = t914 * t311;
  t916 = t109 * t915;
  t917 = t106 * t916;
  t920 = t914 * t335;
  t921 = t333 * t920;
  t922 = t106 * t921;
  t929 = 0.2e1 * t165 * t205 * t321 - 0.2e1 * t138 * t214;
  t930 = t95 * t929;
  t931 = t303 * t930;
  t932 = t490 * t931;
  t941 = t108 * t908;
  t942 = t941 * t143;
  t943 = t942 * t146;
  t944 = t108 * t914;
  t945 = t944 * t312;
  t948 = t332 * t914;
  t949 = t948 * t394;
  t952 = t63 * t929;
  t953 = t400 * t952;
  t957 = t948 * t335;
  t960 = t941 * t124;
  t962 = t960 * t150 / 0.2e1;
  t963 = t944 * t311;
  t965 = t60 * t929;
  t966 = t400 * t965;
  t970 = t943 - 0.2e1 * t945 * t146 - t949 * t397 / 0.3e1 - t212 * t953 + 0.2e1 * t949 * t406 + 0.2e1 / 0.3e1 * t957 * t411 - t962 + t963 * t150 + t212 * t966 / 0.2e1 - t957 * t424;
  t971 = t59 * t970;
  t972 = t971 * t96;
  t977 = t510 * t914;
  t978 = t977 * t512;
  t982 = t163 * t908 * t165;
  t984 = t162 * t982 / 0.4e1;
  t986 = t163 * t914 * t313;
  t989 = t137 * t929;
  t990 = t320 * t989;
  t991 = t640 * t990;
  t994 = t977 * t516;
  t997 = -t913 + t917 * t139 / 0.6e1 - t922 * t344 / 0.12e2 + t208 * t932 / 0.12e2 - t922 * t497 / 0.6e1 - t208 * t569 / 0.6e1 + t922 * t502 / 0.3e1 - t22 * t972 / 0.4e1 + t610 * t223 / 0.2e1 - t509 * t978 / 0.2e1 + t984 - t162 * t986 / 0.2e1 - t162 * t991 / 0.4e1 + t162 * t994 / 0.2e1;
  t998 = my_piecewise3(t3, 0, t997);
  tv2sigma20 = 0.2e1 * rho[0] * t998;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t1000 = t95 * t205;
  t1001 = t303 * t1000;
  t1002 = t302 * t1001;
  t1005 = t548 * t1001;
  t1010 = t555 * t1001;
  t1015 = t160 * t1000;
  t1016 = t548 * t1015;
  t1021 = t63 * t205;
  t1022 = t145 * t1021;
  t1025 = t396 * t1021;
  t1029 = t405 * t1021;
  t1032 = t60 * t205;
  t1033 = t396 * t1032;
  t1036 = t145 * t1032;
  t1040 = t405 * t1032;
  t1042 = t943 - 0.2e1 * t693 * t1022 - t697 * t1025 / 0.3e1 - t237 * t953 + 0.2e1 * t697 * t1029 + 0.2e1 / 0.3e1 * t697 * t1033 - t962 + t693 * t1036 + t237 * t966 / 0.2e1 - t697 * t1040;
  t1043 = t59 * t1042;
  t1044 = t1043 * t96;
  t1051 = t342 * t205;
  t1052 = t341 * t1051;
  t1053 = t729 * t1052;
  t1056 = t137 * t205;
  t1057 = t135 * t1056;
  t1058 = t741 * t1057;
  t1061 = t745 * t990;
  t1064 = t404 * t205;
  t1065 = t341 * t1064;
  t1066 = t729 * t1065;
  t1069 = -t913 + t666 * t1002 / 0.6e1 - t671 * t1005 / 0.12e2 + t233 * t932 / 0.12e2 - t671 * t1010 / 0.6e1 - t233 * t569 / 0.12e2 + t671 * t1016 / 0.3e1 - t208 * t686 / 0.12e2 - t22 * t1044 / 0.4e1 + t719 * t223 / 0.4e1 + t610 * t248 / 0.4e1 - t509 * t1053 / 0.2e1 + t984 - t162 * t1058 / 0.2e1 - t162 * t1061 / 0.4e1 + t162 * t1066 / 0.2e1;
  t1070 = my_piecewise3(t3, 0, t1069);
  tv2sigmalapl0 = 0.2e1 * rho[0] * t1070;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  t1099 = t943 - 0.2e1 * t806 * t1022 - t810 * t1025 / 0.3e1 - t263 * t953 + 0.2e1 * t810 * t1029 + 0.2e1 / 0.3e1 * t810 * t1033 - t962 + t806 * t1036 + t263 * t966 / 0.2e1 - t810 * t1040;
  t1100 = t59 * t1099;
  t1101 = t1100 * t96;
  t1108 = t858 * t1052;
  t1111 = t872 * t1057;
  t1114 = t876 * t990;
  t1117 = t858 * t1065;
  t1122 = t218 * t288;
  t1126 = t884 * t211 * t165;
  t1129 = -t913 + t894 * t1002 / 0.6e1 - t866 * t1005 / 0.12e2 + t259 * t932 / 0.12e2 - t866 * t1010 / 0.6e1 - t259 * t569 / 0.12e2 + t866 * t1016 / 0.3e1 - t208 * t848 / 0.12e2 - t22 * t1101 / 0.4e1 + t854 * t223 / 0.4e1 + t610 * t274 / 0.4e1 - t509 * t1108 / 0.2e1 + t984 - t162 * t1111 / 0.2e1 - t162 * t1114 / 0.4e1 + t162 * t1117 / 0.2e1 - t208 * t886 / 0.12e2 - t22 * t1122 / 0.4e1 + t162 * t1126 / 0.4e1;
  t1130 = my_piecewise3(t3, 0, t1129);
  tv2sigmatau0 = 0.2e1 * rho[0] * t1130;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  t1132 = t230 * t230;
  t1133 = t1132 * t311;
  t1134 = t109 * t1133;
  t1135 = t106 * t1134;
  t1138 = t1132 * t335;
  t1139 = t333 * t1138;
  t1140 = t106 * t1139;
  t1147 = 0.2e1 * t165 * t230 * t321 - 0.2e1 * t138 * t239;
  t1148 = t95 * t1147;
  t1149 = t303 * t1148;
  t1150 = t490 * t1149;
  t1159 = t108 * t1132;
  t1160 = t1159 * t312;
  t1163 = t332 * t1132;
  t1164 = t1163 * t394;
  t1167 = t63 * t1147;
  t1168 = t400 * t1167;
  t1172 = t1163 * t335;
  t1175 = t1159 * t311;
  t1177 = t60 * t1147;
  t1178 = t400 * t1177;
  t1182 = t943 - 0.2e1 * t1160 * t146 - t1164 * t397 / 0.3e1 - t237 * t1168 + 0.2e1 * t1164 * t406 + 0.2e1 / 0.3e1 * t1172 * t411 - t962 + t1175 * t150 + t237 * t1178 / 0.2e1 - t1172 * t424;
  t1183 = t59 * t1182;
  t1184 = t1183 * t96;
  t1189 = t510 * t1132;
  t1190 = t1189 * t512;
  t1194 = t163 * t1132 * t313;
  t1197 = t137 * t1147;
  t1198 = t320 * t1197;
  t1199 = t745 * t1198;
  t1202 = t1189 * t516;
  t1205 = -t913 + t1135 * t139 / 0.6e1 - t1140 * t344 / 0.12e2 + t233 * t1150 / 0.12e2 - t1140 * t497 / 0.6e1 - t233 * t686 / 0.6e1 + t1140 * t502 / 0.3e1 - t22 * t1184 / 0.4e1 + t719 * t248 / 0.2e1 - t509 * t1190 / 0.2e1 + t984 - t162 * t1194 / 0.2e1 - t162 * t1199 / 0.4e1 + t162 * t1202 / 0.2e1;
  t1206 = my_piecewise3(t3, 0, t1205);
  tv2lapl20 = 0.2e1 * rho[0] * t1206;

  if(out->v2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  t1208 = t95 * t230;
  t1209 = t303 * t1208;
  t1210 = t302 * t1209;
  t1213 = t548 * t1209;
  t1218 = t555 * t1209;
  t1223 = t160 * t1208;
  t1224 = t548 * t1223;
  t1229 = t63 * t230;
  t1230 = t145 * t1229;
  t1233 = t396 * t1229;
  t1237 = t405 * t1229;
  t1240 = t60 * t230;
  t1241 = t396 * t1240;
  t1244 = t145 * t1240;
  t1248 = t405 * t1240;
  t1250 = t943 - 0.2e1 * t806 * t1230 - t810 * t1233 / 0.3e1 - t263 * t1168 + 0.2e1 * t810 * t1237 + 0.2e1 / 0.3e1 * t810 * t1241 - t962 + t806 * t1244 + t263 * t1178 / 0.2e1 - t810 * t1248;
  t1251 = t59 * t1250;
  t1252 = t1251 * t96;
  t1259 = t342 * t230;
  t1260 = t341 * t1259;
  t1261 = t858 * t1260;
  t1264 = t137 * t230;
  t1265 = t135 * t1264;
  t1266 = t872 * t1265;
  t1269 = t876 * t1198;
  t1272 = t404 * t230;
  t1273 = t341 * t1272;
  t1274 = t858 * t1273;
  t1279 = t243 * t288;
  t1283 = t884 * t236 * t165;
  t1286 = -t913 + t894 * t1210 / 0.6e1 - t866 * t1213 / 0.12e2 + t259 * t1150 / 0.12e2 - t866 * t1218 / 0.6e1 - t259 * t686 / 0.12e2 + t866 * t1224 / 0.3e1 - t233 * t848 / 0.12e2 - t22 * t1252 / 0.4e1 + t854 * t248 / 0.4e1 + t719 * t274 / 0.4e1 - t509 * t1261 / 0.2e1 + t984 - t162 * t1266 / 0.2e1 - t162 * t1269 / 0.4e1 + t162 * t1274 / 0.2e1 - t233 * t886 / 0.12e2 - t22 * t1279 / 0.4e1 + t162 * t1283 / 0.4e1;
  t1287 = my_piecewise3(t3, 0, t1286);
  tv2lapltau0 = 0.2e1 * rho[0] * t1287;

  if(out->v2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  t1289 = t256 * t256;
  t1290 = t1289 * t311;
  t1291 = t109 * t1290;
  t1292 = t106 * t1291;
  t1295 = t1289 * t335;
  t1296 = t333 * t1295;
  t1297 = t106 * t1296;
  t1304 = 0.2e1 * t165 * t256 * t321 - 0.2e1 * t138 * t265;
  t1305 = t95 * t1304;
  t1306 = t303 * t1305;
  t1307 = t490 * t1306;
  t1318 = t108 * t1289;
  t1319 = t1318 * t312;
  t1322 = t332 * t1289;
  t1323 = t1322 * t394;
  t1326 = t63 * t1304;
  t1327 = t400 * t1326;
  t1331 = t1322 * t335;
  t1334 = t1318 * t311;
  t1336 = t60 * t1304;
  t1337 = t400 * t1336;
  t1341 = t943 - 0.2e1 * t1319 * t146 - t1323 * t397 / 0.3e1 - t263 * t1327 + 0.2e1 * t1323 * t406 + 0.2e1 / 0.3e1 * t1331 * t411 - t962 + t1334 * t150 + t263 * t1337 / 0.2e1 - t1331 * t424;
  t1342 = t59 * t1341;
  t1343 = t1342 * t96;
  t1348 = t269 * t288;
  t1351 = t510 * t1289;
  t1352 = t1351 * t512;
  t1356 = t884 * t262 * t165;
  t1360 = t163 * t1289 * t313;
  t1363 = t137 * t1304;
  t1364 = t320 * t1363;
  t1365 = t876 * t1364;
  t1368 = t1351 * t516;
  t1373 = t23 / t15 / t115;
  t1386 = 0.4e1 * t1373 * t173 - 0.2e2 * t1373 * t447 - 0.72e2 * t1373 * t454 - 0.8e1 * t1373 * t459 + 0.1e3 * t1373 * t464 + 0.6e2 * t1373 * t471;
  t1387 = t169 * t1386;
  t1388 = t65 * t1387;
  t1391 = -t913 + t1292 * t139 / 0.6e1 - t1297 * t344 / 0.12e2 + t259 * t1307 / 0.12e2 - t1297 * t497 / 0.6e1 - t259 * t848 / 0.6e1 + t1297 * t502 / 0.3e1 - t259 * t886 / 0.6e1 - t22 * t1343 / 0.4e1 + t854 * t274 / 0.2e1 - t22 * t1348 / 0.2e1 - t509 * t1352 / 0.2e1 + t162 * t1356 / 0.2e1 + t984 - t162 * t1360 / 0.2e1 - t162 * t1365 / 0.4e1 + t162 * t1368 / 0.2e1 - t22 * t1388 / 0.4e1;
  t1392 = my_piecewise3(t3, 0, t1391);
  tv2tau20 = 0.2e1 * rho[0] * t1392;

  if(out->v2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t7, t8, t10, t12, t14;
  double t15, t16, t18, t19, t20, t21, t22, t23;
  double t24, t25, t27, t30, t33, t34, t36, t40;
  double t43, t44, t47, t50, t53, t54, t55, t56;
  double t57, t59, t60, t62, t63, t64, t65, t66;
  double t67, t68, t69, t70, t71, t73, t74, t75;
  double t76, t77, t78, t80, t81, t82, t83, t84;
  double t87, t88, t89, t91, t95, t96, t97, t100;
  double tzk0;

  double t102, t103, t106, t107, t108, t109, t110, t115;
  double t117, t118, t122, t123, t124, t125, t126, t127;
  double t129, t130, t131, t133, t134, t135, t136, t137;
  double t138, t139, t142, t143, t144, t145, t146, t148;
  double t149, t150, t153, t154, t155, t158, t159, t160;
  double t161, t162, t163, t165, t166, t169, t173, t174;
  double t175, t178, t181, t182, t185, t189, t190, t193;
  double t194, t195, t199, tvrho0, t202, t203, t205, t206;
  double t207, t208, t211, t212, t214, t217, t218, t219;
  double t223, t227, tvsigma0, t230, t231, t232, t233, t236;
  double t237, t239, t242, t243, t244, t248, t252, tvlapl0;
  double t256, t257, t258, t259, t262, t263, t265, t268;
  double t269, t270, t274, t287, t288, t289, t293, tvtau0;

  double t296, t298, t301, t302, t303, t304, t305, t308;
  double t310, t311, t312, t313, t314, t317, t318, t319;
  double t320, t321, t326, t328, t329, t332, t333, t334;
  double t335, t336, t337, t338, t339, t340, t341, t342;
  double t343, t344, t347, t348, t349, t356, t358, t359;
  double t363, t365, t368, t369, t372, t375, t376, t377;
  double t380, t383, t386, t387, t389, t390, t393, t394;
  double t395, t396, t397, t400, t401, t402, t404, t405;
  double t406, t409, t410, t411, t414, t417, t419, t420;
  double t423, t424, t426, t427, t428, t433, t439, t440;
  double t441, t443, t447, t448, t451, t454, t459, t464;
  double t470, t471, t476, t477, t478, t481, t482, t485;
  double t486, t487, t490, t491, t492, t493, t496, t497;
  double t500, t501, t502, t506, t507, t508, t509, t510;
  double t511, t512, t513, t516, t517, t520, t522, tv2rho20;
  double t525, t528, t530, t531, t532, t533, t536, t537;
  double t538, t539, t540, t541, t544, t545, t546, t547;
  double t548, t549, t554, t555, t556, t561, t562, t569;
  double t572, t573, t574, t576, t577, t578, t581, t582;
  double t583, t587, t590, t591, t594, t597, t601, t603;
  double t604, t605, t608, t609, t610, t613, t620, t621;
  double t622, t623, t627, t631, t634, t635, t636, t637;
  double t640, t641, t645, t646, t649, t651, tv2rhosigma0, t654;
  double t658, t659, t660, t661, t664, t665, t666, t669;
  double t670, t671, t686, t689, t690, t691, t693, t696;
  double t697, t705, t712, t713, t714, t717, t718, t719;
  double t722, t729, t730, t734, t738, t741, t742, t745;
  double t746, t749, t752, t754, tv2rholapl0, t757, t760, t767;
  double t768, t771, t792, t793, t794, t802, t803, t804;
  double t806, t809, t810, t818, t825, t826, t827, t833;
  double t836, t837, t838, t843, t848, t851, t852, t853;
  double t854, t857, t858, t859, t862, t865, t866, t871;
  double t872, t873, t876, t877, t881, t884, t885, t886;
  double t890, t893, t894, t903, t905, tv2rhotau0, t908, t909;
  double t910, t911, t913, t914, t915, t916, t917, t920;
  double t921, t922, t929, t930, t931, t932, t941, t942;
  double t943, t944, t945, t948, t949, t952, t953, t957;
  double t960, t962, t963, t965, t966, t970, t971, t972;
  double t977, t978, t982, t984, t986, t989, t990, t991;
  double t994, t997, t998, tv2sigma20, t1000, t1001, t1002, t1005;
  double t1010, t1015, t1016, t1021, t1022, t1025, t1029, t1032;
  double t1033, t1036, t1040, t1042, t1043, t1044, t1051, t1052;
  double t1053, t1056, t1057, t1058, t1061, t1064, t1065, t1066;
  double t1069, t1070, tv2sigmalapl0, t1099, t1100, t1101, t1108, t1111;
  double t1114, t1117, t1122, t1126, t1129, t1130, tv2sigmatau0, t1132;
  double t1133, t1134, t1135, t1138, t1139, t1140, t1147, t1148;
  double t1149, t1150, t1159, t1160, t1163, t1164, t1167, t1168;
  double t1172, t1175, t1177, t1178, t1182, t1183, t1184, t1189;
  double t1190, t1194, t1197, t1198, t1199, t1202, t1205, t1206;
  double tv2lapl20, t1208, t1209, t1210, t1213, t1218, t1223, t1224;
  double t1229, t1230, t1233, t1237, t1240, t1241, t1244, t1248;
  double t1250, t1251, t1252, t1259, t1260, t1261, t1264, t1265;
  double t1266, t1269, t1272, t1273, t1274, t1279, t1283, t1286;
  double t1287, tv2lapltau0, t1289, t1290, t1291, t1292, t1295, t1296;
  double t1297, t1304, t1305, t1306, t1307, t1318, t1319, t1322;
  double t1323, t1326, t1327, t1331, t1334, t1336, t1337, t1341;
  double t1342, t1343, t1348, t1351, t1352, t1356, t1360, t1363;
  double t1364, t1365, t1368, t1373, t1386, t1387, t1388, t1391;
  double t1392, tv2tau20;

  double t1400, t1401, t1405, t1407, t1410, t1415, t1416, t1418;
  double t1419, t1420, t1421, t1423, t1425, t1426, t1427, t1428;
  double t1429, t1432, t1433, t1434, t1439, t1440, t1445, t1446;
  double t1447, t1448, t1451, t1454, t1455, t1456, t1459, t1462;
  double t1463, t1466, t1469, t1474, t1479, t1483, t1484, t1485;
  double t1490, t1491, t1492, t1497, t1499, t1502, t1503, t1504;
  double t1505, t1506, t1507, t1510, t1514, t1515, t1518, t1519;
  double t1520, t1529, t1534, t1535, t1536, t1537, t1538, t1541;
  double t1542, t1545, t1548, t1551, t1552, t1553, t1556, t1557;
  double t1558, t1561, t1562, t1563, t1564, t1565, t1566, t1567;
  double t1568, t1571, t1572, t1573, t1576, t1577, t1578, t1581;
  double t1592, t1593, t1596, t1609, t1610, t1611, t1612, t1617;
  double t1621, t1630, t1631, t1633, t1634, t1637, t1638, t1639;
  double t1640, t1643, t1645, t1648, t1649, t1650, t1653, t1654;
  double t1657, t1660, t1663, t1664, t1665, t1666, t1667, t1670;
  double t1671, t1672, t1675, t1676, t1677, t1678, t1679, t1680;
  double t1683, t1684, t1685, t1686, t1687, t1690, t1691, t1693;
  double t1694, t1697, t1698, t1702, t1703, t1707, t1708, t1711;
  double t1712, t1713, t1716, t1719, t1720, t1722, t1726, t1727;
  double t1728, t1731, t1732, t1735, t1740, t1741, t1746, t1748;
  double t1749, t1752, t1753, t1754, t1755, t1756, t1759, t1762;
  double t1765, t1768, t1769, t1770, t1773, t1776, t1800, t1801;
  double t1802, t1807, t1810, t1815, t1816, t1817, t1820, t1821;
  double t1824, t1825, t1826, t1829, t1830, t1833, t1834, t1837;
  double t1838, t1843, t1844, t1849, t1851, t1852, t1854, t1859;
  double t1860, t1862, t1863, t1868, t1869, t1870, t1873, t1876;
  double t1877, t1880, t1886, t1890, t1893, t1894, t1897, t1898;
  double t1900, t1905, t1908, t1913, t1916, t1917, t1918, t1919;
  double t1928, t1929, t1930, t1935, t1936, t1939, t1940, t1941;
  double t1942, t1943, t1944, t1948, t1949, t1952, t1955, t1959;
  double tv3rho30, t1963, t1966, t1967, t1970, t1971, t1972, t1979;
  double t1981, t1983, t1992, t1993, t1994, t1999, t2002, t2007;
  double t2010, t2013, t2018, t2019, t2020, t2031, t2036, t2037;
  double t2038, t2041, t2042, t2047, t2053, t2054, t2055, t2056;
  double t2057, t2058, t2059, t2060, t2067, t2068, t2071, t2074;
  double t2077, t2080, t2081, t2082, t2083, t2086, t2091, t2094;
  double t2095, t2096, t2099, t2101, t2105, t2108, t2109, t2110;
  double t2117, t2118, t2119, t2131, t2136, t2137, t2140, t2143;
  double t2144, t2145, t2146, t2149, t2153, t2154, t2157, t2158;
  double t2161, t2162, t2163, t2164, t2165, t2168, t2169, t2170;
  double t2171, t2172, t2175, t2176, t2179, t2182, t2183, t2186;
  double t2187, t2190, t2191, t2196, t2201, t2202, t2203, t2204;
  double t2207, t2208, t2209, t2212, t2213, t2214, t2218, t2219;
  double t2222, t2223, t2226, t2228, t2229, t2232, t2233, t2234;
  double t2241, t2243, t2244, t2249, t2251, t2252, t2253, t2255;
  double t2256, t2257, t2258, t2259, t2260, t2263, t2264, t2265;
  double t2266, t2267, t2268, t2270, t2271, t2275, t2276, t2285;
  double t2292, t2294, t2295, t2298, t2299, t2300, t2302, t2305;
  double t2306, t2309, t2310, t2315, t2318, t2321, t2324, t2325;
  double t2328, t2331, t2332, t2333, t2340, t2341, t2344, t2345;
  double t2346, t2347, t2348, t2351, t2352, t2353, t2355, t2360;
  double t2361, t2362, t2365, t2366, t2369, t2370, t2371, t2375;
  double t2376, t2379, t2380, t2383, t2388, t2389, t2392, t2395;
  double t2398, t2401, t2404, t2407, t2410, t2413, t2416, t2417;
  double t2420, t2423, t2427, t2428, t2430, t2434, t2437, t2440;
  double t2443, t2449, t2455, t2456, t2457, t2458, t2463, t2467;
  double tv3rho2sigma0, t2473, t2476, t2483, t2486, t2492, t2493, t2494;
  double t2495, t2500, t2503, t2504, t2507, t2508, t2509, t2514;
  double t2521, t2527, t2536, t2537, t2538, t2543, t2548, t2549;
  double t2550, t2553, t2557, t2560, t2563, t2564, t2566, t2567;
  double t2568, t2571, t2572, t2573, t2588, t2589, t2590, t2595;
  double t2598, t2599, t2600, t2609, t2610, t2611, t2620, t2621;
  double t2629, t2632, t2648, t2651, t2652, t2655, t2656, t2661;
  double t2662, t2665, t2666, t2669, t2672, t2674, t2683, t2686;
  double t2689, t2696, t2698, t2699, t2701, t2702, t2705, t2713;
  double t2714, t2717, t2720, t2723, t2739, t2746, t2747, t2750;
  double t2752, t2759, t2760, t2765, t2776, t2781, t2782, t2790;
  double t2793, t2811, t2828, t2829, t2830, t2831, t2834, t2837;
  double t2840, t2843, t2844, t2846, t2847, t2850, t2852, t2856;
  double t2860, t2866, t2870, tv3rho2lapl0, t2880, t2883, t2884, t2885;
  double t2888, t2891, t2892, t2895, t2896, t2897, t2902, t2911;
  double t2915, t2916, t2917, t2918, t2925, t2931, t2934, t2939;
  double t2946, t2947, t2950, t2951, t2954, t2961, t2962, t2963;
  double t2966, t2967, t2970, t2971, t2972, t2977, t2981, t2982;
  double t2983, t2986, t2988, t2991, t2992, t2997, t3000, t3003;
  double t3006, t3009, t3012, t3013, t3015, t3025, t3028, t3029;
  double t3030, t3037, t3038, t3039, t3049, t3052, t3057, t3062;
  double t3063, t3064, t3073, t3080, t3081, t3089, t3096, t3097;
  double t3098, t3103, t3104, t3105, t3108, t3109, t3113, t3114;
  double t3121, t3122, t3129, t3132, t3135, t3138, t3139, t3164;
  double t3165, t3166, t3177, t3180, t3181, t3182, t3185, t3190;
  double t3191, t3200, t3202, t3207, t3208, t3213, t3214, t3221;
  double t3226, t3236, t3245, t3261, t3262, t3279, t3282, t3283;
  double t3284, t3285, t3293, t3296, t3298, t3299, t3304, t3305;
  double t3306, t3307, t3308, t3309, t3313, t3314, t3316, t3327;
  double t3330, t3331, t3334, t3336, t3337, t3343, t3353, t3358;
  double t3359, t3362, t3365, t3367, t3370, t3373, t3378, t3379;
  double t3382, t3383, t3386, t3389, t3394, t3398, tv3rho2tau0, t3409;
  double t3410, t3411, t3414, t3415, t3416, t3429, t3430, t3431;
  double t3434, t3443, t3444, t3445, t3446, t3459, t3460, t3461;
  double t3463, t3464, t3465, t3468, t3469, t3472, t3473, t3474;
  double t3477, t3478, t3481, t3482, t3483, t3485, t3486, t3487;
  double t3488, t3489, t3490, t3491, t3492, t3493, t3494, t3495;
  double t3496, t3501, t3502, t3503, t3504, t3507, t3508, t3511;
  double t3513, t3514, t3516, t3517, t3520, t3521, t3523, t3529;
  double t3532, t3535, t3542, t3547, t3550, t3552, t3553, t3557;
  double t3558, t3560, t3565, t3566, t3569, t3572, t3573, t3576;
  double t3577, t3580, t3583, t3584, t3585, t3586, t3587, t3588;
  double t3589, t3590, t3593, t3594, t3595, t3602, t3603, t3604;
  double t3605, t3606, t3607, t3608, t3609, t3610, t3611, t3612;
  double t3613, t3616, t3619, t3620, t3621, t3624, t3625, t3626;
  double t3627, t3630, t3633, t3636, t3637, t3638, t3641, t3642;
  double t3645, t3650, t3655, t3662, t3663, t3664, t3672, t3674;
  double t3676, t3679, t3680, t3681, t3683, t3687, t3688, t3689;
  double t3690, t3691, t3692, t3693, t3694, t3697, t3698, t3699;
  double t3700, t3703, t3704, t3707, t3708, t3712, t3715, t3716;
  double t3723, t3726, t3727, t3730, t3733, t3734, t3737, t3738;
  double t3739, t3748, t3755, t3758, t3759, t3760, t3763, t3764;
  double t3765, t3766, t3769, t3772, t3775, t3776, t3777, t3778;
  double t3779, t3780, t3781, t3782, t3783, t3784, t3786, t3787;
  double t3790, t3791, t3792, t3793, t3796, t3799, t3801, t3802;
  double t3803, t3806, t3807, t3809, t3810, t3813, t3820, t3825;
  double t3827, t3831, t3836, t3838, t3841, t3844, t3847, t3848;
  double t3851, t3852, t3855, t3858, t3861, t3866, t3867, t3868;
  double t3869, t3872, t3873, t3881, t3883, t3884, t3885, t3890;
  double t3894, tv3rhosigma20, t3903, t3906, t3907, t3908, t3917, t3918;
  double t3919, t3920, t3923, t3925, t3926, t3927, t3930, t3931;
  double t3932, t3935, t3936, t3939, t3942, t3945, t3946, t3949;
  double t3950, t3951, t3954, t3963, t3966, t3969, t3971, t3986;
  double t3987, t3998, t4001, t4002, t4009, t4016, t4027, t4028;
  double t4031, t4032, t4033, t4036, t4043, t4050, t4055, t4058;
  double t4061, t4066, t4075, t4076, t4083, t4090, t4099, t4102;
  double t4105, t4106, t4109, t4112, t4116, t4119, t4123, t4137;
  double t4138, t4143, t4144, t4145, t4148, t4149, t4150, t4151;
  double t4154, t4157, t4158, t4159, t4162, t4165, t4166, t4167;
  double t4172, t4179, t4182, t4184, t4185, t4186, t4195, t4202;
  double t4203, t4208, t4221, t4224, t4225, t4228, t4231, t4233;
  double t4236, t4251, t4254, t4255, t4258, t4259, t4260, t4263;
  double t4264, t4267, t4268, t4271, t4272, t4275, t4276, t4277;
  double t4278, t4279, t4282, t4283, t4286, t4287, t4290, t4291;
  double t4292, t4295, t4298, t4301, t4304, t4306, t4309, t4310;
  double t4312, t4313, t4316, t4319, t4322, t4337, t4341, tv3rhosigmalapl0;
  double t4364, t4386, t4392, t4397, t4402, t4405, t4414, t4428;
  double t4430, t4431, t4432, t4441, t4442, t4453, t4456, t4457;
  double t4460, t4463, t4486, t4512, t4519, t4522, t4523, t4530;
  double t4531, t4538, t4541, t4542, t4543, t4546, t4549, t4550;
  double t4551, t4554, t4557, t4560, t4561, t4562, t4571, t4579;
  double t4588, t4589, t4592, t4597, t4598, t4599, t4602, t4603;
  double t4628, t4637, t4640, t4643, t4646, t4647, t4650, t4652;
  double t4655, t4658, t4661, t4664, t4669, t4680, t4682, t4687;
  double t4690, t4699, t4700, t4701, t4709, t4713, t4716, t4719;
  double t4728, t4729, t4734, t4737, t4744, t4747, t4748, t4753;
  double t4756, t4757, t4760, t4762, t4783, t4787, tv3rhosigmatau0, t4790;
  double t4797, t4798, t4799, t4800, t4805, t4806, t4809, t4810;
  double t4811, t4814, t4819, t4820, t4828, t4831, t4834, t4841;
  double t4846, t4849, t4850, t4851, t4852, t4855, t4856, t4859;
  double t4863, t4864, t4865, t4872, t4876, t4877, t4880, t4881;
  double t4884, t4885, t4889, t4895, t4896, t4898, t4899, t4902;
  double t4903, t4904, t4906, t4907, t4910, t4911, t4916, t4932;
  double t4933, t4935, t4936, t4938, t4939, t4940, t4943, t4944;
  double t4945, t4948, t4951, t4962, t4963, t4966, t4967, t4970;
  double t4971, t4972, t4975, t4976, t4979, t4982, t4983, t4984;
  double t4991, t4994, t4996, t5004, t5005, t5007, t5010, t5011;
  double t5016, t5023, t5024, t5029, t5033, t5034, t5036, t5039;
  double t5044, t5046, t5047, t5049, t5052, t5054, t5055, t5056;
  double t5059, t5060, t5063, t5072, t5079, t5080, t5083, t5084;
  double t5089, t5094, t5100, t5103, t5105, t5106, t5107, t5112;
  double t5118, t5126, t5127, t5128, t5131, t5134, t5135, t5146;
  double t5155, t5156, t5167, t5170, t5171, t5172, t5189, t5193;
  double tv3rholapl20, t5198, t5201, t5208, t5209, t5210, t5215, t5216;
  double t5219, t5220, t5223, t5226, t5229, t5230, t5231, t5234;
  double t5236, t5237, t5240, t5243, t5244, t5251, t5252, t5271;
  double t5280, t5287, t5297, t5302, t5305, t5312, t5315, t5316;
  double t5321, t5324, t5327, t5332, t5337, t5340, t5343, t5344;
  double t5347, t5348, t5351, t5354, t5355, t5358, t5359, t5361;
  double t5366, t5371, t5382, t5383, t5394, t5395, t5399, t5404;
  double t5415, t5418, t5419, t5420, t5423, t5426, t5429, t5433;
  double t5442, t5456, t5457, t5458, t5463, t5466, t5469, t5476;
  double t5477, t5480, t5483, t5488, t5491, t5494, t5496, t5497;
  double t5498, t5501, t5504, t5505, t5512, t5515, t5517, t5520;
  double t5521, t5524, t5525, t5526, t5529, t5530, t5531, t5534;
  double t5541, t5544, t5551, t5552, t5555, t5558, t5561, t5564;
  double t5567, t5568, t5577, t5585, t5588, t5591, t5616, t5621;
  double t5626, t5631, t5634, t5653, t5656, t5657, t5658, t5669;
  double t5673, tv3rholapltau0, t5678, t5679, t5680, t5685, t5686, t5687;
  double t5690, t5693, t5694, t5699, t5700, t5701, t5704, t5705;
  double t5706, t5709, t5710, t5711, t5712, t5723, t5724, t5729;
  double t5730, t5733, t5736, t5741, t5744, t5748, t5752, t5758;
  double t5761, t5764, t5771, t5776, t5779, t5780, t5781, t5790;
  double t5791, t5794, t5795, t5800, t5802, t5803, t5805, t5810;
  double t5816, t5824, t5825, t5831, t5835, t5836, t5837, t5838;
  double t5841, t5842, t5845, t5848, t5851, t5853, t5854, t5855;
  double t5860, t5864, t5865, t5869, t5870, t5873, t5874, t5876;
  double t5878, t5879, t5882, t5883, t5887, t5891, t5894, t5895;
  double t5897, t5898, t5901, t5902, t5903, t5907, t5912, t5913;
  double t5930, t5934, t5935, t5940, t5943, t5946, t5947, t5950;
  double t5951, t5952, t5955, t5958, t5959, t5960, t5967, t5968;
  double t5970, t5972, t5975, t5976, t5979, t5982, t5983, t5986;
  double t5987, t5990, t5999, t6000, t6016, t6019, t6020, t6021;
  double t6022, t6024, t6027, t6029, t6036, t6037, t6051, t6052;
  double t6055, t6076, t6077, t6078, t6081, t6084, t6087, t6090;
  double t6093, t6095, t6106, t6107, t6110, t6111, t6112, t6131;
  double t6134, t6135, t6136, t6139, t6146, t6149, t6172, t6173;
  double t6175, t6176, t6179, t6183, tv3rhotau20, t6186, t6187, t6188;
  double t6191, t6192, t6193, t6196, t6197, t6200, t6201, t6204;
  double t6205, t6206, t6209, t6212, t6225, t6229, t6237, t6244;
  double t6245, t6246, t6249, t6252, t6253, t6254, t6256, t6259;
  double t6260, t6261, t6262, t6263, t6264, t6267, t6268, t6269;
  double t6270, t6272, t6275, t6277, t6278, t6279, t6280, t6281;
  double t6282, t6285, t6294, t6295, t6296, t6297, t6300, t6301;
  double t6302, t6303, t6304, t6305, t6306, t6307, t6308, t6309;
  double t6310, t6311, t6312, t6313, t6314, t6319, t6320, t6323;
  double t6324, t6325, t6328, t6331, t6332, t6335, t6336, t6339;
  double t6340, t6344, t6345, t6348, t6350, t6351, t6352, t6353;
  double t6354, t6355, t6356, t6357, t6358, t6359, t6360, t6363;
  double t6364, t6365, t6370, t6372, t6373, t6374, t6379, t6380;
  double t6381, t6382, t6387, t6388, t6389, t6394, t6395, t6396;
  double t6406, t6414, t6415, t6418, t6419, t6428, t6431, t6435;
  double t6438, t6441, t6444, tv3sigma30, t6446, t6447, t6450, t6453;
  double t6457, t6460, t6463, t6466, t6467, t6468, t6469, t6470;
  double t6471, t6472, t6473, t6476, t6477, t6480, t6481, t6482;
  double t6483, t6484, t6487, t6488, t6491, t6492, t6495, t6498;
  double t6499, t6500, t6501, t6502, t6505, t6506, t6507, t6508;
  double t6512, t6515, t6516, t6517, t6520, t6523, t6526, t6527;
  double t6528, t6529, t6531, t6534, t6535, t6536, t6537, t6540;
  double t6541, t6544, t6545, t6546, t6547, t6548, t6549, t6550;
  double t6553, t6554, t6555, t6556, t6557, t6560, t6561, t6562;
  double t6563, t6564, t6565, t6572, t6575, t6576, t6577, t6578;
  double t6581, t6584, t6585, t6586, t6587, t6590, t6592, t6593;
  double t6596, t6597, t6598, t6603, t6611, t6612, t6617, t6618;
  double t6620, t6621, t6622, t6625, t6628, t6631, t6633, t6636;
  double t6639, t6640, t6641, t6642, t6644, t6645, t6646, t6647;
  double t6648, t6649, t6652, t6653, t6655, t6658, t6661, t6664;
  double t6665, t6666, t6667, t6668, t6671, t6672, t6675, t6676;
  double t6677, t6680, t6681, t6682, t6685, t6687, t6688, t6691;
  double t6694, t6695, t6714, t6715, t6718, t6719, t6720, t6725;
  double t6726, t6729, tv3sigma2lapl0, t6735, t6738, t6739, t6740, t6743;
  double t6745, t6748, t6755, t6756, t6762, t6767, t6770, t6773;
  double t6780, t6797, t6798, t6799, t6800, t6801, t6802, t6803;
  double t6806, t6807, t6808, t6809, t6810, t6811, t6813, t6814;
  double t6815, t6816, t6817, t6820, t6823, t6826, t6833, t6838;
  double t6841, t6854, t6855, t6859, t6860, t6863, t6864, t6865;
  double t6866, t6873, t6876, t6881, t6884, t6887, t6888, t6903;
  double t6906, t6907, t6913, t6914, t6915, t6916, t6933, t6934;
  double t6935, t6936, t6945, t6946, t6947, t6950, t6951, t6966;
  double t6970, tv3sigma2tau0, t6972, t6973, t6974, t6975, t6976, t6979;
  double t6982, t6990, t6991, t6996, t7015, t7016, t7017, t7018;
  double t7023, t7026, t7027, t7028, t7029, t7030, t7039, t7043;
  double t7044, t7045, t7047, t7048, t7051, t7054, t7057, t7060;
  double t7063, t7066, t7067, t7068, t7071, t7072, t7075, t7076;
  double t7079, t7080, t7083, t7084, t7085, t7088, t7089, t7092;
  double t7094, t7097, t7098, t7099, t7100, t7101, t7102, t7103;
  double t7108, t7110, t7111, t7112, t7113, t7116, t7119, t7124;
  double t7125, t7126, t7127, t7128, t7129, t7130, t7136, t7139;
  double t7140, t7143, t7146, t7147, t7150, t7153, t7154, t7159;
  double t7161, t7162, t7163, t7167, t7170, t7171, t7172, t7180;
  double t7184, t7187, t7190, t7192, t7193, t7194, t7197, t7198;
  double t7201, t7202, t7203, t7206, t7209, t7210, t7213, t7214;
  double t7219, t7220, t7221, t7226, t7231, t7232, t7233, t7234;
  double t7235, t7236, t7237, t7238, t7239, t7265, t7266, t7267;
  double t7268, t7269, t7272, t7276, tv3sigmalapl20, t7280, t7281, t7282;
  double t7285, t7286, t7289, t7292, t7295, t7298, t7299, t7302;
  double t7303, t7304, t7305, t7308, t7309, t7314, t7317, t7318;
  double t7321, t7322, t7325, t7327, t7330, t7332, t7333, t7336;
  double t7343, t7345, t7348, t7351, t7354, t7357, t7362, t7363;
  double t7365, t7368, t7375, t7378, t7379, t7380, t7383, t7385;
  double t7394, t7395, t7398, t7399, t7402, t7405, t7408, t7411;
  double t7414, t7415, t7421, t7424, t7432, t7433, t7434, t7437;
  double t7438, t7442, t7445, t7448, t7452, t7455, t7458, t7461;
  double t7464, t7466, t7467, t7468, t7471, t7472, t7475, t7478;
  double t7479, t7483, t7487, t7490, t7491, t7494, t7497, t7502;
  double t7507, t7510, t7511, t7526, t7529, t7530, t7543, t7544;
  double t7547, t7550, t7557, t7567, t7582, t7591, t7592, t7595;
  double t7598, t7602, tv3sigmalapltau0, t7616, t7617, t7618, t7619, t7638;
  double t7639, t7640, t7641, t7646, t7649, t7650, t7651, t7652;
  double t7655, t7656, t7657, t7660, t7663, t7665, t7668, t7669;
  double t7672, t7675, t7676, t7681, t7690, t7691, t7692, t7697;
  double t7700, t7701, t7703, t7704, t7706, t7711, t7717, t7719;
  double t7720, t7721, t7722, t7731, t7732, t7744, t7745, t7746;
  double t7747, t7748, t7749, t7750, t7753, t7756, t7757, t7760;
  double t7763, t7765, t7766, t7767, t7777, t7782, t7783, t7784;
  double t7786, t7787, t7792, t7798, t7801, t7804, t7805, t7806;
  double t7807, t7810, t7811, t7814, t7817, t7823, t7828, t7831;
  double t7832, t7833, t7848, t7857, t7860, t7865, t7868, t7877;
  double t7886, t7887, t7888, t7889, t7891, t7894, t7899, t7902;
  double t7911, t7915, tv3sigmatau20, t7922, t7935, t7936, t7937, t7940;
  double t7943, t7944, t7945, t7948, t7949, t7952, t7953, t7954;
  double t7956, t7957, t7966, t7971, t7972, t7973, t7974, t7975;
  double t7980, t7982, t7983, t7985, t7986, t7989, t7990, t7991;
  double t7994, t7997, t8006, t8007, t8008, t8009, t8010, t8013;
  double t8014, t8015, t8016, t8017, t8018, t8019, t8020, t8021;
  double t8024, t8025, t8026, t8028, t8029, t8032, t8034, t8035;
  double t8036, t8042, t8043, t8046, t8047, t8050, t8051, t8052;
  double t8057, t8060, t8061, t8062, t8065, t8068, t8069, t8071;
  double t8072, t8075, t8080, t8087, t8088, t8089, t8096, t8097;
  double t8098, t8101, t8102, t8103, t8113, t8116, t8117, t8120;
  double t8128, t8131, t8140, t8141, t8142, t8145, tv3lapl30, t8147;
  double t8148, t8153, t8156, t8159, t8162, t8165, t8169, t8170;
  double t8173, t8176, t8179, t8182, t8185, t8186, t8189, t8190;
  double t8193, t8196, t8198, t8201, t8205, t8208, t8211, t8212;
  double t8213, t8214, t8219, t8223, t8224, t8227, t8228, t8229;
  double t8234, t8235, t8236, t8239, t8242, t8243, t8246, t8251;
  double t8254, t8255, t8257, t8260, t8261, t8264, t8267, t8273;
  double t8274, t8277, t8285, t8288, t8289, t8296, t8299, t8302;
  double t8309, t8313, t8317, t8318, t8340, t8346, t8349, t8350;
  double t8352, t8355, t8356, t8357, t8360, t8361, t8364, t8365;
  double t8368, t8369, t8370, t8374, t8375, t8378, t8379, t8382;
  double t8383, t8386, t8389, t8390, t8393, t8394, t8395, t8398;
  double t8400, t8403, t8406, t8410, tv3lapl2tau0, t8418, t8419, t8424;
  double t8425, t8444, t8445, t8446, t8447, t8454, t8459, t8462;
  double t8463, t8468, t8471, t8482, t8488, t8493, t8496, t8497;
  double t8500, t8502, t8503, t8506, t8507, t8512, t8513, t8514;
  double t8517, t8518, t8519, t8525, t8528, t8531, t8532, t8535;
  double t8538, t8541, t8542, t8545, t8548, t8556, t8557, t8560;
  double t8563, t8572, t8573, t8574, t8577, t8579, t8580, t8582;
  double t8583, t8594, t8595, t8596, t8599, t8602, t8607, t8610;
  double t8613, t8615, t8617, t8618, t8622, t8625, t8627, t8628;
  double t8629, t8632, t8635, t8636, t8637, t8640, t8641, t8642;
  double t8645, t8647, t8658, t8659, t8660, t8661, t8664, t8665;
  double t8668, t8670, t8672, t8675, t8677, t8680, t8685, t8686;
  double t8689, t8690, t8693, t8696, t8699, t8700, t8703, t8706;
  double t8707, t8710, t8725, t8728, t8732, tv3lapltau20, t8734, t8735;
  double t8737, t8739, t8740, t8744, t8747, t8748, t8749, t8752;
  double t8753, t8754, t8757, t8758, t8761, t8769, t8782, t8783;
  double t8784, t8785, t8790, t8797, t8801, t8810, t8816, t8817;
  double t8821, t8822, t8825, t8827, t8828, t8829, t8832, t8833;
  double t8834, t8837, t8838, t8841, t8842, t8844, t8845, t8850;
  double t8851, t8856, t8863, t8866, t8867, t8868, t8869, t8870;
  double t8871, t8872, t8873, t8878, t8881, t8888, t8891, t8892;
  double t8897, t8899, t8900, t8902, t8903, t8904, t8905, t8908;
  double t8909, t8910, t8911, t8912, t8917, t8918, t8919, t8928;
  double t8932, t8933, t8934, t8947, t8950, t8951, t8958, t8959;
  double t8962, t8970, t8973, t8974, t8979, t8980, t8993, t8994;
  double t8995, t8998, t9001, t9004, t9005, t9006, t9007, t9008;
  double t9009, t9010, t9011, t9014, t9015, t9016, t9019, t9020;
  double t9021, t9024, tv3tau30;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = 0.1e1 <= p->zeta_threshold;
  t5 = p->zeta_threshold - 0.1e1;
  t7 = my_piecewise5(t4, t5, t4, -t5, 0);
  t8 = 0.1e1 + t7;
  t10 = POW_1_3(p->zeta_threshold);
  t12 = POW_1_3(t8);
  t14 = my_piecewise3(t8 <= p->zeta_threshold, t10 * p->zeta_threshold, t12 * t8);
  t15 = POW_1_3(rho[0]);
  t16 = t14 * t15;
  t18 = POW_1_3(0.1e1 / M_PI);
  t19 = 0.1e1 / t18;
  t20 = M_CBRT4;
  t21 = t19 * t20;
  t22 = t16 * t21;
  t23 = M_CBRT2;
  t24 = t23 * t23;
  t25 = t15 * t15;
  t27 = 0.1e1 / t25 / rho[0];
  t30 = tau[0] * params->gamma;
  t33 = params->gamma * sigma[0];
  t34 = rho[0] * rho[0];
  t36 = 0.1e1 / t25 / t34;
  t40 = fabs(lapl[0] * t27 / 0.2e1 - 0.2e1 * t30 * t27 + t33 * t36 / 0.4e1);
  t43 = t24 * t40 / 0.3e1 < 0.5e-12;
  t44 = lapl[0] * t24;
  t47 = t24 * t27;
  t50 = t24 * t36;
  t53 = t44 * t27 / 0.6e1 - 0.2e1 / 0.3e1 * t30 * t47 + t33 * t50 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t43, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t24;
  t75 = t74 * t27;
  t76 = t73 - t75;
  t77 = t73 + t75;
  t78 = 0.1e1 / t77;
  t80 = t76 * t76;
  t81 = t80 * t76;
  t82 = t77 * t77;
  t83 = t82 * t77;
  t84 = 0.1e1 / t83;
  t87 = t80 * t80;
  t88 = t87 * t76;
  t89 = t82 * t82;
  t91 = 0.1e1 / t89 / t77;
  t95 = 0.1e1 + params->at * (t76 * t78 - 0.2e1 * t81 * t84 + t88 * t91);
  t96 = t66 * t95;
  t97 = t65 * t96;
  t100 = my_piecewise3(t3, 0, -t22 * t97 / 0.4e1);
  tzk0 = 0.2e1 * t100;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t102 = t14 / t25;
  t103 = t102 * t21;
  t106 = t16 * t19;
  t107 = M_CBRTPI;
  t108 = t107 * t107;
  t109 = t20 * t108;
  t110 = my_piecewise3(t54, 0, 0);
  t115 = t34 * rho[0];
  t117 = 0.1e1 / t25 / t115;
  t118 = t24 * t117;
  t122 = my_piecewise3(t43, t110, -0.5e1 / 0.18e2 * t44 * t36 + 0.1e2 / 0.9e1 * t30 * t50 - 0.2e1 / 0.9e1 * t33 * t118);
  t123 = t56 * t56;
  t124 = 0.1e1 / t123;
  t125 = t122 * t124;
  t126 = t109 * t125;
  t127 = t106 * t126;
  t129 = exp(-0.2e1 / 0.3e1 * t57);
  t130 = 0.1e1 / t129;
  t131 = t57 * t57;
  t133 = t131 - 0.2e1 * t57 + 0.3e1;
  t134 = 0.1e1 / t133;
  t135 = t130 * t134;
  t136 = t57 - 0.2e1;
  t137 = t136 * t136;
  t138 = t135 * t137;
  t139 = t138 * t97;
  t142 = t108 * t122;
  t143 = t124 * t130;
  t144 = t142 * t143;
  t145 = t134 * t137;
  t146 = t145 * t63;
  t148 = t142 * t124;
  t149 = t137 * t60;
  t150 = t135 * t149;
  t153 = t144 * t146 - t148 * t150 / 0.2e1;
  t154 = t59 * t153;
  t155 = t154 * t96;
  t158 = t20 * t59;
  t159 = 0.1e1 / t131;
  t160 = t64 * t159;
  t161 = t158 * t160;
  t162 = t106 * t161;
  t163 = t95 * t108;
  t165 = t143 * t145;
  t166 = t163 * t122 * t165;
  t169 = t66 * params->at;
  t173 = 0.1e1 / t82;
  t174 = t76 * t173;
  t175 = t74 * t36;
  t178 = t80 * t84;
  t181 = 0.1e1 / t89;
  t182 = t81 * t181;
  t185 = t87 * t91;
  t189 = 0.1e1 / t89 / t82;
  t190 = t88 * t189;
  t193 = 0.5e1 / 0.3e1 * t74 * t36 * t78 + 0.5e1 / 0.3e1 * t174 * t175 - 0.1e2 * t178 * t175 - 0.1e2 * t182 * t175 + 0.25e2 / 0.3e1 * t185 * t175 + 0.25e2 / 0.3e1 * t190 * t175;
  t194 = t169 * t193;
  t195 = t65 * t194;
  t199 = my_piecewise3(t3, 0, -t103 * t97 / 0.12e2 - t127 * t139 / 0.12e2 - t22 * t155 / 0.4e1 + t162 * t166 / 0.4e1 - t22 * t195 / 0.4e1);
  tvrho0 = 0.2e1 * rho[0] * t199 + 0.2e1 * t100;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t202 = params->gamma * t24;
  t203 = t202 * t36;
  t205 = my_piecewise3(t43, t110, t203 / 0.12e2);
  t206 = t205 * t124;
  t207 = t109 * t206;
  t208 = t106 * t207;
  t211 = t108 * t205;
  t212 = t211 * t143;
  t214 = t211 * t124;
  t217 = t212 * t146 - t214 * t150 / 0.2e1;
  t218 = t59 * t217;
  t219 = t218 * t96;
  t223 = t163 * t205 * t165;
  t227 = my_piecewise3(t3, 0, -t208 * t139 / 0.12e2 - t22 * t219 / 0.4e1 + t162 * t223 / 0.4e1);
  tvsigma0 = 0.2e1 * rho[0] * t227;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t230 = my_piecewise3(t43, t110, t47 / 0.6e1);
  t231 = t230 * t124;
  t232 = t109 * t231;
  t233 = t106 * t232;
  t236 = t108 * t230;
  t237 = t236 * t143;
  t239 = t236 * t124;
  t242 = t237 * t146 - t239 * t150 / 0.2e1;
  t243 = t59 * t242;
  t244 = t243 * t96;
  t248 = t163 * t230 * t165;
  t252 = my_piecewise3(t3, 0, -t233 * t139 / 0.12e2 - t22 * t244 / 0.4e1 + t162 * t248 / 0.4e1);
  tvlapl0 = 0.2e1 * rho[0] * t252;

  if(out->vlapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t256 = my_piecewise3(t43, t110, -0.2e1 / 0.3e1 * t202 * t27);
  t257 = t256 * t124;
  t258 = t109 * t257;
  t259 = t106 * t258;
  t262 = t108 * t256;
  t263 = t262 * t143;
  t265 = t262 * t124;
  t268 = t263 * t146 - t265 * t150 / 0.2e1;
  t269 = t59 * t268;
  t270 = t269 * t96;
  t274 = t163 * t256 * t165;
  t287 = -t174 * t47 + 0.6e1 * t178 * t47 + 0.6e1 * t182 * t47 - 0.5e1 * t185 * t47 - 0.5e1 * t190 * t47 - t47 * t78;
  t288 = t169 * t287;
  t289 = t65 * t288;
  t293 = my_piecewise3(t3, 0, -t259 * t139 / 0.12e2 - t22 * t270 / 0.4e1 + t162 * t274 / 0.4e1 - t22 * t289 / 0.4e1);
  tvtau0 = 0.2e1 * rho[0] * t293;

  if(out->vtau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t296 = params->at * t193;
  t298 = t296 * t142 * t165;
  t301 = t137 * t59;
  t302 = t135 * t301;
  t303 = t64 * t66;
  t304 = t303 * t296;
  t305 = t302 * t304;
  t308 = t122 * t122;
  t310 = t123 * t56;
  t311 = 0.1e1 / t310;
  t312 = t311 * t130;
  t313 = t312 * t145;
  t314 = t163 * t308 * t313;
  t317 = t163 * t125;
  t318 = t133 * t133;
  t319 = 0.1e1 / t318;
  t320 = t130 * t319;
  t321 = t57 * t108;
  t326 = 0.2e1 * t122 * t165 * t321 - 0.2e1 * t138 * t148;
  t328 = t320 * t137 * t326;
  t329 = t317 * t328;
  t332 = t107 * M_PI;
  t333 = t20 * t332;
  t334 = t123 * t123;
  t335 = 0.1e1 / t334;
  t336 = t308 * t335;
  t337 = t333 * t336;
  t338 = t106 * t337;
  t339 = t129 * t129;
  t340 = 0.1e1 / t339;
  t341 = t340 * t319;
  t342 = t137 * t137;
  t343 = t341 * t342;
  t344 = t343 * t97;
  t347 = t153 * t159;
  t348 = t158 * t347;
  t349 = t106 * t348;
  t356 = t34 * t34;
  t358 = 0.1e1 / t25 / t356;
  t359 = t24 * t358;
  t363 = my_piecewise3(t43, t110, 0.2e2 / 0.27e2 * t44 * t117 - 0.8e2 / 0.27e2 * t30 * t118 + 0.22e2 / 0.27e2 * t33 * t359);
  t365 = t163 * t363 * t165;
  t368 = t102 * t19;
  t369 = t368 * t126;
  t372 = t368 * t161;
  t375 = t363 * t124;
  t376 = t109 * t375;
  t377 = t106 * t376;
  t380 = t138 * t155;
  t383 = t162 * t298 / 0.2e1 - t127 * t305 / 0.6e1 - t162 * t314 / 0.2e1 - t162 * t329 / 0.4e1 - t338 * t344 / 0.12e2 + t349 * t166 / 0.2e1 + t162 * t365 / 0.4e1 - t369 * t139 / 0.18e2 + t372 * t166 / 0.6e1 - t377 * t139 / 0.12e2 - t127 * t380 / 0.6e1;
  t386 = t108 * t363;
  t387 = t386 * t143;
  t389 = t108 * t308;
  t390 = t389 * t312;
  t393 = t332 * t308;
  t394 = t335 * t340;
  t395 = t393 * t394;
  t396 = t319 * t342;
  t397 = t396 * t63;
  t400 = t319 * t137;
  t401 = t63 * t326;
  t402 = t400 * t401;
  t404 = t137 * t136;
  t405 = t319 * t404;
  t406 = t405 * t63;
  t409 = t393 * t335;
  t410 = t342 * t60;
  t411 = t341 * t410;
  t414 = t386 * t124;
  t417 = t389 * t311;
  t419 = t60 * t326;
  t420 = t400 * t419;
  t423 = t404 * t60;
  t424 = t341 * t423;
  t426 = t387 * t146 - 0.2e1 * t390 * t146 - t395 * t397 / 0.3e1 - t144 * t402 + 0.2e1 * t395 * t406 + 0.2e1 / 0.3e1 * t409 * t411 - t414 * t150 / 0.2e1 + t417 * t150 + t144 * t420 / 0.2e1 - t409 * t424;
  t427 = t59 * t426;
  t428 = t427 * t96;
  t433 = t154 * t194;
  t439 = tau[0] * tau[0];
  t440 = t439 * t23;
  t441 = t356 * rho[0];
  t443 = 0.1e1 / t15 / t441;
  t447 = t76 * t84;
  t448 = t440 * t443;
  t451 = t74 * t117;
  t454 = t80 * t181;
  t459 = t81 * t91;
  t464 = t87 * t189;
  t470 = 0.1e1 / t89 / t83;
  t471 = t88 * t470;
  t476 = -0.4e2 / 0.9e1 * t74 * t117 * t78 + 0.1e3 / 0.9e1 * t440 * t443 * t173 - 0.5e3 / 0.9e1 * t447 * t448 - 0.4e2 / 0.9e1 * t174 * t451 - 0.2e3 * t454 * t448 + 0.8e2 / 0.3e1 * t178 * t451 - 0.2e3 / 0.9e1 * t459 * t448 + 0.8e2 / 0.3e1 * t182 * t451 + 0.25e4 / 0.9e1 * t464 * t448 - 0.2e3 / 0.9e1 * t185 * t451 + 0.5e3 / 0.3e1 * t471 * t448 - 0.2e3 / 0.9e1 * t190 * t451;
  t477 = t169 * t476;
  t478 = t65 * t477;
  t481 = t14 * t27;
  t482 = t481 * t21;
  t485 = t308 * t311;
  t486 = t109 * t485;
  t487 = t106 * t486;
  t490 = t320 * t301;
  t491 = t95 * t326;
  t492 = t303 * t491;
  t493 = t490 * t492;
  t496 = t341 * t404;
  t497 = t496 * t97;
  t500 = t159 * t95;
  t501 = t65 * t500;
  t502 = t343 * t501;
  t506 = 0.1e1 / t131 / t57;
  t507 = t64 * t506;
  t508 = t158 * t507;
  t509 = t106 * t508;
  t510 = t95 * t332;
  t511 = t510 * t308;
  t512 = t394 * t396;
  t513 = t511 * t512;
  t516 = t394 * t405;
  t517 = t511 * t516;
  t520 = -t103 * t155 / 0.6e1 - t22 * t428 / 0.4e1 - t103 * t195 / 0.6e1 - t22 * t433 / 0.2e1 - t22 * t478 / 0.4e1 + t482 * t97 / 0.18e2 + t487 * t139 / 0.6e1 + t127 * t493 / 0.12e2 - t338 * t497 / 0.6e1 + t338 * t502 / 0.3e1 - t509 * t513 / 0.2e1 + t162 * t517 / 0.2e1;
  t522 = my_piecewise3(t3, 0, t383 + t520);
  tv2rho20 = 0.2e1 * rho[0] * t522 + 0.4e1 * t199;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t525 = t368 * t207;
  t528 = t202 * t117;
  t530 = my_piecewise3(t43, t110, -0.2e1 / 0.9e1 * t528);
  t531 = t530 * t124;
  t532 = t109 * t531;
  t533 = t106 * t532;
  t536 = t205 * t311;
  t537 = t109 * t536;
  t538 = t106 * t537;
  t539 = t95 * t122;
  t540 = t303 * t539;
  t541 = t302 * t540;
  t544 = t205 * t335;
  t545 = t333 * t544;
  t546 = t106 * t545;
  t547 = t342 * t59;
  t548 = t341 * t547;
  t549 = t548 * t540;
  t554 = t404 * t59;
  t555 = t341 * t554;
  t556 = t555 * t540;
  t561 = t160 * t539;
  t562 = t548 * t561;
  t569 = t138 * t219;
  t572 = -t525 * t139 / 0.36e2 - t533 * t139 / 0.12e2 + t538 * t541 / 0.6e1 - t546 * t549 / 0.12e2 + t208 * t493 / 0.12e2 - t546 * t556 / 0.6e1 - t208 * t380 / 0.12e2 + t546 * t562 / 0.3e1 - t208 * t305 / 0.12e2 - t103 * t219 / 0.12e2 - t127 * t569 / 0.12e2;
  t573 = t108 * t530;
  t574 = t573 * t143;
  t576 = t211 * t312;
  t577 = t63 * t122;
  t578 = t145 * t577;
  t581 = t332 * t205;
  t582 = t581 * t394;
  t583 = t396 * t577;
  t587 = t405 * t577;
  t590 = t60 * t122;
  t591 = t396 * t590;
  t594 = t573 * t124;
  t597 = t145 * t590;
  t601 = t405 * t590;
  t603 = t574 * t146 - 0.2e1 * t576 * t578 - t582 * t583 / 0.3e1 - t212 * t402 + 0.2e1 * t582 * t587 + 0.2e1 / 0.3e1 * t582 * t591 - t594 * t150 / 0.2e1 + t576 * t597 + t212 * t420 / 0.2e1 - t582 * t601;
  t604 = t59 * t603;
  t605 = t604 * t96;
  t608 = t217 * t159;
  t609 = t158 * t608;
  t610 = t106 * t609;
  t613 = t218 * t194;
  t620 = t510 * t544;
  t621 = t342 * t122;
  t622 = t341 * t621;
  t623 = t620 * t622;
  t627 = t296 * t211 * t165;
  t631 = t163 * t530 * t165;
  t634 = t163 * t536;
  t635 = t137 * t122;
  t636 = t135 * t635;
  t637 = t634 * t636;
  t640 = t163 * t206;
  t641 = t640 * t328;
  t645 = t341 * t404 * t122;
  t646 = t620 * t645;
  t649 = -t22 * t605 / 0.4e1 + t610 * t166 / 0.4e1 - t22 * t613 / 0.4e1 + t372 * t223 / 0.12e2 + t349 * t223 / 0.4e1 - t509 * t623 / 0.2e1 + t162 * t627 / 0.4e1 + t162 * t631 / 0.4e1 - t162 * t637 / 0.2e1 - t162 * t641 / 0.4e1 + t162 * t646 / 0.2e1;
  t651 = my_piecewise3(t3, 0, t572 + t649);
  tv2rhosigma0 = 0.2e1 * rho[0] * t651 + 0.2e1 * t227;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t654 = t368 * t232;
  t658 = my_piecewise3(t43, t110, -0.5e1 / 0.18e2 * t50);
  t659 = t658 * t124;
  t660 = t109 * t659;
  t661 = t106 * t660;
  t664 = t230 * t311;
  t665 = t109 * t664;
  t666 = t106 * t665;
  t669 = t230 * t335;
  t670 = t333 * t669;
  t671 = t106 * t670;
  t686 = t138 * t244;
  t689 = -t654 * t139 / 0.36e2 - t661 * t139 / 0.12e2 + t666 * t541 / 0.6e1 - t671 * t549 / 0.12e2 + t233 * t493 / 0.12e2 - t671 * t556 / 0.6e1 - t233 * t380 / 0.12e2 + t671 * t562 / 0.3e1 - t233 * t305 / 0.12e2 - t103 * t244 / 0.12e2 - t127 * t686 / 0.12e2;
  t690 = t108 * t658;
  t691 = t690 * t143;
  t693 = t236 * t312;
  t696 = t332 * t230;
  t697 = t696 * t394;
  t705 = t690 * t124;
  t712 = t691 * t146 - 0.2e1 * t693 * t578 - t697 * t583 / 0.3e1 - t237 * t402 + 0.2e1 * t697 * t587 + 0.2e1 / 0.3e1 * t697 * t591 - t705 * t150 / 0.2e1 + t693 * t597 + t237 * t420 / 0.2e1 - t697 * t601;
  t713 = t59 * t712;
  t714 = t713 * t96;
  t717 = t242 * t159;
  t718 = t158 * t717;
  t719 = t106 * t718;
  t722 = t243 * t194;
  t729 = t510 * t669;
  t730 = t729 * t622;
  t734 = t296 * t236 * t165;
  t738 = t163 * t658 * t165;
  t741 = t163 * t664;
  t742 = t741 * t636;
  t745 = t163 * t231;
  t746 = t745 * t328;
  t749 = t729 * t645;
  t752 = -t22 * t714 / 0.4e1 + t719 * t166 / 0.4e1 - t22 * t722 / 0.4e1 + t372 * t248 / 0.12e2 + t349 * t248 / 0.4e1 - t509 * t730 / 0.2e1 + t162 * t734 / 0.4e1 + t162 * t738 / 0.4e1 - t162 * t742 / 0.2e1 - t162 * t746 / 0.4e1 + t162 * t749 / 0.2e1;
  t754 = my_piecewise3(t3, 0, t689 + t752);
  tv2rholapl0 = 0.2e1 * rho[0] * t754 + 0.2e1 * t252;

  if(out->v2rholapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t757 = t269 * t194;
  t760 = t154 * t288;
  t767 = t23 / t15 / t356;
  t768 = t173 * tau[0];
  t771 = t767 * tau[0];
  t792 = 0.5e1 / 0.3e1 * t50 * t78 - 0.2e2 / 0.3e1 * t767 * t768 + 0.1e3 / 0.3e1 * t447 * t771 + 0.5e1 / 0.3e1 * t174 * t50 + 0.12e3 * t454 * t771 - 0.1e2 * t178 * t50 + 0.4e2 / 0.3e1 * t459 * t771 - 0.1e2 * t182 * t50 - 0.5e3 / 0.3e1 * t464 * t771 + 0.25e2 / 0.3e1 * t185 * t50 - 0.1e3 * t471 * t771 + 0.25e2 / 0.3e1 * t190 * t50;
  t793 = t169 * t792;
  t794 = t65 * t793;
  t802 = my_piecewise3(t43, t110, 0.1e2 / 0.9e1 * t203);
  t803 = t108 * t802;
  t804 = t803 * t143;
  t806 = t262 * t312;
  t809 = t332 * t256;
  t810 = t809 * t394;
  t818 = t803 * t124;
  t825 = t804 * t146 - 0.2e1 * t806 * t578 - t810 * t583 / 0.3e1 - t263 * t402 + 0.2e1 * t810 * t587 + 0.2e1 / 0.3e1 * t810 * t591 - t818 * t150 / 0.2e1 + t806 * t597 + t263 * t420 / 0.2e1 - t810 * t601;
  t826 = t59 * t825;
  t827 = t826 * t96;
  t833 = t163 * t802 * t165;
  t836 = t802 * t124;
  t837 = t109 * t836;
  t838 = t106 * t837;
  t843 = t368 * t258;
  t848 = t138 * t270;
  t851 = -t22 * t757 / 0.4e1 - t22 * t760 / 0.4e1 - t22 * t794 / 0.4e1 - t103 * t289 / 0.12e2 - t103 * t270 / 0.12e2 - t22 * t827 / 0.4e1 + t349 * t274 / 0.4e1 + t162 * t833 / 0.4e1 - t838 * t139 / 0.12e2 - t259 * t380 / 0.12e2 - t843 * t139 / 0.36e2 + t372 * t274 / 0.12e2 - t127 * t848 / 0.12e2;
  t852 = t268 * t159;
  t853 = t158 * t852;
  t854 = t106 * t853;
  t857 = t256 * t335;
  t858 = t510 * t857;
  t859 = t858 * t622;
  t862 = t858 * t645;
  t865 = t333 * t857;
  t866 = t106 * t865;
  t871 = t256 * t311;
  t872 = t163 * t871;
  t873 = t872 * t636;
  t876 = t163 * t257;
  t877 = t876 * t328;
  t881 = t296 * t262 * t165;
  t884 = params->at * t287;
  t885 = t303 * t884;
  t886 = t302 * t885;
  t890 = t884 * t142 * t165;
  t893 = t109 * t871;
  t894 = t106 * t893;
  t903 = t854 * t166 / 0.4e1 - t509 * t859 / 0.2e1 + t162 * t862 / 0.2e1 - t866 * t556 / 0.6e1 + t866 * t562 / 0.3e1 - t162 * t873 / 0.2e1 - t162 * t877 / 0.4e1 + t162 * t881 / 0.4e1 - t127 * t886 / 0.12e2 + t162 * t890 / 0.4e1 + t894 * t541 / 0.6e1 + t259 * t493 / 0.12e2 - t866 * t549 / 0.12e2 - t259 * t305 / 0.12e2;
  t905 = my_piecewise3(t3, 0, t851 + t903);
  tv2rhotau0 = 0.2e1 * rho[0] * t905 + 0.2e1 * t293;

  if(out->v2rhotau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t908 = my_piecewise3(t43, t110, 0);
  t909 = t908 * t124;
  t910 = t109 * t909;
  t911 = t106 * t910;
  t913 = t911 * t139 / 0.12e2;
  t914 = t205 * t205;
  t915 = t914 * t311;
  t916 = t109 * t915;
  t917 = t106 * t916;
  t920 = t914 * t335;
  t921 = t333 * t920;
  t922 = t106 * t921;
  t929 = 0.2e1 * t165 * t205 * t321 - 0.2e1 * t138 * t214;
  t930 = t95 * t929;
  t931 = t303 * t930;
  t932 = t490 * t931;
  t941 = t108 * t908;
  t942 = t941 * t143;
  t943 = t942 * t146;
  t944 = t108 * t914;
  t945 = t944 * t312;
  t948 = t332 * t914;
  t949 = t948 * t394;
  t952 = t63 * t929;
  t953 = t400 * t952;
  t957 = t948 * t335;
  t960 = t941 * t124;
  t962 = t960 * t150 / 0.2e1;
  t963 = t944 * t311;
  t965 = t60 * t929;
  t966 = t400 * t965;
  t970 = t943 - 0.2e1 * t945 * t146 - t949 * t397 / 0.3e1 - t212 * t953 + 0.2e1 * t949 * t406 + 0.2e1 / 0.3e1 * t957 * t411 - t962 + t963 * t150 + t212 * t966 / 0.2e1 - t957 * t424;
  t971 = t59 * t970;
  t972 = t971 * t96;
  t977 = t510 * t914;
  t978 = t977 * t512;
  t982 = t163 * t908 * t165;
  t984 = t162 * t982 / 0.4e1;
  t986 = t163 * t914 * t313;
  t989 = t137 * t929;
  t990 = t320 * t989;
  t991 = t640 * t990;
  t994 = t977 * t516;
  t997 = -t913 + t917 * t139 / 0.6e1 - t922 * t344 / 0.12e2 + t208 * t932 / 0.12e2 - t922 * t497 / 0.6e1 - t208 * t569 / 0.6e1 + t922 * t502 / 0.3e1 - t22 * t972 / 0.4e1 + t610 * t223 / 0.2e1 - t509 * t978 / 0.2e1 + t984 - t162 * t986 / 0.2e1 - t162 * t991 / 0.4e1 + t162 * t994 / 0.2e1;
  t998 = my_piecewise3(t3, 0, t997);
  tv2sigma20 = 0.2e1 * rho[0] * t998;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t1000 = t95 * t205;
  t1001 = t303 * t1000;
  t1002 = t302 * t1001;
  t1005 = t548 * t1001;
  t1010 = t555 * t1001;
  t1015 = t160 * t1000;
  t1016 = t548 * t1015;
  t1021 = t63 * t205;
  t1022 = t145 * t1021;
  t1025 = t396 * t1021;
  t1029 = t405 * t1021;
  t1032 = t60 * t205;
  t1033 = t396 * t1032;
  t1036 = t145 * t1032;
  t1040 = t405 * t1032;
  t1042 = t943 - 0.2e1 * t693 * t1022 - t697 * t1025 / 0.3e1 - t237 * t953 + 0.2e1 * t697 * t1029 + 0.2e1 / 0.3e1 * t697 * t1033 - t962 + t693 * t1036 + t237 * t966 / 0.2e1 - t697 * t1040;
  t1043 = t59 * t1042;
  t1044 = t1043 * t96;
  t1051 = t342 * t205;
  t1052 = t341 * t1051;
  t1053 = t729 * t1052;
  t1056 = t137 * t205;
  t1057 = t135 * t1056;
  t1058 = t741 * t1057;
  t1061 = t745 * t990;
  t1064 = t404 * t205;
  t1065 = t341 * t1064;
  t1066 = t729 * t1065;
  t1069 = -t913 + t666 * t1002 / 0.6e1 - t671 * t1005 / 0.12e2 + t233 * t932 / 0.12e2 - t671 * t1010 / 0.6e1 - t233 * t569 / 0.12e2 + t671 * t1016 / 0.3e1 - t208 * t686 / 0.12e2 - t22 * t1044 / 0.4e1 + t719 * t223 / 0.4e1 + t610 * t248 / 0.4e1 - t509 * t1053 / 0.2e1 + t984 - t162 * t1058 / 0.2e1 - t162 * t1061 / 0.4e1 + t162 * t1066 / 0.2e1;
  t1070 = my_piecewise3(t3, 0, t1069);
  tv2sigmalapl0 = 0.2e1 * rho[0] * t1070;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  t1099 = t943 - 0.2e1 * t806 * t1022 - t810 * t1025 / 0.3e1 - t263 * t953 + 0.2e1 * t810 * t1029 + 0.2e1 / 0.3e1 * t810 * t1033 - t962 + t806 * t1036 + t263 * t966 / 0.2e1 - t810 * t1040;
  t1100 = t59 * t1099;
  t1101 = t1100 * t96;
  t1108 = t858 * t1052;
  t1111 = t872 * t1057;
  t1114 = t876 * t990;
  t1117 = t858 * t1065;
  t1122 = t218 * t288;
  t1126 = t884 * t211 * t165;
  t1129 = -t913 + t894 * t1002 / 0.6e1 - t866 * t1005 / 0.12e2 + t259 * t932 / 0.12e2 - t866 * t1010 / 0.6e1 - t259 * t569 / 0.12e2 + t866 * t1016 / 0.3e1 - t208 * t848 / 0.12e2 - t22 * t1101 / 0.4e1 + t854 * t223 / 0.4e1 + t610 * t274 / 0.4e1 - t509 * t1108 / 0.2e1 + t984 - t162 * t1111 / 0.2e1 - t162 * t1114 / 0.4e1 + t162 * t1117 / 0.2e1 - t208 * t886 / 0.12e2 - t22 * t1122 / 0.4e1 + t162 * t1126 / 0.4e1;
  t1130 = my_piecewise3(t3, 0, t1129);
  tv2sigmatau0 = 0.2e1 * rho[0] * t1130;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  t1132 = t230 * t230;
  t1133 = t1132 * t311;
  t1134 = t109 * t1133;
  t1135 = t106 * t1134;
  t1138 = t1132 * t335;
  t1139 = t333 * t1138;
  t1140 = t106 * t1139;
  t1147 = 0.2e1 * t165 * t230 * t321 - 0.2e1 * t138 * t239;
  t1148 = t95 * t1147;
  t1149 = t303 * t1148;
  t1150 = t490 * t1149;
  t1159 = t108 * t1132;
  t1160 = t1159 * t312;
  t1163 = t332 * t1132;
  t1164 = t1163 * t394;
  t1167 = t63 * t1147;
  t1168 = t400 * t1167;
  t1172 = t1163 * t335;
  t1175 = t1159 * t311;
  t1177 = t60 * t1147;
  t1178 = t400 * t1177;
  t1182 = t943 - 0.2e1 * t1160 * t146 - t1164 * t397 / 0.3e1 - t237 * t1168 + 0.2e1 * t1164 * t406 + 0.2e1 / 0.3e1 * t1172 * t411 - t962 + t1175 * t150 + t237 * t1178 / 0.2e1 - t1172 * t424;
  t1183 = t59 * t1182;
  t1184 = t1183 * t96;
  t1189 = t510 * t1132;
  t1190 = t1189 * t512;
  t1194 = t163 * t1132 * t313;
  t1197 = t137 * t1147;
  t1198 = t320 * t1197;
  t1199 = t745 * t1198;
  t1202 = t1189 * t516;
  t1205 = -t913 + t1135 * t139 / 0.6e1 - t1140 * t344 / 0.12e2 + t233 * t1150 / 0.12e2 - t1140 * t497 / 0.6e1 - t233 * t686 / 0.6e1 + t1140 * t502 / 0.3e1 - t22 * t1184 / 0.4e1 + t719 * t248 / 0.2e1 - t509 * t1190 / 0.2e1 + t984 - t162 * t1194 / 0.2e1 - t162 * t1199 / 0.4e1 + t162 * t1202 / 0.2e1;
  t1206 = my_piecewise3(t3, 0, t1205);
  tv2lapl20 = 0.2e1 * rho[0] * t1206;

  if(out->v2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  t1208 = t95 * t230;
  t1209 = t303 * t1208;
  t1210 = t302 * t1209;
  t1213 = t548 * t1209;
  t1218 = t555 * t1209;
  t1223 = t160 * t1208;
  t1224 = t548 * t1223;
  t1229 = t63 * t230;
  t1230 = t145 * t1229;
  t1233 = t396 * t1229;
  t1237 = t405 * t1229;
  t1240 = t60 * t230;
  t1241 = t396 * t1240;
  t1244 = t145 * t1240;
  t1248 = t405 * t1240;
  t1250 = t943 - 0.2e1 * t806 * t1230 - t810 * t1233 / 0.3e1 - t263 * t1168 + 0.2e1 * t810 * t1237 + 0.2e1 / 0.3e1 * t810 * t1241 - t962 + t806 * t1244 + t263 * t1178 / 0.2e1 - t810 * t1248;
  t1251 = t59 * t1250;
  t1252 = t1251 * t96;
  t1259 = t342 * t230;
  t1260 = t341 * t1259;
  t1261 = t858 * t1260;
  t1264 = t137 * t230;
  t1265 = t135 * t1264;
  t1266 = t872 * t1265;
  t1269 = t876 * t1198;
  t1272 = t404 * t230;
  t1273 = t341 * t1272;
  t1274 = t858 * t1273;
  t1279 = t243 * t288;
  t1283 = t884 * t236 * t165;
  t1286 = -t913 + t894 * t1210 / 0.6e1 - t866 * t1213 / 0.12e2 + t259 * t1150 / 0.12e2 - t866 * t1218 / 0.6e1 - t259 * t686 / 0.12e2 + t866 * t1224 / 0.3e1 - t233 * t848 / 0.12e2 - t22 * t1252 / 0.4e1 + t854 * t248 / 0.4e1 + t719 * t274 / 0.4e1 - t509 * t1261 / 0.2e1 + t984 - t162 * t1266 / 0.2e1 - t162 * t1269 / 0.4e1 + t162 * t1274 / 0.2e1 - t233 * t886 / 0.12e2 - t22 * t1279 / 0.4e1 + t162 * t1283 / 0.4e1;
  t1287 = my_piecewise3(t3, 0, t1286);
  tv2lapltau0 = 0.2e1 * rho[0] * t1287;

  if(out->v2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  t1289 = t256 * t256;
  t1290 = t1289 * t311;
  t1291 = t109 * t1290;
  t1292 = t106 * t1291;
  t1295 = t1289 * t335;
  t1296 = t333 * t1295;
  t1297 = t106 * t1296;
  t1304 = 0.2e1 * t165 * t256 * t321 - 0.2e1 * t138 * t265;
  t1305 = t95 * t1304;
  t1306 = t303 * t1305;
  t1307 = t490 * t1306;
  t1318 = t108 * t1289;
  t1319 = t1318 * t312;
  t1322 = t332 * t1289;
  t1323 = t1322 * t394;
  t1326 = t63 * t1304;
  t1327 = t400 * t1326;
  t1331 = t1322 * t335;
  t1334 = t1318 * t311;
  t1336 = t60 * t1304;
  t1337 = t400 * t1336;
  t1341 = t943 - 0.2e1 * t1319 * t146 - t1323 * t397 / 0.3e1 - t263 * t1327 + 0.2e1 * t1323 * t406 + 0.2e1 / 0.3e1 * t1331 * t411 - t962 + t1334 * t150 + t263 * t1337 / 0.2e1 - t1331 * t424;
  t1342 = t59 * t1341;
  t1343 = t1342 * t96;
  t1348 = t269 * t288;
  t1351 = t510 * t1289;
  t1352 = t1351 * t512;
  t1356 = t884 * t262 * t165;
  t1360 = t163 * t1289 * t313;
  t1363 = t137 * t1304;
  t1364 = t320 * t1363;
  t1365 = t876 * t1364;
  t1368 = t1351 * t516;
  t1373 = t23 / t15 / t115;
  t1386 = 0.4e1 * t1373 * t173 - 0.2e2 * t1373 * t447 - 0.72e2 * t1373 * t454 - 0.8e1 * t1373 * t459 + 0.1e3 * t1373 * t464 + 0.6e2 * t1373 * t471;
  t1387 = t169 * t1386;
  t1388 = t65 * t1387;
  t1391 = -t913 + t1292 * t139 / 0.6e1 - t1297 * t344 / 0.12e2 + t259 * t1307 / 0.12e2 - t1297 * t497 / 0.6e1 - t259 * t848 / 0.6e1 + t1297 * t502 / 0.3e1 - t259 * t886 / 0.6e1 - t22 * t1343 / 0.4e1 + t854 * t274 / 0.2e1 - t22 * t1348 / 0.2e1 - t509 * t1352 / 0.2e1 + t162 * t1356 / 0.2e1 + t984 - t162 * t1360 / 0.2e1 - t162 * t1365 / 0.4e1 + t162 * t1368 / 0.2e1 - t22 * t1388 / 0.4e1;
  t1392 = my_piecewise3(t3, 0, t1391);
  tv2tau20 = 0.2e1 * rho[0] * t1392;

  if(out->v2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  t1400 = 0.1e1 / t25 / t441;
  t1401 = t24 * t1400;
  t1405 = my_piecewise3(t43, t110, -0.22e3 / 0.81e2 * t44 * t358 + 0.88e3 / 0.81e2 * t30 * t359 - 0.308e3 / 0.81e2 * t33 * t1401);
  t1407 = t163 * t1405 * t165;
  t1410 = t368 * t376;
  t1415 = t20 * t69;
  t1416 = t308 * t122;
  t1418 = 0.1e1 / t334 / t123;
  t1419 = t1416 * t1418;
  t1420 = t1415 * t1419;
  t1421 = t106 * t1420;
  t1423 = 0.1e1 / t339 / t129;
  t1425 = 0.1e1 / t318 / t133;
  t1426 = t1423 * t1425;
  t1427 = t342 * t137;
  t1428 = t1426 * t1427;
  t1429 = t1428 * t97;
  t1432 = t426 * t159;
  t1433 = t158 * t1432;
  t1434 = t106 * t1433;
  t1439 = t154 * t500;
  t1440 = t343 * t1439;
  t1445 = 0.1e1 / t334 / t56;
  t1446 = t1416 * t1445;
  t1447 = t333 * t1446;
  t1448 = t106 * t1447;
  t1451 = t343 * t155;
  t1454 = t1416 * t335;
  t1455 = t109 * t1454;
  t1456 = t106 * t1455;
  t1459 = t162 * t1407 / 0.4e1 - t1410 * t139 / 0.12e2 - t369 * t380 / 0.6e1 - 0.5e1 / 0.36e2 * t1421 * t1429 + 0.3e1 / 0.4e1 * t1434 * t166 + 0.3e1 / 0.4e1 * t349 * t365 + t338 * t1440 - 0.3e1 / 0.2e1 * t349 * t314 - 0.2e1 * t1448 * t502 - t338 * t1451 / 0.4e1 - t1456 * t139 / 0.2e1;
  t1462 = t481 * t19;
  t1463 = t1462 * t161;
  t1466 = t1462 * t126;
  t1469 = t368 * t486;
  t1474 = t368 * t337;
  t1479 = t368 * t348;
  t1483 = t335 * t130;
  t1484 = t1483 * t145;
  t1485 = t163 * t1416 * t1484;
  t1490 = t1405 * t124;
  t1491 = t109 * t1490;
  t1492 = t106 * t1491;
  t1497 = t487 * t380 / 0.2e1 - t1463 * t166 / 0.6e1 + t1466 * t139 / 0.18e2 + t1469 * t139 / 0.6e1 + t372 * t365 / 0.4e1 - t1474 * t344 / 0.12e2 + t1448 * t344 / 0.2e1 + t1479 * t166 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t1485 - t372 * t314 / 0.2e1 - t1492 * t139 / 0.12e2 - t377 * t380 / 0.4e1;
  t1499 = t138 * t428;
  t1502 = t95 * t69;
  t1503 = t1502 * t1416;
  t1504 = t1418 * t1423;
  t1505 = t1425 * t342;
  t1506 = t1504 * t1505;
  t1507 = t1503 * t1506;
  t1510 = t496 * t155;
  t1514 = t1426 * t342;
  t1515 = t1514 * t97;
  t1518 = t342 * t136;
  t1519 = t1426 * t1518;
  t1520 = t1519 * t501;
  t1529 = t368 * t508;
  t1534 = -t127 * t1499 / 0.4e1 + 0.3e1 / 0.2e1 * t162 * t1507 - t338 * t1510 / 0.2e1 + t1448 * t497 - t1421 * t1515 / 0.2e1 + 0.7e1 / 0.3e1 * t1421 * t1520 + 0.3e1 / 0.2e1 * t349 * t517 - t1474 * t497 / 0.6e1 + t1474 * t502 / 0.3e1 - t1529 * t513 / 0.2e1 + t372 * t517 / 0.2e1;
  t1535 = t510 * t1416;
  t1536 = t1445 * t340;
  t1537 = t1536 * t396;
  t1538 = t1535 * t1537;
  t1541 = t1536 * t405;
  t1542 = t1535 * t1541;
  t1545 = t1519 * t97;
  t1548 = t1428 * t501;
  t1551 = t153 * t506;
  t1552 = t158 * t1551;
  t1553 = t106 * t1552;
  t1556 = t506 * t95;
  t1557 = t65 * t1556;
  t1558 = t1428 * t1557;
  t1561 = t131 * t131;
  t1562 = 0.1e1 / t1561;
  t1563 = t64 * t1562;
  t1564 = t158 * t1563;
  t1565 = t106 * t1564;
  t1566 = t1425 * t1427;
  t1567 = t1504 * t1566;
  t1568 = t1503 * t1567;
  t1571 = t1425 * t1518;
  t1572 = t1504 * t1571;
  t1573 = t1503 * t1572;
  t1576 = t363 * t335;
  t1577 = t510 * t1576;
  t1578 = t1577 * t622;
  t1581 = t1577 * t645;
  t1592 = t57 * t332;
  t1593 = t1592 * t308;
  t1596 = t321 * t125;
  t1609 = 0.2e1 / 0.3e1 * t409 * t343 + 0.2e1 * t321 * t363 * t165 - 0.4e1 * t321 * t308 * t313 + 0.4e1 / 0.3e1 * t1593 * t512 - 0.2e1 * t1596 * t328 + 0.4e1 * t1593 * t516 - 0.2e1 * t414 * t138 + 0.4e1 * t417 * t138 + 0.2e1 * t148 * t328 - 0.4e1 * t409 * t496;
  t1610 = t95 * t1609;
  t1611 = t303 * t1610;
  t1612 = t490 * t1611;
  t1617 = 0.3e1 * t509 * t1538 - 0.3e1 * t162 * t1542 - 0.11e2 / 0.18e2 * t1421 * t1545 + 0.23e2 / 0.36e2 * t1421 * t1548 - 0.3e1 / 0.2e1 * t1553 * t513 - 0.3e1 / 0.2e1 * t1421 * t1558 + 0.3e1 / 0.2e1 * t1565 * t1568 - 0.3e1 * t509 * t1573 - 0.3e1 / 0.2e1 * t509 * t1578 + 0.3e1 / 0.2e1 * t162 * t1581 + t127 * t1612 / 0.12e2 + t372 * t298 / 0.2e1;
  t1621 = t296 * t389 * t313;
  t1630 = t130 * t1425;
  t1631 = t326 * t326;
  t1633 = t1630 * t137 * t1631;
  t1634 = t317 * t1633;
  t1637 = t1630 * t301;
  t1638 = t95 * t1631;
  t1639 = t303 * t1638;
  t1640 = t1637 * t1639;
  t1643 = params->at * t476;
  t1645 = t1643 * t142 * t165;
  t1648 = t340 * t1425;
  t1649 = t1648 * t554;
  t1650 = t1649 * t492;
  t1653 = t296 * t393;
  t1654 = t1653 * t512;
  t1657 = t1653 * t516;
  t1660 = t555 * t304;
  t1663 = -0.3e1 / 0.2e1 * t162 * t1621 - t369 * t305 / 0.6e1 + t487 * t305 / 0.2e1 - t372 * t329 / 0.4e1 + t162 * t1634 / 0.2e1 - t127 * t1640 / 0.6e1 + 0.3e1 / 0.4e1 * t162 * t1645 + t338 * t1650 / 0.2e1 - 0.3e1 / 0.2e1 * t509 * t1654 + 0.3e1 / 0.2e1 * t162 * t1657 - t338 * t1660 / 0.2e1;
  t1664 = t510 * t336;
  t1665 = t342 * t326;
  t1666 = t1648 * t1665;
  t1667 = t1664 * t1666;
  t1670 = t404 * t326;
  t1671 = t1648 * t1670;
  t1672 = t1664 * t1671;
  t1675 = t159 * params->at;
  t1676 = t65 * t1675;
  t1677 = t22 * t1676;
  t1678 = t193 * t108;
  t1679 = t1678 * t125;
  t1680 = t1679 * t328;
  t1683 = t22 * t144;
  t1684 = t400 * t65;
  t1685 = t193 * t326;
  t1686 = t169 * t1685;
  t1687 = t1684 * t1686;
  t1690 = t122 * t311;
  t1691 = t163 * t1690;
  t1693 = t135 * t137 * t363;
  t1694 = t1691 * t1693;
  t1697 = t163 * t485;
  t1698 = t1697 * t328;
  t1702 = t163 * t375;
  t1703 = t1702 * t328;
  t1707 = t320 * t137 * t1609;
  t1708 = t317 * t1707;
  t1711 = t1648 * t547;
  t1712 = t160 * t491;
  t1713 = t1711 * t1712;
  t1716 = t296 * t386 * t165;
  t1719 = t160 * t296;
  t1720 = t548 * t1719;
  t1722 = 0.3e1 / 0.2e1 * t509 * t1667 - 0.3e1 / 0.2e1 * t162 * t1672 - 0.3e1 / 0.4e1 * t1677 * t1680 + t1683 * t1687 / 0.4e1 - 0.3e1 / 0.2e1 * t162 * t1694 + t162 * t1698 - 0.3e1 / 0.4e1 * t349 * t329 - t162 * t1703 / 0.2e1 - t162 * t1708 / 0.4e1 - t338 * t1713 + 0.3e1 / 0.4e1 * t162 * t1716 + t338 * t1720;
  t1726 = t153 * t66;
  t1727 = t1726 * t296;
  t1728 = t302 * t1727;
  t1731 = t303 * t1643;
  t1732 = t302 * t1731;
  t1735 = t548 * t304;
  t1740 = t333 * t1576;
  t1741 = t106 * t1740;
  t1746 = t356 * t34;
  t1748 = 0.1e1 / t15 / t1746;
  t1749 = t1748 * t173;
  t1752 = t76 * t181;
  t1753 = t439 * tau[0];
  t1754 = t356 * t356;
  t1755 = 0.1e1 / t1754;
  t1756 = t1753 * t1755;
  t1759 = t80 * t91;
  t1762 = t81 * t189;
  t1765 = t87 * t470;
  t1768 = t89 * t89;
  t1769 = 0.1e1 / t1768;
  t1770 = t88 * t1769;
  t1773 = t74 * t358;
  t1776 = t440 * t1748;
  t1800 = -0.8e3 / 0.9e1 * t440 * t1749 - 0.17e5 / 0.9e1 * t1752 * t1756 - 0.26e5 / 0.9e1 * t1759 * t1756 + 0.1e5 / 0.3e1 * t1762 * t1756 + 0.25e5 / 0.3e1 * t1765 * t1756 + 0.35e5 / 0.9e1 * t1770 * t1756 + 0.22e4 / 0.27e2 * t185 * t1773 - 0.4e4 / 0.3e1 * t471 * t1776 + 0.22e4 / 0.27e2 * t190 * t1773 + 0.4e4 / 0.9e1 * t447 * t1776 + 0.44e3 / 0.27e2 * t174 * t1773 + 0.16e4 * t454 * t1776 - 0.88e3 / 0.9e1 * t178 * t1773 + 0.16e4 / 0.9e1 * t459 * t1776 - 0.88e3 / 0.9e1 * t182 * t1773 - 0.2e5 / 0.9e1 * t464 * t1776 - 0.1e4 / 0.9e1 * t1756 * t84 + 0.44e3 / 0.27e2 * t74 * t358 * t78;
  t1801 = t169 * t1800;
  t1802 = t65 * t1801;
  t1807 = t154 * t477;
  t1810 = t427 * t194;
  t1815 = -t377 * t305 / 0.4e1 - t127 * t1728 / 0.2e1 - t127 * t1732 / 0.4e1 - t338 * t1735 / 0.4e1 + 0.3e1 / 0.2e1 * t349 * t298 - t1741 * t556 / 0.2e1 + t482 * t195 / 0.6e1 - t22 * t1802 / 0.4e1 - t103 * t478 / 0.4e1 - 0.3e1 / 0.4e1 * t22 * t1807 - 0.3e1 / 0.4e1 * t22 * t1810 - t103 * t433 / 0.2e1;
  t1816 = t14 * t36;
  t1817 = t1816 * t21;
  t1820 = t332 * t1416;
  t1821 = t1820 * t1445;
  t1824 = t69 * t1416;
  t1825 = t1824 * t1418;
  t1826 = t1426 * t410;
  t1829 = t1518 * t60;
  t1830 = t1426 * t1829;
  t1833 = t108 * t1405;
  t1834 = t1833 * t124;
  t1837 = t1427 * t60;
  t1838 = t1426 * t1837;
  t1843 = t108 * t1416;
  t1844 = t1843 * t335;
  t1849 = t1505 * t401;
  t1851 = t63 * t1609;
  t1852 = t400 * t1851;
  t1854 = t386 * t312;
  t1859 = t332 * t363;
  t1860 = t1859 * t394;
  t1862 = t1425 * t404;
  t1863 = t1862 * t401;
  t1868 = t1425 * t137;
  t1869 = t63 * t1631;
  t1870 = t1868 * t1869;
  t1873 = 0.6e1 * t1821 * t424 - 0.3e1 * t1825 * t1826 + 0.1e2 / 0.3e1 * t1825 * t1830 - t1834 * t150 / 0.2e1 + t1825 * t1838 / 0.18e2 - 0.4e1 * t1821 * t411 - 0.3e1 * t1844 * t150 + 0.4e1 * t390 * t402 + t395 * t1849 - t144 * t1852 - 0.6e1 * t1854 * t578 - 0.2e1 * t387 * t402 - t1860 * t583 - 0.6e1 * t395 * t1863 + 0.6e1 * t1860 * t587 + 0.2e1 * t144 * t1870;
  t1876 = t60 * t1609;
  t1877 = t400 * t1876;
  t1880 = t1505 * t419;
  t1886 = t1833 * t143;
  t1890 = t1820 * t1536;
  t1893 = t1824 * t1504;
  t1894 = t1566 * t63;
  t1897 = t60 * t1631;
  t1898 = t1868 * t1897;
  t1900 = t1843 * t1483;
  t1905 = t1505 * t63;
  t1908 = t1862 * t419;
  t1913 = t1571 * t63;
  t1916 = -0.2e1 * t390 * t420 + t144 * t1877 / 0.2e1 - 0.2e1 * t395 * t1880 + 0.3e1 * t1854 * t597 + t387 * t420 + t1886 * t146 + 0.2e1 * t1860 * t591 + 0.2e1 * t1890 * t397 - t1893 * t1894 / 0.9e1 - t144 * t1898 + 0.6e1 * t1900 * t146 - 0.3e1 * t1860 * t601 + 0.6e1 * t1893 * t1905 + 0.3e1 * t395 * t1908 - 0.12e2 * t1890 * t406 - 0.2e1 / 0.3e1 * t1893 * t1913;
  t1917 = t1873 + t1916;
  t1918 = t59 * t1917;
  t1919 = t1918 * t96;
  t1928 = t363 * t311;
  t1929 = t109 * t1928;
  t1930 = t106 * t1929;
  t1935 = t1726 * t491;
  t1936 = t490 * t1935;
  t1939 = t122 * t335;
  t1940 = t333 * t1939;
  t1941 = t106 * t1940;
  t1942 = t95 * t363;
  t1943 = t160 * t1942;
  t1944 = t548 * t1943;
  t1948 = t303 * t1942;
  t1949 = t548 * t1948;
  t1952 = t1711 * t492;
  t1955 = -0.5e1 / 0.54e2 * t1817 * t97 - t22 * t1919 / 0.4e1 - t103 * t428 / 0.4e1 + t482 * t155 / 0.6e1 - t487 * t493 / 0.3e1 + t1930 * t541 / 0.2e1 + t377 * t493 / 0.6e1 + t127 * t1936 / 0.4e1 + t1941 * t1944 + t369 * t493 / 0.12e2 - t1941 * t1949 / 0.4e1 + t338 * t1952 / 0.4e1;
  t1959 = my_piecewise3(t3, 0, t1459 + t1497 + t1534 + t1617 + t1663 + t1722 + t1815 + t1955);
  tv3rho30 = 0.2e1 * rho[0] * t1959 + 0.6e1 * t522;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t1963 = t496 * t219;
  t1966 = t218 * t500;
  t1967 = t343 * t1966;
  t1970 = t217 * t506;
  t1971 = t158 * t1970;
  t1972 = t106 * t1971;
  t1979 = t202 * t358;
  t1981 = my_piecewise3(t43, t110, 0.22e2 / 0.27e2 * t1979);
  t1983 = t163 * t1981 * t165;
  t1992 = t603 * t159;
  t1993 = t158 * t1992;
  t1994 = t106 * t1993;
  t1999 = t138 * t605;
  t2002 = t343 * t219;
  t2007 = -t338 * t1963 / 0.6e1 + t338 * t1967 / 0.3e1 - t1972 * t513 / 0.2e1 + t610 * t517 / 0.2e1 + t349 * t631 / 0.2e1 + t162 * t1983 / 0.4e1 + t610 * t365 / 0.4e1 + t1479 * t223 / 0.6e1 + t372 * t631 / 0.6e1 + t1994 * t166 / 0.2e1 - t377 * t569 / 0.12e2 - t127 * t1999 / 0.6e1 - t338 * t2002 / 0.12e2 - t208 * t1499 / 0.12e2;
  t2010 = t368 * t609;
  t2013 = t368 * t532;
  t2018 = t1981 * t124;
  t2019 = t109 * t2018;
  t2020 = t106 * t2019;
  t2031 = t1462 * t207;
  t2036 = t217 * t66;
  t2037 = t2036 * t491;
  t2038 = t490 * t2037;
  t2041 = t2036 * t296;
  t2042 = t302 * t2041;
  t2047 = -t369 * t569 / 0.18e2 + t2010 * t166 / 0.6e1 - t2013 * t139 / 0.18e2 - t525 * t380 / 0.18e2 - t2020 * t139 / 0.12e2 - t533 * t380 / 0.6e1 - t610 * t314 / 0.2e1 - t1463 * t223 / 0.18e2 + t487 * t569 / 0.6e1 + t2031 * t139 / 0.54e2 + t1434 * t223 / 0.4e1 + t127 * t2038 / 0.12e2 - t127 * t2042 / 0.6e1 + t546 * t1944 / 0.3e1;
  t2053 = t205 * t1418;
  t2054 = t1415 * t2053;
  t2055 = t106 * t2054;
  t2056 = t1427 * t59;
  t2057 = t1426 * t2056;
  t2058 = t95 * t308;
  t2059 = t303 * t2058;
  t2060 = t2057 * t2059;
  t2067 = t1726 * t539;
  t2068 = t555 * t2067;
  t2071 = t555 * t1948;
  t2074 = t302 * t2067;
  t2077 = t302 * t1948;
  t2080 = t205 * t1445;
  t2081 = t333 * t2080;
  t2082 = t106 * t2081;
  t2083 = t548 * t2059;
  t2086 = t548 * t2067;
  t2091 = t634 * t1693;
  t2094 = t342 * t363;
  t2095 = t341 * t2094;
  t2096 = t620 * t2095;
  t2099 = -t208 * t1732 / 0.12e2 - t208 * t1728 / 0.6e1 - 0.5e1 / 0.36e2 * t2055 * t2060 + t208 * t1936 / 0.6e1 + t208 * t1612 / 0.12e2 - t546 * t2068 / 0.3e1 - t546 * t2071 / 0.6e1 + t538 * t2074 / 0.3e1 + t538 * t2077 / 0.6e1 + t2082 * t2083 / 0.2e1 - t546 * t2086 / 0.6e1 - t546 * t1949 / 0.12e2 - t162 * t2091 / 0.2e1 - t509 * t2096 / 0.2e1;
  t2101 = t1643 * t211 * t165;
  t2105 = t296 * t573 * t165;
  t2108 = t530 * t311;
  t2109 = t163 * t2108;
  t2110 = t2109 * t636;
  t2117 = t530 * t335;
  t2118 = t510 * t2117;
  t2119 = t2118 * t622;
  t2131 = t640 * t1633;
  t2136 = t135 * t137 * t308;
  t2137 = t163 * t544 * t2136;
  t2140 = t162 * t2101 / 0.4e1 + t162 * t2105 / 0.2e1 - t162 * t2110 - t349 * t637 - t349 * t641 / 0.2e1 + t349 * t627 / 0.2e1 - t509 * t2119 - t372 * t637 / 0.3e1 - t372 * t641 / 0.6e1 + t372 * t627 / 0.6e1 - t610 * t329 / 0.4e1 + t610 * t298 / 0.2e1 + t162 * t2131 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t2137;
  t2143 = t510 * t2080;
  t2144 = t342 * t308;
  t2145 = t341 * t2144;
  t2146 = t2143 * t2145;
  t2149 = t640 * t1707;
  t2153 = t341 * t404 * t363;
  t2154 = t620 * t2153;
  t2157 = t163 * t531;
  t2158 = t2157 * t328;
  t2161 = t22 * t576;
  t2162 = t145 * t65;
  t2163 = t193 * t122;
  t2164 = t169 * t2163;
  t2165 = t2162 * t2164;
  t2168 = t22 * t582;
  t2169 = t1505 * t65;
  t2170 = t122 * t326;
  t2171 = t96 * t2170;
  t2172 = t2169 * t2171;
  t2175 = t396 * t65;
  t2176 = t2175 * t2164;
  t2179 = t22 * t212;
  t2182 = t405 * t65;
  t2183 = t2182 * t2164;
  t2186 = t1675 * t2163;
  t2187 = t2175 * t2186;
  t2190 = t347 * t539;
  t2191 = t548 * t2190;
  t2196 = t368 * t545;
  t2201 = 0.3e1 * t509 * t2146 - t162 * t2149 / 0.4e1 + t162 * t2154 / 0.2e1 - t162 * t2158 / 0.2e1 + t2161 * t2165 / 0.3e1 + t2168 * t2172 / 0.4e1 - t2168 * t2176 / 0.6e1 + t2179 * t1687 / 0.6e1 - t2168 * t2183 / 0.3e1 + 0.2e1 / 0.3e1 * t2168 * t2187 + 0.2e1 / 0.3e1 * t546 * t2191 - t1529 * t623 / 0.3e1 - t2196 * t556 / 0.9e1 + 0.2e1 / 0.9e1 * t2196 * t562;
  t2202 = t1502 * t2053;
  t2203 = t1426 * t2144;
  t2204 = t2202 * t2203;
  t2207 = t1427 * t308;
  t2208 = t1426 * t2207;
  t2209 = t2202 * t2208;
  t2212 = t1518 * t308;
  t2213 = t1426 * t2212;
  t2214 = t2202 * t2213;
  t2218 = t341 * t404 * t308;
  t2219 = t2143 * t2218;
  t2222 = t507 * t2058;
  t2223 = t2057 * t2222;
  t2226 = t555 * t2059;
  t2228 = t160 * t2058;
  t2229 = t548 * t2228;
  t2232 = t1518 * t59;
  t2233 = t1426 * t2232;
  t2234 = t2233 * t2059;
  t2241 = t2118 * t645;
  t2243 = t333 * t2117;
  t2244 = t106 * t2243;
  t2249 = 0.3e1 / 0.2e1 * t162 * t2204 + 0.3e1 / 0.2e1 * t1565 * t2209 - 0.3e1 * t509 * t2214 - 0.3e1 * t162 * t2219 - 0.3e1 / 0.2e1 * t2055 * t2223 + t2082 * t2226 - 0.2e1 * t2082 * t2229 - 0.11e2 / 0.18e2 * t2055 * t2234 + t372 * t646 / 0.3e1 - t1553 * t623 + t349 * t646 + t162 * t2241 - t2244 * t556 / 0.3e1 + 0.2e1 / 0.3e1 * t2244 * t562;
  t2251 = t22 * t501;
  t2252 = t400 * t2170;
  t2253 = t576 * t2252;
  t2255 = t22 * t1557;
  t2256 = t332 * t122;
  t2257 = t2256 * t394;
  t2258 = t205 * t326;
  t2259 = t1505 * t2258;
  t2260 = t2257 * t2259;
  t2263 = t506 * params->at;
  t2264 = t65 * t2263;
  t2265 = t22 * t2264;
  t2266 = t193 * t332;
  t2267 = t2266 * t544;
  t2268 = t2267 * t622;
  t2270 = t1678 * t536;
  t2271 = t2270 * t636;
  t2275 = t109 * t2108;
  t2276 = t106 * t2275;
  t2285 = t368 * t537;
  t2292 = t2267 * t645;
  t2294 = t1862 * t65;
  t2295 = t2294 * t2171;
  t2298 = t2251 * t2253 + 0.3e1 / 0.2e1 * t2255 * t2260 - t2265 * t2268 - t1677 * t2271 - t525 * t305 / 0.18e2 + t2276 * t541 / 0.3e1 + t533 * t493 / 0.6e1 - t2244 * t549 / 0.6e1 - t533 * t305 / 0.6e1 + t2285 * t541 / 0.9e1 + t525 * t493 / 0.18e2 - t2196 * t549 / 0.18e2 + t1677 * t2292 + t2168 * t2295 / 0.2e1;
  t2299 = t500 * t2170;
  t2300 = t2169 * t2299;
  t2302 = t1684 * t2171;
  t2305 = t1678 * t206;
  t2306 = t2305 * t328;
  t2309 = t1862 * t2170;
  t2310 = t582 * t2309;
  t2315 = t604 * t194;
  t2318 = t218 * t477;
  t2321 = t2057 * t2228;
  t2324 = t1426 * t547;
  t2325 = t2324 * t2059;
  t2328 = t2233 * t2228;
  t2331 = t109 * t544;
  t2332 = t106 * t2331;
  t2333 = t302 * t2059;
  t2340 = t108 * t1981;
  t2341 = t2340 * t124;
  t2344 = t312 * t319;
  t2345 = t211 * t2344;
  t2346 = t62 * t122;
  t2347 = t2346 * t326;
  t2348 = t149 * t2347;
  t2351 = t394 * t1425;
  t2352 = t581 * t2351;
  t2353 = t410 * t2347;
  t2355 = t423 * t2347;
  t2360 = t211 * t1483;
  t2361 = t63 * t308;
  t2362 = t145 * t2361;
  t2365 = t581 * t1536;
  t2366 = t396 * t2361;
  t2369 = t69 * t205;
  t2370 = t2369 * t1504;
  t2371 = t1566 * t2361;
  t2375 = t590 * t326;
  t2376 = t1505 * t2375;
  t2379 = t63 * t363;
  t2380 = t405 * t2379;
  t2383 = t573 * t312;
  t2388 = t332 * t530;
  t2389 = t2388 * t394;
  t2392 = t145 * t2379;
  t2395 = t405 * t2361;
  t2398 = t1571 * t2361;
  t2401 = t1505 * t2361;
  t2404 = t1862 * t2375;
  t2407 = -t2341 * t150 / 0.2e1 + 0.4e1 * t2345 * t2348 + t2352 * t2353 - 0.6e1 * t2352 * t2355 + 0.2e1 * t212 * t1870 + 0.6e1 * t2360 * t2362 + 0.2e1 * t2365 * t2366 - t2370 * t2371 / 0.9e1 - t212 * t1852 - 0.2e1 * t582 * t2376 + 0.2e1 * t582 * t2380 - 0.4e1 * t2383 * t578 - 0.2e1 * t574 * t402 - 0.2e1 / 0.3e1 * t2389 * t583 - 0.2e1 * t576 * t2392 - 0.12e2 * t2365 * t2395 - 0.2e1 / 0.3e1 * t2370 * t2398 + 0.6e1 * t2370 * t2401 + 0.3e1 * t582 * t2404;
  t2410 = t400 * t2375;
  t2413 = t396 * t2379;
  t2416 = t60 * t308;
  t2417 = t405 * t2416;
  t2420 = t1505 * t2416;
  t2423 = t145 * t2416;
  t2427 = t60 * t363;
  t2428 = t405 * t2427;
  t2430 = t145 * t2427;
  t2434 = t396 * t2416;
  t2437 = t1566 * t2416;
  t2440 = t1571 * t2416;
  t2443 = t396 * t2427;
  t2449 = t2340 * t143;
  t2455 = 0.4e1 * t2389 * t587 - 0.2e1 * t576 * t2410 - t582 * t2413 / 0.3e1 + 0.6e1 * t2365 * t2417 - 0.3e1 * t2370 * t2420 - 0.3e1 * t2360 * t2423 - t212 * t1898 - t582 * t2428 + t576 * t2430 + t212 * t1877 / 0.2e1 - 0.4e1 * t2365 * t2434 + t2370 * t2437 / 0.18e2 + 0.1e2 / 0.3e1 * t2370 * t2440 + 0.2e1 / 0.3e1 * t582 * t2443 + 0.2e1 * t2383 * t597 + t574 * t420 + t2449 * t146 + 0.4e1 / 0.3e1 * t2389 * t591 - 0.2e1 * t2389 * t601;
  t2456 = t2407 + t2455;
  t2457 = t59 * t2456;
  t2458 = t2457 * t96;
  t2463 = -t2168 * t2300 - t2161 * t2302 / 0.3e1 - t1677 * t2306 / 0.2e1 - 0.3e1 / 0.2e1 * t2251 * t2310 - t103 * t613 / 0.6e1 - t22 * t2315 / 0.2e1 - t22 * t2318 / 0.4e1 + 0.23e2 / 0.36e2 * t2055 * t2321 - t2055 * t2325 / 0.2e1 + 0.7e1 / 0.3e1 * t2055 * t2328 - t2332 * t2333 / 0.2e1 - t208 * t1640 / 0.6e1 + t482 * t219 / 0.18e2 - t22 * t2458 / 0.4e1 - t103 * t605 / 0.6e1;
  t2467 = my_piecewise3(t3, 0, t2007 + t2047 + t2099 + t2140 + t2201 + t2249 + t2298 + t2463);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t2467 + 0.4e1 * t651;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  t2473 = t138 * t714;
  t2476 = t343 * t244;
  t2483 = t368 * t718;
  t2486 = t368 * t660;
  t2492 = my_piecewise3(t43, t110, 0.2e2 / 0.27e2 * t118);
  t2493 = t2492 * t124;
  t2494 = t109 * t2493;
  t2495 = t106 * t2494;
  t2500 = t496 * t244;
  t2503 = t243 * t500;
  t2504 = t343 * t2503;
  t2507 = t242 * t506;
  t2508 = t158 * t2507;
  t2509 = t106 * t2508;
  t2514 = -t377 * t686 / 0.12e2 - t127 * t2473 / 0.6e1 - t338 * t2476 / 0.12e2 - t233 * t1499 / 0.12e2 - t369 * t686 / 0.18e2 + t2483 * t166 / 0.6e1 - t2486 * t139 / 0.18e2 - t654 * t380 / 0.18e2 - t2495 * t139 / 0.12e2 - t661 * t380 / 0.6e1 - t338 * t2500 / 0.6e1 + t338 * t2504 / 0.3e1 - t2509 * t513 / 0.2e1 + t719 * t517 / 0.2e1;
  t2521 = t1462 * t232;
  t2527 = t163 * t2492 * t165;
  t2536 = t712 * t159;
  t2537 = t158 * t2536;
  t2538 = t106 * t2537;
  t2543 = t368 * t670;
  t2548 = t658 * t311;
  t2549 = t109 * t2548;
  t2550 = t106 * t2549;
  t2553 = -t1463 * t248 / 0.18e2 - t719 * t314 / 0.2e1 + t487 * t686 / 0.6e1 + t2521 * t139 / 0.54e2 + t349 * t738 / 0.2e1 + t162 * t2527 / 0.4e1 + t1479 * t248 / 0.6e1 + t372 * t738 / 0.6e1 + t1434 * t248 / 0.4e1 + t2538 * t166 / 0.2e1 + t719 * t365 / 0.4e1 - t2543 * t549 / 0.18e2 - t654 * t305 / 0.18e2 + t2550 * t541 / 0.3e1;
  t2557 = t368 * t665;
  t2560 = t697 * t2309;
  t2563 = t2266 * t669;
  t2564 = t2563 * t622;
  t2566 = t230 * t326;
  t2567 = t1505 * t2566;
  t2568 = t2257 * t2567;
  t2571 = t242 * t66;
  t2572 = t2571 * t491;
  t2573 = t490 * t2572;
  t2588 = t230 * t1418;
  t2589 = t1415 * t2588;
  t2590 = t106 * t2589;
  t2595 = t661 * t493 / 0.6e1 + t2557 * t541 / 0.9e1 - 0.3e1 / 0.2e1 * t2251 * t2560 - t2265 * t2564 + 0.3e1 / 0.2e1 * t2255 * t2568 + t127 * t2573 / 0.12e2 - t233 * t1728 / 0.6e1 + t671 * t1944 / 0.3e1 - t671 * t2068 / 0.3e1 - t671 * t2071 / 0.6e1 - t671 * t2086 / 0.6e1 - t671 * t1949 / 0.12e2 - 0.5e1 / 0.36e2 * t2590 * t2060 + t233 * t1936 / 0.6e1;
  t2598 = t658 * t335;
  t2599 = t333 * t2598;
  t2600 = t106 * t2599;
  t2609 = t230 * t1445;
  t2610 = t333 * t2609;
  t2611 = t106 * t2610;
  t2620 = t510 * t2598;
  t2621 = t2620 * t645;
  t2629 = t233 * t1612 / 0.12e2 - t2600 * t549 / 0.6e1 - t661 * t305 / 0.6e1 + t666 * t2074 / 0.3e1 + t666 * t2077 / 0.6e1 + t2611 * t2083 / 0.2e1 + t654 * t493 / 0.18e2 + t372 * t749 / 0.3e1 - t1553 * t730 + t349 * t749 + t162 * t2621 - t2600 * t556 / 0.3e1 + 0.2e1 / 0.3e1 * t2600 * t562 + 0.2e1 / 0.3e1 * t671 * t2191;
  t2632 = t22 * t697;
  t2648 = t745 * t1633;
  t2651 = t163 * t669;
  t2652 = t2651 * t2136;
  t2655 = t510 * t2609;
  t2656 = t2655 * t2145;
  t2661 = t109 * t669;
  t2662 = t106 * t2661;
  t2665 = t2571 * t296;
  t2666 = t302 * t2665;
  t2669 = -t2632 * t2300 + t2632 * t2295 / 0.2e1 + t349 * t734 / 0.2e1 + t719 * t298 / 0.2e1 - t372 * t742 / 0.3e1 - t372 * t746 / 0.6e1 + t372 * t734 / 0.6e1 - t719 * t329 / 0.4e1 + t162 * t2648 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t2652 + 0.3e1 * t509 * t2656 - t233 * t1640 / 0.6e1 - t2662 * t2333 / 0.2e1 - t127 * t2666 / 0.6e1;
  t2672 = t2563 * t645;
  t2674 = t22 * t693;
  t2683 = t22 * t237;
  t2686 = t713 * t194;
  t2689 = t243 * t477;
  t2696 = t693 * t2252;
  t2698 = t1678 * t664;
  t2699 = t2698 * t636;
  t2701 = t1678 * t231;
  t2702 = t2701 * t328;
  t2705 = -t233 * t1732 / 0.12e2 + t1677 * t2672 - t2674 * t2302 / 0.3e1 - t103 * t722 / 0.6e1 + t2632 * t2172 / 0.4e1 + t2674 * t2165 / 0.3e1 + t2683 * t1687 / 0.6e1 - t22 * t2686 / 0.2e1 - t22 * t2689 / 0.4e1 - t2632 * t2183 / 0.3e1 + 0.2e1 / 0.3e1 * t2632 * t2187 + t2251 * t2696 - t1677 * t2699 - t1677 * t2702 / 0.2e1;
  t2713 = t1502 * t2588;
  t2714 = t2713 * t2203;
  t2717 = t2713 * t2208;
  t2720 = t2713 * t2213;
  t2723 = t2655 * t2218;
  t2739 = -t1529 * t730 / 0.3e1 - t2543 * t556 / 0.9e1 + 0.2e1 / 0.9e1 * t2543 * t562 + 0.3e1 / 0.2e1 * t162 * t2714 + 0.3e1 / 0.2e1 * t1565 * t2717 - 0.3e1 * t509 * t2720 - 0.3e1 * t162 * t2723 + 0.7e1 / 0.3e1 * t2590 * t2328 - 0.3e1 / 0.2e1 * t2590 * t2223 + t2611 * t2226 - 0.2e1 * t2611 * t2229 - 0.11e2 / 0.18e2 * t2590 * t2234 + 0.23e2 / 0.36e2 * t2590 * t2321 - t2590 * t2325 / 0.2e1;
  t2746 = t108 * t2492;
  t2747 = t2746 * t124;
  t2750 = t696 * t2351;
  t2752 = t236 * t2344;
  t2759 = t332 * t658;
  t2760 = t2759 * t394;
  t2765 = t236 * t1483;
  t2776 = t696 * t1536;
  t2781 = t69 * t230;
  t2782 = t2781 * t1504;
  t2790 = t690 * t312;
  t2793 = -t2747 * t150 / 0.2e1 + t2750 * t2353 + 0.4e1 * t2752 * t2348 - 0.6e1 * t2750 * t2355 - 0.2e1 * t691 * t402 - 0.2e1 / 0.3e1 * t2760 * t583 + 0.2e1 * t237 * t1870 + 0.6e1 * t2765 * t2362 + 0.3e1 * t697 * t2404 + 0.4e1 * t2760 * t587 - 0.2e1 * t693 * t2410 - 0.2e1 * t693 * t2392 + 0.2e1 * t2776 * t2366 - t697 * t2413 / 0.3e1 - t2782 * t2371 / 0.9e1 - t237 * t1852 - 0.2e1 * t697 * t2376 + 0.2e1 * t697 * t2380 - 0.4e1 * t2790 * t578;
  t2811 = t2746 * t143;
  t2828 = -0.12e2 * t2776 * t2395 - 0.2e1 / 0.3e1 * t2782 * t2398 + 0.6e1 * t2782 * t2401 + t693 * t2430 + t237 * t1877 / 0.2e1 - t697 * t2428 + 0.1e2 / 0.3e1 * t2782 * t2440 + 0.2e1 / 0.3e1 * t697 * t2443 + 0.2e1 * t2790 * t597 + t691 * t420 + t2811 * t146 + 0.4e1 / 0.3e1 * t2760 * t591 - 0.4e1 * t2776 * t2434 + t2782 * t2437 / 0.18e2 + 0.6e1 * t2776 * t2417 - 0.3e1 * t2782 * t2420 - 0.3e1 * t2765 * t2423 - t237 * t1898 - 0.2e1 * t2760 * t601;
  t2829 = t2793 + t2828;
  t2830 = t59 * t2829;
  t2831 = t2830 * t96;
  t2834 = t729 * t2153;
  t2837 = t741 * t1693;
  t2840 = t745 * t1707;
  t2843 = t163 * t2548;
  t2844 = t2843 * t636;
  t2846 = t163 * t659;
  t2847 = t2846 * t328;
  t2850 = t2620 * t622;
  t2852 = t729 * t2095;
  t2856 = t1643 * t236 * t165;
  t2860 = t296 * t690 * t165;
  t2866 = -t2632 * t2176 / 0.6e1 + t482 * t244 / 0.18e2 - t103 * t714 / 0.6e1 - t22 * t2831 / 0.4e1 + t162 * t2834 / 0.2e1 - t162 * t2837 / 0.2e1 - t162 * t2840 / 0.4e1 - t162 * t2844 - t162 * t2847 / 0.2e1 - t509 * t2850 - t509 * t2852 / 0.2e1 + t162 * t2856 / 0.4e1 + t162 * t2860 / 0.2e1 - t349 * t742 - t349 * t746 / 0.2e1;
  t2870 = my_piecewise3(t3, 0, t2514 + t2553 + t2595 + t2629 + t2669 + t2705 + t2739 + t2866);
  tv3rho2lapl0 = 0.2e1 * rho[0] * t2870 + 0.4e1 * t754;

  if(out->v3rho2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 0] += tv3rho2lapl0;

  t2880 = t138 * t827;
  t2883 = t825 * t159;
  t2884 = t158 * t2883;
  t2885 = t106 * t2884;
  t2888 = t496 * t270;
  t2891 = t269 * t500;
  t2892 = t343 * t2891;
  t2895 = t268 * t506;
  t2896 = t158 * t2895;
  t2897 = t106 * t2896;
  t2902 = t368 * t853;
  t2911 = t1462 * t258;
  t2915 = my_piecewise3(t43, t110, -0.8e2 / 0.27e2 * t528);
  t2916 = t2915 * t124;
  t2917 = t109 * t2916;
  t2918 = t106 * t2917;
  t2925 = t1479 * t274 / 0.6e1 + t372 * t833 / 0.6e1 - t377 * t848 / 0.12e2 - t127 * t2880 / 0.6e1 + t2885 * t166 / 0.2e1 - t338 * t2888 / 0.6e1 + t338 * t2892 / 0.3e1 - t2897 * t513 / 0.2e1 + t854 * t517 / 0.2e1 + t2902 * t166 / 0.6e1 - t854 * t314 / 0.2e1 - t1463 * t274 / 0.18e2 - t369 * t848 / 0.18e2 + t2911 * t139 / 0.54e2 - t2918 * t139 / 0.12e2 - t838 * t380 / 0.6e1 - t259 * t1499 / 0.12e2;
  t2931 = t163 * t2915 * t165;
  t2934 = t343 * t270;
  t2939 = t368 * t837;
  t2946 = t160 * t884;
  t2947 = t548 * t2946;
  t2950 = t884 * t393;
  t2951 = t2950 * t512;
  t2954 = t2950 * t516;
  t2961 = t268 * t66;
  t2962 = t2961 * t491;
  t2963 = t490 * t2962;
  t2966 = t2961 * t296;
  t2967 = t302 * t2966;
  t2970 = t802 * t335;
  t2971 = t333 * t2970;
  t2972 = t106 * t2971;
  t2977 = t1434 * t274 / 0.4e1 + t349 * t833 / 0.2e1 + t162 * t2931 / 0.4e1 - t338 * t2934 / 0.12e2 + t854 * t365 / 0.4e1 - t2939 * t139 / 0.18e2 - t843 * t380 / 0.18e2 + t487 * t848 / 0.6e1 + t338 * t2947 / 0.3e1 - t509 * t2951 / 0.2e1 + t162 * t2954 / 0.2e1 - t854 * t329 / 0.4e1 + t854 * t298 / 0.2e1 + t127 * t2963 / 0.12e2 - t127 * t2967 / 0.6e1 - t2972 * t549 / 0.6e1 - t866 * t2086 / 0.6e1;
  t2981 = t256 * t1418;
  t2982 = t1415 * t2981;
  t2983 = t106 * t2982;
  t2986 = t806 * t2252;
  t2988 = t22 * t806;
  t2991 = t1502 * t2981;
  t2992 = t2991 * t2208;
  t2997 = t555 * t885;
  t3000 = t2991 * t2213;
  t3003 = t2991 * t2203;
  t3006 = t22 * t263;
  t3009 = t810 * t2309;
  t3012 = t2266 * t857;
  t3013 = t3012 * t645;
  t3015 = t22 * t810;
  t3025 = -t866 * t1949 / 0.12e2 - 0.5e1 / 0.36e2 * t2983 * t2060 + t2251 * t2986 - t2988 * t2302 / 0.3e1 + 0.3e1 / 0.2e1 * t1565 * t2992 - t2983 * t2325 / 0.2e1 - t338 * t2997 / 0.6e1 - 0.3e1 * t509 * t3000 + 0.3e1 / 0.2e1 * t162 * t3003 + t3006 * t1687 / 0.6e1 - 0.3e1 / 0.2e1 * t2251 * t3009 + t1677 * t3013 + 0.2e1 / 0.3e1 * t3015 * t2187 - t3015 * t2300 - t3015 * t2183 / 0.3e1 - t838 * t305 / 0.6e1 - t259 * t1728 / 0.6e1;
  t3028 = t802 * t311;
  t3029 = t109 * t3028;
  t3030 = t106 * t3029;
  t3037 = t256 * t1445;
  t3038 = t333 * t3037;
  t3039 = t106 * t3038;
  t3049 = t884 * t386 * t165;
  t3052 = t368 * t893;
  t3057 = t368 * t865;
  t3062 = t287 * t108;
  t3063 = t3062 * t125;
  t3064 = t3063 * t328;
  t3073 = -t259 * t1732 / 0.12e2 + t3030 * t541 / 0.3e1 + t894 * t2074 / 0.3e1 + t894 * t2077 / 0.6e1 + t3039 * t2083 / 0.2e1 + t838 * t493 / 0.6e1 + t259 * t1936 / 0.6e1 + t259 * t1612 / 0.12e2 + t162 * t3049 / 0.4e1 + t3052 * t541 / 0.9e1 + t843 * t493 / 0.18e2 - t3057 * t549 / 0.18e2 - t843 * t305 / 0.18e2 - t1677 * t3064 / 0.4e1 + t482 * t289 / 0.18e2 - t103 * t757 / 0.6e1 - t103 * t760 / 0.6e1;
  t3080 = t510 * t3037;
  t3081 = t3080 * t2145;
  t3089 = t3080 * t2218;
  t3096 = t256 * t326;
  t3097 = t1505 * t3096;
  t3098 = t2257 * t3097;
  t3103 = t287 * t326;
  t3104 = t169 * t3103;
  t3105 = t1684 * t3104;
  t3108 = t1678 * t871;
  t3109 = t3108 * t636;
  t3113 = t163 * t857;
  t3114 = t3113 * t2136;
  t3121 = -t103 * t794 / 0.6e1 + t372 * t862 / 0.3e1 + 0.3e1 * t509 * t3081 - t1529 * t859 / 0.3e1 + t3039 * t2226 - t3057 * t556 / 0.9e1 - 0.3e1 * t162 * t3089 + 0.2e1 / 0.9e1 * t3057 * t562 - 0.2e1 * t3039 * t2229 + 0.3e1 / 0.2e1 * t2255 * t3098 + t2988 * t2165 / 0.3e1 + t1683 * t3105 / 0.12e2 - t1677 * t3109 - t372 * t877 / 0.6e1 + 0.3e1 / 0.2e1 * t162 * t3114 - t372 * t873 / 0.3e1 + t372 * t881 / 0.6e1;
  t3122 = t876 * t1633;
  t3129 = t826 * t194;
  t3132 = t427 * t288;
  t3135 = t154 * t793;
  t3138 = t23 * t443;
  t3139 = t3138 * tau[0];
  t3164 = t356 * t115;
  t3165 = 0.1e1 / t3164;
  t3166 = t3165 * t439;
  t3177 = t3165 * t84;
  t3180 = 0.6e3 * t471 * t3139 - 0.2e3 * t447 * t3139 - 0.72e3 * t454 * t3139 - 0.8e2 * t459 * t3139 + 0.1e4 * t464 * t3139 - 0.4e2 / 0.9e1 * t174 * t118 + 0.8e2 / 0.3e1 * t178 * t118 + 0.8e2 / 0.3e1 * t182 * t118 - 0.2e3 / 0.9e1 * t185 * t118 - 0.2e3 / 0.9e1 * t190 * t118 - 0.4e2 / 0.9e1 * t118 * t78 + 0.4e2 * t3138 * t768 + 0.34e4 / 0.3e1 * t1752 * t3166 + 0.52e4 / 0.3e1 * t1759 * t3166 - 0.2e4 * t1762 * t3166 - 0.5e4 * t1765 * t3166 - 0.7e4 / 0.3e1 * t1770 * t3166 + 0.2e3 / 0.3e1 * t3177 * t439;
  t3181 = t169 * t3180;
  t3182 = t65 * t3181;
  t3185 = t269 * t477;
  t3190 = t1678 * t257;
  t3191 = t3190 * t328;
  t3200 = t809 * t2351;
  t3202 = t262 * t2344;
  t3207 = t69 * t256;
  t3208 = t3207 * t1504;
  t3213 = t332 * t802;
  t3214 = t3213 * t394;
  t3221 = t262 * t1483;
  t3226 = t809 * t1536;
  t3236 = t803 * t312;
  t3245 = t3200 * t2353 + 0.4e1 * t3202 * t2348 - 0.6e1 * t3200 * t2355 - 0.2e1 / 0.3e1 * t3208 * t2398 + 0.6e1 * t3208 * t2401 + 0.4e1 * t3214 * t587 + 0.3e1 * t810 * t2404 + 0.2e1 * t263 * t1870 + 0.6e1 * t3221 * t2362 - 0.2e1 * t806 * t2392 + 0.2e1 * t3226 * t2366 - t810 * t2413 / 0.3e1 - t3208 * t2371 / 0.9e1 - t263 * t1852 - 0.2e1 * t810 * t2376 - 0.4e1 * t3236 * t578 - 0.2e1 * t804 * t402 - 0.2e1 / 0.3e1 * t3214 * t583 - 0.12e2 * t3226 * t2395;
  t3261 = t108 * t2915;
  t3262 = t3261 * t143;
  t3279 = t3261 * t124;
  t3282 = 0.2e1 * t810 * t2380 - 0.2e1 * t806 * t2410 + 0.6e1 * t3226 * t2417 - 0.3e1 * t3208 * t2420 - 0.2e1 * t3214 * t601 + 0.2e1 / 0.3e1 * t810 * t2443 + 0.2e1 * t3236 * t597 + t804 * t420 + t3262 * t146 + 0.4e1 / 0.3e1 * t3214 * t591 - 0.4e1 * t3226 * t2434 - 0.3e1 * t3221 * t2423 - t263 * t1898 + t263 * t1877 / 0.2e1 + t3208 * t2437 / 0.18e2 + 0.1e2 / 0.3e1 * t3208 * t2440 - t810 * t2428 + t806 * t2430 - t3279 * t150 / 0.2e1;
  t3283 = t3245 + t3282;
  t3284 = t59 * t3283;
  t3285 = t3284 * t96;
  t3293 = t884 * t389 * t313;
  t3296 = t162 * t3122 / 0.2e1 + t487 * t886 / 0.6e1 - t369 * t886 / 0.18e2 - t22 * t3129 / 0.2e1 - t22 * t3132 / 0.4e1 - t22 * t3135 / 0.2e1 - t22 * t3182 / 0.4e1 - t22 * t3185 / 0.4e1 + t3015 * t2295 / 0.2e1 - t1677 * t3191 / 0.2e1 - t3015 * t2176 / 0.6e1 + t3015 * t2172 / 0.4e1 - t103 * t827 / 0.6e1 - t22 * t3285 / 0.4e1 + t482 * t270 / 0.18e2 + t372 * t890 / 0.6e1 - t162 * t3293 / 0.2e1;
  t3298 = t109 * t857;
  t3299 = t106 * t3298;
  t3304 = t308 * t1418;
  t3305 = t1415 * t3304;
  t3306 = t106 * t3305;
  t3307 = t95 * t256;
  t3308 = t507 * t3307;
  t3309 = t2057 * t3308;
  t3313 = t510 * t2970;
  t3314 = t3313 * t622;
  t3316 = t858 * t2095;
  t3327 = t858 * t2153;
  t3330 = t160 * t3307;
  t3331 = t2233 * t3330;
  t3334 = t3313 * t645;
  t3336 = t163 * t3028;
  t3337 = t3336 * t636;
  t3343 = -t3299 * t2333 / 0.2e1 - t259 * t1640 / 0.6e1 - 0.3e1 / 0.2e1 * t3306 * t3309 - t1553 * t859 - t509 * t3314 - t509 * t3316 / 0.2e1 - 0.11e2 / 0.18e2 * t2983 * t2234 - t2972 * t556 / 0.3e1 - t866 * t2068 / 0.3e1 - t866 * t2071 / 0.6e1 + t162 * t3327 / 0.2e1 + 0.7e1 / 0.3e1 * t3306 * t3331 + t162 * t3334 - t162 * t3337 + t349 * t862 + 0.23e2 / 0.36e2 * t2983 * t2321 - t349 * t873;
  t3353 = t1643 * t262 * t165;
  t3358 = t163 * t836;
  t3359 = t3358 * t328;
  t3362 = t876 * t1707;
  t3365 = params->at * t792;
  t3367 = t3365 * t142 * t165;
  t3370 = t872 * t1693;
  t3373 = t548 * t885;
  t3378 = t1726 * t884;
  t3379 = t302 * t3378;
  t3382 = t303 * t3365;
  t3383 = t302 * t3382;
  t3386 = t3012 * t622;
  t3389 = t296 * t803 * t165;
  t3394 = t866 * t1944 / 0.3e1 + 0.2e1 / 0.3e1 * t2972 * t562 + 0.2e1 / 0.3e1 * t866 * t2191 + t349 * t881 / 0.2e1 + t162 * t3353 / 0.4e1 - t349 * t877 / 0.2e1 - t162 * t3359 / 0.2e1 - t162 * t3362 / 0.4e1 + t162 * t3367 / 0.2e1 - t162 * t3370 / 0.2e1 - t338 * t3373 / 0.12e2 + t349 * t890 / 0.2e1 - t127 * t3379 / 0.6e1 - t127 * t3383 / 0.6e1 - t2265 * t3386 + t162 * t3389 / 0.2e1 - t377 * t886 / 0.12e2;
  t3398 = my_piecewise3(t3, 0, t2925 + t2977 + t3025 + t3073 + t3121 + t3296 + t3343 + t3394);
  tv3rho2tau0 = 0.2e1 * rho[0] * t3398 + 0.4e1 * t905;

  if(out->v3rho2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 0] += tv3rho2tau0;

  t3409 = t911 * t380;
  t3410 = t3409 / 0.12e2;
  t3411 = t138 * t972;
  t3414 = t970 * t159;
  t3415 = t158 * t3414;
  t3416 = t106 * t3415;
  t3429 = t372 * t982;
  t3430 = t3429 / 0.12e2;
  t3431 = -t922 * t1451 / 0.12e2 - t922 * t1510 / 0.6e1 - t533 * t569 / 0.6e1 - t208 * t1999 / 0.6e1 - t3410 - t127 * t3411 / 0.12e2 + t3416 * t166 / 0.4e1 + t1994 * t223 / 0.2e1 + t922 * t1440 / 0.3e1 + t372 * t994 / 0.6e1 - t372 * t986 / 0.6e1 - t1529 * t978 / 0.6e1 + t3430;
  t3434 = t368 * t921;
  t3443 = t368 * t910;
  t3444 = t3443 * t139;
  t3445 = t3444 / 0.36e2;
  t3446 = t368 * t916;
  t3459 = t349 * t982;
  t3460 = t3459 / 0.4e1;
  t3461 = t2010 * t223 / 0.6e1 + t3434 * t502 / 0.9e1 - t3434 * t497 / 0.18e2 - t525 * t569 / 0.18e2 - t3434 * t344 / 0.36e2 - t3445 + t3446 * t139 / 0.18e2 + t917 * t380 / 0.6e1 - t349 * t986 / 0.2e1 + t349 * t994 / 0.2e1 + t610 * t631 / 0.2e1 - t1553 * t978 / 0.2e1 + t3460 - t913;
  t3463 = t929 * t122;
  t3464 = t96 * t3463;
  t3465 = t2294 * t3464;
  t3468 = t500 * t3463;
  t3469 = t2169 * t3468;
  t3472 = t205 * t929;
  t3473 = t1505 * t3472;
  t3474 = t2257 * t3473;
  t3477 = t1862 * t3463;
  t3478 = t582 * t3477;
  t3481 = t914 * t1445;
  t3482 = t333 * t3481;
  t3483 = t106 * t3482;
  t3485 = t908 * t335;
  t3486 = t333 * t3485;
  t3487 = t106 * t3486;
  t3488 = t3487 * t562;
  t3489 = t3488 / 0.3e1;
  t3490 = t3487 * t556;
  t3491 = t3490 / 0.6e1;
  t3492 = t914 * t1418;
  t3493 = t1502 * t3492;
  t3494 = t1427 * t122;
  t3495 = t1426 * t3494;
  t3496 = t3493 * t3495;
  t3501 = t1415 * t3492;
  t3502 = t106 * t3501;
  t3503 = t507 * t539;
  t3504 = t2057 * t3503;
  t3507 = t608 * t539;
  t3508 = t548 * t3507;
  t3511 = t984 + t2168 * t3465 / 0.6e1 - t2168 * t3469 / 0.3e1 + t2255 * t3474 / 0.2e1 - t2251 * t3478 / 0.2e1 + t3483 * t556 + t3489 - t3491 + 0.3e1 / 0.2e1 * t1565 * t3496 - t1972 * t623 + t610 * t646 - 0.3e1 / 0.2e1 * t3502 * t3504 + 0.2e1 / 0.3e1 * t546 * t3508;
  t3513 = t135 * t137 * t530;
  t3514 = t634 * t3513;
  t3516 = t296 * t948;
  t3517 = t3516 * t516;
  t3520 = t510 * t920;
  t3521 = t3520 * t1671;
  t3523 = t2256 * t335;
  t3529 = t321 * t536;
  t3532 = t1592 * t544;
  t3535 = t321 * t206;
  t3542 = t211 * t311;
  t3547 = t581 * t335;
  t3550 = 0.2e1 / 0.3e1 * t3523 * t1052 + 0.2e1 * t321 * t530 * t165 - 0.4e1 * t3529 * t636 + 0.4e1 / 0.3e1 * t3532 * t622 - 0.2e1 * t3535 * t328 + 0.4e1 * t3532 * t645 - 0.2e1 * t594 * t138 + 0.4e1 * t3542 * t636 + 0.2e1 * t214 * t328 - 0.4e1 * t3547 * t645;
  t3552 = t320 * t137 * t3550;
  t3553 = t640 * t3552;
  t3557 = t341 * t404 * t530;
  t3558 = t620 * t3557;
  t3560 = t2233 * t540;
  t3565 = t2036 * t539;
  t3566 = t555 * t3565;
  t3569 = t2233 * t561;
  t3572 = t510 * t3481;
  t3573 = t3572 * t645;
  t3576 = t1426 * t621;
  t3577 = t3493 * t3576;
  t3580 = t2324 * t540;
  t3583 = t510 * t3485;
  t3584 = t3583 * t645;
  t3585 = t162 * t3584;
  t3586 = t3585 / 0.2e1;
  t3587 = t3583 * t622;
  t3588 = t509 * t3587;
  t3589 = t3588 / 0.2e1;
  t3590 = -t162 * t3514 + t162 * t3517 / 0.2e1 - t162 * t3521 - t162 * t3553 / 0.4e1 + t162 * t3558 - 0.11e2 / 0.18e2 * t3502 * t3560 - 0.2e1 * t3483 * t562 - t546 * t3566 / 0.3e1 + 0.7e1 / 0.3e1 * t3502 * t3569 - 0.3e1 * t162 * t3573 + 0.3e1 / 0.2e1 * t162 * t3577 - t3502 * t3580 / 0.2e1 + t3586 - t3589;
  t3593 = t1518 * t122;
  t3594 = t1426 * t3593;
  t3595 = t3493 * t3594;
  t3602 = t911 * t305;
  t3603 = t3602 / 0.12e2;
  t3604 = t3487 * t549;
  t3605 = t3604 / 0.12e2;
  t3606 = t911 * t493;
  t3607 = t3606 / 0.12e2;
  t3608 = t908 * t311;
  t3609 = t109 * t3608;
  t3610 = t106 * t3609;
  t3611 = t3610 * t541;
  t3612 = t3611 / 0.6e1;
  t3613 = t2057 * t561;
  t3616 = t2169 * t3464;
  t3619 = t193 * t929;
  t3620 = t169 * t3619;
  t3621 = t1684 * t3620;
  t3624 = t1868 * t65;
  t3625 = t929 * t326;
  t3626 = t96 * t3625;
  t3627 = t3624 * t3626;
  t3630 = t2305 * t990;
  t3633 = t1684 * t3464;
  t3636 = -0.3e1 * t509 * t3595 + t525 * t932 / 0.36e2 - t372 * t991 / 0.12e2 - t3603 - t3605 + t3607 + t3612 + 0.23e2 / 0.36e2 * t3502 * t3613 + t2168 * t3616 / 0.12e2 + t2179 * t3621 / 0.12e2 - t2179 * t3627 / 0.6e1 - t1677 * t3630 / 0.4e1 - t2161 * t3633 / 0.6e1;
  t3637 = t400 * t3463;
  t3638 = t576 * t3637;
  t3641 = t1868 * t3625;
  t3642 = t212 * t3641;
  t3645 = t971 * t194;
  t3650 = t548 * t3565;
  t3655 = t302 * t3565;
  t3662 = t95 * t530;
  t3663 = t160 * t3662;
  t3664 = t548 * t3663;
  t3672 = t3520 * t1666;
  t3674 = t2251 * t3638 / 0.2e1 + t2251 * t3642 / 0.2e1 - t22 * t3645 / 0.4e1 - t208 * t2042 / 0.6e1 - t546 * t3650 / 0.6e1 + t208 * t2038 / 0.6e1 + t538 * t3655 / 0.3e1 + t922 * t1720 / 0.3e1 - 0.2e1 / 0.3e1 * t922 * t1713 + 0.2e1 / 0.3e1 * t546 * t3664 - t610 * t637 - t610 * t641 / 0.2e1 + t610 * t627 / 0.2e1 + t509 * t3672;
  t3676 = t3516 * t512;
  t3679 = t342 * t530;
  t3680 = t341 * t3679;
  t3681 = t620 * t3680;
  t3683 = t3572 * t622;
  t3687 = t296 * t941 * t165;
  t3688 = t162 * t3687;
  t3689 = t3688 / 0.4e1;
  t3690 = t163 * t909;
  t3691 = t3690 * t328;
  t3692 = t162 * t3691;
  t3693 = t3692 / 0.4e1;
  t3694 = t2157 * t990;
  t3697 = t163 * t3608;
  t3698 = t3697 * t636;
  t3699 = t162 * t3698;
  t3700 = t3699 / 0.2e1;
  t3703 = t163 * t920;
  t3704 = t3703 * t636;
  t3707 = t163 * t915;
  t3708 = t3707 * t328;
  t3712 = t296 * t944 * t313;
  t3715 = t303 * t3662;
  t3716 = t548 * t3715;
  t3723 = -t509 * t3676 / 0.2e1 - t509 * t3681 + 0.3e1 * t509 * t3683 + t3689 - t3693 - t162 * t3694 / 0.4e1 - t3700 - t349 * t991 / 0.4e1 + 0.3e1 / 0.2e1 * t162 * t3704 + t162 * t3708 / 0.2e1 - t162 * t3712 / 0.2e1 - t546 * t3716 / 0.6e1 - t917 * t493 / 0.6e1 + t3483 * t549 / 0.2e1;
  t3726 = t109 * t920;
  t3727 = t106 * t3726;
  t3730 = t302 * t3715;
  t3733 = t1726 * t930;
  t3734 = t490 * t3733;
  t3737 = t95 * t3550;
  t3738 = t303 * t3737;
  t3739 = t490 * t3738;
  t3748 = t2057 * t540;
  t3755 = t555 * t3715;
  t3758 = t62 * t929;
  t3759 = t3758 * t122;
  t3760 = t149 * t3759;
  t3763 = t143 * t1425;
  t3764 = t211 * t3763;
  t3765 = t3758 * t326;
  t3766 = t149 * t3765;
  t3769 = t410 * t3759;
  t3772 = t423 * t3759;
  t3775 = t941 * t312;
  t3776 = t3775 * t578;
  t3777 = 0.2e1 * t3776;
  t3778 = t942 * t402;
  t3779 = t332 * t908;
  t3780 = t3779 * t394;
  t3781 = t3780 * t583;
  t3782 = t3781 / 0.3e1;
  t3783 = t63 * t3550;
  t3784 = t400 * t3783;
  t3786 = t590 * t929;
  t3787 = t1505 * t3786;
  t3790 = t943 - t962 + 0.2e1 * t2345 * t3760 + 0.2e1 * t3764 * t3766 + t2352 * t3769 / 0.3e1 - 0.2e1 * t2352 * t3772 - t3777 - t3778 - t3782 - t212 * t3784 - 0.2e1 / 0.3e1 * t582 * t3787;
  t3791 = t69 * t914;
  t3792 = t3791 * t1504;
  t3793 = t1571 * t577;
  t3796 = t1505 * t577;
  t3799 = t1862 * t3786;
  t3801 = t3780 * t587;
  t3802 = 0.2e1 * t3801;
  t3803 = t948 * t1536;
  t3806 = t965 * t326;
  t3807 = t1868 * t3806;
  t3809 = t63 * t530;
  t3810 = t145 * t3809;
  t3813 = t944 * t1483;
  t3820 = t396 * t3809;
  t3825 = -0.2e1 / 0.3e1 * t3792 * t3793 + 0.6e1 * t3792 * t3796 + t582 * t3799 + t3802 - 0.12e2 * t3803 * t587 - t212 * t3807 - 0.4e1 * t576 * t3810 + 0.6e1 * t3813 * t578 + 0.2e1 * t945 * t402 + 0.2e1 * t3803 * t583 - 0.2e1 / 0.3e1 * t582 * t3820 + 0.2e1 / 0.3e1 * t949 * t1849;
  t3827 = t1566 * t577;
  t3831 = t405 * t3809;
  t3836 = t400 * t3786;
  t3838 = t1566 * t590;
  t3841 = t3780 * t601;
  t3844 = t1505 * t590;
  t3847 = t60 * t3550;
  t3848 = t400 * t3847;
  t3851 = t60 * t530;
  t3852 = t405 * t3851;
  t3855 = -t3792 * t3827 / 0.9e1 - t574 * t953 + 0.4e1 * t582 * t3831 - 0.4e1 * t949 * t1863 - t576 * t3836 + t3792 * t3838 / 0.18e2 - t3841 + 0.6e1 * t3803 * t601 - 0.3e1 * t3792 * t3844 + t212 * t3848 / 0.2e1 - 0.2e1 * t582 * t3852;
  t3858 = t1571 * t590;
  t3861 = t396 * t3851;
  t3866 = t3775 * t597;
  t3867 = t942 * t420;
  t3868 = t3867 / 0.2e1;
  t3869 = t145 * t3851;
  t3872 = t3780 * t591;
  t3873 = 0.2e1 / 0.3e1 * t3872;
  t3881 = 0.2e1 * t949 * t1908 + 0.1e2 / 0.3e1 * t3792 * t3858 + 0.4e1 / 0.3e1 * t582 * t3861 - 0.4e1 / 0.3e1 * t949 * t1880 + t3866 + t3868 + 0.2e1 * t576 * t3869 + t3873 - 0.4e1 * t3803 * t591 - 0.3e1 * t3813 * t597 - t945 * t420 + t574 * t966 / 0.2e1;
  t3883 = t3790 + t3825 + t3855 + t3881;
  t3884 = t59 * t3883;
  t3885 = t3884 * t96;
  t3890 = t917 * t305 / 0.6e1 - t3727 * t541 / 0.2e1 + t538 * t3730 / 0.3e1 + t208 * t3734 / 0.12e2 + t208 * t3739 / 0.12e2 + t533 * t932 / 0.12e2 - t922 * t1735 / 0.12e2 + t922 * t1952 / 0.6e1 - 0.5e1 / 0.36e2 * t3502 * t3748 - t922 * t1660 / 0.6e1 + t922 * t1650 / 0.3e1 - t546 * t3755 / 0.3e1 - t22 * t3885 / 0.4e1 - t103 * t972 / 0.12e2;
  t3894 = my_piecewise3(t3, 0, t3431 + t3461 + t3511 + t3590 + t3636 + t3674 + t3723 + t3890);
  tv3rhosigma20 = 0.2e1 * rho[0] * t3894 + 0.2e1 * t998;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  t3903 = t138 * t1044;
  t3906 = t1042 * t159;
  t3907 = t158 * t3906;
  t3908 = t106 * t3907;
  t3917 = t22 * t2776;
  t3918 = t205 * t122;
  t3919 = t96 * t3918;
  t3920 = t2175 * t3919;
  t3923 = t2182 * t3919;
  t3925 = -t3410 + t719 * t631 / 0.4e1 + t1994 * t248 / 0.4e1 + t610 * t738 / 0.4e1 - t127 * t3903 / 0.12e2 + t3908 * t166 / 0.4e1 + t2538 * t223 / 0.4e1 - t533 * t686 / 0.12e2 - t208 * t2473 / 0.12e2 + t3430 - t3445 + t3460 - t913 + t984 + t3917 * t3920 / 0.2e1 + t3917 * t3923;
  t3926 = t500 * t3918;
  t3927 = t2175 * t3926;
  t3930 = t22 * t2782;
  t3931 = t1571 * t65;
  t3932 = t3931 * t3919;
  t3935 = t1566 * t65;
  t3936 = t3935 * t3926;
  t3939 = t2169 * t3919;
  t3942 = t3931 * t3926;
  t3945 = t1556 * t3918;
  t3946 = t3935 * t3945;
  t3949 = t230 * t929;
  t3950 = t1505 * t3949;
  t3951 = t2257 * t3950;
  t3954 = t697 * t3477;
  t3963 = t2843 * t1057;
  t3966 = t2620 * t1065;
  t3969 = -0.2e1 * t3917 * t3927 - 0.11e2 / 0.18e2 * t3930 * t3932 + 0.23e2 / 0.36e2 * t3930 * t3936 - t3930 * t3939 / 0.2e1 + 0.7e1 / 0.3e1 * t3930 * t3942 - 0.3e1 / 0.2e1 * t3930 * t3946 + t2255 * t3951 / 0.2e1 - t2251 * t3954 / 0.2e1 + t2632 * t3465 / 0.6e1 - t2632 * t3469 / 0.3e1 + t3489 - t3491 + t3586 - t3589 - t349 * t1058 / 0.2e1 - t162 * t3963 / 0.2e1 + t162 * t3966 / 0.2e1;
  t3971 = t729 * t3557;
  t3986 = t2571 * t539;
  t3987 = t302 * t3986;
  t3998 = t162 * t3971 / 0.2e1 + t349 * t1066 / 0.2e1 + t654 * t932 / 0.36e2 - t2543 * t1010 / 0.18e2 - t3603 - t3605 + t3607 + t3612 - t1529 * t1053 / 0.6e1 + t2543 * t1016 / 0.9e1 - t372 * t1058 / 0.6e1 + t538 * t3987 / 0.6e1 + t719 * t627 / 0.4e1 - t719 * t641 / 0.4e1 - t1553 * t1053 / 0.2e1 - t719 * t637 / 0.2e1;
  t4001 = t1726 * t1000;
  t4002 = t302 * t4001;
  t4009 = t548 * t4001;
  t4016 = t1043 * t194;
  t4027 = t96 * t2258;
  t4028 = t2294 * t4027;
  t4031 = t193 * t205;
  t4032 = t169 * t4031;
  t4033 = t2182 * t4032;
  t4036 = t2175 * t4032;
  t4043 = t2550 * t1002 / 0.6e1 + t666 * t4002 / 0.6e1 + t666 * t3730 / 0.6e1 - t2600 * t1005 / 0.12e2 - t671 * t4009 / 0.12e2 - t671 * t3716 / 0.12e2 + t661 * t932 / 0.12e2 - t22 * t4016 / 0.4e1 - t2674 * t3633 / 0.6e1 - t2683 * t3627 / 0.6e1 + t2632 * t3616 / 0.12e2 + t2683 * t3621 / 0.12e2 + t2632 * t4028 / 0.3e1 - t2632 * t4033 / 0.6e1 - t2632 * t4036 / 0.12e2 - t372 * t1061 / 0.12e2 + t372 * t1066 / 0.6e1;
  t4050 = t729 * t3680;
  t4055 = t2620 * t1052;
  t4058 = t745 * t3552;
  t4061 = t741 * t3513;
  t4066 = t2846 * t990;
  t4075 = t1032 * t122;
  t4076 = t1505 * t4075;
  t4083 = t396 * t4075;
  t4090 = t405 * t4075;
  t4099 = t943 - t962 - 0.3e1 * t2782 * t4076 - 0.2e1 * t2790 * t1022 - 0.2e1 * t693 * t3810 - 0.4e1 * t2776 * t4083 - t2760 * t1025 / 0.3e1 - t697 * t3820 / 0.3e1 + 0.6e1 * t2776 * t4090 + t697 * t3799 - t237 * t3784 - 0.2e1 / 0.3e1 * t697 * t3787 + 0.2e1 * t2760 * t1029;
  t4102 = t1571 * t4075;
  t4105 = t1032 * t326;
  t4106 = t1505 * t4105;
  t4109 = t145 * t4075;
  t4112 = t400 * t4105;
  t4116 = t1862 * t4105;
  t4119 = t1566 * t4075;
  t4123 = 0.2e1 * t697 * t3831 + 0.1e2 / 0.3e1 * t2782 * t4102 - 0.4e1 / 0.3e1 * t697 * t4106 - 0.3e1 * t2765 * t4109 - t693 * t4112 - t693 * t3836 - t237 * t3807 + 0.2e1 * t697 * t4116 + t2782 * t4119 / 0.18e2 - t691 * t953 - t3777 - t3778 - t3782;
  t4137 = t3802 + t237 * t3848 / 0.2e1 - t2760 * t1040 - t697 * t3852 + 0.2e1 / 0.3e1 * t2760 * t1033 + 0.2e1 / 0.3e1 * t697 * t3861 + t2790 * t1036 + t693 * t3869 + t691 * t966 / 0.2e1 - t3841 + t3866 + t3868 + t3873;
  t4138 = t236 * t3763;
  t4143 = t62 * t205;
  t4144 = t4143 * t326;
  t4145 = t423 * t4144;
  t4148 = t1483 * t134;
  t4149 = t236 * t4148;
  t4150 = t4143 * t122;
  t4151 = t149 * t4150;
  t4154 = t149 * t4144;
  t4157 = t1536 * t319;
  t4158 = t696 * t4157;
  t4159 = t410 * t4150;
  t4162 = t410 * t4144;
  t4165 = t1504 * t1425;
  t4166 = t2781 * t4165;
  t4167 = t1837 * t4150;
  t4172 = t1829 * t4150;
  t4179 = t423 * t4150;
  t4182 = 0.2e1 * t4138 * t3766 + t2750 * t3769 / 0.3e1 - 0.4e1 * t2750 * t4145 + 0.6e1 * t4149 * t4151 + 0.2e1 * t2752 * t4154 + 0.2e1 * t4158 * t4159 + 0.2e1 / 0.3e1 * t2750 * t4162 - t4166 * t4167 / 0.9e1 + 0.2e1 * t2752 * t3760 - 0.2e1 / 0.3e1 * t4166 * t4172 - 0.2e1 * t2750 * t3772 + 0.6e1 * t4166 * t4159 - 0.12e2 * t4158 * t4179;
  t4184 = t4099 + t4123 + t4137 + t4182;
  t4185 = t59 * t4184;
  t4186 = t4185 * t96;
  t4195 = -t610 * t746 / 0.4e1 + t610 * t734 / 0.4e1 - t509 * t4050 / 0.2e1 - t610 * t742 / 0.2e1 - t509 * t4055 / 0.2e1 - t162 * t4058 / 0.4e1 - t162 * t4061 / 0.2e1 - t349 * t1061 / 0.4e1 - t162 * t4066 / 0.4e1 + t671 * t3664 / 0.3e1 + t233 * t3734 / 0.12e2 + t233 * t3739 / 0.12e2 - t22 * t4186 / 0.4e1 - t103 * t1044 / 0.12e2 - t2543 * t1005 / 0.36e2 + t2557 * t1002 / 0.18e2;
  t4202 = t347 * t1000;
  t4203 = t548 * t4202;
  t4208 = t555 * t4001;
  t4221 = t555 * t3986;
  t4224 = t717 * t539;
  t4225 = t548 * t4224;
  t4228 = t2162 * t4032;
  t4231 = -t1972 * t730 / 0.2e1 - t2509 * t623 / 0.2e1 + t719 * t646 / 0.2e1 + t3689 - t3693 - t3700 + t671 * t4203 / 0.3e1 - t2600 * t1010 / 0.6e1 - t671 * t4208 / 0.6e1 - t671 * t3755 / 0.6e1 + t666 * t3655 / 0.6e1 + t610 * t749 / 0.2e1 - t671 * t3566 / 0.6e1 + t671 * t3508 / 0.3e1 - t546 * t4221 / 0.6e1 + t546 * t4225 / 0.3e1 + t2674 * t4228 / 0.6e1;
  t4233 = t2169 * t4027;
  t4236 = t3935 * t3919;
  t4251 = t548 * t3986;
  t4254 = t145 * t3918;
  t4255 = t2765 * t4254;
  t4258 = t230 * t122;
  t4259 = t396 * t4258;
  t4260 = t2365 * t4259;
  t4263 = t500 * t2258;
  t4264 = t2169 * t4263;
  t4267 = t1675 * t4031;
  t4268 = t2175 * t4267;
  t4271 = t1505 * t3918;
  t4272 = t2782 * t4271;
  t4275 = t1562 * t95;
  t4276 = t65 * t4275;
  t4277 = t22 * t4276;
  t4278 = t1566 * t4258;
  t4279 = t2370 * t4278;
  t4282 = t1571 * t4258;
  t4283 = t2370 * t4282;
  t4286 = t405 * t3918;
  t4287 = t2776 * t4286;
  t4290 = t2632 * t4233 / 0.6e1 - 0.5e1 / 0.36e2 * t3930 * t4236 + t2600 * t1016 / 0.3e1 - t671 * t3650 / 0.12e2 - t233 * t2042 / 0.12e2 - t208 * t2666 / 0.12e2 + t233 * t2038 / 0.12e2 + t208 * t2573 / 0.12e2 - t546 * t4251 / 0.12e2 + 0.3e1 / 0.2e1 * t2251 * t4255 + 0.3e1 * t2255 * t4260 - 0.2e1 / 0.3e1 * t2632 * t4264 + t2632 * t4268 / 0.3e1 + 0.3e1 / 0.2e1 * t2251 * t4272 + 0.3e1 / 0.2e1 * t4277 * t4279 - 0.3e1 * t2255 * t4283 - 0.3e1 * t2251 * t4287;
  t4291 = t22 * t2765;
  t4292 = t2162 * t3919;
  t4295 = t1684 * t4027;
  t4298 = t693 * t3637;
  t4301 = t237 * t3641;
  t4304 = t582 * t2567;
  t4306 = t2563 * t1052;
  t4309 = t1862 * t2258;
  t4310 = t697 * t4309;
  t4312 = t400 * t2258;
  t4313 = t693 * t4312;
  t4316 = t2698 * t1057;
  t4319 = t2563 * t1065;
  t4322 = t2701 * t990;
  t4337 = -t4291 * t4292 / 0.2e1 - t2674 * t4295 / 0.6e1 + t2251 * t4298 / 0.2e1 + t2251 * t4301 / 0.2e1 + t2255 * t4304 - t2265 * t4306 / 0.2e1 - t2251 * t4310 + t2251 * t4313 / 0.2e1 - t1677 * t4316 / 0.2e1 + t1677 * t4319 / 0.2e1 - t1677 * t4322 / 0.4e1 - t661 * t569 / 0.12e2 - t233 * t1999 / 0.12e2 + t2010 * t248 / 0.12e2 + t2483 * t223 / 0.12e2 - t525 * t686 / 0.36e2 - t654 * t569 / 0.36e2;
  t4341 = my_piecewise3(t3, 0, t3925 + t3969 + t3998 + t4043 + t4195 + t4231 + t4290 + t4337);
  tv3rhosigmalapl0 = 0.2e1 * rho[0] * t4341 + 0.2e1 * t1070;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 0] += tv3rhosigmalapl0;

  t4364 = t943 - t962 - t263 * t3784 + 0.1e2 / 0.3e1 * t3208 * t4102 - 0.4e1 / 0.3e1 * t810 * t4106 - 0.3e1 * t3221 * t4109 - t806 * t4112 - t806 * t3836 - t263 * t3807 - 0.2e1 * t3236 * t1022 - 0.2e1 * t806 * t3810 - 0.4e1 * t3226 * t4083 - t3214 * t1025 / 0.3e1;
  t4386 = -t810 * t3820 / 0.3e1 + t3208 * t4119 / 0.18e2 - t804 * t953 + 0.2e1 * t810 * t4116 + 0.2e1 * t3214 * t1029 + 0.2e1 * t810 * t3831 + t263 * t3848 / 0.2e1 + 0.2e1 / 0.3e1 * t3214 * t1033 - t3214 * t1040 - t810 * t3852 + 0.2e1 / 0.3e1 * t810 * t3861 + t3236 * t1036 + t806 * t3869;
  t4392 = t262 * t3763;
  t4397 = t262 * t4148;
  t4402 = t809 * t4157;
  t4405 = t3207 * t4165;
  t4414 = t804 * t966 / 0.2e1 + 0.2e1 * t3202 * t3760 + 0.2e1 * t4392 * t3766 + t3200 * t3769 / 0.3e1 + 0.6e1 * t4397 * t4151 + 0.2e1 * t3202 * t4154 + 0.2e1 * t4402 * t4159 - 0.2e1 / 0.3e1 * t4405 * t4172 - 0.2e1 * t3200 * t3772 + 0.6e1 * t4405 * t4159 - 0.12e2 * t4402 * t4179 - t3777 - t3778;
  t4428 = -t3782 + t3802 - 0.4e1 * t3200 * t4145 + 0.2e1 / 0.3e1 * t3200 * t4162 - t4405 * t4167 / 0.9e1 - t3841 + t3866 + t3868 + t3873 - 0.3e1 * t3208 * t4076 + 0.6e1 * t3226 * t4090 + t810 * t3799 - 0.2e1 / 0.3e1 * t810 * t3787;
  t4430 = t4364 + t4386 + t4414 + t4428;
  t4431 = t59 * t4430;
  t4432 = t4431 * t96;
  t4441 = t2961 * t539;
  t4442 = t548 * t4441;
  t4453 = t302 * t4441;
  t4456 = -t3410 + t3430 - t3445 + t3460 - t913 + t984 - t103 * t1101 / 0.12e2 - t22 * t4432 / 0.4e1 + t3489 - t3491 + t2972 * t1016 / 0.3e1 + t866 * t4203 / 0.3e1 + t208 * t2963 / 0.12e2 - t546 * t4442 / 0.12e2 - t208 * t2967 / 0.12e2 - t866 * t3650 / 0.12e2 - t259 * t2042 / 0.12e2 + t854 * t627 / 0.4e1 + t538 * t4453 / 0.6e1;
  t4457 = t1100 * t194;
  t4460 = t604 * t288;
  t4463 = t218 * t793;
  t4486 = -t22 * t4457 / 0.4e1 - t22 * t4460 / 0.4e1 - t22 * t4463 / 0.4e1 - t103 * t1122 / 0.12e2 + t3586 - t3589 - t3603 - t3605 + t3607 + t3612 - t866 * t4009 / 0.12e2 - t866 * t3716 / 0.12e2 + t838 * t932 / 0.12e2 + t259 * t3734 / 0.12e2 + t3030 * t1002 / 0.6e1 + t894 * t3655 / 0.6e1 + t259 * t2038 / 0.12e2 + t894 * t4002 / 0.6e1 + t894 * t3730 / 0.6e1;
  t4512 = t3313 * t1052;
  t4519 = t555 * t4441;
  t4522 = t852 * t539;
  t4523 = t548 * t4522;
  t4530 = -t2972 * t1005 / 0.12e2 - t854 * t637 / 0.2e1 - t854 * t641 / 0.4e1 + t3052 * t1002 / 0.18e2 + t372 * t1117 / 0.6e1 - t372 * t1111 / 0.6e1 - t372 * t1114 / 0.12e2 - t1529 * t1108 / 0.6e1 + t3057 * t1016 / 0.9e1 - t3057 * t1010 / 0.18e2 + t843 * t932 / 0.36e2 - t3057 * t1005 / 0.36e2 - t509 * t4512 / 0.2e1 + t372 * t1126 / 0.12e2 - t525 * t886 / 0.36e2 - t546 * t4519 / 0.6e1 + t546 * t4523 / 0.3e1 + t3015 * t4028 / 0.3e1 + t3015 * t4233 / 0.6e1;
  t4531 = t22 * t3208;
  t4538 = t22 * t3221;
  t4541 = t287 * t332;
  t4542 = t4541 * t544;
  t4543 = t4542 * t645;
  t4546 = t3226 * t4286;
  t4549 = t256 * t929;
  t4550 = t1505 * t4549;
  t4551 = t2257 * t4550;
  t4554 = t810 * t3477;
  t4557 = t3208 * t4271;
  t4560 = t287 * t122;
  t4561 = t169 * t4560;
  t4562 = t2182 * t4561;
  t4571 = t22 * t3226;
  t4579 = -0.5e1 / 0.36e2 * t4531 * t4236 - t3015 * t4036 / 0.12e2 - t2988 * t3633 / 0.6e1 - t4538 * t4292 / 0.2e1 + t1677 * t4543 / 0.2e1 - 0.3e1 * t2251 * t4546 + t2255 * t4551 / 0.2e1 - t2251 * t4554 / 0.2e1 + 0.3e1 / 0.2e1 * t2251 * t4557 - t2168 * t4562 / 0.6e1 - t3015 * t3469 / 0.3e1 - t4531 * t3939 / 0.2e1 + 0.7e1 / 0.3e1 * t4531 * t3942 + t4571 * t3923 - 0.2e1 * t4571 * t3927 + t3689 - t3693 - t3700 + t866 * t3664 / 0.3e1 + t259 * t3739 / 0.12e2;
  t4588 = t1675 * t4560;
  t4589 = t2175 * t4588;
  t4592 = t4542 * t622;
  t4597 = t256 * t122;
  t4598 = t1566 * t4597;
  t4599 = t2370 * t4598;
  t4602 = t1571 * t4597;
  t4603 = t2370 * t4602;
  t4628 = -t2972 * t1010 / 0.6e1 - t866 * t4208 / 0.6e1 - t866 * t3755 / 0.6e1 + t2168 * t4589 / 0.3e1 - t2265 * t4592 / 0.2e1 - 0.3e1 / 0.2e1 * t4531 * t3946 + 0.3e1 / 0.2e1 * t4277 * t4599 - 0.3e1 * t2255 * t4603 - 0.11e2 / 0.18e2 * t4531 * t3932 + 0.23e2 / 0.36e2 * t4531 * t3936 + t3015 * t3465 / 0.6e1 - t2897 * t623 / 0.2e1 + t854 * t646 / 0.2e1 - t1972 * t859 / 0.2e1 + t610 * t862 / 0.2e1 - t866 * t3566 / 0.6e1 + t866 * t3508 / 0.3e1 + t3015 * t4268 / 0.3e1 - t3015 * t4033 / 0.6e1;
  t4637 = t3221 * t4254;
  t4640 = t806 * t4312;
  t4643 = t3108 * t1057;
  t4646 = t396 * t4597;
  t4647 = t2365 * t4646;
  t4650 = t582 * t3097;
  t4652 = t3012 * t1052;
  t4655 = t2162 * t4561;
  t4658 = t806 * t3637;
  t4661 = t263 * t3641;
  t4664 = t3190 * t990;
  t4669 = t858 * t3680;
  t4680 = -0.2e1 / 0.3e1 * t3015 * t4264 - t3006 * t3627 / 0.6e1 + t3015 * t3616 / 0.12e2 + t3006 * t3621 / 0.12e2 + 0.3e1 / 0.2e1 * t2251 * t4637 + t2251 * t4640 / 0.2e1 - t1677 * t4643 / 0.2e1 + 0.3e1 * t2255 * t4647 + t2255 * t4650 - t2265 * t4652 / 0.2e1 + t2161 * t4655 / 0.6e1 + t2251 * t4658 / 0.2e1 + t2251 * t4661 / 0.2e1 - t1677 * t4664 / 0.4e1 + t349 * t1117 / 0.2e1 - t509 * t4669 / 0.2e1 - t610 * t873 / 0.2e1 - t610 * t877 / 0.4e1 + t610 * t881 / 0.4e1 - t1553 * t1108 / 0.2e1;
  t4682 = t872 * t3513;
  t4687 = t3358 * t990;
  t4690 = t876 * t3552;
  t4699 = t1099 * t159;
  t4700 = t158 * t4699;
  t4701 = t106 * t4700;
  t4709 = t3365 * t211 * t165;
  t4713 = t884 * t573 * t165;
  t4716 = t3313 * t1065;
  t4719 = t858 * t3557;
  t4728 = t2036 * t884;
  t4729 = t302 * t4728;
  t4734 = -t162 * t4682 / 0.2e1 - t349 * t1114 / 0.4e1 - t162 * t4687 / 0.4e1 - t162 * t4690 / 0.4e1 - t2988 * t4295 / 0.6e1 + t4571 * t3920 / 0.2e1 + t2988 * t4228 / 0.6e1 + t4701 * t166 / 0.4e1 + t2885 * t223 / 0.4e1 + t349 * t1126 / 0.4e1 + t162 * t4709 / 0.4e1 + t162 * t4713 / 0.4e1 + t162 * t4716 / 0.2e1 + t162 * t4719 / 0.2e1 - t533 * t886 / 0.12e2 - t208 * t3379 / 0.12e2 - t208 * t3383 / 0.12e2 - t127 * t4729 / 0.12e2 + t610 * t890 / 0.4e1;
  t4737 = t3336 * t1057;
  t4744 = t138 * t1101;
  t4747 = t3062 * t206;
  t4748 = t4747 * t328;
  t4753 = t2175 * t4561;
  t4756 = t3062 * t536;
  t4757 = t4756 * t636;
  t4760 = t810 * t4309;
  t4762 = t3012 * t1065;
  t4783 = -t349 * t1111 / 0.2e1 - t162 * t4737 / 0.2e1 + t1994 * t274 / 0.4e1 + t610 * t833 / 0.4e1 - t127 * t4744 / 0.12e2 - t1677 * t4748 / 0.4e1 + t2179 * t3105 / 0.12e2 - t2168 * t4753 / 0.12e2 - t1677 * t4757 / 0.2e1 - t2251 * t4760 + t1677 * t4762 / 0.2e1 + t854 * t631 / 0.4e1 - t208 * t2880 / 0.12e2 - t838 * t569 / 0.12e2 - t259 * t1999 / 0.12e2 - t533 * t848 / 0.12e2 + t2010 * t274 / 0.12e2 + t2902 * t223 / 0.12e2 - t525 * t848 / 0.36e2 - t843 * t569 / 0.36e2;
  t4787 = my_piecewise3(t3, 0, t4456 + t4486 + t4530 + t4579 + t4628 + t4680 + t4734 + t4783);
  tv3rhosigmatau0 = 0.2e1 * rho[0] * t4787 + 0.2e1 * t1130;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 0] += tv3rhosigmatau0;

  t4790 = t1183 * t194;
  t4797 = -t3410 + t3430 - t3445 + t3460 - t913 + t984 + t3489 - t3491 - t22 * t4790 / 0.4e1 + t3586 - t3589 - t671 * t4221 / 0.3e1 + 0.2e1 / 0.3e1 * t671 * t4225;
  t4798 = t1132 * t1418;
  t4799 = t1415 * t4798;
  t4800 = t106 * t4799;
  t4805 = t1502 * t4798;
  t4806 = t4805 * t3594;
  t4809 = t1132 * t1445;
  t4810 = t510 * t4809;
  t4811 = t4810 * t645;
  t4814 = t4805 * t3576;
  t4819 = t1726 * t1148;
  t4820 = t490 * t4819;
  t4828 = t321 * t664;
  t4831 = t1592 * t669;
  t4834 = t321 * t231;
  t4841 = t236 * t311;
  t4846 = t696 * t335;
  t4849 = 0.2e1 / 0.3e1 * t3523 * t1260 + 0.2e1 * t321 * t658 * t165 - 0.4e1 * t4828 * t636 + 0.4e1 / 0.3e1 * t4831 * t622 - 0.2e1 * t4834 * t328 + 0.4e1 * t4831 * t645 - 0.2e1 * t705 * t138 + 0.4e1 * t4841 * t636 + 0.2e1 * t239 * t328 - 0.4e1 * t4846 * t645;
  t4850 = t95 * t4849;
  t4851 = t303 * t4850;
  t4852 = t490 * t4851;
  t4855 = t333 * t4809;
  t4856 = t106 * t4855;
  t4859 = -0.3e1 / 0.2e1 * t4800 * t3504 - t2509 * t730 + t719 * t749 - 0.3e1 * t509 * t4806 - 0.3e1 * t162 * t4811 + 0.3e1 / 0.2e1 * t162 * t4814 + 0.7e1 / 0.3e1 * t4800 * t3569 - t3603 - t3605 + t3607 + t3612 + t233 * t4820 / 0.12e2 + t233 * t4852 / 0.12e2 + t4856 * t549 / 0.2e1;
  t4863 = t95 * t658;
  t4864 = t303 * t4863;
  t4865 = t548 * t4864;
  t4872 = t2846 * t1198;
  t4876 = t320 * t137 * t4849;
  t4877 = t745 * t4876;
  t4880 = t296 * t1163;
  t4881 = t4880 * t516;
  t4884 = t163 * t1133;
  t4885 = t4884 * t328;
  t4889 = t296 * t1159 * t313;
  t4895 = t135 * t137 * t658;
  t4896 = t741 * t4895;
  t4898 = t163 * t1138;
  t4899 = t4898 * t636;
  t4902 = t342 * t658;
  t4903 = t341 * t4902;
  t4904 = t729 * t4903;
  t4906 = t1135 * t305 / 0.6e1 - t671 * t4865 / 0.6e1 + t1140 * t1952 / 0.6e1 - t349 * t1199 / 0.4e1 - t162 * t4872 / 0.4e1 - t162 * t4877 / 0.4e1 + t162 * t4881 / 0.2e1 + t162 * t4885 / 0.2e1 - t162 * t4889 / 0.2e1 - t103 * t1184 / 0.12e2 - t162 * t4896 + 0.3e1 / 0.2e1 * t162 * t4899 - t509 * t4904;
  t4907 = t4810 * t622;
  t4910 = t160 * t4863;
  t4911 = t548 * t4910;
  t4916 = t555 * t4864;
  t4932 = t341 * t404 * t658;
  t4933 = t729 * t4932;
  t4935 = t510 * t1138;
  t4936 = t4935 * t1671;
  t4938 = t1147 * t122;
  t4939 = t400 * t4938;
  t4940 = t693 * t4939;
  t4943 = t1147 * t326;
  t4944 = t1868 * t4943;
  t4945 = t237 * t4944;
  t4948 = 0.3e1 * t509 * t4907 + 0.2e1 / 0.3e1 * t671 * t4911 - 0.2e1 / 0.3e1 * t1140 * t1713 - t671 * t4916 / 0.3e1 + t1140 * t1650 / 0.3e1 - t1140 * t1660 / 0.6e1 + t1140 * t1720 / 0.3e1 + t233 * t2573 / 0.6e1 - t671 * t4251 / 0.6e1 - t233 * t2666 / 0.6e1 + t162 * t4933 - t162 * t4936 + t2251 * t4940 / 0.2e1 + t2251 * t4945 / 0.2e1;
  t4951 = t2701 * t1198;
  t4962 = t96 * t4938;
  t4963 = t2294 * t4962;
  t4966 = t500 * t4938;
  t4967 = t2169 * t4966;
  t4970 = t230 * t1147;
  t4971 = t1505 * t4970;
  t4972 = t2257 * t4971;
  t4975 = t1862 * t4938;
  t4976 = t697 * t4975;
  t4979 = t2169 * t4962;
  t4982 = -t1677 * t4951 / 0.4e1 + t3689 - t3693 - t3700 - t1140 * t1735 / 0.12e2 + t661 * t1150 / 0.12e2 + t666 * t3987 / 0.3e1 - 0.5e1 / 0.36e2 * t4800 * t3748 + t2632 * t4963 / 0.6e1 - t2632 * t4967 / 0.3e1 + t2255 * t4972 / 0.2e1 - t2251 * t4976 / 0.2e1 + t2632 * t4979 / 0.12e2;
  t4983 = t109 * t1138;
  t4984 = t106 * t4983;
  t4991 = t302 * t4864;
  t4994 = t4935 * t1666;
  t4996 = t4880 * t512;
  t5004 = t1177 * t122;
  t5005 = t1862 * t5004;
  t5007 = t1163 * t1536;
  t5010 = t69 * t1132;
  t5011 = t5010 * t1504;
  t5016 = t1159 * t1483;
  t5023 = t63 * t658;
  t5024 = t396 * t5023;
  t5029 = t943 - t962 + t697 * t5005 - 0.12e2 * t5007 * t587 - 0.2e1 / 0.3e1 * t5011 * t3793 + 0.6e1 * t5011 * t3796 + 0.6e1 * t5016 * t578 + 0.2e1 * t1160 * t402 + 0.2e1 * t5007 * t583 - 0.2e1 / 0.3e1 * t697 * t5024 + 0.2e1 / 0.3e1 * t1164 * t1849;
  t5033 = t63 * t4849;
  t5034 = t400 * t5033;
  t5036 = t1505 * t5004;
  t5039 = t405 * t5023;
  t5044 = t400 * t5004;
  t5046 = t1177 * t326;
  t5047 = t1868 * t5046;
  t5049 = t145 * t5023;
  t5052 = -t5011 * t3827 / 0.9e1 - t691 * t1168 - t237 * t5034 - 0.2e1 / 0.3e1 * t697 * t5036 + 0.4e1 * t697 * t5039 - 0.4e1 * t1164 * t1863 - t693 * t5044 - t237 * t5047 - 0.4e1 * t693 * t5049 - t3777 - t3778 - t3782;
  t5054 = t62 * t1147;
  t5055 = t5054 * t122;
  t5056 = t149 * t5055;
  t5059 = t5054 * t326;
  t5060 = t149 * t5059;
  t5063 = t410 * t5055;
  t5072 = t3802 + 0.2e1 * t2752 * t5056 + 0.2e1 * t4138 * t5060 + t2750 * t5063 / 0.3e1 - t3841 + t3866 + t3868 + t3873 + 0.6e1 * t5007 * t601 - 0.3e1 * t5011 * t3844 - 0.4e1 * t5007 * t591;
  t5079 = t60 * t4849;
  t5080 = t400 * t5079;
  t5083 = t60 * t658;
  t5084 = t405 * t5083;
  t5089 = t396 * t5083;
  t5094 = t145 * t5083;
  t5100 = t423 * t5055;
  t5103 = t5011 * t3838 / 0.18e2 + 0.1e2 / 0.3e1 * t5011 * t3858 + t691 * t1178 / 0.2e1 + t237 * t5080 / 0.2e1 - 0.2e1 * t697 * t5084 + 0.2e1 * t1164 * t1908 + 0.4e1 / 0.3e1 * t697 * t5089 - 0.4e1 / 0.3e1 * t1164 * t1880 + 0.2e1 * t693 * t5094 - 0.3e1 * t5016 * t597 - t1160 * t420 - 0.2e1 * t2750 * t5100;
  t5105 = t5029 + t5052 + t5072 + t5103;
  t5106 = t59 * t5105;
  t5107 = t5106 * t96;
  t5112 = t4805 * t3495;
  t5118 = -t4984 * t541 / 0.2e1 - t372 * t1199 / 0.12e2 + t654 * t1150 / 0.36e2 + t666 * t4991 / 0.3e1 + t509 * t4994 - t509 * t4996 / 0.2e1 - t719 * t742 - t719 * t746 / 0.2e1 + t719 * t734 / 0.2e1 - t22 * t5107 / 0.4e1 - t1135 * t493 / 0.6e1 + 0.3e1 / 0.2e1 * t1565 * t5112 + t4856 * t556 - 0.2e1 * t4856 * t562;
  t5126 = t193 * t1147;
  t5127 = t169 * t5126;
  t5128 = t1684 * t5127;
  t5131 = t1684 * t4962;
  t5134 = t96 * t4943;
  t5135 = t3624 * t5134;
  t5146 = t368 * t1139;
  t5155 = -0.11e2 / 0.18e2 * t4800 * t3560 + 0.23e2 / 0.36e2 * t4800 * t3613 - t4800 * t3580 / 0.2e1 + t2683 * t5128 / 0.12e2 - t2674 * t5131 / 0.6e1 - t2683 * t5135 / 0.6e1 + t372 * t1202 / 0.6e1 - t372 * t1194 / 0.6e1 - t1529 * t1190 / 0.6e1 + t2483 * t248 / 0.6e1 + t5146 * t502 / 0.9e1 - t654 * t686 / 0.18e2 - t5146 * t497 / 0.18e2 - t5146 * t344 / 0.36e2;
  t5156 = t368 * t1134;
  t5167 = t138 * t1184;
  t5170 = t1182 * t159;
  t5171 = t158 * t5170;
  t5172 = t106 * t5171;
  t5189 = t5156 * t139 / 0.18e2 + t349 * t1202 / 0.2e1 + t719 * t738 / 0.2e1 - t1553 * t1190 / 0.2e1 - t349 * t1194 / 0.2e1 - t127 * t5167 / 0.12e2 + t5172 * t166 / 0.4e1 + t2538 * t248 / 0.2e1 + t1140 * t1440 / 0.3e1 - t1140 * t1510 / 0.6e1 - t661 * t686 / 0.6e1 - t233 * t2473 / 0.6e1 + t1135 * t380 / 0.6e1 - t1140 * t1451 / 0.12e2;
  t5193 = my_piecewise3(t3, 0, t4797 + t4859 + t4906 + t4948 + t4982 + t5118 + t5155 + t5189);
  tv3rholapl20 = 0.2e1 * rho[0] * t5193 + 0.2e1 * t1206;

  if(out->v3rholapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 0] += tv3rholapl20;

  t5198 = t3313 * t1260;
  t5201 = t858 * t4903;
  t5208 = t193 * t230;
  t5209 = t169 * t5208;
  t5210 = t2175 * t5209;
  t5215 = t96 * t4258;
  t5216 = t2162 * t5215;
  t5219 = t96 * t2566;
  t5220 = t1684 * t5219;
  t5223 = t2175 * t5215;
  t5226 = t2162 * t5209;
  t5229 = -t3410 + t3430 - t3445 + t3460 - t913 + t984 + t854 * t734 / 0.4e1 - t509 * t5198 / 0.2e1 - t509 * t5201 / 0.2e1 - t854 * t742 / 0.2e1 - t854 * t746 / 0.4e1 - t3015 * t5210 / 0.12e2 - t2988 * t5131 / 0.6e1 - t4538 * t5216 / 0.2e1 - t2988 * t5220 / 0.6e1 + t4571 * t5223 / 0.2e1 + t2988 * t5226 / 0.6e1 + t3489 - t3491;
  t5230 = t1556 * t4258;
  t5231 = t3935 * t5230;
  t5234 = t2182 * t5215;
  t5236 = t500 * t4258;
  t5237 = t2175 * t5236;
  t5240 = t3931 * t5215;
  t5243 = t3062 * t231;
  t5244 = t5243 * t328;
  t5251 = t1726 * t1208;
  t5252 = t555 * t5251;
  t5271 = -0.3e1 / 0.2e1 * t4531 * t5231 + t4571 * t5234 - 0.2e1 * t4571 * t5237 - 0.11e2 / 0.18e2 * t4531 * t5240 - t1677 * t5244 / 0.4e1 + t259 * t4852 / 0.12e2 - t2972 * t1218 / 0.6e1 - t866 * t5252 / 0.6e1 - t866 * t4916 / 0.6e1 + t3586 - t3589 + t719 * t862 / 0.2e1 - t866 * t4221 / 0.6e1 + t866 * t4225 / 0.3e1 - t671 * t4519 / 0.6e1 + t671 * t4523 / 0.3e1 - t2897 * t730 / 0.2e1 + t854 * t749 / 0.2e1 - t3603;
  t5280 = t3365 * t236 * t165;
  t5287 = t302 * t5251;
  t5297 = t884 * t690 * t165;
  t5302 = t3313 * t1273;
  t5305 = t858 * t4932;
  t5312 = -t3605 + t3607 + t3612 - t2509 * t859 / 0.2e1 + t719 * t890 / 0.4e1 + t349 * t1283 / 0.4e1 + t162 * t5280 / 0.4e1 + t894 * t3987 / 0.6e1 + t259 * t2573 / 0.12e2 + t894 * t5287 / 0.6e1 + t843 * t1150 / 0.36e2 - t3057 * t1213 / 0.36e2 + t3052 * t1210 / 0.18e2 + t162 * t5297 / 0.4e1 + t349 * t1274 / 0.2e1 + t162 * t5302 / 0.2e1 + t162 * t5305 / 0.2e1 - t661 * t886 / 0.12e2 - t233 * t3379 / 0.12e2;
  t5315 = t2571 * t884;
  t5316 = t302 * t5315;
  t5321 = t3336 * t1265;
  t5324 = t713 * t288;
  t5327 = t1251 * t194;
  t5332 = t243 * t793;
  t5337 = t263 * t4944;
  t5340 = t3190 * t1198;
  t5343 = t145 * t4258;
  t5344 = t3221 * t5343;
  t5347 = t400 * t2566;
  t5348 = t806 * t5347;
  t5351 = t3108 * t1265;
  t5354 = t3062 * t664;
  t5355 = t5354 * t636;
  t5358 = t1862 * t2566;
  t5359 = t810 * t5358;
  t5361 = t3012 * t1273;
  t5366 = t806 * t4939;
  t5371 = -t233 * t3383 / 0.12e2 - t127 * t5316 / 0.12e2 - t349 * t1266 / 0.2e1 - t162 * t5321 / 0.2e1 - t22 * t5324 / 0.4e1 - t22 * t5327 / 0.4e1 - t103 * t1279 / 0.12e2 - t22 * t5332 / 0.4e1 + t866 * t4911 / 0.3e1 + t2251 * t5337 / 0.2e1 - t1677 * t5340 / 0.4e1 + 0.3e1 / 0.2e1 * t2251 * t5344 + t2251 * t5348 / 0.2e1 - t1677 * t5351 / 0.2e1 - t1677 * t5355 / 0.2e1 - t2251 * t5359 + t1677 * t5361 / 0.2e1 + t2674 * t4655 / 0.6e1 + t2251 * t5366 / 0.2e1 + t2683 * t3105 / 0.12e2;
  t5382 = t347 * t1208;
  t5383 = t548 * t5382;
  t5394 = t1240 * t122;
  t5395 = t405 * t5394;
  t5399 = t1505 * t5394;
  t5404 = t1566 * t5394;
  t5415 = t1571 * t5394;
  t5418 = t943 - t962 + 0.6e1 * t3226 * t5395 + t810 * t5005 - 0.3e1 * t3208 * t5399 - t810 * t5024 / 0.3e1 + t3208 * t5404 / 0.18e2 - t804 * t1168 - t263 * t5034 - 0.2e1 / 0.3e1 * t810 * t5036 + 0.2e1 * t3214 * t1237 + 0.2e1 * t810 * t5039 + 0.1e2 / 0.3e1 * t3208 * t5415;
  t5419 = t1240 * t326;
  t5420 = t1862 * t5419;
  t5423 = t1505 * t5419;
  t5426 = t145 * t5394;
  t5429 = t400 * t5419;
  t5433 = t396 * t5394;
  t5442 = 0.2e1 * t810 * t5420 - 0.4e1 / 0.3e1 * t810 * t5423 - 0.3e1 * t3221 * t5426 - t806 * t5429 - t806 * t5044 - t263 * t5047 - 0.4e1 * t3226 * t5433 - t3214 * t1233 / 0.3e1 - 0.2e1 * t3236 * t1230 - 0.2e1 * t806 * t5049 - t3777 - t3778 - t3782;
  t5456 = t62 * t230;
  t5457 = t5456 * t122;
  t5458 = t1829 * t5457;
  t5463 = t410 * t5457;
  t5466 = t423 * t5457;
  t5469 = t3802 + t263 * t5080 / 0.2e1 - t3214 * t1248 - t810 * t5084 + 0.2e1 / 0.3e1 * t3214 * t1241 + 0.2e1 / 0.3e1 * t810 * t5089 + t3236 * t1244 + t806 * t5094 + t804 * t1178 / 0.2e1 - 0.2e1 / 0.3e1 * t4405 * t5458 - 0.2e1 * t3200 * t5100 + 0.6e1 * t4405 * t5463 - 0.12e2 * t4402 * t5466;
  t5476 = t5456 * t326;
  t5477 = t423 * t5476;
  t5480 = t149 * t5457;
  t5483 = t149 * t5476;
  t5488 = t410 * t5476;
  t5491 = t1837 * t5457;
  t5494 = -t3841 + t3866 + t3868 + t3873 + 0.2e1 * t3202 * t5056 + 0.2e1 * t4392 * t5060 + t3200 * t5063 / 0.3e1 - 0.4e1 * t3200 * t5477 + 0.6e1 * t4397 * t5480 + 0.2e1 * t3202 * t5483 + 0.2e1 * t4402 * t5463 + 0.2e1 / 0.3e1 * t3200 * t5488 - t4405 * t5491 / 0.9e1;
  t5496 = t5418 + t5442 + t5469 + t5494;
  t5497 = t59 * t5496;
  t5498 = t5497 * t96;
  t5501 = t2182 * t5209;
  t5504 = t500 * t2566;
  t5505 = t2169 * t5504;
  t5512 = t2776 * t4646;
  t5515 = t697 * t3097;
  t5517 = t3012 * t1260;
  t5520 = t1675 * t5208;
  t5521 = t2175 * t5520;
  t5524 = -t2632 * t4753 / 0.12e2 - t866 * t4251 / 0.12e2 - t259 * t2666 / 0.12e2 + t2972 * t1224 / 0.3e1 + t866 * t5383 / 0.3e1 + t666 * t4453 / 0.6e1 + t233 * t2963 / 0.12e2 - t671 * t4442 / 0.12e2 - t233 * t2967 / 0.12e2 - t22 * t5498 / 0.4e1 - t3015 * t5501 / 0.6e1 - 0.2e1 / 0.3e1 * t3015 * t5505 - t3006 * t5135 / 0.6e1 + t3015 * t4979 / 0.12e2 + 0.3e1 * t2255 * t5512 + t2255 * t5515 - t2265 * t5517 / 0.2e1 + t3015 * t5521 / 0.3e1 + t3689;
  t5525 = t405 * t4258;
  t5526 = t3226 * t5525;
  t5529 = t256 * t1147;
  t5530 = t1505 * t5529;
  t5531 = t2257 * t5530;
  t5534 = t3935 * t5236;
  t5541 = t2169 * t5215;
  t5544 = t3931 * t5236;
  t5551 = t4541 * t669;
  t5552 = t5551 * t622;
  t5555 = t5551 * t645;
  t5558 = t2782 * t4598;
  t5561 = t2782 * t4602;
  t5564 = t810 * t4975;
  t5567 = t1505 * t4258;
  t5568 = t3208 * t5567;
  t5577 = -t3693 - t3700 - 0.3e1 * t2251 * t5526 + t2255 * t5531 / 0.2e1 + 0.23e2 / 0.36e2 * t4531 * t5534 + t3015 * t4963 / 0.6e1 - t3015 * t4967 / 0.3e1 - t4531 * t5541 / 0.2e1 + 0.7e1 / 0.3e1 * t4531 * t5544 - t2632 * t4562 / 0.6e1 + t2632 * t4589 / 0.3e1 - t2265 * t5552 / 0.2e1 + t1677 * t5555 / 0.2e1 + 0.3e1 / 0.2e1 * t4277 * t5558 - 0.3e1 * t2255 * t5561 - t2251 * t5564 / 0.2e1 + 0.3e1 / 0.2e1 * t2251 * t5568 - t719 * t873 / 0.2e1 - t719 * t877 / 0.4e1 + t719 * t881 / 0.4e1;
  t5585 = t2294 * t5219;
  t5588 = t2169 * t5219;
  t5591 = t3935 * t5215;
  t5616 = t548 * t5251;
  t5621 = -t1553 * t1261 / 0.2e1 - t103 * t1252 / 0.12e2 + t3006 * t5128 / 0.12e2 + t3015 * t5585 / 0.3e1 + t3015 * t5588 / 0.6e1 - 0.5e1 / 0.36e2 * t4531 * t5591 - t372 * t1269 / 0.12e2 - t1529 * t1261 / 0.6e1 + t3057 * t1224 / 0.9e1 - t3057 * t1218 / 0.18e2 + t3030 * t1210 / 0.6e1 + t372 * t1283 / 0.12e2 - t654 * t886 / 0.36e2 + t372 * t1274 / 0.6e1 - t372 * t1266 / 0.6e1 + t894 * t4991 / 0.6e1 - t2972 * t1213 / 0.12e2 - t866 * t5616 / 0.12e2 - t866 * t4865 / 0.12e2;
  t5626 = t872 * t4895;
  t5631 = t3358 * t1198;
  t5634 = t876 * t4876;
  t5653 = t138 * t1252;
  t5656 = t1250 * t159;
  t5657 = t158 * t5656;
  t5658 = t106 * t5657;
  t5669 = t838 * t1150 / 0.12e2 + t259 * t4820 / 0.12e2 - t162 * t5626 / 0.2e1 - t349 * t1269 / 0.4e1 - t162 * t5631 / 0.4e1 - t162 * t5634 / 0.4e1 + t2483 * t274 / 0.12e2 + t2902 * t248 / 0.12e2 - t654 * t848 / 0.36e2 - t843 * t686 / 0.36e2 - t838 * t686 / 0.12e2 - t259 * t2473 / 0.12e2 - t661 * t848 / 0.12e2 - t233 * t2880 / 0.12e2 - t127 * t5653 / 0.12e2 + t5658 * t166 / 0.4e1 + t2885 * t248 / 0.4e1 + t854 * t738 / 0.4e1 + t2538 * t274 / 0.4e1 + t719 * t833 / 0.4e1;
  t5673 = my_piecewise3(t3, 0, t5229 + t5271 + t5312 + t5371 + t5524 + t5577 + t5621 + t5669);
  tv3rholapltau0 = 0.2e1 * rho[0] * t5673 + 0.2e1 * t1287;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 0] += tv3rholapltau0;

  t5678 = t95 * t802;
  t5679 = t303 * t5678;
  t5680 = t548 * t5679;
  t5685 = t1289 * t1418;
  t5686 = t1415 * t5685;
  t5687 = t106 * t5686;
  t5690 = t302 * t5679;
  t5693 = t109 * t1295;
  t5694 = t106 * t5693;
  t5699 = t1289 * t1445;
  t5700 = t333 * t5699;
  t5701 = t106 * t5700;
  t5704 = t256 * t1304;
  t5705 = t1505 * t5704;
  t5706 = t2257 * t5705;
  t5709 = -t3410 + t3430 - t3445 + t3460 - t913 + t984 + t1292 * t305 / 0.6e1 - t866 * t5680 / 0.6e1 + t1297 * t1952 / 0.6e1 - 0.5e1 / 0.36e2 * t5687 * t3748 + t894 * t5690 / 0.3e1 - t5694 * t541 / 0.2e1 - t1292 * t493 / 0.6e1 + t5701 * t549 / 0.2e1 + t3489 - t3491 + t2255 * t5706 / 0.2e1;
  t5710 = t1304 * t122;
  t5711 = t1862 * t5710;
  t5712 = t810 * t5711;
  t5723 = t60 * t802;
  t5724 = t396 * t5723;
  t5729 = t69 * t1289;
  t5730 = t5729 * t1504;
  t5733 = t1322 * t1536;
  t5736 = t405 * t5723;
  t5741 = t145 * t5723;
  t5744 = t1318 * t1483;
  t5748 = t943 - t962 + 0.4e1 / 0.3e1 * t810 * t5724 - 0.4e1 / 0.3e1 * t1323 * t1880 + t5730 * t3838 / 0.18e2 - 0.4e1 * t5733 * t591 - 0.2e1 * t810 * t5736 + 0.2e1 * t1323 * t1908 + 0.2e1 * t806 * t5741 - 0.3e1 * t5744 * t597 - t1319 * t420;
  t5752 = t341 * t342 * t256;
  t5758 = t321 * t871;
  t5761 = t1592 * t857;
  t5764 = t321 * t257;
  t5771 = t262 * t311;
  t5776 = t809 * t335;
  t5779 = 0.2e1 / 0.3e1 * t3523 * t5752 + 0.2e1 * t321 * t802 * t165 - 0.4e1 * t5758 * t636 + 0.4e1 / 0.3e1 * t5761 * t622 - 0.2e1 * t5764 * t328 + 0.4e1 * t5761 * t645 - 0.2e1 * t818 * t138 + 0.4e1 * t5771 * t636 + 0.2e1 * t265 * t328 - 0.4e1 * t5776 * t645;
  t5780 = t60 * t5779;
  t5781 = t400 * t5780;
  t5790 = t590 * t1304;
  t5791 = t1505 * t5790;
  t5794 = t63 * t802;
  t5795 = t405 * t5794;
  t5800 = t400 * t5790;
  t5802 = t1336 * t326;
  t5803 = t1868 * t5802;
  t5805 = t145 * t5794;
  t5810 = t804 * t1337 / 0.2e1 + t263 * t5781 / 0.2e1 + 0.1e2 / 0.3e1 * t5730 * t3858 + 0.6e1 * t5733 * t601 - 0.3e1 * t5730 * t3844 - 0.2e1 / 0.3e1 * t810 * t5791 + 0.4e1 * t810 * t5795 - 0.4e1 * t1323 * t1863 - t806 * t5800 - t263 * t5803 - 0.4e1 * t806 * t5805 + 0.6e1 * t5744 * t578;
  t5816 = t396 * t5794;
  t5824 = t63 * t5779;
  t5825 = t400 * t5824;
  t5831 = t1862 * t5790;
  t5835 = 0.2e1 * t1319 * t402 + 0.2e1 * t5733 * t583 - 0.2e1 / 0.3e1 * t810 * t5816 + 0.2e1 / 0.3e1 * t1323 * t1849 - t5730 * t3827 / 0.9e1 - t804 * t1327 - t263 * t5825 - 0.2e1 / 0.3e1 * t5730 * t3793 + 0.6e1 * t5730 * t3796 + t810 * t5831 - 0.12e2 * t5733 * t587;
  t5836 = t62 * t1304;
  t5837 = t5836 * t122;
  t5838 = t149 * t5837;
  t5841 = t5836 * t326;
  t5842 = t149 * t5841;
  t5845 = t410 * t5837;
  t5848 = t423 * t5837;
  t5851 = -t3777 - t3778 - t3782 + t3802 + 0.2e1 * t3202 * t5838 + 0.2e1 * t4392 * t5842 + t3200 * t5845 / 0.3e1 - 0.2e1 * t3200 * t5848 - t3841 + t3866 + t3868 + t3873;
  t5853 = t5748 + t5810 + t5835 + t5851;
  t5854 = t59 * t5853;
  t5855 = t5854 * t96;
  t5860 = t3358 * t1364;
  t5864 = t320 * t137 * t5779;
  t5865 = t876 * t5864;
  t5869 = t341 * t404 * t802;
  t5870 = t858 * t5869;
  t5873 = t135 * t137 * t802;
  t5874 = t872 * t5873;
  t5876 = -t2251 * t5712 / 0.2e1 + t3586 - t3589 + t843 * t1307 / 0.36e2 - t843 * t886 / 0.18e2 + t372 * t1356 / 0.6e1 - t372 * t1365 / 0.12e2 - t3603 - t3605 + t3607 + t3612 - t22 * t5855 / 0.4e1 - t103 * t1343 / 0.12e2 - t162 * t5860 / 0.4e1 - t162 * t5865 / 0.4e1 + t162 * t5870 - t162 * t5874;
  t5878 = t163 * t1295;
  t5879 = t5878 * t636;
  t5882 = t163 * t1290;
  t5883 = t5882 * t328;
  t5887 = t296 * t1318 * t313;
  t5891 = t3365 * t262 * t165;
  t5894 = t510 * t1295;
  t5895 = t5894 * t1671;
  t5897 = t296 * t1322;
  t5898 = t5897 * t516;
  t5901 = params->at * t1386;
  t5902 = t303 * t5901;
  t5903 = t302 * t5902;
  t5907 = t5901 * t142 * t165;
  t5912 = t510 * t5699;
  t5913 = t5912 * t645;
  t5930 = 0.3e1 / 0.2e1 * t162 * t5879 + t162 * t5883 / 0.2e1 - t162 * t5887 / 0.2e1 + t162 * t5891 / 0.2e1 - t162 * t5895 + t162 * t5898 / 0.2e1 - t127 * t5903 / 0.12e2 + t162 * t5907 / 0.4e1 - t349 * t1365 / 0.4e1 - 0.3e1 * t162 * t5913 - 0.11e2 / 0.18e2 * t5687 * t3560 + 0.23e2 / 0.36e2 * t5687 * t3613 - t5687 * t3580 / 0.2e1 + 0.7e1 / 0.3e1 * t5687 * t3569 - t866 * t4519 / 0.3e1 + 0.2e1 / 0.3e1 * t866 * t4523 - 0.3e1 / 0.2e1 * t5687 * t3504;
  t5934 = t1502 * t5685;
  t5935 = t5934 * t3576;
  t5940 = t5934 * t3495;
  t5943 = t5934 * t3594;
  t5946 = t96 * t5710;
  t5947 = t1684 * t5946;
  t5950 = t1304 * t326;
  t5951 = t96 * t5950;
  t5952 = t3624 * t5951;
  t5955 = t2169 * t5946;
  t5958 = t193 * t1304;
  t5959 = t169 * t5958;
  t5960 = t1684 * t5959;
  t5967 = t4541 * t857;
  t5968 = t5967 * t622;
  t5970 = t5967 * t645;
  t5972 = t2294 * t5946;
  t5975 = t500 * t5710;
  t5976 = t2169 * t5975;
  t5979 = t5701 * t556 - 0.2e1 * t5701 * t562 + 0.3e1 / 0.2e1 * t162 * t5935 - t2897 * t859 + t854 * t862 + 0.3e1 / 0.2e1 * t1565 * t5940 - 0.3e1 * t509 * t5943 - t2988 * t5947 / 0.6e1 - t3006 * t5952 / 0.6e1 + t3015 * t5955 / 0.12e2 + t3006 * t5960 / 0.12e2 - t3015 * t4562 / 0.3e1 + 0.2e1 / 0.3e1 * t3015 * t4589 - t2265 * t5968 + t1677 * t5970 + t3015 * t5972 / 0.6e1 - t3015 * t5976 / 0.3e1;
  t5982 = t400 * t5710;
  t5983 = t806 * t5982;
  t5986 = t1868 * t5950;
  t5987 = t263 * t5986;
  t5990 = t3190 * t1364;
  t5999 = t160 * t5678;
  t6000 = t548 * t5999;
  t6016 = t884 * t803 * t165;
  t6019 = t3689 - t3693 - t3700 + t2251 * t5983 / 0.2e1 + t2251 * t5987 / 0.2e1 - t1677 * t5990 / 0.4e1 - t838 * t886 / 0.6e1 - t259 * t3379 / 0.6e1 - t259 * t3383 / 0.6e1 + 0.2e1 / 0.3e1 * t866 * t6000 - 0.2e1 / 0.3e1 * t1297 * t1713 + t1297 * t1720 / 0.3e1 + t894 * t4453 / 0.3e1 + t259 * t2963 / 0.6e1 - t866 * t4442 / 0.6e1 - t259 * t2967 / 0.6e1 + t162 * t6016 / 0.2e1;
  t6020 = t342 * t802;
  t6021 = t341 * t6020;
  t6022 = t858 * t6021;
  t6024 = t5912 * t622;
  t6027 = t5894 * t1666;
  t6029 = t5897 * t512;
  t6036 = t2961 * t884;
  t6037 = t302 * t6036;
  t6051 = 0.1e1 / t1746;
  t6052 = t6051 * t84;
  t6055 = t6051 * tau[0];
  t6076 = -0.4e2 / 0.3e1 * t767 * t173 - 0.4e2 * t6052 * tau[0] - 0.68e3 * t1752 * t6055 + 0.2e3 / 0.3e1 * t447 * t767 - 0.104e4 * t1759 * t6055 + 0.24e3 * t454 * t767 + 0.12e4 * t1762 * t6055 + 0.8e2 / 0.3e1 * t459 * t767 + 0.3e4 * t1765 * t6055 - 0.1e4 / 0.3e1 * t464 * t767 + 0.14e4 * t1770 * t6055 - 0.2e3 * t471 * t767;
  t6077 = t169 * t6076;
  t6078 = t65 * t6077;
  t6081 = t826 * t288;
  t6084 = t269 * t793;
  t6087 = t154 * t1387;
  t6090 = t1342 * t194;
  t6093 = -t509 * t6022 + 0.3e1 * t509 * t6024 + t509 * t6027 - t509 * t6029 / 0.2e1 + t349 * t1356 / 0.2e1 + t854 * t881 / 0.2e1 - t127 * t6037 / 0.6e1 + t854 * t890 / 0.2e1 - t854 * t873 - t854 * t877 / 0.2e1 - t103 * t1348 / 0.6e1 - t103 * t1388 / 0.12e2 - t22 * t6078 / 0.4e1 - t22 * t6081 / 0.2e1 - t22 * t6084 / 0.2e1 - t22 * t6087 / 0.4e1 - t22 * t6090 / 0.4e1;
  t6095 = t555 * t5679;
  t6106 = t1726 * t1305;
  t6107 = t490 * t6106;
  t6110 = t95 * t5779;
  t6111 = t303 * t6110;
  t6112 = t490 * t6111;
  t6131 = t138 * t1343;
  t6134 = t1341 * t159;
  t6135 = t158 * t6134;
  t6136 = t106 * t6135;
  t6139 = -t866 * t6095 / 0.3e1 + t1297 * t1650 / 0.3e1 - t1297 * t1660 / 0.6e1 - t1297 * t1735 / 0.12e2 + t838 * t1307 / 0.12e2 + t259 * t6107 / 0.12e2 + t259 * t6112 / 0.12e2 - t1297 * t1451 / 0.12e2 - t838 * t848 / 0.6e1 - t259 * t2880 / 0.6e1 + t1292 * t380 / 0.6e1 + t2885 * t274 / 0.2e1 + t1297 * t1440 / 0.3e1 - t1297 * t1510 / 0.6e1 - t1553 * t1352 / 0.2e1 - t127 * t6131 / 0.12e2 + t6136 * t166 / 0.4e1;
  t6146 = t368 * t1296;
  t6149 = t368 * t1291;
  t6172 = t3062 * t871;
  t6173 = t6172 * t636;
  t6175 = t3062 * t257;
  t6176 = t6175 * t328;
  t6179 = t854 * t833 / 0.2e1 - t349 * t1360 / 0.2e1 + t349 * t1368 / 0.2e1 - t6146 * t344 / 0.36e2 + t6149 * t139 / 0.18e2 + t372 * t1368 / 0.6e1 - t372 * t1360 / 0.6e1 - t1529 * t1352 / 0.6e1 + t2902 * t274 / 0.6e1 + t6146 * t502 / 0.9e1 - t843 * t848 / 0.18e2 - t6146 * t497 / 0.18e2 + t2988 * t4655 / 0.3e1 + t3006 * t3105 / 0.6e1 - t3015 * t4753 / 0.6e1 - t1677 * t6173 - t1677 * t6176 / 0.2e1;
  t6183 = my_piecewise3(t3, 0, t5709 + t5876 + t5930 + t5979 + t6019 + t6093 + t6139 + t6179);
  tv3rhotau20 = 0.2e1 * rho[0] * t6183 + 0.2e1 * t1392;

  if(out->v3rhotau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 0] += tv3rhotau20;

  t6186 = t404 * t929;
  t6187 = t1648 * t6186;
  t6188 = t3520 * t6187;
  t6191 = t914 * t205;
  t6192 = t69 * t6191;
  t6193 = t6192 * t1418;
  t6196 = t332 * t6191;
  t6197 = t6196 * t1445;
  t6200 = t108 * t6191;
  t6201 = t6200 * t335;
  t6204 = t3780 * t1033;
  t6205 = 0.2e1 * t6204;
  t6206 = t6196 * t1536;
  t6209 = t6192 * t1504;
  t6212 = t1862 * t965;
  t6225 = 0.2e1 * t321 * t908 * t165;
  t6229 = t1592 * t914;
  t6237 = 0.2e1 * t960 * t138;
  t6244 = 0.2e1 / 0.3e1 * t957 * t343 + t6225 - 0.4e1 * t321 * t914 * t313 + 0.4e1 / 0.3e1 * t6229 * t512 - 0.2e1 * t3535 * t990 + 0.4e1 * t6229 * t516 - t6237 + 0.4e1 * t963 * t138 + 0.2e1 * t214 * t990 - 0.4e1 * t957 * t496;
  t6245 = t60 * t6244;
  t6246 = t400 * t6245;
  t6249 = t1505 * t965;
  t6252 = t929 * t929;
  t6253 = t60 * t6252;
  t6254 = t1868 * t6253;
  t6256 = t6200 * t1483;
  t6259 = t943 - t962 - 0.3e1 * t6193 * t1826 + 0.6e1 * t6197 * t424 - 0.3e1 * t6201 * t150 + t6205 + 0.2e1 * t6206 * t397 - t6209 * t1894 / 0.9e1 + 0.3e1 * t949 * t6212 - 0.12e2 * t6206 * t406 - 0.2e1 / 0.3e1 * t6209 * t1913 + 0.6e1 * t6209 * t1905 + t212 * t6246 / 0.2e1 - 0.2e1 * t949 * t6249 - t212 * t6254 + 0.6e1 * t6256 * t146;
  t6260 = t3780 * t1040;
  t6261 = 0.3e1 * t6260;
  t6262 = t3775 * t1036;
  t6263 = 0.3e1 * t6262;
  t6264 = t942 * t966;
  t6267 = t3780 * t1029;
  t6268 = 0.6e1 * t6267;
  t6269 = t63 * t6244;
  t6270 = t400 * t6269;
  t6272 = t3780 * t1025;
  t6275 = t1505 * t952;
  t6277 = t3775 * t1022;
  t6278 = 0.6e1 * t6277;
  t6279 = t942 * t953;
  t6280 = 0.2e1 * t6279;
  t6281 = t63 * t6252;
  t6282 = t1868 * t6281;
  t6285 = t1862 * t952;
  t6294 = -t6261 + t6263 + t6264 - 0.2e1 * t945 * t966 + t6268 - t212 * t6270 - t6272 + 0.4e1 * t945 * t953 + t949 * t6275 - t6278 - t6280 + 0.2e1 * t212 * t6282 - 0.6e1 * t949 * t6285 + 0.1e2 / 0.3e1 * t6193 * t1830 - 0.4e1 * t6197 * t411 + t6193 * t1838 / 0.18e2;
  t6295 = t6259 + t6294;
  t6296 = t59 * t6295;
  t6297 = t6296 * t96;
  t6300 = t3610 * t1002;
  t6301 = t6300 / 0.2e1;
  t6302 = t911 * t932;
  t6303 = t6302 / 0.6e1;
  t6304 = t3583 * t1065;
  t6305 = t162 * t6304;
  t6306 = 0.3e1 / 0.2e1 * t6305;
  t6307 = t342 * t908;
  t6308 = t341 * t6307;
  t6309 = t620 * t6308;
  t6310 = t509 * t6309;
  t6311 = 0.3e1 / 0.2e1 * t6310;
  t6312 = t342 * t929;
  t6313 = t1648 * t6312;
  t6314 = t3520 * t6313;
  t6319 = t2036 * t930;
  t6320 = t490 * t6319;
  t6323 = t95 * t6244;
  t6324 = t303 * t6323;
  t6325 = t490 * t6324;
  t6328 = t1711 * t931;
  t6331 = -t913 + t984 - 0.3e1 / 0.2e1 * t162 * t6188 - t22 * t6297 / 0.4e1 + t6301 + t6303 + t6306 - t6311 + 0.3e1 / 0.2e1 * t509 * t6314 - 0.3e1 / 0.4e1 * t610 * t991 + t208 * t6320 / 0.4e1 + t208 * t6325 / 0.12e2 + t922 * t6328 / 0.4e1;
  t6332 = t1649 * t931;
  t6335 = t160 * t930;
  t6336 = t1711 * t6335;
  t6339 = t1630 * t137 * t6252;
  t6340 = t640 * t6339;
  t6344 = t320 * t137 * t6244;
  t6345 = t640 * t6344;
  t6348 = t3707 * t990;
  t6350 = t3697 * t1057;
  t6351 = t162 * t6350;
  t6352 = 0.3e1 / 0.2e1 * t6351;
  t6353 = t3690 * t990;
  t6354 = t162 * t6353;
  t6355 = t6354 / 0.2e1;
  t6356 = t3487 * t1010;
  t6357 = t6356 / 0.2e1;
  t6358 = t3487 * t1016;
  t6359 = t3487 * t1005;
  t6360 = t6359 / 0.4e1;
  t6363 = t95 * t6252;
  t6364 = t303 * t6363;
  t6365 = t1637 * t6364;
  t6370 = t922 * t6332 / 0.2e1 - t922 * t6336 + t162 * t6340 / 0.2e1 - t162 * t6345 / 0.4e1 + t162 * t6348 - t6352 - t6355 - t6357 + t6358 - t6360 - t917 * t932 / 0.3e1 - t208 * t6365 / 0.6e1 + t917 * t569 / 0.2e1;
  t6372 = t6191 * t1445;
  t6373 = t333 * t6372;
  t6374 = t106 * t6373;
  t6379 = t911 * t569;
  t6380 = t6379 / 0.4e1;
  t6381 = t610 * t982;
  t6382 = 0.3e1 / 0.4e1 * t6381;
  t6387 = t6191 * t1418;
  t6388 = t1415 * t6387;
  t6389 = t106 * t6388;
  t6394 = t6191 * t335;
  t6395 = t109 * t6394;
  t6396 = t106 * t6395;
  t6406 = t6374 * t344 / 0.2e1 - t922 * t2002 / 0.4e1 - t6380 + t6382 + 0.3e1 / 0.4e1 * t3416 * t223 - t208 * t3411 / 0.4e1 - 0.5e1 / 0.36e2 * t6389 * t1429 - t922 * t1963 / 0.2e1 - t6396 * t139 / 0.2e1 - 0.3e1 / 0.2e1 * t1972 * t978 + 0.3e1 / 0.2e1 * t610 * t994 + t6374 * t497 - 0.2e1 * t6374 * t502;
  t6414 = t510 * t6191;
  t6415 = t6414 * t1541;
  t6418 = t1502 * t6191;
  t6419 = t6418 * t1506;
  t6428 = t6418 * t1567;
  t6431 = t6418 * t1572;
  t6435 = t163 * t6191 * t1484;
  t6438 = t6414 * t1537;
  t6441 = -0.11e2 / 0.18e2 * t6389 * t1545 + 0.23e2 / 0.36e2 * t6389 * t1548 + t922 * t1967 - 0.3e1 / 0.2e1 * t6389 * t1558 - 0.3e1 * t162 * t6415 + 0.3e1 / 0.2e1 * t162 * t6419 - t6389 * t1515 / 0.2e1 + 0.7e1 / 0.3e1 * t6389 * t1520 - 0.3e1 / 0.2e1 * t610 * t986 + 0.3e1 / 0.2e1 * t1565 * t6428 - 0.3e1 * t509 * t6431 + 0.3e1 / 0.2e1 * t162 * t6435 + 0.3e1 * t509 * t6438;
  t6444 = my_piecewise3(t3, 0, t6331 + t6370 + t6406 + t6441);
  tv3sigma30 = 0.2e1 * rho[0] * t6444;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  t6446 = t60 * t914;
  t6447 = t405 * t6446;
  t6450 = t1505 * t6446;
  t6453 = t145 * t6446;
  t6457 = t396 * t6446;
  t6460 = t1566 * t6446;
  t6463 = t1571 * t6446;
  t6466 = t60 * t908;
  t6467 = t396 * t6466;
  t6468 = t697 * t6467;
  t6469 = 0.2e1 / 0.3e1 * t6468;
  t6470 = t405 * t6466;
  t6471 = t697 * t6470;
  t6472 = t145 * t6466;
  t6473 = t693 * t6472;
  t6476 = t3758 * t205;
  t6477 = t423 * t6476;
  t6480 = 0.4e1 / 0.3e1 * t6204;
  t6481 = 0.2e1 * t6260;
  t6482 = 0.2e1 * t6262;
  t6483 = t63 * t914;
  t6484 = t1505 * t6483;
  t6487 = t943 - t962 + 0.6e1 * t2776 * t6447 - 0.3e1 * t2782 * t6450 - 0.3e1 * t2765 * t6453 - t237 * t6254 - 0.4e1 * t2776 * t6457 + t2782 * t6460 / 0.18e2 + 0.1e2 / 0.3e1 * t2782 * t6463 + t6469 - t6471 + t6473 + t237 * t6246 / 0.2e1 - 0.6e1 * t2750 * t6477 + t6480 - t6481 + t6482 + t6264 + 0.6e1 * t2782 * t6484;
  t6488 = t405 * t6483;
  t6491 = t965 * t205;
  t6492 = t1862 * t6491;
  t6495 = t400 * t6491;
  t6498 = t63 * t908;
  t6499 = t145 * t6498;
  t6500 = t693 * t6499;
  t6501 = 0.2e1 * t6500;
  t6502 = t396 * t6483;
  t6505 = t396 * t6498;
  t6506 = t697 * t6505;
  t6507 = t6506 / 0.3e1;
  t6508 = t1566 * t6483;
  t6512 = t1505 * t6491;
  t6515 = t405 * t6498;
  t6516 = t697 * t6515;
  t6517 = 0.2e1 * t6516;
  t6520 = t145 * t6483;
  t6523 = t1571 * t6483;
  t6526 = 0.4e1 * t6267;
  t6527 = 0.2e1 / 0.3e1 * t6272;
  t6528 = 0.4e1 * t6277;
  t6529 = t410 * t6476;
  t6531 = t149 * t6476;
  t6534 = -0.12e2 * t2776 * t6488 + 0.3e1 * t697 * t6492 - 0.2e1 * t693 * t6495 - t6501 + 0.2e1 * t2776 * t6502 - t6507 - t2782 * t6508 / 0.9e1 - t237 * t6270 - 0.2e1 * t697 * t6512 + t6517 + 0.2e1 * t237 * t6282 + 0.6e1 * t2765 * t6520 - 0.2e1 / 0.3e1 * t2782 * t6523 + t6526 - t6527 - t6528 - t6280 + t2750 * t6529 + 0.4e1 * t2752 * t6531;
  t6535 = t6487 + t6534;
  t6536 = t59 * t6535;
  t6537 = t6536 * t96;
  t6540 = t2571 * t930;
  t6541 = t490 * t6540;
  t6544 = t95 * t908;
  t6545 = t160 * t6544;
  t6546 = t548 * t6545;
  t6547 = t671 * t6546;
  t6548 = t6547 / 0.3e1;
  t6549 = t2036 * t1000;
  t6550 = t555 * t6549;
  t6553 = t303 * t6544;
  t6554 = t555 * t6553;
  t6555 = t671 * t6554;
  t6556 = t6555 / 0.6e1;
  t6557 = t548 * t6549;
  t6560 = t548 * t6553;
  t6561 = t671 * t6560;
  t6562 = t6561 / 0.12e2;
  t6563 = t95 * t914;
  t6564 = t303 * t6563;
  t6565 = t2057 * t6564;
  t6572 = t302 * t6549;
  t6575 = t302 * t6553;
  t6576 = t666 * t6575;
  t6577 = t6576 / 0.6e1;
  t6578 = t548 * t6564;
  t6581 = t745 * t6344;
  t6584 = t729 * t6308;
  t6585 = t509 * t6584;
  t6586 = t6585 / 0.2e1;
  t6587 = t745 * t6339;
  t6590 = -t913 + t984 - t22 * t6537 / 0.4e1 + t208 * t6541 / 0.12e2 + t6548 - t671 * t6550 / 0.3e1 - t6556 - t671 * t6557 / 0.6e1 - t6562 - 0.5e1 / 0.36e2 * t2590 * t6565 + t233 * t6320 / 0.6e1 + t233 * t6325 / 0.12e2 + t666 * t6572 / 0.3e1 + t6577 + t2611 * t6578 / 0.2e1 - t162 * t6581 / 0.4e1 - t6586 + t162 * t6587 / 0.2e1;
  t6592 = t135 * t137 * t914;
  t6593 = t2651 * t6592;
  t6596 = t342 * t914;
  t6597 = t341 * t6596;
  t6598 = t2655 * t6597;
  t6603 = t302 * t6564;
  t6611 = t608 * t1000;
  t6612 = t548 * t6611;
  t6617 = t400 * t3472;
  t6618 = t693 * t6617;
  t6620 = t6300 / 0.3e1;
  t6621 = t160 * t6563;
  t6622 = t2057 * t6621;
  t6625 = t2324 * t6564;
  t6628 = t2233 * t6621;
  t6631 = t555 * t6564;
  t6633 = t548 * t6621;
  t6636 = 0.3e1 / 0.2e1 * t162 * t6593 + 0.3e1 * t509 * t6598 - t233 * t6365 / 0.6e1 - t2662 * t6603 / 0.2e1 - t610 * t1058 - t610 * t1061 / 0.2e1 - t719 * t991 / 0.4e1 + 0.2e1 / 0.3e1 * t671 * t6612 - t1972 * t1053 + t610 * t1066 + t2251 * t6618 + t6620 + t6303 + 0.23e2 / 0.36e2 * t2590 * t6622 - t2590 * t6625 / 0.2e1 + 0.7e1 / 0.3e1 * t2590 * t6628 + t2611 * t6631 - 0.2e1 * t2611 * t6633;
  t6639 = t341 * t404 * t908;
  t6640 = t729 * t6639;
  t6641 = t162 * t6640;
  t6642 = t6641 / 0.2e1;
  t6644 = t135 * t137 * t908;
  t6645 = t741 * t6644;
  t6646 = t162 * t6645;
  t6647 = t6646 / 0.2e1;
  t6648 = t96 * t3472;
  t6649 = t2294 * t6648;
  t6652 = t500 * t3472;
  t6653 = t2169 * t6652;
  t6655 = t1684 * t6648;
  t6658 = t582 * t3950;
  t6661 = t2169 * t6648;
  t6664 = t6356 / 0.3e1;
  t6665 = 0.2e1 / 0.3e1 * t6358;
  t6666 = t6359 / 0.6e1;
  t6667 = t1426 * t6596;
  t6668 = t2713 * t6667;
  t6671 = t507 * t6563;
  t6672 = t2057 * t6671;
  t6675 = t1427 * t914;
  t6676 = t1426 * t6675;
  t6677 = t2713 * t6676;
  t6680 = t1518 * t914;
  t6681 = t1426 * t6680;
  t6682 = t2713 * t6681;
  t6685 = t6642 - t6647 + t2632 * t6649 / 0.2e1 - t2632 * t6653 - t2674 * t6655 / 0.3e1 + t6305 - t6310 - t6351 - t6355 + 0.3e1 / 0.2e1 * t2255 * t6658 + t2632 * t6661 / 0.4e1 - t6664 + t6665 - t6666 + 0.3e1 / 0.2e1 * t162 * t6668 - 0.3e1 / 0.2e1 * t2590 * t6672 + 0.3e1 / 0.2e1 * t1565 * t6677 - 0.3e1 * t509 * t6682;
  t6687 = t341 * t404 * t914;
  t6688 = t2655 * t6687;
  t6691 = t2233 * t6564;
  t6694 = t1862 * t3472;
  t6695 = t697 * t6694;
  t6714 = t719 * t982;
  t6715 = t6714 / 0.4e1;
  t6718 = t911 * t686;
  t6719 = t6718 / 0.12e2;
  t6720 = t6379 / 0.6e1;
  t6725 = t6381 / 0.2e1;
  t6726 = -0.3e1 * t162 * t6688 - 0.11e2 / 0.18e2 * t2590 * t6691 - 0.3e1 / 0.2e1 * t2251 * t6695 - t922 * t2500 / 0.6e1 + t922 * t2504 / 0.3e1 - t2509 * t978 / 0.2e1 + t719 * t994 / 0.2e1 - t208 * t3903 / 0.6e1 - t922 * t2476 / 0.12e2 - t233 * t3411 / 0.12e2 + t3416 * t248 / 0.4e1 + t6715 + t3908 * t223 / 0.2e1 - t6719 - t6720 - t719 * t986 / 0.2e1 + t917 * t686 / 0.6e1 + t6725;
  t6729 = my_piecewise3(t3, 0, t6590 + t6636 + t6685 + t6726);
  tv3sigma2lapl0 = 0.2e1 * rho[0] * t6729;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 0] += tv3sigma2lapl0;

  t6735 = t4747 * t990;
  t6738 = t287 * t929;
  t6739 = t169 * t6738;
  t6740 = t1684 * t6739;
  t6743 = t806 * t6617;
  t6745 = t582 * t4550;
  t6748 = t810 * t6694;
  t6755 = t894 * t6575;
  t6756 = t6755 / 0.6e1;
  t6762 = t884 * t944 * t313;
  t6767 = t876 * t6339;
  t6770 = t3113 * t6592;
  t6773 = t3080 * t6597;
  t6780 = t894 * t6572 / 0.3e1 + t6756 + t3039 * t6578 / 0.2e1 - t866 * t6557 / 0.6e1 - t162 * t6762 / 0.2e1 + t917 * t886 / 0.6e1 + t162 * t6767 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t6770 + 0.3e1 * t509 * t6773 - t259 * t6365 / 0.6e1 - t3299 * t6603 / 0.2e1;
  t6797 = t858 * t6639;
  t6798 = t162 * t6797;
  t6799 = t6798 / 0.2e1;
  t6800 = t6620 + t6303 - 0.11e2 / 0.18e2 * t2983 * t6691 + 0.23e2 / 0.36e2 * t2983 * t6622 - t2983 * t6625 / 0.2e1 + 0.7e1 / 0.3e1 * t2983 * t6628 + t3039 * t6631 - t208 * t4729 / 0.6e1 - t922 * t3373 / 0.12e2 + t610 * t1126 / 0.2e1 + t6799;
  t6801 = t911 * t886;
  t6802 = t6801 / 0.12e2;
  t6803 = t876 * t6344;
  t6806 = t872 * t6644;
  t6807 = t162 * t6806;
  t6808 = t6807 / 0.2e1;
  t6809 = t858 * t6308;
  t6810 = t509 * t6809;
  t6811 = t6810 / 0.2e1;
  t6813 = t884 * t941 * t165;
  t6814 = t162 * t6813;
  t6815 = t6814 / 0.4e1;
  t6816 = t884 * t948;
  t6817 = t6816 * t512;
  t6820 = t6816 * t516;
  t6823 = t3080 * t6687;
  t6826 = t2991 * t6667;
  t6833 = -t6802 - t162 * t6803 / 0.4e1 - t6808 - t6811 + t6815 - t509 * t6817 / 0.2e1 + t162 * t6820 / 0.2e1 - 0.3e1 * t162 * t6823 + 0.3e1 / 0.2e1 * t162 * t6826 - t922 * t2997 / 0.6e1 + t922 * t2947 / 0.3e1;
  t6838 = t2991 * t6676;
  t6841 = t2991 * t6681;
  t6854 = t2961 * t930;
  t6855 = t490 * t6854;
  t6859 = t866 * t6546;
  t6860 = t6859 / 0.3e1;
  t6863 = t866 * t6554;
  t6864 = t6863 / 0.6e1;
  t6865 = t866 * t6560;
  t6866 = t6865 / 0.12e2;
  t6873 = t971 * t288;
  t6876 = t6860 - t866 * t6550 / 0.3e1 - t6864 - t6866 - 0.5e1 / 0.36e2 * t2983 * t6565 + t259 * t6320 / 0.6e1 + t259 * t6325 / 0.12e2 - t22 * t6873 / 0.4e1 + t6305 - t6310 - t6351;
  t6881 = t806 * t6472;
  t6884 = t810 * t6470;
  t6887 = t810 * t6467;
  t6888 = 0.2e1 / 0.3e1 * t6887;
  t6903 = t943 - t962 + t6881 + t263 * t6246 / 0.2e1 - t6884 + 0.1e2 / 0.3e1 * t3208 * t6463 + t6888 - 0.4e1 * t3226 * t6457 + t3208 * t6460 / 0.18e2 - 0.3e1 * t3221 * t6453 - t263 * t6254 + t6480 - t6481 + t6482 + t6264 + 0.4e1 * t3202 * t6531 + t3200 * t6529 - 0.6e1 * t3200 * t6477 - 0.2e1 * t806 * t6495;
  t6906 = t810 * t6505;
  t6907 = t6906 / 0.3e1;
  t6913 = t810 * t6515;
  t6914 = 0.2e1 * t6913;
  t6915 = t806 * t6499;
  t6916 = 0.2e1 * t6915;
  t6933 = 0.2e1 * t3226 * t6502 - t6907 - t3208 * t6508 / 0.9e1 - t263 * t6270 - 0.2e1 * t810 * t6512 + t6914 - t6916 + 0.6e1 * t3208 * t6484 - 0.12e2 * t3226 * t6488 - 0.2e1 / 0.3e1 * t3208 * t6523 + 0.3e1 * t810 * t6492 + 0.2e1 * t263 * t6282 + t6526 - t6527 - t6528 - t6280 + 0.6e1 * t3221 * t6520 - 0.3e1 * t3208 * t6450 + 0.6e1 * t3226 * t6447;
  t6934 = t6903 + t6933;
  t6935 = t59 * t6934;
  t6936 = t6935 * t96;
  t6945 = t854 * t982;
  t6946 = t6945 / 0.4e1;
  t6947 = -t6355 - t6664 + t6665 - t6666 + t610 * t1117 + 0.2e1 / 0.3e1 * t866 * t6612 - t22 * t6936 / 0.4e1 + t922 * t2892 / 0.3e1 - t2897 * t978 / 0.2e1 + t4701 * t223 / 0.2e1 + t6946;
  t6950 = t911 * t848;
  t6951 = t6950 / 0.12e2;
  t6966 = -t922 * t2934 / 0.12e2 - t6951 - t208 * t4744 / 0.6e1 - t259 * t3411 / 0.12e2 + t854 * t994 / 0.2e1 - t922 * t2888 / 0.6e1 - t854 * t986 / 0.2e1 + t917 * t848 / 0.6e1 + t3416 * t274 / 0.4e1 - t6720 + t6725;
  t6970 = my_piecewise3(t3, 0, t3015 * t6649 / 0.2e1 - t3015 * t6653 - t854 * t991 / 0.4e1 - t610 * t1111 - t610 * t1114 / 0.2e1 + t208 * t6855 / 0.12e2 + t2179 * t6740 / 0.12e2 + t2251 * t6743 + 0.3e1 / 0.2e1 * t2255 * t6745 - 0.3e1 / 0.2e1 * t2251 * t6748 - t1972 * t1108 - t2988 * t6655 / 0.3e1 + t3015 * t6661 / 0.4e1 - t1677 * t6735 / 0.4e1 - 0.3e1 / 0.2e1 * t2983 * t6672 + 0.3e1 / 0.2e1 * t1565 * t6838 - 0.3e1 * t509 * t6841 - 0.2e1 * t3039 * t6633 + t6833 + t6876 + t6966 + t984 + t6780 + t6947 + t6800 - t913);
  tv3sigma2tau0 = 0.2e1 * rho[0] * t6970;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 0] += tv3sigma2tau0;

  t6972 = 0.2e1 / 0.3e1 * t6547;
  t6973 = t6555 / 0.3e1;
  t6974 = t6561 / 0.6e1;
  t6975 = t6576 / 0.3e1;
  t6976 = t2057 * t1015;
  t6979 = t2324 * t1001;
  t6982 = t2233 * t1015;
  t6990 = t2571 * t1000;
  t6991 = t302 * t6990;
  t6996 = t548 * t6990;
  t7015 = 0.2e1 / 0.3e1 * t3547 * t1260 + t6225 - 0.4e1 * t4828 * t1057 + 0.4e1 / 0.3e1 * t4831 * t1052 - 0.2e1 * t4834 * t990 + 0.4e1 * t4831 * t1065 - t6237 + 0.4e1 * t4841 * t1057 + 0.2e1 * t239 * t990 - 0.4e1 * t4846 * t1065;
  t7016 = t95 * t7015;
  t7017 = t303 * t7016;
  t7018 = t490 * t7017;
  t7023 = t2057 * t1001;
  t7026 = t911 * t1150;
  t7027 = t7026 / 0.12e2;
  t7028 = -t913 + t984 + t6972 - t6973 - t6974 + t6975 - t6585 + 0.23e2 / 0.36e2 * t4800 * t6976 - t4800 * t6979 / 0.2e1 + 0.7e1 / 0.3e1 * t4800 * t6982 + t4856 * t1010 - t719 * t1061 / 0.2e1 - 0.2e1 / 0.3e1 * t1140 * t6336 + t666 * t6991 / 0.3e1 + t233 * t6541 / 0.6e1 - t671 * t6996 / 0.6e1 + t233 * t7018 / 0.12e2 + t1140 * t6332 / 0.3e1 - 0.5e1 / 0.36e2 * t4800 * t7023 + t7027;
  t7029 = t2036 * t1148;
  t7030 = t490 * t7029;
  t7039 = t4935 * t6187;
  t7043 = t3690 * t1198;
  t7044 = t162 * t7043;
  t7045 = t7044 / 0.4e1;
  t7047 = t320 * t137 * t7015;
  t7048 = t745 * t7047;
  t7051 = t4898 * t1057;
  t7054 = t4884 * t990;
  t7057 = t4810 * t1052;
  t7060 = t4935 * t6313;
  t7063 = t582 * t4971;
  t7066 = t1147 * t205;
  t7067 = t1862 * t7066;
  t7068 = t697 * t7067;
  t7071 = t96 * t7066;
  t7072 = t2294 * t7071;
  t7075 = t500 * t7066;
  t7076 = t2169 * t7075;
  t7079 = t400 * t7066;
  t7080 = t693 * t7079;
  t7083 = t1147 * t929;
  t7084 = t1868 * t7083;
  t7085 = t237 * t7084;
  t7088 = t96 * t7083;
  t7089 = t3624 * t7088;
  t7092 = t233 * t7030 / 0.12e2 + t1140 * t6328 / 0.6e1 - t4984 * t1002 / 0.2e1 - t1135 * t932 / 0.6e1 - t162 * t7039 - t610 * t1199 / 0.4e1 - t7045 - t162 * t7048 / 0.4e1 + 0.3e1 / 0.2e1 * t162 * t7051 + t162 * t7054 / 0.2e1 + 0.3e1 * t509 * t7057 + t509 * t7060 - t719 * t1058 + t2255 * t7063 / 0.2e1 - t2251 * t7068 / 0.2e1 + t2632 * t7072 / 0.6e1 - t2632 * t7076 / 0.3e1 + t2251 * t7080 / 0.2e1 + t2251 * t7085 / 0.2e1 - t2683 * t7089 / 0.6e1;
  t7094 = t2169 * t7071;
  t7097 = t6300 / 0.6e1;
  t7098 = t6302 / 0.12e2;
  t7099 = 0.4e1 / 0.3e1 * t6468;
  t7100 = 0.2e1 * t6471;
  t7101 = 0.2e1 * t6473;
  t7102 = 0.2e1 / 0.3e1 * t6204;
  t7103 = t6264 / 0.2e1;
  t7108 = -0.3e1 * t1036 * t5016 + 0.2e1 * t1164 * t6212 - t6260 + t6262 + t7099 - t7100 + t7101 + t7102 + t7103 + t943 - t962;
  t7110 = t942 * t1178;
  t7111 = t7110 / 0.2e1;
  t7112 = t60 * t7015;
  t7113 = t400 * t7112;
  t7116 = t1566 * t1032;
  t7119 = t1571 * t1032;
  t7124 = 0.4e1 * t6500;
  t7125 = 0.2e1 / 0.3e1 * t6506;
  t7126 = 0.4e1 * t6516;
  t7127 = 0.2e1 * t6267;
  t7128 = t6272 / 0.3e1;
  t7129 = 0.2e1 * t6277;
  t7130 = -t1160 * t966 + t7111 + t237 * t7113 / 0.2e1 + t5011 * t7116 / 0.18e2 + 0.1e2 / 0.3e1 * t5011 * t7119 - 0.4e1 / 0.3e1 * t1164 * t6249 - t7124 - t7125 + t7126 + t7127 - t7128 - t7129;
  t7136 = t1505 * t1032;
  t7139 = t5054 * t205;
  t7140 = t423 * t7139;
  t7143 = t149 * t7139;
  t7146 = t5054 * t929;
  t7147 = t149 * t7146;
  t7150 = t410 * t7139;
  t7153 = t1032 * t1147;
  t7154 = t1505 * t7153;
  t7159 = t400 * t7153;
  t7161 = -t6279 - 0.4e1 * t5007 * t1033 + 0.6e1 * t5007 * t1040 - 0.3e1 * t5011 * t7136 - 0.2e1 * t2750 * t7140 + 0.2e1 * t2752 * t7143 + 0.2e1 * t4138 * t7147 + t2750 * t7150 / 0.3e1 - 0.2e1 / 0.3e1 * t697 * t7154 - 0.4e1 * t1164 * t6285 - t693 * t7159;
  t7162 = t1177 * t929;
  t7163 = t1868 * t7162;
  t7167 = t1566 * t1021;
  t7170 = t942 * t1168;
  t7171 = t63 * t7015;
  t7172 = t400 * t7171;
  t7180 = t1862 * t7153;
  t7184 = t1571 * t1021;
  t7187 = t1505 * t1021;
  t7190 = -t237 * t7163 + 0.2e1 / 0.3e1 * t1164 * t6275 - t5011 * t7167 / 0.9e1 - t7170 - t237 * t7172 + 0.6e1 * t5016 * t1022 + 0.2e1 * t1160 * t953 + 0.2e1 * t5007 * t1025 + t697 * t7180 - 0.12e2 * t5007 * t1029 - 0.2e1 / 0.3e1 * t5011 * t7184 + 0.6e1 * t5011 * t7187;
  t7192 = t7108 + t7130 + t7161 + t7190;
  t7193 = t59 * t7192;
  t7194 = t7193 * t96;
  t7197 = t1426 * t1051;
  t7198 = t4805 * t7197;
  t7201 = t1518 * t205;
  t7202 = t1426 * t7201;
  t7203 = t4805 * t7202;
  t7206 = t555 * t6990;
  t7209 = t717 * t1000;
  t7210 = t548 * t7209;
  t7213 = t507 * t1000;
  t7214 = t2057 * t7213;
  t7219 = t1427 * t205;
  t7220 = t1426 * t7219;
  t7221 = t4805 * t7220;
  t7226 = t2233 * t1001;
  t7231 = t6305 / 0.2e1;
  t7232 = t6310 / 0.2e1;
  t7233 = t6351 / 0.2e1;
  t7234 = t2632 * t7094 / 0.12e2 + t7097 + t7098 + t6641 - t6646 - t22 * t7194 / 0.4e1 + 0.3e1 / 0.2e1 * t162 * t7198 - 0.3e1 * t509 * t7203 - t671 * t7206 / 0.3e1 + 0.2e1 / 0.3e1 * t671 * t7210 - 0.3e1 / 0.2e1 * t4800 * t7214 - t2509 * t1053 + t719 * t1066 + 0.3e1 / 0.2e1 * t1565 * t7221 - 0.2e1 * t4856 * t1016 - 0.11e2 / 0.18e2 * t4800 * t7226 + t4856 * t1005 / 0.2e1 + t7231 - t7232 - t7233;
  t7235 = t6354 / 0.4e1;
  t7236 = t6356 / 0.6e1;
  t7237 = t6358 / 0.3e1;
  t7238 = t6359 / 0.12e2;
  t7239 = t4810 * t1065;
  t7265 = t6714 / 0.2e1;
  t7266 = t6718 / 0.6e1;
  t7267 = t6379 / 0.12e2;
  t7268 = t6381 / 0.4e1;
  t7269 = t1684 * t7071;
  t7272 = t3908 * t248 / 0.2e1 - t233 * t3903 / 0.6e1 + t1140 * t1967 / 0.3e1 + t1135 * t569 / 0.6e1 - t1140 * t2002 / 0.12e2 - t610 * t1194 / 0.2e1 + t7265 - t7266 - t7267 + t7268 - t2674 * t7269 / 0.6e1;
  t7276 = my_piecewise3(t3, 0, t7028 + t7092 + t7234 - t7235 - t7236 + t7237 - t7238 - 0.3e1 * t162 * t7239 - t1140 * t1963 / 0.6e1 + t610 * t1202 / 0.2e1 - t1972 * t1190 / 0.2e1 - t208 * t5167 / 0.12e2 + t5172 * t223 / 0.4e1 + t7272);
  tv3sigmalapl20 = 0.2e1 * rho[0] * t7276;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 0] += tv3sigmalapl20;

  t7280 = t230 * t205;
  t7281 = t96 * t7280;
  t7282 = t2175 * t7281;
  t7285 = t96 * t3949;
  t7286 = t2169 * t7285;
  t7289 = t5551 * t1065;
  t7292 = t582 * t5530;
  t7295 = t810 * t7067;
  t7298 = t1505 * t7280;
  t7299 = t3208 * t7298;
  t7302 = -t913 + t984 + t6548 - t6556 - t6562 + t6577 - t6586 - t2988 * t7269 / 0.6e1 + t4571 * t7282 / 0.2e1 + t3015 * t7286 / 0.6e1 + t1677 * t7289 / 0.2e1 + t2255 * t7292 / 0.2e1 - t2251 * t7295 / 0.2e1 + 0.3e1 / 0.2e1 * t2251 * t7299;
  t7303 = t287 * t205;
  t7304 = t169 * t7303;
  t7305 = t2182 * t7304;
  t7308 = t2961 * t1000;
  t7309 = t302 * t7308;
  t7314 = t548 * t7308;
  t7317 = t145 * t7280;
  t7318 = t3221 * t7317;
  t7321 = t400 * t3949;
  t7322 = t806 * t7321;
  t7325 = t256 * t205;
  t7327 = t2776 * t396 * t7325;
  t7330 = t697 * t4550;
  t7332 = t500 * t3949;
  t7333 = t2169 * t7332;
  t7336 = t2294 * t7285;
  t7343 = -t2632 * t7305 / 0.6e1 + t666 * t7309 / 0.6e1 + t233 * t6855 / 0.12e2 - t671 * t7314 / 0.12e2 + t7027 - t7045 + t6756 + 0.3e1 / 0.2e1 * t2251 * t7318 + t2251 * t7322 / 0.2e1 + 0.3e1 * t2255 * t7327 + t2255 * t7330 - 0.2e1 / 0.3e1 * t3015 * t7333 + t3015 * t7336 / 0.3e1 - t3006 * t7089 / 0.6e1 + t3015 * t7094 / 0.12e2;
  t7345 = t3935 * t7281;
  t7348 = t2175 * t7304;
  t7351 = t5354 * t1057;
  t7354 = t5243 * t990;
  t7357 = t2162 * t7304;
  t7362 = t1862 * t3949;
  t7363 = t810 * t7362;
  t7365 = t806 * t7079;
  t7368 = t263 * t7084;
  t7375 = t2169 * t7281;
  t7378 = -0.5e1 / 0.36e2 * t4531 * t7345 - t2632 * t7348 / 0.12e2 - t1677 * t7351 / 0.2e1 - t1677 * t7354 / 0.4e1 + t2674 * t7357 / 0.6e1 + t2683 * t6740 / 0.12e2 - t2251 * t7363 + t2251 * t7365 / 0.2e1 + t2251 * t7368 / 0.2e1 + t7097 + t7098 + t3015 * t7072 / 0.6e1 - t3015 * t7076 / 0.3e1 - t4531 * t7375 / 0.2e1;
  t7379 = t500 * t7280;
  t7380 = t3931 * t7379;
  t7383 = t2182 * t7281;
  t7385 = t2175 * t7379;
  t7394 = t5456 * t929;
  t7395 = t423 * t7394;
  t7398 = t5456 * t205;
  t7399 = t149 * t7398;
  t7402 = t149 * t7394;
  t7405 = t410 * t7398;
  t7408 = t410 * t7394;
  t7411 = t1837 * t7398;
  t7414 = t943 + 0.2e1 * t3202 * t7143 + 0.2e1 * t4392 * t7147 + t3200 * t7150 / 0.3e1 - 0.4e1 * t3200 * t7395 + 0.6e1 * t4397 * t7399 + 0.2e1 * t3202 * t7402 + 0.2e1 * t4402 * t7405 + 0.2e1 / 0.3e1 * t3200 * t7408 - t4405 * t7411 / 0.9e1 - t962 + t6881 - t6884;
  t7415 = t6888 + t6469 - t6471 + t6473 + t7102 - t6260 + t6262 + t7103 + t7111 - t6907 + t6914 - t6916 - t6501;
  t7421 = t423 * t7398;
  t7424 = t1829 * t7398;
  t7432 = -t6507 + t6517 + t7127 - t7128 - t7129 - t6279 + t263 * t7113 / 0.2e1 + 0.6e1 * t4405 * t7405 - 0.12e2 * t4402 * t7421 - 0.2e1 / 0.3e1 * t4405 * t7424 - 0.2e1 * t3200 * t7140 - t263 * t7172 - 0.2e1 / 0.3e1 * t810 * t7154;
  t7433 = t1032 * t230;
  t7434 = t1571 * t7433;
  t7437 = t1240 * t929;
  t7438 = t1505 * t7437;
  t7442 = t1505 * t7433;
  t7445 = t145 * t7433;
  t7448 = t400 * t7437;
  t7452 = t1862 * t7437;
  t7455 = t396 * t7433;
  t7458 = t1566 * t7433;
  t7461 = t405 * t7433;
  t7464 = 0.1e2 / 0.3e1 * t3208 * t7434 - 0.4e1 / 0.3e1 * t810 * t7438 + t810 * t7180 - 0.3e1 * t3208 * t7442 - 0.3e1 * t3221 * t7445 - t806 * t7448 - t806 * t7159 - t263 * t7163 + 0.2e1 * t810 * t7452 - 0.4e1 * t3226 * t7455 + t3208 * t7458 / 0.18e2 + 0.6e1 * t3226 * t7461 - t7170;
  t7466 = t7414 + t7415 + t7432 + t7464;
  t7467 = t59 * t7466;
  t7468 = t7467 * t96;
  t7471 = t1675 * t7303;
  t7472 = t2175 * t7471;
  t7475 = t5551 * t1052;
  t7478 = t1556 * t7280;
  t7479 = t3935 * t7478;
  t7483 = t2782 * t1566 * t7325;
  t7487 = t2782 * t1571 * t7325;
  t7490 = t405 * t7280;
  t7491 = t3226 * t7490;
  t7494 = t3931 * t7281;
  t7497 = t3935 * t7379;
  t7502 = 0.7e1 / 0.3e1 * t4531 * t7380 + t4571 * t7383 - 0.2e1 * t4571 * t7385 - t22 * t7468 / 0.4e1 + t2632 * t7472 / 0.3e1 - t2265 * t7475 / 0.2e1 - 0.3e1 / 0.2e1 * t4531 * t7479 + 0.3e1 / 0.2e1 * t4277 * t7483 - 0.3e1 * t2255 * t7487 - 0.3e1 * t2251 * t7491 - 0.11e2 / 0.18e2 * t4531 * t7494 + 0.23e2 / 0.36e2 * t4531 * t7497 + t6642 - t6647 + t719 * t1117 / 0.2e1;
  t7507 = t555 * t7308;
  t7510 = t852 * t1000;
  t7511 = t548 * t7510;
  t7526 = t866 * t7210 / 0.3e1 - t671 * t7507 / 0.6e1 + t671 * t7511 / 0.3e1 - t2897 * t1053 / 0.2e1 + t854 * t1066 / 0.2e1 - t2509 * t1108 / 0.2e1 - t1972 * t1261 / 0.2e1 - t854 * t1058 / 0.2e1 - t854 * t1061 / 0.4e1 + t6799 - t6802 - t6808 - t6811 + t6815;
  t7529 = t608 * t1208;
  t7530 = t548 * t7529;
  t7543 = t2036 * t1208;
  t7544 = t555 * t7543;
  t7547 = t548 * t7543;
  t7550 = t302 * t7543;
  t7557 = -t866 * t7206 / 0.6e1 + t866 * t7530 / 0.3e1 + t894 * t6991 / 0.6e1 + t259 * t6541 / 0.12e2 - t866 * t6996 / 0.12e2 + t259 * t7030 / 0.12e2 + t259 * t7018 / 0.12e2 - t866 * t7544 / 0.6e1 - t866 * t7547 / 0.12e2 + t894 * t7550 / 0.6e1 + t6860 - t6864 - t6866 + t3908 * t274 / 0.4e1 - t208 * t5653 / 0.12e2;
  t7567 = t1043 * t288;
  t7582 = t876 * t7047;
  t7591 = t5658 * t223 / 0.4e1 + t4701 * t248 / 0.4e1 - t233 * t4744 / 0.12e2 - t259 * t3903 / 0.12e2 - t22 * t7567 / 0.4e1 + t610 * t1283 / 0.4e1 - t233 * t4729 / 0.12e2 - t208 * t5316 / 0.12e2 + t719 * t1126 / 0.4e1 - t610 * t1266 / 0.2e1 - t610 * t1269 / 0.4e1 - t162 * t7582 / 0.4e1 + t610 * t1274 / 0.2e1 - t719 * t1111 / 0.2e1 - t719 * t1114 / 0.4e1;
  t7592 = t2162 * t7281;
  t7595 = t1684 * t7285;
  t7598 = t7231 - t7232 - t7233 - t7235 - t7236 + t7237 - t7238 + t6946 - t6951 + t6715 - t6719 - t7267 + t7268 - t4538 * t7592 / 0.2e1 - t2988 * t7595 / 0.6e1;
  t7602 = my_piecewise3(t3, 0, t7302 + t7343 + t7378 + t7502 + t7526 + t7557 + t7591 + t7598);
  tv3sigmalapltau0 = 0.2e1 * rho[0] * t7602;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 0] += tv3sigmalapltau0;

  t7616 = t911 * t1307;
  t7617 = t7616 / 0.12e2;
  t7618 = t2036 * t1305;
  t7619 = t490 * t7618;
  t7638 = 0.2e1 / 0.3e1 * t3547 * t5752 + t6225 - 0.4e1 * t5758 * t1057 + 0.4e1 / 0.3e1 * t5761 * t1052 - 0.2e1 * t5764 * t990 + 0.4e1 * t5761 * t1065 - t6237 + 0.4e1 * t5771 * t1057 + 0.2e1 * t265 * t990 - 0.4e1 * t5776 * t1065;
  t7639 = t95 * t7638;
  t7640 = t303 * t7639;
  t7641 = t490 * t7640;
  t7646 = -t913 + t984 - t259 * t4729 / 0.6e1 - t866 * t7314 / 0.6e1 - 0.2e1 / 0.3e1 * t1297 * t6336 + t1297 * t6332 / 0.3e1 + t894 * t7309 / 0.3e1 + t259 * t6855 / 0.6e1 + t7617 + t259 * t7619 / 0.12e2 + t259 * t7641 / 0.12e2 + t5701 * t1005 / 0.2e1;
  t7649 = t6755 / 0.3e1;
  t7650 = t1304 * t205;
  t7651 = t96 * t7650;
  t7652 = t1684 * t7651;
  t7655 = t1304 * t929;
  t7656 = t96 * t7655;
  t7657 = t3624 * t7656;
  t7660 = t2169 * t7651;
  t7663 = t5967 * t1065;
  t7665 = t582 * t5705;
  t7668 = t1862 * t7650;
  t7669 = t810 * t7668;
  t7672 = t2294 * t7651;
  t7675 = t500 * t7650;
  t7676 = t2169 * t7675;
  t7681 = t1297 * t6328 / 0.6e1 + t7649 + t7097 + t7098 - t2988 * t7652 / 0.6e1 - t3006 * t7657 / 0.6e1 + t3015 * t7660 / 0.12e2 + t1677 * t7663 + t2255 * t7665 / 0.2e1 - t2251 * t7669 / 0.2e1 + t3015 * t7672 / 0.6e1 - t3015 * t7676 / 0.3e1 - t3015 * t7305 / 0.3e1;
  t7690 = 0.2e1 * t6881;
  t7691 = 0.2e1 * t6884;
  t7692 = 0.4e1 / 0.3e1 * t6887;
  t7697 = t943 - t962 - t1319 * t966 - 0.4e1 * t5733 * t1033 + t5730 * t7116 / 0.18e2 + 0.1e2 / 0.3e1 * t5730 * t7119 + t7690 - t7691 + t7692 - 0.12e2 * t5733 * t1029 - 0.2e1 / 0.3e1 * t5730 * t7184;
  t7700 = t1336 * t205;
  t7701 = t1862 * t7700;
  t7703 = t63 * t7638;
  t7704 = t400 * t7703;
  t7706 = t1505 * t7700;
  t7711 = t400 * t7700;
  t7717 = 0.6e1 * t5730 * t7187 + t810 * t7701 - t263 * t7704 - 0.2e1 / 0.3e1 * t810 * t7706 - 0.4e1 * t1323 * t6285 - t806 * t7711 + t7102 - t6260 + t6262 + t7103 + 0.6e1 * t5733 * t1040 - 0.3e1 * t5730 * t7136;
  t7719 = t942 * t1337;
  t7720 = t7719 / 0.2e1;
  t7721 = t60 * t7638;
  t7722 = t400 * t7721;
  t7731 = t1336 * t929;
  t7732 = t1868 * t7731;
  t7744 = t7720 + t263 * t7722 / 0.2e1 + 0.2e1 * t1323 * t6212 - 0.4e1 / 0.3e1 * t1323 * t6249 - 0.3e1 * t5744 * t1036 - t263 * t7732 + 0.6e1 * t5744 * t1022 + 0.2e1 * t1319 * t953 + 0.2e1 * t5733 * t1025 + 0.2e1 / 0.3e1 * t1323 * t6275 - t5730 * t7167 / 0.9e1;
  t7745 = t942 * t1327;
  t7746 = 0.2e1 / 0.3e1 * t6906;
  t7747 = 0.4e1 * t6913;
  t7748 = 0.4e1 * t6915;
  t7749 = t5836 * t205;
  t7750 = t410 * t7749;
  t7753 = t149 * t7749;
  t7756 = t5836 * t929;
  t7757 = t149 * t7756;
  t7760 = t423 * t7749;
  t7763 = -t7745 - t7746 + t7747 - t7748 + t7127 - t7128 - t7129 - t6279 + t3200 * t7750 / 0.3e1 + 0.2e1 * t3202 * t7753 + 0.2e1 * t4392 * t7757 - 0.2e1 * t3200 * t7760;
  t7765 = t7697 + t7717 + t7744 + t7763;
  t7766 = t59 * t7765;
  t7767 = t7766 * t96;
  t7777 = t5901 * t211 * t165;
  t7782 = t3690 * t1364;
  t7783 = t162 * t7782;
  t7784 = t7783 / 0.4e1;
  t7786 = t320 * t137 * t7638;
  t7787 = t876 * t7786;
  t7792 = t5967 * t1052;
  t7798 = -t22 * t7767 / 0.4e1 - 0.2e1 * t5701 * t1016 - 0.11e2 / 0.18e2 * t5687 * t7226 - t208 * t5903 / 0.12e2 + t162 * t7777 / 0.4e1 - t610 * t1365 / 0.4e1 - t7784 - t162 * t7787 / 0.4e1 + 0.2e1 / 0.3e1 * t3015 * t7472 - t2265 * t7792 - 0.5e1 / 0.36e2 * t5687 * t7023 - t5694 * t1002 / 0.2e1;
  t7801 = t5912 * t1065;
  t7804 = t6801 / 0.6e1;
  t7805 = t6814 / 0.2e1;
  t7806 = t400 * t7650;
  t7807 = t806 * t7806;
  t7810 = t1868 * t7655;
  t7811 = t263 * t7810;
  t7814 = t6175 * t990;
  t7817 = t6172 * t1057;
  t7823 = -t1292 * t932 / 0.6e1 - 0.3e1 * t162 * t7801 + t6798 - t7804 - t6807 - t6810 + t7805 + t2251 * t7807 / 0.2e1 + t2251 * t7811 / 0.2e1 - t1677 * t7814 / 0.2e1 - t1677 * t7817 + t2988 * t7357 / 0.3e1 + t3006 * t6740 / 0.6e1;
  t7828 = t5934 * t7197;
  t7831 = 0.2e1 / 0.3e1 * t6859;
  t7832 = t6863 / 0.3e1;
  t7833 = t6865 / 0.6e1;
  t7848 = -t3015 * t7348 / 0.6e1 + 0.3e1 / 0.2e1 * t162 * t7828 + t7831 - t7832 - t7833 + t1292 * t569 / 0.6e1 - t1297 * t2002 / 0.12e2 - t1297 * t1963 / 0.6e1 + t4701 * t274 / 0.2e1 - t1972 * t1352 / 0.2e1 - t208 * t6131 / 0.12e2 + t6136 * t223 / 0.4e1;
  t7857 = t218 * t1387;
  t7860 = t1100 * t288;
  t7865 = t5934 * t7220;
  t7868 = t5934 * t7202;
  t7877 = -t259 * t4744 / 0.6e1 + t1297 * t1967 / 0.3e1 - t610 * t1360 / 0.2e1 + t610 * t1368 / 0.2e1 - t22 * t7857 / 0.4e1 - t22 * t7860 / 0.2e1 - t2897 * t1108 + t854 * t1117 + 0.3e1 / 0.2e1 * t1565 * t7865 - 0.3e1 * t509 * t7868 + 0.23e2 / 0.36e2 * t5687 * t6976 - t5687 * t6979 / 0.2e1 + 0.7e1 / 0.3e1 * t5687 * t6982;
  t7886 = t6945 / 0.2e1;
  t7887 = -t866 * t7507 / 0.3e1 + 0.2e1 / 0.3e1 * t866 * t7511 - 0.3e1 / 0.2e1 * t5687 * t7214 + t5701 * t1010 + t7231 - t7232 - t7233 - t7235 - t7236 + t7237 - t7238 + t7886;
  t7888 = t6950 / 0.6e1;
  t7889 = t5894 * t6187;
  t7891 = t5878 * t1057;
  t7894 = t5882 * t990;
  t7899 = t5912 * t1052;
  t7902 = t5894 * t6313;
  t7911 = -t7888 - t7267 + t7268 - t162 * t7889 + 0.3e1 / 0.2e1 * t162 * t7891 + t162 * t7894 / 0.2e1 + t610 * t1356 / 0.2e1 + 0.3e1 * t509 * t7899 + t509 * t7902 - t854 * t1111 - t854 * t1114 / 0.2e1 - t208 * t6037 / 0.6e1 + t854 * t1126 / 0.2e1;
  t7915 = my_piecewise3(t3, 0, t7646 + t7681 + t7798 + t7823 + t7848 + t7877 + t7887 + t7911);
  tv3sigmatau20 = 0.2e1 * rho[0] * t7915;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 0] += tv3sigmatau20;

  t7922 = t1592 * t1132;
  t7935 = 0.2e1 / 0.3e1 * t1172 * t343 + t6225 - 0.4e1 * t321 * t1132 * t313 + 0.4e1 / 0.3e1 * t7922 * t512 - 0.2e1 * t4834 * t1198 + 0.4e1 * t7922 * t516 - t6237 + 0.4e1 * t1175 * t138 + 0.2e1 * t239 * t1198 - 0.4e1 * t1172 * t496;
  t7936 = t60 * t7935;
  t7937 = t400 * t7936;
  t7940 = t1505 * t1177;
  t7943 = t1132 * t230;
  t7944 = t332 * t7943;
  t7945 = t7944 * t1536;
  t7948 = t69 * t7943;
  t7949 = t7948 * t1504;
  t7952 = t1147 * t1147;
  t7953 = t60 * t7952;
  t7954 = t1868 * t7953;
  t7956 = t108 * t7943;
  t7957 = t7956 * t1483;
  t7966 = t1862 * t1177;
  t7971 = 0.2e1 * t6468;
  t7972 = 0.3e1 * t6471;
  t7973 = 0.3e1 * t6473;
  t7974 = t943 + t237 * t7937 / 0.2e1 - 0.2e1 * t1164 * t7940 + 0.2e1 * t7945 * t397 - t7949 * t1894 / 0.9e1 - t237 * t7954 + 0.6e1 * t7957 * t146 - 0.12e2 * t7945 * t406 - 0.2e1 / 0.3e1 * t7949 * t1913 + 0.6e1 * t7949 * t1905 + 0.3e1 * t1164 * t7966 - 0.2e1 * t1160 * t1178 - t962 + t7971 - t7972 + t7973;
  t7975 = t1862 * t1167;
  t7980 = t1505 * t1167;
  t7982 = t63 * t7935;
  t7983 = t400 * t7982;
  t7985 = t63 * t7952;
  t7986 = t1868 * t7985;
  t7989 = 0.6e1 * t6500;
  t7990 = 0.6e1 * t6516;
  t7991 = t7956 * t335;
  t7994 = t7944 * t1445;
  t7997 = t7948 * t1418;
  t8006 = 0.2e1 * t7170;
  t8007 = t7110 - 0.6e1 * t1164 * t7975 + 0.4e1 * t1160 * t1168 + t1164 * t7980 - t237 * t7983 + 0.2e1 * t237 * t7986 - t7989 - t6506 + t7990 - 0.3e1 * t7991 * t150 + 0.6e1 * t7994 * t424 - 0.3e1 * t7997 * t1826 + 0.1e2 / 0.3e1 * t7997 * t1830 - 0.4e1 * t7994 * t411 + t7997 * t1838 / 0.18e2 - t8006;
  t8008 = t7974 + t8007;
  t8009 = t59 * t8008;
  t8010 = t8009 * t96;
  t8013 = t6555 / 0.2e1;
  t8014 = t6561 / 0.4e1;
  t8015 = t6576 / 0.2e1;
  t8016 = 0.3e1 / 0.2e1 * t6585;
  t8017 = t7026 / 0.6e1;
  t8018 = t7044 / 0.2e1;
  t8019 = t95 * t7952;
  t8020 = t303 * t8019;
  t8021 = t1637 * t8020;
  t8024 = 0.3e1 / 0.2e1 * t6641;
  t8025 = 0.3e1 / 0.2e1 * t6646;
  t8026 = -t22 * t8010 / 0.4e1 - t913 + t984 + t6547 - t8013 - t8014 + t8015 - t8016 + t8017 - t8018 - t233 * t8021 / 0.6e1 + t8024 - t8025;
  t8028 = t320 * t137 * t7935;
  t8029 = t745 * t8028;
  t8032 = t4884 * t1198;
  t8034 = t342 * t1147;
  t8035 = t1648 * t8034;
  t8036 = t4935 * t8035;
  t8042 = t1630 * t137 * t7952;
  t8043 = t745 * t8042;
  t8046 = t2571 * t1148;
  t8047 = t490 * t8046;
  t8050 = t95 * t7935;
  t8051 = t303 * t8050;
  t8052 = t490 * t8051;
  t8057 = t1711 * t1149;
  t8060 = t404 * t1147;
  t8061 = t1648 * t8060;
  t8062 = t4935 * t8061;
  t8065 = t1649 * t1149;
  t8068 = t160 * t1148;
  t8069 = t1711 * t8068;
  t8071 = t510 * t7943;
  t8072 = t8071 * t1537;
  t8075 = -t162 * t8029 / 0.4e1 + t162 * t8032 + 0.3e1 / 0.2e1 * t509 * t8036 - 0.3e1 / 0.4e1 * t719 * t1199 + t162 * t8043 / 0.2e1 + t233 * t8047 / 0.4e1 + t233 * t8052 / 0.12e2 - t1135 * t1150 / 0.3e1 + t1140 * t8057 / 0.4e1 - 0.3e1 / 0.2e1 * t162 * t8062 + t1140 * t8065 / 0.2e1 - t1140 * t8069 + 0.3e1 * t509 * t8072;
  t8080 = t163 * t7943 * t1484;
  t8087 = t7943 * t1418;
  t8088 = t1415 * t8087;
  t8089 = t106 * t8088;
  t8096 = t7943 * t1445;
  t8097 = t333 * t8096;
  t8098 = t106 * t8097;
  t8101 = t7943 * t335;
  t8102 = t109 * t8101;
  t8103 = t106 * t8102;
  t8113 = -0.3e1 / 0.2e1 * t719 * t1194 + 0.3e1 / 0.2e1 * t162 * t8080 - t233 * t5167 / 0.4e1 - t1140 * t2476 / 0.4e1 - 0.5e1 / 0.36e2 * t8089 * t1429 - t1140 * t2500 / 0.2e1 + t1135 * t686 / 0.2e1 + t8098 * t344 / 0.2e1 - t8103 * t139 / 0.2e1 + 0.23e2 / 0.36e2 * t8089 * t1548 - t8089 * t1515 / 0.2e1 + 0.7e1 / 0.3e1 * t8089 * t1520 + t1140 * t2504;
  t8116 = t1502 * t7943;
  t8117 = t8116 * t1567;
  t8120 = t8116 * t1572;
  t8128 = t8071 * t1541;
  t8131 = t8116 * t1506;
  t8140 = 0.3e1 / 0.4e1 * t6714;
  t8141 = t6718 / 0.4e1;
  t8142 = 0.3e1 / 0.4e1 * t5172 * t248 + 0.3e1 / 0.2e1 * t1565 * t8117 - 0.3e1 * t509 * t8120 + t8098 * t497 - 0.2e1 * t8098 * t502 - 0.11e2 / 0.18e2 * t8089 * t1545 - 0.3e1 * t162 * t8128 + 0.3e1 / 0.2e1 * t162 * t8131 - 0.3e1 / 0.2e1 * t8089 * t1558 - 0.3e1 / 0.2e1 * t2509 * t1190 + 0.3e1 / 0.2e1 * t719 * t1202 + t8140 - t8141;
  t8145 = my_piecewise3(t3, 0, t8026 + t8075 + t8113 + t8142);
  tv3lapl30 = 0.2e1 * rho[0] * t8145;

  if(out->v3lapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 0] += tv3lapl30;

  t8147 = t60 * t1132;
  t8148 = t1505 * t8147;
  t8153 = t1571 * t8147;
  t8156 = t396 * t8147;
  t8159 = t1566 * t8147;
  t8162 = t405 * t8147;
  t8165 = t145 * t8147;
  t8169 = t63 * t1132;
  t8170 = t405 * t8169;
  t8173 = t1571 * t8169;
  t8176 = t1505 * t8169;
  t8179 = t943 - 0.3e1 * t3208 * t8148 + t263 * t7937 / 0.2e1 + 0.1e2 / 0.3e1 * t3208 * t8153 - 0.4e1 * t3226 * t8156 + t3208 * t8159 / 0.18e2 + 0.6e1 * t3226 * t8162 - 0.3e1 * t3221 * t8165 - t263 * t7954 - t962 + t6881 - t6884 + t6888 + t7099 - t7100 + t7101 - 0.12e2 * t3226 * t8170 - 0.2e1 / 0.3e1 * t3208 * t8173 + 0.6e1 * t3208 * t8176;
  t8182 = t145 * t8169;
  t8185 = t1177 * t230;
  t8186 = t1862 * t8185;
  t8189 = t5054 * t230;
  t8190 = t423 * t8189;
  t8193 = t149 * t8189;
  t8196 = t410 * t8189;
  t8198 = t400 * t8185;
  t8201 = t1566 * t8169;
  t8205 = t1505 * t8185;
  t8208 = t396 * t8169;
  t8211 = 0.2e1 * t263 * t7986 + 0.6e1 * t3221 * t8182 + 0.3e1 * t810 * t8186 + t7110 - 0.6e1 * t3200 * t8190 + 0.4e1 * t3202 * t8193 + t3200 * t8196 - 0.2e1 * t806 * t8198 - t3208 * t8201 / 0.9e1 - t263 * t7983 - 0.2e1 * t810 * t8205 + 0.2e1 * t3226 * t8208 - t6907 + t6914 - t6916 - t7124 - t7125 + t7126 - t8006;
  t8212 = t8179 + t8211;
  t8213 = t59 * t8212;
  t8214 = t8213 * t96;
  t8219 = t876 * t8042;
  t8223 = t135 * t137 * t1132;
  t8224 = t3113 * t8223;
  t8227 = t342 * t1132;
  t8228 = t341 * t8227;
  t8229 = t3080 * t8228;
  t8234 = t95 * t1132;
  t8235 = t303 * t8234;
  t8236 = t302 * t8235;
  t8239 = t548 * t8235;
  t8242 = t2571 * t1208;
  t8243 = t548 * t8242;
  t8246 = t2057 * t8235;
  t8251 = t884 * t1159 * t313;
  t8254 = t400 * t4970;
  t8255 = t806 * t8254;
  t8257 = t697 * t5530;
  t8260 = t96 * t4970;
  t8261 = t2169 * t8260;
  t8264 = t1684 * t8260;
  t8267 = -t162 * t8251 / 0.2e1 - t913 + t984 + t2251 * t8255 + 0.3e1 / 0.2e1 * t2255 * t8257 + t3015 * t8261 / 0.4e1 - t2988 * t8264 / 0.3e1 + t6972 - t6973 - t6974 + t6975;
  t8273 = t884 * t1163;
  t8274 = t8273 * t512;
  t8277 = t8273 * t516;
  t8285 = -t6585 - t1140 * t2997 / 0.6e1 + t1140 * t2947 / 0.3e1 - t509 * t8274 / 0.2e1 + t162 * t8277 / 0.2e1 + t8017 - t8018 + t6756 - t233 * t5316 / 0.6e1 - t719 * t1266 - t719 * t1269 / 0.2e1;
  t8288 = t2961 * t1148;
  t8289 = t490 * t8288;
  t8296 = t555 * t8242;
  t8299 = t302 * t8242;
  t8302 = t1183 * t288;
  t8309 = t876 * t8028;
  t8313 = -t854 * t1199 / 0.4e1 + t233 * t8289 / 0.12e2 + t259 * t8047 / 0.6e1 + t259 * t8052 / 0.12e2 - t866 * t8296 / 0.3e1 + t894 * t8299 / 0.3e1 - t22 * t8302 / 0.4e1 - t1140 * t3373 / 0.12e2 + t719 * t1283 / 0.2e1 - t162 * t8309 / 0.4e1 - t2509 * t1261;
  t8317 = t717 * t1208;
  t8318 = t548 * t8317;
  t8340 = -t6864 - t6866 - t233 * t5653 / 0.6e1 - t854 * t1194 / 0.2e1 + t1135 * t848 / 0.6e1 - t1140 * t2934 / 0.12e2 - t259 * t5167 / 0.12e2 - t1140 * t2888 / 0.6e1 + t1140 * t2892 / 0.3e1 - t2897 * t1190 / 0.2e1 + t854 * t1202 / 0.2e1;
  t8346 = t2294 * t8260;
  t8349 = t500 * t4970;
  t8350 = t2169 * t8349;
  t8352 = t5243 * t1198;
  t8355 = t287 * t1147;
  t8356 = t169 * t8355;
  t8357 = t1684 * t8356;
  t8360 = t1862 * t4970;
  t8361 = t810 * t8360;
  t8364 = t160 * t8234;
  t8365 = t2057 * t8364;
  t8368 = t1518 * t1132;
  t8369 = t1426 * t8368;
  t8370 = t2991 * t8369;
  t8374 = t341 * t404 * t1132;
  t8375 = t3080 * t8374;
  t8378 = t1426 * t8227;
  t8379 = t2991 * t8378;
  t8382 = t5172 * t274 / 0.4e1 + t5658 * t248 / 0.2e1 + t3015 * t8346 / 0.2e1 - t3015 * t8350 - t1677 * t8352 / 0.4e1 + t2683 * t8357 / 0.12e2 - 0.3e1 / 0.2e1 * t2251 * t8361 + 0.23e2 / 0.36e2 * t2983 * t8365 - 0.3e1 * t509 * t8370 - 0.3e1 * t162 * t8375 + 0.3e1 / 0.2e1 * t162 * t8379;
  t8383 = t2324 * t8235;
  t8386 = t2233 * t8364;
  t8389 = t507 * t8234;
  t8390 = t2057 * t8389;
  t8393 = t1427 * t1132;
  t8394 = t1426 * t8393;
  t8395 = t2991 * t8394;
  t8398 = t555 * t8235;
  t8400 = t548 * t8364;
  t8403 = t2233 * t8235;
  t8406 = -t2983 * t8383 / 0.2e1 + 0.7e1 / 0.3e1 * t2983 * t8386 - 0.3e1 / 0.2e1 * t2983 * t8390 + 0.3e1 / 0.2e1 * t1565 * t8395 + t3039 * t8398 - 0.2e1 * t3039 * t8400 - 0.11e2 / 0.18e2 * t2983 * t8403 + t6946 - t6951 + t7265 - t7266;
  t8410 = my_piecewise3(t3, 0, -t259 * t8021 / 0.6e1 - t3299 * t8236 / 0.2e1 + t3039 * t8239 / 0.2e1 - t866 * t8243 / 0.6e1 - 0.5e1 / 0.36e2 * t2983 * t8246 + t719 * t1274 + 0.2e1 / 0.3e1 * t866 * t8318 - t22 * t8214 / 0.4e1 + t1135 * t886 / 0.6e1 + t162 * t8219 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t8224 + 0.3e1 * t509 * t8229 - t6646 + t8340 - t6808 - t6811 + t6860 + t8313 + t8382 + t6799 - t6802 + t8267 + t6815 + t6641 + t8406 + t8285);
  tv3lapl2tau0 = 0.2e1 * rho[0] * t8410;

  if(out->v3lapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 0] += tv3lapl2tau0;

  t8418 = t2961 * t1208;
  t8419 = t302 * t8418;
  t8424 = t2571 * t1305;
  t8425 = t490 * t8424;
  t8444 = 0.2e1 / 0.3e1 * t4846 * t5752 + t6225 - 0.4e1 * t5758 * t1265 + 0.4e1 / 0.3e1 * t5761 * t1260 - 0.2e1 * t5764 * t1198 + 0.4e1 * t5761 * t1273 - t6237 + 0.4e1 * t5771 * t1265 + 0.2e1 * t265 * t1198 - 0.4e1 * t5776 * t1273;
  t8445 = t95 * t8444;
  t8446 = t303 * t8445;
  t8447 = t490 * t8446;
  t8454 = t2057 * t1209;
  t8459 = t5878 * t1265;
  t8462 = -t1292 * t1150 / 0.6e1 - 0.2e1 / 0.3e1 * t1297 * t8069 + t1297 * t8065 / 0.3e1 + t894 * t8419 / 0.3e1 + t259 * t8289 / 0.6e1 + t259 * t8425 / 0.12e2 + t259 * t8447 / 0.12e2 + t5701 * t1213 / 0.2e1 + t1297 * t8057 / 0.6e1 - 0.5e1 / 0.36e2 * t5687 * t8454 - t5694 * t1210 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t8459;
  t8463 = t5882 * t1198;
  t8468 = t5912 * t1260;
  t8471 = t5894 * t8035;
  t8482 = t548 * t8418;
  t8488 = t5901 * t236 * t165;
  t8493 = t162 * t8463 / 0.2e1 + t719 * t1356 / 0.2e1 + 0.3e1 * t509 * t8468 + t509 * t8471 - t854 * t1266 - t854 * t1269 / 0.2e1 - t233 * t6037 / 0.6e1 + t854 * t1283 / 0.2e1 - t259 * t5316 / 0.6e1 - t866 * t8482 / 0.6e1 - t233 * t5903 / 0.12e2 + t162 * t8488 / 0.4e1 - t719 * t1365 / 0.4e1;
  t8496 = t320 * t137 * t8444;
  t8497 = t876 * t8496;
  t8500 = t5894 * t8061;
  t8502 = t852 * t1208;
  t8503 = t548 * t8502;
  t8506 = t507 * t1208;
  t8507 = t2057 * t8506;
  t8512 = t1427 * t230;
  t8513 = t1426 * t8512;
  t8514 = t5934 * t8513;
  t8517 = t1518 * t230;
  t8518 = t1426 * t8517;
  t8519 = t5934 * t8518;
  t8525 = t2233 * t1209;
  t8528 = t2057 * t1223;
  t8531 = -t162 * t8497 / 0.4e1 - t162 * t8500 + 0.2e1 / 0.3e1 * t866 * t8503 - 0.3e1 / 0.2e1 * t5687 * t8507 - t2897 * t1261 + t854 * t1274 + 0.3e1 / 0.2e1 * t1565 * t8514 - 0.3e1 * t509 * t8519 + t5701 * t1218 - 0.2e1 * t5701 * t1224 - 0.11e2 / 0.18e2 * t5687 * t8525 + 0.23e2 / 0.36e2 * t5687 * t8528;
  t8532 = t2324 * t1209;
  t8535 = t2233 * t1223;
  t8538 = t5912 * t1273;
  t8541 = t1426 * t1259;
  t8542 = t5934 * t8541;
  t8545 = t555 * t8418;
  t8548 = t1505 * t1240;
  t8556 = t60 * t8444;
  t8557 = t400 * t8556;
  t8560 = t1566 * t1240;
  t8563 = t1571 * t1240;
  t8572 = t943 - 0.3e1 * t5730 * t8548 + 0.2e1 * t1323 * t7966 - 0.3e1 * t5744 * t1244 - t1319 * t1178 + t263 * t8557 / 0.2e1 + t5730 * t8560 / 0.18e2 + 0.1e2 / 0.3e1 * t5730 * t8563 - 0.4e1 / 0.3e1 * t1323 * t7940 - 0.4e1 * t5733 * t1241 + 0.6e1 * t5733 * t1248;
  t8573 = t5836 * t230;
  t8574 = t423 * t8573;
  t8577 = -0.2e1 * t3200 * t8574 + t6469 - t6471 + t6473 + t7111 + t7690 - t7691 + t7692 + t7720 - t7745 - t7746 - t962;
  t8579 = t63 * t8444;
  t8580 = t400 * t8579;
  t8582 = t1240 * t1304;
  t8583 = t1505 * t8582;
  t8594 = t7747 - t7748 - t6501 - t6507 + t6517 - t263 * t8580 - 0.2e1 / 0.3e1 * t810 * t8583 - 0.4e1 * t1323 * t7975 + 0.6e1 * t5744 * t1230 + 0.2e1 * t1319 * t1168 + 0.2e1 * t5733 * t1233;
  t8595 = t5836 * t1147;
  t8596 = t149 * t8595;
  t8599 = t410 * t8573;
  t8602 = t149 * t8573;
  t8607 = t1571 * t1229;
  t8610 = t1505 * t1229;
  t8613 = t1862 * t8582;
  t8615 = t400 * t8582;
  t8617 = t1336 * t1147;
  t8618 = t1868 * t8617;
  t8622 = t1566 * t1229;
  t8625 = 0.2e1 * t4392 * t8596 + t3200 * t8599 / 0.3e1 + 0.2e1 * t3202 * t8602 - 0.12e2 * t5733 * t1237 - 0.2e1 / 0.3e1 * t5730 * t8607 + 0.6e1 * t5730 * t8610 + t810 * t8613 - t806 * t8615 - t263 * t8618 + 0.2e1 / 0.3e1 * t1323 * t7980 - t5730 * t8622 / 0.9e1 - t7170;
  t8627 = t8572 + t8577 + t8594 + t8625;
  t8628 = t59 * t8627;
  t8629 = t8628 * t96;
  t8632 = -t5687 * t8532 / 0.2e1 + 0.7e1 / 0.3e1 * t5687 * t8535 - 0.3e1 * t162 * t8538 + 0.3e1 / 0.2e1 * t162 * t8542 - t866 * t8545 / 0.3e1 - t22 * t8629 / 0.4e1 - t913 + t984 + t7617 + t6548 - t6556 - t6562 + t6577;
  t8635 = t1304 * t230;
  t8636 = t400 * t8635;
  t8637 = t806 * t8636;
  t8640 = t1304 * t1147;
  t8641 = t1868 * t8640;
  t8642 = t263 * t8641;
  t8645 = t6172 * t1265;
  t8647 = t243 * t1387;
  t8658 = -t6586 + t7027 - t7045 + t7649 + t2251 * t8637 / 0.2e1 + t2251 * t8642 / 0.2e1 - t1677 * t8645 - t22 * t8647 / 0.4e1 + t1297 * t2504 / 0.3e1 + t1292 * t686 / 0.6e1 - t1297 * t2476 / 0.12e2 - t1297 * t2500 / 0.6e1;
  t8659 = t287 * t230;
  t8660 = t169 * t8659;
  t8661 = t2182 * t8660;
  t8664 = t1675 * t8659;
  t8665 = t2175 * t8664;
  t8668 = t5967 * t1260;
  t8670 = t5967 * t1273;
  t8672 = t6175 * t1198;
  t8675 = -t7784 + t6642 - t6647 + t6798 - t7804 - t6807 - t6810 + t7805 - t3015 * t8661 / 0.3e1 + 0.2e1 / 0.3e1 * t3015 * t8665 - t2265 * t8668 + t1677 * t8670 - t1677 * t8672 / 0.2e1;
  t8677 = t2175 * t8660;
  t8680 = t2162 * t8660;
  t8685 = t96 * t8635;
  t8686 = t1684 * t8685;
  t8689 = t96 * t8640;
  t8690 = t3624 * t8689;
  t8693 = t2169 * t8685;
  t8696 = t697 * t5705;
  t8699 = t1862 * t8635;
  t8700 = t810 * t8699;
  t8703 = t2294 * t8685;
  t8706 = t500 * t8635;
  t8707 = t2169 * t8706;
  t8710 = -t3015 * t8677 / 0.6e1 + t2988 * t8680 / 0.3e1 + t3006 * t8357 / 0.6e1 - t2988 * t8686 / 0.6e1 - t3006 * t8690 / 0.6e1 + t3015 * t8693 / 0.12e2 + t2255 * t8696 / 0.2e1 - t2251 * t8700 / 0.2e1 + t3015 * t8703 / 0.6e1 - t3015 * t8707 / 0.3e1 + t7831 - t7832;
  t8725 = t1251 * t288;
  t8728 = -t7833 - t233 * t6131 / 0.12e2 + t6136 * t248 / 0.4e1 - t259 * t5653 / 0.6e1 - t719 * t1360 / 0.2e1 + t719 * t1368 / 0.2e1 + t5658 * t274 / 0.2e1 - t2509 * t1352 / 0.2e1 - t22 * t8725 / 0.2e1 + t7886 - t7888 + t6715 - t6719;
  t8732 = my_piecewise3(t3, 0, t8462 + t8493 + t8531 + t8632 + t8658 + t8675 + t8710 + t8728);
  tv3lapltau20 = 0.2e1 * rho[0] * t8732;

  if(out->v3lapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 0] += tv3lapltau20;

  t8734 = t160 * t1305;
  t8735 = t1711 * t8734;
  t8737 = t1304 * t1304;
  t8739 = t1630 * t137 * t8737;
  t8740 = t876 * t8739;
  t8744 = t884 * t1318 * t313;
  t8747 = t95 * t8737;
  t8748 = t303 * t8747;
  t8749 = t1637 * t8748;
  t8752 = t404 * t1304;
  t8753 = t1648 * t8752;
  t8754 = t5894 * t8753;
  t8757 = t884 * t1322;
  t8758 = t8757 * t516;
  t8761 = t1649 * t1306;
  t8769 = t1592 * t1289;
  t8782 = 0.2e1 / 0.3e1 * t1331 * t343 + t6225 - 0.4e1 * t321 * t1289 * t313 + 0.4e1 / 0.3e1 * t8769 * t512 - 0.2e1 * t5764 * t1364 + 0.4e1 * t8769 * t516 - t6237 + 0.4e1 * t1334 * t138 + 0.2e1 * t265 * t1364 - 0.4e1 * t1331 * t496;
  t8783 = t95 * t8782;
  t8784 = t303 * t8783;
  t8785 = t490 * t8784;
  t8790 = t1711 * t1306;
  t8797 = t8757 * t512;
  t8801 = t5901 * t262 * t165;
  t8810 = -t1297 * t8735 + t162 * t8740 / 0.2e1 - 0.3e1 / 0.2e1 * t162 * t8744 - t259 * t8749 / 0.6e1 - 0.3e1 / 0.2e1 * t162 * t8754 + 0.3e1 / 0.2e1 * t162 * t8758 + t1297 * t8761 / 0.2e1 + t259 * t8785 / 0.12e2 + t1292 * t886 / 0.2e1 + t1297 * t8790 / 0.4e1 - t1297 * t3373 / 0.4e1 - t1292 * t1307 / 0.3e1 - 0.3e1 / 0.2e1 * t509 * t8797 + 0.3e1 / 0.4e1 * t162 * t8801 - 0.3e1 / 0.4e1 * t854 * t1365 + 0.3e1 / 0.2e1 * t854 * t1356 - t259 * t5903 / 0.4e1;
  t8816 = t2961 * t1305;
  t8817 = t490 * t8816;
  t8821 = t320 * t137 * t8782;
  t8822 = t876 * t8821;
  t8825 = t5882 * t1364;
  t8827 = t342 * t1304;
  t8828 = t1648 * t8827;
  t8829 = t5894 * t8828;
  t8832 = t1289 * t256;
  t8833 = t332 * t8832;
  t8834 = t8833 * t1536;
  t8837 = t69 * t8832;
  t8838 = t8837 * t1504;
  t8841 = t60 * t8737;
  t8842 = t1868 * t8841;
  t8844 = t108 * t8832;
  t8845 = t8844 * t1483;
  t8850 = t60 * t8782;
  t8851 = t400 * t8850;
  t8856 = t1505 * t1336;
  t8863 = t1862 * t1336;
  t8866 = 0.3e1 * t6881;
  t8867 = 0.3e1 * t6884;
  t8868 = 0.2e1 * t6887;
  t8869 = t943 - 0.12e2 * t8834 * t406 - 0.2e1 / 0.3e1 * t8838 * t1913 - t263 * t8842 + 0.6e1 * t8845 * t146 - 0.2e1 * t1319 * t1337 + t263 * t8851 / 0.2e1 - t8838 * t1894 / 0.9e1 - 0.2e1 * t1323 * t8856 + 0.2e1 * t8834 * t397 + 0.6e1 * t8838 * t1905 + 0.3e1 * t1323 * t8863 - t962 + t8866 - t8867 + t8868;
  t8870 = 0.2e1 * t7745;
  t8871 = 0.6e1 * t6913;
  t8872 = 0.6e1 * t6915;
  t8873 = t8837 * t1418;
  t8878 = t8833 * t1445;
  t8881 = t8844 * t335;
  t8888 = t1862 * t1326;
  t8891 = t63 * t8737;
  t8892 = t1868 * t8891;
  t8897 = t1505 * t1326;
  t8899 = t63 * t8782;
  t8900 = t400 * t8899;
  t8902 = t7719 - t8870 - t6906 + t8871 - t8872 + 0.1e2 / 0.3e1 * t8873 * t1830 + t8873 * t1838 / 0.18e2 - 0.4e1 * t8878 * t411 - 0.3e1 * t8881 * t150 + 0.6e1 * t8878 * t424 - 0.3e1 * t8873 * t1826 - 0.6e1 * t1323 * t8888 + 0.2e1 * t263 * t8892 + 0.4e1 * t1319 * t1327 + t1323 * t8897 - t263 * t8900;
  t8903 = t8869 + t8902;
  t8904 = t59 * t8903;
  t8905 = t8904 * t96;
  t8908 = t7616 / 0.6e1;
  t8909 = t6755 / 0.2e1;
  t8910 = t8832 * t1418;
  t8911 = t1415 * t8910;
  t8912 = t106 * t8911;
  t8917 = t8832 * t335;
  t8918 = t109 * t8917;
  t8919 = t106 * t8918;
  t8928 = t1297 * t2947 - t1297 * t2997 / 0.2e1 - t259 * t6037 / 0.2e1 + t259 * t8817 / 0.4e1 - t162 * t8822 / 0.4e1 + t162 * t8825 + 0.3e1 / 0.2e1 * t509 * t8829 - t22 * t8905 / 0.4e1 - t913 + t984 + t8908 + t8909 - 0.5e1 / 0.36e2 * t8912 * t1429 - 0.3e1 / 0.2e1 * t854 * t1360 - t8919 * t139 / 0.2e1 + 0.3e1 / 0.4e1 * t6136 * t274 - t1297 * t2888 / 0.2e1 - t259 * t6131 / 0.4e1;
  t8932 = t8832 * t1445;
  t8933 = t333 * t8932;
  t8934 = t106 * t8933;
  t8947 = t163 * t8832 * t1484;
  t8950 = t510 * t8832;
  t8951 = t8950 * t1537;
  t8958 = t1502 * t8832;
  t8959 = t8958 * t1567;
  t8962 = t8958 * t1572;
  t8970 = t8950 * t1541;
  t8973 = t1292 * t848 / 0.2e1 + t8934 * t344 / 0.2e1 - t1297 * t2934 / 0.4e1 + 0.23e2 / 0.36e2 * t8912 * t1548 - t8912 * t1515 / 0.2e1 + 0.7e1 / 0.3e1 * t8912 * t1520 + t1297 * t2892 + 0.3e1 / 0.2e1 * t162 * t8947 + 0.3e1 * t509 * t8951 - 0.3e1 / 0.2e1 * t2897 * t1352 + 0.3e1 / 0.2e1 * t854 * t1368 + 0.3e1 / 0.2e1 * t1565 * t8959 - 0.3e1 * t509 * t8962 + t8934 * t497 - 0.2e1 * t8934 * t502 - 0.11e2 / 0.18e2 * t8912 * t1545 - 0.3e1 * t162 * t8970;
  t8974 = t8958 * t1506;
  t8979 = t7783 / 0.2e1;
  t8980 = 0.1e1 / t441;
  t8993 = 0.408e3 * t1752 * t8980 + 0.624e3 * t1759 * t8980 - 0.72e3 * t1762 * t8980 - 0.18e4 * t1765 * t8980 - 0.84e3 * t1770 * t8980 + 0.24e2 * t84 * t8980;
  t8994 = t169 * t8993;
  t8995 = t65 * t8994;
  t8998 = t269 * t1387;
  t9001 = t1342 * t288;
  t9004 = 0.3e1 / 0.2e1 * t6798;
  t9005 = t6801 / 0.4e1;
  t9006 = 0.3e1 / 0.2e1 * t6807;
  t9007 = 0.3e1 / 0.2e1 * t6810;
  t9008 = 0.3e1 / 0.4e1 * t6814;
  t9009 = t6863 / 0.2e1;
  t9010 = t6865 / 0.4e1;
  t9011 = t6175 * t1364;
  t9014 = t287 * t1304;
  t9015 = t169 * t9014;
  t9016 = t1684 * t9015;
  t9019 = 0.3e1 / 0.4e1 * t6945;
  t9020 = t6950 / 0.4e1;
  t9021 = 0.3e1 / 0.2e1 * t162 * t8974 - 0.3e1 / 0.2e1 * t8912 * t1558 - t8979 - t22 * t8995 / 0.4e1 - 0.3e1 / 0.4e1 * t22 * t8998 - 0.3e1 / 0.4e1 * t22 * t9001 + t9004 - t9005 - t9006 - t9007 + t9008 + t6859 - t9009 - t9010 - 0.3e1 / 0.4e1 * t1677 * t9011 + t3006 * t9016 / 0.4e1 + t9019 - t9020;
  t9024 = my_piecewise3(t3, 0, t8810 + t8928 + t8973 + t9021);
  tv3tau30 = 0.2e1 * rho[0] * t9024;

  if(out->v3tau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 0] += tv3tau30;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_unpol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t3, t4, t5, t7, t8, t10, t12, t14;
  double t15, t16, t18, t19, t20, t21, t22, t23;
  double t24, t25, t27, t30, t33, t34, t36, t40;
  double t43, t44, t47, t50, t53, t54, t55, t56;
  double t57, t59, t60, t62, t63, t64, t65, t66;
  double t67, t68, t69, t70, t71, t73, t74, t75;
  double t76, t77, t78, t80, t81, t82, t83, t84;
  double t87, t88, t89, t91, t95, t96, t97, t100;
  double tzk0;

  double t102, t103, t106, t107, t108, t109, t110, t115;
  double t117, t118, t122, t123, t124, t125, t126, t127;
  double t129, t130, t131, t133, t134, t135, t136, t137;
  double t138, t139, t142, t143, t144, t145, t146, t148;
  double t149, t150, t153, t154, t155, t158, t159, t160;
  double t161, t162, t163, t165, t166, t169, t173, t174;
  double t175, t178, t181, t182, t185, t189, t190, t193;
  double t194, t195, t199, tvrho0, t202, t203, t205, t206;
  double t207, t208, t211, t212, t214, t217, t218, t219;
  double t223, t227, tvsigma0, t230, t231, t232, t233, t236;
  double t237, t239, t242, t243, t244, t248, t252, tvlapl0;
  double t256, t257, t258, t259, t262, t263, t265, t268;
  double t269, t270, t274, t287, t288, t289, t293, tvtau0;

  double t296, t298, t301, t302, t303, t304, t305, t308;
  double t310, t311, t312, t313, t314, t317, t318, t319;
  double t320, t321, t326, t328, t329, t332, t333, t334;
  double t335, t336, t337, t338, t339, t340, t341, t342;
  double t343, t344, t347, t348, t349, t356, t358, t359;
  double t363, t365, t368, t369, t372, t375, t376, t377;
  double t380, t383, t386, t387, t389, t390, t393, t394;
  double t395, t396, t397, t400, t401, t402, t404, t405;
  double t406, t409, t410, t411, t414, t417, t419, t420;
  double t423, t424, t426, t427, t428, t433, t439, t440;
  double t441, t443, t447, t448, t451, t454, t459, t464;
  double t470, t471, t476, t477, t478, t481, t482, t485;
  double t486, t487, t490, t491, t492, t493, t496, t497;
  double t500, t501, t502, t506, t507, t508, t509, t510;
  double t511, t512, t513, t516, t517, t520, t522, tv2rho20;
  double t525, t528, t530, t531, t532, t533, t536, t537;
  double t538, t539, t540, t541, t544, t545, t546, t547;
  double t548, t549, t554, t555, t556, t561, t562, t569;
  double t572, t573, t574, t576, t577, t578, t581, t582;
  double t583, t587, t590, t591, t594, t597, t601, t603;
  double t604, t605, t608, t609, t610, t613, t620, t621;
  double t622, t623, t627, t631, t634, t635, t636, t637;
  double t640, t641, t645, t646, t649, t651, tv2rhosigma0, t654;
  double t658, t659, t660, t661, t664, t665, t666, t669;
  double t670, t671, t686, t689, t690, t691, t693, t696;
  double t697, t705, t712, t713, t714, t717, t718, t719;
  double t722, t729, t730, t734, t738, t741, t742, t745;
  double t746, t749, t752, t754, tv2rholapl0, t757, t760, t767;
  double t768, t771, t792, t793, t794, t802, t803, t804;
  double t806, t809, t810, t818, t825, t826, t827, t833;
  double t836, t837, t838, t843, t848, t851, t852, t853;
  double t854, t857, t858, t859, t862, t865, t866, t871;
  double t872, t873, t876, t877, t881, t884, t885, t886;
  double t890, t893, t894, t903, t905, tv2rhotau0, t908, t909;
  double t910, t911, t913, t914, t915, t916, t917, t920;
  double t921, t922, t929, t930, t931, t932, t941, t942;
  double t943, t944, t945, t948, t949, t952, t953, t957;
  double t960, t962, t963, t965, t966, t970, t971, t972;
  double t977, t978, t982, t984, t986, t989, t990, t991;
  double t994, t997, t998, tv2sigma20, t1000, t1001, t1002, t1005;
  double t1010, t1015, t1016, t1021, t1022, t1025, t1029, t1032;
  double t1033, t1036, t1040, t1042, t1043, t1044, t1051, t1052;
  double t1053, t1056, t1057, t1058, t1061, t1064, t1065, t1066;
  double t1069, t1070, tv2sigmalapl0, t1099, t1100, t1101, t1108, t1111;
  double t1114, t1117, t1122, t1126, t1129, t1130, tv2sigmatau0, t1132;
  double t1133, t1134, t1135, t1138, t1139, t1140, t1147, t1148;
  double t1149, t1150, t1159, t1160, t1163, t1164, t1167, t1168;
  double t1172, t1175, t1177, t1178, t1182, t1183, t1184, t1189;
  double t1190, t1194, t1197, t1198, t1199, t1202, t1205, t1206;
  double tv2lapl20, t1208, t1209, t1210, t1213, t1218, t1223, t1224;
  double t1229, t1230, t1233, t1237, t1240, t1241, t1244, t1248;
  double t1250, t1251, t1252, t1259, t1260, t1261, t1264, t1265;
  double t1266, t1269, t1272, t1273, t1274, t1279, t1283, t1286;
  double t1287, tv2lapltau0, t1289, t1290, t1291, t1292, t1295, t1296;
  double t1297, t1304, t1305, t1306, t1307, t1318, t1319, t1322;
  double t1323, t1326, t1327, t1331, t1334, t1336, t1337, t1341;
  double t1342, t1343, t1348, t1351, t1352, t1356, t1360, t1363;
  double t1364, t1365, t1368, t1373, t1386, t1387, t1388, t1391;
  double t1392, tv2tau20;

  double t1400, t1401, t1405, t1407, t1410, t1415, t1416, t1418;
  double t1419, t1420, t1421, t1423, t1425, t1426, t1427, t1428;
  double t1429, t1432, t1433, t1434, t1439, t1440, t1445, t1446;
  double t1447, t1448, t1451, t1454, t1455, t1456, t1459, t1462;
  double t1463, t1466, t1469, t1474, t1479, t1483, t1484, t1485;
  double t1490, t1491, t1492, t1497, t1499, t1502, t1503, t1504;
  double t1505, t1506, t1507, t1510, t1514, t1515, t1518, t1519;
  double t1520, t1529, t1534, t1535, t1536, t1537, t1538, t1541;
  double t1542, t1545, t1548, t1551, t1552, t1553, t1556, t1557;
  double t1558, t1561, t1562, t1563, t1564, t1565, t1566, t1567;
  double t1568, t1571, t1572, t1573, t1576, t1577, t1578, t1581;
  double t1592, t1593, t1596, t1609, t1610, t1611, t1612, t1617;
  double t1621, t1630, t1631, t1633, t1634, t1637, t1638, t1639;
  double t1640, t1643, t1645, t1648, t1649, t1650, t1653, t1654;
  double t1657, t1660, t1663, t1664, t1665, t1666, t1667, t1670;
  double t1671, t1672, t1675, t1676, t1677, t1678, t1679, t1680;
  double t1683, t1684, t1685, t1686, t1687, t1690, t1691, t1693;
  double t1694, t1697, t1698, t1702, t1703, t1707, t1708, t1711;
  double t1712, t1713, t1716, t1719, t1720, t1722, t1726, t1727;
  double t1728, t1731, t1732, t1735, t1740, t1741, t1746, t1748;
  double t1749, t1752, t1753, t1754, t1755, t1756, t1759, t1762;
  double t1765, t1768, t1769, t1770, t1773, t1776, t1800, t1801;
  double t1802, t1807, t1810, t1815, t1816, t1817, t1820, t1821;
  double t1824, t1825, t1826, t1829, t1830, t1833, t1834, t1837;
  double t1838, t1843, t1844, t1849, t1851, t1852, t1854, t1859;
  double t1860, t1862, t1863, t1868, t1869, t1870, t1873, t1876;
  double t1877, t1880, t1886, t1890, t1893, t1894, t1897, t1898;
  double t1900, t1905, t1908, t1913, t1916, t1917, t1918, t1919;
  double t1928, t1929, t1930, t1935, t1936, t1939, t1940, t1941;
  double t1942, t1943, t1944, t1948, t1949, t1952, t1955, t1959;
  double tv3rho30, t1963, t1966, t1967, t1970, t1971, t1972, t1979;
  double t1981, t1983, t1992, t1993, t1994, t1999, t2002, t2007;
  double t2010, t2013, t2018, t2019, t2020, t2031, t2036, t2037;
  double t2038, t2041, t2042, t2047, t2053, t2054, t2055, t2056;
  double t2057, t2058, t2059, t2060, t2067, t2068, t2071, t2074;
  double t2077, t2080, t2081, t2082, t2083, t2086, t2091, t2094;
  double t2095, t2096, t2099, t2101, t2105, t2108, t2109, t2110;
  double t2117, t2118, t2119, t2131, t2136, t2137, t2140, t2143;
  double t2144, t2145, t2146, t2149, t2153, t2154, t2157, t2158;
  double t2161, t2162, t2163, t2164, t2165, t2168, t2169, t2170;
  double t2171, t2172, t2175, t2176, t2179, t2182, t2183, t2186;
  double t2187, t2190, t2191, t2196, t2201, t2202, t2203, t2204;
  double t2207, t2208, t2209, t2212, t2213, t2214, t2218, t2219;
  double t2222, t2223, t2226, t2228, t2229, t2232, t2233, t2234;
  double t2241, t2243, t2244, t2249, t2251, t2252, t2253, t2255;
  double t2256, t2257, t2258, t2259, t2260, t2263, t2264, t2265;
  double t2266, t2267, t2268, t2270, t2271, t2275, t2276, t2285;
  double t2292, t2294, t2295, t2298, t2299, t2300, t2302, t2305;
  double t2306, t2309, t2310, t2315, t2318, t2321, t2324, t2325;
  double t2328, t2331, t2332, t2333, t2340, t2341, t2344, t2345;
  double t2346, t2347, t2348, t2351, t2352, t2353, t2355, t2360;
  double t2361, t2362, t2365, t2366, t2369, t2370, t2371, t2375;
  double t2376, t2379, t2380, t2383, t2388, t2389, t2392, t2395;
  double t2398, t2401, t2404, t2407, t2410, t2413, t2416, t2417;
  double t2420, t2423, t2427, t2428, t2430, t2434, t2437, t2440;
  double t2443, t2449, t2455, t2456, t2457, t2458, t2463, t2467;
  double tv3rho2sigma0, t2473, t2476, t2483, t2486, t2492, t2493, t2494;
  double t2495, t2500, t2503, t2504, t2507, t2508, t2509, t2514;
  double t2521, t2527, t2536, t2537, t2538, t2543, t2548, t2549;
  double t2550, t2553, t2557, t2560, t2563, t2564, t2566, t2567;
  double t2568, t2571, t2572, t2573, t2588, t2589, t2590, t2595;
  double t2598, t2599, t2600, t2609, t2610, t2611, t2620, t2621;
  double t2629, t2632, t2648, t2651, t2652, t2655, t2656, t2661;
  double t2662, t2665, t2666, t2669, t2672, t2674, t2683, t2686;
  double t2689, t2696, t2698, t2699, t2701, t2702, t2705, t2713;
  double t2714, t2717, t2720, t2723, t2739, t2746, t2747, t2750;
  double t2752, t2759, t2760, t2765, t2776, t2781, t2782, t2790;
  double t2793, t2811, t2828, t2829, t2830, t2831, t2834, t2837;
  double t2840, t2843, t2844, t2846, t2847, t2850, t2852, t2856;
  double t2860, t2866, t2870, tv3rho2lapl0, t2880, t2883, t2884, t2885;
  double t2888, t2891, t2892, t2895, t2896, t2897, t2902, t2911;
  double t2915, t2916, t2917, t2918, t2925, t2931, t2934, t2939;
  double t2946, t2947, t2950, t2951, t2954, t2961, t2962, t2963;
  double t2966, t2967, t2970, t2971, t2972, t2977, t2981, t2982;
  double t2983, t2986, t2988, t2991, t2992, t2997, t3000, t3003;
  double t3006, t3009, t3012, t3013, t3015, t3025, t3028, t3029;
  double t3030, t3037, t3038, t3039, t3049, t3052, t3057, t3062;
  double t3063, t3064, t3073, t3080, t3081, t3089, t3096, t3097;
  double t3098, t3103, t3104, t3105, t3108, t3109, t3113, t3114;
  double t3121, t3122, t3129, t3132, t3135, t3138, t3139, t3164;
  double t3165, t3166, t3177, t3180, t3181, t3182, t3185, t3190;
  double t3191, t3200, t3202, t3207, t3208, t3213, t3214, t3221;
  double t3226, t3236, t3245, t3261, t3262, t3279, t3282, t3283;
  double t3284, t3285, t3293, t3296, t3298, t3299, t3304, t3305;
  double t3306, t3307, t3308, t3309, t3313, t3314, t3316, t3327;
  double t3330, t3331, t3334, t3336, t3337, t3343, t3353, t3358;
  double t3359, t3362, t3365, t3367, t3370, t3373, t3378, t3379;
  double t3382, t3383, t3386, t3389, t3394, t3398, tv3rho2tau0, t3409;
  double t3410, t3411, t3414, t3415, t3416, t3429, t3430, t3431;
  double t3434, t3443, t3444, t3445, t3446, t3459, t3460, t3461;
  double t3463, t3464, t3465, t3468, t3469, t3472, t3473, t3474;
  double t3477, t3478, t3481, t3482, t3483, t3485, t3486, t3487;
  double t3488, t3489, t3490, t3491, t3492, t3493, t3494, t3495;
  double t3496, t3501, t3502, t3503, t3504, t3507, t3508, t3511;
  double t3513, t3514, t3516, t3517, t3520, t3521, t3523, t3529;
  double t3532, t3535, t3542, t3547, t3550, t3552, t3553, t3557;
  double t3558, t3560, t3565, t3566, t3569, t3572, t3573, t3576;
  double t3577, t3580, t3583, t3584, t3585, t3586, t3587, t3588;
  double t3589, t3590, t3593, t3594, t3595, t3602, t3603, t3604;
  double t3605, t3606, t3607, t3608, t3609, t3610, t3611, t3612;
  double t3613, t3616, t3619, t3620, t3621, t3624, t3625, t3626;
  double t3627, t3630, t3633, t3636, t3637, t3638, t3641, t3642;
  double t3645, t3650, t3655, t3662, t3663, t3664, t3672, t3674;
  double t3676, t3679, t3680, t3681, t3683, t3687, t3688, t3689;
  double t3690, t3691, t3692, t3693, t3694, t3697, t3698, t3699;
  double t3700, t3703, t3704, t3707, t3708, t3712, t3715, t3716;
  double t3723, t3726, t3727, t3730, t3733, t3734, t3737, t3738;
  double t3739, t3748, t3755, t3758, t3759, t3760, t3763, t3764;
  double t3765, t3766, t3769, t3772, t3775, t3776, t3777, t3778;
  double t3779, t3780, t3781, t3782, t3783, t3784, t3786, t3787;
  double t3790, t3791, t3792, t3793, t3796, t3799, t3801, t3802;
  double t3803, t3806, t3807, t3809, t3810, t3813, t3820, t3825;
  double t3827, t3831, t3836, t3838, t3841, t3844, t3847, t3848;
  double t3851, t3852, t3855, t3858, t3861, t3866, t3867, t3868;
  double t3869, t3872, t3873, t3881, t3883, t3884, t3885, t3890;
  double t3894, tv3rhosigma20, t3903, t3906, t3907, t3908, t3917, t3918;
  double t3919, t3920, t3923, t3925, t3926, t3927, t3930, t3931;
  double t3932, t3935, t3936, t3939, t3942, t3945, t3946, t3949;
  double t3950, t3951, t3954, t3963, t3966, t3969, t3971, t3986;
  double t3987, t3998, t4001, t4002, t4009, t4016, t4027, t4028;
  double t4031, t4032, t4033, t4036, t4043, t4050, t4055, t4058;
  double t4061, t4066, t4075, t4076, t4083, t4090, t4099, t4102;
  double t4105, t4106, t4109, t4112, t4116, t4119, t4123, t4137;
  double t4138, t4143, t4144, t4145, t4148, t4149, t4150, t4151;
  double t4154, t4157, t4158, t4159, t4162, t4165, t4166, t4167;
  double t4172, t4179, t4182, t4184, t4185, t4186, t4195, t4202;
  double t4203, t4208, t4221, t4224, t4225, t4228, t4231, t4233;
  double t4236, t4251, t4254, t4255, t4258, t4259, t4260, t4263;
  double t4264, t4267, t4268, t4271, t4272, t4275, t4276, t4277;
  double t4278, t4279, t4282, t4283, t4286, t4287, t4290, t4291;
  double t4292, t4295, t4298, t4301, t4304, t4306, t4309, t4310;
  double t4312, t4313, t4316, t4319, t4322, t4337, t4341, tv3rhosigmalapl0;
  double t4364, t4386, t4392, t4397, t4402, t4405, t4414, t4428;
  double t4430, t4431, t4432, t4441, t4442, t4453, t4456, t4457;
  double t4460, t4463, t4486, t4512, t4519, t4522, t4523, t4530;
  double t4531, t4538, t4541, t4542, t4543, t4546, t4549, t4550;
  double t4551, t4554, t4557, t4560, t4561, t4562, t4571, t4579;
  double t4588, t4589, t4592, t4597, t4598, t4599, t4602, t4603;
  double t4628, t4637, t4640, t4643, t4646, t4647, t4650, t4652;
  double t4655, t4658, t4661, t4664, t4669, t4680, t4682, t4687;
  double t4690, t4699, t4700, t4701, t4709, t4713, t4716, t4719;
  double t4728, t4729, t4734, t4737, t4744, t4747, t4748, t4753;
  double t4756, t4757, t4760, t4762, t4783, t4787, tv3rhosigmatau0, t4790;
  double t4797, t4798, t4799, t4800, t4805, t4806, t4809, t4810;
  double t4811, t4814, t4819, t4820, t4828, t4831, t4834, t4841;
  double t4846, t4849, t4850, t4851, t4852, t4855, t4856, t4859;
  double t4863, t4864, t4865, t4872, t4876, t4877, t4880, t4881;
  double t4884, t4885, t4889, t4895, t4896, t4898, t4899, t4902;
  double t4903, t4904, t4906, t4907, t4910, t4911, t4916, t4932;
  double t4933, t4935, t4936, t4938, t4939, t4940, t4943, t4944;
  double t4945, t4948, t4951, t4962, t4963, t4966, t4967, t4970;
  double t4971, t4972, t4975, t4976, t4979, t4982, t4983, t4984;
  double t4991, t4994, t4996, t5004, t5005, t5007, t5010, t5011;
  double t5016, t5023, t5024, t5029, t5033, t5034, t5036, t5039;
  double t5044, t5046, t5047, t5049, t5052, t5054, t5055, t5056;
  double t5059, t5060, t5063, t5072, t5079, t5080, t5083, t5084;
  double t5089, t5094, t5100, t5103, t5105, t5106, t5107, t5112;
  double t5118, t5126, t5127, t5128, t5131, t5134, t5135, t5146;
  double t5155, t5156, t5167, t5170, t5171, t5172, t5189, t5193;
  double tv3rholapl20, t5198, t5201, t5208, t5209, t5210, t5215, t5216;
  double t5219, t5220, t5223, t5226, t5229, t5230, t5231, t5234;
  double t5236, t5237, t5240, t5243, t5244, t5251, t5252, t5271;
  double t5280, t5287, t5297, t5302, t5305, t5312, t5315, t5316;
  double t5321, t5324, t5327, t5332, t5337, t5340, t5343, t5344;
  double t5347, t5348, t5351, t5354, t5355, t5358, t5359, t5361;
  double t5366, t5371, t5382, t5383, t5394, t5395, t5399, t5404;
  double t5415, t5418, t5419, t5420, t5423, t5426, t5429, t5433;
  double t5442, t5456, t5457, t5458, t5463, t5466, t5469, t5476;
  double t5477, t5480, t5483, t5488, t5491, t5494, t5496, t5497;
  double t5498, t5501, t5504, t5505, t5512, t5515, t5517, t5520;
  double t5521, t5524, t5525, t5526, t5529, t5530, t5531, t5534;
  double t5541, t5544, t5551, t5552, t5555, t5558, t5561, t5564;
  double t5567, t5568, t5577, t5585, t5588, t5591, t5616, t5621;
  double t5626, t5631, t5634, t5653, t5656, t5657, t5658, t5669;
  double t5673, tv3rholapltau0, t5678, t5679, t5680, t5685, t5686, t5687;
  double t5690, t5693, t5694, t5699, t5700, t5701, t5704, t5705;
  double t5706, t5709, t5710, t5711, t5712, t5723, t5724, t5729;
  double t5730, t5733, t5736, t5741, t5744, t5748, t5752, t5758;
  double t5761, t5764, t5771, t5776, t5779, t5780, t5781, t5790;
  double t5791, t5794, t5795, t5800, t5802, t5803, t5805, t5810;
  double t5816, t5824, t5825, t5831, t5835, t5836, t5837, t5838;
  double t5841, t5842, t5845, t5848, t5851, t5853, t5854, t5855;
  double t5860, t5864, t5865, t5869, t5870, t5873, t5874, t5876;
  double t5878, t5879, t5882, t5883, t5887, t5891, t5894, t5895;
  double t5897, t5898, t5901, t5902, t5903, t5907, t5912, t5913;
  double t5930, t5934, t5935, t5940, t5943, t5946, t5947, t5950;
  double t5951, t5952, t5955, t5958, t5959, t5960, t5967, t5968;
  double t5970, t5972, t5975, t5976, t5979, t5982, t5983, t5986;
  double t5987, t5990, t5999, t6000, t6016, t6019, t6020, t6021;
  double t6022, t6024, t6027, t6029, t6036, t6037, t6051, t6052;
  double t6055, t6076, t6077, t6078, t6081, t6084, t6087, t6090;
  double t6093, t6095, t6106, t6107, t6110, t6111, t6112, t6131;
  double t6134, t6135, t6136, t6139, t6146, t6149, t6172, t6173;
  double t6175, t6176, t6179, t6183, tv3rhotau20, t6186, t6187, t6188;
  double t6191, t6192, t6193, t6196, t6197, t6200, t6201, t6204;
  double t6205, t6206, t6209, t6212, t6225, t6229, t6237, t6244;
  double t6245, t6246, t6249, t6252, t6253, t6254, t6256, t6259;
  double t6260, t6261, t6262, t6263, t6264, t6267, t6268, t6269;
  double t6270, t6272, t6275, t6277, t6278, t6279, t6280, t6281;
  double t6282, t6285, t6294, t6295, t6296, t6297, t6300, t6301;
  double t6302, t6303, t6304, t6305, t6306, t6307, t6308, t6309;
  double t6310, t6311, t6312, t6313, t6314, t6319, t6320, t6323;
  double t6324, t6325, t6328, t6331, t6332, t6335, t6336, t6339;
  double t6340, t6344, t6345, t6348, t6350, t6351, t6352, t6353;
  double t6354, t6355, t6356, t6357, t6358, t6359, t6360, t6363;
  double t6364, t6365, t6370, t6372, t6373, t6374, t6379, t6380;
  double t6381, t6382, t6387, t6388, t6389, t6394, t6395, t6396;
  double t6406, t6414, t6415, t6418, t6419, t6428, t6431, t6435;
  double t6438, t6441, t6444, tv3sigma30, t6446, t6447, t6450, t6453;
  double t6457, t6460, t6463, t6466, t6467, t6468, t6469, t6470;
  double t6471, t6472, t6473, t6476, t6477, t6480, t6481, t6482;
  double t6483, t6484, t6487, t6488, t6491, t6492, t6495, t6498;
  double t6499, t6500, t6501, t6502, t6505, t6506, t6507, t6508;
  double t6512, t6515, t6516, t6517, t6520, t6523, t6526, t6527;
  double t6528, t6529, t6531, t6534, t6535, t6536, t6537, t6540;
  double t6541, t6544, t6545, t6546, t6547, t6548, t6549, t6550;
  double t6553, t6554, t6555, t6556, t6557, t6560, t6561, t6562;
  double t6563, t6564, t6565, t6572, t6575, t6576, t6577, t6578;
  double t6581, t6584, t6585, t6586, t6587, t6590, t6592, t6593;
  double t6596, t6597, t6598, t6603, t6611, t6612, t6617, t6618;
  double t6620, t6621, t6622, t6625, t6628, t6631, t6633, t6636;
  double t6639, t6640, t6641, t6642, t6644, t6645, t6646, t6647;
  double t6648, t6649, t6652, t6653, t6655, t6658, t6661, t6664;
  double t6665, t6666, t6667, t6668, t6671, t6672, t6675, t6676;
  double t6677, t6680, t6681, t6682, t6685, t6687, t6688, t6691;
  double t6694, t6695, t6714, t6715, t6718, t6719, t6720, t6725;
  double t6726, t6729, tv3sigma2lapl0, t6735, t6738, t6739, t6740, t6743;
  double t6745, t6748, t6755, t6756, t6762, t6767, t6770, t6773;
  double t6780, t6797, t6798, t6799, t6800, t6801, t6802, t6803;
  double t6806, t6807, t6808, t6809, t6810, t6811, t6813, t6814;
  double t6815, t6816, t6817, t6820, t6823, t6826, t6833, t6838;
  double t6841, t6854, t6855, t6859, t6860, t6863, t6864, t6865;
  double t6866, t6873, t6876, t6881, t6884, t6887, t6888, t6903;
  double t6906, t6907, t6913, t6914, t6915, t6916, t6933, t6934;
  double t6935, t6936, t6945, t6946, t6947, t6950, t6951, t6966;
  double t6970, tv3sigma2tau0, t6972, t6973, t6974, t6975, t6976, t6979;
  double t6982, t6990, t6991, t6996, t7015, t7016, t7017, t7018;
  double t7023, t7026, t7027, t7028, t7029, t7030, t7039, t7043;
  double t7044, t7045, t7047, t7048, t7051, t7054, t7057, t7060;
  double t7063, t7066, t7067, t7068, t7071, t7072, t7075, t7076;
  double t7079, t7080, t7083, t7084, t7085, t7088, t7089, t7092;
  double t7094, t7097, t7098, t7099, t7100, t7101, t7102, t7103;
  double t7108, t7110, t7111, t7112, t7113, t7116, t7119, t7124;
  double t7125, t7126, t7127, t7128, t7129, t7130, t7136, t7139;
  double t7140, t7143, t7146, t7147, t7150, t7153, t7154, t7159;
  double t7161, t7162, t7163, t7167, t7170, t7171, t7172, t7180;
  double t7184, t7187, t7190, t7192, t7193, t7194, t7197, t7198;
  double t7201, t7202, t7203, t7206, t7209, t7210, t7213, t7214;
  double t7219, t7220, t7221, t7226, t7231, t7232, t7233, t7234;
  double t7235, t7236, t7237, t7238, t7239, t7265, t7266, t7267;
  double t7268, t7269, t7272, t7276, tv3sigmalapl20, t7280, t7281, t7282;
  double t7285, t7286, t7289, t7292, t7295, t7298, t7299, t7302;
  double t7303, t7304, t7305, t7308, t7309, t7314, t7317, t7318;
  double t7321, t7322, t7325, t7327, t7330, t7332, t7333, t7336;
  double t7343, t7345, t7348, t7351, t7354, t7357, t7362, t7363;
  double t7365, t7368, t7375, t7378, t7379, t7380, t7383, t7385;
  double t7394, t7395, t7398, t7399, t7402, t7405, t7408, t7411;
  double t7414, t7415, t7421, t7424, t7432, t7433, t7434, t7437;
  double t7438, t7442, t7445, t7448, t7452, t7455, t7458, t7461;
  double t7464, t7466, t7467, t7468, t7471, t7472, t7475, t7478;
  double t7479, t7483, t7487, t7490, t7491, t7494, t7497, t7502;
  double t7507, t7510, t7511, t7526, t7529, t7530, t7543, t7544;
  double t7547, t7550, t7557, t7567, t7582, t7591, t7592, t7595;
  double t7598, t7602, tv3sigmalapltau0, t7616, t7617, t7618, t7619, t7638;
  double t7639, t7640, t7641, t7646, t7649, t7650, t7651, t7652;
  double t7655, t7656, t7657, t7660, t7663, t7665, t7668, t7669;
  double t7672, t7675, t7676, t7681, t7690, t7691, t7692, t7697;
  double t7700, t7701, t7703, t7704, t7706, t7711, t7717, t7719;
  double t7720, t7721, t7722, t7731, t7732, t7744, t7745, t7746;
  double t7747, t7748, t7749, t7750, t7753, t7756, t7757, t7760;
  double t7763, t7765, t7766, t7767, t7777, t7782, t7783, t7784;
  double t7786, t7787, t7792, t7798, t7801, t7804, t7805, t7806;
  double t7807, t7810, t7811, t7814, t7817, t7823, t7828, t7831;
  double t7832, t7833, t7848, t7857, t7860, t7865, t7868, t7877;
  double t7886, t7887, t7888, t7889, t7891, t7894, t7899, t7902;
  double t7911, t7915, tv3sigmatau20, t7922, t7935, t7936, t7937, t7940;
  double t7943, t7944, t7945, t7948, t7949, t7952, t7953, t7954;
  double t7956, t7957, t7966, t7971, t7972, t7973, t7974, t7975;
  double t7980, t7982, t7983, t7985, t7986, t7989, t7990, t7991;
  double t7994, t7997, t8006, t8007, t8008, t8009, t8010, t8013;
  double t8014, t8015, t8016, t8017, t8018, t8019, t8020, t8021;
  double t8024, t8025, t8026, t8028, t8029, t8032, t8034, t8035;
  double t8036, t8042, t8043, t8046, t8047, t8050, t8051, t8052;
  double t8057, t8060, t8061, t8062, t8065, t8068, t8069, t8071;
  double t8072, t8075, t8080, t8087, t8088, t8089, t8096, t8097;
  double t8098, t8101, t8102, t8103, t8113, t8116, t8117, t8120;
  double t8128, t8131, t8140, t8141, t8142, t8145, tv3lapl30, t8147;
  double t8148, t8153, t8156, t8159, t8162, t8165, t8169, t8170;
  double t8173, t8176, t8179, t8182, t8185, t8186, t8189, t8190;
  double t8193, t8196, t8198, t8201, t8205, t8208, t8211, t8212;
  double t8213, t8214, t8219, t8223, t8224, t8227, t8228, t8229;
  double t8234, t8235, t8236, t8239, t8242, t8243, t8246, t8251;
  double t8254, t8255, t8257, t8260, t8261, t8264, t8267, t8273;
  double t8274, t8277, t8285, t8288, t8289, t8296, t8299, t8302;
  double t8309, t8313, t8317, t8318, t8340, t8346, t8349, t8350;
  double t8352, t8355, t8356, t8357, t8360, t8361, t8364, t8365;
  double t8368, t8369, t8370, t8374, t8375, t8378, t8379, t8382;
  double t8383, t8386, t8389, t8390, t8393, t8394, t8395, t8398;
  double t8400, t8403, t8406, t8410, tv3lapl2tau0, t8418, t8419, t8424;
  double t8425, t8444, t8445, t8446, t8447, t8454, t8459, t8462;
  double t8463, t8468, t8471, t8482, t8488, t8493, t8496, t8497;
  double t8500, t8502, t8503, t8506, t8507, t8512, t8513, t8514;
  double t8517, t8518, t8519, t8525, t8528, t8531, t8532, t8535;
  double t8538, t8541, t8542, t8545, t8548, t8556, t8557, t8560;
  double t8563, t8572, t8573, t8574, t8577, t8579, t8580, t8582;
  double t8583, t8594, t8595, t8596, t8599, t8602, t8607, t8610;
  double t8613, t8615, t8617, t8618, t8622, t8625, t8627, t8628;
  double t8629, t8632, t8635, t8636, t8637, t8640, t8641, t8642;
  double t8645, t8647, t8658, t8659, t8660, t8661, t8664, t8665;
  double t8668, t8670, t8672, t8675, t8677, t8680, t8685, t8686;
  double t8689, t8690, t8693, t8696, t8699, t8700, t8703, t8706;
  double t8707, t8710, t8725, t8728, t8732, tv3lapltau20, t8734, t8735;
  double t8737, t8739, t8740, t8744, t8747, t8748, t8749, t8752;
  double t8753, t8754, t8757, t8758, t8761, t8769, t8782, t8783;
  double t8784, t8785, t8790, t8797, t8801, t8810, t8816, t8817;
  double t8821, t8822, t8825, t8827, t8828, t8829, t8832, t8833;
  double t8834, t8837, t8838, t8841, t8842, t8844, t8845, t8850;
  double t8851, t8856, t8863, t8866, t8867, t8868, t8869, t8870;
  double t8871, t8872, t8873, t8878, t8881, t8888, t8891, t8892;
  double t8897, t8899, t8900, t8902, t8903, t8904, t8905, t8908;
  double t8909, t8910, t8911, t8912, t8917, t8918, t8919, t8928;
  double t8932, t8933, t8934, t8947, t8950, t8951, t8958, t8959;
  double t8962, t8970, t8973, t8974, t8979, t8980, t8993, t8994;
  double t8995, t8998, t9001, t9004, t9005, t9006, t9007, t9008;
  double t9009, t9010, t9011, t9014, t9015, t9016, t9019, t9020;
  double t9021, t9024, tv3tau30;

  double t9030, t9035, t9037, t9042, t9057, t9062, t9070, t9073;
  double t9075, t9079, t9081, t9087, t9092, t9096, t9097, t9098;
  double t9099, t9101, t9105, t9108, t9110, t9114, t9116, t9124;
  double t9128, t9136, t9141, t9147, t9154, t9161, t9165, t9166;
  double t9169, t9176, t9179, t9182, t9192, t9193, t9196, t9210;
  double t9216, t9223, t9237, t9238, t9239, t9246, t9258, t9268;
  double t9271, t9272, t9279, t9291, t9312, t9315, t9318, t9321;
  double t9324, t9328, t9335, t9353, t9364, t9383, t9384, t9392;
  double t9393, t9411, t9428, t9429, t9432, t9435, t9448, t9451;
  double t9453, t9460, t9466, t9467, t9469, t9470, t9473, t9476;
  double t9503, t9507, t9509, t9512, t9513, t9516, t9518, t9523;
  double t9528, t9533, t9540, t9543, t9544, t9551, t9572, t9583;
  double t9590, t9594, t9598, t9599, t9617, t9622, t9627, t9632;
  double t9649, t9651, t9660, t9663, t9669, t9684, t9685, t9686;
  double t9689, t9695, t9700, t9705, t9711, t9714, t9716, t9719;
  double t9720, t9731, t9734, t9737, t9738, t9740, t9743, t9744;
  double t9746, t9747, t9750, t9753, t9756, t9759, t9760, t9762;
  double t9763, t9764, t9770, t9774, t9777, t9781, t9786, t9791;
  double t9794, t9795, t9807, t9812, t9815, t9819, t9832, t9840;
  double t9841, t9842, t9846, t9874, t9879, t9880, t9897, t9898;
  double t9899, t9900, t9901, t9902, t9903, t9904, t9905, t9906;
  double t9907, t9911, t9912, t9916, t9917, t9926, t9929, t9930;
  double t9931, t9932, t9935, t9936, t9937, t9941, t9944, t9945;
  double t9946, t9950, t9953, t9961, t9965, t9968, t9978, t9991;
  double t9996, t9999, t10001, t10002, t10003, t10006, t10010, t10015;
  double t10017, t10022, t10026, t10033, t10036, t10037, t10038, t10041;
  double t10048, t10049, t10052, t10055, t10062, t10066, t10068, t10077;
  double t10084, t10087, t10090, t10095, t10123, t10126, t10135, t10136;
  double t10140, t10145, t10155, t10156, t10160, t10174, t10182, t10184;
  double t10185, t10190, t10193, t10194, t10195, t10201, t10203, t10207;
  double t10210, t10211, t10214, t10222, t10227, t10230, t10233, t10240;
  double t10242, t10245, t10246, t10251, t10255, t10256, t10259, t10262;
  double t10265, t10269, t10274, t10277, t10280, t10284, t10285, t10286;
  double t10287, t10290, t10291, t10295, t10296, t10299, t10305, t10306;
  double t10313, t10316, t10319, t10320, t10325, t10328, t10329, t10334;
  double t10337, t10342, t10345, t10356, t10361, t10365, t10372, t10374;
  double t10379, t10380, t10384, t10393, t10402, t10406, t10409, t10412;
  double t10421, t10422, t10427, t10431, t10439, t10448, t10451, t10460;
  double t10464, t10470, t10477, t10480, t10492, t10498, tv4rho40, t10502;
  double t10503, t10514, t10516, t10519, t10522, t10524, t10526, t10527;
  double t10528, t10529, t10544, t10545, t10548, t10550, t10555, t10559;
  double t10560, t10563, t10566, t10572, t10575, t10583, t10585, t10592;
  double t10594, t10599, t10604, t10614, t10618, t10620, t10623, t10626;
  double t10628, t10634, t10638, t10643, t10645, t10649, t10650, t10653;
  double t10657, t10671, t10676, t10681, t10691, t10695, t10702, t10703;
  double t10704, t10707, t10708, t10710, t10712, t10715, t10716, t10717;
  double t10718, t10722, t10723, t10729, t10730, t10733, t10734, t10735;
  double t10736, t10739, t10747, t10748, t10752, t10755, t10759, t10763;
  double t10769, t10775, t10776, t10778, t10784, t10785, t10789, t10796;
  double t10798, t10801, t10805, t10809, t10815, t10819, t10820, t10825;
  double t10831, t10833, t10853, t10858, t10861, t10862, t10863, t10864;
  double t10866, t10869, t10870, t10871, t10872, t10878, t10882, t10884;
  double t10887, t10891, t10895, t10898, t10905, t10907, t10910, t10911;
  double t10914, t10916, t10919, t10921, t10923, t10925, t10926, t10930;
  double t10933, t10936, t10937, t10940, t10943, t10944, t10948, t10949;
  double t10950, t10953, t10954, t10957, t10960, t10964, t10968, t10972;
  double t10978, t10985, t10986, t10989, t10991, t10994, t10997, t10998;
  double t11001, t11002, t11005, t11008, t11010, t11016, t11018, t11021;
  double t11024, t11031, t11032, t11035, t11037, t11038, t11055, t11068;
  double t11071, t11072, t11075, t11078, t11079, t11084, t11089, t11092;
  double t11095, t11098, t11101, t11106, t11111, t11114, t11117, t11118;
  double t11121, t11124, t11126, t11131, t11134, t11137, t11140, t11144;
  double t11145, t11148, t11150, t11151, t11158, t11160, t11172, t11176;
  double t11180, t11184, t11188, t11201, t11202, t11203, t11206, t11209;
  double t11210, t11212, t11220, t11231, t11238, t11239, t11240, t11244;
  double t11249, t11250, t11253, t11256, t11259, t11260, t11263, t11265;
  double t11271, t11272, t11276, t11277, t11283, t11286, t11287, t11288;
  double t11292, t11296, t11297, t11300, t11301, t11306, t11309, t11310;
  double t11313, t11316, t11319, t11320, t11324, t11327, t11328, t11329;
  double t11336, t11337, t11340, t11345, t11349, t11354, t11357, t11360;
  double t11364, t11367, t11373, t11374, t11378, t11385, t11388, t11389;
  double t11392, t11395, t11404, t11407, t11410, t11413, t11420, t11421;
  double t11424, t11427, t11433, t11436, t11439, t11442, t11445, t11448;
  double t11451, t11458, t11459, t11462, t11467, t11478, t11481, t11486;
  double t11499, t11502, t11505, t11508, t11509, t11511, t11512, t11515;
  double t11516, t11517, t11520, t11521, t11523, t11524, t11527, t11528;
  double t11529, t11532, t11535, t11537, t11539, t11540, t11545, t11548;
  double t11549, t11554, t11555, t11558, t11563, t11567, t11571, t11574;
  double t11575, t11578, t11581, t11584, t11585, t11590, t11591, t11594;
  double t11599, t11602, t11605, t11608, t11613, t11616, t11619, t11635;
  double t11659, t11661, t11664, t11667, t11670, t11682, t11686, t11689;
  double t11692, t11694, t11698, t11702, t11708, t11715, t11722, t11728;
  double t11744, t11748, t11749, t11752, t11756, t11757, t11768, t11771;
  double t11789, t11828, t11834, t11837, t11848, t11851, t11858, t11865;
  double t11870, t11875, t11878, t11879, t11905, t11909, t11912, t11920;
  double t11924, t11936, t11937, t11938, t11944, t11946, t11949, t11955;
  double t11962, t11983, t11992, t12015, t12020, t12042, t12047, t12050;
  double t12053, t12056, t12064, t12075, t12082, t12088, t12094, t12107;
  double t12108, t12109, t12112, t12114, t12126, t12128, t12132, t12139;
  double t12142, t12152, t12158, t12181, t12185, t12191, t12194, t12197;
  double t12198, t12201, t12204, t12207, t12210, t12213, t12216, t12225;
  double t12231, tv4rho3sigma0, t12238, t12253, t12262, t12286, t12289, t12291;
  double t12292, t12312, t12322, t12323, t12324, t12348, t12350, t12365;
  double t12375, t12381, t12382, t12390, t12401, t12406, t12430, t12434;
  double t12439, t12441, t12444, t12446, t12467, t12474, t12479, t12481;
  double t12499, t12505, t12508, t12509, t12513, t12520, t12529, t12548;
  double t12561, t12564, t12567, t12570, t12577, t12585, t12589, t12598;
  double t12605, t12607, t12623, t12653, t12671, t12691, t12695, t12713;
  double t12716, t12719, t12725, t12728, t12734, t12735, t12738, t12761;
  double t12772, t12775, t12792, t12810, t12813, t12819, t12830, t12843;
  double t12846, t12852, t12854, t12862, t12869, t12872, t12879, t12892;
  double t12898, t12901, t12907, t12915, t12937, t12940, t12952, t12962;
  double t12977, t12978, t12998, t13001, t13006, t13010, t13018, t13020;
  double t13025, t13030, t13048, t13051, t13054, t13055, t13058, t13061;
  double t13068, t13073, t13095, t13101, t13126, t13131, t13136, t13143;
  double t13154, t13163, t13166, t13169, t13181, t13184, t13185, t13188;
  double t13191, t13195, t13202, t13205, t13216, t13219, t13223, t13224;
  double t13229, t13257, t13286, t13289, t13316, t13345, t13373, t13384;
  double t13403, t13407, t13411, t13413, t13416, t13430, t13432, t13434;
  double t13440, t13442, t13444, t13448, t13456, t13473, t13474, t13476;
  double t13493, t13495, t13498, t13510, t13514, t13517, t13524, t13528;
  double t13530, t13542, t13556, t13562, t13588, t13595, t13620, t13622;
  double t13625, t13630, t13647, t13649, t13658, t13659, t13665, t13674;
  double t13680, tv4rho3lapl0, t13686, t13710, t13714, t13717, t13719, t13726;
  double t13727, t13729, t13737, t13738, t13745, t13748, t13749, t13762;
  double t13766, t13769, t13772, t13775, t13782, t13791, t13792, t13804;
  double t13808, t13815, t13818, t13827, t13830, t13833, t13836, t13841;
  double t13870, t13901, t13916, t13931, t13960, t13987, t13995, t14008;
  double t14013, t14027, t14029, t14039, t14041, t14051, t14053, t14073;
  double t14079, t14094, t14095, t14115, t14122, t14127, t14138, t14139;
  double t14144, t14151, t14154, t14157, t14161, t14165, t14168, t14169;
  double t14172, t14196, t14212, t14214, t14216, t14228, t14237, t14244;
  double t14257, t14267, t14271, t14286, t14298, t14315, t14326, t14332;
  double t14333, t14358, t14362, t14365, t14383, t14386, t14389, t14411;
  double t14416, t14419, t14422, t14431, t14444, t14447, t14451, t14457;
  double t14460, t14463, t14468, t14471, t14472, t14481, t14483, t14500;
  double t14509, t14545, t14564, t14568, t14575, t14593, t14596, t14627;
  double t14631, t14642, t14664, t14683, t14686, t14695, t14720, t14753;
  double t14757, t14775, t14801, t14803, t14834, t14836, t14839, t14842;
  double t14845, t14848, t14877, t14880, t14894, t14928, t14936, t14940;
  double t14946, t14949, t14964, t14985, t15009, t15014, t15017, t15019;
  double t15024, t15034, t15068, t15076, t15090, t15097, t15115, t15124;
  double t15154, t15159, t15164, t15167, t15185, t15194, t15207, t15216;
  double t15227, t15235, t15244, t15247, t15262, t15274, t15279, t15294;
  double t15296, t15302, t15307, t15309, t15317, t15325, t15346, t15348;
  double t15363, t15366, t15371, t15391, t15406, t15419, t15421, t15424;
  double t15426, t15430, t15434, t15440, tv4rho3tau0, t15444, t15445, t15446;
  double t15449, t15450, t15451, t15454, t15466, t15470, t15474, t15482;
  double t15483, t15484, t15485, t15489, t15493, t15495, t15497, t15498;
  double t15500, t15501, t15502, t15505, t15508, t15509, t15510, t15516;
  double t15520, t15521, t15522, t15528, t15529, t15530, t15533, t15534;
  double t15537, t15538, t15539, t15540, t15541, t15547, t15552, t15553;
  double t15554, t15568, t15570, t15571, t15575, t15576, t15577, t15580;
  double t15581, t15584, t15593, t15602, t15603, t15606, t15607, t15609;
  double t15612, t15615, t15616, t15619, t15622, t15632, t15636, t15640;
  double t15641, t15643, t15648, t15649, t15651, t15654, t15660, t15661;
  double t15665, t15667, t15670, t15671, t15680, t15683, t15686, t15689;
  double t15692, t15693, t15699, t15703, t15709, t15713, t15717, t15718;
  double t15721, t15722, t15725, t15727, t15730, t15731, t15735, t15736;
  double t15739, t15741, t15743, t15745, t15746, t15748, t15749, t15750;
  double t15752, t15760, t15761, t15765, t15766, t15770, t15773, t15776;
  double t15779, t15786, t15795, t15800, t15805, t15807, t15810, t15812;
  double t15813, t15814, t15815, t15816, t15817, t15818, t15828, t15830;
  double t15832, t15833, t15847, t15851, t15852, t15853, t15856, t15861;
  double t15864, t15866, t15869, t15872, t15878, t15892, t15895, t15896;
  double t15899, t15913, t15916, t15927, t15929, t15930, t15934, t15937;
  double t15939, t15942, t15945, t15950, t15952, t15953, t15955, t15956;
  double t15958, t15960, t15961, t15978, t15979, t15980, t15989, t15995;
  double t15996, t15999, t16026, t16036, t16042, t16044, t16046, t16049;
  double t16050, t16052, t16060, t16062, t16064, t16066, t16070, t16074;
  double t16078, t16082, t16083, t16090, t16094, t16098, t16104, t16108;
  double t16109, t16113, t16116, t16121, t16124, t16127, t16128, t16131;
  double t16134, t16141, t16143, t16144, t16158, t16159, t16162, t16169;
  double t16173, t16175, t16177, t16179, t16181, t16182, t16184, t16185;
  double t16187, t16189, t16190, t16192, t16194, t16195, t16210, t16213;
  double t16218, t16225, t16230, t16236, t16237, t16243, t16245, t16247;
  double t16248, t16251, t16253, t16261, t16269, t16272, t16284, t16287;
  double t16299, t16321, t16335, t16342, t16343, t16345, t16350, t16351;
  double t16354, t16355, t16358, t16359, t16360, t16362, t16365, t16366;
  double t16369, t16376, t16379, t16381, t16386, t16387, t16392, t16393;
  double t16396, t16399, t16402, t16406, t16408, t16409, t16411, t16413;
  double t16414, t16416, t16418, t16420, t16421, t16424, t16427, t16430;
  double t16433, t16436, t16440, t16441, t16444, t16453, t16456, t16460;
  double t16472, t16475, t16479, t16481, t16488, t16495, t16496, t16499;
  double t16500, t16505, t16510, t16513, t16517, t16518, t16520, t16523;
  double t16526, t16528, t16532, t16533, t16536, t16537, t16538, t16539;
  double t16542, t16546, t16549, t16552, t16556, t16563, t16575, t16576;
  double t16579, t16584, t16587, t16589, t16598, t16601, t16603, t16606;
  double t16607, t16608, t16611, t16612, t16613, t16614, t16615, t16618;
  double t16621, t16624, t16625, t16630, t16631, t16634, t16637, t16640;
  double t16643, t16648, t16651, t16655, t16659, t16661, t16664, t16667;
  double t16670, t16673, t16678, t16681, t16682, t16683, t16684, t16685;
  double t16687, t16690, t16691, t16694, t16695, t16696, t16699, t16700;
  double t16703, t16704, t16712, t16722, t16724, t16725, t16726, t16727;
  double t16730, t16733, t16736, t16739, t16741, t16742, t16743, t16744;
  double t16747, t16750, t16754, t16757, t16760, t16765, t16769, t16772;
  double t16776, t16779, t16784, t16789, t16792, t16802, t16804, t16813;
  double t16817, t16820, t16822, t16826, t16829, t16835, t16841, t16843;
  double t16847, t16850, t16851, t16854, t16858, t16863, t16865, t16868;
  double t16869, t16872, t16876, t16887, t16891, t16894, t16900, t16903;
  double t16906, t16911, t16914, t16917, t16921, t16928, t16932, t16936;
  double t16939, t16942, t16945, t16952, t16959, t16962, t16966, t16971;
  double t16976, t16979, t16984, t16987, t16991, t16995, t17001, t17006;
  double t17023, t17032, t17034, t17039, t17046, t17049, t17053, t17058;
  double t17065, t17067, t17068, t17072, t17075, t17080, t17083, t17086;
  double t17091, t17093, t17102, t17105, t17107, t17113, t17119, t17121;
  double t17123, t17124, t17126, t17132, t17138, t17142, t17143, t17145;
  double t17148, t17150, t17171, t17173, t17190, t17193, t17197, t17201;
  double t17204, t17208, t17211, t17216, t17222, t17254, t17259, t17264;
  double t17278, t17286, t17289, t17294, t17300, t17303, t17312, t17327;
  double t17329, t17332, t17335, t17338, t17343, t17346, t17349, t17353;
  double t17359, t17367, t17368, t17371, t17372, t17379, t17384, t17389;
  double t17393, t17400, t17404, t17407, t17410, t17425, t17429, t17437;
  double t17446, t17457, t17463, t17465, t17481, t17491, t17497, t17501;
  double t17504, t17509, t17520, t17523, t17526, t17527, t17530, t17533;
  double t17543, t17546, t17549, t17556, t17562, tv4rho2sigma20, t17576, t17584;
  double t17595, t17596, t17599, t17600, t17603, t17604, t17605, t17606;
  double t17609, t17610, t17613, t17614, t17617, t17618, t17621, t17624;
  double t17629, t17634, t17641, t17646, t17647, t17648, t17651, t17652;
  double t17653, t17656, t17659, t17668, t17677, t17680, t17682, t17683;
  double t17687, t17688, t17691, t17692, t17706, t17709, t17732, t17744;
  double t17747, t17750, t17753, t17754, t17765, t17766, t17767, t17770;
  double t17771, t17774, t17783, t17788, t17791, t17794, t17797, t17800;
  double t17804, t17809, t17816, t17817, t17822, t17827, t17830, t17838;
  double t17843, t17846, t17853, t17862, t17867, t17877, t17882, t17887;
  double t17890, t17893, t17896, t17913, t17915, t17918, t17919, t17922;
  double t17925, t17930, t17945, t17956, t17959, t17964, t17975, t17984;
  double t17985, t17991, t17992, t17994, t17997, t18012, t18016, t18019;
  double t18023, t18027, t18028, t18031, t18035, t18036, t18039, t18040;
  double t18041, t18044, t18053, t18059, t18062, t18067, t18068, t18069;
  double t18072, t18074, t18077, t18080, t18081, t18086, t18089, t18092;
  double t18095, t18120, t18121, t18138, t18141, t18149, t18150, t18153;
  double t18158, t18159, t18162, t18165, t18175, t18189, t18200, t18220;
  double t18221, t18234, t18258, t18261, t18266, t18269, t18287, t18295;
  double t18296, t18297, t18299, t18300, t18303, t18304, t18307, t18310;
  double t18314, t18327, t18331, t18354, t18363, t18365, t18387, t18392;
  double t18396, t18401, t18410, t18418, t18421, t18434, t18442, t18444;
  double t18451, t18452, t18456, t18461, t18464, t18476, t18481, t18482;
  double t18489, t18508, t18522, t18525, t18529, t18530, t18531, t18534;
  double t18535, t18536, t18539, t18543, t18544, t18548, t18552, t18565;
  double t18568, t18569, t18572, t18589, t18600, t18603, t18604, t18608;
  double t18615, t18618, t18635, t18640, t18646, t18660, t18664, t18665;
  double t18671, t18674, t18676, t18677, t18680, t18698, t18703, t18706;
  double t18709, t18717, t18720, t18731, t18732, t18737, t18757, t18758;
  double t18759, t18762, t18769, t18770, t18771, t18780, t18785, t18787;
  double t18790, t18792, t18795, t18798, t18799, t18803, t18805, t18808;
  double t18815, t18819, t18827, t18839, t18841, t18848, t18852, t18854;
  double t18858, t18863, t18867, t18869, t18871, t18876, t18883, t18898;
  double t18900, t18903, t18911, t18912, t18915, t18918, t18921, t18922;
  double t18932, t18955, t18961, t18970, t18971, t18981, t18988, t18989;
  double t18992, t18995, t19005, t19010, t19014, t19022, t19031, t19039;
  double t19040, t19043, t19048, t19066, t19075, t19092, t19095, t19098;
  double t19119, t19135, t19138, t19144, t19147, t19148, t19169, t19178;
  double t19183, t19185, t19207, t19211, t19214, t19223, t19243, t19245;
  double t19256, t19261, t19264, t19269, t19270, t19273, t19277, t19278;
  double t19280, t19293, t19296, t19297, t19300, t19303, t19304, t19307;
  double t19313, t19317, t19320, t19324, t19326, t19330, t19334, t19349;
  double t19359, t19362, t19376, t19383, t19388, t19394, t19399, t19408;
  double t19411, t19416, t19425, t19429, t19435, t19444, t19453, t19463;
  double t19470, t19473, t19477, t19484, t19489, t19493, t19499, t19500;
  double t19504, t19505, t19514, t19518, t19522, t19528, t19538, t19542;
  double t19550, t19562, t19567, t19572, t19579, t19596, t19599, t19603;
  double t19610, tv4rho2sigmalapl0, t19622, t19623, t19636, t19651, t19655, t19666;
  double t19672, t19674, t19695, t19722, t19746, t19750, t19755, t19765;
  double t19767, t19769, t19770, t19771, t19784, t19795, t19796, t19800;
  double t19801, t19826, t19853, t19869, t19882, t19883, t19885, t19909;
  double t19910, t19917, t19920, t19931, t19941, t19942, t19943, t19948;
  double t19949, t19954, t19957, t19958, t19959, t19964, t19967, t19979;
  double t19982, t19983, t19988, t19995, t20017, t20020, t20025, t20052;
  double t20055, t20084, t20102, t20103, t20113, t20127, t20140, t20143;
  double t20173, t20191, t20218, t20227, t20228, t20235, t20248, t20271;
  double t20274, t20275, t20276, t20283, t20291, t20301, t20306, t20309;
  double t20310, t20313, t20323, t20344, t20351, t20358, t20366, t20371;
  double t20380, t20396, t20408, t20425, t20449, t20471, t20497, t20503;
  double t20506, t20507, t20521, t20537, t20548, t20553, t20568, t20571;
  double t20580, t20585, t20588, t20595, t20601, t20606, t20623, t20626;
  double t20647, t20673, t20695, t20700, t20725, t20752, t20777, t20795;
  double t20814, t20840, t20857, t20859, t20868, t20885, t20906, t20913;
  double t20928, t20937, t20948, t20951, t20952, t20957, t20960, t20968;
  double t20979, t20983, t20985, t20992, t20997, t21000, t21012, t21021;
  double t21050, t21059, t21063, t21068, t21073, t21080, t21083, t21088;
  double t21105, t21124, t21133, t21156, t21164, t21165, t21168, t21188;
  double t21197, t21200, t21213, t21214, t21231, t21246, t21258, t21273;
  double t21282, t21286, t21291, t21306, t21334, t21337, t21338, t21350;
  double t21362, t21366, t21384, t21387, t21400, t21401, t21422, t21433;
  double t21435, t21438, t21450, t21470, t21472, t21475, t21479, t21480;
  double t21483, t21487, t21519, t21521, t21549, t21568, t21573, t21605;
  double t21610, t21611, t21623, t21648, t21651, t21652, t21655, t21658;
  double t21663, t21671, t21686, t21691, t21699, t21703, t21705, t21711;
  double t21726, t21743, t21756, t21763, tv4rho2sigmatau0, t21767, t21768, t21773;
  double t21784, t21785, t21786, t21789, t21792, t21793, t21794, t21797;
  double t21799, t21802, t21805, t21808, t21809, t21816, t21819, t21824;
  double t21825, t21828, t21829, t21837, t21840, t21843, t21848, t21853;
  double t21858, t21861, t21866, t21871, t21885, t21895, t21918, t21921;
  double t21928, t21931, t21936, t21939, t21940, t21942, t21944, t21947;
  double t21949, t21950, t21953, t21954, t21955, t21958, t21959, t21962;
  double t21967, t21970, t21973, t21978, t21981, t21982, t21983, t21987;
  double t21990, t21991, t21998, t22005, t22006, t22011, t22012, t22015;
  double t22017, t22023, t22026, t22029, t22034, t22046, t22047, t22050;
  double t22074, t22088, t22091, t22094, t22098, t22101, t22105, t22106;
  double t22107, t22110, t22113, t22122, t22125, t22131, t22134, t22141;
  double t22145, t22148, t22151, t22154, t22157, t22162, t22165, t22166;
  double t22167, t22170, t22171, t22173, t22185, t22186, t22189, t22190;
  double t22193, t22198, t22201, t22204, t22213, t22216, t22219, t22223;
  double t22232, t22242, t22243, t22246, t22249, t22252, t22255, t22257;
  double t22260, t22263, t22266, t22271, t22272, t22275, t22280, t22288;
  double t22304, t22306, t22309, t22311, t22325, t22329, t22337, t22353;
  double t22369, t22382, t22390, t22394, t22395, t22430, t22452, t22458;
  double t22459, t22463, t22466, t22468, t22472, t22475, t22477, t22480;
  double t22497, t22508, t22511, t22514, t22515, t22532, t22543, t22546;
  double t22549, t22558, t22562, t22571, t22578, t22596, t22599, t22600;
  double t22605, t22615, t22642, t22649, t22665, t22672, t22673, t22676;
  double t22677, t22680, t22687, t22691, t22696, t22697, t22698, t22705;
  double t22709, t22727, t22729, t22736, t22742, t22748, t22750, t22765;
  double t22769, t22784, t22786, t22791, t22796, t22808, t22810, t22817;
  double t22822, t22824, t22827, t22832, t22846, t22851, t22854, t22856;
  double t22857, t22861, t22864, t22871, t22893, t22896, t22899, t22907;
  double t22911, t22931, t22937, t22941, t22944, t22948, t22952, t22956;
  double t22959, t22960, t22964, t22968, t22983, t22986, t22993, t22999;
  double t23005, t23007, t23010, t23022, t23032, t23037, t23040, t23049;
  double t23051, t23057, t23058, t23061, t23065, t23066, t23073, t23076;
  double t23078, t23081, t23086, t23089, t23090, t23111, t23115, t23119;
  double t23122, t23123, t23127, t23130, t23134, t23140, t23145, t23148;
  double t23151, t23162, t23163, t23172, t23174, t23177, t23181, t23184;
  double t23187, t23194, t23198, t23207, t23218, t23227, t23233, t23244;
  double t23247, t23251, t23253, t23256, t23259, t23262, t23271, t23279;
  double t23293, t23294, t23300, t23304, t23310, t23316, t23335, t23340;
  double t23351, t23358, t23386, t23387, t23392, t23395, t23398, t23413;
  double t23416, t23421, t23425, t23435, t23436, t23439, t23444, t23447;
  double t23457, t23460, t23464, t23472, t23475, t23484, t23489, t23492;
  double t23503, t23505, t23508, t23514, tv4rho2lapl20, t23539, t23544, t23548;
  double t23555, t23559, t23576, t23603, t23626, t23632, t23636, t23665;
  double t23666, t23667, t23675, t23676, t23680, t23696, t23698, t23699;
  double t23731, t23747, t23748, t23761, t23772, t23786, t23791, t23810;
  double t23815, t23818, t23841, t23870, t23889, t23915, t23919, t23951;
  double t23955, t23956, t23966, t23968, t23991, t24022, t24049, t24075;
  double t24082, t24084, t24108, t24131, t24150, t24157, t24174, t24179;
  double t24189, t24195, t24206, t24212, t24240, t24271, t24275, t24291;
  double t24304, t24319, t24329, t24330, t24334, t24335, t24340, t24345;
  double t24346, t24347, t24357, t24358, t24362, t24385, t24406, t24432;
  double t24449, t24465, t24473, t24478, t24483, t24489, t24497, t24503;
  double t24506, t24527, t24553, t24562, t24576, t24586, t24588, t24598;
  double t24613, t24639, t24667, t24678, t24688, t24692, t24696, t24704;
  double t24709, t24720, t24727, t24734, t24743, t24748, t24766, t24784;
  double t24802, t24808, t24836, t24850, t24866, t24886, t24896, t24919;
  double t24952, t24967, t24970, t24971, t25002, t25006, t25011, t25018;
  double t25040, t25073, t25087, t25116, t25129, t25155, t25176, t25180;
  double t25183, t25186, t25202, t25212, t25216, t25226, t25237, t25244;
  double t25251, t25252, t25261, t25274, t25279, t25285, t25312, t25341;
  double t25350, t25371, t25375, t25380, t25404, t25429, t25433, t25463;
  double t25486, t25517, t25532, t25550, t25553, t25582, t25598, t25610;
  double t25629, t25649, t25682, t25711, t25722, t25741, t25748, tv4rho2lapltau0;
  double t25752, t25757, t25762, t25766, t25785, t25787, t25806, t25812;
  double t25824, t25825, t25831, t25832, t25840, t25841, t25842, t25847;
  double t25852, t25861, t25864, t25871, t25873, t25876, t25879, t25911;
  double t25928, t25936, t25943, t25949, t25961, t25971, t25977, t25980;
  double t25984, t25991, t26002, t26009, t26013, t26016, t26019, t26020;
  double t26028, t26031, t26036, t26060, t26061, t26077, t26081, t26085;
  double t26091, t26094, t26098, t26099, t26103, t26105, t26114, t26122;
  double t26123, t26128, t26149, t26160, t26172, t26175, t26180, t26203;
  double t26206, t26211, t26212, t26213, t26222, t26225, t26226, t26235;
  double t26240, t26262, t26268, t26270, t26285, t26288, t26300, t26305;
  double t26323, t26327, t26340, t26356, t26357, t26374, t26383, t26390;
  double t26392, t26402, t26411, t26415, t26418, t26420, t26429, t26440;
  double t26454, t26475, t26508, t26536, t26540, t26546, t26560, t26596;
  double t26599, t26609, t26610, t26615, t26617, t26621, t26626, t26638;
  double t26642, t26652, t26657, t26662, t26665, t26671, t26681, t26690;
  double t26703, t26727, t26731, t26733, t26768, t26777, t26785, t26788;
  double t26797, t26802, t26809, t26826, t26841, t26851, t26857, t26861;
  double t26869, t26901, t26906, t26911, t26915, t26931, t26944, t26953;
  double t26971, t26980, t26982, t27017, t27046, t27068, t27073, t27088;
  double t27092, t27103, t27113, t27117, t27130, t27131, t27135, t27139;
  double t27151, t27156, t27159, t27161, t27181, t27182, t27185, t27189;
  double t27190, t27195, t27200, t27204, t27209, t27224, t27225, t27237;
  double t27239, t27261, t27267, t27275, t27291, t27297, t27314, t27339;
  double t27345, t27353, t27359, t27368, t27395, t27404, t27423, t27448;
  double t27469, t27495, t27508, t27520, t27528, t27593, t27622, t27645;
  double t27653, t27672, t27700, t27727, t27749, t27771, t27779, t27788;
  double t27795, t27822, t27832, t27837, t27849, t27865, t27894, t27919;
  double t27938, t27945, tv4rho2tau20, t27950, t27956, t27957, t27958, t27962;
  double t27966, t27972, t27976, t27980, t27985, t27989, t27991, t27994;
  double t27995, t27997, t27998, t28000, t28001, t28002, t28004, t28005;
  double t28006, t28008, t28009, t28012, t28014, t28018, t28027, t28028;
  double t28029, t28035, t28039, t28041, t28042, t28053, t28056, t28059;
  double t28061, t28064, t28065, t28073, t28074, t28077, t28080, t28081;
  double t28085, t28107, t28110, t28115, t28133, t28136, t28139, t28140;
  double t28141, t28143, t28144, t28146, t28147, t28149, t28150, t28152;
  double t28154, t28155, t28156, t28159, t28164, t28165, t28172, t28174;
  double t28175, t28179, t28190, t28192, t28194, t28196, t28201, t28202;
  double t28207, t28211, t28215, t28217, t28223, t28225, t28226, t28227;
  double t28228, t28229, t28230, t28231, t28232, t28235, t28237, t28240;
  double t28241, t28243, t28248, t28252, t28260, t28261, t28262, t28265;
  double t28268, t28270, t28273, t28275, t28277, t28278, t28279, t28290;
  double t28292, t28294, t28296, t28298, t28301, t28312, t28314, t28318;
  double t28323, t28329, t28331, t28333, t28334, t28339, t28340, t28346;
  double t28348, t28355, t28372, t28374, t28376, t28377, t28378, t28379;
  double t28380, t28382, t28383, t28402, t28405, t28406, t28410, t28415;
  double t28419, t28423, t28426, t28437, t28439, t28441, t28445, t28448;
  double t28449, t28452, t28453, t28455, t28457, t28458, t28465, t28466;
  double t28468, t28471, t28473, t28476, t28487, t28492, t28512, t28521;
  double t28522, t28527, t28530, t28531, t28532, t28535, t28539, t28541;
  double t28542, t28556, t28563, t28564, t28573, t28576, t28578, t28579;
  double t28580, t28582, t28583, t28587, t28588, t28592, t28596, t28597;
  double t28600, t28604, t28606, t28613, t28615, t28622, t28631, t28647;
  double t28652, t28664, t28667, t28668, t28678, t28681, t28685, t28688;
  double t28692, t28698, t28700, t28711, t28715, t28720, t28723, t28726;
  double t28732, t28739, t28743, t28745, t28746, t28748, t28754, t28757;
  double t28762, t28765, t28770, t28772, t28780, t28787, t28794, t28795;
  double t28797, t28799, t28802, t28807, t28810, t28826, t28828, t28836;
  double t28838, t28841, t28845, t28849, t28860, t28865, t28867, t28870;
  double t28877, t28881, t28882, t28889, t28893, t28894, t28897, t28900;
  double t28907, t28911, t28912, t28915, t28918, t28919, t28920, t28923;
  double t28924, t28925, t28926, t28927, t28928, t28930, t28931, t28934;
  double t28937, t28941, t28943, t28945, t28947, t28951, t28955, t28958;
  double t28962, t28963, t28966, t28967, t28970, t28973, t28979, t28982;
  double t28985, t28987, t28991, t28992, t28993, t28997, t29000, t29004;
  double t29008, t29011, t29013, t29016, t29019, t29020, t29023, t29025;
  double t29026, t29028, t29036, t29041, t29042, t29044, t29046, t29047;
  double t29050, t29053, t29056, t29061, t29062, t29064, t29065, t29072;
  double t29075, t29076, t29077, t29079, t29086, t29089, t29101, t29106;
  double t29108, t29109, t29112, t29118, t29123, t29132, t29137, t29141;
  double t29144, t29148, t29153, t29158, t29160, t29162, t29163, t29164;
  double t29165, t29166, t29167, t29168, t29170, t29173, t29176, t29180;
  double t29183, t29185, t29189, t29191, t29198, t29201, t29204, t29207;
  double t29208, t29211, t29222, t29226, t29229, t29230, t29233, t29234;
  double t29238, t29240, t29241, t29242, t29245, t29247, t29249, t29252;
  double t29264, t29270, t29271, t29272, t29274, t29286, t29287, t29297;
  double t29311, t29313, t29318, t29321, t29328, t29335, t29341, t29346;
  double t29350, t29353, t29354, t29355, t29358, t29361, t29364, t29368;
  double t29371, t29376, t29379, t29384, t29393, t29398, t29407, t29418;
  double t29424, t29427, t29431, t29433, t29436, t29437, t29440, t29447;
  double t29450, t29454, t29457, t29462, t29465, t29473, t29479, tv4rhosigma30;
  double t29482, t29483, t29486, t29487, t29492, t29493, t29498, t29499;
  double t29502, t29503, t29504, t29505, t29506, t29507, t29510, t29511;
  double t29517, t29518, t29521, t29522, t29526, t29527, t29529, t29532;
  double t29533, t29536, t29538, t29540, t29545, t29548, t29552, t29553;
  double t29562, t29564, t29567, t29572, t29573, t29576, t29584, t29591;
  double t29592, t29593, t29597, t29601, t29605, t29606, t29610, t29617;
  double t29624, t29628, t29632, t29634, t29641, t29645, t29649, t29654;
  double t29657, t29658, t29668, t29673, t29674, t29675, t29676, t29677;
  double t29678, t29679, t29680, t29681, t29682, t29683, t29688, t29697;
  double t29698, t29705, t29706, t29721, t29722, t29727, t29738, t29743;
  double t29752, t29753, t29758, t29759, t29760, t29761, t29762, t29763;
  double t29764, t29766, t29767, t29768, t29769, t29772, t29773, t29776;
  double t29779, t29782, t29783, t29786, t29789, t29790, t29795, t29798;
  double t29800, t29803, t29804, t29805, t29807, t29810, t29811, t29822;
  double t29823, t29830, t29833, t29834, t29837, t29841, t29844, t29845;
  double t29846, t29851, t29857, t29864, t29865, t29874, t29877, t29880;
  double t29896, t29897, t29901, t29911, t29914, t29915, t29918, t29922;
  double t29923, t29924, t29925, t29926, t29927, t29942, t29943, t29944;
  double t29945, t29946, t29947, t29948, t29949, t29950, t29951, t29952;
  double t29953, t29954, t29955, t29956, t29957, t29960, t29962, t29963;
  double t29985, t29988, t29993, t29994, t29995, t29996, t29997, t30002;
  double t30007, t30017, t30018, t30019, t30020, t30023, t30024, t30025;
  double t30026, t30027, t30030, t30033, t30036, t30045, t30054, t30055;
  double t30068, t30071, t30074, t30083, t30093, t30094, t30098, t30100;
  double t30101, t30102, t30104, t30105, t30107, t30108, t30109, t30112;
  double t30115, t30118, t30122, t30126, t30127, t30128, t30131, t30132;
  double t30133, t30136, t30139, t30140, t30141, t30142, t30145, t30150;
  double t30153, t30159, t30171, t30192, t30195, t30198, t30199, t30203;
  double t30204, t30213, t30216, t30218, t30220, t30221, t30222, t30223;
  double t30224, t30225, t30226, t30227, t30228, t30229, t30230, t30238;
  double t30240, t30255, t30259, t30260, t30263, t30265, t30266, t30269;
  double t30287, t30288, t30300, t30304, t30305, t30306, t30307, t30308;
  double t30309, t30310, t30311, t30312, t30318, t30319, t30322, t30323;
  double t30326, t30327, t30328, t30329, t30332, t30334, t30335, t30336;
  double t30337, t30338, t30339, t30340, t30341, t30344, t30345, t30346;
  double t30350, t30351, t30354, t30355, t30356, t30357, t30360, t30363;
  double t30364, t30365, t30366, t30369, t30370, t30371, t30372, t30378;
  double t30379, t30380, t30381, t30382, t30385, t30388, t30391, t30401;
  double t30404, t30407, t30408, t30409, t30410, t30411, t30412, t30413;
  double t30414, t30415, t30416, t30417, t30418, t30419, t30420, t30425;
  double t30428, t30429, t30430, t30433, t30434, t30437, t30438, t30441;
  double t30442, t30443, t30444, t30445, t30448, t30453, t30456, t30460;
  double t30463, t30466, t30469, t30472, t30475, t30478, t30481, t30488;
  double t30491, t30500, t30503, t30506, t30509, t30516, t30520, t30521;
  double t30522, t30523, t30524, t30525, t30526, t30531, t30534, t30535;
  double t30536, t30537, t30538, t30539, t30540, t30541, t30542, t30543;
  double t30546, t30549, t30552, t30555, t30558, t30563, t30564, t30571;
  double t30572, t30573, t30575, t30576, t30589, t30592, t30593, t30598;
  double t30600, t30603, t30606, t30611, t30616, t30617, t30620, t30625;
  double t30626, t30627, t30628, t30633, t30634, t30635, t30636, t30643;
  double t30646, t30649, t30652, t30661, t30668, t30670, t30671, t30672;
  double t30675, t30676, t30677, t30678, t30679, t30680, t30681, t30682;
  double t30683, t30684, t30685, t30688, t30691, t30694, t30697, t30702;
  double t30705, t30708, t30711, t30722, t30723, t30725, t30726, t30727;
  double t30728, t30730, t30736, t30739, t30740, t30741, t30742, t30746;
  double t30747, t30752, t30756, t30760, t30761, t30764, t30767, t30768;
  double t30769, t30770, t30771, t30772, t30773, t30774, t30775, t30776;
  double t30779, t30782, t30783, t30790, t30800, t30804, t30806, t30810;
  double t30818, t30820, t30825, t30826, t30828, t30829, t30830, t30831;
  double t30833, t30845, t30846, t30847, t30848, t30849, t30851, t30852;
  double t30853, t30855, t30856, t30857, t30859, t30860, t30861, t30862;
  double t30863, t30864, t30865, t30866, t30870, t30874, t30878, t30884;
  double t30898, t30899, t30900, t30901, t30904, t30908, t30909, t30910;
  double t30919, t30922, t30926, t30934, t30941, t30944, t30946, t30947;
  double t30948, t30949, t30951, t30957, t30960, t30961, t30962, t30976;
  double t30979, t30982, t30983, t30985, t30988, t30995, t31002, t31006;
  double t31019, t31022, t31025, t31032, t31034, t31037, t31049, t31050;
  double t31051, t31052, t31054, t31055, t31064, t31065, t31067, t31068;
  double t31069, t31072, t31077, t31080, t31081, t31082, t31083, t31084;
  double t31087, t31090, t31097, t31101, t31105, t31106, t31107, t31108;
  double t31119, t31120, t31121, t31122, t31123, t31124, t31125, t31130;
  double t31132, t31133, t31134, t31136, t31141, t31142, t31144, t31145;
  double t31146, t31147, t31148, t31151, t31154, t31156, t31164, t31167;
  double t31171, t31174, t31178, t31189, t31192, t31195, t31196, t31197;
  double t31208, t31215, t31223, t31230, t31231, t31232, t31235, t31236;
  double t31242, tv4rhosigma2lapl0, t31266, t31285, t31286, t31287, t31288, t31289;
  double t31315, t31316, t31319, t31324, t31329, t31330, t31331, t31334;
  double t31335, t31345, t31355, t31366, t31367, t31380, t31385, t31402;
  double t31422, t31428, t31431, t31432, t31435, t31440, t31456, t31475;
  double t31483, t31485, t31486, t31487, t31488, t31489, t31490, t31491;
  double t31492, t31493, t31494, t31495, t31496, t31497, t31498, t31499;
  double t31506, t31513, t31514, t31515, t31516, t31527, t31528, t31529;
  double t31532, t31533, t31534, t31554, t31555, t31558, t31559, t31560;
  double t31571, t31572, t31581, t31585, t31594, t31595, t31603, t31611;
  double t31612, t31615, t31616, t31619, t31620, t31631, t31632, t31633;
  double t31638, t31639, t31645, t31649, t31651, t31654, t31656, t31659;
  double t31661, t31662, t31663, t31665, t31666, t31672, t31673, t31674;
  double t31675, t31676, t31681, t31682, t31685, t31686, t31689, t31690;
  double t31697, t31711, t31712, t31713, t31714, t31715, t31735, t31745;
  double t31756, t31757, t31758, t31759, t31760, t31761, t31772, t31773;
  double t31774, t31775, t31776, t31788, t31789, t31790, t31791, t31795;
  double t31796, t31797, t31819, t31820, t31821, t31822, t31823, t31850;
  double t31872, t31880, t31881, t31882, t31883, t31884, t31885, t31886;
  double t31887, t31898, t31901, t31902, t31909, t31910, t31911, t31921;
  double t31922, t31923, t31924, t31925, t31926, t31927, t31938, t31956;
  double t31968, t31971, t31972, t31973, t31980, t31995, t31996, t31997;
  double t31999, t32000, t32001, t32013, t32040, t32061, t32073, t32074;
  double t32085, t32090, t32091, t32112, t32122, t32123, t32124, t32125;
  double t32126, t32127, t32132, t32145, t32156, t32181, t32184, t32185;
  double t32187, t32202, t32211, t32212, t32214, t32218, t32227, t32229;
  double t32230, t32231, t32234, t32235, t32237, t32238, t32240, t32241;
  double t32259, t32266, t32293, t32294, t32296, t32297, t32299, t32300;
  double t32301, t32320, t32334, t32335, t32339, t32340, t32345, t32346;
  double t32349, t32352, t32371, t32382, t32390, t32393, t32396, t32401;
  double t32408, t32412, t32413, t32416, t32423, t32430, t32431, t32436;
  double t32451, t32452, t32453, t32464, t32477, t32478, t32479, t32480;
  double t32483, t32486, t32489, t32490, t32506, t32511, t32538, t32562;
  double t32563, t32564, t32574, t32586, t32587, t32601, t32630, t32656;
  double t32659, t32660, t32662, t32663, t32681, t32686, t32687, t32697;
  double t32698, t32700, t32701, t32702, t32703, t32705, t32706, t32707;
  double t32718, t32719, t32720, t32721, t32722, t32723, t32731, t32734;
  double t32738, t32742, t32743, t32747, t32750, t32751, t32755, t32760;
  double t32770, t32774, t32776, t32777, t32778, t32784, t32789, t32790;
  double t32795, t32801, t32802, t32803, t32804, t32813, t32816, t32819;
  double t32820, t32821, t32822, t32845, t32847, t32851, t32862, t32871;
  double t32875, t32878, t32885, t32888, t32892, t32893, t32894, t32895;
  double t32898, t32899, t32900, t32901, t32902, t32903, t32914, t32919;
  double t32920, t32923, t32941, t32942, t32944, t32945, t32949, t32954;
  double t32955, t32957, t32958, t32967, t32978, t32987, t32988, t32999;
  double t33006, tv4rhosigma2tau0, t33009, t33010, t33011, t33012, t33013, t33014;
  double t33015, t33016, t33020, t33021, t33025, t33027, t33031, t33036;
  double t33040, t33044, t33045, t33048, t33049, t33052, t33053, t33054;
  double t33057, t33062, t33066, t33068, t33073, t33075, t33078, t33105;
  double t33106, t33107, t33108, t33109, t33110, t33111, t33112, t33119;
  double t33120, t33121, t33124, t33133, t33134, t33150, t33155, t33156;
  double t33159, t33160, t33168, t33169, t33176, t33179, t33182, t33184;
  double t33188, t33192, t33193, t33200, t33212, t33219, t33220, t33223;
  double t33226, t33231, t33240, t33244, t33246, t33250, t33251, t33257;
  double t33261, t33265, t33298, t33323, t33336, t33355, t33357, t33359;
  double t33369, t33370, t33371, t33372, t33373, t33374, t33375, t33376;
  double t33377, t33378, t33380, t33381, t33382, t33383, t33384, t33385;
  double t33386, t33387, t33388, t33390, t33402, t33410, t33411, t33413;
  double t33414, t33415, t33418, t33419, t33420, t33426, t33433, t33436;
  double t33438, t33442, t33443, t33444, t33447, t33450, t33453, t33456;
  double t33457, t33464, t33475, t33477, t33485, t33486, t33489, t33490;
  double t33491, t33496, t33500, t33504, t33507, t33508, t33509, t33510;
  double t33511, t33512, t33515, t33516, t33517, t33520, t33526, t33531;
  double t33533, t33534, t33541, t33550, t33551, t33552, t33553, t33560;
  double t33561, t33562, t33563, t33564, t33566, t33567, t33568, t33569;
  double t33570, t33571, t33572, t33585, t33586, t33591, t33594, t33599;
  double t33631, t33632, t33634, t33635, t33636, t33640, t33653, t33657;
  double t33658, t33659, t33660, t33667, t33675, t33678, t33679, t33680;
  double t33681, t33682, t33683, t33687, t33691, t33694, t33697, t33698;
  double t33702, t33703, t33704, t33707, t33722, t33731, t33744, t33762;
  double t33763, t33765, t33769, t33776, t33781, t33788, t33789, t33792;
  double t33795, t33796, t33799, t33802, t33805, t33808, t33811, t33814;
  double t33826, t33830, t33836, t33837, t33849, t33856, t33857, t33858;
  double t33869, t33875, t33878, t33879, t33892, t33899, t33904, t33916;
  double t33919, t33921, t33924, t33928, t33930, t33935, t33940, t33942;
  double t33945, t33948, t33952, t33959, t33967, t33970, t33974, t33978;
  double t33998, t34002, t34005, t34006, t34007, t34025, t34028, t34034;
  double t34035, t34046, t34048, t34052, t34053, t34060, t34061, t34066;
  double t34067, t34070, t34073, t34074, t34078, t34081, t34084, t34085;
  double t34088, t34093, t34096, t34099, t34103, t34106, t34107, t34108;
  double t34109, t34110, t34111, t34112, t34114, t34115, t34116, t34117;
  double t34118, t34121, t34122, t34127, t34132, t34135, t34142, t34143;
  double t34146, t34147, t34150, t34153, t34156, t34157, t34160, t34161;
  double t34164, t34167, t34172, t34175, t34176, t34177, t34185, t34200;
  double t34204, t34205, t34207, t34208, t34210, t34217, t34220, t34225;
  double t34228, t34229, t34230, t34231, t34232, t34233, t34234, t34235;
  double t34236, t34237, t34239, t34240, t34241, t34242, t34243, t34244;
  double t34247, t34250, t34251, t34252, t34257, t34260, t34263, t34266;
  double t34267, t34268, t34269, t34270, t34271, t34280, t34283, t34287;
  double t34288, t34289, t34290, t34291, t34292, t34293, t34296, t34297;
  double t34301, t34304, t34308, t34311, t34312, t34317, t34320, t34323;
  double t34325, t34328, t34329, t34330, t34331, t34334, t34337, t34348;
  double t34350, t34354, t34356, t34361, t34364, t34369, t34372, t34378;
  double t34379, t34385, t34388, t34391, t34394, t34397, t34398, t34399;
  double t34400, t34401, t34402, t34403, t34406, t34411, t34416, t34419;
  double t34432, t34433, t34434, t34441, t34444, t34447, t34450, t34457;
  double t34460, t34462, t34463, t34464, t34465, t34466, t34467, t34468;
  double t34469, t34470, t34471, t34474, t34477, t34480, t34483, t34486;
  double t34490, t34494, t34497, t34500, t34501, t34502, t34505, t34510;
  double t34515, t34518, t34521, t34530, t34533, t34546, t34549, t34550;
  double t34551, t34552, t34553, t34554, t34561, t34572, t34587, t34588;
  double t34597, t34604, t34605, t34607, t34608, t34609, t34610, t34611;
  double t34612, t34613, t34614, t34616, t34618, t34623, t34632, t34637;
  double t34642, t34645, t34647, t34650, t34659, t34660, t34661, t34662;
  double t34663, t34664, t34665, t34666, t34669, t34672, t34675, t34678;
  double t34680, t34683, t34686, t34687, t34690, t34693, t34696, t34699;
  double t34702, t34705, t34706, t34709, t34710, t34711, t34712, t34713;
  double t34715, t34716, t34717, t34718, t34723, t34726, t34729, t34732;
  double t34740, t34743, t34748, t34750, t34753, t34755, t34756, t34757;
  double t34759, t34760, t34761, t34771, t34772, t34773, t34774, t34775;
  double t34776, t34777, t34780, t34782, t34785, t34788, t34795, t34796;
  double t34798, t34803, t34824, t34833, t34834, t34850, t34856, t34857;
  double t34863, t34866, t34868, t34871, t34872, t34879, t34882, t34885;
  double t34889, t34900, t34903, t34906, t34911, t34915, t34917, t34920;
  double t34931, t34932, t34934, t34935, t34940, t34942, t34946, t34950;
  double t34954, t34955, t34957, t34960, t34965, t34968, t34969, t34970;
  double t34971, t34972, t34976, t34981, t34986, t34989, t34992, t34993;
  double t34994, t34995, t34996, t34997, t35001, t35003, t35006, t35010;
  double t35013, t35018, t35020, t35026, t35036, t35051, t35075, t35088;
  double t35089, t35090, t35093, t35094, t35101, tv4rhosigmalapl20, t35119, t35122;
  double t35123, t35126, t35140, t35167, t35173, t35174, t35178, t35179;
  double t35183, t35184, t35187, t35188, t35192, t35196, t35197, t35201;
  double t35209, t35213, t35230, t35231, t35232, t35247, t35251, t35257;
  double t35281, t35287, t35295, t35307, t35309, t35310, t35321, t35339;
  double t35350, t35359, t35369, t35388, t35389, t35390, t35394, t35417;
  double t35418, t35419, t35422, t35426, t35430, t35442, t35453, t35466;
  double t35478, t35485, t35492, t35501, t35513, t35528, t35555, t35585;
  double t35600, t35604, t35631, t35667, t35691, t35713, t35718, t35728;
  double t35752, t35760, t35780, t35787, t35806, t35834, t35873, t35907;
  double t35939, t35946, t35954, t35974, t35975, t35976, t35985, t36004;
  double t36007, t36010, t36013, t36046, t36062, t36099, t36140, t36150;
  double t36153, t36167, t36176, t36180, t36206, t36210, t36212, t36215;
  double t36217, t36257, t36273, t36280, t36293, t36296, t36297, t36314;
  double t36340, t36346, t36347, t36378, t36393, t36397, t36408, t36417;
  double t36448, t36451, t36454, t36456, t36459, t36479, t36483, t36495;
  double t36533, t36543, t36552, t36565, t36571, t36603, t36606, t36634;
  double t36643, t36671, t36681, t36709, t36724, t36741, t36744, t36749;
  double t36756, t36761, t36774, t36797, t36809, t36812, t36815, t36830;
  double t36834, t36839, t36857, t36874, t36901, t36904, t36923, t36935;
  double t36938, t36941, t36963, t36966, t36968, t36980, t36991, t36998;
  double t37017, t37028, t37040, t37051, t37066, t37077, t37084, t37113;
  double t37121, t37127, t37130, t37137, t37141, t37168, t37193, t37205;
  double t37208, t37211, t37241, t37254, t37259, t37279, t37305, t37324;
  double t37363, t37377, t37390, t37401, t37408, tv4rhosigmalapltau0, t37417, t37440;
  double t37452, t37455, t37459, t37461, t37469, t37471, t37472, t37475;
  double t37476, t37483, t37484, t37492, t37496, t37497, t37502, t37524;
  double t37544, t37545, t37546, t37551, t37556, t37566, t37569, t37572;
  double t37573, t37577, t37578, t37584, t37588, t37601, t37602, t37607;
  double t37615, t37617, t37626, t37629, t37630, t37641, t37642, t37670;
  double t37671, t37686, t37687, t37688, t37690, t37691, t37692, t37693;
  double t37694, t37698, t37699, t37700, t37701, t37720, t37739, t37744;
  double t37758, t37759, t37761, t37762, t37763, t37764, t37766, t37767;
  double t37768, t37770, t37771, t37772, t37773, t37774, t37775, t37784;
  double t37812, t37819, t37831, t37832, t37841, t37844, t37853, t37854;
  double t37889, t37904, t37926, t37938, t37940, t37950, t37968, t37969;
  double t37974, t37975, t37976, t37977, t37996, t38014, t38015, t38016;
  double t38020, t38023, t38024, t38031, t38033, t38043, t38048, t38049;
  double t38052, t38065, t38069, t38070, t38071, t38074, t38075, t38088;
  double t38095, t38096, t38098, t38099, t38100, t38114, t38115, t38116;
  double t38137, t38150, t38156, t38179, t38188, t38192, t38196, t38199;
  double t38206, t38207, t38214, t38224, t38228, t38231, t38232, t38233;
  double t38247, t38251, t38252, t38260, t38265, t38269, t38279, t38309;
  double t38310, t38324, t38325, t38326, t38327, t38328, t38332, t38370;
  double t38371, t38399, t38404, t38410, t38435, t38436, t38437, t38438;
  double t38445, t38454, t38458, t38487, t38488, t38517, t38544, t38551;
  double t38557, t38562, t38563, t38580, t38588, t38589, t38590, t38591;
  double t38592, t38593, t38594, t38595, t38596, t38598, t38604, t38605;
  double t38611, t38615, t38622, t38631, t38643, t38644, t38657, t38658;
  double t38659, t38660, t38661, t38666, t38667, t38668, t38669, t38670;
  double t38671, t38676, t38680, t38684, t38685, t38686, t38693, t38698;
  double t38701, t38702, t38706, t38713, t38715, t38719, t38733, t38734;
  double t38738, t38741, t38757, t38758, t38759, t38760, t38769, t38770;
  double t38771, t38778, t38785, t38788, t38792, t38820, t38821, t38825;
  double t38826, t38827, t38846, t38874, t38879, t38909, t38923, t38948;
  double t38982, t38985, t38988, t38994, t38995, t38999, t39020, t39024;
  double t39033, t39060, t39072, t39108, t39112, t39113, t39141, t39160;
  double t39188, t39195, t39198, t39228, t39262, t39285, t39297, t39301;
  double t39307, t39320, t39321, t39349, t39373, t39381, t39398, t39409;
  double t39414, t39428, t39435, t39458, t39459, t39460, t39461, t39462;
  double t39463, t39466, t39470, t39492, t39496, t39497, t39504, t39522;
  double t39530, t39532, t39533, t39535, t39536, t39549, t39550, t39566;
  double t39567, t39570, t39571, t39592, t39599, t39609, t39610, t39611;
  double t39613, t39614, t39615, t39616, t39617, t39618, t39625, t39632;
  double t39642, t39657, t39664, tv4rhosigmatau20, t39667, t39669, t39678, t39684;
  double t39690, t39697, t39701, t39704, t39707, t39709, t39713, t39717;
  double t39718, t39727, t39733, t39737, t39738, t39745, t39748, t39753;
  double t39755, t39760, t39765, t39769, t39774, t39778, t39779, t39787;
  double t39790, t39797, t39808, t39815, t39819, t39829, t39832, t39841;
  double t39852, t39855, t39858, t39865, t39875, t39878, t39881, t39904;
  double t39907, t39909, t39911, t39930, t39934, t39946, t39947, t39952;
  double t39964, t39968, t39972, t39975, t39983, t39987, t39991, t39992;
  double t40002, t40007, t40010, t40014, t40027, t40051, t40071, t40081;
  double t40087, t40093, t40096, t40104, t40112, t40123, t40138, t40139;
  double t40140, t40146, t40149, t40156, t40165, t40176, t40183, t40187;
  double t40202, t40205, t40208, t40212, t40219, t40220, t40227, t40229;
  double t40238, t40239, t40248, t40252, t40257, t40263, t40274, t40281;
  double t40288, t40292, t40293, t40296, t40299, t40302, t40304, t40307;
  double t40319, t40320, t40328, t40330, t40331, t40335, t40345, t40352;
  double t40363, t40366, t40367, t40372, t40373, t40376, t40379, t40380;
  double t40385, t40386, t40397, t40408, t40414, t40415, t40418, t40421;
  double t40422, t40433, t40436, t40438, t40441, t40447, t40448, t40455;
  double t40465, t40469, t40488, t40497, t40498, t40499, t40500, t40501;
  double t40502, t40509, t40513, t40514, t40515, t40518, t40524, t40528;
  double t40532, t40536, t40539, t40542, t40566, t40572, t40573, t40574;
  double t40576, t40578, t40579, t40583, t40586, t40587, t40589, t40592;
  double t40595, t40598, t40605, t40606, t40607, t40610, t40611, t40612;
  double t40615, t40618, t40621, t40630, t40631, t40636, t40639, t40640;
  double t40647, t40652, t40655, t40658, t40660, t40666, t40669, t40686;
  double t40696, t40698, t40702, t40704, t40714, t40720, t40723, t40726;
  double t40727, t40730, t40733, t40737, t40740, t40743, t40747, t40750;
  double t40753, t40756, t40762, t40763, t40764, t40765, t40766, t40773;
  double t40775, t40782, t40784, t40790, t40797, t40800, t40806, t40827;
  double t40828, t40833, t40843, t40850, t40862, t40867, t40868, t40876;
  double t40881, t40887, t40890, t40896, t40911, t40916, t40921, t40938;
  double t40967, t40973, tv4rholapl30, t41000, t41016, t41017, t41021, t41023;
  double t41030, t41037, t41038, t41039, t41042, t41045, t41062, t41063;
  double t41067, t41071, t41075, t41103, t41121, t41147, t41158, t41161;
  double t41164, t41167, t41170, t41174, t41177, t41198, t41206, t41217;
  double t41224, t41232, t41235, t41243, t41250, t41253, t41270, t41279;
  double t41280, t41283, t41306, t41310, t41337, t41349, t41360, t41365;
  double t41376, t41388, t41399, t41410, t41425, t41450, t41452, t41456;
  double t41470, t41488, t41489, t41524, t41534, t41546, t41553, t41575;
  double t41590, t41619, t41628, t41633, t41646, t41647, t41648, t41653;
  double t41654, t41658, t41673, t41692, t41698, t41705, t41711, t41714;
  double t41728, t41737, t41755, t41775, t41778, t41786, t41791, t41796;
  double t41815, t41842, t41877, t41884, t41891, t41896, t41900, t41921;
  double t41922, t41942, t41954, t41980, t42015, t42019, t42044, t42065;
  double t42070, t42080, t42081, t42082, t42085, t42089, t42097, t42099;
  double t42109, t42112, t42115, t42129, t42135, t42142, t42146, t42153;
  double t42168, t42204, t42218, t42235, t42245, t42251, t42279, t42299;
  double t42312, t42318, t42327, t42340, t42343, t42362, t42369, t42386;
  double t42397, t42403, t42410, t42426, t42440, t42441, t42452, t42454;
  double t42457, t42463, t42465, t42480, t42496, t42500, t42532, t42533;
  double t42541, t42550, t42554, t42574, t42581, t42585, t42595, t42602;
  double t42611, t42612, t42617, t42629, t42637, t42646, t42650, t42655;
  double t42660, t42685, t42692, tv4rholapl2tau0, t42695, t42700, t42712, t42720;
  double t42721, t42724, t42725, t42729, t42751, t42762, t42763, t42788;
  double t42791, t42814, t42848, t42863, t42889, t42906, t42908, t42917;
  double t42923, t42930, t42958, t42965, t42975, t42976, t42993, t42997;
  double t43023, t43036, t43060, t43064, t43071, t43096, t43110, t43111;
  double t43126, t43147, t43154, t43164, t43166, t43196, t43197, t43215;
  double t43216, t43223, t43240, t43271, t43280, t43296, t43297, t43298;
  double t43306, t43320, t43335, t43350, t43363, t43379, t43385, t43419;
  double t43426, t43440, t43460, t43461, t43467, t43480, t43491, t43498;
  double t43504, t43526, t43530, t43531, t43549, t43561, t43564, t43591;
  double t43593, t43606, t43626, t43653, t43664, t43669, t43687, t43701;
  double t43713, t43722, t43746, t43758, t43790, t43792, t43796, t43800;
  double t43815, t43816, t43825, t43836, t43857, t43880, t43885, t43886;
  double t43890, t43898, t43919, t43925, t43951, t43963, t43994, t43998;
  double t44016, t44020, t44034, t44042, t44052, t44082, t44095, t44130;
  double t44153, t44183, t44206, t44210, t44224, t44248, t44256, t44265;
  double t44270, t44287, t44301, t44310, t44318, t44319, t44337, t44347;
  double t44366, t44374, t44375, t44379, t44416, t44419, t44443, t44447;
  double t44485, t44499, t44509, t44510, t44514, t44537, t44554, t44568;
  double t44577, t44588, t44591, t44609, t44610, t44621, t44635, t44670;
  double t44710, t44726, t44732, t44736, t44755, t44768, t44791, t44799;
  double t44828, t44839, t44858, t44865, tv4rholapltau20, t44881, t44890, t44902;
  double t44903, t44905, t44910, t44912, t44920, t44929, t44934, t44938;
  double t44951, t44975, t44985, t44986, t44987, t45014, t45025, t45030;
  double t45034, t45040, t45057, t45062, t45064, t45067, t45082, t45087;
  double t45088, t45103, t45105, t45124, t45125, t45137, t45142, t45161;
  double t45165, t45169, t45179, t45181, t45186, t45197, t45209, t45213;
  double t45218, t45219, t45224, t45243, t45255, t45264, t45279, t45280;
  double t45284, t45286, t45293, t45295, t45329, t45332, t45365, t45391;
  double t45398, t45410, t45418, t45424, t45436, t45446, t45450, t45456;
  double t45488, t45503, t45532, t45549, t45557, t45563, t45565, t45569;
  double t45588, t45595, t45615, t45621, t45632, t45638, t45652, t45671;
  double t45675, t45681, t45692, t45712, t45725, t45728, t45750, t45758;
  double t45802, t45843, t45853, t45876, t45891, t45898, t45901, t45917;
  double t45954, t45992, t46035, t46058, t46104, t46141, t46153, t46165;
  double t46167, t46172, t46196, t46197, t46211, t46229, t46234, t46237;
  double t46242, t46250, t46259, t46280, t46310, t46319, t46365, t46371;
  double t46409, t46433, t46460, t46497, t46502, t46523, t46532, t46535;
  double t46541, tv4rhotau30, t46544, t46545, t46552, t46555, t46567, t46575;
  double t46588, t46593, t46596, t46605, t46607, t46610, t46614, t46618;
  double t46621, t46623, t46624, t46626, t46628, t46630, t46632, t46634;
  double t46637, t46641, t46644, t46650, t46651, t46656, t46659, t46661;
  double t46663, t46665, t46667, t46671, t46675, t46676, t46689, t46690;
  double t46693, t46698, t46705, t46707, t46709, t46718, t46720, t46721;
  double t46725, t46729, t46731, t46741, t46742, t46744, t46749, t46754;
  double t46760, t46763, t46768, t46769, t46770, t46773, t46785, t46787;
  double t46790, t46795, t46798, t46801, t46803, t46804, t46805, t46808;
  double t46811, t46813, t46826, t46829, t46833, t46843, t46848, t46852;
  double t46857, t46861, t46865, t46872, t46879, t46884, t46891, t46896;
  double t46910, t46913, t46919, t46920, t46924, t46926, t46927, t46929;
  double t46931, t46934, t46938, t46943, t46944, t46947, t46948, t46951;
  double t46954, t46957, t46959, t46962, t46965, t46966, t46967, t46970;
  double t46971, t46972, t46975, t46976, t46977, t46979, t46982, t46985;
  double t46986, t46990, t46994, t46997, t46999, t47001, t47012, t47013;
  double t47016, t47019, t47020, t47021, t47024, t47027, t47030, t47033;
  double t47036, t47040, t47043, t47046, t47049, t47052, t47055, t47058;
  double t47060, t47067, t47069, t47072, t47073, t47074, t47075, t47079;
  double t47080, t47082, t47084, t47086, t47087, t47094, t47097, t47100;
  double t47106, t47108, t47110, t47112, t47118, t47120, t47124, t47127;
  double t47130, t47139, t47142, t47146, t47148, t47149, t47155, t47158;
  double t47159, t47162, t47170, t47173, t47176, t47177, t47182, t47185;
  double t47187, t47190, t47192, t47193, t47196, t47199, t47205, t47209;
  double t47212, t47215, t47218, t47222, t47227, t47229, t47231, t47237;
  double t47243, t47245, t47253, t47272, t47274, t47275, t47282, t47287;
  double tv4sigma40, t47293, t47294, t47297, t47298, t47307, t47308, t47309;
  double t47312, t47313, t47314, t47315, t47318, t47319, t47320, t47321;
  double t47322, t47323, t47330, t47333, t47336, t47339, t47340, t47341;
  double t47342, t47347, t47348, t47354, t47357, t47360, t47363, t47369;
  double t47371, t47372, t47373, t47374, t47376, t47380, t47381, t47386;
  double t47387, t47388, t47389, t47390, t47391, t47392, t47393, t47394;
  double t47397, t47401, t47402, t47403, t47407, t47408, t47409, t47412;
  double t47415, t47417, t47421, t47427, t47428, t47429, t47430, t47431;
  double t47432, t47433, t47436, t47437, t47438, t47439, t47441, t47442;
  double t47443, t47444, t47447, t47448, t47449, t47451, t47452, t47453;
  double t47457, t47458, t47462, t47463, t47467, t47468, t47469, t47477;
  double t47489, t47494, t47495, t47499, t47500, t47503, t47505, t47506;
  double t47507, t47508, t47510, t47511, t47512, t47513, t47514, t47515;
  double t47516, t47517, t47518, t47522, t47523, t47528, t47529, t47530;
  double t47531, t47532, t47534, t47539, t47543, t47546, t47547, t47551;
  double t47554, t47556, t47558, t47559, t47560, t47563, t47566, t47569;
  double t47573, t47576, t47579, t47584, t47587, t47588, t47589, t47590;
  double t47595, t47598, t47611, t47612, t47615, t47618, t47621, t47622;
  double t47623, t47624, t47625, t47632, t47634, t47637, t47640, t47641;
  double t47645, t47649, t47652, t47653, t47655, t47659, t47663, t47668;
  double t47672, t47676, t47679, t47685, t47686, t47689, t47690, t47693;
  double t47698, t47708, t47709, t47710, t47713, t47716, t47717, t47718;
  double t47719, t47722, t47725, t47727, t47732, t47734, t47736, t47751;
  double t47756, t47760, t47765, t47767, t47768, t47769, t47771, t47772;
  double t47773, t47779, t47780, t47781, t47782, t47786, t47788, t47792;
  double t47794, t47797, t47798, t47799, t47804, t47808, t47810, t47811;
  double t47814, t47815, t47816, t47817, t47820, t47821, t47822, t47823;
  double t47832, t47835, t47836, t47837, t47838, t47839, t47840, t47841;
  double t47844, t47845, t47848, t47849, t47850, t47851, t47852, t47853;
  double t47854, t47855, t47856, t47857, t47860, t47862, t47863, t47864;
  double t47865, t47866, t47867, t47870, t47873, t47874, t47875, t47876;
  double t47877, t47882, t47885, t47888, t47889, t47890, t47892, t47893;
  double t47898, t47901, t47902, t47903, t47904, t47905, t47906, t47909;
  double t47910, t47914, t47915, t47918, t47919, t47920, t47921, t47922;
  double t47923, t47924, t47927, t47928, t47931, t47932, t47935, t47938;
  double t47939, t47940, t47941, t47942, t47943, t47944, t47945, t47946;
  double t47947, t47948, t47949, t47950, t47951, t47952, t47953, t47954;
  double t47955, t47957, t47960, t47961, t47964, t47967, t47970, t47973;
  double t47978, t47981, t47984, t47985, t47986, t47987, t47988, t47989;
  double t47992, t47995, t47998, t47999, t48000, t48001, t48005, t48008;
  double t48011, t48012, t48013, t48014, t48018, t48021, t48022, t48024;
  double t48027, t48030, t48033, t48036, t48037, t48042, t48045, t48048;
  double t48051, t48052, t48055, t48058, t48061, t48064, t48065, t48073;
  double t48075, t48076, t48077, t48078, t48085, t48086, t48087, t48092;
  double tv4sigma3lapl0, t48102, t48103, t48104, t48106, t48107, t48113, t48114;
  double t48116, t48136, t48139, t48140, t48144, t48146, t48147, t48151;
  double t48157, t48158, t48159, t48160, t48161, t48171, t48184, t48190;
  double t48191, t48194, t48195, t48200, t48225, t48228, t48235, t48236;
  double t48238, t48239, t48240, t48241, t48246, t48249, t48251, t48252;
  double t48261, t48291, t48292, t48295, t48298, t48299, t48309, t48312;
  double t48313, t48316, t48321, t48322, t48333, t48334, t48337, t48338;
  double t48344, t48345, t48347, t48348, t48349, t48352, t48365, t48369;
  double t48371, t48372, t48375, t48376, t48377, t48378, t48379, t48380;
  double t48381, t48382, t48387, t48388, t48389, t48390, t48391, t48392;
  double t48403, t48404, t48408, t48409, t48427, t48428, t48431, t48434;
  double t48437, t48438, t48439, t48440, t48441, t48442, t48443, t48448;
  double t48449, t48462, t48463, t48464, t48465, t48466, t48467, t48476;
  double t48484, t48485, t48494, t48495, t48496, t48501, t48508, t48510;
  double t48511, t48515, t48516, t48545, t48546, t48547, t48552, t48553;
  double t48554, t48573, t48588, t48589, t48591, t48595, t48598, t48604;
  double t48609, t48617, t48618, t48625, t48636, t48637, t48638, t48640;
  double t48641, t48642, t48643, t48646, t48649, t48650, t48653, t48654;
  double t48657, t48658, t48659, t48661, t48670, t48672, t48673, t48680;
  double t48691, t48692, t48695, t48696, t48697, t48712, t48729, t48731;
  double t48732, t48733, t48735, t48736, t48739, t48740, t48741, t48742;
  double t48743, t48744, t48745, t48770, t48804, t48809, tv4sigma3tau0, t48813;
  double t48814, t48815, t48816, t48820, t48821, t48825, t48826, t48829;
  double t48842, t48843, t48846, t48847, t48864, t48865, t48866, t48867;
  double t48870, t48875, t48876, t48881, t48882, t48884, t48885, t48886;
  double t48894, t48895, t48896, t48897, t48898, t48900, t48904, t48911;
  double t48920, t48921, t48922, t48928, t48929, t48946, t48947, t48948;
  double t48949, t48950, t48951, t48952, t48953, t48960, t48961, t48962;
  double t48967, t48968, t48972, t48976, t48979, t48980, t48981, t48982;
  double t48983, t48986, t48987, t48988, t48989, t48993, t48994, t48996;
  double t49000, t49006, t49010, t49011, t49014, t49019, t49020, t49023;
  double t49025, t49026, t49031, t49032, t49035, t49036, t49037, t49038;
  double t49039, t49042, t49043, t49044, t49045, t49048, t49049, t49050;
  double t49051, t49052, t49053, t49056, t49058, t49061, t49064, t49069;
  double t49074, t49076, t49078, t49085, t49086, t49090, t49093, t49096;
  double t49098, t49102, t49103, t49104, t49105, t49106, t49108, t49109;
  double t49114, t49117, t49120, t49122, t49123, t49125, t49126, t49129;
  double t49137, t49141, t49144, t49150, t49153, t49154, t49155, t49158;
  double t49165, t49168, t49169, t49172, t49173, t49176, t49177, t49178;
  double t49179, t49182, t49183, t49186, t49189, t49194, t49195, t49196;
  double t49197, t49198, t49199, t49200, t49209, t49212, t49216, t49217;
  double t49218, t49219, t49220, t49224, t49230, t49235, t49239, t49242;
  double t49243, t49246, t49250, t49260, t49271, t49272, t49276, t49281;
  double t49283, t49284, t49285, t49286, t49289, t49290, t49291, t49292;
  double t49293, t49296, t49297, t49298, t49299, t49300, t49301, t49302;
  double t49303, t49306, t49307, t49314, t49315, t49317, t49320, t49324;
  double t49325, t49326, t49327, t49328, t49329, t49330, t49334, t49336;
  double t49338, t49339, t49340, t49345, t49348, t49349, t49350, t49351;
  double t49352, t49353, t49355, t49357, t49361, t49365, t49369, t49375;
  double t49376, t49377, t49378, t49379, t49383, t49386, t49392, t49395;
  double t49398, t49399, t49400, t49402, t49405, t49406, t49411, t49414;
  double t49415, t49416, t49419, t49420, t49421, t49422, t49423, t49424;
  double t49428, t49431, t49434, t49435, t49437, t49440, t49445, t49450;
  double t49455, t49459, t49462, t49463, t49464, t49465, t49466, t49467;
  double t49468, t49469, t49481, t49482, t49485, t49486, t49487, t49490;
  double t49493, t49496, t49499, t49508, t49515, t49521, t49525, t49526;
  double t49527, t49530, t49531, t49536, t49539, t49542, t49543, t49544;
  double t49545, t49546, t49551, t49557, t49558, t49559, t49560, t49567;
  double t49568, t49569, t49570, t49574, t49579, t49585, t49589, t49590;
  double t49592, t49593, t49594, t49600, t49603, t49608, t49616, t49618;
  double t49619, t49623, t49624, t49625, t49627, t49629, t49631, t49634;
  double t49635, t49643, t49644, t49646, t49648, t49651, t49657, t49658;
  double t49659, t49660, t49667, t49677, t49680, t49681, t49682, t49687;
  double t49694, t49698, t49702, t49710, t49711, t49715, t49717, t49720;
  double t49723, t49730, t49733, t49739, t49746, t49752, t49759, t49768;
  double t49769, t49770, t49771, t49777, t49781, t49786, t49787, t49788;
  double t49792, t49796, t49801, t49818, t49825, t49829, t49831, t49833;
  double t49843, t49844, t49847, t49848, t49853, t49854, t49862, t49866;
  double t49867, t49872, t49873, t49874, t49875, t49876, t49877, t49878;
  double t49881, t49884, t49889, t49891, t49912, t49919, t49921, t49923;
  double t49927, t49931, t49935, t49936, t49941, t49946, t49947, t49951;
  double t49957, tv4sigma2lapl20, t49959, t49960, t49963, t49965, t49974, t49975;
  double t49984, t49990, t49992, t49994, t49995, t49996, t49999, t50003;
  double t50004, t50007, t50009, t50010, t50016, t50026, t50029, t50034;
  double t50035, t50036, t50037, t50038, t50039, t50042, t50049, t50065;
  double t50070, t50085, t50091, t50092, t50093, t50094, t50095, t50096;
  double t50098, t50101, t50107, t50115, t50116, t50119, t50122, t50128;
  double t50144, t50145, t50154, t50155, t50163, t50179, t50184, t50186;
  double t50190, t50193, t50194, t50195, t50197, t50198, t50203, t50215;
  double t50220, t50224, t50233, t50237, t50238, t50244, t50252, t50273;
  double t50276, t50284, t50287, t50307, t50309, t50311, t50316, t50318;
  double t50325, t50329, t50331, t50335, t50343, t50354, t50356, t50358;
  double t50363, t50374, t50382, t50384, t50386, t50387, t50388, t50389;
  double t50403, t50411, t50416, t50417, t50424, t50432, t50437, t50438;
  double t50443, t50444, t50451, t50457, t50467, t50468, t50469, t50471;
  double t50487, t50490, t50492, t50496, t50500, t50513, t50516, t50518;
  double t50521, t50522, t50524, t50536, t50537, t50559, t50566, t50568;
  double t50578, t50580, t50582, t50587, t50588, t50593, t50605, t50608;
  double t50610, t50613, t50615, t50616, t50620, t50627, t50630, t50638;
  double t50639, t50645, t50646, t50651, t50655, t50662, t50664, t50666;
  double t50668, t50675, t50692, t50695, t50699, t50700, t50701, t50702;
  double t50705, t50712, t50718, t50719, t50721, t50725, t50727, t50729;
  double t50747, t50749, t50754, t50760, t50762, t50769, t50770, t50774;
  double t50777, t50782, t50783, t50784, t50785, t50788, t50789, t50790;
  double t50793, t50796, t50800, t50801, t50802, t50804, t50810, t50811;
  double t50825, t50826, t50827, t50828, t50832, t50835, t50841, t50850;
  double t50864, t50866, t50871, t50872, t50873, t50874, t50875, t50879;
  double t50880, t50881, t50884, t50885, t50899, t50901, t50902, t50905;
  double t50908, t50909, t50910, t50911, t50912, t50913, t50927, t50934;
  double t50936, t50943, t50949, t50951, t50952, t50953, t50954, t50955;
  double t50956, t50957, t50968, t50977, t50985, t50989, t50995, t51004;
  double t51005, t51006, t51007, t51008, t51022, t51027, t51033, t51038;
  double t51043, t51066, t51070, t51079, t51098, t51113, t51117, t51123;
  double t51126, t51127, t51128, t51139, t51140, t51143, t51145, t51154;
  double t51157, t51171, t51176, t51180, t51187, t51190, t51191, t51195;
  double t51197, t51198, t51204, tv4sigma2lapltau0, t51208, t51226, t51227, t51234;
  double t51251, t51252, t51257, t51258, t51262, t51263, t51264, t51265;
  double t51266, t51276, t51277, t51284, t51285, t51289, t51290, t51295;
  double t51296, t51299, t51305, t51306, t51309, t51310, t51314, t51321;
  double t51331, t51333, t51334, t51335, t51336, t51340, t51341, t51345;
  double t51350, t51355, t51356, t51360, t51365, t51366, t51369, t51370;
  double t51376, t51385, t51386, t51387, t51388, t51389, t51402, t51403;
  double t51406, t51407, t51421, t51438, t51461, t51462, t51467, t51468;
  double t51471, t51479, t51480, t51494, t51498, t51499, t51512, t51513;
  double t51517, t51523, t51524, t51531, t51532, t51533, t51540, t51557;
  double t51558, t51567, t51568, t51569, t51570, t51580, t51581, t51584;
  double t51587, t51588, t51598, t51599, t51601, t51602, t51608, t51609;
  double t51614, t51615, t51624, t51628, t51651, t51657, t51658, t51678;
  double t51687, t51691, t51692, t51695, t51702, t51703, t51704, t51712;
  double t51713, t51717, t51718, t51721, t51722, t51736, t51759, t51766;
  double t51772, t51773, t51774, t51785, t51802, t51803, t51806, t51807;
  double t51814, t51838, t51839, t51848, t51863, t51879, t51880, t51881;
  double t51885, t51907, t51918, t51924, t51925, t51939, t51940, t51941;
  double t51948, t51949, t51959, t51960, t51965, t51975, t51982, t51984;
  double t51985, t52011, t52012, t52016, t52019, t52020, t52021, t52022;
  double t52023, t52024, t52036, t52052, t52060, t52061, t52078, t52101;
  double t52102, t52103, t52104, t52119, t52121, t52122, t52123, t52128;
  double t52129, t52130, t52133, t52134, t52135, t52136, t52137, t52138;
  double t52139, t52154, t52155, t52156, t52157, t52158, t52162, t52188;
  double t52189, t52194, t52195, t52199, t52208, t52209, t52210, t52219;
  double t52220, t52221, t52222, t52223, t52224, t52225, t52229, t52247;
  double t52248, t52251, t52253, t52254, t52261, t52262, t52263, t52264;
  double t52270, t52271, t52288, t52289, t52293, t52306, t52307, t52311;
  double t52312, t52327, t52333, t52343, t52344, t52347, t52348, t52350;
  double t52355, t52356, t52379, t52395, t52401, tv4sigma2tau20, t52403, t52404;
  double t52430, t52438, t52443, t52448, t52451, t52452, t52453, t52454;
  double t52457, t52463, t52466, t52467, t52468, t52469, t52471, t52481;
  double t52482, t52483, t52484, t52487, t52489, t52492, t52496, t52509;
  double t52512, t52513, t52514, t52518, t52525, t52529, t52533, t52534;
  double t52535, t52538, t52539, t52542, t52548, t52550, t52553, t52562;
  double t52563, t52564, t52567, t52568, t52573, t52582, t52585, t52590;
  double t52594, t52595, t52598, t52601, t52608, t52613, t52626, t52632;
  double t52636, t52647, t52651, t52656, t52661, t52664, t52668, t52671;
  double t52672, t52681, t52688, t52699, t52700, t52701, t52702, t52705;
  double t52708, t52711, t52715, t52724, t52729, t52737, t52740, t52741;
  double t52745, t52746, t52751, t52755, t52758, t52764, t52771, t52773;
  double t52777, t52782, t52785, t52796, t52799, t52802, t52805, t52813;
  double t52814, t52816, t52823, t52847, t52851, t52858, t52862, t52863;
  double t52866, t52872, t52876, t52897, t52900, t52901, t52905, t52908;
  double t52909, t52910, t52911, t52918, t52921, t52922, t52925, t52927;
  double t52934, t52935, t52940, t52943, t52952, t52959, t52965, t52971;
  double t52974, t52975, t52976, t52977, t52978, t52979, t52984, t52989;
  double t52996, t53001, t53004, t53007, t53010, t53011, t53030, t53031;
  double t53032, t53037, t53054, t53056, t53057, t53066, t53067, t53072;
  double t53073, t53074, t53075, t53076, t53077, t53078, t53079, t53080;
  double t53085, t53086, t53087, t53088, t53090, t53092, t53099, t53100;
  double t53105, t53108, t53109, t53115, t53118, t53121, t53124, t53128;
  double t53132, t53136, t53138, t53141, t53144, t53151, t53154, t53157;
  double t53162, t53165, t53166, t53167, t53174, t53177, t53178, t53179;
  double t53180, t53183, t53186, t53196, t53197, t53200, t53205, t53208;
  double t53216, t53220, t53223, t53227, t53232, t53236, t53249, t53250;
  double t53252, t53263, t53266, t53270, t53275, t53280, t53285, tv4sigmalapl30;
  double t53289, t53306, t53310, t53319, t53338, t53352, t53359, t53360;
  double t53367, t53370, t53377, t53381, t53407, t53410, t53424, t53427;
  double t53428, t53431, t53432, t53445, t53448, t53451, t53476, t53488;
  double t53491, t53492, t53493, t53501, t53505, t53521, t53526, t53554;
  double t53557, t53563, t53584, t53597, t53601, t53605, t53612, t53620;
  double t53622, t53623, t53624, t53625, t53626, t53637, t53638, t53641;
  double t53642, t53645, t53647, t53650, t53653, t53657, t53665, t53666;
  double t53667, t53674, t53694, t53695, t53704, t53705, t53707, t53712;
  double t53720, t53723, t53726, t53727, t53739, t53740, t53741, t53744;
  double t53751, t53755, t53770, t53771, t53777, t53783, t53787, t53817;
  double t53832, t53837, t53838, t53848, t53877, t53890, t53893, t53905;
  double t53917, t53922, t53928, t53933, t53951, t53952, t53953, t53962;
  double t53965, t53975, t53976, t53985, t53990, t54007, t54010, t54018;
  double t54019, t54049, t54063, t54084, t54097, t54098, t54099, t54110;
  double t54123, t54131, t54138, t54148, t54157, t54158, t54159, t54163;
  double t54173, t54174, t54175, t54176, t54194, t54196, t54198, t54202;
  double t54214, t54224, t54251, t54254, t54282, t54283, t54288, t54293;
  double t54297, t54298, t54307, t54328, t54329, t54332, t54336, t54341;
  double t54364, t54365, t54370, t54385, t54388, t54395, t54414, t54416;
  double t54417, t54438, t54444, t54456, t54457, t54463, tv4sigmalapl2tau0, t54486;
  double t54487, t54491, t54492, t54500, t54502, t54533, t54542, t54545;
  double t54554, t54556, t54573, t54574, t54578, t54598, t54615, t54616;
  double t54620, t54632, t54639, t54643, t54656, t54683, t54700, t54726;
  double t54747, t54754, t54778, t54795, t54800, t54805, t54813, t54820;
  double t54826, t54836, t54842, t54852, t54880, t54885, t54893, t54922;
  double t54937, t54949, t54950, t54976, t54977, t54988, t55008, t55014;
  double t55045, t55047, t55073, t55106, t55124, t55129, t55138, t55144;
  double t55154, t55196, t55225, t55231, t55232, t55233, t55256, t55260;
  double t55277, t55280, t55295, t55309, t55326, t55378, t55398, t55430;
  double t55433, t55436, t55466, t55472, t55473, t55494, t55519, t55532;
  double t55542, t55545, t55547, t55551, t55567, t55591, t55598, t55607;
  double t55609, t55642, t55661, t55679, t55685, t55692, t55704, t55714;
  double t55722, t55726, t55728, t55737, t55746, t55747, t55750, t55772;
  double t55777, t55792, t55793, t55813, t55833, t55853, t55865, t55878;
  double t55910, t55916, t55922, tv4sigmalapltau20, t55943, t55944, t55947, t55948;
  double t55953, t55971, t55972, t55973, t55974, t55992, t55996, t55997;
  double t55998, t55999, t56004, t56019, t56029, t56044, t56045, t56048;
  double t56050, t56051, t56064, t56070, t56071, t56072, t56073, t56074;
  double t56075, t56076, t56077, t56086, t56097, t56098, t56105, t56115;
  double t56134, t56135, t56138, t56140, t56148, t56152, t56164, t56183;
  double t56204, t56205, t56213, t56233, t56243, t56248, t56251, t56254;
  double t56255, t56271, t56278, t56284, t56285, t56290, t56292, t56293;
  double t56300, t56316, t56333, t56334, t56343, t56349, t56352, t56353;
  double t56366, t56372, t56376, t56379, t56397, t56413, t56414, t56420;
  double t56430, t56438, t56449, t56476, t56506, t56524, t56554, t56555;
  double t56581, t56591, t56599, t56606, t56609, t56620, t56622, t56631;
  double t56632, t56633, t56635, t56636, t56637, t56655, t56658, t56659;
  double t56667, t56668, t56679, t56684, t56702, t56727, t56728, t56735;
  double t56769, t56770, t56771, t56775, t56788, t56796, t56797, t56804;
  double t56805, t56806, t56807, t56808, t56809, t56818, t56832, t56836;
  double t56855, t56856, t56877, t56893, t56896, t56897, t56898, t56899;
  double t56900, t56917, t56925, t56955, t56961, t56970, t56971, t56972;
  double t56973, t56974, t56975, t56976, t56984, t56990, tv4sigmatau30, t56995;
  double t56998, t57002, t57006, t57010, t57014, t57017, t57020, t57023;
  double t57026, t57032, t57046, t57049, t57050, t57060, t57063, t57070;
  double t57079, t57095, t57108, t57123, t57127, t57141, t57176, t57186;
  double t57192, t57195, t57199, t57203, t57211, t57220, t57226, t57230;
  double t57232, t57239, t57242, t57248, t57253, t57261, t57267, t57268;
  double t57272, t57276, t57279, t57282, t57292, t57297, t57318, t57319;
  double t57320, t57345, t57346, t57348, t57351, t57359, t57362, t57365;
  double t57370, t57377, t57378, t57381, t57383, t57384, t57387, t57391;
  double t57392, t57398, t57404, t57407, t57411, t57413, t57416, t57419;
  double t57433, t57443, t57444, t57446, t57453, t57458, t57462, t57466;
  double t57469, t57476, t57479, t57484, t57487, t57490, t57493, t57504;
  double t57505, t57506, t57518, t57527, t57528, t57530, t57553, t57561;
  double t57567, t57570, t57578, t57584, t57586, t57593, t57594, t57599;
  double tv4lapl40, t57601, t57602, t57606, t57619, t57620, t57624, t57645;
  double t57648, t57649, t57680, t57695, t57703, t57717, t57755, t57771;
  double t57772, t57776, t57785, t57792, t57796, t57808, t57809, t57822;
  double t57826, t57830, t57832, t57836, t57846, t57847, t57865, t57872;
  double t57873, t57877, t57879, t57880, t57881, t57888, t57891, t57893;
  double t57894, t57915, t57944, t57946, t57948, t57949, t57954, t57983;
  double t57990, t57991, t57992, t57993, t58003, t58005, t58012, t58013;
  double t58014, t58015, t58017, t58027, t58039, t58078, t58091, t58093;
  double t58094, t58095, t58096, t58097, t58100, t58104, t58110, t58116;
  double t58128, t58135, t58136, t58148, t58158, t58163, t58166, t58167;
  double t58172, t58190, t58191, t58192, t58194, t58195, t58196, t58200;
  double t58201, t58202, t58203, t58204, t58214, t58237, t58247, t58272;
  double t58273, t58274, t58286, t58308, t58314, t58315, t58316, t58329;
  double t58345, t58346, t58347, t58349, t58354, t58358, t58370, t58371;
  double t58372, t58377, tv4lapl3tau0, t58388, t58389, t58403, t58408, t58413;
  double t58445, t58471, t58472, t58478, t58483, t58487, t58495, t58503;
  double t58506, t58515, t58518, t58523, t58543, t58553, t58560, t58568;
  double t58572, t58590, t58594, t58610, t58625, t58633, t58634, t58644;
  double t58651, t58658, t58663, t58673, t58689, t58703, t58734, t58740;
  double t58762, t58772, t58799, t58802, t58823, t58840, t58841, t58854;
  double t58872, t58890, t58913, t58919, t58938, t58950, t58980, t59010;
  double t59020, t59021, t59045, t59074, t59097, t59129, t59154, t59180;
  double t59188, t59195, t59196, t59197, t59198, t59212, t59216, t59240;
  double t59245, t59266, t59285, t59292, t59311, t59324, t59330, t59337;
  double t59343, t59345, t59346, t59379, t59385, t59419, t59420, t59449;
  double t59458, t59464, tv4lapl2tau20, t59493, t59495, t59516, t59540, t59579;
  double t59592, t59616, t59627, t59635, t59656, t59658, t59667, t59675;
  double t59692, t59696, t59712, t59721, t59740, t59756, t59803, t59825;
  double t59847, t59852, t59855, t59881, t59914, t59942, t59965, t59970;
  double t59995, t60014, t60036, t60057, t60068, t60095, t60106, t60114;
  double t60129, t60150, t60166, t60167, t60191, t60218, t60227, t60233;
  double t60257, t60279, t60283, t60314, t60318, t60323, t60345, t60352;
  double t60388, t60410, t60425, t60442, t60474, t60475, t60481, tv4lapltau30;
  double t60483, t60486, t60515, t60524, t60531, t60555, t60588, t60601;
  double t60611, t60624, t60647, t60661, t60678, t60700, t60707, t60714;
  double t60721, t60744, t60756, t60759, t60786, t60812, t60813, t60834;
  double t60870, t60887, t60903, t60935, t60953, t60954, t60959, t60960;
  double t60963, t60972, t60973, t60993, t60995, t60998, t61017, t61027;
  double t61052, t61058, t61082, t61110, t61127, t61143, t61175, t61203;
  double t61241, t61261, t61266, tv4tau40;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t3 = rho[0] / 0.2e1 <= p->dens_threshold;
  t4 = 0.1e1 <= p->zeta_threshold;
  t5 = p->zeta_threshold - 0.1e1;
  t7 = my_piecewise5(t4, t5, t4, -t5, 0);
  t8 = 0.1e1 + t7;
  t10 = POW_1_3(p->zeta_threshold);
  t12 = POW_1_3(t8);
  t14 = my_piecewise3(t8 <= p->zeta_threshold, t10 * p->zeta_threshold, t12 * t8);
  t15 = POW_1_3(rho[0]);
  t16 = t14 * t15;
  t18 = POW_1_3(0.1e1 / M_PI);
  t19 = 0.1e1 / t18;
  t20 = M_CBRT4;
  t21 = t19 * t20;
  t22 = t16 * t21;
  t23 = M_CBRT2;
  t24 = t23 * t23;
  t25 = t15 * t15;
  t27 = 0.1e1 / t25 / rho[0];
  t30 = tau[0] * params->gamma;
  t33 = params->gamma * sigma[0];
  t34 = rho[0] * rho[0];
  t36 = 0.1e1 / t25 / t34;
  t40 = fabs(lapl[0] * t27 / 0.2e1 - 0.2e1 * t30 * t27 + t33 * t36 / 0.4e1);
  t43 = t24 * t40 / 0.3e1 < 0.5e-12;
  t44 = lapl[0] * t24;
  t47 = t24 * t27;
  t50 = t24 * t36;
  t53 = t44 * t27 / 0.6e1 - 0.2e1 / 0.3e1 * t30 * t47 + t33 * t50 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t43, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t24;
  t75 = t74 * t27;
  t76 = t73 - t75;
  t77 = t73 + t75;
  t78 = 0.1e1 / t77;
  t80 = t76 * t76;
  t81 = t80 * t76;
  t82 = t77 * t77;
  t83 = t82 * t77;
  t84 = 0.1e1 / t83;
  t87 = t80 * t80;
  t88 = t87 * t76;
  t89 = t82 * t82;
  t91 = 0.1e1 / t89 / t77;
  t95 = 0.1e1 + params->at * (t76 * t78 - 0.2e1 * t81 * t84 + t88 * t91);
  t96 = t66 * t95;
  t97 = t65 * t96;
  t100 = my_piecewise3(t3, 0, -t22 * t97 / 0.4e1);
  tzk0 = 0.2e1 * t100;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t102 = t14 / t25;
  t103 = t102 * t21;
  t106 = t16 * t19;
  t107 = M_CBRTPI;
  t108 = t107 * t107;
  t109 = t20 * t108;
  t110 = my_piecewise3(t54, 0, 0);
  t115 = t34 * rho[0];
  t117 = 0.1e1 / t25 / t115;
  t118 = t24 * t117;
  t122 = my_piecewise3(t43, t110, -0.5e1 / 0.18e2 * t44 * t36 + 0.1e2 / 0.9e1 * t30 * t50 - 0.2e1 / 0.9e1 * t33 * t118);
  t123 = t56 * t56;
  t124 = 0.1e1 / t123;
  t125 = t122 * t124;
  t126 = t109 * t125;
  t127 = t106 * t126;
  t129 = exp(-0.2e1 / 0.3e1 * t57);
  t130 = 0.1e1 / t129;
  t131 = t57 * t57;
  t133 = t131 - 0.2e1 * t57 + 0.3e1;
  t134 = 0.1e1 / t133;
  t135 = t130 * t134;
  t136 = t57 - 0.2e1;
  t137 = t136 * t136;
  t138 = t135 * t137;
  t139 = t138 * t97;
  t142 = t108 * t122;
  t143 = t124 * t130;
  t144 = t142 * t143;
  t145 = t134 * t137;
  t146 = t145 * t63;
  t148 = t142 * t124;
  t149 = t137 * t60;
  t150 = t135 * t149;
  t153 = t144 * t146 - t148 * t150 / 0.2e1;
  t154 = t59 * t153;
  t155 = t154 * t96;
  t158 = t20 * t59;
  t159 = 0.1e1 / t131;
  t160 = t64 * t159;
  t161 = t158 * t160;
  t162 = t106 * t161;
  t163 = t95 * t108;
  t165 = t143 * t145;
  t166 = t163 * t122 * t165;
  t169 = t66 * params->at;
  t173 = 0.1e1 / t82;
  t174 = t76 * t173;
  t175 = t74 * t36;
  t178 = t80 * t84;
  t181 = 0.1e1 / t89;
  t182 = t81 * t181;
  t185 = t87 * t91;
  t189 = 0.1e1 / t89 / t82;
  t190 = t88 * t189;
  t193 = 0.5e1 / 0.3e1 * t74 * t36 * t78 + 0.5e1 / 0.3e1 * t174 * t175 - 0.1e2 * t178 * t175 - 0.1e2 * t182 * t175 + 0.25e2 / 0.3e1 * t185 * t175 + 0.25e2 / 0.3e1 * t190 * t175;
  t194 = t169 * t193;
  t195 = t65 * t194;
  t199 = my_piecewise3(t3, 0, -t103 * t97 / 0.12e2 - t127 * t139 / 0.12e2 - t22 * t155 / 0.4e1 + t162 * t166 / 0.4e1 - t22 * t195 / 0.4e1);
  tvrho0 = 0.2e1 * rho[0] * t199 + 0.2e1 * t100;

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t202 = params->gamma * t24;
  t203 = t202 * t36;
  t205 = my_piecewise3(t43, t110, t203 / 0.12e2);
  t206 = t205 * t124;
  t207 = t109 * t206;
  t208 = t106 * t207;
  t211 = t108 * t205;
  t212 = t211 * t143;
  t214 = t211 * t124;
  t217 = t212 * t146 - t214 * t150 / 0.2e1;
  t218 = t59 * t217;
  t219 = t218 * t96;
  t223 = t163 * t205 * t165;
  t227 = my_piecewise3(t3, 0, -t208 * t139 / 0.12e2 - t22 * t219 / 0.4e1 + t162 * t223 / 0.4e1);
  tvsigma0 = 0.2e1 * rho[0] * t227;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  t230 = my_piecewise3(t43, t110, t47 / 0.6e1);
  t231 = t230 * t124;
  t232 = t109 * t231;
  t233 = t106 * t232;
  t236 = t108 * t230;
  t237 = t236 * t143;
  t239 = t236 * t124;
  t242 = t237 * t146 - t239 * t150 / 0.2e1;
  t243 = t59 * t242;
  t244 = t243 * t96;
  t248 = t163 * t230 * t165;
  t252 = my_piecewise3(t3, 0, -t233 * t139 / 0.12e2 - t22 * t244 / 0.4e1 + t162 * t248 / 0.4e1);
  tvlapl0 = 0.2e1 * rho[0] * t252;

  if(out->vlapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t256 = my_piecewise3(t43, t110, -0.2e1 / 0.3e1 * t202 * t27);
  t257 = t256 * t124;
  t258 = t109 * t257;
  t259 = t106 * t258;
  t262 = t108 * t256;
  t263 = t262 * t143;
  t265 = t262 * t124;
  t268 = t263 * t146 - t265 * t150 / 0.2e1;
  t269 = t59 * t268;
  t270 = t269 * t96;
  t274 = t163 * t256 * t165;
  t287 = -t174 * t47 + 0.6e1 * t178 * t47 + 0.6e1 * t182 * t47 - 0.5e1 * t185 * t47 - 0.5e1 * t190 * t47 - t47 * t78;
  t288 = t169 * t287;
  t289 = t65 * t288;
  t293 = my_piecewise3(t3, 0, -t259 * t139 / 0.12e2 - t22 * t270 / 0.4e1 + t162 * t274 / 0.4e1 - t22 * t289 / 0.4e1);
  tvtau0 = 0.2e1 * rho[0] * t293;

  if(out->vtau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t296 = params->at * t193;
  t298 = t296 * t142 * t165;
  t301 = t137 * t59;
  t302 = t135 * t301;
  t303 = t64 * t66;
  t304 = t303 * t296;
  t305 = t302 * t304;
  t308 = t122 * t122;
  t310 = t123 * t56;
  t311 = 0.1e1 / t310;
  t312 = t311 * t130;
  t313 = t312 * t145;
  t314 = t163 * t308 * t313;
  t317 = t163 * t125;
  t318 = t133 * t133;
  t319 = 0.1e1 / t318;
  t320 = t130 * t319;
  t321 = t57 * t108;
  t326 = 0.2e1 * t122 * t165 * t321 - 0.2e1 * t138 * t148;
  t328 = t320 * t137 * t326;
  t329 = t317 * t328;
  t332 = t107 * M_PI;
  t333 = t20 * t332;
  t334 = t123 * t123;
  t335 = 0.1e1 / t334;
  t336 = t308 * t335;
  t337 = t333 * t336;
  t338 = t106 * t337;
  t339 = t129 * t129;
  t340 = 0.1e1 / t339;
  t341 = t340 * t319;
  t342 = t137 * t137;
  t343 = t341 * t342;
  t344 = t343 * t97;
  t347 = t153 * t159;
  t348 = t158 * t347;
  t349 = t106 * t348;
  t356 = t34 * t34;
  t358 = 0.1e1 / t25 / t356;
  t359 = t24 * t358;
  t363 = my_piecewise3(t43, t110, 0.2e2 / 0.27e2 * t44 * t117 - 0.8e2 / 0.27e2 * t30 * t118 + 0.22e2 / 0.27e2 * t33 * t359);
  t365 = t163 * t363 * t165;
  t368 = t102 * t19;
  t369 = t368 * t126;
  t372 = t368 * t161;
  t375 = t363 * t124;
  t376 = t109 * t375;
  t377 = t106 * t376;
  t380 = t138 * t155;
  t383 = t162 * t298 / 0.2e1 - t127 * t305 / 0.6e1 - t162 * t314 / 0.2e1 - t162 * t329 / 0.4e1 - t338 * t344 / 0.12e2 + t349 * t166 / 0.2e1 + t162 * t365 / 0.4e1 - t369 * t139 / 0.18e2 + t372 * t166 / 0.6e1 - t377 * t139 / 0.12e2 - t127 * t380 / 0.6e1;
  t386 = t108 * t363;
  t387 = t386 * t143;
  t389 = t108 * t308;
  t390 = t389 * t312;
  t393 = t332 * t308;
  t394 = t335 * t340;
  t395 = t393 * t394;
  t396 = t319 * t342;
  t397 = t396 * t63;
  t400 = t319 * t137;
  t401 = t63 * t326;
  t402 = t400 * t401;
  t404 = t137 * t136;
  t405 = t319 * t404;
  t406 = t405 * t63;
  t409 = t393 * t335;
  t410 = t342 * t60;
  t411 = t341 * t410;
  t414 = t386 * t124;
  t417 = t389 * t311;
  t419 = t60 * t326;
  t420 = t400 * t419;
  t423 = t404 * t60;
  t424 = t341 * t423;
  t426 = t387 * t146 - 0.2e1 * t390 * t146 - t395 * t397 / 0.3e1 - t144 * t402 + 0.2e1 * t395 * t406 + 0.2e1 / 0.3e1 * t409 * t411 - t414 * t150 / 0.2e1 + t417 * t150 + t144 * t420 / 0.2e1 - t409 * t424;
  t427 = t59 * t426;
  t428 = t427 * t96;
  t433 = t154 * t194;
  t439 = tau[0] * tau[0];
  t440 = t439 * t23;
  t441 = t356 * rho[0];
  t443 = 0.1e1 / t15 / t441;
  t447 = t76 * t84;
  t448 = t440 * t443;
  t451 = t74 * t117;
  t454 = t80 * t181;
  t459 = t81 * t91;
  t464 = t87 * t189;
  t470 = 0.1e1 / t89 / t83;
  t471 = t88 * t470;
  t476 = -0.4e2 / 0.9e1 * t74 * t117 * t78 + 0.1e3 / 0.9e1 * t440 * t443 * t173 - 0.5e3 / 0.9e1 * t447 * t448 - 0.4e2 / 0.9e1 * t174 * t451 - 0.2e3 * t454 * t448 + 0.8e2 / 0.3e1 * t178 * t451 - 0.2e3 / 0.9e1 * t459 * t448 + 0.8e2 / 0.3e1 * t182 * t451 + 0.25e4 / 0.9e1 * t464 * t448 - 0.2e3 / 0.9e1 * t185 * t451 + 0.5e3 / 0.3e1 * t471 * t448 - 0.2e3 / 0.9e1 * t190 * t451;
  t477 = t169 * t476;
  t478 = t65 * t477;
  t481 = t14 * t27;
  t482 = t481 * t21;
  t485 = t308 * t311;
  t486 = t109 * t485;
  t487 = t106 * t486;
  t490 = t320 * t301;
  t491 = t95 * t326;
  t492 = t303 * t491;
  t493 = t490 * t492;
  t496 = t341 * t404;
  t497 = t496 * t97;
  t500 = t159 * t95;
  t501 = t65 * t500;
  t502 = t343 * t501;
  t506 = 0.1e1 / t131 / t57;
  t507 = t64 * t506;
  t508 = t158 * t507;
  t509 = t106 * t508;
  t510 = t95 * t332;
  t511 = t510 * t308;
  t512 = t394 * t396;
  t513 = t511 * t512;
  t516 = t394 * t405;
  t517 = t511 * t516;
  t520 = -t103 * t155 / 0.6e1 - t22 * t428 / 0.4e1 - t103 * t195 / 0.6e1 - t22 * t433 / 0.2e1 - t22 * t478 / 0.4e1 + t482 * t97 / 0.18e2 + t487 * t139 / 0.6e1 + t127 * t493 / 0.12e2 - t338 * t497 / 0.6e1 + t338 * t502 / 0.3e1 - t509 * t513 / 0.2e1 + t162 * t517 / 0.2e1;
  t522 = my_piecewise3(t3, 0, t383 + t520);
  tv2rho20 = 0.2e1 * rho[0] * t522 + 0.4e1 * t199;

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t525 = t368 * t207;
  t528 = t202 * t117;
  t530 = my_piecewise3(t43, t110, -0.2e1 / 0.9e1 * t528);
  t531 = t530 * t124;
  t532 = t109 * t531;
  t533 = t106 * t532;
  t536 = t205 * t311;
  t537 = t109 * t536;
  t538 = t106 * t537;
  t539 = t95 * t122;
  t540 = t303 * t539;
  t541 = t302 * t540;
  t544 = t205 * t335;
  t545 = t333 * t544;
  t546 = t106 * t545;
  t547 = t342 * t59;
  t548 = t341 * t547;
  t549 = t548 * t540;
  t554 = t404 * t59;
  t555 = t341 * t554;
  t556 = t555 * t540;
  t561 = t160 * t539;
  t562 = t548 * t561;
  t569 = t138 * t219;
  t572 = -t525 * t139 / 0.36e2 - t533 * t139 / 0.12e2 + t538 * t541 / 0.6e1 - t546 * t549 / 0.12e2 + t208 * t493 / 0.12e2 - t546 * t556 / 0.6e1 - t208 * t380 / 0.12e2 + t546 * t562 / 0.3e1 - t208 * t305 / 0.12e2 - t103 * t219 / 0.12e2 - t127 * t569 / 0.12e2;
  t573 = t108 * t530;
  t574 = t573 * t143;
  t576 = t211 * t312;
  t577 = t63 * t122;
  t578 = t145 * t577;
  t581 = t332 * t205;
  t582 = t581 * t394;
  t583 = t396 * t577;
  t587 = t405 * t577;
  t590 = t60 * t122;
  t591 = t396 * t590;
  t594 = t573 * t124;
  t597 = t145 * t590;
  t601 = t405 * t590;
  t603 = t574 * t146 - 0.2e1 * t576 * t578 - t582 * t583 / 0.3e1 - t212 * t402 + 0.2e1 * t582 * t587 + 0.2e1 / 0.3e1 * t582 * t591 - t594 * t150 / 0.2e1 + t576 * t597 + t212 * t420 / 0.2e1 - t582 * t601;
  t604 = t59 * t603;
  t605 = t604 * t96;
  t608 = t217 * t159;
  t609 = t158 * t608;
  t610 = t106 * t609;
  t613 = t218 * t194;
  t620 = t510 * t544;
  t621 = t342 * t122;
  t622 = t341 * t621;
  t623 = t620 * t622;
  t627 = t296 * t211 * t165;
  t631 = t163 * t530 * t165;
  t634 = t163 * t536;
  t635 = t137 * t122;
  t636 = t135 * t635;
  t637 = t634 * t636;
  t640 = t163 * t206;
  t641 = t640 * t328;
  t645 = t341 * t404 * t122;
  t646 = t620 * t645;
  t649 = -t22 * t605 / 0.4e1 + t610 * t166 / 0.4e1 - t22 * t613 / 0.4e1 + t372 * t223 / 0.12e2 + t349 * t223 / 0.4e1 - t509 * t623 / 0.2e1 + t162 * t627 / 0.4e1 + t162 * t631 / 0.4e1 - t162 * t637 / 0.2e1 - t162 * t641 / 0.4e1 + t162 * t646 / 0.2e1;
  t651 = my_piecewise3(t3, 0, t572 + t649);
  tv2rhosigma0 = 0.2e1 * rho[0] * t651 + 0.2e1 * t227;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  t654 = t368 * t232;
  t658 = my_piecewise3(t43, t110, -0.5e1 / 0.18e2 * t50);
  t659 = t658 * t124;
  t660 = t109 * t659;
  t661 = t106 * t660;
  t664 = t230 * t311;
  t665 = t109 * t664;
  t666 = t106 * t665;
  t669 = t230 * t335;
  t670 = t333 * t669;
  t671 = t106 * t670;
  t686 = t138 * t244;
  t689 = -t654 * t139 / 0.36e2 - t661 * t139 / 0.12e2 + t666 * t541 / 0.6e1 - t671 * t549 / 0.12e2 + t233 * t493 / 0.12e2 - t671 * t556 / 0.6e1 - t233 * t380 / 0.12e2 + t671 * t562 / 0.3e1 - t233 * t305 / 0.12e2 - t103 * t244 / 0.12e2 - t127 * t686 / 0.12e2;
  t690 = t108 * t658;
  t691 = t690 * t143;
  t693 = t236 * t312;
  t696 = t332 * t230;
  t697 = t696 * t394;
  t705 = t690 * t124;
  t712 = t691 * t146 - 0.2e1 * t693 * t578 - t697 * t583 / 0.3e1 - t237 * t402 + 0.2e1 * t697 * t587 + 0.2e1 / 0.3e1 * t697 * t591 - t705 * t150 / 0.2e1 + t693 * t597 + t237 * t420 / 0.2e1 - t697 * t601;
  t713 = t59 * t712;
  t714 = t713 * t96;
  t717 = t242 * t159;
  t718 = t158 * t717;
  t719 = t106 * t718;
  t722 = t243 * t194;
  t729 = t510 * t669;
  t730 = t729 * t622;
  t734 = t296 * t236 * t165;
  t738 = t163 * t658 * t165;
  t741 = t163 * t664;
  t742 = t741 * t636;
  t745 = t163 * t231;
  t746 = t745 * t328;
  t749 = t729 * t645;
  t752 = -t22 * t714 / 0.4e1 + t719 * t166 / 0.4e1 - t22 * t722 / 0.4e1 + t372 * t248 / 0.12e2 + t349 * t248 / 0.4e1 - t509 * t730 / 0.2e1 + t162 * t734 / 0.4e1 + t162 * t738 / 0.4e1 - t162 * t742 / 0.2e1 - t162 * t746 / 0.4e1 + t162 * t749 / 0.2e1;
  t754 = my_piecewise3(t3, 0, t689 + t752);
  tv2rholapl0 = 0.2e1 * rho[0] * t754 + 0.2e1 * t252;

  if(out->v2rholapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t757 = t269 * t194;
  t760 = t154 * t288;
  t767 = t23 / t15 / t356;
  t768 = t173 * tau[0];
  t771 = t767 * tau[0];
  t792 = 0.5e1 / 0.3e1 * t50 * t78 - 0.2e2 / 0.3e1 * t767 * t768 + 0.1e3 / 0.3e1 * t447 * t771 + 0.5e1 / 0.3e1 * t174 * t50 + 0.12e3 * t454 * t771 - 0.1e2 * t178 * t50 + 0.4e2 / 0.3e1 * t459 * t771 - 0.1e2 * t182 * t50 - 0.5e3 / 0.3e1 * t464 * t771 + 0.25e2 / 0.3e1 * t185 * t50 - 0.1e3 * t471 * t771 + 0.25e2 / 0.3e1 * t190 * t50;
  t793 = t169 * t792;
  t794 = t65 * t793;
  t802 = my_piecewise3(t43, t110, 0.1e2 / 0.9e1 * t203);
  t803 = t108 * t802;
  t804 = t803 * t143;
  t806 = t262 * t312;
  t809 = t332 * t256;
  t810 = t809 * t394;
  t818 = t803 * t124;
  t825 = t804 * t146 - 0.2e1 * t806 * t578 - t810 * t583 / 0.3e1 - t263 * t402 + 0.2e1 * t810 * t587 + 0.2e1 / 0.3e1 * t810 * t591 - t818 * t150 / 0.2e1 + t806 * t597 + t263 * t420 / 0.2e1 - t810 * t601;
  t826 = t59 * t825;
  t827 = t826 * t96;
  t833 = t163 * t802 * t165;
  t836 = t802 * t124;
  t837 = t109 * t836;
  t838 = t106 * t837;
  t843 = t368 * t258;
  t848 = t138 * t270;
  t851 = -t22 * t757 / 0.4e1 - t22 * t760 / 0.4e1 - t22 * t794 / 0.4e1 - t103 * t289 / 0.12e2 - t103 * t270 / 0.12e2 - t22 * t827 / 0.4e1 + t349 * t274 / 0.4e1 + t162 * t833 / 0.4e1 - t838 * t139 / 0.12e2 - t259 * t380 / 0.12e2 - t843 * t139 / 0.36e2 + t372 * t274 / 0.12e2 - t127 * t848 / 0.12e2;
  t852 = t268 * t159;
  t853 = t158 * t852;
  t854 = t106 * t853;
  t857 = t256 * t335;
  t858 = t510 * t857;
  t859 = t858 * t622;
  t862 = t858 * t645;
  t865 = t333 * t857;
  t866 = t106 * t865;
  t871 = t256 * t311;
  t872 = t163 * t871;
  t873 = t872 * t636;
  t876 = t163 * t257;
  t877 = t876 * t328;
  t881 = t296 * t262 * t165;
  t884 = params->at * t287;
  t885 = t303 * t884;
  t886 = t302 * t885;
  t890 = t884 * t142 * t165;
  t893 = t109 * t871;
  t894 = t106 * t893;
  t903 = t854 * t166 / 0.4e1 - t509 * t859 / 0.2e1 + t162 * t862 / 0.2e1 - t866 * t556 / 0.6e1 + t866 * t562 / 0.3e1 - t162 * t873 / 0.2e1 - t162 * t877 / 0.4e1 + t162 * t881 / 0.4e1 - t127 * t886 / 0.12e2 + t162 * t890 / 0.4e1 + t894 * t541 / 0.6e1 + t259 * t493 / 0.12e2 - t866 * t549 / 0.12e2 - t259 * t305 / 0.12e2;
  t905 = my_piecewise3(t3, 0, t851 + t903);
  tv2rhotau0 = 0.2e1 * rho[0] * t905 + 0.2e1 * t293;

  if(out->v2rhotau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t908 = my_piecewise3(t43, t110, 0);
  t909 = t908 * t124;
  t910 = t109 * t909;
  t911 = t106 * t910;
  t913 = t911 * t139 / 0.12e2;
  t914 = t205 * t205;
  t915 = t914 * t311;
  t916 = t109 * t915;
  t917 = t106 * t916;
  t920 = t914 * t335;
  t921 = t333 * t920;
  t922 = t106 * t921;
  t929 = 0.2e1 * t165 * t205 * t321 - 0.2e1 * t138 * t214;
  t930 = t95 * t929;
  t931 = t303 * t930;
  t932 = t490 * t931;
  t941 = t108 * t908;
  t942 = t941 * t143;
  t943 = t942 * t146;
  t944 = t108 * t914;
  t945 = t944 * t312;
  t948 = t332 * t914;
  t949 = t948 * t394;
  t952 = t63 * t929;
  t953 = t400 * t952;
  t957 = t948 * t335;
  t960 = t941 * t124;
  t962 = t960 * t150 / 0.2e1;
  t963 = t944 * t311;
  t965 = t60 * t929;
  t966 = t400 * t965;
  t970 = t943 - 0.2e1 * t945 * t146 - t949 * t397 / 0.3e1 - t212 * t953 + 0.2e1 * t949 * t406 + 0.2e1 / 0.3e1 * t957 * t411 - t962 + t963 * t150 + t212 * t966 / 0.2e1 - t957 * t424;
  t971 = t59 * t970;
  t972 = t971 * t96;
  t977 = t510 * t914;
  t978 = t977 * t512;
  t982 = t163 * t908 * t165;
  t984 = t162 * t982 / 0.4e1;
  t986 = t163 * t914 * t313;
  t989 = t137 * t929;
  t990 = t320 * t989;
  t991 = t640 * t990;
  t994 = t977 * t516;
  t997 = -t913 + t917 * t139 / 0.6e1 - t922 * t344 / 0.12e2 + t208 * t932 / 0.12e2 - t922 * t497 / 0.6e1 - t208 * t569 / 0.6e1 + t922 * t502 / 0.3e1 - t22 * t972 / 0.4e1 + t610 * t223 / 0.2e1 - t509 * t978 / 0.2e1 + t984 - t162 * t986 / 0.2e1 - t162 * t991 / 0.4e1 + t162 * t994 / 0.2e1;
  t998 = my_piecewise3(t3, 0, t997);
  tv2sigma20 = 0.2e1 * rho[0] * t998;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  t1000 = t95 * t205;
  t1001 = t303 * t1000;
  t1002 = t302 * t1001;
  t1005 = t548 * t1001;
  t1010 = t555 * t1001;
  t1015 = t160 * t1000;
  t1016 = t548 * t1015;
  t1021 = t63 * t205;
  t1022 = t145 * t1021;
  t1025 = t396 * t1021;
  t1029 = t405 * t1021;
  t1032 = t60 * t205;
  t1033 = t396 * t1032;
  t1036 = t145 * t1032;
  t1040 = t405 * t1032;
  t1042 = t943 - 0.2e1 * t693 * t1022 - t697 * t1025 / 0.3e1 - t237 * t953 + 0.2e1 * t697 * t1029 + 0.2e1 / 0.3e1 * t697 * t1033 - t962 + t693 * t1036 + t237 * t966 / 0.2e1 - t697 * t1040;
  t1043 = t59 * t1042;
  t1044 = t1043 * t96;
  t1051 = t342 * t205;
  t1052 = t341 * t1051;
  t1053 = t729 * t1052;
  t1056 = t137 * t205;
  t1057 = t135 * t1056;
  t1058 = t741 * t1057;
  t1061 = t745 * t990;
  t1064 = t404 * t205;
  t1065 = t341 * t1064;
  t1066 = t729 * t1065;
  t1069 = -t913 + t666 * t1002 / 0.6e1 - t671 * t1005 / 0.12e2 + t233 * t932 / 0.12e2 - t671 * t1010 / 0.6e1 - t233 * t569 / 0.12e2 + t671 * t1016 / 0.3e1 - t208 * t686 / 0.12e2 - t22 * t1044 / 0.4e1 + t719 * t223 / 0.4e1 + t610 * t248 / 0.4e1 - t509 * t1053 / 0.2e1 + t984 - t162 * t1058 / 0.2e1 - t162 * t1061 / 0.4e1 + t162 * t1066 / 0.2e1;
  t1070 = my_piecewise3(t3, 0, t1069);
  tv2sigmalapl0 = 0.2e1 * rho[0] * t1070;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  t1099 = t943 - 0.2e1 * t806 * t1022 - t810 * t1025 / 0.3e1 - t263 * t953 + 0.2e1 * t810 * t1029 + 0.2e1 / 0.3e1 * t810 * t1033 - t962 + t806 * t1036 + t263 * t966 / 0.2e1 - t810 * t1040;
  t1100 = t59 * t1099;
  t1101 = t1100 * t96;
  t1108 = t858 * t1052;
  t1111 = t872 * t1057;
  t1114 = t876 * t990;
  t1117 = t858 * t1065;
  t1122 = t218 * t288;
  t1126 = t884 * t211 * t165;
  t1129 = -t913 + t894 * t1002 / 0.6e1 - t866 * t1005 / 0.12e2 + t259 * t932 / 0.12e2 - t866 * t1010 / 0.6e1 - t259 * t569 / 0.12e2 + t866 * t1016 / 0.3e1 - t208 * t848 / 0.12e2 - t22 * t1101 / 0.4e1 + t854 * t223 / 0.4e1 + t610 * t274 / 0.4e1 - t509 * t1108 / 0.2e1 + t984 - t162 * t1111 / 0.2e1 - t162 * t1114 / 0.4e1 + t162 * t1117 / 0.2e1 - t208 * t886 / 0.12e2 - t22 * t1122 / 0.4e1 + t162 * t1126 / 0.4e1;
  t1130 = my_piecewise3(t3, 0, t1129);
  tv2sigmatau0 = 0.2e1 * rho[0] * t1130;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  t1132 = t230 * t230;
  t1133 = t1132 * t311;
  t1134 = t109 * t1133;
  t1135 = t106 * t1134;
  t1138 = t1132 * t335;
  t1139 = t333 * t1138;
  t1140 = t106 * t1139;
  t1147 = 0.2e1 * t165 * t230 * t321 - 0.2e1 * t138 * t239;
  t1148 = t95 * t1147;
  t1149 = t303 * t1148;
  t1150 = t490 * t1149;
  t1159 = t108 * t1132;
  t1160 = t1159 * t312;
  t1163 = t332 * t1132;
  t1164 = t1163 * t394;
  t1167 = t63 * t1147;
  t1168 = t400 * t1167;
  t1172 = t1163 * t335;
  t1175 = t1159 * t311;
  t1177 = t60 * t1147;
  t1178 = t400 * t1177;
  t1182 = t943 - 0.2e1 * t1160 * t146 - t1164 * t397 / 0.3e1 - t237 * t1168 + 0.2e1 * t1164 * t406 + 0.2e1 / 0.3e1 * t1172 * t411 - t962 + t1175 * t150 + t237 * t1178 / 0.2e1 - t1172 * t424;
  t1183 = t59 * t1182;
  t1184 = t1183 * t96;
  t1189 = t510 * t1132;
  t1190 = t1189 * t512;
  t1194 = t163 * t1132 * t313;
  t1197 = t137 * t1147;
  t1198 = t320 * t1197;
  t1199 = t745 * t1198;
  t1202 = t1189 * t516;
  t1205 = -t913 + t1135 * t139 / 0.6e1 - t1140 * t344 / 0.12e2 + t233 * t1150 / 0.12e2 - t1140 * t497 / 0.6e1 - t233 * t686 / 0.6e1 + t1140 * t502 / 0.3e1 - t22 * t1184 / 0.4e1 + t719 * t248 / 0.2e1 - t509 * t1190 / 0.2e1 + t984 - t162 * t1194 / 0.2e1 - t162 * t1199 / 0.4e1 + t162 * t1202 / 0.2e1;
  t1206 = my_piecewise3(t3, 0, t1205);
  tv2lapl20 = 0.2e1 * rho[0] * t1206;

  if(out->v2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  t1208 = t95 * t230;
  t1209 = t303 * t1208;
  t1210 = t302 * t1209;
  t1213 = t548 * t1209;
  t1218 = t555 * t1209;
  t1223 = t160 * t1208;
  t1224 = t548 * t1223;
  t1229 = t63 * t230;
  t1230 = t145 * t1229;
  t1233 = t396 * t1229;
  t1237 = t405 * t1229;
  t1240 = t60 * t230;
  t1241 = t396 * t1240;
  t1244 = t145 * t1240;
  t1248 = t405 * t1240;
  t1250 = t943 - 0.2e1 * t806 * t1230 - t810 * t1233 / 0.3e1 - t263 * t1168 + 0.2e1 * t810 * t1237 + 0.2e1 / 0.3e1 * t810 * t1241 - t962 + t806 * t1244 + t263 * t1178 / 0.2e1 - t810 * t1248;
  t1251 = t59 * t1250;
  t1252 = t1251 * t96;
  t1259 = t342 * t230;
  t1260 = t341 * t1259;
  t1261 = t858 * t1260;
  t1264 = t137 * t230;
  t1265 = t135 * t1264;
  t1266 = t872 * t1265;
  t1269 = t876 * t1198;
  t1272 = t404 * t230;
  t1273 = t341 * t1272;
  t1274 = t858 * t1273;
  t1279 = t243 * t288;
  t1283 = t884 * t236 * t165;
  t1286 = -t913 + t894 * t1210 / 0.6e1 - t866 * t1213 / 0.12e2 + t259 * t1150 / 0.12e2 - t866 * t1218 / 0.6e1 - t259 * t686 / 0.12e2 + t866 * t1224 / 0.3e1 - t233 * t848 / 0.12e2 - t22 * t1252 / 0.4e1 + t854 * t248 / 0.4e1 + t719 * t274 / 0.4e1 - t509 * t1261 / 0.2e1 + t984 - t162 * t1266 / 0.2e1 - t162 * t1269 / 0.4e1 + t162 * t1274 / 0.2e1 - t233 * t886 / 0.12e2 - t22 * t1279 / 0.4e1 + t162 * t1283 / 0.4e1;
  t1287 = my_piecewise3(t3, 0, t1286);
  tv2lapltau0 = 0.2e1 * rho[0] * t1287;

  if(out->v2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  t1289 = t256 * t256;
  t1290 = t1289 * t311;
  t1291 = t109 * t1290;
  t1292 = t106 * t1291;
  t1295 = t1289 * t335;
  t1296 = t333 * t1295;
  t1297 = t106 * t1296;
  t1304 = 0.2e1 * t165 * t256 * t321 - 0.2e1 * t138 * t265;
  t1305 = t95 * t1304;
  t1306 = t303 * t1305;
  t1307 = t490 * t1306;
  t1318 = t108 * t1289;
  t1319 = t1318 * t312;
  t1322 = t332 * t1289;
  t1323 = t1322 * t394;
  t1326 = t63 * t1304;
  t1327 = t400 * t1326;
  t1331 = t1322 * t335;
  t1334 = t1318 * t311;
  t1336 = t60 * t1304;
  t1337 = t400 * t1336;
  t1341 = t943 - 0.2e1 * t1319 * t146 - t1323 * t397 / 0.3e1 - t263 * t1327 + 0.2e1 * t1323 * t406 + 0.2e1 / 0.3e1 * t1331 * t411 - t962 + t1334 * t150 + t263 * t1337 / 0.2e1 - t1331 * t424;
  t1342 = t59 * t1341;
  t1343 = t1342 * t96;
  t1348 = t269 * t288;
  t1351 = t510 * t1289;
  t1352 = t1351 * t512;
  t1356 = t884 * t262 * t165;
  t1360 = t163 * t1289 * t313;
  t1363 = t137 * t1304;
  t1364 = t320 * t1363;
  t1365 = t876 * t1364;
  t1368 = t1351 * t516;
  t1373 = t23 / t15 / t115;
  t1386 = 0.4e1 * t1373 * t173 - 0.2e2 * t1373 * t447 - 0.72e2 * t1373 * t454 - 0.8e1 * t1373 * t459 + 0.1e3 * t1373 * t464 + 0.6e2 * t1373 * t471;
  t1387 = t169 * t1386;
  t1388 = t65 * t1387;
  t1391 = -t913 + t1292 * t139 / 0.6e1 - t1297 * t344 / 0.12e2 + t259 * t1307 / 0.12e2 - t1297 * t497 / 0.6e1 - t259 * t848 / 0.6e1 + t1297 * t502 / 0.3e1 - t259 * t886 / 0.6e1 - t22 * t1343 / 0.4e1 + t854 * t274 / 0.2e1 - t22 * t1348 / 0.2e1 - t509 * t1352 / 0.2e1 + t162 * t1356 / 0.2e1 + t984 - t162 * t1360 / 0.2e1 - t162 * t1365 / 0.4e1 + t162 * t1368 / 0.2e1 - t22 * t1388 / 0.4e1;
  t1392 = my_piecewise3(t3, 0, t1391);
  tv2tau20 = 0.2e1 * rho[0] * t1392;

  if(out->v2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  t1400 = 0.1e1 / t25 / t441;
  t1401 = t24 * t1400;
  t1405 = my_piecewise3(t43, t110, -0.22e3 / 0.81e2 * t44 * t358 + 0.88e3 / 0.81e2 * t30 * t359 - 0.308e3 / 0.81e2 * t33 * t1401);
  t1407 = t163 * t1405 * t165;
  t1410 = t368 * t376;
  t1415 = t20 * t69;
  t1416 = t308 * t122;
  t1418 = 0.1e1 / t334 / t123;
  t1419 = t1416 * t1418;
  t1420 = t1415 * t1419;
  t1421 = t106 * t1420;
  t1423 = 0.1e1 / t339 / t129;
  t1425 = 0.1e1 / t318 / t133;
  t1426 = t1423 * t1425;
  t1427 = t342 * t137;
  t1428 = t1426 * t1427;
  t1429 = t1428 * t97;
  t1432 = t426 * t159;
  t1433 = t158 * t1432;
  t1434 = t106 * t1433;
  t1439 = t154 * t500;
  t1440 = t343 * t1439;
  t1445 = 0.1e1 / t334 / t56;
  t1446 = t1416 * t1445;
  t1447 = t333 * t1446;
  t1448 = t106 * t1447;
  t1451 = t343 * t155;
  t1454 = t1416 * t335;
  t1455 = t109 * t1454;
  t1456 = t106 * t1455;
  t1459 = t162 * t1407 / 0.4e1 - t1410 * t139 / 0.12e2 - t369 * t380 / 0.6e1 - 0.5e1 / 0.36e2 * t1421 * t1429 + 0.3e1 / 0.4e1 * t1434 * t166 + 0.3e1 / 0.4e1 * t349 * t365 + t338 * t1440 - 0.3e1 / 0.2e1 * t349 * t314 - 0.2e1 * t1448 * t502 - t338 * t1451 / 0.4e1 - t1456 * t139 / 0.2e1;
  t1462 = t481 * t19;
  t1463 = t1462 * t161;
  t1466 = t1462 * t126;
  t1469 = t368 * t486;
  t1474 = t368 * t337;
  t1479 = t368 * t348;
  t1483 = t335 * t130;
  t1484 = t1483 * t145;
  t1485 = t163 * t1416 * t1484;
  t1490 = t1405 * t124;
  t1491 = t109 * t1490;
  t1492 = t106 * t1491;
  t1497 = t487 * t380 / 0.2e1 - t1463 * t166 / 0.6e1 + t1466 * t139 / 0.18e2 + t1469 * t139 / 0.6e1 + t372 * t365 / 0.4e1 - t1474 * t344 / 0.12e2 + t1448 * t344 / 0.2e1 + t1479 * t166 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t1485 - t372 * t314 / 0.2e1 - t1492 * t139 / 0.12e2 - t377 * t380 / 0.4e1;
  t1499 = t138 * t428;
  t1502 = t95 * t69;
  t1503 = t1502 * t1416;
  t1504 = t1418 * t1423;
  t1505 = t1425 * t342;
  t1506 = t1504 * t1505;
  t1507 = t1503 * t1506;
  t1510 = t496 * t155;
  t1514 = t1426 * t342;
  t1515 = t1514 * t97;
  t1518 = t342 * t136;
  t1519 = t1426 * t1518;
  t1520 = t1519 * t501;
  t1529 = t368 * t508;
  t1534 = -t127 * t1499 / 0.4e1 + 0.3e1 / 0.2e1 * t162 * t1507 - t338 * t1510 / 0.2e1 + t1448 * t497 - t1421 * t1515 / 0.2e1 + 0.7e1 / 0.3e1 * t1421 * t1520 + 0.3e1 / 0.2e1 * t349 * t517 - t1474 * t497 / 0.6e1 + t1474 * t502 / 0.3e1 - t1529 * t513 / 0.2e1 + t372 * t517 / 0.2e1;
  t1535 = t510 * t1416;
  t1536 = t1445 * t340;
  t1537 = t1536 * t396;
  t1538 = t1535 * t1537;
  t1541 = t1536 * t405;
  t1542 = t1535 * t1541;
  t1545 = t1519 * t97;
  t1548 = t1428 * t501;
  t1551 = t153 * t506;
  t1552 = t158 * t1551;
  t1553 = t106 * t1552;
  t1556 = t506 * t95;
  t1557 = t65 * t1556;
  t1558 = t1428 * t1557;
  t1561 = t131 * t131;
  t1562 = 0.1e1 / t1561;
  t1563 = t64 * t1562;
  t1564 = t158 * t1563;
  t1565 = t106 * t1564;
  t1566 = t1425 * t1427;
  t1567 = t1504 * t1566;
  t1568 = t1503 * t1567;
  t1571 = t1425 * t1518;
  t1572 = t1504 * t1571;
  t1573 = t1503 * t1572;
  t1576 = t363 * t335;
  t1577 = t510 * t1576;
  t1578 = t1577 * t622;
  t1581 = t1577 * t645;
  t1592 = t57 * t332;
  t1593 = t1592 * t308;
  t1596 = t321 * t125;
  t1609 = 0.2e1 / 0.3e1 * t409 * t343 + 0.2e1 * t321 * t363 * t165 - 0.4e1 * t321 * t308 * t313 + 0.4e1 / 0.3e1 * t1593 * t512 - 0.2e1 * t1596 * t328 + 0.4e1 * t1593 * t516 - 0.2e1 * t414 * t138 + 0.4e1 * t417 * t138 + 0.2e1 * t148 * t328 - 0.4e1 * t409 * t496;
  t1610 = t95 * t1609;
  t1611 = t303 * t1610;
  t1612 = t490 * t1611;
  t1617 = 0.3e1 * t509 * t1538 - 0.3e1 * t162 * t1542 - 0.11e2 / 0.18e2 * t1421 * t1545 + 0.23e2 / 0.36e2 * t1421 * t1548 - 0.3e1 / 0.2e1 * t1553 * t513 - 0.3e1 / 0.2e1 * t1421 * t1558 + 0.3e1 / 0.2e1 * t1565 * t1568 - 0.3e1 * t509 * t1573 - 0.3e1 / 0.2e1 * t509 * t1578 + 0.3e1 / 0.2e1 * t162 * t1581 + t127 * t1612 / 0.12e2 + t372 * t298 / 0.2e1;
  t1621 = t296 * t389 * t313;
  t1630 = t130 * t1425;
  t1631 = t326 * t326;
  t1633 = t1630 * t137 * t1631;
  t1634 = t317 * t1633;
  t1637 = t1630 * t301;
  t1638 = t95 * t1631;
  t1639 = t303 * t1638;
  t1640 = t1637 * t1639;
  t1643 = params->at * t476;
  t1645 = t1643 * t142 * t165;
  t1648 = t340 * t1425;
  t1649 = t1648 * t554;
  t1650 = t1649 * t492;
  t1653 = t296 * t393;
  t1654 = t1653 * t512;
  t1657 = t1653 * t516;
  t1660 = t555 * t304;
  t1663 = -0.3e1 / 0.2e1 * t162 * t1621 - t369 * t305 / 0.6e1 + t487 * t305 / 0.2e1 - t372 * t329 / 0.4e1 + t162 * t1634 / 0.2e1 - t127 * t1640 / 0.6e1 + 0.3e1 / 0.4e1 * t162 * t1645 + t338 * t1650 / 0.2e1 - 0.3e1 / 0.2e1 * t509 * t1654 + 0.3e1 / 0.2e1 * t162 * t1657 - t338 * t1660 / 0.2e1;
  t1664 = t510 * t336;
  t1665 = t342 * t326;
  t1666 = t1648 * t1665;
  t1667 = t1664 * t1666;
  t1670 = t404 * t326;
  t1671 = t1648 * t1670;
  t1672 = t1664 * t1671;
  t1675 = t159 * params->at;
  t1676 = t65 * t1675;
  t1677 = t22 * t1676;
  t1678 = t193 * t108;
  t1679 = t1678 * t125;
  t1680 = t1679 * t328;
  t1683 = t22 * t144;
  t1684 = t400 * t65;
  t1685 = t193 * t326;
  t1686 = t169 * t1685;
  t1687 = t1684 * t1686;
  t1690 = t122 * t311;
  t1691 = t163 * t1690;
  t1693 = t135 * t137 * t363;
  t1694 = t1691 * t1693;
  t1697 = t163 * t485;
  t1698 = t1697 * t328;
  t1702 = t163 * t375;
  t1703 = t1702 * t328;
  t1707 = t320 * t137 * t1609;
  t1708 = t317 * t1707;
  t1711 = t1648 * t547;
  t1712 = t160 * t491;
  t1713 = t1711 * t1712;
  t1716 = t296 * t386 * t165;
  t1719 = t160 * t296;
  t1720 = t548 * t1719;
  t1722 = 0.3e1 / 0.2e1 * t509 * t1667 - 0.3e1 / 0.2e1 * t162 * t1672 - 0.3e1 / 0.4e1 * t1677 * t1680 + t1683 * t1687 / 0.4e1 - 0.3e1 / 0.2e1 * t162 * t1694 + t162 * t1698 - 0.3e1 / 0.4e1 * t349 * t329 - t162 * t1703 / 0.2e1 - t162 * t1708 / 0.4e1 - t338 * t1713 + 0.3e1 / 0.4e1 * t162 * t1716 + t338 * t1720;
  t1726 = t153 * t66;
  t1727 = t1726 * t296;
  t1728 = t302 * t1727;
  t1731 = t303 * t1643;
  t1732 = t302 * t1731;
  t1735 = t548 * t304;
  t1740 = t333 * t1576;
  t1741 = t106 * t1740;
  t1746 = t356 * t34;
  t1748 = 0.1e1 / t15 / t1746;
  t1749 = t1748 * t173;
  t1752 = t76 * t181;
  t1753 = t439 * tau[0];
  t1754 = t356 * t356;
  t1755 = 0.1e1 / t1754;
  t1756 = t1753 * t1755;
  t1759 = t80 * t91;
  t1762 = t81 * t189;
  t1765 = t87 * t470;
  t1768 = t89 * t89;
  t1769 = 0.1e1 / t1768;
  t1770 = t88 * t1769;
  t1773 = t74 * t358;
  t1776 = t440 * t1748;
  t1800 = -0.8e3 / 0.9e1 * t440 * t1749 - 0.17e5 / 0.9e1 * t1752 * t1756 - 0.26e5 / 0.9e1 * t1759 * t1756 + 0.1e5 / 0.3e1 * t1762 * t1756 + 0.25e5 / 0.3e1 * t1765 * t1756 + 0.35e5 / 0.9e1 * t1770 * t1756 + 0.22e4 / 0.27e2 * t185 * t1773 - 0.4e4 / 0.3e1 * t471 * t1776 + 0.22e4 / 0.27e2 * t190 * t1773 + 0.4e4 / 0.9e1 * t447 * t1776 + 0.44e3 / 0.27e2 * t174 * t1773 + 0.16e4 * t454 * t1776 - 0.88e3 / 0.9e1 * t178 * t1773 + 0.16e4 / 0.9e1 * t459 * t1776 - 0.88e3 / 0.9e1 * t182 * t1773 - 0.2e5 / 0.9e1 * t464 * t1776 - 0.1e4 / 0.9e1 * t1756 * t84 + 0.44e3 / 0.27e2 * t74 * t358 * t78;
  t1801 = t169 * t1800;
  t1802 = t65 * t1801;
  t1807 = t154 * t477;
  t1810 = t427 * t194;
  t1815 = -t377 * t305 / 0.4e1 - t127 * t1728 / 0.2e1 - t127 * t1732 / 0.4e1 - t338 * t1735 / 0.4e1 + 0.3e1 / 0.2e1 * t349 * t298 - t1741 * t556 / 0.2e1 + t482 * t195 / 0.6e1 - t22 * t1802 / 0.4e1 - t103 * t478 / 0.4e1 - 0.3e1 / 0.4e1 * t22 * t1807 - 0.3e1 / 0.4e1 * t22 * t1810 - t103 * t433 / 0.2e1;
  t1816 = t14 * t36;
  t1817 = t1816 * t21;
  t1820 = t332 * t1416;
  t1821 = t1820 * t1445;
  t1824 = t69 * t1416;
  t1825 = t1824 * t1418;
  t1826 = t1426 * t410;
  t1829 = t1518 * t60;
  t1830 = t1426 * t1829;
  t1833 = t108 * t1405;
  t1834 = t1833 * t124;
  t1837 = t1427 * t60;
  t1838 = t1426 * t1837;
  t1843 = t108 * t1416;
  t1844 = t1843 * t335;
  t1849 = t1505 * t401;
  t1851 = t63 * t1609;
  t1852 = t400 * t1851;
  t1854 = t386 * t312;
  t1859 = t332 * t363;
  t1860 = t1859 * t394;
  t1862 = t1425 * t404;
  t1863 = t1862 * t401;
  t1868 = t1425 * t137;
  t1869 = t63 * t1631;
  t1870 = t1868 * t1869;
  t1873 = 0.6e1 * t1821 * t424 - 0.3e1 * t1825 * t1826 + 0.1e2 / 0.3e1 * t1825 * t1830 - t1834 * t150 / 0.2e1 + t1825 * t1838 / 0.18e2 - 0.4e1 * t1821 * t411 - 0.3e1 * t1844 * t150 + 0.4e1 * t390 * t402 + t395 * t1849 - t144 * t1852 - 0.6e1 * t1854 * t578 - 0.2e1 * t387 * t402 - t1860 * t583 - 0.6e1 * t395 * t1863 + 0.6e1 * t1860 * t587 + 0.2e1 * t144 * t1870;
  t1876 = t60 * t1609;
  t1877 = t400 * t1876;
  t1880 = t1505 * t419;
  t1886 = t1833 * t143;
  t1890 = t1820 * t1536;
  t1893 = t1824 * t1504;
  t1894 = t1566 * t63;
  t1897 = t60 * t1631;
  t1898 = t1868 * t1897;
  t1900 = t1843 * t1483;
  t1905 = t1505 * t63;
  t1908 = t1862 * t419;
  t1913 = t1571 * t63;
  t1916 = -0.2e1 * t390 * t420 + t144 * t1877 / 0.2e1 - 0.2e1 * t395 * t1880 + 0.3e1 * t1854 * t597 + t387 * t420 + t1886 * t146 + 0.2e1 * t1860 * t591 + 0.2e1 * t1890 * t397 - t1893 * t1894 / 0.9e1 - t144 * t1898 + 0.6e1 * t1900 * t146 - 0.3e1 * t1860 * t601 + 0.6e1 * t1893 * t1905 + 0.3e1 * t395 * t1908 - 0.12e2 * t1890 * t406 - 0.2e1 / 0.3e1 * t1893 * t1913;
  t1917 = t1873 + t1916;
  t1918 = t59 * t1917;
  t1919 = t1918 * t96;
  t1928 = t363 * t311;
  t1929 = t109 * t1928;
  t1930 = t106 * t1929;
  t1935 = t1726 * t491;
  t1936 = t490 * t1935;
  t1939 = t122 * t335;
  t1940 = t333 * t1939;
  t1941 = t106 * t1940;
  t1942 = t95 * t363;
  t1943 = t160 * t1942;
  t1944 = t548 * t1943;
  t1948 = t303 * t1942;
  t1949 = t548 * t1948;
  t1952 = t1711 * t492;
  t1955 = -0.5e1 / 0.54e2 * t1817 * t97 - t22 * t1919 / 0.4e1 - t103 * t428 / 0.4e1 + t482 * t155 / 0.6e1 - t487 * t493 / 0.3e1 + t1930 * t541 / 0.2e1 + t377 * t493 / 0.6e1 + t127 * t1936 / 0.4e1 + t1941 * t1944 + t369 * t493 / 0.12e2 - t1941 * t1949 / 0.4e1 + t338 * t1952 / 0.4e1;
  t1959 = my_piecewise3(t3, 0, t1459 + t1497 + t1534 + t1617 + t1663 + t1722 + t1815 + t1955);
  tv3rho30 = 0.2e1 * rho[0] * t1959 + 0.6e1 * t522;

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t1963 = t496 * t219;
  t1966 = t218 * t500;
  t1967 = t343 * t1966;
  t1970 = t217 * t506;
  t1971 = t158 * t1970;
  t1972 = t106 * t1971;
  t1979 = t202 * t358;
  t1981 = my_piecewise3(t43, t110, 0.22e2 / 0.27e2 * t1979);
  t1983 = t163 * t1981 * t165;
  t1992 = t603 * t159;
  t1993 = t158 * t1992;
  t1994 = t106 * t1993;
  t1999 = t138 * t605;
  t2002 = t343 * t219;
  t2007 = -t338 * t1963 / 0.6e1 + t338 * t1967 / 0.3e1 - t1972 * t513 / 0.2e1 + t610 * t517 / 0.2e1 + t349 * t631 / 0.2e1 + t162 * t1983 / 0.4e1 + t610 * t365 / 0.4e1 + t1479 * t223 / 0.6e1 + t372 * t631 / 0.6e1 + t1994 * t166 / 0.2e1 - t377 * t569 / 0.12e2 - t127 * t1999 / 0.6e1 - t338 * t2002 / 0.12e2 - t208 * t1499 / 0.12e2;
  t2010 = t368 * t609;
  t2013 = t368 * t532;
  t2018 = t1981 * t124;
  t2019 = t109 * t2018;
  t2020 = t106 * t2019;
  t2031 = t1462 * t207;
  t2036 = t217 * t66;
  t2037 = t2036 * t491;
  t2038 = t490 * t2037;
  t2041 = t2036 * t296;
  t2042 = t302 * t2041;
  t2047 = -t369 * t569 / 0.18e2 + t2010 * t166 / 0.6e1 - t2013 * t139 / 0.18e2 - t525 * t380 / 0.18e2 - t2020 * t139 / 0.12e2 - t533 * t380 / 0.6e1 - t610 * t314 / 0.2e1 - t1463 * t223 / 0.18e2 + t487 * t569 / 0.6e1 + t2031 * t139 / 0.54e2 + t1434 * t223 / 0.4e1 + t127 * t2038 / 0.12e2 - t127 * t2042 / 0.6e1 + t546 * t1944 / 0.3e1;
  t2053 = t205 * t1418;
  t2054 = t1415 * t2053;
  t2055 = t106 * t2054;
  t2056 = t1427 * t59;
  t2057 = t1426 * t2056;
  t2058 = t95 * t308;
  t2059 = t303 * t2058;
  t2060 = t2057 * t2059;
  t2067 = t1726 * t539;
  t2068 = t555 * t2067;
  t2071 = t555 * t1948;
  t2074 = t302 * t2067;
  t2077 = t302 * t1948;
  t2080 = t205 * t1445;
  t2081 = t333 * t2080;
  t2082 = t106 * t2081;
  t2083 = t548 * t2059;
  t2086 = t548 * t2067;
  t2091 = t634 * t1693;
  t2094 = t342 * t363;
  t2095 = t341 * t2094;
  t2096 = t620 * t2095;
  t2099 = -t208 * t1732 / 0.12e2 - t208 * t1728 / 0.6e1 - 0.5e1 / 0.36e2 * t2055 * t2060 + t208 * t1936 / 0.6e1 + t208 * t1612 / 0.12e2 - t546 * t2068 / 0.3e1 - t546 * t2071 / 0.6e1 + t538 * t2074 / 0.3e1 + t538 * t2077 / 0.6e1 + t2082 * t2083 / 0.2e1 - t546 * t2086 / 0.6e1 - t546 * t1949 / 0.12e2 - t162 * t2091 / 0.2e1 - t509 * t2096 / 0.2e1;
  t2101 = t1643 * t211 * t165;
  t2105 = t296 * t573 * t165;
  t2108 = t530 * t311;
  t2109 = t163 * t2108;
  t2110 = t2109 * t636;
  t2117 = t530 * t335;
  t2118 = t510 * t2117;
  t2119 = t2118 * t622;
  t2131 = t640 * t1633;
  t2136 = t135 * t137 * t308;
  t2137 = t163 * t544 * t2136;
  t2140 = t162 * t2101 / 0.4e1 + t162 * t2105 / 0.2e1 - t162 * t2110 - t349 * t637 - t349 * t641 / 0.2e1 + t349 * t627 / 0.2e1 - t509 * t2119 - t372 * t637 / 0.3e1 - t372 * t641 / 0.6e1 + t372 * t627 / 0.6e1 - t610 * t329 / 0.4e1 + t610 * t298 / 0.2e1 + t162 * t2131 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t2137;
  t2143 = t510 * t2080;
  t2144 = t342 * t308;
  t2145 = t341 * t2144;
  t2146 = t2143 * t2145;
  t2149 = t640 * t1707;
  t2153 = t341 * t404 * t363;
  t2154 = t620 * t2153;
  t2157 = t163 * t531;
  t2158 = t2157 * t328;
  t2161 = t22 * t576;
  t2162 = t145 * t65;
  t2163 = t193 * t122;
  t2164 = t169 * t2163;
  t2165 = t2162 * t2164;
  t2168 = t22 * t582;
  t2169 = t1505 * t65;
  t2170 = t122 * t326;
  t2171 = t96 * t2170;
  t2172 = t2169 * t2171;
  t2175 = t396 * t65;
  t2176 = t2175 * t2164;
  t2179 = t22 * t212;
  t2182 = t405 * t65;
  t2183 = t2182 * t2164;
  t2186 = t1675 * t2163;
  t2187 = t2175 * t2186;
  t2190 = t347 * t539;
  t2191 = t548 * t2190;
  t2196 = t368 * t545;
  t2201 = 0.3e1 * t509 * t2146 - t162 * t2149 / 0.4e1 + t162 * t2154 / 0.2e1 - t162 * t2158 / 0.2e1 + t2161 * t2165 / 0.3e1 + t2168 * t2172 / 0.4e1 - t2168 * t2176 / 0.6e1 + t2179 * t1687 / 0.6e1 - t2168 * t2183 / 0.3e1 + 0.2e1 / 0.3e1 * t2168 * t2187 + 0.2e1 / 0.3e1 * t546 * t2191 - t1529 * t623 / 0.3e1 - t2196 * t556 / 0.9e1 + 0.2e1 / 0.9e1 * t2196 * t562;
  t2202 = t1502 * t2053;
  t2203 = t1426 * t2144;
  t2204 = t2202 * t2203;
  t2207 = t1427 * t308;
  t2208 = t1426 * t2207;
  t2209 = t2202 * t2208;
  t2212 = t1518 * t308;
  t2213 = t1426 * t2212;
  t2214 = t2202 * t2213;
  t2218 = t341 * t404 * t308;
  t2219 = t2143 * t2218;
  t2222 = t507 * t2058;
  t2223 = t2057 * t2222;
  t2226 = t555 * t2059;
  t2228 = t160 * t2058;
  t2229 = t548 * t2228;
  t2232 = t1518 * t59;
  t2233 = t1426 * t2232;
  t2234 = t2233 * t2059;
  t2241 = t2118 * t645;
  t2243 = t333 * t2117;
  t2244 = t106 * t2243;
  t2249 = 0.3e1 / 0.2e1 * t162 * t2204 + 0.3e1 / 0.2e1 * t1565 * t2209 - 0.3e1 * t509 * t2214 - 0.3e1 * t162 * t2219 - 0.3e1 / 0.2e1 * t2055 * t2223 + t2082 * t2226 - 0.2e1 * t2082 * t2229 - 0.11e2 / 0.18e2 * t2055 * t2234 + t372 * t646 / 0.3e1 - t1553 * t623 + t349 * t646 + t162 * t2241 - t2244 * t556 / 0.3e1 + 0.2e1 / 0.3e1 * t2244 * t562;
  t2251 = t22 * t501;
  t2252 = t400 * t2170;
  t2253 = t576 * t2252;
  t2255 = t22 * t1557;
  t2256 = t332 * t122;
  t2257 = t2256 * t394;
  t2258 = t205 * t326;
  t2259 = t1505 * t2258;
  t2260 = t2257 * t2259;
  t2263 = t506 * params->at;
  t2264 = t65 * t2263;
  t2265 = t22 * t2264;
  t2266 = t193 * t332;
  t2267 = t2266 * t544;
  t2268 = t2267 * t622;
  t2270 = t1678 * t536;
  t2271 = t2270 * t636;
  t2275 = t109 * t2108;
  t2276 = t106 * t2275;
  t2285 = t368 * t537;
  t2292 = t2267 * t645;
  t2294 = t1862 * t65;
  t2295 = t2294 * t2171;
  t2298 = t2251 * t2253 + 0.3e1 / 0.2e1 * t2255 * t2260 - t2265 * t2268 - t1677 * t2271 - t525 * t305 / 0.18e2 + t2276 * t541 / 0.3e1 + t533 * t493 / 0.6e1 - t2244 * t549 / 0.6e1 - t533 * t305 / 0.6e1 + t2285 * t541 / 0.9e1 + t525 * t493 / 0.18e2 - t2196 * t549 / 0.18e2 + t1677 * t2292 + t2168 * t2295 / 0.2e1;
  t2299 = t500 * t2170;
  t2300 = t2169 * t2299;
  t2302 = t1684 * t2171;
  t2305 = t1678 * t206;
  t2306 = t2305 * t328;
  t2309 = t1862 * t2170;
  t2310 = t582 * t2309;
  t2315 = t604 * t194;
  t2318 = t218 * t477;
  t2321 = t2057 * t2228;
  t2324 = t1426 * t547;
  t2325 = t2324 * t2059;
  t2328 = t2233 * t2228;
  t2331 = t109 * t544;
  t2332 = t106 * t2331;
  t2333 = t302 * t2059;
  t2340 = t108 * t1981;
  t2341 = t2340 * t124;
  t2344 = t312 * t319;
  t2345 = t211 * t2344;
  t2346 = t62 * t122;
  t2347 = t2346 * t326;
  t2348 = t149 * t2347;
  t2351 = t394 * t1425;
  t2352 = t581 * t2351;
  t2353 = t410 * t2347;
  t2355 = t423 * t2347;
  t2360 = t211 * t1483;
  t2361 = t63 * t308;
  t2362 = t145 * t2361;
  t2365 = t581 * t1536;
  t2366 = t396 * t2361;
  t2369 = t69 * t205;
  t2370 = t2369 * t1504;
  t2371 = t1566 * t2361;
  t2375 = t590 * t326;
  t2376 = t1505 * t2375;
  t2379 = t63 * t363;
  t2380 = t405 * t2379;
  t2383 = t573 * t312;
  t2388 = t332 * t530;
  t2389 = t2388 * t394;
  t2392 = t145 * t2379;
  t2395 = t405 * t2361;
  t2398 = t1571 * t2361;
  t2401 = t1505 * t2361;
  t2404 = t1862 * t2375;
  t2407 = -t2341 * t150 / 0.2e1 + 0.4e1 * t2345 * t2348 + t2352 * t2353 - 0.6e1 * t2352 * t2355 + 0.2e1 * t212 * t1870 + 0.6e1 * t2360 * t2362 + 0.2e1 * t2365 * t2366 - t2370 * t2371 / 0.9e1 - t212 * t1852 - 0.2e1 * t582 * t2376 + 0.2e1 * t582 * t2380 - 0.4e1 * t2383 * t578 - 0.2e1 * t574 * t402 - 0.2e1 / 0.3e1 * t2389 * t583 - 0.2e1 * t576 * t2392 - 0.12e2 * t2365 * t2395 - 0.2e1 / 0.3e1 * t2370 * t2398 + 0.6e1 * t2370 * t2401 + 0.3e1 * t582 * t2404;
  t2410 = t400 * t2375;
  t2413 = t396 * t2379;
  t2416 = t60 * t308;
  t2417 = t405 * t2416;
  t2420 = t1505 * t2416;
  t2423 = t145 * t2416;
  t2427 = t60 * t363;
  t2428 = t405 * t2427;
  t2430 = t145 * t2427;
  t2434 = t396 * t2416;
  t2437 = t1566 * t2416;
  t2440 = t1571 * t2416;
  t2443 = t396 * t2427;
  t2449 = t2340 * t143;
  t2455 = 0.4e1 * t2389 * t587 - 0.2e1 * t576 * t2410 - t582 * t2413 / 0.3e1 + 0.6e1 * t2365 * t2417 - 0.3e1 * t2370 * t2420 - 0.3e1 * t2360 * t2423 - t212 * t1898 - t582 * t2428 + t576 * t2430 + t212 * t1877 / 0.2e1 - 0.4e1 * t2365 * t2434 + t2370 * t2437 / 0.18e2 + 0.1e2 / 0.3e1 * t2370 * t2440 + 0.2e1 / 0.3e1 * t582 * t2443 + 0.2e1 * t2383 * t597 + t574 * t420 + t2449 * t146 + 0.4e1 / 0.3e1 * t2389 * t591 - 0.2e1 * t2389 * t601;
  t2456 = t2407 + t2455;
  t2457 = t59 * t2456;
  t2458 = t2457 * t96;
  t2463 = -t2168 * t2300 - t2161 * t2302 / 0.3e1 - t1677 * t2306 / 0.2e1 - 0.3e1 / 0.2e1 * t2251 * t2310 - t103 * t613 / 0.6e1 - t22 * t2315 / 0.2e1 - t22 * t2318 / 0.4e1 + 0.23e2 / 0.36e2 * t2055 * t2321 - t2055 * t2325 / 0.2e1 + 0.7e1 / 0.3e1 * t2055 * t2328 - t2332 * t2333 / 0.2e1 - t208 * t1640 / 0.6e1 + t482 * t219 / 0.18e2 - t22 * t2458 / 0.4e1 - t103 * t605 / 0.6e1;
  t2467 = my_piecewise3(t3, 0, t2007 + t2047 + t2099 + t2140 + t2201 + t2249 + t2298 + t2463);
  tv3rho2sigma0 = 0.2e1 * rho[0] * t2467 + 0.4e1 * t651;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  t2473 = t138 * t714;
  t2476 = t343 * t244;
  t2483 = t368 * t718;
  t2486 = t368 * t660;
  t2492 = my_piecewise3(t43, t110, 0.2e2 / 0.27e2 * t118);
  t2493 = t2492 * t124;
  t2494 = t109 * t2493;
  t2495 = t106 * t2494;
  t2500 = t496 * t244;
  t2503 = t243 * t500;
  t2504 = t343 * t2503;
  t2507 = t242 * t506;
  t2508 = t158 * t2507;
  t2509 = t106 * t2508;
  t2514 = -t377 * t686 / 0.12e2 - t127 * t2473 / 0.6e1 - t338 * t2476 / 0.12e2 - t233 * t1499 / 0.12e2 - t369 * t686 / 0.18e2 + t2483 * t166 / 0.6e1 - t2486 * t139 / 0.18e2 - t654 * t380 / 0.18e2 - t2495 * t139 / 0.12e2 - t661 * t380 / 0.6e1 - t338 * t2500 / 0.6e1 + t338 * t2504 / 0.3e1 - t2509 * t513 / 0.2e1 + t719 * t517 / 0.2e1;
  t2521 = t1462 * t232;
  t2527 = t163 * t2492 * t165;
  t2536 = t712 * t159;
  t2537 = t158 * t2536;
  t2538 = t106 * t2537;
  t2543 = t368 * t670;
  t2548 = t658 * t311;
  t2549 = t109 * t2548;
  t2550 = t106 * t2549;
  t2553 = -t1463 * t248 / 0.18e2 - t719 * t314 / 0.2e1 + t487 * t686 / 0.6e1 + t2521 * t139 / 0.54e2 + t349 * t738 / 0.2e1 + t162 * t2527 / 0.4e1 + t1479 * t248 / 0.6e1 + t372 * t738 / 0.6e1 + t1434 * t248 / 0.4e1 + t2538 * t166 / 0.2e1 + t719 * t365 / 0.4e1 - t2543 * t549 / 0.18e2 - t654 * t305 / 0.18e2 + t2550 * t541 / 0.3e1;
  t2557 = t368 * t665;
  t2560 = t697 * t2309;
  t2563 = t2266 * t669;
  t2564 = t2563 * t622;
  t2566 = t230 * t326;
  t2567 = t1505 * t2566;
  t2568 = t2257 * t2567;
  t2571 = t242 * t66;
  t2572 = t2571 * t491;
  t2573 = t490 * t2572;
  t2588 = t230 * t1418;
  t2589 = t1415 * t2588;
  t2590 = t106 * t2589;
  t2595 = t661 * t493 / 0.6e1 + t2557 * t541 / 0.9e1 - 0.3e1 / 0.2e1 * t2251 * t2560 - t2265 * t2564 + 0.3e1 / 0.2e1 * t2255 * t2568 + t127 * t2573 / 0.12e2 - t233 * t1728 / 0.6e1 + t671 * t1944 / 0.3e1 - t671 * t2068 / 0.3e1 - t671 * t2071 / 0.6e1 - t671 * t2086 / 0.6e1 - t671 * t1949 / 0.12e2 - 0.5e1 / 0.36e2 * t2590 * t2060 + t233 * t1936 / 0.6e1;
  t2598 = t658 * t335;
  t2599 = t333 * t2598;
  t2600 = t106 * t2599;
  t2609 = t230 * t1445;
  t2610 = t333 * t2609;
  t2611 = t106 * t2610;
  t2620 = t510 * t2598;
  t2621 = t2620 * t645;
  t2629 = t233 * t1612 / 0.12e2 - t2600 * t549 / 0.6e1 - t661 * t305 / 0.6e1 + t666 * t2074 / 0.3e1 + t666 * t2077 / 0.6e1 + t2611 * t2083 / 0.2e1 + t654 * t493 / 0.18e2 + t372 * t749 / 0.3e1 - t1553 * t730 + t349 * t749 + t162 * t2621 - t2600 * t556 / 0.3e1 + 0.2e1 / 0.3e1 * t2600 * t562 + 0.2e1 / 0.3e1 * t671 * t2191;
  t2632 = t22 * t697;
  t2648 = t745 * t1633;
  t2651 = t163 * t669;
  t2652 = t2651 * t2136;
  t2655 = t510 * t2609;
  t2656 = t2655 * t2145;
  t2661 = t109 * t669;
  t2662 = t106 * t2661;
  t2665 = t2571 * t296;
  t2666 = t302 * t2665;
  t2669 = -t2632 * t2300 + t2632 * t2295 / 0.2e1 + t349 * t734 / 0.2e1 + t719 * t298 / 0.2e1 - t372 * t742 / 0.3e1 - t372 * t746 / 0.6e1 + t372 * t734 / 0.6e1 - t719 * t329 / 0.4e1 + t162 * t2648 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t2652 + 0.3e1 * t509 * t2656 - t233 * t1640 / 0.6e1 - t2662 * t2333 / 0.2e1 - t127 * t2666 / 0.6e1;
  t2672 = t2563 * t645;
  t2674 = t22 * t693;
  t2683 = t22 * t237;
  t2686 = t713 * t194;
  t2689 = t243 * t477;
  t2696 = t693 * t2252;
  t2698 = t1678 * t664;
  t2699 = t2698 * t636;
  t2701 = t1678 * t231;
  t2702 = t2701 * t328;
  t2705 = -t233 * t1732 / 0.12e2 + t1677 * t2672 - t2674 * t2302 / 0.3e1 - t103 * t722 / 0.6e1 + t2632 * t2172 / 0.4e1 + t2674 * t2165 / 0.3e1 + t2683 * t1687 / 0.6e1 - t22 * t2686 / 0.2e1 - t22 * t2689 / 0.4e1 - t2632 * t2183 / 0.3e1 + 0.2e1 / 0.3e1 * t2632 * t2187 + t2251 * t2696 - t1677 * t2699 - t1677 * t2702 / 0.2e1;
  t2713 = t1502 * t2588;
  t2714 = t2713 * t2203;
  t2717 = t2713 * t2208;
  t2720 = t2713 * t2213;
  t2723 = t2655 * t2218;
  t2739 = -t1529 * t730 / 0.3e1 - t2543 * t556 / 0.9e1 + 0.2e1 / 0.9e1 * t2543 * t562 + 0.3e1 / 0.2e1 * t162 * t2714 + 0.3e1 / 0.2e1 * t1565 * t2717 - 0.3e1 * t509 * t2720 - 0.3e1 * t162 * t2723 + 0.7e1 / 0.3e1 * t2590 * t2328 - 0.3e1 / 0.2e1 * t2590 * t2223 + t2611 * t2226 - 0.2e1 * t2611 * t2229 - 0.11e2 / 0.18e2 * t2590 * t2234 + 0.23e2 / 0.36e2 * t2590 * t2321 - t2590 * t2325 / 0.2e1;
  t2746 = t108 * t2492;
  t2747 = t2746 * t124;
  t2750 = t696 * t2351;
  t2752 = t236 * t2344;
  t2759 = t332 * t658;
  t2760 = t2759 * t394;
  t2765 = t236 * t1483;
  t2776 = t696 * t1536;
  t2781 = t69 * t230;
  t2782 = t2781 * t1504;
  t2790 = t690 * t312;
  t2793 = -t2747 * t150 / 0.2e1 + t2750 * t2353 + 0.4e1 * t2752 * t2348 - 0.6e1 * t2750 * t2355 - 0.2e1 * t691 * t402 - 0.2e1 / 0.3e1 * t2760 * t583 + 0.2e1 * t237 * t1870 + 0.6e1 * t2765 * t2362 + 0.3e1 * t697 * t2404 + 0.4e1 * t2760 * t587 - 0.2e1 * t693 * t2410 - 0.2e1 * t693 * t2392 + 0.2e1 * t2776 * t2366 - t697 * t2413 / 0.3e1 - t2782 * t2371 / 0.9e1 - t237 * t1852 - 0.2e1 * t697 * t2376 + 0.2e1 * t697 * t2380 - 0.4e1 * t2790 * t578;
  t2811 = t2746 * t143;
  t2828 = -0.12e2 * t2776 * t2395 - 0.2e1 / 0.3e1 * t2782 * t2398 + 0.6e1 * t2782 * t2401 + t693 * t2430 + t237 * t1877 / 0.2e1 - t697 * t2428 + 0.1e2 / 0.3e1 * t2782 * t2440 + 0.2e1 / 0.3e1 * t697 * t2443 + 0.2e1 * t2790 * t597 + t691 * t420 + t2811 * t146 + 0.4e1 / 0.3e1 * t2760 * t591 - 0.4e1 * t2776 * t2434 + t2782 * t2437 / 0.18e2 + 0.6e1 * t2776 * t2417 - 0.3e1 * t2782 * t2420 - 0.3e1 * t2765 * t2423 - t237 * t1898 - 0.2e1 * t2760 * t601;
  t2829 = t2793 + t2828;
  t2830 = t59 * t2829;
  t2831 = t2830 * t96;
  t2834 = t729 * t2153;
  t2837 = t741 * t1693;
  t2840 = t745 * t1707;
  t2843 = t163 * t2548;
  t2844 = t2843 * t636;
  t2846 = t163 * t659;
  t2847 = t2846 * t328;
  t2850 = t2620 * t622;
  t2852 = t729 * t2095;
  t2856 = t1643 * t236 * t165;
  t2860 = t296 * t690 * t165;
  t2866 = -t2632 * t2176 / 0.6e1 + t482 * t244 / 0.18e2 - t103 * t714 / 0.6e1 - t22 * t2831 / 0.4e1 + t162 * t2834 / 0.2e1 - t162 * t2837 / 0.2e1 - t162 * t2840 / 0.4e1 - t162 * t2844 - t162 * t2847 / 0.2e1 - t509 * t2850 - t509 * t2852 / 0.2e1 + t162 * t2856 / 0.4e1 + t162 * t2860 / 0.2e1 - t349 * t742 - t349 * t746 / 0.2e1;
  t2870 = my_piecewise3(t3, 0, t2514 + t2553 + t2595 + t2629 + t2669 + t2705 + t2739 + t2866);
  tv3rho2lapl0 = 0.2e1 * rho[0] * t2870 + 0.4e1 * t754;

  if(out->v3rho2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 0] += tv3rho2lapl0;

  t2880 = t138 * t827;
  t2883 = t825 * t159;
  t2884 = t158 * t2883;
  t2885 = t106 * t2884;
  t2888 = t496 * t270;
  t2891 = t269 * t500;
  t2892 = t343 * t2891;
  t2895 = t268 * t506;
  t2896 = t158 * t2895;
  t2897 = t106 * t2896;
  t2902 = t368 * t853;
  t2911 = t1462 * t258;
  t2915 = my_piecewise3(t43, t110, -0.8e2 / 0.27e2 * t528);
  t2916 = t2915 * t124;
  t2917 = t109 * t2916;
  t2918 = t106 * t2917;
  t2925 = t1479 * t274 / 0.6e1 + t372 * t833 / 0.6e1 - t377 * t848 / 0.12e2 - t127 * t2880 / 0.6e1 + t2885 * t166 / 0.2e1 - t338 * t2888 / 0.6e1 + t338 * t2892 / 0.3e1 - t2897 * t513 / 0.2e1 + t854 * t517 / 0.2e1 + t2902 * t166 / 0.6e1 - t854 * t314 / 0.2e1 - t1463 * t274 / 0.18e2 - t369 * t848 / 0.18e2 + t2911 * t139 / 0.54e2 - t2918 * t139 / 0.12e2 - t838 * t380 / 0.6e1 - t259 * t1499 / 0.12e2;
  t2931 = t163 * t2915 * t165;
  t2934 = t343 * t270;
  t2939 = t368 * t837;
  t2946 = t160 * t884;
  t2947 = t548 * t2946;
  t2950 = t884 * t393;
  t2951 = t2950 * t512;
  t2954 = t2950 * t516;
  t2961 = t268 * t66;
  t2962 = t2961 * t491;
  t2963 = t490 * t2962;
  t2966 = t2961 * t296;
  t2967 = t302 * t2966;
  t2970 = t802 * t335;
  t2971 = t333 * t2970;
  t2972 = t106 * t2971;
  t2977 = t1434 * t274 / 0.4e1 + t349 * t833 / 0.2e1 + t162 * t2931 / 0.4e1 - t338 * t2934 / 0.12e2 + t854 * t365 / 0.4e1 - t2939 * t139 / 0.18e2 - t843 * t380 / 0.18e2 + t487 * t848 / 0.6e1 + t338 * t2947 / 0.3e1 - t509 * t2951 / 0.2e1 + t162 * t2954 / 0.2e1 - t854 * t329 / 0.4e1 + t854 * t298 / 0.2e1 + t127 * t2963 / 0.12e2 - t127 * t2967 / 0.6e1 - t2972 * t549 / 0.6e1 - t866 * t2086 / 0.6e1;
  t2981 = t256 * t1418;
  t2982 = t1415 * t2981;
  t2983 = t106 * t2982;
  t2986 = t806 * t2252;
  t2988 = t22 * t806;
  t2991 = t1502 * t2981;
  t2992 = t2991 * t2208;
  t2997 = t555 * t885;
  t3000 = t2991 * t2213;
  t3003 = t2991 * t2203;
  t3006 = t22 * t263;
  t3009 = t810 * t2309;
  t3012 = t2266 * t857;
  t3013 = t3012 * t645;
  t3015 = t22 * t810;
  t3025 = -t866 * t1949 / 0.12e2 - 0.5e1 / 0.36e2 * t2983 * t2060 + t2251 * t2986 - t2988 * t2302 / 0.3e1 + 0.3e1 / 0.2e1 * t1565 * t2992 - t2983 * t2325 / 0.2e1 - t338 * t2997 / 0.6e1 - 0.3e1 * t509 * t3000 + 0.3e1 / 0.2e1 * t162 * t3003 + t3006 * t1687 / 0.6e1 - 0.3e1 / 0.2e1 * t2251 * t3009 + t1677 * t3013 + 0.2e1 / 0.3e1 * t3015 * t2187 - t3015 * t2300 - t3015 * t2183 / 0.3e1 - t838 * t305 / 0.6e1 - t259 * t1728 / 0.6e1;
  t3028 = t802 * t311;
  t3029 = t109 * t3028;
  t3030 = t106 * t3029;
  t3037 = t256 * t1445;
  t3038 = t333 * t3037;
  t3039 = t106 * t3038;
  t3049 = t884 * t386 * t165;
  t3052 = t368 * t893;
  t3057 = t368 * t865;
  t3062 = t287 * t108;
  t3063 = t3062 * t125;
  t3064 = t3063 * t328;
  t3073 = -t259 * t1732 / 0.12e2 + t3030 * t541 / 0.3e1 + t894 * t2074 / 0.3e1 + t894 * t2077 / 0.6e1 + t3039 * t2083 / 0.2e1 + t838 * t493 / 0.6e1 + t259 * t1936 / 0.6e1 + t259 * t1612 / 0.12e2 + t162 * t3049 / 0.4e1 + t3052 * t541 / 0.9e1 + t843 * t493 / 0.18e2 - t3057 * t549 / 0.18e2 - t843 * t305 / 0.18e2 - t1677 * t3064 / 0.4e1 + t482 * t289 / 0.18e2 - t103 * t757 / 0.6e1 - t103 * t760 / 0.6e1;
  t3080 = t510 * t3037;
  t3081 = t3080 * t2145;
  t3089 = t3080 * t2218;
  t3096 = t256 * t326;
  t3097 = t1505 * t3096;
  t3098 = t2257 * t3097;
  t3103 = t287 * t326;
  t3104 = t169 * t3103;
  t3105 = t1684 * t3104;
  t3108 = t1678 * t871;
  t3109 = t3108 * t636;
  t3113 = t163 * t857;
  t3114 = t3113 * t2136;
  t3121 = -t103 * t794 / 0.6e1 + t372 * t862 / 0.3e1 + 0.3e1 * t509 * t3081 - t1529 * t859 / 0.3e1 + t3039 * t2226 - t3057 * t556 / 0.9e1 - 0.3e1 * t162 * t3089 + 0.2e1 / 0.9e1 * t3057 * t562 - 0.2e1 * t3039 * t2229 + 0.3e1 / 0.2e1 * t2255 * t3098 + t2988 * t2165 / 0.3e1 + t1683 * t3105 / 0.12e2 - t1677 * t3109 - t372 * t877 / 0.6e1 + 0.3e1 / 0.2e1 * t162 * t3114 - t372 * t873 / 0.3e1 + t372 * t881 / 0.6e1;
  t3122 = t876 * t1633;
  t3129 = t826 * t194;
  t3132 = t427 * t288;
  t3135 = t154 * t793;
  t3138 = t23 * t443;
  t3139 = t3138 * tau[0];
  t3164 = t356 * t115;
  t3165 = 0.1e1 / t3164;
  t3166 = t3165 * t439;
  t3177 = t3165 * t84;
  t3180 = 0.6e3 * t471 * t3139 - 0.2e3 * t447 * t3139 - 0.72e3 * t454 * t3139 - 0.8e2 * t459 * t3139 + 0.1e4 * t464 * t3139 - 0.4e2 / 0.9e1 * t174 * t118 + 0.8e2 / 0.3e1 * t178 * t118 + 0.8e2 / 0.3e1 * t182 * t118 - 0.2e3 / 0.9e1 * t185 * t118 - 0.2e3 / 0.9e1 * t190 * t118 - 0.4e2 / 0.9e1 * t118 * t78 + 0.4e2 * t3138 * t768 + 0.34e4 / 0.3e1 * t1752 * t3166 + 0.52e4 / 0.3e1 * t1759 * t3166 - 0.2e4 * t1762 * t3166 - 0.5e4 * t1765 * t3166 - 0.7e4 / 0.3e1 * t1770 * t3166 + 0.2e3 / 0.3e1 * t3177 * t439;
  t3181 = t169 * t3180;
  t3182 = t65 * t3181;
  t3185 = t269 * t477;
  t3190 = t1678 * t257;
  t3191 = t3190 * t328;
  t3200 = t809 * t2351;
  t3202 = t262 * t2344;
  t3207 = t69 * t256;
  t3208 = t3207 * t1504;
  t3213 = t332 * t802;
  t3214 = t3213 * t394;
  t3221 = t262 * t1483;
  t3226 = t809 * t1536;
  t3236 = t803 * t312;
  t3245 = t3200 * t2353 + 0.4e1 * t3202 * t2348 - 0.6e1 * t3200 * t2355 - 0.2e1 / 0.3e1 * t3208 * t2398 + 0.6e1 * t3208 * t2401 + 0.4e1 * t3214 * t587 + 0.3e1 * t810 * t2404 + 0.2e1 * t263 * t1870 + 0.6e1 * t3221 * t2362 - 0.2e1 * t806 * t2392 + 0.2e1 * t3226 * t2366 - t810 * t2413 / 0.3e1 - t3208 * t2371 / 0.9e1 - t263 * t1852 - 0.2e1 * t810 * t2376 - 0.4e1 * t3236 * t578 - 0.2e1 * t804 * t402 - 0.2e1 / 0.3e1 * t3214 * t583 - 0.12e2 * t3226 * t2395;
  t3261 = t108 * t2915;
  t3262 = t3261 * t143;
  t3279 = t3261 * t124;
  t3282 = 0.2e1 * t810 * t2380 - 0.2e1 * t806 * t2410 + 0.6e1 * t3226 * t2417 - 0.3e1 * t3208 * t2420 - 0.2e1 * t3214 * t601 + 0.2e1 / 0.3e1 * t810 * t2443 + 0.2e1 * t3236 * t597 + t804 * t420 + t3262 * t146 + 0.4e1 / 0.3e1 * t3214 * t591 - 0.4e1 * t3226 * t2434 - 0.3e1 * t3221 * t2423 - t263 * t1898 + t263 * t1877 / 0.2e1 + t3208 * t2437 / 0.18e2 + 0.1e2 / 0.3e1 * t3208 * t2440 - t810 * t2428 + t806 * t2430 - t3279 * t150 / 0.2e1;
  t3283 = t3245 + t3282;
  t3284 = t59 * t3283;
  t3285 = t3284 * t96;
  t3293 = t884 * t389 * t313;
  t3296 = t162 * t3122 / 0.2e1 + t487 * t886 / 0.6e1 - t369 * t886 / 0.18e2 - t22 * t3129 / 0.2e1 - t22 * t3132 / 0.4e1 - t22 * t3135 / 0.2e1 - t22 * t3182 / 0.4e1 - t22 * t3185 / 0.4e1 + t3015 * t2295 / 0.2e1 - t1677 * t3191 / 0.2e1 - t3015 * t2176 / 0.6e1 + t3015 * t2172 / 0.4e1 - t103 * t827 / 0.6e1 - t22 * t3285 / 0.4e1 + t482 * t270 / 0.18e2 + t372 * t890 / 0.6e1 - t162 * t3293 / 0.2e1;
  t3298 = t109 * t857;
  t3299 = t106 * t3298;
  t3304 = t308 * t1418;
  t3305 = t1415 * t3304;
  t3306 = t106 * t3305;
  t3307 = t95 * t256;
  t3308 = t507 * t3307;
  t3309 = t2057 * t3308;
  t3313 = t510 * t2970;
  t3314 = t3313 * t622;
  t3316 = t858 * t2095;
  t3327 = t858 * t2153;
  t3330 = t160 * t3307;
  t3331 = t2233 * t3330;
  t3334 = t3313 * t645;
  t3336 = t163 * t3028;
  t3337 = t3336 * t636;
  t3343 = -t3299 * t2333 / 0.2e1 - t259 * t1640 / 0.6e1 - 0.3e1 / 0.2e1 * t3306 * t3309 - t1553 * t859 - t509 * t3314 - t509 * t3316 / 0.2e1 - 0.11e2 / 0.18e2 * t2983 * t2234 - t2972 * t556 / 0.3e1 - t866 * t2068 / 0.3e1 - t866 * t2071 / 0.6e1 + t162 * t3327 / 0.2e1 + 0.7e1 / 0.3e1 * t3306 * t3331 + t162 * t3334 - t162 * t3337 + t349 * t862 + 0.23e2 / 0.36e2 * t2983 * t2321 - t349 * t873;
  t3353 = t1643 * t262 * t165;
  t3358 = t163 * t836;
  t3359 = t3358 * t328;
  t3362 = t876 * t1707;
  t3365 = params->at * t792;
  t3367 = t3365 * t142 * t165;
  t3370 = t872 * t1693;
  t3373 = t548 * t885;
  t3378 = t1726 * t884;
  t3379 = t302 * t3378;
  t3382 = t303 * t3365;
  t3383 = t302 * t3382;
  t3386 = t3012 * t622;
  t3389 = t296 * t803 * t165;
  t3394 = t866 * t1944 / 0.3e1 + 0.2e1 / 0.3e1 * t2972 * t562 + 0.2e1 / 0.3e1 * t866 * t2191 + t349 * t881 / 0.2e1 + t162 * t3353 / 0.4e1 - t349 * t877 / 0.2e1 - t162 * t3359 / 0.2e1 - t162 * t3362 / 0.4e1 + t162 * t3367 / 0.2e1 - t162 * t3370 / 0.2e1 - t338 * t3373 / 0.12e2 + t349 * t890 / 0.2e1 - t127 * t3379 / 0.6e1 - t127 * t3383 / 0.6e1 - t2265 * t3386 + t162 * t3389 / 0.2e1 - t377 * t886 / 0.12e2;
  t3398 = my_piecewise3(t3, 0, t2925 + t2977 + t3025 + t3073 + t3121 + t3296 + t3343 + t3394);
  tv3rho2tau0 = 0.2e1 * rho[0] * t3398 + 0.4e1 * t905;

  if(out->v3rho2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 0] += tv3rho2tau0;

  t3409 = t911 * t380;
  t3410 = t3409 / 0.12e2;
  t3411 = t138 * t972;
  t3414 = t970 * t159;
  t3415 = t158 * t3414;
  t3416 = t106 * t3415;
  t3429 = t372 * t982;
  t3430 = t3429 / 0.12e2;
  t3431 = -t922 * t1451 / 0.12e2 - t922 * t1510 / 0.6e1 - t533 * t569 / 0.6e1 - t208 * t1999 / 0.6e1 - t3410 - t127 * t3411 / 0.12e2 + t3416 * t166 / 0.4e1 + t1994 * t223 / 0.2e1 + t922 * t1440 / 0.3e1 + t372 * t994 / 0.6e1 - t372 * t986 / 0.6e1 - t1529 * t978 / 0.6e1 + t3430;
  t3434 = t368 * t921;
  t3443 = t368 * t910;
  t3444 = t3443 * t139;
  t3445 = t3444 / 0.36e2;
  t3446 = t368 * t916;
  t3459 = t349 * t982;
  t3460 = t3459 / 0.4e1;
  t3461 = t2010 * t223 / 0.6e1 + t3434 * t502 / 0.9e1 - t3434 * t497 / 0.18e2 - t525 * t569 / 0.18e2 - t3434 * t344 / 0.36e2 - t3445 + t3446 * t139 / 0.18e2 + t917 * t380 / 0.6e1 - t349 * t986 / 0.2e1 + t349 * t994 / 0.2e1 + t610 * t631 / 0.2e1 - t1553 * t978 / 0.2e1 + t3460 - t913;
  t3463 = t929 * t122;
  t3464 = t96 * t3463;
  t3465 = t2294 * t3464;
  t3468 = t500 * t3463;
  t3469 = t2169 * t3468;
  t3472 = t205 * t929;
  t3473 = t1505 * t3472;
  t3474 = t2257 * t3473;
  t3477 = t1862 * t3463;
  t3478 = t582 * t3477;
  t3481 = t914 * t1445;
  t3482 = t333 * t3481;
  t3483 = t106 * t3482;
  t3485 = t908 * t335;
  t3486 = t333 * t3485;
  t3487 = t106 * t3486;
  t3488 = t3487 * t562;
  t3489 = t3488 / 0.3e1;
  t3490 = t3487 * t556;
  t3491 = t3490 / 0.6e1;
  t3492 = t914 * t1418;
  t3493 = t1502 * t3492;
  t3494 = t1427 * t122;
  t3495 = t1426 * t3494;
  t3496 = t3493 * t3495;
  t3501 = t1415 * t3492;
  t3502 = t106 * t3501;
  t3503 = t507 * t539;
  t3504 = t2057 * t3503;
  t3507 = t608 * t539;
  t3508 = t548 * t3507;
  t3511 = t984 + t2168 * t3465 / 0.6e1 - t2168 * t3469 / 0.3e1 + t2255 * t3474 / 0.2e1 - t2251 * t3478 / 0.2e1 + t3483 * t556 + t3489 - t3491 + 0.3e1 / 0.2e1 * t1565 * t3496 - t1972 * t623 + t610 * t646 - 0.3e1 / 0.2e1 * t3502 * t3504 + 0.2e1 / 0.3e1 * t546 * t3508;
  t3513 = t135 * t137 * t530;
  t3514 = t634 * t3513;
  t3516 = t296 * t948;
  t3517 = t3516 * t516;
  t3520 = t510 * t920;
  t3521 = t3520 * t1671;
  t3523 = t2256 * t335;
  t3529 = t321 * t536;
  t3532 = t1592 * t544;
  t3535 = t321 * t206;
  t3542 = t211 * t311;
  t3547 = t581 * t335;
  t3550 = 0.2e1 / 0.3e1 * t3523 * t1052 + 0.2e1 * t321 * t530 * t165 - 0.4e1 * t3529 * t636 + 0.4e1 / 0.3e1 * t3532 * t622 - 0.2e1 * t3535 * t328 + 0.4e1 * t3532 * t645 - 0.2e1 * t594 * t138 + 0.4e1 * t3542 * t636 + 0.2e1 * t214 * t328 - 0.4e1 * t3547 * t645;
  t3552 = t320 * t137 * t3550;
  t3553 = t640 * t3552;
  t3557 = t341 * t404 * t530;
  t3558 = t620 * t3557;
  t3560 = t2233 * t540;
  t3565 = t2036 * t539;
  t3566 = t555 * t3565;
  t3569 = t2233 * t561;
  t3572 = t510 * t3481;
  t3573 = t3572 * t645;
  t3576 = t1426 * t621;
  t3577 = t3493 * t3576;
  t3580 = t2324 * t540;
  t3583 = t510 * t3485;
  t3584 = t3583 * t645;
  t3585 = t162 * t3584;
  t3586 = t3585 / 0.2e1;
  t3587 = t3583 * t622;
  t3588 = t509 * t3587;
  t3589 = t3588 / 0.2e1;
  t3590 = -t162 * t3514 + t162 * t3517 / 0.2e1 - t162 * t3521 - t162 * t3553 / 0.4e1 + t162 * t3558 - 0.11e2 / 0.18e2 * t3502 * t3560 - 0.2e1 * t3483 * t562 - t546 * t3566 / 0.3e1 + 0.7e1 / 0.3e1 * t3502 * t3569 - 0.3e1 * t162 * t3573 + 0.3e1 / 0.2e1 * t162 * t3577 - t3502 * t3580 / 0.2e1 + t3586 - t3589;
  t3593 = t1518 * t122;
  t3594 = t1426 * t3593;
  t3595 = t3493 * t3594;
  t3602 = t911 * t305;
  t3603 = t3602 / 0.12e2;
  t3604 = t3487 * t549;
  t3605 = t3604 / 0.12e2;
  t3606 = t911 * t493;
  t3607 = t3606 / 0.12e2;
  t3608 = t908 * t311;
  t3609 = t109 * t3608;
  t3610 = t106 * t3609;
  t3611 = t3610 * t541;
  t3612 = t3611 / 0.6e1;
  t3613 = t2057 * t561;
  t3616 = t2169 * t3464;
  t3619 = t193 * t929;
  t3620 = t169 * t3619;
  t3621 = t1684 * t3620;
  t3624 = t1868 * t65;
  t3625 = t929 * t326;
  t3626 = t96 * t3625;
  t3627 = t3624 * t3626;
  t3630 = t2305 * t990;
  t3633 = t1684 * t3464;
  t3636 = -0.3e1 * t509 * t3595 + t525 * t932 / 0.36e2 - t372 * t991 / 0.12e2 - t3603 - t3605 + t3607 + t3612 + 0.23e2 / 0.36e2 * t3502 * t3613 + t2168 * t3616 / 0.12e2 + t2179 * t3621 / 0.12e2 - t2179 * t3627 / 0.6e1 - t1677 * t3630 / 0.4e1 - t2161 * t3633 / 0.6e1;
  t3637 = t400 * t3463;
  t3638 = t576 * t3637;
  t3641 = t1868 * t3625;
  t3642 = t212 * t3641;
  t3645 = t971 * t194;
  t3650 = t548 * t3565;
  t3655 = t302 * t3565;
  t3662 = t95 * t530;
  t3663 = t160 * t3662;
  t3664 = t548 * t3663;
  t3672 = t3520 * t1666;
  t3674 = t2251 * t3638 / 0.2e1 + t2251 * t3642 / 0.2e1 - t22 * t3645 / 0.4e1 - t208 * t2042 / 0.6e1 - t546 * t3650 / 0.6e1 + t208 * t2038 / 0.6e1 + t538 * t3655 / 0.3e1 + t922 * t1720 / 0.3e1 - 0.2e1 / 0.3e1 * t922 * t1713 + 0.2e1 / 0.3e1 * t546 * t3664 - t610 * t637 - t610 * t641 / 0.2e1 + t610 * t627 / 0.2e1 + t509 * t3672;
  t3676 = t3516 * t512;
  t3679 = t342 * t530;
  t3680 = t341 * t3679;
  t3681 = t620 * t3680;
  t3683 = t3572 * t622;
  t3687 = t296 * t941 * t165;
  t3688 = t162 * t3687;
  t3689 = t3688 / 0.4e1;
  t3690 = t163 * t909;
  t3691 = t3690 * t328;
  t3692 = t162 * t3691;
  t3693 = t3692 / 0.4e1;
  t3694 = t2157 * t990;
  t3697 = t163 * t3608;
  t3698 = t3697 * t636;
  t3699 = t162 * t3698;
  t3700 = t3699 / 0.2e1;
  t3703 = t163 * t920;
  t3704 = t3703 * t636;
  t3707 = t163 * t915;
  t3708 = t3707 * t328;
  t3712 = t296 * t944 * t313;
  t3715 = t303 * t3662;
  t3716 = t548 * t3715;
  t3723 = -t509 * t3676 / 0.2e1 - t509 * t3681 + 0.3e1 * t509 * t3683 + t3689 - t3693 - t162 * t3694 / 0.4e1 - t3700 - t349 * t991 / 0.4e1 + 0.3e1 / 0.2e1 * t162 * t3704 + t162 * t3708 / 0.2e1 - t162 * t3712 / 0.2e1 - t546 * t3716 / 0.6e1 - t917 * t493 / 0.6e1 + t3483 * t549 / 0.2e1;
  t3726 = t109 * t920;
  t3727 = t106 * t3726;
  t3730 = t302 * t3715;
  t3733 = t1726 * t930;
  t3734 = t490 * t3733;
  t3737 = t95 * t3550;
  t3738 = t303 * t3737;
  t3739 = t490 * t3738;
  t3748 = t2057 * t540;
  t3755 = t555 * t3715;
  t3758 = t62 * t929;
  t3759 = t3758 * t122;
  t3760 = t149 * t3759;
  t3763 = t143 * t1425;
  t3764 = t211 * t3763;
  t3765 = t3758 * t326;
  t3766 = t149 * t3765;
  t3769 = t410 * t3759;
  t3772 = t423 * t3759;
  t3775 = t941 * t312;
  t3776 = t3775 * t578;
  t3777 = 0.2e1 * t3776;
  t3778 = t942 * t402;
  t3779 = t332 * t908;
  t3780 = t3779 * t394;
  t3781 = t3780 * t583;
  t3782 = t3781 / 0.3e1;
  t3783 = t63 * t3550;
  t3784 = t400 * t3783;
  t3786 = t590 * t929;
  t3787 = t1505 * t3786;
  t3790 = t943 - t962 + 0.2e1 * t2345 * t3760 + 0.2e1 * t3764 * t3766 + t2352 * t3769 / 0.3e1 - 0.2e1 * t2352 * t3772 - t3777 - t3778 - t3782 - t212 * t3784 - 0.2e1 / 0.3e1 * t582 * t3787;
  t3791 = t69 * t914;
  t3792 = t3791 * t1504;
  t3793 = t1571 * t577;
  t3796 = t1505 * t577;
  t3799 = t1862 * t3786;
  t3801 = t3780 * t587;
  t3802 = 0.2e1 * t3801;
  t3803 = t948 * t1536;
  t3806 = t965 * t326;
  t3807 = t1868 * t3806;
  t3809 = t63 * t530;
  t3810 = t145 * t3809;
  t3813 = t944 * t1483;
  t3820 = t396 * t3809;
  t3825 = -0.2e1 / 0.3e1 * t3792 * t3793 + 0.6e1 * t3792 * t3796 + t582 * t3799 + t3802 - 0.12e2 * t3803 * t587 - t212 * t3807 - 0.4e1 * t576 * t3810 + 0.6e1 * t3813 * t578 + 0.2e1 * t945 * t402 + 0.2e1 * t3803 * t583 - 0.2e1 / 0.3e1 * t582 * t3820 + 0.2e1 / 0.3e1 * t949 * t1849;
  t3827 = t1566 * t577;
  t3831 = t405 * t3809;
  t3836 = t400 * t3786;
  t3838 = t1566 * t590;
  t3841 = t3780 * t601;
  t3844 = t1505 * t590;
  t3847 = t60 * t3550;
  t3848 = t400 * t3847;
  t3851 = t60 * t530;
  t3852 = t405 * t3851;
  t3855 = -t3792 * t3827 / 0.9e1 - t574 * t953 + 0.4e1 * t582 * t3831 - 0.4e1 * t949 * t1863 - t576 * t3836 + t3792 * t3838 / 0.18e2 - t3841 + 0.6e1 * t3803 * t601 - 0.3e1 * t3792 * t3844 + t212 * t3848 / 0.2e1 - 0.2e1 * t582 * t3852;
  t3858 = t1571 * t590;
  t3861 = t396 * t3851;
  t3866 = t3775 * t597;
  t3867 = t942 * t420;
  t3868 = t3867 / 0.2e1;
  t3869 = t145 * t3851;
  t3872 = t3780 * t591;
  t3873 = 0.2e1 / 0.3e1 * t3872;
  t3881 = 0.2e1 * t949 * t1908 + 0.1e2 / 0.3e1 * t3792 * t3858 + 0.4e1 / 0.3e1 * t582 * t3861 - 0.4e1 / 0.3e1 * t949 * t1880 + t3866 + t3868 + 0.2e1 * t576 * t3869 + t3873 - 0.4e1 * t3803 * t591 - 0.3e1 * t3813 * t597 - t945 * t420 + t574 * t966 / 0.2e1;
  t3883 = t3790 + t3825 + t3855 + t3881;
  t3884 = t59 * t3883;
  t3885 = t3884 * t96;
  t3890 = t917 * t305 / 0.6e1 - t3727 * t541 / 0.2e1 + t538 * t3730 / 0.3e1 + t208 * t3734 / 0.12e2 + t208 * t3739 / 0.12e2 + t533 * t932 / 0.12e2 - t922 * t1735 / 0.12e2 + t922 * t1952 / 0.6e1 - 0.5e1 / 0.36e2 * t3502 * t3748 - t922 * t1660 / 0.6e1 + t922 * t1650 / 0.3e1 - t546 * t3755 / 0.3e1 - t22 * t3885 / 0.4e1 - t103 * t972 / 0.12e2;
  t3894 = my_piecewise3(t3, 0, t3431 + t3461 + t3511 + t3590 + t3636 + t3674 + t3723 + t3890);
  tv3rhosigma20 = 0.2e1 * rho[0] * t3894 + 0.2e1 * t998;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  t3903 = t138 * t1044;
  t3906 = t1042 * t159;
  t3907 = t158 * t3906;
  t3908 = t106 * t3907;
  t3917 = t22 * t2776;
  t3918 = t205 * t122;
  t3919 = t96 * t3918;
  t3920 = t2175 * t3919;
  t3923 = t2182 * t3919;
  t3925 = -t3410 + t719 * t631 / 0.4e1 + t1994 * t248 / 0.4e1 + t610 * t738 / 0.4e1 - t127 * t3903 / 0.12e2 + t3908 * t166 / 0.4e1 + t2538 * t223 / 0.4e1 - t533 * t686 / 0.12e2 - t208 * t2473 / 0.12e2 + t3430 - t3445 + t3460 - t913 + t984 + t3917 * t3920 / 0.2e1 + t3917 * t3923;
  t3926 = t500 * t3918;
  t3927 = t2175 * t3926;
  t3930 = t22 * t2782;
  t3931 = t1571 * t65;
  t3932 = t3931 * t3919;
  t3935 = t1566 * t65;
  t3936 = t3935 * t3926;
  t3939 = t2169 * t3919;
  t3942 = t3931 * t3926;
  t3945 = t1556 * t3918;
  t3946 = t3935 * t3945;
  t3949 = t230 * t929;
  t3950 = t1505 * t3949;
  t3951 = t2257 * t3950;
  t3954 = t697 * t3477;
  t3963 = t2843 * t1057;
  t3966 = t2620 * t1065;
  t3969 = -0.2e1 * t3917 * t3927 - 0.11e2 / 0.18e2 * t3930 * t3932 + 0.23e2 / 0.36e2 * t3930 * t3936 - t3930 * t3939 / 0.2e1 + 0.7e1 / 0.3e1 * t3930 * t3942 - 0.3e1 / 0.2e1 * t3930 * t3946 + t2255 * t3951 / 0.2e1 - t2251 * t3954 / 0.2e1 + t2632 * t3465 / 0.6e1 - t2632 * t3469 / 0.3e1 + t3489 - t3491 + t3586 - t3589 - t349 * t1058 / 0.2e1 - t162 * t3963 / 0.2e1 + t162 * t3966 / 0.2e1;
  t3971 = t729 * t3557;
  t3986 = t2571 * t539;
  t3987 = t302 * t3986;
  t3998 = t162 * t3971 / 0.2e1 + t349 * t1066 / 0.2e1 + t654 * t932 / 0.36e2 - t2543 * t1010 / 0.18e2 - t3603 - t3605 + t3607 + t3612 - t1529 * t1053 / 0.6e1 + t2543 * t1016 / 0.9e1 - t372 * t1058 / 0.6e1 + t538 * t3987 / 0.6e1 + t719 * t627 / 0.4e1 - t719 * t641 / 0.4e1 - t1553 * t1053 / 0.2e1 - t719 * t637 / 0.2e1;
  t4001 = t1726 * t1000;
  t4002 = t302 * t4001;
  t4009 = t548 * t4001;
  t4016 = t1043 * t194;
  t4027 = t96 * t2258;
  t4028 = t2294 * t4027;
  t4031 = t193 * t205;
  t4032 = t169 * t4031;
  t4033 = t2182 * t4032;
  t4036 = t2175 * t4032;
  t4043 = t2550 * t1002 / 0.6e1 + t666 * t4002 / 0.6e1 + t666 * t3730 / 0.6e1 - t2600 * t1005 / 0.12e2 - t671 * t4009 / 0.12e2 - t671 * t3716 / 0.12e2 + t661 * t932 / 0.12e2 - t22 * t4016 / 0.4e1 - t2674 * t3633 / 0.6e1 - t2683 * t3627 / 0.6e1 + t2632 * t3616 / 0.12e2 + t2683 * t3621 / 0.12e2 + t2632 * t4028 / 0.3e1 - t2632 * t4033 / 0.6e1 - t2632 * t4036 / 0.12e2 - t372 * t1061 / 0.12e2 + t372 * t1066 / 0.6e1;
  t4050 = t729 * t3680;
  t4055 = t2620 * t1052;
  t4058 = t745 * t3552;
  t4061 = t741 * t3513;
  t4066 = t2846 * t990;
  t4075 = t1032 * t122;
  t4076 = t1505 * t4075;
  t4083 = t396 * t4075;
  t4090 = t405 * t4075;
  t4099 = t943 - t962 - 0.3e1 * t2782 * t4076 - 0.2e1 * t2790 * t1022 - 0.2e1 * t693 * t3810 - 0.4e1 * t2776 * t4083 - t2760 * t1025 / 0.3e1 - t697 * t3820 / 0.3e1 + 0.6e1 * t2776 * t4090 + t697 * t3799 - t237 * t3784 - 0.2e1 / 0.3e1 * t697 * t3787 + 0.2e1 * t2760 * t1029;
  t4102 = t1571 * t4075;
  t4105 = t1032 * t326;
  t4106 = t1505 * t4105;
  t4109 = t145 * t4075;
  t4112 = t400 * t4105;
  t4116 = t1862 * t4105;
  t4119 = t1566 * t4075;
  t4123 = 0.2e1 * t697 * t3831 + 0.1e2 / 0.3e1 * t2782 * t4102 - 0.4e1 / 0.3e1 * t697 * t4106 - 0.3e1 * t2765 * t4109 - t693 * t4112 - t693 * t3836 - t237 * t3807 + 0.2e1 * t697 * t4116 + t2782 * t4119 / 0.18e2 - t691 * t953 - t3777 - t3778 - t3782;
  t4137 = t3802 + t237 * t3848 / 0.2e1 - t2760 * t1040 - t697 * t3852 + 0.2e1 / 0.3e1 * t2760 * t1033 + 0.2e1 / 0.3e1 * t697 * t3861 + t2790 * t1036 + t693 * t3869 + t691 * t966 / 0.2e1 - t3841 + t3866 + t3868 + t3873;
  t4138 = t236 * t3763;
  t4143 = t62 * t205;
  t4144 = t4143 * t326;
  t4145 = t423 * t4144;
  t4148 = t1483 * t134;
  t4149 = t236 * t4148;
  t4150 = t4143 * t122;
  t4151 = t149 * t4150;
  t4154 = t149 * t4144;
  t4157 = t1536 * t319;
  t4158 = t696 * t4157;
  t4159 = t410 * t4150;
  t4162 = t410 * t4144;
  t4165 = t1504 * t1425;
  t4166 = t2781 * t4165;
  t4167 = t1837 * t4150;
  t4172 = t1829 * t4150;
  t4179 = t423 * t4150;
  t4182 = 0.2e1 * t4138 * t3766 + t2750 * t3769 / 0.3e1 - 0.4e1 * t2750 * t4145 + 0.6e1 * t4149 * t4151 + 0.2e1 * t2752 * t4154 + 0.2e1 * t4158 * t4159 + 0.2e1 / 0.3e1 * t2750 * t4162 - t4166 * t4167 / 0.9e1 + 0.2e1 * t2752 * t3760 - 0.2e1 / 0.3e1 * t4166 * t4172 - 0.2e1 * t2750 * t3772 + 0.6e1 * t4166 * t4159 - 0.12e2 * t4158 * t4179;
  t4184 = t4099 + t4123 + t4137 + t4182;
  t4185 = t59 * t4184;
  t4186 = t4185 * t96;
  t4195 = -t610 * t746 / 0.4e1 + t610 * t734 / 0.4e1 - t509 * t4050 / 0.2e1 - t610 * t742 / 0.2e1 - t509 * t4055 / 0.2e1 - t162 * t4058 / 0.4e1 - t162 * t4061 / 0.2e1 - t349 * t1061 / 0.4e1 - t162 * t4066 / 0.4e1 + t671 * t3664 / 0.3e1 + t233 * t3734 / 0.12e2 + t233 * t3739 / 0.12e2 - t22 * t4186 / 0.4e1 - t103 * t1044 / 0.12e2 - t2543 * t1005 / 0.36e2 + t2557 * t1002 / 0.18e2;
  t4202 = t347 * t1000;
  t4203 = t548 * t4202;
  t4208 = t555 * t4001;
  t4221 = t555 * t3986;
  t4224 = t717 * t539;
  t4225 = t548 * t4224;
  t4228 = t2162 * t4032;
  t4231 = -t1972 * t730 / 0.2e1 - t2509 * t623 / 0.2e1 + t719 * t646 / 0.2e1 + t3689 - t3693 - t3700 + t671 * t4203 / 0.3e1 - t2600 * t1010 / 0.6e1 - t671 * t4208 / 0.6e1 - t671 * t3755 / 0.6e1 + t666 * t3655 / 0.6e1 + t610 * t749 / 0.2e1 - t671 * t3566 / 0.6e1 + t671 * t3508 / 0.3e1 - t546 * t4221 / 0.6e1 + t546 * t4225 / 0.3e1 + t2674 * t4228 / 0.6e1;
  t4233 = t2169 * t4027;
  t4236 = t3935 * t3919;
  t4251 = t548 * t3986;
  t4254 = t145 * t3918;
  t4255 = t2765 * t4254;
  t4258 = t230 * t122;
  t4259 = t396 * t4258;
  t4260 = t2365 * t4259;
  t4263 = t500 * t2258;
  t4264 = t2169 * t4263;
  t4267 = t1675 * t4031;
  t4268 = t2175 * t4267;
  t4271 = t1505 * t3918;
  t4272 = t2782 * t4271;
  t4275 = t1562 * t95;
  t4276 = t65 * t4275;
  t4277 = t22 * t4276;
  t4278 = t1566 * t4258;
  t4279 = t2370 * t4278;
  t4282 = t1571 * t4258;
  t4283 = t2370 * t4282;
  t4286 = t405 * t3918;
  t4287 = t2776 * t4286;
  t4290 = t2632 * t4233 / 0.6e1 - 0.5e1 / 0.36e2 * t3930 * t4236 + t2600 * t1016 / 0.3e1 - t671 * t3650 / 0.12e2 - t233 * t2042 / 0.12e2 - t208 * t2666 / 0.12e2 + t233 * t2038 / 0.12e2 + t208 * t2573 / 0.12e2 - t546 * t4251 / 0.12e2 + 0.3e1 / 0.2e1 * t2251 * t4255 + 0.3e1 * t2255 * t4260 - 0.2e1 / 0.3e1 * t2632 * t4264 + t2632 * t4268 / 0.3e1 + 0.3e1 / 0.2e1 * t2251 * t4272 + 0.3e1 / 0.2e1 * t4277 * t4279 - 0.3e1 * t2255 * t4283 - 0.3e1 * t2251 * t4287;
  t4291 = t22 * t2765;
  t4292 = t2162 * t3919;
  t4295 = t1684 * t4027;
  t4298 = t693 * t3637;
  t4301 = t237 * t3641;
  t4304 = t582 * t2567;
  t4306 = t2563 * t1052;
  t4309 = t1862 * t2258;
  t4310 = t697 * t4309;
  t4312 = t400 * t2258;
  t4313 = t693 * t4312;
  t4316 = t2698 * t1057;
  t4319 = t2563 * t1065;
  t4322 = t2701 * t990;
  t4337 = -t4291 * t4292 / 0.2e1 - t2674 * t4295 / 0.6e1 + t2251 * t4298 / 0.2e1 + t2251 * t4301 / 0.2e1 + t2255 * t4304 - t2265 * t4306 / 0.2e1 - t2251 * t4310 + t2251 * t4313 / 0.2e1 - t1677 * t4316 / 0.2e1 + t1677 * t4319 / 0.2e1 - t1677 * t4322 / 0.4e1 - t661 * t569 / 0.12e2 - t233 * t1999 / 0.12e2 + t2010 * t248 / 0.12e2 + t2483 * t223 / 0.12e2 - t525 * t686 / 0.36e2 - t654 * t569 / 0.36e2;
  t4341 = my_piecewise3(t3, 0, t3925 + t3969 + t3998 + t4043 + t4195 + t4231 + t4290 + t4337);
  tv3rhosigmalapl0 = 0.2e1 * rho[0] * t4341 + 0.2e1 * t1070;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 0] += tv3rhosigmalapl0;

  t4364 = t943 - t962 - t263 * t3784 + 0.1e2 / 0.3e1 * t3208 * t4102 - 0.4e1 / 0.3e1 * t810 * t4106 - 0.3e1 * t3221 * t4109 - t806 * t4112 - t806 * t3836 - t263 * t3807 - 0.2e1 * t3236 * t1022 - 0.2e1 * t806 * t3810 - 0.4e1 * t3226 * t4083 - t3214 * t1025 / 0.3e1;
  t4386 = -t810 * t3820 / 0.3e1 + t3208 * t4119 / 0.18e2 - t804 * t953 + 0.2e1 * t810 * t4116 + 0.2e1 * t3214 * t1029 + 0.2e1 * t810 * t3831 + t263 * t3848 / 0.2e1 + 0.2e1 / 0.3e1 * t3214 * t1033 - t3214 * t1040 - t810 * t3852 + 0.2e1 / 0.3e1 * t810 * t3861 + t3236 * t1036 + t806 * t3869;
  t4392 = t262 * t3763;
  t4397 = t262 * t4148;
  t4402 = t809 * t4157;
  t4405 = t3207 * t4165;
  t4414 = t804 * t966 / 0.2e1 + 0.2e1 * t3202 * t3760 + 0.2e1 * t4392 * t3766 + t3200 * t3769 / 0.3e1 + 0.6e1 * t4397 * t4151 + 0.2e1 * t3202 * t4154 + 0.2e1 * t4402 * t4159 - 0.2e1 / 0.3e1 * t4405 * t4172 - 0.2e1 * t3200 * t3772 + 0.6e1 * t4405 * t4159 - 0.12e2 * t4402 * t4179 - t3777 - t3778;
  t4428 = -t3782 + t3802 - 0.4e1 * t3200 * t4145 + 0.2e1 / 0.3e1 * t3200 * t4162 - t4405 * t4167 / 0.9e1 - t3841 + t3866 + t3868 + t3873 - 0.3e1 * t3208 * t4076 + 0.6e1 * t3226 * t4090 + t810 * t3799 - 0.2e1 / 0.3e1 * t810 * t3787;
  t4430 = t4364 + t4386 + t4414 + t4428;
  t4431 = t59 * t4430;
  t4432 = t4431 * t96;
  t4441 = t2961 * t539;
  t4442 = t548 * t4441;
  t4453 = t302 * t4441;
  t4456 = -t3410 + t3430 - t3445 + t3460 - t913 + t984 - t103 * t1101 / 0.12e2 - t22 * t4432 / 0.4e1 + t3489 - t3491 + t2972 * t1016 / 0.3e1 + t866 * t4203 / 0.3e1 + t208 * t2963 / 0.12e2 - t546 * t4442 / 0.12e2 - t208 * t2967 / 0.12e2 - t866 * t3650 / 0.12e2 - t259 * t2042 / 0.12e2 + t854 * t627 / 0.4e1 + t538 * t4453 / 0.6e1;
  t4457 = t1100 * t194;
  t4460 = t604 * t288;
  t4463 = t218 * t793;
  t4486 = -t22 * t4457 / 0.4e1 - t22 * t4460 / 0.4e1 - t22 * t4463 / 0.4e1 - t103 * t1122 / 0.12e2 + t3586 - t3589 - t3603 - t3605 + t3607 + t3612 - t866 * t4009 / 0.12e2 - t866 * t3716 / 0.12e2 + t838 * t932 / 0.12e2 + t259 * t3734 / 0.12e2 + t3030 * t1002 / 0.6e1 + t894 * t3655 / 0.6e1 + t259 * t2038 / 0.12e2 + t894 * t4002 / 0.6e1 + t894 * t3730 / 0.6e1;
  t4512 = t3313 * t1052;
  t4519 = t555 * t4441;
  t4522 = t852 * t539;
  t4523 = t548 * t4522;
  t4530 = -t2972 * t1005 / 0.12e2 - t854 * t637 / 0.2e1 - t854 * t641 / 0.4e1 + t3052 * t1002 / 0.18e2 + t372 * t1117 / 0.6e1 - t372 * t1111 / 0.6e1 - t372 * t1114 / 0.12e2 - t1529 * t1108 / 0.6e1 + t3057 * t1016 / 0.9e1 - t3057 * t1010 / 0.18e2 + t843 * t932 / 0.36e2 - t3057 * t1005 / 0.36e2 - t509 * t4512 / 0.2e1 + t372 * t1126 / 0.12e2 - t525 * t886 / 0.36e2 - t546 * t4519 / 0.6e1 + t546 * t4523 / 0.3e1 + t3015 * t4028 / 0.3e1 + t3015 * t4233 / 0.6e1;
  t4531 = t22 * t3208;
  t4538 = t22 * t3221;
  t4541 = t287 * t332;
  t4542 = t4541 * t544;
  t4543 = t4542 * t645;
  t4546 = t3226 * t4286;
  t4549 = t256 * t929;
  t4550 = t1505 * t4549;
  t4551 = t2257 * t4550;
  t4554 = t810 * t3477;
  t4557 = t3208 * t4271;
  t4560 = t287 * t122;
  t4561 = t169 * t4560;
  t4562 = t2182 * t4561;
  t4571 = t22 * t3226;
  t4579 = -0.5e1 / 0.36e2 * t4531 * t4236 - t3015 * t4036 / 0.12e2 - t2988 * t3633 / 0.6e1 - t4538 * t4292 / 0.2e1 + t1677 * t4543 / 0.2e1 - 0.3e1 * t2251 * t4546 + t2255 * t4551 / 0.2e1 - t2251 * t4554 / 0.2e1 + 0.3e1 / 0.2e1 * t2251 * t4557 - t2168 * t4562 / 0.6e1 - t3015 * t3469 / 0.3e1 - t4531 * t3939 / 0.2e1 + 0.7e1 / 0.3e1 * t4531 * t3942 + t4571 * t3923 - 0.2e1 * t4571 * t3927 + t3689 - t3693 - t3700 + t866 * t3664 / 0.3e1 + t259 * t3739 / 0.12e2;
  t4588 = t1675 * t4560;
  t4589 = t2175 * t4588;
  t4592 = t4542 * t622;
  t4597 = t256 * t122;
  t4598 = t1566 * t4597;
  t4599 = t2370 * t4598;
  t4602 = t1571 * t4597;
  t4603 = t2370 * t4602;
  t4628 = -t2972 * t1010 / 0.6e1 - t866 * t4208 / 0.6e1 - t866 * t3755 / 0.6e1 + t2168 * t4589 / 0.3e1 - t2265 * t4592 / 0.2e1 - 0.3e1 / 0.2e1 * t4531 * t3946 + 0.3e1 / 0.2e1 * t4277 * t4599 - 0.3e1 * t2255 * t4603 - 0.11e2 / 0.18e2 * t4531 * t3932 + 0.23e2 / 0.36e2 * t4531 * t3936 + t3015 * t3465 / 0.6e1 - t2897 * t623 / 0.2e1 + t854 * t646 / 0.2e1 - t1972 * t859 / 0.2e1 + t610 * t862 / 0.2e1 - t866 * t3566 / 0.6e1 + t866 * t3508 / 0.3e1 + t3015 * t4268 / 0.3e1 - t3015 * t4033 / 0.6e1;
  t4637 = t3221 * t4254;
  t4640 = t806 * t4312;
  t4643 = t3108 * t1057;
  t4646 = t396 * t4597;
  t4647 = t2365 * t4646;
  t4650 = t582 * t3097;
  t4652 = t3012 * t1052;
  t4655 = t2162 * t4561;
  t4658 = t806 * t3637;
  t4661 = t263 * t3641;
  t4664 = t3190 * t990;
  t4669 = t858 * t3680;
  t4680 = -0.2e1 / 0.3e1 * t3015 * t4264 - t3006 * t3627 / 0.6e1 + t3015 * t3616 / 0.12e2 + t3006 * t3621 / 0.12e2 + 0.3e1 / 0.2e1 * t2251 * t4637 + t2251 * t4640 / 0.2e1 - t1677 * t4643 / 0.2e1 + 0.3e1 * t2255 * t4647 + t2255 * t4650 - t2265 * t4652 / 0.2e1 + t2161 * t4655 / 0.6e1 + t2251 * t4658 / 0.2e1 + t2251 * t4661 / 0.2e1 - t1677 * t4664 / 0.4e1 + t349 * t1117 / 0.2e1 - t509 * t4669 / 0.2e1 - t610 * t873 / 0.2e1 - t610 * t877 / 0.4e1 + t610 * t881 / 0.4e1 - t1553 * t1108 / 0.2e1;
  t4682 = t872 * t3513;
  t4687 = t3358 * t990;
  t4690 = t876 * t3552;
  t4699 = t1099 * t159;
  t4700 = t158 * t4699;
  t4701 = t106 * t4700;
  t4709 = t3365 * t211 * t165;
  t4713 = t884 * t573 * t165;
  t4716 = t3313 * t1065;
  t4719 = t858 * t3557;
  t4728 = t2036 * t884;
  t4729 = t302 * t4728;
  t4734 = -t162 * t4682 / 0.2e1 - t349 * t1114 / 0.4e1 - t162 * t4687 / 0.4e1 - t162 * t4690 / 0.4e1 - t2988 * t4295 / 0.6e1 + t4571 * t3920 / 0.2e1 + t2988 * t4228 / 0.6e1 + t4701 * t166 / 0.4e1 + t2885 * t223 / 0.4e1 + t349 * t1126 / 0.4e1 + t162 * t4709 / 0.4e1 + t162 * t4713 / 0.4e1 + t162 * t4716 / 0.2e1 + t162 * t4719 / 0.2e1 - t533 * t886 / 0.12e2 - t208 * t3379 / 0.12e2 - t208 * t3383 / 0.12e2 - t127 * t4729 / 0.12e2 + t610 * t890 / 0.4e1;
  t4737 = t3336 * t1057;
  t4744 = t138 * t1101;
  t4747 = t3062 * t206;
  t4748 = t4747 * t328;
  t4753 = t2175 * t4561;
  t4756 = t3062 * t536;
  t4757 = t4756 * t636;
  t4760 = t810 * t4309;
  t4762 = t3012 * t1065;
  t4783 = -t349 * t1111 / 0.2e1 - t162 * t4737 / 0.2e1 + t1994 * t274 / 0.4e1 + t610 * t833 / 0.4e1 - t127 * t4744 / 0.12e2 - t1677 * t4748 / 0.4e1 + t2179 * t3105 / 0.12e2 - t2168 * t4753 / 0.12e2 - t1677 * t4757 / 0.2e1 - t2251 * t4760 + t1677 * t4762 / 0.2e1 + t854 * t631 / 0.4e1 - t208 * t2880 / 0.12e2 - t838 * t569 / 0.12e2 - t259 * t1999 / 0.12e2 - t533 * t848 / 0.12e2 + t2010 * t274 / 0.12e2 + t2902 * t223 / 0.12e2 - t525 * t848 / 0.36e2 - t843 * t569 / 0.36e2;
  t4787 = my_piecewise3(t3, 0, t4456 + t4486 + t4530 + t4579 + t4628 + t4680 + t4734 + t4783);
  tv3rhosigmatau0 = 0.2e1 * rho[0] * t4787 + 0.2e1 * t1130;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 0] += tv3rhosigmatau0;

  t4790 = t1183 * t194;
  t4797 = -t3410 + t3430 - t3445 + t3460 - t913 + t984 + t3489 - t3491 - t22 * t4790 / 0.4e1 + t3586 - t3589 - t671 * t4221 / 0.3e1 + 0.2e1 / 0.3e1 * t671 * t4225;
  t4798 = t1132 * t1418;
  t4799 = t1415 * t4798;
  t4800 = t106 * t4799;
  t4805 = t1502 * t4798;
  t4806 = t4805 * t3594;
  t4809 = t1132 * t1445;
  t4810 = t510 * t4809;
  t4811 = t4810 * t645;
  t4814 = t4805 * t3576;
  t4819 = t1726 * t1148;
  t4820 = t490 * t4819;
  t4828 = t321 * t664;
  t4831 = t1592 * t669;
  t4834 = t321 * t231;
  t4841 = t236 * t311;
  t4846 = t696 * t335;
  t4849 = 0.2e1 / 0.3e1 * t3523 * t1260 + 0.2e1 * t321 * t658 * t165 - 0.4e1 * t4828 * t636 + 0.4e1 / 0.3e1 * t4831 * t622 - 0.2e1 * t4834 * t328 + 0.4e1 * t4831 * t645 - 0.2e1 * t705 * t138 + 0.4e1 * t4841 * t636 + 0.2e1 * t239 * t328 - 0.4e1 * t4846 * t645;
  t4850 = t95 * t4849;
  t4851 = t303 * t4850;
  t4852 = t490 * t4851;
  t4855 = t333 * t4809;
  t4856 = t106 * t4855;
  t4859 = -0.3e1 / 0.2e1 * t4800 * t3504 - t2509 * t730 + t719 * t749 - 0.3e1 * t509 * t4806 - 0.3e1 * t162 * t4811 + 0.3e1 / 0.2e1 * t162 * t4814 + 0.7e1 / 0.3e1 * t4800 * t3569 - t3603 - t3605 + t3607 + t3612 + t233 * t4820 / 0.12e2 + t233 * t4852 / 0.12e2 + t4856 * t549 / 0.2e1;
  t4863 = t95 * t658;
  t4864 = t303 * t4863;
  t4865 = t548 * t4864;
  t4872 = t2846 * t1198;
  t4876 = t320 * t137 * t4849;
  t4877 = t745 * t4876;
  t4880 = t296 * t1163;
  t4881 = t4880 * t516;
  t4884 = t163 * t1133;
  t4885 = t4884 * t328;
  t4889 = t296 * t1159 * t313;
  t4895 = t135 * t137 * t658;
  t4896 = t741 * t4895;
  t4898 = t163 * t1138;
  t4899 = t4898 * t636;
  t4902 = t342 * t658;
  t4903 = t341 * t4902;
  t4904 = t729 * t4903;
  t4906 = t1135 * t305 / 0.6e1 - t671 * t4865 / 0.6e1 + t1140 * t1952 / 0.6e1 - t349 * t1199 / 0.4e1 - t162 * t4872 / 0.4e1 - t162 * t4877 / 0.4e1 + t162 * t4881 / 0.2e1 + t162 * t4885 / 0.2e1 - t162 * t4889 / 0.2e1 - t103 * t1184 / 0.12e2 - t162 * t4896 + 0.3e1 / 0.2e1 * t162 * t4899 - t509 * t4904;
  t4907 = t4810 * t622;
  t4910 = t160 * t4863;
  t4911 = t548 * t4910;
  t4916 = t555 * t4864;
  t4932 = t341 * t404 * t658;
  t4933 = t729 * t4932;
  t4935 = t510 * t1138;
  t4936 = t4935 * t1671;
  t4938 = t1147 * t122;
  t4939 = t400 * t4938;
  t4940 = t693 * t4939;
  t4943 = t1147 * t326;
  t4944 = t1868 * t4943;
  t4945 = t237 * t4944;
  t4948 = 0.3e1 * t509 * t4907 + 0.2e1 / 0.3e1 * t671 * t4911 - 0.2e1 / 0.3e1 * t1140 * t1713 - t671 * t4916 / 0.3e1 + t1140 * t1650 / 0.3e1 - t1140 * t1660 / 0.6e1 + t1140 * t1720 / 0.3e1 + t233 * t2573 / 0.6e1 - t671 * t4251 / 0.6e1 - t233 * t2666 / 0.6e1 + t162 * t4933 - t162 * t4936 + t2251 * t4940 / 0.2e1 + t2251 * t4945 / 0.2e1;
  t4951 = t2701 * t1198;
  t4962 = t96 * t4938;
  t4963 = t2294 * t4962;
  t4966 = t500 * t4938;
  t4967 = t2169 * t4966;
  t4970 = t230 * t1147;
  t4971 = t1505 * t4970;
  t4972 = t2257 * t4971;
  t4975 = t1862 * t4938;
  t4976 = t697 * t4975;
  t4979 = t2169 * t4962;
  t4982 = -t1677 * t4951 / 0.4e1 + t3689 - t3693 - t3700 - t1140 * t1735 / 0.12e2 + t661 * t1150 / 0.12e2 + t666 * t3987 / 0.3e1 - 0.5e1 / 0.36e2 * t4800 * t3748 + t2632 * t4963 / 0.6e1 - t2632 * t4967 / 0.3e1 + t2255 * t4972 / 0.2e1 - t2251 * t4976 / 0.2e1 + t2632 * t4979 / 0.12e2;
  t4983 = t109 * t1138;
  t4984 = t106 * t4983;
  t4991 = t302 * t4864;
  t4994 = t4935 * t1666;
  t4996 = t4880 * t512;
  t5004 = t1177 * t122;
  t5005 = t1862 * t5004;
  t5007 = t1163 * t1536;
  t5010 = t69 * t1132;
  t5011 = t5010 * t1504;
  t5016 = t1159 * t1483;
  t5023 = t63 * t658;
  t5024 = t396 * t5023;
  t5029 = t943 - t962 + t697 * t5005 - 0.12e2 * t5007 * t587 - 0.2e1 / 0.3e1 * t5011 * t3793 + 0.6e1 * t5011 * t3796 + 0.6e1 * t5016 * t578 + 0.2e1 * t1160 * t402 + 0.2e1 * t5007 * t583 - 0.2e1 / 0.3e1 * t697 * t5024 + 0.2e1 / 0.3e1 * t1164 * t1849;
  t5033 = t63 * t4849;
  t5034 = t400 * t5033;
  t5036 = t1505 * t5004;
  t5039 = t405 * t5023;
  t5044 = t400 * t5004;
  t5046 = t1177 * t326;
  t5047 = t1868 * t5046;
  t5049 = t145 * t5023;
  t5052 = -t5011 * t3827 / 0.9e1 - t691 * t1168 - t237 * t5034 - 0.2e1 / 0.3e1 * t697 * t5036 + 0.4e1 * t697 * t5039 - 0.4e1 * t1164 * t1863 - t693 * t5044 - t237 * t5047 - 0.4e1 * t693 * t5049 - t3777 - t3778 - t3782;
  t5054 = t62 * t1147;
  t5055 = t5054 * t122;
  t5056 = t149 * t5055;
  t5059 = t5054 * t326;
  t5060 = t149 * t5059;
  t5063 = t410 * t5055;
  t5072 = t3802 + 0.2e1 * t2752 * t5056 + 0.2e1 * t4138 * t5060 + t2750 * t5063 / 0.3e1 - t3841 + t3866 + t3868 + t3873 + 0.6e1 * t5007 * t601 - 0.3e1 * t5011 * t3844 - 0.4e1 * t5007 * t591;
  t5079 = t60 * t4849;
  t5080 = t400 * t5079;
  t5083 = t60 * t658;
  t5084 = t405 * t5083;
  t5089 = t396 * t5083;
  t5094 = t145 * t5083;
  t5100 = t423 * t5055;
  t5103 = t5011 * t3838 / 0.18e2 + 0.1e2 / 0.3e1 * t5011 * t3858 + t691 * t1178 / 0.2e1 + t237 * t5080 / 0.2e1 - 0.2e1 * t697 * t5084 + 0.2e1 * t1164 * t1908 + 0.4e1 / 0.3e1 * t697 * t5089 - 0.4e1 / 0.3e1 * t1164 * t1880 + 0.2e1 * t693 * t5094 - 0.3e1 * t5016 * t597 - t1160 * t420 - 0.2e1 * t2750 * t5100;
  t5105 = t5029 + t5052 + t5072 + t5103;
  t5106 = t59 * t5105;
  t5107 = t5106 * t96;
  t5112 = t4805 * t3495;
  t5118 = -t4984 * t541 / 0.2e1 - t372 * t1199 / 0.12e2 + t654 * t1150 / 0.36e2 + t666 * t4991 / 0.3e1 + t509 * t4994 - t509 * t4996 / 0.2e1 - t719 * t742 - t719 * t746 / 0.2e1 + t719 * t734 / 0.2e1 - t22 * t5107 / 0.4e1 - t1135 * t493 / 0.6e1 + 0.3e1 / 0.2e1 * t1565 * t5112 + t4856 * t556 - 0.2e1 * t4856 * t562;
  t5126 = t193 * t1147;
  t5127 = t169 * t5126;
  t5128 = t1684 * t5127;
  t5131 = t1684 * t4962;
  t5134 = t96 * t4943;
  t5135 = t3624 * t5134;
  t5146 = t368 * t1139;
  t5155 = -0.11e2 / 0.18e2 * t4800 * t3560 + 0.23e2 / 0.36e2 * t4800 * t3613 - t4800 * t3580 / 0.2e1 + t2683 * t5128 / 0.12e2 - t2674 * t5131 / 0.6e1 - t2683 * t5135 / 0.6e1 + t372 * t1202 / 0.6e1 - t372 * t1194 / 0.6e1 - t1529 * t1190 / 0.6e1 + t2483 * t248 / 0.6e1 + t5146 * t502 / 0.9e1 - t654 * t686 / 0.18e2 - t5146 * t497 / 0.18e2 - t5146 * t344 / 0.36e2;
  t5156 = t368 * t1134;
  t5167 = t138 * t1184;
  t5170 = t1182 * t159;
  t5171 = t158 * t5170;
  t5172 = t106 * t5171;
  t5189 = t5156 * t139 / 0.18e2 + t349 * t1202 / 0.2e1 + t719 * t738 / 0.2e1 - t1553 * t1190 / 0.2e1 - t349 * t1194 / 0.2e1 - t127 * t5167 / 0.12e2 + t5172 * t166 / 0.4e1 + t2538 * t248 / 0.2e1 + t1140 * t1440 / 0.3e1 - t1140 * t1510 / 0.6e1 - t661 * t686 / 0.6e1 - t233 * t2473 / 0.6e1 + t1135 * t380 / 0.6e1 - t1140 * t1451 / 0.12e2;
  t5193 = my_piecewise3(t3, 0, t4797 + t4859 + t4906 + t4948 + t4982 + t5118 + t5155 + t5189);
  tv3rholapl20 = 0.2e1 * rho[0] * t5193 + 0.2e1 * t1206;

  if(out->v3rholapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 0] += tv3rholapl20;

  t5198 = t3313 * t1260;
  t5201 = t858 * t4903;
  t5208 = t193 * t230;
  t5209 = t169 * t5208;
  t5210 = t2175 * t5209;
  t5215 = t96 * t4258;
  t5216 = t2162 * t5215;
  t5219 = t96 * t2566;
  t5220 = t1684 * t5219;
  t5223 = t2175 * t5215;
  t5226 = t2162 * t5209;
  t5229 = -t3410 + t3430 - t3445 + t3460 - t913 + t984 + t854 * t734 / 0.4e1 - t509 * t5198 / 0.2e1 - t509 * t5201 / 0.2e1 - t854 * t742 / 0.2e1 - t854 * t746 / 0.4e1 - t3015 * t5210 / 0.12e2 - t2988 * t5131 / 0.6e1 - t4538 * t5216 / 0.2e1 - t2988 * t5220 / 0.6e1 + t4571 * t5223 / 0.2e1 + t2988 * t5226 / 0.6e1 + t3489 - t3491;
  t5230 = t1556 * t4258;
  t5231 = t3935 * t5230;
  t5234 = t2182 * t5215;
  t5236 = t500 * t4258;
  t5237 = t2175 * t5236;
  t5240 = t3931 * t5215;
  t5243 = t3062 * t231;
  t5244 = t5243 * t328;
  t5251 = t1726 * t1208;
  t5252 = t555 * t5251;
  t5271 = -0.3e1 / 0.2e1 * t4531 * t5231 + t4571 * t5234 - 0.2e1 * t4571 * t5237 - 0.11e2 / 0.18e2 * t4531 * t5240 - t1677 * t5244 / 0.4e1 + t259 * t4852 / 0.12e2 - t2972 * t1218 / 0.6e1 - t866 * t5252 / 0.6e1 - t866 * t4916 / 0.6e1 + t3586 - t3589 + t719 * t862 / 0.2e1 - t866 * t4221 / 0.6e1 + t866 * t4225 / 0.3e1 - t671 * t4519 / 0.6e1 + t671 * t4523 / 0.3e1 - t2897 * t730 / 0.2e1 + t854 * t749 / 0.2e1 - t3603;
  t5280 = t3365 * t236 * t165;
  t5287 = t302 * t5251;
  t5297 = t884 * t690 * t165;
  t5302 = t3313 * t1273;
  t5305 = t858 * t4932;
  t5312 = -t3605 + t3607 + t3612 - t2509 * t859 / 0.2e1 + t719 * t890 / 0.4e1 + t349 * t1283 / 0.4e1 + t162 * t5280 / 0.4e1 + t894 * t3987 / 0.6e1 + t259 * t2573 / 0.12e2 + t894 * t5287 / 0.6e1 + t843 * t1150 / 0.36e2 - t3057 * t1213 / 0.36e2 + t3052 * t1210 / 0.18e2 + t162 * t5297 / 0.4e1 + t349 * t1274 / 0.2e1 + t162 * t5302 / 0.2e1 + t162 * t5305 / 0.2e1 - t661 * t886 / 0.12e2 - t233 * t3379 / 0.12e2;
  t5315 = t2571 * t884;
  t5316 = t302 * t5315;
  t5321 = t3336 * t1265;
  t5324 = t713 * t288;
  t5327 = t1251 * t194;
  t5332 = t243 * t793;
  t5337 = t263 * t4944;
  t5340 = t3190 * t1198;
  t5343 = t145 * t4258;
  t5344 = t3221 * t5343;
  t5347 = t400 * t2566;
  t5348 = t806 * t5347;
  t5351 = t3108 * t1265;
  t5354 = t3062 * t664;
  t5355 = t5354 * t636;
  t5358 = t1862 * t2566;
  t5359 = t810 * t5358;
  t5361 = t3012 * t1273;
  t5366 = t806 * t4939;
  t5371 = -t233 * t3383 / 0.12e2 - t127 * t5316 / 0.12e2 - t349 * t1266 / 0.2e1 - t162 * t5321 / 0.2e1 - t22 * t5324 / 0.4e1 - t22 * t5327 / 0.4e1 - t103 * t1279 / 0.12e2 - t22 * t5332 / 0.4e1 + t866 * t4911 / 0.3e1 + t2251 * t5337 / 0.2e1 - t1677 * t5340 / 0.4e1 + 0.3e1 / 0.2e1 * t2251 * t5344 + t2251 * t5348 / 0.2e1 - t1677 * t5351 / 0.2e1 - t1677 * t5355 / 0.2e1 - t2251 * t5359 + t1677 * t5361 / 0.2e1 + t2674 * t4655 / 0.6e1 + t2251 * t5366 / 0.2e1 + t2683 * t3105 / 0.12e2;
  t5382 = t347 * t1208;
  t5383 = t548 * t5382;
  t5394 = t1240 * t122;
  t5395 = t405 * t5394;
  t5399 = t1505 * t5394;
  t5404 = t1566 * t5394;
  t5415 = t1571 * t5394;
  t5418 = t943 - t962 + 0.6e1 * t3226 * t5395 + t810 * t5005 - 0.3e1 * t3208 * t5399 - t810 * t5024 / 0.3e1 + t3208 * t5404 / 0.18e2 - t804 * t1168 - t263 * t5034 - 0.2e1 / 0.3e1 * t810 * t5036 + 0.2e1 * t3214 * t1237 + 0.2e1 * t810 * t5039 + 0.1e2 / 0.3e1 * t3208 * t5415;
  t5419 = t1240 * t326;
  t5420 = t1862 * t5419;
  t5423 = t1505 * t5419;
  t5426 = t145 * t5394;
  t5429 = t400 * t5419;
  t5433 = t396 * t5394;
  t5442 = 0.2e1 * t810 * t5420 - 0.4e1 / 0.3e1 * t810 * t5423 - 0.3e1 * t3221 * t5426 - t806 * t5429 - t806 * t5044 - t263 * t5047 - 0.4e1 * t3226 * t5433 - t3214 * t1233 / 0.3e1 - 0.2e1 * t3236 * t1230 - 0.2e1 * t806 * t5049 - t3777 - t3778 - t3782;
  t5456 = t62 * t230;
  t5457 = t5456 * t122;
  t5458 = t1829 * t5457;
  t5463 = t410 * t5457;
  t5466 = t423 * t5457;
  t5469 = t3802 + t263 * t5080 / 0.2e1 - t3214 * t1248 - t810 * t5084 + 0.2e1 / 0.3e1 * t3214 * t1241 + 0.2e1 / 0.3e1 * t810 * t5089 + t3236 * t1244 + t806 * t5094 + t804 * t1178 / 0.2e1 - 0.2e1 / 0.3e1 * t4405 * t5458 - 0.2e1 * t3200 * t5100 + 0.6e1 * t4405 * t5463 - 0.12e2 * t4402 * t5466;
  t5476 = t5456 * t326;
  t5477 = t423 * t5476;
  t5480 = t149 * t5457;
  t5483 = t149 * t5476;
  t5488 = t410 * t5476;
  t5491 = t1837 * t5457;
  t5494 = -t3841 + t3866 + t3868 + t3873 + 0.2e1 * t3202 * t5056 + 0.2e1 * t4392 * t5060 + t3200 * t5063 / 0.3e1 - 0.4e1 * t3200 * t5477 + 0.6e1 * t4397 * t5480 + 0.2e1 * t3202 * t5483 + 0.2e1 * t4402 * t5463 + 0.2e1 / 0.3e1 * t3200 * t5488 - t4405 * t5491 / 0.9e1;
  t5496 = t5418 + t5442 + t5469 + t5494;
  t5497 = t59 * t5496;
  t5498 = t5497 * t96;
  t5501 = t2182 * t5209;
  t5504 = t500 * t2566;
  t5505 = t2169 * t5504;
  t5512 = t2776 * t4646;
  t5515 = t697 * t3097;
  t5517 = t3012 * t1260;
  t5520 = t1675 * t5208;
  t5521 = t2175 * t5520;
  t5524 = -t2632 * t4753 / 0.12e2 - t866 * t4251 / 0.12e2 - t259 * t2666 / 0.12e2 + t2972 * t1224 / 0.3e1 + t866 * t5383 / 0.3e1 + t666 * t4453 / 0.6e1 + t233 * t2963 / 0.12e2 - t671 * t4442 / 0.12e2 - t233 * t2967 / 0.12e2 - t22 * t5498 / 0.4e1 - t3015 * t5501 / 0.6e1 - 0.2e1 / 0.3e1 * t3015 * t5505 - t3006 * t5135 / 0.6e1 + t3015 * t4979 / 0.12e2 + 0.3e1 * t2255 * t5512 + t2255 * t5515 - t2265 * t5517 / 0.2e1 + t3015 * t5521 / 0.3e1 + t3689;
  t5525 = t405 * t4258;
  t5526 = t3226 * t5525;
  t5529 = t256 * t1147;
  t5530 = t1505 * t5529;
  t5531 = t2257 * t5530;
  t5534 = t3935 * t5236;
  t5541 = t2169 * t5215;
  t5544 = t3931 * t5236;
  t5551 = t4541 * t669;
  t5552 = t5551 * t622;
  t5555 = t5551 * t645;
  t5558 = t2782 * t4598;
  t5561 = t2782 * t4602;
  t5564 = t810 * t4975;
  t5567 = t1505 * t4258;
  t5568 = t3208 * t5567;
  t5577 = -t3693 - t3700 - 0.3e1 * t2251 * t5526 + t2255 * t5531 / 0.2e1 + 0.23e2 / 0.36e2 * t4531 * t5534 + t3015 * t4963 / 0.6e1 - t3015 * t4967 / 0.3e1 - t4531 * t5541 / 0.2e1 + 0.7e1 / 0.3e1 * t4531 * t5544 - t2632 * t4562 / 0.6e1 + t2632 * t4589 / 0.3e1 - t2265 * t5552 / 0.2e1 + t1677 * t5555 / 0.2e1 + 0.3e1 / 0.2e1 * t4277 * t5558 - 0.3e1 * t2255 * t5561 - t2251 * t5564 / 0.2e1 + 0.3e1 / 0.2e1 * t2251 * t5568 - t719 * t873 / 0.2e1 - t719 * t877 / 0.4e1 + t719 * t881 / 0.4e1;
  t5585 = t2294 * t5219;
  t5588 = t2169 * t5219;
  t5591 = t3935 * t5215;
  t5616 = t548 * t5251;
  t5621 = -t1553 * t1261 / 0.2e1 - t103 * t1252 / 0.12e2 + t3006 * t5128 / 0.12e2 + t3015 * t5585 / 0.3e1 + t3015 * t5588 / 0.6e1 - 0.5e1 / 0.36e2 * t4531 * t5591 - t372 * t1269 / 0.12e2 - t1529 * t1261 / 0.6e1 + t3057 * t1224 / 0.9e1 - t3057 * t1218 / 0.18e2 + t3030 * t1210 / 0.6e1 + t372 * t1283 / 0.12e2 - t654 * t886 / 0.36e2 + t372 * t1274 / 0.6e1 - t372 * t1266 / 0.6e1 + t894 * t4991 / 0.6e1 - t2972 * t1213 / 0.12e2 - t866 * t5616 / 0.12e2 - t866 * t4865 / 0.12e2;
  t5626 = t872 * t4895;
  t5631 = t3358 * t1198;
  t5634 = t876 * t4876;
  t5653 = t138 * t1252;
  t5656 = t1250 * t159;
  t5657 = t158 * t5656;
  t5658 = t106 * t5657;
  t5669 = t838 * t1150 / 0.12e2 + t259 * t4820 / 0.12e2 - t162 * t5626 / 0.2e1 - t349 * t1269 / 0.4e1 - t162 * t5631 / 0.4e1 - t162 * t5634 / 0.4e1 + t2483 * t274 / 0.12e2 + t2902 * t248 / 0.12e2 - t654 * t848 / 0.36e2 - t843 * t686 / 0.36e2 - t838 * t686 / 0.12e2 - t259 * t2473 / 0.12e2 - t661 * t848 / 0.12e2 - t233 * t2880 / 0.12e2 - t127 * t5653 / 0.12e2 + t5658 * t166 / 0.4e1 + t2885 * t248 / 0.4e1 + t854 * t738 / 0.4e1 + t2538 * t274 / 0.4e1 + t719 * t833 / 0.4e1;
  t5673 = my_piecewise3(t3, 0, t5229 + t5271 + t5312 + t5371 + t5524 + t5577 + t5621 + t5669);
  tv3rholapltau0 = 0.2e1 * rho[0] * t5673 + 0.2e1 * t1287;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 0] += tv3rholapltau0;

  t5678 = t95 * t802;
  t5679 = t303 * t5678;
  t5680 = t548 * t5679;
  t5685 = t1289 * t1418;
  t5686 = t1415 * t5685;
  t5687 = t106 * t5686;
  t5690 = t302 * t5679;
  t5693 = t109 * t1295;
  t5694 = t106 * t5693;
  t5699 = t1289 * t1445;
  t5700 = t333 * t5699;
  t5701 = t106 * t5700;
  t5704 = t256 * t1304;
  t5705 = t1505 * t5704;
  t5706 = t2257 * t5705;
  t5709 = -t3410 + t3430 - t3445 + t3460 - t913 + t984 + t1292 * t305 / 0.6e1 - t866 * t5680 / 0.6e1 + t1297 * t1952 / 0.6e1 - 0.5e1 / 0.36e2 * t5687 * t3748 + t894 * t5690 / 0.3e1 - t5694 * t541 / 0.2e1 - t1292 * t493 / 0.6e1 + t5701 * t549 / 0.2e1 + t3489 - t3491 + t2255 * t5706 / 0.2e1;
  t5710 = t1304 * t122;
  t5711 = t1862 * t5710;
  t5712 = t810 * t5711;
  t5723 = t60 * t802;
  t5724 = t396 * t5723;
  t5729 = t69 * t1289;
  t5730 = t5729 * t1504;
  t5733 = t1322 * t1536;
  t5736 = t405 * t5723;
  t5741 = t145 * t5723;
  t5744 = t1318 * t1483;
  t5748 = t943 - t962 + 0.4e1 / 0.3e1 * t810 * t5724 - 0.4e1 / 0.3e1 * t1323 * t1880 + t5730 * t3838 / 0.18e2 - 0.4e1 * t5733 * t591 - 0.2e1 * t810 * t5736 + 0.2e1 * t1323 * t1908 + 0.2e1 * t806 * t5741 - 0.3e1 * t5744 * t597 - t1319 * t420;
  t5752 = t341 * t342 * t256;
  t5758 = t321 * t871;
  t5761 = t1592 * t857;
  t5764 = t321 * t257;
  t5771 = t262 * t311;
  t5776 = t809 * t335;
  t5779 = 0.2e1 / 0.3e1 * t3523 * t5752 + 0.2e1 * t321 * t802 * t165 - 0.4e1 * t5758 * t636 + 0.4e1 / 0.3e1 * t5761 * t622 - 0.2e1 * t5764 * t328 + 0.4e1 * t5761 * t645 - 0.2e1 * t818 * t138 + 0.4e1 * t5771 * t636 + 0.2e1 * t265 * t328 - 0.4e1 * t5776 * t645;
  t5780 = t60 * t5779;
  t5781 = t400 * t5780;
  t5790 = t590 * t1304;
  t5791 = t1505 * t5790;
  t5794 = t63 * t802;
  t5795 = t405 * t5794;
  t5800 = t400 * t5790;
  t5802 = t1336 * t326;
  t5803 = t1868 * t5802;
  t5805 = t145 * t5794;
  t5810 = t804 * t1337 / 0.2e1 + t263 * t5781 / 0.2e1 + 0.1e2 / 0.3e1 * t5730 * t3858 + 0.6e1 * t5733 * t601 - 0.3e1 * t5730 * t3844 - 0.2e1 / 0.3e1 * t810 * t5791 + 0.4e1 * t810 * t5795 - 0.4e1 * t1323 * t1863 - t806 * t5800 - t263 * t5803 - 0.4e1 * t806 * t5805 + 0.6e1 * t5744 * t578;
  t5816 = t396 * t5794;
  t5824 = t63 * t5779;
  t5825 = t400 * t5824;
  t5831 = t1862 * t5790;
  t5835 = 0.2e1 * t1319 * t402 + 0.2e1 * t5733 * t583 - 0.2e1 / 0.3e1 * t810 * t5816 + 0.2e1 / 0.3e1 * t1323 * t1849 - t5730 * t3827 / 0.9e1 - t804 * t1327 - t263 * t5825 - 0.2e1 / 0.3e1 * t5730 * t3793 + 0.6e1 * t5730 * t3796 + t810 * t5831 - 0.12e2 * t5733 * t587;
  t5836 = t62 * t1304;
  t5837 = t5836 * t122;
  t5838 = t149 * t5837;
  t5841 = t5836 * t326;
  t5842 = t149 * t5841;
  t5845 = t410 * t5837;
  t5848 = t423 * t5837;
  t5851 = -t3777 - t3778 - t3782 + t3802 + 0.2e1 * t3202 * t5838 + 0.2e1 * t4392 * t5842 + t3200 * t5845 / 0.3e1 - 0.2e1 * t3200 * t5848 - t3841 + t3866 + t3868 + t3873;
  t5853 = t5748 + t5810 + t5835 + t5851;
  t5854 = t59 * t5853;
  t5855 = t5854 * t96;
  t5860 = t3358 * t1364;
  t5864 = t320 * t137 * t5779;
  t5865 = t876 * t5864;
  t5869 = t341 * t404 * t802;
  t5870 = t858 * t5869;
  t5873 = t135 * t137 * t802;
  t5874 = t872 * t5873;
  t5876 = -t2251 * t5712 / 0.2e1 + t3586 - t3589 + t843 * t1307 / 0.36e2 - t843 * t886 / 0.18e2 + t372 * t1356 / 0.6e1 - t372 * t1365 / 0.12e2 - t3603 - t3605 + t3607 + t3612 - t22 * t5855 / 0.4e1 - t103 * t1343 / 0.12e2 - t162 * t5860 / 0.4e1 - t162 * t5865 / 0.4e1 + t162 * t5870 - t162 * t5874;
  t5878 = t163 * t1295;
  t5879 = t5878 * t636;
  t5882 = t163 * t1290;
  t5883 = t5882 * t328;
  t5887 = t296 * t1318 * t313;
  t5891 = t3365 * t262 * t165;
  t5894 = t510 * t1295;
  t5895 = t5894 * t1671;
  t5897 = t296 * t1322;
  t5898 = t5897 * t516;
  t5901 = params->at * t1386;
  t5902 = t303 * t5901;
  t5903 = t302 * t5902;
  t5907 = t5901 * t142 * t165;
  t5912 = t510 * t5699;
  t5913 = t5912 * t645;
  t5930 = 0.3e1 / 0.2e1 * t162 * t5879 + t162 * t5883 / 0.2e1 - t162 * t5887 / 0.2e1 + t162 * t5891 / 0.2e1 - t162 * t5895 + t162 * t5898 / 0.2e1 - t127 * t5903 / 0.12e2 + t162 * t5907 / 0.4e1 - t349 * t1365 / 0.4e1 - 0.3e1 * t162 * t5913 - 0.11e2 / 0.18e2 * t5687 * t3560 + 0.23e2 / 0.36e2 * t5687 * t3613 - t5687 * t3580 / 0.2e1 + 0.7e1 / 0.3e1 * t5687 * t3569 - t866 * t4519 / 0.3e1 + 0.2e1 / 0.3e1 * t866 * t4523 - 0.3e1 / 0.2e1 * t5687 * t3504;
  t5934 = t1502 * t5685;
  t5935 = t5934 * t3576;
  t5940 = t5934 * t3495;
  t5943 = t5934 * t3594;
  t5946 = t96 * t5710;
  t5947 = t1684 * t5946;
  t5950 = t1304 * t326;
  t5951 = t96 * t5950;
  t5952 = t3624 * t5951;
  t5955 = t2169 * t5946;
  t5958 = t193 * t1304;
  t5959 = t169 * t5958;
  t5960 = t1684 * t5959;
  t5967 = t4541 * t857;
  t5968 = t5967 * t622;
  t5970 = t5967 * t645;
  t5972 = t2294 * t5946;
  t5975 = t500 * t5710;
  t5976 = t2169 * t5975;
  t5979 = t5701 * t556 - 0.2e1 * t5701 * t562 + 0.3e1 / 0.2e1 * t162 * t5935 - t2897 * t859 + t854 * t862 + 0.3e1 / 0.2e1 * t1565 * t5940 - 0.3e1 * t509 * t5943 - t2988 * t5947 / 0.6e1 - t3006 * t5952 / 0.6e1 + t3015 * t5955 / 0.12e2 + t3006 * t5960 / 0.12e2 - t3015 * t4562 / 0.3e1 + 0.2e1 / 0.3e1 * t3015 * t4589 - t2265 * t5968 + t1677 * t5970 + t3015 * t5972 / 0.6e1 - t3015 * t5976 / 0.3e1;
  t5982 = t400 * t5710;
  t5983 = t806 * t5982;
  t5986 = t1868 * t5950;
  t5987 = t263 * t5986;
  t5990 = t3190 * t1364;
  t5999 = t160 * t5678;
  t6000 = t548 * t5999;
  t6016 = t884 * t803 * t165;
  t6019 = t3689 - t3693 - t3700 + t2251 * t5983 / 0.2e1 + t2251 * t5987 / 0.2e1 - t1677 * t5990 / 0.4e1 - t838 * t886 / 0.6e1 - t259 * t3379 / 0.6e1 - t259 * t3383 / 0.6e1 + 0.2e1 / 0.3e1 * t866 * t6000 - 0.2e1 / 0.3e1 * t1297 * t1713 + t1297 * t1720 / 0.3e1 + t894 * t4453 / 0.3e1 + t259 * t2963 / 0.6e1 - t866 * t4442 / 0.6e1 - t259 * t2967 / 0.6e1 + t162 * t6016 / 0.2e1;
  t6020 = t342 * t802;
  t6021 = t341 * t6020;
  t6022 = t858 * t6021;
  t6024 = t5912 * t622;
  t6027 = t5894 * t1666;
  t6029 = t5897 * t512;
  t6036 = t2961 * t884;
  t6037 = t302 * t6036;
  t6051 = 0.1e1 / t1746;
  t6052 = t6051 * t84;
  t6055 = t6051 * tau[0];
  t6076 = -0.4e2 / 0.3e1 * t767 * t173 - 0.4e2 * t6052 * tau[0] - 0.68e3 * t1752 * t6055 + 0.2e3 / 0.3e1 * t447 * t767 - 0.104e4 * t1759 * t6055 + 0.24e3 * t454 * t767 + 0.12e4 * t1762 * t6055 + 0.8e2 / 0.3e1 * t459 * t767 + 0.3e4 * t1765 * t6055 - 0.1e4 / 0.3e1 * t464 * t767 + 0.14e4 * t1770 * t6055 - 0.2e3 * t471 * t767;
  t6077 = t169 * t6076;
  t6078 = t65 * t6077;
  t6081 = t826 * t288;
  t6084 = t269 * t793;
  t6087 = t154 * t1387;
  t6090 = t1342 * t194;
  t6093 = -t509 * t6022 + 0.3e1 * t509 * t6024 + t509 * t6027 - t509 * t6029 / 0.2e1 + t349 * t1356 / 0.2e1 + t854 * t881 / 0.2e1 - t127 * t6037 / 0.6e1 + t854 * t890 / 0.2e1 - t854 * t873 - t854 * t877 / 0.2e1 - t103 * t1348 / 0.6e1 - t103 * t1388 / 0.12e2 - t22 * t6078 / 0.4e1 - t22 * t6081 / 0.2e1 - t22 * t6084 / 0.2e1 - t22 * t6087 / 0.4e1 - t22 * t6090 / 0.4e1;
  t6095 = t555 * t5679;
  t6106 = t1726 * t1305;
  t6107 = t490 * t6106;
  t6110 = t95 * t5779;
  t6111 = t303 * t6110;
  t6112 = t490 * t6111;
  t6131 = t138 * t1343;
  t6134 = t1341 * t159;
  t6135 = t158 * t6134;
  t6136 = t106 * t6135;
  t6139 = -t866 * t6095 / 0.3e1 + t1297 * t1650 / 0.3e1 - t1297 * t1660 / 0.6e1 - t1297 * t1735 / 0.12e2 + t838 * t1307 / 0.12e2 + t259 * t6107 / 0.12e2 + t259 * t6112 / 0.12e2 - t1297 * t1451 / 0.12e2 - t838 * t848 / 0.6e1 - t259 * t2880 / 0.6e1 + t1292 * t380 / 0.6e1 + t2885 * t274 / 0.2e1 + t1297 * t1440 / 0.3e1 - t1297 * t1510 / 0.6e1 - t1553 * t1352 / 0.2e1 - t127 * t6131 / 0.12e2 + t6136 * t166 / 0.4e1;
  t6146 = t368 * t1296;
  t6149 = t368 * t1291;
  t6172 = t3062 * t871;
  t6173 = t6172 * t636;
  t6175 = t3062 * t257;
  t6176 = t6175 * t328;
  t6179 = t854 * t833 / 0.2e1 - t349 * t1360 / 0.2e1 + t349 * t1368 / 0.2e1 - t6146 * t344 / 0.36e2 + t6149 * t139 / 0.18e2 + t372 * t1368 / 0.6e1 - t372 * t1360 / 0.6e1 - t1529 * t1352 / 0.6e1 + t2902 * t274 / 0.6e1 + t6146 * t502 / 0.9e1 - t843 * t848 / 0.18e2 - t6146 * t497 / 0.18e2 + t2988 * t4655 / 0.3e1 + t3006 * t3105 / 0.6e1 - t3015 * t4753 / 0.6e1 - t1677 * t6173 - t1677 * t6176 / 0.2e1;
  t6183 = my_piecewise3(t3, 0, t5709 + t5876 + t5930 + t5979 + t6019 + t6093 + t6139 + t6179);
  tv3rhotau20 = 0.2e1 * rho[0] * t6183 + 0.2e1 * t1392;

  if(out->v3rhotau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 0] += tv3rhotau20;

  t6186 = t404 * t929;
  t6187 = t1648 * t6186;
  t6188 = t3520 * t6187;
  t6191 = t914 * t205;
  t6192 = t69 * t6191;
  t6193 = t6192 * t1418;
  t6196 = t332 * t6191;
  t6197 = t6196 * t1445;
  t6200 = t108 * t6191;
  t6201 = t6200 * t335;
  t6204 = t3780 * t1033;
  t6205 = 0.2e1 * t6204;
  t6206 = t6196 * t1536;
  t6209 = t6192 * t1504;
  t6212 = t1862 * t965;
  t6225 = 0.2e1 * t321 * t908 * t165;
  t6229 = t1592 * t914;
  t6237 = 0.2e1 * t960 * t138;
  t6244 = 0.2e1 / 0.3e1 * t957 * t343 + t6225 - 0.4e1 * t321 * t914 * t313 + 0.4e1 / 0.3e1 * t6229 * t512 - 0.2e1 * t3535 * t990 + 0.4e1 * t6229 * t516 - t6237 + 0.4e1 * t963 * t138 + 0.2e1 * t214 * t990 - 0.4e1 * t957 * t496;
  t6245 = t60 * t6244;
  t6246 = t400 * t6245;
  t6249 = t1505 * t965;
  t6252 = t929 * t929;
  t6253 = t60 * t6252;
  t6254 = t1868 * t6253;
  t6256 = t6200 * t1483;
  t6259 = t943 - t962 - 0.3e1 * t6193 * t1826 + 0.6e1 * t6197 * t424 - 0.3e1 * t6201 * t150 + t6205 + 0.2e1 * t6206 * t397 - t6209 * t1894 / 0.9e1 + 0.3e1 * t949 * t6212 - 0.12e2 * t6206 * t406 - 0.2e1 / 0.3e1 * t6209 * t1913 + 0.6e1 * t6209 * t1905 + t212 * t6246 / 0.2e1 - 0.2e1 * t949 * t6249 - t212 * t6254 + 0.6e1 * t6256 * t146;
  t6260 = t3780 * t1040;
  t6261 = 0.3e1 * t6260;
  t6262 = t3775 * t1036;
  t6263 = 0.3e1 * t6262;
  t6264 = t942 * t966;
  t6267 = t3780 * t1029;
  t6268 = 0.6e1 * t6267;
  t6269 = t63 * t6244;
  t6270 = t400 * t6269;
  t6272 = t3780 * t1025;
  t6275 = t1505 * t952;
  t6277 = t3775 * t1022;
  t6278 = 0.6e1 * t6277;
  t6279 = t942 * t953;
  t6280 = 0.2e1 * t6279;
  t6281 = t63 * t6252;
  t6282 = t1868 * t6281;
  t6285 = t1862 * t952;
  t6294 = -t6261 + t6263 + t6264 - 0.2e1 * t945 * t966 + t6268 - t212 * t6270 - t6272 + 0.4e1 * t945 * t953 + t949 * t6275 - t6278 - t6280 + 0.2e1 * t212 * t6282 - 0.6e1 * t949 * t6285 + 0.1e2 / 0.3e1 * t6193 * t1830 - 0.4e1 * t6197 * t411 + t6193 * t1838 / 0.18e2;
  t6295 = t6259 + t6294;
  t6296 = t59 * t6295;
  t6297 = t6296 * t96;
  t6300 = t3610 * t1002;
  t6301 = t6300 / 0.2e1;
  t6302 = t911 * t932;
  t6303 = t6302 / 0.6e1;
  t6304 = t3583 * t1065;
  t6305 = t162 * t6304;
  t6306 = 0.3e1 / 0.2e1 * t6305;
  t6307 = t342 * t908;
  t6308 = t341 * t6307;
  t6309 = t620 * t6308;
  t6310 = t509 * t6309;
  t6311 = 0.3e1 / 0.2e1 * t6310;
  t6312 = t342 * t929;
  t6313 = t1648 * t6312;
  t6314 = t3520 * t6313;
  t6319 = t2036 * t930;
  t6320 = t490 * t6319;
  t6323 = t95 * t6244;
  t6324 = t303 * t6323;
  t6325 = t490 * t6324;
  t6328 = t1711 * t931;
  t6331 = -t913 + t984 - 0.3e1 / 0.2e1 * t162 * t6188 - t22 * t6297 / 0.4e1 + t6301 + t6303 + t6306 - t6311 + 0.3e1 / 0.2e1 * t509 * t6314 - 0.3e1 / 0.4e1 * t610 * t991 + t208 * t6320 / 0.4e1 + t208 * t6325 / 0.12e2 + t922 * t6328 / 0.4e1;
  t6332 = t1649 * t931;
  t6335 = t160 * t930;
  t6336 = t1711 * t6335;
  t6339 = t1630 * t137 * t6252;
  t6340 = t640 * t6339;
  t6344 = t320 * t137 * t6244;
  t6345 = t640 * t6344;
  t6348 = t3707 * t990;
  t6350 = t3697 * t1057;
  t6351 = t162 * t6350;
  t6352 = 0.3e1 / 0.2e1 * t6351;
  t6353 = t3690 * t990;
  t6354 = t162 * t6353;
  t6355 = t6354 / 0.2e1;
  t6356 = t3487 * t1010;
  t6357 = t6356 / 0.2e1;
  t6358 = t3487 * t1016;
  t6359 = t3487 * t1005;
  t6360 = t6359 / 0.4e1;
  t6363 = t95 * t6252;
  t6364 = t303 * t6363;
  t6365 = t1637 * t6364;
  t6370 = t922 * t6332 / 0.2e1 - t922 * t6336 + t162 * t6340 / 0.2e1 - t162 * t6345 / 0.4e1 + t162 * t6348 - t6352 - t6355 - t6357 + t6358 - t6360 - t917 * t932 / 0.3e1 - t208 * t6365 / 0.6e1 + t917 * t569 / 0.2e1;
  t6372 = t6191 * t1445;
  t6373 = t333 * t6372;
  t6374 = t106 * t6373;
  t6379 = t911 * t569;
  t6380 = t6379 / 0.4e1;
  t6381 = t610 * t982;
  t6382 = 0.3e1 / 0.4e1 * t6381;
  t6387 = t6191 * t1418;
  t6388 = t1415 * t6387;
  t6389 = t106 * t6388;
  t6394 = t6191 * t335;
  t6395 = t109 * t6394;
  t6396 = t106 * t6395;
  t6406 = t6374 * t344 / 0.2e1 - t922 * t2002 / 0.4e1 - t6380 + t6382 + 0.3e1 / 0.4e1 * t3416 * t223 - t208 * t3411 / 0.4e1 - 0.5e1 / 0.36e2 * t6389 * t1429 - t922 * t1963 / 0.2e1 - t6396 * t139 / 0.2e1 - 0.3e1 / 0.2e1 * t1972 * t978 + 0.3e1 / 0.2e1 * t610 * t994 + t6374 * t497 - 0.2e1 * t6374 * t502;
  t6414 = t510 * t6191;
  t6415 = t6414 * t1541;
  t6418 = t1502 * t6191;
  t6419 = t6418 * t1506;
  t6428 = t6418 * t1567;
  t6431 = t6418 * t1572;
  t6435 = t163 * t6191 * t1484;
  t6438 = t6414 * t1537;
  t6441 = -0.11e2 / 0.18e2 * t6389 * t1545 + 0.23e2 / 0.36e2 * t6389 * t1548 + t922 * t1967 - 0.3e1 / 0.2e1 * t6389 * t1558 - 0.3e1 * t162 * t6415 + 0.3e1 / 0.2e1 * t162 * t6419 - t6389 * t1515 / 0.2e1 + 0.7e1 / 0.3e1 * t6389 * t1520 - 0.3e1 / 0.2e1 * t610 * t986 + 0.3e1 / 0.2e1 * t1565 * t6428 - 0.3e1 * t509 * t6431 + 0.3e1 / 0.2e1 * t162 * t6435 + 0.3e1 * t509 * t6438;
  t6444 = my_piecewise3(t3, 0, t6331 + t6370 + t6406 + t6441);
  tv3sigma30 = 0.2e1 * rho[0] * t6444;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  t6446 = t60 * t914;
  t6447 = t405 * t6446;
  t6450 = t1505 * t6446;
  t6453 = t145 * t6446;
  t6457 = t396 * t6446;
  t6460 = t1566 * t6446;
  t6463 = t1571 * t6446;
  t6466 = t60 * t908;
  t6467 = t396 * t6466;
  t6468 = t697 * t6467;
  t6469 = 0.2e1 / 0.3e1 * t6468;
  t6470 = t405 * t6466;
  t6471 = t697 * t6470;
  t6472 = t145 * t6466;
  t6473 = t693 * t6472;
  t6476 = t3758 * t205;
  t6477 = t423 * t6476;
  t6480 = 0.4e1 / 0.3e1 * t6204;
  t6481 = 0.2e1 * t6260;
  t6482 = 0.2e1 * t6262;
  t6483 = t63 * t914;
  t6484 = t1505 * t6483;
  t6487 = t943 - t962 + 0.6e1 * t2776 * t6447 - 0.3e1 * t2782 * t6450 - 0.3e1 * t2765 * t6453 - t237 * t6254 - 0.4e1 * t2776 * t6457 + t2782 * t6460 / 0.18e2 + 0.1e2 / 0.3e1 * t2782 * t6463 + t6469 - t6471 + t6473 + t237 * t6246 / 0.2e1 - 0.6e1 * t2750 * t6477 + t6480 - t6481 + t6482 + t6264 + 0.6e1 * t2782 * t6484;
  t6488 = t405 * t6483;
  t6491 = t965 * t205;
  t6492 = t1862 * t6491;
  t6495 = t400 * t6491;
  t6498 = t63 * t908;
  t6499 = t145 * t6498;
  t6500 = t693 * t6499;
  t6501 = 0.2e1 * t6500;
  t6502 = t396 * t6483;
  t6505 = t396 * t6498;
  t6506 = t697 * t6505;
  t6507 = t6506 / 0.3e1;
  t6508 = t1566 * t6483;
  t6512 = t1505 * t6491;
  t6515 = t405 * t6498;
  t6516 = t697 * t6515;
  t6517 = 0.2e1 * t6516;
  t6520 = t145 * t6483;
  t6523 = t1571 * t6483;
  t6526 = 0.4e1 * t6267;
  t6527 = 0.2e1 / 0.3e1 * t6272;
  t6528 = 0.4e1 * t6277;
  t6529 = t410 * t6476;
  t6531 = t149 * t6476;
  t6534 = -0.12e2 * t2776 * t6488 + 0.3e1 * t697 * t6492 - 0.2e1 * t693 * t6495 - t6501 + 0.2e1 * t2776 * t6502 - t6507 - t2782 * t6508 / 0.9e1 - t237 * t6270 - 0.2e1 * t697 * t6512 + t6517 + 0.2e1 * t237 * t6282 + 0.6e1 * t2765 * t6520 - 0.2e1 / 0.3e1 * t2782 * t6523 + t6526 - t6527 - t6528 - t6280 + t2750 * t6529 + 0.4e1 * t2752 * t6531;
  t6535 = t6487 + t6534;
  t6536 = t59 * t6535;
  t6537 = t6536 * t96;
  t6540 = t2571 * t930;
  t6541 = t490 * t6540;
  t6544 = t95 * t908;
  t6545 = t160 * t6544;
  t6546 = t548 * t6545;
  t6547 = t671 * t6546;
  t6548 = t6547 / 0.3e1;
  t6549 = t2036 * t1000;
  t6550 = t555 * t6549;
  t6553 = t303 * t6544;
  t6554 = t555 * t6553;
  t6555 = t671 * t6554;
  t6556 = t6555 / 0.6e1;
  t6557 = t548 * t6549;
  t6560 = t548 * t6553;
  t6561 = t671 * t6560;
  t6562 = t6561 / 0.12e2;
  t6563 = t95 * t914;
  t6564 = t303 * t6563;
  t6565 = t2057 * t6564;
  t6572 = t302 * t6549;
  t6575 = t302 * t6553;
  t6576 = t666 * t6575;
  t6577 = t6576 / 0.6e1;
  t6578 = t548 * t6564;
  t6581 = t745 * t6344;
  t6584 = t729 * t6308;
  t6585 = t509 * t6584;
  t6586 = t6585 / 0.2e1;
  t6587 = t745 * t6339;
  t6590 = -t913 + t984 - t22 * t6537 / 0.4e1 + t208 * t6541 / 0.12e2 + t6548 - t671 * t6550 / 0.3e1 - t6556 - t671 * t6557 / 0.6e1 - t6562 - 0.5e1 / 0.36e2 * t2590 * t6565 + t233 * t6320 / 0.6e1 + t233 * t6325 / 0.12e2 + t666 * t6572 / 0.3e1 + t6577 + t2611 * t6578 / 0.2e1 - t162 * t6581 / 0.4e1 - t6586 + t162 * t6587 / 0.2e1;
  t6592 = t135 * t137 * t914;
  t6593 = t2651 * t6592;
  t6596 = t342 * t914;
  t6597 = t341 * t6596;
  t6598 = t2655 * t6597;
  t6603 = t302 * t6564;
  t6611 = t608 * t1000;
  t6612 = t548 * t6611;
  t6617 = t400 * t3472;
  t6618 = t693 * t6617;
  t6620 = t6300 / 0.3e1;
  t6621 = t160 * t6563;
  t6622 = t2057 * t6621;
  t6625 = t2324 * t6564;
  t6628 = t2233 * t6621;
  t6631 = t555 * t6564;
  t6633 = t548 * t6621;
  t6636 = 0.3e1 / 0.2e1 * t162 * t6593 + 0.3e1 * t509 * t6598 - t233 * t6365 / 0.6e1 - t2662 * t6603 / 0.2e1 - t610 * t1058 - t610 * t1061 / 0.2e1 - t719 * t991 / 0.4e1 + 0.2e1 / 0.3e1 * t671 * t6612 - t1972 * t1053 + t610 * t1066 + t2251 * t6618 + t6620 + t6303 + 0.23e2 / 0.36e2 * t2590 * t6622 - t2590 * t6625 / 0.2e1 + 0.7e1 / 0.3e1 * t2590 * t6628 + t2611 * t6631 - 0.2e1 * t2611 * t6633;
  t6639 = t341 * t404 * t908;
  t6640 = t729 * t6639;
  t6641 = t162 * t6640;
  t6642 = t6641 / 0.2e1;
  t6644 = t135 * t137 * t908;
  t6645 = t741 * t6644;
  t6646 = t162 * t6645;
  t6647 = t6646 / 0.2e1;
  t6648 = t96 * t3472;
  t6649 = t2294 * t6648;
  t6652 = t500 * t3472;
  t6653 = t2169 * t6652;
  t6655 = t1684 * t6648;
  t6658 = t582 * t3950;
  t6661 = t2169 * t6648;
  t6664 = t6356 / 0.3e1;
  t6665 = 0.2e1 / 0.3e1 * t6358;
  t6666 = t6359 / 0.6e1;
  t6667 = t1426 * t6596;
  t6668 = t2713 * t6667;
  t6671 = t507 * t6563;
  t6672 = t2057 * t6671;
  t6675 = t1427 * t914;
  t6676 = t1426 * t6675;
  t6677 = t2713 * t6676;
  t6680 = t1518 * t914;
  t6681 = t1426 * t6680;
  t6682 = t2713 * t6681;
  t6685 = t6642 - t6647 + t2632 * t6649 / 0.2e1 - t2632 * t6653 - t2674 * t6655 / 0.3e1 + t6305 - t6310 - t6351 - t6355 + 0.3e1 / 0.2e1 * t2255 * t6658 + t2632 * t6661 / 0.4e1 - t6664 + t6665 - t6666 + 0.3e1 / 0.2e1 * t162 * t6668 - 0.3e1 / 0.2e1 * t2590 * t6672 + 0.3e1 / 0.2e1 * t1565 * t6677 - 0.3e1 * t509 * t6682;
  t6687 = t341 * t404 * t914;
  t6688 = t2655 * t6687;
  t6691 = t2233 * t6564;
  t6694 = t1862 * t3472;
  t6695 = t697 * t6694;
  t6714 = t719 * t982;
  t6715 = t6714 / 0.4e1;
  t6718 = t911 * t686;
  t6719 = t6718 / 0.12e2;
  t6720 = t6379 / 0.6e1;
  t6725 = t6381 / 0.2e1;
  t6726 = -0.3e1 * t162 * t6688 - 0.11e2 / 0.18e2 * t2590 * t6691 - 0.3e1 / 0.2e1 * t2251 * t6695 - t922 * t2500 / 0.6e1 + t922 * t2504 / 0.3e1 - t2509 * t978 / 0.2e1 + t719 * t994 / 0.2e1 - t208 * t3903 / 0.6e1 - t922 * t2476 / 0.12e2 - t233 * t3411 / 0.12e2 + t3416 * t248 / 0.4e1 + t6715 + t3908 * t223 / 0.2e1 - t6719 - t6720 - t719 * t986 / 0.2e1 + t917 * t686 / 0.6e1 + t6725;
  t6729 = my_piecewise3(t3, 0, t6590 + t6636 + t6685 + t6726);
  tv3sigma2lapl0 = 0.2e1 * rho[0] * t6729;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 0] += tv3sigma2lapl0;

  t6735 = t4747 * t990;
  t6738 = t287 * t929;
  t6739 = t169 * t6738;
  t6740 = t1684 * t6739;
  t6743 = t806 * t6617;
  t6745 = t582 * t4550;
  t6748 = t810 * t6694;
  t6755 = t894 * t6575;
  t6756 = t6755 / 0.6e1;
  t6762 = t884 * t944 * t313;
  t6767 = t876 * t6339;
  t6770 = t3113 * t6592;
  t6773 = t3080 * t6597;
  t6780 = t894 * t6572 / 0.3e1 + t6756 + t3039 * t6578 / 0.2e1 - t866 * t6557 / 0.6e1 - t162 * t6762 / 0.2e1 + t917 * t886 / 0.6e1 + t162 * t6767 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t6770 + 0.3e1 * t509 * t6773 - t259 * t6365 / 0.6e1 - t3299 * t6603 / 0.2e1;
  t6797 = t858 * t6639;
  t6798 = t162 * t6797;
  t6799 = t6798 / 0.2e1;
  t6800 = t6620 + t6303 - 0.11e2 / 0.18e2 * t2983 * t6691 + 0.23e2 / 0.36e2 * t2983 * t6622 - t2983 * t6625 / 0.2e1 + 0.7e1 / 0.3e1 * t2983 * t6628 + t3039 * t6631 - t208 * t4729 / 0.6e1 - t922 * t3373 / 0.12e2 + t610 * t1126 / 0.2e1 + t6799;
  t6801 = t911 * t886;
  t6802 = t6801 / 0.12e2;
  t6803 = t876 * t6344;
  t6806 = t872 * t6644;
  t6807 = t162 * t6806;
  t6808 = t6807 / 0.2e1;
  t6809 = t858 * t6308;
  t6810 = t509 * t6809;
  t6811 = t6810 / 0.2e1;
  t6813 = t884 * t941 * t165;
  t6814 = t162 * t6813;
  t6815 = t6814 / 0.4e1;
  t6816 = t884 * t948;
  t6817 = t6816 * t512;
  t6820 = t6816 * t516;
  t6823 = t3080 * t6687;
  t6826 = t2991 * t6667;
  t6833 = -t6802 - t162 * t6803 / 0.4e1 - t6808 - t6811 + t6815 - t509 * t6817 / 0.2e1 + t162 * t6820 / 0.2e1 - 0.3e1 * t162 * t6823 + 0.3e1 / 0.2e1 * t162 * t6826 - t922 * t2997 / 0.6e1 + t922 * t2947 / 0.3e1;
  t6838 = t2991 * t6676;
  t6841 = t2991 * t6681;
  t6854 = t2961 * t930;
  t6855 = t490 * t6854;
  t6859 = t866 * t6546;
  t6860 = t6859 / 0.3e1;
  t6863 = t866 * t6554;
  t6864 = t6863 / 0.6e1;
  t6865 = t866 * t6560;
  t6866 = t6865 / 0.12e2;
  t6873 = t971 * t288;
  t6876 = t6860 - t866 * t6550 / 0.3e1 - t6864 - t6866 - 0.5e1 / 0.36e2 * t2983 * t6565 + t259 * t6320 / 0.6e1 + t259 * t6325 / 0.12e2 - t22 * t6873 / 0.4e1 + t6305 - t6310 - t6351;
  t6881 = t806 * t6472;
  t6884 = t810 * t6470;
  t6887 = t810 * t6467;
  t6888 = 0.2e1 / 0.3e1 * t6887;
  t6903 = t943 - t962 + t6881 + t263 * t6246 / 0.2e1 - t6884 + 0.1e2 / 0.3e1 * t3208 * t6463 + t6888 - 0.4e1 * t3226 * t6457 + t3208 * t6460 / 0.18e2 - 0.3e1 * t3221 * t6453 - t263 * t6254 + t6480 - t6481 + t6482 + t6264 + 0.4e1 * t3202 * t6531 + t3200 * t6529 - 0.6e1 * t3200 * t6477 - 0.2e1 * t806 * t6495;
  t6906 = t810 * t6505;
  t6907 = t6906 / 0.3e1;
  t6913 = t810 * t6515;
  t6914 = 0.2e1 * t6913;
  t6915 = t806 * t6499;
  t6916 = 0.2e1 * t6915;
  t6933 = 0.2e1 * t3226 * t6502 - t6907 - t3208 * t6508 / 0.9e1 - t263 * t6270 - 0.2e1 * t810 * t6512 + t6914 - t6916 + 0.6e1 * t3208 * t6484 - 0.12e2 * t3226 * t6488 - 0.2e1 / 0.3e1 * t3208 * t6523 + 0.3e1 * t810 * t6492 + 0.2e1 * t263 * t6282 + t6526 - t6527 - t6528 - t6280 + 0.6e1 * t3221 * t6520 - 0.3e1 * t3208 * t6450 + 0.6e1 * t3226 * t6447;
  t6934 = t6903 + t6933;
  t6935 = t59 * t6934;
  t6936 = t6935 * t96;
  t6945 = t854 * t982;
  t6946 = t6945 / 0.4e1;
  t6947 = -t6355 - t6664 + t6665 - t6666 + t610 * t1117 + 0.2e1 / 0.3e1 * t866 * t6612 - t22 * t6936 / 0.4e1 + t922 * t2892 / 0.3e1 - t2897 * t978 / 0.2e1 + t4701 * t223 / 0.2e1 + t6946;
  t6950 = t911 * t848;
  t6951 = t6950 / 0.12e2;
  t6966 = -t922 * t2934 / 0.12e2 - t6951 - t208 * t4744 / 0.6e1 - t259 * t3411 / 0.12e2 + t854 * t994 / 0.2e1 - t922 * t2888 / 0.6e1 - t854 * t986 / 0.2e1 + t917 * t848 / 0.6e1 + t3416 * t274 / 0.4e1 - t6720 + t6725;
  t6970 = my_piecewise3(t3, 0, t3015 * t6649 / 0.2e1 - t3015 * t6653 - t854 * t991 / 0.4e1 - t610 * t1111 - t610 * t1114 / 0.2e1 + t208 * t6855 / 0.12e2 + t2179 * t6740 / 0.12e2 + t2251 * t6743 + 0.3e1 / 0.2e1 * t2255 * t6745 - 0.3e1 / 0.2e1 * t2251 * t6748 - t1972 * t1108 - t2988 * t6655 / 0.3e1 + t3015 * t6661 / 0.4e1 - t1677 * t6735 / 0.4e1 - 0.3e1 / 0.2e1 * t2983 * t6672 + 0.3e1 / 0.2e1 * t1565 * t6838 - 0.3e1 * t509 * t6841 - 0.2e1 * t3039 * t6633 + t6833 + t6876 + t6966 + t984 + t6780 + t6947 + t6800 - t913);
  tv3sigma2tau0 = 0.2e1 * rho[0] * t6970;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 0] += tv3sigma2tau0;

  t6972 = 0.2e1 / 0.3e1 * t6547;
  t6973 = t6555 / 0.3e1;
  t6974 = t6561 / 0.6e1;
  t6975 = t6576 / 0.3e1;
  t6976 = t2057 * t1015;
  t6979 = t2324 * t1001;
  t6982 = t2233 * t1015;
  t6990 = t2571 * t1000;
  t6991 = t302 * t6990;
  t6996 = t548 * t6990;
  t7015 = 0.2e1 / 0.3e1 * t3547 * t1260 + t6225 - 0.4e1 * t4828 * t1057 + 0.4e1 / 0.3e1 * t4831 * t1052 - 0.2e1 * t4834 * t990 + 0.4e1 * t4831 * t1065 - t6237 + 0.4e1 * t4841 * t1057 + 0.2e1 * t239 * t990 - 0.4e1 * t4846 * t1065;
  t7016 = t95 * t7015;
  t7017 = t303 * t7016;
  t7018 = t490 * t7017;
  t7023 = t2057 * t1001;
  t7026 = t911 * t1150;
  t7027 = t7026 / 0.12e2;
  t7028 = -t913 + t984 + t6972 - t6973 - t6974 + t6975 - t6585 + 0.23e2 / 0.36e2 * t4800 * t6976 - t4800 * t6979 / 0.2e1 + 0.7e1 / 0.3e1 * t4800 * t6982 + t4856 * t1010 - t719 * t1061 / 0.2e1 - 0.2e1 / 0.3e1 * t1140 * t6336 + t666 * t6991 / 0.3e1 + t233 * t6541 / 0.6e1 - t671 * t6996 / 0.6e1 + t233 * t7018 / 0.12e2 + t1140 * t6332 / 0.3e1 - 0.5e1 / 0.36e2 * t4800 * t7023 + t7027;
  t7029 = t2036 * t1148;
  t7030 = t490 * t7029;
  t7039 = t4935 * t6187;
  t7043 = t3690 * t1198;
  t7044 = t162 * t7043;
  t7045 = t7044 / 0.4e1;
  t7047 = t320 * t137 * t7015;
  t7048 = t745 * t7047;
  t7051 = t4898 * t1057;
  t7054 = t4884 * t990;
  t7057 = t4810 * t1052;
  t7060 = t4935 * t6313;
  t7063 = t582 * t4971;
  t7066 = t1147 * t205;
  t7067 = t1862 * t7066;
  t7068 = t697 * t7067;
  t7071 = t96 * t7066;
  t7072 = t2294 * t7071;
  t7075 = t500 * t7066;
  t7076 = t2169 * t7075;
  t7079 = t400 * t7066;
  t7080 = t693 * t7079;
  t7083 = t1147 * t929;
  t7084 = t1868 * t7083;
  t7085 = t237 * t7084;
  t7088 = t96 * t7083;
  t7089 = t3624 * t7088;
  t7092 = t233 * t7030 / 0.12e2 + t1140 * t6328 / 0.6e1 - t4984 * t1002 / 0.2e1 - t1135 * t932 / 0.6e1 - t162 * t7039 - t610 * t1199 / 0.4e1 - t7045 - t162 * t7048 / 0.4e1 + 0.3e1 / 0.2e1 * t162 * t7051 + t162 * t7054 / 0.2e1 + 0.3e1 * t509 * t7057 + t509 * t7060 - t719 * t1058 + t2255 * t7063 / 0.2e1 - t2251 * t7068 / 0.2e1 + t2632 * t7072 / 0.6e1 - t2632 * t7076 / 0.3e1 + t2251 * t7080 / 0.2e1 + t2251 * t7085 / 0.2e1 - t2683 * t7089 / 0.6e1;
  t7094 = t2169 * t7071;
  t7097 = t6300 / 0.6e1;
  t7098 = t6302 / 0.12e2;
  t7099 = 0.4e1 / 0.3e1 * t6468;
  t7100 = 0.2e1 * t6471;
  t7101 = 0.2e1 * t6473;
  t7102 = 0.2e1 / 0.3e1 * t6204;
  t7103 = t6264 / 0.2e1;
  t7108 = -0.3e1 * t1036 * t5016 + 0.2e1 * t1164 * t6212 - t6260 + t6262 + t7099 - t7100 + t7101 + t7102 + t7103 + t943 - t962;
  t7110 = t942 * t1178;
  t7111 = t7110 / 0.2e1;
  t7112 = t60 * t7015;
  t7113 = t400 * t7112;
  t7116 = t1566 * t1032;
  t7119 = t1571 * t1032;
  t7124 = 0.4e1 * t6500;
  t7125 = 0.2e1 / 0.3e1 * t6506;
  t7126 = 0.4e1 * t6516;
  t7127 = 0.2e1 * t6267;
  t7128 = t6272 / 0.3e1;
  t7129 = 0.2e1 * t6277;
  t7130 = -t1160 * t966 + t7111 + t237 * t7113 / 0.2e1 + t5011 * t7116 / 0.18e2 + 0.1e2 / 0.3e1 * t5011 * t7119 - 0.4e1 / 0.3e1 * t1164 * t6249 - t7124 - t7125 + t7126 + t7127 - t7128 - t7129;
  t7136 = t1505 * t1032;
  t7139 = t5054 * t205;
  t7140 = t423 * t7139;
  t7143 = t149 * t7139;
  t7146 = t5054 * t929;
  t7147 = t149 * t7146;
  t7150 = t410 * t7139;
  t7153 = t1032 * t1147;
  t7154 = t1505 * t7153;
  t7159 = t400 * t7153;
  t7161 = -t6279 - 0.4e1 * t5007 * t1033 + 0.6e1 * t5007 * t1040 - 0.3e1 * t5011 * t7136 - 0.2e1 * t2750 * t7140 + 0.2e1 * t2752 * t7143 + 0.2e1 * t4138 * t7147 + t2750 * t7150 / 0.3e1 - 0.2e1 / 0.3e1 * t697 * t7154 - 0.4e1 * t1164 * t6285 - t693 * t7159;
  t7162 = t1177 * t929;
  t7163 = t1868 * t7162;
  t7167 = t1566 * t1021;
  t7170 = t942 * t1168;
  t7171 = t63 * t7015;
  t7172 = t400 * t7171;
  t7180 = t1862 * t7153;
  t7184 = t1571 * t1021;
  t7187 = t1505 * t1021;
  t7190 = -t237 * t7163 + 0.2e1 / 0.3e1 * t1164 * t6275 - t5011 * t7167 / 0.9e1 - t7170 - t237 * t7172 + 0.6e1 * t5016 * t1022 + 0.2e1 * t1160 * t953 + 0.2e1 * t5007 * t1025 + t697 * t7180 - 0.12e2 * t5007 * t1029 - 0.2e1 / 0.3e1 * t5011 * t7184 + 0.6e1 * t5011 * t7187;
  t7192 = t7108 + t7130 + t7161 + t7190;
  t7193 = t59 * t7192;
  t7194 = t7193 * t96;
  t7197 = t1426 * t1051;
  t7198 = t4805 * t7197;
  t7201 = t1518 * t205;
  t7202 = t1426 * t7201;
  t7203 = t4805 * t7202;
  t7206 = t555 * t6990;
  t7209 = t717 * t1000;
  t7210 = t548 * t7209;
  t7213 = t507 * t1000;
  t7214 = t2057 * t7213;
  t7219 = t1427 * t205;
  t7220 = t1426 * t7219;
  t7221 = t4805 * t7220;
  t7226 = t2233 * t1001;
  t7231 = t6305 / 0.2e1;
  t7232 = t6310 / 0.2e1;
  t7233 = t6351 / 0.2e1;
  t7234 = t2632 * t7094 / 0.12e2 + t7097 + t7098 + t6641 - t6646 - t22 * t7194 / 0.4e1 + 0.3e1 / 0.2e1 * t162 * t7198 - 0.3e1 * t509 * t7203 - t671 * t7206 / 0.3e1 + 0.2e1 / 0.3e1 * t671 * t7210 - 0.3e1 / 0.2e1 * t4800 * t7214 - t2509 * t1053 + t719 * t1066 + 0.3e1 / 0.2e1 * t1565 * t7221 - 0.2e1 * t4856 * t1016 - 0.11e2 / 0.18e2 * t4800 * t7226 + t4856 * t1005 / 0.2e1 + t7231 - t7232 - t7233;
  t7235 = t6354 / 0.4e1;
  t7236 = t6356 / 0.6e1;
  t7237 = t6358 / 0.3e1;
  t7238 = t6359 / 0.12e2;
  t7239 = t4810 * t1065;
  t7265 = t6714 / 0.2e1;
  t7266 = t6718 / 0.6e1;
  t7267 = t6379 / 0.12e2;
  t7268 = t6381 / 0.4e1;
  t7269 = t1684 * t7071;
  t7272 = t3908 * t248 / 0.2e1 - t233 * t3903 / 0.6e1 + t1140 * t1967 / 0.3e1 + t1135 * t569 / 0.6e1 - t1140 * t2002 / 0.12e2 - t610 * t1194 / 0.2e1 + t7265 - t7266 - t7267 + t7268 - t2674 * t7269 / 0.6e1;
  t7276 = my_piecewise3(t3, 0, t7028 + t7092 + t7234 - t7235 - t7236 + t7237 - t7238 - 0.3e1 * t162 * t7239 - t1140 * t1963 / 0.6e1 + t610 * t1202 / 0.2e1 - t1972 * t1190 / 0.2e1 - t208 * t5167 / 0.12e2 + t5172 * t223 / 0.4e1 + t7272);
  tv3sigmalapl20 = 0.2e1 * rho[0] * t7276;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 0] += tv3sigmalapl20;

  t7280 = t230 * t205;
  t7281 = t96 * t7280;
  t7282 = t2175 * t7281;
  t7285 = t96 * t3949;
  t7286 = t2169 * t7285;
  t7289 = t5551 * t1065;
  t7292 = t582 * t5530;
  t7295 = t810 * t7067;
  t7298 = t1505 * t7280;
  t7299 = t3208 * t7298;
  t7302 = -t913 + t984 + t6548 - t6556 - t6562 + t6577 - t6586 - t2988 * t7269 / 0.6e1 + t4571 * t7282 / 0.2e1 + t3015 * t7286 / 0.6e1 + t1677 * t7289 / 0.2e1 + t2255 * t7292 / 0.2e1 - t2251 * t7295 / 0.2e1 + 0.3e1 / 0.2e1 * t2251 * t7299;
  t7303 = t287 * t205;
  t7304 = t169 * t7303;
  t7305 = t2182 * t7304;
  t7308 = t2961 * t1000;
  t7309 = t302 * t7308;
  t7314 = t548 * t7308;
  t7317 = t145 * t7280;
  t7318 = t3221 * t7317;
  t7321 = t400 * t3949;
  t7322 = t806 * t7321;
  t7325 = t256 * t205;
  t7327 = t2776 * t396 * t7325;
  t7330 = t697 * t4550;
  t7332 = t500 * t3949;
  t7333 = t2169 * t7332;
  t7336 = t2294 * t7285;
  t7343 = -t2632 * t7305 / 0.6e1 + t666 * t7309 / 0.6e1 + t233 * t6855 / 0.12e2 - t671 * t7314 / 0.12e2 + t7027 - t7045 + t6756 + 0.3e1 / 0.2e1 * t2251 * t7318 + t2251 * t7322 / 0.2e1 + 0.3e1 * t2255 * t7327 + t2255 * t7330 - 0.2e1 / 0.3e1 * t3015 * t7333 + t3015 * t7336 / 0.3e1 - t3006 * t7089 / 0.6e1 + t3015 * t7094 / 0.12e2;
  t7345 = t3935 * t7281;
  t7348 = t2175 * t7304;
  t7351 = t5354 * t1057;
  t7354 = t5243 * t990;
  t7357 = t2162 * t7304;
  t7362 = t1862 * t3949;
  t7363 = t810 * t7362;
  t7365 = t806 * t7079;
  t7368 = t263 * t7084;
  t7375 = t2169 * t7281;
  t7378 = -0.5e1 / 0.36e2 * t4531 * t7345 - t2632 * t7348 / 0.12e2 - t1677 * t7351 / 0.2e1 - t1677 * t7354 / 0.4e1 + t2674 * t7357 / 0.6e1 + t2683 * t6740 / 0.12e2 - t2251 * t7363 + t2251 * t7365 / 0.2e1 + t2251 * t7368 / 0.2e1 + t7097 + t7098 + t3015 * t7072 / 0.6e1 - t3015 * t7076 / 0.3e1 - t4531 * t7375 / 0.2e1;
  t7379 = t500 * t7280;
  t7380 = t3931 * t7379;
  t7383 = t2182 * t7281;
  t7385 = t2175 * t7379;
  t7394 = t5456 * t929;
  t7395 = t423 * t7394;
  t7398 = t5456 * t205;
  t7399 = t149 * t7398;
  t7402 = t149 * t7394;
  t7405 = t410 * t7398;
  t7408 = t410 * t7394;
  t7411 = t1837 * t7398;
  t7414 = t943 + 0.2e1 * t3202 * t7143 + 0.2e1 * t4392 * t7147 + t3200 * t7150 / 0.3e1 - 0.4e1 * t3200 * t7395 + 0.6e1 * t4397 * t7399 + 0.2e1 * t3202 * t7402 + 0.2e1 * t4402 * t7405 + 0.2e1 / 0.3e1 * t3200 * t7408 - t4405 * t7411 / 0.9e1 - t962 + t6881 - t6884;
  t7415 = t6888 + t6469 - t6471 + t6473 + t7102 - t6260 + t6262 + t7103 + t7111 - t6907 + t6914 - t6916 - t6501;
  t7421 = t423 * t7398;
  t7424 = t1829 * t7398;
  t7432 = -t6507 + t6517 + t7127 - t7128 - t7129 - t6279 + t263 * t7113 / 0.2e1 + 0.6e1 * t4405 * t7405 - 0.12e2 * t4402 * t7421 - 0.2e1 / 0.3e1 * t4405 * t7424 - 0.2e1 * t3200 * t7140 - t263 * t7172 - 0.2e1 / 0.3e1 * t810 * t7154;
  t7433 = t1032 * t230;
  t7434 = t1571 * t7433;
  t7437 = t1240 * t929;
  t7438 = t1505 * t7437;
  t7442 = t1505 * t7433;
  t7445 = t145 * t7433;
  t7448 = t400 * t7437;
  t7452 = t1862 * t7437;
  t7455 = t396 * t7433;
  t7458 = t1566 * t7433;
  t7461 = t405 * t7433;
  t7464 = 0.1e2 / 0.3e1 * t3208 * t7434 - 0.4e1 / 0.3e1 * t810 * t7438 + t810 * t7180 - 0.3e1 * t3208 * t7442 - 0.3e1 * t3221 * t7445 - t806 * t7448 - t806 * t7159 - t263 * t7163 + 0.2e1 * t810 * t7452 - 0.4e1 * t3226 * t7455 + t3208 * t7458 / 0.18e2 + 0.6e1 * t3226 * t7461 - t7170;
  t7466 = t7414 + t7415 + t7432 + t7464;
  t7467 = t59 * t7466;
  t7468 = t7467 * t96;
  t7471 = t1675 * t7303;
  t7472 = t2175 * t7471;
  t7475 = t5551 * t1052;
  t7478 = t1556 * t7280;
  t7479 = t3935 * t7478;
  t7483 = t2782 * t1566 * t7325;
  t7487 = t2782 * t1571 * t7325;
  t7490 = t405 * t7280;
  t7491 = t3226 * t7490;
  t7494 = t3931 * t7281;
  t7497 = t3935 * t7379;
  t7502 = 0.7e1 / 0.3e1 * t4531 * t7380 + t4571 * t7383 - 0.2e1 * t4571 * t7385 - t22 * t7468 / 0.4e1 + t2632 * t7472 / 0.3e1 - t2265 * t7475 / 0.2e1 - 0.3e1 / 0.2e1 * t4531 * t7479 + 0.3e1 / 0.2e1 * t4277 * t7483 - 0.3e1 * t2255 * t7487 - 0.3e1 * t2251 * t7491 - 0.11e2 / 0.18e2 * t4531 * t7494 + 0.23e2 / 0.36e2 * t4531 * t7497 + t6642 - t6647 + t719 * t1117 / 0.2e1;
  t7507 = t555 * t7308;
  t7510 = t852 * t1000;
  t7511 = t548 * t7510;
  t7526 = t866 * t7210 / 0.3e1 - t671 * t7507 / 0.6e1 + t671 * t7511 / 0.3e1 - t2897 * t1053 / 0.2e1 + t854 * t1066 / 0.2e1 - t2509 * t1108 / 0.2e1 - t1972 * t1261 / 0.2e1 - t854 * t1058 / 0.2e1 - t854 * t1061 / 0.4e1 + t6799 - t6802 - t6808 - t6811 + t6815;
  t7529 = t608 * t1208;
  t7530 = t548 * t7529;
  t7543 = t2036 * t1208;
  t7544 = t555 * t7543;
  t7547 = t548 * t7543;
  t7550 = t302 * t7543;
  t7557 = -t866 * t7206 / 0.6e1 + t866 * t7530 / 0.3e1 + t894 * t6991 / 0.6e1 + t259 * t6541 / 0.12e2 - t866 * t6996 / 0.12e2 + t259 * t7030 / 0.12e2 + t259 * t7018 / 0.12e2 - t866 * t7544 / 0.6e1 - t866 * t7547 / 0.12e2 + t894 * t7550 / 0.6e1 + t6860 - t6864 - t6866 + t3908 * t274 / 0.4e1 - t208 * t5653 / 0.12e2;
  t7567 = t1043 * t288;
  t7582 = t876 * t7047;
  t7591 = t5658 * t223 / 0.4e1 + t4701 * t248 / 0.4e1 - t233 * t4744 / 0.12e2 - t259 * t3903 / 0.12e2 - t22 * t7567 / 0.4e1 + t610 * t1283 / 0.4e1 - t233 * t4729 / 0.12e2 - t208 * t5316 / 0.12e2 + t719 * t1126 / 0.4e1 - t610 * t1266 / 0.2e1 - t610 * t1269 / 0.4e1 - t162 * t7582 / 0.4e1 + t610 * t1274 / 0.2e1 - t719 * t1111 / 0.2e1 - t719 * t1114 / 0.4e1;
  t7592 = t2162 * t7281;
  t7595 = t1684 * t7285;
  t7598 = t7231 - t7232 - t7233 - t7235 - t7236 + t7237 - t7238 + t6946 - t6951 + t6715 - t6719 - t7267 + t7268 - t4538 * t7592 / 0.2e1 - t2988 * t7595 / 0.6e1;
  t7602 = my_piecewise3(t3, 0, t7302 + t7343 + t7378 + t7502 + t7526 + t7557 + t7591 + t7598);
  tv3sigmalapltau0 = 0.2e1 * rho[0] * t7602;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 0] += tv3sigmalapltau0;

  t7616 = t911 * t1307;
  t7617 = t7616 / 0.12e2;
  t7618 = t2036 * t1305;
  t7619 = t490 * t7618;
  t7638 = 0.2e1 / 0.3e1 * t3547 * t5752 + t6225 - 0.4e1 * t5758 * t1057 + 0.4e1 / 0.3e1 * t5761 * t1052 - 0.2e1 * t5764 * t990 + 0.4e1 * t5761 * t1065 - t6237 + 0.4e1 * t5771 * t1057 + 0.2e1 * t265 * t990 - 0.4e1 * t5776 * t1065;
  t7639 = t95 * t7638;
  t7640 = t303 * t7639;
  t7641 = t490 * t7640;
  t7646 = -t913 + t984 - t259 * t4729 / 0.6e1 - t866 * t7314 / 0.6e1 - 0.2e1 / 0.3e1 * t1297 * t6336 + t1297 * t6332 / 0.3e1 + t894 * t7309 / 0.3e1 + t259 * t6855 / 0.6e1 + t7617 + t259 * t7619 / 0.12e2 + t259 * t7641 / 0.12e2 + t5701 * t1005 / 0.2e1;
  t7649 = t6755 / 0.3e1;
  t7650 = t1304 * t205;
  t7651 = t96 * t7650;
  t7652 = t1684 * t7651;
  t7655 = t1304 * t929;
  t7656 = t96 * t7655;
  t7657 = t3624 * t7656;
  t7660 = t2169 * t7651;
  t7663 = t5967 * t1065;
  t7665 = t582 * t5705;
  t7668 = t1862 * t7650;
  t7669 = t810 * t7668;
  t7672 = t2294 * t7651;
  t7675 = t500 * t7650;
  t7676 = t2169 * t7675;
  t7681 = t1297 * t6328 / 0.6e1 + t7649 + t7097 + t7098 - t2988 * t7652 / 0.6e1 - t3006 * t7657 / 0.6e1 + t3015 * t7660 / 0.12e2 + t1677 * t7663 + t2255 * t7665 / 0.2e1 - t2251 * t7669 / 0.2e1 + t3015 * t7672 / 0.6e1 - t3015 * t7676 / 0.3e1 - t3015 * t7305 / 0.3e1;
  t7690 = 0.2e1 * t6881;
  t7691 = 0.2e1 * t6884;
  t7692 = 0.4e1 / 0.3e1 * t6887;
  t7697 = t943 - t962 - t1319 * t966 - 0.4e1 * t5733 * t1033 + t5730 * t7116 / 0.18e2 + 0.1e2 / 0.3e1 * t5730 * t7119 + t7690 - t7691 + t7692 - 0.12e2 * t5733 * t1029 - 0.2e1 / 0.3e1 * t5730 * t7184;
  t7700 = t1336 * t205;
  t7701 = t1862 * t7700;
  t7703 = t63 * t7638;
  t7704 = t400 * t7703;
  t7706 = t1505 * t7700;
  t7711 = t400 * t7700;
  t7717 = 0.6e1 * t5730 * t7187 + t810 * t7701 - t263 * t7704 - 0.2e1 / 0.3e1 * t810 * t7706 - 0.4e1 * t1323 * t6285 - t806 * t7711 + t7102 - t6260 + t6262 + t7103 + 0.6e1 * t5733 * t1040 - 0.3e1 * t5730 * t7136;
  t7719 = t942 * t1337;
  t7720 = t7719 / 0.2e1;
  t7721 = t60 * t7638;
  t7722 = t400 * t7721;
  t7731 = t1336 * t929;
  t7732 = t1868 * t7731;
  t7744 = t7720 + t263 * t7722 / 0.2e1 + 0.2e1 * t1323 * t6212 - 0.4e1 / 0.3e1 * t1323 * t6249 - 0.3e1 * t5744 * t1036 - t263 * t7732 + 0.6e1 * t5744 * t1022 + 0.2e1 * t1319 * t953 + 0.2e1 * t5733 * t1025 + 0.2e1 / 0.3e1 * t1323 * t6275 - t5730 * t7167 / 0.9e1;
  t7745 = t942 * t1327;
  t7746 = 0.2e1 / 0.3e1 * t6906;
  t7747 = 0.4e1 * t6913;
  t7748 = 0.4e1 * t6915;
  t7749 = t5836 * t205;
  t7750 = t410 * t7749;
  t7753 = t149 * t7749;
  t7756 = t5836 * t929;
  t7757 = t149 * t7756;
  t7760 = t423 * t7749;
  t7763 = -t7745 - t7746 + t7747 - t7748 + t7127 - t7128 - t7129 - t6279 + t3200 * t7750 / 0.3e1 + 0.2e1 * t3202 * t7753 + 0.2e1 * t4392 * t7757 - 0.2e1 * t3200 * t7760;
  t7765 = t7697 + t7717 + t7744 + t7763;
  t7766 = t59 * t7765;
  t7767 = t7766 * t96;
  t7777 = t5901 * t211 * t165;
  t7782 = t3690 * t1364;
  t7783 = t162 * t7782;
  t7784 = t7783 / 0.4e1;
  t7786 = t320 * t137 * t7638;
  t7787 = t876 * t7786;
  t7792 = t5967 * t1052;
  t7798 = -t22 * t7767 / 0.4e1 - 0.2e1 * t5701 * t1016 - 0.11e2 / 0.18e2 * t5687 * t7226 - t208 * t5903 / 0.12e2 + t162 * t7777 / 0.4e1 - t610 * t1365 / 0.4e1 - t7784 - t162 * t7787 / 0.4e1 + 0.2e1 / 0.3e1 * t3015 * t7472 - t2265 * t7792 - 0.5e1 / 0.36e2 * t5687 * t7023 - t5694 * t1002 / 0.2e1;
  t7801 = t5912 * t1065;
  t7804 = t6801 / 0.6e1;
  t7805 = t6814 / 0.2e1;
  t7806 = t400 * t7650;
  t7807 = t806 * t7806;
  t7810 = t1868 * t7655;
  t7811 = t263 * t7810;
  t7814 = t6175 * t990;
  t7817 = t6172 * t1057;
  t7823 = -t1292 * t932 / 0.6e1 - 0.3e1 * t162 * t7801 + t6798 - t7804 - t6807 - t6810 + t7805 + t2251 * t7807 / 0.2e1 + t2251 * t7811 / 0.2e1 - t1677 * t7814 / 0.2e1 - t1677 * t7817 + t2988 * t7357 / 0.3e1 + t3006 * t6740 / 0.6e1;
  t7828 = t5934 * t7197;
  t7831 = 0.2e1 / 0.3e1 * t6859;
  t7832 = t6863 / 0.3e1;
  t7833 = t6865 / 0.6e1;
  t7848 = -t3015 * t7348 / 0.6e1 + 0.3e1 / 0.2e1 * t162 * t7828 + t7831 - t7832 - t7833 + t1292 * t569 / 0.6e1 - t1297 * t2002 / 0.12e2 - t1297 * t1963 / 0.6e1 + t4701 * t274 / 0.2e1 - t1972 * t1352 / 0.2e1 - t208 * t6131 / 0.12e2 + t6136 * t223 / 0.4e1;
  t7857 = t218 * t1387;
  t7860 = t1100 * t288;
  t7865 = t5934 * t7220;
  t7868 = t5934 * t7202;
  t7877 = -t259 * t4744 / 0.6e1 + t1297 * t1967 / 0.3e1 - t610 * t1360 / 0.2e1 + t610 * t1368 / 0.2e1 - t22 * t7857 / 0.4e1 - t22 * t7860 / 0.2e1 - t2897 * t1108 + t854 * t1117 + 0.3e1 / 0.2e1 * t1565 * t7865 - 0.3e1 * t509 * t7868 + 0.23e2 / 0.36e2 * t5687 * t6976 - t5687 * t6979 / 0.2e1 + 0.7e1 / 0.3e1 * t5687 * t6982;
  t7886 = t6945 / 0.2e1;
  t7887 = -t866 * t7507 / 0.3e1 + 0.2e1 / 0.3e1 * t866 * t7511 - 0.3e1 / 0.2e1 * t5687 * t7214 + t5701 * t1010 + t7231 - t7232 - t7233 - t7235 - t7236 + t7237 - t7238 + t7886;
  t7888 = t6950 / 0.6e1;
  t7889 = t5894 * t6187;
  t7891 = t5878 * t1057;
  t7894 = t5882 * t990;
  t7899 = t5912 * t1052;
  t7902 = t5894 * t6313;
  t7911 = -t7888 - t7267 + t7268 - t162 * t7889 + 0.3e1 / 0.2e1 * t162 * t7891 + t162 * t7894 / 0.2e1 + t610 * t1356 / 0.2e1 + 0.3e1 * t509 * t7899 + t509 * t7902 - t854 * t1111 - t854 * t1114 / 0.2e1 - t208 * t6037 / 0.6e1 + t854 * t1126 / 0.2e1;
  t7915 = my_piecewise3(t3, 0, t7646 + t7681 + t7798 + t7823 + t7848 + t7877 + t7887 + t7911);
  tv3sigmatau20 = 0.2e1 * rho[0] * t7915;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 0] += tv3sigmatau20;

  t7922 = t1592 * t1132;
  t7935 = 0.2e1 / 0.3e1 * t1172 * t343 + t6225 - 0.4e1 * t321 * t1132 * t313 + 0.4e1 / 0.3e1 * t7922 * t512 - 0.2e1 * t4834 * t1198 + 0.4e1 * t7922 * t516 - t6237 + 0.4e1 * t1175 * t138 + 0.2e1 * t239 * t1198 - 0.4e1 * t1172 * t496;
  t7936 = t60 * t7935;
  t7937 = t400 * t7936;
  t7940 = t1505 * t1177;
  t7943 = t1132 * t230;
  t7944 = t332 * t7943;
  t7945 = t7944 * t1536;
  t7948 = t69 * t7943;
  t7949 = t7948 * t1504;
  t7952 = t1147 * t1147;
  t7953 = t60 * t7952;
  t7954 = t1868 * t7953;
  t7956 = t108 * t7943;
  t7957 = t7956 * t1483;
  t7966 = t1862 * t1177;
  t7971 = 0.2e1 * t6468;
  t7972 = 0.3e1 * t6471;
  t7973 = 0.3e1 * t6473;
  t7974 = t943 + t237 * t7937 / 0.2e1 - 0.2e1 * t1164 * t7940 + 0.2e1 * t7945 * t397 - t7949 * t1894 / 0.9e1 - t237 * t7954 + 0.6e1 * t7957 * t146 - 0.12e2 * t7945 * t406 - 0.2e1 / 0.3e1 * t7949 * t1913 + 0.6e1 * t7949 * t1905 + 0.3e1 * t1164 * t7966 - 0.2e1 * t1160 * t1178 - t962 + t7971 - t7972 + t7973;
  t7975 = t1862 * t1167;
  t7980 = t1505 * t1167;
  t7982 = t63 * t7935;
  t7983 = t400 * t7982;
  t7985 = t63 * t7952;
  t7986 = t1868 * t7985;
  t7989 = 0.6e1 * t6500;
  t7990 = 0.6e1 * t6516;
  t7991 = t7956 * t335;
  t7994 = t7944 * t1445;
  t7997 = t7948 * t1418;
  t8006 = 0.2e1 * t7170;
  t8007 = t7110 - 0.6e1 * t1164 * t7975 + 0.4e1 * t1160 * t1168 + t1164 * t7980 - t237 * t7983 + 0.2e1 * t237 * t7986 - t7989 - t6506 + t7990 - 0.3e1 * t7991 * t150 + 0.6e1 * t7994 * t424 - 0.3e1 * t7997 * t1826 + 0.1e2 / 0.3e1 * t7997 * t1830 - 0.4e1 * t7994 * t411 + t7997 * t1838 / 0.18e2 - t8006;
  t8008 = t7974 + t8007;
  t8009 = t59 * t8008;
  t8010 = t8009 * t96;
  t8013 = t6555 / 0.2e1;
  t8014 = t6561 / 0.4e1;
  t8015 = t6576 / 0.2e1;
  t8016 = 0.3e1 / 0.2e1 * t6585;
  t8017 = t7026 / 0.6e1;
  t8018 = t7044 / 0.2e1;
  t8019 = t95 * t7952;
  t8020 = t303 * t8019;
  t8021 = t1637 * t8020;
  t8024 = 0.3e1 / 0.2e1 * t6641;
  t8025 = 0.3e1 / 0.2e1 * t6646;
  t8026 = -t22 * t8010 / 0.4e1 - t913 + t984 + t6547 - t8013 - t8014 + t8015 - t8016 + t8017 - t8018 - t233 * t8021 / 0.6e1 + t8024 - t8025;
  t8028 = t320 * t137 * t7935;
  t8029 = t745 * t8028;
  t8032 = t4884 * t1198;
  t8034 = t342 * t1147;
  t8035 = t1648 * t8034;
  t8036 = t4935 * t8035;
  t8042 = t1630 * t137 * t7952;
  t8043 = t745 * t8042;
  t8046 = t2571 * t1148;
  t8047 = t490 * t8046;
  t8050 = t95 * t7935;
  t8051 = t303 * t8050;
  t8052 = t490 * t8051;
  t8057 = t1711 * t1149;
  t8060 = t404 * t1147;
  t8061 = t1648 * t8060;
  t8062 = t4935 * t8061;
  t8065 = t1649 * t1149;
  t8068 = t160 * t1148;
  t8069 = t1711 * t8068;
  t8071 = t510 * t7943;
  t8072 = t8071 * t1537;
  t8075 = -t162 * t8029 / 0.4e1 + t162 * t8032 + 0.3e1 / 0.2e1 * t509 * t8036 - 0.3e1 / 0.4e1 * t719 * t1199 + t162 * t8043 / 0.2e1 + t233 * t8047 / 0.4e1 + t233 * t8052 / 0.12e2 - t1135 * t1150 / 0.3e1 + t1140 * t8057 / 0.4e1 - 0.3e1 / 0.2e1 * t162 * t8062 + t1140 * t8065 / 0.2e1 - t1140 * t8069 + 0.3e1 * t509 * t8072;
  t8080 = t163 * t7943 * t1484;
  t8087 = t7943 * t1418;
  t8088 = t1415 * t8087;
  t8089 = t106 * t8088;
  t8096 = t7943 * t1445;
  t8097 = t333 * t8096;
  t8098 = t106 * t8097;
  t8101 = t7943 * t335;
  t8102 = t109 * t8101;
  t8103 = t106 * t8102;
  t8113 = -0.3e1 / 0.2e1 * t719 * t1194 + 0.3e1 / 0.2e1 * t162 * t8080 - t233 * t5167 / 0.4e1 - t1140 * t2476 / 0.4e1 - 0.5e1 / 0.36e2 * t8089 * t1429 - t1140 * t2500 / 0.2e1 + t1135 * t686 / 0.2e1 + t8098 * t344 / 0.2e1 - t8103 * t139 / 0.2e1 + 0.23e2 / 0.36e2 * t8089 * t1548 - t8089 * t1515 / 0.2e1 + 0.7e1 / 0.3e1 * t8089 * t1520 + t1140 * t2504;
  t8116 = t1502 * t7943;
  t8117 = t8116 * t1567;
  t8120 = t8116 * t1572;
  t8128 = t8071 * t1541;
  t8131 = t8116 * t1506;
  t8140 = 0.3e1 / 0.4e1 * t6714;
  t8141 = t6718 / 0.4e1;
  t8142 = 0.3e1 / 0.4e1 * t5172 * t248 + 0.3e1 / 0.2e1 * t1565 * t8117 - 0.3e1 * t509 * t8120 + t8098 * t497 - 0.2e1 * t8098 * t502 - 0.11e2 / 0.18e2 * t8089 * t1545 - 0.3e1 * t162 * t8128 + 0.3e1 / 0.2e1 * t162 * t8131 - 0.3e1 / 0.2e1 * t8089 * t1558 - 0.3e1 / 0.2e1 * t2509 * t1190 + 0.3e1 / 0.2e1 * t719 * t1202 + t8140 - t8141;
  t8145 = my_piecewise3(t3, 0, t8026 + t8075 + t8113 + t8142);
  tv3lapl30 = 0.2e1 * rho[0] * t8145;

  if(out->v3lapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 0] += tv3lapl30;

  t8147 = t60 * t1132;
  t8148 = t1505 * t8147;
  t8153 = t1571 * t8147;
  t8156 = t396 * t8147;
  t8159 = t1566 * t8147;
  t8162 = t405 * t8147;
  t8165 = t145 * t8147;
  t8169 = t63 * t1132;
  t8170 = t405 * t8169;
  t8173 = t1571 * t8169;
  t8176 = t1505 * t8169;
  t8179 = t943 - 0.3e1 * t3208 * t8148 + t263 * t7937 / 0.2e1 + 0.1e2 / 0.3e1 * t3208 * t8153 - 0.4e1 * t3226 * t8156 + t3208 * t8159 / 0.18e2 + 0.6e1 * t3226 * t8162 - 0.3e1 * t3221 * t8165 - t263 * t7954 - t962 + t6881 - t6884 + t6888 + t7099 - t7100 + t7101 - 0.12e2 * t3226 * t8170 - 0.2e1 / 0.3e1 * t3208 * t8173 + 0.6e1 * t3208 * t8176;
  t8182 = t145 * t8169;
  t8185 = t1177 * t230;
  t8186 = t1862 * t8185;
  t8189 = t5054 * t230;
  t8190 = t423 * t8189;
  t8193 = t149 * t8189;
  t8196 = t410 * t8189;
  t8198 = t400 * t8185;
  t8201 = t1566 * t8169;
  t8205 = t1505 * t8185;
  t8208 = t396 * t8169;
  t8211 = 0.2e1 * t263 * t7986 + 0.6e1 * t3221 * t8182 + 0.3e1 * t810 * t8186 + t7110 - 0.6e1 * t3200 * t8190 + 0.4e1 * t3202 * t8193 + t3200 * t8196 - 0.2e1 * t806 * t8198 - t3208 * t8201 / 0.9e1 - t263 * t7983 - 0.2e1 * t810 * t8205 + 0.2e1 * t3226 * t8208 - t6907 + t6914 - t6916 - t7124 - t7125 + t7126 - t8006;
  t8212 = t8179 + t8211;
  t8213 = t59 * t8212;
  t8214 = t8213 * t96;
  t8219 = t876 * t8042;
  t8223 = t135 * t137 * t1132;
  t8224 = t3113 * t8223;
  t8227 = t342 * t1132;
  t8228 = t341 * t8227;
  t8229 = t3080 * t8228;
  t8234 = t95 * t1132;
  t8235 = t303 * t8234;
  t8236 = t302 * t8235;
  t8239 = t548 * t8235;
  t8242 = t2571 * t1208;
  t8243 = t548 * t8242;
  t8246 = t2057 * t8235;
  t8251 = t884 * t1159 * t313;
  t8254 = t400 * t4970;
  t8255 = t806 * t8254;
  t8257 = t697 * t5530;
  t8260 = t96 * t4970;
  t8261 = t2169 * t8260;
  t8264 = t1684 * t8260;
  t8267 = -t162 * t8251 / 0.2e1 - t913 + t984 + t2251 * t8255 + 0.3e1 / 0.2e1 * t2255 * t8257 + t3015 * t8261 / 0.4e1 - t2988 * t8264 / 0.3e1 + t6972 - t6973 - t6974 + t6975;
  t8273 = t884 * t1163;
  t8274 = t8273 * t512;
  t8277 = t8273 * t516;
  t8285 = -t6585 - t1140 * t2997 / 0.6e1 + t1140 * t2947 / 0.3e1 - t509 * t8274 / 0.2e1 + t162 * t8277 / 0.2e1 + t8017 - t8018 + t6756 - t233 * t5316 / 0.6e1 - t719 * t1266 - t719 * t1269 / 0.2e1;
  t8288 = t2961 * t1148;
  t8289 = t490 * t8288;
  t8296 = t555 * t8242;
  t8299 = t302 * t8242;
  t8302 = t1183 * t288;
  t8309 = t876 * t8028;
  t8313 = -t854 * t1199 / 0.4e1 + t233 * t8289 / 0.12e2 + t259 * t8047 / 0.6e1 + t259 * t8052 / 0.12e2 - t866 * t8296 / 0.3e1 + t894 * t8299 / 0.3e1 - t22 * t8302 / 0.4e1 - t1140 * t3373 / 0.12e2 + t719 * t1283 / 0.2e1 - t162 * t8309 / 0.4e1 - t2509 * t1261;
  t8317 = t717 * t1208;
  t8318 = t548 * t8317;
  t8340 = -t6864 - t6866 - t233 * t5653 / 0.6e1 - t854 * t1194 / 0.2e1 + t1135 * t848 / 0.6e1 - t1140 * t2934 / 0.12e2 - t259 * t5167 / 0.12e2 - t1140 * t2888 / 0.6e1 + t1140 * t2892 / 0.3e1 - t2897 * t1190 / 0.2e1 + t854 * t1202 / 0.2e1;
  t8346 = t2294 * t8260;
  t8349 = t500 * t4970;
  t8350 = t2169 * t8349;
  t8352 = t5243 * t1198;
  t8355 = t287 * t1147;
  t8356 = t169 * t8355;
  t8357 = t1684 * t8356;
  t8360 = t1862 * t4970;
  t8361 = t810 * t8360;
  t8364 = t160 * t8234;
  t8365 = t2057 * t8364;
  t8368 = t1518 * t1132;
  t8369 = t1426 * t8368;
  t8370 = t2991 * t8369;
  t8374 = t341 * t404 * t1132;
  t8375 = t3080 * t8374;
  t8378 = t1426 * t8227;
  t8379 = t2991 * t8378;
  t8382 = t5172 * t274 / 0.4e1 + t5658 * t248 / 0.2e1 + t3015 * t8346 / 0.2e1 - t3015 * t8350 - t1677 * t8352 / 0.4e1 + t2683 * t8357 / 0.12e2 - 0.3e1 / 0.2e1 * t2251 * t8361 + 0.23e2 / 0.36e2 * t2983 * t8365 - 0.3e1 * t509 * t8370 - 0.3e1 * t162 * t8375 + 0.3e1 / 0.2e1 * t162 * t8379;
  t8383 = t2324 * t8235;
  t8386 = t2233 * t8364;
  t8389 = t507 * t8234;
  t8390 = t2057 * t8389;
  t8393 = t1427 * t1132;
  t8394 = t1426 * t8393;
  t8395 = t2991 * t8394;
  t8398 = t555 * t8235;
  t8400 = t548 * t8364;
  t8403 = t2233 * t8235;
  t8406 = -t2983 * t8383 / 0.2e1 + 0.7e1 / 0.3e1 * t2983 * t8386 - 0.3e1 / 0.2e1 * t2983 * t8390 + 0.3e1 / 0.2e1 * t1565 * t8395 + t3039 * t8398 - 0.2e1 * t3039 * t8400 - 0.11e2 / 0.18e2 * t2983 * t8403 + t6946 - t6951 + t7265 - t7266;
  t8410 = my_piecewise3(t3, 0, -t259 * t8021 / 0.6e1 - t3299 * t8236 / 0.2e1 + t3039 * t8239 / 0.2e1 - t866 * t8243 / 0.6e1 - 0.5e1 / 0.36e2 * t2983 * t8246 + t719 * t1274 + 0.2e1 / 0.3e1 * t866 * t8318 - t22 * t8214 / 0.4e1 + t1135 * t886 / 0.6e1 + t162 * t8219 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t8224 + 0.3e1 * t509 * t8229 - t6646 + t8340 - t6808 - t6811 + t6860 + t8313 + t8382 + t6799 - t6802 + t8267 + t6815 + t6641 + t8406 + t8285);
  tv3lapl2tau0 = 0.2e1 * rho[0] * t8410;

  if(out->v3lapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 0] += tv3lapl2tau0;

  t8418 = t2961 * t1208;
  t8419 = t302 * t8418;
  t8424 = t2571 * t1305;
  t8425 = t490 * t8424;
  t8444 = 0.2e1 / 0.3e1 * t4846 * t5752 + t6225 - 0.4e1 * t5758 * t1265 + 0.4e1 / 0.3e1 * t5761 * t1260 - 0.2e1 * t5764 * t1198 + 0.4e1 * t5761 * t1273 - t6237 + 0.4e1 * t5771 * t1265 + 0.2e1 * t265 * t1198 - 0.4e1 * t5776 * t1273;
  t8445 = t95 * t8444;
  t8446 = t303 * t8445;
  t8447 = t490 * t8446;
  t8454 = t2057 * t1209;
  t8459 = t5878 * t1265;
  t8462 = -t1292 * t1150 / 0.6e1 - 0.2e1 / 0.3e1 * t1297 * t8069 + t1297 * t8065 / 0.3e1 + t894 * t8419 / 0.3e1 + t259 * t8289 / 0.6e1 + t259 * t8425 / 0.12e2 + t259 * t8447 / 0.12e2 + t5701 * t1213 / 0.2e1 + t1297 * t8057 / 0.6e1 - 0.5e1 / 0.36e2 * t5687 * t8454 - t5694 * t1210 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t8459;
  t8463 = t5882 * t1198;
  t8468 = t5912 * t1260;
  t8471 = t5894 * t8035;
  t8482 = t548 * t8418;
  t8488 = t5901 * t236 * t165;
  t8493 = t162 * t8463 / 0.2e1 + t719 * t1356 / 0.2e1 + 0.3e1 * t509 * t8468 + t509 * t8471 - t854 * t1266 - t854 * t1269 / 0.2e1 - t233 * t6037 / 0.6e1 + t854 * t1283 / 0.2e1 - t259 * t5316 / 0.6e1 - t866 * t8482 / 0.6e1 - t233 * t5903 / 0.12e2 + t162 * t8488 / 0.4e1 - t719 * t1365 / 0.4e1;
  t8496 = t320 * t137 * t8444;
  t8497 = t876 * t8496;
  t8500 = t5894 * t8061;
  t8502 = t852 * t1208;
  t8503 = t548 * t8502;
  t8506 = t507 * t1208;
  t8507 = t2057 * t8506;
  t8512 = t1427 * t230;
  t8513 = t1426 * t8512;
  t8514 = t5934 * t8513;
  t8517 = t1518 * t230;
  t8518 = t1426 * t8517;
  t8519 = t5934 * t8518;
  t8525 = t2233 * t1209;
  t8528 = t2057 * t1223;
  t8531 = -t162 * t8497 / 0.4e1 - t162 * t8500 + 0.2e1 / 0.3e1 * t866 * t8503 - 0.3e1 / 0.2e1 * t5687 * t8507 - t2897 * t1261 + t854 * t1274 + 0.3e1 / 0.2e1 * t1565 * t8514 - 0.3e1 * t509 * t8519 + t5701 * t1218 - 0.2e1 * t5701 * t1224 - 0.11e2 / 0.18e2 * t5687 * t8525 + 0.23e2 / 0.36e2 * t5687 * t8528;
  t8532 = t2324 * t1209;
  t8535 = t2233 * t1223;
  t8538 = t5912 * t1273;
  t8541 = t1426 * t1259;
  t8542 = t5934 * t8541;
  t8545 = t555 * t8418;
  t8548 = t1505 * t1240;
  t8556 = t60 * t8444;
  t8557 = t400 * t8556;
  t8560 = t1566 * t1240;
  t8563 = t1571 * t1240;
  t8572 = t943 - 0.3e1 * t5730 * t8548 + 0.2e1 * t1323 * t7966 - 0.3e1 * t5744 * t1244 - t1319 * t1178 + t263 * t8557 / 0.2e1 + t5730 * t8560 / 0.18e2 + 0.1e2 / 0.3e1 * t5730 * t8563 - 0.4e1 / 0.3e1 * t1323 * t7940 - 0.4e1 * t5733 * t1241 + 0.6e1 * t5733 * t1248;
  t8573 = t5836 * t230;
  t8574 = t423 * t8573;
  t8577 = -0.2e1 * t3200 * t8574 + t6469 - t6471 + t6473 + t7111 + t7690 - t7691 + t7692 + t7720 - t7745 - t7746 - t962;
  t8579 = t63 * t8444;
  t8580 = t400 * t8579;
  t8582 = t1240 * t1304;
  t8583 = t1505 * t8582;
  t8594 = t7747 - t7748 - t6501 - t6507 + t6517 - t263 * t8580 - 0.2e1 / 0.3e1 * t810 * t8583 - 0.4e1 * t1323 * t7975 + 0.6e1 * t5744 * t1230 + 0.2e1 * t1319 * t1168 + 0.2e1 * t5733 * t1233;
  t8595 = t5836 * t1147;
  t8596 = t149 * t8595;
  t8599 = t410 * t8573;
  t8602 = t149 * t8573;
  t8607 = t1571 * t1229;
  t8610 = t1505 * t1229;
  t8613 = t1862 * t8582;
  t8615 = t400 * t8582;
  t8617 = t1336 * t1147;
  t8618 = t1868 * t8617;
  t8622 = t1566 * t1229;
  t8625 = 0.2e1 * t4392 * t8596 + t3200 * t8599 / 0.3e1 + 0.2e1 * t3202 * t8602 - 0.12e2 * t5733 * t1237 - 0.2e1 / 0.3e1 * t5730 * t8607 + 0.6e1 * t5730 * t8610 + t810 * t8613 - t806 * t8615 - t263 * t8618 + 0.2e1 / 0.3e1 * t1323 * t7980 - t5730 * t8622 / 0.9e1 - t7170;
  t8627 = t8572 + t8577 + t8594 + t8625;
  t8628 = t59 * t8627;
  t8629 = t8628 * t96;
  t8632 = -t5687 * t8532 / 0.2e1 + 0.7e1 / 0.3e1 * t5687 * t8535 - 0.3e1 * t162 * t8538 + 0.3e1 / 0.2e1 * t162 * t8542 - t866 * t8545 / 0.3e1 - t22 * t8629 / 0.4e1 - t913 + t984 + t7617 + t6548 - t6556 - t6562 + t6577;
  t8635 = t1304 * t230;
  t8636 = t400 * t8635;
  t8637 = t806 * t8636;
  t8640 = t1304 * t1147;
  t8641 = t1868 * t8640;
  t8642 = t263 * t8641;
  t8645 = t6172 * t1265;
  t8647 = t243 * t1387;
  t8658 = -t6586 + t7027 - t7045 + t7649 + t2251 * t8637 / 0.2e1 + t2251 * t8642 / 0.2e1 - t1677 * t8645 - t22 * t8647 / 0.4e1 + t1297 * t2504 / 0.3e1 + t1292 * t686 / 0.6e1 - t1297 * t2476 / 0.12e2 - t1297 * t2500 / 0.6e1;
  t8659 = t287 * t230;
  t8660 = t169 * t8659;
  t8661 = t2182 * t8660;
  t8664 = t1675 * t8659;
  t8665 = t2175 * t8664;
  t8668 = t5967 * t1260;
  t8670 = t5967 * t1273;
  t8672 = t6175 * t1198;
  t8675 = -t7784 + t6642 - t6647 + t6798 - t7804 - t6807 - t6810 + t7805 - t3015 * t8661 / 0.3e1 + 0.2e1 / 0.3e1 * t3015 * t8665 - t2265 * t8668 + t1677 * t8670 - t1677 * t8672 / 0.2e1;
  t8677 = t2175 * t8660;
  t8680 = t2162 * t8660;
  t8685 = t96 * t8635;
  t8686 = t1684 * t8685;
  t8689 = t96 * t8640;
  t8690 = t3624 * t8689;
  t8693 = t2169 * t8685;
  t8696 = t697 * t5705;
  t8699 = t1862 * t8635;
  t8700 = t810 * t8699;
  t8703 = t2294 * t8685;
  t8706 = t500 * t8635;
  t8707 = t2169 * t8706;
  t8710 = -t3015 * t8677 / 0.6e1 + t2988 * t8680 / 0.3e1 + t3006 * t8357 / 0.6e1 - t2988 * t8686 / 0.6e1 - t3006 * t8690 / 0.6e1 + t3015 * t8693 / 0.12e2 + t2255 * t8696 / 0.2e1 - t2251 * t8700 / 0.2e1 + t3015 * t8703 / 0.6e1 - t3015 * t8707 / 0.3e1 + t7831 - t7832;
  t8725 = t1251 * t288;
  t8728 = -t7833 - t233 * t6131 / 0.12e2 + t6136 * t248 / 0.4e1 - t259 * t5653 / 0.6e1 - t719 * t1360 / 0.2e1 + t719 * t1368 / 0.2e1 + t5658 * t274 / 0.2e1 - t2509 * t1352 / 0.2e1 - t22 * t8725 / 0.2e1 + t7886 - t7888 + t6715 - t6719;
  t8732 = my_piecewise3(t3, 0, t8462 + t8493 + t8531 + t8632 + t8658 + t8675 + t8710 + t8728);
  tv3lapltau20 = 0.2e1 * rho[0] * t8732;

  if(out->v3lapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 0] += tv3lapltau20;

  t8734 = t160 * t1305;
  t8735 = t1711 * t8734;
  t8737 = t1304 * t1304;
  t8739 = t1630 * t137 * t8737;
  t8740 = t876 * t8739;
  t8744 = t884 * t1318 * t313;
  t8747 = t95 * t8737;
  t8748 = t303 * t8747;
  t8749 = t1637 * t8748;
  t8752 = t404 * t1304;
  t8753 = t1648 * t8752;
  t8754 = t5894 * t8753;
  t8757 = t884 * t1322;
  t8758 = t8757 * t516;
  t8761 = t1649 * t1306;
  t8769 = t1592 * t1289;
  t8782 = 0.2e1 / 0.3e1 * t1331 * t343 + t6225 - 0.4e1 * t321 * t1289 * t313 + 0.4e1 / 0.3e1 * t8769 * t512 - 0.2e1 * t5764 * t1364 + 0.4e1 * t8769 * t516 - t6237 + 0.4e1 * t1334 * t138 + 0.2e1 * t265 * t1364 - 0.4e1 * t1331 * t496;
  t8783 = t95 * t8782;
  t8784 = t303 * t8783;
  t8785 = t490 * t8784;
  t8790 = t1711 * t1306;
  t8797 = t8757 * t512;
  t8801 = t5901 * t262 * t165;
  t8810 = -t1297 * t8735 + t162 * t8740 / 0.2e1 - 0.3e1 / 0.2e1 * t162 * t8744 - t259 * t8749 / 0.6e1 - 0.3e1 / 0.2e1 * t162 * t8754 + 0.3e1 / 0.2e1 * t162 * t8758 + t1297 * t8761 / 0.2e1 + t259 * t8785 / 0.12e2 + t1292 * t886 / 0.2e1 + t1297 * t8790 / 0.4e1 - t1297 * t3373 / 0.4e1 - t1292 * t1307 / 0.3e1 - 0.3e1 / 0.2e1 * t509 * t8797 + 0.3e1 / 0.4e1 * t162 * t8801 - 0.3e1 / 0.4e1 * t854 * t1365 + 0.3e1 / 0.2e1 * t854 * t1356 - t259 * t5903 / 0.4e1;
  t8816 = t2961 * t1305;
  t8817 = t490 * t8816;
  t8821 = t320 * t137 * t8782;
  t8822 = t876 * t8821;
  t8825 = t5882 * t1364;
  t8827 = t342 * t1304;
  t8828 = t1648 * t8827;
  t8829 = t5894 * t8828;
  t8832 = t1289 * t256;
  t8833 = t332 * t8832;
  t8834 = t8833 * t1536;
  t8837 = t69 * t8832;
  t8838 = t8837 * t1504;
  t8841 = t60 * t8737;
  t8842 = t1868 * t8841;
  t8844 = t108 * t8832;
  t8845 = t8844 * t1483;
  t8850 = t60 * t8782;
  t8851 = t400 * t8850;
  t8856 = t1505 * t1336;
  t8863 = t1862 * t1336;
  t8866 = 0.3e1 * t6881;
  t8867 = 0.3e1 * t6884;
  t8868 = 0.2e1 * t6887;
  t8869 = t943 - 0.12e2 * t8834 * t406 - 0.2e1 / 0.3e1 * t8838 * t1913 - t263 * t8842 + 0.6e1 * t8845 * t146 - 0.2e1 * t1319 * t1337 + t263 * t8851 / 0.2e1 - t8838 * t1894 / 0.9e1 - 0.2e1 * t1323 * t8856 + 0.2e1 * t8834 * t397 + 0.6e1 * t8838 * t1905 + 0.3e1 * t1323 * t8863 - t962 + t8866 - t8867 + t8868;
  t8870 = 0.2e1 * t7745;
  t8871 = 0.6e1 * t6913;
  t8872 = 0.6e1 * t6915;
  t8873 = t8837 * t1418;
  t8878 = t8833 * t1445;
  t8881 = t8844 * t335;
  t8888 = t1862 * t1326;
  t8891 = t63 * t8737;
  t8892 = t1868 * t8891;
  t8897 = t1505 * t1326;
  t8899 = t63 * t8782;
  t8900 = t400 * t8899;
  t8902 = t7719 - t8870 - t6906 + t8871 - t8872 + 0.1e2 / 0.3e1 * t8873 * t1830 + t8873 * t1838 / 0.18e2 - 0.4e1 * t8878 * t411 - 0.3e1 * t8881 * t150 + 0.6e1 * t8878 * t424 - 0.3e1 * t8873 * t1826 - 0.6e1 * t1323 * t8888 + 0.2e1 * t263 * t8892 + 0.4e1 * t1319 * t1327 + t1323 * t8897 - t263 * t8900;
  t8903 = t8869 + t8902;
  t8904 = t59 * t8903;
  t8905 = t8904 * t96;
  t8908 = t7616 / 0.6e1;
  t8909 = t6755 / 0.2e1;
  t8910 = t8832 * t1418;
  t8911 = t1415 * t8910;
  t8912 = t106 * t8911;
  t8917 = t8832 * t335;
  t8918 = t109 * t8917;
  t8919 = t106 * t8918;
  t8928 = t1297 * t2947 - t1297 * t2997 / 0.2e1 - t259 * t6037 / 0.2e1 + t259 * t8817 / 0.4e1 - t162 * t8822 / 0.4e1 + t162 * t8825 + 0.3e1 / 0.2e1 * t509 * t8829 - t22 * t8905 / 0.4e1 - t913 + t984 + t8908 + t8909 - 0.5e1 / 0.36e2 * t8912 * t1429 - 0.3e1 / 0.2e1 * t854 * t1360 - t8919 * t139 / 0.2e1 + 0.3e1 / 0.4e1 * t6136 * t274 - t1297 * t2888 / 0.2e1 - t259 * t6131 / 0.4e1;
  t8932 = t8832 * t1445;
  t8933 = t333 * t8932;
  t8934 = t106 * t8933;
  t8947 = t163 * t8832 * t1484;
  t8950 = t510 * t8832;
  t8951 = t8950 * t1537;
  t8958 = t1502 * t8832;
  t8959 = t8958 * t1567;
  t8962 = t8958 * t1572;
  t8970 = t8950 * t1541;
  t8973 = t1292 * t848 / 0.2e1 + t8934 * t344 / 0.2e1 - t1297 * t2934 / 0.4e1 + 0.23e2 / 0.36e2 * t8912 * t1548 - t8912 * t1515 / 0.2e1 + 0.7e1 / 0.3e1 * t8912 * t1520 + t1297 * t2892 + 0.3e1 / 0.2e1 * t162 * t8947 + 0.3e1 * t509 * t8951 - 0.3e1 / 0.2e1 * t2897 * t1352 + 0.3e1 / 0.2e1 * t854 * t1368 + 0.3e1 / 0.2e1 * t1565 * t8959 - 0.3e1 * t509 * t8962 + t8934 * t497 - 0.2e1 * t8934 * t502 - 0.11e2 / 0.18e2 * t8912 * t1545 - 0.3e1 * t162 * t8970;
  t8974 = t8958 * t1506;
  t8979 = t7783 / 0.2e1;
  t8980 = 0.1e1 / t441;
  t8993 = 0.408e3 * t1752 * t8980 + 0.624e3 * t1759 * t8980 - 0.72e3 * t1762 * t8980 - 0.18e4 * t1765 * t8980 - 0.84e3 * t1770 * t8980 + 0.24e2 * t84 * t8980;
  t8994 = t169 * t8993;
  t8995 = t65 * t8994;
  t8998 = t269 * t1387;
  t9001 = t1342 * t288;
  t9004 = 0.3e1 / 0.2e1 * t6798;
  t9005 = t6801 / 0.4e1;
  t9006 = 0.3e1 / 0.2e1 * t6807;
  t9007 = 0.3e1 / 0.2e1 * t6810;
  t9008 = 0.3e1 / 0.4e1 * t6814;
  t9009 = t6863 / 0.2e1;
  t9010 = t6865 / 0.4e1;
  t9011 = t6175 * t1364;
  t9014 = t287 * t1304;
  t9015 = t169 * t9014;
  t9016 = t1684 * t9015;
  t9019 = 0.3e1 / 0.4e1 * t6945;
  t9020 = t6950 / 0.4e1;
  t9021 = 0.3e1 / 0.2e1 * t162 * t8974 - 0.3e1 / 0.2e1 * t8912 * t1558 - t8979 - t22 * t8995 / 0.4e1 - 0.3e1 / 0.4e1 * t22 * t8998 - 0.3e1 / 0.4e1 * t22 * t9001 + t9004 - t9005 - t9006 - t9007 + t9008 + t6859 - t9009 - t9010 - 0.3e1 / 0.4e1 * t1677 * t9011 + t3006 * t9016 / 0.4e1 + t9019 - t9020;
  t9024 = my_piecewise3(t3, 0, t8810 + t8928 + t8973 + t9021);
  tv3tau30 = 0.2e1 * rho[0] * t9024;

  if(out->v3tau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 0] += tv3tau30;

  t9030 = t555 * t1731;
  t9035 = t363 * t1445;
  t9037 = t106 * t333 * t9035;
  t9042 = t510 * t9035;
  t9057 = t106 * t1415 * t363 * t1418;
  t9062 = t1643 * t393;
  t9070 = t2057 * t507 * t1942;
  t9073 = t426 * t66;
  t9075 = t302 * t9073 * t296;
  t9079 = params->at * t1800;
  t9081 = t302 * t303 * t9079;
  t9087 = -0.4e1 / 0.9e1 * t1469 * t493 + t487 * t1640 - t338 * t9030 - 0.2e1 / 0.3e1 * t368 * t1740 * t556 + 0.6e1 * t9037 * t2226 - 0.2e1 * t1529 * t1578 + 0.18e2 * t509 * t9042 * t2145 + 0.2e1 * t372 * t1581 - 0.18e2 * t162 * t9042 * t2218 + t369 * t1612 / 0.9e1 - t487 * t1612 / 0.2e1 - 0.3e1 * t9057 * t2325 + 0.14e2 * t9057 * t2328 - 0.3e1 * t509 * t9062 * t512 + 0.3e1 * t162 * t9062 * t516 - 0.9e1 * t3306 * t9070 - t127 * t9075 + 0.3e1 * t1434 * t298 - t127 * t9081 / 0.3e1 + t162 * t9079 * t142 * t165;
  t9092 = t302 * t1726 * t1643;
  t9096 = t318 * t318;
  t9097 = 0.1e1 / t9096;
  t9098 = t1423 * t9097;
  t9099 = t9098 * t2056;
  t9101 = t9099 * t507 * t491;
  t9105 = t2057 * t507 * t296;
  t9108 = t1502 * t3304;
  t9110 = t1426 * t1427 * t363;
  t9114 = t1502 * t1419;
  t9116 = t9098 * t1427 * t326;
  t9124 = t296 * t1824;
  t9128 = t1426 * t2094;
  t9136 = t1426 * t1518 * t363;
  t9141 = t9098 * t1518 * t326;
  t9147 = t9098 * t1665;
  t9154 = t1405 * t335;
  t9161 = -t369 * t1732 / 0.3e1 + t372 * t1645 - t127 * t9092 + 0.3e1 * t349 * t1645 + 0.9e1 * t1421 * t9101 - 0.6e1 * t1421 * t9105 + 0.9e1 * t1565 * t9108 * t9110 - 0.9e1 * t1565 * t9114 * t9116 - 0.2e1 / 0.3e1 * t369 * t1728 + 0.2e1 * t1479 * t298 - 0.12e2 * t509 * t9124 * t1572 + 0.9e1 * t162 * t9108 * t9128 + 0.6e1 * t1565 * t9124 * t1567 - 0.18e2 * t509 * t9108 * t9136 + 0.18e2 * t509 * t9114 * t9141 - 0.11e2 / 0.3e1 * t9057 * t2234 - 0.9e1 * t162 * t9114 * t9147 + 0.6e1 * t162 * t9124 * t1506 - 0.2e1 / 0.3e1 * t106 * t333 * t9154 * t556 - 0.2e1 * t1741 * t2068;
  t9165 = t9098 * t547;
  t9166 = t9165 * t492;
  t9169 = t2324 * t304;
  t9176 = t1649 * t1935;
  t9179 = t555 * t1727;
  t9182 = t510 * t9154;
  t9192 = t9098 * t2232;
  t9193 = t9192 * t1712;
  t9196 = t2233 * t1719;
  t9210 = t510 * t1446;
  t9216 = 0.6e1 * t349 * t1581 + 0.3e1 * t1421 * t9166 - 0.2e1 * t1421 * t9169 - 0.14e2 / 0.3e1 * t1448 * t1650 + 0.4e1 * t1448 * t1660 + 0.2e1 * t338 * t9176 - 0.2e1 * t338 * t9179 - 0.2e1 * t509 * t9182 * t622 - 0.6e1 * t349 * t1672 + 0.6e1 * t349 * t1657 - 0.6e1 * t1553 * t1578 - 0.14e2 * t1421 * t9193 + 0.28e2 / 0.3e1 * t1421 * t9196 - 0.4e1 / 0.3e1 * t1474 * t1713 + 0.4e1 / 0.3e1 * t1474 * t1720 + 0.2e1 / 0.3e1 * t1474 * t1650 - 0.2e1 / 0.3e1 * t1474 * t1660 + 0.2e1 * t162 * t9182 * t645 - 0.14e2 * t509 * t9210 * t1666 - 0.2e1 * t372 * t1672;
  t9223 = t368 * t1940;
  t9237 = t340 * t9097;
  t9238 = t9237 * t547;
  t9239 = t9238 * t1639;
  t9246 = t1637 * t1726 * t1638;
  t9258 = t296 * t1820;
  t9268 = t9192 * t492;
  t9271 = t9237 * t554;
  t9272 = t9271 * t1639;
  t9279 = -0.2e1 / 0.3e1 * t127 * t9246 + t369 * t1936 / 0.3e1 + 0.2e1 / 0.9e1 * t1410 * t493 - t377 * t1640 / 0.2e1 + 0.2e1 / 0.3e1 * t368 * t1929 * t541 + 0.12e2 * t509 * t9258 * t1537 + 0.14e2 * t162 * t9210 * t1671 - 0.12e2 * t162 * t9258 * t1541 + 0.11e2 / 0.3e1 * t1421 * t9268 - 0.11e2 / 0.6e1 * t338 * t9272 - 0.3e1 * t162 * t1643 * t389 * t313;
  t9291 = t9238 * t160 * t1638;
  t9312 = t490 * t1726 * t1610;
  t9315 = t2057 * t1719;
  t9318 = t2233 * t304;
  t9321 = t2057 * t1943;
  t9324 = t9099 * t1712;
  t9328 = t490 * t9073 * t491;
  t9335 = -0.6e1 * t349 * t1621 + t487 * t1732 - t1410 * t305 / 0.3e1 - 0.8e1 * t1448 * t1720 + 0.11e2 / 0.3e1 * t338 * t9291 + 0.3e1 / 0.2e1 * t162 * t1702 * t1633 - t372 * t1708 / 0.3e1 - 0.3e1 * t106 * t109 * t336 * t2077 + 0.3e1 / 0.2e1 * t1456 * t493 + 0.6e1 * t1553 * t1667 - 0.6e1 * t1553 * t1654 + t377 * t1612 / 0.4e1 + t127 * t9312 / 0.3e1 + 0.23e2 / 0.9e1 * t1421 * t9315 - 0.22e2 / 0.9e1 * t1421 * t9318 + 0.23e2 / 0.6e1 * t3306 * t9321 - 0.23e2 / 0.6e1 * t1421 * t9324 + t127 * t9328 / 0.2e1 + 0.2e1 * t1930 * t2074 + 0.3e1 * t9037 * t2083;
  t9353 = t1592 * t336;
  t9364 = t1592 * t1576;
  t9383 = t57 * t69;
  t9384 = t9383 * t1416;
  t9392 = -0.2e1 * t1596 * t1707 - 0.12e2 * t9353 * t1671 + 0.4e1 * t1596 * t1633 - 0.12e2 * t321 * t1928 * t636 - 0.4e1 * t321 * t375 * t328 + 0.4e1 * t9364 * t622 + 0.8e1 * t321 * t485 * t328 - 0.4e1 * t9353 * t1666 + 0.12e2 * t9364 * t645 - 0.4e1 * t148 * t1633 + 0.12e2 * t386 * t311 * t636 + 0.4e1 * t414 * t328 - 0.8e1 * t417 * t328 + 0.16e2 / 0.9e1 * t9384 * t1567 - 0.2e1 * t409 * t1666 + 0.2e1 * t321 * t1405 * t165;
  t9393 = t1592 * t1416;
  t9411 = t1859 * t335;
  t9428 = -0.8e1 * t9393 * t1537 + 0.2e1 * t3523 * t2095 + 0.12e2 * t321 * t1416 * t1484 + 0.32e2 / 0.3e1 * t9384 * t1572 + 0.12e2 * t9384 * t1506 + 0.12e2 * t409 * t1671 - 0.24e2 * t9393 * t1541 + 0.2e1 * t148 * t1707 - 0.12e2 * t9411 * t645 + 0.2e2 / 0.9e1 * t1825 * t1428 + 0.4e1 / 0.3e1 * t1825 * t1519 + 0.24e2 * t1821 * t496 - 0.12e2 * t1825 * t1514 - 0.12e2 * t1844 * t138 - 0.4e1 * t1821 * t343 - 0.2e1 * t1834 * t138;
  t9429 = t9392 + t9428;
  t9432 = t490 * t303 * t95 * t9429;
  t9435 = t1711 * t1611;
  t9448 = t548 * t347 * t1942;
  t9451 = t95 * t1405;
  t9453 = t548 * t160 * t9451;
  t9460 = t1711 * t1935;
  t9466 = t1726 * t1942;
  t9467 = t548 * t9466;
  t9469 = t303 * t9451;
  t9470 = t548 * t9469;
  t9473 = 0.2e1 / 0.9e1 * t1466 * t305 - t1466 * t493 / 0.9e1 + 0.4e1 * t1941 * t9448 + 0.4e1 / 0.3e1 * t1941 * t9453 + t1463 * t329 / 0.3e1 - 0.2e1 / 0.3e1 * t1463 * t298 + t338 * t9460 + 0.2e1 * t487 * t1728 - t1474 * t1735 / 0.3e1 - t1941 * t9467 - t1941 * t9470 / 0.3e1;
  t9476 = t2057 * t1948;
  t9503 = 0.1e1 / t15 / t3164;
  t9507 = t1754 * rho[0];
  t9509 = t1753 / t9507;
  t9512 = t76 * t91;
  t9513 = t439 * t439;
  t9516 = 0.1e1 / t25 / t1754 / t34;
  t9518 = t9513 * t9516 * t24;
  t9523 = t80 * t189;
  t9528 = t81 * t470;
  t9533 = t87 * t1769;
  t9540 = t88 / t1768 / t77;
  t9543 = -0.616e4 / 0.81e2 * t74 * t1400 * t78 + 0.544e5 / 0.81e2 * t440 * t9503 * t173 + 0.272e6 / 0.9e1 * t1752 * t9509 - 0.2e6 / 0.9e1 * t9512 * t9518 + 0.416e6 / 0.9e1 * t1759 * t9509 - 0.2e6 / 0.27e2 * t9523 * t9518 - 0.16e6 / 0.3e1 * t1762 * t9509 + 0.8e6 / 0.9e1 * t9528 * t9518 - 0.4e6 / 0.3e1 * t1765 * t9509 + 0.35e7 / 0.27e2 * t9533 * t9518 - 0.56e6 / 0.9e1 * t1770 * t9509 + 0.14e7 / 0.27e2 * t9540 * t9518;
  t9544 = t440 * t9503;
  t9551 = t74 * t1400;
  t9572 = -0.1088e6 / 0.81e2 * t459 * t9544 + 0.136e7 / 0.81e2 * t464 * t9544 - 0.1088e6 / 0.9e1 * t454 * t9544 + 0.1232e5 / 0.27e2 * t178 * t9551 + 0.1232e5 / 0.27e2 * t182 * t9551 - 0.308e5 / 0.81e2 * t185 * t9551 + 0.272e6 / 0.27e2 * t471 * t9544 - 0.308e5 / 0.81e2 * t190 * t9551 - 0.272e6 / 0.81e2 * t447 * t9544 - 0.616e4 / 0.81e2 * t174 * t9551 - 0.1e6 / 0.27e2 * t9513 * t24 * t9516 * t181 + 0.16e5 / 0.9e1 * t9509 * t84;
  t9583 = t1711 * t347 * t491;
  t9590 = t1649 * t1611;
  t9594 = t1711 * t160 * t1610;
  t9598 = -0.5e1 / 0.6e1 * t3306 * t9476 + t372 * t1716 - t9223 * t1949 / 0.3e1 - 0.2e1 * t372 * t1694 - 0.2e1 / 0.3e1 * t372 * t1703 + 0.2e2 / 0.81e2 * t14 * t117 * t21 * t97 - t22 * t1918 * t194 - 0.3e1 / 0.2e1 * t22 * t427 * t477 - t103 * t1807 - t103 * t1810 - t22 * t154 * t1801 - t22 * t65 * t169 * (t9543 + t9572) / 0.4e1 + 0.2e1 / 0.3e1 * t482 * t433 - 0.1e2 / 0.27e2 * t1817 * t195 - 0.4e1 * t338 * t9583 + 0.28e2 / 0.3e1 * t1448 * t1713 - 0.12e2 * t9037 * t2229 + 0.2e1 / 0.3e1 * t338 * t9590 - 0.4e1 / 0.3e1 * t338 * t9594 - t1479 * t329;
  t9599 = t9099 * t492;
  t9617 = t135 * t137 * t1405;
  t9622 = t1648 * t342 * t1609;
  t9627 = t1648 * t404 * t1609;
  t9632 = t320 * t137 * t9429;
  t9649 = t548 * t1727;
  t9651 = t548 * t1731;
  t9660 = t548 * t347 * t296;
  t9663 = -0.2e1 * t349 * t1703 - t349 * t1708 - 0.3e1 / 0.4e1 * t162 * t163 * t1490 * t328 + 0.4e1 * t349 * t1698 + 0.3e1 / 0.2e1 * t162 * t1697 * t1707 - t338 * t9649 - t338 * t9651 / 0.2e1 - t1492 * t305 / 0.3e1 - t377 * t1728 - t377 * t1732 / 0.2e1 + 0.4e1 * t338 * t9660;
  t9669 = t548 * t160 * t1643;
  t9684 = t130 * t9097;
  t9685 = t9684 * t301;
  t9686 = t1631 * t326;
  t9689 = t9685 * t303 * t95 * t9686;
  t9695 = t9684 * t137 * t9686;
  t9700 = t9237 * t404 * t1631;
  t9705 = t9237 * t342 * t1631;
  t9711 = t2057 * t304;
  t9714 = t22 * t395;
  t9716 = t2169 * t1675 * t1685;
  t9719 = t1609 * t326;
  t9720 = t1868 * t9719;
  t9731 = t22 * t154 * t1675;
  t9734 = t103 * t144;
  t9737 = t22 * t2257;
  t9738 = t193 * t363;
  t9740 = t2175 * t1675 * t9738;
  t9743 = t400 * t154;
  t9744 = t9743 * t1686;
  t9746 = 0.2e1 * t338 * t9669 + 0.3e1 * t349 * t1716 + 0.3e1 / 0.2e1 * t162 * t1643 * t386 * t165 + t162 * t296 * t1833 * t165 - 0.3e1 / 0.4e1 * t162 * t1702 * t1707 + t127 * t9689 / 0.2e1 + 0.2e1 / 0.3e1 * t372 * t1634 - 0.3e1 / 0.2e1 * t162 * t317 * t9695 + 0.11e2 / 0.2e1 * t162 * t1664 * t9700 - 0.11e2 / 0.2e1 * t509 * t1664 * t9705 - 0.2e1 * t372 * t1621 - 0.5e1 / 0.9e1 * t1421 * t9711 - 0.4e1 * t9714 * t9716 + 0.3e1 / 0.2e1 * t2251 * t144 * t9720 - t1677 * t1679 * t1707 - 0.2e1 * t1677 * t1678 * t375 * t328 - 0.3e1 * t9731 * t1680 + t9734 * t1687 / 0.3e1 + 0.4e1 * t9737 * t9740 + t1683 * t9744;
  t9747 = t22 * t1860;
  t9750 = t22 * t387;
  t9753 = t22 * t1854;
  t9756 = t22 * t390;
  t9759 = t308 * t308;
  t9760 = t1502 * t9759;
  t9762 = 0.1e1 / t334 / t310;
  t9763 = t9762 * t1423;
  t9764 = t9763 * t1505;
  t9770 = t9763 * t1571;
  t9774 = t368 * t1564;
  t9777 = t9763 * t1566;
  t9781 = t368 * t1420;
  t9786 = t106 * t1415 * t9759 * t9762;
  t9791 = t1462 * t337;
  t9794 = t363 * t363;
  t9795 = t510 * t9794;
  t9807 = t106 * t333 * t9759 * t1418;
  t9812 = t368 * t1447;
  t9815 = 0.7e1 / 0.6e1 * t9747 * t2172 + 0.2e1 / 0.3e1 * t9750 * t1687 + 0.2e1 * t9753 * t2165 - 0.4e1 / 0.3e1 * t9756 * t1687 - 0.18e2 * t162 * t9760 * t9764 - 0.4e1 * t1529 * t1573 + 0.36e2 * t509 * t9760 * t9770 + 0.2e1 * t9774 * t1568 - 0.18e2 * t1565 * t9760 * t9777 - 0.2e1 * t9781 * t1558 + 0.18e2 * t9786 * t1558 + 0.3e1 / 0.2e1 * t1434 * t365 + 0.2e1 / 0.9e1 * t9791 * t497 - 0.3e1 / 0.2e1 * t509 * t9795 * t512 - 0.12e2 * t349 * t1542 + 0.2e1 * t1479 * t517 + 0.28e2 / 0.9e1 * t9781 * t1520 - 0.6e1 * t9807 * t497 - 0.2e1 / 0.3e1 * t9781 * t1515 + 0.4e1 / 0.3e1 * t9812 * t497;
  t9819 = t106 * t333 * t9794 * t335;
  t9832 = t1462 * t508;
  t9840 = t510 * t9759;
  t9841 = t1418 * t340;
  t9842 = t9841 * t405;
  t9846 = t9841 * t396;
  t9874 = -t9819 * t497 / 0.2e1 - 0.2e1 / 0.3e1 * t1474 * t1510 + 0.4e1 * t1448 * t1510 + 0.2e1 * t372 * t1507 - 0.2e1 / 0.3e1 * t1463 * t517 - 0.8e1 / 0.3e1 * t9812 * t502 + 0.2e1 / 0.3e1 * t9832 * t513 - 0.4e1 / 0.9e1 * t9791 * t502 + 0.3e1 / 0.2e1 * t162 * t9795 * t516 + 0.18e2 * t162 * t9840 * t9842 - 0.18e2 * t509 * t9840 * t9846 - 0.4e1 * t372 * t1542 + 0.4e1 * t1529 * t1538 + 0.2e1 / 0.3e1 * t1469 * t380 - 0.2e1 / 0.3e1 * t368 * t1455 * t139 + 0.2e1 * t106 * t109 * t9759 * t1445 * t139 - 0.23e2 / 0.3e1 * t9786 * t1548 + t9819 * t502 + 0.2e1 / 0.3e1 * t1463 * t314 + t106 * t109 * t9794 * t311 * t139 / 0.2e1;
  t9879 = t1445 * t130;
  t9880 = t9879 * t145;
  t9897 = t108 * t69;
  t9898 = t95 * t9897;
  t9899 = t9898 * t9759;
  t9900 = t334 * t334;
  t9901 = 0.1e1 / t9900;
  t9902 = t339 * t339;
  t9903 = 0.1e1 / t9902;
  t9904 = t9901 * t9903;
  t9905 = t342 * t404;
  t9906 = t9097 * t9905;
  t9907 = t9904 * t9906;
  t9911 = t9097 * t1427;
  t9912 = t9904 * t9911;
  t9916 = t9097 * t1518;
  t9917 = t9904 * t9916;
  t9926 = t20 * t9897;
  t9929 = t106 * t9926 * t9759 * t9901;
  t9930 = t9903 * t9097;
  t9931 = t9930 * t9905;
  t9932 = t9931 * t1557;
  t9935 = t342 * t342;
  t9936 = t9930 * t9935;
  t9937 = t9936 * t4276;
  t9941 = 0.1e1 / t1561 / t57;
  t9944 = t106 * t158 * t64 * t9941;
  t9945 = t9097 * t9935;
  t9946 = t9904 * t9945;
  t9950 = t1514 * t155;
  t9953 = t1519 * t1439;
  t9961 = t9930 * t1518 * t97;
  t9965 = t343 * t427 * t500;
  t9968 = -0.3e1 * t1434 * t314 - t1410 * t380 / 0.3e1 - 0.62e2 / 0.3e1 * t9929 * t9932 + 0.8e1 * t9929 * t9937 - 0.6e1 * t9944 * t9899 * t9946 - 0.2e1 * t1421 * t9950 + 0.28e2 / 0.3e1 * t1421 * t9953 + 0.6e1 * t9786 * t1515 - 0.28e2 * t9786 * t1520 - 0.2e1 * t9929 * t9961 + 0.2e1 * t338 * t9965;
  t9978 = t3624 * t169 * t193 * t1631;
  t9991 = t3624 * t96 * t9719;
  t9996 = t1684 * t169 * t193 * t1609;
  t9999 = t142 * t312;
  t10001 = t326 * t363;
  t10002 = t96 * t10001;
  t10003 = t1684 * t10002;
  t10006 = t1816 * t19;
  t10010 = t10006 * t161;
  t10015 = t368 * t1433;
  t10017 = t138 * t1919;
  t10022 = t106 * t158 * t1917 * t159;
  t10026 = t106 * t158 * t153 * t1562;
  t10033 = t1462 * t348;
  t10036 = 0.12e2 * t9807 * t502 - 0.8e1 * t1448 * t1440 - 0.2e1 / 0.3e1 * t1683 * t9978 + 0.2e1 * t1677 * t1679 * t1633 + 0.7e1 / 0.3e1 * t9747 * t2295 - 0.2e1 * t9747 * t2183 - 0.14e2 / 0.3e1 * t9747 * t2300 - t1683 * t9991 / 0.2e1 + t1683 * t9996 / 0.3e1 - 0.3e1 / 0.2e1 * t22 * t9999 * t10003 - 0.1e2 / 0.81e2 * t10006 * t126 * t139 + 0.1e2 / 0.27e2 * t10010 * t166 - t369 * t1499 / 0.3e1 + t10015 * t166 - t127 * t10017 / 0.3e1 + t10022 * t166 + 0.6e1 * t10026 * t1568 - 0.12e2 * t1553 * t1573 + 0.2e1 / 0.9e1 * t1466 * t380 - 0.2e1 / 0.3e1 * t10033 * t166;
  t10037 = t154 * t1556;
  t10038 = t1428 * t10037;
  t10041 = t9936 * t1557;
  t10048 = t9930 * t1427;
  t10049 = t10048 * t97;
  t10052 = t9931 * t501;
  t10055 = t1519 * t155;
  t10062 = t10048 * t501;
  t10066 = t496 * t428;
  t10068 = t9936 * t501;
  t10077 = t368 * t1552;
  t10084 = t106 * t158 * t426 * t506;
  t10087 = t9931 * t97;
  t10090 = t1428 * t1439;
  t10095 = -t338 * t10066 + 0.44e2 / 0.27e2 * t9929 * t10068 + 0.12e2 * t1553 * t1538 + 0.4e1 / 0.3e1 * t1474 * t1440 + 0.23e2 / 0.27e2 * t9781 * t1548 - 0.2e1 * t10077 * t513 + 0.2e1 * t1448 * t1451 - 0.3e1 * t10084 * t513 - 0.61e2 / 0.27e2 * t9929 * t10087 + 0.23e2 / 0.9e1 * t1421 * t10090 - t1463 * t365 / 0.3e1;
  t10123 = t1428 * t155;
  t10126 = t9936 * t97;
  t10135 = 0.1e1 / t25 / t1746;
  t10136 = t24 * t10135;
  t10140 = my_piecewise3(t43, t110, 0.308e4 / 0.243e3 * t44 * t1400 - 0.1232e5 / 0.243e3 * t30 * t1401 + 0.5236e4 / 0.243e3 * t33 * t10136);
  t10145 = t343 * t428;
  t10155 = -0.2e1 * t1456 * t380 - 0.3e1 * t9807 * t344 + t487 * t1499 + t1479 * t365 + t372 * t1407 / 0.3e1 + t1462 * t376 * t139 / 0.9e1 + t9791 * t344 / 0.9e1 - t1492 * t380 / 0.3e1 + 0.6e1 * t349 * t1485 + 0.5e1 / 0.3e1 * t9786 * t1429 - t1474 * t1451 / 0.3e1 - 0.5e1 / 0.27e2 * t9781 * t1429 + 0.2e1 / 0.3e1 * t9812 * t344 - 0.5e1 / 0.9e1 * t1421 * t10123 - 0.35e2 / 0.108e3 * t9929 * t10126 + t349 * t1407 + t162 * t163 * t10140 * t165 / 0.4e1 - t338 * t10145 / 0.2e1 - t377 * t1499 / 0.2e1 - t106 * t109 * t10140 * t124 * t139 / 0.12e2;
  t10156 = t1505 * t2170;
  t10160 = t2266 * t1576;
  t10174 = t400 * t10001;
  t10182 = t2169 * t1686;
  t10184 = t169 * t9738;
  t10185 = t2175 * t10184;
  t10190 = t332 * t1405 * t394;
  t10193 = t69 * t308;
  t10194 = t10193 * t1504;
  t10195 = t1505 * t2379;
  t10201 = t400 * t63 * t9429;
  t10203 = t1505 * t1851;
  t10207 = t1868 * t1876 * t326;
  t10210 = t419 * t363;
  t10211 = t1505 * t10210;
  t10214 = t1833 * t312;
  t10222 = t393 * t1536;
  t10227 = t1566 * t2379;
  t10230 = t9911 * t401;
  t10233 = t389 * t1483;
  t10240 = t9097 * t137;
  t10242 = t10240 * t63 * t9686;
  t10245 = t9097 * t404;
  t10246 = t10245 * t1869;
  t10251 = -0.4e1 / 0.3e1 * t10190 * t583 + 0.12e2 * t10222 * t2413 - 0.28e2 / 0.3e1 * t1890 * t1849 - 0.2e1 / 0.3e1 * t10194 * t10227 + 0.2e1 / 0.3e1 * t1893 * t10230 + 0.36e2 * t10233 * t2392 - 0.18e2 * t1900 * t402 + 0.6e1 * t390 * t1852 - 0.6e1 * t144 * t10242 + 0.22e2 * t395 * t10246 + 0.6e1 * t387 * t1870;
  t10255 = t9097 * t342;
  t10256 = t10255 * t1869;
  t10259 = t10255 * t401;
  t10262 = t1862 * t1851;
  t10265 = t1859 * t1536;
  t10269 = t69 * t363 * t1504;
  t10274 = t9916 * t401;
  t10277 = t400 * t10210;
  t10280 = t108 * t9759;
  t10284 = t9897 * t9759;
  t10285 = t10284 * t9901;
  t10286 = t9905 * t60;
  t10287 = t9930 * t10286;
  t10290 = -0.12e2 * t390 * t1870 - 0.11e2 / 0.3e1 * t395 * t10256 - 0.36e2 * t1893 * t10259 - 0.8e1 * t395 * t10262 - 0.72e2 * t10265 * t2395 - 0.4e1 * t10269 * t2398 + 0.56e2 * t1890 * t1863 + 0.4e1 * t1893 * t10274 - 0.9e1 * t9999 * t10277 + 0.12e2 * t10280 * t1445 * t150 + 0.1e2 / 0.3e1 * t10285 * t10287;
  t10291 = t108 * t10140;
  t10295 = t332 * t9794;
  t10296 = t10295 * t335;
  t10299 = t108 * t9794;
  t10305 = t69 * t9759;
  t10306 = t10305 * t9762;
  t10313 = t9930 * t1829;
  t10316 = t9930 * t1837;
  t10319 = t332 * t9759;
  t10320 = t10319 * t1418;
  t10325 = -t10291 * t124 * t150 / 0.2e1 - 0.3e1 * t10296 * t424 + 0.3e1 * t10299 * t311 * t150 + 0.2e1 * t10296 * t411 - 0.4e2 * t10306 * t1830 - 0.2e1 / 0.3e1 * t10306 * t1838 + 0.36e2 * t10306 * t1826 - 0.12e2 * t10285 * t10313 + 0.5e2 / 0.3e1 * t10285 * t10316 - 0.36e2 * t10320 * t424 + 0.24e2 * t10320 * t411;
  t10328 = t10284 * t9904;
  t10329 = t9945 * t63;
  t10334 = t1862 * t1876;
  t10337 = t9916 * t419;
  t10342 = t1505 * t1876;
  t10345 = t9911 * t419;
  t10356 = -t10328 * t10329 / 0.9e1 - 0.28e2 * t1890 * t1908 + 0.4e1 * t395 * t10334 - 0.2e2 * t1893 * t10337 + 0.36e2 * t10265 * t2417 - 0.8e1 / 0.3e1 * t395 * t10342 - t1893 * t10345 / 0.3e1 + 0.4e1 * t10214 * t597 - 0.24e2 * t10265 * t2434 + 0.3e1 / 0.2e1 * t1886 * t420 + t10291 * t143 * t146;
  t10361 = t10305 * t9763;
  t10365 = t400 * t60 * t9429;
  t10372 = t62 * t1609;
  t10374 = t149 * t10372 * t326;
  t10379 = t62 * t326 * t363;
  t10380 = t149 * t10379;
  t10384 = t410 * t10379;
  t10393 = 0.8e1 / 0.3e1 * t10190 * t591 + t10269 * t2437 / 0.3e1 + 0.4e1 / 0.3e1 * t10361 * t1894 + t144 * t10365 / 0.2e1 - 0.28e2 * t1859 * t2351 * t2355 + 0.6e1 * t142 * t3763 * t10374 + 0.18e2 * t142 * t2344 * t10380 + 0.14e2 / 0.3e1 * t2256 * t2351 * t10384 - 0.3e1 * t390 * t1877 + 0.56e2 / 0.3e1 * t1890 * t1880 + 0.3e1 / 0.2e1 * t387 * t1877;
  t10402 = t10295 * t394;
  t10406 = t10245 * t1897;
  t10409 = t10255 * t419;
  t10412 = t9911 * t63;
  t10421 = -0.18e2 * t10233 * t2430 + 0.9e1 * t1900 * t420 - 0.6e1 * t10299 * t312 * t146 - t10402 * t397 - 0.72e2 * t10361 * t1905 - 0.11e2 * t395 * t10406 + 0.18e2 * t1893 * t10409 + 0.8e1 / 0.3e1 * t10328 * t10412 + 0.6e1 * t10402 * t406 - 0.4e1 * t10190 * t601 + 0.6e1 * t390 * t1898;
  t10422 = t10255 * t1897;
  t10427 = t10319 * t9841;
  t10431 = t10240 * t60 * t9686;
  t10439 = t9916 * t63;
  t10448 = t9906 * t63;
  t10451 = 0.22e2 / 0.3e1 * t395 * t10422 - 0.3e1 * t387 * t1898 - 0.12e2 * t10427 * t397 + 0.3e1 * t144 * t10431 - 0.24e2 * t10280 * t9879 * t146 - 0.18e2 * t10269 * t2420 + 0.24e2 * t10328 * t10439 + 0.72e2 * t10427 * t406 + 0.2e2 * t10269 * t2440 + 0.8e1 * t10361 * t1913 - 0.4e1 / 0.3e1 * t10328 * t10448;
  t10460 = t2266 * t336;
  t10464 = t2294 * t1686;
  t10470 = t476 * t108;
  t10477 = t1684 * t169 * t476 * t326;
  t10480 = t103 * t1676;
  t10492 = -0.6e1 * t1677 * t10460 * t1671 + 0.2e1 * t9714 * t10464 + 0.6e1 * t2265 * t10460 * t1666 - 0.3e1 / 0.2e1 * t1677 * t10470 * t125 * t328 + t1683 * t10477 / 0.2e1 - t10480 * t1680 - t103 * t1802 / 0.3e1 + t482 * t478 / 0.3e1 - t103 * t1919 / 0.3e1 + t482 * t428 / 0.3e1 - 0.1e2 / 0.27e2 * t1817 * t155;
  t10498 = my_piecewise3(t3, 0, 0.4e1 / 0.3e1 * t372 * t1698 - 0.11e2 / 0.12e2 * t338 * t9239 - 0.2e1 / 0.9e1 * t369 * t1640 + 0.2e1 * t372 * t1657 + 0.2e1 * t1529 * t1667 - 0.2e1 * t1529 * t1654 + 0.4e1 / 0.3e1 * t9223 * t1944 + 0.5e1 / 0.6e1 * t1421 * t9599 + 0.2e1 * t1448 * t1735 - 0.3e1 / 0.2e1 * t1434 * t329 - 0.6e1 * t349 * t1694 + 0.89e2 / 0.9e1 * t9929 * t10052 - 0.22e2 / 0.9e1 * t1421 * t10055 + 0.22e2 / 0.3e1 * t9786 * t1545 + 0.6e1 * t349 * t1507 + 0.47e2 / 0.3e1 * t9929 * t10062 + t1492 * t493 / 0.4e1 + 0.2e1 / 0.3e1 * t377 * t1936 - 0.2e1 * t1456 * t305 - 0.4e1 / 0.3e1 * t487 * t1936 - 0.7e1 / 0.3e1 * t1448 * t1952 + 0.2e1 * t372 * t1485 - 0.2e1 * t1479 * t314 - t9819 * t344 / 0.4e1 + 0.2e1 * t349 * t1634 + t127 * t9432 / 0.12e2 + t338 * t9435 / 0.3e1 + t1474 * t1952 / 0.3e1 + 0.2e1 / 0.3e1 * t1469 * t305 + t9714 * t10182 - t9737 * t10185 - 0.6e1 * t1421 * t10038 - 0.43e2 / 0.9e1 * t9929 * t10041 - 0.22e2 / 0.27e2 * t9781 * t1545 + 0.3e1 * t1434 * t517 - 0.38e2 / 0.9e1 * t9929 * t10049 - 0.2e1 / 0.9e1 * t1462 * t486 * t139 + 0.18e2 * t1565 * t9899 * t9907 - 0.18e2 * t509 * t9899 * t9912 + 0.6e1 * t162 * t9899 * t9917 + 0.7e1 * t2255 * t1860 * t10156 - 0.6e1 * t2265 * t10160 * t622 - 0.7e1 * t2251 * t1860 * t2309 + 0.6e1 * t1677 * t10160 * t645 + 0.9e1 / 0.2e1 * t2251 * t9999 * t10174 - 0.3e1 * t162 * t1697 * t1633 - 0.2e1 * t162 * t1691 * t9617 + 0.2e1 * t509 * t1664 * t9622 - 0.2e1 * t162 * t1664 * t9627 - t162 * t317 * t9632 / 0.4e1 - t368 * t1491 * t139 / 0.9e1 + t9087 + 0.2e1 / 0.3e1 * t106 * t109 * t1405 * t311 * t541 + t9746 + 0.9e1 * t162 * t163 * t336 * t1693 - 0.9e1 / 0.2e1 * t162 * t163 * t1454 * t328 + 0.6e1 * t162 * t296 * t1843 * t1484 - 0.6e1 * t162 * t163 * t9759 * t9880 - 0.3e1 / 0.2e1 * t162 * t163 * t9794 * t313 + 0.4e1 * t1677 * t1678 * t485 * t328 - 0.6e1 * t1677 * t1678 * t1690 * t1693 - t22 * t59 * (0.14e2 * t1860 * t2404 + 0.8e1 * t10190 * t587 + 0.36e2 * t10194 * t10195 - 0.3e1 * t387 * t1852 - t144 * t10201 + 0.4e1 / 0.3e1 * t395 * t10203 - 0.3e1 * t144 * t10207 - 0.28e2 / 0.3e1 * t2257 * t10211 - 0.8e1 * t10214 * t578 - 0.3e1 * t1886 * t402 + t10251 + t10290 + t10325 + t10356 + t10393 + t10421 + t10451) * t96 / 0.4e1 + t9279 + t10155 + t9598 + t9874 + t9216 + t9815 + t10036 + t9473 + t9161 + t9663 + t9335 + t9968 + t10492 + t10095);
  tv4rho40 = 0.2e1 * rho[0] * t10498 + 0.8e1 * t1959;

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t10502 = t1726 * t2058;
  t10503 = t2233 * t10502;
  t10514 = t530 * t1418;
  t10516 = t106 * t1415 * t10514;
  t10519 = t2057 * t10502;
  t10522 = t205 * t9901;
  t10524 = t106 * t9926 * t10522;
  t10526 = t9930 * t9935 * t59;
  t10527 = t95 * t1416;
  t10528 = t303 * t10527;
  t10529 = t10526 * t10528;
  t10544 = -0.11e2 / 0.6e1 * t2055 * t10503 - t2244 * t2071 / 0.2e1 + t208 * t9312 / 0.4e1 + t533 * t1612 / 0.4e1 + t208 * t9432 / 0.12e2 - 0.5e1 / 0.12e2 * t10516 * t2060 - 0.5e1 / 0.12e2 * t2055 * t10519 - 0.35e2 / 0.108e3 * t10524 * t10529 + t533 * t1936 / 0.2e1 + t208 * t9328 / 0.4e1 - t533 * t1732 / 0.4e1 - t208 * t9092 / 0.4e1 - t208 * t9081 / 0.12e2 - t546 * t9470 / 0.12e2;
  t10545 = t302 * t9469;
  t10548 = t530 * t1445;
  t10550 = t106 * t333 * t10548;
  t10555 = t555 * t9469;
  t10559 = t9073 * t539;
  t10560 = t302 * t10559;
  t10563 = t302 * t9466;
  t10566 = t548 * t10502;
  t10572 = t555 * t10559;
  t10575 = t555 * t9466;
  t10583 = t538 * t10545 / 0.6e1 + 0.3e1 / 0.2e1 * t10550 * t2083 - t2244 * t2086 / 0.2e1 - t546 * t10555 / 0.6e1 + t2276 * t2074 + t538 * t10560 / 0.2e1 + t538 * t10563 / 0.2e1 + 0.3e1 / 0.2e1 * t2082 * t10566 + t2276 * t2077 / 0.2e1 - t2244 * t2068 - t546 * t10572 / 0.2e1 - t546 * t10575 / 0.2e1 - t1462 * t537 * t541 / 0.9e1 - t2031 * t493 / 0.18e2;
  t10585 = t1462 * t545;
  t10592 = t1981 * t335;
  t10594 = t106 * t333 * t10592;
  t10599 = t1981 * t311;
  t10604 = t548 * t10559;
  t10614 = t548 * t608 * t1942;
  t10618 = t95 * t1981;
  t10620 = t548 * t160 * t10618;
  t10623 = t548 * t347 * t3662;
  t10626 = t10585 * t549 / 0.18e2 - t2020 * t305 / 0.4e1 + t2020 * t493 / 0.4e1 - t10594 * t549 / 0.4e1 - t2013 * t305 / 0.6e1 + t106 * t109 * t10599 * t541 / 0.2e1 - t546 * t10604 / 0.4e1 - t546 * t9467 / 0.4e1 - t2244 * t1949 / 0.4e1 + 0.2e1 / 0.3e1 * t9223 * t3664 + t1941 * t10614 + 0.2e1 / 0.3e1 * t9223 * t4203 + t1941 * t10620 + 0.2e1 * t1941 * t10623;
  t10628 = t548 * t1432 * t1000;
  t10634 = t106 * t1415 * t1416 * t9762;
  t10638 = t10526 * t507 * t10527;
  t10643 = t106 * t9926 * t1416 * t9901;
  t10645 = t10526 * t1563 * t1000;
  t10649 = t9930 * t9905 * t59;
  t10650 = t10649 * t7213;
  t10653 = t9930 * t2056;
  t10657 = t368 * t3305;
  t10671 = t1941 * t10628 - t1741 * t3650 / 0.4e1 - 0.28e2 * t10634 * t6982 - 0.43e2 / 0.9e1 * t10524 * t10638 + 0.8e1 * t10643 * t10645 - 0.62e2 / 0.3e1 * t10643 * t10650 + 0.47e2 / 0.3e1 * t10643 * t10653 * t1015 - 0.3e1 / 0.2e1 * t10657 * t7214 + t372 * t2241 + t10585 * t556 / 0.9e1 - 0.3e1 / 0.2e1 * t10084 * t623 + 0.3e1 / 0.2e1 * t1434 * t646 + 0.3e1 * t349 * t2241 + t9832 * t623 / 0.3e1;
  t10676 = t368 * t2243;
  t10681 = t510 * t10592;
  t10691 = t2233 * t3663;
  t10695 = t2057 * t1551 * t1000;
  t10702 = t476 * t122;
  t10703 = t169 * t10702;
  t10704 = t2175 * t10703;
  t10707 = t145 * t154;
  t10708 = t10707 * t2164;
  t10710 = -t1463 * t646 / 0.3e1 - t10676 * t556 / 0.3e1 - t1741 * t3566 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t10681 * t645 - 0.3e1 / 0.2e1 * t1972 * t1578 + 0.3e1 / 0.2e1 * t610 * t1581 - t10077 * t623 + t1479 * t646 + 0.7e1 * t3306 * t10691 - 0.9e1 / 0.2e1 * t3306 * t10695 + 0.7e1 / 0.3e1 * t10657 * t6982 - t103 * t2318 / 0.4e1 - t2168 * t10704 / 0.4e1 + t2161 * t10708;
  t10712 = t2169 * t500 * t10001;
  t10715 = t22 * t2370;
  t10716 = t363 * t122;
  t10717 = t500 * t10716;
  t10718 = t3935 * t10717;
  t10722 = t1631 * t122;
  t10723 = t1868 * t10722;
  t10729 = t396 * t154;
  t10730 = t10729 * t2164;
  t10733 = t9911 * t65;
  t10734 = t308 * t326;
  t10735 = t96 * t10734;
  t10736 = t10733 * t10735;
  t10739 = t2162 * t10703;
  t10747 = t122 * t1609;
  t10748 = t400 * t10747;
  t10752 = t22 * t10222;
  t10755 = t400 * t10734;
  t10759 = t145 * t10716;
  t10763 = -0.5e1 / 0.3e1 * t2168 * t10712 + 0.23e2 / 0.12e2 * t10715 * t10718 + t2168 * t9740 - 0.3e1 * t2251 * t576 * t10723 + t2179 * t9744 / 0.2e1 - t2168 * t10730 / 0.2e1 + 0.5e1 / 0.6e1 * t10715 * t10736 + t2161 * t10739 / 0.2e1 + t2179 * t10477 / 0.4e1 + 0.3e1 / 0.2e1 * t2251 * t576 * t10174 + 0.3e1 / 0.2e1 * t2251 * t576 * t10748 + 0.28e2 / 0.3e1 * t10752 * t4264 - 0.9e1 / 0.2e1 * t2251 * t2360 * t10755 + 0.9e1 / 0.2e1 * t2251 * t2360 * t10759;
  t10769 = t22 * t1439;
  t10775 = t10255 * t65;
  t10776 = t205 * t1631;
  t10778 = t10775 * t500 * t10776;
  t10784 = t476 * t332;
  t10785 = t10784 * t544;
  t10789 = t2266 * t2117;
  t10796 = t22 * t10194;
  t10798 = t3935 * t2263 * t4031;
  t10801 = t396 * t10716;
  t10805 = t2266 * t2080;
  t10809 = t22 * t10037;
  t10815 = t1505 * t10001;
  t10819 = 0.9e1 / 0.2e1 * t1677 * t1678 * t544 * t2136 + 0.3e1 * t10769 * t2253 + 0.3e1 / 0.2e1 * t2251 * t212 * t9720 + 0.11e2 / 0.3e1 * t9737 * t10778 + 0.3e1 / 0.2e1 * t1677 * t2305 * t1633 - 0.3e1 / 0.2e1 * t2265 * t10785 * t622 - 0.3e1 * t2265 * t10789 * t622 - 0.3e1 / 0.2e1 * t2265 * t2267 * t2095 - 0.9e1 / 0.2e1 * t10796 * t10798 + 0.9e1 * t2255 * t2365 * t10801 + 0.9e1 * t2265 * t10805 * t2145 + 0.9e1 / 0.2e1 * t10809 * t2260 + 0.9e1 / 0.2e1 * t2255 * t2389 * t10156 + 0.5e1 / 0.2e1 * t2255 * t582 * t10815;
  t10820 = t1505 * t10747;
  t10825 = t10733 * t1556 * t2258;
  t10831 = t205 * t1609;
  t10833 = t2169 * t500 * t10831;
  t10853 = t10470 * t206;
  t10858 = t22 * t154 * t2263;
  t10861 = t69 * t122;
  t10862 = t10861 * t1504;
  t10863 = t22 * t10862;
  t10864 = t205 * t363;
  t10866 = t3935 * t1556 * t10864;
  t10869 = t2256 * t1536;
  t10870 = t22 * t10869;
  t10871 = t500 * t10864;
  t10872 = t2175 * t10871;
  t10878 = 0.2e1 * t2255 * t582 * t10820 + 0.9e1 * t10796 * t10825 + 0.3e1 * t2251 * t2383 * t2252 - 0.4e1 / 0.3e1 * t9737 * t10833 - 0.3e1 * t9731 * t2271 - 0.3e1 / 0.2e1 * t1677 * t10470 * t536 * t636 - 0.3e1 * t1677 * t1678 * t2108 * t636 - 0.3e1 / 0.2e1 * t1677 * t2270 * t1693 - 0.6e1 * t10752 * t4268 - 0.3e1 / 0.2e1 * t9731 * t2306 - 0.3e1 / 0.4e1 * t1677 * t10853 * t328 - 0.3e1 * t10858 * t2268 - 0.9e1 / 0.2e1 * t10863 * t10866 - 0.6e1 * t10870 * t10872 + 0.3e1 / 0.2e1 * t1677 * t2267 * t2153;
  t10882 = t530 * t326;
  t10884 = t2169 * t500 * t10882;
  t10887 = t405 * t10716;
  t10891 = t1862 * t10001;
  t10895 = t3931 * t10871;
  t10898 = t1678 * t531;
  t10905 = t103 * t2257;
  t10907 = t10729 * t4267;
  t10910 = t1505 * t154;
  t10911 = t10910 * t4263;
  t10914 = t193 * t530;
  t10916 = t2175 * t1675 * t10914;
  t10919 = t476 * t205;
  t10921 = t2175 * t1675 * t10919;
  t10923 = t103 * t501;
  t10925 = t400 * t218;
  t10926 = t10925 * t1686;
  t10930 = t22 * t218 * t1675;
  t10933 = -0.3e1 * t9737 * t10884 - 0.9e1 * t2251 * t2365 * t10887 - 0.5e1 / 0.2e1 * t2251 * t582 * t10891 + 0.7e1 * t10863 * t10895 - 0.3e1 / 0.2e1 * t1677 * t10898 * t328 - 0.3e1 / 0.4e1 * t1677 * t2305 * t1707 - t10905 * t4264 + 0.2e1 * t9737 * t10907 - 0.3e1 * t9737 * t10911 + 0.2e1 * t9737 * t10916 + t9737 * t10921 + t10923 * t2253 + t1683 * t10926 / 0.4e1 - 0.3e1 / 0.4e1 * t10930 * t1680;
  t10936 = t9916 * t65;
  t10937 = t10936 * t4263;
  t10940 = t3931 * t4267;
  t10943 = t193 * t69;
  t10944 = t10943 * t2053;
  t10948 = t193 * t308;
  t10949 = t169 * t10948;
  t10950 = t3931 * t10949;
  t10953 = t22 * t2365;
  t10954 = t2294 * t10735;
  t10957 = t2182 * t10949;
  t10960 = t1505 * t10734;
  t10964 = t1862 * t10734;
  t10968 = t9911 * t10734;
  t10972 = t9916 * t10734;
  t10978 = t22 * t65 * t1562 * params->at;
  t10985 = t22 * t2360;
  t10986 = t1684 * t10735;
  t10989 = 0.2e1 / 0.3e1 * t10905 * t4268 - 0.14e2 * t10796 * t10937 + 0.7e1 * t10796 * t10940 + 0.9e1 / 0.2e1 * t1677 * t10944 * t2203 - 0.11e2 / 0.6e1 * t10715 * t10950 - 0.14e2 / 0.3e1 * t10953 * t10954 + 0.3e1 * t10953 * t10957 - 0.14e2 * t2255 * t2365 * t10960 + 0.14e2 * t2251 * t2365 * t10964 - 0.9e1 * t4277 * t2370 * t10968 + 0.18e2 * t2255 * t2370 * t10972 + 0.9e1 / 0.2e1 * t10978 * t10944 * t2208 - 0.9e1 * t2265 * t10944 * t2213 + 0.3e1 / 0.2e1 * t10985 * t10986;
  t10991 = t2162 * t10949;
  t10994 = t2169 * t10949;
  t10997 = t500 * t10734;
  t10998 = t10733 * t10997;
  t11001 = t1675 * t10948;
  t11002 = t3935 * t11001;
  t11005 = t10936 * t10735;
  t11008 = t9743 * t2171;
  t11010 = t10910 * t2171;
  t11016 = t103 * t2264;
  t11018 = t103 * t1557;
  t11021 = t10775 * t10735;
  t11024 = t10255 * t10734;
  t11031 = -0.3e1 / 0.2e1 * t10985 * t10991 - 0.3e1 / 0.2e1 * t10715 * t10994 - 0.23e2 / 0.6e1 * t10715 * t10998 + 0.23e2 / 0.12e2 * t10715 * t11002 + 0.11e2 / 0.3e1 * t10715 * t11005 - t2161 * t11008 + 0.3e1 / 0.4e1 * t2168 * t11010 - t10480 * t2306 / 0.2e1 - t10480 * t2271 - t11016 * t2268 + 0.3e1 / 0.2e1 * t11018 * t2260 + 0.3e1 * t10715 * t11021 - 0.9e1 * t2251 * t2370 * t11024 - 0.9e1 * t1677 * t10805 * t2218;
  t11032 = t368 * t2054;
  t11035 = t205 * t9762;
  t11037 = t106 * t1415 * t11035;
  t11038 = t2057 * t10528;
  t11055 = t135 * t137 * t1416;
  t11068 = t2182 * t10184;
  t11071 = t96 * t10716;
  t11072 = t2182 * t11071;
  t11075 = -0.5e1 / 0.36e2 * t11032 * t2060 + 0.5e1 / 0.3e1 * t11037 * t11038 - t525 * t1728 / 0.6e1 - t525 * t1732 / 0.12e2 - t372 * t2158 / 0.2e1 + t372 * t2154 / 0.2e1 - t372 * t2149 / 0.4e1 + 0.3e1 * t1529 * t2146 - 0.6e1 * t162 * t163 * t2080 * t11055 - 0.3e1 / 0.2e1 * t162 * t640 * t9695 + 0.3e1 / 0.2e1 * t372 * t2137 + t372 * t2131 / 0.2e1 - t10594 * t556 / 0.2e1 - t2168 * t11068 / 0.2e1 + 0.3e1 * t10953 * t11072;
  t11078 = t96 * t10747;
  t11079 = t1684 * t11078;
  t11084 = t2169 * t11078;
  t11089 = t3935 * t11071;
  t11092 = t3935 * t10949;
  t11095 = t2169 * t10735;
  t11098 = t2175 * t10949;
  t11101 = t2162 * t11071;
  t11106 = t2175 * t11071;
  t11111 = t2294 * t10002;
  t11114 = t3931 * t11071;
  t11117 = -t2161 * t11079 / 0.2e1 - t2179 * t9991 / 0.2e1 + t2168 * t11084 / 0.3e1 + t2179 * t9996 / 0.4e1 - 0.5e1 / 0.12e2 * t10715 * t11089 - 0.5e1 / 0.12e2 * t10715 * t11092 - 0.7e1 / 0.3e1 * t10953 * t11095 + 0.3e1 / 0.2e1 * t10953 * t11098 - 0.3e1 / 0.2e1 * t10985 * t11101 - t2161 * t10003 / 0.2e1 + 0.3e1 / 0.2e1 * t10953 * t11106 - t2179 * t9978 / 0.2e1 + 0.5e1 / 0.6e1 * t2168 * t11111 - 0.11e2 / 0.6e1 * t10715 * t11114;
  t11118 = t22 * t574;
  t11121 = t103 * t582;
  t11124 = t22 * t2383;
  t11126 = t2169 * t10002;
  t11131 = t103 * t576;
  t11134 = t103 * t212;
  t11137 = t2162 * t10184;
  t11140 = t10245 * t10722;
  t11144 = t96 * t10722;
  t11145 = t10775 * t11144;
  t11148 = t3624 * t11144;
  t11150 = t10245 * t65;
  t11151 = t11150 * t11144;
  t11158 = t11118 * t1687 / 0.2e1 - t11121 * t2176 / 0.6e1 - t11124 * t2302 + 0.5e1 / 0.12e2 * t2168 * t11126 - t2168 * t10185 / 0.4e1 + t11131 * t2165 / 0.3e1 + t11134 * t1687 / 0.6e1 + t2161 * t11137 / 0.2e1 + 0.11e2 / 0.2e1 * t2251 * t582 * t11140 - 0.11e2 / 0.12e2 * t2168 * t11145 + t2161 * t11148 - 0.11e2 / 0.6e1 * t2168 * t11151 - t11131 * t2302 / 0.3e1 + t11121 * t2172 / 0.4e1;
  t11160 = t22 * t2389;
  t11172 = t1566 * t10716;
  t11176 = t1862 * t10747;
  t11180 = t1571 * t10716;
  t11184 = t1505 * t10716;
  t11188 = t10255 * t10722;
  t11201 = -t11160 * t2176 / 0.2e1 + t11124 * t2165 + 0.3e1 / 0.4e1 * t11160 * t2172 + 0.3e1 / 0.2e1 * t1677 * t10785 * t645 - 0.9e1 / 0.2e1 * t2251 * t2389 * t2309 + 0.9e1 / 0.2e1 * t4277 * t2370 * t11172 - 0.2e1 * t2251 * t582 * t11176 - 0.9e1 * t2255 * t2370 * t11180 + 0.9e1 / 0.2e1 * t2251 * t2370 * t11184 - 0.11e2 / 0.2e1 * t2255 * t582 * t11188 - 0.3e1 / 0.2e1 * t10923 * t2310 - 0.9e1 / 0.2e1 * t10769 * t2310 + 0.3e1 * t9731 * t2292 + 0.3e1 * t1677 * t10789 * t645;
  t11202 = t1862 * t154;
  t11203 = t11202 * t2171;
  t11206 = t2294 * t11078;
  t11209 = t405 * t154;
  t11210 = t11209 * t2164;
  t11212 = t2182 * t10703;
  t11220 = t2169 * t11071;
  t11231 = t106 * t333 * t1419;
  t11238 = t1502 * t11035;
  t11239 = t342 * t1416;
  t11240 = t1426 * t11239;
  t11244 = 0.3e1 / 0.2e1 * t2168 * t11203 + 0.2e1 / 0.3e1 * t2168 * t11206 - t2168 * t11210 - t2168 * t11212 / 0.2e1 + t10480 * t2292 + 0.3e1 / 0.2e1 * t11160 * t2295 - t11121 * t2183 / 0.3e1 - 0.3e1 / 0.2e1 * t10715 * t11220 + t11121 * t2295 / 0.2e1 - t11160 * t2183 + 0.9e1 / 0.2e1 * t162 * t163 * t2117 * t2136 + 0.12e2 * t11231 * t1016 + 0.9e1 * t1553 * t2146 + 0.3e1 / 0.2e1 * t349 * t2131 - 0.18e2 * t162 * t11238 * t11240;
  t11249 = t9930 * t2232;
  t11250 = t11249 * t10528;
  t11253 = t2324 * t10528;
  t11256 = t10653 * t10528;
  t11259 = t160 * t10527;
  t11260 = t10649 * t11259;
  t11263 = t9898 * t10522;
  t11265 = t9930 * t9905 * t1416;
  t11271 = t1427 * t1416;
  t11272 = t9930 * t11271;
  t11276 = t1518 * t1416;
  t11277 = t9930 * t11276;
  t11283 = t2388 * t1536;
  t11286 = t2369 * t9763;
  t11287 = t63 * t1416;
  t11288 = t1571 * t11287;
  t11292 = t69 * t530 * t1504;
  t11296 = t9897 * t205 * t9904;
  t11297 = t9906 * t11287;
  t11300 = t2416 * t326;
  t11301 = t9916 * t11300;
  t11306 = t1862 * t11300;
  t11309 = t590 * t1631;
  t11310 = t1868 * t11309;
  t11313 = t1566 * t11287;
  t11316 = t10245 * t11309;
  t11319 = t581 * t9841;
  t11320 = t405 * t11287;
  t11324 = t400 * t11300;
  t11327 = -0.36e2 * t11283 * t2395 + 0.8e1 * t11286 * t11288 - 0.2e1 * t11292 * t2398 - 0.4e1 / 0.3e1 * t11296 * t11297 - 0.2e2 * t2370 * t11301 + 0.18e2 * t11292 * t2401 - 0.28e2 * t2365 * t11306 + 0.6e1 * t576 * t11310 + 0.4e1 / 0.3e1 * t11286 * t11313 - 0.11e2 * t582 * t11316 + 0.72e2 * t11319 * t11320 - t212 * t10201 + 0.9e1 * t2360 * t11324;
  t11328 = t590 * t363;
  t11329 = t145 * t11328;
  t11336 = t590 * t1609;
  t11337 = t400 * t11336;
  t11340 = t1505 * t11300;
  t11345 = t10255 * t11309;
  t11349 = t405 * t11328;
  t11354 = t1862 * t11336;
  t11357 = t1862 * t10210;
  t11360 = t1505 * t11328;
  t11364 = t332 * t1981 * t394;
  t11367 = -0.9e1 * t2360 * t11329 - 0.6e1 * t2383 * t2410 - 0.3e1 * t576 * t10277 - 0.3e1 * t576 * t11337 + 0.56e2 / 0.3e1 * t2365 * t11340 - 0.3e1 * t212 * t10207 + 0.22e2 / 0.3e1 * t582 * t11345 - t2389 * t2413 + 0.18e2 * t2365 * t11349 + 0.9e1 * t2389 * t2404 + 0.4e1 * t582 * t11354 + 0.5e1 * t582 * t11357 - 0.9e1 * t2370 * t11360 + 0.6e1 * t11364 * t587;
  t11373 = my_piecewise3(t43, t110, -0.308e3 / 0.81e2 * t202 * t1400);
  t11374 = t108 * t11373;
  t11378 = t1505 * t11336;
  t11385 = t9911 * t11300;
  t11388 = t63 * t1405;
  t11389 = t405 * t11388;
  t11392 = t1571 * t11328;
  t11395 = t2340 * t312;
  t11404 = t396 * t11388;
  t11407 = t1566 * t11328;
  t11410 = 0.6e1 * t2389 * t2380 - t11374 * t124 * t150 / 0.2e1 - 0.8e1 / 0.3e1 * t582 * t11378 - 0.6e1 * t2389 * t2376 - 0.1e2 / 0.3e1 * t582 * t10211 - t2370 * t11385 / 0.3e1 + 0.2e1 * t582 * t11389 + 0.1e2 * t2370 * t11392 - 0.6e1 * t11395 * t578 - 0.6e1 * t2383 * t2392 + 0.6e1 * t11283 * t2366 - 0.3e1 * t2449 * t402 - t582 * t11404 / 0.3e1 + t2370 * t11407 / 0.6e1;
  t11413 = t9945 * t11287;
  t11420 = t211 * t9879;
  t11421 = t145 * t11287;
  t11424 = t396 * t11287;
  t11427 = t573 * t1483;
  t11433 = t145 * t11388;
  t11436 = t396 * t11328;
  t11439 = t1505 * t11287;
  t11442 = t9911 * t11287;
  t11445 = t9916 * t11287;
  t11448 = -t11292 * t2371 / 0.3e1 - t11296 * t11413 / 0.9e1 - 0.3e1 * t574 * t1852 - 0.6e1 * t212 * t10242 - 0.24e2 * t11420 * t11421 - 0.12e2 * t11319 * t11424 + 0.18e2 * t11427 * t2362 + 0.6e1 * t574 * t1870 - t11364 * t583 - 0.2e1 * t576 * t11433 - 0.12e2 * t2365 * t11436 - 0.72e2 * t11286 * t11439 + 0.8e1 / 0.3e1 * t11296 * t11442 + 0.24e2 * t11296 * t11445;
  t11451 = t10255 * t11300;
  t11458 = t60 * t1416;
  t11459 = t145 * t11458;
  t11462 = t405 * t11458;
  t11467 = t9911 * t11458;
  t11478 = t1505 * t11458;
  t11481 = t9916 * t11458;
  t11486 = 0.18e2 * t2370 * t11451 + t11374 * t143 * t146 - 0.3e1 * t11364 * t601 + 0.12e2 * t11420 * t11459 - 0.36e2 * t11319 * t11462 + 0.3e1 * t212 * t10431 + 0.5e2 / 0.3e1 * t11296 * t11467 + 0.18e2 * t11283 * t2417 + 0.3e1 * t11395 * t597 + 0.3e1 / 0.2e1 * t2449 * t420 + 0.2e1 * t11364 * t591 + 0.36e2 * t11286 * t11478 - 0.12e2 * t11296 * t11481 + t212 * t10365 / 0.2e1;
  t11499 = t396 * t11458;
  t11502 = t1571 * t11458;
  t11505 = t9906 * t11458;
  t11508 = t312 * t1425;
  t11509 = t211 * t11508;
  t11511 = t62 * t1631 * t122;
  t11512 = t149 * t11511;
  t11515 = t394 * t9097;
  t11516 = t581 * t11515;
  t11517 = t410 * t11511;
  t11520 = t1483 * t319;
  t11521 = t211 * t11520;
  t11523 = t62 * t308 * t326;
  t11524 = t149 * t11523;
  t11527 = t1536 * t1425;
  t11528 = t581 * t11527;
  t11529 = t410 * t11523;
  t11532 = t2388 * t2351;
  t11535 = -0.12e2 * t11283 * t2434 + t11292 * t2437 / 0.6e1 - 0.3e1 * t574 * t1898 - 0.9e1 * t11292 * t2420 + 0.1e2 * t11292 * t2440 - 0.9e1 * t11427 * t2423 + 0.24e2 * t11319 * t11499 - 0.4e2 * t11286 * t11502 + 0.1e2 / 0.3e1 * t11296 * t11505 - 0.12e2 * t11509 * t11512 - 0.11e2 / 0.3e1 * t11516 * t11517 - 0.18e2 * t11521 * t11524 - 0.28e2 / 0.3e1 * t11528 * t11529 + 0.3e1 * t11532 * t2353;
  t11537 = t211 * t4148;
  t11539 = t62 * t363 * t122;
  t11540 = t149 * t11539;
  t11545 = t573 * t2344;
  t11548 = t1504 * t9097;
  t11549 = t2369 * t11548;
  t11554 = t60 * t1405;
  t11555 = t396 * t11554;
  t11558 = t1566 * t11458;
  t11563 = t405 * t11554;
  t11567 = t145 * t11554;
  t11571 = t423 * t11511;
  t11574 = t10372 * t122;
  t11575 = t149 * t11574;
  t11578 = 0.18e2 * t11537 * t11540 + 0.6e1 * t2345 * t10380 + 0.12e2 * t11545 * t2348 - 0.36e2 * t11549 * t11529 + 0.2e1 * t2389 * t2443 + 0.2e1 / 0.3e1 * t582 * t11555 - 0.2e1 / 0.3e1 * t11286 * t11558 - 0.3e1 * t2389 * t2428 - t582 * t11563 + 0.3e1 * t2383 * t2430 + t576 * t11567 + 0.3e1 / 0.2e1 * t574 * t1877 + 0.22e2 * t11516 * t11571 + 0.6e1 * t2345 * t11575;
  t11581 = t410 * t11574;
  t11584 = t581 * t4157;
  t11585 = t410 * t11539;
  t11590 = t2369 * t4165;
  t11591 = t1837 * t11539;
  t11594 = t1837 * t11523;
  t11599 = t423 * t11523;
  t11602 = t423 * t11539;
  t11605 = t1829 * t11523;
  t11608 = t1829 * t11539;
  t11613 = t423 * t11574;
  t11616 = t423 * t10379;
  t11619 = 0.6e1 * t3764 * t10374 + 0.4e1 / 0.3e1 * t2352 * t11581 + 0.6e1 * t11584 * t11585 + 0.5e1 / 0.3e1 * t2352 * t10384 - t11590 * t11591 / 0.3e1 + 0.2e1 / 0.3e1 * t11549 * t11594 + 0.18e2 * t11590 * t11585 + 0.56e2 * t11528 * t11599 - 0.36e2 * t11584 * t11602 + 0.4e1 * t11549 * t11605 - 0.2e1 * t11590 * t11608 - 0.18e2 * t11532 * t2355 - 0.8e1 * t2352 * t11613 - 0.1e2 * t2352 * t11616;
  t11635 = -0.2e1 * t10524 * t11250 + 0.6e1 * t11037 * t11253 - 0.38e2 / 0.9e1 * t10524 * t11256 + 0.89e2 / 0.9e1 * t10524 * t11260 + 0.18e2 * t1565 * t11263 * t11265 - t11032 * t2325 / 0.2e1 - 0.18e2 * t509 * t11263 * t11272 + 0.6e1 * t162 * t11263 * t11277 - t103 * t2458 / 0.4e1 - t22 * t59 * (t11327 + t11367 + t11410 + t11448 + t11486 + t11535 + t11578 + t11619) * t96 / 0.4e1 + t482 * t605 / 0.6e1 + t2010 * t298 / 0.2e1 - t2010 * t329 / 0.4e1 + t1463 * t641 / 0.6e1;
  t11659 = t603 * t66;
  t11661 = t302 * t11659 * t296;
  t11664 = -t1463 * t627 / 0.6e1 + t1463 * t637 / 0.3e1 - t1529 * t2119 + t1479 * t627 / 0.2e1 - t1479 * t637 - t1479 * t641 / 0.2e1 - t372 * t2110 + t372 * t2105 / 0.2e1 - t1529 * t2096 / 0.2e1 + t372 * t2101 / 0.4e1 - t372 * t2091 / 0.2e1 - t533 * t1728 / 0.2e1 - t208 * t9075 / 0.4e1 - t127 * t11661 / 0.2e1;
  t11667 = t302 * t2036 * t1643;
  t11670 = t548 * t2041;
  t11682 = t490 * t11659 * t491;
  t11686 = t490 * t2036 * t1610;
  t11689 = t1711 * t2037;
  t11692 = t510 * t2053;
  t11694 = t341 * t404 * t1416;
  t11698 = t1426 * t11271;
  t11702 = t341 * t11239;
  t11708 = -t127 * t11667 / 0.4e1 - t338 * t11670 / 0.4e1 + t2244 * t1944 + t546 * t9448 + t546 * t9453 / 0.3e1 + t487 * t2042 / 0.2e1 + t377 * t2038 / 0.6e1 + t127 * t11682 / 0.4e1 + t127 * t11686 / 0.12e2 + t338 * t11689 / 0.4e1 + 0.18e2 * t162 * t11692 * t11694 - 0.18e2 * t1565 * t11238 * t11698 - 0.18e2 * t509 * t11692 * t11702 + 0.3e1 / 0.2e1 * t1972 * t1667;
  t11715 = t1502 * t10514;
  t11722 = t510 * t10548;
  t11728 = t1426 * t11276;
  t11744 = t302 * t10528;
  t11748 = t106 * t333 * t2053;
  t11749 = t555 * t10528;
  t11752 = -0.3e1 / 0.2e1 * t610 * t1672 - 0.3e1 / 0.2e1 * t1972 * t1654 - 0.3e1 * t372 * t2219 + 0.9e1 / 0.2e1 * t1565 * t11715 * t2208 - 0.9e1 * t509 * t11715 * t2213 - 0.9e1 * t162 * t11722 * t2218 - 0.9e1 * t349 * t2219 + 0.36e2 * t509 * t11238 * t11728 - t2196 * t2071 / 0.6e1 + t525 * t1612 / 0.12e2 - t2196 * t2068 / 0.3e1 + t525 * t1936 / 0.6e1 - t208 * t9246 / 0.2e1 + 0.2e1 * t106 * t109 * t2080 * t11744 - 0.6e1 * t11748 * t11749;
  t11756 = t333 * t308 * t1445;
  t11757 = t368 * t11756;
  t11768 = t2057 * t507 * t3662;
  t11771 = t106 * t11756;
  t11789 = -0.2e1 * t11757 * t1016 + 0.3e1 / 0.4e1 * t1434 * t627 - 0.3e1 * t1553 * t2119 - 0.3e1 / 0.2e1 * t509 * t10681 * t622 - 0.9e1 / 0.2e1 * t3306 * t11768 - 0.6e1 * t11771 * t4203 + 0.3e1 / 0.4e1 * t610 * t1716 - 0.3e1 / 0.2e1 * t610 * t1694 + t610 * t1698 - 0.3e1 / 0.2e1 * t610 * t1621 - 0.3e1 / 0.4e1 * t1994 * t329 - 0.11e2 / 0.18e2 * t11032 * t2234 + 0.23e2 / 0.36e2 * t11032 * t2321 + 0.23e2 / 0.12e2 * t10516 * t2321;
  t11828 = -0.3e1 / 0.4e1 * t1434 * t641 - 0.3e1 * t349 * t2110 - 0.3e1 / 0.2e1 * t162 * t163 * t10599 * t636 - 0.6e1 * t11771 * t3664 - 0.3e1 / 0.2e1 * t1434 * t637 + 0.3e1 / 0.4e1 * t349 * t2101 + t162 * t9079 * t211 * t165 / 0.4e1 + 0.3e1 / 0.4e1 * t162 * t1643 * t573 * t165 + 0.3e1 / 0.2e1 * t349 * t2105 + 0.3e1 / 0.4e1 * t162 * t296 * t2340 * t165 - 0.3e1 / 0.2e1 * t349 * t2091 - 0.3e1 / 0.2e1 * t162 * t2109 * t1693 - t162 * t634 * t9617 / 0.2e1 - 0.3e1 / 0.2e1 * t1553 * t2096;
  t11834 = t302 * t10502;
  t11837 = t555 * t10502;
  t11848 = t368 * t2081;
  t11851 = t548 * t10528;
  t11858 = t1514 * t219;
  t11865 = t208 * t9689 / 0.2e1 + t2285 * t2074 / 0.3e1 - 0.3e1 / 0.2e1 * t2332 * t11834 + 0.3e1 * t2082 * t11837 - 0.3e1 / 0.2e1 * t106 * t109 * t2117 * t2333 + t2031 * t305 / 0.18e2 - t2196 * t1949 / 0.12e2 + t11848 * t2083 / 0.2e1 - 0.3e1 * t11748 * t11851 - t2196 * t2086 / 0.6e1 + t2285 * t2077 / 0.6e1 - t1421 * t11858 / 0.2e1 - 0.3e1 / 0.2e1 * t1994 * t314 - 0.2e1 * t1448 * t1967;
  t11870 = t106 * t158 * t217 * t1562;
  t11875 = t1519 * t1966;
  t11878 = t218 * t1556;
  t11879 = t1428 * t11878;
  t11905 = 0.3e1 / 0.2e1 * t610 * t1507 + 0.3e1 / 0.2e1 * t11870 * t1568 - 0.3e1 * t1972 * t1573 + 0.7e1 / 0.3e1 * t1421 * t11875 - 0.3e1 / 0.2e1 * t1421 * t11879 + t162 * t163 * t11373 * t165 / 0.4e1 + 0.3e1 / 0.4e1 * t1434 * t631 + t2031 * t380 / 0.18e2 + t10022 * t223 / 0.4e1 + t1462 * t532 * t139 / 0.18e2 + t487 * t1999 / 0.2e1 + t1448 * t2002 / 0.2e1 - t10033 * t223 / 0.6e1 - t1463 * t631 / 0.6e1 - t533 * t1499 / 0.4e1;
  t11909 = t138 * t2458;
  t11912 = t343 * t605;
  t11920 = t343 * t604 * t500;
  t11924 = t106 * t158 * t2456 * t159;
  t11936 = t106 * t109 * t1690;
  t11937 = t2036 * t1942;
  t11938 = t302 * t11937;
  t11944 = t548 * t608 * t296;
  t11946 = t1462 * t1940;
  t11949 = -t127 * t11909 / 0.4e1 - t338 * t11912 / 0.4e1 - t1492 * t569 / 0.12e2 - t377 * t1999 / 0.4e1 + t338 * t11920 + 0.3e1 / 0.4e1 * t11924 * t166 + 0.3e1 / 0.4e1 * t1994 * t365 + t610 * t1407 / 0.4e1 + 0.3e1 / 0.4e1 * t349 * t1983 - t377 * t2042 / 0.4e1 + t11936 * t11938 / 0.2e1 - t487 * t2038 / 0.3e1 + t338 * t11944 - 0.2e1 / 0.9e1 * t11946 * t1016;
  t11955 = t1711 * t608 * t491;
  t11962 = t9930 * t9935 * t1416;
  t11983 = -t610 * t1703 / 0.2e1 - t610 * t1708 / 0.4e1 - t338 * t11955 + 0.3e1 / 0.2e1 * t1994 * t298 + 0.3e1 / 0.4e1 * t610 * t1645 - 0.6e1 * t9944 * t11263 * t11962 + 0.3e1 / 0.2e1 * t9774 * t2209 - 0.9e1 * t1553 * t2214 + 0.9e1 / 0.2e1 * t349 * t2204 + 0.9e1 / 0.2e1 * t162 * t11715 * t2203 - 0.3e1 / 0.2e1 * t10516 * t2325 - 0.3e1 * t1529 * t2214 + 0.3e1 / 0.2e1 * t372 * t2204 + 0.9e1 / 0.2e1 * t10026 * t2209;
  t11992 = t1637 * t2036 * t1638;
  t12015 = t1428 * t219;
  t12020 = -t369 * t2042 / 0.6e1 + t2196 * t1944 / 0.3e1 + t369 * t2038 / 0.12e2 - t127 * t11992 / 0.6e1 + t610 * t1634 / 0.2e1 + t482 * t613 / 0.6e1 - t2010 * t314 / 0.2e1 - t106 * t109 * t11373 * t124 * t139 / 0.12e2 - t2020 * t380 / 0.4e1 - t368 * t2019 * t139 / 0.12e2 - t2013 * t380 / 0.6e1 - t208 * t10017 / 0.12e2 - 0.5e1 / 0.36e2 * t1421 * t12015 + t372 * t1983 / 0.4e1;
  t12042 = t368 * t1993;
  t12047 = t496 * t605;
  t12050 = t1519 * t219;
  t12053 = t1428 * t1966;
  t12056 = t1479 * t631 / 0.2e1 + t10015 * t223 / 0.4e1 - 0.5e1 / 0.162e3 * t10006 * t207 * t139 + t1469 * t569 / 0.6e1 - t1456 * t569 / 0.2e1 + 0.5e1 / 0.54e2 * t10010 * t223 + 0.3e1 / 0.2e1 * t610 * t1485 - t1474 * t2002 / 0.12e2 - t369 * t1999 / 0.6e1 - t1410 * t569 / 0.12e2 + t12042 * t166 / 0.2e1 + t2010 * t365 / 0.4e1 - t338 * t12047 / 0.2e1 - 0.11e2 / 0.18e2 * t1421 * t12050 + 0.23e2 / 0.36e2 * t1421 * t12053;
  t12064 = t1462 * t609;
  t12075 = t368 * t1971;
  t12082 = t106 * t158 * t603 * t506;
  t12088 = t320 * t635 * t326;
  t12094 = t1448 * t1963 + 0.3e1 * t1972 * t1538 - 0.3e1 * t610 * t1542 - t12064 * t166 / 0.6e1 + t1466 * t569 / 0.18e2 - t525 * t1499 / 0.12e2 - t1474 * t1963 / 0.6e1 + t1474 * t1967 / 0.3e1 - t12075 * t513 / 0.2e1 + t2010 * t517 / 0.2e1 - 0.3e1 / 0.2e1 * t12082 * t513 + 0.3e1 / 0.2e1 * t1994 * t517 + 0.3e1 * t1677 * t2270 * t12088 - t525 * t1640 / 0.6e1;
  t12107 = t2163 * t326;
  t12108 = t169 * t12107;
  t12109 = t2169 * t12108;
  t12112 = t1684 * t12108;
  t12114 = t2294 * t12108;
  t12126 = t4031 * t326;
  t12128 = t2169 * t1675 * t12126;
  t12132 = t1648 * t621 * t326;
  t12139 = -t368 * t2331 * t2333 / 0.2e1 + t2013 * t493 / 0.6e1 - t533 * t1640 / 0.2e1 - t10676 * t549 / 0.6e1 + t368 * t2275 * t541 / 0.3e1 + 0.3e1 / 0.4e1 * t2168 * t12109 - t2161 * t12112 + 0.3e1 / 0.2e1 * t2168 * t12114 - 0.3e1 / 0.4e1 * t22 * t2457 * t194 - 0.3e1 / 0.4e1 * t22 * t604 * t477 - t22 * t218 * t1801 / 0.4e1 - 0.3e1 * t9737 * t12128 + 0.9e1 / 0.2e1 * t2265 * t2267 * t12132 - 0.3e1 / 0.2e1 * t509 * t2118 * t2095;
  t12142 = t341 * t342 * t1405;
  t12152 = t341 * t404 * t1405;
  t12158 = t163 * t2018;
  t12181 = t1648 * t1670 * t122;
  t12185 = -t509 * t620 * t12142 / 0.2e1 + 0.3e1 / 0.2e1 * t349 * t2154 + 0.3e1 / 0.2e1 * t162 * t2118 * t2153 + t162 * t620 * t12152 / 0.2e1 - 0.3e1 / 0.2e1 * t349 * t2158 - 0.3e1 / 0.4e1 * t162 * t12158 * t328 + 0.9e1 * t509 * t11722 * t2145 + 0.18e2 * t10634 * t7214 - 0.3e1 / 0.4e1 * t349 * t2149 - 0.3e1 / 0.4e1 * t162 * t2157 * t1707 - t162 * t640 * t9632 / 0.4e1 + 0.3e1 / 0.2e1 * t162 * t2157 * t1633 + 0.9e1 / 0.2e1 * t349 * t2137 - 0.9e1 / 0.2e1 * t1677 * t2267 * t12181;
  t12191 = t2233 * t10528;
  t12194 = t2057 * t11259;
  t12197 = t347 * t2058;
  t12198 = t2057 * t12197;
  t12201 = t2324 * t10502;
  t12204 = t2233 * t12197;
  t12207 = t10526 * t11259;
  t12210 = t10649 * t10528;
  t12213 = t1649 * t2037;
  t12216 = t555 * t2041;
  t12225 = t11848 * t2226 + 0.3e1 * t10550 * t2226 - 0.11e2 / 0.6e1 * t10516 * t2234 + 0.22e2 / 0.3e1 * t11037 * t12191 - 0.23e2 / 0.3e1 * t11037 * t12194 + 0.23e2 / 0.12e2 * t2055 * t12198 - 0.3e1 / 0.2e1 * t2055 * t12201 + 0.7e1 * t2055 * t12204 + 0.44e2 / 0.27e2 * t10524 * t12207 - 0.61e2 / 0.27e2 * t10524 * t12210 + t338 * t12213 / 0.2e1 - t338 * t12216 / 0.2e1 + 0.3e1 / 0.2e1 * t610 * t1657 - 0.5e1 / 0.54e2 * t1817 * t219 - t103 * t2315 / 0.2e1;
  t12231 = my_piecewise3(t3, 0, t12185 + t11789 + t10544 + t11158 + t11664 + t10763 + t10583 + t10878 + t12020 + t10710 + t11752 + t12225 + t12094 + t11983 + t11865 + t10989 + t11905 + t11708 + t11201 + t11244 + t10819 + t10933 + t11828 + t11031 + t12056 + t11635 + t11949 + t10671 + t10626 + t11075 + t11117 + t12139);
  tv4rho3sigma0 = 0.2e1 * rho[0] * t12231 + 0.6e1 * t2467;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  t12238 = t22 * t2760;
  t12253 = t22 * t691;
  t12262 = t2632 * t9740 + 0.23e2 / 0.12e2 * t3930 * t11002 - t12238 * t2183 - t2632 * t11210 - t2632 * t11212 / 0.2e1 + t2674 * t10739 / 0.2e1 + t2674 * t11137 / 0.2e1 + 0.3e1 / 0.2e1 * t3917 * t11098 - 0.11e2 / 0.12e2 * t2632 * t11145 - t2683 * t9978 / 0.2e1 + t12253 * t1687 / 0.2e1 + t2683 * t9744 / 0.2e1 + t2683 * t10477 / 0.4e1 + t2683 * t9996 / 0.4e1;
  t12286 = t22 * t2790;
  t12289 = t2674 * t11148 - t2683 * t9991 / 0.2e1 - t12238 * t2176 / 0.2e1 - t2632 * t10730 / 0.2e1 - t2632 * t10704 / 0.4e1 - t2632 * t10185 / 0.4e1 - 0.5e1 / 0.12e2 * t3930 * t11092 + 0.3e1 / 0.4e1 * t12238 * t2172 + 0.3e1 / 0.4e1 * t2632 * t11010 + 0.5e1 / 0.12e2 * t2632 * t11126 + t2632 * t11084 / 0.3e1 + 0.5e1 / 0.6e1 * t3930 * t10736 + t12286 * t2165 + t2674 * t10708;
  t12291 = t400 * t243;
  t12292 = t12291 * t1686;
  t12312 = t302 * t2571 * t1643;
  t12322 = t1683 * t12292 / 0.4e1 - t12286 * t2302 - t2674 * t11008 - t2674 * t10003 / 0.2e1 - t2674 * t11079 / 0.2e1 + 0.3e1 / 0.2e1 * t4291 * t10986 - 0.3e1 / 0.2e1 * t4291 * t11101 - 0.5e1 / 0.3e1 * t2632 * t10712 + 0.23e2 / 0.12e2 * t3930 * t10718 + 0.3e1 / 0.2e1 * t2538 * t298 - t127 * t12312 / 0.4e1 + 0.3e1 / 0.4e1 * t719 * t1645 - t162 * t745 * t9632 / 0.4e1 - 0.3e1 * t349 * t2844;
  t12323 = t2492 * t311;
  t12324 = t163 * t12323;
  t12348 = t712 * t66;
  t12350 = t302 * t12348 * t296;
  t12365 = -0.3e1 / 0.2e1 * t162 * t12324 * t636 - 0.6e1 * t11771 * t4911 - 0.3e1 / 0.2e1 * t349 * t2837 - 0.3e1 / 0.2e1 * t162 * t2843 * t1693 - t162 * t741 * t9617 / 0.2e1 - 0.3e1 / 0.4e1 * t349 * t2840 + 0.3e1 / 0.2e1 * t349 * t2834 + 0.3e1 / 0.2e1 * t162 * t2620 * t2153 + t162 * t729 * t12152 / 0.2e1 - t127 * t12350 / 0.2e1 + t162 * t9079 * t236 * t165 / 0.4e1 + 0.3e1 / 0.4e1 * t162 * t1643 * t690 * t165 + 0.3e1 / 0.2e1 * t349 * t2860 - 0.3e1 / 0.2e1 * t1553 * t2852;
  t12375 = t163 * t2493;
  t12381 = t2492 * t335;
  t12382 = t510 * t12381;
  t12390 = t2057 * t507 * t4863;
  t12401 = t1462 * t670;
  t12406 = -t509 * t729 * t12142 / 0.2e1 + 0.3e1 / 0.4e1 * t349 * t2856 - 0.3e1 / 0.2e1 * t349 * t2847 - 0.3e1 / 0.4e1 * t162 * t12375 * t328 - 0.3e1 * t1553 * t2850 - 0.3e1 / 0.2e1 * t509 * t12382 * t622 - 0.3e1 / 0.2e1 * t509 * t2620 * t2095 - 0.9e1 / 0.2e1 * t3306 * t12390 - 0.3e1 / 0.4e1 * t162 * t2846 * t1707 + 0.3e1 / 0.2e1 * t162 * t12382 * t645 - t10077 * t730 + t1479 * t749 + t12401 * t556 / 0.9e1 - t1463 * t749 / 0.3e1;
  t12430 = t368 * t2599;
  t12434 = t106 * t333 * t12381;
  t12439 = t9832 * t730 / 0.3e1 + 0.3e1 / 0.4e1 * t162 * t296 * t2746 * t165 - 0.3e1 / 0.2e1 * t1434 * t742 - 0.6e1 * t11771 * t5383 - t1741 * t4221 / 0.2e1 - 0.3e1 / 0.2e1 * t2509 * t1578 + 0.3e1 / 0.2e1 * t719 * t1581 + 0.3e1 / 0.2e1 * t1434 * t749 + t372 * t2621 - 0.3e1 / 0.2e1 * t10084 * t730 + 0.3e1 * t349 * t2621 - t12430 * t556 / 0.3e1 - t12434 * t556 / 0.2e1 + t654 * t1936 / 0.6e1;
  t12441 = t368 * t2589;
  t12444 = t230 * t9762;
  t12446 = t106 * t1415 * t12444;
  t12467 = t368 * t2610;
  t12474 = -0.5e1 / 0.36e2 * t12441 * t2060 + 0.5e1 / 0.3e1 * t12446 * t11038 + 0.3e1 / 0.2e1 * t2611 * t10566 - t2543 * t1949 / 0.12e2 - t2543 * t2086 / 0.6e1 - t2543 * t2068 / 0.3e1 + 0.3e1 * t2611 * t11837 - t2543 * t2071 / 0.6e1 + t2521 * t305 / 0.18e2 + t12401 * t549 / 0.18e2 - t2521 * t493 / 0.18e2 + t12467 * t2083 / 0.2e1 + t2557 * t2077 / 0.6e1 + t2557 * t2074 / 0.3e1;
  t12479 = t658 * t1445;
  t12481 = t106 * t333 * t12479;
  t12499 = t548 * t717 * t296;
  t12505 = t368 * t2549;
  t12508 = t658 * t1418;
  t12509 = t1502 * t12508;
  t12513 = -t2486 * t305 / 0.6e1 - t12430 * t549 / 0.6e1 + 0.3e1 / 0.2e1 * t12481 * t2083 + t654 * t1612 / 0.12e2 - 0.2e1 * t11757 * t1224 - t1463 * t734 / 0.6e1 + t1463 * t742 / 0.3e1 + t1463 * t746 / 0.6e1 - 0.2e1 / 0.9e1 * t11946 * t1224 + 0.3e1 / 0.4e1 * t719 * t1716 + t338 * t12499 + 0.3e1 / 0.4e1 * t1434 * t734 - 0.3e1 / 0.4e1 * t1434 * t746 + t12505 * t541 / 0.3e1 + 0.9e1 / 0.2e1 * t1565 * t12509 * t2208;
  t12520 = t510 * t12479;
  t12529 = t1711 * t717 * t491;
  t12548 = -0.9e1 * t509 * t12509 * t2213 + 0.9e1 * t509 * t12520 * t2145 - t719 * t1703 / 0.2e1 - t719 * t1708 / 0.4e1 - t338 * t12529 + t719 * t1698 - 0.3e1 / 0.4e1 * t2538 * t329 - 0.3e1 / 0.2e1 * t719 * t1694 + 0.3e1 / 0.2e1 * t2509 * t1667 - 0.3e1 / 0.2e1 * t719 * t1672 - 0.3e1 / 0.2e1 * t2509 * t1654 + 0.3e1 / 0.2e1 * t719 * t1657 + 0.3e1 * t1529 * t2656 - 0.3e1 * t372 * t2723;
  t12561 = t106 * t333 * t2588;
  t12564 = t555 * t2665;
  t12567 = t1649 * t2572;
  t12570 = t510 * t2588;
  t12577 = t1502 * t12444;
  t12585 = t163 * t2598;
  t12589 = 0.9e1 * t1553 * t2656 - 0.9e1 * t349 * t2723 - 0.9e1 * t162 * t12520 * t2218 - 0.3e1 / 0.2e1 * t2590 * t12201 + 0.7e1 * t2590 * t12204 - 0.6e1 * t12561 * t11749 - t338 * t12564 / 0.2e1 + t338 * t12567 / 0.2e1 - 0.18e2 * t509 * t12570 * t11702 + 0.18e2 * t162 * t12570 * t11694 - 0.18e2 * t1565 * t12577 * t11698 + 0.36e2 * t509 * t12577 * t11728 - t372 * t2844 + 0.9e1 / 0.2e1 * t162 * t12585 * t2136;
  t12598 = t106 * t1415 * t12508;
  t12605 = t230 * t9901;
  t12607 = t106 * t9926 * t12605;
  t12623 = -t372 * t2840 / 0.4e1 - t372 * t2837 / 0.2e1 + t372 * t2834 / 0.2e1 - 0.11e2 / 0.6e1 * t12598 * t2234 + 0.23e2 / 0.12e2 * t12598 * t2321 + 0.23e2 / 0.12e2 * t2590 * t12198 - 0.61e2 / 0.27e2 * t12607 * t12210 + 0.44e2 / 0.27e2 * t12607 * t12207 + t1479 * t734 / 0.2e1 - t1479 * t746 / 0.2e1 + 0.3e1 / 0.2e1 * t349 * t2648 - t1479 * t742 + 0.9e1 / 0.2e1 * t349 * t2652 + t372 * t2860 / 0.2e1;
  t12653 = t372 * t2856 / 0.4e1 - t1529 * t2852 / 0.2e1 - t1529 * t2850 - t372 * t2847 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t2846 * t1633 - 0.3e1 / 0.2e1 * t12598 * t2325 - 0.3e1 * t1529 * t2720 + 0.3e1 / 0.2e1 * t372 * t2714 + 0.9e1 / 0.2e1 * t10026 * t2717 - 0.9e1 * t1553 * t2720 + 0.9e1 / 0.2e1 * t349 * t2714 + t12467 * t2226 - 0.11e2 / 0.18e2 * t12441 * t2234 + 0.23e2 / 0.36e2 * t12441 * t2321 + 0.3e1 * t12481 * t2226;
  t12671 = t9898 * t12605;
  t12691 = 0.22e2 / 0.3e1 * t12446 * t12191 - 0.23e2 / 0.3e1 * t12446 * t12194 - 0.3e1 / 0.2e1 * t10657 * t8507 - 0.18e2 * t162 * t12577 * t11240 - 0.2e1 * t12607 * t11250 + 0.6e1 * t12446 * t11253 - 0.38e2 / 0.9e1 * t12607 * t11256 - 0.18e2 * t509 * t12671 * t11272 + 0.6e1 * t162 * t12671 * t11277 - 0.6e1 * t9944 * t12671 * t11962 + 0.18e2 * t1565 * t12671 * t11265 + 0.3e1 / 0.2e1 * t9774 * t2717 - t12441 * t2325 / 0.2e1 + 0.9e1 / 0.2e1 * t162 * t12509 * t2203;
  t12695 = t106 * t109 * t2598;
  t12713 = t10526 * t1563 * t1208;
  t12716 = t10649 * t8506;
  t12719 = t10653 * t1223;
  t12725 = t490 * t12348 * t491;
  t12728 = -t233 * t9246 / 0.2e1 - 0.3e1 / 0.2e1 * t12695 * t2333 - 0.3e1 / 0.2e1 * t2662 * t11834 + 0.18e2 * t10634 * t8507 - t661 * t1640 / 0.2e1 + 0.12e2 * t11231 * t1224 - 0.43e2 / 0.9e1 * t12607 * t10638 - 0.28e2 * t10634 * t8535 + 0.89e2 / 0.9e1 * t12607 * t11260 + 0.8e1 * t10643 * t12713 - 0.62e2 / 0.3e1 * t10643 * t12716 + 0.47e2 / 0.3e1 * t10643 * t12719 + t377 * t2573 / 0.6e1 + t127 * t12725 / 0.4e1;
  t12734 = t2571 * t1942;
  t12735 = t302 * t12734;
  t12738 = t548 * t2665;
  t12761 = -t487 * t2573 / 0.3e1 - t233 * t9081 / 0.12e2 + t11936 * t12735 / 0.2e1 - t338 * t12738 / 0.4e1 - t661 * t1732 / 0.4e1 - t233 * t9092 / 0.4e1 - 0.3e1 * t12561 * t11851 - t377 * t2666 / 0.4e1 - 0.5e1 / 0.12e2 * t2590 * t10519 - t2600 * t2071 / 0.2e1 - t671 * t10555 / 0.6e1 - t671 * t10575 / 0.2e1 - 0.11e2 / 0.6e1 * t2590 * t10503 + t671 * t9453 / 0.3e1;
  t12772 = t490 * t2571 * t1610;
  t12775 = t1711 * t2572;
  t12792 = -t2600 * t2068 - t671 * t10572 / 0.2e1 + t2600 * t1944 + t671 * t9448 - t661 * t1728 / 0.2e1 - t233 * t9075 / 0.4e1 + t127 * t12772 / 0.12e2 + t338 * t12775 / 0.4e1 + t233 * t9432 / 0.12e2 - t12434 * t549 / 0.4e1 + t661 * t1936 / 0.2e1 + t233 * t9328 / 0.4e1 + t233 * t9312 / 0.4e1 + t661 * t1612 / 0.4e1 - 0.5e1 / 0.12e2 * t12598 * t2060;
  t12810 = t548 * t347 * t4863;
  t12813 = t1462 * t665;
  t12819 = t106 * t109 * t12323;
  t12830 = -0.35e2 / 0.108e3 * t12607 * t10529 - t2600 * t1949 / 0.4e1 - t671 * t9470 / 0.12e2 - t2600 * t2086 / 0.2e1 - t671 * t10604 / 0.4e1 - t671 * t9467 / 0.4e1 + 0.2e1 * t1941 * t12810 - t12813 * t541 / 0.9e1 + t2495 * t493 / 0.4e1 + t12819 * t541 / 0.2e1 + t2486 * t493 / 0.6e1 + t666 * t10545 / 0.6e1 + t666 * t10563 / 0.2e1 + t2550 * t2077 / 0.2e1;
  t12843 = t548 * t717 * t1942;
  t12846 = t548 * t1432 * t1208;
  t12852 = t95 * t2492;
  t12854 = t548 * t160 * t12852;
  t12862 = t2550 * t2074 + t666 * t10560 / 0.2e1 - t2495 * t305 / 0.4e1 + 0.3e1 / 0.2e1 * t372 * t2652 + t2483 * t298 / 0.2e1 - 0.3e1 / 0.2e1 * t719 * t1621 + t1941 * t12843 + t1941 * t12846 + 0.2e1 / 0.3e1 * t9223 * t4911 + 0.2e1 / 0.3e1 * t9223 * t5383 + t1941 * t12854 - t654 * t1728 / 0.6e1 + t369 * t2573 / 0.12e2 - t654 * t1732 / 0.12e2;
  t12869 = t106 * t109 * t2609;
  t12872 = t368 * t2661;
  t12879 = t163 * t2609;
  t12892 = t2233 * t4910;
  t12898 = t2057 * t1551 * t1208;
  t12901 = -t369 * t2666 / 0.6e1 + t487 * t2666 / 0.2e1 + 0.2e1 * t12869 * t11744 - t12872 * t2333 / 0.2e1 - t654 * t1640 / 0.6e1 + t233 * t9689 / 0.2e1 - 0.6e1 * t162 * t12879 * t11055 - 0.3e1 / 0.2e1 * t162 * t745 * t9695 - t2483 * t329 / 0.4e1 + t719 * t1634 / 0.2e1 + t372 * t2648 / 0.2e1 + 0.7e1 * t3306 * t12892 + 0.7e1 / 0.3e1 * t10657 * t8535 - 0.9e1 / 0.2e1 * t3306 * t12898;
  t12907 = t1637 * t2571 * t1638;
  t12915 = t103 * t693;
  t12937 = -t1741 * t4251 / 0.4e1 + t2543 * t1944 / 0.3e1 - t127 * t12907 / 0.6e1 - 0.11e2 / 0.2e1 * t2255 * t697 * t11188 - 0.3e1 * t10858 * t2564 - t12915 * t2302 / 0.3e1 - 0.7e1 / 0.3e1 * t3917 * t11095 - 0.3e1 / 0.2e1 * t3930 * t10994 - 0.14e2 / 0.3e1 * t3917 * t10954 + 0.3e1 * t3930 * t11021 - 0.9e1 * t2251 * t2782 * t11024 - 0.23e2 / 0.6e1 * t3930 * t10998 + 0.3e1 * t10769 * t2696 - 0.3e1 / 0.2e1 * t9731 * t2702 - 0.3e1 * t9731 * t2699;
  t12940 = t10910 * t5504;
  t12952 = t10784 * t669;
  t12962 = t103 * t697;
  t12977 = -0.3e1 * t9737 * t12940 - 0.3e1 / 0.4e1 * t22 * t713 * t477 + 0.9e1 * t2255 * t2776 * t10801 + 0.2e1 * t2255 * t697 * t10820 - 0.3e1 / 0.2e1 * t2265 * t12952 * t622 - 0.9e1 * t2255 * t2782 * t11180 + 0.9e1 / 0.2e1 * t2251 * t2782 * t11184 + t12962 * t2295 / 0.2e1 + 0.3e1 / 0.2e1 * t12238 * t2295 - 0.5e1 / 0.54e2 * t1817 * t244 - t12962 * t2183 / 0.3e1 + 0.3e1 / 0.2e1 * t2632 * t11203 + 0.5e1 / 0.6e1 * t2632 * t11111 - 0.11e2 / 0.6e1 * t3930 * t11114;
  t12978 = t10729 * t5520;
  t12998 = t368 * t2537;
  t13001 = t138 * t2831;
  t13006 = t106 * t158 * t2829 * t159;
  t13010 = my_piecewise3(t43, t110, -0.22e3 / 0.81e2 * t359);
  t13018 = 0.2e1 * t9737 * t12978 - 0.9e1 / 0.2e1 * t10769 * t2560 + t10015 * t248 / 0.4e1 + t1462 * t660 * t139 / 0.18e2 + t2521 * t380 / 0.18e2 + 0.3e1 / 0.4e1 * t1434 * t738 + t487 * t2473 / 0.2e1 + t1448 * t2476 / 0.2e1 - t369 * t2473 / 0.6e1 + t12998 * t166 / 0.2e1 - t127 * t13001 / 0.4e1 + 0.3e1 / 0.4e1 * t13006 * t166 - t106 * t109 * t13010 * t124 * t139 / 0.12e2 - t2495 * t380 / 0.4e1;
  t13020 = t1428 * t2503;
  t13025 = t496 * t714;
  t13030 = t106 * t158 * t712 * t506;
  t13048 = t1514 * t244;
  t13051 = t1519 * t2503;
  t13054 = t243 * t1556;
  t13055 = t1428 * t13054;
  t13058 = 0.23e2 / 0.36e2 * t1421 * t13020 - t1474 * t2500 / 0.6e1 - t338 * t13025 / 0.2e1 - 0.3e1 / 0.2e1 * t13030 * t513 + 0.3e1 / 0.2e1 * t2538 * t517 + 0.3e1 * t2509 * t1538 - 0.3e1 * t719 * t1542 + t1448 * t2500 + t10022 * t248 / 0.4e1 + 0.3e1 / 0.4e1 * t349 * t2527 + t162 * t163 * t13010 * t165 / 0.4e1 - t1421 * t13048 / 0.2e1 + 0.7e1 / 0.3e1 * t1421 * t13051 - 0.3e1 / 0.2e1 * t1421 * t13055;
  t13061 = t106 * t158 * t242 * t1562;
  t13068 = t368 * t2508;
  t13073 = t1519 * t244;
  t13095 = 0.3e1 / 0.2e1 * t13061 * t1568 - 0.3e1 * t2509 * t1573 + t1474 * t2504 / 0.3e1 - t13068 * t513 / 0.2e1 + t2483 * t517 / 0.2e1 - 0.11e2 / 0.18e2 * t1421 * t13073 + t372 * t2527 / 0.4e1 + t1479 * t738 / 0.2e1 - 0.5e1 / 0.162e3 * t10006 * t232 * t139 + t1469 * t686 / 0.6e1 - t1456 * t686 / 0.2e1 - 0.2e1 * t1448 * t2504 - t2483 * t314 / 0.2e1 + 0.3e1 / 0.2e1 * t719 * t1485 + 0.5e1 / 0.54e2 * t10010 * t248;
  t13101 = t1462 * t718;
  t13126 = t696 * t11527;
  t13131 = t2781 * t11548;
  t13136 = t696 * t11515;
  t13143 = t2759 * t2351;
  t13154 = -0.1e2 * t2750 * t11616 + 0.56e2 * t13126 * t11599 - 0.36e2 * t4158 * t11602 + 0.4e1 * t13131 * t11605 - 0.2e1 * t4166 * t11608 - 0.11e2 / 0.3e1 * t13136 * t11517 - 0.28e2 / 0.3e1 * t13126 * t11529 + 0.18e2 * t4166 * t11585 - 0.18e2 * t13143 * t2355 - 0.8e1 * t2750 * t11613 + 0.6e1 * t2752 * t11575 + 0.6e1 * t4138 * t10374 + 0.4e1 / 0.3e1 * t2750 * t11581;
  t13163 = t236 * t11520;
  t13166 = t236 * t11508;
  t13169 = t690 * t2344;
  t13181 = t332 * t2492 * t394;
  t13184 = t9897 * t230;
  t13185 = t13184 * t9904;
  t13188 = t2759 * t1536;
  t13191 = 0.18e2 * t4149 * t11540 + 0.6e1 * t2752 * t10380 + 0.6e1 * t4158 * t11585 + 0.22e2 * t13136 * t11571 - 0.18e2 * t13163 * t11524 - 0.12e2 * t13166 * t11512 + 0.12e2 * t13169 * t2348 + 0.3e1 * t13143 * t2353 + 0.5e1 / 0.3e1 * t2750 * t10384 - t4166 * t11591 / 0.3e1 + 0.2e1 / 0.3e1 * t13131 * t11594 - 0.3e1 * t13181 * t601 + 0.5e2 / 0.3e1 * t13185 * t11467 + 0.18e2 * t13188 * t2417;
  t13195 = t2781 * t9763;
  t13202 = t236 * t9879;
  t13205 = t696 * t9841;
  t13216 = t690 * t1483;
  t13219 = t108 * t13010;
  t13223 = t69 * t658;
  t13224 = t13223 * t1504;
  t13229 = t237 * t10365 / 0.2e1 + 0.36e2 * t13195 * t11478 - 0.12e2 * t13185 * t11481 + 0.3e1 * t237 * t10431 + 0.12e2 * t13202 * t11459 - 0.36e2 * t13205 * t11462 + 0.24e2 * t13205 * t11499 - 0.36e2 * t13131 * t11529 - 0.3e1 * t691 * t1898 - 0.4e2 * t13195 * t11502 - 0.9e1 * t13216 * t2423 - t13219 * t124 * t150 / 0.2e1 - 0.9e1 * t13224 * t2420 + t13224 * t2437 / 0.6e1;
  t13257 = -0.2e1 / 0.3e1 * t13195 * t11558 - 0.12e2 * t13188 * t2434 + t13219 * t143 * t146 - 0.3e1 * t2760 * t2428 - t697 * t11563 + 0.1e2 * t13224 * t2440 + 0.1e2 / 0.3e1 * t13185 * t11505 + 0.2e1 * t2760 * t2443 + 0.6e1 * t693 * t11310 - 0.12e2 * t13205 * t11424 - 0.11e2 * t697 * t11316 + 0.72e2 * t13205 * t11320 - 0.24e2 * t13202 * t11421 - 0.6e1 * t237 * t10242;
  t13286 = t2746 * t312;
  t13289 = 0.18e2 * t13216 * t2362 + 0.6e1 * t691 * t1870 - 0.3e1 * t237 * t10207 - 0.3e1 * t693 * t11337 - 0.8e1 / 0.3e1 * t697 * t11378 + 0.5e1 * t697 * t11357 + 0.1e2 * t2782 * t11392 - 0.9e1 * t2765 * t11329 - 0.3e1 * t693 * t10277 - 0.12e2 * t2776 * t11436 - t2782 * t11385 / 0.3e1 - 0.36e2 * t13188 * t2395 - 0.6e1 * t2760 * t2376 - 0.6e1 * t13286 * t578;
  t13316 = -0.3e1 * t2811 * t402 - t13181 * t583 - 0.2e2 * t2782 * t11301 - 0.1e2 / 0.3e1 * t697 * t10211 + t2782 * t11407 / 0.6e1 - 0.6e1 * t2790 * t2410 + 0.8e1 * t13195 * t11288 - 0.2e1 * t13224 * t2398 - 0.4e1 / 0.3e1 * t13185 * t11297 + 0.18e2 * t13224 * t2401 - 0.28e2 * t2776 * t11306 + 0.56e2 / 0.3e1 * t2776 * t11340 - t237 * t10201 - 0.6e1 * t2790 * t2392;
  t13345 = -0.2e1 * t693 * t11433 + 0.6e1 * t13188 * t2366 + 0.4e1 / 0.3e1 * t13195 * t11313 - t2760 * t2413 - t697 * t11404 / 0.3e1 + 0.9e1 * t2765 * t11324 + 0.22e2 / 0.3e1 * t697 * t11345 + 0.6e1 * t2760 * t2380 - t13224 * t2371 / 0.3e1 - t13185 * t11413 / 0.9e1 - 0.3e1 * t691 * t1852 + 0.9e1 * t2760 * t2404 + 0.6e1 * t13181 * t587 + 0.18e2 * t2776 * t11349;
  t13373 = 0.4e1 * t697 * t11354 + 0.18e2 * t2782 * t11451 + 0.8e1 / 0.3e1 * t13185 * t11442 + 0.24e2 * t13185 * t11445 - 0.72e2 * t13195 * t11439 + 0.2e1 * t697 * t11389 - 0.9e1 * t2782 * t11360 + 0.2e1 / 0.3e1 * t697 * t11555 + 0.3e1 * t13286 * t597 + 0.3e1 / 0.2e1 * t2811 * t420 + 0.2e1 * t13181 * t591 + 0.3e1 * t2790 * t2430 + t693 * t11567 + 0.3e1 / 0.2e1 * t691 * t1877;
  t13384 = 0.3e1 / 0.2e1 * t719 * t1507 - t13101 * t166 / 0.6e1 + t1466 * t686 / 0.18e2 - t654 * t1499 / 0.12e2 - t1474 * t2476 / 0.12e2 - t10033 * t248 / 0.6e1 - t1463 * t738 / 0.6e1 - 0.3e1 / 0.2e1 * t2538 * t314 - t1410 * t686 / 0.12e2 + t2483 * t365 / 0.4e1 + 0.3e1 * t9731 * t2672 - 0.5e1 / 0.12e2 * t3930 * t11089 - t22 * t59 * (t13154 + t13191 + t13229 + t13257 + t13289 + t13316 + t13345 + t13373) * t96 / 0.4e1 - 0.5e1 / 0.2e1 * t2251 * t697 * t10891;
  t13403 = t1678 * t2548;
  t13407 = t1678 * t659;
  t13411 = t658 * t326;
  t13413 = t2169 * t500 * t13411;
  t13416 = t2266 * t2598;
  t13430 = 0.9e1 / 0.2e1 * t2251 * t2765 * t10759 - 0.9e1 * t2251 * t2776 * t10887 + 0.9e1 / 0.2e1 * t2265 * t2563 * t12132 - 0.9e1 / 0.2e1 * t1677 * t2563 * t12181 + 0.3e1 / 0.2e1 * t2251 * t693 * t10748 + 0.3e1 * t2251 * t2790 * t2252 - 0.3e1 * t1677 * t13403 * t636 - 0.3e1 / 0.2e1 * t1677 * t13407 * t328 - 0.3e1 * t9737 * t13413 - 0.3e1 * t2265 * t13416 * t622 + 0.3e1 / 0.2e1 * t1677 * t12952 * t645 - 0.11e2 / 0.6e1 * t2632 * t11151 - 0.3e1 / 0.2e1 * t10923 * t2560 - 0.3e1 / 0.2e1 * t2265 * t2563 * t2095;
  t13432 = t230 * t363;
  t13434 = t3935 * t1556 * t13432;
  t13440 = t476 * t230;
  t13442 = t2175 * t1675 * t13440;
  t13444 = t10470 * t231;
  t13448 = t10470 * t664;
  t13456 = t10943 * t2588;
  t13473 = -0.9e1 / 0.2e1 * t10863 * t13434 + 0.5e1 / 0.2e1 * t2255 * t697 * t10815 + t9737 * t13442 - 0.3e1 / 0.4e1 * t1677 * t13444 * t328 - 0.3e1 / 0.2e1 * t1677 * t13448 * t636 + 0.3e1 / 0.2e1 * t3917 * t11106 + 0.3e1 * t3917 * t11072 + 0.9e1 / 0.2e1 * t1677 * t13456 * t2203 + t10480 * t2672 - t11016 * t2564 + 0.9e1 / 0.2e1 * t4277 * t2782 * t11172 + 0.9e1 / 0.2e1 * t2255 * t2760 * t10156 - 0.9e1 / 0.2e1 * t2251 * t2760 * t2309 + 0.3e1 / 0.2e1 * t2632 * t12114;
  t13474 = t5208 * t326;
  t13476 = t2169 * t1675 * t13474;
  t13493 = t193 * t658;
  t13495 = t2175 * t1675 * t13493;
  t13498 = t10936 * t5504;
  t13510 = t3935 * t2263 * t5208;
  t13514 = t10733 * t1556 * t2566;
  t13517 = -0.3e1 * t9737 * t13476 + 0.3e1 * t1677 * t2698 * t12088 - t2674 * t12112 + 0.3e1 / 0.4e1 * t2632 * t12109 - t22 * t243 * t1801 / 0.4e1 - 0.3e1 / 0.4e1 * t22 * t2830 * t194 + 0.3e1 / 0.2e1 * t11018 * t2568 + 0.2e1 * t9737 * t13495 - 0.14e2 * t10796 * t13498 + 0.9e1 / 0.2e1 * t10809 * t2568 + t482 * t714 / 0.6e1 - t2632 * t11068 / 0.2e1 - 0.11e2 / 0.6e1 * t3930 * t10950 - 0.9e1 / 0.2e1 * t10796 * t13510 + 0.9e1 * t10796 * t13514;
  t13524 = t1678 * t669;
  t13528 = t230 * t1631;
  t13530 = t10775 * t500 * t13528;
  t13542 = t103 * t237;
  t13556 = -0.6e1 * t10752 * t5521 + 0.28e2 / 0.3e1 * t10752 * t5505 + 0.9e1 / 0.2e1 * t1677 * t13524 * t2136 + 0.11e2 / 0.3e1 * t9737 * t13530 + 0.3e1 / 0.2e1 * t1677 * t2701 * t1633 - 0.9e1 / 0.2e1 * t2251 * t2765 * t10755 - 0.3e1 * t2251 * t693 * t10723 + t13542 * t1687 / 0.6e1 - t12962 * t2176 / 0.6e1 + t12915 * t2165 / 0.3e1 - 0.3e1 / 0.2e1 * t4291 * t10991 + t12962 * t2172 / 0.4e1 + 0.2e1 / 0.3e1 * t10905 * t5521 - t10905 * t5505;
  t13562 = t22 * t243 * t1675;
  t13588 = t2266 * t2609;
  t13595 = -t10480 * t2702 / 0.2e1 + t10923 * t2696 - t10480 * t2699 - 0.3e1 / 0.4e1 * t13562 * t1680 + 0.9e1 / 0.2e1 * t10978 * t13456 * t2208 - 0.9e1 * t2265 * t13456 * t2213 + 0.11e2 / 0.3e1 * t3930 * t11005 - 0.9e1 * t4277 * t2782 * t10968 + 0.18e2 * t2255 * t2782 * t10972 + 0.7e1 * t3930 * t3931 * t11001 - 0.14e2 * t2255 * t2776 * t10960 + 0.14e2 * t2251 * t2776 * t10964 + 0.9e1 * t2265 * t13588 * t2145 - 0.9e1 * t1677 * t13588 * t2218;
  t13620 = t343 * t713 * t500;
  t13622 = t343 * t714;
  t13625 = t1428 * t244;
  t13630 = 0.2e1 / 0.3e1 * t2632 * t11206 - 0.3e1 / 0.2e1 * t3930 * t11220 + 0.3e1 * t3917 * t10957 + 0.11e2 / 0.2e1 * t2251 * t697 * t11140 - t368 * t2494 * t139 / 0.12e2 - t2486 * t380 / 0.6e1 + t719 * t1407 / 0.4e1 - t1492 * t686 / 0.12e2 - t377 * t2473 / 0.4e1 + 0.3e1 / 0.4e1 * t2538 * t365 + t338 * t13620 - t338 * t13622 / 0.4e1 - 0.5e1 / 0.36e2 * t1421 * t13625 - t661 * t1499 / 0.4e1;
  t13647 = t230 * t1609;
  t13649 = t2169 * t500 * t13647;
  t13658 = t500 * t13432;
  t13659 = t2175 * t13658;
  t13665 = t3931 * t13658;
  t13674 = -t233 * t10017 / 0.12e2 + 0.3e1 * t1677 * t13416 * t645 - t103 * t2831 / 0.4e1 - t103 * t2686 / 0.2e1 + t482 * t722 / 0.6e1 - t103 * t2689 / 0.4e1 + 0.3e1 / 0.2e1 * t2251 * t237 * t9720 - 0.4e1 / 0.3e1 * t9737 * t13649 - 0.3e1 / 0.4e1 * t1677 * t2701 * t1707 + 0.3e1 / 0.2e1 * t2251 * t693 * t10174 - 0.6e1 * t10870 * t13659 - 0.3e1 / 0.2e1 * t1677 * t2698 * t1693 + 0.7e1 * t10863 * t13665 + 0.3e1 / 0.2e1 * t1677 * t2563 * t2153 - 0.2e1 * t2251 * t697 * t11176;
  t13680 = my_piecewise3(t3, 0, t12365 + t13674 + t13058 + t12728 + t13630 + t12322 + t12548 + t12474 + t13556 + t12792 + t12262 + t12691 + t13517 + t12589 + t12977 + t13473 + t13430 + t12289 + t13018 + t12513 + t12653 + t12862 + t13595 + t12761 + t12937 + t12623 + t12901 + t12439 + t13095 + t13384 + t12830 + t12406);
  tv4rho3lapl0 = 0.2e1 * rho[0] * t13680 + 0.6e1 * t2870;

  if(out->v4rho3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 0] += tv4rho3lapl0;

  t13686 = t1462 * t865;
  t13710 = t368 * t3038;
  t13714 = t106 * t333 * t2981;
  t13717 = t2915 * t335;
  t13719 = t106 * t333 * t13717;
  t13726 = -0.3e1 / 0.2e1 * t2897 * t1578 + t13686 * t556 / 0.9e1 + t9832 * t859 / 0.3e1 - t1463 * t862 / 0.3e1 - t1741 * t4519 / 0.2e1 + 0.3e1 / 0.2e1 * t854 * t1581 - 0.2e1 / 0.9e1 * t11946 * t548 * t3330 - t1463 * t881 / 0.6e1 - 0.3e1 / 0.2e1 * t854 * t1694 + t2939 * t493 / 0.6e1 - t838 * t1640 / 0.2e1 + t843 * t1936 / 0.6e1 + t13710 * t2083 / 0.2e1 - 0.3e1 * t13714 * t11851 - t13719 * t549 / 0.4e1 - t2972 * t2086 / 0.2e1 - t2972 * t1949 / 0.4e1;
  t13727 = t802 * t1418;
  t13729 = t106 * t1415 * t13727;
  t13737 = my_piecewise3(t43, t110, 0.88e3 / 0.81e2 * t1979);
  t13738 = t108 * t13737;
  t13745 = t3213 * t1536;
  t13748 = t69 * t802;
  t13749 = t13748 * t1504;
  t13762 = t3207 * t9763;
  t13766 = t332 * t2915 * t394;
  t13769 = t13738 * t143 * t146 + 0.2e1 * t3214 * t2443 + 0.2e1 / 0.3e1 * t810 * t11555 - 0.12e2 * t13745 * t2434 + t13749 * t2437 / 0.6e1 + 0.1e2 * t13749 * t2440 - 0.3e1 * t3214 * t2428 - t810 * t11563 + 0.3e1 * t3236 * t2430 + t806 * t11567 + 0.3e1 / 0.2e1 * t804 * t1877 - 0.2e1 / 0.3e1 * t13762 * t11558 - 0.3e1 * t13766 * t601;
  t13772 = t809 * t9841;
  t13775 = t262 * t9879;
  t13782 = t803 * t1483;
  t13791 = t9897 * t256;
  t13792 = t13791 * t9904;
  t13804 = -0.9e1 * t13749 * t2420 + 0.24e2 * t13772 * t11499 + 0.12e2 * t13775 * t11459 + 0.3e1 * t263 * t10431 - 0.4e2 * t13762 * t11502 - 0.9e1 * t13782 * t2423 - 0.3e1 * t804 * t1898 - 0.36e2 * t13772 * t11462 + 0.36e2 * t13762 * t11478 - 0.12e2 * t13792 * t11481 + 0.1e2 / 0.3e1 * t13792 * t11505 + 0.5e2 / 0.3e1 * t13792 * t11467 + 0.18e2 * t13745 * t2417 - t13738 * t124 * t150 / 0.2e1;
  t13808 = t3261 * t312;
  t13815 = t3213 * t2351;
  t13818 = t809 * t11527;
  t13827 = t803 * t2344;
  t13830 = t3207 * t11548;
  t13833 = t262 * t11508;
  t13836 = t262 * t11520;
  t13841 = t263 * t10365 / 0.2e1 + 0.3e1 * t13808 * t597 + 0.3e1 / 0.2e1 * t3262 * t420 + 0.2e1 * t13766 * t591 + 0.3e1 * t13815 * t2353 + 0.56e2 * t13818 * t11599 + 0.6e1 * t3202 * t11575 + 0.6e1 * t4392 * t10374 + 0.4e1 / 0.3e1 * t3200 * t11581 + 0.12e2 * t13827 * t2348 - 0.36e2 * t13830 * t11529 - 0.12e2 * t13833 * t11512 - 0.18e2 * t13836 * t11524 + 0.4e1 * t13830 * t11605;
  t13870 = -0.6e1 * t3236 * t2410 - 0.3e1 * t263 * t10207 - 0.8e1 / 0.3e1 * t810 * t11378 - t3208 * t11385 / 0.3e1 + t3208 * t11407 / 0.6e1 + 0.18e2 * t3226 * t11349 + 0.5e1 * t810 * t11357 + 0.1e2 * t3208 * t11392 - 0.9e1 * t3221 * t11329 - 0.3e1 * t806 * t10277 - 0.12e2 * t3226 * t11436 - 0.3e1 * t806 * t11337 + 0.9e1 * t3214 * t2404 + 0.6e1 * t13766 * t587;
  t13901 = -0.9e1 * t3208 * t11360 + 0.4e1 * t810 * t11354 - 0.2e2 * t3208 * t11301 - 0.1e2 / 0.3e1 * t810 * t10211 - 0.4e1 / 0.3e1 * t13792 * t11297 - 0.28e2 * t3226 * t11306 - 0.12e2 * t13772 * t11424 + 0.6e1 * t806 * t11310 - 0.11e2 * t810 * t11316 + 0.8e1 / 0.3e1 * t13792 * t11442 + 0.24e2 * t13792 * t11445 + 0.18e2 * t3208 * t11451 - 0.36e2 * t13745 * t2395 - 0.2e1 * t13749 * t2398;
  t13916 = t809 * t11515;
  t13931 = -0.72e2 * t13762 * t11439 + 0.8e1 * t13762 * t11288 - 0.6e1 * t263 * t10242 - 0.24e2 * t13775 * t11421 + 0.6e1 * t804 * t1870 + 0.72e2 * t13772 * t11320 + 0.18e2 * t13782 * t2362 - 0.11e2 / 0.3e1 * t13916 * t11517 + 0.22e2 * t13916 * t11571 + 0.6e1 * t4402 * t11585 - 0.36e2 * t4402 * t11602 - 0.1e2 * t3200 * t11616 - 0.2e1 * t4405 * t11608 + 0.18e2 * t4397 * t11540;
  t13960 = 0.6e1 * t3202 * t10380 - 0.8e1 * t3200 * t11613 + 0.18e2 * t4405 * t11585 - 0.28e2 / 0.3e1 * t13818 * t11529 + 0.5e1 / 0.3e1 * t3200 * t10384 - t4405 * t11591 / 0.3e1 + 0.2e1 / 0.3e1 * t13830 * t11594 - 0.6e1 * t3214 * t2376 - 0.6e1 * t13808 * t578 - 0.3e1 * t3262 * t402 - t13766 * t583 + 0.56e2 / 0.3e1 * t3226 * t11340 + 0.6e1 * t3214 * t2380 + 0.2e1 * t810 * t11389;
  t13987 = 0.9e1 * t3221 * t11324 + 0.22e2 / 0.3e1 * t810 * t11345 - 0.6e1 * t3236 * t2392 - 0.2e1 * t806 * t11433 + 0.6e1 * t13745 * t2366 + 0.4e1 / 0.3e1 * t13762 * t11313 - t3214 * t2413 - t810 * t11404 / 0.3e1 - t13749 * t2371 / 0.3e1 - t13792 * t11413 / 0.9e1 - 0.3e1 * t804 * t1852 - t263 * t10201 + 0.18e2 * t13749 * t2401 - 0.18e2 * t13815 * t2355;
  t13995 = t22 * t3214;
  t14008 = t103 * t810;
  t14013 = t2266 * t2970;
  t14027 = -0.5e1 / 0.12e2 * t13729 * t2060 + t1463 * t873 / 0.3e1 + t1463 * t877 / 0.6e1 - t22 * t59 * (t13769 + t13804 + t13841 + t13870 + t13901 + t13931 + t13960 + t13987) * t96 / 0.4e1 - t13995 * t2183 + 0.2e1 * t13995 * t2187 - t3015 * t11210 - 0.11e2 / 0.6e1 * t4531 * t11114 + 0.9e1 / 0.2e1 * t2255 * t3214 * t10156 + 0.9e1 * t2255 * t3226 * t10801 - t14008 * t2183 / 0.3e1 + 0.2e1 / 0.3e1 * t14008 * t2187 - 0.3e1 * t2265 * t14013 * t622 + 0.9e1 / 0.2e1 * t2265 * t3012 * t12132 - 0.9e1 / 0.2e1 * t1677 * t3012 * t12181 + t372 * t3389 / 0.2e1 - t843 * t1640 / 0.6e1;
  t14029 = t368 * t3298;
  t14039 = t256 * t9762;
  t14041 = t106 * t1415 * t14039;
  t14051 = t802 * t1445;
  t14053 = t106 * t333 * t14051;
  t14073 = -t14029 * t2333 / 0.2e1 + t372 * t3049 / 0.4e1 - t259 * t9246 / 0.2e1 + t843 * t1612 / 0.12e2 + t13710 * t2226 - 0.23e2 / 0.3e1 * t14041 * t12194 + 0.3e1 * t3039 * t11837 - 0.6e1 * t3039 * t548 * t12197 + 0.22e2 / 0.3e1 * t14041 * t12191 + 0.3e1 * t14053 * t2226 - 0.6e1 * t14053 * t2229 + t2988 * t11137 / 0.2e1 - 0.11e2 / 0.6e1 * t3015 * t11151 + 0.11e2 / 0.3e1 * t3015 * t10775 * t500 * t10722 - 0.5e1 / 0.54e2 * t1817 * t289 - 0.3e1 / 0.2e1 * t4531 * t11220 - 0.9e1 * t2255 * t3208 * t11180;
  t14079 = t10784 * t857;
  t14094 = t2915 * t311;
  t14095 = t163 * t14094;
  t14115 = 0.9e1 / 0.2e1 * t4277 * t3208 * t11172 + 0.3e1 * t9731 * t3013 - 0.3e1 / 0.2e1 * t2265 * t14079 * t622 - 0.9e1 * t2251 * t3226 * t10887 + 0.9e1 / 0.2e1 * t10809 * t3098 - 0.9e1 / 0.2e1 * t10769 * t3009 - 0.3e1 / 0.2e1 * t1434 * t873 - 0.3e1 * t349 * t3337 - 0.3e1 / 0.2e1 * t162 * t14095 * t636 + t866 * t9453 / 0.3e1 + t2972 * t1944 + t866 * t548 * t1432 * t539 + t866 * t9448 + 0.3e1 / 0.4e1 * t349 * t3353 + t162 * t9079 * t262 * t165 / 0.4e1 + t13719 * t562 + 0.2e1 * t2972 * t2191;
  t14122 = t103 * t263;
  t14127 = t103 * t806;
  t14138 = t269 * t1556;
  t14139 = t1428 * t14138;
  t14144 = t106 * t158 * t268 * t1562;
  t14151 = t1514 * t270;
  t14154 = t1519 * t2891;
  t14157 = t496 * t827;
  t14161 = t343 * t826 * t500;
  t14165 = t106 * t158 * t825 * t506;
  t14168 = t9753 * t4655 / 0.2e1 + t9750 * t3105 / 0.6e1 + t14122 * t1687 / 0.6e1 - t14008 * t2176 / 0.6e1 + t14127 * t2165 / 0.3e1 + 0.3e1 / 0.2e1 * t2251 * t806 * t10748 + 0.3e1 / 0.2e1 * t2251 * t263 * t9720 - 0.3e1 / 0.2e1 * t9731 * t3191 - 0.3e1 / 0.2e1 * t1421 * t14139 + 0.3e1 / 0.2e1 * t14144 * t1568 - 0.3e1 * t2897 * t1573 + 0.3e1 / 0.2e1 * t2885 * t517 - t1421 * t14151 / 0.2e1 + 0.7e1 / 0.3e1 * t1421 * t14154 - t338 * t14157 / 0.2e1 + t338 * t14161 - 0.3e1 / 0.2e1 * t14165 * t513;
  t14169 = t1519 * t270;
  t14172 = t1428 * t2891;
  t14196 = t106 * t109 * t14094;
  t14212 = -0.11e2 / 0.18e2 * t1421 * t14169 + 0.23e2 / 0.36e2 * t1421 * t14172 - 0.3e1 * t854 * t1542 - 0.9e1 / 0.2e1 * t4531 * t3935 * t1556 * t10716 + 0.3e1 / 0.2e1 * t1677 * t14079 * t645 - 0.9e1 / 0.2e1 * t2251 * t3214 * t2309 + 0.2e1 * t2255 * t810 * t10820 - 0.2e1 * t2251 * t810 * t11176 - 0.3e1 * t10858 * t3386 + t14196 * t541 / 0.2e1 + t3030 * t2074 + t3030 * t2077 / 0.2e1 - t838 * t1728 / 0.2e1 - t838 * t1732 / 0.4e1 - t259 * t9075 / 0.4e1 - t259 * t9092 / 0.4e1 - t866 * t9470 / 0.12e2;
  t14214 = t256 * t9901;
  t14216 = t106 * t9926 * t14214;
  t14228 = t106 * t109 * t2970;
  t14237 = t368 * t3029;
  t14244 = t368 * t2982;
  t14257 = -0.35e2 / 0.108e3 * t14216 * t10529 - t2918 * t305 / 0.4e1 - t866 * t10604 / 0.4e1 - t866 * t9467 / 0.4e1 + t3052 * t2077 / 0.6e1 - 0.3e1 / 0.2e1 * t14228 * t2333 + t3052 * t2074 / 0.3e1 - 0.3e1 / 0.2e1 * t3299 * t11834 - t843 * t1732 / 0.12e2 + t14237 * t541 / 0.3e1 - t843 * t1728 / 0.6e1 - t2939 * t305 / 0.6e1 - 0.5e1 / 0.36e2 * t14244 * t2060 + 0.5e1 / 0.3e1 * t14041 * t11038 - t22 * t1918 * t288 / 0.4e1 - 0.3e1 / 0.4e1 * t22 * t427 * t793 + t482 * t757 / 0.6e1;
  t14267 = t439 * t1755;
  t14271 = t23 * t1748 * tau[0];
  t14286 = 0.1e1 / t25 / t9507;
  t14298 = -0.26e4 / 0.3e1 * t14267 * t84 - 0.328e5 / 0.9e1 * t471 * t14271 + 0.328e5 / 0.27e2 * t447 * t14271 + 0.1312e5 / 0.3e1 * t454 * t14271 + 0.1312e5 / 0.27e2 * t459 * t14271 - 0.164e6 / 0.27e2 * t464 * t14271 + 0.44e3 / 0.27e2 * t359 * t78 + 0.2e5 / 0.9e1 * t1753 * t24 * t14286 * t181 + 0.65e5 * t1765 * t14267 + 0.91e5 / 0.3e1 * t1770 * t14267 - 0.442e5 / 0.3e1 * t1752 * t14267 - 0.676e5 / 0.3e1 * t1759 * t14267;
  t14315 = t14286 * t1753 * t24;
  t14326 = 0.26e5 * t1762 * t14267 - 0.656e4 / 0.27e2 * tau[0] * t23 * t1749 + 0.44e3 / 0.27e2 * t174 * t359 - 0.88e3 / 0.9e1 * t178 * t359 - 0.88e3 / 0.9e1 * t182 * t359 + 0.22e4 / 0.27e2 * t185 * t359 + 0.22e4 / 0.27e2 * t190 * t359 + 0.4e5 / 0.3e1 * t9512 * t14315 + 0.4e5 / 0.9e1 * t9523 * t14315 - 0.16e6 / 0.3e1 * t9528 * t14315 - 0.7e6 / 0.9e1 * t9533 * t14315 - 0.28e6 / 0.9e1 * t9540 * t14315;
  t14332 = t400 * t269;
  t14333 = t14332 * t1686;
  t14358 = t2233 * t2946;
  t14362 = t2057 * t507 * t884;
  t14365 = -0.3e1 / 0.4e1 * t22 * t826 * t477 - t22 * t269 * t1801 / 0.4e1 - 0.3e1 / 0.4e1 * t22 * t154 * t3181 - t22 * t65 * t169 * (t14298 + t14326) / 0.4e1 + t1683 * t14333 / 0.4e1 + 0.11e2 / 0.3e1 * t4531 * t11005 - 0.11e2 / 0.6e1 * t4531 * t10950 + 0.5e1 / 0.6e1 * t3015 * t11111 - t3015 * t11068 / 0.2e1 - 0.5e1 / 0.54e2 * t1817 * t270 - t103 * t3132 / 0.4e1 - t103 * t3135 / 0.2e1 - t103 * t3129 / 0.2e1 - t103 * t3182 / 0.4e1 - t103 * t3185 / 0.4e1 + t482 * t794 / 0.6e1 + 0.7e1 / 0.3e1 * t1421 * t14358 - 0.3e1 / 0.2e1 * t1421 * t14362;
  t14383 = t1649 * t2962;
  t14386 = t555 * t2966;
  t14389 = t884 * t1824;
  t14411 = -0.61e2 / 0.27e2 * t14216 * t12210 + 0.44e2 / 0.27e2 * t14216 * t12207 - 0.11e2 / 0.6e1 * t2983 * t10503 + 0.23e2 / 0.12e2 * t2983 * t12198 - 0.11e2 / 0.6e1 * t13729 * t2234 + 0.23e2 / 0.12e2 * t13729 * t2321 + 0.3e1 / 0.2e1 * t854 * t1657 + t338 * t14383 / 0.2e1 - t338 * t14386 / 0.2e1 - 0.3e1 * t509 * t14389 * t1572 + 0.3e1 / 0.2e1 * t162 * t14389 * t1506 + 0.3e1 / 0.2e1 * t2897 * t1667 - 0.3e1 / 0.2e1 * t854 * t1672 - 0.3e1 / 0.2e1 * t2897 * t1654 + 0.3e1 / 0.2e1 * t1565 * t14389 * t1567 + 0.7e1 * t2983 * t12204 - 0.9e1 / 0.2e1 * t2983 * t2057 * t1551 * t2058;
  t14416 = t2233 * t885;
  t14419 = t555 * t3378;
  t14422 = t555 * t3382;
  t14431 = t163 * t3037;
  t14444 = t9743 * t3104;
  t14447 = t1678 * t3028;
  t14451 = t1678 * t836;
  t14457 = 0.7e1 * t13729 * t2328 - 0.9e1 / 0.2e1 * t13729 * t2223 - 0.11e2 / 0.18e2 * t1421 * t14416 - t338 * t14419 / 0.2e1 - t338 * t14422 / 0.2e1 - 0.2e1 * t13710 * t2229 - 0.11e2 / 0.18e2 * t14244 * t2234 + 0.23e2 / 0.36e2 * t14244 * t2321 - 0.6e1 * t162 * t14431 * t11055 + 0.3e1 / 0.2e1 * t372 * t3114 - 0.3e1 / 0.2e1 * t162 * t876 * t9695 + t372 * t3122 / 0.2e1 - t9747 * t4753 / 0.4e1 + t1683 * t14444 / 0.4e1 - 0.3e1 * t1677 * t14447 * t636 - 0.3e1 / 0.2e1 * t1677 * t14451 * t328 - t2902 * t329 / 0.4e1;
  t14460 = t490 * t2961 * t1610;
  t14463 = t1711 * t2962;
  t14468 = t548 * t2966;
  t14471 = t2961 * t1942;
  t14472 = t302 * t14471;
  t14481 = t825 * t66;
  t14483 = t490 * t14481 * t491;
  t14500 = t3624 * t169 * t287 * t1631;
  t14509 = t127 * t14460 / 0.12e2 + t338 * t14463 / 0.4e1 - t377 * t2967 / 0.4e1 - t338 * t14468 / 0.4e1 + t11936 * t14472 / 0.2e1 - t487 * t2963 / 0.3e1 + t487 * t2967 / 0.2e1 + t377 * t2963 / 0.6e1 + t127 * t14483 / 0.4e1 - t103 * t3285 / 0.4e1 - 0.11e2 / 0.2e1 * t2255 * t810 * t11188 + 0.11e2 / 0.2e1 * t2251 * t810 * t11140 - 0.3e1 / 0.2e1 * t10923 * t3009 + 0.3e1 / 0.2e1 * t11018 * t3098 - t1683 * t14500 / 0.6e1 + t1677 * t3063 * t1633 / 0.2e1 - 0.3e1 / 0.4e1 * t1677 * t3190 * t1707;
  t14545 = -0.3e1 * t9731 * t3109 + 0.3e1 / 0.2e1 * t162 * t3358 * t1633 - t1479 * t877 / 0.2e1 + t372 * t3367 / 0.2e1 - 0.3e1 / 0.2e1 * t162 * t3365 * t389 * t313 - t372 * t3370 / 0.2e1 + t1479 * t890 / 0.2e1 - 0.3e1 / 0.2e1 * t349 * t3293 + t487 * t3383 / 0.2e1 - t1474 * t3373 / 0.12e2 + t1448 * t3373 / 0.2e1 - t369 * t3379 / 0.6e1 + t487 * t3379 / 0.2e1 - t369 * t3383 / 0.6e1 - t1410 * t886 / 0.12e2 - t11016 * t3386 + t10480 * t3013;
  t14564 = t10470 * t871;
  t14568 = t10470 * t257;
  t14575 = t10943 * t2981;
  t14593 = t1684 * t169 * t287 * t1609;
  t14596 = 0.3e1 / 0.2e1 * t3015 * t12114 - 0.3e1 * t3015 * t2169 * t1675 * t12107 + 0.3e1 * t1677 * t3108 * t12088 - t2988 * t12112 + 0.3e1 / 0.4e1 * t3015 * t12109 + 0.23e2 / 0.12e2 * t4531 * t11002 - 0.5e1 / 0.3e1 * t3015 * t10712 - 0.3e1 / 0.2e1 * t1677 * t14564 * t636 - 0.3e1 / 0.4e1 * t1677 * t14568 * t328 - 0.9e1 * t4277 * t3208 * t10968 + 0.9e1 / 0.2e1 * t10978 * t14575 * t2208 + t9734 * t3105 / 0.12e2 - t9756 * t3105 / 0.3e1 - t1677 * t3063 * t1707 / 0.4e1 - t10480 * t3064 / 0.4e1 + 0.3e1 / 0.2e1 * t1677 * t3190 * t1633 + t1683 * t14593 / 0.12e2;
  t14627 = t4541 * t336;
  t14631 = t4541 * t1939;
  t14642 = t3006 * t9996 / 0.4e1 - 0.3e1 / 0.2e1 * t1677 * t3062 * t1928 * t636 + 0.2e1 / 0.3e1 * t3015 * t11206 - 0.4e1 / 0.3e1 * t3015 * t2169 * t500 * t10747 + 0.3e1 / 0.2e1 * t13995 * t2295 - 0.3e1 * t13995 * t2300 + t14008 * t2172 / 0.4e1 - t1677 * t3062 * t375 * t328 / 0.2e1 - t14127 * t2302 / 0.3e1 - t2988 * t11079 / 0.2e1 - t3006 * t9991 / 0.2e1 + t3015 * t11084 / 0.3e1 + 0.3e1 / 0.2e1 * t2265 * t14627 * t1666 + 0.3e1 / 0.2e1 * t1677 * t14631 * t2153 - 0.3e1 / 0.2e1 * t1677 * t14627 * t1671 + t10022 * t274 / 0.4e1 - t259 * t10017 / 0.12e2;
  t14664 = t368 * t2896;
  t14683 = -t2918 * t380 / 0.4e1 - t838 * t1499 / 0.4e1 - t106 * t109 * t13737 * t124 * t139 / 0.12e2 + t1462 * t837 * t139 / 0.18e2 + t2911 * t380 / 0.18e2 - t1474 * t2934 / 0.12e2 - t1474 * t2888 / 0.6e1 - 0.2e1 * t1448 * t2892 - t14664 * t513 / 0.2e1 + t2902 * t517 / 0.2e1 + 0.3e1 * t2897 * t1538 + t1448 * t2888 - t2902 * t314 / 0.2e1 - t1456 * t848 / 0.2e1 + t1469 * t848 / 0.6e1 - t368 * t2917 * t139 / 0.12e2 + 0.3e1 / 0.4e1 * t1434 * t833;
  t14686 = t163 * t2970;
  t14695 = t368 * t2971;
  t14720 = 0.3e1 / 0.4e1 * t349 * t2931 + 0.9e1 / 0.2e1 * t162 * t14686 * t2136 - t1479 * t873 + t3057 * t1944 / 0.3e1 + 0.2e1 / 0.3e1 * t3057 * t2191 + 0.2e1 / 0.3e1 * t14695 * t562 + t1479 * t881 / 0.2e1 + t372 * t3353 / 0.4e1 - t372 * t3362 / 0.4e1 + 0.3e1 / 0.2e1 * t349 * t3122 - t372 * t3359 / 0.2e1 + 0.18e2 * t10634 * t3309 - t1529 * t3316 / 0.2e1 - 0.3e1 / 0.2e1 * t10657 * t3309 - t1529 * t3314 - t10077 * t859 - t3057 * t2068 / 0.3e1 - t3057 * t2071 / 0.6e1;
  t14753 = t1637 * t2961 * t1638;
  t14757 = -0.28e2 * t10634 * t3331 - t14695 * t556 / 0.3e1 + 0.7e1 / 0.3e1 * t10657 * t3331 + t372 * t3334 + t372 * t3327 / 0.2e1 + t1479 * t862 + 0.9e1 / 0.2e1 * t349 * t3114 - t372 * t3337 - t3057 * t2086 / 0.6e1 + 0.3e1 / 0.2e1 * t3039 * t10566 - t3057 * t1949 / 0.12e2 - t14695 * t549 / 0.6e1 + 0.3e1 / 0.2e1 * t14053 * t2083 - t369 * t2967 / 0.6e1 + t369 * t2963 / 0.12e2 - t127 * t14753 / 0.6e1 + t854 * t1698;
  t14775 = t1678 * t857;
  t14801 = t854 * t1634 / 0.2e1 + t2902 * t298 / 0.2e1 - 0.3e1 / 0.2e1 * t854 * t1621 - 0.7e1 / 0.3e1 * t4571 * t11095 + 0.7e1 * t4531 * t3931 * t10717 + 0.9e1 / 0.2e1 * t2251 * t3208 * t11184 - 0.9e1 / 0.2e1 * t2251 * t3221 * t10755 + 0.9e1 / 0.2e1 * t1677 * t14775 * t2136 + t10923 * t2986 - t10480 * t3109 - 0.3e1 * t2251 * t806 * t10723 - 0.9e1 * t2265 * t14575 * t2213 + 0.9e1 / 0.2e1 * t1677 * t14575 * t2203 + 0.3e1 * t4531 * t11021 + 0.18e2 * t2255 * t3208 * t10972 - 0.14e2 * t2255 * t3226 * t10960 + 0.14e2 * t2251 * t3226 * t10964;
  t14803 = t2266 * t3037;
  t14834 = t548 * t852 * t1942;
  t14836 = t548 * t14471;
  t14839 = t548 * t3382;
  t14842 = t2057 * t885;
  t14845 = 0.9e1 * t2265 * t14803 * t2145 - 0.9e1 * t1677 * t14803 * t2218 - 0.3e1 / 0.2e1 * t4531 * t10994 - 0.3e1 / 0.4e1 * t22 * t3284 * t194 - t2911 * t493 / 0.18e2 + t13686 * t549 / 0.18e2 + t259 * t9328 / 0.4e1 + t259 * t9312 / 0.4e1 + t259 * t9432 / 0.12e2 + t894 * t10545 / 0.6e1 + t2918 * t493 / 0.4e1 + t838 * t1936 / 0.2e1 + t838 * t1612 / 0.4e1 + t1941 * t14834 - t1941 * t14836 / 0.4e1 - t338 * t14839 / 0.4e1 - 0.5e1 / 0.36e2 * t1421 * t14842;
  t14848 = t548 * t3378;
  t14877 = t1462 * t893;
  t14880 = t163 * t2916;
  t14894 = -t377 * t3383 / 0.4e1 - t338 * t14848 / 0.4e1 + 0.3e1 / 0.2e1 * t349 * t3389 + 0.3e1 / 0.4e1 * t162 * t1643 * t803 * t165 + 0.3e1 / 0.4e1 * t162 * t296 * t3261 * t165 - t1492 * t886 / 0.12e2 - t377 * t3379 / 0.4e1 + t2911 * t305 / 0.18e2 + 0.3e1 / 0.4e1 * t349 * t3049 + 0.3e1 / 0.4e1 * t162 * t3365 * t386 * t165 + t162 * t884 * t1833 * t165 / 0.4e1 - t14877 * t541 / 0.9e1 - 0.3e1 / 0.4e1 * t162 * t14880 * t328 - 0.3e1 / 0.4e1 * t162 * t3358 * t1707 - t162 * t876 * t9632 / 0.4e1 + 0.3e1 / 0.4e1 * t1434 * t881 - 0.3e1 / 0.2e1 * t349 * t3370;
  t14928 = t792 * t108;
  t14936 = t548 * t852 * t296;
  t14940 = -0.3e1 / 0.2e1 * t162 * t3336 * t1693 - t162 * t872 * t9617 / 0.2e1 - 0.3e1 / 0.4e1 * t1434 * t877 - 0.3e1 / 0.2e1 * t349 * t3359 - 0.3e1 / 0.4e1 * t349 * t3362 + 0.3e1 * t1677 * t14013 * t645 - t9747 * t4562 / 0.2e1 + t14008 * t2295 / 0.2e1 - t14008 * t2300 - 0.9e1 * t2251 * t3208 * t11024 + 0.3e1 / 0.2e1 * t2251 * t806 * t10174 - 0.3e1 / 0.2e1 * t1677 * t3108 * t1693 + 0.3e1 * t10769 * t2986 - 0.3e1 / 0.4e1 * t1677 * t14928 * t125 * t328 + 0.3e1 / 0.4e1 * t854 * t1716 + t338 * t14936 - 0.3e1 / 0.4e1 * t2885 * t329;
  t14946 = t1711 * t852 * t491;
  t14949 = t302 * t14481 * t296;
  t14964 = t193 * t256;
  t14985 = -t854 * t1703 / 0.2e1 - t854 * t1708 / 0.4e1 - t338 * t14946 - t127 * t14949 / 0.2e1 + 0.3e1 / 0.2e1 * t2885 * t298 + t894 * t10560 / 0.2e1 + t894 * t10563 / 0.2e1 - t259 * t9081 / 0.12e2 + 0.9e1 * t10796 * t10733 * t1556 * t3096 - 0.9e1 / 0.2e1 * t10796 * t3935 * t2263 * t14964 + 0.5e1 / 0.2e1 * t2255 * t810 * t10815 - 0.3e1 / 0.2e1 * t2265 * t3012 * t2095 + t1677 * t3062 * t485 * t328 + 0.3e1 / 0.2e1 * t4538 * t10986 - 0.11e2 / 0.12e2 * t3015 * t11145 - t3006 * t9978 / 0.2e1 + t2988 * t11148;
  t15009 = t510 * t13717;
  t15014 = t548 * t347 * t884;
  t15017 = t548 * t160 * t3365;
  t15019 = t2057 * t2946;
  t15024 = t3365 * t393;
  t15034 = -0.3e1 / 0.2e1 * t4538 * t10991 - 0.5e1 / 0.2e1 * t2251 * t810 * t10891 + 0.3e1 / 0.2e1 * t1677 * t3012 * t2153 - t866 * t10572 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t3313 * t2153 + t162 * t858 * t12152 / 0.2e1 + 0.3e1 / 0.2e1 * t1434 * t862 + 0.3e1 * t349 * t3334 + 0.3e1 / 0.2e1 * t349 * t3327 + 0.3e1 / 0.2e1 * t162 * t15009 * t645 + t338 * t15014 + t338 * t15017 + 0.23e2 / 0.36e2 * t1421 * t15019 - 0.3e1 / 0.2e1 * t1553 * t2951 - 0.3e1 / 0.2e1 * t509 * t15024 * t512 + 0.3e1 * t2251 * t3236 * t2252 + 0.9e1 / 0.2e1 * t2251 * t3221 * t10759;
  t15068 = t2294 * t3104;
  t15076 = t3015 * t9740 - 0.23e2 / 0.6e1 * t4531 * t10998 + 0.3e1 / 0.2e1 * t3015 * t11203 - 0.3e1 * t3015 * t10910 * t2299 + 0.3e1 * t4571 * t11072 - 0.6e1 * t4571 * t2175 * t10717 + 0.2e1 * t3015 * t10729 * t2186 - t3015 * t11212 / 0.2e1 + t3015 * t2175 * t1675 * t10702 + 0.23e2 / 0.12e2 * t4531 * t10718 + t482 * t827 / 0.6e1 + 0.3e1 / 0.2e1 * t4571 * t11098 + 0.3e1 / 0.4e1 * t13995 * t2172 + 0.3e1 / 0.4e1 * t3015 * t11010 - t3015 * t10730 / 0.2e1 + t9714 * t15068 / 0.2e1 - 0.14e2 / 0.3e1 * t4571 * t10954 + 0.28e2 / 0.3e1 * t4571 * t2169 * t10997;
  t15090 = t2169 * t3104;
  t15097 = t1684 * t169 * t792 * t326;
  t15115 = t106 * t109 * t3037;
  t15124 = 0.3e1 * t4571 * t10957 - 0.6e1 * t4571 * t2175 * t11001 - t10480 * t3191 / 0.2e1 - 0.3e1 / 0.2e1 * t2265 * t14631 * t2095 + t9714 * t15090 / 0.4e1 - 0.3e1 / 0.4e1 * t9731 * t3064 + t1683 * t15097 / 0.4e1 + t1469 * t886 / 0.6e1 - t1456 * t886 / 0.2e1 + t1466 * t886 / 0.18e2 - t372 * t3293 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t884 * t1843 * t1484 - t1463 * t890 / 0.6e1 + 0.2e1 * t15115 * t11744 + t259 * t9689 / 0.2e1 + t482 * t760 / 0.6e1 + 0.3e1 / 0.4e1 * t854 * t1645;
  t15154 = t138 * t3285;
  t15159 = t106 * t158 * t3283 * t159;
  t15164 = t1462 * t853;
  t15167 = 0.3e1 / 0.2e1 * t349 * t2954 + 0.3e1 / 0.2e1 * t162 * t15024 * t516 - 0.3e1 / 0.2e1 * t509 * t15009 * t622 - 0.3e1 / 0.2e1 * t509 * t3313 * t2095 - t509 * t858 * t12142 / 0.2e1 - 0.3e1 / 0.2e1 * t10084 * t859 - 0.3e1 * t1553 * t3314 - 0.3e1 / 0.2e1 * t1553 * t3316 - t866 * t10575 / 0.2e1 - t866 * t10555 / 0.6e1 - t13719 * t556 / 0.2e1 - t2972 * t2068 - t2972 * t2071 / 0.2e1 - t127 * t15154 / 0.4e1 + 0.3e1 / 0.4e1 * t15159 * t166 + t1466 * t848 / 0.18e2 - t15164 * t166 / 0.6e1;
  t15185 = t1428 * t270;
  t15194 = t343 * t827;
  t15207 = t372 * t2931 / 0.4e1 + t1479 * t833 / 0.2e1 + t10015 * t274 / 0.4e1 - t843 * t1499 / 0.12e2 - t2939 * t380 / 0.6e1 - t377 * t2880 / 0.4e1 - t1492 * t848 / 0.12e2 + t854 * t1407 / 0.4e1 - 0.5e1 / 0.36e2 * t1421 * t15185 + 0.3e1 / 0.4e1 * t2885 * t365 + t162 * t163 * t13737 * t165 / 0.4e1 - t338 * t15194 / 0.4e1 - t10033 * t274 / 0.6e1 - t1463 * t833 / 0.6e1 - t1410 * t848 / 0.12e2 + t2902 * t365 / 0.4e1 + t1474 * t2892 / 0.3e1;
  t15216 = t368 * t2884;
  t15227 = t22 * t3236;
  t15235 = t9898 * t14214;
  t15244 = t2324 * t885;
  t15247 = -0.3e1 / 0.2e1 * t2885 * t314 + t487 * t2880 / 0.2e1 + t1448 * t2934 / 0.2e1 - t369 * t2880 / 0.6e1 + t15216 * t166 / 0.2e1 - 0.5e1 / 0.162e3 * t10006 * t258 * t139 - t2988 * t11008 - 0.3e1 / 0.2e1 * t4538 * t11101 - t2988 * t10003 / 0.2e1 - t15227 * t2302 + 0.3e1 / 0.2e1 * t854 * t1485 + 0.5e1 / 0.54e2 * t10010 * t274 + 0.3e1 / 0.2e1 * t854 * t1507 - 0.6e1 * t9944 * t15235 * t11962 + 0.6e1 * t162 * t15235 * t11277 - 0.2e1 * t14216 * t11250 - t1421 * t15244 / 0.2e1;
  t15262 = t1502 * t14039;
  t15274 = t22 * t269 * t1675;
  t15279 = t884 * t1820;
  t15294 = 0.18e2 * t1565 * t15235 * t11265 - 0.18e2 * t509 * t15235 * t11272 + 0.3e1 / 0.2e1 * t372 * t3003 + 0.3e1 / 0.2e1 * t9774 * t2992 - 0.3e1 * t1529 * t3000 - 0.18e2 * t1565 * t15262 * t11698 - t14244 * t2325 / 0.2e1 + 0.6e1 * t14041 * t11253 + 0.36e2 * t509 * t15262 * t11728 - 0.3e1 / 0.4e1 * t15274 * t1680 - 0.5e1 / 0.12e2 * t2983 * t10519 + 0.3e1 * t509 * t15279 * t1537 + t372 * t2954 / 0.2e1 - 0.3e1 * t162 * t15279 * t1541 - 0.2e1 * t1448 * t2947 - t1529 * t2951 / 0.2e1 + t1474 * t2947 / 0.3e1;
  t15296 = t302 * t9073 * t884;
  t15302 = t302 * t1726 * t3365;
  t15307 = params->at * t3180;
  t15309 = t302 * t303 * t15307;
  t15317 = t302 * t2961 * t1643;
  t15325 = t510 * t2981;
  t15346 = -t127 * t15296 / 0.4e1 + 0.3e1 / 0.4e1 * t1434 * t890 - t127 * t15302 / 0.2e1 + 0.3e1 / 0.2e1 * t349 * t3367 - t127 * t15309 / 0.4e1 + 0.3e1 / 0.4e1 * t162 * t15307 * t142 * t165 - t127 * t15317 / 0.4e1 - 0.18e2 * t162 * t15262 * t11240 - 0.3e1 * t372 * t3089 - 0.18e2 * t509 * t15325 * t11702 + 0.18e2 * t162 * t15325 * t11694 + 0.3e1 * t1529 * t3081 - t1474 * t2997 / 0.6e1 + t1448 * t2997 - 0.6e1 * t13714 * t11749 + 0.12e2 * t13714 * t548 * t11259 + 0.8e1 * t10643 * t10526 * t1563 * t3307;
  t15348 = t1502 * t13727;
  t15363 = t10653 * t3330;
  t15366 = t10649 * t3308;
  t15371 = t510 * t14051;
  t15391 = 0.9e1 / 0.2e1 * t1565 * t15348 * t2208 - 0.38e2 / 0.9e1 * t14216 * t11256 + 0.9e1 / 0.2e1 * t10026 * t2992 - 0.3e1 / 0.2e1 * t13729 * t2325 - 0.3e1 / 0.2e1 * t2983 * t12201 + 0.9e1 / 0.2e1 * t162 * t15348 * t2203 + 0.47e2 / 0.3e1 * t10643 * t15363 - 0.62e2 / 0.3e1 * t10643 * t15366 - 0.9e1 * t349 * t3089 + 0.9e1 * t509 * t15371 * t2145 - 0.9e1 * t162 * t15371 * t2218 - 0.9e1 * t1553 * t3000 + 0.9e1 / 0.2e1 * t349 * t3003 - 0.9e1 * t509 * t15348 * t2213 + 0.89e2 / 0.9e1 * t14216 * t11260 - 0.43e2 / 0.9e1 * t14216 * t10638 + 0.9e1 * t1553 * t3081;
  t15406 = t22 * t804;
  t15419 = t287 * t363;
  t15421 = t2175 * t1675 * t15419;
  t15424 = t2169 * t1675 * t3103;
  t15426 = t500 * t3096;
  t15430 = t1675 * t14964;
  t15434 = t2988 * t10739 / 0.2e1 + t3006 * t10477 / 0.4e1 - t3015 * t10704 / 0.4e1 + t2988 * t10708 + t3006 * t9744 / 0.2e1 + 0.5e1 / 0.6e1 * t4531 * t10736 - 0.5e1 / 0.12e2 * t4531 * t11092 + t15227 * t2165 + t15406 * t1687 / 0.2e1 + 0.3e1 / 0.2e1 * t4571 * t11106 + 0.5e1 / 0.12e2 * t3015 * t11126 - 0.5e1 / 0.12e2 * t4531 * t11089 - t3015 * t10185 / 0.4e1 - t13995 * t2176 / 0.2e1 + t9737 * t15421 - t9714 * t15424 - 0.14e2 * t10796 * t10936 * t15426 + 0.7e1 * t10796 * t3931 * t15430;
  t15440 = my_piecewise3(t3, 0, t14115 + t15247 + t15034 + t14027 + t15207 + t15434 + t15076 + t15346 + t15124 + t14073 + t14845 + t14212 + t14985 + t15167 + t14894 + t14940 + t15294 + t14801 + t15391 + t14757 + t14720 + t13726 + t14683 + t14642 + t14596 + t14168 + t14545 + t14509 + t14457 + t14411 + t14365 + t14257);
  tv4rho3tau0 = 0.2e1 * rho[0] * t15440 + 0.6e1 * t3398;

  if(out->v4rho3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 0] += tv4rho3tau0;

  t15444 = t3463 * t326;
  t15445 = t96 * t15444;
  t15446 = t11150 * t15445;
  t15449 = t3619 * t122;
  t15450 = t169 * t15449;
  t15451 = t2294 * t15450;
  t15454 = t1868 * t15444;
  t15466 = t3624 * t15445;
  t15470 = t1630 * t989 * t326;
  t15474 = t320 * t989 * t122;
  t15482 = t3409 / 0.6e1;
  t15483 = t3429 / 0.6e1;
  t15484 = t3444 / 0.18e2;
  t15485 = t3459 / 0.2e1;
  t15489 = -0.5e1 / 0.6e1 * t2168 * t15446 + t2168 * t15451 / 0.3e1 - 0.2e1 * t2251 * t576 * t15454 + 0.5e1 / 0.3e1 * t2168 * t10775 * t500 * t15444 - 0.2e1 / 0.3e1 * t2168 * t2169 * t1675 * t15449 + 0.2e1 / 0.3e1 * t2161 * t15466 + t1677 * t2305 * t15470 + t1677 * t2270 * t15474 - t103 * t3645 / 0.6e1 - t22 * t3884 * t194 / 0.2e1 - t15482 + t15483 - t15484 + t15485 - t22 * t971 * t477 / 0.4e1 - t913 + t984;
  t15493 = t193 * t908;
  t15495 = t2175 * t1675 * t15493;
  t15497 = 0.2e1 / 0.3e1 * t9737 * t15495;
  t15498 = t908 * t326;
  t15500 = t2169 * t500 * t15498;
  t15501 = t9737 * t15500;
  t15502 = t1678 * t909;
  t15505 = t1677 * t15502 * t328 / 0.2e1;
  t15508 = t205 * t530;
  t15509 = t500 * t15508;
  t15510 = t2175 * t15509;
  t15516 = t2266 * t3481;
  t15520 = t193 * t914;
  t15521 = t1675 * t15520;
  t15522 = t3931 * t15521;
  t15528 = t914 * t326;
  t15529 = t500 * t15528;
  t15530 = t10936 * t15529;
  t15533 = 0.2e1 / 0.3e1 * t3488;
  t15534 = t3490 / 0.3e1;
  t15537 = t122 * t1418;
  t15538 = t1415 * t15537;
  t15539 = t106 * t15538;
  t15540 = t347 * t6563;
  t15541 = t2233 * t15540;
  t15547 = -0.2e1 * t2265 * t2267 * t3680 + t15497 - t15501 - t15505 + t482 * t972 / 0.18e2 - 0.8e1 * t10870 * t15510 - 0.2e1 * t1677 * t2270 * t3513 - 0.6e1 * t1677 * t15516 * t645 + 0.14e2 / 0.3e1 * t10863 * t15522 + 0.11e2 * t2251 * t3803 * t2309 - 0.35e2 / 0.3e1 * t10863 * t15530 + t15533 - t15534 - 0.2e1 * t610 * t2110 + 0.14e2 / 0.3e1 * t15539 * t15541 + t349 * t3517 - 0.2e1 * t349 * t3521;
  t15552 = t333 * t122 * t1445;
  t15553 = t106 * t15552;
  t15554 = t548 * t15540;
  t15568 = t914 * t9901;
  t15570 = t106 * t9926 * t15568;
  t15571 = t10526 * t2222;
  t15575 = t530 * t122;
  t15576 = t96 * t15575;
  t15577 = t2182 * t15576;
  t15580 = t96 * t10882;
  t15581 = t2294 * t15580;
  t15584 = t3931 * t15576;
  t15593 = 0.2e1 * t349 * t3558 - 0.4e1 * t15553 * t15554 - t349 * t3712 - 0.2e1 * t349 * t3514 + 0.3e1 * t349 * t3704 + t349 * t3708 - 0.4e1 / 0.3e1 * t922 * t9583 + t610 * t2154 - 0.3e1 / 0.2e1 * t3502 * t9070 - 0.43e2 / 0.9e1 * t15570 * t15571 - t1972 * t2096 + 0.4e1 * t10953 * t15577 + 0.4e1 / 0.3e1 * t2168 * t15581 - 0.22e2 / 0.9e1 * t10715 * t15584 + 0.6e1 * t1553 * t3683 - 0.6e1 * t1553 * t3595 - 0.6e1 * t349 * t3573;
  t15602 = t349 * t3584;
  t15603 = t1553 * t3587;
  t15606 = t22 * t3792;
  t15607 = t2169 * t2164;
  t15609 = t2169 * t15576;
  t15612 = t10775 * t2171;
  t15615 = t405 * t218;
  t15616 = t15615 * t2164;
  t15619 = t2169 * t15529;
  t15622 = t1678 * t915;
  t15632 = t145 * t15575;
  t15636 = t400 * t10882;
  t15640 = t1862 * t218;
  t15641 = t15640 * t2171;
  t15643 = 0.2e1 * t610 * t2241 - 0.2e1 * t1972 * t2119 + 0.3e1 * t10026 * t3496 + 0.3e1 * t349 * t3577 + t15602 - t15603 - 0.2e1 * t12082 * t623 - t15606 * t15607 - 0.2e1 * t10715 * t15609 + 0.5e1 / 0.2e1 * t15606 * t15612 - 0.2e1 / 0.3e1 * t2168 * t15616 + 0.22e2 / 0.3e1 * t10870 * t15619 + t1677 * t15622 * t328 + 0.3e1 * t1677 * t1678 * t920 * t636 - 0.3e1 * t2251 * t3813 * t2252 + 0.6e1 * t2251 * t2360 * t15632 + 0.2e1 * t2251 * t576 * t15636 + t2168 * t15641;
  t15648 = t10240 * t65;
  t15649 = t929 * t1631;
  t15651 = t15648 * t96 * t15649;
  t15654 = t10240 * t15649;
  t15660 = t929 * t308;
  t15661 = t400 * t15660;
  t15665 = t22 * t3780;
  t15667 = t15665 * t2295 / 0.2e1;
  t15670 = t96 * t15660;
  t15671 = t1684 * t15670;
  t15680 = t2233 * t1943;
  t15683 = t10649 * t2228;
  t15686 = t555 * t11937;
  t15689 = t2324 * t1948;
  t15692 = -t11134 * t3627 / 0.9e1 + t2179 * t15651 / 0.2e1 - 0.3e1 / 0.2e1 * t2251 * t212 * t15654 + t10923 * t3638 / 0.3e1 - 0.3e1 / 0.2e1 * t2251 * t2360 * t15661 + t15667 - t11131 * t3633 / 0.9e1 + t10985 * t15671 / 0.2e1 - t10480 * t3630 / 0.6e1 + t10923 * t3642 / 0.3e1 + t3585 - t3588 + 0.2e1 / 0.3e1 * t546 * t10614 + 0.7e1 / 0.3e1 * t3502 * t15680 + 0.89e2 / 0.9e1 * t15570 * t15683 - t546 * t15686 / 0.3e1 - t3502 * t15689 / 0.2e1;
  t15693 = t10653 * t2059;
  t15699 = t2266 * t920;
  t15703 = t3931 * t15509;
  t15709 = t405 * t15575;
  t15713 = t1862 * t10882;
  t15717 = t3550 * t122;
  t15718 = t400 * t15717;
  t15721 = t3550 * t326;
  t15722 = t1868 * t15721;
  t15725 = t205 * t3550;
  t15727 = t2169 * t500 * t15725;
  t15730 = t9898 * t15568;
  t15731 = t9930 * t2207;
  t15735 = t908 * t1418;
  t15736 = t1502 * t15735;
  t15739 = 0.3e1 / 0.2e1 * t1565 * t15736 * t2208;
  t15741 = t106 * t1415 * t15735;
  t15743 = 0.11e2 / 0.18e2 * t15741 * t2234;
  t15745 = 0.23e2 / 0.36e2 * t15741 * t2321;
  t15746 = t908 * t1445;
  t15748 = t106 * t333 * t15746;
  t15749 = t15748 * t2226;
  t15750 = t914 * t9762;
  t15752 = t106 * t1415 * t15750;
  t15760 = t162 * t1643 * t941 * t165 / 0.4e1;
  t15761 = -0.38e2 / 0.9e1 * t15570 * t15693 - 0.3e1 * t162 * t3572 * t2153 - 0.2e1 * t1677 * t15699 * t1671 + 0.28e2 / 0.3e1 * t10863 * t15703 + 0.2e1 * t1677 * t2267 * t3557 - 0.12e2 * t2251 * t2365 * t15709 - 0.4e1 * t2251 * t582 * t15713 + t2251 * t576 * t15718 + t2251 * t212 * t15722 - 0.2e1 / 0.3e1 * t9737 * t15727 - 0.18e2 * t509 * t15730 * t15731 + t15739 - t15743 + t15745 + t15749 + 0.22e2 / 0.3e1 * t15752 * t2234 - 0.23e2 / 0.3e1 * t15752 * t2321 + t15760;
  t15765 = t162 * t3690 * t1707 / 0.4e1;
  t15766 = t510 * t3492;
  t15770 = t510 * t15746;
  t15773 = 0.3e1 * t509 * t15770 * t2145;
  t15776 = 0.3e1 * t162 * t15770 * t2218;
  t15779 = t1502 * t15750;
  t15786 = t2233 * t1948;
  t15795 = t3487 * t1944 / 0.3e1;
  t15800 = t3487 * t2071 / 0.6e1;
  t15805 = t970 * t66;
  t15807 = t490 * t15805 * t491;
  t15810 = -t15765 - 0.18e2 * t509 * t15766 * t2145 + t15773 - t15776 - 0.6e1 * t610 * t2219 - 0.18e2 * t1565 * t15779 * t2208 + 0.36e2 * t509 * t15779 * t2213 - 0.11e2 / 0.18e2 * t3502 * t15786 + 0.23e2 / 0.36e2 * t3502 * t9321 + t3483 * t2071 - 0.2e1 * t3483 * t1944 + t15795 + 0.3e1 / 0.2e1 * t1565 * t3493 * t9110 - t15800 + 0.6e1 * t1972 * t2146 - t3416 * t329 / 0.4e1 + t127 * t15807 / 0.12e2;
  t15812 = t349 * t3691 / 0.2e1;
  t15813 = t3602 / 0.6e1;
  t15814 = t3604 / 0.6e1;
  t15815 = t3606 / 0.6e1;
  t15816 = t3611 / 0.3e1;
  t15817 = t2036 * t2058;
  t15818 = t555 * t15817;
  t15828 = t162 * t3690 * t1633 / 0.2e1;
  t15830 = t372 * t3687 / 0.6e1;
  t15832 = t372 * t3691 / 0.6e1;
  t15833 = t22 * t3803;
  t15847 = -t15812 - t15813 - t15814 + t15815 + t15816 + 0.2e1 * t2082 * t15818 + 0.6e1 * t15752 * t2325 - 0.3e1 * t509 * t3520 * t9705 + t15828 + t15830 - t15832 - 0.11e2 / 0.3e1 * t15833 * t2295 - t10084 * t978 / 0.2e1 + t1994 * t631 + t1434 * t994 / 0.2e1 - t1434 * t986 / 0.2e1 - t10923 * t3478 / 0.3e1 + t11018 * t3474 / 0.3e1;
  t15851 = t929 * t363;
  t15852 = t96 * t15851;
  t15853 = t2169 * t15852;
  t15856 = t10733 * t15670;
  t15861 = t1684 * t169 * t476 * t929;
  t15864 = t929 * t1609;
  t15866 = t3624 * t96 * t15864;
  t15869 = t1684 * t15852;
  t15872 = t2169 * t15670;
  t15878 = t1868 * t15864;
  t15892 = t1529 * t3587 / 0.3e1;
  t15895 = t372 * t3584 / 0.3e1;
  t15896 = t368 * t3501;
  t15899 = t2168 * t15853 / 0.12e2 + 0.5e1 / 0.36e2 * t10715 * t15856 + t2179 * t15861 / 0.12e2 - t2179 * t15866 / 0.6e1 - t2161 * t15869 / 0.6e1 - t10953 * t15872 / 0.2e1 - t1677 * t10853 * t990 / 0.4e1 + t2251 * t212 * t15878 / 0.2e1 - t103 * t3885 / 0.6e1 + 0.2e1 * t1994 * t646 - 0.2e1 * t1529 * t3595 + 0.2e1 * t1529 * t3683 + t372 * t3577 - t15892 + t9774 * t3496 + t15895 - t15896 * t3580 / 0.3e1;
  t15913 = t548 * t11937;
  t15916 = t2057 * t15817;
  t15927 = t22 * t3813;
  t15929 = t169 * t10914;
  t15930 = t2162 * t15929;
  t15934 = t2162 * t15576;
  t15937 = -0.2e1 / 0.3e1 * t12075 * t623 + 0.2e1 / 0.3e1 * t2010 * t646 - 0.2e1 / 0.9e1 * t2196 * t3566 + t610 * t2131 + 0.3e1 * t610 * t2137 + 0.23e2 / 0.54e2 * t15896 * t3613 - t208 * t11667 / 0.6e1 - t546 * t15913 / 0.6e1 - 0.5e1 / 0.18e2 * t2055 * t15916 - t533 * t2042 / 0.3e1 - t208 * t11661 / 0.3e1 + t208 * t11686 / 0.6e1 - t2244 * t3650 / 0.3e1 - t15927 * t2165 + 0.2e1 / 0.3e1 * t2161 * t15930 + t15927 * t2302 - 0.2e1 * t10985 * t15934;
  t15939 = t1684 * t15580;
  t15942 = t2175 * t15576;
  t15945 = t400 * t15851;
  t15950 = t15665 * t2176 / 0.6e1;
  t15952 = t15665 * t2172 / 0.4e1;
  t15953 = t22 * t942;
  t15955 = t15953 * t1687 / 0.6e1;
  t15956 = t22 * t3775;
  t15958 = t15956 * t2165 / 0.3e1;
  t15960 = t15956 * t2302 / 0.3e1;
  t15961 = t22 * t945;
  t15978 = 0.2e1 / 0.9e1 * t9223 * t6546;
  t15979 = -0.2e1 / 0.3e1 * t2161 * t15939 + 0.2e1 * t10953 * t15942 + t2251 * t576 * t15945 / 0.2e1 - t15950 + t15952 + t15955 + t15958 - t15960 - t15961 * t1687 / 0.3e1 - t610 * t2149 / 0.2e1 - t610 * t2091 - 0.4e1 * t11771 * t6612 - t2010 * t641 / 0.3e1 + 0.4e1 / 0.9e1 * t9223 * t6612 + t2010 * t627 / 0.3e1 - 0.2e1 / 0.3e1 * t2010 * t637 + t15978;
  t15980 = t1643 * t948;
  t15989 = t106 * t1415 * t308 * t9762;
  t15995 = t3487 * t2068 / 0.3e1;
  t15996 = t2233 * t2067;
  t15999 = t2324 * t2067;
  t16026 = -t509 * t15980 * t512 / 0.2e1 + 0.3e1 * t509 * t3572 * t2095 + 0.18e2 * t15989 * t6672 + t509 * t3520 * t9622 - t15995 - 0.11e2 / 0.9e1 * t3502 * t15996 - t3502 * t15999 - 0.2e1 / 0.3e1 * t2244 * t3566 - t3446 * t493 / 0.9e1 - t368 * t3726 * t541 / 0.3e1 + 0.2e1 * t106 * t109 * t3481 * t2333 + 0.2e1 / 0.9e1 * t2285 * t3730 + t525 * t3739 / 0.18e2 + t525 * t3734 / 0.18e2 + t2013 * t932 / 0.18e2 - t3434 * t1735 / 0.18e2 - 0.5e1 / 0.54e2 * t15896 * t3748 + 0.5e1 / 0.3e1 * t15752 * t2060;
  t16036 = t106 * t9926 * t308 * t9901;
  t16042 = t509 * t3583 * t2095 / 0.2e1;
  t16044 = t2057 * t507 * t6544;
  t16046 = 0.3e1 / 0.2e1 * t3306 * t16044;
  t16049 = t162 * t3583 * t2153 / 0.2e1;
  t16050 = t2233 * t6545;
  t16052 = 0.7e1 / 0.3e1 * t3306 * t16050;
  t16060 = t3487 * t1949 / 0.12e2;
  t16062 = 0.5e1 / 0.36e2 * t15741 * t2060;
  t16064 = t911 * t1728 / 0.6e1;
  t16066 = t911 * t1732 / 0.12e2;
  t16070 = t1505 * t15575;
  t16074 = t9916 * t2170;
  t16078 = t10255 * t2170;
  t16082 = -0.28e2 * t15989 * t6628 + 0.3e1 / 0.2e1 * t162 * t3493 * t9128 + 0.47e2 / 0.3e1 * t16036 * t10653 * t6621 - t16042 - t16046 + t16049 + t16052 - 0.3e1 * t509 * t3493 * t9136 - 0.62e2 / 0.3e1 * t16036 * t10649 * t6671 - t16060 - t16062 - t16064 - t16066 - 0.11e2 * t2255 * t3803 * t10156 + 0.6e1 * t2251 * t2370 * t16070 + 0.15e2 * t2255 * t3792 * t16074 - 0.15e2 / 0.2e1 * t2251 * t3792 * t16078;
  t16083 = t10943 * t3492;
  t16090 = t396 * t15575;
  t16094 = t2294 * t15670;
  t16098 = t1862 * t15660;
  t16104 = t1505 * t15660;
  t16108 = t96 * t15717;
  t16109 = t1684 * t16108;
  t16113 = t3624 * t96 * t15721;
  t16116 = t2169 * t16108;
  t16121 = t1684 * t169 * t193 * t3550;
  t16124 = t9743 * t3464;
  t16127 = t1868 * t154;
  t16128 = t16127 * t3626;
  t16131 = t10910 * t3464;
  t16134 = t9743 * t3620;
  t16141 = -0.6e1 * t2265 * t16083 * t3594 + 0.3e1 * t1677 * t16083 * t3576 + 0.12e2 * t2255 * t2365 * t16090 - t10953 * t16094 - 0.2e1 / 0.9e1 * t11121 * t3469 + 0.3e1 * t2251 * t2365 * t16098 + t11121 * t3465 / 0.9e1 - 0.3e1 * t2255 * t2365 * t16104 - t2161 * t16109 / 0.3e1 - t2179 * t16113 / 0.3e1 + t2168 * t16116 / 0.6e1 + t2179 * t16121 / 0.6e1 - t2161 * t16124 / 0.3e1 - t2179 * t16128 / 0.3e1 + t2168 * t16131 / 0.6e1 + t2179 * t16134 / 0.6e1 - t11118 * t3627 / 0.3e1 + t11160 * t3616 / 0.6e1;
  t16143 = t303 * t10618;
  t16144 = t548 * t16143;
  t16158 = t1726 * t3662;
  t16159 = t302 * t16158;
  t16162 = t302 * t16143;
  t16169 = t106 * t333 * t3492;
  t16173 = t911 * t1936 / 0.6e1;
  t16175 = t911 * t1612 / 0.12e2;
  t16177 = t3487 * t2086 / 0.6e1;
  t16179 = t3610 * t2074 / 0.3e1;
  t16181 = t3610 * t2077 / 0.6e1;
  t16182 = -t546 * t16144 / 0.6e1 - t2196 * t3716 / 0.9e1 + t917 * t1728 / 0.3e1 + t917 * t1732 / 0.6e1 - t917 * t1612 / 0.6e1 + t3483 * t2086 + t3483 * t1949 / 0.2e1 + 0.2e1 / 0.3e1 * t538 * t16159 + t538 * t16162 / 0.3e1 - t3727 * t2074 - t3727 * t2077 / 0.2e1 - 0.3e1 * t16169 * t2083 + t16173 + t16175 - t16177 + t16179 + t16181;
  t16184 = t15748 * t2083 / 0.2e1;
  t16185 = t368 * t3609;
  t16187 = t16185 * t541 / 0.9e1;
  t16189 = t3443 * t493 / 0.18e2;
  t16190 = t368 * t3486;
  t16192 = t16190 * t549 / 0.18e2;
  t16194 = t3443 * t305 / 0.18e2;
  t16195 = t548 * t16158;
  t16210 = t555 * t16158;
  t16213 = t555 * t16143;
  t16218 = t368 * t3482;
  t16225 = t16184 + t16187 + t16189 - t16192 - t16194 - t546 * t16195 / 0.3e1 - 0.5e1 / 0.36e2 * t3502 * t9476 + 0.2e1 / 0.3e1 * t922 * t9176 + t922 * t9590 / 0.3e1 - t922 * t9179 / 0.3e1 - t922 * t9030 / 0.6e1 - t3434 * t1660 / 0.9e1 - 0.2e1 / 0.3e1 * t546 * t16210 - t546 * t16213 / 0.3e1 - 0.2e1 / 0.9e1 * t2196 * t3755 + 0.2e1 / 0.3e1 * t16218 * t556 + 0.2e1 / 0.9e1 * t3434 * t1650 - 0.11e2 / 0.27e2 * t15896 * t3560;
  t16230 = t9911 * t2375;
  t16236 = t9897 * t914 * t9904;
  t16237 = t9945 * t2361;
  t16243 = t941 * t1483;
  t16245 = 0.6e1 * t16243 * t2362;
  t16247 = 0.2e1 * t942 * t1870;
  t16248 = t3791 * t9763;
  t16251 = t3779 * t1536;
  t16253 = 0.12e2 * t16251 * t2395;
  t16261 = t10193 * t1418;
  t16269 = t1592 * t2080;
  t16272 = t9383 * t2053;
  t16284 = t321 * t531;
  t16287 = t1592 * t2117;
  t16299 = 0.8e1 * t573 * t311 * t636 + 0.4e1 * t594 * t328 + 0.4e1 / 0.3e1 * t3523 * t3680 + 0.2e2 / 0.9e1 * t16261 * t7220 + 0.2e1 * t321 * t1981 * t165 - 0.2e1 * t2341 * t138 - 0.24e2 * t16269 * t2218 + 0.32e2 / 0.3e1 * t16272 * t2213 + 0.12e2 * t16272 * t2203 + 0.4e1 * t3532 * t2153 - 0.8e1 * t2253 - 0.2e1 * t2260 - 0.8e1 * t321 * t2108 * t636 - 0.4e1 * t16284 * t328 + 0.8e1 / 0.3e1 * t16287 * t622 - 0.4e1 * t3529 * t1693 - 0.8e1 * t16269 * t2145 + 0.4e1 / 0.3e1 * t3532 * t2095 + 0.12e2 * t321 * t544 * t2136;
  t16321 = t2388 * t335;
  t16335 = t393 * t1445;
  t16342 = 0.4e1 * t3535 * t1633 + 0.16e2 / 0.9e1 * t16272 * t2208 - 0.2e1 * t3535 * t1707 + 0.8e1 * t16287 * t645 + 0.12e2 * t2310 - 0.12e2 * t3532 * t12181 + 0.2e1 / 0.3e1 * t9411 * t1052 - 0.12e2 * t2369 * t1418 * t2203 + 0.4e1 / 0.3e1 * t16261 * t7202 + 0.24e2 * t581 * t1445 * t2218 - 0.8e1 * t16321 * t645 - 0.4e1 * t3547 * t2153 + 0.4e1 * t3542 * t1693 + 0.2e1 * t214 * t1707 - 0.4e1 * t214 * t1633 - 0.12e2 * t211 * t335 * t2136 - 0.4e1 * t16335 * t1052 + 0.8e1 * t3529 * t12088 - 0.4e1 * t3532 * t12132;
  t16343 = t16299 + t16342;
  t16345 = t400 * t63 * t16343;
  t16350 = t3847 * t122;
  t16351 = t1862 * t16350;
  t16354 = t965 * t363;
  t16355 = t1862 * t16354;
  t16358 = 0.2e1 * t3780 * t2380;
  t16359 = t69 * t908;
  t16360 = t16359 * t1504;
  t16362 = 0.2e1 / 0.3e1 * t16360 * t2398;
  t16365 = t2416 * t929;
  t16366 = t9911 * t16365;
  t16369 = t1571 * t2379;
  t16376 = t1505 * t16350;
  t16379 = 0.2e1 / 0.3e1 * t949 * t10203 + 0.2e1 * t582 * t16351 + t582 * t16355 + t16358 - t16362 - 0.12e2 * t3803 * t2380 - t2370 * t16366 / 0.18e2 - 0.2e1 / 0.3e1 * t3792 * t16369 + 0.6e1 * t3792 * t10195 + 0.2e1 * t2389 * t3799 - 0.4e1 / 0.3e1 * t582 * t16376;
  t16381 = t1505 * t16354;
  t16386 = t590 * t530;
  t16387 = t145 * t16386;
  t16392 = t419 * t530;
  t16393 = t400 * t16392;
  t16396 = t1505 * t16392;
  t16399 = t405 * t16386;
  t16402 = t1862 * t16392;
  t16406 = t3780 * t2413 / 0.3e1;
  t16408 = t16360 * t2371 / 0.9e1;
  t16409 = -0.2e1 / 0.3e1 * t582 * t16381 - 0.4e1 / 0.3e1 * t2389 * t3787 - 0.12e2 * t2360 * t16387 + 0.6e1 * t3813 * t2410 - 0.4e1 * t576 * t16393 - 0.16e2 / 0.3e1 * t582 * t16396 + 0.24e2 * t2365 * t16399 + 0.8e1 * t582 * t16402 + t943 - t16406 - t16408;
  t16411 = 0.2e1 * t3775 * t2392;
  t16413 = 0.2e1 * t16251 * t2366;
  t16414 = t942 * t1852;
  t16416 = 0.2e1 * t3780 * t2376;
  t16418 = 0.2e1 * t3775 * t2410;
  t16420 = 0.6e1 * t16360 * t2401;
  t16421 = t9916 * t16365;
  t16424 = t9911 * t2361;
  t16427 = t9916 * t2361;
  t16430 = t10255 * t16365;
  t16433 = t9906 * t2361;
  t16436 = -t16411 + t16413 - t16414 - t16416 - t16418 + t16420 - 0.1e2 / 0.3e1 * t2370 * t16421 + 0.8e1 / 0.3e1 * t16236 * t16424 + 0.24e2 * t16236 * t16427 + 0.3e1 * t2370 * t16430 - 0.4e1 / 0.3e1 * t16236 * t16433;
  t16440 = 0.3e1 * t3780 * t2404;
  t16441 = t1505 * t16386;
  t16444 = t10255 * t2375;
  t16453 = t944 * t9879;
  t16456 = t400 * t16365;
  t16460 = t10240 * t965 * t1631;
  t16472 = t9906 * t2416;
  t16475 = t9911 * t2416;
  t16479 = 0.1e2 / 0.3e1 * t16360 * t2440;
  t16481 = t400 * t60 * t16343;
  t16488 = 0.12e2 * t949 * t10246 - t945 * t1877 + t2449 * t966 / 0.2e1 + t574 * t3848 - 0.4e2 * t16248 * t2440 + 0.1e2 / 0.3e1 * t16236 * t16472 + 0.5e2 / 0.3e1 * t16236 * t16475 + t16479 + t212 * t16481 / 0.2e1 - 0.3e1 * t3813 * t2430 + 0.2e1 * t949 * t10334;
  t16495 = t942 * t1877 / 0.2e1;
  t16496 = t1571 * t2427;
  t16499 = t60 * t1981;
  t16500 = t396 * t16499;
  t16505 = t405 * t16499;
  t16510 = t1505 * t2427;
  t16513 = t145 * t16499;
  t16517 = 0.2e1 / 0.3e1 * t3780 * t2443;
  t16518 = 0.12e2 * t16453 * t2423 + 0.2e1 * t945 * t1898 + t16495 + 0.1e2 / 0.3e1 * t3792 * t16496 + 0.4e1 / 0.3e1 * t582 * t16500 - 0.4e1 / 0.3e1 * t949 * t10342 - 0.2e1 * t582 * t16505 + 0.6e1 * t3803 * t2428 - 0.3e1 * t3792 * t16510 + 0.2e1 * t576 * t16513 + t16517;
  t16520 = t16360 * t2437 / 0.18e2;
  t16523 = t1566 * t2427;
  t16526 = t3775 * t2430;
  t16528 = 0.4e1 * t16251 * t2434;
  t16532 = 0.3e1 * t16243 * t2423;
  t16533 = t942 * t1898;
  t16536 = t3780 * t2428;
  t16537 = t530 * t530;
  t16538 = t332 * t16537;
  t16539 = t16538 * t394;
  t16542 = t16520 - 0.4e1 * t3803 * t2443 + t3792 * t16523 / 0.18e2 + t16526 - t16528 + 0.4e1 * t949 * t10422 - t16532 - t16533 - 0.6e1 * t949 * t10406 - t16536 - 0.2e1 / 0.3e1 * t16539 * t397;
  t16546 = t3791 * t11548;
  t16549 = t423 * t15444;
  t16552 = t108 * t16537;
  t16556 = t16538 * t335;
  t16563 = t948 * t9841;
  t16575 = t63 * t1981;
  t16576 = t396 * t16575;
  t16579 = t1566 * t16386;
  t16584 = t400 * t16350;
  t16587 = t400 * t16354;
  t16589 = t1505 * t16365;
  t16598 = t1862 * t16365;
  t16601 = 0.4e1 / 0.3e1 * t16248 * t2371 - 0.2e1 / 0.3e1 * t582 * t16576 + 0.2e1 / 0.9e1 * t2370 * t16579 - 0.2e1 * t2383 * t3836 - 0.2e1 * t576 * t16584 - t576 * t16587 + 0.4e1 * t2365 * t16589 - 0.2e1 * t574 * t3807 + 0.72e2 * t16563 * t2395 + 0.8e1 * t16248 * t2398 - 0.6e1 * t2365 * t16598;
  t16603 = t1829 * t2347;
  t16606 = t62 * t530;
  t16607 = t16606 * t122;
  t16608 = t423 * t16607;
  t16611 = 0.4e1 * t3776;
  t16612 = 0.2e1 * t3778;
  t16613 = 0.2e1 / 0.3e1 * t3781;
  t16614 = 0.4e1 * t3801;
  t16615 = t410 * t16607;
  t16618 = t948 * t11527;
  t16621 = t149 * t16607;
  t16624 = t16606 * t326;
  t16625 = t149 * t16624;
  t16630 = 0.1e2 / 0.3e1 * t16546 * t16603 - 0.48e2 * t11584 * t16608 - t16611 - t16612 - t16613 + t16614 + 0.24e2 * t11590 * t16615 - 0.22e2 / 0.3e1 * t16618 * t2353 + 0.24e2 * t11537 * t16621 + 0.8e1 * t2345 * t16625 + 0.8e1 * t11584 * t16615;
  t16631 = t944 * t11520;
  t16634 = t149 * t15444;
  t16637 = t410 * t15444;
  t16640 = t423 * t16624;
  t16643 = t1829 * t16607;
  t16648 = t410 * t16624;
  t16651 = t1837 * t16607;
  t16655 = t1868 * t3847 * t326;
  t16659 = t1868 * t965 * t1609;
  t16661 = t145 * t16575;
  t16664 = -0.12e2 * t16631 * t2348 + 0.4e1 * t11509 * t16634 + 0.1e2 / 0.3e1 * t11516 * t16637 - 0.16e2 * t2352 * t16640 - 0.8e1 / 0.3e1 * t11590 * t16643 + 0.44e2 * t16618 * t2355 + 0.8e1 / 0.3e1 * t2352 * t16648 - 0.4e1 / 0.9e1 * t11590 * t16651 - 0.2e1 * t212 * t16655 - t212 * t16659 - 0.4e1 * t576 * t16661;
  t16667 = t396 * t16386;
  t16670 = t405 * t16575;
  t16673 = t1571 * t16386;
  t16678 = t9916 * t2375;
  t16681 = 0.2e1 * t3841;
  t16682 = 0.2e1 * t3866;
  t16683 = 0.4e1 / 0.3e1 * t3872;
  t16684 = t143 * t9097;
  t16685 = t211 * t16684;
  t16687 = t149 * t3758 * t1631;
  t16690 = t410 * t62;
  t16691 = t16690 * t15444;
  t16694 = -0.16e2 * t2365 * t16667 + 0.4e1 * t582 * t16670 + 0.4e2 / 0.3e1 * t2370 * t16673 - 0.4e1 * t949 * t10262 - 0.5e2 / 0.3e1 * t3792 * t16678 - t16681 + t16682 + t3867 + t16683 - 0.6e1 * t16685 * t16687 - 0.5e1 / 0.3e1 * t11516 * t16691;
  t16695 = t149 * t62;
  t16696 = t16695 * t15444;
  t16699 = t423 * t62;
  t16700 = t16699 * t15444;
  t16703 = t3758 * t308;
  t16704 = t149 * t16703;
  t16712 = t1837 * t2347;
  t16722 = t3779 * t2351;
  t16724 = 0.6e1 * t16722 * t2355;
  t16725 = t62 * t3550;
  t16726 = t16725 * t122;
  t16727 = t149 * t16726;
  t16730 = -0.8e1 * t11509 * t16696 + 0.1e2 * t11516 * t16700 - 0.6e1 * t11521 * t16704 - 0.4e1 * t16552 * t312 * t146 + 0.4e1 * t16539 * t406 + 0.5e1 / 0.9e1 * t16546 * t16712 + 0.4e1 * t11545 * t3760 + 0.4e1 * t573 * t3763 * t3766 + 0.2e1 / 0.3e1 * t11532 * t3769 - t16724 + 0.4e1 * t2345 * t16727;
  t16733 = t149 * t16725 * t326;
  t16736 = t410 * t16726;
  t16739 = t941 * t2344;
  t16741 = 0.4e1 * t16739 * t2348;
  t16742 = t16722 * t2353;
  t16743 = t3758 * t363;
  t16744 = t423 * t16743;
  t16747 = t149 * t16743;
  t16750 = t410 * t16703;
  t16754 = t149 * t3758 * t1609;
  t16757 = t410 * t16743;
  t16760 = t1837 * t16703;
  t16765 = 0.4e1 * t3764 * t16733 + 0.2e1 / 0.3e1 * t2352 * t16736 + t16741 + t16742 - 0.2e1 * t2352 * t16744 + 0.2e1 * t2345 * t16747 - 0.2e1 * t11528 * t16750 + 0.2e1 * t3764 * t16754 + t2352 * t16757 / 0.3e1 + t11549 * t16760 / 0.9e1 + 0.24e2 * t16563 * t2434;
  t16769 = 0.3e1 * t16360 * t2420;
  t16772 = t9916 * t2416;
  t16776 = 0.6e1 * t16251 * t2417;
  t16779 = t423 * t16726;
  t16784 = t1829 * t16703;
  t16789 = t423 * t16703;
  t16792 = -0.2e1 / 0.3e1 * t16248 * t2437 - t16769 + 0.36e2 * t16248 * t2420 - 0.12e2 * t16236 * t16772 + t16776 - 0.36e2 * t16563 * t2417 - 0.4e1 * t2352 * t16779 - 0.4e1 * t11532 * t3772 + 0.2e1 / 0.3e1 * t11549 * t16784 - 0.6e1 * t11549 * t16750 + 0.12e2 * t11528 * t16789;
  t16802 = t15665 * t2183 / 0.3e1;
  t16804 = t9930 * t9935 * t308;
  t16813 = t2057 * t1970 * t2058;
  t16817 = t10526 * t1563 * t2058;
  t16820 = t2324 * t15817;
  t16822 = t608 * t2058;
  t16826 = t11249 * t2059;
  t16829 = t9930 * t2212;
  t16835 = 0.3e1 / 0.2e1 * t162 * t15736 * t2203;
  t16841 = 0.3e1 * t509 * t15736 * t2213;
  t16843 = t9930 * t9905 * t308;
  t16847 = t10649 * t2059;
  t16850 = t11659 * t539;
  t16851 = t555 * t16850;
  t16854 = -t22 * t59 * (0.2e1 * t16552 * t311 * t150 + t16601 + t16488 + t16792 + t16630 + t16440 + t16694 + t16409 - 0.22e2 * t3803 * t2404 - 0.2e1 * t949 * t10256 - 0.4e1 * t945 * t1870 + t16379 - t16253 - 0.3e2 * t16546 * t2353 - 0.5e1 * t11516 * t16549 + 0.4e1 / 0.3e1 * t16556 * t411 - 0.2e1 * t16556 * t424 + 0.6e1 * t3813 * t2392 - t212 * t16345 - 0.72e2 * t16248 * t2401 + t16518 + t16765 + t16730 - 0.24e2 * t16453 * t2362 + 0.3e1 * t2360 * t16456 + 0.3e1 * t212 * t16460 - 0.5e1 / 0.18e2 * t3792 * t16230 - t3792 * t10227 / 0.9e1 - t16236 * t16237 / 0.9e1 - t2449 * t953 - 0.2e1 * t574 * t3784 - 0.12e2 * t16563 * t2366 + 0.2e1 * t945 * t1852 + 0.44e2 / 0.3e1 * t3803 * t2376 + 0.2e1 * t3803 * t2413 - 0.12e2 * t2370 * t16441 + 0.15e2 * t3792 * t16444 + t16542 + t16245 + t16247 - t962 + t16664 + t16436) * t96 / 0.4e1 - t16802 - 0.6e1 * t9944 * t15730 * t16804 + 0.3e1 * t11870 * t2209 - 0.6e1 * t1972 * t2214 - 0.3e1 * t2055 * t16813 + 0.8e1 * t15570 * t16817 - t2055 * t16820 + 0.14e2 / 0.3e1 * t2055 * t2233 * t16822 - 0.2e1 * t15570 * t16826 + 0.6e1 * t162 * t15730 * t16829 + t16835 - 0.18e2 * t162 * t15779 * t2203 - t16841 + 0.18e2 * t1565 * t15730 * t16843 - 0.61e2 / 0.27e2 * t15570 * t16847 - 0.2e1 / 0.3e1 * t546 * t16851;
  t16858 = t16190 * t556 / 0.9e1;
  t16863 = t3688 / 0.2e1;
  t16865 = t302 * t15805 * t296;
  t16868 = t3692 / 0.2e1;
  t16869 = t1862 * t15717;
  t16872 = t1571 * t15575;
  t16876 = t1505 * t15717;
  t16887 = t911 * t1640 / 0.6e1;
  t16891 = t106 * t109 * t3485 * t2333 / 0.2e1;
  t16894 = 0.2e1 * t3483 * t2068 - t16858 - 0.6e1 * t16169 * t2226 + t3416 * t298 / 0.2e1 + t16863 - t127 * t16865 / 0.6e1 - t16868 - t3699 - t2251 * t582 * t16869 - 0.12e2 * t2255 * t2370 * t16872 + t2255 * t582 * t16876 + 0.18e2 * t162 * t15766 * t2218 - t2031 * t932 / 0.54e2 + t1463 * t991 / 0.18e2 - t16887 - t16891 + t3446 * t305 / 0.9e1;
  t16900 = t1684 * t15450;
  t16903 = t10775 * t15445;
  t16906 = t2169 * t15450;
  t16911 = t3624 * t169 * t3619 * t326;
  t16914 = t2057 * t16822;
  t16917 = t2233 * t15817;
  t16921 = t341 * t342 * t1981;
  t16928 = t368 * t15538;
  t16932 = t368 * t15552;
  t16936 = t15741 * t2325 / 0.2e1;
  t16939 = t10526 * t2228;
  t16942 = t16218 * t549 / 0.3e1 + t917 * t1640 / 0.3e1 - t2161 * t16900 / 0.3e1 - 0.5e1 / 0.12e2 * t2168 * t16903 + t2168 * t16906 / 0.6e1 - t2179 * t16911 / 0.3e1 + 0.23e2 / 0.18e2 * t2055 * t16914 - 0.11e2 / 0.9e1 * t2055 * t16917 - t509 * t620 * t16921 - 0.2e1 / 0.3e1 * t1529 * t3681 + 0.2e1 / 0.3e1 * t1529 * t3672 - t16928 * t6672 - t1529 * t3676 / 0.3e1 - 0.4e1 / 0.3e1 * t16932 * t6633 - t16936 + 0.3e1 * t610 * t2204 + 0.44e2 / 0.27e2 * t15570 * t16939;
  t16945 = t10910 * t6652;
  t16952 = t2175 * t15521;
  t16959 = t3935 * t2164;
  t16962 = t2175 * t15929;
  t16966 = t3935 * t15576;
  t16971 = t10255 * t15444;
  t16976 = t1648 * t6312 * t122;
  t16979 = t10245 * t15444;
  t16984 = t1648 * t6186 * t122;
  t16987 = t500 * t15660;
  t16991 = t2251 * t2383 * t3637 - 0.2e1 / 0.3e1 * t9737 * t16945 - t9731 * t3630 / 0.2e1 + t10769 * t3638 + t10769 * t3642 - 0.4e1 * t10870 * t16952 + t11118 * t3621 / 0.6e1 - t11124 * t3633 / 0.3e1 - 0.5e1 / 0.18e2 * t15606 * t16959 - t2168 * t16962 / 0.3e1 + t15833 * t2176 - 0.5e1 / 0.9e1 * t10715 * t16966 + t11134 * t3621 / 0.18e2 - 0.5e1 / 0.2e1 * t2255 * t582 * t16971 + t2265 * t2267 * t16976 + 0.5e1 / 0.2e1 * t2251 * t582 * t16979 - t1677 * t2267 * t16984 + 0.2e1 * t10953 * t2169 * t16987;
  t16995 = t10733 * t1556 * t15528;
  t17001 = t1505 * t10882;
  t17006 = t3935 * t1556 * t15508;
  t17023 = t548 * t1992 * t1000;
  t17032 = 0.3e1 / 0.2e1 * t162 * t163 * t3485 * t2136;
  t17034 = t372 * t3698 / 0.3e1;
  t17039 = 0.15e2 / 0.2e1 * t10863 * t16995 + 0.2e1 * t2265 * t15699 * t1666 + 0.4e1 * t2255 * t582 * t17001 - 0.6e1 * t10863 * t17006 + t372 * t3704 - 0.6e1 * t162 * t163 * t3481 * t2136 - 0.2e1 / 0.3e1 * t372 * t3514 + 0.3e1 * t162 * t3520 * t9700 - t372 * t3553 / 0.6e1 - t1994 * t641 + 0.4e1 / 0.3e1 * t1941 * t17023 + t1994 * t627 - 0.2e1 * t1994 * t637 + t17032 - t17034 - t372 * t3694 / 0.6e1 - t1479 * t991 / 0.6e1;
  t17046 = t22 * t11878;
  t17049 = t22 * t1966;
  t17053 = t22 * t218 * t2263;
  t17058 = t9911 * t2170;
  t17065 = t2266 * t3485;
  t17067 = t1677 * t17065 * t645;
  t17068 = t1566 * t15575;
  t17072 = t3931 * t2164;
  t17075 = t2169 * t15580;
  t17080 = t10936 * t2171;
  t17083 = t22 * t949;
  t17086 = t2182 * t15929;
  t17091 = -t162 * t3707 * t1633 - t372 * t3712 / 0.3e1 + t372 * t3708 / 0.3e1 + 0.3e1 * t17046 * t2260 - 0.3e1 * t17049 * t2310 - 0.2e1 * t17053 * t2268 + 0.2e1 * t10930 * t2292 - 0.15e2 / 0.2e1 * t4277 * t3792 * t17058 + 0.3e1 * t10978 * t16083 * t3495 + t17067 + 0.6e1 * t4277 * t2370 * t17068 - 0.11e2 / 0.9e1 * t15606 * t17072 + 0.2e1 / 0.3e1 * t2168 * t17075 + 0.2e1 * t15833 * t2183 + 0.55e2 / 0.18e2 * t15606 * t17080 + 0.2e1 / 0.3e1 * t17083 * t10464 - 0.2e1 / 0.3e1 * t2168 * t17086 - 0.11e2 / 0.6e1 * t15833 * t2172;
  t17093 = t10733 * t2171;
  t17102 = 0.3e1 / 0.2e1 * t2255 * t3780 * t10156;
  t17105 = 0.3e1 / 0.2e1 * t2251 * t3780 * t2309;
  t17107 = t2265 * t17065 * t622;
  t17113 = t1505 * t3463;
  t17119 = t548 * t347 * t6544;
  t17121 = 0.2e1 / 0.3e1 * t1941 * t17119;
  t17123 = t349 * t3687 / 0.2e1;
  t17124 = t349 * t3698;
  t17126 = t2057 * t1551 * t6563;
  t17132 = 0.25e2 / 0.36e2 * t15606 * t17093 + t17083 * t10182 / 0.3e1 + t11121 * t3616 / 0.18e2 + t17102 - t17105 - t17107 + 0.6e1 * t2265 * t15516 * t622 + t10809 * t3474 - t10769 * t3478 + t2255 * t2389 * t17113 - t2251 * t2389 * t3477 + t17121 + t17123 - t17124 - 0.3e1 * t15539 * t17126 - t1553 * t3676 - 0.2e1 * t1553 * t3681;
  t17138 = t548 * t608 * t3662;
  t17142 = t2251 * t3775 * t2252;
  t17143 = t1678 * t3608;
  t17145 = t1677 * t17143 * t636;
  t17148 = t530 * t929;
  t17150 = t2169 * t500 * t17148;
  t17171 = t302 * t15817;
  t17173 = 0.2e1 * t1553 * t3672 + t610 * t2105 - t610 * t2158 + 0.4e1 / 0.3e1 * t1941 * t17138 + t17142 - t17145 + t2251 * t574 * t3641 - 0.2e1 / 0.3e1 * t9737 * t17150 - t1677 * t10898 * t990 / 0.2e1 - t922 * t9239 / 0.2e1 + t3434 * t1952 / 0.9e1 - t922 * t9272 - t525 * t2042 / 0.9e1 - t2196 * t3650 / 0.9e1 - t208 * t11992 / 0.3e1 + t525 * t2038 / 0.9e1 + 0.2e1 / 0.9e1 * t2285 * t3655 - t2332 * t17171;
  t17190 = t3935 * t2263 * t15520;
  t17193 = t9916 * t15660;
  t17197 = t10255 * t15660;
  t17201 = t10775 * t15670;
  t17204 = t9911 * t15660;
  t17208 = t548 * t16850;
  t17211 = t302 * t16850;
  t17216 = t548 * t15817;
  t17222 = 0.2e1 * t922 * t9291 + 0.2e1 / 0.9e1 * t3434 * t1720 - 0.4e1 / 0.9e1 * t3434 * t1713 + 0.4e1 / 0.9e1 * t2196 * t3664 + 0.2e1 * t17049 * t2253 - 0.2e1 * t10930 * t2271 - 0.3e1 * t10863 * t17190 + 0.3e1 * t2255 * t2370 * t17193 - 0.3e1 / 0.2e1 * t2251 * t2370 * t17197 + t10715 * t17201 / 0.2e1 - 0.3e1 / 0.2e1 * t4277 * t2370 * t17204 - t546 * t17208 / 0.3e1 + 0.2e1 / 0.3e1 * t538 * t17211 + t538 * t11938 / 0.3e1 + t2082 * t17216 + t533 * t2038 / 0.3e1 + t208 * t11682 / 0.3e1;
  t17254 = t3443 * t380 / 0.18e2;
  t17259 = t922 * t9669 / 0.3e1 + 0.2e1 / 0.3e1 * t2276 * t3655 + 0.2e1 / 0.3e1 * t546 * t10620 - 0.2e1 / 0.3e1 * t922 * t9594 + t610 * t2101 / 0.2e1 + t2010 * t631 / 0.3e1 + t1479 * t994 / 0.3e1 - t208 * t11909 / 0.6e1 - t2020 * t569 / 0.6e1 - t533 * t1999 / 0.3e1 - t922 * t10066 / 0.6e1 - t922 * t10145 / 0.12e2 + t3446 * t380 / 0.9e1 + t917 * t1499 / 0.6e1 - t3434 * t1451 / 0.18e2 - t17254 - t3434 * t1510 / 0.9e1 - t2013 * t569 / 0.9e1;
  t17264 = t510 * t16537;
  t17278 = t368 * t3415;
  t17286 = t1479 * t982 / 0.6e1;
  t17289 = t1462 * t921;
  t17294 = t106 * t333 * t16537 * t335;
  t17300 = t1463 * t982 / 0.18e2;
  t17303 = -t162 * t163 * t16537 * t313 + t162 * t17264 * t516 - t1463 * t994 / 0.9e1 - t1462 * t916 * t139 / 0.27e2 + 0.2e1 / 0.9e1 * t3434 * t1440 + t12042 * t223 / 0.3e1 - t3416 * t314 / 0.2e1 + t17278 * t166 / 0.6e1 - t369 * t3411 / 0.18e2 + t487 * t3411 / 0.6e1 + t17286 - t10077 * t978 / 0.3e1 - 0.2e1 / 0.27e2 * t17289 * t502 + 0.2e1 / 0.3e1 * t17294 * t502 - t12064 * t223 / 0.9e1 - t17300 - t509 * t17264 * t512;
  t17312 = t1462 * t910 * t139 / 0.54e2;
  t17327 = t911 * t1499 / 0.12e2;
  t17329 = t2169 * t500 * t15851;
  t17332 = t10733 * t16987;
  t17335 = t2294 * t15852;
  t17338 = t10936 * t15670;
  t17343 = t11202 * t3464;
  t17346 = t2294 * t16108;
  t17349 = t1862 * t15851;
  t17353 = t9832 * t978 / 0.9e1 + t1463 * t986 / 0.9e1 - t17294 * t344 / 0.6e1 + t17312 + t17289 * t344 / 0.54e2 + t106 * t109 * t16537 * t311 * t139 / 0.3e1 + t2031 * t569 / 0.27e2 - t17294 * t497 / 0.3e1 + t17289 * t497 / 0.27e2 - t17327 - t2168 * t17329 / 0.3e1 - 0.23e2 / 0.36e2 * t10715 * t17332 + t2168 * t17335 / 0.6e1 + 0.11e2 / 0.18e2 * t10715 * t17338 + t11160 * t3465 / 0.3e1 + t2168 * t17343 / 0.3e1 + t2168 * t17346 / 0.3e1 - t2251 * t582 * t17349 / 0.2e1;
  t17359 = t1505 * t15851;
  t17367 = t396 * t218;
  t17368 = t17367 * t2164;
  t17371 = t1505 * t218;
  t17372 = t17371 * t2171;
  t17379 = t343 * t972;
  t17384 = t106 * t158 * t3883 * t159;
  t17389 = t138 * t3885;
  t17393 = t1434 * t982 / 0.4e1;
  t17400 = t496 * t972;
  t17404 = t343 * t971 * t500;
  t17407 = -0.7e1 / 0.3e1 * t10796 * t10936 * t6652 + t2255 * t582 * t17359 / 0.2e1 + 0.3e1 / 0.2e1 * t10796 * t10733 * t1556 * t3472 - t2168 * t17368 / 0.3e1 + t2168 * t17372 / 0.2e1 + t2179 * t10926 / 0.3e1 + t3416 * t365 / 0.4e1 - t338 * t17379 / 0.12e2 + t17384 * t166 / 0.2e1 - t377 * t3411 / 0.12e2 - t127 * t17389 / 0.6e1 + t17393 + t610 * t1983 / 0.2e1 - t525 * t1999 / 0.9e1 + t3416 * t517 / 0.2e1 - t338 * t17400 / 0.6e1 + t338 * t17404 / 0.3e1;
  t17410 = t106 * t158 * t970 * t506;
  t17425 = t320 * t137 * t16343;
  t17429 = t2057 * t2190;
  t17437 = t135 * t137 * t1981;
  t17446 = t341 * t404 * t1981;
  t17457 = -t17410 * t513 / 0.2e1 - t1479 * t986 / 0.3e1 + t922 * t9965 / 0.3e1 + t11924 * t223 / 0.2e1 - t349 * t3553 / 0.2e1 - t162 * t2157 * t3552 / 0.2e1 - t162 * t640 * t17425 / 0.4e1 + 0.23e2 / 0.18e2 * t3502 * t17429 + 0.2e1 / 0.3e1 * t922 * t9660 + 0.4e1 / 0.3e1 * t546 * t10623 - t162 * t634 * t17437 + t162 * t15980 * t516 / 0.2e1 - t162 * t3520 * t9627 + t162 * t620 * t17446 + 0.14e2 / 0.9e1 * t16928 * t6628 + t372 * t3517 / 0.3e1 + 0.2e1 / 0.3e1 * t372 * t3558 - 0.2e1 * t372 * t3573;
  t17463 = t162 * t3697 * t1693 / 0.2e1;
  t17465 = 0.2e1 * t11771 * t6546;
  t17481 = t106 * t333 * t3304;
  t17491 = t490 * t303 * t95 * t16343;
  t17497 = t490 * t9073 * t930;
  t17501 = t490 * t1726 * t3737;
  t17504 = t10526 * t2059;
  t17509 = -0.2e1 / 0.3e1 * t372 * t3521 - t17463 - t17465 - t162 * t12158 * t990 / 0.4e1 - t1434 * t991 / 0.4e1 - t349 * t3694 / 0.2e1 - t162 * t1643 * t944 * t313 / 0.2e1 + t162 * t3707 * t1707 / 0.2e1 + 0.12e2 * t17481 * t6633 + 0.3e1 / 0.2e1 * t162 * t3703 * t1693 - t917 * t1936 / 0.3e1 + t208 * t17491 / 0.12e2 + t533 * t3739 / 0.6e1 + t208 * t17497 / 0.12e2 + t208 * t17501 / 0.6e1 - 0.35e2 / 0.108e3 * t15570 * t17504 - t922 * t9649 / 0.6e1;
  t17520 = t2057 * t2067;
  t17523 = t10925 * t2171;
  t17526 = t145 * t218;
  t17527 = t17526 * t2164;
  t17530 = t3935 * t2186;
  t17533 = t10733 * t2299;
  t17543 = t3935 * t500 * t15575;
  t17546 = t17367 * t4267;
  t17549 = t17371 * t4263;
  t17556 = -t922 * t9651 / 0.12e2 + t2020 * t932 / 0.12e2 + t533 * t3734 / 0.6e1 + t922 * t9460 / 0.3e1 + t922 * t9435 / 0.6e1 - 0.5e1 / 0.18e2 * t3502 * t17520 - 0.2e1 / 0.3e1 * t2161 * t17523 + 0.2e1 / 0.3e1 * t2161 * t17527 + 0.23e2 / 0.18e2 * t15606 * t17530 - 0.115e3 / 0.36e2 * t15606 * t17533 - 0.4e1 / 0.3e1 * t17083 * t9716 + 0.4e1 / 0.3e1 * t2168 * t10916 - 0.8e1 / 0.3e1 * t2168 * t10884 + 0.23e2 / 0.9e1 * t10715 * t17543 + 0.4e1 / 0.3e1 * t9737 * t17546 - 0.2e1 * t9737 * t17549 - t10930 * t2306 - t1677 * t2305 * t3552 / 0.2e1;
  t17562 = my_piecewise3(t3, 0, t17173 + t16182 + t15643 + t15593 + t15692 + t16894 + t17132 + t16082 + t17039 + t17222 + t17509 + t16991 + t17407 + t16225 + t17303 + t16141 + t17353 + t15489 + t15937 + t15547 + t17556 + t15979 + t17091 + t15810 + t16942 + t17259 + t15899 + t15761 + t16026 + t16854 + t15847 + t17457);
  tv4rho2sigma20 = 0.2e1 * rho[0] * t17562 + 0.4e1 * t3894;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  t17576 = t16245 + t16247 - t16253 + t16358 - t16362 + t943 + t237 * t16481 / 0.2e1 + 0.2e1 * t2790 * t3869 + t693 * t16513 + t2811 * t966 / 0.2e1 + t691 * t3848 - t16406;
  t17584 = -t16408 - t16411 + t16413 - t16414 - t16416 - t16418 + t16420 + 0.2e1 / 0.3e1 * t697 * t16500 + t13286 * t1036 - t13181 * t1040 - 0.2e1 * t2760 * t3852 - t697 * t16505;
  t17595 = t2258 * t122;
  t17596 = t423 * t17595;
  t17599 = t4143 * t363;
  t17600 = t410 * t17599;
  t17603 = t9763 * t1425;
  t17604 = t2781 * t17603;
  t17605 = t4143 * t308;
  t17606 = t1837 * t17605;
  t17609 = t4143 * t1609;
  t17610 = t410 * t17609;
  t17613 = 0.2e1 / 0.3e1 * t13181 * t1033 + 0.4e1 / 0.3e1 * t2760 * t3861 - t962 + t16440 - t237 * t16345 - 0.4e1 * t13143 * t3772 - 0.4e1 * t2750 * t16779 - 0.22e2 * t13126 * t17596 + 0.2e1 * t4158 * t17600 + 0.4e1 / 0.3e1 * t17604 * t17606 + 0.2e1 / 0.3e1 * t2750 * t17610 + t16479;
  t17614 = t236 * t16684;
  t17617 = t4143 * t1631;
  t17618 = t149 * t17617;
  t17621 = t423 * t17617;
  t17624 = t13223 * t4165;
  t17629 = 0.12e2 * t13136 * t17621 - 0.4e1 * t13166 * t17618 + 0.12e2 * t16615 * t4166 - 0.6e1 * t16687 * t17614 + 0.12e2 * t17624 * t4159 + t16495 + t16517 + t16520 + t16526 - t16528 - t16532 - t16533 - t16536;
  t17634 = t410 * t17595;
  t17641 = t2759 * t4157;
  t17646 = t9879 * t134;
  t17647 = t236 * t17646;
  t17648 = t149 * t17605;
  t17651 = t9841 * t319;
  t17652 = t696 * t17651;
  t17653 = t423 * t17605;
  t17656 = t423 * t17599;
  t17659 = -0.5e1 * t13136 * t16549 + 0.15e2 * t13131 * t17634 + 0.4e1 * t4138 * t16733 + 0.2e1 / 0.3e1 * t2750 * t16736 - 0.24e2 * t17641 * t4179 - 0.8e1 * t13143 * t4145 - 0.24e2 * t17647 * t17648 + 0.72e2 * t17652 * t17653 - 0.12e2 * t4158 * t17656 - t16611 - t16612 - t16613;
  t17668 = t410 * t17605;
  t17677 = t410 * t17617;
  t17680 = t16614 - 0.4e1 / 0.3e1 * t17624 * t4172 - 0.24e2 * t4158 * t16608 - 0.8e1 * t2750 * t16640 - 0.4e1 / 0.3e1 * t4166 * t16643 - 0.72e2 * t17604 * t17668 - 0.6e1 * t13163 * t16704 - 0.2e1 * t2750 * t16744 + 0.6e1 * t4166 * t17600 - 0.2e1 * t13136 * t17677 - t16681 + t16682;
  t17682 = t1837 * t62;
  t17683 = t17682 * t17595;
  t17687 = t1032 * t1609;
  t17688 = t1862 * t17687;
  t17691 = t2427 * t205;
  t17692 = t1566 * t17691;
  t17706 = t3867 + t16683 + 0.5e1 / 0.9e1 * t13131 * t17683 - t237 * t16659 + 0.2e1 * t697 * t17688 + t2782 * t17692 / 0.18e2 - t2811 * t953 - 0.2e1 * t691 * t3784 + t13224 * t4119 / 0.9e1 - 0.8e1 / 0.3e1 * t697 * t16396 + t2782 * t16579 / 0.9e1 - 0.6e1 * t13216 * t4109;
  t17709 = t400 * t17687;
  t17732 = -0.2e1 * t2790 * t4112 - t693 * t17709 - t693 * t16587 + 0.4e1 * t2776 * t16589 - 0.4e1 / 0.3e1 * t697 * t16376 + 0.12e2 * t13188 * t4090 + 0.4e1 * t2760 * t4116 + 0.2e2 / 0.3e1 * t13224 * t4102 + 0.4e1 * t697 * t16402 + 0.2e2 / 0.3e1 * t2782 * t16673 - 0.8e1 * t13188 * t4083 - 0.8e1 / 0.3e1 * t2760 * t4106 - 0.2e1 * t2790 * t3836;
  t17744 = t16695 * t17595;
  t17747 = t16690 * t17595;
  t17750 = t16699 * t17595;
  t17753 = t1829 * t62;
  t17754 = t17753 * t17595;
  t17765 = -0.2e1 * t691 * t3807 - 0.4e1 / 0.3e1 * t2760 * t3787 - 0.2e1 * t693 * t16584 - 0.2e1 * t237 * t16655 - 0.12e2 * t13163 * t17744 - 0.22e2 / 0.3e1 * t13126 * t17747 + 0.44e2 * t13126 * t17750 + 0.1e2 / 0.3e1 * t13131 * t17754 - 0.8e1 * t13166 * t16696 - 0.5e1 / 0.3e1 * t13136 * t16691 + 0.1e2 * t13136 * t16700 - 0.3e2 * t13131 * t17747;
  t17766 = t1032 * t1631;
  t17767 = t10245 * t17766;
  t17770 = t2416 * t205;
  t17771 = t1566 * t17770;
  t17774 = t1868 * t17766;
  t17783 = t1505 * t17770;
  t17788 = t9916 * t17770;
  t17791 = t1505 * t17691;
  t17794 = t9911 * t17770;
  t17797 = t405 * t17770;
  t17800 = -0.6e1 * t697 * t17767 - 0.2e1 / 0.3e1 * t13195 * t17771 + 0.2e1 * t693 * t17774 + 0.3e1 * t2765 * t16456 + 0.3e1 * t237 * t16460 - 0.6e1 * t2776 * t16598 + 0.36e2 * t13195 * t17783 + 0.3e1 * t2782 * t16430 - 0.12e2 * t13185 * t17788 - 0.3e1 * t2782 * t17791 + 0.5e2 / 0.3e1 * t13185 * t17794 - 0.36e2 * t13205 * t17797;
  t17804 = t9906 * t17770;
  t17809 = t1829 * t17599;
  t17816 = t9904 * t9097;
  t17817 = t13184 * t17816;
  t17822 = t1829 * t17605;
  t17827 = t10286 * t17605;
  t17830 = -0.1e2 / 0.3e1 * t2782 * t16421 + 0.1e2 / 0.3e1 * t13185 * t17804 + 0.2e1 * t2752 * t16747 - 0.2e1 / 0.3e1 * t4166 * t17809 + 0.12e2 * t13126 * t16789 + 0.2e1 / 0.3e1 * t13131 * t16784 - t16724 + 0.8e1 / 0.3e1 * t17817 * t17606 - 0.6e1 * t13131 * t16750 + 0.24e2 * t17817 * t17822 + 0.8e1 * t17604 * t17822 - 0.4e1 / 0.3e1 * t17817 * t17827;
  t17838 = t149 * t17595;
  t17843 = t10255 * t17766;
  t17846 = t145 * t17770;
  t17853 = t16741 + t16742 + 0.12e2 * t690 * t4148 * t4151 + 0.4e1 * t13169 * t4154 + 0.1e2 / 0.3e1 * t13136 * t16637 + 0.6e1 * t13163 * t17838 - 0.2e1 * t13126 * t16750 - t16769 + t16776 + 0.4e1 * t697 * t17843 + 0.12e2 * t13202 * t17846 + 0.2e1 * t697 * t16351 - 0.6e1 * t13224 * t4076;
  t17862 = t1571 * t17770;
  t17867 = t405 * t17691;
  t17877 = t396 * t17691;
  t17882 = -0.6e1 * t2782 * t16441 + 0.12e2 * t2776 * t16399 + 0.2e1 * t2760 * t3799 - 0.4e2 * t13195 * t17862 - t697 * t16576 / 0.3e1 + 0.6e1 * t2776 * t17867 + t697 * t16355 - 0.2e1 * t13286 * t1022 - 0.4e1 * t2790 * t3810 - 0.2e1 * t693 * t16661 - 0.4e1 * t2776 * t17877 - t13181 * t1025 / 0.3e1;
  t17887 = t1571 * t17691;
  t17890 = t1505 * t17687;
  t17893 = t145 * t17691;
  t17896 = t396 * t17770;
  t17913 = -0.2e1 / 0.3e1 * t2760 * t3820 + 0.2e1 * t697 * t16670 + 0.1e2 / 0.3e1 * t2782 * t17887 - 0.4e1 / 0.3e1 * t697 * t17890 - 0.3e1 * t2765 * t17893 + 0.24e2 * t13205 * t17896 - 0.2e1 / 0.3e1 * t697 * t16381 - t2782 * t16366 / 0.18e2 + 0.2e1 * t13181 * t1029 + 0.4e1 * t2760 * t3831 - 0.6e1 * t2765 * t16387 - 0.2e1 * t693 * t16393 - 0.8e1 * t2776 * t16667;
  t17915 = t1837 * t17599;
  t17918 = t9935 * t60;
  t17919 = t17918 * t17605;
  t17922 = t423 * t17609;
  t17925 = t149 * t17599;
  t17930 = t149 * t17609;
  t17945 = -t4166 * t17915 / 0.9e1 - t17817 * t17919 / 0.9e1 - 0.4e1 * t2750 * t17922 + 0.6e1 * t4149 * t17925 - 0.12e2 * t17652 * t17668 + 0.2e1 * t2752 * t17930 + 0.2e1 * t4138 * t16754 + t2750 * t16757 / 0.3e1 + t13131 * t16760 / 0.9e1 + 0.4e1 / 0.3e1 * t13143 * t4162 - 0.2e1 / 0.9e1 * t17624 * t4167 + 0.4e1 / 0.3e1 * t2750 * t16648;
  t17956 = t1829 * t17595;
  t17959 = t1837 * t17595;
  t17964 = t690 * t3763;
  t17975 = -0.2e1 / 0.9e1 * t4166 * t16651 + 0.4e1 * t17641 * t4159 + 0.12e2 * t4149 * t16621 + 0.4e1 * t2752 * t16625 + 0.4e1 * t4158 * t16615 - 0.5e2 / 0.3e1 * t13131 * t17956 - 0.5e1 / 0.18e2 * t13131 * t17959 + 0.4e1 * t13169 * t3760 + 0.4e1 * t17964 * t3766 + 0.2e1 / 0.3e1 * t13143 * t3769 + 0.4e1 * t2752 * t16727 + 0.44e2 / 0.3e1 * t13126 * t17634 + 0.4e1 * t13166 * t16634;
  t17984 = t205 * t308;
  t17985 = t1505 * t17984;
  t17991 = t22 * t9897 * t308 * t9904;
  t17992 = t9945 * t65;
  t17994 = t17992 * t4275 * t7280;
  t17997 = t1505 * t10864;
  t18012 = t10733 * t1556 * t3949;
  t18016 = t22 * t10193 * t9763;
  t18019 = t405 * t10864;
  t18023 = t1571 * t10864;
  t18027 = t9906 * t65;
  t18028 = t18027 * t7478;
  t18031 = t1566 * t10864;
  t18035 = t96 * t10864;
  t18036 = t2169 * t18035;
  t18039 = t22 * t13185;
  t18040 = t96 * t17984;
  t18041 = t10733 * t18040;
  t18044 = t2683 * t15651 / 0.2e1 + t4291 * t15671 / 0.2e1 - t12962 * t4036 / 0.18e2 + 0.3e1 / 0.2e1 * t10796 * t18012 - 0.28e2 * t18016 * t7380 - 0.3e1 * t2251 * t2776 * t18019 - 0.3e1 * t2255 * t2782 * t18023 - 0.62e2 / 0.3e1 * t17991 * t18028 + 0.3e1 / 0.2e1 * t4277 * t2782 * t18031 - t3930 * t18036 / 0.2e1 - 0.38e2 / 0.9e1 * t18039 * t18041;
  t18053 = t10936 * t7332;
  t18059 = t3931 * t18035;
  t18062 = t18027 * t18040;
  t18067 = t22 * t13195;
  t18068 = t500 * t17984;
  t18069 = t3935 * t18068;
  t18072 = t2182 * t18035;
  t18074 = t3931 * t18040;
  t18077 = -t2632 * t17329 / 0.3e1 + t2632 * t17335 / 0.6e1 - t2251 * t697 * t17349 / 0.2e1 - 0.7e1 / 0.3e1 * t10796 * t18053 + t2255 * t697 * t17359 / 0.2e1 - 0.11e2 / 0.18e2 * t3930 * t18059 - 0.61e2 / 0.27e2 * t18039 * t18062 - 0.2e1 * t3917 * t10872 - 0.23e2 / 0.3e1 * t18067 * t18069 + t3917 * t18072 + 0.22e2 / 0.3e1 * t18067 * t18074;
  t18080 = t1556 * t17984;
  t18081 = t17992 * t18080;
  t18086 = t18027 * t18068;
  t18089 = t3935 * t10871;
  t18092 = t17992 * t18068;
  t18095 = -0.3e1 / 0.2e1 * t3930 * t10866 - 0.43e2 / 0.9e1 * t18039 * t18081 + 0.7e1 / 0.3e1 * t3930 * t10895 + 0.89e2 / 0.9e1 * t18039 * t18086 + 0.23e2 / 0.36e2 * t3930 * t18089 + 0.44e2 / 0.27e2 * t18039 * t18092 - t913 + t984 + t15497 - t15501 - t15505;
  t18120 = -0.4e1 / 0.3e1 * t12238 * t4264 - t10480 * t4322 / 0.6e1 + t10480 * t4319 / 0.3e1 + 0.2e1 / 0.9e1 * t12962 * t4268 + t1994 * t734 / 0.2e1 + t12253 * t3621 / 0.6e1 + t2632 * t10921 / 0.3e1 + 0.2e1 / 0.3e1 * t2632 * t10916 + 0.2e1 / 0.3e1 * t2632 * t10907 + 0.2e1 / 0.3e1 * t12238 * t4268 - t671 * t17208 / 0.6e1;
  t18121 = t103 * t2776;
  t18138 = 0.2e1 / 0.3e1 * t18121 * t3923 - t2196 * t4251 / 0.18e2 + t525 * t2573 / 0.18e2 + t15533 - t15534 - t1434 * t1058 / 0.2e1 - t349 * t3963 - t349 * t4061 + t11018 * t3951 / 0.3e1 + t10923 * t4301 / 0.3e1 - 0.2e1 / 0.9e1 * t10905 * t7333;
  t18141 = t103 * t4276;
  t18149 = t22 * t13205;
  t18150 = t2175 * t18040;
  t18153 = t22 * t13188;
  t18158 = t1571 * t154;
  t18159 = t18158 * t3919;
  t18162 = t22 * t13224;
  t18165 = t10923 * t4272 + t18141 * t4279 - 0.2e1 * t11018 * t4283 + 0.2e1 * t11018 * t4260 + t12915 * t4228 / 0.9e1 - 0.3e1 * t18149 * t18150 + 0.2e1 * t18153 * t3923 + t18121 * t3920 / 0.3e1 - 0.11e2 / 0.9e1 * t3930 * t18159 - 0.11e2 / 0.9e1 * t18162 * t3932 + t15602;
  t18175 = t400 * t10831;
  t18189 = -t15603 - 0.2e1 * t11771 * t7530 - t162 * t745 * t17425 / 0.4e1 + t2251 * t2790 * t4312 + t2251 * t693 * t15636 + t2251 * t693 * t18175 / 0.2e1 - t9731 * t4316 - t1677 * t13448 * t1057 / 0.2e1 - t1677 * t13403 * t1057 - t1677 * t2698 * t3513 - 0.2e1 * t10769 * t4310;
  t18200 = t11209 * t3919;
  t18220 = t2571 * t2058;
  t18221 = t302 * t18220;
  t18234 = -t2196 * t4221 / 0.9e1 - t2543 * t3566 / 0.9e1 - t12075 * t730 / 0.3e1 - t208 * t12907 / 0.6e1 + t2285 * t3987 / 0.9e1 - t2332 * t18221 / 0.2e1 + t2483 * t627 / 0.6e1 - t2483 * t641 / 0.6e1 + t719 * t2131 / 0.2e1 - t2483 * t637 / 0.3e1 + 0.3e1 / 0.2e1 * t719 * t2137;
  t18258 = t2010 * t734 / 0.6e1 + 0.3e1 / 0.2e1 * t610 * t2652 - t2010 * t746 / 0.6e1 - t12813 * t1002 / 0.27e2 + t12401 * t1005 / 0.54e2 - t2662 * t17171 / 0.2e1 - 0.3e1 * t719 * t2219 + 0.3e1 * t2509 * t2146 + 0.3e1 * t1972 * t2656 + t610 * t2648 / 0.2e1 - t2010 * t742 / 0.3e1;
  t18261 = t15739 - t15743 + t15745 + t15749 + t15760 - t15765 + t15773 - t15776 + t15795 - t15800 - t671 * t15913 / 0.12e2;
  t18266 = t548 * t12734;
  t18269 = t2057 * t18220;
  t18287 = -0.5e1 / 0.36e2 * t2590 * t15916 - t546 * t18266 / 0.12e2 - 0.5e1 / 0.36e2 * t2055 * t18269 - t1994 * t742 - t1994 * t746 / 0.2e1 + t671 * t10628 / 0.3e1 + 0.2e1 / 0.3e1 * t671 * t10623 + t671 * t10620 / 0.3e1 - t233 * t11667 / 0.12e2 + t12434 * t1016 / 0.3e1 + 0.2e1 / 0.3e1 * t2600 * t4203;
  t18295 = t4031 * t122;
  t18296 = t169 * t18295;
  t18297 = t2162 * t18296;
  t18299 = t169 * t12126;
  t18300 = t1684 * t18299;
  t18303 = t96 * t17595;
  t18304 = t2169 * t18303;
  t18307 = 0.2e1 / 0.3e1 * t2600 * t3664 + t233 * t11686 / 0.12e2 - t162 * t12324 * t1057 / 0.2e1 - t4291 * t18297 - t2674 * t18300 / 0.3e1 - 0.11e2 / 0.6e1 * t3917 * t18304 - t15812 - t15813 - t15814 + t15815 + t15816;
  t18310 = t548 * t717 * t3662;
  t18314 = t22 * t393 * t9841;
  t18327 = t10255 * t10776;
  t18331 = 0.2e1 / 0.3e1 * t1941 * t18310 + 0.12e2 * t18314 * t7385 - t2265 * t2563 * t3680 + t2538 * t627 / 0.2e1 + t2276 * t3987 / 0.3e1 + t533 * t2573 / 0.6e1 + t15828 + t15830 - t15832 + t12238 * t3465 / 0.3e1 - 0.3e1 * t2255 * t697 * t18327;
  t18354 = -t11016 * t4306 / 0.3e1 - t661 * t2042 / 0.6e1 - t2590 * t16820 / 0.2e1 - 0.3e1 * t1972 * t2720 + t654 * t3734 / 0.18e2 + t654 * t3739 / 0.18e2 + t666 * t17211 / 0.3e1 + t233 * t11682 / 0.6e1 + t654 * t2038 / 0.18e2 - t233 * t11992 / 0.6e1 - t2543 * t3650 / 0.18e2;
  t18363 = t555 * t18220;
  t18365 = t2233 * t18220;
  t18387 = t368 * t3907;
  t18392 = t496 * t1044;
  t18396 = t343 * t1043 * t500;
  t18401 = t106 * t158 * t1042 * t506;
  t18410 = t2031 * t686 / 0.54e2 - t13101 * t223 / 0.18e2 + t11924 * t248 / 0.4e1 + t18387 * t166 / 0.6e1 + t3908 * t517 / 0.2e1 - t338 * t18392 / 0.6e1 + t338 * t18396 / 0.3e1 - t18401 * t513 / 0.2e1 + t12042 * t248 / 0.6e1 + t2483 * t631 / 0.6e1 - t12064 * t248 / 0.18e2;
  t18418 = t103 * t2782;
  t18421 = t1684 * t18303;
  t18434 = -t654 * t1999 / 0.18e2 - t2486 * t569 / 0.18e2 - t377 * t3903 / 0.12e2 - 0.11e2 / 0.27e2 * t18418 * t3932 + t4291 * t18421 - t1553 * t4055 - t509 * t12382 * t1052 / 0.2e1 - t509 * t2620 * t3680 - t1553 * t4050 - t10077 * t1053 / 0.3e1 - t1529 * t4055 / 0.3e1;
  t18442 = t1042 * t66;
  t18444 = t302 * t18442 * t296;
  t18451 = t12348 * t539;
  t18452 = t555 * t18451;
  t18456 = t490 * t18442 * t491;
  t18461 = t548 * t2536 * t1000;
  t18464 = -t1529 * t4050 / 0.3e1 + 0.2e1 / 0.9e1 * t12430 * t1016 + t719 * t2105 / 0.2e1 - t719 * t2110 - t127 * t18444 / 0.6e1 + t3908 * t298 / 0.2e1 - t671 * t16851 / 0.3e1 - t546 * t18452 / 0.3e1 + t127 * t18456 / 0.12e2 - t610 * t2844 + 0.2e1 / 0.3e1 * t1941 * t18461;
  t18476 = t11209 * t4032;
  t18481 = t96 * t10831;
  t18482 = t2294 * t18481;
  t18489 = -t3908 * t329 / 0.4e1 - t2538 * t641 / 0.2e1 - t2538 * t637 - t13030 * t623 + t2538 * t646 - t2244 * t4221 / 0.3e1 - t2632 * t18476 / 0.3e1 - t12238 * t4033 / 0.3e1 + t2632 * t18482 / 0.3e1 + 0.2e1 / 0.3e1 * t2632 * t15581 + t2251 * t237 * t15722;
  t18508 = t2251 * t237 * t15878 / 0.2e1 + t10769 * t4298 + t2251 * t2790 * t3637 + t2251 * t693 * t15718 + t2251 * t693 * t15945 / 0.2e1 + 0.2e1 * t10752 * t7333 + t10769 * t4301 + t2251 * t691 * t3641 - t2265 * t13416 * t1052 - t15892 + t15895;
  t18522 = t11202 * t4027;
  t18525 = t1862 * t17595;
  t18529 = t7280 * t326;
  t18530 = t500 * t18529;
  t18531 = t10936 * t18530;
  t18534 = t5208 * t205;
  t18535 = t1675 * t18534;
  t18536 = t2175 * t18535;
  t18539 = t400 * t17595;
  t18543 = -0.4e1 / 0.9e1 * t12962 * t4264 + 0.23e2 / 0.54e2 * t18418 * t3936 + 0.6e1 * t10809 * t4260 - t12434 * t1010 / 0.6e1 - t2600 * t4208 / 0.3e1 - t2600 * t3755 / 0.3e1 + 0.2e1 / 0.3e1 * t2632 * t18522 + 0.11e2 * t2251 * t2776 * t18525 - 0.35e2 / 0.3e1 * t10863 * t18531 - 0.4e1 * t10870 * t18536 - 0.3e1 * t2251 * t2765 * t18539;
  t18544 = t2169 * t18530;
  t18548 = t320 * t1056 * t326;
  t18552 = t135 * t1056 * t122;
  t18565 = t10910 * t4027;
  t18568 = t1566 * t154;
  t18569 = t18568 * t3919;
  t18572 = 0.22e2 / 0.3e1 * t10870 * t18544 + t1677 * t2698 * t18548 + 0.3e1 * t1677 * t13524 * t18552 + t10923 * t4298 / 0.3e1 + t18153 * t3920 + t3917 * t15942 + t2674 * t15930 / 0.3e1 - t4291 * t15934 - t2674 * t15939 / 0.3e1 + t2632 * t18565 / 0.3e1 - 0.5e1 / 0.18e2 * t3930 * t18569;
  t18589 = t396 * t10864;
  t18600 = t103 * t10862;
  t18603 = -0.5e1 / 0.18e2 * t18162 * t4236 + t12238 * t4233 / 0.3e1 + t372 * t3971 / 0.3e1 - t1479 * t1061 / 0.6e1 - t22 * t4185 * t194 / 0.2e1 - t103 * t4016 / 0.6e1 + 0.3e1 * t2255 * t2776 * t18589 - t22 * t1043 * t477 / 0.4e1 - 0.2e1 * t10923 * t4287 - 0.2e1 / 0.3e1 * t10923 * t4310 + 0.14e2 / 0.9e1 * t18600 * t7380;
  t18604 = t22 * t2503;
  t18608 = t22 * t243 * t2263;
  t18615 = -t15950 + t15952 + t15955 + t15958 - t15960 - 0.3e1 / 0.2e1 * t18604 * t2310 - t18608 * t2268 + t13562 * t2292 - 0.3e1 / 0.2e1 * t17049 * t2560 - t17053 * t2564 + t10930 * t2672;
  t18618 = t22 * t154 * t4275;
  t18635 = t302 * t18451;
  t18640 = 0.3e1 * t18618 * t4279 + 0.3e1 / 0.2e1 * t17046 * t2568 - t2251 * t2760 * t3477 + t2255 * t697 * t16876 - t208 * t12350 / 0.6e1 + t208 * t12725 / 0.6e1 - t2244 * t4251 / 0.6e1 - t533 * t2666 / 0.6e1 + t538 * t18635 / 0.3e1 + t15978 + 0.18e2 * t18016 * t7479;
  t18646 = -t18600 * t7479 - t2674 * t17523 / 0.3e1 + t2632 * t17372 / 0.4e1 - t15995 - t16042 - t16046 + t16049 + t16052 - t16060 - t16062 - t16064;
  t18660 = t1426 * t7201 * t122;
  t18664 = t1051 * t122;
  t18665 = t1426 * t18664;
  t18671 = t3931 * t18296;
  t18674 = t2175 * t18296;
  t18676 = -t16066 - t2600 * t3650 / 0.6e1 - t372 * t4066 / 0.6e1 - t372 * t4058 / 0.6e1 - t1479 * t1058 / 0.3e1 - t2600 * t3566 / 0.3e1 - 0.6e1 * t2265 * t13456 * t18660 + 0.3e1 * t1677 * t13456 * t18665 + t2265 * t2563 * t16976 - 0.11e2 / 0.9e1 * t3930 * t18671 + t3917 * t18674;
  t18677 = t2169 * t18299;
  t18680 = t2632 * t18677 / 0.3e1 + t16173 + t16175 - t16177 + t16179 + t16181 + t16184 + t16187 + t16189 - t16192 - t16194;
  t18698 = t10733 * t500 * t17595;
  t18703 = t10936 * t18303;
  t18706 = t2294 * t18299;
  t18709 = t610 * t2856 / 0.4e1 - t509 * t729 * t16921 / 0.2e1 - t610 * t2837 / 0.2e1 - t10084 * t1053 / 0.2e1 - t610 * t2840 / 0.4e1 - 0.2e1 * t11771 * t7210 - t719 * t2149 / 0.4e1 - 0.115e3 / 0.36e2 * t3930 * t18698 - 0.4e1 / 0.3e1 * t2632 * t12128 + 0.55e2 / 0.18e2 * t3930 * t18703 + 0.2e1 / 0.3e1 * t2632 * t18706;
  t18717 = t3935 * t1675 * t18295;
  t18720 = t2294 * t18303;
  t18731 = t9073 * t1000;
  t18732 = t302 * t18731;
  t18737 = -t2674 * t16900 / 0.3e1 - t2683 * t16911 / 0.3e1 + t2632 * t16906 / 0.6e1 + 0.23e2 / 0.18e2 * t3930 * t18717 - 0.11e2 / 0.3e1 * t3917 * t18720 - 0.11e2 / 0.18e2 * t2590 * t16917 + 0.2e1 * t2632 * t10778 + t13542 * t3621 / 0.18e2 + t2550 * t3730 / 0.3e1 + t666 * t18732 / 0.6e1 + t666 * t16159 / 0.3e1;
  t18757 = t658 * t205;
  t18758 = t500 * t18757;
  t18759 = t2175 * t18758;
  t18762 = t10729 * t7379;
  t18769 = t230 * t530;
  t18770 = t500 * t18769;
  t18771 = t3931 * t18770;
  t18780 = t103 * t10869;
  t18785 = t230 * t3550;
  t18787 = t2169 * t500 * t18785;
  t18790 = t658 * t929;
  t18792 = t2169 * t500 * t18790;
  t18795 = t10910 * t7332;
  t18798 = t96 * t10776;
  t18799 = t10775 * t18798;
  t18803 = 0.14e2 / 0.3e1 * t10863 * t18771 - t372 * t4061 / 0.3e1 + t372 * t3966 / 0.3e1 + t2683 * t10926 / 0.6e1 - 0.4e1 / 0.3e1 * t18780 * t7385 + 0.2e1 * t10809 * t4304 - 0.2e1 / 0.3e1 * t9737 * t18787 - 0.2e1 / 0.3e1 * t9737 * t18792 - 0.2e1 / 0.3e1 * t9737 * t18795 - t2632 * t18799 / 0.2e1 + t18604 * t2253;
  t18805 = t17367 * t5520;
  t18808 = t17371 * t5504;
  t18815 = t3935 * t1556 * t18769;
  t18819 = t3935 * t1556 * t18757;
  t18827 = 0.2e1 / 0.3e1 * t9737 * t18805 - t9737 * t18808 - t10930 * t2702 / 0.2e1 + t17049 * t2696 - t10930 * t2699 - 0.3e1 * t10863 * t18815 - 0.3e1 * t10863 * t18819 - t233 * t11661 / 0.6e1 + t1994 * t749 - t1972 * t2850 + t610 * t2621;
  t18839 = t3949 * t326;
  t18841 = t10775 * t500 * t18839;
  t18848 = t1648 * t1051 * t326;
  t18852 = t11150 * t18798;
  t18854 = -t2509 * t2119 + t719 * t2241 - t12082 * t730 - t1463 * t1066 / 0.9e1 - t2543 * t4208 / 0.9e1 - t2543 * t3755 / 0.9e1 - t103 * t4186 / 0.6e1 + 0.5e1 / 0.3e1 * t9737 * t18841 - 0.2e1 * t2251 * t693 * t15454 + 0.2e1 * t2265 * t2563 * t18848 - t2632 * t18852;
  t18858 = t10733 * t1556 * t18529;
  t18863 = t9916 * t17595;
  t18867 = t10707 * t3919;
  t18869 = t10729 * t3919;
  t18871 = t9743 * t4027;
  t18876 = 0.15e2 / 0.2e1 * t10863 * t18858 - t1677 * t2563 * t16984 + 0.15e2 * t2255 * t2782 * t18863 - t4291 * t18867 + t3917 * t18869 - t2674 * t18871 / 0.3e1 - t16802 + t16835 - t16841 - t10923 * t3954 / 0.3e1 - t16858;
  t18883 = t9906 * t17984;
  t18898 = -0.11e2 / 0.9e1 * t3930 * t15584 - t12286 * t4295 / 0.3e1 + t16863 - t16868 - t3699 + t1479 * t1066 / 0.3e1 + 0.18e2 * t4277 * t13185 * t18883 - 0.3e1 / 0.2e1 * t4277 * t2782 * t17204 + 0.3e1 * t2255 * t2782 * t17193 - 0.3e1 / 0.2e1 * t2251 * t2782 * t17197 + t3930 * t17201 / 0.2e1;
  t18900 = t10936 * t18040;
  t18903 = t145 * t10864;
  t18911 = t169 * t10919;
  t18912 = t2162 * t18911;
  t18915 = t2175 * t18035;
  t18918 = t10707 * t4032;
  t18921 = t1862 * t243;
  t18922 = t18921 * t2171;
  t18932 = -0.2e1 * t18039 * t18900 + 0.3e1 / 0.2e1 * t2251 * t2765 * t18903 - 0.5e1 / 0.54e2 * t18418 * t4236 + t12962 * t4233 / 0.9e1 + t2674 * t18912 / 0.6e1 + t3917 * t18915 / 0.2e1 + t2674 * t18918 / 0.3e1 + t2168 * t18922 / 0.2e1 - t162 * t741 * t17437 / 0.2e1 - t1434 * t1061 / 0.4e1 - t349 * t4066 / 0.2e1;
  t18955 = -t349 * t4058 / 0.2e1 - t162 * t12375 * t990 / 0.4e1 - t162 * t2846 * t3552 / 0.2e1 - t162 * t2843 * t3513 - t12962 * t4033 / 0.9e1 + 0.2e1 / 0.3e1 * t12238 * t4028 - t719 * t2091 / 0.2e1 - t1972 * t2852 / 0.2e1 + t719 * t2154 / 0.2e1 - t2509 * t2096 / 0.2e1 - t16887;
  t18961 = t396 * t3918;
  t18970 = t717 * t2058;
  t18971 = t2057 * t18970;
  t18981 = t1648 * t1064 * t326;
  t18988 = t22 * t13202;
  t18989 = t2162 * t18040;
  t18992 = t3624 * t18798;
  t18995 = t2182 * t18296;
  t19005 = t1868 * t10776;
  t19010 = t10245 * t10776;
  t19014 = t12286 * t4228 / 0.3e1 + 0.2e1 * t18988 * t18989 + t2674 * t18992 / 0.3e1 - t16936 + 0.2e1 * t3917 * t18995 - 0.6e1 * t2255 * t2782 * t16872 - t18418 * t3939 / 0.3e1 + t12962 * t3465 / 0.9e1 - t2251 * t693 * t19005 - t10480 * t4316 / 0.3e1 + 0.3e1 * t2251 * t697 * t19010;
  t19022 = t2169 * t18296;
  t19031 = t1862 * t10831;
  t19039 = t10923 * t4313 / 0.3e1 - 0.5e1 / 0.18e2 * t3930 * t16966 + t2632 * t17075 / 0.3e1 - t3930 * t19022 - 0.5e1 / 0.6e1 * t2632 * t15446 - t719 * t2158 / 0.2e1 - 0.2e1 * t2251 * t697 * t15713 - t2251 * t697 * t19031 + t10769 * t4313 + t2550 * t3655 / 0.3e1 + t661 * t2038 / 0.6e1;
  t19040 = t548 * t18451;
  t19043 = t2175 * t18911;
  t19048 = t1684 * t18481;
  t19066 = -t546 * t19040 / 0.6e1 - t2632 * t19043 / 0.12e2 + t349 * t3966 + t349 * t3971 - t2674 * t19048 / 0.6e1 + t162 * t12382 * t1065 / 0.2e1 + t162 * t2620 * t3557 + t162 * t729 * t17446 / 0.2e1 + t1434 * t1066 / 0.2e1 - t9731 * t4322 / 0.2e1 - t1677 * t13444 * t990 / 0.4e1;
  t19075 = t1505 * t10831;
  t19092 = t2182 * t18911;
  t19095 = -t1677 * t13407 * t990 / 0.2e1 - t1677 * t2701 * t3552 / 0.2e1 + t2255 * t697 * t19075 - t10858 * t4306 - t2265 * t12952 * t1052 / 0.2e1 + t666 * t16162 / 0.6e1 - t12434 * t1005 / 0.12e2 - t2600 * t4009 / 0.6e1 - t2600 * t3716 / 0.6e1 + 0.2e1 / 0.9e1 * t12962 * t4028 - t2632 * t19092 / 0.6e1;
  t19098 = t548 * t18220;
  t19119 = t538 * t12735 / 0.6e1 + t2082 * t19098 / 0.2e1 + 0.2e1 / 0.9e1 * t9223 * t7530 + 0.3e1 / 0.2e1 * t719 * t2204 + 0.3e1 / 0.2e1 * t11870 * t2717 + 0.3e1 / 0.2e1 * t13061 * t2209 - 0.3e1 * t2509 * t2214 + 0.5e1 / 0.36e2 * t3930 * t15856 - t12286 * t3633 / 0.3e1 - t2674 * t16124 / 0.3e1 - t2674 * t16109 / 0.3e1;
  t19135 = t22 * t13054;
  t19138 = t2175 * t18770;
  t19144 = t3931 * t18758;
  t19147 = -t2674 * t15869 / 0.6e1 - t3917 * t15872 / 0.2e1 - t12253 * t3627 / 0.3e1 - t2683 * t16128 / 0.3e1 - t12915 * t3633 / 0.9e1 - t13542 * t3627 / 0.9e1 + t12962 * t3616 / 0.18e2 + 0.3e1 / 0.2e1 * t19135 * t2260 - 0.4e1 * t10870 * t19138 - 0.6e1 * t2251 * t13188 * t4286 + 0.14e2 / 0.3e1 * t10863 * t19144;
  t19148 = t18158 * t7379;
  t19169 = 0.14e2 / 0.3e1 * t10863 * t19148 - 0.6e1 * t10769 * t4287 - t2683 * t16113 / 0.3e1 - t2683 * t15866 / 0.6e1 + t12238 * t3616 / 0.6e1 + t2632 * t16131 / 0.6e1 + t2632 * t16116 / 0.6e1 + t2632 * t15853 / 0.12e2 + t208 * t12772 / 0.12e2 + 0.2e1 / 0.9e1 * t9223 * t7210 + t17032;
  t19178 = t3935 * t18296;
  t19183 = t5208 * t929;
  t19185 = t2169 * t1675 * t19183;
  t19207 = t2233 * t18970;
  t19211 = t2057 * t2507 * t2058;
  t19214 = t2324 * t18220;
  t19223 = 0.2e1 / 0.9e1 * t2543 * t4203 + t719 * t2101 / 0.4e1 + 0.3e1 * t10769 * t4255 + 0.3e1 * t2251 * t13216 * t4254 + 0.3e1 * t2251 * t2765 * t15632 + 0.7e1 / 0.3e1 * t2055 * t19207 - 0.3e1 / 0.2e1 * t2055 * t19211 - t2055 * t19214 / 0.2e1 - 0.3e1 / 0.2e1 * t2590 * t16813 + 0.3e1 / 0.2e1 * t610 * t2714 - t2521 * t932 / 0.54e2;
  t19243 = t10910 * t3919;
  t19245 = t12401 * t1010 / 0.27e2 - 0.2e1 / 0.27e2 * t12401 * t1016 + t9832 * t1053 / 0.9e1 + t1463 * t1058 / 0.9e1 + t1463 * t1061 / 0.18e2 + t2611 * t15818 - t525 * t2666 / 0.18e2 + t2632 * t17343 / 0.3e1 - t18162 * t3939 + t2632 * t17346 / 0.3e1 - t3930 * t19243;
  t19256 = t18568 * t3926;
  t19261 = t10733 * t18303;
  t19264 = t12291 * t2171;
  t19269 = t396 * t243;
  t19270 = t19269 * t4267;
  t19273 = -0.4e1 / 0.3e1 * t2632 * t10911 - 0.4e1 / 0.3e1 * t2632 * t10884 - t2632 * t17368 / 0.6e1 + t2674 * t17527 / 0.3e1 + 0.23e2 / 0.18e2 * t18162 * t3936 + 0.23e2 / 0.18e2 * t3930 * t19256 + 0.23e2 / 0.18e2 * t3930 * t17543 + 0.25e2 / 0.36e2 * t3930 * t19261 - t2161 * t19264 / 0.3e1 - t13562 * t2306 / 0.2e1 + 0.2e1 / 0.3e1 * t9737 * t19270;
  t19277 = t1505 * t243;
  t19278 = t19277 * t4263;
  t19280 = t18568 * t7478;
  t19293 = t19269 * t2164;
  t19296 = t145 * t243;
  t19297 = t19296 * t2164;
  t19300 = t19277 * t2171;
  t19303 = -t13562 * t2271 - t9737 * t19278 - 0.3e1 * t10863 * t19280 + 0.2e1 / 0.3e1 * t11018 * t4304 - 0.3e1 / 0.2e1 * t2251 * t237 * t15654 - 0.3e1 / 0.2e1 * t2251 * t2765 * t15661 + t2179 * t12292 / 0.6e1 - t2168 * t19293 / 0.6e1 + t2161 * t19297 / 0.3e1 + t2168 * t19300 / 0.4e1 + t17102;
  t19304 = t17992 * t18040;
  t19307 = t2169 * t18481;
  t19313 = t3935 * t18035;
  t19317 = t3935 * t2263 * t18534;
  t19320 = t10255 * t17595;
  t19324 = -t17105 - t17107 - 0.35e2 / 0.108e3 * t18039 * t19304 + t2632 * t19307 / 0.6e1 - t103 * t2765 * t4292 / 0.3e1 - 0.5e1 / 0.36e2 * t3930 * t19313 + t17121 + t17123 - t17124 - 0.3e1 * t10863 * t19317 - 0.15e2 / 0.2e1 * t2251 * t2782 * t19320;
  t19326 = t1505 * t17595;
  t19330 = t341 * t18664;
  t19334 = t2162 * t18035;
  t19349 = -0.11e2 * t2255 * t2776 * t19326 + 0.6e1 * t2265 * t13588 * t19330 - t4291 * t19334 / 0.2e1 - t12915 * t4295 / 0.9e1 + t17142 - t17145 - 0.3e1 * t610 * t2723 - t2543 * t3716 / 0.18e2 - t2543 * t4009 / 0.18e2 - t12430 * t1005 / 0.18e2 + t2557 * t3730 / 0.9e1;
  t19359 = t548 * t608 * t4863;
  t19362 = t555 * t18731;
  t19376 = t2557 * t4002 / 0.9e1 + t12505 * t1002 / 0.9e1 + t610 * t2860 / 0.2e1 - t610 * t2847 / 0.2e1 + 0.2e1 / 0.3e1 * t1941 * t19359 - t671 * t19362 / 0.6e1 - t671 * t16210 / 0.3e1 + t661 * t3734 / 0.6e1 + t233 * t17497 / 0.12e2 + t233 * t17501 / 0.6e1 - 0.5e1 / 0.2e1 * t2255 * t697 * t16971;
  t19383 = t9911 * t17595;
  t19388 = t1426 * t7219 * t122;
  t19394 = t10775 * t18303;
  t19399 = t555 * t12734;
  t19408 = t2233 * t7529;
  t19411 = 0.5e1 / 0.2e1 * t2251 * t697 * t16979 - 0.15e2 / 0.2e1 * t4277 * t2782 * t19383 + 0.3e1 * t10978 * t13456 * t19388 + t2632 * t15451 / 0.3e1 + 0.5e1 / 0.2e1 * t3930 * t19394 + t546 * t12843 / 0.3e1 - t546 * t19399 / 0.6e1 + t671 * t10614 / 0.3e1 - t671 * t15686 / 0.6e1 + t610 * t2834 / 0.2e1 + 0.7e1 / 0.3e1 * t3306 * t19408;
  t19416 = t548 * t18731;
  t19425 = -t671 * t16144 / 0.12e2 + t2495 * t932 / 0.12e2 - t671 * t19416 / 0.12e2 - t671 * t16195 / 0.6e1 + t10923 * t4255 + 0.2e1 * t2255 * t697 * t17001 - t17254 + t17286 - t17300 + t17312 - t17327;
  t19429 = t10729 * t4032;
  t19435 = t548 * t1992 * t1208;
  t19444 = t1566 * t3918;
  t19453 = -t12238 * t4036 / 0.6e1 - t2632 * t19429 / 0.6e1 - t2632 * t17086 / 0.3e1 + 0.2e1 / 0.3e1 * t1941 * t19435 + t661 * t3739 / 0.6e1 + t233 * t17491 / 0.12e2 - t2251 * t697 * t16869 + 0.3e1 * t4277 * t13224 * t19444 + 0.3e1 * t4277 * t2782 * t17068 + t10809 * t3951 - t10769 * t3954;
  t19463 = t1571 * t3918;
  t19470 = t3935 * t18040;
  t19473 = t145 * t17984;
  t19477 = t1571 * t17984;
  t19484 = t2255 * t2760 * t17113 + 0.3e1 * t2251 * t2782 * t16070 - 0.6e1 * t10809 * t4283 + 0.3e1 * t10769 * t4272 - 0.6e1 * t2255 * t13224 * t19463 + 0.3e1 * t2251 * t13224 * t4271 + 0.5e1 / 0.3e1 * t18067 * t19470 - 0.6e1 * t2251 * t13202 * t19473 + 0.36e2 * t2255 * t13195 * t19477 - t3917 * t16094 + 0.11e2 / 0.18e2 * t3930 * t17338;
  t19489 = t9911 * t17984;
  t19493 = t9916 * t17984;
  t19499 = t22 * t65 * t9941 * t95;
  t19500 = t9945 * t17984;
  t19504 = t405 * t243;
  t19505 = t19504 * t2164;
  t19514 = t396 * t17984;
  t19518 = t405 * t17984;
  t19522 = t1566 * t17984;
  t19528 = -0.23e2 / 0.36e2 * t3930 * t17332 - 0.18e2 * t2255 * t13185 * t19489 + 0.6e1 * t2251 * t13185 * t19493 - 0.6e1 * t19499 * t13185 * t19500 - t2168 * t19505 / 0.3e1 - 0.3e1 * t2255 * t2776 * t16104 + 0.3e1 * t2251 * t2776 * t16098 - 0.18e2 * t2255 * t13205 * t19514 + 0.18e2 * t2251 * t13205 * t19518 - 0.18e2 * t4277 * t13195 * t19522 - t2632 * t15616 / 0.3e1;
  t19538 = t3931 * t18535;
  t19542 = t341 * t1064 * t122;
  t19550 = t2632 * t15641 / 0.2e1 + t17393 + 0.2e1 * t2255 * t2760 * t2259 - t17463 - t17465 + t1677 * t2698 * t15474 + t1677 * t2701 * t15470 + 0.14e2 / 0.3e1 * t10863 * t19538 - 0.6e1 * t1677 * t13588 * t19542 + t2683 * t16134 / 0.6e1 + t2683 * t15861 / 0.12e2;
  t19562 = t138 * t4186;
  t19567 = t106 * t158 * t4184 * t159;
  t19572 = t343 * t1044;
  t19579 = t2683 * t16121 / 0.6e1 + t2486 * t932 / 0.18e2 + t2538 * t631 / 0.2e1 + t719 * t1983 / 0.4e1 - t369 * t3903 / 0.18e2 - t127 * t19562 / 0.6e1 + t19567 * t166 / 0.2e1 + t3908 * t365 / 0.4e1 - t338 * t19572 / 0.12e2 - t233 * t11909 / 0.12e2 - t2495 * t569 / 0.12e2;
  t19596 = t2169 * t18040;
  t19599 = t2182 * t18040;
  t19603 = -t661 * t1999 / 0.6e1 - t208 * t13001 / 0.12e2 - t2020 * t686 / 0.12e2 - t533 * t2473 / 0.6e1 + t13006 * t223 / 0.4e1 + t1994 * t738 / 0.2e1 + t610 * t2527 / 0.4e1 + t2521 * t569 / 0.54e2 + 0.6e1 * t18067 * t19596 - 0.6e1 * t18149 * t19599 - t3930 * t15609;
  t19610 = my_piecewise3(t3, 0, t1677 * t12952 * t1065 / 0.2e1 + t1677 * t13416 * t1065 + t1677 * t2563 * t3557 - 0.6e1 * t2251 * t2776 * t15709 - t22 * t13216 * t4292 + 0.6e1 * t2255 * t13188 * t18961 + 0.6e1 * t2255 * t2776 * t16090 - 0.2e1 * t1677 * t2563 * t18981 - 0.18e2 * t2251 * t13195 * t17985 + 0.3e1 / 0.2e1 * t2251 * t2782 * t17997 + 0.47e2 / 0.3e1 * t17991 * t10733 * t7379 - 0.2e1 * t2251 * t2760 * t4309 + t19147 + t19484 + t18234 + t19603 + t18955 + t19039 + t19579 + t18640 + t18464 + t18803 - t17034 + t19453 + t18044 + t18331 + t18680 + t18898 + t2611 * t17216 / 0.2e1 - t654 * t2042 / 0.18e2 + t2082 * t18363 - 0.11e2 / 0.18e2 * t2055 * t18365 - t525 * t2473 / 0.18e2 - t2013 * t686 / 0.18e2 + t12998 * t223 / 0.6e1 - t208 * t12312 / 0.12e2 + 0.2e1 / 0.3e1 * t2674 * t15466 - 0.5e1 / 0.18e2 * t3930 * t19178 - 0.5e1 / 0.12e2 * t2632 * t16903 - 0.2e1 / 0.3e1 * t9737 * t19185 + 0.2e1 / 0.9e1 * t2543 * t3664 - t16891 + t18603 + t18737 + t18709 + t18876 - t15482 + t15483 + t18932 + t19376 + t18095 + t18646 + t18854 + t18354 + t19303 + t18827 + t18489 + t19119 + t18258 + t18261 + t19169 + t19014 + t19550 + t18120 + t18165 + t19066 + t17067 - t22 * t59 * (t17576 + t17584 + t17613 + t17629 + t17659 + t17680 + t17706 + t17732 + t17765 + t17800 + t17830 + t17853 + t17882 + t17913 + t17945 + t17975) * t96 / 0.4e1 - t12430 * t1010 / 0.9e1 - t372 * t3963 / 0.3e1 + t666 * t11938 / 0.6e1 - 0.2e1 / 0.3e1 * t2632 * t10833 + 0.2e1 * t3917 * t15577 + t12819 * t1002 / 0.6e1 + t2550 * t4002 / 0.3e1 + t9731 * t4319 - 0.4e1 * t10870 * t18759 - 0.4e1 * t10870 * t18762 + t19245 + t18434 + t19324 + t18410 - t15484 + t15485 + t18077 + t18543 + t19095 + t19223 + t19528 + t18676 + t18138 + t19411 + t19273 + t18508 + t18572 + t19425 + t19349 + t18615 + t2557 * t3655 / 0.9e1 - t2632 * t16962 / 0.6e1 - t3588 + t3585 + t18287 + t18189 - t3908 * t314 / 0.2e1 + t487 * t3903 / 0.6e1 + t2010 * t738 / 0.6e1 + t482 * t1044 / 0.18e2 + 0.2e1 * t3917 * t18200 + t2010 * t749 / 0.3e1 - t13068 * t623 / 0.3e1 + t2483 * t646 / 0.3e1 + 0.23e2 / 0.36e2 * t2055 * t18971 - t671 * t16213 / 0.6e1 + t15667 + t18307 + 0.8e1 * t17991 * t17994 + 0.23e2 / 0.36e2 * t2590 * t16914);
  tv4rho2sigmalapl0 = 0.2e1 * rho[0] * t19610 + 0.4e1 * t4341;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 0] += tv4rho2sigmalapl0;

  t19622 = t14481 * t539;
  t19623 = t555 * t19622;
  t19636 = -t2972 * t3566 / 0.3e1 + t2885 * t646 - t2897 * t2119 - t14165 * t623 - t2244 * t4519 / 0.3e1 + t854 * t2241 - t546 * t19623 / 0.3e1 - t2196 * t4519 / 0.9e1 - t12075 * t859 / 0.3e1 + t2010 * t862 / 0.3e1 - t14664 * t623 / 0.3e1 - t866 * t16851 / 0.3e1;
  t19651 = t555 * t4728;
  t19655 = t548 * t608 * t884;
  t19666 = -t3057 * t3566 / 0.9e1 + t2902 * t646 / 0.3e1 + t9832 * t1108 / 0.9e1 - t259 * t11992 / 0.6e1 - t3299 * t17171 / 0.2e1 + 0.3e1 * t1972 * t3081 - 0.3e1 * t610 * t3089 - t338 * t19651 / 0.6e1 + t338 * t19655 / 0.3e1 - t1972 * t2951 / 0.2e1 + t610 * t2954 / 0.2e1 + t894 * t16159 / 0.3e1 + t3030 * t4002 / 0.3e1;
  t19672 = t1099 * t66;
  t19674 = t302 * t19672 * t296;
  t19695 = t259 * t11686 / 0.12e2 + t894 * t11938 / 0.6e1 - t127 * t19674 / 0.6e1 + t4701 * t298 / 0.2e1 - t2972 * t3716 / 0.6e1 - t13719 * t1005 / 0.12e2 + t894 * t16162 / 0.6e1 + t3030 * t3730 / 0.3e1 + t894 * t18732 / 0.6e1 - t3057 * t3755 / 0.9e1 + t14196 * t1002 / 0.6e1 + t259 * t17497 / 0.12e2;
  t19722 = t838 * t3734 / 0.6e1 - t866 * t16144 / 0.12e2 + t2918 * t932 / 0.12e2 - t866 * t16195 / 0.6e1 - t866 * t19416 / 0.12e2 - t2972 * t4009 / 0.6e1 + 0.2e1 / 0.9e1 * t3057 * t3664 - t14695 * t1010 / 0.9e1 - t3057 * t4208 / 0.9e1 - t3057 * t3716 / 0.18e2 + 0.2e1 / 0.9e1 * t14695 * t1016 + 0.2e1 / 0.9e1 * t3057 * t4203 + t843 * t3734 / 0.18e2;
  t19746 = t548 * t608 * t5678;
  t19750 = t490 * t19672 * t491;
  t19755 = t843 * t3739 / 0.18e2 - t14695 * t1005 / 0.18e2 - t3057 * t4009 / 0.18e2 + t14237 * t1002 / 0.9e1 + t3052 * t4002 / 0.9e1 + t3052 * t3730 / 0.9e1 + t2939 * t932 / 0.18e2 + 0.2e1 / 0.3e1 * t1941 * t548 * t1992 * t3307 + t2010 * t881 / 0.6e1 + 0.2e1 / 0.3e1 * t1941 * t19746 + t127 * t19750 / 0.12e2 - t2911 * t932 / 0.54e2;
  t19765 = t7303 * t326;
  t19767 = t2169 * t1675 * t19765;
  t19769 = t3103 * t122;
  t19770 = t169 * t19769;
  t19771 = t1684 * t19770;
  t19784 = -t2010 * t877 / 0.6e1 + t610 * t3122 / 0.2e1 + t13686 * t1005 / 0.54e2 - t4538 * t18297 + t1677 * t4756 * t12088 - t9737 * t19767 - t2161 * t19771 / 0.3e1 - t2988 * t18300 / 0.3e1 + t4538 * t18421 + t3015 * t15451 / 0.3e1 + 0.5e1 / 0.2e1 * t4531 * t19394 - 0.5e1 / 0.6e1 * t3015 * t15446 - t4531 * t19022;
  t19795 = t14964 * t205;
  t19796 = t1675 * t19795;
  t19800 = t7325 * t326;
  t19801 = t500 * t19800;
  t19826 = -0.15e2 / 0.2e1 * t4277 * t3208 * t19383 + 0.3e1 * t10978 * t14575 * t19388 + 0.2e1 * t2265 * t3012 * t18848 - 0.4e1 * t10870 * t2175 * t19796 + 0.22e2 / 0.3e1 * t10870 * t2169 * t19801 + t1677 * t3108 * t18548 - 0.3e1 * t2251 * t3221 * t18539 + 0.3e1 * t1677 * t14775 * t18552 - 0.2e1 / 0.3e1 * t9737 * t2169 * t1675 * t14964 * t929 - t14877 * t1002 / 0.27e2 + t349 * t4709 / 0.2e1 + t349 * t4713 / 0.2e1 + t1434 * t1126 / 0.4e1;
  t19853 = t3006 * t16121 / 0.6e1 + 0.5e1 / 0.36e2 * t4531 * t15856 + t15406 * t3621 / 0.6e1 + t3006 * t16134 / 0.6e1 + t3006 * t15861 / 0.12e2 - 0.2e1 / 0.3e1 * t3015 * t10833 - t15406 * t3627 / 0.3e1 - t3006 * t16128 / 0.3e1 - t3006 * t16113 / 0.3e1 - t3006 * t15866 / 0.6e1 + t13995 * t3616 / 0.6e1 + t3015 * t16131 / 0.6e1 + t3015 * t16116 / 0.6e1;
  t19869 = t103 * t3208;
  t19882 = t3015 * t15853 / 0.12e2 - t13995 * t4033 / 0.3e1 - t3015 * t18476 / 0.3e1 - t3015 * t19092 / 0.6e1 - t3015 * t17086 / 0.3e1 - 0.4e1 / 0.9e1 * t14008 * t4264 + 0.23e2 / 0.54e2 * t19869 * t3936 - 0.4e1 / 0.3e1 * t13995 * t4264 - 0.4e1 / 0.3e1 * t3015 * t10911 - 0.4e1 / 0.3e1 * t3015 * t10884 + t2251 * t3236 * t3637 + t2251 * t804 * t3641;
  t19883 = t802 * t929;
  t19885 = t2169 * t500 * t19883;
  t19909 = t256 * t530;
  t19910 = t500 * t19909;
  t19917 = -0.2e1 / 0.3e1 * t9737 * t19885 - t1677 * t14451 * t990 / 0.2e1 + t2255 * t810 * t19075 - t2265 * t14079 * t1052 / 0.2e1 + 0.2e1 / 0.3e1 * t13995 * t4268 + 0.2e1 / 0.3e1 * t3015 * t10907 + t3015 * t10921 / 0.3e1 + 0.2e1 / 0.3e1 * t3015 * t10916 + 0.3e1 * t2251 * t3221 * t15632 + t2251 * t806 * t15636 - 0.4e1 * t10870 * t2175 * t19910 - t1677 * t3108 * t3513 + t10769 * t4658;
  t19920 = t500 * t4549;
  t19931 = t500 * t7325;
  t19941 = t802 * t205;
  t19942 = t500 * t19941;
  t19943 = t2175 * t19942;
  t19948 = t10769 * t4661 - 0.2e1 / 0.3e1 * t9737 * t10910 * t19920 - t9731 * t4664 / 0.2e1 - t10930 * t3064 / 0.4e1 + 0.3e1 * t10769 * t4637 + t10769 * t4640 - 0.4e1 * t10870 * t10729 * t19931 - t9731 * t4643 + 0.3e1 * t2251 * t13782 * t4254 + t2251 * t3236 * t4312 - 0.4e1 * t10870 * t19943 - t1677 * t14447 * t1057;
  t19949 = t10707 * t4561;
  t19954 = t10729 * t4561;
  t19957 = t792 * t122;
  t19958 = t169 * t19957;
  t19959 = t2162 * t19958;
  t19964 = t2175 * t19958;
  t19967 = t10925 * t3104;
  t19979 = t2169 * t19920;
  t19982 = t169 * t15419;
  t19983 = t2162 * t19982;
  t19988 = t2161 * t19949 / 0.3e1 + t2179 * t14444 / 0.6e1 - t2168 * t19954 / 0.6e1 + t2161 * t19959 / 0.3e1 + t2179 * t15097 / 0.6e1 - t2168 * t19964 / 0.6e1 + t1683 * t19967 / 0.12e2 + t2251 * t263 * t15878 / 0.2e1 - t1677 * t14568 * t990 / 0.4e1 + t2251 * t806 * t15945 / 0.2e1 + 0.2e1 * t10752 * t19979 + t2161 * t19983 / 0.6e1 + t11118 * t3105 / 0.6e1;
  t19995 = t3931 * t19931;
  t20017 = t302 * t2036 * t3365;
  t20020 = t548 * t4728;
  t20025 = -t11160 * t4753 / 0.6e1 - 0.2e1 * t10923 * t4546 + 0.14e2 / 0.9e1 * t18600 * t19995 + t162 * t3365 * t573 * t165 / 0.2e1 + t162 * t15009 * t1065 / 0.2e1 + t162 * t3313 * t3557 + t162 * t15307 * t211 * t165 / 0.4e1 + t162 * t884 * t2340 * t165 / 0.4e1 + t349 * t4716 - t127 * t20017 / 0.6e1 - t338 * t20020 / 0.12e2 - t208 * t15296 / 0.12e2;
  t20052 = -t208 * t15302 / 0.6e1 + t349 * t4719 + t162 * t858 * t17446 / 0.2e1 - t2020 * t886 / 0.12e2 - t533 * t3379 / 0.6e1 - t533 * t3383 / 0.6e1 - t162 * t3336 * t3513 + t1994 * t890 / 0.2e1 + t610 * t3367 / 0.2e1 + t610 * t3049 / 0.4e1 - t1434 * t1111 / 0.2e1 - t208 * t15309 / 0.12e2 - t377 * t4729 / 0.12e2;
  t20055 = t302 * t11659 * t884;
  t20084 = -t127 * t20055 / 0.6e1 - t162 * t14095 * t1057 / 0.2e1 + t372 * t4713 / 0.6e1 + t1479 * t1126 / 0.6e1 - t162 * t872 * t17437 / 0.2e1 - t1434 * t1114 / 0.4e1 - t349 * t4687 / 0.2e1 - t349 * t4690 / 0.2e1 - t349 * t4737 - t349 * t4682 + t1434 * t1117 / 0.2e1 - t162 * t14880 * t990 / 0.4e1 - t162 * t3358 * t3552 / 0.2e1;
  t20102 = t608 * t3307;
  t20103 = t548 * t20102;
  t20113 = -t162 * t876 * t17425 / 0.4e1 + t372 * t4709 / 0.6e1 - t509 * t3313 * t3680 - t509 * t858 * t16921 / 0.2e1 - t1994 * t873 - t1553 * t4669 + t610 * t3389 / 0.2e1 - t610 * t3337 - t610 * t3370 / 0.2e1 - 0.2e1 * t11771 * t20103 - t1994 * t877 / 0.2e1 - t610 * t3359 / 0.2e1 - t509 * t15009 * t1052 / 0.2e1;
  t20127 = t555 * t14471;
  t20140 = t548 * t19622;
  t20143 = -t10084 * t1108 / 0.2e1 - t1553 * t4512 - t610 * t3362 / 0.4e1 + t1994 * t881 / 0.2e1 + t610 * t3353 / 0.4e1 - t546 * t20127 / 0.6e1 + t1479 * t1117 / 0.3e1 - t2013 * t886 / 0.18e2 + t372 * t4719 / 0.3e1 - t2897 * t2096 / 0.2e1 + t546 * t14834 / 0.3e1 - t546 * t20140 / 0.6e1;
  t20173 = -t2010 * t873 / 0.3e1 + 0.3e1 / 0.2e1 * t610 * t3114 - t1529 * t4669 / 0.3e1 - t1972 * t3316 / 0.2e1 - 0.3e1 / 0.2e1 * t3306 * t2057 * t1970 * t3307 + t854 * t2154 / 0.2e1 + t610 * t3327 / 0.2e1 + 0.7e1 / 0.3e1 * t3306 * t2233 * t20102 + t866 * t10614 / 0.3e1 - t866 * t15686 / 0.6e1 - t1479 * t1111 / 0.3e1 - t372 * t4737 / 0.3e1 - t372 * t4682 / 0.3e1;
  t20191 = -t1479 * t1114 / 0.6e1 - t372 * t4687 / 0.6e1 - t372 * t4690 / 0.6e1 - 0.2e1 / 0.27e2 * t13686 * t1016 + t13686 * t1010 / 0.27e2 - t15482 + t15483 - t15484 + t15485 + t487 * t4729 / 0.6e1 + t2010 * t890 / 0.6e1 - t610 * t3293 / 0.2e1;
  t20218 = -t369 * t4729 / 0.18e2 - t525 * t3379 / 0.18e2 - t525 * t3383 / 0.18e2 - t2244 * t4442 / 0.6e1 + t1463 * t1111 / 0.9e1 - t1463 * t1117 / 0.9e1 - 0.2e1 * t11771 * t7511 - t533 * t2967 / 0.6e1 - t1463 * t1126 / 0.18e2 + t2031 * t886 / 0.54e2 + t1463 * t1114 / 0.18e2 + t854 * t2101 / 0.4e1 - t854 * t2149 / 0.4e1;
  t20227 = t2961 * t2058;
  t20228 = t548 * t20227;
  t20235 = t2175 * t19931;
  t20248 = -t854 * t2091 / 0.2e1 + t208 * t14460 / 0.12e2 + t538 * t14472 / 0.6e1 + t2082 * t20228 / 0.2e1 + 0.2e1 / 0.9e1 * t9223 * t7511 + 0.2e1 / 0.9e1 * t9223 * t20103 + 0.12e2 * t18314 * t20235 + t2251 * t806 * t18175 / 0.2e1 + t10923 * t4637 + t10923 * t4640 / 0.3e1 - 0.4e1 / 0.3e1 * t18780 * t20235 - t10480 * t4643 / 0.3e1;
  t20271 = t2175 * t19982;
  t20274 = t287 * t308;
  t20275 = t169 * t20274;
  t20276 = t3935 * t20275;
  t20283 = t11131 * t4655 / 0.9e1 - t1677 * t14564 * t1057 / 0.2e1 + 0.3e1 / 0.2e1 * t2251 * t3221 * t18903 + 0.2e1 / 0.9e1 * t10905 * t7472 - t1677 * t4756 * t1693 / 0.2e1 - 0.2e1 * t10752 * t7472 - t2251 * t810 * t19031 + t1677 * t14079 * t1065 / 0.2e1 + t2179 * t14593 / 0.12e2 - t2168 * t20271 / 0.12e2 - 0.5e1 / 0.36e2 * t10715 * t20276 - t10480 * t4757 / 0.3e1 - 0.28e2 * t18016 * t19995;
  t20291 = t10936 * t19920;
  t20301 = t2182 * t20275;
  t20306 = t3931 * t20275;
  t20309 = t1675 * t20274;
  t20310 = t3935 * t20309;
  t20313 = t4541 * t2080;
  t20323 = -t1677 * t4747 * t1707 / 0.4e1 - t2251 * t810 * t17349 / 0.2e1 - 0.7e1 / 0.3e1 * t10796 * t20291 + t2255 * t810 * t17359 / 0.2e1 + 0.3e1 / 0.2e1 * t10796 * t10733 * t1556 * t4549 + t10953 * t20301 - 0.3e1 * t2255 * t3226 * t16104 - 0.11e2 / 0.18e2 * t10715 * t20306 + 0.23e2 / 0.36e2 * t10715 * t20310 + 0.3e1 * t2265 * t20313 * t2145 - 0.3e1 * t1677 * t20313 * t2218 - 0.3e1 * t2251 * t3226 * t18019 - t913;
  t20344 = t22 * t13792;
  t20351 = t984 + 0.7e1 / 0.3e1 * t4531 * t10895 - t3015 * t17329 / 0.3e1 - t4531 * t18036 / 0.2e1 + t3015 * t17335 / 0.6e1 + 0.23e2 / 0.36e2 * t4531 * t18089 - 0.11e2 / 0.18e2 * t4531 * t18059 - 0.3e1 * t2255 * t3208 * t18023 + 0.3e1 / 0.2e1 * t4277 * t3208 * t18031 - 0.3e1 / 0.2e1 * t4531 * t10866 - 0.43e2 / 0.9e1 * t20344 * t18081 + t1677 * t14013 * t1065 - t2251 * t806 * t19005;
  t20358 = t3931 * t19942;
  t20366 = t22 * t13749;
  t20371 = -0.6e1 * t2251 * t13775 * t19473 + 0.14e2 / 0.3e1 * t10863 * t20358 + t4571 * t18072 + t15497 - t15501 - t15505 - t103 * t4457 / 0.6e1 + t15533 - t15534 + 0.23e2 / 0.18e2 * t4531 * t19256 + 0.23e2 / 0.18e2 * t20366 * t3936 + t3006 * t10926 / 0.6e1;
  t20380 = t22 * t13762;
  t20396 = t2988 * t17527 / 0.3e1 + t3015 * t17372 / 0.4e1 - t3015 * t17368 / 0.6e1 - t14008 * t4033 / 0.9e1 + 0.6e1 * t20380 * t19596 - t15274 * t2271 + t15602 - t15603 + 0.6e1 * t10809 * t4647 - 0.6e1 * t10769 * t4546 + 0.6e1 * t2255 * t13745 * t18961 + 0.3e1 * t2251 * t3208 * t16070 - t11160 * t4562 / 0.3e1;
  t20408 = t343 * t1101;
  t20425 = -t259 * t11909 / 0.12e2 - t2939 * t569 / 0.18e2 - t2013 * t848 / 0.18e2 + t4701 * t365 / 0.4e1 + t15159 * t223 / 0.4e1 - t338 * t20408 / 0.12e2 + t610 * t2931 / 0.4e1 - t377 * t4744 / 0.12e2 + t1994 * t833 / 0.2e1 + t11924 * t274 / 0.4e1 - 0.5e1 / 0.18e2 * t4531 * t18569 - 0.5e1 / 0.18e2 * t4531 * t16966 - 0.5e1 / 0.36e2 * t4531 * t19313;
  t20449 = -0.35e2 / 0.108e3 * t20344 * t19304 + t15667 - t13995 * t4036 / 0.6e1 - t3015 * t19429 / 0.6e1 - t3015 * t19043 / 0.12e2 - t3015 * t16962 / 0.6e1 - 0.11e2 / 0.3e1 * t4571 * t18720 + t10480 * t4543 / 0.3e1 - t11121 * t4562 / 0.9e1 - 0.2e1 * t11018 * t4603 + t10923 * t4557 - t866 * t19362 / 0.6e1 - t866 * t16210 / 0.3e1;
  t20471 = -t2972 * t3755 / 0.3e1 - t13719 * t1010 / 0.6e1 - t2972 * t4208 / 0.3e1 + t259 * t17501 / 0.6e1 + 0.3e1 / 0.2e1 * t2265 * t4542 * t12132 - 0.3e1 / 0.2e1 * t1677 * t4542 * t12181 + t3585 - t3588 - t1972 * t3314 + t610 * t3334 - t12082 * t859 + t3052 * t3655 / 0.9e1;
  t20497 = t843 * t2038 / 0.18e2 - t866 * t16213 / 0.6e1 + 0.6e1 * t2255 * t3226 * t16090 + t10809 * t4551 - t10769 * t4554 + t2255 * t3214 * t17113 - t2251 * t3214 * t3477 + t2255 * t810 * t16876 - t2885 * t637 - t2885 * t641 / 0.2e1 - t4701 * t329 / 0.4e1 + 0.18e2 * t4277 * t13792 * t18883 - 0.38e2 / 0.9e1 * t20344 * t18041;
  t20503 = t103 * t3226;
  t20506 = t15739 - t15743 + t15745 + t15749 + t15760 - t15765 + t15773 - t15776 + t15795 - t15800 + t14127 * t4228 / 0.9e1 + t2988 * t18992 / 0.3e1 + t20503 * t3920 / 0.3e1;
  t20507 = t22 * t13775;
  t20521 = 0.2e1 * t20507 * t18989 - t15812 + 0.5e1 / 0.3e1 * t9737 * t10775 * t500 * t4549 * t326 - t15813 - t15814 + t15815 + t15816 + t15828 + t15830 - t15832 + t13719 * t1016 / 0.3e1 + 0.2e1 / 0.3e1 * t2972 * t4203 + 0.2e1 / 0.3e1 * t2972 * t3664;
  t20537 = t2057 * t20227;
  t20548 = t548 * t852 * t3662;
  t20553 = -t259 * t11667 / 0.12e2 - t866 * t15913 / 0.12e2 - 0.5e1 / 0.36e2 * t2983 * t15916 - t208 * t15317 / 0.12e2 - t546 * t14836 / 0.12e2 - 0.5e1 / 0.36e2 * t2055 * t20537 + t866 * t10628 / 0.3e1 + 0.2e1 / 0.3e1 * t866 * t10623 + t10930 * t3013 + 0.3e1 * t18618 * t4599 + 0.2e1 / 0.3e1 * t1941 * t20548 - t1529 * t4512 / 0.3e1;
  t20568 = t2169 * t19770;
  t20571 = t16245 + t16247 - t16253 + t16358 - t16362 + t943 - t16406 - t16408 - t16411 + t16413 - t16414 - t16416;
  t20580 = t3207 * t17603;
  t20585 = t262 * t16684;
  t20588 = t262 * t17646;
  t20595 = -t16418 + t16420 + 0.4e1 * t4392 * t16733 + 0.2e1 / 0.3e1 * t3200 * t16736 + 0.12e2 * t13916 * t17621 - 0.2e1 * t13916 * t17677 + 0.4e1 / 0.3e1 * t20580 * t17606 - 0.6e1 * t13836 * t16704 - 0.6e1 * t20585 * t16687 - 0.24e2 * t20588 * t17648 - 0.4e1 * t13833 * t17618 - 0.72e2 * t20580 * t17668;
  t20601 = t3213 * t4157;
  t20606 = t13748 * t4165;
  t20623 = -0.22e2 * t13818 * t17596 - 0.5e2 / 0.3e1 * t13830 * t17956 - 0.24e2 * t20601 * t4179 - 0.8e1 * t13815 * t4145 - 0.4e1 / 0.3e1 * t20606 * t4172 - 0.24e2 * t4402 * t16608 - 0.8e1 * t3200 * t16640 - 0.4e1 / 0.3e1 * t4405 * t16643 + 0.44e2 / 0.3e1 * t13818 * t17634 - 0.5e1 / 0.18e2 * t13830 * t17959 + 0.6e1 * t13836 * t17838 + 0.4e1 * t13833 * t16634;
  t20626 = t803 * t4148;
  t20647 = 0.1e2 / 0.3e1 * t13916 * t16637 + 0.12e2 * t20626 * t4151 + 0.4e1 * t13827 * t4154 + 0.4e1 * t20601 * t4159 + 0.12e2 * t4397 * t16621 + 0.4e1 * t3202 * t16625 + 0.4e1 * t4402 * t16615 + 0.4e1 / 0.3e1 * t13815 * t4162 - 0.2e1 / 0.9e1 * t20606 * t4167 + 0.4e1 / 0.3e1 * t3200 * t16648 - 0.2e1 / 0.9e1 * t4405 * t16651 - t962 + t16440;
  t20673 = t263 * t16481 / 0.2e1 - 0.5e1 / 0.3e1 * t13916 * t16691 - 0.12e2 * t13836 * t17744 + 0.2e1 * t810 * t16351 + 0.2e1 * t3214 * t3799 - 0.6e1 * t13749 * t4076 - 0.6e1 * t3208 * t16441 - t810 * t16576 / 0.3e1 + t3208 * t16579 / 0.9e1 + t3208 * t17692 / 0.18e2 - t3262 * t953 - 0.2e1 / 0.3e1 * t810 * t16381;
  t20695 = -t3208 * t16366 / 0.18e2 + 0.12e2 * t13745 * t4090 + 0.12e2 * t3226 * t16399 - 0.4e1 / 0.3e1 * t810 * t16376 - t13766 * t1040 - 0.2e1 * t3214 * t3852 + 0.4e1 / 0.3e1 * t3214 * t3861 + 0.2e1 / 0.3e1 * t810 * t16500 + t13808 * t1036 + 0.2e1 * t3236 * t3869 + t806 * t16513 + t3262 * t966 / 0.2e1;
  t20700 = -t16505 * t810 - t16659 * t263 + t3848 * t804 + t16479 + t16495 + t16517 + t16520 + t16526 - t16528 - t16532 - t16533 - t16536;
  t20725 = 0.4e1 * t3214 * t3831 + 0.2e2 / 0.3e1 * t13749 * t4102 + 0.2e1 * t810 * t16670 - t806 * t16587 + 0.4e1 * t3226 * t16589 - 0.2e1 * t804 * t3807 - 0.2e1 * t263 * t16655 - 0.2e1 * t806 * t16584 - 0.3e1 * t3221 * t17893 + 0.24e2 * t13772 * t17896 - 0.2e1 * t3236 * t4112 - 0.2e1 * t806 * t16393 - t806 * t17709;
  t20752 = -0.2e1 * t3236 * t3836 - 0.2e1 * t806 * t16661 - 0.8e1 * t3226 * t16667 - 0.4e1 * t3226 * t17877 - 0.2e1 / 0.3e1 * t13762 * t17771 - t13766 * t1025 / 0.3e1 - 0.2e1 / 0.3e1 * t3214 * t3820 + t13749 * t4119 / 0.9e1 - 0.6e1 * t3221 * t16387 - t263 * t16345 - 0.2e1 * t13808 * t1022 - 0.4e1 * t3236 * t3810;
  t20777 = -0.8e1 * t13745 * t4083 - 0.2e1 * t804 * t3784 - 0.4e1 / 0.3e1 * t3214 * t3787 + 0.12e2 * t13775 * t17846 + 0.2e1 * t806 * t17774 + 0.3e1 * t3221 * t16456 + 0.3e1 * t263 * t16460 - 0.6e1 * t810 * t17767 - 0.4e2 * t13762 * t17862 + 0.4e1 * t810 * t17843 + 0.44e2 * t13818 * t17750 + 0.1e2 / 0.3e1 * t13830 * t17754;
  t20795 = -0.22e2 / 0.3e1 * t13818 * t17747 + 0.5e1 / 0.9e1 * t13830 * t17683 - 0.8e1 * t13833 * t16696 + 0.1e2 * t13916 * t16700 - 0.3e2 * t13830 * t17747 - t16611 - t16612 - t16613 + t16614 - 0.2e1 * t3200 * t16744 + 0.6e1 * t4405 * t17600 - 0.12e2 * t4402 * t17656;
  t20814 = -t16681 + t16682 + t3867 + t16683 + 0.2e1 / 0.3e1 * t13766 * t1033 + 0.2e2 / 0.3e1 * t3208 * t16673 + 0.1e2 / 0.3e1 * t3208 * t17887 + 0.1e2 / 0.3e1 * t13792 * t17804 - 0.8e1 / 0.3e1 * t3214 * t4106 - 0.8e1 / 0.3e1 * t810 * t16396 - 0.4e1 / 0.3e1 * t810 * t17890 - 0.6e1 * t13782 * t4109 + 0.4e1 * t3214 * t4116;
  t20840 = 0.4e1 * t810 * t16402 + 0.2e1 * t810 * t17688 + 0.2e1 * t13766 * t1029 - 0.12e2 * t13792 * t17788 + 0.3e1 * t3208 * t16430 - 0.1e2 / 0.3e1 * t3208 * t16421 - 0.6e1 * t3226 * t16598 + 0.5e2 / 0.3e1 * t13792 * t17794 - 0.36e2 * t13772 * t17797 - 0.3e1 * t3208 * t17791 + 0.6e1 * t3226 * t17867 + t810 * t16355;
  t20857 = 0.36e2 * t13762 * t17783 - 0.4e1 * t13815 * t3772 + 0.15e2 * t13830 * t17634 - 0.5e1 * t13916 * t16549 + 0.12e2 * t16615 * t4405 - 0.4e1 * t16779 * t3200 + 0.6e1 * t17925 * t4397 + 0.12e2 * t20606 * t4159 - t16724 + t16741 + t16742 - t16769 + t16776;
  t20859 = t809 * t17651;
  t20868 = t13791 * t17816;
  t20885 = -0.12e2 * t20859 * t17668 + 0.2e1 * t3202 * t17930 + 0.2e1 * t4402 * t17600 - 0.2e1 / 0.3e1 * t4405 * t17809 - 0.4e1 / 0.3e1 * t20868 * t17827 + 0.12e2 * t13818 * t16789 + 0.2e1 / 0.3e1 * t13830 * t16784 + 0.72e2 * t20859 * t17653 + 0.8e1 * t20580 * t17822 + 0.8e1 / 0.3e1 * t20868 * t17606 - 0.6e1 * t13830 * t16750 + 0.24e2 * t20868 * t17822;
  t20906 = t803 * t3763;
  t20913 = 0.2e1 * t3202 * t16747 - 0.2e1 * t13818 * t16750 + 0.2e1 * t4392 * t16754 + t3200 * t16757 / 0.3e1 + t13830 * t16760 / 0.9e1 - 0.4e1 * t3200 * t17922 + 0.2e1 / 0.3e1 * t3200 * t17610 - t4405 * t17915 / 0.9e1 - t20868 * t17919 / 0.9e1 + 0.4e1 * t13827 * t3760 + 0.4e1 * t20906 * t3766 + 0.2e1 / 0.3e1 * t13815 * t3769 + 0.4e1 * t3202 * t16727;
  t20928 = -t10077 * t1108 / 0.3e1 + 0.3e1 * t4277 * t13749 * t19444 - t2251 * t810 * t16869 - 0.6e1 * t10809 * t4603 + 0.3e1 * t10769 * t4557 + 0.3e1 * t4277 * t3208 * t17068 + t2168 * t20568 / 0.4e1 - t22 * t59 * (t20571 + t20595 + t20623 + t20647 + t20673 + t20695 + t20700 + t20725 + t20752 + t20777 + t20795 + t20814 + t20840 + t20857 + t20885 + t20913) * t96 / 0.4e1 - t15892 + t15895 + t3015 * t17075 / 0.3e1 + t3015 * t19307 / 0.6e1 - 0.5e1 / 0.18e2 * t20366 * t4236;
  t20937 = t2057 * t2895 * t2058;
  t20948 = t2324 * t20227;
  t20951 = t852 * t2058;
  t20952 = t2233 * t20951;
  t20957 = t302 * t19622;
  t20960 = t13995 * t4233 / 0.3e1 + t3015 * t18565 / 0.3e1 + 0.2e1 / 0.3e1 * t13995 * t4028 - 0.3e1 / 0.2e1 * t2055 * t20937 + 0.3e1 / 0.2e1 * t14144 * t2209 - 0.3e1 * t2897 * t2214 + 0.3e1 / 0.2e1 * t854 * t2204 + 0.3e1 / 0.2e1 * t11870 * t2992 - t2055 * t20948 / 0.2e1 + 0.7e1 / 0.3e1 * t2055 * t20952 + t208 * t14483 / 0.6e1 + t538 * t20957 / 0.3e1;
  t20968 = t2175 * t20275;
  t20979 = t3062 * t531;
  t20983 = t287 * t530;
  t20985 = t2175 * t1675 * t20983;
  t20992 = t22 * t13745;
  t20997 = -0.6e1 * t2255 * t3208 * t16872 - t2179 * t14500 / 0.6e1 - t11121 * t4753 / 0.18e2 + t10953 * t20968 / 0.2e1 + t14122 * t3621 / 0.18e2 - 0.6e1 * t2251 * t13745 * t4286 - t1677 * t3062 * t2108 * t636 - t1677 * t20979 * t328 / 0.2e1 + 0.2e1 / 0.3e1 * t9737 * t20985 + 0.2e1 * t4571 * t18200 - 0.11e2 / 0.9e1 * t20366 * t3932 + 0.2e1 * t20992 * t3923 + 0.23e2 / 0.18e2 * t4531 * t17543;
  t21000 = t2162 * t20275;
  t21012 = -t10985 * t21000 / 0.2e1 - t15950 + t15952 + t15955 + t15958 - t2988 * t17523 / 0.3e1 - 0.11e2 / 0.9e1 * t4531 * t15584 - t15960 + 0.2e1 * t4571 * t15577 - 0.11e2 / 0.9e1 * t4531 * t18159 + t15978 + t17049 * t2986;
  t21021 = -t10930 * t3109 - 0.2e1 * t10769 * t4760 + 0.14e2 / 0.3e1 * t10863 * t18158 * t19931 - t854 * t2158 / 0.2e1 - t15995 - t16042 - t16046 + t16049 + t16052 - t16060 - t16062 - t16064 - t16066;
  t21050 = t2182 * t19982;
  t21059 = t1677 * t3190 * t15470 - 0.2e1 * t2251 * t806 * t15454 + t1677 * t3108 * t15474 - 0.3e1 * t10863 * t3935 * t2263 * t19795 + 0.15e2 / 0.2e1 * t10863 * t10733 * t1556 * t19800 - 0.35e2 / 0.3e1 * t10863 * t10936 * t19801 + 0.14e2 / 0.3e1 * t10863 * t3931 * t19796 + t1994 * t862 - t2265 * t4542 * t2095 / 0.2e1 + t2168 * t15421 / 0.3e1 - t2168 * t21050 / 0.6e1 + 0.3e1 / 0.2e1 * t2251 * t3208 * t17997 + 0.47e2 / 0.3e1 * t17991 * t10733 * t19931;
  t21063 = t2169 * t20275;
  t21068 = 0.6e1 * t2251 * t13792 * t19493 - t10715 * t21063 / 0.2e1 + t10480 * t4762 / 0.3e1 + t16173 + t16175 - t16177 + t16179 + t16181 + t16184 + t16187 + t16189 - t16192 - t16194;
  t21073 = t548 * t2883 * t1000;
  t21080 = t368 * t4700;
  t21083 = t138 * t4432;
  t21088 = t106 * t158 * t4430 * t159;
  t21105 = 0.2e1 / 0.3e1 * t1941 * t21073 + t2885 * t627 / 0.2e1 - t369 * t4744 / 0.18e2 + t21080 * t166 / 0.6e1 - t127 * t21083 / 0.6e1 + t21088 * t166 / 0.2e1 - 0.2e1 * t2251 * t810 * t15713 - 0.6e1 * t2251 * t3226 * t15709 - 0.3e1 * t1972 * t3000 + 0.3e1 / 0.2e1 * t610 * t3003 - t2983 * t16820 / 0.2e1 + t2902 * t627 / 0.6e1;
  t21124 = t302 * t20227;
  t21133 = t854 * t2131 / 0.2e1 - t2902 * t641 / 0.6e1 + 0.3e1 / 0.2e1 * t854 * t2137 - t2902 * t637 / 0.3e1 - t3057 * t3650 / 0.18e2 - t525 * t2967 / 0.18e2 - t2196 * t4442 / 0.18e2 + t525 * t2963 / 0.18e2 - t208 * t14753 / 0.6e1 - t2332 * t21124 / 0.2e1 + t2285 * t4453 / 0.9e1 - t14008 * t4036 / 0.18e2 - 0.5e1 / 0.54e2 * t19869 * t4236;
  t21156 = t1556 * t7325;
  t21164 = t145 * t269;
  t21165 = t21164 * t2164;
  t21168 = 0.5e1 / 0.3e1 * t20380 * t19470 + t14008 * t4233 / 0.9e1 - t3015 * t18799 / 0.2e1 - t3015 * t18852 + 0.18e2 * t2251 * t13772 * t19518 - 0.18e2 * t4277 * t13762 * t19522 + 0.3e1 * t2251 * t3226 * t16098 - 0.18e2 * t2255 * t13772 * t19514 + 0.2e1 * t10809 * t4650 - 0.3e1 * t10863 * t18568 * t21156 - t10858 * t4652 + 0.2e1 / 0.3e1 * t9737 * t17367 * t15430 + t2161 * t21165 / 0.3e1;
  t21188 = t2294 * t19770;
  t21197 = t3935 * t21156;
  t21200 = t11124 * t4655 / 0.3e1 + t4531 * t17201 / 0.2e1 - 0.6e1 * t19499 * t13792 * t19500 - t20366 * t3939 + t3015 * t17343 / 0.3e1 + t13995 * t3465 / 0.3e1 + t3015 * t15641 / 0.2e1 + t482 * t1101 / 0.18e2 + 0.15e2 * t2255 * t3208 * t18863 + t2168 * t21188 / 0.2e1 + 0.3e1 * t1677 * t14575 * t18665 + 0.3e1 * t2255 * t3226 * t18589 + 0.18e2 * t18016 * t21197;
  t21213 = t396 * t269;
  t21214 = t21213 * t4267;
  t21231 = -0.2e1 / 0.9e1 * t10905 * t19979 + 0.2e1 / 0.3e1 * t11018 * t4650 - t18600 * t21197 - t11016 * t4652 / 0.3e1 + t1677 * t4542 * t2153 / 0.2e1 + 0.2e1 / 0.3e1 * t9737 * t21214 - 0.15e2 / 0.2e1 * t2251 * t3208 * t19320 - 0.6e1 * t2265 * t14575 * t18660 + t3015 * t16906 / 0.6e1 - t2988 * t16900 / 0.3e1 - 0.11e2 / 0.9e1 * t4531 * t18671 - 0.4e1 / 0.3e1 * t3015 * t12128;
  t21246 = t22 * t13782;
  t21258 = 0.23e2 / 0.18e2 * t4531 * t18717 + 0.2e1 * t4571 * t18995 - 0.5e1 / 0.12e2 * t3015 * t16903 - t3006 * t16911 / 0.3e1 - 0.115e3 / 0.36e2 * t4531 * t18698 + 0.2e1 / 0.3e1 * t2988 * t15466 + 0.2e1 / 0.3e1 * t3015 * t18706 - t21246 * t4292 - t2988 * t16124 / 0.3e1 - t2988 * t16109 / 0.3e1 - t2988 * t15869 / 0.6e1 - t15227 * t3633 / 0.3e1 - t14127 * t3633 / 0.9e1;
  t21273 = -t16802 - 0.11e2 / 0.6e1 * t4571 * t18304 + t16835 - t16841 + t259 * t17491 / 0.12e2 + t838 * t3739 / 0.6e1 + t866 * t10620 / 0.3e1 - t16858 + t16863 - t16868 - t3699 - t1677 * t3190 * t3552 / 0.2e1 + t1677 * t3012 * t3557;
  t21282 = t496 * t1101;
  t21286 = t343 * t1100 * t500;
  t21291 = t106 * t158 * t1099 * t506;
  t21306 = t2031 * t848 / 0.54e2 - t15164 * t223 / 0.18e2 - t12064 * t274 / 0.18e2 + t4701 * t517 / 0.2e1 - t338 * t21282 / 0.6e1 + t338 * t21286 / 0.3e1 - t21291 * t513 / 0.2e1 + t2911 * t569 / 0.54e2 - t2918 * t569 / 0.12e2 - t838 * t1999 / 0.6e1 + t854 * t1983 / 0.4e1 - t533 * t2880 / 0.6e1 - t208 * t15154 / 0.12e2;
  t21334 = t2885 * t631 / 0.2e1 + t487 * t4744 / 0.6e1 + t2010 * t833 / 0.6e1 + t12042 * t274 / 0.6e1 + t259 * t11682 / 0.6e1 + t894 * t17211 / 0.3e1 - t838 * t2042 / 0.6e1 - t2972 * t3650 / 0.6e1 + t838 * t2038 / 0.6e1 - t843 * t2042 / 0.18e2 + t3039 * t17216 / 0.2e1 - t4531 * t15609;
  t21337 = t405 * t269;
  t21338 = t21337 * t2164;
  t21350 = t22 * t13772;
  t21362 = t3015 * t17346 / 0.3e1 - t2168 * t21338 / 0.3e1 - 0.2e1 * t4571 * t10872 + 0.55e2 / 0.18e2 * t4531 * t18703 - t15227 * t4295 / 0.3e1 - t4538 * t15934 - t4538 * t19334 / 0.2e1 - 0.3e1 * t21350 * t18150 - t4538 * t18867 - t2988 * t15939 / 0.3e1 - t2988 * t19048 / 0.6e1 - t2988 * t18871 / 0.3e1 - t14127 * t4295 / 0.9e1;
  t21366 = t103 * t3221;
  t21384 = t3935 * t2263 * t20274;
  t21387 = t4538 * t15671 / 0.2e1 - t21366 * t4292 / 0.3e1 - t16887 - t16891 + 0.2e1 / 0.3e1 * t3015 * t18522 + 0.2e1 / 0.3e1 * t3015 * t15581 + t3015 * t18482 / 0.3e1 - 0.11e2 / 0.27e2 * t19869 * t3932 + 0.2e1 / 0.3e1 * t20503 * t3923 + 0.2e1 / 0.9e1 * t14008 * t4028 + 0.22e2 / 0.3e1 * t20380 * t18074 - 0.3e1 / 0.2e1 * t10715 * t21384;
  t21400 = t287 * t69;
  t21401 = t21400 * t2053;
  t21422 = -0.3e1 / 0.2e1 * t4277 * t3208 * t17204 + 0.3e1 * t2255 * t3208 * t17193 - 0.3e1 / 0.2e1 * t2251 * t3208 * t17197 - 0.18e2 * t2255 * t13792 * t19489 - 0.3e1 * t2265 * t21401 * t2213 + 0.3e1 / 0.2e1 * t1677 * t21401 * t2203 - 0.18e2 * t2251 * t13762 * t17985 + t15227 * t4228 / 0.3e1 + t2988 * t18918 / 0.3e1 + t2988 * t18912 / 0.6e1 - 0.2e1 * t20344 * t18900 - t16936 + 0.6e1 * t2265 * t14803 * t19330;
  t21433 = t555 * t20227;
  t21435 = t2233 * t20227;
  t21438 = t2057 * t20951;
  t21450 = -0.11e2 * t2255 * t3226 * t19326 + t3039 * t15818 - 0.11e2 / 0.18e2 * t2983 * t16917 + 0.23e2 / 0.36e2 * t2983 * t16914 + t2082 * t21433 - 0.11e2 / 0.18e2 * t2055 * t21435 + 0.23e2 / 0.36e2 * t2055 * t21438 + 0.3e1 * t2897 * t2146 - 0.3e1 * t854 * t2219 + t854 * t2105 / 0.2e1 + t372 * t4716 / 0.3e1 - t854 * t2110;
  t21470 = t22 * t2891;
  t21472 = t11209 * t4561;
  t21475 = t2182 * t19958;
  t21479 = t792 * t332;
  t21480 = t21479 * t544;
  t21483 = 0.3e1 / 0.2e1 * t1677 * t3062 * t544 * t2136 - 0.2e1 / 0.3e1 * t10923 * t4760 + 0.3e1 * t2251 * t810 * t19010 - t19869 * t3939 / 0.3e1 + t14008 * t3465 / 0.9e1 - t9737 * t17371 * t15426 - t10930 * t3191 / 0.2e1 - t15274 * t2306 / 0.2e1 + t21470 * t2253 - t2168 * t21472 / 0.3e1 - t2168 * t21475 / 0.3e1 + t9731 * t4543 - t2265 * t21480 * t622;
  t21487 = t4541 * t2117;
  t21519 = t22 * t269 * t2263;
  t21521 = t1677 * t21480 * t645 - t2265 * t21487 * t622 + t1677 * t21487 * t645 - 0.6e1 * t2255 * t13749 * t19463 + 0.3e1 * t2251 * t13749 * t4271 + 0.3e1 / 0.2e1 * t10978 * t21401 * t2208 - 0.62e2 / 0.3e1 * t20344 * t18027 * t18080 + 0.8e1 * t20344 * t17992 * t4275 * t17984 - 0.3e1 * t10863 * t3935 * t1556 * t19909 - t2265 * t3012 * t3680 + t9731 * t4762 + 0.2e1 * t2255 * t810 * t17001 - t21519 * t2268;
  t21549 = t15274 * t2292 - 0.23e2 / 0.3e1 * t20380 * t18069 - t4571 * t16094 - 0.6e1 * t21350 * t19599 - 0.61e2 / 0.27e2 * t20344 * t18062 + 0.44e2 / 0.27e2 * t20344 * t18092 + 0.11e2 / 0.18e2 * t4531 * t17338 - 0.23e2 / 0.36e2 * t4531 * t17332 + 0.36e2 * t2255 * t13762 * t19477 - t10858 * t4592 - t22 * t2457 * t288 / 0.4e1 - t22 * t604 * t793 / 0.2e1 - t22 * t4431 * t194 / 0.2e1;
  t21568 = t3931 * t7471;
  t21573 = -t22 * t218 * t3181 / 0.4e1 + t3030 * t3655 / 0.3e1 - t208 * t14949 / 0.6e1 - t259 * t11661 / 0.6e1 + t2276 * t4453 / 0.3e1 + t533 * t2963 / 0.6e1 - t866 * t17208 / 0.6e1 + t17032 - t17034 + 0.7e1 / 0.3e1 * t10796 * t21568 + t17067 + 0.89e2 / 0.9e1 * t20344 * t18086;
  t21605 = t2251 * t806 * t15718 + t2251 * t263 * t15722 - 0.2e1 / 0.3e1 * t9737 * t2169 * t500 * t256 * t3550 + 0.2e1 / 0.9e1 * t14008 * t4268 - 0.3e1 * t2255 * t810 * t18327 + 0.2e1 * t11018 * t4647 + 0.3e1 / 0.2e1 * t17046 * t3098 - 0.3e1 / 0.2e1 * t17049 * t3009 - t17053 * t3386 + 0.5e1 / 0.2e1 * t2251 * t810 * t16979 + t2265 * t3012 * t16976 - t1677 * t3012 * t16984 + 0.11e2 * t2251 * t3226 * t18525;
  t21610 = t1505 * t269;
  t21611 = t21610 * t4263;
  t21623 = -0.6e1 * t1677 * t14803 * t19542 - t9737 * t21611 - 0.5e1 / 0.2e1 * t2255 * t810 * t16971 + t11018 * t4551 / 0.3e1 - t10923 * t4554 / 0.3e1 + t18141 * t4599 - t11016 * t4592 / 0.3e1 + t17102 - t17105 - t17107 + t17121 + t17123 - t17124;
  t21648 = t17142 - t17145 - 0.5e1 / 0.18e2 * t4531 * t19178 + t4571 * t18674 + 0.25e2 / 0.36e2 * t4531 * t19261 + t3015 * t18677 / 0.3e1 + t10923 * t4661 / 0.3e1 - 0.3e1 / 0.2e1 * t2251 * t263 * t15654 - t10480 * t4664 / 0.6e1 + t10923 * t4658 / 0.3e1 - 0.3e1 / 0.2e1 * t2251 * t3221 * t15661 + 0.14e2 / 0.3e1 * t10863 * t3931 * t19910 - t3015 * t15616 / 0.3e1;
  t21651 = t1862 * t269;
  t21652 = t21651 * t2171;
  t21655 = t21213 * t2164;
  t21658 = t21610 * t2171;
  t21663 = t14332 * t2171;
  t21671 = t2168 * t21652 / 0.2e1 - t2168 * t21655 / 0.6e1 + t2168 * t21658 / 0.4e1 + t2179 * t14333 / 0.6e1 - t2161 * t21663 / 0.3e1 - t17254 + t17286 - t17300 + t17312 - t17327 - t22 * t1100 * t477 / 0.4e1 - t103 * t4460 / 0.6e1;
  t21686 = t22 * t14138;
  t21691 = -0.2e1 * t1677 * t3012 * t18981 + t17393 + t482 * t1122 / 0.18e2 - t103 * t4463 / 0.6e1 + t2988 * t15930 / 0.3e1 + t4571 * t18869 + t4571 * t15942 + t4571 * t18915 / 0.2e1 + t20992 * t3920 - t17463 - t17465 + 0.3e1 / 0.2e1 * t21686 * t2260 - 0.3e1 / 0.2e1 * t21470 * t2310;
  t21699 = t14928 * t206;
  t21703 = t792 * t205;
  t21705 = t2175 * t1675 * t21703;
  t21711 = t10729 * t7471;
  t21726 = -0.2e1 * t2251 * t3214 * t4309 - t1677 * t14928 * t536 * t636 - t1677 * t21699 * t328 / 0.2e1 + 0.2e1 / 0.3e1 * t9737 * t21705 - t9731 * t4757 - t9731 * t4748 / 0.2e1 + 0.2e1 / 0.3e1 * t9737 * t21711 + t3006 * t15651 / 0.2e1 + t14008 * t3616 / 0.18e2 - t4571 * t15872 / 0.2e1 + 0.2e1 * t3015 * t10778 - t14122 * t3627 / 0.9e1 - t525 * t2880 / 0.18e2;
  t21743 = t3935 * t1556 * t19941;
  t21756 = -t843 * t1999 / 0.18e2 + t2902 * t631 / 0.6e1 + t15216 * t223 / 0.6e1 - t4701 * t314 / 0.2e1 - t2020 * t848 / 0.12e2 - t103 * t4432 / 0.6e1 + 0.2e1 * t2255 * t3214 * t2259 - 0.3e1 * t10863 * t21743 - t2265 * t14013 * t1052 - t4531 * t19243 + t1677 * t4747 * t1633 / 0.2e1 + t11134 * t3105 / 0.18e2 - t10480 * t4748 / 0.6e1;
  t21763 = my_piecewise3(t3, 0, t19666 + t21059 + t21012 + t21273 + t20113 + t21450 + t20052 + t20521 + t21200 + t21133 + t19948 + t20449 + t20025 + t20471 + t19826 + t20248 + t20143 + t21671 + t21306 + t19755 + t20371 + t20497 + t20960 + t19784 + t20506 + t20218 + t21422 + t21691 + t20191 + t21021 + t21648 + t20351 + t21387 + t19695 + t21362 + t21623 + t20425 + t21573 + t19882 + t19722 + t19853 + t20173 + t21334 + t20323 + t20283 + t19917 + t21068 + t21549 + t21521 + t19636 + t21231 + t20084 + t21258 + t21605 + t20553 + t21168 + t20396 + t21483 + t20997 + t19988 + t21756 + t21726 + t20928 + t21105);
  tv4rho2sigmatau0 = 0.2e1 * rho[0] * t21763 + 0.4e1 * t4787;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 0] += tv4rho2sigmatau0;

  t21767 = t1132 * t9901;
  t21768 = t9898 * t21767;
  t21773 = t106 * t109 * t4809;
  t21784 = t1147 * t363;
  t21785 = t96 * t21784;
  t21786 = t2294 * t21785;
  t21789 = t2169 * t21785;
  t21792 = t1147 * t308;
  t21793 = t96 * t21792;
  t21794 = t10733 * t21793;
  t21797 = t1147 * t1609;
  t21799 = t3624 * t96 * t21797;
  t21802 = t1684 * t21785;
  t21805 = t2169 * t21793;
  t21808 = t658 * t122;
  t21809 = t1571 * t21808;
  t21816 = t10240 * t1177 * t1631;
  t21819 = t1159 * t9879;
  t21824 = t1177 * t308;
  t21825 = t400 * t21824;
  t21828 = t9897 * t1132;
  t21829 = t21828 * t9904;
  t21837 = t10255 * t21824;
  t21840 = t5010 * t9763;
  t21843 = t1163 * t9841;
  t21848 = t1862 * t21824;
  t21853 = t321 * t669;
  t21858 = t321 * t659;
  t21861 = t1592 * t2598;
  t21866 = t1592 * t2609;
  t21871 = t9383 * t2588;
  t21885 = t321 * t2548;
  t21895 = 0.12e2 * t21853 * t2136 + 0.4e1 * t4834 * t1633 - 0.4e1 * t21858 * t328 + 0.8e1 / 0.3e1 * t21861 * t622 - 0.4e1 * t4828 * t1693 - 0.8e1 * t21866 * t2145 + 0.4e1 / 0.3e1 * t4831 * t2095 + 0.16e2 / 0.9e1 * t21871 * t2208 - 0.2e1 * t4834 * t1707 - 0.12e2 * t4831 * t12181 + 0.8e1 * t4828 * t12088 - 0.4e1 * t4831 * t12132 - 0.2e1 * t2747 * t138 - 0.2e1 * t2568 - 0.8e1 * t21885 * t636 + 0.12e2 * t2560 + 0.8e1 * t21861 * t645 + 0.12e2 * t21871 * t2203 - 0.24e2 * t21866 * t2218;
  t21918 = t2759 * t335;
  t21921 = t236 * t335;
  t21928 = t696 * t1445;
  t21931 = t2781 * t1418;
  t21936 = t690 * t311;
  t21939 = 0.32e2 / 0.3e1 * t21871 * t2213 + 0.4e1 * t4831 * t2153 - 0.8e1 * t2696 + 0.2e1 * t239 * t1707 - 0.4e1 * t4846 * t2153 + 0.4e1 * t705 * t328 + 0.4e1 * t4841 * t1693 + 0.2e1 / 0.3e1 * t9411 * t1260 + 0.4e1 / 0.3e1 * t3523 * t4903 + 0.2e2 / 0.9e1 * t16261 * t8513 + 0.2e1 * t321 * t2492 * t165 - 0.8e1 * t21918 * t645 - 0.12e2 * t21921 * t2136 - 0.4e1 * t239 * t1633 - 0.4e1 * t16335 * t1260 + 0.24e2 * t21928 * t2218 - 0.12e2 * t21931 * t2203 + 0.4e1 / 0.3e1 * t16261 * t8518 + 0.8e1 * t21936 * t636;
  t21940 = t21895 + t21939;
  t21942 = t400 * t63 * t21940;
  t21944 = t5010 * t11548;
  t21947 = -0.4e1 / 0.3e1 * t21829 * t16433 + 0.3e1 * t2782 * t21837 - 0.72e2 * t21840 * t2401 + 0.72e2 * t21843 * t2395 + 0.8e1 * t21840 * t2398 - 0.6e1 * t2776 * t21848 - 0.2e1 * t1164 * t10256 + t16358 - t16362 - t237 * t21942 - 0.3e2 * t21944 * t2353;
  t21949 = t4943 * t122;
  t21950 = t423 * t21949;
  t21953 = t62 * t658;
  t21954 = t21953 * t122;
  t21955 = t410 * t21954;
  t21958 = t21953 * t326;
  t21959 = t410 * t21958;
  t21962 = t1837 * t21954;
  t21967 = t1163 * t11527;
  t21970 = t149 * t21954;
  t21973 = t149 * t21958;
  t21978 = t1159 * t11520;
  t21981 = -0.5e1 * t13136 * t21950 + 0.24e2 * t4166 * t21955 + 0.8e1 / 0.3e1 * t2750 * t21959 - 0.4e1 / 0.9e1 * t4166 * t21962 + 0.5e1 / 0.9e1 * t21944 * t16712 - 0.22e2 / 0.3e1 * t21967 * t2353 + 0.24e2 * t4149 * t21970 + 0.8e1 * t2752 * t21973 + 0.8e1 * t4158 * t21955 - 0.12e2 * t21978 * t2348 + t943;
  t21982 = t5054 * t308;
  t21983 = t410 * t21982;
  t21987 = t149 * t5054 * t1609;
  t21990 = t5054 * t363;
  t21991 = t410 * t21990;
  t21998 = -0.6e1 * t13131 * t21983 + 0.2e1 * t4138 * t21987 + t2750 * t21991 / 0.3e1 + 0.6e1 * t5007 * t2428 - 0.3e1 * t5011 * t16510 - t16406 - t16408 - t16411 + t16413 - t16414 - t16416;
  t22005 = t63 * t2492;
  t22006 = t396 * t22005;
  t22011 = t1177 * t363;
  t22012 = t400 * t22011;
  t22015 = t1868 * t1177 * t1609;
  t22017 = t145 * t22005;
  t22023 = t1505 * t22011;
  t22026 = t9911 * t21824;
  t22029 = t405 * t22005;
  t22034 = t9916 * t21824;
  t22046 = t5079 * t122;
  t22047 = t400 * t22046;
  t22050 = -0.2e1 / 0.3e1 * t697 * t22023 - t2782 * t22026 / 0.18e2 + 0.4e1 * t697 * t22029 - 0.4e1 * t1164 * t10262 - 0.1e2 / 0.3e1 * t2782 * t22034 - t2811 * t1168 - t21829 * t16237 / 0.9e1 - 0.2e1 * t2790 * t5044 - 0.2e1 * t691 * t5047 - 0.4e1 / 0.3e1 * t2760 * t5036 - 0.2e1 * t693 * t22047;
  t22074 = -0.12e2 * t21843 * t2366 + 0.2e1 * t1160 * t1852 + 0.2e1 * t5007 * t2413 - 0.12e2 * t5007 * t2380 - 0.2e1 / 0.3e1 * t5011 * t16369 + 0.6e1 * t5011 * t10195 - t5011 * t10227 / 0.9e1 + 0.2e1 * t1160 * t1898 + 0.12e2 * t21819 * t2423 - 0.6e1 * t1164 * t10406 + 0.4e1 * t1164 * t10422;
  t22088 = t149 * t5054 * t1631;
  t22091 = t149 * t21982;
  t22094 = t423 * t21982;
  t22098 = t1868 * t5079 * t326;
  t22101 = 0.36e2 * t21840 * t2420 - 0.4e2 * t21840 * t2440 + 0.1e2 / 0.3e1 * t21829 * t16472 + 0.5e2 / 0.3e1 * t21829 * t16475 - 0.36e2 * t21843 * t2417 - 0.12e2 * t21829 * t16772 - 0.6e1 * t17614 * t22088 - 0.6e1 * t13163 * t22091 + 0.12e2 * t13126 * t22094 - t962 - 0.2e1 * t237 * t22098;
  t22105 = t62 * t4849;
  t22106 = t22105 * t122;
  t22107 = t423 * t22106;
  t22110 = t423 * t21990;
  t22113 = t1829 * t21982;
  t22122 = t149 * t22106;
  t22125 = t149 * t21990;
  t22131 = t1837 * t21982;
  t22134 = t1829 * t21954;
  t22141 = t149 * t21949;
  t22145 = t149 * t22105 * t326;
  t22148 = t410 * t22106;
  t22151 = t410 * t21949;
  t22154 = t423 * t21954;
  t22157 = t423 * t21958;
  t22162 = t13131 * t22131 / 0.9e1 - 0.8e1 / 0.3e1 * t4166 * t22134 + 0.44e2 * t21967 * t2355 + 0.1e2 / 0.3e1 * t21944 * t16603 + 0.4e1 * t13166 * t22141 + 0.4e1 * t4138 * t22145 + 0.2e1 / 0.3e1 * t2750 * t22148 + 0.1e2 / 0.3e1 * t13136 * t22151 - 0.48e2 * t4158 * t22154 - 0.16e2 * t2750 * t22157 - 0.4e1 * t13143 * t5100;
  t22165 = t658 * t658;
  t22166 = t332 * t22165;
  t22167 = t22166 * t394;
  t22170 = t691 * t5080 - 0.2e1 / 0.3e1 * t22167 * t397 + t16479 + t16495 + t16517 + t16520 + t16526 - t16528 - t16532 - t16533 - t16536;
  t22171 = t1862 * t22011;
  t22173 = t108 * t22165;
  t22185 = t5083 * t122;
  t22186 = t396 * t22185;
  t22189 = t5083 * t326;
  t22190 = t1505 * t22189;
  t22193 = t1566 * t22185;
  t22198 = t1862 * t22046;
  t22201 = t697 * t22171 - 0.4e1 * t22173 * t312 * t146 + 0.4e1 * t22167 * t406 + 0.6e1 * t5016 * t2410 - 0.22e2 * t5007 * t2404 - 0.5e2 / 0.3e1 * t5011 * t16678 - 0.16e2 * t2776 * t22186 - 0.16e2 / 0.3e1 * t697 * t22190 + 0.2e1 / 0.9e1 * t2782 * t22193 + 0.44e2 / 0.3e1 * t5007 * t2376 + 0.2e1 * t697 * t22198;
  t22204 = t1505 * t22185;
  t22213 = t145 * t22185;
  t22216 = t400 * t22189;
  t22219 = t1505 * t21824;
  t22223 = t400 * t60 * t21940;
  t22232 = -0.12e2 * t2782 * t22204 + 0.15e2 * t5011 * t16444 + 0.2e1 * t2760 * t5005 - 0.5e1 / 0.18e2 * t5011 * t16230 - 0.12e2 * t2765 * t22213 - 0.4e1 * t693 * t22216 + 0.4e1 * t2776 * t22219 + t237 * t22223 / 0.2e1 + t2811 * t1178 / 0.2e1 + t5011 * t16523 / 0.18e2 + 0.1e2 / 0.3e1 * t5011 * t16496;
  t22242 = t60 * t2492;
  t22243 = t396 * t22242;
  t22246 = t16690 * t21949;
  t22249 = t16695 * t21949;
  t22252 = t16699 * t21949;
  t22255 = -0.3e1 * t5016 * t2430 + 0.24e2 * t21843 * t2434 - t1160 * t1877 - 0.4e1 * t5007 * t2443 - 0.2e1 / 0.3e1 * t21840 * t2437 + 0.4e1 / 0.3e1 * t697 * t22243 - 0.5e1 / 0.3e1 * t13136 * t22246 - 0.8e1 * t13166 * t22249 + 0.1e2 * t13136 * t22252 - t16611 - t16612;
  t22257 = t1505 * t22046;
  t22260 = t405 * t22185;
  t22263 = t1862 * t22189;
  t22266 = t1571 * t22185;
  t22271 = -t16613 + t16614 - 0.4e1 / 0.3e1 * t697 * t22257 + 0.24e2 * t2776 * t22260 + 0.8e1 * t697 * t22263 + 0.4e2 / 0.3e1 * t2782 * t22266 - t16681 + t16682 + t3867 + t16683 - 0.4e1 / 0.3e1 * t1164 * t10342;
  t22272 = t145 * t22242;
  t22275 = t405 * t22242;
  t22280 = t22166 * t335;
  t22288 = 0.2e1 * t693 * t22272 - 0.2e1 * t697 * t22275 + 0.2e1 * t1164 * t10334 - t16724 + t16741 + t16742 + 0.4e1 / 0.3e1 * t22280 * t411 + 0.2e1 * t22173 * t311 * t150 - 0.2e1 * t22280 * t424 - t16769 + t16776;
  t22304 = 0.6e1 * t162 * t21768 * t16829 + 0.2e1 * t21773 * t2333 + t1463 * t1199 / 0.18e2 - t22 * t1183 * t477 / 0.4e1 - t22 * t5106 * t194 / 0.2e1 + t2632 * t21786 / 0.6e1 + t2632 * t21789 / 0.12e2 + 0.5e1 / 0.36e2 * t3930 * t21794 - t2683 * t21799 / 0.6e1 - t2674 * t21802 / 0.6e1 - t3917 * t21805 / 0.2e1 - 0.12e2 * t2255 * t2782 * t21809 - t22 * t59 * (t16440 + 0.6e1 * t5016 * t2392 + t22288 + t22271 + t22255 - t16418 + t16420 + t21998 + t22101 + t22170 - t16253 - 0.24e2 * t21819 * t2362 + 0.12e2 * t1164 * t10246 + 0.3e1 * t2765 * t21825 + 0.8e1 / 0.3e1 * t21829 * t16424 + 0.24e2 * t21829 * t16427 - 0.2e1 * t2750 * t22110 + 0.2e1 / 0.3e1 * t13131 * t22113 + 0.4e1 * t13169 * t5056 + 0.4e1 * t17964 * t5060 + 0.2e1 / 0.3e1 * t13143 * t5063 + 0.4e1 * t2752 * t22122 + 0.2e1 * t2752 * t22125 - 0.2e1 * t13126 * t21983 + t22050 + t22074 + t22232 + t22201 - 0.4e1 * t1160 * t1870 - 0.4e1 * t2750 * t22107 - 0.2e1 * t691 * t5034 + 0.4e1 / 0.3e1 * t21840 * t2371 - 0.2e1 / 0.3e1 * t697 * t22006 + 0.2e1 / 0.3e1 * t1164 * t10203 - t693 * t22012 - t237 * t22015 - 0.4e1 * t693 * t22017 + 0.3e1 * t237 * t21816 + t16245 + t16247 + t22162 + t21947 + t21981) * t96 / 0.4e1 - t1140 * t9239 / 0.2e1 - 0.3e1 * t2590 * t19211 + 0.14e2 / 0.3e1 * t2590 * t19207 - t2590 * t19214;
  t22306 = t106 * t9926 * t21767;
  t22309 = t1132 * t9762;
  t22311 = t106 * t1415 * t22309;
  t22325 = t1502 * t22309;
  t22329 = t10653 * t8364;
  t22337 = t10649 * t8389;
  t22353 = -0.38e2 / 0.9e1 * t22306 * t15693 + 0.6e1 * t22311 * t2325 + 0.3e1 * t719 * t2714 - 0.6e1 * t9944 * t21768 * t16804 + 0.3e1 * t13061 * t2717 - 0.6e1 * t2509 * t2720 + 0.8e1 * t22306 * t16817 - 0.18e2 * t162 * t22325 * t2203 + 0.47e2 / 0.3e1 * t16036 * t22329 - 0.3e1 * t162 * t4810 * t2153 - 0.28e2 * t15989 * t8386 - 0.62e2 / 0.3e1 * t16036 * t22337 - 0.3e1 * t509 * t4805 * t9136 + 0.18e2 * t1565 * t21768 * t16843 - 0.18e2 * t509 * t21768 * t15731 + 0.2e1 * t1529 * t4907 - 0.2e1 * t1529 * t4806;
  t22369 = t341 * t342 * t2492;
  t22382 = t135 * t137 * t2492;
  t22390 = t368 * t4799;
  t22394 = t372 * t4814 + 0.3e1 / 0.2e1 * t162 * t4805 * t9128 + 0.2e1 / 0.3e1 * t2483 * t749 - 0.2e1 / 0.3e1 * t13068 * t730 + t9774 * t5112 + 0.18e2 * t15989 * t8390 - 0.2e1 * t1553 * t4904 - t509 * t729 * t22369 + 0.3e1 * t349 * t4899 + 0.3e1 / 0.2e1 * t162 * t4898 * t1693 + 0.12e2 * t17481 * t8400 - 0.2e1 * t349 * t4896 - t162 * t741 * t22382 + 0.6e1 * t1553 * t4907 + 0.3e1 * t509 * t4810 * t2095 - t22390 * t3580 / 0.3e1 - t1553 * t4996;
  t22395 = t1643 * t1163;
  t22430 = -t509 * t22395 * t512 / 0.2e1 - 0.2e1 * t2538 * t742 + 0.2e1 * t1553 * t4994 + t509 * t4935 * t9622 - 0.2e1 * t13030 * t730 + 0.2e1 * t2538 * t749 + 0.3e1 * t10026 * t5112 + 0.3e1 * t349 * t4814 - 0.2e1 * t2509 * t2850 + 0.2e1 * t719 * t2621 - 0.6e1 * t1553 * t4806 - 0.2e1 / 0.9e1 * t2543 * t4221 - 0.2e1 * t719 * t2844 - t719 * t2837 - 0.4e1 * t11771 * t8318 - t2538 * t746 - t4800 * t15999 - 0.2e1 / 0.3e1 * t2600 * t4221;
  t22452 = -0.2e1 / 0.3e1 * t671 * t18452 + t719 * t2856 / 0.2e1 + t719 * t2860 - t719 * t2847 - t719 * t2840 / 0.2e1 + t2538 * t734 - t15482 + t15483 - t15484 + t15485 + t482 * t1184 / 0.18e2 - t913 + t984 - t1140 * t9651 / 0.12e2 + t2495 * t1150 / 0.12e2 - 0.5e1 / 0.18e2 * t4800 * t17520 - 0.5e1 / 0.36e2 * t4800 * t9476;
  t22458 = t169 * t5126 * t122;
  t22459 = t2169 * t22458;
  t22463 = t1630 * t1197 * t326;
  t22466 = t5208 * t1147;
  t22468 = t2169 * t1675 * t22466;
  t22472 = t320 * t1197 * t122;
  t22475 = t4970 * t326;
  t22477 = t10775 * t500 * t22475;
  t22480 = t1868 * t21949;
  t22497 = -0.35e2 / 0.108e3 * t22306 * t17504 + 0.2e1 * t18604 * t2696 + t2632 * t22459 / 0.6e1 + t1677 * t2701 * t22463 - 0.2e1 / 0.3e1 * t9737 * t22468 + t1677 * t2698 * t22472 + 0.5e1 / 0.3e1 * t9737 * t22477 - 0.2e1 * t2251 * t693 * t22480 + t15497 - t15501 - t15505 - 0.5e1 / 0.18e2 * t2590 * t18269 + t661 * t2573 / 0.3e1 + t233 * t12725 / 0.3e1 + t233 * t12772 / 0.6e1 + 0.4e1 / 0.9e1 * t9223 * t8318 + t1140 * t9669 / 0.3e1 - t16928 * t8390;
  t22508 = t22 * t5007;
  t22511 = t22 * t5011;
  t22514 = t96 * t13411;
  t22515 = t1684 * t22514;
  t22532 = 0.2e1 / 0.3e1 * t1140 * t9660 - 0.4e1 / 0.3e1 * t16932 * t8400 - 0.2e1 / 0.3e1 * t372 * t4896 + t372 * t4899 + 0.14e2 / 0.9e1 * t16928 * t8386 + 0.2e1 * t22508 * t2183 - 0.11e2 / 0.9e1 * t22511 * t17072 - 0.2e1 / 0.3e1 * t2674 * t22515 + t15533 - t15534 + t5156 * t380 / 0.9e1 - t5146 * t1510 / 0.9e1 - t654 * t2473 / 0.9e1 + 0.2e1 / 0.9e1 * t5146 * t1440 - t2486 * t686 / 0.9e1 + t2483 * t738 / 0.3e1 - t10077 * t1190 / 0.3e1;
  t22543 = t106 * t333 * t22165 * t335;
  t22546 = t1462 * t1139;
  t22549 = t510 * t22165;
  t22558 = t396 * t21808;
  t22562 = t1566 * t21808;
  t22571 = t106 * t333 * t4798;
  t22578 = t106 * t109 * t22165 * t311 * t139 / 0.3e1 - t1462 * t1134 * t139 / 0.27e2 - t22543 * t344 / 0.6e1 + t22546 * t344 / 0.54e2 + t162 * t22549 * t516 + t1140 * t9965 / 0.3e1 + t22546 * t497 / 0.27e2 - t5146 * t1451 / 0.18e2 + 0.12e2 * t2255 * t2776 * t22558 + 0.6e1 * t4277 * t2782 * t22562 + t10809 * t4972 - t10769 * t4976 - 0.2e1 * t22306 * t16826 - 0.3e1 * t22571 * t2083 - t1140 * t9179 / 0.3e1 + t1140 * t9590 / 0.3e1 + t15602 - t15603;
  t22596 = t2169 * t22514;
  t22599 = t96 * t21808;
  t22600 = t2162 * t22599;
  t22605 = t163 * t4809;
  t22615 = 0.2e1 / 0.9e1 * t2557 * t3987 + 0.2e1 / 0.3e1 * t1140 * t9176 - t1140 * t9030 / 0.6e1 + t666 * t12735 / 0.3e1 - t2600 * t4251 / 0.3e1 - t671 * t19040 / 0.3e1 - t671 * t18266 / 0.6e1 + 0.2e1 / 0.3e1 * t2632 * t22596 - 0.2e1 * t4291 * t22600 + t15667 + t3585 - t3588 - 0.2e1 / 0.3e1 * t1529 * t4904 - 0.6e1 * t162 * t22605 * t2136 - t372 * t4877 / 0.6e1 - t162 * t4884 * t1633 + t372 * t4885 / 0.3e1;
  t22642 = t368 * t5171;
  t22649 = t372 * t4881 / 0.3e1 + 0.23e2 / 0.18e2 * t2590 * t18971 - 0.6e1 * t719 * t2723 + t2611 * t19098 - t654 * t2666 / 0.9e1 - t233 * t12907 / 0.3e1 - t2543 * t4251 / 0.9e1 - 0.11e2 / 0.9e1 * t2590 * t18365 + 0.22e2 / 0.3e1 * t22311 * t2234 - t1434 * t1194 / 0.2e1 + t2538 * t738 + t719 * t2527 / 0.2e1 + t1434 * t1202 / 0.2e1 - t369 * t5167 / 0.18e2 + t22642 * t166 / 0.6e1 - t2495 * t686 / 0.6e1 - t661 * t2473 / 0.3e1;
  t22665 = -t1140 * t10066 / 0.6e1 - t233 * t12312 / 0.6e1 - t233 * t12350 / 0.3e1 - t661 * t2666 / 0.3e1 - 0.4e1 / 0.9e1 * t5146 * t1713 + t15739 - t15743 + t15745 + t15749 + t15760 + t1135 * t1728 / 0.3e1 - t15765 + t1135 * t1732 / 0.6e1 + t15773 - t15776 + t15795 - t15800;
  t22672 = t303 * t12852;
  t22673 = t555 * t22672;
  t22676 = t1726 * t4863;
  t22677 = t555 * t22676;
  t22680 = t368 * t4855;
  t22687 = t490 * t303 * t95 * t21940;
  t22691 = t490 * t9073 * t1148;
  t22696 = t4849 * t122;
  t22697 = t96 * t22696;
  t22698 = t1684 * t22697;
  t22705 = -t4800 * t15689 / 0.2e1 + 0.2e1 / 0.3e1 * t671 * t12854 + 0.4e1 / 0.3e1 * t671 * t12810 - t671 * t22673 / 0.3e1 - 0.2e1 / 0.3e1 * t671 * t22677 + 0.2e1 / 0.3e1 * t22680 * t556 - 0.11e2 / 0.27e2 * t22390 * t3560 + t233 * t22687 / 0.12e2 + t233 * t22691 / 0.12e2 - t15812 - 0.2e1 / 0.3e1 * t1140 * t9594 - t15813 - t15814 + t15815 + t15816 - t2674 * t22698 / 0.3e1 - t5146 * t1735 / 0.18e2 - t1135 * t1612 / 0.6e1;
  t22709 = t2169 * t500 * t21784;
  t22727 = t1182 * t66;
  t22729 = t490 * t22727 * t491;
  t22736 = t1862 * t13411;
  t22742 = t15828 + t15830 - t15832 - t2632 * t22709 / 0.3e1 - t103 * t5107 / 0.6e1 - 0.11e2 / 0.18e2 * t4800 * t15786 - t1140 * t9272 - t5146 * t1660 / 0.9e1 + 0.2e1 / 0.9e1 * t5146 * t1650 - 0.2e1 / 0.9e1 * t2543 * t4916 + 0.2e1 * t1140 * t9291 - t5172 * t329 / 0.4e1 + t127 * t22729 / 0.12e2 - t5156 * t493 / 0.9e1 + t654 * t4852 / 0.18e2 - 0.4e1 * t2251 * t697 * t22736 + t22680 * t549 / 0.3e1;
  t22748 = t193 * t1132;
  t22750 = t3935 * t2263 * t22748;
  t22765 = t1505 * t21784;
  t22769 = t1862 * t21784;
  t22784 = t5156 * t305 / 0.9e1 + t1135 * t1640 / 0.3e1 - t13562 * t2702 - 0.3e1 * t10863 * t22750 - t12915 * t5131 / 0.9e1 - t13542 * t5135 / 0.9e1 + t12962 * t4979 / 0.18e2 + t11018 * t4972 / 0.3e1 - t10923 * t4976 / 0.3e1 + t12962 * t4963 / 0.9e1 + t2255 * t697 * t22765 / 0.2e1 - t2251 * t697 * t22769 / 0.2e1 - t2662 * t18221 + 0.2e1 * t4856 * t2068 + 0.2e1 / 0.3e1 * t2550 * t3987 + t12998 * t248 / 0.3e1 + t1479 * t1202 / 0.3e1 - t1479 * t1194 / 0.3e1;
  t22786 = t138 * t5107;
  t22791 = t106 * t158 * t5105 * t159;
  t22796 = t9743 * t5127;
  t22808 = t4849 * t326;
  t22810 = t3624 * t96 * t22808;
  t22817 = -t127 * t22786 / 0.6e1 + t22791 * t166 / 0.2e1 + 0.2e1 / 0.3e1 * t666 * t18635 - t15892 + t15895 + t2683 * t22796 / 0.6e1 - t1140 * t10145 / 0.12e2 + t1135 * t1499 / 0.6e1 - t4984 * t2074 - t4984 * t2077 / 0.2e1 + t1140 * t9460 / 0.3e1 - t2683 * t22810 / 0.3e1 + 0.23e2 / 0.54e2 * t22390 * t3613 + 0.4e1 / 0.9e1 * t2543 * t4911 - t15950 + t15952 + t15955;
  t22822 = t1147 * t1631;
  t22824 = t15648 * t96 * t22822;
  t22827 = t1684 * t21793;
  t22832 = t9916 * t21792;
  t22846 = t15958 - t15960 + t2486 * t1150 / 0.18e2 + t15978 + 0.2e1 / 0.9e1 * t2557 * t4991 + t2683 * t22824 / 0.2e1 + t4291 * t22827 / 0.2e1 + t13542 * t5128 / 0.18e2 + 0.3e1 * t2255 * t2782 * t22832 - t233 * t13001 / 0.6e1 + t13006 * t248 / 0.2e1 - t671 * t19399 / 0.3e1 + 0.89e2 / 0.9e1 * t22306 * t15683 + 0.7e1 / 0.3e1 * t4800 * t15680 - t15995 - t16042 - t16046 + t16049;
  t22851 = t2175 * t22599;
  t22854 = t22 * t5016;
  t22856 = t347 * t8234;
  t22857 = t2233 * t22856;
  t22861 = t302 * t22727 * t296;
  t22864 = t16052 - t16060 - t16062 - t16064 - t16066 + 0.2e1 * t3917 * t22851 - t22854 * t2165 + 0.14e2 / 0.3e1 * t15539 * t22857 - t127 * t22861 / 0.6e1 + t16173 + t16175 - t16177 + t16179 + t16181 + t16184 + t16187 + t16189;
  t22871 = t400 * t21784;
  t22893 = t302 * t22676;
  t22896 = t302 * t22672;
  t22899 = -t16192 - t16194 - 0.6e1 * t349 * t4811 - t372 * t4889 / 0.3e1 + 0.2e1 * t10752 * t8350 + t2251 * t693 * t22871 / 0.2e1 - t1677 * t13407 * t1198 / 0.2e1 - t1677 * t13444 * t1198 / 0.4e1 + 0.3e1 / 0.2e1 * t1565 * t4805 * t9110 + t719 * t2834 - t2509 * t2852 - t2521 * t1150 / 0.54e2 - 0.6e1 * t22571 * t2226 - 0.2e1 * t4856 * t1944 + t4856 * t2071 + 0.2e1 / 0.3e1 * t666 * t22893 + t666 * t22896 / 0.3e1;
  t22907 = t2294 * t22697;
  t22911 = t10943 * t4798;
  t22931 = t2169 * t22599;
  t22937 = t661 * t4820 / 0.6e1 - 0.23e2 / 0.3e1 * t22311 * t2321 + 0.2e1 * t2611 * t18363 + t2632 * t22907 / 0.3e1 - t22511 * t15607 + 0.3e1 * t1677 * t22911 * t3576 - 0.115e3 / 0.36e2 * t22511 * t17533 - 0.2e1 / 0.3e1 * t2674 * t19264 + 0.2e1 / 0.3e1 * t2674 * t19297 - t2632 * t19293 / 0.3e1 + 0.3e1 * t19135 * t2568 - 0.3e1 * t18604 * t2560 - 0.2e1 * t18608 * t2564 + 0.2e1 * t13562 * t2672 - 0.2e1 * t3930 * t22931 + 0.5e1 / 0.2e1 * t22511 * t15612 + t2632 * t18922;
  t22941 = t548 * t2536 * t1208;
  t22944 = t9911 * t21792;
  t22948 = t10255 * t21949;
  t22952 = t10245 * t21949;
  t22956 = t2294 * t22458;
  t22959 = t96 * t21949;
  t22960 = t11150 * t22959;
  t22964 = t1648 * t8034 * t122;
  t22968 = t1648 * t8060 * t122;
  t22983 = -0.2e1 / 0.3e1 * t2632 * t19505 + 0.4e1 / 0.3e1 * t1941 * t22941 - 0.3e1 / 0.2e1 * t4277 * t2782 * t22944 - 0.5e1 / 0.2e1 * t2255 * t697 * t22948 + 0.5e1 / 0.2e1 * t2251 * t697 * t22952 + t2632 * t22956 / 0.3e1 - 0.5e1 / 0.6e1 * t2632 * t22960 + t2265 * t2563 * t22964 - t1677 * t2563 * t22968 - t16802 + t16835 - t16841 + t2521 * t686 / 0.27e2 - t22543 * t497 / 0.3e1 + 0.2e1 / 0.3e1 * t22543 * t502 - 0.2e1 / 0.27e2 * t22546 * t502 - t5172 * t314 / 0.2e1 + t5172 * t365 / 0.4e1;
  t22986 = t343 * t1184;
  t22993 = t1868 * t21797;
  t22999 = t405 * t21808;
  t23005 = t658 * t1147;
  t23007 = t2169 * t500 * t23005;
  t23010 = t2294 * t22514;
  t23022 = -t338 * t22986 / 0.12e2 - t377 * t5167 / 0.12e2 - t10084 * t1190 / 0.2e1 - t16858 + t2251 * t237 * t22993 / 0.2e1 - 0.4e1 / 0.3e1 * t1140 * t9583 + t16863 - t16868 - t3699 - 0.12e2 * t2251 * t2776 * t22999 + t2251 * t691 * t4944 - 0.2e1 / 0.3e1 * t9737 * t23007 + 0.4e1 / 0.3e1 * t2632 * t23010 - t509 * t22549 * t512 - t162 * t163 * t22165 * t313 - t13101 * t248 / 0.9e1 + t1463 * t1194 / 0.9e1;
  t23032 = t343 * t1183 * t500;
  t23037 = t106 * t158 * t1182 * t506;
  t23040 = t496 * t1184;
  t23049 = t230 * t658;
  t23051 = t3935 * t1556 * t23049;
  t23057 = t500 * t23049;
  t23058 = t2175 * t23057;
  t23061 = t1505 * t13411;
  t23065 = t169 * t13493;
  t23066 = t2175 * t23065;
  t23073 = t10775 * t22959;
  t23076 = -t1463 * t1202 / 0.9e1 + t487 * t5167 / 0.6e1 + t9832 * t1190 / 0.9e1 + t5172 * t517 / 0.2e1 + t338 * t23032 / 0.3e1 - t23037 * t513 / 0.2e1 - t338 * t23040 / 0.6e1 - t1479 * t1199 / 0.6e1 + t2632 * t19300 / 0.2e1 + t2683 * t12292 / 0.3e1 - 0.6e1 * t10863 * t23051 - 0.2e1 * t2265 * t2563 * t4903 - 0.8e1 * t10870 * t23058 + 0.4e1 * t2255 * t697 * t23061 - t2632 * t23066 / 0.3e1 + 0.23e2 / 0.18e2 * t4800 * t17429 + t12238 * t4963 / 0.3e1 - 0.5e1 / 0.12e2 * t2632 * t23073;
  t23078 = t3624 * t22959;
  t23081 = t1684 * t22458;
  t23086 = t3624 * t169 * t5126 * t326;
  t23089 = t500 * t21792;
  t23090 = t10733 * t23089;
  t23111 = t548 * t22856;
  t23115 = t2057 * t1551 * t8234;
  t23119 = t548 * t717 * t4863;
  t23122 = 0.2e1 / 0.3e1 * t2674 * t23078 - t2674 * t23081 / 0.3e1 - t2683 * t23086 / 0.3e1 - 0.23e2 / 0.36e2 * t3930 * t23090 - 0.7e1 / 0.3e1 * t3930 * t10936 * t23089 + 0.3e1 / 0.2e1 * t3930 * t10733 * t1556 * t21792 + t654 * t2573 / 0.9e1 + 0.2e1 / 0.9e1 * t5146 * t1720 + t2483 * t734 / 0.3e1 - t2483 * t746 / 0.3e1 + t719 * t2648 - 0.2e1 / 0.3e1 * t2483 * t742 - t16887 - t16891 - 0.4e1 * t15553 * t23111 - 0.3e1 * t15539 * t23115 + 0.4e1 / 0.3e1 * t1941 * t23119;
  t23123 = t10255 * t21792;
  t23127 = t10775 * t21793;
  t23130 = t10240 * t22822;
  t23134 = t400 * t21792;
  t23140 = t1684 * t169 * t476 * t1147;
  t23145 = t22 * t1164;
  t23148 = t19269 * t5520;
  t23151 = t19277 * t5504;
  t23162 = t500 * t21808;
  t23163 = t3935 * t23162;
  t23172 = t1132 * t326;
  t23174 = t10733 * t1556 * t23172;
  t23177 = -0.3e1 / 0.2e1 * t2251 * t2782 * t23123 + t3930 * t23127 / 0.2e1 - 0.3e1 / 0.2e1 * t2251 * t237 * t23130 - 0.3e1 / 0.2e1 * t2251 * t2765 * t23134 + t2683 * t23140 / 0.12e2 + 0.4e1 / 0.3e1 * t2632 * t13495 - 0.4e1 / 0.3e1 * t23145 * t9716 + 0.4e1 / 0.3e1 * t9737 * t23148 - 0.2e1 * t9737 * t23151 - 0.3e1 / 0.2e1 * t4800 * t9070 - 0.43e2 / 0.9e1 * t22306 * t15571 + 0.2e1 / 0.3e1 * t671 * t12843 - 0.8e1 / 0.3e1 * t2632 * t13413 + 0.23e2 / 0.9e1 * t3930 * t23163 + 0.23e2 / 0.18e2 * t22511 * t17530 - 0.61e2 / 0.27e2 * t22306 * t16847 + 0.44e2 / 0.27e2 * t22306 * t16939 + 0.15e2 / 0.2e1 * t10863 * t23174;
  t23181 = t368 * t4983;
  t23184 = t548 * t22676;
  t23187 = t548 * t22672;
  t23194 = t1505 * t21792;
  t23198 = t1862 * t21792;
  t23207 = t2266 * t4809;
  t23218 = t320 * t137 * t21940;
  t23227 = -t23181 * t541 / 0.3e1 - t671 * t23184 / 0.3e1 - t671 * t23187 / 0.6e1 - t2543 * t4865 / 0.9e1 + t5146 * t1952 / 0.9e1 - t16936 - 0.3e1 * t2255 * t2776 * t23194 + 0.3e1 * t2251 * t2776 * t23198 - t372 * t4872 / 0.6e1 - 0.11e2 * t2255 * t5007 * t10156 + 0.6e1 * t2265 * t23207 * t622 - t1434 * t1199 / 0.4e1 - t349 * t4872 / 0.2e1 - t349 * t4877 / 0.2e1 - t162 * t745 * t23218 / 0.4e1 - 0.2e1 * t372 * t4811 - t162 * t12375 * t1198 / 0.4e1;
  t23233 = t2266 * t1138;
  t23244 = t400 * t22696;
  t23247 = t145 * t21808;
  t23251 = t230 * t4849;
  t23253 = t2169 * t500 * t23251;
  t23256 = t9743 * t4962;
  t23259 = t16127 * t5134;
  t23262 = t10910 * t4962;
  t23271 = t1868 * t22808;
  t23279 = -t162 * t2846 * t4876 / 0.2e1 - 0.2e1 * t13562 * t2699 + 0.2e1 * t2265 * t23233 * t1666 + t654 * t4820 / 0.18e2 - t103 * t4790 / 0.6e1 - t1677 * t2701 * t4876 / 0.2e1 + t2251 * t693 * t23244 + 0.6e1 * t2251 * t2765 * t23247 - 0.2e1 / 0.3e1 * t9737 * t23253 - t2674 * t23256 / 0.3e1 - t2683 * t23259 / 0.3e1 + t2632 * t23262 / 0.6e1 - t12286 * t5131 / 0.3e1 - t12253 * t5135 / 0.3e1 + t12238 * t4979 / 0.6e1 + t2251 * t237 * t23271 + 0.3e1 * t10978 * t22911 * t3495 + 0.23e2 / 0.36e2 * t4800 * t9321;
  t23293 = t1675 * t22748;
  t23294 = t2175 * t23293;
  t23300 = t1678 * t1138;
  t23304 = t400 * t13411;
  t23310 = t10910 * t8349;
  t23316 = 0.3e1 * t162 * t4935 * t9700 - 0.2e1 / 0.3e1 * t372 * t4936 + 0.2e1 / 0.3e1 * t372 * t4933 + t4856 * t2086 + t17032 - t17034 + t17067 - 0.3e1 * t2251 * t5016 * t2252 + t10769 * t4945 - 0.4e1 * t10870 * t23294 - 0.2e1 * t1677 * t2698 * t4895 + 0.3e1 * t1677 * t23300 * t636 + 0.2e1 * t2251 * t693 * t23304 + t2251 * t2790 * t4939 - 0.2e1 / 0.3e1 * t9737 * t23310 - t9731 * t4951 / 0.2e1 + t10769 * t4940;
  t23335 = t490 * t1726 * t4850;
  t23340 = t23145 * t10182 / 0.3e1 + 0.25e2 / 0.36e2 * t22511 * t17093 - 0.5e1 / 0.18e2 * t22511 * t16959 + 0.3e1 * t719 * t2652 - t1529 * t4996 / 0.3e1 - 0.3e1 * t509 * t4935 * t9705 + 0.2e1 / 0.3e1 * t1529 * t4994 + t17102 - t17105 - t17107 + t12253 * t5128 / 0.6e1 + t17121 + t17123 - t17124 + t233 * t23335 / 0.6e1 - 0.11e2 / 0.9e1 * t4800 * t15996 + t17142 - t17145;
  t23351 = t510 * t4798;
  t23358 = t3935 * t22599;
  t23386 = -0.18e2 * t1565 * t22325 * t2208 + 0.36e2 * t509 * t22325 * t2213 + 0.6e1 * t2509 * t2656 - 0.18e2 * t509 * t23351 * t2145 + 0.18e2 * t162 * t23351 * t2218 - 0.5e1 / 0.9e1 * t3930 * t23358 + t162 * t4884 * t1707 / 0.2e1 - t349 * t4889 - t162 * t1643 * t1159 * t313 / 0.2e1 - 0.2e1 * t349 * t4936 - t162 * t4935 * t9627 + t349 * t4881 + t162 * t22395 * t516 / 0.2e1 + t661 * t4852 / 0.6e1 - t1140 * t9649 / 0.6e1 + 0.2e1 * t1677 * t2563 * t4932 + t1140 * t9435 / 0.6e1;
  t23387 = t1505 * t4938;
  t23392 = t1505 * t22696;
  t23395 = t1862 * t22696;
  t23398 = t1505 * t21808;
  t23413 = t22 * t1160;
  t23416 = t2169 * t22697;
  t23421 = t1684 * t169 * t193 * t4849;
  t23425 = t2255 * t2760 * t23387 - t2251 * t2760 * t4975 + t2255 * t697 * t23392 - t2251 * t697 * t23395 + 0.6e1 * t2251 * t2782 * t23398 + 0.15e2 * t2255 * t5011 * t16074 - 0.15e2 / 0.2e1 * t2251 * t5011 * t16078 - 0.6e1 * t2265 * t22911 * t3594 - t17254 + t17286 - t17300 + t17312 - t17327 + 0.55e2 / 0.18e2 * t22511 * t17080 - t23413 * t1687 / 0.3e1 + t2632 * t23416 / 0.6e1 + t2683 * t23421 / 0.6e1 + t22854 * t2302;
  t23435 = t500 * t23172;
  t23436 = t2169 * t23435;
  t23439 = t1678 * t1133;
  t23444 = t2182 * t22599;
  t23447 = t2182 * t23065;
  t23457 = t341 * t404 * t2492;
  t23460 = -0.11e2 / 0.6e1 * t22508 * t2172 - 0.5e1 / 0.54e2 * t22390 * t3748 + 0.5e1 / 0.3e1 * t22311 * t2060 + t349 * t4885 + t22508 * t2176 + 0.22e2 / 0.3e1 * t10870 * t23436 + t1677 * t23439 * t328 - 0.11e2 / 0.3e1 * t22508 * t2295 + 0.4e1 * t3917 * t23444 - 0.2e1 / 0.3e1 * t2632 * t23447 + t17393 - t1135 * t1936 / 0.3e1 + t4856 * t1949 / 0.2e1 + 0.2e1 * t349 * t4933 + t162 * t729 * t23457 - t17463 - t17465;
  t23464 = t2162 * t23065;
  t23472 = t3931 * t23293;
  t23475 = t10936 * t23435;
  t23484 = t3931 * t23057;
  t23489 = t3931 * t22599;
  t23492 = t11202 * t4962;
  t23503 = t2294 * t21793;
  t23505 = t10936 * t21793;
  t23508 = -0.15e2 / 0.2e1 * t4277 * t5011 * t17058 + 0.2e1 / 0.3e1 * t2674 * t23464 + t5172 * t298 / 0.2e1 - 0.6e1 * t1677 * t23207 * t645 + 0.14e2 / 0.3e1 * t10863 * t23472 - 0.35e2 / 0.3e1 * t10863 * t23475 - 0.2e1 * t1677 * t23233 * t1671 + 0.11e2 * t2251 * t5007 * t2309 + 0.28e2 / 0.3e1 * t10863 * t23484 + 0.2e1 / 0.3e1 * t23145 * t10464 - 0.22e2 / 0.9e1 * t3930 * t23489 + t2632 * t23492 / 0.3e1 + t10923 * t4940 / 0.3e1 + t10923 * t4945 / 0.3e1 - 0.2e1 / 0.9e1 * t10905 * t8350 - t10480 * t4951 / 0.6e1 - t3917 * t23503 + 0.11e2 / 0.18e2 * t3930 * t23505;
  t23514 = my_piecewise3(t3, 0, t22784 + t22665 + t23508 + t23340 + t23425 + t23022 + t22532 + t23316 + t22899 + t22353 + t22649 + t23386 + t22615 + t22937 + t23460 + t22497 + t23279 + t22430 + t22304 + t22983 + t23177 + t22742 + t22452 + t22817 + t23076 + t23122 + t22394 + t23227 + t22705 + t22846 + t22864 + t22578);
  tv4rho2lapl20 = 0.2e1 * rho[0] * t23514 + 0.4e1 * t5193;

  if(out->v4rho2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 0] += tv4rho2lapl20;

  t23539 = t548 * t717 * t884;
  t23544 = t2483 * t881 / 0.6e1 - t10077 * t1261 / 0.3e1 - t2902 * t742 / 0.3e1 - t1529 * t5201 / 0.3e1 - t1529 * t5198 / 0.3e1 + t349 * t5280 / 0.2e1 + t349 * t5297 / 0.2e1 + t2538 * t890 / 0.2e1 + t719 * t3367 / 0.2e1 + t719 * t3049 / 0.4e1 + t338 * t23539 / 0.3e1 - t233 * t15309 / 0.12e2;
  t23548 = t302 * t12348 * t884;
  t23555 = t9073 * t1208;
  t23559 = t555 * t5315;
  t23576 = -t377 * t5316 / 0.12e2 - t127 * t23548 / 0.6e1 + t1434 * t1283 / 0.4e1 + t3030 * t5287 / 0.3e1 + t894 * t302 * t23555 / 0.6e1 - t338 * t23559 / 0.6e1 + t719 * t2954 / 0.2e1 - 0.2e1 / 0.27e2 * t13686 * t1224 - t2972 * t5616 / 0.6e1 - t866 * t23184 / 0.6e1 + t3030 * t4991 / 0.3e1 + t894 * t22896 / 0.6e1 - t13719 * t1213 / 0.12e2;
  t23603 = -t2972 * t4865 / 0.6e1 - t866 * t548 * t23555 / 0.12e2 + t1463 * t1266 / 0.9e1 + t1463 * t1269 / 0.18e2 - t2911 * t1150 / 0.54e2 + t13686 * t1218 / 0.27e2 - t369 * t5316 / 0.18e2 + t2483 * t890 / 0.6e1 - t866 * t22677 / 0.3e1 + t259 * t23335 / 0.6e1 + t259 * t22687 / 0.12e2 - t13719 * t1218 / 0.6e1;
  t23626 = t4258 * t326;
  t23632 = t135 * t1264 * t122;
  t23636 = -t2972 * t5252 / 0.3e1 - t2972 * t4916 / 0.3e1 - t1463 * t1274 / 0.9e1 + t838 * t4852 / 0.6e1 + t866 * t12846 / 0.3e1 + 0.2e1 / 0.3e1 * t866 * t12810 + t866 * t12854 / 0.3e1 - t259 * t12350 / 0.6e1 - t259 * t12312 / 0.12e2 + t13719 * t1224 / 0.3e1 + 0.2e1 / 0.3e1 * t2972 * t5383 - 0.3e1 * t2251 * t3221 * t400 * t23626 + 0.3e1 * t1677 * t14775 * t23632;
  t23665 = t482 * t1279 / 0.18e2 - t3006 * t23086 / 0.3e1 - 0.115e3 / 0.36e2 * t4531 * t10733 * t500 * t23626 - t2988 * t23081 / 0.3e1 + t3015 * t22459 / 0.6e1 + 0.2e1 / 0.3e1 * t2988 * t23078 - 0.5e1 / 0.12e2 * t3015 * t23073 - t719 * t3293 / 0.2e1 + t10769 * t5366 + t2251 * t3236 * t4939 + t2251 * t806 * t23244 + t2251 * t806 * t22871 / 0.2e1;
  t23666 = t500 * t5529;
  t23667 = t2169 * t23666;
  t23675 = t230 * t308;
  t23676 = t96 * t23675;
  t23680 = t96 * t13528;
  t23696 = 0.2e1 * t10752 * t23667 + t10769 * t5337 - t14008 * t5210 / 0.18e2 - 0.5e1 / 0.54e2 * t19869 * t5591 + 0.5e1 / 0.3e1 * t20380 * t3935 * t23676 - t3015 * t10775 * t23680 / 0.2e1 + t18604 * t2986 - t9737 * t19277 * t15426 - t13562 * t3109 + 0.2e1 / 0.3e1 * t9737 * t19269 * t15430 - t13562 * t3191 / 0.2e1 - t10858 * t5517 + 0.2e1 * t10809 * t5515;
  t23698 = t256 * t230;
  t23699 = t1556 * t23698;
  t23731 = -0.3e1 * t10863 * t18568 * t23699 + 0.6e1 * t10809 * t5512 + 0.6e1 * t2255 * t13745 * t4259 + 0.2e1 * t2255 * t3214 * t2567 + 0.2e1 / 0.3e1 * t3015 * t13495 - 0.4e1 * t4571 * t10729 * t5236 - 0.4e1 / 0.3e1 * t3015 * t12940 + 0.23e2 / 0.18e2 * t4531 * t18568 * t5236 + 0.2e1 / 0.3e1 * t3015 * t12978 - 0.4e1 * t20992 * t5237 - 0.4e1 / 0.3e1 * t13995 * t5505 + 0.23e2 / 0.18e2 * t20366 * t5534 + 0.2e1 / 0.3e1 * t13995 * t5521;
  t23747 = t717 * t3307;
  t23748 = t548 * t23747;
  t23761 = t3006 * t12292 / 0.6e1 - t349 * t5626 - t162 * t14095 * t1265 / 0.2e1 - t162 * t3336 * t4895 - t162 * t872 * t22382 / 0.2e1 - t1434 * t1266 / 0.2e1 + 0.2e1 / 0.9e1 * t9223 * t8503 + 0.2e1 / 0.9e1 * t9223 * t23748 + t2885 * t734 / 0.2e1 + t854 * t2856 / 0.4e1 + t854 * t2860 / 0.2e1 - 0.11e2 / 0.18e2 * t2983 * t18365 + 0.23e2 / 0.36e2 * t2983 * t18971;
  t23772 = t12291 * t3104;
  t23786 = t500 * t23675;
  t23791 = -t4538 * t22600 - t2988 * t22515 / 0.3e1 + t13542 * t3105 / 0.18e2 - t2683 * t14500 / 0.6e1 + t1683 * t23772 / 0.12e2 - t12962 * t4753 / 0.18e2 + t3917 * t20968 / 0.2e1 + 0.11e2 / 0.18e2 * t4531 * t23505 - 0.23e2 / 0.36e2 * t4531 * t23090 - 0.61e2 / 0.27e2 * t20344 * t18027 * t23676 + 0.44e2 / 0.27e2 * t20344 * t17992 * t23786 - t4571 * t23503;
  t23810 = t21213 * t5520;
  t23815 = t21610 * t5504;
  t23818 = -0.6e1 * t21350 * t2182 * t23676 + t9832 * t1261 / 0.9e1 + t3039 * t18363 + t2939 * t1150 / 0.18e2 - t3057 * t4865 / 0.18e2 - t3057 * t5616 / 0.18e2 + t2632 * t21658 / 0.4e1 + t2674 * t21165 / 0.3e1 - t2674 * t21663 / 0.3e1 + 0.2e1 / 0.3e1 * t9737 * t23810 - t15274 * t2702 / 0.2e1 - t9737 * t23815 - t15274 * t2699;
  t23841 = t2902 * t749 / 0.3e1 - t14664 * t730 / 0.3e1 + t2483 * t862 / 0.3e1 - t13068 * t859 / 0.3e1 - t14695 * t1213 / 0.18e2 + t3052 * t4991 / 0.9e1 + t487 * t5316 / 0.6e1 + t21470 * t2696 - t14008 * t5501 / 0.9e1 + t15274 * t2672 - 0.3e1 / 0.2e1 * t21470 * t2560 - t21519 * t2564;
  t23870 = 0.3e1 / 0.2e1 * t21686 * t2568 - 0.6e1 * t2251 * t13775 * t145 * t23675 - t654 * t3379 / 0.18e2 - t654 * t3383 / 0.18e2 + t1479 * t1283 / 0.6e1 + t14196 * t1210 / 0.6e1 + t259 * t22691 / 0.12e2 - t866 * t23187 / 0.12e2 + t2918 * t1150 / 0.12e2 + t372 * t5297 / 0.6e1 - t2486 * t886 / 0.18e2 + t1479 * t1274 / 0.3e1 + t372 * t5302 / 0.3e1;
  t23889 = t372 * t5305 / 0.3e1 + t372 * t5280 / 0.6e1 - t372 * t5626 / 0.3e1 - t15482 + t15483 - t15484 + t15485 + t666 * t20957 / 0.3e1 + t666 * t14472 / 0.6e1 + t2611 * t20228 / 0.2e1 + t661 * t2963 / 0.6e1 - 0.11e2 / 0.18e2 * t2590 * t21435;
  t23915 = 0.23e2 / 0.36e2 * t2590 * t21438 + t2611 * t21433 - 0.3e1 * t854 * t2723 - t14877 * t1210 / 0.27e2 + t13686 * t1213 / 0.54e2 - t259 * t12907 / 0.6e1 + t3052 * t5287 / 0.9e1 - t3299 * t18221 / 0.2e1 - t3057 * t4916 / 0.9e1 - t3057 * t5252 / 0.9e1 - t14695 * t1218 / 0.9e1 + t843 * t4852 / 0.18e2 + 0.2e1 / 0.9e1 * t3057 * t4911;
  t23919 = t3931 * t20309;
  t23951 = t3062 * t659;
  t23955 = -t3930 * t21063 / 0.2e1 + 0.7e1 / 0.3e1 * t3930 * t23919 - 0.3e1 / 0.2e1 * t3930 * t21384 - 0.3e1 / 0.2e1 * t2251 * t3208 * t23123 - 0.18e2 * t2255 * t13792 * t9911 * t23675 + 0.6e1 * t2251 * t13792 * t9916 * t23675 + 0.3e1 * t2255 * t3208 * t22832 - t21366 * t5216 / 0.3e1 + 0.2e1 * t20507 * t2162 * t23676 - t14127 * t5220 / 0.9e1 + t2988 * t3624 * t23680 / 0.3e1 + t1677 * t5243 * t1633 / 0.2e1 - t1677 * t23951 * t328 / 0.2e1;
  t23956 = t14928 * t231;
  t23966 = t1250 * t66;
  t23968 = t490 * t23966 * t491;
  t23991 = -t1677 * t23956 * t328 / 0.2e1 + t2988 * t10707 * t5209 / 0.3e1 - t162 * t876 * t23218 / 0.4e1 + t127 * t23968 / 0.12e2 - t1434 * t1269 / 0.4e1 - t349 * t5631 / 0.2e1 - t349 * t5634 / 0.2e1 - t162 * t14880 * t1198 / 0.4e1 - t162 * t3358 * t4876 / 0.2e1 - t349 * t5321 - t4538 * t10707 * t5215 - t2988 * t9743 * t5219 / 0.3e1 + t4571 * t10729 * t5215;
  t24022 = -t2988 * t19264 / 0.3e1 + 0.2e1 * t4571 * t23444 + 0.2e1 / 0.3e1 * t3015 * t23010 - 0.11e2 / 0.9e1 * t4531 * t23489 - t3015 * t23447 / 0.3e1 - 0.11e2 / 0.9e1 * t4531 * t18158 * t5215 - t3015 * t11209 * t5209 / 0.3e1 - 0.11e2 / 0.9e1 * t20366 * t5240 - t1479 * t1266 / 0.3e1 - t372 * t5321 / 0.3e1 - t372 * t5634 / 0.6e1 - t372 * t5631 / 0.6e1;
  t24049 = -t1479 * t1269 / 0.6e1 + 0.2e1 / 0.9e1 * t3057 * t5383 + 0.2e1 / 0.9e1 * t14695 * t1224 - t843 * t2666 / 0.18e2 - t3057 * t4251 / 0.18e2 + t3039 * t19098 / 0.2e1 - t654 * t2967 / 0.18e2 - t2543 * t4442 / 0.18e2 - t233 * t14753 / 0.6e1 + t654 * t2963 / 0.18e2 - t2662 * t21124 / 0.2e1 + t2557 * t4453 / 0.9e1 + t2902 * t734 / 0.6e1;
  t24075 = t854 * t2648 / 0.2e1 - t2902 * t746 / 0.6e1 + 0.3e1 / 0.2e1 * t854 * t2652 - t2509 * t2951 / 0.2e1 + 0.3e1 / 0.2e1 * t13061 * t2992 - 0.3e1 * t2897 * t2720 + 0.3e1 / 0.2e1 * t854 * t2714 + 0.7e1 / 0.3e1 * t2590 * t20952 - 0.3e1 / 0.2e1 * t2590 * t20937 + 0.3e1 / 0.2e1 * t14144 * t2717 - 0.3e1 / 0.2e1 * t2983 * t19211 - t2590 * t20948 / 0.2e1;
  t24082 = t802 * t230;
  t24084 = t3935 * t1556 * t24082;
  t24108 = 0.3e1 / 0.2e1 * t719 * t3003 - t2983 * t19214 / 0.2e1 - 0.3e1 * t2509 * t3000 - 0.3e1 * t10863 * t24084 - t2265 * t14013 * t1260 - 0.3e1 * t10863 * t3935 * t1556 * t256 * t658 + 0.2e1 / 0.3e1 * t2972 * t4911 - t2972 * t4251 / 0.6e1 - t866 * t19040 / 0.6e1 - t866 * t18266 / 0.12e2 - 0.5e1 / 0.36e2 * t2983 * t18269 - t838 * t2666 / 0.6e1 - t671 * t14836 / 0.12e2;
  t24131 = -0.5e1 / 0.36e2 * t2590 * t20537 - t661 * t2967 / 0.6e1 - t233 * t14949 / 0.6e1 - t233 * t15317 / 0.12e2 + t233 * t14483 / 0.6e1 + t233 * t14460 / 0.12e2 - t2600 * t4442 / 0.6e1 - t671 * t20140 / 0.6e1 + t2550 * t4453 / 0.3e1 - t913 + t984 - t12962 * t4562 / 0.9e1;
  t24150 = -0.5e1 / 0.18e2 * t4531 * t23358 - t3015 * t23066 / 0.6e1 + t15497 - t15501 - t15505 + t14008 * t5588 / 0.9e1 - t103 * t5498 / 0.6e1 + t2885 * t749 + t482 * t1252 / 0.18e2 - t22 * t2830 * t288 / 0.4e1 + 0.7e1 / 0.3e1 * t4531 * t13665 - t3015 * t11150 * t23680 + t15533;
  t24157 = t302 * t2571 * t3365;
  t24174 = t548 * t2883 * t539;
  t24179 = -t15534 + t3052 * t3987 / 0.9e1 + t843 * t2573 / 0.18e2 - t127 * t24157 / 0.6e1 - t866 * t22673 / 0.6e1 - t866 * t555 * t23555 / 0.6e1 + t2521 * t886 / 0.54e2 - t14165 * t730 - t2897 * t2850 - t2897 * t2852 / 0.2e1 + t671 * t14834 / 0.3e1 + 0.2e1 / 0.3e1 * t671 * t24174 - t671 * t19623 / 0.3e1;
  t24189 = t10936 * t23666;
  t24195 = t96 * t13647;
  t24206 = -t671 * t20127 / 0.6e1 - t2632 * t21472 / 0.3e1 - t2251 * t810 * t23395 - t2251 * t810 * t22769 / 0.2e1 - 0.7e1 / 0.3e1 * t10796 * t24189 + 0.3e1 * t10769 * t5568 + t15602 - t15603 + t349 * t5305 + t3015 * t2294 * t24195 / 0.3e1 - t103 * t5327 / 0.6e1 - t1677 * t14568 * t1198 / 0.4e1 - 0.4e1 / 0.9e1 * t14008 * t5505;
  t24212 = t169 * t13440;
  t24240 = t3015 * t13442 / 0.3e1 - t3015 * t2182 * t24212 / 0.6e1 - t2265 * t14079 * t1260 / 0.2e1 - t1677 * t14451 * t1198 / 0.2e1 - t1677 * t3190 * t4876 / 0.2e1 - t2265 * t3012 * t4903 + 0.6e1 * t2255 * t3226 * t22558 + t15667 - t13995 * t5501 / 0.3e1 + 0.2e1 * t4571 * t11209 * t5215 + 0.2e1 / 0.3e1 * t3015 * t11202 * t5219 + t3015 * t23416 / 0.6e1;
  t24271 = t1426 * t8517 * t122;
  t24275 = t3006 * t23421 / 0.6e1 + 0.2e1 * t20992 * t5234 + 0.2e1 / 0.3e1 * t13995 * t5585 - t2988 * t22698 / 0.3e1 - t3006 * t22810 / 0.3e1 - 0.4e1 * t4571 * t2175 * t23162 - 0.4e1 / 0.3e1 * t3015 * t13413 + 0.23e2 / 0.18e2 * t4531 * t23163 + 0.3e1 / 0.2e1 * t719 * t3114 + t1677 * t5354 * t12088 + 0.15e2 * t2255 * t3208 * t9916 * t23626 - 0.15e2 / 0.2e1 * t2251 * t3208 * t10255 * t23626 - 0.6e1 * t2265 * t14575 * t24271;
  t24291 = t96 * t13432;
  t24304 = t3585 - t3588 - t854 * t2840 / 0.4e1 - t509 * t858 * t22369 / 0.2e1 - 0.35e2 / 0.108e3 * t20344 * t17992 * t23676 - t3015 * t2175 * t24212 / 0.12e2 + t3015 * t2169 * t24195 / 0.6e1 - 0.5e1 / 0.36e2 * t4531 * t3935 * t24291 - t854 * t2837 / 0.2e1 - 0.2e1 * t11771 * t8503 - t2885 * t746 / 0.2e1 - t854 * t2844 - t5658 * t329 / 0.4e1;
  t24319 = -t1463 * t1283 / 0.18e2 + t14237 * t1210 / 0.9e1 + t843 * t4820 / 0.18e2 + 0.3e1 * t2897 * t2656 + t14127 * t5226 / 0.9e1 + t20503 * t5223 / 0.3e1 + t15739 - t15743 + t15745 + t15749 + t15760 - t15765 + t894 * t18635 / 0.3e1;
  t24329 = t14964 * t230;
  t24330 = t1675 * t24329;
  t24334 = t23698 * t326;
  t24335 = t500 * t24334;
  t24340 = t320 * t1264 * t326;
  t24345 = t15773 - t15776 + t349 * t5302 + t15795 - t15800 + t162 * t3365 * t690 * t165 / 0.2e1 + t3030 * t3987 / 0.3e1 - t15812 - 0.4e1 * t10870 * t2175 * t24330 + 0.22e2 / 0.3e1 * t10870 * t2169 * t24335 + t1677 * t3108 * t24340 - t1677 * t3012 * t22968;
  t24346 = t5208 * t122;
  t24347 = t169 * t24346;
  t24357 = t1259 * t122;
  t24358 = t341 * t24357;
  t24362 = t96 * t23626;
  t24385 = -t4538 * t2162 * t24347 + 0.5e1 / 0.3e1 * t9737 * t10775 * t500 * t5529 * t326 + t1677 * t3190 * t22463 + 0.6e1 * t2265 * t14803 * t24358 + t4538 * t1684 * t24362 - 0.5e1 / 0.2e1 * t2255 * t810 * t22948 + 0.5e1 / 0.2e1 * t2251 * t810 * t22952 + t2265 * t3012 * t22964 + t162 * t15307 * t236 * t165 / 0.4e1 - 0.15e2 / 0.2e1 * t4277 * t3208 * t9911 * t23626 - 0.11e2 * t2255 * t3226 * t1505 * t23626 - t15813 - t15814;
  t24406 = t15815 + t15816 + t15828 + t15830 - t15832 - t2483 * t873 / 0.3e1 + 0.3e1 * t4277 * t3208 * t22562 - 0.6e1 * t2255 * t3208 * t21809 - 0.6e1 * t10809 * t5561 + 0.3e1 * t4277 * t13749 * t4278 - 0.6e1 * t2255 * t13749 * t4282 + t13562 * t3013 + t2683 * t14444 / 0.6e1;
  t24432 = t2683 * t15097 / 0.6e1 + t2683 * t14593 / 0.12e2 - t15227 * t5220 / 0.3e1 + t15227 * t5226 / 0.3e1 - t3006 * t23259 / 0.3e1 + t3015 * t23262 / 0.6e1 + t3006 * t22796 / 0.6e1 - t21246 * t5216 + t15406 * t5128 / 0.6e1 + t3015 * t19300 / 0.4e1 - t3015 * t19293 / 0.6e1 + t2988 * t19297 / 0.3e1 - t2632 * t21655 / 0.6e1;
  t24449 = t169 * t13474;
  t24465 = t2683 * t14333 / 0.6e1 - 0.3e1 * t719 * t3089 - t14127 * t5131 / 0.9e1 - 0.2e1 * t2251 * t806 * t22480 + t1677 * t3108 * t22472 - t2988 * t1684 * t24449 / 0.3e1 - 0.2e1 * t11018 * t5561 + t10923 * t5568 - t2251 * t806 * t1868 * t13528 + t2483 * t833 / 0.6e1 + t15216 * t248 / 0.6e1 + t12998 * t274 / 0.6e1;
  t24473 = t343 * t1251 * t500;
  t24478 = t106 * t158 * t1250 * t506;
  t24483 = t496 * t1252;
  t24489 = t2169 * t1675 * t19769;
  t24497 = t2902 * t738 / 0.6e1 - t15164 * t248 / 0.18e2 - t13101 * t274 / 0.18e2 + t338 * t24473 / 0.3e1 - t24478 * t513 / 0.2e1 + t5658 * t517 / 0.2e1 - t338 * t24483 / 0.6e1 - t15892 + t15895 + t2632 * t21188 / 0.2e1 - t2632 * t24489 - 0.11e2 / 0.3e1 * t4571 * t2294 * t24362 + 0.55e2 / 0.18e2 * t4531 * t10936 * t24362;
  t24503 = t14928 * t664;
  t24506 = t3062 * t2548;
  t24527 = t9731 * t5361 + 0.2e1 / 0.9e1 * t10905 * t8665 - t9731 * t5355 - t1677 * t24503 * t636 - t1677 * t24506 * t636 - t1677 * t5354 * t1693 / 0.2e1 - 0.2e1 * t10752 * t8665 - 0.5e1 / 0.36e2 * t3930 * t20276 - 0.2e1 * t10769 * t5359 - 0.2e1 * t2251 * t3214 * t5358 - 0.2e1 * t2251 * t810 * t22736 - t2251 * t810 * t1862 * t13647;
  t24553 = -0.18e2 * t2251 * t13762 * t1505 * t23675 - t3015 * t19505 / 0.3e1 + 0.14e2 / 0.3e1 * t20366 * t5544 - t2632 * t21338 / 0.3e1 + t12286 * t4655 / 0.3e1 + t2674 * t19949 / 0.3e1 + t2674 * t19959 / 0.3e1 + t2674 * t19983 / 0.6e1 + t2632 * t21652 / 0.2e1 - t22 * t243 * t3181 / 0.4e1 + 0.2e1 / 0.3e1 * t20503 * t5234 - t15950 + t15952;
  t24562 = t1240 * t363;
  t24576 = t16245 + t16247 - t16253 + t16358 - t16362 + 0.6e1 * t3226 * t405 * t24562 + t810 * t22171 - 0.3e1 * t3208 * t1505 * t24562 + t943 + t263 * t22223 / 0.2e1 + 0.2e1 / 0.3e1 * t13766 * t1241 + 0.4e1 / 0.3e1 * t3214 * t5089;
  t24586 = 0.2e1 / 0.3e1 * t810 * t22243 + t13808 * t1244 + 0.2e1 * t3236 * t5094 + t806 * t22272 + t3262 * t1178 / 0.2e1 + t804 * t5080 - t16406 - t16408 - t16411 + t16413 - t16414 - t16416;
  t24588 = t1240 * t308;
  t24598 = t1240 * t1609;
  t24613 = -t16418 + t16420 - 0.36e2 * t13772 * t405 * t24588 - t13766 * t1233 / 0.3e1 - 0.8e1 / 0.3e1 * t3214 * t5423 - 0.8e1 / 0.3e1 * t810 * t22190 - 0.4e1 / 0.3e1 * t810 * t1505 * t24598 - 0.6e1 * t13782 * t5426 - 0.6e1 * t3221 * t22213 - 0.3e1 * t3221 * t145 * t24562 - 0.2e1 * t3236 * t5429 - 0.2e1 * t806 * t22216;
  t24639 = -t806 * t400 * t24598 + 0.4e1 * t3214 * t5420 + 0.4e1 * t810 * t22263 + 0.2e1 * t810 * t1862 * t24598 - 0.6e1 * t3226 * t21848 - 0.2e1 * t806 * t22047 - t806 * t22012 - 0.2e1 * t804 * t5047 - 0.2e1 * t263 * t22098 - t263 * t22015 - 0.4e1 * t3226 * t396 * t24562 - t263 * t21942 - 0.2e1 / 0.3e1 * t3214 * t5024;
  t24667 = t13749 * t5404 / 0.9e1 - t810 * t22006 / 0.3e1 + t3208 * t22193 / 0.9e1 + t3208 * t1566 * t24562 / 0.18e2 - t3262 * t1168 - 0.2e1 * t804 * t5034 - 0.4e1 / 0.3e1 * t3214 * t5036 - 0.2e1 * t3236 * t5044 + 0.3e1 * t263 * t21816 + 0.2e1 * t810 * t22029 + 0.2e2 / 0.3e1 * t3208 * t22266 + 0.1e2 / 0.3e1 * t3208 * t1571 * t24562;
  t24678 = t5456 * t1631;
  t24688 = t5456 * t308;
  t24692 = -0.4e1 / 0.3e1 * t810 * t22257 - 0.2e1 / 0.3e1 * t810 * t22023 + 0.2e1 * t13766 * t1237 + 0.4e1 * t3214 * t5039 + 0.2e2 / 0.3e1 * t13749 * t5415 - t962 + t16440 + t16479 - 0.4e1 * t13833 * t149 * t24678 - 0.2e1 * t13916 * t410 * t24678 + 0.12e2 * t13916 * t423 * t24678 - 0.24e2 * t20588 * t149 * t24688;
  t24696 = t410 * t24688;
  t24704 = t1829 * t24688;
  t24709 = t1837 * t24688;
  t24720 = -0.6e1 * t20585 * t22088 - 0.72e2 * t20580 * t24696 + 0.72e2 * t20859 * t423 * t24688 - 0.6e1 * t13836 * t22091 + 0.8e1 * t20580 * t24704 + 0.12e2 * t13818 * t22094 + 0.8e1 / 0.3e1 * t20868 * t24709 + t16495 + 0.2e1 * t3202 * t22125 - 0.2e1 * t13818 * t21983 + 0.4e1 * t20906 * t5060 + 0.4e1 * t4392 * t22145;
  t24727 = t5456 * t1609;
  t24734 = t5456 * t363;
  t24743 = t410 * t23626;
  t24748 = 0.2e1 * t4392 * t21987 + 0.1e2 / 0.3e1 * t13916 * t22151 + 0.2e1 / 0.3e1 * t13815 * t5063 - 0.4e1 * t3200 * t423 * t24727 - 0.5e2 / 0.3e1 * t13830 * t1829 * t23626 + 0.6e1 * t4397 * t149 * t24734 - 0.12e2 * t20859 * t24696 + 0.2e1 * t3202 * t149 * t24727 + 0.44e2 / 0.3e1 * t13818 * t24743 + 0.4e1 * t3202 * t22122 + t16517 + t16520 + t16526;
  t24766 = -t1248 * t13766 - 0.8e1 * t13815 * t5477 + 0.4e1 * t13827 * t5056 - 0.6e1 * t13830 * t21983 + 0.24e2 * t20868 * t24704 - 0.8e1 * t22157 * t3200 - t22275 * t810 - 0.2e1 * t3214 * t5084 - t16528 - t16532 - t16533 - t16536;
  t24784 = -t16611 - t16612 - t16613 + t16614 - 0.2e1 / 0.9e1 * t4405 * t21962 - 0.5e1 * t13916 * t21950 + 0.15e2 * t13830 * t24743 + t13830 * t22131 / 0.9e1 + 0.4e1 * t4402 * t21955 - 0.24e2 * t4402 * t22154 - 0.12e2 * t4402 * t423 * t24734 + 0.12e2 * t20626 * t5480;
  t24802 = 0.12e2 * t13745 * t5395 + 0.4e1 * t13827 * t5483 + 0.4e1 * t20601 * t5463 + 0.12e2 * t21970 * t4397 + 0.4e1 * t21973 * t3202 - 0.4e1 * t22107 * t3200 - 0.2e1 * t22110 * t3200 + 0.12e2 * t22260 * t3226 - t16681 + t16682 + t16683 + t3867;
  t24808 = t1240 * t1631;
  t24836 = 0.2e1 * t3214 * t5005 + 0.12e2 * t13775 * t145 * t24588 + 0.2e1 * t806 * t1868 * t24808 + 0.3e1 * t3221 * t21825 - 0.6e1 * t810 * t10245 * t24808 + 0.4e1 * t810 * t10255 * t24808 - t3208 * t22026 / 0.18e2 + 0.24e2 * t13772 * t396 * t24588 - 0.2e1 / 0.3e1 * t13762 * t1566 * t24588 - 0.4e1 * t3236 * t5049 - 0.8e1 * t13745 * t5433 - 0.2e1 * t806 * t22017 - 0.8e1 * t3226 * t22186;
  t24850 = t16690 * t23626;
  t24866 = 0.4e1 * t3226 * t22219 + 0.1e2 * t13916 * t22252 - 0.12e2 * t13836 * t16695 * t23626 - 0.8e1 * t13833 * t22249 - 0.5e1 / 0.3e1 * t13916 * t22246 - 0.3e2 * t13830 * t24850 + 0.44e2 * t13818 * t16699 * t23626 + 0.1e2 / 0.3e1 * t13830 * t17753 * t23626 + 0.5e1 / 0.9e1 * t13830 * t17682 * t23626 - 0.22e2 / 0.3e1 * t13818 * t24850 - t16724 + 0.4e1 / 0.3e1 * t13815 * t5488;
  t24886 = t410 * t24734;
  t24896 = 0.4e1 / 0.3e1 * t3200 * t21959 + 0.2e1 / 0.3e1 * t3200 * t410 * t24727 + t16741 - 0.5e1 / 0.18e2 * t13830 * t1837 * t23626 + t16742 - 0.2e1 / 0.9e1 * t20606 * t5491 - 0.22e2 * t13818 * t423 * t23626 - t4405 * t1837 * t24734 / 0.9e1 - t20868 * t17918 * t24688 / 0.9e1 + 0.2e1 * t4402 * t24886 + 0.4e1 / 0.3e1 * t20580 * t24709 + 0.6e1 * t13836 * t149 * t23626 + 0.4e1 * t13833 * t22141;
  t24919 = 0.2e1 / 0.3e1 * t3200 * t22148 + t3200 * t21991 / 0.3e1 - t16769 + t16776 + 0.2e1 / 0.3e1 * t13830 * t22113 + 0.12e2 * t20606 * t5463 + 0.12e2 * t4405 * t21955 + 0.6e1 * t4405 * t24886 - 0.24e2 * t20601 * t5466 - 0.4e1 / 0.3e1 * t20606 * t5458 - 0.4e1 / 0.3e1 * t4405 * t22134 - 0.2e1 / 0.3e1 * t4405 * t1829 * t24734;
  t24952 = -0.4e1 / 0.3e1 * t20868 * t10286 * t24688 - 0.4e1 * t13815 * t5100 + 0.1e2 / 0.3e1 * t13792 * t9906 * t24588 - 0.1e2 / 0.3e1 * t3208 * t22034 + 0.5e2 / 0.3e1 * t13792 * t9911 * t24588 - 0.4e2 * t13762 * t1571 * t24588 - 0.2e1 * t13808 * t1230 - 0.12e2 * t13792 * t9916 * t24588 + 0.3e1 * t3208 * t21837 + 0.36e2 * t13762 * t1505 * t24588 - 0.6e1 * t13749 * t5399 - 0.6e1 * t3208 * t22204 + 0.2e1 * t810 * t22198;
  t24967 = t15955 + t15958 - t15960 - 0.2e1 * t4571 * t13659 + t4571 * t2182 * t24291 - 0.3e1 / 0.2e1 * t4531 * t13434 - t22 * t59 * (t24576 + t24586 + t24613 + t24639 + t24667 + t24692 + t24720 + t24748 + t24766 + t24784 + t24802 + t24836 + t24866 + t24896 + t24919 + t24952) * t96 / 0.4e1 + t259 * t12725 / 0.6e1 + t15978 + t10769 * t5348 + t2251 * t3236 * t5347 + t10923 * t5344;
  t24970 = t500 * t23698;
  t24971 = t2175 * t24970;
  t25002 = t10923 * t5348 / 0.3e1 - 0.4e1 / 0.3e1 * t18780 * t24971 + 0.3e1 * t2251 * t13782 * t5343 + 0.3e1 * t2251 * t3221 * t23247 + 0.3e1 / 0.2e1 * t2251 * t3221 * t145 * t13432 + 0.12e2 * t18314 * t24971 + 0.8e1 * t17991 * t17992 * t4275 * t23698 + t719 * t2931 / 0.4e1 + t2538 * t833 / 0.2e1 + t13006 * t274 / 0.4e1 + t854 * t2527 / 0.4e1 + t2885 * t738 / 0.2e1 + t5658 * t365 / 0.4e1;
  t25006 = t343 * t1252;
  t25011 = t106 * t158 * t5496 * t159;
  t25018 = t138 * t5498;
  t25040 = t15159 * t248 / 0.4e1 - t338 * t25006 / 0.12e2 + t25011 * t166 / 0.2e1 - t233 * t15154 / 0.12e2 - t377 * t5653 / 0.12e2 - t127 * t25018 / 0.6e1 + 0.18e2 * t2251 * t13772 * t405 * t23675 + 0.3e1 * t2251 * t3226 * t23198 - 0.3e1 / 0.2e1 * t2251 * t263 * t23130 - t10480 * t5340 / 0.6e1 - 0.3e1 / 0.2e1 * t2251 * t3221 * t23134 + t10923 * t5337 / 0.3e1 - t4291 * t21000 / 0.2e1;
  t25073 = t10923 * t5366 / 0.3e1 + t1677 * t14079 * t1273 / 0.2e1 + 0.3e1 * t2251 * t810 * t10245 * t13528 + t10480 * t5361 / 0.3e1 + t4538 * t22827 / 0.2e1 - 0.18e2 * t4277 * t13762 * t1566 * t23675 + 0.36e2 * t2255 * t13762 * t1571 * t23675 - 0.18e2 * t2255 * t13772 * t396 * t23675 - t719 * t3362 / 0.4e1 + t2538 * t881 / 0.2e1 - t2538 * t877 / 0.2e1 - t2538 * t873 - t15995;
  t25087 = -t16042 - t16046 + t16049 + t16052 - t16060 - t16062 - t16064 - t16066 + t3015 * t22956 / 0.3e1 + 0.5e1 / 0.2e1 * t4531 * t10775 * t24362 - 0.3e1 * t21350 * t2175 * t23676 - t2988 * t21802 / 0.6e1;
  t25116 = -t5658 * t314 / 0.2e1 + t2911 * t686 / 0.54e2 + t2521 * t848 / 0.54e2 - t2495 * t848 / 0.12e2 - t661 * t2880 / 0.6e1 - t259 * t13001 / 0.12e2 - t2918 * t686 / 0.12e2 - t838 * t2473 / 0.6e1 + 0.2e1 * t4571 * t2182 * t24347 + 0.2e1 / 0.3e1 * t3015 * t2294 * t24449 + t719 * t3122 / 0.2e1 - t2483 * t877 / 0.6e1 - t11016 * t5517 / 0.3e1;
  t25129 = t16173 + t16175 - t16177 + t16179 + t16181 + t16184 + t16187 + t16189 - t16192 - t16194 + 0.23e2 / 0.18e2 * t4531 * t3935 * t1675 * t24346 - 0.2e1 / 0.3e1 * t9737 * t2169 * t1675 * t14964 * t1147 - t4531 * t2169 * t24347;
  t25155 = -0.5e1 / 0.6e1 * t3015 * t22960 + t2632 * t20568 / 0.4e1 - 0.4e1 / 0.3e1 * t3015 * t13476 - t13995 * t5210 / 0.6e1 - t719 * t3337 - t719 * t3370 / 0.2e1 - 0.2e1 * t11771 * t23748 + t838 * t2573 / 0.6e1 + t838 * t4820 / 0.6e1 - t13030 * t859 + 0.2e1 * t2255 * t810 * t23061 + 0.5e1 / 0.36e2 * t4531 * t21794 + t3006 * t23140 / 0.12e2;
  t25176 = t2233 * t23747;
  t25180 = t302 * t23966 * t296;
  t25183 = -t3006 * t21799 / 0.6e1 + 0.23e2 / 0.54e2 * t19869 * t5534 - 0.2e1 / 0.3e1 * t3015 * t13649 - 0.11e2 / 0.27e2 * t19869 * t5240 + t3015 * t21789 / 0.12e2 + t866 * t12843 / 0.3e1 - t866 * t19399 / 0.6e1 + t2538 * t862 + t719 * t3334 + t719 * t3327 / 0.2e1 + 0.7e1 / 0.3e1 * t3306 * t25176 - t127 * t25180 / 0.6e1;
  t25186 = t4541 * t2598;
  t25202 = t4541 * t2609;
  t25212 = t3062 * t669;
  t25216 = t5658 * t298 / 0.2e1 + t1677 * t25186 * t645 + t1677 * t5551 * t2153 / 0.2e1 - t10858 * t5552 - t103 * t5324 / 0.6e1 - t103 * t5332 / 0.6e1 + t9731 * t5555 + t3917 * t20301 - 0.3e1 * t2255 * t3226 * t23194 - 0.3e1 * t1677 * t25202 * t2218 + 0.3e1 * t2265 * t25202 * t2145 - 0.11e2 / 0.18e2 * t4531 * t3931 * t24291 + 0.3e1 / 0.2e1 * t1677 * t25212 * t2136;
  t25226 = t10729 * t4588;
  t25237 = t2175 * t1675 * t19957;
  t25244 = t21479 * t669;
  t25251 = -0.2e1 / 0.3e1 * t10923 * t5359 + 0.2e1 / 0.9e1 * t14008 * t5521 - 0.3e1 * t2255 * t810 * t10255 * t13528 + 0.2e1 / 0.3e1 * t2632 * t25226 - t2632 * t21050 / 0.6e1 + 0.2e1 / 0.3e1 * t12238 * t4589 - t2265 * t5551 * t2095 / 0.2e1 + 0.2e1 / 0.3e1 * t2632 * t25237 + t2632 * t15421 / 0.3e1 - t2632 * t21475 / 0.3e1 - t2265 * t25244 * t622 - t2265 * t25186 * t622 + 0.3e1 * t2509 * t3081;
  t25252 = t1426 * t24357;
  t25261 = t1648 * t1259 * t326;
  t25274 = t3935 * t23699;
  t25279 = 0.3e1 * t1677 * t14575 * t25252 + 0.15e2 / 0.2e1 * t10863 * t10733 * t1556 * t24334 + 0.2e1 * t2265 * t3012 * t25261 + t2988 * t2162 * t24212 / 0.6e1 - t9731 * t5244 / 0.2e1 - 0.3e1 * t10863 * t3935 * t2263 * t24329 + 0.18e2 * t18016 * t25274 - t1677 * t14447 * t1265 - t16802 + t16835 - t16841 - t16858 + t16863;
  t25285 = t1426 * t8512 * t122;
  t25312 = -t16868 - t3699 + 0.3e1 * t10978 * t14575 * t25285 + t3015 * t10910 * t5219 / 0.3e1 - 0.3e1 / 0.2e1 * t1677 * t5551 * t12181 + 0.3e1 / 0.2e1 * t2265 * t5551 * t12132 - 0.11e2 / 0.9e1 * t4531 * t3931 * t24347 - t3015 * t22709 / 0.3e1 + t3015 * t21786 / 0.6e1 + t2255 * t810 * t1505 * t13647 + t14008 * t4963 / 0.9e1 - t19869 * t5541 / 0.3e1;
  t25341 = 0.2e1 * t11018 * t5512 + t11018 * t5531 / 0.3e1 - 0.11e2 / 0.18e2 * t3930 * t20306 + 0.23e2 / 0.36e2 * t3930 * t20310 + t2251 * t806 * t400 * t13647 / 0.2e1 - t9731 * t5351 - t1677 * t14564 * t1265 / 0.2e1 - t14122 * t5135 / 0.9e1 + t2251 * t806 * t23304 - t2674 * t19771 / 0.3e1 + t1677 * t14013 * t1273 + t1677 * t3012 * t4932 + t12915 * t4655 / 0.9e1;
  t25350 = t1648 * t1272 * t326;
  t25371 = t341 * t1272 * t122;
  t25375 = -t854 * t2847 / 0.2e1 - t16887 - t16891 + t894 * t22893 / 0.3e1 + t14122 * t5128 / 0.18e2 - 0.2e1 * t1677 * t3012 * t25350 - 0.35e2 / 0.3e1 * t10863 * t10936 * t24335 + 0.14e2 / 0.3e1 * t10863 * t3931 * t24330 + 0.11e2 * t2251 * t3226 * t1862 * t23626 + 0.25e2 / 0.36e2 * t4531 * t10733 * t24362 + t3015 * t2169 * t24449 / 0.3e1 - 0.6e1 * t1677 * t14803 * t25371;
  t25380 = t3931 * t24970;
  t25404 = -t10480 * t5351 / 0.3e1 - 0.2e1 * t10923 * t5526 + 0.14e2 / 0.9e1 * t18600 * t25380 + 0.23e2 / 0.36e2 * t4531 * t3935 * t13658 + t3015 * t22596 / 0.3e1 - 0.2e1 * t20344 * t10936 * t23676 + t719 * t3389 / 0.2e1 - t10084 * t1261 / 0.2e1 - t719 * t3359 / 0.2e1 + 0.3e1 * t2251 * t13749 * t5567 - t10769 * t5564 - t2251 * t3214 * t4975 - t2885 * t742;
  t25429 = t21400 * t2588;
  t25433 = -t1553 * t5198 + t2251 * t804 * t4944 + t2251 * t263 * t23271 + t2251 * t263 * t22993 / 0.2e1 - t9731 * t5340 / 0.2e1 - t3015 * t10729 * t5209 / 0.6e1 + t259 * t12772 / 0.12e2 - t16936 - t1677 * t3108 * t4895 + 0.3e1 * t10769 * t5344 - t22 * t713 * t793 / 0.2e1 + 0.3e1 / 0.2e1 * t1677 * t25429 * t2203;
  t25463 = -0.6e1 * t19499 * t13792 * t9945 * t23675 + 0.18e2 * t4277 * t13792 * t9906 * t23675 + 0.3e1 / 0.2e1 * t10978 * t25429 * t2208 - 0.3e1 * t2265 * t25429 * t2213 + t20992 * t5223 + t13995 * t5588 / 0.3e1 - 0.5e1 / 0.18e2 * t20366 * t5591 + t4571 * t22851 + t2988 * t23464 / 0.3e1 + t854 * t2834 / 0.2e1 + t854 * t2621 - t2509 * t3314 - 0.5e1 / 0.18e2 * t4531 * t18568 * t5215;
  t25486 = 0.2e1 / 0.9e1 * t14008 * t5585 - t22 * t5497 * t194 / 0.2e1 - t22 * t1251 * t477 / 0.4e1 + 0.6e1 * t20380 * t2169 * t23676 + t17032 - t17034 + t17067 - t13562 * t3064 / 0.4e1 - t10923 * t5564 / 0.3e1 + t18141 * t5558 + t10480 * t5555 / 0.3e1 - t20366 * t5541 + t3015 * t22907 / 0.3e1;
  t25517 = -0.2e1 / 0.3e1 * t3015 * t2169 * t500 * t22696 + t3015 * t23492 / 0.3e1 + t13995 * t4963 / 0.3e1 + t3015 * t18922 / 0.2e1 - t4531 * t22931 - t4531 * t10910 * t5215 - t2988 * t23256 / 0.3e1 - t15227 * t5131 / 0.3e1 - t15406 * t5135 / 0.3e1 + t13995 * t4979 / 0.6e1 - t1677 * t5243 * t1707 / 0.4e1 - 0.5e1 / 0.18e2 * t4531 * t3935 * t24347 - 0.11e2 / 0.6e1 * t4571 * t2169 * t24362;
  t25532 = t10733 * t1556 * t5529;
  t25550 = t368 * t5657;
  t25553 = t4571 * t2175 * t24347 + t162 * t3313 * t4932 + t162 * t884 * t2746 * t165 / 0.4e1 + t1434 * t1274 / 0.2e1 + 0.3e1 / 0.2e1 * t10796 * t25532 - 0.6e1 * t2251 * t3226 * t22999 - 0.3e1 * t2251 * t3226 * t405 * t13432 - 0.28e2 * t18016 * t25380 + t10809 * t5531 + t2255 * t810 * t22765 / 0.2e1 - t369 * t5653 / 0.18e2 + t25550 * t166 / 0.6e1;
  t25582 = t487 * t5653 / 0.6e1 - t2939 * t686 / 0.18e2 - t843 * t2473 / 0.18e2 - t2486 * t848 / 0.18e2 - t654 * t2880 / 0.18e2 + t1677 * t25244 * t645 - 0.3e1 / 0.2e1 * t18604 * t3009 - t18608 * t3386 + 0.3e1 * t18618 * t5558 + 0.3e1 / 0.2e1 * t19135 * t3098 + t4571 * t2175 * t24291 / 0.2e1 - t2988 * t1684 * t24195 / 0.6e1 - t4538 * t2162 * t24291 / 0.2e1;
  t25598 = t17102 - t17105 - t17107 + t17121 + t17123 - t17124 - t10480 * t5355 / 0.3e1 - t10480 * t5244 / 0.6e1 - t12238 * t4753 / 0.6e1 - t2632 * t19954 / 0.6e1 - t2632 * t19964 / 0.6e1 - t2632 * t20271 / 0.12e2 + t12253 * t3105 / 0.6e1;
  t25610 = t10733 * t24970;
  t25629 = 0.3e1 * t2255 * t3226 * t396 * t13432 + t17142 - t17145 + 0.3e1 * t2251 * t3208 * t23398 + 0.3e1 / 0.2e1 * t2251 * t3208 * t1505 * t13432 + 0.47e2 / 0.3e1 * t17991 * t25610 - t4531 * t2169 * t24291 / 0.2e1 - 0.38e2 / 0.9e1 * t20344 * t10733 * t23676 - t18600 * t25274 - t2509 * t3316 / 0.2e1 + 0.22e2 / 0.3e1 * t20380 * t3931 * t23676 - 0.23e2 / 0.3e1 * t20380 * t3935 * t23786 - t1553 * t5201;
  t25649 = -t509 * t15009 * t1260 / 0.2e1 - t509 * t3313 * t4903 + t719 * t3353 / 0.4e1 - 0.3e1 / 0.2e1 * t4277 * t3208 * t22944 + 0.89e2 / 0.9e1 * t20344 * t18027 * t23786 - t17254 + t17286 - t17300 + t17312 - t17327 + t2255 * t3214 * t23387 + t2255 * t810 * t23392;
  t25682 = -0.62e2 / 0.3e1 * t17991 * t18027 * t23699 - 0.6e1 * t10769 * t5526 + t4531 * t23127 / 0.2e1 - 0.43e2 / 0.9e1 * t20344 * t17992 * t1556 * t23675 + 0.14e2 / 0.3e1 * t4531 * t3931 * t23162 + 0.3e1 / 0.2e1 * t4277 * t3208 * t1566 * t13432 - 0.3e1 * t2255 * t3208 * t1571 * t13432 + t17393 + t14008 * t4979 / 0.18e2 - t4571 * t21805 / 0.2e1 + t3006 * t22824 / 0.2e1 - 0.2e1 / 0.9e1 * t10905 * t23667 + 0.2e1 * t3015 * t13530;
  t25711 = -t17463 - t17465 + t894 * t12735 / 0.6e1 - 0.2e1 / 0.3e1 * t3015 * t10910 * t4966 - t11016 * t5552 / 0.3e1 - 0.2e1 / 0.3e1 * t13995 * t4967 - t12238 * t4562 / 0.3e1 + 0.14e2 / 0.3e1 * t4531 * t18158 * t5236 + 0.2e1 / 0.3e1 * t11018 * t5515 - 0.6e1 * t2251 * t13745 * t5525 - t2600 * t4519 / 0.3e1 + 0.2e1 / 0.3e1 * t2600 * t4523 + 0.2e1 / 0.3e1 * t866 * t548 * t2536 * t539;
  t25722 = t548 * t5315;
  t25741 = -t2972 * t4221 / 0.3e1 + 0.2e1 / 0.3e1 * t2972 * t4225 - t866 * t18452 / 0.3e1 - t3057 * t4221 / 0.9e1 - t2543 * t4519 / 0.9e1 - t338 * t25722 / 0.12e2 - t233 * t15296 / 0.12e2 - t233 * t15302 / 0.6e1 + t162 * t858 * t23457 / 0.2e1 - t2495 * t886 / 0.12e2 - t661 * t3379 / 0.6e1 - t661 * t3383 / 0.6e1 + t162 * t15009 * t1273 / 0.2e1;
  t25748 = my_piecewise3(t3, 0, t24150 + t25463 + t24406 + t24432 + t24075 + t25598 + t23636 + t23889 + t23731 + t24206 + t24240 + t23841 + t25517 + t23915 + t23576 + t25433 + t23791 + t25216 + t24108 + t23544 + t25711 + t24131 + t24385 + t23696 + t25553 + t23955 + t25375 + t23818 + t25582 + t25312 + t25629 + t25251 + t23991 + t25183 + t25682 + t24319 + t25279 + t24022 + t25741 + t23761 + t24275 + t25486 + t25040 + t25073 + t25341 + t25087 + t23603 + t25129 + t25404 + t24304 + t24179 + t23665 + t25155 + t25002 + t23870 + t25649 + t24967 + t24049 + t24345 + t25116 + t24553 + t24527 + t24465 + t24497);
  tv4rho2lapltau0 = 0.2e1 * rho[0] * t25748 + 0.4e1 * t5673;

  if(out->v4rho2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 0] += tv4rho2lapltau0;

  t25752 = t5710 * t326;
  t25757 = t5958 * t122;
  t25762 = t169 * t25757;
  t25766 = t96 * t25752;
  t25785 = t1289 * t9901;
  t25787 = t106 * t9926 * t25785;
  t25806 = t854 * t3122 - 0.43e2 / 0.9e1 * t25787 * t15571 - 0.2e1 * t25787 * t16826 - t2983 * t20948 + t894 * t14472 / 0.3e1 + t3039 * t20228 + t838 * t2963 / 0.3e1 + t1297 * t9669 / 0.3e1 + 0.2e1 / 0.3e1 * t3030 * t4453 + 0.2e1 / 0.3e1 * t894 * t20957 - 0.38e2 / 0.9e1 * t25787 * t15693;
  t25812 = t9898 * t25785;
  t25824 = t802 * t326;
  t25825 = t96 * t25824;
  t25831 = t1304 * t308;
  t25832 = t96 * t25831;
  t25840 = 0.89e2 / 0.9e1 * t25787 * t15683 + 0.3e1 * t854 * t3003 - 0.6e1 * t9944 * t25812 * t16804 + 0.18e2 * t1565 * t25812 * t16843 - 0.18e2 * t509 * t25812 * t15731 - t3015 * t21655 / 0.3e1 + 0.4e1 / 0.3e1 * t3015 * t2294 * t25825 - t3015 * t21050 / 0.3e1 + t4538 * t1684 * t25832 / 0.2e1 - 0.2e1 / 0.3e1 * t3015 * t21475 - 0.2e1 / 0.3e1 * t3015 * t21472;
  t25841 = t500 * t5704;
  t25842 = t10936 * t25841;
  t25847 = t1304 * t363;
  t25852 = t5779 * t122;
  t25861 = t106 * t333 * t5685;
  t25864 = t368 * t5700;
  t25871 = t1289 * t9762;
  t25873 = t106 * t1415 * t25871;
  t25876 = -0.7e1 / 0.3e1 * t10796 * t25842 - 0.2e1 / 0.3e1 * t13995 * t4562 - t2251 * t810 * t1862 * t25847 / 0.2e1 - t2251 * t810 * t1862 * t25852 - t2911 * t1307 / 0.54e2 + 0.3e1 * t854 * t3114 + 0.12e2 * t25861 * t2229 - 0.4e1 / 0.3e1 * t25864 * t562 - 0.6e1 * t25861 * t2226 + 0.2e1 / 0.3e1 * t25864 * t556 + 0.18e2 * t25873 * t2223;
  t25879 = t368 * t5686;
  t25911 = t1726 * t5678;
  t25928 = -t3057 * t4442 / 0.9e1 + t843 * t2963 / 0.9e1 - 0.5e1 / 0.18e2 * t5687 * t17520 - 0.5e1 / 0.36e2 * t5687 * t9476 - 0.35e2 / 0.108e3 * t25787 * t17504 + 0.2e1 / 0.3e1 * t894 * t302 * t25911 + t1297 * t9460 / 0.3e1 + t1297 * t9435 / 0.6e1 - t866 * t548 * t25911 / 0.3e1 - 0.4e1 * t2251 * t810 * t1862 * t25824 + t2251 * t804 * t5986;
  t25936 = t1386 * t108;
  t25943 = t1684 * t169 * t1386 * t326;
  t25949 = t2266 * t1295;
  t25961 = t2251 * t3236 * t5982 - t9731 * t5990 / 0.2e1 + t10769 * t5987 + t10769 * t5983 - t1677 * t25936 * t125 * t328 / 0.4e1 + t1683 * t25943 / 0.12e2 + 0.2e1 * t1677 * t3012 * t5869 - 0.2e1 * t1677 * t25949 * t1671 + 0.3e1 * t349 * t5879 + 0.2e1 * t349 * t5870 + t162 * t858 * t341 * t404 * t2915;
  t25971 = t1426 * t1427 * t256;
  t25977 = t809 * t1445;
  t25980 = t3207 * t1418;
  t25984 = t1426 * t1518 * t256;
  t25991 = t3213 * t335;
  t26002 = t803 * t311;
  t26009 = t262 * t335;
  t26013 = t1592 * t2970;
  t26016 = t1592 * t3037;
  t26019 = 0.2e2 / 0.9e1 * t16261 * t25971 + 0.2e1 * t321 * t2915 * t165 + 0.24e2 * t25977 * t2218 - 0.12e2 * t25980 * t2203 + 0.4e1 / 0.3e1 * t16261 * t25984 - 0.4e1 * t265 * t1633 - 0.4e1 * t16335 * t5752 - 0.8e1 * t25991 * t645 + 0.2e1 / 0.3e1 * t9411 * t5752 + 0.4e1 / 0.3e1 * t3523 * t6021 + 0.2e1 * t265 * t1707 - 0.4e1 * t5776 * t2153 + 0.8e1 * t26002 * t636 + 0.4e1 * t818 * t328 + 0.4e1 * t5771 * t1693 - 0.12e2 * t26009 * t2136 + 0.12e2 * t3009 + 0.8e1 * t26013 * t645 - 0.24e2 * t26016 * t2218;
  t26020 = t9383 * t2981;
  t26028 = t321 * t3028;
  t26031 = t321 * t836;
  t26036 = t321 * t857;
  t26060 = 0.32e2 / 0.3e1 * t26020 * t2213 + 0.12e2 * t26020 * t2203 - 0.2e1 * t5764 * t1707 - 0.2e1 * t3098 - 0.8e1 * t26028 * t636 - 0.4e1 * t26031 * t328 + 0.4e1 * t5764 * t1633 + 0.12e2 * t26036 * t2136 + 0.16e2 / 0.9e1 * t26020 * t2208 + 0.4e1 * t5761 * t2153 - 0.8e1 * t2986 + 0.8e1 / 0.3e1 * t26013 * t622 - 0.4e1 * t5758 * t1693 - 0.8e1 * t26016 * t2145 + 0.4e1 / 0.3e1 * t5761 * t2095 - 0.12e2 * t5761 * t12181 + 0.8e1 * t5758 * t12088 - 0.4e1 * t5761 * t12132 - 0.2e1 * t3279 * t138;
  t26061 = t26019 + t26060;
  t26077 = t548 * t5902;
  t26081 = t1643 * t1322;
  t26085 = 0.2e1 / 0.3e1 * t372 * t5870 - t162 * t14880 * t1364 / 0.4e1 - t162 * t3358 * t5864 / 0.2e1 - t162 * t876 * t320 * t137 * t26061 / 0.4e1 - t1434 * t1365 / 0.4e1 - t349 * t5860 / 0.2e1 - t349 * t5865 / 0.2e1 + t162 * t5901 * t386 * t165 / 0.4e1 - t338 * t26077 / 0.12e2 + t349 * t5898 + t162 * t26081 * t516 / 0.2e1;
  t26091 = t1678 * t1290;
  t26094 = t1678 * t1295;
  t26098 = t193 * t802;
  t26099 = t169 * t26098;
  t26103 = t22 * t5733;
  t26105 = t22 * t1323;
  t26114 = t5779 * t326;
  t26122 = t122 * t802;
  t26123 = t96 * t26122;
  t26128 = t163 * t5699;
  t26149 = -0.22e2 / 0.9e1 * t4531 * t3931 * t26123 + t372 * t5879 - 0.6e1 * t162 * t26128 * t2136 - t372 * t5887 / 0.3e1 - t162 * t5882 * t1633 + t372 * t5883 / 0.3e1 - 0.2e1 / 0.9e1 * t14008 * t4562 + t843 * t6107 / 0.18e2 + t2939 * t1307 / 0.18e2 + 0.6e1 * t1553 * t6024 + 0.3e1 * t509 * t5912 * t2095;
  t26160 = t1502 * t25871;
  t26172 = t106 * t109 * t5699;
  t26175 = t368 * t5693;
  t26180 = -0.2e1 * t1553 * t6022 - t509 * t858 * t341 * t342 * t2915 + t162 * t3365 * t803 * t165 - 0.18e2 * t1565 * t26160 * t2208 - 0.2e1 * t1529 * t5943 + 0.2e1 / 0.3e1 * t2902 * t862 - 0.6e1 * t854 * t3089 + t9774 * t5940 + 0.2e1 * t26172 * t2333 - t26175 * t541 / 0.3e1 + 0.2e1 / 0.9e1 * t3052 * t5690;
  t26203 = t22 * t5730;
  t26206 = 0.5e1 / 0.3e1 * t25873 * t2060 - t1297 * t9239 / 0.2e1 + t6149 * t305 / 0.9e1 + t843 * t6112 / 0.18e2 + t3006 * t9743 * t5959 / 0.6e1 - t15406 * t5952 / 0.3e1 + t13995 * t5955 / 0.6e1 + t15406 * t5960 / 0.6e1 - t2988 * t9743 * t5946 / 0.3e1 + t26105 * t10182 / 0.3e1 - 0.5e1 / 0.18e2 * t26203 * t16959;
  t26211 = t95 * t1289;
  t26212 = t507 * t26211;
  t26213 = t10649 * t26212;
  t26222 = t10526 * t1563 * t26211;
  t26225 = t852 * t3307;
  t26226 = t2233 * t26225;
  t26235 = t2057 * t2895 * t3307;
  t26240 = -t15227 * t5947 / 0.3e1 - 0.62e2 / 0.3e1 * t16036 * t26213 + 0.3e1 * t10026 * t5940 + 0.3e1 / 0.2e1 * t1565 * t5934 * t9110 + 0.8e1 * t16036 * t26222 + 0.14e2 / 0.3e1 * t3306 * t26226 + 0.2e1 * t854 * t3334 + t854 * t3327 + 0.2e1 * t2885 * t862 - 0.3e1 * t3306 * t26235 - 0.2e1 * t2897 * t3314;
  t26262 = t14332 * t3104;
  t26268 = -t2897 * t3316 - 0.2e1 * t14165 * t859 + 0.3e1 * t349 * t5935 + 0.2e1 * t4571 * t20301 - t10923 * t5712 / 0.3e1 + 0.3e1 * t2251 * t3226 * t1862 * t25831 + t11018 * t5706 / 0.3e1 - 0.3e1 * t2255 * t3226 * t1505 * t25831 - t15274 * t3064 / 0.2e1 + t1683 * t26262 / 0.6e1 + 0.15e2 * t2255 * t5730 * t16074;
  t26270 = t10943 * t5685;
  t26285 = t22 * t1319;
  t26288 = t96 * t25852;
  t26300 = t22 * t5744;
  t26305 = -0.6e1 * t2265 * t26270 * t3594 + 0.25e2 / 0.36e2 * t26203 * t17093 - 0.5e1 / 0.9e1 * t4531 * t3935 * t26123 + 0.2e1 * t4571 * t2175 * t26123 + 0.2e1 / 0.3e1 * t3015 * t2169 * t25825 - t26285 * t1687 / 0.3e1 + t3015 * t2169 * t26288 / 0.6e1 + t3006 * t1684 * t169 * t193 * t5779 / 0.6e1 + 0.2e1 / 0.3e1 * t2988 * t2162 * t26099 - t26300 * t2165 - t2988 * t1684 * t26288 / 0.3e1;
  t26323 = t3062 * t3028;
  t26327 = t3062 * t836;
  t26340 = -t3006 * t3624 * t96 * t26114 / 0.3e1 - t3006 * t16127 * t5951 / 0.3e1 + t3015 * t10910 * t5946 / 0.6e1 - 0.2e1 * t2265 * t3012 * t6021 + 0.4e1 * t2255 * t810 * t1505 * t25824 - 0.2e1 * t1677 * t26323 * t636 - t1677 * t26327 * t328 + t259 * t490 * t9073 * t1305 / 0.12e2 - t1297 * t9649 / 0.6e1 - t1297 * t9651 / 0.12e2 + t2918 * t1307 / 0.12e2;
  t26356 = t95 * t2915;
  t26357 = t303 * t26356;
  t26374 = t548 * t160 * t5901;
  t26383 = t3062 * t857;
  t26390 = -t15482 + t15483 - t15484 + t15485 + 0.2e1 * t1529 * t6024 - t854 * t3293 + t338 * t26374 / 0.3e1 + 0.12e2 * t2255 * t3226 * t396 * t26122 + t1677 * t6175 * t1633 + 0.3e1 * t1677 * t26383 * t2136 - t1677 * t14568 * t1364 / 0.4e1;
  t26392 = t1304 * t1609;
  t26402 = t1505 * t5710;
  t26411 = t5901 * t393;
  t26415 = t555 * t5902;
  t26418 = params->at * t6076;
  t26420 = t302 * t303 * t26418;
  t26429 = t2251 * t263 * t1868 * t26392 / 0.2e1 + t2251 * t806 * t400 * t25847 / 0.2e1 + t10809 * t5706 + t2255 * t3214 * t26402 + t2255 * t810 * t1505 * t25852 + 0.36e2 * t509 * t26160 * t2213 - t509 * t26411 * t512 / 0.2e1 - t338 * t26415 / 0.6e1 - t127 * t26420 / 0.6e1 + t162 * t26418 * t142 * t165 / 0.2e1 + t1463 * t1365 / 0.18e2;
  t26440 = t14928 * t257;
  t26454 = -0.4e1 / 0.9e1 * t6146 * t1713 + 0.4e1 / 0.9e1 * t3057 * t6000 - t843 * t3383 / 0.9e1 - t843 * t3379 / 0.9e1 - t2939 * t886 / 0.9e1 - t1677 * t26440 * t328 + 0.6e1 * t162 * t25812 * t16829 + 0.3e1 * t14144 * t2992 - 0.6e1 * t2897 * t3000 - 0.4e1 / 0.3e1 * t1297 * t9583 - 0.2e1 / 0.3e1 * t1297 * t9594;
  t26475 = t510 * t5685;
  t26508 = -0.2e1 / 0.3e1 * t10480 * t6173 + t3006 * t14593 / 0.6e1 - 0.2e1 / 0.3e1 * t3015 * t2182 * t26099 - 0.11e2 / 0.27e2 * t25879 * t3560 + 0.22e2 / 0.3e1 * t25873 * t2234 + 0.23e2 / 0.54e2 * t25879 * t3613 - t866 * t548 * t26357 / 0.6e1 + t6146 * t1952 / 0.9e1 - 0.5e1 / 0.54e2 * t25879 * t3748 - t3057 * t5680 / 0.9e1 + t25864 * t549 / 0.3e1;
  t26536 = t2266 * t5699;
  t26540 = t1292 * t1728 / 0.3e1 + t1292 * t1732 / 0.6e1 + t259 * t490 * t303 * t95 * t26061 / 0.12e2 + 0.2e1 / 0.9e1 * t3052 * t4453 - t3299 * t21124 + t259 * t490 * t1726 * t6110 / 0.6e1 + t838 * t6107 / 0.6e1 + t838 * t6112 / 0.6e1 + 0.3e1 * t21686 * t3098 + 0.6e1 * t2251 * t3208 * t1505 * t26122 + 0.6e1 * t2265 * t26536 * t622;
  t26546 = t548 * t6036;
  t26560 = -0.11e2 * t2255 * t5733 * t10156 - t913 + t984 - t377 * t6037 / 0.6e1 - t338 * t26546 / 0.6e1 + t2885 * t881 + t854 * t3353 / 0.2e1 + t854 * t3389 - t509 * t26081 * t512 / 0.2e1 + t1434 * t1356 / 0.2e1 + 0.2e1 * t1553 * t6027;
  t26596 = 0.2e1 / 0.9e1 * t6146 * t1650 - 0.2e1 * t854 * t3337 - t854 * t3370 - t2885 * t877 - 0.2e1 * t2885 * t873 - 0.2e1 / 0.3e1 * t2902 * t873 - t2902 * t877 / 0.3e1 + t854 * t3049 / 0.2e1 + t15497 - t15501 - t15505;
  t26599 = t1648 * t8827 * t122;
  t26609 = t160 * t26211;
  t26610 = t10653 * t26609;
  t26615 = t1341 * t66;
  t26617 = t302 * t26615 * t296;
  t26621 = t302 * t1726 * t5901;
  t26626 = t2265 * t3012 * t26599 + t15533 - t15534 - 0.2e1 / 0.3e1 * t372 * t5874 - t14122 * t5952 / 0.9e1 + 0.3e1 / 0.2e1 * t162 * t5934 * t9128 + 0.47e2 / 0.3e1 * t16036 * t26610 + t6136 * t298 / 0.2e1 - t127 * t26617 / 0.6e1 - t127 * t26621 / 0.6e1 + t349 * t5907 / 0.2e1;
  t26638 = t555 * t6036;
  t26642 = t548 * t852 * t884;
  t26652 = -0.2e1 / 0.3e1 * t14664 * t859 + 0.6e1 * t2897 * t3081 + t372 * t5935 - 0.18e2 * t162 * t26160 * t2203 + 0.2e1 * t1297 * t9291 + t854 * t2954 - t338 * t26638 / 0.3e1 + 0.2e1 / 0.3e1 * t338 * t26642 - t2897 * t2951 - 0.18e2 * t509 * t26475 * t2145 + t162 * t26411 * t516 / 0.2e1;
  t26657 = t302 * t2961 * t3365;
  t26662 = t302 * t14481 * t884;
  t26665 = t96 * t25847;
  t26671 = t138 * t5855;
  t26681 = t2885 * t890 - t127 * t26657 / 0.3e1 + t854 * t3367 - t127 * t26662 / 0.3e1 - t2988 * t1684 * t26665 / 0.6e1 - t377 * t6131 / 0.12e2 - t127 * t26671 / 0.6e1 - t10084 * t1352 / 0.2e1 + t854 * t2931 / 0.2e1 + t2885 * t833 + t1434 * t1368 / 0.2e1;
  t26690 = t1462 * t1296;
  t26703 = -t1434 * t1360 / 0.2e1 + t6149 * t380 / 0.9e1 - t6146 * t1510 / 0.9e1 - t6146 * t1451 / 0.18e2 - 0.2e1 / 0.27e2 * t26690 * t502 - t843 * t2880 / 0.9e1 + 0.2e1 / 0.9e1 * t6146 * t1440 + t15602 - t15603 + 0.4e1 / 0.3e1 * t3015 * t21213 * t2186 - t22 * t1342 * t477 / 0.4e1;
  t26727 = t3165 * tau[0];
  t26731 = 0.1e1 / t25 / t1754;
  t26733 = t26731 * t439 * t24;
  t26768 = 0.26e4 / 0.3e1 * t471 * t3138 + 0.1904e5 / 0.3e1 * t1752 * t26727 - 0.8e4 * t9512 * t26733 - 0.26e4 / 0.9e1 * t447 * t3138 + 0.2912e5 / 0.3e1 * t1759 * t26727 - 0.8e4 / 0.3e1 * t9523 * t26733 - 0.104e4 * t454 * t3138 - 0.112e5 * t1762 * t26727 + 0.32e5 * t9528 * t26733 - 0.104e4 / 0.9e1 * t459 * t3138 - 0.28e5 * t1765 * t26727 + 0.14e6 / 0.3e1 * t9533 * t26733 + 0.13e5 / 0.9e1 * t464 * t3138 - 0.392e5 / 0.3e1 * t1770 * t26727 + 0.56e5 / 0.3e1 * t9540 * t26733 + 0.52e3 / 0.9e1 * t3138 * t173 - 0.4e4 / 0.3e1 * t26731 * t181 * t439 * t24 + 0.112e4 / 0.3e1 * t3177 * tau[0];
  t26777 = 0.15e2 / 0.2e1 * t26203 * t10733 * t1556 * t2170 - t103 * t6081 / 0.3e1 - t103 * t6084 / 0.3e1 - t103 * t6087 / 0.6e1 - t103 * t6078 / 0.6e1 - t22 * t3284 * t288 / 0.2e1 - t22 * t826 * t793 - t22 * t154 * t6077 / 0.2e1 - t22 * t65 * t169 * t26768 / 0.4e1 - 0.35e2 / 0.3e1 * t26203 * t10936 * t2299 - t26203 * t15607;
  t26785 = t802 * t802;
  t26788 = t106 * t333 * t26785 * t335;
  t26797 = t343 * t1343;
  t26802 = t106 * t158 * t5853 * t159;
  t26809 = -0.2e1 * t4531 * t2169 * t26123 + t26690 * t497 / 0.27e2 + t2911 * t848 / 0.27e2 - t26788 * t497 / 0.3e1 + t1297 * t9965 / 0.3e1 + t15159 * t274 / 0.2e1 + t6136 * t365 / 0.4e1 - t338 * t26797 / 0.12e2 + t26802 * t166 / 0.2e1 - 0.11e2 / 0.9e1 * t4531 * t20306 + 0.4e1 / 0.3e1 * t13995 * t4589;
  t26826 = t14928 * t871;
  t26841 = t500 * t25831;
  t26851 = t500 * t26122;
  t26857 = -t6149 * t493 / 0.9e1 + t487 * t6037 / 0.3e1 + t2902 * t881 / 0.3e1 + 0.2e1 / 0.9e1 * t6146 * t1720 + t1292 * t1640 / 0.3e1 + 0.2e1 * t4571 * t2169 * t26841 - t4571 * t2294 * t25832 + t14008 * t5972 / 0.9e1 - 0.4e1 * t26103 * t2187 - 0.8e1 * t4571 * t2175 * t26851 + 0.22e2 / 0.3e1 * t26103 * t2300;
  t26861 = 0.2e1 * t2183 * t26103 + t15739 - t15743 + t15745 + t15749 + t15760 - t15765 + t15773 - t15776 + t15795 - t15800;
  t26869 = t259 * t14483 / 0.3e1 - t15812 + 0.2e1 / 0.3e1 * t2988 * t3624 * t25766 - t15813 - t15814 + t15815 + t15816 + t14122 * t5960 / 0.18e2 + t15828 + t15830 - t15832;
  t26901 = t343 * t1342 * t500;
  t26906 = t106 * t158 * t1341 * t506;
  t26911 = t496 * t1343;
  t26915 = t1630 * t1363 * t326;
  t26931 = t338 * t26901 / 0.3e1 - t26906 * t513 / 0.2e1 + t6136 * t517 / 0.2e1 - t338 * t26911 / 0.6e1 + t1677 * t3190 * t26915 + 0.2e1 * t1677 * t6172 * t12088 - t866 * t14836 / 0.6e1 - t838 * t2967 / 0.3e1 - t259 * t14949 / 0.3e1 - t2972 * t4442 / 0.3e1 - t866 * t20140 / 0.3e1;
  t26944 = -t15892 + t15895 + 0.2e1 * t2265 * t25949 * t1666 - t15950 + t15952 + t15955 + t15958 - t15960 + t15978 - 0.5e1 / 0.12e2 * t3015 * t10775 * t25766 - t3006 * t3624 * t169 * t5958 * t326 / 0.3e1;
  t26953 = 0.2e1 / 0.3e1 * t1529 * t6027 - 0.2e1 / 0.3e1 * t1529 * t6022 + t372 * t6016 / 0.3e1 + t372 * t5891 / 0.3e1 - t15995 - t16042 - t16046 + t16049 + t16052 - t16060 - t16062;
  t26971 = t1304 * t1631;
  t26980 = t16189 - t16192 - t16194 + 0.2e1 / 0.3e1 * t2988 * t19949 + t3006 * t14444 / 0.3e1 + t15406 * t3105 / 0.3e1 - t13995 * t4753 / 0.3e1 + 0.2e1 / 0.3e1 * t15227 * t4655 + t3006 * t15648 * t96 * t26971 / 0.2e1 + 0.14e2 / 0.3e1 * t4531 * t23919 - 0.3e1 * t4531 * t21384;
  t26982 = t21400 * t2981;
  t27017 = 0.3e1 * t10978 * t26982 * t2208 - 0.6e1 * t2265 * t26982 * t2213 + 0.3e1 * t1677 * t26982 * t2203 - 0.3e1 / 0.2e1 * t4277 * t3208 * t9911 * t25831 + t10923 * t5983 / 0.3e1 + t10923 * t5987 / 0.3e1 - t1677 * t6175 * t1707 / 0.2e1 - 0.3e1 / 0.2e1 * t2251 * t263 * t10240 * t26971 - 0.3e1 / 0.2e1 * t2251 * t3221 * t400 * t25831 - t1677 * t6172 * t1693 + 0.4e1 / 0.3e1 * t3015 * t2175 * t1675 * t26098;
  t27046 = -0.8e1 / 0.3e1 * t3015 * t2169 * t500 * t25824 + t3006 * t15097 / 0.3e1 - t3015 * t19964 / 0.3e1 + 0.2e1 / 0.3e1 * t2988 * t19959 - t3015 * t19954 / 0.3e1 + 0.3e1 * t2255 * t3208 * t9916 * t25831 - 0.3e1 / 0.2e1 * t2251 * t3208 * t10255 * t25831 - t4531 * t21063 + t1479 * t1356 / 0.3e1 - 0.3e1 * t509 * t5894 * t9705 - 0.2e1 * t3015 * t24489;
  t27068 = t490 * t26615 * t491;
  t27073 = -0.2e1 * t3015 * t21610 * t2299 - 0.2e1 / 0.3e1 * t3015 * t21338 + t3015 * t21652 - 0.2e1 * t349 * t5895 - t162 * t5894 * t9627 - 0.2e1 * t5701 * t1944 - t6146 * t1735 / 0.18e2 - t6146 * t1660 / 0.9e1 - t6136 * t329 / 0.4e1 + t127 * t27068 / 0.12e2 - t372 * t5865 / 0.6e1;
  t27088 = t21479 * t857;
  t27092 = t4541 * t2970;
  t27103 = -t372 * t5860 / 0.6e1 - t1479 * t1365 / 0.6e1 - t162 * t5901 * t389 * t313 / 0.2e1 + t487 * t5903 / 0.6e1 + 0.5e1 / 0.2e1 * t26203 * t15612 - 0.2e1 * t10858 * t5968 - 0.2e1 * t2265 * t27088 * t622 - 0.2e1 * t2265 * t27092 * t622 - t2265 * t5967 * t2095 + 0.2e1 * t9731 * t5970 + 0.2e1 * t1677 * t27088 * t645;
  t27113 = t2346 * t802;
  t27117 = t1322 * t11527;
  t27130 = t62 * t5779;
  t27131 = t27130 * t122;
  t27135 = t5836 * t363;
  t27139 = t5836 * t308;
  t27151 = t410 * t27139;
  t27156 = t5729 * t11548;
  t27159 = 0.1e2 / 0.3e1 * t13916 * t410 * t25752 + 0.2e1 / 0.3e1 * t13815 * t5845 + 0.2e1 / 0.3e1 * t3200 * t410 * t27131 + t3200 * t410 * t27135 / 0.3e1 + t13830 * t1837 * t27139 / 0.9e1 + 0.4e1 * t13827 * t5838 + 0.4e1 * t3202 * t149 * t27131 + 0.2e1 * t3202 * t149 * t27135 - 0.2e1 * t13818 * t27151 + 0.4e1 * t20906 * t5842 + 0.1e2 / 0.3e1 * t27156 * t16603;
  t27161 = t410 * t27113;
  t27181 = 0.24e2 * t4405 * t27161 - 0.3e2 * t27156 * t2353 - 0.4e1 * t13815 * t5848 - 0.4e1 * t3200 * t423 * t27131 - 0.2e1 * t3200 * t423 * t27135 - 0.8e1 / 0.3e1 * t4405 * t1829 * t27113 + 0.4e1 * t4392 * t149 * t27130 * t326 - t16406 - t16408 - t16411 + t16413;
  t27182 = -t16414 - t16416 - t16418 + t16420 - t962 + t16440 + t16479 + t16495 + t16517 + t16520 + t16526;
  t27185 = t108 * t26785;
  t27189 = t332 * t26785;
  t27190 = t27189 * t394;
  t27195 = t1322 * t9841;
  t27200 = t1318 * t9879;
  t27204 = t5729 * t9763;
  t27209 = t1336 * t308;
  t27224 = t9897 * t1289;
  t27225 = t27224 * t9904;
  t27237 = 0.8e1 * t27204 * t2398 - 0.72e2 * t27204 * t2401 - 0.6e1 * t3226 * t1862 * t27209 - 0.24e2 * t27200 * t2362 + 0.3e1 * t263 * t10240 * t1336 * t1631 + 0.12e2 * t1323 * t10246 + 0.3e1 * t3221 * t400 * t27209 + 0.24e2 * t27225 * t16427 + 0.3e1 * t3208 * t10255 * t27209 + 0.8e1 / 0.3e1 * t27225 * t16424 - 0.2e1 * t263 * t1868 * t5780 * t326;
  t27239 = t5780 * t122;
  t27261 = t63 * t2915;
  t27267 = -0.4e1 / 0.3e1 * t810 * t1505 * t27239 + 0.44e2 / 0.3e1 * t5733 * t2376 - 0.2e1 * t3236 * t5800 - 0.2e1 * t804 * t5803 - 0.4e1 / 0.3e1 * t3214 * t5791 - 0.2e1 * t806 * t400 * t27239 - 0.4e1 * t1319 * t1870 - t263 * t400 * t63 * t26061 - 0.2e1 * t1323 * t10256 + 0.4e1 * t810 * t405 * t27261 - 0.4e1 * t1323 * t10262;
  t27275 = t1336 * t363;
  t27291 = t590 * t802;
  t27297 = 0.2e1 * t5733 * t2413 + 0.4e1 / 0.3e1 * t27204 * t2371 - 0.2e1 / 0.3e1 * t810 * t396 * t27261 - t806 * t400 * t27275 - t263 * t1868 * t1336 * t1609 - 0.4e1 * t806 * t145 * t27261 - 0.2e1 / 0.3e1 * t810 * t1505 * t27275 + 0.2e1 * t1319 * t1852 - 0.22e2 * t5733 * t2404 - 0.12e2 * t3208 * t1505 * t27291 + 0.15e2 * t5730 * t16444;
  t27314 = t5723 * t326;
  t27339 = t60 * t2915;
  t27345 = -0.4e1 / 0.3e1 * t27225 * t16433 + 0.6e1 * t5730 * t10195 + 0.4e1 * t3226 * t1505 * t27209 - t3208 * t9911 * t27209 / 0.18e2 - t16611 - t16612 - t16613 + t16614 + 0.1e2 / 0.3e1 * t27225 * t16472 - 0.2e1 * t810 * t405 * t27339 + 0.4e1 * t1323 * t10422;
  t27353 = t62 * t802 * t326;
  t27359 = t1318 * t11520;
  t27368 = -0.2e1 / 0.3e1 * t27204 * t2437 + 0.24e2 * t4397 * t149 * t27113 + 0.8e1 * t3202 * t149 * t27353 + 0.8e1 * t4402 * t27161 - 0.12e2 * t27359 * t2348 + 0.4e1 * t13833 * t149 * t25752 - 0.16e2 * t3200 * t423 * t27353 - t16681 + t16682 + t3867 + t16683;
  t27395 = -0.8e1 * t13833 * t16695 * t25752 - 0.5e1 / 0.3e1 * t13916 * t16690 * t25752 - 0.2e1 * t804 * t5825 - 0.16e2 / 0.3e1 * t810 * t1505 * t27314 + 0.2e1 / 0.9e1 * t3208 * t1566 * t27291 - 0.5e1 / 0.18e2 * t5730 * t16230 - t3262 * t1327 + 0.1e2 * t13916 * t16699 * t25752 + 0.36e2 * t27204 * t2420 - 0.12e2 * t27225 * t16772 + 0.1e2 / 0.3e1 * t5730 * t16496;
  t27404 = t27189 * t335;
  t27423 = t263 * t400 * t60 * t26061 / 0.2e1 - 0.4e1 * t5733 * t2443 - 0.2e1 * t27404 * t424 + 0.2e1 * t1319 * t1898 + 0.2e1 * t1323 * t10334 + 0.2e1 * t806 * t145 * t27339 + 0.6e1 * t5733 * t2428 - 0.4e2 * t27204 * t2440 - 0.3e1 * t5730 * t16510 + 0.5e2 / 0.3e1 * t27225 * t16475 + t804 * t5781;
  t27448 = 0.4e1 / 0.3e1 * t810 * t396 * t27339 - 0.4e1 / 0.3e1 * t1323 * t10342 + t5730 * t16523 / 0.18e2 - 0.3e1 * t5744 * t2430 + 0.24e2 * t27195 * t2434 - t1319 * t1877 + t3262 * t1337 / 0.2e1 + 0.72e2 * t27195 * t2395 - 0.5e2 / 0.3e1 * t5730 * t16678 - 0.12e2 * t3221 * t145 * t27291 - 0.4e1 * t806 * t400 * t27314;
  t27469 = -0.16e2 * t3226 * t396 * t27291 + 0.6e1 * t5744 * t2410 + 0.2e1 * t3214 * t5831 + 0.2e1 * t810 * t1862 * t27239 + t810 * t1862 * t27275 - 0.12e2 * t5733 * t2380 - t16724 + t16741 + t16742 + 0.2e1 * t27185 * t311 * t150 + 0.4e1 / 0.3e1 * t27404 * t411;
  t27495 = -t16769 + t16776 - 0.6e1 * t20585 * t149 * t5836 * t1631 - 0.6e1 * t13836 * t149 * t27139 + 0.8e1 / 0.3e1 * t3200 * t410 * t27353 - 0.4e1 / 0.9e1 * t4405 * t1837 * t27113 - 0.22e2 / 0.3e1 * t27117 * t2353 - 0.6e1 * t13830 * t27151 + 0.2e1 / 0.3e1 * t13830 * t1829 * t27139 + 0.12e2 * t13818 * t423 * t27139 + 0.5e1 / 0.9e1 * t27156 * t16712;
  t27508 = 0.2e1 * t1677 * t27092 * t645 + t1677 * t5967 * t2153 - t22 * t59 * (-t16528 + t27368 + t943 - 0.36e2 * t27195 * t2417 - 0.6e1 * t1323 * t10406 + 0.12e2 * t27200 * t2423 + 0.4e1 * t27190 * t406 - 0.2e1 / 0.3e1 * t27190 * t397 + 0.44e2 * t27117 * t2355 + 0.2e1 / 0.3e1 * t1323 * t10203 - t5730 * t10227 / 0.9e1 - t27225 * t16237 / 0.9e1 + 0.6e1 * t5744 * t2392 - t16532 + t27267 + 0.2e1 * t4392 * t149 * t5836 * t1609 + t27495 - t16253 + t27159 + t16358 - 0.12e2 * t27195 * t2366 - 0.2e1 / 0.3e1 * t5730 * t16369 + t27297 - 0.5e1 * t13916 * t423 * t25752 - 0.48e2 * t4402 * t423 * t27113 - 0.4e1 * t27185 * t312 * t146 + 0.24e2 * t3226 * t405 * t27291 + 0.8e1 * t810 * t1862 * t27314 + 0.4e2 / 0.3e1 * t3208 * t1571 * t27291 - 0.1e2 / 0.3e1 * t3208 * t9916 * t27209 + t27469 + t27181 + t27182 + t16245 + t16247 - t16362 + t27423 + t27237 - t16533 - t16536 + t27345 + t27395 + t27448) * t96 / 0.4e1 - 0.6e1 * t4531 * t3935 * t1556 * t26122 - t16802 + t16835 - t16841 - t16858 + t16863 - t16868 - t3699;
  t27520 = t4541 * t3037;
  t27528 = 0.2e1 * t21470 * t2986 - 0.2e1 * t15274 * t3109 - t15274 * t3191 - 0.2e1 * t9731 * t6173 - t9731 * t6176 + t3015 * t2169 * t25762 / 0.6e1 - t16887 - t16891 - 0.6e1 * t1677 * t27520 * t2218 + 0.2e1 / 0.3e1 * t10480 * t5970 - 0.2e1 / 0.3e1 * t11016 * t5968;
  t27593 = -0.12e2 * t2251 * t3226 * t405 * t26122 + 0.11e2 * t2251 * t5733 * t2309 - 0.6e1 * t1677 * t26536 * t645 - t2988 * t1684 * t25762 / 0.3e1 - t22 * t427 * t1387 / 0.4e1 - t22 * t5854 * t194 / 0.2e1 - t22 * t269 * t3181 / 0.2e1 + 0.23e2 / 0.9e1 * t4531 * t3935 * t26851 + t26300 * t2302 + t13995 * t5972 / 0.3e1 + t3015 * t11202 * t5946 / 0.3e1;
  t27622 = t3015 * t2294 * t26288 / 0.3e1 + t3015 * t2294 * t26665 / 0.6e1 + 0.11e2 / 0.18e2 * t4531 * t10936 * t25832 - 0.2e1 / 0.3e1 * t13995 * t5976 - 0.2e1 / 0.3e1 * t2988 * t1684 * t25825 - 0.2e1 * t4538 * t2162 * t26123 - 0.115e3 / 0.36e2 * t26203 * t17533 + 0.23e2 / 0.18e2 * t26203 * t17530 - 0.11e2 / 0.6e1 * t26103 * t2172 - t103 * t6090 / 0.6e1 + t482 * t1348 / 0.9e1;
  t27645 = -0.2e1 / 0.3e1 * t2972 * t4519 + 0.14e2 / 0.3e1 * t5687 * t2233 * t2190 + 0.7e1 / 0.3e1 * t5687 * t15680 - t5687 * t15999 - t5687 * t15689 / 0.2e1 + 0.23e2 / 0.18e2 * t5687 * t17429 + 0.23e2 / 0.36e2 * t5687 * t9321 + 0.44e2 / 0.27e2 * t25787 * t16939 - 0.11e2 / 0.9e1 * t5687 * t15996 - 0.11e2 / 0.18e2 * t5687 * t15786 - 0.61e2 / 0.27e2 * t25787 * t16847;
  t27653 = t2233 * t26609;
  t27672 = -0.6e1 * t349 * t5913 - 0.3e1 * t162 * t5912 * t2153 - 0.28e2 * t15989 * t27653 - 0.6e1 * t1553 * t5943 - 0.3e1 * t509 * t5934 * t9136 + 0.2e1 * t5701 * t2068 + t5701 * t2071 - 0.4e1 * t5701 * t2191 - 0.3e1 / 0.2e1 * t5687 * t9070 + 0.2e1 / 0.3e1 * t866 * t14834 + 0.23e2 / 0.18e2 * t2983 * t21438;
  t27700 = -0.3e1 * t5687 * t2057 * t1551 * t539 - 0.11e2 / 0.9e1 * t2983 * t21435 + 0.4e1 / 0.3e1 * t2972 * t4523 + 0.4e1 / 0.3e1 * t866 * t24174 - 0.2e1 / 0.3e1 * t866 * t19623 - t866 * t20127 / 0.3e1 + 0.4e1 * t4571 * t2182 * t26123 - 0.3e1 * t26203 * t3935 * t2263 * t2163 - t1529 * t6029 / 0.3e1 - t10480 * t6176 / 0.3e1 + t2988 * t19983 / 0.3e1;
  t27727 = t4571 * t20968 - t14008 * t4753 / 0.9e1 + 0.2e1 / 0.9e1 * t14127 * t4655 + t14122 * t3105 / 0.9e1 + t3006 * t1684 * t169 * t476 * t1304 / 0.12e2 + t3015 * t2169 * t26665 / 0.12e2 + 0.5e1 / 0.36e2 * t4531 * t10733 * t25832 - t3006 * t3624 * t96 * t26392 / 0.6e1 - t4571 * t2169 * t25832 / 0.2e1 + t17032 - t17034;
  t27749 = t17067 - 0.4e1 / 0.3e1 * t26105 * t9716 + t14008 * t5955 / 0.18e2 + t372 * t5898 / 0.3e1 + 0.3e1 * t162 * t5894 * t9700 - 0.2e1 / 0.3e1 * t372 * t5895 + t5701 * t1949 / 0.2e1 - t1292 * t1612 / 0.6e1 + t5701 * t2086 - t1292 * t1936 / 0.3e1 + t894 * t302 * t26357 / 0.3e1;
  t27771 = t1648 * t8752 * t122;
  t27779 = t320 * t1363 * t122;
  t27788 = -t1677 * t3012 * t27771 - 0.2e1 / 0.3e1 * t2988 * t19771 + t3015 * t20568 / 0.2e1 + t17121 + t17123 - t17124 + t1677 * t3108 * t27779 - 0.2e1 * t2251 * t806 * t1868 * t25752 + t17142 - t17145 + t482 * t1343 / 0.18e2;
  t27795 = t10733 * t1556 * t5704;
  t27822 = t2255 * t810 * t1505 * t25847 / 0.2e1 + 0.3e1 / 0.2e1 * t10796 * t27795 - t10480 * t5990 / 0.6e1 + 0.6e1 * t4277 * t3208 * t1566 * t26122 - 0.15e2 / 0.2e1 * t4277 * t5730 * t17058 + 0.3e1 * t10978 * t26270 * t3495 + 0.55e2 / 0.18e2 * t26203 * t17080 - 0.12e2 * t2255 * t3208 * t1571 * t26122 - 0.2e1 * t21519 * t3386 - 0.11e2 / 0.9e1 * t26203 * t17072 - 0.3e1 * t21470 * t3009;
  t27832 = t510 * t26785;
  t27837 = 0.2e1 * t15274 * t3013 + 0.4e1 / 0.9e1 * t14008 * t4589 - 0.4e1 * t4571 * t2175 * t20309 - t17254 + t17286 - t17300 + t17312 - t17327 - 0.5e1 / 0.18e2 * t2983 * t20537 - t509 * t27832 * t512 + t1463 * t1360 / 0.9e1;
  t27849 = t368 * t6135;
  t27865 = -t162 * t163 * t26785 * t313 + t162 * t27832 * t516 - t1463 * t1368 / 0.9e1 - t6136 * t314 / 0.2e1 + t27849 * t166 / 0.6e1 + t487 * t6131 / 0.6e1 - t369 * t6131 / 0.18e2 - t1462 * t1291 * t139 / 0.27e2 + t349 * t6016 + t162 * t884 * t3261 * t165 / 0.2e1 + t349 * t5891;
  t27894 = t162 * t15307 * t262 * t165 / 0.2e1 - t162 * t1643 * t1318 * t313 / 0.2e1 + t162 * t5882 * t1707 / 0.2e1 - t349 * t5887 + 0.3e1 / 0.2e1 * t162 * t5878 * t1693 + t349 * t5883 - 0.2e1 * t349 * t5874 - t162 * t872 * t135 * t137 * t2915 + 0.2e1 / 0.3e1 * t26788 * t502 - t15164 * t274 / 0.9e1 + t9832 * t1352 / 0.9e1;
  t27919 = t106 * t109 * t26785 * t311 * t139 / 0.3e1 - t26788 * t344 / 0.6e1 + t26690 * t344 / 0.54e2 - t1297 * t10145 / 0.12e2 + t1292 * t1499 / 0.6e1 - t838 * t2880 / 0.3e1 - t259 * t15154 / 0.6e1 - t2918 * t848 / 0.6e1 - t1297 * t10066 / 0.6e1 + t17393 - 0.11e2 / 0.3e1 * t26103 * t2295;
  t27938 = -t17463 - t17465 + t482 * t1388 / 0.18e2 - 0.23e2 / 0.3e1 * t25873 * t2321 - t25879 * t3580 / 0.3e1 - t2939 * t848 / 0.9e1 + t15216 * t274 / 0.3e1 + t2902 * t833 / 0.3e1 - t10077 * t1352 / 0.3e1 + t1479 * t1368 / 0.3e1 - t1479 * t1360 / 0.3e1;
  t27945 = my_piecewise3(t3, 0, -t10769 * t5712 + 0.23e2 / 0.18e2 * t4531 * t20310 + 0.2e1 / 0.3e1 * t3015 * t15421 + 0.4e1 / 0.3e1 * t3015 * t25237 + 0.4e1 / 0.3e1 * t3015 * t25226 + t25961 + t26944 - t4538 * t21000 + t26206 + t26953 + t16173 + t26560 + t25876 + t16179 + t16181 + t26390 + t25806 + t26240 + t26596 + t16175 - t16177 + t27672 + t25840 + t27938 + t26931 + t17102 + t16184 + t26268 - t16066 + t27645 + t27837 + t26180 + t26454 + t27528 + t27788 + t26626 + t27046 - t16936 + t26340 + t27508 + t26305 + t509 * t5894 * t9622 - t2251 * t3214 * t5711 - 0.2e1 * t1677 * t26826 * t636 - 0.3e1 * t2251 * t5744 * t2252 - 0.2e1 * t1677 * t3108 * t5873 - 0.15e2 / 0.2e1 * t2251 * t5730 * t16078 + 0.3e1 * t1677 * t26270 * t3576 + 0.3e1 * t2265 * t5967 * t12132 + 0.6e1 * t2265 * t27520 * t2145 - 0.2e1 / 0.3e1 * t3015 * t10910 * t5975 - 0.23e2 / 0.36e2 * t4531 * t10733 * t26841 + t4531 * t10775 * t25832 / 0.2e1 + 0.14e2 / 0.3e1 * t26203 * t3931 * t2186 + 0.28e2 / 0.3e1 * t4531 * t3931 * t26851 + t1677 * t26091 * t328 + 0.3e1 * t1677 * t26094 * t636 - t3015 * t2175 * t26099 / 0.3e1 - t1677 * t3190 * t5864 / 0.2e1 - t1677 * t14451 * t1364 / 0.2e1 - 0.2e1 / 0.3e1 * t866 * t555 * t25911 - t866 * t555 * t26357 / 0.3e1 + 0.18e2 * t162 * t26475 * t2218 + t3015 * t2294 * t25762 / 0.3e1 - 0.5e1 / 0.6e1 * t3015 * t11150 * t25766 - 0.3e1 * t1677 * t5967 * t12181 - 0.4e1 * t3039 * t548 * t20951 + 0.5e1 / 0.3e1 * t3015 * t10775 * t500 * t25752 - 0.2e1 / 0.3e1 * t3015 * t2169 * t1675 * t25757 + t2251 * t806 * t400 * t25852 + t2251 * t263 * t1868 * t26114 + 0.2e1 / 0.3e1 * t866 * t548 * t160 * t26356 + 0.4e1 / 0.3e1 * t866 * t548 * t347 * t5678 + 0.6e1 * t2251 * t3221 * t145 * t26122 + 0.2e1 * t2251 * t806 * t400 * t25824 - 0.2e1 / 0.3e1 * t3015 * t2169 * t500 * t25852 - t3015 * t2169 * t500 * t25847 / 0.3e1 - 0.5e1 / 0.2e1 * t2255 * t810 * t10255 * t25752 + 0.5e1 / 0.2e1 * t2251 * t810 * t10245 * t25752 - t17105 - t17107 + t27700 + t27073 + t26809 - 0.2e1 * t372 * t5913 - t3015 * t20271 / 0.6e1 - 0.5e1 / 0.18e2 * t4531 * t20276 - t3006 * t14500 / 0.3e1 - t103 * t5855 / 0.6e1 + t3006 * t14333 / 0.3e1 - 0.2e1 / 0.3e1 * t2988 * t21663 + 0.2e1 / 0.3e1 * t2988 * t21165 + t3015 * t21658 / 0.2e1 + t26681 - t259 * t15317 / 0.6e1 + t26777 + t26085 + t27103 + t26149 + t26703 + t27822 + t26980 + t26861 + t26652 + t27727 + 0.2e1 / 0.3e1 * t26105 * t10464 + t27919 + t27865 + t26857 + t26103 * t2176 - t1553 * t6029 + t2911 * t886 / 0.27e2 - t854 * t3359 - t854 * t3362 / 0.2e1 - t2918 * t886 / 0.6e1 - t838 * t3379 / 0.3e1 - t838 * t3383 / 0.3e1 - t1463 * t1356 / 0.9e1 - t1297 * t9272 - t5694 * t2074 - t5694 * t2077 / 0.2e1 - 0.3e1 * t25861 * t2083 + t259 * t14460 / 0.6e1 + t3015 * t21188 + 0.2e1 / 0.3e1 * t1297 * t9660 - t377 * t5903 / 0.12e2 - t25879 * t3504 + t27749 + t16187 + t26429 + t26540 + t27017 - t16064 + t26869 - t259 * t15309 / 0.6e1 - t259 * t15296 / 0.6e1 - t259 * t15302 / 0.3e1 - t369 * t5903 / 0.18e2 + t372 * t5907 / 0.6e1 - t369 * t6037 / 0.9e1 + t2902 * t890 / 0.3e1 - t1297 * t9030 / 0.6e1 + 0.2e1 / 0.3e1 * t1297 * t9176 + t1297 * t9590 / 0.3e1 - t1297 * t9179 / 0.3e1 + 0.4e1 / 0.9e1 * t3057 * t4523 + 0.2e1 * t3039 * t21433 - 0.2e1 / 0.9e1 * t3057 * t4519 + 0.14e2 / 0.9e1 * t25879 * t3569 + 0.6e1 * t25873 * t2325 - 0.2e1 / 0.9e1 * t3057 * t6095 - t843 * t2967 / 0.9e1 - t259 * t14753 / 0.3e1 - t14127 * t5947 / 0.9e1 + t27593 + t25928 + t27894 - 0.2e1 / 0.9e1 * t14008 * t5976 - t3588 + t3585 + t27622 + t26508 + t15667);
  tv4rho2tau20 = 0.2e1 * rho[0] * t27945 + 0.4e1 * t6183;

  if(out->v4rho2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 0] += tv4rho2tau20;

  t27950 = t296 * t6192;
  t27956 = t106 * t9926 * t122 * t9901;
  t27957 = t95 * t6191;
  t27958 = t160 * t27957;
  t27962 = t1502 * t6387;
  t27966 = t1426 * t3679;
  t27972 = t106 * t1415 * t122 * t9762;
  t27976 = t296 * t6196;
  t27980 = t510 * t6372;
  t27985 = t1711 * t160 * t3737;
  t27989 = t1505 * t15498;
  t27991 = t2255 * t582 * t27989;
  t27994 = t2251 * t3775 * t3637;
  t27995 = 0.3e1 / 0.2e1 * t6389 * t9166 + 0.3e1 / 0.2e1 * t162 * t27950 * t1506 + 0.47e2 / 0.3e1 * t27956 * t10653 * t27958 - 0.9e1 / 0.2e1 * t162 * t27962 * t9147 + 0.9e1 / 0.2e1 * t162 * t3493 * t27966 - 0.28e2 * t27972 * t2233 * t27958 - 0.3e1 * t162 * t27976 * t1541 + 0.6e1 * t162 * t27980 * t1671 - t922 * t27985 + t349 * t6340 / 0.2e1 + 0.3e1 * t27991 + t27994;
  t27997 = t2251 * t942 * t3641;
  t27998 = t908 * t929;
  t28000 = t2169 * t500 * t27998;
  t28001 = t9737 * t28000;
  t28002 = 0.2e1 / 0.3e1 * t28001;
  t28004 = t1677 * t15502 * t990;
  t28005 = t28004 / 0.2e1;
  t28006 = t205 * t908;
  t28008 = t3935 * t1556 * t28006;
  t28009 = t10863 * t28008;
  t28012 = t2265 * t2267 * t6308;
  t28014 = t1505 * t17148;
  t28018 = t10255 * t3625;
  t28027 = t3443 * t932;
  t28028 = t28027 / 0.18e2;
  t28029 = t2057 * t3507;
  t28035 = t27997 - t28002 - t28005 - 0.9e1 / 0.2e1 * t28009 - 0.3e1 / 0.2e1 * t28012 + 0.3e1 * t2255 * t582 * t28014 - 0.9e1 / 0.2e1 * t2255 * t949 * t28018 + 0.3e1 / 0.2e1 * t2265 * t15699 * t6313 + 0.3e1 / 0.2e1 * t17049 * t3638 + t28028 + 0.23e2 / 0.12e2 * t3502 * t28029 + t922 * t11944 + 0.2e1 * t546 * t17138;
  t28039 = t6191 * t9901;
  t28041 = t106 * t9926 * t28039;
  t28042 = t10649 * t561;
  t28053 = t10653 * t540;
  t28056 = t2324 * t3715;
  t28059 = t6191 * t9762;
  t28061 = t106 * t1415 * t28059;
  t28064 = t6244 * t122;
  t28065 = t1862 * t28064;
  t28073 = t6252 * t122;
  t28074 = t10255 * t28073;
  t28077 = t10245 * t28073;
  t28080 = -0.2e1 * t922 * t11955 + 0.89e2 / 0.9e1 * t28041 * t28042 + 0.7e1 / 0.3e1 * t6389 * t9196 - 0.7e1 * t6389 * t9193 + 0.7e1 * t3502 * t10691 - t6389 * t9169 / 0.2e1 - 0.38e2 / 0.9e1 * t28041 * t28053 - 0.3e1 / 0.2e1 * t3502 * t28056 + 0.6e1 * t28061 * t3580 - t2251 * t582 * t28065 / 0.2e1 + 0.9e1 / 0.2e1 * t15606 * t10733 * t1556 * t3463 - t2255 * t582 * t28074 + t2251 * t582 * t28077;
  t28081 = t1505 * t28064;
  t28085 = t10775 * t3464;
  t28107 = t138 * t6297;
  t28110 = t2255 * t582 * t28081 / 0.2e1 + 0.3e1 / 0.2e1 * t15606 * t28085 + t162 * t3707 * t3552 - t372 * t6188 / 0.2e1 + t3434 * t6332 / 0.6e1 - t3434 * t6336 / 0.3e1 + 0.5e1 / 0.3e1 * t28061 * t3748 - 0.2e1 * t6374 * t1440 + t6374 * t1510 + 0.3e1 / 0.2e1 * t1994 * t994 - 0.3e1 / 0.2e1 * t6389 * t10038 - 0.3e1 / 0.2e1 * t12082 * t978 - t127 * t28107 / 0.12e2;
  t28115 = t106 * t158 * t6295 * t159;
  t28133 = t10775 * t3626;
  t28136 = t10733 * t3464;
  t28139 = t15665 * t4268;
  t28140 = t28115 * t166 / 0.4e1 + 0.3e1 / 0.2e1 * t10026 * t6428 - 0.3e1 * t1553 * t6431 - 0.3e1 * t349 * t6415 + 0.3e1 / 0.2e1 * t349 * t6419 - t6389 * t9950 / 0.2e1 + 0.7e1 / 0.3e1 * t6389 * t9953 + t922 * t11920 - 0.4e1 / 0.3e1 * t15833 * t3616 - 0.3e1 / 0.4e1 * t17083 * t28133 + 0.5e1 / 0.12e2 * t15606 * t28136 + t28139;
  t28141 = t15665 * t4264;
  t28143 = t22 * t16360;
  t28144 = t28143 * t3936;
  t28146 = t22 * t16251;
  t28147 = t28146 * t3923;
  t28149 = t15665 * t4028;
  t28150 = t28143 * t3932;
  t28152 = t15665 * t4033;
  t28154 = t500 * t28006;
  t28155 = t3931 * t28154;
  t28156 = t10863 * t28155;
  t28159 = t1677 * t17065 * t1065;
  t28164 = t15953 * t3621;
  t28165 = t28164 / 0.6e1;
  t28172 = -0.2e1 * t28141 + 0.23e2 / 0.12e2 * t28144 + 0.3e1 * t28147 + t28149 - 0.11e2 / 0.6e1 * t28150 - t28152 / 0.2e1 + 0.7e1 * t28156 + 0.3e1 / 0.2e1 * t28159 - 0.2e1 * t2251 * t945 * t3641 + t28165 - t917 * t2038 / 0.2e1 + 0.3e1 / 0.2e1 * t3483 * t3650 + t917 * t2042 / 0.2e1;
  t28174 = t2036 * t3662;
  t28175 = t302 * t28174;
  t28179 = t2233 * t3565;
  t28190 = t911 * t2042;
  t28192 = t3610 * t3655;
  t28194 = t911 * t2038;
  t28196 = t2057 * t3565;
  t28201 = t538 * t28175 - 0.3e1 / 0.2e1 * t3727 * t3655 - 0.11e2 / 0.6e1 * t3502 * t28179 - t922 * t12216 / 0.2e1 + t922 * t12213 - t6374 * t1952 + t6374 * t1735 / 0.2e1 + 0.3e1 / 0.2e1 * t3483 * t3716 - t28190 / 0.4e1 + t28192 / 0.2e1 + t28194 / 0.4e1 - 0.5e1 / 0.12e2 * t3502 * t28196 - t922 * t11670 / 0.4e1;
  t28202 = t548 * t28174;
  t28207 = t9916 * t3463;
  t28211 = t10255 * t3463;
  t28215 = t205 * t6244;
  t28217 = t2169 * t500 * t28215;
  t28223 = t15956 * t4228;
  t28225 = t15956 * t3633;
  t28226 = t28225 / 0.3e1;
  t28227 = t15953 * t3627;
  t28228 = t28227 / 0.3e1;
  t28229 = t15665 * t3616;
  t28230 = t28229 / 0.6e1;
  t28231 = t96 * t28073;
  t28232 = t3624 * t28231;
  t28235 = t6252 * t326;
  t28237 = t15648 * t96 * t28235;
  t28240 = t2175 * t28154;
  t28241 = t10870 * t28240;
  t28243 = -t546 * t28202 / 0.2e1 + t922 * t11689 / 0.2e1 + 0.9e1 * t2255 * t3792 * t28207 - 0.9e1 / 0.2e1 * t2251 * t3792 * t28211 - t9737 * t28217 / 0.3e1 - t1677 * t2305 * t6344 / 0.4e1 + t28223 / 0.2e1 - t28226 - t28228 + t28230 + t2161 * t28232 / 0.3e1 + t2179 * t28237 / 0.2e1 - 0.6e1 * t28241;
  t28248 = t1677 * t17143 * t1057;
  t28252 = t400 * t17148;
  t28260 = t548 * t608 * t6544;
  t28261 = t1941 * t28260;
  t28262 = t610 * t3687;
  t28265 = t2251 * t16243 * t4254;
  t28268 = t2251 * t3775 * t4312;
  t28270 = t349 * t6350;
  t28273 = t162 * t3697 * t3513;
  t28275 = t1529 * t6309;
  t28277 = t372 * t6353;
  t28278 = t28277 / 0.6e1;
  t28279 = -0.3e1 / 0.2e1 * t28248 + t1677 * t15622 * t990 + 0.2e1 * t2251 * t576 * t28252 - 0.3e1 * t2251 * t3813 * t3637 + t28261 + 0.3e1 / 0.4e1 * t28262 + 0.9e1 / 0.2e1 * t28265 + 0.3e1 / 0.2e1 * t28268 - 0.3e1 / 0.2e1 * t28270 - 0.3e1 / 0.2e1 * t28273 - t28275 / 0.2e1 - t28278;
  t28290 = t16190 * t1005;
  t28292 = t16190 * t1016;
  t28294 = t16190 * t1010;
  t28296 = t372 * t6304;
  t28298 = t1529 * t6314 / 0.2e1 - t2010 * t991 / 0.4e1 + t525 * t6320 / 0.12e2 + t525 * t6325 / 0.36e2 + t3434 * t6328 / 0.12e2 - t28290 / 0.12e2 + t28292 / 0.3e1 - t28294 / 0.6e1 + t28296 / 0.2e1 - t3410 + t3430 - t3445 + t3460;
  t28301 = t106 * t333 * t6387;
  t28312 = t3487 * t3716;
  t28314 = t3487 * t4009;
  t28318 = t10526 * t561;
  t28323 = t2057 * t3663;
  t28329 = t22 * t16243 * t4292;
  t28331 = t15956 * t4295;
  t28333 = -0.3e1 * t28301 * t549 - t6396 * t305 / 0.2e1 - 0.3e1 / 0.2e1 * t3727 * t3730 + 0.2e1 * t106 * t109 * t6372 * t541 - t28312 / 0.4e1 - t28314 / 0.4e1 + 0.23e2 / 0.36e2 * t6389 * t9315 + 0.44e2 / 0.27e2 * t28041 * t28318 - 0.23e2 / 0.12e2 * t6389 * t9324 + 0.23e2 / 0.12e2 * t3502 * t28323 - 0.11e2 / 0.18e2 * t6389 * t9318 - 0.3e1 / 0.2e1 * t28329 - t28331 / 0.2e1;
  t28334 = t10649 * t540;
  t28339 = t96 * t17148;
  t28340 = t1684 * t28339;
  t28346 = t28146 * t3920;
  t28348 = t2233 * t3715;
  t28355 = -t913 + t984 - 0.61e2 / 0.27e2 * t28041 * t28334 + 0.11e2 / 0.6e1 * t6389 * t9268 - 0.2e1 / 0.3e1 * t2161 * t28340 + t15927 * t3633 + 0.2e1 / 0.3e1 * t15961 * t3627 + 0.3e1 / 0.2e1 * t28346 + t3489 - t3491 - 0.11e2 / 0.6e1 * t3502 * t28348 - t372 * t6345 / 0.12e2 + t372 * t6340 / 0.6e1;
  t28372 = t610 * t3698;
  t28374 = t610 * t3691;
  t28376 = t911 * t3739;
  t28377 = t28376 / 0.6e1;
  t28378 = t911 * t3734;
  t28379 = t28378 / 0.6e1;
  t28380 = t3610 * t4002;
  t28382 = 0.3e1 / 0.2e1 * t162 * t296 * t6200 * t1484 + t349 * t6348 - 0.23e2 / 0.3e1 * t28061 * t3613 - 0.2e1 * t6374 * t1720 + 0.4e1 * t6374 * t1713 - 0.6e1 * t3483 * t3664 + t6374 * t1660 - 0.3e1 / 0.2e1 * t28372 - 0.3e1 / 0.4e1 * t28374 + t28377 + t28379 + t28380 / 0.2e1;
  t28383 = t3610 * t3730;
  t28402 = t11249 * t540;
  t28405 = t9898 * t28039;
  t28406 = t9930 * t3593;
  t28410 = t1502 * t28059;
  t28415 = t9930 * t9905 * t122;
  t28419 = t9930 * t3494;
  t28423 = t28383 / 0.2e1 - t917 * t3734 / 0.3e1 - t917 * t3739 / 0.3e1 + t6396 * t493 / 0.2e1 - 0.9e1 * t1972 * t3595 + 0.7e1 * t3502 * t2233 * t3507 - 0.9e1 / 0.2e1 * t3502 * t2057 * t1970 * t539 + 0.9e1 / 0.2e1 * t11870 * t3496 - 0.2e1 * t28041 * t28402 + 0.6e1 * t162 * t28405 * t28406 - 0.18e2 * t162 * t28410 * t3576 + 0.18e2 * t1565 * t28405 * t28415 - 0.18e2 * t509 * t28405 * t28419;
  t28426 = t9930 * t9935 * t122;
  t28437 = t15665 * t4233;
  t28439 = t28143 * t4236;
  t28441 = t15665 * t4036;
  t28445 = t15640 * t3464;
  t28448 = t96 * t28064;
  t28449 = t2294 * t28448;
  t28452 = t908 * t122;
  t28453 = t1571 * t28452;
  t28455 = t2255 * t2370 * t28453;
  t28457 = -0.6e1 * t9944 * t28405 * t28426 - 0.9e1 * t610 * t3573 + 0.9e1 * t1972 * t3683 + 0.36e2 * t509 * t28410 * t3594 + t3586 - t3589 + t28437 / 0.2e1 - 0.5e1 / 0.12e2 * t28439 - t28441 / 0.4e1 - 0.3e1 / 0.2e1 * t17049 * t3478 + t2168 * t28445 / 0.2e1 + t2168 * t28449 / 0.6e1 - 0.9e1 * t28455;
  t28458 = t9911 * t3463;
  t28465 = t2251 * t3780 * t3477;
  t28466 = t1566 * t28452;
  t28468 = t4277 * t2370 * t28466;
  t28471 = t2255 * t3780 * t17113;
  t28473 = t2255 * t16251 * t18961;
  t28476 = t2251 * t16251 * t4286;
  t28487 = t368 * t6388;
  t28492 = -0.9e1 / 0.2e1 * t4277 * t3792 * t28458 + 0.3e1 / 0.2e1 * t17046 * t3474 - t28465 + 0.9e1 / 0.2e1 * t28468 + t28471 + 0.9e1 * t28473 - 0.9e1 * t28476 - 0.8e1 * t2255 * t3803 * t17113 + t2010 * t994 / 0.2e1 - t12075 * t978 / 0.2e1 + t372 * t6435 / 0.2e1 - t28487 * t1558 / 0.2e1 + t3434 * t1967 / 0.3e1;
  t28512 = t2010 * t982;
  t28521 = 0.7e1 / 0.9e1 * t28487 * t1520 - t28487 * t1515 / 0.6e1 + t372 * t6419 / 0.2e1 - t372 * t6415 - t3434 * t1963 / 0.6e1 - 0.5e1 / 0.108e3 * t28487 * t1429 - t525 * t3411 / 0.12e2 + t17278 * t223 / 0.4e1 + t28512 / 0.4e1 - t368 * t6395 * t139 / 0.6e1 + 0.23e2 / 0.108e3 * t28487 * t1548 - 0.11e2 / 0.54e2 * t28487 * t1545;
  t28522 = t368 * t6373;
  t28527 = t11150 * t28231;
  t28530 = t15665 * t3465;
  t28531 = t28530 / 0.3e1;
  t28532 = t28143 * t3939;
  t28535 = t2251 * t16360 * t4271;
  t28539 = -0.2e1 / 0.3e1 * t28522 * t502 + t28522 * t497 / 0.3e1 - t3603 - t3605 + t3607 + t3612 + t6301 + t6303 - t2168 * t28527 / 0.3e1 + t28531 - 0.3e1 / 0.2e1 * t28532 + 0.9e1 / 0.2e1 * t28535 - t15961 * t3621 / 0.3e1;
  t28541 = t608 * t6563;
  t28542 = t548 * t28541;
  t28556 = t1648 * t342 * t3550;
  t28563 = t507 * t27957;
  t28564 = t2057 * t28563;
  t28573 = t1553 * t6309;
  t28576 = t509 * t2118 * t6308;
  t28578 = -0.6e1 * t15553 * t28542 - 0.3e1 / 0.2e1 * t610 * t3712 - 0.3e1 / 0.4e1 * t1994 * t991 - 0.3e1 * t610 * t3514 + 0.9e1 / 0.2e1 * t610 * t3704 + 0.3e1 / 0.2e1 * t1553 * t6314 + 0.3e1 / 0.2e1 * t509 * t3520 * t28556 - 0.6e1 * t509 * t27980 * t1666 + 0.18e2 * t27972 * t28564 + 0.3e1 * t509 * t27976 * t1537 + 0.9e1 * t509 * t3572 * t3680 - 0.3e1 / 0.2e1 * t28573 - 0.3e1 / 0.2e1 * t28576;
  t28579 = t349 * t6353;
  t28580 = t28579 / 0.2e1;
  t28582 = t162 * t3690 * t3552;
  t28583 = t28582 / 0.2e1;
  t28587 = t6244 * t326;
  t28588 = t1868 * t28587;
  t28592 = t10240 * t28235;
  t28596 = t929 * t3550;
  t28597 = t1868 * t28596;
  t28600 = t400 * t28064;
  t28604 = t205 * t6252;
  t28606 = t10775 * t500 * t28604;
  t28613 = t2169 * t1675 * t3619;
  t28615 = t1868 * t28073;
  t28622 = -t28580 - t28583 - t22 * t6296 * t194 / 0.4e1 + t2251 * t212 * t28588 / 0.2e1 - 0.3e1 / 0.2e1 * t2251 * t212 * t28592 + t2251 * t212 * t28597 + t2251 * t576 * t28600 / 0.2e1 + 0.2e1 / 0.3e1 * t9737 * t28606 + t1677 * t2305 * t6339 / 0.2e1 - t17083 * t28613 - t2251 * t576 * t28615 - t922 * t12047 / 0.2e1 - t533 * t3411 / 0.4e1;
  t28631 = t1994 * t982;
  t28647 = -t208 * t17389 / 0.4e1 + 0.3e1 / 0.4e1 * t3416 * t631 + 0.3e1 / 0.4e1 * t17384 * t223 + 0.3e1 / 0.4e1 * t28631 - t6396 * t380 / 0.2e1 - 0.11e2 / 0.18e2 * t6389 * t10055 + 0.23e2 / 0.36e2 * t6389 * t10090 - t1529 * t6431 + t9774 * t6428 / 0.2e1 - t2010 * t986 / 0.2e1 + t1529 * t6438 - 0.3e1 / 0.2e1 * t1994 * t986;
  t28652 = t911 * t1999;
  t28664 = t10526 * t540;
  t28667 = t15805 * t539;
  t28668 = t548 * t28667;
  t28678 = 0.3e1 / 0.2e1 * t349 * t6435 + 0.3e1 * t1553 * t6438 - t28652 / 0.4e1 + t6374 * t1451 / 0.2e1 - t922 * t11912 / 0.4e1 + t917 * t1999 / 0.2e1 - 0.5e1 / 0.36e2 * t6389 * t10123 + 0.5e1 / 0.12e2 * t6389 * t9599 - 0.35e2 / 0.108e3 * t28041 * t28664 - t546 * t28668 / 0.4e1 - t208 * t16865 / 0.4e1 + t162 * t2157 * t6339 / 0.2e1 - t349 * t6345 / 0.4e1;
  t28681 = t1648 * t404 * t3550;
  t28685 = t1649 * t3733;
  t28688 = t1649 * t3738;
  t28692 = t1711 * t347 * t930;
  t28698 = t1972 * t3587;
  t28700 = t610 * t3584;
  t28711 = t1426 * t1427 * t530;
  t28715 = -0.3e1 / 0.2e1 * t162 * t3520 * t28681 + t922 * t28685 / 0.2e1 + t922 * t28688 / 0.2e1 - t922 * t28692 - 0.3e1 / 0.2e1 * t349 * t6188 - t3446 * t932 / 0.9e1 - 0.3e1 / 0.2e1 * t28698 + 0.3e1 / 0.2e1 * t28700 - 0.3e1 / 0.2e1 * t17410 * t623 + 0.3e1 / 0.2e1 * t3416 * t646 + 0.9e1 / 0.2e1 * t610 * t3577 - t103 * t6297 / 0.12e2 + 0.9e1 / 0.2e1 * t1565 * t3493 * t28711;
  t28720 = t10526 * t1563 * t27957;
  t28723 = t1711 * t3733;
  t28726 = t1711 * t3738;
  t28732 = t490 * t1726 * t6323;
  t28739 = t1592 * t920;
  t28743 = t321 * t909;
  t28745 = 0.2e1 * t28743 * t328;
  t28746 = t1592 * t3485;
  t28748 = 0.4e1 / 0.3e1 * t28746 * t622;
  t28754 = t321 * t915;
  t28757 = t1592 * t3481;
  t28762 = -0.2e1 * t3535 * t3552 + 0.8e1 * t3532 * t3557 - 0.8e1 * t28739 * t1671 - 0.4e1 * t3638 - t28745 + t28748 - 0.8e1 * t3529 * t3513 + 0.12e2 * t321 * t920 * t636 + 0.4e1 * t28754 * t328 - 0.8e1 * t28757 * t622 + 0.8e1 / 0.3e1 * t3532 * t3680;
  t28765 = t9383 * t3492;
  t28770 = t321 * t3608;
  t28772 = 0.4e1 * t28770 * t636;
  t28780 = 0.4e1 * t28746 * t645;
  t28787 = -0.8e1 / 0.3e1 * t28739 * t1666 + 0.16e2 / 0.9e1 * t28765 * t3495 - 0.2e1 * t16284 * t990 - t28772 + 0.32e2 / 0.3e1 * t28765 * t3594 - 0.2e1 / 0.3e1 * t3474 + 0.12e2 * t28765 * t3576 + 0.4e1 * t3478 + t28780 - 0.24e2 * t28757 * t645 + 0.4e1 * t3529 * t15474 + 0.4e1 * t3535 * t15470;
  t28794 = 0.2e1 / 0.3e1 * t3523 * t6308;
  t28795 = t941 * t311;
  t28797 = 0.4e1 * t28795 * t636;
  t28799 = 0.2e1 * t960 * t328;
  t28802 = t948 * t1445;
  t28807 = t3791 * t1418;
  t28810 = -0.4e1 / 0.3e1 * t3532 * t16976 - 0.4e1 * t3532 * t16984 - t6237 + t6225 + t28794 + t28797 + t28799 + 0.4e1 / 0.3e1 * t3547 * t3680 - 0.4e1 * t28802 * t622 - 0.4e1 / 0.3e1 * t957 * t1666 + 0.2e2 / 0.9e1 * t28807 * t3495;
  t28826 = t3779 * t335;
  t28828 = 0.4e1 * t28826 * t645;
  t28836 = -0.8e1 * t3547 * t3557 + 0.8e1 * t957 * t1671 + 0.8e1 * t3542 * t3513 - 0.12e2 * t944 * t335 * t636 - 0.4e1 * t963 * t328 + 0.2e1 * t594 * t990 + 0.2e1 * t214 * t3552 - t28828 + 0.24e2 * t28802 * t645 - 0.12e2 * t28807 * t3576 + 0.4e1 / 0.3e1 * t28807 * t3594 - 0.4e1 * t3642;
  t28838 = t28762 + t28787 + t28810 + t28836;
  t28841 = t490 * t303 * t95 * t28838;
  t28845 = t490 * t11659 * t930;
  t28849 = t490 * t2036 * t3737;
  t28860 = -0.9e1 / 0.2e1 * t1565 * t27962 * t9116 + 0.8e1 * t27956 * t28720 + t922 * t28723 / 0.4e1 + t922 * t28726 / 0.4e1 + t533 * t6325 / 0.12e2 + t208 * t28732 / 0.12e2 + t208 * t28841 / 0.12e2 + t208 * t28845 / 0.4e1 + t208 * t28849 / 0.4e1 - 0.3e1 / 0.4e1 * t610 * t3694 - 0.3e1 / 0.4e1 * t610 * t3553 + t533 * t6320 / 0.4e1 + 0.3e1 / 0.2e1 * t610 * t3708;
  t28865 = t2251 * t3780 * t4309;
  t28867 = t2169 * t3620;
  t28870 = t1862 * t17148;
  t28877 = t10245 * t3625;
  t28881 = t914 * t929;
  t28882 = t500 * t28881;
  t28889 = t2294 * t28339;
  t28893 = t3689 - t3693 - t3700 - 0.3e1 * t28865 + t17083 * t28867 / 0.4e1 - 0.3e1 * t2251 * t582 * t28870 + 0.8e1 * t2251 * t3803 * t3477 + 0.9e1 / 0.2e1 * t2251 * t949 * t28877 - 0.7e1 * t10863 * t10936 * t28882 - 0.3e1 / 0.2e1 * t1677 * t15699 * t6187 + t2168 * t28889 - 0.8e1 / 0.3e1 * t15833 * t3465;
  t28894 = t11150 * t3626;
  t28897 = t10936 * t3464;
  t28900 = t2294 * t3620;
  t28907 = t16185 * t1002;
  t28911 = t948 * t11515;
  t28912 = t423 * t3765;
  t28915 = t1829 * t3759;
  t28918 = t62 * t6252;
  t28919 = t28918 * t122;
  t28920 = t149 * t28919;
  t28923 = t941 * t3763;
  t28924 = t28923 * t3766;
  t28925 = 0.4e1 * t28924;
  t28926 = t16722 * t3769;
  t28927 = 0.2e1 / 0.3e1 * t28926;
  t28928 = t16722 * t4145;
  t28930 = t3758 * t530;
  t28931 = t410 * t28930;
  t28934 = t410 * t3765;
  t28937 = t1837 * t3759;
  t28941 = t941 * t4148 * t4151;
  t28943 = t16739 * t4154;
  t28945 = t3780 * t4116;
  t28947 = t16360 * t4102;
  t28951 = t1505 * t3783;
  t28955 = t1571 * t3809;
  t28958 = 0.32e2 * t16618 * t3772 + 0.18e2 * t28911 * t28912 + 0.2e1 * t16546 * t28915 - 0.4e1 * t11509 * t28920 + t28925 + t28927 - 0.12e2 * t28928 + 0.2e1 * t2352 * t28931 - 0.3e1 * t28911 * t28934 + t16546 * t28937 / 0.3e1 + 0.18e2 * t28941 + 0.6e1 * t28943 + 0.6e1 * t28945 + 0.1e2 * t28947 + 0.2e1 * t574 * t6282 + t949 * t28951 + 0.24e2 * t6206 * t1863 - 0.2e1 * t3792 * t28955;
  t28962 = t9897 * t6191 * t9904;
  t28963 = t9945 * t577;
  t28966 = t965 * t530;
  t28967 = t1862 * t28966;
  t28970 = t10245 * t3806;
  t28973 = t3780 * t4106;
  t28979 = t6192 * t9763;
  t28982 = t1566 * t3809;
  t28985 = t16251 * t4090;
  t28987 = t3780 * t3831;
  t28991 = t62 * t6244;
  t28992 = t28991 * t122;
  t28993 = t149 * t28992;
  t28997 = t149 * t28991 * t326;
  t29000 = t410 * t28992;
  t29004 = t149 * t28918 * t326;
  t29008 = t149 * t3758 * t3550;
  t29011 = t6209 * t10230 / 0.3e1 - t28962 * t28963 / 0.9e1 + 0.6e1 * t582 * t28967 - 0.9e1 * t949 * t28970 - 0.4e1 * t28973 + 0.6e1 * t3803 * t3820 - 0.4e1 * t6206 * t1849 + 0.4e1 / 0.3e1 * t28979 * t3827 - t3792 * t28982 / 0.3e1 + 0.18e2 * t28985 + 0.6e1 * t28987 - 0.36e2 * t3803 * t3831 + t943 - t962 + 0.2e1 * t2345 * t28993 + 0.2e1 * t3764 * t28997 + t2352 * t29000 / 0.3e1 - 0.6e1 * t16685 * t29004 + 0.4e1 * t3764 * t29008;
  t29013 = t410 * t28919;
  t29016 = t423 * t28930;
  t29019 = t16739 * t3760;
  t29020 = 0.4e1 * t29019;
  t29023 = t16722 * t4162;
  t29025 = t16359 * t4165;
  t29026 = t29025 * t4167;
  t29028 = t149 * t28930;
  t29036 = t423 * t28919;
  t29041 = t3779 * t4157;
  t29042 = t29041 * t4159;
  t29044 = t29025 * t4172;
  t29046 = -0.2e1 / 0.3e1 * t11516 * t29013 - 0.12e2 * t2352 * t29016 + t29020 + t6205 - t6261 + t6263 + t6264 - 0.16e2 / 0.3e1 * t16618 * t3769 + 0.2e1 * t29023 - t29026 / 0.3e1 + 0.8e1 * t2345 * t29028 - 0.12e2 * t16631 * t3760 - 0.8e1 * t944 * t11508 * t3766 + 0.4e1 * t11516 * t29036 - 0.18e2 * t16546 * t3769 + 0.6e1 * t29042 - 0.2e1 * t29044 + t6268;
  t29047 = t9911 * t577;
  t29050 = t9916 * t577;
  t29053 = t6196 * t9841;
  t29056 = t10255 * t3786;
  t29061 = t6245 * t122;
  t29062 = t1862 * t29061;
  t29064 = t6253 * t122;
  t29065 = t10245 * t29064;
  t29072 = t9906 * t577;
  t29075 = t3780 * t3799;
  t29076 = 0.2e1 * t29075;
  t29077 = t16360 * t4076;
  t29079 = -t6272 - t6278 - t6280 - t3777 - t3778 - t3782 + t3802 + 0.8e1 / 0.3e1 * t28962 * t29047 + 0.24e2 * t28962 * t29050 + 0.72e2 * t29053 * t587 + 0.9e1 * t3792 * t29056 - 0.72e2 * t28979 * t3796 + t582 * t29062 - 0.2e1 * t582 * t29065 - 0.16e2 * t3803 * t3799 + 0.8e1 * t28979 * t3793 - 0.4e1 / 0.3e1 * t28962 * t29072 + t29076 - 0.9e1 * t29077;
  t29086 = t9911 * t590;
  t29089 = t3780 * t3852;
  t29101 = t1505 * t3851;
  t29106 = t3775 * t3869;
  t29108 = t942 * t3848;
  t29109 = t6200 * t9879;
  t29112 = -t3841 + t3866 + t3868 + t3873 + 0.36e2 * t28979 * t3844 + 0.9e1 * t6209 * t10409 + 0.5e2 / 0.3e1 * t28962 * t29086 - 0.3e1 * t29089 + 0.18e2 * t3803 * t3852 - 0.9e1 * t3813 * t3869 - 0.36e2 * t29053 * t601 - 0.12e2 * t6206 * t1908 - 0.4e2 * t28979 * t3858 - 0.9e1 * t3792 * t29101 - 0.2e1 * t945 * t3848 + 0.3e1 * t29106 + t29108 + 0.12e2 * t29109 * t597;
  t29118 = t400 * t60 * t28838;
  t29123 = t1505 * t3847;
  t29132 = t1566 * t3851;
  t29137 = t1571 * t3851;
  t29141 = t1862 * t3847;
  t29144 = t3780 * t3861;
  t29148 = t9906 * t590;
  t29153 = t1505 * t3809;
  t29158 = 0.3e1 * t6256 * t420 + 0.24e2 * t29053 * t591 + t212 * t29118 / 0.2e1 + t574 * t6246 / 0.2e1 - 0.2e1 * t949 * t29123 - 0.12e2 * t3803 * t3861 + 0.8e1 * t6206 * t1880 - 0.2e1 / 0.3e1 * t28979 * t3838 + t3792 * t29132 / 0.6e1 - t6209 * t10345 / 0.6e1 + 0.1e2 * t3792 * t29137 - t574 * t6254 + 0.3e1 * t949 * t29141 + 0.2e1 * t29144 - 0.1e2 * t6209 * t10337 + 0.1e2 / 0.3e1 * t28962 * t29148 + 0.2e1 * t6209 * t10274 + 0.18e2 * t3792 * t29153 - 0.18e2 * t6209 * t10259;
  t29160 = t16251 * t4083;
  t29162 = t3775 * t3836;
  t29163 = 0.2e1 * t29162;
  t29164 = t942 * t3807;
  t29165 = 0.2e1 * t29164;
  t29166 = t3780 * t3787;
  t29167 = 0.4e1 / 0.3e1 * t29166;
  t29168 = t3775 * t4112;
  t29170 = t1862 * t3783;
  t29173 = t9916 * t3786;
  t29176 = t16243 * t4109;
  t29180 = t400 * t29061;
  t29183 = t1868 * t6245 * t326;
  t29185 = t10255 * t29064;
  t29189 = t400 * t63 * t28838;
  t29191 = t400 * t28966;
  t29198 = t1868 * t29064;
  t29201 = t1505 * t29061;
  t29204 = t1505 * t28966;
  t29207 = -0.12e2 * t29160 - t29163 - t29165 - t29167 - 0.3e1 * t29168 - 0.6e1 * t949 * t29170 - 0.1e2 * t3792 * t29173 - 0.9e1 * t29176 + 0.32e2 / 0.3e1 * t3803 * t3787 - t576 * t29180 - t212 * t29183 + 0.4e1 / 0.3e1 * t582 * t29185 - t212 * t29189 - 0.4e1 * t576 * t29191 + 0.6e1 * t3813 * t3836 + 0.4e1 * t945 * t3807 + 0.2e1 * t576 * t29198 - 0.2e1 / 0.3e1 * t582 * t29201 - 0.4e1 * t582 * t29204;
  t29208 = t10255 * t3806;
  t29211 = t9911 * t3786;
  t29222 = t10240 * t6253 * t326;
  t29226 = t1868 * t965 * t3550;
  t29229 = t942 * t3784;
  t29230 = 0.2e1 * t29229;
  t29233 = t3780 * t3820;
  t29234 = t16360 * t4119;
  t29238 = t3775 * t3810;
  t29240 = t16722 * t3772;
  t29241 = 0.4e1 * t29240;
  t29242 = t423 * t28992;
  t29245 = t29041 * t4179;
  t29247 = t29025 * t4159;
  t29249 = t9916 * t590;
  t29252 = 0.6e1 * t949 * t29208 - t3792 * t29211 / 0.6e1 - t574 * t6270 - 0.24e2 * t29109 * t578 - 0.6e1 * t6256 * t402 - 0.12e2 * t29053 * t583 + 0.3e1 * t212 * t29222 - 0.2e1 * t212 * t29226 - t29230 + 0.4e1 * t945 * t3784 - t29233 + t29234 / 0.6e1 + 0.18e2 * t3813 * t3810 - 0.6e1 * t29238 - t29241 - 0.2e1 * t2352 * t29242 - 0.36e2 * t29245 + 0.18e2 * t29247 - 0.12e2 * t28962 * t29249;
  t29264 = -0.3e1 / 0.2e1 * t17083 * t28894 + 0.11e2 / 0.6e1 * t15606 * t28897 + t17083 * t28900 / 0.2e1 + 0.3e1 / 0.4e1 * t3416 * t627 - 0.3e1 / 0.2e1 * t3416 * t637 + t28907 / 0.6e1 - t22 * t59 * (t28958 + t29011 + t29046 + t29079 + t29112 + t29158 + t29207 + t29252) * t96 / 0.4e1 + t6306 - t6311 - t6352 - t6355 + 0.22e2 / 0.3e1 * t28061 * t3560 - 0.6e1 * t28301 * t556;
  t29270 = t3487 * t3664;
  t29271 = t3487 * t4203;
  t29272 = t3487 * t3755;
  t29274 = t3487 * t4208;
  t29286 = -0.2e1 * t6374 * t1650 + 0.3e1 * t3483 * t3755 + t29270 + t29271 - t29272 / 0.2e1 - t29274 / 0.2e1 + 0.3e1 / 0.2e1 * t610 * t3517 - 0.3e1 * t610 * t3521 + 0.3e1 * t610 * t3558 + 0.3e1 * t1972 * t3672 - 0.3e1 / 0.2e1 * t1972 * t3676 - t6357 + t6358;
  t29287 = t302 * t28667;
  t29297 = t510 * t6387;
  t29311 = t162 * t3583 * t3557;
  t29313 = t349 * t6304;
  t29318 = t10649 * t28563;
  t29321 = -t6360 + t538 * t29287 / 0.2e1 + t208 * t15807 / 0.4e1 - 0.3e1 / 0.4e1 * t3416 * t641 + t1941 * t548 * t3414 * t1000 + 0.18e2 * t162 * t29297 * t645 - 0.18e2 * t1565 * t28410 * t3495 - 0.18e2 * t509 * t29297 * t622 - 0.9e1 * t162 * t3572 * t3557 + 0.3e1 / 0.2e1 * t29311 + 0.3e1 / 0.2e1 * t29313 + 0.9e1 * t509 * t27962 * t9141 - 0.62e2 / 0.3e1 * t27956 * t29318;
  t29328 = t1426 * t1518 * t530;
  t29335 = t555 * t28174;
  t29341 = t2057 * t3715;
  t29346 = t17371 * t6652;
  t29350 = t10925 * t3464;
  t29353 = -0.3e1 * t509 * t27950 * t1572 - 0.9e1 * t509 * t3493 * t29328 + 0.3e1 / 0.2e1 * t1565 * t27950 * t1567 - t6380 + t6382 - t546 * t29335 + 0.3e1 * t3483 * t3566 - 0.5e1 / 0.36e2 * t6389 * t9711 - 0.5e1 / 0.12e2 * t3502 * t29341 + 0.3e1 / 0.2e1 * t17049 * t3642 - t9737 * t29346 - 0.3e1 / 0.4e1 * t10930 * t3630 - t2161 * t29350 / 0.2e1;
  t29354 = t1868 * t218;
  t29355 = t29354 * t3626;
  t29358 = t17371 * t3464;
  t29361 = t10925 * t3620;
  t29364 = t1684 * t28448;
  t29368 = t3624 * t96 * t28587;
  t29371 = t2169 * t28448;
  t29376 = t1684 * t169 * t193 * t6244;
  t29379 = t2169 * t28339;
  t29384 = t10526 * t3503;
  t29393 = -t2179 * t29355 / 0.2e1 + t2168 * t29358 / 0.4e1 + t2179 * t29361 / 0.4e1 - t2161 * t29364 / 0.6e1 - t2179 * t29368 / 0.6e1 + t2168 * t29371 / 0.12e2 + t2179 * t29376 / 0.12e2 + t2168 * t29379 / 0.2e1 - 0.3e1 * t1972 * t3681 - 0.43e2 / 0.9e1 * t28041 * t29384 - 0.3e1 / 0.2e1 * t6389 * t9105 - 0.9e1 / 0.2e1 * t3502 * t11768 + 0.9e1 / 0.2e1 * t6389 * t9101;
  t29398 = t1637 * t1726 * t6363;
  t29407 = t320 * t137 * t28838;
  t29418 = t163 * t6394;
  t29424 = t548 * t27958;
  t29427 = t372 * t6350;
  t29431 = t3487 * t3566;
  t29433 = t555 * t28667;
  t29436 = -t525 * t6365 / 0.18e2 - t208 * t29398 / 0.6e1 - t533 * t6365 / 0.6e1 - t162 * t2157 * t6344 / 0.4e1 - t162 * t640 * t29407 / 0.4e1 + 0.9e1 / 0.2e1 * t162 * t3703 * t3513 - 0.6e1 * t162 * t163 * t6372 * t636 - 0.3e1 / 0.2e1 * t162 * t29418 * t328 + 0.12e2 * t106 * t333 * t15537 * t29424 - t29427 / 0.2e1 + t372 * t6348 / 0.3e1 - t29431 / 0.2e1 - t546 * t29433 / 0.2e1;
  t29437 = t2324 * t3565;
  t29440 = t3487 * t3650;
  t29447 = t10775 * t500 * t3625;
  t29450 = t10733 * t3468;
  t29454 = t3624 * t96 * t28596;
  t29457 = t10775 * t28231;
  t29462 = t3624 * t169 * t193 * t6252;
  t29465 = t3443 * t569;
  t29473 = -0.3e1 / 0.2e1 * t3502 * t29437 - t29440 / 0.4e1 - 0.2e1 * t2168 * t17150 + 0.16e2 / 0.3e1 * t15833 * t3469 + 0.3e1 * t17083 * t29447 - 0.23e2 / 0.12e2 * t15606 * t29450 - t2179 * t29454 / 0.3e1 - t2168 * t29457 / 0.6e1 - t2179 * t29462 / 0.6e1 - t29465 / 0.12e2 - t3434 * t2002 / 0.12e2 + t28522 * t344 / 0.6e1 + t3446 * t569 / 0.6e1;
  t29479 = my_piecewise3(t3, 0, t28457 + t29473 + t29286 + t27995 + t29321 + t28423 + t28140 + t28355 + t28678 + t28035 + t28080 + t28539 + t28201 + t28622 + t28172 + t28298 + t28893 + t28715 + t29393 + t28110 + t28333 + t28382 + t28279 + t28647 + t28521 + t28578 + t29264 + t29436 + t28492 + t29353 + t28860 + t28243);
  tv4rhosigma30 = 0.2e1 * rho[0] * t29479 + 0.2e1 * t6444;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  t29482 = t1529 * t6584;
  t29483 = t29482 / 0.6e1;
  t29486 = t372 * t6645;
  t29487 = t29486 / 0.6e1;
  t29492 = t2557 * t6575;
  t29493 = t29492 / 0.18e2;
  t29498 = t372 * t6640;
  t29499 = t29498 / 0.6e1;
  t29502 = t2550 * t6575;
  t29503 = t29502 / 0.6e1;
  t29504 = t1726 * t6544;
  t29505 = t302 * t29504;
  t29506 = t666 * t29505;
  t29507 = t29506 / 0.6e1;
  t29510 = t1726 * t6563;
  t29511 = t548 * t29510;
  t29517 = t18442 * t539;
  t29518 = t548 * t29517;
  t29521 = t3472 * t122;
  t29522 = t400 * t29521;
  t29526 = -t29483 - t372 * t6581 / 0.12e2 - t29487 - t654 * t6365 / 0.18e2 + t12467 * t6578 / 0.6e1 + t29493 + t2557 * t6572 / 0.9e1 + t654 * t6325 / 0.36e2 + t29499 + t666 * t28175 / 0.3e1 + t29503 + t29507 + t12481 * t6578 / 0.2e1 + t2611 * t29511 / 0.2e1 - t3908 * t637 - t3908 * t641 / 0.2e1 - t546 * t29518 / 0.6e1 - 0.3e1 * t2251 * t2765 * t29522;
  t29527 = t3472 * t326;
  t29529 = t10775 * t500 * t29527;
  t29532 = t500 * t29521;
  t29533 = t10733 * t29532;
  t29536 = t3619 * t205;
  t29538 = t2169 * t1675 * t29536;
  t29540 = t1868 * t29527;
  t29545 = t320 * t1056 * t929;
  t29548 = t9916 * t29521;
  t29552 = 0.2e1 * t27991;
  t29553 = 0.3e1 * t28009;
  t29562 = 0.3e1 * t2632 * t29529 - 0.23e2 / 0.12e2 * t3930 * t29533 - t2632 * t29538 - 0.2e1 * t2251 * t693 * t29540 + t1677 * t2698 * t29545 + 0.9e1 * t2255 * t2782 * t29548 + t29552 + t27994 + t27997 - t28002 - t28005 - t29553 - t28012 - t10930 * t4322 / 0.2e1 + t17049 * t4298 + t17049 * t4301 - t10930 * t4316 + 0.3e1 * t17049 * t4255 + t17049 * t4313;
  t29564 = t17367 * t7379;
  t29567 = t9743 * t6648;
  t29572 = t96 * t15725;
  t29573 = t1684 * t29572;
  t29576 = t1566 * t218;
  t29584 = t10910 * t6648;
  t29591 = t22 * t9897 * t122 * t9904;
  t29592 = t230 * t914;
  t29593 = t500 * t29592;
  t29597 = t10255 * t15528;
  t29601 = t1505 * t15508;
  t29605 = t914 * t122;
  t29606 = t1505 * t29605;
  t29610 = t1862 * t15725;
  t29617 = t1571 * t15508;
  t29624 = t9916 * t15528;
  t29628 = t1571 * t29605;
  t29632 = -0.4e1 * t10870 * t29564 - t2674 * t29567 / 0.3e1 - t2674 * t28340 / 0.3e1 - t2674 * t29573 / 0.3e1 - 0.3e1 * t3930 * t29576 * t3945 + t2632 * t28449 / 0.6e1 + t12238 * t6661 / 0.4e1 + t2632 * t29584 / 0.4e1 + 0.2e1 * t17046 * t4304 + 0.47e2 / 0.3e1 * t29591 * t10733 * t29593 - 0.9e1 / 0.2e1 * t2251 * t2782 * t29597 + 0.3e1 * t2251 * t2782 * t29601 - 0.18e2 * t2251 * t13195 * t29606 - 0.3e1 / 0.2e1 * t2251 * t697 * t29610 - 0.3e1 / 0.2e1 * t2251 * t697 * t28870 - 0.6e1 * t2255 * t2782 * t29617 - 0.3e1 * t2265 * t13456 * t6681 + 0.9e1 * t2255 * t2782 * t29624 + 0.36e2 * t2255 * t13195 * t29628;
  t29634 = t22 * t10861 * t9763;
  t29641 = t1862 * t15528;
  t29645 = t405 * t15508;
  t29649 = t405 * t29605;
  t29654 = t490 * t2571 * t3737;
  t29657 = t2600 * t6546;
  t29658 = t29657 / 0.3e1;
  t29668 = t548 * t3414 * t1208;
  t29673 = t719 * t3698;
  t29674 = t29673 / 0.2e1;
  t29675 = t96 * t28452;
  t29676 = t2182 * t29675;
  t29677 = t3917 * t29676;
  t29678 = t96 * t15498;
  t29679 = t2294 * t29678;
  t29680 = t2632 * t29679;
  t29681 = t29680 / 0.3e1;
  t29682 = t96 * t29605;
  t29683 = t2182 * t29682;
  t29688 = -0.28e2 * t29634 * t3931 * t29593 - 0.3e1 * t1677 * t13588 * t6687 + 0.6e1 * t2251 * t2776 * t29641 - 0.6e1 * t2251 * t2776 * t29645 + 0.18e2 * t2251 * t13205 * t29649 + t28028 + t208 * t29654 / 0.12e2 + t29658 + t533 * t6541 / 0.12e2 + t917 * t2666 / 0.6e1 - t3416 * t742 / 0.2e1 - t3416 * t746 / 0.4e1 + t1941 * t29668 / 0.3e1 + t3416 * t734 / 0.4e1 - t29674 + t29677 + t29681 - 0.6e1 * t18149 * t29683 - t3434 * t2476 / 0.36e2;
  t29697 = t2538 * t982;
  t29698 = t29697 / 0.4e1;
  t29705 = t2483 * t982;
  t29706 = t29705 / 0.12e2;
  t29721 = t3443 * t686;
  t29722 = t29721 / 0.36e2;
  t29727 = -t654 * t3411 / 0.36e2 + t19567 * t223 / 0.2e1 + t3416 * t738 / 0.4e1 + t29698 + t17384 * t248 / 0.4e1 - t922 * t13025 / 0.6e1 - t208 * t19562 / 0.6e1 + t29706 + t17278 * t248 / 0.12e2 + t917 * t2473 / 0.6e1 - t2538 * t986 / 0.2e1 + t3446 * t686 / 0.18e2 - t2483 * t986 / 0.6e1 + t18387 * t223 / 0.6e1 - t525 * t3903 / 0.18e2 - t29722 + t3908 * t631 / 0.2e1 - t13068 * t978 / 0.6e1;
  t29738 = t138 * t6537;
  t29743 = t106 * t158 * t6535 * t159;
  t29752 = t911 * t2473;
  t29753 = t29752 / 0.12e2;
  t29758 = 0.2e1 / 0.3e1 * t28139;
  t29759 = 0.4e1 / 0.3e1 * t28141;
  t29760 = 0.23e2 / 0.18e2 * t28144;
  t29761 = 0.2e1 * t28147;
  t29762 = 0.2e1 / 0.3e1 * t28149;
  t29763 = 0.11e2 / 0.9e1 * t28150;
  t29764 = -t3434 * t2500 / 0.18e2 + t3434 * t2504 / 0.9e1 - t13030 * t978 / 0.2e1 + t2538 * t994 / 0.2e1 + t922 * t13620 / 0.3e1 - t127 * t29738 / 0.12e2 + t29743 * t166 / 0.4e1 - t233 * t17389 / 0.12e2 - t922 * t13622 / 0.12e2 - t661 * t3411 / 0.12e2 - t29753 - t533 * t3903 / 0.6e1 + t2483 * t994 / 0.6e1 + t29758 - t29759 + t29760 + t29761 + t29762 - t29763;
  t29766 = t28152 / 0.3e1;
  t29767 = 0.14e2 / 0.3e1 * t28156;
  t29768 = t500 * t29605;
  t29769 = t3935 * t29768;
  t29772 = t96 * t15508;
  t29773 = t3931 * t29772;
  t29776 = t18027 * t29682;
  t29779 = t3931 * t29682;
  t29782 = t96 * t15528;
  t29783 = t10936 * t29782;
  t29786 = t3935 * t15521;
  t29789 = t169 * t15520;
  t29790 = t2169 * t29789;
  t29795 = t10775 * t29782;
  t29798 = t2169 * t29772;
  t29800 = t2169 * t29682;
  t29803 = t28190 / 0.6e1;
  t29804 = t28192 / 0.3e1;
  t29805 = t28194 / 0.6e1;
  t29807 = -t29766 + t29767 + t28159 - 0.23e2 / 0.3e1 * t18067 * t29769 - 0.11e2 / 0.9e1 * t3930 * t29773 + t28165 - 0.61e2 / 0.27e2 * t18039 * t29776 + 0.22e2 / 0.3e1 * t18067 * t29779 + 0.11e2 / 0.6e1 * t3930 * t29783 + 0.23e2 / 0.36e2 * t3930 * t29786 - t3930 * t29790 / 0.2e1 - 0.7e1 * t3930 * t15530 + 0.3e1 / 0.2e1 * t3930 * t29795 - t3930 * t29798 + 0.6e1 * t18067 * t29800 - t29803 + t29804 + t29805 + t3483 * t4221;
  t29810 = t2543 * t6554;
  t29811 = t29810 / 0.18e2;
  t29822 = t2571 * t3662;
  t29823 = t555 * t29822;
  t29830 = t28223 / 0.3e1;
  t29833 = 0.4e1 * t28241;
  t29834 = t17992 * t29768;
  t29837 = -t17410 * t730 / 0.2e1 - t29811 - t2509 * t3681 + t2509 * t3672 - t2509 * t3676 / 0.2e1 + 0.2e1 / 0.3e1 * t546 * t18310 - 0.2e1 / 0.3e1 * t922 * t12529 + t922 * t12499 / 0.3e1 - t546 * t29823 / 0.3e1 + t922 * t12567 / 0.3e1 - t922 * t12564 / 0.6e1 + t29830 - t28226 - t28228 + t28230 - t12915 * t6655 / 0.9e1 - t29833 - t28248 + 0.44e2 / 0.27e2 * t18039 * t29834;
  t29841 = t3931 * t29789;
  t29844 = 0.2e1 / 0.3e1 * t28261;
  t29845 = t28262 / 0.2e1;
  t29846 = t2175 * t29682;
  t29851 = t2162 * t29682;
  t29857 = t2294 * t29572;
  t29864 = t2543 * t6546;
  t29865 = t29864 / 0.9e1;
  t29874 = t2233 * t29510;
  t29877 = -0.11e2 / 0.18e2 * t3930 * t29841 + t29844 + t29845 - 0.3e1 * t18149 * t29846 - t2683 * t29462 / 0.6e1 + 0.2e1 * t18988 * t29851 - t2632 * t16945 - t2632 * t15727 - t2632 * t17150 + t2632 * t29857 / 0.2e1 + t2010 * t1066 / 0.3e1 - t2543 * t6550 / 0.9e1 + t29865 + t525 * t6541 / 0.36e2 - t2483 * t991 / 0.12e2 - t2010 * t1061 / 0.6e1 - t2010 * t1058 / 0.3e1 - 0.11e2 / 0.18e2 * t2590 * t29874;
  t29880 = t2057 * t15540;
  t29896 = t671 * t17119;
  t29897 = t29896 / 0.3e1;
  t29901 = t490 * t12348 * t930;
  t29911 = 0.3e1 * t28265;
  t29914 = t11659 * t1000;
  t29915 = t548 * t29914;
  t29918 = 0.23e2 / 0.36e2 * t12598 * t6622 + 0.23e2 / 0.36e2 * t2590 * t29880 - 0.3e1 * t349 * t6688 - 0.3e1 * t162 * t12520 * t6687 - 0.11e2 / 0.18e2 * t12598 * t6691 - 0.3e1 * t1553 * t6682 + 0.2e1 / 0.3e1 * t671 * t17023 + 0.2e1 / 0.3e1 * t671 * t17138 + t29897 - t2600 * t6550 / 0.3e1 + t208 * t29901 / 0.12e2 - t12075 * t1053 / 0.3e1 + t1529 * t6598 + t372 * t6593 / 0.2e1 + t654 * t6320 / 0.18e2 + t29911 + t28268 - t2600 * t6557 / 0.6e1 - t671 * t29915 / 0.6e1;
  t29922 = t2600 * t6554;
  t29923 = t29922 / 0.6e1;
  t29924 = t555 * t29504;
  t29925 = t671 * t29924;
  t29926 = t29925 / 0.6e1;
  t29927 = t555 * t29914;
  t29942 = t28275 / 0.3e1;
  t29943 = t28290 / 0.18e2;
  t29944 = 0.2e1 / 0.9e1 * t28292;
  t29945 = -t671 * t28202 / 0.6e1 - t29923 - t29926 - t671 * t29927 / 0.3e1 - t671 * t29335 / 0.3e1 + t372 * t6668 / 0.2e1 + t1994 * t1066 + t610 * t3966 + t610 * t3971 - t12082 * t1053 - t1972 * t4055 - t1972 * t4050 + 0.2e1 / 0.3e1 * t2600 * t6612 - t28270 - t28273 - t29942 - t28278 - t29943 + t29944;
  t29946 = t28294 / 0.9e1;
  t29947 = t28296 / 0.3e1;
  t29948 = t2175 * t29675;
  t29949 = t3917 * t29948;
  t29950 = t29949 / 0.2e1;
  t29951 = t2169 * t29678;
  t29952 = t2632 * t29951;
  t29953 = t29952 / 0.6e1;
  t29954 = t3935 * t29675;
  t29955 = t3930 * t29954;
  t29956 = 0.5e1 / 0.36e2 * t29955;
  t29957 = t17367 * t4032;
  t29960 = t17367 * t3919;
  t29962 = t349 * t6645;
  t29963 = t29962 / 0.2e1;
  t29985 = t2057 * t29510;
  t29988 = -t29946 + t29947 + t29950 + t29953 - t29956 - t2632 * t29957 / 0.6e1 + t3917 * t29960 - t29963 - 0.2e1 * t12481 * t6633 - 0.2e1 * t2611 * t15554 - t12872 * t6603 / 0.6e1 - 0.3e1 / 0.2e1 * t12598 * t6672 - 0.3e1 / 0.2e1 * t2590 * t17126 + 0.3e1 / 0.2e1 * t162 * t12509 * t6667 + 0.3e1 / 0.2e1 * t349 * t6668 + t661 * t6325 / 0.12e2 + t233 * t28845 / 0.6e1 + t233 * t28849 / 0.6e1 - 0.5e1 / 0.36e2 * t2590 * t29985;
  t29993 = t2600 * t6560;
  t29994 = t29993 / 0.12e2;
  t29995 = t548 * t29504;
  t29996 = t671 * t29995;
  t29997 = t29996 / 0.12e2;
  t30002 = t548 * t29822;
  t30007 = t2057 * t3986;
  t30017 = t3935 * t500 * t28452;
  t30018 = t3930 * t30017;
  t30019 = 0.23e2 / 0.36e2 * t30018;
  t30020 = t12291 * t3620;
  t30023 = t2632 * t15500;
  t30024 = 0.2e1 / 0.3e1 * t30023;
  t30025 = t661 * t6320 / 0.6e1 - t29994 - t29997 - 0.5e1 / 0.36e2 * t12598 * t6565 - t3410 + t3430 - t3445 + t3460 - t208 * t18444 / 0.6e1 - t546 * t30002 / 0.6e1 + t922 * t12775 / 0.6e1 - 0.5e1 / 0.36e2 * t3502 * t30007 - t922 * t12738 / 0.12e2 + t666 * t29287 / 0.6e1 + t233 * t15807 / 0.12e2 + t30019 + t2179 * t30020 / 0.12e2 - t30024;
  t30026 = t1868 * t243;
  t30027 = t30026 * t3626;
  t30030 = t19277 * t3464;
  t30033 = t12291 * t3464;
  t30036 = t19277 * t6652;
  t30045 = t17371 * t7332;
  t30054 = t2543 * t6560;
  t30055 = t30054 / 0.36e2;
  t30068 = -t2179 * t30027 / 0.6e1 + t2168 * t30030 / 0.12e2 - t2161 * t30033 / 0.6e1 - t9737 * t30036 / 0.3e1 - t13562 * t3630 / 0.4e1 + t18604 * t3638 / 0.2e1 + t18604 * t3642 / 0.2e1 - 0.2e1 / 0.3e1 * t9737 * t30045 + t719 * t3558 - t719 * t3521 + t719 * t3517 / 0.2e1 - 0.5e1 / 0.108e3 * t12441 * t6565 - t30055 - t2543 * t6557 / 0.18e2 + t12467 * t6631 / 0.3e1 + 0.7e1 / 0.9e1 * t12441 * t6628 - t12441 * t6625 / 0.6e1 + 0.23e2 / 0.108e3 * t12441 * t6622 - 0.11e2 / 0.54e2 * t12441 * t6691;
  t30071 = t2233 * t3986;
  t30074 = t2057 * t4224;
  t30083 = t396 * t29605;
  t30093 = t4277 * t2782 * t28466;
  t30094 = 0.3e1 / 0.2e1 * t30093;
  t30098 = t1505 * t28452;
  t30100 = t2251 * t2782 * t30098;
  t30101 = 0.3e1 / 0.2e1 * t30100;
  t30102 = t396 * t28452;
  t30104 = t2255 * t2776 * t30102;
  t30105 = 0.3e1 * t30104;
  t30107 = t2255 * t2782 * t28453;
  t30108 = 0.3e1 * t30107;
  t30109 = t10936 * t29682;
  t30112 = t10733 * t29682;
  t30115 = t18027 * t29768;
  t30118 = t9945 * t29605;
  t30122 = t9906 * t29605;
  t30126 = -t372 * t6688 - 0.11e2 / 0.18e2 * t3502 * t30071 + 0.23e2 / 0.36e2 * t3502 * t30074 - t671 * t29433 / 0.6e1 + t3416 * t749 / 0.2e1 + t2251 * t697 * t28077 - 0.18e2 * t2255 * t13205 * t30083 - t2255 * t697 * t28074 - t2251 * t697 * t28065 / 0.2e1 + t30094 + t2255 * t697 * t28081 / 0.2e1 + t30101 + t30105 - t30108 - 0.2e1 * t18039 * t30109 - 0.38e2 / 0.9e1 * t18039 * t30112 + 0.89e2 / 0.9e1 * t18039 * t30115 - 0.6e1 * t19499 * t13185 * t30118 + 0.18e2 * t4277 * t13185 * t30122;
  t30127 = t1556 * t29605;
  t30128 = t18027 * t30127;
  t30131 = t28312 / 0.6e1;
  t30132 = t28314 / 0.6e1;
  t30133 = t17371 * t4027;
  t30136 = t29576 * t3919;
  t30139 = t169 * t15493;
  t30140 = t2182 * t30139;
  t30141 = t2632 * t30140;
  t30142 = t30141 / 0.6e1;
  t30145 = t2162 * t29789;
  t30150 = t1684 * t29782;
  t30153 = t2162 * t29772;
  t30159 = t302 * t29510;
  t30171 = -0.62e2 / 0.3e1 * t18039 * t30128 - t30131 - t30132 + t2632 * t30133 / 0.3e1 - 0.5e1 / 0.18e2 * t3930 * t30136 - t30142 - t10923 * t6695 / 0.2e1 - t4291 * t30145 / 0.2e1 - t12286 * t6655 / 0.3e1 + t4291 * t30150 / 0.2e1 - t4291 * t30153 - t1994 * t1058 - t610 * t3963 - t12695 * t6603 / 0.2e1 - t2662 * t30159 / 0.2e1 - t661 * t6365 / 0.6e1 - t233 * t29398 / 0.6e1 + 0.3e1 / 0.2e1 * t162 * t12585 * t6592 + 0.3e1 * t1553 * t6598;
  t30192 = t302 * t29914;
  t30195 = t15615 * t4032;
  t30198 = t1571 * t218;
  t30199 = t30198 * t3919;
  t30203 = t1677 * t2563 * t6639;
  t30204 = t30203 / 0.2e1;
  t30213 = t2175 * t29789;
  t30216 = t2175 * t29772;
  t30218 = t2169 * t29782;
  t30220 = 0.3e1 * t509 * t12520 * t6597 + t349 * t6587 / 0.2e1 + t162 * t2846 * t6339 / 0.2e1 + 0.3e1 / 0.2e1 * t349 * t6593 + t233 * t28732 / 0.12e2 + t233 * t28841 / 0.12e2 + t2550 * t6572 / 0.3e1 + t666 * t30192 / 0.3e1 - t2632 * t30195 / 0.3e1 - 0.11e2 / 0.9e1 * t3930 * t30199 + t30204 + t2683 * t28237 / 0.2e1 - t2683 * t29454 / 0.3e1 - t2632 * t29457 / 0.6e1 + t2674 * t28232 / 0.3e1 + t3917 * t30213 / 0.2e1 + t3917 * t30216 - t3917 * t30218;
  t30221 = t2162 * t30139;
  t30222 = t2674 * t30221;
  t30223 = t30222 / 0.6e1;
  t30224 = t2162 * t29675;
  t30225 = t4291 * t30224;
  t30226 = t30225 / 0.2e1;
  t30227 = t1684 * t29678;
  t30228 = t2674 * t30227;
  t30229 = t30228 / 0.6e1;
  t30230 = t17526 * t4032;
  t30238 = t17371 * t3919;
  t30240 = t18921 * t3464;
  t30255 = t2182 * t29772;
  t30259 = t2265 * t2563 * t6308;
  t30260 = t30259 / 0.2e1;
  t30263 = t30223 - t30226 - t30229 + t2674 * t30230 / 0.3e1 - 0.3e1 / 0.2e1 * t2251 * t2760 * t6694 - 0.3e1 / 0.2e1 * t10769 * t6695 - t3930 * t30238 + t2168 * t30240 / 0.6e1 + t19135 * t3474 / 0.2e1 - t18604 * t3478 / 0.2e1 - 0.6e1 * t17049 * t4287 + t17046 * t3951 - t17049 * t3954 + 0.6e1 * t17046 * t4260 - t2632 * t28527 / 0.3e1 + 0.2e1 * t3917 * t30255 - t30260 - 0.3e1 * t3930 * t17006 - t28329;
  t30265 = t28331 / 0.3e1;
  t30266 = t17992 * t30127;
  t30269 = t3935 * t30127;
  t30287 = t717 * t6563;
  t30288 = t548 * t30287;
  t30300 = -t30265 - 0.43e2 / 0.9e1 * t18039 * t30266 + 0.18e2 * t18067 * t30269 + 0.3e1 / 0.2e1 * t1677 * t13456 * t6667 - t913 + t984 + t28346 - t3727 * t3987 / 0.2e1 - t917 * t2573 / 0.6e1 - t2538 * t991 / 0.4e1 - t719 * t3694 / 0.4e1 - t719 * t3553 / 0.4e1 + t719 * t3708 / 0.2e1 - 0.2e1 * t15553 * t30288 - t719 * t3712 / 0.2e1 - t610 * t4066 / 0.2e1 - t610 * t4058 / 0.2e1 - t719 * t3514 + 0.3e1 / 0.2e1 * t719 * t3704;
  t30304 = 0.8e1 * t28928;
  t30305 = 0.12e2 * t28941;
  t30306 = 0.4e1 * t28943;
  t30307 = 0.4e1 * t28945;
  t30308 = 0.2e2 / 0.3e1 * t28947;
  t30309 = 0.8e1 / 0.3e1 * t28973;
  t30310 = 0.12e2 * t28985;
  t30311 = 0.4e1 * t28987;
  t30312 = t28925 + t28927 - t30304 + t30305 + t30306 + t30307 + t30308 - t30309 + t30310 + t30311 + t943 - t962;
  t30318 = t2790 * t6499;
  t30319 = 0.2e1 * t30318;
  t30322 = t590 * t914;
  t30323 = t1566 * t30322;
  t30326 = t2760 * t6505;
  t30327 = t30326 / 0.3e1;
  t30328 = t1032 * t530;
  t30329 = t145 * t30328;
  t30332 = t29020 + 0.6e1 * t13188 * t6447 - t691 * t6254 + t6469 - t6471 + t6473 - 0.2e1 * t237 * t29226 - t30319 + 0.2e1 * t13188 * t6502 - 0.2e1 / 0.3e1 * t13195 * t30323 - t30327 - 0.6e1 * t2765 * t30329;
  t30334 = t62 * t908;
  t30335 = t30334 * t122;
  t30336 = t423 * t30335;
  t30337 = t4158 * t30336;
  t30338 = 0.12e2 * t30337;
  t30339 = t1829 * t30335;
  t30340 = t4166 * t30339;
  t30341 = 0.2e1 / 0.3e1 * t30340;
  t30344 = t410 * t30335;
  t30345 = t4166 * t30344;
  t30346 = 0.6e1 * t30345;
  t30350 = t1032 * t3550;
  t30351 = t1505 * t30350;
  t30354 = t2760 * t6515;
  t30355 = 0.2e1 * t30354;
  t30356 = t6446 * t326;
  t30357 = t1505 * t30356;
  t30360 = t396 * t30328;
  t30363 = t590 * t908;
  t30364 = t1566 * t30363;
  t30365 = t2782 * t30364;
  t30366 = t30365 / 0.18e2;
  t30369 = -t30338 - t30341 - 0.2e1 * t2750 * t29242 + t30346 - t691 * t6270 - 0.2e1 * t697 * t29204 - 0.2e1 * t697 * t30351 + t30355 + 0.8e1 * t2776 * t30357 - 0.8e1 * t2776 * t30360 + t30366 - t13224 * t6508 / 0.9e1;
  t30370 = t396 * t30363;
  t30371 = t2776 * t30370;
  t30372 = 0.4e1 * t30371;
  t30378 = t6466 * t326;
  t30379 = t1505 * t30378;
  t30380 = t697 * t30379;
  t30381 = 0.4e1 / 0.3e1 * t30380;
  t30382 = t9911 * t30356;
  t30385 = t1566 * t30328;
  t30388 = t9916 * t30356;
  t30391 = t1571 * t30328;
  t30401 = -t30372 - t693 * t29180 + 0.2e1 * t691 * t6282 + 0.4e1 / 0.3e1 * t697 * t29185 - t30381 - t2782 * t30382 / 0.6e1 + t2782 * t30385 / 0.9e1 - 0.1e2 * t2782 * t30388 + 0.2e2 / 0.3e1 * t2782 * t30391 - 0.2e1 * t2760 * t6512 - t237 * t29183 - 0.2e1 / 0.3e1 * t697 * t29201 + 0.6e1 * t13216 * t6520;
  t30404 = t396 * t30322;
  t30407 = t405 * t30363;
  t30408 = t2776 * t30407;
  t30409 = 0.6e1 * t30408;
  t30410 = t1862 * t30378;
  t30411 = t697 * t30410;
  t30412 = 0.2e1 * t30411;
  t30413 = t1571 * t30363;
  t30414 = t2782 * t30413;
  t30415 = 0.1e2 / 0.3e1 * t30414;
  t30416 = t145 * t30363;
  t30417 = t2765 * t30416;
  t30418 = 0.3e1 * t30417;
  t30419 = t400 * t30378;
  t30420 = t693 * t30419;
  t30425 = t1829 * t29521;
  t30428 = t62 * t914;
  t30429 = t30428 * t122;
  t30430 = t410 * t30429;
  t30433 = t30428 * t326;
  t30434 = t410 * t30433;
  t30437 = t4143 * t530;
  t30438 = t410 * t30437;
  t30441 = -0.1e2 * t13131 * t30425 - 0.18e2 * t13131 * t30434 + 0.24e2 * t13205 * t30404 - 0.3e1 * t13216 * t6453 - 0.3e1 * t13224 * t6450 - 0.72e2 * t17604 * t30430 + 0.12e2 * t30438 * t4166 + t30409 + t30412 + t30415 - t30418 - t30420;
  t30442 = 0.4e1 / 0.3e1 * t29023;
  t30443 = 0.2e1 / 0.9e1 * t29026;
  t30444 = 0.4e1 * t29042;
  t30445 = 0.4e1 / 0.3e1 * t29044;
  t30448 = t1862 * t30350;
  t30453 = t9906 * t30322;
  t30456 = t6480 - t6481 + t6482 + t6264 + t30442 - t30443 + t30444 - t30445 + 0.6e1 * t13224 * t6484 + 0.3e1 * t697 * t30448 - 0.2e1 / 0.3e1 * t13224 * t6523 + 0.1e2 / 0.3e1 * t13185 * t30453;
  t30460 = t405 * t30322;
  t30463 = t1862 * t30356;
  t30466 = t405 * t30328;
  t30469 = t10255 * t30356;
  t30472 = t1505 * t30328;
  t30475 = t145 * t30322;
  t30478 = t400 * t30356;
  t30481 = t1571 * t30322;
  t30488 = t400 * t30350;
  t30491 = -0.4e2 * t13195 * t30481 + 0.12e2 * t13202 * t30475 - 0.36e2 * t13205 * t30460 + 0.3e1 * t2760 * t6492 + 0.3e1 * t2765 * t30478 - 0.12e2 * t2776 * t30463 + 0.12e2 * t2776 * t30466 + 0.9e1 * t2782 * t30469 - 0.6e1 * t2782 * t30472 - 0.2e1 * t2790 * t6495 - 0.2e1 * t29191 * t693 - 0.2e1 * t30488 * t693;
  t30500 = t410 * t29527;
  t30503 = t1837 * t30433;
  t30506 = t1837 * t30437;
  t30509 = t17918 * t30429;
  t30516 = 0.2e1 * t693 * t29198 + 0.3e1 * t237 * t29222 + 0.3e1 * t697 * t28967 + t2750 * t29000 / 0.3e1 + 0.6e1 * t13136 * t30500 + t13131 * t30503 / 0.3e1 - 0.2e1 / 0.9e1 * t4166 * t30506 - t17817 * t30509 / 0.9e1 + 0.2e1 * t2752 * t28993 + t237 * t29118 / 0.2e1 - t6501 - t6507 + t6517;
  t30520 = t30334 * t326;
  t30521 = t410 * t30520;
  t30522 = t2750 * t30521;
  t30523 = 0.2e1 / 0.3e1 * t30522;
  t30524 = t1837 * t30335;
  t30525 = t4166 * t30524;
  t30526 = t30525 / 0.9e1;
  t30531 = t1837 * t30429;
  t30534 = t149 * t30335;
  t30535 = t4149 * t30534;
  t30536 = 0.6e1 * t30535;
  t30537 = t149 * t30520;
  t30538 = t2752 * t30537;
  t30539 = 0.2e1 * t30538;
  t30540 = t4158 * t30344;
  t30541 = 0.2e1 * t30540;
  t30542 = t6526 - t6527 - t6528 - t6280 + t30523 - t30526 - 0.4e1 * t13126 * t30434 + 0.4e1 * t4158 * t30438 + 0.4e1 / 0.3e1 * t17604 * t30531 + t30536 + t30539 + t30541;
  t30543 = t423 * t29521;
  t30546 = t423 * t29527;
  t30549 = t149 * t29521;
  t30552 = t149 * t29527;
  t30555 = t423 * t30433;
  t30558 = t423 * t30437;
  t30563 = t16725 * t205;
  t30564 = t423 * t30563;
  t30571 = t2760 * t6470;
  t30572 = t2790 * t6472;
  t30573 = -0.16e2 * t13126 * t30543 - 0.9e1 * t13136 * t30546 + 0.6e1 * t13163 * t30549 + 0.4e1 * t13166 * t30552 + 0.24e2 * t13126 * t30555 - 0.24e2 * t4158 * t30558 - 0.6e1 * t13143 * t6477 - 0.6e1 * t2750 * t30564 - 0.6e1 * t2750 * t29016 + t691 * t6246 / 0.2e1 - t30571 + t30572;
  t30575 = t2760 * t6467;
  t30576 = 0.2e1 / 0.3e1 * t30575;
  t30589 = t149 * t30429;
  t30592 = t30576 - 0.4e1 * t13188 * t6457 + t13224 * t6460 / 0.18e2 + 0.1e2 / 0.3e1 * t13224 * t6463 - t3777 - t3778 - t3782 + t3802 - 0.6e1 * t17614 * t29004 + 0.4e1 * t4138 * t29008 - 0.2e1 / 0.3e1 * t13136 * t29013 - 0.24e2 * t17647 * t30589;
  t30593 = t149 * t30433;
  t30598 = t410 * t30563;
  t30600 = t1837 * t29521;
  t30603 = t1829 * t30429;
  t30606 = t410 * t29521;
  t30611 = t423 * t30429;
  t30616 = 0.6e1 * t29077;
  t30617 = -0.6e1 * t13163 * t30593 + t13143 * t6529 + t2750 * t28931 + t2750 * t30598 - t13131 * t30600 / 0.6e1 + 0.24e2 * t17817 * t30603 + 0.9e1 * t13131 * t30606 + 0.4e1 * t13136 * t29036 + 0.72e2 * t17652 * t30611 + 0.8e1 / 0.3e1 * t17817 * t30531 + t29076 - t30616 - t3841;
  t30620 = t9916 * t30322;
  t30625 = t1505 * t30363;
  t30626 = t2782 * t30625;
  t30627 = 0.3e1 * t30626;
  t30628 = t1505 * t30322;
  t30633 = 0.2e1 * t29089;
  t30634 = 0.2e1 * t29106;
  t30635 = -0.12e2 * t13185 * t30620 + 0.36e2 * t13195 * t30628 - t237 * t29189 + t29062 * t697 - 0.2e1 * t29065 * t697 + t29108 - t30627 - t30633 + t30634 + t3866 + t3868 + t3873;
  t30636 = t9911 * t30322;
  t30643 = t1829 * t30433;
  t30646 = t1829 * t30437;
  t30649 = t10286 * t30429;
  t30652 = t149 * t30437;
  t30661 = t149 * t30563;
  t30668 = 0.5e2 / 0.3e1 * t13185 * t30636 - 0.12e2 * t13188 * t6488 + 0.8e1 * t17604 * t30603 + 0.2e1 * t13131 * t30643 - 0.4e1 / 0.3e1 * t4166 * t30646 - 0.4e1 / 0.3e1 * t17817 * t30649 + 0.12e2 * t4149 * t30652 - 0.12e2 * t17652 * t30430 + 0.4e1 * t13169 * t6531 + 0.4e1 * t2752 * t29028 + 0.4e1 * t2752 * t30661 + 0.32e2 / 0.3e1 * t13126 * t30606 - 0.4e1 * t13166 * t28920;
  t30670 = t423 * t30520;
  t30671 = t2750 * t30670;
  t30672 = 0.4e1 * t30671;
  t30675 = 0.4e1 / 0.3e1 * t29144;
  t30676 = 0.8e1 * t29160;
  t30677 = 0.2e1 * t29168;
  t30678 = 0.6e1 * t29176;
  t30679 = 0.2e1 / 0.3e1 * t29233;
  t30680 = t29234 / 0.9e1;
  t30681 = 0.2e1 * t28997 * t4138 - t29163 - t29165 - t29167 - t29230 - t30672 + t30675 - t30676 - t30677 - t30678 - t30679 + t30680;
  t30682 = 0.4e1 * t29238;
  t30683 = 0.24e2 * t29245;
  t30684 = 0.12e2 * t29247;
  t30685 = t16690 * t29521;
  t30688 = t17753 * t29521;
  t30691 = t16699 * t29521;
  t30694 = t16695 * t29527;
  t30697 = t16699 * t29527;
  t30702 = t16690 * t29527;
  t30705 = t17682 * t29521;
  t30708 = t16695 * t29521;
  t30711 = -t30682 - t29241 - t30683 + t30684 - 0.18e2 * t13131 * t30685 + 0.2e1 * t13131 * t30688 + 0.32e2 * t13126 * t30691 - 0.8e1 * t13166 * t30694 + 0.18e2 * t13136 * t30697 - 0.16e2 / 0.3e1 * t13126 * t30685 - 0.3e1 * t13136 * t30702 + t13131 * t30705 / 0.3e1 - 0.12e2 * t13163 * t30708;
  t30722 = t96 * t29521;
  t30723 = t1684 * t30722;
  t30725 = t28374 / 0.2e1;
  t30726 = t28380 / 0.3e1;
  t30727 = t28383 / 0.3e1;
  t30728 = t17526 * t3919;
  t30730 = -t610 * t4061 - t1994 * t1061 / 0.2e1 - t22 * t59 * (t30312 + t30332 + t30369 + t30401 + t30441 + t30456 + t30491 + t30516 + t30542 + t30573 + t30592 + t30617 + t30635 + t30668 + t30681 + t30711) * t96 / 0.4e1 - 0.4e1 * t3917 * t15510 + t4291 * t30723 + t6548 - t6556 - t6562 + t6577 - t6586 + t3489 - t3491 - t28372 - t30725 + t28377 + t28379 + t30726 + t30727 - t4291 * t30728;
  t30736 = t22 * t218 * t4275;
  t30739 = t3931 * t29675;
  t30740 = t3930 * t30739;
  t30741 = 0.11e2 / 0.18e2 * t30740;
  t30742 = t10245 * t29527;
  t30746 = t3949 * t205;
  t30747 = t500 * t30746;
  t30752 = t1648 * t6186 * t205;
  t30756 = t1862 * t29521;
  t30760 = t96 * t29527;
  t30761 = t11150 * t30760;
  t30764 = t2294 * t30722;
  t30767 = t28437 / 0.3e1;
  t30768 = 0.5e1 / 0.18e2 * t28439;
  t30769 = t28441 / 0.6e1;
  t30770 = 0.6e1 * t28455;
  t30771 = 0.3e1 * t28468;
  t30772 = 0.4e1 * t3917 * t15619 + 0.3e1 * t30736 * t4279 - t30741 + 0.9e1 / 0.2e1 * t2251 * t697 * t30742 - 0.7e1 * t10863 * t10936 * t30747 - 0.3e1 / 0.2e1 * t1677 * t2563 * t30752 + 0.8e1 * t2251 * t2776 * t30756 - 0.3e1 / 0.2e1 * t2632 * t30761 - 0.8e1 / 0.3e1 * t3917 * t30764 + t3586 - t3589 + t30767 - t30768 - t30769 - t30770 - t28465 + t30771 + t28471;
  t30773 = 0.6e1 * t28473;
  t30774 = 0.6e1 * t28476;
  t30775 = t28512 / 0.6e1;
  t30776 = t10925 * t4027;
  t30779 = t3624 * t30760;
  t30782 = t169 * t29536;
  t30783 = t1684 * t30782;
  t30790 = t2294 * t29782;
  t30800 = t1566 * t15508;
  t30804 = t30773 - t30774 + t30775 - t2674 * t30776 / 0.3e1 + 0.2e1 / 0.3e1 * t2674 * t30779 - t2674 * t30783 / 0.3e1 - t3603 - t3605 + t3607 + t3612 - t2683 * t29355 / 0.3e1 - t2674 * t29350 / 0.3e1 - 0.2e1 * t3917 * t30790 + 0.14e2 / 0.3e1 * t3930 * t15703 + 0.7e1 / 0.3e1 * t3930 * t15522 + t6620 + t6303 + 0.3e1 / 0.2e1 * t10978 * t13456 * t6676 + 0.3e1 * t4277 * t2782 * t30800;
  t30806 = t9911 * t15528;
  t30810 = t1566 * t29605;
  t30818 = 0.3e1 * t28535;
  t30820 = t1648 * t1051 * t929;
  t30825 = t2255 * t697 * t27989;
  t30826 = t230 * t908;
  t30828 = t3935 * t1556 * t30826;
  t30829 = t10863 * t30828;
  t30830 = 0.3e1 / 0.2e1 * t30829;
  t30831 = t230 * t6244;
  t30833 = t2169 * t500 * t30831;
  t30845 = t500 * t30826;
  t30846 = t2175 * t30845;
  t30847 = t10870 * t30846;
  t30848 = 0.2e1 * t30847;
  t30849 = -0.9e1 / 0.2e1 * t4277 * t2782 * t30806 - 0.18e2 * t4277 * t13195 * t30810 - 0.3e1 / 0.2e1 * t3930 * t17190 + 0.9e1 / 0.2e1 * t3930 * t16995 + t28531 - t28532 + t30818 - t28573 - t28576 - t28580 - t28583 + 0.3e1 / 0.2e1 * t2265 * t2563 * t30820 + t30825 - t30830 - t9737 * t30833 / 0.3e1 - t1677 * t2701 * t6344 / 0.4e1 + t2251 * t237 * t28588 / 0.2e1 + t2251 * t693 * t28600 / 0.2e1 - t30848;
  t30851 = t1677 * t2698 * t6644;
  t30852 = t30851 / 0.2e1;
  t30853 = t145 * t28452;
  t30855 = t2251 * t2765 * t30853;
  t30856 = 0.3e1 / 0.2e1 * t30855;
  t30857 = t400 * t15498;
  t30859 = t2251 * t693 * t30857;
  t30860 = t30859 / 0.2e1;
  t30861 = t3931 * t30845;
  t30862 = t10863 * t30861;
  t30863 = 0.7e1 / 0.3e1 * t30862;
  t30864 = t2175 * t30139;
  t30865 = t2632 * t30864;
  t30866 = t30865 / 0.12e2;
  t30870 = t1505 * t15725;
  t30874 = t1505 * t15528;
  t30878 = t396 * t15508;
  t30884 = t2169 * t29572;
  t30898 = t2509 * t3587;
  t30899 = t30898 / 0.2e1;
  t30900 = t719 * t3584;
  t30901 = t30900 / 0.2e1;
  t30904 = -t30852 + t30856 + t30860 + t30863 - t30866 + 0.3e1 / 0.2e1 * t2255 * t697 * t28014 + 0.3e1 / 0.2e1 * t2255 * t697 * t30870 - 0.6e1 * t2255 * t2776 * t30874 + 0.6e1 * t2255 * t2776 * t30878 + t2632 * t29379 / 0.4e1 + t2632 * t30884 / 0.4e1 + 0.3e1 * t2265 * t13588 * t6597 + 0.3e1 / 0.2e1 * t10809 * t6658 + 0.3e1 / 0.2e1 * t2255 * t2760 * t3473 - t22 * t6536 * t194 / 0.4e1 - t30899 + t30901 - t18401 * t623 + t3908 * t646;
  t30908 = t3487 * t4221;
  t30909 = t30908 / 0.6e1;
  t30910 = t555 * t29517;
  t30919 = t17992 * t4275 * t29605;
  t30922 = t9916 * t29605;
  t30926 = t9911 * t29605;
  t30934 = t10936 * t30722;
  t30941 = t2175 * t29768;
  t30944 = t2182 * t29789;
  t30946 = t28631 / 0.2e1;
  t30947 = t28652 / 0.6e1;
  t30948 = -t30909 - t546 * t30910 / 0.3e1 - t1529 * t6682 + t9774 * t6677 / 0.2e1 - t12441 * t6672 / 0.2e1 + 0.8e1 * t18039 * t30919 + 0.6e1 * t2251 * t13185 * t30922 - 0.18e2 * t2255 * t13185 * t30926 + 0.2e1 / 0.3e1 * t2632 * t17546 - 0.4e1 / 0.3e1 * t2632 * t17549 + 0.11e2 / 0.6e1 * t3930 * t30934 - t12962 * t6653 / 0.3e1 + t12962 * t6649 / 0.6e1 + 0.12e2 * t18149 * t30941 + t3917 * t30944 + t30946 - t30947 + t6642;
  t30949 = t230 * t6252;
  t30951 = t10775 * t500 * t30949;
  t30957 = t29576 * t3926;
  t30960 = t2169 * t29675;
  t30961 = t3930 * t30960;
  t30962 = t30961 / 0.2e1;
  t30976 = t2169 * t29532;
  t30979 = t2294 * t30782;
  t30982 = 0.2e1 * t28865;
  t30983 = -t6647 + 0.2e1 / 0.3e1 * t9737 * t30951 + t1677 * t2701 * t6339 / 0.2e1 + 0.23e2 / 0.18e2 * t3930 * t30957 - t30962 - 0.3e1 / 0.2e1 * t2251 * t237 * t28592 + t2251 * t237 * t28597 + t11018 * t6658 / 0.2e1 + t10923 * t6618 / 0.3e1 + t2632 * t28445 / 0.3e1 - t2251 * t693 * t28615 - t28698 + t28700 + 0.16e2 / 0.3e1 * t3917 * t30976 + t2632 * t30979 / 0.2e1 + t3689 - t3693 - t3700 - t30982;
  t30985 = t3935 * t29682;
  t30988 = t10733 * t29782;
  t30995 = t400 * t15725;
  t31002 = t400 * t15528;
  t31006 = t145 * t15508;
  t31019 = t10775 * t30760;
  t31022 = t10733 * t30722;
  t31025 = t2169 * t30722;
  t31032 = 0.5e1 / 0.3e1 * t18067 * t30985 + 0.5e1 / 0.12e2 * t3930 * t30988 + t2251 * t2790 * t6617 + t2251 * t693 * t28252 + t2251 * t693 * t30995 + 0.3e1 / 0.2e1 * t1677 * t13524 * t6592 + t10769 * t6618 - 0.3e1 / 0.2e1 * t2251 * t2765 * t31002 + 0.3e1 * t2251 * t2765 * t31006 - 0.2e1 * t17049 * t4310 + t10930 * t4319 + t2632 * t29371 / 0.12e2 + 0.3e1 * t17049 * t4272 - 0.6e1 * t17046 * t4283 - 0.3e1 / 0.4e1 * t2632 * t31019 + 0.5e1 / 0.12e2 * t3930 * t31022 - 0.4e1 / 0.3e1 * t3917 * t31025 + t2683 * t29376 / 0.12e2 + t2632 * t28889 / 0.2e1;
  t31034 = t10733 * t15529;
  t31037 = t3935 * t15509;
  t31049 = t509 * t2620 * t6308;
  t31050 = t31049 / 0.2e1;
  t31051 = t1553 * t6584;
  t31052 = t31051 / 0.2e1;
  t31054 = t162 * t2843 * t6644;
  t31055 = t31054 / 0.2e1;
  t31064 = t349 * t6640;
  t31065 = t31064 / 0.2e1;
  t31067 = t162 * t2620 * t6639;
  t31068 = t31067 / 0.2e1;
  t31069 = t28907 / 0.9e1;
  t31072 = t30198 * t3926;
  t31077 = -t12238 * t6653 - 0.23e2 / 0.12e2 * t3930 * t31034 + 0.23e2 / 0.18e2 * t3930 * t31037 - 0.3e1 * t509 * t12509 * t6681 + 0.3e1 / 0.2e1 * t10026 * t6677 + 0.3e1 / 0.2e1 * t1565 * t12509 * t6676 - t31050 - t31052 - t31055 - t349 * t6581 / 0.4e1 - t162 * t2846 * t6344 / 0.4e1 - t162 * t745 * t29407 / 0.4e1 + t31065 + t31068 + t31069 - t2683 * t29368 / 0.6e1 + t6305 + 0.14e2 / 0.3e1 * t3930 * t31072 + t2632 * t29358 / 0.6e1;
  t31080 = 0.2e1 / 0.3e1 * t29270;
  t31081 = 0.2e1 / 0.3e1 * t29271;
  t31082 = t29272 / 0.3e1;
  t31083 = t29274 / 0.3e1;
  t31084 = t3935 * t29789;
  t31087 = t3935 * t29772;
  t31090 = t17992 * t29682;
  t31097 = t10255 * t29527;
  t31101 = t145 * t29605;
  t31105 = -t6310 - t6351 - t6355 + t31080 + t31081 - t31082 - t31083 - 0.5e1 / 0.36e2 * t3930 * t31084 - 0.5e1 / 0.18e2 * t3930 * t31087 - 0.35e2 / 0.108e3 * t18039 * t31090 - t103 * t6537 / 0.12e2 + t2683 * t29361 / 0.6e1 - t6664 + t6665 - t6666 + t29311 + t29313 - 0.9e1 / 0.2e1 * t2255 * t697 * t31097 - 0.6e1 * t2251 * t13202 * t31101;
  t31106 = t911 * t2666;
  t31107 = t31106 / 0.12e2;
  t31108 = t302 * t29517;
  t31119 = t3610 * t3987;
  t31120 = t31119 / 0.6e1;
  t31121 = t911 * t2573;
  t31122 = t31121 / 0.12e2;
  t31123 = t3487 * t4251;
  t31124 = t31123 / 0.12e2;
  t31125 = t2169 * t30782;
  t31130 = t405 * t28452;
  t31132 = t2251 * t2776 * t31130;
  t31133 = 0.3e1 * t31132;
  t31134 = t1862 * t15498;
  t31136 = t2251 * t697 * t31134;
  t31141 = t719 * t3691;
  t31142 = t31141 / 0.4e1;
  t31144 = t548 * t717 * t6544;
  t31145 = t1941 * t31144;
  t31146 = t31145 / 0.3e1;
  t31147 = t719 * t3687;
  t31148 = t31147 / 0.4e1;
  t31151 = t11202 * t6648;
  t31154 = -t31107 + t538 * t31108 / 0.3e1 + t208 * t18456 / 0.6e1 + 0.2e1 / 0.3e1 * t1941 * t548 * t3906 * t1000 + t3908 * t627 / 0.2e1 + t31120 + t31122 - t31124 + t2632 * t31125 / 0.4e1 - t2674 * t29364 / 0.6e1 - t31133 - t31136 - 0.2e1 * t3917 * t16952 + 0.2e1 / 0.9e1 * t2543 * t6612 - t31142 + t31146 + t31148 + t12238 * t6649 / 0.2e1 + t2632 * t31151 / 0.2e1;
  t31156 = t10255 * t29521;
  t31164 = t302 * t29822;
  t31167 = t10775 * t30722;
  t31171 = t10733 * t1556 * t29521;
  t31174 = t1505 * t29521;
  t31178 = t9911 * t29521;
  t31189 = t15615 * t3919;
  t31192 = t15640 * t4027;
  t31195 = t2632 * t15495;
  t31196 = t31195 / 0.3e1;
  t31197 = -0.9e1 / 0.2e1 * t2251 * t2782 * t31156 + t6715 - t6719 - t6720 + t6725 + t372 * t6587 / 0.6e1 + t3483 * t4251 / 0.2e1 + t538 * t31164 / 0.3e1 + 0.3e1 / 0.2e1 * t3930 * t31167 + 0.9e1 / 0.2e1 * t3930 * t31171 - 0.8e1 * t2255 * t2776 * t31174 - 0.9e1 / 0.2e1 * t4277 * t2782 * t31178 - t671 * t28668 / 0.12e2 - t233 * t16865 / 0.12e2 - 0.2e1 / 0.3e1 * t12467 * t6633 - t17053 * t4306 + 0.2e1 * t3917 * t31189 + 0.2e1 / 0.3e1 * t2632 * t31192 + t31196;
  t31208 = t2324 * t3986;
  t31215 = t555 * t29510;
  t31223 = t2324 * t29510;
  t31230 = t29427 / 0.3e1;
  t31231 = t29431 / 0.3e1;
  t31232 = t29440 / 0.6e1;
  t31235 = t29465 / 0.18e2;
  t31236 = -0.3e1 / 0.2e1 * t3502 * t2057 * t2507 * t539 + 0.3e1 / 0.2e1 * t13061 * t3496 - 0.3e1 * t2509 * t3595 + 0.3e1 / 0.2e1 * t719 * t3577 - t3502 * t31208 / 0.2e1 + 0.7e1 / 0.3e1 * t3502 * t2233 * t4224 + t12481 * t6631 + t2611 * t31215 + 0.7e1 / 0.3e1 * t12598 * t6628 + 0.7e1 / 0.3e1 * t2590 * t15541 - t12598 * t6625 / 0.2e1 - t2590 * t31223 / 0.2e1 + 0.3e1 * t2509 * t3683 - 0.3e1 * t719 * t3573 - t31230 - t31231 - t31232 + t12962 * t6661 / 0.12e2 - t31235;
  t31242 = my_piecewise3(t3, 0, t31154 + t29764 + t30220 + t30772 + t31032 + t30171 + t29688 + t30849 + t30300 + t29727 + t30263 + t31236 + t29877 + t30025 + t29988 + t30983 + t29837 + t30126 + t31077 + t30904 + t31197 + t29807 + t29562 + t30804 + t29918 + t31105 + t29526 + t30948 + t29945 + t30730 + t29632 + t30068);
  tv4rhosigma2lapl0 = 0.2e1 * rho[0] * t31242 + 0.2e1 * t6729;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 0] += tv4rhosigma2lapl0;

  t31266 = t1994 * t1117 + t854 * t3558 - t854 * t3521 - t259 * t16865 / 0.12e2 - t866 * t28668 / 0.12e2 - 0.38e2 / 0.9e1 * t20344 * t30112 + 0.89e2 / 0.9e1 * t20344 * t30115 + 0.18e2 * t4277 * t13792 * t30122 - 0.6e1 * t19499 * t13792 * t30118 + 0.8e1 * t20344 * t30919 - 0.5e1 / 0.36e2 * t4531 * t31084;
  t31285 = t3015 * t15495;
  t31286 = t31285 / 0.3e1;
  t31287 = t4531 * t30017;
  t31288 = 0.23e2 / 0.36e2 * t31287;
  t31289 = -t10480 * t6735 / 0.12e2 - 0.35e2 / 0.108e3 * t20344 * t31090 + 0.2e1 * t4571 * t31189 - 0.23e2 / 0.12e2 * t4531 * t31034 + 0.23e2 / 0.18e2 * t4531 * t31037 + 0.44e2 / 0.27e2 * t20344 * t29834 + 0.23e2 / 0.36e2 * t4531 * t29786 + t13995 * t6649 / 0.2e1 + t3015 * t31151 / 0.2e1 + t31286 + t31288;
  t31315 = t169 * t20983;
  t31316 = t2162 * t31315;
  t31319 = 0.22e2 / 0.3e1 * t20380 * t29779 + 0.11e2 / 0.6e1 * t4531 * t29783 - 0.11e2 / 0.9e1 * t4531 * t29773 - 0.61e2 / 0.27e2 * t20344 * t29776 - 0.11e2 / 0.18e2 * t4531 * t29841 + 0.9e1 * t2255 * t3208 * t29548 - 0.9e1 / 0.2e1 * t2251 * t3208 * t31156 - 0.7e1 * t10863 * t10936 * t500 * t4549 * t205 - 0.3e1 / 0.2e1 * t1677 * t3012 * t30752 + t2161 * t31316 / 0.3e1 + t29552;
  t31324 = t15615 * t4561;
  t31329 = t15953 * t3105;
  t31330 = t31329 / 0.12e2;
  t31331 = -t15927 * t4655 / 0.2e1 + t27994 + t27997 - t28002 - t28005 - t29553 - t28012 - t15961 * t3105 / 0.6e1 - t2168 * t31324 / 0.3e1 - 0.2e1 * t20344 * t30109 + t31330;
  t31334 = t15956 * t4655;
  t31335 = t31334 / 0.6e1;
  t31345 = t21610 * t6652;
  t31355 = t31335 + t17049 * t4661 + t17049 * t4658 - t10930 * t4643 - 0.4e1 * t10870 * t17367 * t19931 + t17049 * t4640 + 0.3e1 * t17049 * t4637 - t9737 * t31345 / 0.3e1 - t15274 * t3630 / 0.4e1 + 0.3e1 / 0.2e1 * t349 * t6770 + 0.3e1 / 0.2e1 * t162 * t14686 * t6592;
  t31366 = t162 * t3313 * t6639;
  t31367 = t31366 / 0.2e1;
  t31380 = 0.3e1 * t1553 * t6773 + t162 * t3358 * t6339 / 0.2e1 + t917 * t3379 / 0.6e1 + t917 * t3383 / 0.6e1 + t31367 + t610 * t4709 / 0.2e1 + t610 * t4713 / 0.2e1 - t922 * t14839 / 0.12e2 + t1994 * t1126 / 0.2e1 - t208 * t20055 / 0.6e1 - t208 * t20017 / 0.6e1;
  t31385 = t302 * t15805 * t884;
  t31402 = -t922 * t14848 / 0.12e2 - t127 * t31385 / 0.12e2 + t3416 * t890 / 0.4e1 - t533 * t4729 / 0.6e1 + t3039 * t31215 + 0.7e1 / 0.3e1 * t2983 * t15541 + t14053 * t6631 + t3015 * t29857 / 0.2e1 + t3015 * t28889 / 0.2e1 - t13995 * t6653 - t3015 * t16945;
  t31422 = -t3015 * t15727 - t3015 * t17150 + t28028 - t12082 * t1108 - t1972 * t4512 - t1972 * t4669 - t103 * t6936 / 0.12e2 + t2251 * t263 * t28597 + 0.2e1 / 0.3e1 * t9737 * t10775 * t500 * t256 * t6252 - t2251 * t806 * t28615 - 0.3e1 / 0.2e1 * t2251 * t263 * t28592;
  t31428 = t1684 * t169 * t287 * t3550;
  t31431 = t2988 * t30227;
  t31432 = t31431 / 0.6e1;
  t31435 = t9743 * t6739;
  t31440 = t1684 * t169 * t792 * t929;
  t31456 = t2179 * t31428 / 0.12e2 - t31432 + t11118 * t6740 / 0.12e2 + t2179 * t31435 / 0.12e2 + t2179 * t31440 / 0.12e2 + 0.3e1 / 0.2e1 * t1565 * t15348 * t6676 - 0.3e1 * t1553 * t6841 + 0.3e1 / 0.2e1 * t10026 * t6838 - 0.3e1 / 0.2e1 * t13729 * t6672 - 0.3e1 / 0.2e1 * t2983 * t17126 + t922 * t15017 / 0.3e1;
  t31475 = t3365 * t948;
  t31483 = -t922 * t14422 / 0.6e1 + t922 * t15014 / 0.3e1 + 0.3e1 / 0.2e1 * t162 * t15348 * t6667 - t922 * t14419 / 0.6e1 - 0.3e1 * t349 * t6823 - 0.3e1 * t162 * t15371 * t6687 + 0.3e1 / 0.2e1 * t349 * t6826 + t349 * t6820 / 0.2e1 + t162 * t31475 * t516 / 0.2e1 - t1553 * t6817 / 0.2e1 + 0.5e1 / 0.3e1 * t20380 * t30985;
  t31485 = t4531 * t29954;
  t31486 = 0.5e1 / 0.36e2 * t31485;
  t31487 = t3015 * t30864;
  t31488 = t31487 / 0.12e2;
  t31489 = t4571 * t29948;
  t31490 = t31489 / 0.2e1;
  t31491 = t3015 * t29951;
  t31492 = t31491 / 0.6e1;
  t31493 = t3015 * t30140;
  t31494 = t31493 / 0.6e1;
  t31495 = t4531 * t30739;
  t31496 = 0.11e2 / 0.18e2 * t31495;
  t31497 = t4571 * t29676;
  t31498 = t3015 * t29679;
  t31499 = t31498 / 0.3e1;
  t31506 = -t31486 - t31488 + t31490 + t31492 - t31494 - t31496 + t31497 + t31499 - t3015 * t30195 / 0.3e1 + 0.2e1 / 0.3e1 * t3015 * t31192 - 0.11e2 / 0.9e1 * t4531 * t30199;
  t31513 = t2972 * t6560;
  t31514 = t31513 / 0.12e2;
  t31515 = t866 * t29995;
  t31516 = t31515 / 0.12e2;
  t31527 = t1529 * t6809;
  t31528 = t31527 / 0.6e1;
  t31529 = t838 * t6320 / 0.6e1 + t259 * t28845 / 0.6e1 + t259 * t28849 / 0.6e1 - t31514 - t31516 - 0.5e1 / 0.36e2 * t13729 * t6565 - 0.5e1 / 0.36e2 * t2983 * t29985 - t2010 * t1114 / 0.6e1 - t2010 * t1111 / 0.3e1 - t2902 * t991 / 0.12e2 - t31528;
  t31532 = t372 * t6806;
  t31533 = t31532 / 0.6e1;
  t31534 = t3062 * t915;
  t31554 = t3443 * t848;
  t31555 = t31554 / 0.36e2;
  t31558 = -t31533 + t1677 * t31534 * t328 / 0.2e1 - t1677 * t4756 * t3513 + 0.3e1 / 0.2e1 * t1677 * t3062 * t920 * t636 + t2902 * t994 / 0.6e1 - t843 * t3411 / 0.36e2 + t3446 * t848 / 0.18e2 - t525 * t4744 / 0.18e2 + t2885 * t994 / 0.2e1 - t31555 - t3434 * t2934 / 0.36e2;
  t31559 = t2902 * t982;
  t31560 = t31559 / 0.12e2;
  t31571 = t911 * t2880;
  t31572 = t31571 / 0.12e2;
  t31581 = t31560 - t14664 * t978 / 0.6e1 + t3434 * t2892 / 0.9e1 + t17278 * t274 / 0.12e2 - t838 * t3411 / 0.12e2 - t259 * t17389 / 0.12e2 - t31572 - t533 * t4744 / 0.6e1 - t208 * t21083 / 0.6e1 + t21080 * t223 / 0.6e1 - t2885 * t986 / 0.2e1;
  t31585 = -t3434 * t2888 / 0.18e2 + t29758 - t29759 + t29760 + t29761 + t29762 - t29763 - t29766 + t29767 + t28159 + t28165;
  t31594 = t2988 * t30221;
  t31595 = t31594 / 0.6e1;
  t31603 = t3434 * t2947 / 0.9e1 - t3434 * t2997 / 0.18e2 + t372 * t6770 / 0.2e1 + t372 * t6767 / 0.6e1 + t31595 - t372 * t6823 + t372 * t6820 / 0.6e1 - t29803 + t29804 + t29805 - t3299 * t30159 / 0.2e1 + t372 * t6826 / 0.2e1;
  t31611 = t349 * t6813;
  t31612 = t31611 / 0.4e1;
  t31615 = t162 * t3365 * t941 * t165;
  t31616 = t31615 / 0.4e1;
  t31619 = t372 * t6797;
  t31620 = t31619 / 0.6e1;
  t31631 = t866 * t29924;
  t31632 = t31631 / 0.6e1;
  t31633 = -t509 * t31475 * t512 / 0.2e1 + t31612 + t31616 + t843 * t6325 / 0.36e2 + t31620 + t2010 * t1126 / 0.6e1 - t3434 * t3373 / 0.36e2 - t525 * t4729 / 0.18e2 - t372 * t6762 / 0.6e1 - t3057 * t6557 / 0.18e2 - t31632;
  t31638 = t2972 * t6554;
  t31639 = t31638 / 0.6e1;
  t31645 = t4541 * t3481;
  t31649 = -t866 * t29927 / 0.3e1 - t866 * t29335 / 0.3e1 - t31639 + t29830 - t28226 - t28228 + t28230 + t10769 * t6743 + t2251 * t3236 * t6617 - t2265 * t4542 * t3680 + 0.3e1 * t2265 * t31645 * t622;
  t31651 = t4541 * t920;
  t31654 = t287 * t914;
  t31656 = t3935 * t2263 * t31654;
  t31659 = t3062 * t3608;
  t31661 = t1677 * t31659 * t636;
  t31662 = t31661 / 0.2e1;
  t31663 = t3062 * t909;
  t31665 = t1677 * t31663 * t328;
  t31666 = t31665 / 0.4e1;
  t31672 = t2265 * t31651 * t1666 - 0.3e1 / 0.2e1 * t10863 * t31656 - t31662 - t31666 - t29833 - t28248 - t3416 * t877 / 0.4e1 + t29844 + t29845 + t1529 * t6773 - 0.5e1 / 0.108e3 * t14244 * t6565;
  t31673 = t3057 * t6560;
  t31674 = t31673 / 0.36e2;
  t31675 = t3057 * t6554;
  t31676 = t31675 / 0.18e2;
  t31681 = t3057 * t6546;
  t31682 = t31681 / 0.9e1;
  t31685 = t866 * t17119;
  t31686 = t31685 / 0.3e1;
  t31689 = t2961 * t3662;
  t31690 = t302 * t31689;
  t31697 = -t31674 - t31676 - t3057 * t6550 / 0.9e1 + 0.23e2 / 0.108e3 * t14244 * t6622 + t31682 + t525 * t6855 / 0.36e2 + t31686 - t2972 * t6550 / 0.3e1 + t538 * t31690 / 0.3e1 - t3727 * t4453 / 0.2e1 - t917 * t2963 / 0.6e1;
  t31711 = t2897 * t3587;
  t31712 = t31711 / 0.2e1;
  t31713 = t854 * t3584;
  t31714 = t31713 / 0.2e1;
  t31715 = -t866 * t29433 / 0.6e1 - 0.3e1 * t2897 * t3595 + t3483 * t4519 - t17410 * t859 / 0.2e1 + t3416 * t862 / 0.2e1 - t21291 * t623 + t4701 * t646 - t31712 + t31714 + t29911 + t28268;
  t31735 = t3483 * t4442 / 0.2e1 + 0.12e2 * t21350 * t30941 + 0.4e1 * t4571 * t15619 - 0.4e1 * t4571 * t15510 - 0.23e2 / 0.3e1 * t20380 * t29769 - 0.2e1 * t4571 * t16952 + 0.2e1 / 0.3e1 * t3015 * t17546 + 0.3e1 / 0.2e1 * t4531 * t29795 - t4531 * t29798 - t4531 * t29790 / 0.2e1 - t28270;
  t31745 = -t28273 - t29942 - t28278 + t259 * t28841 / 0.12e2 + t3030 * t6572 / 0.3e1 + t894 * t30192 / 0.3e1 - t29943 + t29944 - t29946 + t29947 - t2972 * t6557 / 0.6e1;
  t31756 = t3221 * t30416;
  t31757 = 0.3e1 * t31756;
  t31758 = t28925 + t28927 - t30304 + t30305 + t30306 + t30307 + t30308 - 0.4e2 * t13762 * t30481 - 0.1e2 * t3208 * t30388 + 0.2e2 / 0.3e1 * t3208 * t30391 + 0.1e2 / 0.3e1 * t13792 * t30453 - t31757;
  t31759 = t806 * t30419;
  t31760 = t3226 * t30370;
  t31761 = 0.4e1 * t31760;
  t31772 = t810 * t30379;
  t31773 = 0.4e1 / 0.3e1 * t31772;
  t31774 = t3208 * t30364;
  t31775 = t31774 / 0.18e2;
  t31776 = -t31759 - t31761 - t806 * t29180 - t263 * t29183 - t30309 + t30310 + t3208 * t30385 / 0.9e1 + 0.12e2 * t13775 * t30475 + 0.3e1 * t3221 * t30478 - 0.6e1 * t3221 * t30329 - t31773 + t31775;
  t31788 = t810 * t30410;
  t31789 = 0.2e1 * t31788;
  t31790 = t3208 * t30413;
  t31791 = 0.1e2 / 0.3e1 * t31790;
  t31795 = t3214 * t6505;
  t31796 = t31795 / 0.3e1;
  t31797 = 0.24e2 * t13772 * t30404 + 0.8e1 * t3226 * t30357 - 0.8e1 * t3226 * t30360 - 0.2e1 / 0.3e1 * t13762 * t30323 - 0.2e1 / 0.3e1 * t810 * t29201 + t31789 + t31791 + t30311 + t943 - t263 * t29189 + 0.2e1 * t13745 * t6502 - t31796;
  t31819 = t3214 * t6515;
  t31820 = 0.2e1 * t31819;
  t31821 = t3236 * t6499;
  t31822 = 0.2e1 * t31821;
  t31823 = -t13749 * t6508 / 0.9e1 - t804 * t6270 - 0.2e1 * t3236 * t6495 - 0.2e1 * t806 * t29191 - 0.2e1 * t806 * t30488 + 0.2e1 * t806 * t29198 + 0.3e1 * t263 * t29222 - 0.2e1 * t263 * t29226 + 0.4e1 / 0.3e1 * t810 * t29185 - t3208 * t30382 / 0.6e1 - 0.2e1 * t810 * t30351 + t31820 - t31822;
  t31850 = 0.3e1 * t810 * t28967 + 0.36e2 * t13762 * t30628 + 0.9e1 * t3208 * t30469 - 0.6e1 * t3208 * t30472 - 0.12e2 * t3226 * t30463 + 0.12e2 * t3226 * t30466 + 0.6e1 * t13749 * t6484 - 0.12e2 * t13745 * t6488 - 0.2e1 / 0.3e1 * t13749 * t6523 + 0.3e1 * t3214 * t6492 + 0.3e1 * t810 * t30448 - 0.2e1 * t3214 * t6512;
  t31872 = 0.6e1 * t13782 * t6520 + t13815 * t6529 + 0.4e1 * t13827 * t6531 - 0.6e1 * t13836 * t30593 - 0.24e2 * t20588 * t30589 + t28931 * t3200 + 0.4e1 * t29028 * t3202 - 0.2e1 * t29204 * t810 + t30598 * t3200 + 0.12e2 * t30652 * t4397 + 0.4e1 * t30661 * t3202 + 0.2e1 * t6282 * t804;
  t31880 = t4402 * t30336;
  t31881 = 0.12e2 * t31880;
  t31882 = t3200 * t30670;
  t31883 = 0.4e1 * t31882;
  t31884 = t4397 * t30534;
  t31885 = 0.6e1 * t31884;
  t31886 = t3202 * t30537;
  t31887 = 0.2e1 * t31886;
  t31898 = -0.18e2 * t13830 * t30434 + 0.12e2 * t4405 * t30438 + 0.8e1 / 0.3e1 * t20868 * t30531 - t31881 - t31883 + t31885 + t31887 + 0.6e1 * t13916 * t30500 - t13830 * t30600 / 0.6e1 + 0.2e1 * t3202 * t28993 + 0.2e1 * t4392 * t28997 + t3200 * t29000 / 0.3e1;
  t31901 = t4405 * t30344;
  t31902 = 0.6e1 * t31901;
  t31909 = t4405 * t30339;
  t31910 = 0.2e1 / 0.3e1 * t31909;
  t31911 = -t962 + t29020 + t6881 - t6884 + t6888 - 0.1e2 * t13830 * t30425 + t31902 - 0.4e1 / 0.3e1 * t20868 * t30649 - 0.2e1 * t3200 * t29242 + 0.8e1 * t20580 * t30603 - t31910 + t6480 - t6481;
  t31921 = t4402 * t30344;
  t31922 = 0.2e1 * t31921;
  t31923 = t3200 * t30521;
  t31924 = 0.2e1 / 0.3e1 * t31923;
  t31925 = t4405 * t30524;
  t31926 = t31925 / 0.9e1;
  t31927 = t6482 + t6264 + t30442 - t30443 + t30444 - t30445 - 0.16e2 * t13818 * t30543 + 0.4e1 * t4402 * t30438 + 0.4e1 / 0.3e1 * t20580 * t30531 + t31922 + t31924 - t31926;
  t31938 = t13830 * t30503 / 0.3e1 - 0.2e1 / 0.9e1 * t4405 * t30506 - t20868 * t30509 / 0.9e1 - 0.18e2 * t13830 * t30685 - t6907 + t6914 - t6916 + t6526 - t6527 - t6528 - t6280 + t263 * t29118 / 0.2e1;
  t31956 = -0.3e1 * t13916 * t30702 + t13830 * t30705 / 0.3e1 - 0.12e2 * t13836 * t30708 - 0.8e1 * t13833 * t30694 - 0.16e2 / 0.3e1 * t13818 * t30685 + 0.32e2 * t13818 * t30691 + 0.18e2 * t13916 * t30697 + 0.2e1 * t13830 * t30688 - t3777 - t3778 - t3782 + t3802;
  t31968 = t3214 * t6470;
  t31971 = t3214 * t6467;
  t31972 = 0.2e1 / 0.3e1 * t31971;
  t31973 = t3236 * t6472;
  t31980 = -0.3e1 * t13749 * t6450 + 0.6e1 * t13745 * t6447 - t804 * t6254 - 0.4e1 * t13745 * t6457 + t13749 * t6460 / 0.18e2 - 0.3e1 * t13782 * t6453 - t31968 + 0.1e2 / 0.3e1 * t13749 * t6463 + t31972 + t31973 + t804 * t6246 / 0.2e1 + 0.6e1 * t13836 * t30549 + 0.4e1 * t13833 * t30552;
  t31995 = 0.32e2 / 0.3e1 * t13818 * t30606 - 0.12e2 * t20859 * t30430 - 0.4e1 * t13818 * t30434 + 0.4e1 * t13916 * t29036 + 0.9e1 * t13830 * t30606 + 0.24e2 * t20868 * t30603 + t29076 - t30616 - t3841 + t3866 + t3868 + t3873;
  t31996 = t3226 * t30407;
  t31997 = 0.6e1 * t31996;
  t31999 = t3208 * t30625;
  t32000 = 0.3e1 * t31999;
  t32001 = t29062 * t810 + t29108 - t29163 - t29165 - t29167 - t30633 + t30634 + t30675 - t30676 - t30677 - t30678 + t31997 - t32000;
  t32013 = 0.5e2 / 0.3e1 * t13792 * t30636 - 0.36e2 * t13772 * t30460 - 0.2e1 * t810 * t29065 - 0.12e2 * t13792 * t30620 - t29230 - t30679 + t30680 - t30682 - t29241 - t30683 + t30684 - 0.6e1 * t20585 * t29004;
  t32040 = 0.4e1 * t4392 * t29008 - 0.2e1 / 0.3e1 * t13916 * t29013 - 0.4e1 * t13833 * t28920 - 0.4e1 / 0.3e1 * t4405 * t30646 - 0.9e1 * t13916 * t30546 + 0.72e2 * t20859 * t30611 + 0.24e2 * t13818 * t30555 - 0.24e2 * t4402 * t30558 + 0.2e1 * t13830 * t30643 - 0.6e1 * t13815 * t6477 - 0.6e1 * t3200 * t30564 - 0.6e1 * t3200 * t29016 - 0.72e2 * t20580 * t30430;
  t32061 = -t866 * t29915 / 0.6e1 - t3410 + t3430 - t3445 + t3460 - t22 * t59 * (t31758 + t31776 + t31797 + t31823 + t31850 + t31872 + t31898 + t31911 + t31927 + t31938 + t31956 + t31980 + t31995 + t32001 + t32013 + t32040) * t96 / 0.4e1 - t2255 * t810 * t28074 + t2251 * t810 * t28077 - t3015 * t29957 / 0.6e1 - t14008 * t6653 / 0.3e1 + t3015 * t30133 / 0.3e1 - 0.5e1 / 0.18e2 * t4531 * t30136;
  t32073 = t911 * t2967;
  t32074 = t32073 / 0.12e2;
  t32085 = t14008 * t6649 / 0.6e1 + t4571 * t30213 / 0.2e1 - t4571 * t30218 + t4571 * t30216 - t14244 * t6625 / 0.6e1 - t32074 + 0.18e2 * t20380 * t30269 + 0.9e1 / 0.2e1 * t4531 * t16995 - 0.3e1 * t4531 * t17006 - 0.43e2 / 0.9e1 * t20344 * t30266 - 0.3e1 / 0.2e1 * t4531 * t17190;
  t32090 = t2255 * t3208 * t28453;
  t32091 = 0.3e1 * t32090;
  t32112 = t3446 * t886 / 0.18e2 + t10930 * t4543 - t32091 - t17053 * t4592 + 0.2e1 / 0.3e1 * t2168 * t17367 * t4588 - t14127 * t6655 / 0.9e1 - 0.18e2 * t4277 * t13762 * t30810 - 0.9e1 / 0.2e1 * t4277 * t3208 * t30806 + 0.3e1 * t4277 * t3208 * t30800 + 0.3e1 / 0.2e1 * t10978 * t14575 * t6676 + 0.23e2 / 0.18e2 * t4531 * t30957;
  t32122 = t3487 * t4442;
  t32123 = t32122 / 0.12e2;
  t32124 = t911 * t2963;
  t32125 = t32124 / 0.12e2;
  t32126 = t3610 * t4453;
  t32127 = t32126 / 0.6e1;
  t32132 = -t3006 * t29462 / 0.6e1 - t3006 * t29454 / 0.3e1 - t3015 * t29457 / 0.6e1 + t3006 * t28237 / 0.2e1 - t32123 + t32125 + t32127 - t14244 * t6672 / 0.2e1 + t9774 * t6838 / 0.2e1 - t30131 - t30132;
  t32145 = t2169 * t4561;
  t32156 = -0.4e1 / 0.3e1 * t3015 * t17549 - t10923 * t6748 / 0.2e1 - 0.2e1 * t17049 * t4760 + t10930 * t4762 + 0.2e1 * t17046 * t4650 + 0.6e1 * t2251 * t13792 * t30922 - t15606 * t32145 / 0.2e1 + t3015 * t29379 / 0.4e1 + t3015 * t30884 / 0.4e1 + t13995 * t6661 / 0.4e1 + t3015 * t29584 / 0.4e1;
  t32181 = -t2988 * t29573 / 0.3e1 - t2988 * t28340 / 0.3e1 - t15227 * t6655 / 0.3e1 - t2988 * t29567 / 0.3e1 - t4538 * t30145 / 0.2e1 - t4538 * t30153 + t4538 * t30150 / 0.2e1 + 0.2e1 * t20507 * t29851 - t1677 * t21699 * t990 / 0.4e1 + t3015 * t28445 / 0.3e1 + t3015 * t28449 / 0.6e1;
  t32184 = t4531 * t30960;
  t32185 = t32184 / 0.2e1;
  t32187 = t21651 * t3464;
  t32202 = 0.14e2 / 0.3e1 * t4531 * t31072 - t32185 - t4531 * t30238 + t2168 * t32187 / 0.6e1 - t17049 * t4554 - t4538 * t30728 + t3006 * t29376 / 0.12e2 + t3006 * t29361 / 0.6e1 + t3015 * t29358 / 0.6e1 - t2988 * t29350 / 0.3e1 - t3006 * t29355 / 0.3e1;
  t32211 = t2251 * t3226 * t31130;
  t32212 = 0.3e1 * t32211;
  t32214 = t2251 * t810 * t31134;
  t32218 = t3935 * t4561;
  t32227 = 0.3e1 * t17049 * t4557 + 0.3e1 * t30736 * t4599 - 0.6e1 * t17046 * t4603 - t32212 - t32214 - t10930 * t4748 / 0.2e1 - t10930 * t4757 - 0.5e1 / 0.36e2 * t15606 * t32218 - t3416 * t873 / 0.2e1 + t21470 * t3638 / 0.2e1 + t21470 * t3642 / 0.2e1;
  t32229 = t2265 * t3012 * t6308;
  t32230 = t32229 / 0.2e1;
  t32231 = t256 * t908;
  t32234 = t10863 * t3935 * t1556 * t32231;
  t32235 = 0.3e1 / 0.2e1 * t32234;
  t32237 = t2255 * t810 * t27989;
  t32238 = t500 * t32231;
  t32240 = t10870 * t2175 * t32238;
  t32241 = 0.2e1 * t32240;
  t32259 = t500 * t256 * t914;
  t32266 = -0.3e1 * t10863 * t21156 * t29576 + 0.18e2 * t13772 * t2251 * t29649 - 0.3e1 * t14803 * t1677 * t6687 + 0.3e1 * t2251 * t29601 * t3208 + 0.6e1 * t2251 * t29641 * t3226 - 0.6e1 * t2251 * t29645 * t3226 - 0.28e2 * t29634 * t32259 * t3931 - t17053 * t4652 - t32230 - t32235 + t32237 - t32241;
  t32293 = t1677 * t4542 * t3557 - 0.3e1 * t1677 * t31645 * t645 + t349 * t6767 / 0.2e1 - t349 * t6762 / 0.2e1 - t162 * t3365 * t944 * t313 / 0.2e1 - t28329 - t30265 + t3015 * t29371 / 0.12e2 - t3006 * t29368 / 0.6e1 - t2988 * t29364 / 0.6e1 + t10923 * t6743 / 0.3e1;
  t32294 = t4541 * t3485;
  t32296 = t2265 * t32294 * t622;
  t32297 = t32296 / 0.2e1;
  t32299 = t1677 * t32294 * t645;
  t32300 = t32299 / 0.2e1;
  t32301 = t21400 * t3492;
  t32320 = -t32297 + t32300 + 0.3e1 / 0.2e1 * t10978 * t32301 * t3495 - 0.3e1 * t2265 * t32301 * t3594 - t913 + t984 - t259 * t29398 / 0.6e1 + 0.3e1 * t509 * t15371 * t6597 - t838 * t6365 / 0.6e1 - t14228 * t6603 / 0.2e1 + 0.3e1 / 0.2e1 * t1677 * t14775 * t6592;
  t32334 = t4538 * t30224;
  t32335 = t32334 / 0.2e1;
  t32339 = t2251 * t3221 * t30853;
  t32340 = 0.3e1 / 0.2e1 * t32339;
  t32345 = -0.6e1 * t2251 * t13775 * t31101 - 0.3e1 / 0.2e1 * t2251 * t3221 * t31002 + 0.3e1 * t2251 * t3221 * t31006 + t1677 * t3190 * t6339 / 0.2e1 - t32335 + t28346 - t4701 * t637 - t2897 * t3681 + t32340 + t17083 * t15090 / 0.6e1 + t15833 * t4753 / 0.2e1;
  t32346 = t2175 * t31315;
  t32349 = t17367 * t4561;
  t32352 = t17526 * t4561;
  t32371 = -t2168 * t32346 / 0.6e1 - t2168 * t32349 / 0.6e1 + t2161 * t32352 / 0.3e1 + t2179 * t19967 / 0.6e1 + t4571 * t30944 + 0.2e1 * t4571 * t30255 - 0.2e1 * t4571 * t30790 - 0.6e1 * t21350 * t29683 + t11134 * t6740 / 0.36e2 - t3015 * t28527 / 0.3e1 - 0.18e2 * t2255 * t13772 * t30083;
  t32382 = t555 * t31689;
  t32390 = t548 * t3414 * t3307;
  t32393 = -0.11e2 / 0.54e2 * t14244 * t6691 + 0.7e1 / 0.9e1 * t14244 * t6628 + t13710 * t6631 / 0.3e1 + t3489 - t3491 - t866 * t28202 / 0.6e1 - t546 * t32382 / 0.3e1 + t922 * t14383 / 0.3e1 + t610 * t4716 + t610 * t4719 + t1941 * t32390 / 0.3e1;
  t32396 = t138 * t6936;
  t32401 = t106 * t158 * t6934 * t159;
  t32408 = -t28372 - t30725 + t3416 * t881 / 0.4e1 + t28377 + t28379 + t30726 + t30727 - t127 * t32396 / 0.12e2 + t32401 * t166 / 0.4e1 - t922 * t14157 / 0.6e1 + t922 * t14161 / 0.3e1;
  t32412 = t19672 * t539;
  t32413 = t548 * t32412;
  t32416 = t302 * t32412;
  t32423 = -t14165 * t978 / 0.2e1 - t546 * t32413 / 0.6e1 + t538 * t32416 / 0.3e1 + t3586 - t3589 + t1677 * t3108 * t29545 - 0.3e1 * t21350 * t29846 + t30767 - t30768 - t30769 - t30770;
  t32430 = t2885 * t982;
  t32431 = t32430 / 0.4e1;
  t32436 = -t28465 + t30771 + t28471 + t30773 - t30774 + t917 * t2880 / 0.6e1 - t922 * t15194 / 0.12e2 + t4701 * t631 / 0.2e1 + t32431 + t3416 * t833 / 0.4e1 + t21088 * t223 / 0.2e1;
  t32451 = t2251 * t806 * t30857;
  t32452 = t32451 / 0.2e1;
  t32453 = t17384 * t274 / 0.4e1 - t2902 * t986 / 0.6e1 + t6756 - 0.3e1 * t854 * t3573 + t30775 - t2885 * t991 / 0.4e1 - t854 * t3694 / 0.4e1 + t32452 - t3603 - t3605 + t3607;
  t32464 = t3612 + t6620 + t6303 - t610 * t4687 / 0.2e1 - t610 * t4690 / 0.2e1 - t610 * t4737 - t610 * t4682 - t1994 * t1114 / 0.2e1 + 0.6e1 * t20380 * t29800 + t28531 - t28532;
  t32477 = t3015 * t15500;
  t32478 = 0.2e1 / 0.3e1 * t32477;
  t32479 = t30818 + t259 * t28732 / 0.12e2 - t28573 - t28576 - t28580 - t28583 + 0.8e1 * t2251 * t3226 * t30756 + 0.9e1 / 0.2e1 * t2251 * t810 * t30742 - t1994 * t1111 - t854 * t3553 / 0.4e1 - t32478;
  t32480 = t14332 * t3620;
  t32483 = t21610 * t3464;
  t32486 = t14332 * t3464;
  t32489 = t1868 * t269;
  t32490 = t32489 * t3626;
  t32506 = t7303 * t929;
  t32511 = t2179 * t32480 / 0.12e2 + t2168 * t32483 / 0.12e2 - t2161 * t32486 / 0.6e1 - t2179 * t32490 / 0.6e1 - t10930 * t4664 / 0.2e1 - 0.2e1 / 0.3e1 * t9737 * t17371 * t19920 + t4571 * t29960 + t2988 * t30230 / 0.3e1 - t2988 * t30776 / 0.3e1 + t1677 * t4747 * t15470 / 0.2e1 - t9737 * t2169 * t1675 * t32506 / 0.3e1;
  t32538 = 0.3e1 / 0.2e1 * t4531 * t31167 + 0.9e1 / 0.2e1 * t4531 * t31171 + t14008 * t6661 / 0.12e2 + 0.3e1 * t2897 * t3683 + t3015 * t31125 / 0.4e1 - 0.8e1 / 0.3e1 * t4571 * t30764 - 0.3e1 / 0.2e1 * t3015 * t30761 + 0.11e2 / 0.6e1 * t4531 * t30934 + t3015 * t30979 / 0.2e1 + 0.9e1 * t2255 * t3208 * t29624 - 0.6e1 * t2255 * t3208 * t29617;
  t32562 = t15665 * t4753;
  t32563 = t32562 / 0.12e2;
  t32564 = -0.3e1 * t2265 * t14575 * t6681 - 0.3e1 / 0.2e1 * t10769 * t6748 - 0.3e1 / 0.2e1 * t2251 * t3214 * t6694 - 0.3e1 / 0.2e1 * t2251 * t810 * t29610 - 0.3e1 / 0.2e1 * t2251 * t810 * t28870 - 0.9e1 / 0.2e1 * t2251 * t3208 * t29597 + t30946 - t30947 + t2251 * t806 * t28600 / 0.2e1 + t2251 * t263 * t28588 / 0.2e1 - t32563;
  t32574 = t6799 - t6802 - t6808 - t6811 + t6815 - t28698 + t28700 + t894 * t29287 / 0.6e1 + t259 * t15807 / 0.12e2 - t208 * t19674 / 0.6e1 + 0.2e1 / 0.3e1 * t2988 * t30779;
  t32586 = t169 * t6738 * t122;
  t32587 = t2294 * t32586;
  t32601 = -0.4e1 / 0.3e1 * t4571 * t31025 - t2988 * t30783 / 0.3e1 + t2265 * t4542 * t16976 / 0.2e1 - t1677 * t4542 * t16984 / 0.2e1 + t2168 * t32587 / 0.6e1 + t1677 * t4756 * t15474 / 0.2e1 + 0.5e1 / 0.12e2 * t4531 * t31022 - 0.3e1 / 0.4e1 * t3015 * t31019 + t14053 * t6578 / 0.2e1 + t838 * t6325 / 0.12e2 + t3689 - t3693;
  t32630 = -t3700 - t30982 + t2988 * t28232 / 0.3e1 + 0.3e1 / 0.2e1 * t2255 * t810 * t28014 + 0.3e1 / 0.2e1 * t2255 * t810 * t30870 + 0.3e1 / 0.2e1 * t10809 * t6745 + 0.3e1 / 0.2e1 * t2255 * t3214 * t3473 + 0.6e1 * t2255 * t3226 * t30878 + 0.3e1 * t2265 * t14803 * t6597 - 0.6e1 * t2255 * t3226 * t30874 + t2251 * t806 * t28252;
  t32656 = t2251 * t806 * t30995 + 0.5e1 / 0.12e2 * t4531 * t30988 - 0.5e1 / 0.18e2 * t4531 * t31087 - 0.3e1 * t2251 * t3221 * t29522 - 0.2e1 * t2251 * t806 * t29540 + 0.16e2 / 0.3e1 * t4571 * t30976 + 0.3e1 * t3015 * t29529 - t3015 * t29538 - 0.23e2 / 0.12e2 * t4531 * t29533 - 0.9e1 / 0.2e1 * t4277 * t3208 * t31178 + 0.3e1 / 0.2e1 * t2265 * t3012 * t30820;
  t32659 = t10863 * t3931 * t32238;
  t32660 = 0.7e1 / 0.3e1 * t32659;
  t32662 = t1677 * t3012 * t6639;
  t32663 = t32662 / 0.2e1;
  t32681 = t32660 + t32663 + t13710 * t6578 / 0.6e1 - t13729 * t6625 / 0.2e1 - t2983 * t31223 / 0.2e1 + 0.7e1 / 0.3e1 * t13729 * t6628 + 0.23e2 / 0.36e2 * t13729 * t6622 + 0.23e2 / 0.36e2 * t2983 * t29880 - 0.11e2 / 0.18e2 * t2983 * t29874 - 0.11e2 / 0.18e2 * t13729 * t6691 - t1529 * t6841;
  t32686 = t852 * t6563;
  t32687 = t548 * t32686;
  t32697 = t1553 * t6809;
  t32698 = t32697 / 0.2e1;
  t32700 = t509 * t3313 * t6308;
  t32701 = t32700 / 0.2e1;
  t32702 = t349 * t6806;
  t32703 = t32702 / 0.2e1;
  t32705 = t162 * t3336 * t6644;
  t32706 = t32705 / 0.2e1;
  t32707 = -t14029 * t6603 / 0.6e1 - t843 * t6365 / 0.18e2 - 0.2e1 * t15553 * t32687 - t854 * t3712 / 0.2e1 + 0.3e1 / 0.2e1 * t854 * t3704 + t854 * t3708 / 0.2e1 - t854 * t3514 - t32698 - t32701 - t32703 - t32706;
  t32718 = t911 * t3379;
  t32719 = t32718 / 0.12e2;
  t32720 = t911 * t3383;
  t32721 = t32720 / 0.12e2;
  t32722 = t349 * t6797;
  t32723 = t32722 / 0.2e1;
  t32731 = t3624 * t169 * t6738 * t326;
  t32734 = -t349 * t6803 / 0.4e1 - t162 * t3358 * t6344 / 0.4e1 - t162 * t876 * t29407 / 0.4e1 - t32719 - t32721 + t32723 + t6860 - t6864 - t6866 - t9737 * t2169 * t500 * t256 * t6244 / 0.3e1 - t2179 * t32731 / 0.6e1;
  t32738 = t1684 * t32586;
  t32742 = t1677 * t3108 * t6644;
  t32743 = t32742 / 0.2e1;
  t32747 = t490 * t2961 * t3737;
  t32750 = t2972 * t6546;
  t32751 = t32750 / 0.3e1;
  t32755 = t490 * t14481 * t930;
  t32760 = -0.8e1 * t2255 * t3226 * t31174 - t2161 * t32738 / 0.6e1 - t32743 - t103 * t6873 / 0.12e2 + t208 * t32747 / 0.12e2 + t32751 + t533 * t6855 / 0.12e2 + t208 * t32755 / 0.12e2 + t917 * t2967 / 0.6e1 + t31069 + t6305;
  t32770 = t1675 * t31654;
  t32774 = t287 * t908;
  t32776 = t2175 * t1675 * t32774;
  t32777 = t9737 * t32776;
  t32778 = t32777 / 0.3e1;
  t32784 = -t22 * t6935 * t194 / 0.4e1 - t22 * t3884 * t288 / 0.4e1 - t1677 * t31651 * t1671 + 0.7e1 / 0.3e1 * t10863 * t3931 * t32770 + t32778 - t6310 - t6351 - t6355 - t1677 * t3190 * t6344 / 0.4e1 + 0.2e1 / 0.3e1 * t2972 * t6612 + t31080;
  t32789 = t372 * t6813;
  t32790 = t32789 / 0.12e2;
  t32795 = 0.2e1 / 0.3e1 * t866 * t17023 + t31081 - t31082 - t31083 + 0.2e1 / 0.3e1 * t866 * t17138 - t6664 + t6665 - t6666 + t32790 + t208 * t19750 / 0.6e1 + t3039 * t29511 / 0.2e1 + t29311;
  t32801 = t3030 * t6575;
  t32802 = t32801 / 0.6e1;
  t32803 = t894 * t29505;
  t32804 = t32803 / 0.6e1;
  t32813 = t2233 * t4441;
  t32816 = t2057 * t4522;
  t32819 = t3487 * t4519;
  t32820 = t32819 / 0.6e1;
  t32821 = t894 * t28175 / 0.3e1 + t32802 + t32804 + t29313 + t843 * t6320 / 0.18e2 + 0.2e1 / 0.9e1 * t3057 * t6612 + t2010 * t1117 / 0.3e1 - t12075 * t1108 / 0.3e1 - 0.11e2 / 0.18e2 * t3502 * t32813 + 0.23e2 / 0.36e2 * t3502 * t32816 - t32820;
  t32822 = t555 * t32412;
  t32845 = -t546 * t32822 / 0.3e1 + t4538 * t30723 - 0.9e1 / 0.2e1 * t2255 * t810 * t31097 - t22 * t971 * t793 / 0.4e1 + t2897 * t3672 - t2897 * t3676 / 0.2e1 + t922 * t14936 / 0.3e1 - t922 * t14386 / 0.6e1 + 0.2e1 / 0.3e1 * t546 * t20548 - 0.2e1 / 0.3e1 * t922 * t14946 + 0.3e1 / 0.2e1 * t854 * t3577;
  t32847 = t2324 * t4441;
  t32851 = t2057 * t2895 * t539;
  t32862 = t3935 * t4588;
  t32871 = t2182 * t31315;
  t32875 = -t3502 * t32847 / 0.2e1 - 0.3e1 / 0.2e1 * t3502 * t32851 + 0.3e1 / 0.2e1 * t14144 * t3496 + 0.2e1 / 0.3e1 * t2168 * t20985 - 0.2e1 * t15833 * t4589 - 0.2e1 / 0.3e1 * t17083 * t15424 + 0.23e2 / 0.36e2 * t15606 * t32862 + 0.47e2 / 0.3e1 * t29591 * t10733 * t32259 + 0.3e1 / 0.2e1 * t1677 * t14575 * t6667 - t2168 * t32871 / 0.3e1 + t15833 * t4562;
  t32878 = t3931 * t4561;
  t32885 = t2057 * t4441;
  t32888 = t548 * t31689;
  t32892 = t548 * t852 * t6544;
  t32893 = t1941 * t32892;
  t32894 = t32893 / 0.3e1;
  t32895 = t17083 * t15068 / 0.3e1 - 0.11e2 / 0.18e2 * t15606 * t32878 + t6946 - t6951 - t6720 + t6725 - t922 * t14468 / 0.12e2 + t922 * t14463 / 0.6e1 - 0.5e1 / 0.36e2 * t3502 * t32885 - t546 * t32888 / 0.6e1 + t32894;
  t32898 = t854 * t3687;
  t32899 = t32898 / 0.4e1;
  t32900 = t854 * t3698;
  t32901 = t32900 / 0.2e1;
  t32902 = t854 * t3691;
  t32903 = t32902 / 0.4e1;
  t32914 = t2169 * t32586;
  t32919 = t3052 * t6575;
  t32920 = t32919 / 0.18e2;
  t32923 = t32899 - t32901 - t32903 + 0.2e1 / 0.3e1 * t1941 * t548 * t4699 * t1000 + t4701 * t627 / 0.2e1 - t4701 * t641 / 0.2e1 - t1529 * t6817 / 0.6e1 + t2168 * t32914 / 0.12e2 - 0.2e1 / 0.3e1 * t13710 * t6633 + t32920 + t3052 * t6572 / 0.9e1;
  t32941 = t4277 * t3208 * t28466;
  t32942 = 0.3e1 / 0.2e1 * t32941;
  t32944 = t2255 * t3226 * t30102;
  t32945 = 0.3e1 * t32944;
  t32949 = -0.2e1 * t3039 * t15554 - 0.3e1 * t509 * t15348 * t6681 - 0.2e1 * t14053 * t6633 + t17046 * t4551 - 0.6e1 * t17049 * t4546 - t21470 * t3478 / 0.2e1 + 0.6e1 * t17046 * t4647 + t21686 * t3474 / 0.2e1 + t32942 + t32945 + t2255 * t810 * t28081 / 0.2e1;
  t32954 = t15665 * t4562;
  t32955 = t32954 / 0.6e1;
  t32957 = t2251 * t3208 * t30098;
  t32958 = 0.3e1 / 0.2e1 * t32957;
  t32967 = t2233 * t32686;
  t32978 = -t2251 * t810 * t28065 / 0.2e1 - t32955 + t32958 - 0.7e1 * t4531 * t15530 + 0.14e2 / 0.3e1 * t4531 * t15703 + 0.7e1 / 0.3e1 * t4531 * t15522 - 0.62e2 / 0.3e1 * t20344 * t30128 + 0.7e1 / 0.3e1 * t15539 * t32967 + t854 * t3517 / 0.2e1 + 0.3e1 / 0.2e1 * t1677 * t32301 * t3576 + 0.36e2 * t2255 * t13762 * t29628;
  t32987 = t3443 * t886;
  t32988 = t32987 / 0.36e2;
  t32999 = -0.18e2 * t2251 * t13762 * t29606 - 0.18e2 * t2255 * t13792 * t30926 - t372 * t6803 / 0.12e2 - t32988 - t31230 - t31231 - t31232 + t11018 * t6745 / 0.2e1 - t1677 * t20979 * t990 / 0.4e1 - t1677 * t4747 * t3552 / 0.4e1 - t9731 * t6735 / 0.4e1 - t31235;
  t33006 = my_piecewise3(t3, 0, t31355 + t31266 + t31581 + t31483 + t31456 + t32564 + t32845 + t31422 + t31745 + t32734 + t32795 + t31506 + t32949 + t32923 + t32656 + t31289 + t32999 + t31319 + t32574 + t32760 + t31672 + t32784 + t31558 + t32681 + t31697 + t32601 + t32895 + t32630 + t31735 + t31585 + t32978 + t32821 + t32408 + t32453 + t31402 + t32707 + t31715 + t32393 + t31603 + t32875 + t32436 + t32371 + t31380 + t32538 + t32464 + t32345 + t32320 + t32293 + t32266 + t31633 + t32227 + t31331 + t32202 + t32181 + t32156 + t32132 + t32112 + t32085 + t32479 + t32511 + t31649 + t32061 + t31529 + t32423);
  tv4rhosigma2tau0 = 0.2e1 * rho[0] * t33006 + 0.2e1 * t6970;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 0] += tv4rhosigma2tau0;

  t33009 = t29482 / 0.3e1;
  t33010 = t29486 / 0.3e1;
  t33011 = t29492 / 0.9e1;
  t33012 = t29498 / 0.3e1;
  t33013 = t29502 / 0.3e1;
  t33014 = t29506 / 0.3e1;
  t33015 = t7066 * t122;
  t33016 = t1505 * t33015;
  t33020 = t7066 * t326;
  t33021 = t10255 * t33020;
  t33025 = t4970 * t205;
  t33027 = t10733 * t1556 * t33025;
  t33031 = t1648 * t8034 * t205;
  t33036 = t1862 * t33015;
  t33040 = t10245 * t33020;
  t33044 = t96 * t33020;
  t33045 = t11150 * t33044;
  t33048 = t96 * t33015;
  t33049 = t10936 * t33048;
  t33052 = t5126 * t205;
  t33053 = t169 * t33052;
  t33054 = t2294 * t33053;
  t33057 = t500 * t33025;
  t33062 = t1648 * t8060 * t205;
  t33066 = t2294 * t33048;
  t33068 = t500 * t33015;
  t33073 = t10775 * t500 * t33020;
  t33075 = t10733 * t33068;
  t33078 = 0.3e1 * t2251 * t2776 * t33036 + 0.3e1 / 0.2e1 * t2251 * t697 * t33040 - t2632 * t33045 / 0.2e1 + 0.11e2 / 0.18e2 * t3930 * t33049 + t2632 * t33054 / 0.6e1 - 0.7e1 / 0.3e1 * t10863 * t10936 * t33057 - t1677 * t2563 * t33062 / 0.2e1 - t3917 * t33066 + 0.2e1 * t3917 * t2169 * t33068 + t2632 * t33073 - 0.23e2 / 0.36e2 * t3930 * t33075;
  t33105 = t27994 / 0.2e1;
  t33106 = t27997 / 0.2e1;
  t33107 = t28001 / 0.3e1;
  t33108 = t28004 / 0.4e1;
  t33109 = 0.3e1 / 0.2e1 * t28009;
  t33110 = t28012 / 0.2e1;
  t33111 = t1147 * t530;
  t33112 = t1505 * t33111;
  t33119 = t1132 * t929;
  t33120 = t500 * t33119;
  t33121 = t10936 * t33120;
  t33124 = t4856 * t3716 / 0.2e1 + t27991 + t33105 + t33106 - t33107 - t33108 - t33109 - t33110 + t2255 * t697 * t33112 / 0.2e1 + 0.3e1 * t2251 * t1164 * t28877 - 0.14e2 / 0.3e1 * t10863 * t33121;
  t33133 = t96 * t18757;
  t33134 = t2182 * t33133;
  t33150 = t19504 * t3919;
  t33155 = t96 * t18790;
  t33156 = t1684 * t33155;
  t33159 = t4849 * t929;
  t33160 = t1868 * t33159;
  t33168 = t22 * t21829;
  t33169 = t17992 * t3945;
  t33176 = t19504 * t4032;
  t33179 = t18921 * t4027;
  t33182 = 0.2e1 * t3917 * t33150 + t10769 * t7085 / 0.2e1 - t2674 * t33156 / 0.3e1 + t2251 * t237 * t33160 / 0.2e1 - 0.3e1 * t3930 * t18819 + 0.9e1 / 0.2e1 * t22511 * t10825 - 0.43e2 / 0.9e1 * t33168 * t33169 - 0.4e1 / 0.3e1 * t2632 * t19278 + 0.2e1 / 0.3e1 * t2632 * t19270 - t2632 * t33176 / 0.3e1 + 0.2e1 / 0.3e1 * t2632 * t33179;
  t33184 = t1571 * t18757;
  t33188 = t9916 * t2258;
  t33192 = t1132 * t205;
  t33193 = t1556 * t33192;
  t33200 = t28027 / 0.36e2;
  t33212 = -0.6e1 * t2255 * t2782 * t33184 + 0.9e1 * t2255 * t5011 * t33188 - 0.62e2 / 0.3e1 * t29591 * t18027 * t33193 - 0.3e1 * t2265 * t22911 * t7202 + t33200 - 0.2e1 / 0.3e1 * t1140 * t27985 + t2550 * t6991 / 0.3e1 + t4856 * t3566 - 0.11e2 / 0.18e2 * t4800 * t28179 - t4800 * t29437 / 0.2e1 + 0.2e1 / 0.3e1 * t671 * t18310;
  t33219 = t12348 * t1000;
  t33220 = t555 * t33219;
  t33223 = t400 * t18790;
  t33226 = 0.2e1 / 0.3e1 * t29657;
  t33231 = t22 * t243 * t4275;
  t33240 = 0.2e1 / 0.3e1 * t2600 * t7210 + 0.2e1 / 0.3e1 * t671 * t18461 - t671 * t29823 / 0.3e1 - t671 * t33220 / 0.3e1 + t2251 * t693 * t33223 + t33226 - t29673 + 0.3e1 / 0.2e1 * t1677 * t22911 * t7197 + 0.3e1 * t33231 * t4279 - 0.6e1 * t19135 * t4283 + 0.8e1 * t33168 * t17992 * t4275 * t3918;
  t33244 = t19277 * t3919;
  t33246 = t1571 * t243;
  t33250 = t1566 * t243;
  t33251 = t33250 * t3945;
  t33257 = t9911 * t3918;
  t33261 = t9916 * t3918;
  t33265 = t9906 * t3918;
  t33298 = -t28745 + t28748 - t28772 + t28780 - 0.4e1 * t21918 * t1065 - 0.4e1 * t4846 * t3557 + 0.4e1 * t21936 * t1057 + 0.4e1 * t4841 * t3513 + 0.2e1 * t705 * t990 + 0.2e1 * t239 * t3552 + 0.4e1 * t4834 * t15470 - 0.4e1 / 0.3e1 * t4831 * t16976 - 0.8e1 * t4831 * t18981;
  t33323 = -0.24e2 * t21866 * t19542 + 0.32e2 / 0.3e1 * t21871 * t18660 - 0.4e1 * t4831 * t16984 + 0.12e2 * t21871 * t18665 + 0.4e1 * t4828 * t18548 - 0.8e1 * t21866 * t19330 - 0.8e1 / 0.3e1 * t4831 * t18848 + 0.16e2 / 0.9e1 * t21871 * t19388 + 0.4e1 * t4828 * t15474 + 0.12e2 * t21853 * t18552 - t6237 + 0.2e1 / 0.3e1 * t16321 * t1260 + 0.2e1 / 0.3e1 * t3547 * t4903;
  t33336 = 0.4e1 * t1065 * t21861 - 0.2e1 * t3552 * t4834 + 0.4e1 * t3557 * t4831 + t28794 + t28797 + t28799 - t28828 - 0.12e2 * t4255 - 0.4e1 * t4298 - 0.4e1 * t4301 + 0.8e1 * t4310 - 0.4e1 * t4313 + t6225;
  t33355 = -0.4e1 / 0.3e1 * t4304 + 0.2e2 / 0.9e1 * t4279 - 0.4e1 * t21885 * t1057 - 0.4e1 * t4828 * t3513 + 0.4e1 / 0.3e1 * t21861 * t1052 + 0.4e1 / 0.3e1 * t4831 * t3680 - 0.2e1 * t21858 * t990 - 0.4e1 * t4260 + 0.24e2 * t4287 + 0.4e1 * t3954 - 0.12e2 * t4272 + 0.4e1 / 0.3e1 * t4283 - 0.2e1 / 0.3e1 * t3951;
  t33357 = t33298 + t33323 + t33336 + t33355;
  t33359 = t320 * t137 * t33357;
  t33369 = t162 * t3690 * t4876;
  t33370 = t33369 / 0.4e1;
  t33371 = t349 * t7043;
  t33372 = t33371 / 0.4e1;
  t33373 = 0.2e1 * t29677;
  t33374 = 0.2e1 / 0.3e1 * t29680;
  t33375 = t29697 / 0.2e1;
  t33376 = t29705 / 0.6e1;
  t33377 = t29721 / 0.18e2;
  t33378 = 0.3e1 / 0.2e1 * t349 * t7051 - t162 * t745 * t33359 / 0.4e1 - t162 * t2846 * t7047 / 0.4e1 - t349 * t7048 / 0.4e1 - t33370 - t33372 + t33373 + t33374 + t33375 + t33376 - t33377;
  t33380 = t29752 / 0.6e1;
  t33381 = t28139 / 0.3e1;
  t33382 = 0.2e1 / 0.3e1 * t28141;
  t33383 = 0.23e2 / 0.36e2 * t28144;
  t33384 = t28149 / 0.3e1;
  t33385 = 0.11e2 / 0.18e2 * t28150;
  t33386 = t28152 / 0.6e1;
  t33387 = 0.7e1 / 0.3e1 * t28156;
  t33388 = t28159 / 0.2e1;
  t33390 = t28164 / 0.12e2;
  t33402 = t1566 * t18757;
  t33410 = t2251 * t3775 * t4939;
  t33411 = t33410 / 0.2e1;
  t33413 = t2251 * t942 * t4944;
  t33414 = t33413 / 0.2e1;
  t33415 = t33390 - t103 * t7194 / 0.12e2 + t12238 * t7072 / 0.6e1 - t12915 * t7269 / 0.18e2 + t12962 * t7094 / 0.36e2 - t13542 * t7089 / 0.18e2 + t13562 * t4319 + 0.3e1 * t4277 * t2782 * t33402 - t2251 * t2760 * t7067 / 0.2e1 + t33411 + t33414;
  t33418 = t28190 / 0.12e2;
  t33419 = t28192 / 0.6e1;
  t33420 = t28194 / 0.12e2;
  t33426 = t2294 * t33155;
  t33433 = t1684 * t169 * t193 * t7015;
  t33436 = t7015 * t326;
  t33438 = t3624 * t96 * t33436;
  t33442 = t7015 * t122;
  t33443 = t96 * t33442;
  t33444 = t2169 * t33443;
  t33447 = t1684 * t33443;
  t33450 = t19269 * t4032;
  t33453 = t33250 * t3919;
  t33456 = t29810 / 0.9e1;
  t33457 = t396 * t18757;
  t33464 = t3935 * t33193;
  t33475 = t2632 * t33444 / 0.12e2 - t2674 * t33447 / 0.6e1 - t2632 * t33450 / 0.6e1 - 0.5e1 / 0.18e2 * t3930 * t33453 - t33456 + 0.6e1 * t2255 * t2776 * t33457 - 0.6e1 * t2255 * t5007 * t2259 + 0.18e2 * t29634 * t33464 + 0.3e1 * t2265 * t23207 * t1052 - 0.3e1 / 0.2e1 * t2251 * t5016 * t3637 - t2251 * t1160 * t3641;
  t33477 = t2169 * t33120;
  t33485 = t28223 / 0.6e1;
  t33486 = t2169 * t33155;
  t33489 = t28225 / 0.6e1;
  t33490 = t28227 / 0.6e1;
  t33491 = t28229 / 0.12e2;
  t33496 = t9911 * t2258;
  t33500 = 0.1e2 / 0.3e1 * t10870 * t33477 + t1677 * t23439 * t990 / 0.2e1 - t10769 * t7068 / 0.2e1 + t33485 + t2632 * t33486 / 0.3e1 - t33489 - t33490 + t33491 - 0.5e1 / 0.6e1 * t22508 * t3616 - t23145 * t28133 / 0.2e1 - 0.9e1 / 0.2e1 * t4277 * t5011 * t33496;
  t33504 = t3931 * t4032;
  t33507 = 0.2e1 * t28241;
  t33508 = t28248 / 0.2e1;
  t33509 = t28261 / 0.3e1;
  t33510 = t28262 / 0.4e1;
  t33511 = t96 * t33111;
  t33512 = t1684 * t33511;
  t33515 = t4849 * t205;
  t33516 = t96 * t33515;
  t33517 = t1684 * t33516;
  t33520 = t9743 * t7071;
  t33526 = 0.3e1 / 0.2e1 * t10978 * t22911 * t7220 - 0.11e2 / 0.18e2 * t22511 * t33504 - t33507 - t33508 + t33509 + t33510 - t2674 * t33512 / 0.6e1 - t2674 * t33517 / 0.6e1 - t2674 * t33520 / 0.6e1 - t12286 * t7269 / 0.6e1 - t22508 * t4233;
  t33531 = t2175 * t33133;
  t33533 = 0.2e1 / 0.9e1 * t29864;
  t33534 = 0.2e1 / 0.3e1 * t29896;
  t33541 = t548 * t3906 * t1208;
  t33550 = 0.3e1 / 0.2e1 * t28265;
  t33551 = t28268 / 0.2e1;
  t33552 = t29922 / 0.3e1;
  t33553 = t29925 / 0.3e1;
  t33560 = t28270 / 0.2e1;
  t33561 = t28273 / 0.2e1;
  t33562 = t28275 / 0.6e1;
  t33563 = t28277 / 0.12e2;
  t33564 = t33550 + t33551 - t33552 - t33553 + t10923 * t7085 / 0.6e1 + t10923 * t7080 / 0.6e1 - t23413 * t3621 / 0.6e1 - t33560 - t33561 - t33562 - t33563;
  t33566 = t28290 / 0.36e2;
  t33567 = t28292 / 0.9e1;
  t33568 = t28294 / 0.18e2;
  t33569 = t28296 / 0.6e1;
  t33570 = t29952 / 0.3e1;
  t33571 = 0.5e1 / 0.18e2 * t29955;
  t33572 = t500 * t33192;
  t33585 = t29993 / 0.6e1;
  t33586 = t29996 / 0.6e1;
  t33591 = -0.2e1 / 0.3e1 * t1140 * t28692 - t2538 * t1061 / 0.2e1 - t29962 - t33585 - t33586 - t3410 + t3430 - t3445 + t3460 + t5146 * t6332 / 0.9e1 + t654 * t7018 / 0.36e2;
  t33594 = t2057 * t4202;
  t33599 = t2233 * t4001;
  t33631 = t2255 * t3780 * t23387;
  t33632 = t33631 / 0.2e1;
  t33634 = t2251 * t3780 * t4975;
  t33635 = t33634 / 0.2e1;
  t33636 = t1505 * t33442;
  t33640 = t1862 * t33442;
  t33653 = -0.5e1 * t2255 * t5007 * t17113 - 0.18e2 * t4277 * t21840 * t19444 + 0.36e2 * t2255 * t21840 * t19463 - t17049 * t4976 / 0.2e1 + t33632 - t33635 + t2255 * t697 * t33636 / 0.2e1 - t2251 * t697 * t33640 / 0.2e1 - 0.18e2 * t2255 * t21843 * t18961 + 0.6e1 * t2255 * t5011 * t28207 - 0.3e1 * t2251 * t5011 * t28211;
  t33657 = 0.23e2 / 0.18e2 * t30018;
  t33658 = 0.4e1 / 0.3e1 * t30023;
  t33659 = t608 * t8234;
  t33660 = t2233 * t33659;
  t33667 = t548 * t33659;
  t33675 = t17046 * t4972 / 0.2e1 + t33657 - t33658 + 0.7e1 / 0.3e1 * t15539 * t33660 + t610 * t4881 / 0.2e1 + t610 * t4933 - t610 * t4936 - 0.2e1 * t15553 * t33667 - t610 * t4889 / 0.2e1 - t610 * t4896 + 0.3e1 / 0.2e1 * t610 * t4899;
  t33678 = t30054 / 0.18e2;
  t33679 = 0.3e1 * t30093;
  t33680 = 0.3e1 * t30100;
  t33681 = 0.6e1 * t30104;
  t33682 = 0.6e1 * t30107;
  t33683 = t1862 * t33515;
  t33687 = t1862 * t33111;
  t33691 = t2169 * t33511;
  t33694 = t2169 * t33516;
  t33697 = t28312 / 0.12e2;
  t33698 = t610 * t4885 / 0.2e1 - t33678 + t33679 + t33680 + t33681 - t33682 - t2251 * t697 * t33683 / 0.2e1 - t2251 * t697 * t33687 / 0.2e1 + t2632 * t33691 / 0.12e2 + t2632 * t33694 / 0.12e2 - t33697;
  t33702 = t28314 / 0.12e2;
  t33703 = t30141 / 0.3e1;
  t33704 = t3935 * t18758;
  t33707 = t10733 * t4263;
  t33722 = t405 * t18757;
  t33731 = t19277 * t7332;
  t33744 = -0.6e1 * t2251 * t2776 * t33722 + 0.6e1 * t2251 * t5007 * t4309 + t18604 * t4298 + t18604 * t4301 - 0.2e1 / 0.3e1 * t9737 * t33731 + t22508 * t4033 - t610 * t4872 / 0.4e1 - t610 * t4877 / 0.4e1 + t1529 * t7057 - 0.2e1 * t4856 * t3664 - 0.2e1 * t4856 * t4203;
  t33762 = t372 * t7043;
  t33763 = t33762 / 0.12e2;
  t33765 = t2169 * t500 * t33111;
  t33769 = t2169 * t500 * t33515;
  t33776 = t17371 * t8349;
  t33781 = t1862 * t18790;
  t33788 = t30222 / 0.3e1;
  t33789 = -t33763 - t2632 * t33765 / 0.3e1 - t2632 * t33769 / 0.3e1 - t12238 * t7076 / 0.3e1 + t17049 * t4945 / 0.2e1 - t9737 * t33776 / 0.3e1 - t10930 * t4951 / 0.4e1 - 0.2e1 * t2251 * t697 * t33781 + 0.5e1 * t2251 * t5007 * t3477 + t30203 + t33788;
  t33792 = t3935 * t4267;
  t33795 = t30228 / 0.3e1;
  t33796 = t10910 * t7075;
  t33799 = t11202 * t7071;
  t33802 = t2294 * t33516;
  t33805 = t10936 * t3919;
  t33808 = t10733 * t3919;
  t33811 = t18027 * t3926;
  t33814 = t9945 * t3918;
  t33826 = t400 * t33442;
  t33830 = t1868 * t33436;
  t33836 = t22727 * t539;
  t33837 = t555 * t33836;
  t33849 = -0.23e2 / 0.18e2 * t22511 * t29450 + 0.2e1 * t23145 * t29447 - t1677 * t2701 * t7047 / 0.4e1 + t2251 * t693 * t33826 / 0.2e1 + t2251 * t237 * t33830 / 0.2e1 + t22680 * t1005 / 0.6e1 - t546 * t33837 / 0.6e1 + t546 * t548 * t5170 * t539 / 0.3e1 - t23037 * t623 / 0.2e1 + t5172 * t646 / 0.2e1 - t18401 * t730;
  t33856 = t911 * t4820;
  t33857 = t33856 / 0.12e2;
  t33858 = t2057 * t4001;
  t33869 = t490 * t303 * t95 * t33357;
  t33875 = t490 * t1726 * t7016;
  t33878 = t3908 * t749 - t671 * t30910 / 0.3e1 + 0.5e1 / 0.18e2 * t22511 * t28136 + t33857 - 0.5e1 / 0.36e2 * t4800 * t33858 - 0.5e1 / 0.36e2 * t4800 * t29341 + t1140 * t28685 / 0.3e1 + t1140 * t28688 / 0.3e1 + t233 * t33869 / 0.12e2 + t661 * t7018 / 0.12e2 + t233 * t33875 / 0.12e2;
  t33879 = t548 * t33219;
  t33892 = t302 * t33219;
  t33899 = t19277 * t4027;
  t33904 = -t671 * t33879 / 0.6e1 - t671 * t30002 / 0.6e1 + t233 * t29654 / 0.6e1 - t2600 * t6996 / 0.6e1 + t661 * t6541 / 0.6e1 + t233 * t29901 / 0.6e1 + t666 * t33892 / 0.3e1 + t666 * t31164 / 0.3e1 + 0.3e1 * t18604 * t4272 + t2632 * t33899 / 0.3e1 + t2683 * t30020 / 0.6e1;
  t33916 = t19296 * t4032;
  t33919 = t19269 * t3919;
  t33921 = t12291 * t4027;
  t33924 = t19296 * t3919;
  t33928 = t28329 / 0.2e1;
  t33930 = t28331 / 0.6e1;
  t33935 = t22 * t21843;
  t33940 = t2169 * t33133;
  t33942 = t22 * t21840;
  t33945 = t10775 * t4027;
  t33948 = t1505 * t18757;
  t33952 = t10255 * t2258;
  t33959 = -t33930 + t23413 * t3627 / 0.3e1 - t22854 * t4228 / 0.2e1 - 0.3e1 * t33935 * t3920 + t22854 * t4295 / 0.2e1 - t3930 * t33940 + 0.6e1 * t33942 * t3939 + 0.3e1 / 0.2e1 * t22511 * t33945 + 0.3e1 * t2251 * t2782 * t33948 - 0.9e1 / 0.2e1 * t2251 * t5011 * t33952 + 0.47e2 / 0.3e1 * t29591 * t10733 * t33572;
  t33967 = t3931 * t33133;
  t33970 = t1505 * t7066;
  t33974 = t1505 * t33515;
  t33978 = t28346 / 0.2e1;
  t33998 = t490 * t11659 * t1148;
  t34002 = t490 * t2036 * t4850;
  t34005 = t911 * t4852;
  t34006 = t34005 / 0.12e2;
  t34007 = -0.2e1 / 0.9e1 * t5146 * t6336 - t1135 * t3739 / 0.6e1 + t4856 * t4009 / 0.2e1 - t1135 * t3734 / 0.6e1 - t4984 * t3730 / 0.2e1 - t4984 * t4002 / 0.2e1 + t1140 * t28726 / 0.6e1 + t1140 * t28723 / 0.6e1 + t233 * t33998 / 0.12e2 + t233 * t34002 / 0.12e2 + t34006;
  t34025 = t2233 * t4202;
  t34028 = t2324 * t4001;
  t34034 = t3443 * t1150;
  t34035 = t34034 / 0.36e2;
  t34046 = t942 * t5047;
  t34048 = t1868 * t7112 * t326;
  t34052 = t965 * t658;
  t34053 = t400 * t34052;
  t34060 = t3775 * t5044;
  t34061 = t1505 * t34052;
  t34066 = t1032 * t658;
  t34067 = t1566 * t34066;
  t34070 = t9911 * t4105;
  t34073 = t7112 * t122;
  t34074 = t400 * t34073;
  t34078 = t1505 * t34066;
  t34081 = t10255 * t4105;
  t34084 = -t34046 - t237 * t34048 + 0.3e1 * t5016 * t4112 - 0.2e1 * t693 * t34053 + 0.3e1 * t5016 * t3836 + 0.2e1 * t1160 * t3807 - t34060 - 0.8e1 / 0.3e1 * t697 * t34061 + 0.4e1 * t1164 * t29208 + t2782 * t34067 / 0.9e1 - t5011 * t34070 / 0.6e1 - t693 * t34074 - 0.12e2 * t5007 * t4116 - 0.6e1 * t2782 * t34078 + 0.9e1 * t5011 * t34081;
  t34085 = t405 * t34066;
  t34088 = t396 * t34066;
  t34093 = t1571 * t34066;
  t34096 = t9916 * t4105;
  t34099 = t1862 * t34073;
  t34103 = t3780 * t5005;
  t34106 = 0.2e1 * t28924;
  t34107 = t28926 / 0.3e1;
  t34108 = 0.4e1 * t28928;
  t34109 = 0.6e1 * t28941;
  t34110 = 0.2e1 * t28943;
  t34111 = 0.2e1 * t28945;
  t34112 = 0.12e2 * t2776 * t34085 - 0.8e1 * t2776 * t34088 + 0.8e1 * t5007 * t4106 + 0.2e2 / 0.3e1 * t2782 * t34093 - 0.1e2 * t5011 * t34096 + t697 * t34099 - 0.36e2 * t21843 * t4090 + t34103 + 0.6e1 * t5011 * t29056 + t34106 + t34107 - t34108 + t34109 + t34110 + t34111;
  t34114 = 0.1e2 / 0.3e1 * t28947;
  t34115 = 0.4e1 / 0.3e1 * t28973;
  t34116 = 0.6e1 * t28985;
  t34117 = 0.2e1 * t28987;
  t34118 = t1837 * t33015;
  t34121 = t3758 * t658;
  t34122 = t423 * t34121;
  t34127 = t1163 * t11515;
  t34132 = t410 * t33015;
  t34135 = t410 * t33020;
  t34142 = t4143 * t658;
  t34143 = t1837 * t34142;
  t34146 = t34114 - t34115 + t34116 + t34117 + t943 - t13131 * t34118 / 0.18e2 - 0.8e1 * t2750 * t34122 + 0.2e2 * t21967 * t3772 + 0.12e2 * t34127 * t28912 + 0.4e1 / 0.3e1 * t21944 * t28915 + 0.4e1 * t13126 * t34132 + 0.2e1 * t13136 * t34135 - 0.2e1 * t34127 * t28934 + 0.2e1 / 0.9e1 * t21944 * t28937 - 0.2e1 / 0.9e1 * t4166 * t34143;
  t34147 = t5010 * t17603;
  t34150 = t149 * t33015;
  t34153 = t149 * t33020;
  t34156 = t7083 * t122;
  t34157 = t149 * t34156;
  t34160 = t7083 * t326;
  t34161 = t149 * t34160;
  t34164 = t410 * t34156;
  t34167 = t9916 * t4075;
  t34172 = t1505 * t34073;
  t34175 = t942 * t5034;
  t34176 = t3780 * t5036;
  t34177 = 0.2e1 / 0.3e1 * t34176;
  t34185 = 0.4e1 / 0.3e1 * t34147 * t4167 + 0.3e1 * t13163 * t34150 + 0.2e1 * t13166 * t34153 + 0.2e1 * t13166 * t34157 + 0.3e1 * t17614 * t34161 + 0.4e1 / 0.3e1 * t13136 * t34164 - 0.12e2 * t21829 * t34167 + 0.36e2 * t21840 * t4076 - 0.2e1 / 0.3e1 * t697 * t34172 - t34175 - t34177 - t691 * t7172 + 0.2e1 * t1160 * t3784 + 0.2e2 / 0.3e1 * t5007 * t3787 + 0.2e1 * t5007 * t3820;
  t34200 = t9911 * t4075;
  t34204 = t5079 * t205;
  t34205 = t1862 * t34204;
  t34207 = t1177 * t530;
  t34208 = t1862 * t34207;
  t34210 = t1862 * t34052;
  t34217 = t145 * t34066;
  t34220 = -0.2e1 / 0.3e1 * t21840 * t4119 - 0.12e2 * t5007 * t3831 - 0.4e2 * t21840 * t4102 + 0.6e1 * t5016 * t3810 + 0.24e2 * t21843 * t4083 - t962 + 0.6e1 * t5011 * t29153 + 0.5e2 / 0.3e1 * t21829 * t34200 + t2760 * t7180 + t697 * t34205 + t697 * t34208 + 0.4e1 * t697 * t34210 - 0.1e2 * t5007 * t3799 - 0.6e1 * t1164 * t28970 - 0.6e1 * t2765 * t34217;
  t34225 = t9906 * t4075;
  t34228 = 0.2e1 * t29019;
  t34229 = 0.4e1 * t30318;
  t34230 = 0.2e1 / 0.3e1 * t30326;
  t34231 = 0.24e2 * t30337;
  t34232 = 0.4e1 / 0.3e1 * t30340;
  t34233 = 0.12e2 * t30345;
  t34234 = 0.4e1 * t30354;
  t34235 = t30365 / 0.9e1;
  t34236 = 0.8e1 * t30371;
  t34237 = 0.12e2 * t21819 * t4109 - 0.2e1 / 0.3e1 * t5011 * t28955 + 0.1e2 / 0.3e1 * t21829 * t34225 + t34228 + t7099 - t7100 + t7101 - t34229 - t34230 - t34231 - t34232 + t34233 + t34234 + t34235 - t34236;
  t34239 = 0.8e1 / 0.3e1 * t30380;
  t34240 = 0.12e2 * t30408;
  t34241 = 0.4e1 * t30411;
  t34242 = 0.2e2 / 0.3e1 * t30414;
  t34243 = 0.6e1 * t30417;
  t34244 = 0.2e1 * t30420;
  t34247 = t1163 * t17651;
  t34250 = t62 * t7015;
  t34251 = t34250 * t122;
  t34252 = t423 * t34251;
  t34257 = t423 * t33020;
  t34260 = t1829 * t4144;
  t34263 = t423 * t34142;
  t34266 = 0.3e1 * t13131 * t34132 - 0.3e1 * t13136 * t34257 + 0.2e1 * t21944 * t34260 + 0.24e2 * t21967 * t4145 - 0.2e1 * t2750 * t34252 + 0.72e2 * t34247 * t4179 - 0.24e2 * t34263 * t4158 - t34239 + t34240 + t34241 + t34242 - t34243 - t34244 - t6260 + t7102;
  t34267 = 0.2e1 / 0.3e1 * t29023;
  t34268 = t29026 / 0.9e1;
  t34269 = 0.2e1 * t29042;
  t34270 = 0.2e1 / 0.3e1 * t29044;
  t34271 = t21828 * t17816;
  t34280 = t1829 * t34142;
  t34283 = t6262 + t7103 + t7111 + t34267 - t34268 + t34269 - t34270 + 0.24e2 * t34271 * t4172 - 0.72e2 * t34147 * t4159 + 0.8e1 / 0.3e1 * t34271 * t4167 + 0.8e1 * t34147 * t4172 - 0.4e1 / 0.3e1 * t4166 * t34280 - t7124 - t7125 + t7126;
  t34287 = 0.4e1 / 0.3e1 * t30522;
  t34288 = 0.2e1 / 0.9e1 * t30525;
  t34289 = 0.12e2 * t30535;
  t34290 = 0.4e1 * t30538;
  t34291 = 0.4e1 * t30540;
  t34292 = t22105 * t205;
  t34293 = t410 * t34292;
  t34296 = t5054 * t530;
  t34297 = t410 * t34296;
  t34301 = t400 * t63 * t33357;
  t34304 = t1868 * t1177 * t3550;
  t34308 = t1505 * t34207;
  t34311 = t7127 - t7128 - t7129 - t6279 + t34287 - t34288 + t34289 + t34290 + t34291 + t2750 * t34293 / 0.3e1 + t2750 * t34297 / 0.3e1 - t237 * t34301 - t237 * t34304 - 0.2e1 / 0.3e1 * t2760 * t7154 - 0.2e1 / 0.3e1 * t697 * t34308;
  t34312 = t1505 * t34204;
  t34317 = t16699 * t34156;
  t34320 = t16690 * t33015;
  t34323 = t16690 * t33020;
  t34325 = t17682 * t33015;
  t34328 = 0.2e1 * t30571;
  t34329 = 0.2e1 * t30572;
  t34330 = 0.4e1 / 0.3e1 * t30575;
  t34331 = t16699 * t33020;
  t34334 = t17753 * t33015;
  t34337 = -0.2e1 / 0.3e1 * t697 * t34312 - 0.4e1 * t1164 * t29170 + 0.4e1 * t13136 * t34317 - 0.6e1 * t13131 * t34320 - t13136 * t34323 + t13131 * t34325 / 0.9e1 - t34328 + t34329 + t34330 - t3777 - t3778 - t3782 + t3802 + 0.6e1 * t13136 * t34331 + 0.2e1 / 0.3e1 * t13131 * t34334;
  t34348 = t400 * t34204;
  t34350 = t400 * t34207;
  t34354 = t1868 * t5079 * t929;
  t34356 = t410 * t34142;
  t34361 = t1159 * t11508;
  t34364 = t149 * t34121;
  t34369 = t149 * t34142;
  t34372 = 0.2e1 / 0.3e1 * t1164 * t28951 - t5011 * t29211 / 0.9e1 - t5011 * t28982 / 0.9e1 - 0.2e2 / 0.3e1 * t5011 * t29173 - t2790 * t7159 - t693 * t34348 - t693 * t34350 - t691 * t7163 - t237 * t34354 + 0.4e1 * t4158 * t34356 - 0.4e1 * t21967 * t4162 - 0.4e1 * t34361 * t3766 + 0.4e1 * t2752 * t34364 - 0.6e1 * t21978 * t3760 + 0.12e2 * t4149 * t34369;
  t34378 = t942 * t5080;
  t34379 = t34378 / 0.2e1;
  t34385 = t149 * t34250 * t326;
  t34388 = t410 * t34251;
  t34391 = t1837 * t4144;
  t34394 = t17918 * t4150;
  t34397 = t16739 * t5056;
  t34398 = 0.2e1 * t34397;
  t34399 = t28923 * t5060;
  t34400 = 0.2e1 * t34399;
  t34401 = t16722 * t5063;
  t34402 = t34401 / 0.3e1;
  t34403 = t149 * t34251;
  t34406 = t410 * t34121;
  t34411 = -0.24e2 * t1159 * t17646 * t4151 + 0.2e1 * t1164 * t29141 + t34379 - 0.6e1 * t21978 * t4154 - 0.12e2 * t34247 * t4159 + 0.2e1 * t4138 * t34385 + t2750 * t34388 / 0.3e1 + t21944 * t34391 / 0.3e1 - t34271 * t34394 / 0.9e1 + t34398 + t34400 + t34402 + 0.2e1 * t2752 * t34403 + 0.4e1 / 0.3e1 * t2750 * t34406 - 0.1e2 / 0.3e1 * t21967 * t3769;
  t34416 = 0.3e1 * t29077;
  t34419 = t400 * t60 * t33357;
  t34432 = 0.6e1 * t30626;
  t34433 = 0.2e1 * t17964 * t7147 + t29075 - t34416 - t1160 * t3848 + t237 * t34419 / 0.2e1 - 0.3e1 * t5016 * t3869 - t3841 + t3866 + t3868 + t3873 + t691 * t7113 / 0.2e1 + t5011 * t29132 / 0.18e2 + 0.1e2 / 0.3e1 * t5011 * t29137 - 0.4e1 / 0.3e1 * t1164 * t29123 - t34432;
  t34434 = t29108 / 0.2e1;
  t34441 = t16699 * t33015;
  t34444 = 0.8e1 * t30671;
  t34447 = t423 * t34292;
  t34450 = t423 * t34296;
  t34457 = 0.2e1 / 0.3e1 * t29144;
  t34460 = -t29089 + t29106 + t34434 + 0.6e1 * t5007 * t3852 - 0.3e1 * t5011 * t29101 - 0.4e1 * t5007 * t3861 + 0.12e2 * t13126 * t34441 - t34444 - 0.2e1 * t13143 * t7140 - 0.2e1 * t2750 * t34447 - 0.2e1 * t2750 * t34450 + 0.12e2 * t4166 * t34356 - 0.18e2 * t21944 * t4162 + t34457 + t13143 * t7150 / 0.3e1;
  t34462 = 0.4e1 * t29160;
  t34463 = 0.2e1 / 0.3e1 * t29166;
  t34464 = 0.3e1 * t29176;
  t34465 = t29233 / 0.3e1;
  t34466 = t29234 / 0.18e2;
  t34467 = 0.2e1 * t29238;
  t34468 = 0.2e1 * t29240;
  t34469 = 0.12e2 * t29245;
  t34470 = 0.6e1 * t29247;
  t34471 = t16695 * t33015;
  t34474 = t16695 * t33020;
  t34477 = -0.6e1 * t13163 * t34471 - 0.4e1 * t13166 * t34474 - t29162 - t29164 - t29168 - t29229 - t34462 - t34463 - t34464 - t34465 + t34466 - t34467 - t34468 - t34469 + t34470;
  t34480 = t16695 * t34156;
  t34483 = t16695 * t34160;
  t34486 = t16690 * t34156;
  t34490 = t149 * t22105 * t929;
  t34494 = t149 * t5054 * t3550;
  t34497 = t10286 * t4150;
  t34500 = t16722 * t5100;
  t34501 = 0.2e1 * t34500;
  t34502 = t423 * t33015;
  t34505 = t423 * t34156;
  t34510 = t1829 * t33015;
  t34515 = t149 * t34292;
  t34518 = t149 * t34296;
  t34521 = -0.2e1 * t13126 * t34320 - 0.4e1 * t13166 * t34480 - 0.6e1 * t17614 * t34483 - 0.2e1 / 0.3e1 * t13136 * t34486 + 0.2e1 * t4138 * t34490 + 0.2e1 * t4138 * t34494 - t7170 - 0.4e1 / 0.3e1 * t34271 * t34497 - t34501 - 0.6e1 * t13126 * t34502 - 0.2e1 * t13136 * t34505 - 0.12e2 * t21944 * t3769 - 0.1e2 / 0.3e1 * t13131 * t34510 + 0.2e1 * t13169 * t7143 + 0.2e1 * t2752 * t34515 + 0.2e1 * t2752 * t34518;
  t34530 = t2294 * t33511;
  t34533 = 0.23e2 / 0.36e2 * t4800 * t28323 + t34035 - 0.5e1 / 0.108e3 * t22390 * t7023 + 0.23e2 / 0.108e3 * t22390 * t6976 - 0.11e2 / 0.54e2 * t22390 * t7226 + t5146 * t6328 / 0.18e2 + t654 * t7030 / 0.36e2 - t22 * t59 * (t34084 + t34112 + t34146 + t34185 + t34220 + t34237 + t34266 + t34283 + t34311 + t34337 + t34372 + t34411 + t34433 + t34460 + t34477 + t34521) * t96 / 0.4e1 + t2632 * t34530 / 0.6e1 + t6972 - t6973;
  t34546 = t28556 * t4935 * t509 + 0.3e1 * t3680 * t4810 * t509 - t1058 * t2538 + 0.3e1 * t1553 * t7057 + t1553 * t7060 - t3963 * t719 - t4061 * t719 + t3489 - t6585 - t6974 + t6975;
  t34549 = t28372 / 0.2e1;
  t34550 = t28374 / 0.4e1;
  t34551 = t28376 / 0.12e2;
  t34552 = t28378 / 0.12e2;
  t34553 = t28380 / 0.6e1;
  t34554 = t28383 / 0.6e1;
  t34561 = -t3491 + t5146 * t1967 / 0.9e1 - t34549 - t34550 + t34551 + t34552 + t34553 + t34554 - t1140 * t11912 / 0.12e2 + t12238 * t7094 / 0.12e2 + t5172 * t627 / 0.4e1;
  t34572 = 0.11e2 / 0.9e1 * t30740;
  t34587 = t2036 * t4863;
  t34588 = t555 * t34587;
  t34597 = t548 * t34587;
  t34604 = t28437 / 0.6e1;
  t34605 = t1140 * t12213 / 0.3e1 - t671 * t34588 / 0.3e1 - t1140 * t11670 / 0.12e2 - 0.5e1 / 0.36e2 * t4800 * t28196 + t1140 * t11689 / 0.6e1 - t671 * t34597 / 0.6e1 + t4856 * t3650 / 0.2e1 + t1135 * t2042 / 0.6e1 + t3586 - t3589 + t34604;
  t34607 = 0.5e1 / 0.36e2 * t28439;
  t34608 = t28441 / 0.12e2;
  t34609 = 0.3e1 * t28455;
  t34610 = t28465 / 0.2e1;
  t34611 = 0.3e1 / 0.2e1 * t28468;
  t34612 = t28471 / 0.2e1;
  t34613 = 0.3e1 * t28473;
  t34614 = 0.3e1 * t28476;
  t34616 = t28512 / 0.12e2;
  t34618 = t2169 * t1675 * t33052;
  t34623 = t302 * t34587;
  t34632 = t34616 - t2632 * t34618 / 0.3e1 - t3603 - t3605 + t3607 + t3612 - t1135 * t2038 / 0.6e1 + t666 * t34623 / 0.3e1 - t4984 * t3655 / 0.2e1 + t1140 * t11944 / 0.3e1 + 0.23e2 / 0.36e2 * t4800 * t28029;
  t34637 = t548 * t33836;
  t34642 = t302 * t33836;
  t34645 = t1147 * t3550;
  t34647 = t3624 * t96 * t34645;
  t34650 = t16127 * t7088;
  t34659 = t28530 / 0.6e1;
  t34660 = t28532 / 0.2e1;
  t34661 = 0.3e1 / 0.2e1 * t28535;
  t34662 = t28573 / 0.2e1;
  t34663 = t28576 / 0.2e1;
  t34664 = t28579 / 0.4e1;
  t34665 = t28582 / 0.4e1;
  t34666 = t10910 * t7071;
  t34669 = t1684 * t33053;
  t34672 = t3624 * t33044;
  t34675 = t10775 * t33044;
  t34678 = t34659 - t34660 + t34661 - t34662 - t34663 - t34664 - t34665 + t2632 * t34666 / 0.12e2 - t2674 * t34669 / 0.6e1 + t2674 * t34672 / 0.3e1 - t2632 * t34675 / 0.4e1;
  t34680 = t10733 * t33048;
  t34683 = t2169 * t33053;
  t34686 = t96 * t34156;
  t34687 = t10775 * t34686;
  t34690 = t1684 * t33048;
  t34693 = t10925 * t5127;
  t34696 = t17371 * t4962;
  t34699 = t29354 * t5134;
  t34702 = t10925 * t4962;
  t34705 = 0.2e1 * t30825;
  t34706 = 0.3e1 * t30829;
  t34709 = 0.5e1 / 0.36e2 * t3930 * t34680 + t2632 * t34683 / 0.12e2 - t2632 * t34687 / 0.6e1 + t4291 * t34690 / 0.2e1 + t2683 * t34693 / 0.12e2 + t2632 * t34696 / 0.12e2 - t2683 * t34699 / 0.6e1 - t2674 * t34702 / 0.6e1 + t34705 - t34706 - 0.7e1 * t22511 * t10937;
  t34710 = 0.4e1 * t30847;
  t34711 = 0.3e1 * t30855;
  t34712 = 0.14e2 / 0.3e1 * t30862;
  t34713 = t30865 / 0.6e1;
  t34715 = t15953 * t5128;
  t34716 = t34715 / 0.12e2;
  t34717 = t30908 / 0.3e1;
  t34718 = t22511 * t28085 - t30851 + t30859 - t30898 + t30900 - t34710 + t34711 + t34712 - t34713 + t34716 - t34717;
  t34723 = t10255 * t34156;
  t34726 = t10245 * t34156;
  t34729 = t11150 * t34686;
  t34732 = t1868 * t34156;
  t34740 = t2294 * t33443;
  t34743 = t145 * t18757;
  t34748 = t230 * t7015;
  t34750 = t2169 * t500 * t34748;
  t34753 = t908 * t1147;
  t34755 = t2169 * t500 * t34753;
  t34756 = t9737 * t34755;
  t34757 = t34756 / 0.3e1;
  t34759 = t1677 * t15502 * t1198;
  t34760 = t34759 / 0.4e1;
  t34761 = t2169 * t4032;
  t34771 = t15665 * t4979;
  t34772 = t34771 / 0.12e2;
  t34773 = t15953 * t5135;
  t34774 = t34773 / 0.6e1;
  t34775 = t15956 * t5131;
  t34776 = t34775 / 0.6e1;
  t34777 = t3935 * t4032;
  t34780 = -t9737 * t34750 / 0.3e1 - t34757 - t34760 - t22511 * t34761 / 0.2e1 + 0.14e2 / 0.3e1 * t3930 * t19144 - 0.3e1 * t4277 * t5011 * t28458 + 0.6e1 * t19135 * t4260 + t34772 - t34774 - t34776 - 0.5e1 / 0.36e2 * t22511 * t34777;
  t34782 = t17992 * t3919;
  t34785 = t10733 * t4027;
  t34788 = t3935 * t33133;
  t34795 = t28631 / 0.4e1;
  t34796 = t28652 / 0.12e2;
  t34798 = t138 * t7194;
  t34803 = t106 * t158 * t7192 * t159;
  t34824 = -t127 * t34798 / 0.12e2 + t34803 * t166 / 0.4e1 - t654 * t3903 / 0.18e2 - t5146 * t1963 / 0.18e2 - t5146 * t2002 / 0.36e2 + t5156 * t569 / 0.18e2 + t22642 * t223 / 0.12e2 - t525 * t5167 / 0.36e2 - t12075 * t1190 / 0.6e1 - t533 * t5167 / 0.12e2 - t208 * t22786 / 0.12e2;
  t34833 = t28698 / 0.2e1;
  t34834 = t28700 / 0.2e1;
  t34850 = t1868 * t33020;
  t34856 = t22 * t2256 * t9841;
  t34857 = t2175 * t33572;
  t34863 = t18027 * t3919;
  t34866 = t654 * t6541 / 0.18e2 + t2557 * t6991 / 0.9e1 + t3689 - t3693 - t3700 - t2251 * t693 * t34850 + t22508 * t4036 / 0.2e1 - t28865 + 0.12e2 * t34856 * t34857 + 0.3e1 / 0.2e1 * t1677 * t23300 * t1057 - 0.61e2 / 0.27e2 * t33168 * t34863;
  t34868 = t17992 * t3926;
  t34871 = t15665 * t4963;
  t34872 = t34871 / 0.6e1;
  t34879 = t33246 * t3919;
  t34882 = t33250 * t3926;
  t34885 = t400 * t33515;
  t34889 = t400 * t33111;
  t34900 = 0.44e2 / 0.27e2 * t33168 * t34868 + t34872 - 0.6e1 * t2251 * t21819 * t4254 - 0.3e1 / 0.2e1 * t2251 * t5016 * t4312 - 0.11e2 / 0.9e1 * t3930 * t34879 + 0.23e2 / 0.18e2 * t3930 * t34882 + t2251 * t693 * t34885 / 0.2e1 + t2251 * t693 * t34889 / 0.2e1 + t2632 * t30240 / 0.3e1 + t2251 * t2790 * t7079 / 0.2e1 + t10769 * t7080 / 0.2e1;
  t34903 = t15640 * t4962;
  t34906 = t400 * t33015;
  t34911 = t320 * t1197 * t205;
  t34915 = t28907 / 0.18e2;
  t34917 = t2057 * t1970 * t8234;
  t34920 = -0.6e1 * t33935 * t3923 + t2632 * t34903 / 0.6e1 - 0.3e1 / 0.2e1 * t2251 * t2765 * t34906 + t1677 * t2698 * t34911 / 0.2e1 - t31049 - t31051 - t31054 + t31064 + t31067 + t34915 - 0.3e1 / 0.2e1 * t15539 * t34917;
  t34931 = t29270 / 0.3e1;
  t34932 = t29271 / 0.3e1;
  t34934 = t29272 / 0.6e1;
  t34935 = t29274 / 0.6e1;
  t34940 = t4970 * t929;
  t34942 = t10775 * t500 * t34940;
  t34946 = t1630 * t1197 * t929;
  t34950 = t10240 * t34160;
  t34954 = t29311 / 0.2e1;
  t34955 = -t34934 - t34935 - 0.23e2 / 0.3e1 * t33942 * t3936 + 0.22e2 / 0.3e1 * t33942 * t3932 + 0.2e1 / 0.3e1 * t9737 * t34942 + t1677 * t2701 * t34946 / 0.2e1 - 0.3e1 / 0.2e1 * t2251 * t237 * t34950 - t7236 + t7237 - t7238 + t34954;
  t34957 = t29313 / 0.2e1;
  t34960 = t1868 * t34645;
  t34965 = t3624 * t96 * t33159;
  t34968 = t31106 / 0.6e1;
  t34969 = t31119 / 0.3e1;
  t34970 = t31121 / 0.6e1;
  t34971 = t31123 / 0.6e1;
  t34972 = t9911 * t33015;
  t34976 = t10255 * t33015;
  t34981 = t10775 * t33048;
  t34986 = t3624 * t169 * t5126 * t929;
  t34989 = t2169 * t33048;
  t34992 = 0.6e1 * t31132;
  t34993 = 0.2e1 * t31136;
  t34994 = t31141 / 0.2e1;
  t34995 = 0.2e1 / 0.3e1 * t31145;
  t34996 = t31147 / 0.2e1;
  t34997 = t9916 * t33015;
  t35001 = t2162 * t33133;
  t35003 = t3624 * t34686;
  t35006 = t3930 * t34981 / 0.2e1 - t2683 * t34986 / 0.6e1 - t3917 * t34989 / 0.2e1 - t34992 - t34993 - t34994 + t34995 + t34996 + 0.3e1 * t2255 * t2782 * t34997 - t4291 * t35001 + t2674 * t35003 / 0.3e1;
  t35010 = t15648 * t96 * t34160;
  t35013 = t10936 * t4027;
  t35018 = 0.2e1 / 0.3e1 * t31195;
  t35020 = t10733 * t1556 * t33119;
  t35026 = t1505 * t18790;
  t35036 = t19269 * t7379;
  t35051 = 0.2e1 * t2255 * t697 * t35026 - 0.3e1 * t2255 * t1164 * t28018 + 0.3e1 * t18604 * t4255 + t18604 * t4313 - 0.4e1 * t10870 * t35036 - t1140 * t12047 / 0.6e1 + t1135 * t1999 / 0.6e1 + t1140 * t11920 / 0.3e1 - t233 * t19562 / 0.6e1 - t661 * t3903 / 0.6e1 + t3908 * t738 / 0.2e1;
  t35075 = t5172 * t631 / 0.4e1 + t19567 * t248 / 0.2e1 + t22791 * t223 / 0.4e1 + t18387 * t248 / 0.6e1 + 0.2e1 / 0.3e1 * t671 * t19359 - 0.2e1 / 0.3e1 * t1140 * t11955 - t233 * t18444 / 0.6e1 - t671 * t29518 / 0.6e1 + t9774 * t7221 / 0.2e1 + t372 * t7054 / 0.6e1 - t5156 * t932 / 0.18e2;
  t35088 = t29427 / 0.6e1;
  t35089 = t29431 / 0.6e1;
  t35090 = t29440 / 0.12e2;
  t35093 = t29465 / 0.36e2;
  t35094 = -t23181 * t1002 / 0.6e1 + 0.3e1 * t1972 * t4907 - 0.3e1 * t610 * t4811 - 0.3e1 * t1972 * t4806 + 0.3e1 / 0.2e1 * t610 * t4814 + 0.3e1 / 0.2e1 * t11870 * t5112 - t35088 - t35089 - t35090 + t17049 * t4940 / 0.2e1 - t35093;
  t35101 = my_piecewise3(t3, 0, -0.3e1 * t2255 * t2776 * t33016 - 0.3e1 / 0.2e1 * t2255 * t697 * t33021 + t2265 * t2563 * t33031 / 0.2e1 - 0.3e1 * t1677 * t23207 * t1065 + t2251 * t691 * t7084 / 0.2e1 - t2255 * t697 * t34723 + t2251 * t697 * t34726 - t2251 * t693 * t34732 + 0.3e1 * t2251 * t2765 * t34743 - t22 * t7193 * t194 / 0.4e1 + t2251 * t237 * t34960 / 0.2e1 - 0.3e1 / 0.2e1 * t4277 * t2782 * t34972 - 0.3e1 / 0.2e1 * t2251 * t2782 * t34976 + t2265 * t23233 * t6313 - t719 * t4058 / 0.2e1 + t22854 * t3633 / 0.2e1 + t3917 * t33531 - t1994 * t1199 / 0.4e1 - 0.35e2 / 0.108e3 * t33168 * t34782 + 0.5e1 / 0.12e2 * t22511 * t34785 - 0.5e1 / 0.18e2 * t3930 * t34788 + 0.5e1 / 0.3e1 * t33942 * t4236 + t23145 * t28867 / 0.6e1 + t1529 * t7060 / 0.3e1 - t2483 * t1061 / 0.6e1 + t372 * t7198 / 0.2e1 - 0.3e1 * t1553 * t7203 + 0.3e1 / 0.2e1 * t349 * t7198 - t372 * t7039 / 0.3e1 + 0.7e1 / 0.3e1 * t22511 * t10940 - t13562 * t4322 / 0.2e1 - t208 * t22861 / 0.12e2 - t5172 * t637 / 0.2e1 + 0.3e1 / 0.2e1 * t10863 * t33027 - t3930 * t33244 + t2010 * t1202 / 0.6e1 - t2010 * t1194 / 0.6e1 - 0.2e1 * t22508 * t4268 - 0.11e2 / 0.9e1 * t3930 * t33967 - t2543 * t6996 / 0.18e2 - 0.3e1 * t349 * t7239 + t2683 * t35010 / 0.2e1 + 0.11e2 / 0.6e1 * t22511 * t35013 + t10809 * t7063 / 0.2e1 + 0.3e1 * t10863 * t35020 - t546 * t34637 / 0.12e2 + t208 * t22729 / 0.12e2 + t538 * t34642 / 0.6e1 - t2683 * t34647 / 0.6e1 - t2683 * t34650 / 0.6e1 + t3917 * t33919 - t2674 * t33921 / 0.3e1 - t4291 * t33924 - 0.2e1 / 0.3e1 * t23145 * t28613 + t23145 * t28900 / 0.3e1 + 0.11e2 / 0.9e1 * t22511 * t28897 - t23145 * t28894 - t372 * t7239 - t719 * t4066 / 0.2e1 - 0.38e2 / 0.9e1 * t33168 * t33808 + 0.89e2 / 0.9e1 * t33168 * t33811 + 0.2e1 / 0.3e1 * t2632 * t33426 - 0.5e1 / 0.3e1 * t22508 * t3465 + t2683 * t33433 / 0.12e2 - t2683 * t33438 / 0.6e1 + 0.3e1 / 0.2e1 * t10026 * t7221 + t719 * t3966 + t719 * t3971 + t2538 * t1066 - t2509 * t4050 - t22390 * t7214 / 0.2e1 + 0.2e1 / 0.9e1 * t2543 * t7210 - t2543 * t7206 / 0.9e1 - t2683 * t30027 / 0.3e1 + t2632 * t30030 / 0.6e1 - t2674 * t30033 / 0.3e1 + t2674 * t33916 / 0.3e1 + 0.23e2 / 0.36e2 * t4800 * t33594 - 0.11e2 / 0.18e2 * t4800 * t28348 - 0.11e2 / 0.18e2 * t4800 * t33599 + t2483 * t1066 / 0.3e1 - t13068 * t1053 / 0.3e1 - t12253 * t7089 / 0.6e1 - t2683 * t34965 / 0.6e1 - t2483 * t1058 / 0.3e1 + t233 * t18456 / 0.6e1 - t2010 * t1199 / 0.12e2 + t666 * t31108 / 0.3e1 - t1972 * t4996 / 0.2e1 + t1972 * t4994 - t1972 * t4904 - t2632 * t34729 / 0.3e1 - t2509 * t4055 - t13030 * t1053 - 0.3e1 / 0.2e1 * t4800 * t10695 - 0.3e1 / 0.2e1 * t4800 * t11768 + t661 * t7030 / 0.12e2 + t22680 * t1010 / 0.3e1 - t2600 * t7206 / 0.3e1 + t4856 * t3755 + 0.7e1 / 0.3e1 * t4800 * t10691 + t4856 * t4208 - t4800 * t28056 / 0.2e1 + 0.7e1 / 0.3e1 * t4800 * t34025 - 0.23e2 / 0.12e2 * t22511 * t33707 - 0.2e1 * t18604 * t4310 + 0.2e1 * t19135 * t4304 - t18608 * t4306 - 0.3e1 / 0.2e1 * t22511 * t10798 - 0.4e1 * t3917 * t18759 + t349 * t7054 / 0.2e1 - t349 * t7039 + 0.2e1 / 0.3e1 * t1941 * t33541 + t3908 * t734 / 0.2e1 - t3908 * t746 / 0.2e1 - t3908 * t742 + 0.4e1 * t22508 * t4264 - t4800 * t34028 / 0.2e1 + 0.23e2 / 0.36e2 * t22511 * t33792 - t2632 * t33796 / 0.3e1 + t2632 * t33799 / 0.6e1 + t2632 * t33802 / 0.6e1 - 0.2e1 * t33168 * t33805 + 0.2e1 * t3917 * t33134 - 0.2e1 * t22508 * t4028 - 0.4e1 / 0.3e1 * t2632 * t18792 - t12962 * t7076 / 0.9e1 + t12962 * t7072 / 0.18e2 - t10923 * t7068 / 0.6e1 + t11018 * t7063 / 0.6e1 - t12082 * t1190 / 0.2e1 + t1994 * t1202 / 0.2e1 - t1994 * t1194 / 0.2e1 - 0.2e1 / 0.3e1 * t22680 * t1016 - t13562 * t4316 - 0.6e1 * t18604 * t4287 + t19135 * t3951 - t18604 * t3954 + t2632 * t34740 / 0.6e1 - 0.3e1 * t3930 * t33251 - t5172 * t641 / 0.4e1 + t372 * t7051 / 0.2e1 - t372 * t7048 / 0.12e2 + 0.7e1 / 0.9e1 * t22390 * t6982 - t22390 * t6979 / 0.6e1 - t1529 * t7203 - t1140 * t12216 / 0.6e1 + 0.23e2 / 0.18e2 * t3930 * t33704 + t34007 - t6646 + t7027 + t33904 + t34546 + t33475 + t33533 + t33534 + t33212 + t7265 - t7266 + t33182 + t33653 + t35051 + t33978 + t33526 - t7045 + t33240 + t34561 + t29949 + t7231 - t7232 + 0.3e1 / 0.2e1 * t162 * t4805 * t27966 - 0.3e1 * t162 * t4810 * t3557 - t1677 * t23233 * t6187 + 0.14e2 / 0.3e1 * t3930 * t33246 * t3926 - 0.18e2 * t2251 * t21840 * t4271 - 0.18e2 * t2255 * t21829 * t33257 + 0.6e1 * t2251 * t21829 * t33261 + 0.18e2 * t4277 * t21829 * t33265 + t162 * t4884 * t3552 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t4898 * t3513 - t162 * t4935 * t28681 - 0.28e2 * t29634 * t3931 * t33572 + 0.2e1 * t22 * t21819 * t4292 + 0.18e2 * t2251 * t21843 * t4286 + 0.3e1 / 0.2e1 * t1565 * t4805 * t28711 - 0.6e1 * t19499 * t21829 * t33814 + t2255 * t2760 * t33970 / 0.2e1 + t2255 * t697 * t33974 / 0.2e1 - 0.3e1 * t509 * t4805 * t29328 - t33928 + t34678 - t30961 - t33795 + t7097 + t7098 + t34718 + t33744 - t33380 + t33381 - t33382 - t30225 - t34968 + t34969 + t34970 - t34971 + t984 + t33959 + t33675 + t33012 + t33013 + t33014 + t34795 - t34796 + t34605 + t33698 - t33386 + t33387 + t33388 - t34607 - t34608 - t34609 + t34900 + t34709 + t34824 - t7267 + t7268 - t7233 - t7235 + t34780 - t34572 + t35018 + t34931 + t34932 + t33378 + t33078 + t34866 + t33849 + t28147 - t33009 - t33010 + t33011 + t35075 + t34834 + t33500 - t34610 + t34611 + t34612 + t34613 - t30259 + t33420 + t34955 + t33564 - t33566 + t35094 + t33567 - t33568 + t33569 + t33570 - t33418 + t33419 + t34920 - t34833 + t33383 + t33384 - t33385 + t6641 - t34614 + t34957 + t33789 + t34533 + t33124 - t33571 + t33415 - t33702 - t33703 + t33878 + t34632 + t35006 - t913 + t33591);
  tv4rhosigmalapl20 = 0.2e1 * rho[0] * t35101 + 0.2e1 * t7276;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 0] += tv4rhosigmalapl20;

  t35119 = t21610 * t4027;
  t35122 = t1566 * t269;
  t35123 = t35122 * t3919;
  t35126 = t21213 * t4032;
  t35140 = -t2988 * t30033 / 0.6e1 - t3006 * t30027 / 0.6e1 + t3015 * t30030 / 0.12e2 + 0.23e2 / 0.36e2 * t4531 * t29576 * t5236 + t3015 * t18805 / 0.3e1 - t4538 * t33924 / 0.2e1 - t2988 * t33921 / 0.6e1 + t2632 * t35119 / 0.6e1 - 0.5e1 / 0.36e2 * t3930 * t35123 - t2632 * t35126 / 0.12e2 - 0.2e1 * t4571 * t17367 * t5236 - 0.2e1 / 0.3e1 * t3015 * t18808 - 0.3e1 * t17046 * t5561 + 0.3e1 / 0.2e1 * t17049 * t5568 + 0.3e1 * t19135 * t4647;
  t35167 = t10480 * t7289 / 0.6e1 + t14008 * t7286 / 0.18e2 + t10923 * t7318 / 0.2e1 - t21366 * t7592 / 0.6e1 - 0.2e1 / 0.3e1 * t3015 * t18787 - 0.2e1 / 0.3e1 * t3015 * t18792 - 0.2e1 / 0.3e1 * t3015 * t18795 - 0.2e1 / 0.3e1 * t13995 * t7333 + t17046 * t5531 / 0.2e1 - t17049 * t5564 / 0.2e1 + t2255 * t810 * t33636 / 0.2e1 - t2251 * t810 * t33640 / 0.2e1 + t31286 + t31288 - t29483 - t29487;
  t35173 = t23698 * t205;
  t35174 = t500 * t35173;
  t35178 = t1259 * t205;
  t35179 = t1426 * t35178;
  t35183 = t169 * t19765;
  t35184 = t2294 * t35183;
  t35187 = t3949 * t122;
  t35188 = t96 * t35187;
  t35192 = t169 * t18534;
  t35196 = t7280 * t122;
  t35197 = t96 * t35196;
  t35201 = t96 * t18529;
  t35209 = t1556 * t35196;
  t35213 = t29493 + t29499 + t29503 + t29507 - 0.2e1 * t4571 * t18536 - 0.2e1 / 0.3e1 * t2632 * t19767 + 0.47e2 / 0.3e1 * t29591 * t10733 * t35174 + 0.3e1 / 0.2e1 * t1677 * t14575 * t35179 + t2632 * t35184 / 0.3e1 + t4538 * t1684 * t35188 / 0.2e1 - t4538 * t2162 * t35192 / 0.2e1 + 0.2e1 * t20507 * t2162 * t35197 + t4538 * t1684 * t35201 / 0.2e1 - 0.3e1 / 0.2e1 * t4531 * t19317 + 0.9e1 / 0.2e1 * t4531 * t18858 - 0.43e2 / 0.9e1 * t20344 * t17992 * t35209;
  t35230 = t7303 * t122;
  t35231 = t169 * t35230;
  t35232 = t2182 * t35231;
  t35247 = t3931 * t35231;
  t35251 = t3935 * t1675 * t35230;
  t35257 = t2265 * t5551 * t18848 - 0.9e1 / 0.2e1 * t4277 * t3208 * t9911 * t18529 - 0.35e2 / 0.108e3 * t20344 * t17992 * t35197 - 0.5e1 / 0.36e2 * t4531 * t3935 * t35192 + t10930 * t5361 / 0.2e1 - t525 * t5316 / 0.36e2 + t3917 * t35232 + t2632 * t32587 / 0.6e1 + 0.6e1 * t2255 * t3208 * t9916 * t35187 - 0.3e1 * t2251 * t3208 * t10255 * t35187 - 0.3e1 * t2255 * t3226 * t33016 - 0.11e2 / 0.18e2 * t3930 * t35247 + 0.23e2 / 0.36e2 * t3930 * t35251 - t22 * t7467 * t194 / 0.4e1 + t27991 + t33105;
  t35281 = t33106 - t33107 - t33108 - t33109 - t33110 - 0.2e1 / 0.9e1 * t14008 * t7333 + 0.3e1 / 0.2e1 * t17049 * t5344 + t10769 * t7322 / 0.2e1 + 0.3e1 / 0.2e1 * t2251 * t3221 * t145 * t18769 + 0.3e1 / 0.2e1 * t2251 * t13782 * t7317 + 0.3e1 / 0.2e1 * t2251 * t3221 * t34743 + 0.3e1 / 0.2e1 * t10769 * t7318 + t2251 * t263 * t34960 / 0.2e1 + t31330 + t31335;
  t35287 = t1571 * t269;
  t35295 = t22 * t269 * t4275;
  t35307 = t21337 * t3919;
  t35309 = t14481 * t1000;
  t35310 = t302 * t35309;
  t35321 = -t4531 * t10910 * t7281 / 0.2e1 - t4531 * t33244 / 0.2e1 + 0.7e1 / 0.3e1 * t3930 * t35287 * t3926 - 0.3e1 / 0.2e1 * t3930 * t35122 * t3945 + 0.3e1 / 0.2e1 * t35295 * t4279 - t15227 * t7269 / 0.6e1 - t17049 * t5359 + t2251 * t263 * t33830 / 0.2e1 - t1677 * t3190 * t7047 / 0.4e1 + t3917 * t35307 + t31367 + t666 * t35310 / 0.6e1 + t666 * t31690 / 0.6e1 + t21470 * t4301 / 0.2e1 - t15274 * t4322 / 0.4e1 + t4571 * t15615 * t5215;
  t35339 = t96 * t18785;
  t35350 = t3015 * t15640 * t5219 / 0.3e1 - 0.11e2 / 0.18e2 * t4531 * t30198 * t5215 - t3015 * t15615 * t5209 / 0.6e1 + t33200 - t31432 - t15227 * t7595 / 0.6e1 - t2988 * t9743 * t7285 / 0.6e1 - t2988 * t33156 / 0.6e1 - t2988 * t1684 * t35339 / 0.6e1 - t4538 * t10707 * t7281 / 0.2e1 - t4538 * t35001 / 0.2e1 - t866 * t30910 / 0.6e1 - t31486 - t31488 + t31490 + t31492;
  t35359 = t341 * t35178;
  t35369 = -t31494 - t31496 + t31497 + t31499 - t31514 - t31516 - t31528 - t31533 - 0.6e1 * t2255 * t3226 * t1505 * t18529 + 0.18e2 * t29634 * t3935 * t1556 * t35173 + 0.3e1 * t2265 * t14803 * t35359 + t29658 + t2885 * t1066 / 0.2e1 - t29674 + t854 * t3966 / 0.2e1 + t854 * t3971 / 0.2e1;
  t35388 = t23698 * t929;
  t35389 = t500 * t35388;
  t35390 = t10936 * t35389;
  t35394 = t1648 * t1272 * t929;
  t35417 = t8659 * t205;
  t35418 = t1675 * t35417;
  t35419 = t3931 * t35418;
  t35422 = -t14165 * t1053 / 0.2e1 - t2897 * t4055 / 0.2e1 - t2897 * t4050 / 0.2e1 + t671 * t21073 / 0.3e1 - t1677 * t5551 * t18981 - 0.3e1 / 0.2e1 * t2251 * t3221 * t34906 - t2251 * t806 * t34850 - 0.14e2 / 0.3e1 * t10863 * t35390 - t1677 * t3012 * t35394 + 0.5e1 * t2251 * t3226 * t1862 * t35187 + 0.3e1 * t2251 * t810 * t10245 * t18839 + 0.36e2 * t2255 * t13762 * t1571 * t35196 - 0.3e1 * t4277 * t3208 * t9911 * t35187 - 0.18e2 * t4277 * t13762 * t1566 * t35196 + 0.7e1 / 0.3e1 * t10863 * t35419;
  t35426 = t2169 * t35389;
  t35430 = t320 * t1264 * t929;
  t35442 = t135 * t1264 * t205;
  t35453 = t396 * t7280;
  t35466 = -t2251 * t806 * t1868 * t18839 + 0.1e2 / 0.3e1 * t10870 * t35426 + t1677 * t3108 * t35430 / 0.2e1 - 0.3e1 / 0.2e1 * t2251 * t3221 * t400 * t35187 + 0.12e2 * t34856 * t2175 * t35174 + 0.3e1 / 0.2e1 * t1677 * t14775 * t35442 + t20992 * t7383 - t33370 - t259 * t18444 / 0.12e2 - t33372 + 0.3e1 * t2255 * t3226 * t396 * t18769 + 0.3e1 * t2255 * t13745 * t35453 + 0.3e1 * t2255 * t3226 * t33457 + 0.3e1 * t10809 * t7327 - t10930 * t5355 / 0.2e1 - t10930 * t5244 / 0.4e1;
  t35478 = t169 * t19183;
  t35485 = t96 * t18839;
  t35492 = t2251 * t806 * t33223 / 0.2e1 + t2251 * t806 * t400 * t18785 / 0.2e1 + t2251 * t3236 * t7321 / 0.2e1 + t29677 + t29681 - t31555 + t31560 - t31572 + t29698 + t29706 - t29722 - t29753 + t3015 * t2169 * t35478 / 0.6e1 - 0.5e1 / 0.6e1 * t4571 * t2169 * t35188 - t3015 * t10775 * t35485 / 0.2e1 + 0.5e1 / 0.18e2 * t4531 * t10733 * t35188;
  t35501 = t10775 * t500 * t5529 * t929;
  t35513 = t4571 * t2175 * t35192 / 0.2e1 - 0.3e1 / 0.2e1 * t2251 * t263 * t34950 + 0.2e1 / 0.3e1 * t9737 * t35501 + t1677 * t3190 * t34946 / 0.2e1 + t33381 + t13995 * t7286 / 0.6e1 - t17053 * t5552 / 0.2e1 - t33382 + t33383 + t28147 + t33384 - t33385 - t33386 + t10930 * t5555 / 0.2e1 + t33387 + t33388;
  t35528 = t96 * t18769;
  t35555 = 0.23e2 / 0.36e2 * t4531 * t3935 * t18770 + t13995 * t7072 / 0.6e1 + 0.23e2 / 0.36e2 * t4531 * t18568 * t7379 + 0.23e2 / 0.36e2 * t4531 * t33704 - 0.11e2 / 0.18e2 * t4531 * t33967 - 0.11e2 / 0.18e2 * t4531 * t3931 * t35528 + 0.23e2 / 0.36e2 * t20366 * t7497 - 0.11e2 / 0.18e2 * t20366 * t7494 - 0.11e2 / 0.18e2 * t4531 * t18158 * t7281 - 0.3e1 * t10769 * t7491 - 0.3e1 * t2251 * t13745 * t7490 - 0.3e1 * t2251 * t3226 * t33722 + t17049 * t5348 / 0.2e1 - t10930 * t5351 / 0.2e1 + t14008 * t7336 / 0.9e1 - 0.3e1 * t17049 * t5526;
  t35585 = t33390 + 0.3e1 / 0.2e1 * t30736 * t5558 + 0.3e1 * t21686 * t4260 - 0.3e1 * t21470 * t4287 + t21686 * t3951 / 0.2e1 - t2988 * t10925 * t5219 / 0.6e1 - t10923 * t7491 - t11018 * t7487 + 0.7e1 / 0.9e1 * t19869 * t7380 - t19869 * t7375 / 0.6e1 - t14008 * t7076 / 0.9e1 - t14122 * t7089 / 0.18e2 + t14008 * t7094 / 0.36e2 + t14008 * t7072 / 0.18e2 + t3015 * t33694 / 0.12e2 + t3015 * t34666 / 0.12e2;
  t35600 = t1571 * t7280;
  t35604 = t1566 * t7280;
  t35631 = t31595 - 0.3e1 * t2251 * t3226 * t405 * t18769 - 0.3e1 * t2255 * t3208 * t33184 - 0.3e1 * t2255 * t3208 * t1571 * t18769 - 0.3e1 * t10809 * t7487 - 0.3e1 * t2255 * t13749 * t35600 + 0.3e1 / 0.2e1 * t4277 * t13749 * t35604 + 0.3e1 / 0.2e1 * t4277 * t3208 * t33402 + 0.3e1 / 0.2e1 * t4277 * t3208 * t1566 * t18769 - 0.3e1 / 0.2e1 * t4531 * t18815 + 0.3e1 / 0.2e1 * t18618 * t7483 - t2265 * t5551 * t3680 / 0.2e1 - 0.3e1 / 0.2e1 * t20366 * t7479 - 0.3e1 / 0.2e1 * t4531 * t19280 - 0.3e1 / 0.2e1 * t4531 * t18819 - 0.5e1 / 0.36e2 * t4531 * t18568 * t7281;
  t35667 = -0.5e1 / 0.36e2 * t20366 * t7345 - t10923 * t7363 / 0.3e1 + t13542 * t6740 / 0.36e2 + t2251 * t804 * t7084 / 0.2e1 + t2251 * t263 * t33160 / 0.2e1 + t10769 * t7368 / 0.2e1 + t2251 * t806 * t34885 / 0.2e1 + t2251 * t806 * t34889 / 0.2e1 + t2251 * t3236 * t7079 / 0.2e1 + t33411 + t33414 - t3015 * t34618 / 0.3e1 + 0.6e1 * t20380 * t2169 * t35197 + 0.3e1 / 0.2e1 * t4531 * t10775 * t35201 + t3015 * t33073 - 0.2e1 * t20344 * t10936 * t35197;
  t35691 = t4531 * t34981 / 0.2e1 + t3015 * t2294 * t35478 / 0.3e1 + t2988 * t35003 / 0.3e1 + t3006 * t35010 / 0.2e1 - t3015 * t34687 / 0.6e1 - t33418 + t33419 + t33420 + t31612 + t31616 - t610 * t5634 / 0.4e1 + t233 * t19750 / 0.12e2 + t666 * t32416 / 0.6e1 + t31620 + t3015 * t34903 / 0.6e1;
  t35713 = t1426 * t8517 * t205;
  t35718 = t1426 * t8512 * t205;
  t35728 = -t3015 * t17371 * t4966 / 0.3e1 + t3015 * t34740 / 0.6e1 - t29811 - t31632 - t31639 + t4571 * t17367 * t5215 / 0.2e1 - t2988 * t33447 / 0.6e1 - t3006 * t33438 / 0.6e1 + t3015 * t33444 / 0.12e2 + t3006 * t33433 / 0.12e2 + 0.9e1 * t2255 * t3208 * t9916 * t18529 - 0.3e1 * t2265 * t14575 * t35713 + 0.3e1 / 0.2e1 * t10978 * t14575 * t35718 - 0.7e1 * t4531 * t18531 - t4531 * t2169 * t35192 / 0.2e1 - t18604 * t4760;
  t35752 = t21610 * t3919;
  t35760 = 0.7e1 / 0.3e1 * t10863 * t33246 * t19931 + t17046 * t5515 - t17053 * t5517 / 0.2e1 - t10480 * t7354 / 0.12e2 - t10480 * t7351 / 0.6e1 + t1677 * t25186 * t1065 / 0.2e1 + t1677 * t5551 * t3557 / 0.2e1 - 0.3e1 * t19135 * t4603 + 0.3e1 / 0.2e1 * t18604 * t4557 - 0.3e1 / 0.2e1 * t4531 * t33251 - t3930 * t35752 / 0.2e1 - 0.5e1 / 0.36e2 * t4531 * t34788 - 0.5e1 / 0.36e2 * t4531 * t3935 * t35528 + t33485 - t33489 - t33490;
  t35780 = t33491 + t10923 * t7322 / 0.6e1 + t3015 * t10910 * t7285 / 0.6e1 - t31662 - t31666 + t3015 * t33486 / 0.6e1 + t13562 * t4762 / 0.2e1 - t33507 - t33508 + t33509 + t33510 - t21470 * t3954 / 0.2e1 + t4571 * t33531 / 0.2e1 - t3015 * t33765 / 0.3e1 - t20366 * t7375 / 0.2e1 + t2632 * t32187 / 0.6e1;
  t35787 = t548 * t4699 * t1208;
  t35806 = -t2632 * t21610 * t3468 / 0.3e1 - t31674 - t31676 + t31682 + t1941 * t35787 / 0.3e1 - t4701 * t742 / 0.2e1 + t894 * t33892 / 0.6e1 + t894 * t31164 / 0.6e1 + t838 * t6541 / 0.12e2 + t259 * t29901 / 0.12e2 + t259 * t29654 / 0.12e2 - t2972 * t6996 / 0.12e2 + t31686 + t29865 - t2538 * t1114 / 0.4e1;
  t35834 = -t2538 * t1111 / 0.2e1 - t2972 * t7206 / 0.6e1 - t866 * t33220 / 0.6e1 - t866 * t29823 / 0.6e1 - t13030 * t1108 / 0.2e1 - t2509 * t4512 / 0.2e1 - t2509 * t4669 / 0.2e1 + t29897 - t31712 + t31714 + t866 * t18310 / 0.3e1 - t719 * t4737 / 0.2e1 - t719 * t4682 / 0.2e1 - t14127 * t7269 / 0.18e2 - t9731 * t7351 / 0.2e1 - t1677 * t24503 * t1057 / 0.2e1;
  t35873 = -t1677 * t24506 * t1057 / 0.2e1 - t1677 * t5354 * t3513 / 0.2e1 - t9731 * t7354 / 0.4e1 - t1677 * t23956 * t990 / 0.4e1 - t1677 * t23951 * t990 / 0.4e1 - t1677 * t5243 * t3552 / 0.4e1 + t18141 * t7483 / 0.2e1 - t866 * t29518 / 0.12e2 + t10769 * t7365 / 0.2e1 - t2251 * t810 * t1862 * t18785 - t2251 * t810 * t33781 - t2251 * t3214 * t7362 - t10769 * t7363 + t2683 * t31428 / 0.12e2 + t2683 * t31440 / 0.12e2 + t2683 * t31435 / 0.12e2;
  t35907 = t18604 * t4640 / 0.2e1 - t13562 * t4643 / 0.2e1 + 0.3e1 / 0.2e1 * t18604 * t4637 - 0.5e1 / 0.108e3 * t19869 * t7345 + t33550 + t33551 - 0.2e1 * t3917 * t21213 * t3926 - t2251 * t3214 * t7067 / 0.2e1 - t2251 * t810 * t33683 / 0.2e1 - t2251 * t810 * t33687 / 0.2e1 + t2255 * t3214 * t33970 / 0.2e1 + t2255 * t810 * t33974 / 0.2e1 + t2255 * t810 * t33112 / 0.2e1 - t10769 * t7295 / 0.2e1 + t10809 * t7292 / 0.2e1 - t29923;
  t35939 = -t29926 + 0.2e1 * t3015 * t18841 - 0.23e2 / 0.18e2 * t4531 * t10733 * t500 * t35187 - 0.2e1 / 0.3e1 * t3015 * t19185 + t719 * t4709 / 0.4e1 - t208 * t24157 / 0.12e2 - t533 * t5316 / 0.12e2 - t208 * t23548 / 0.12e2 - t233 * t20017 / 0.12e2 - t661 * t4729 / 0.12e2 - t233 * t20055 / 0.12e2 + t610 * t5280 / 0.4e1 + t610 * t5297 / 0.4e1 + t1994 * t1283 / 0.4e1 - t33560;
  t35946 = t11659 * t1208;
  t35954 = -t33561 - t33562 - t33563 - t33566 + t33567 - t33568 + t33569 + t29950 + t29953 - t29956 - t3908 * t873 / 0.2e1 + t2557 * t7309 / 0.18e2 - t2483 * t1111 / 0.6e1 - t866 * t548 * t35946 / 0.12e2 - t866 * t34597 / 0.12e2 + t3030 * t7550 / 0.6e1;
  t35974 = t894 * t302 * t35946 / 0.6e1 + t894 * t34623 / 0.6e1 - t29963 - t29994 - t29997 - t3410 + t3430 - t3445 + t3460 + t2902 * t1066 / 0.6e1 - t14664 * t1053 / 0.6e1 + t4571 * t33134 + t4571 * t2182 * t35528 - 0.2e1 * t20992 * t7385 - 0.2e1 * t4571 * t18762 - 0.2e1 * t4571 * t18759;
  t35975 = t5529 * t205;
  t35976 = t500 * t35975;
  t35985 = t500 * t35196;
  t36004 = -t32074 + 0.2e1 * t10870 * t2169 * t35976 + t1677 * t3108 * t34911 / 0.2e1 + 0.4e1 * t4571 * t18544 - 0.23e2 / 0.3e1 * t20380 * t3935 * t35985 - 0.3e1 * t2265 * t25429 * t18660 + 0.3e1 / 0.2e1 * t1677 * t25429 * t18665 + t33632 - t33635 + t18604 * t4658 / 0.2e1 - t10930 * t5340 / 0.4e1 + t2251 * t806 * t33826 / 0.2e1 + t30019 - t32091 - t30024 - t2632 * t32349 / 0.12e2;
  t36007 = t17367 * t8664;
  t36010 = t35287 * t3919;
  t36013 = t35122 * t3926;
  t36046 = t9737 * t36007 / 0.3e1 - 0.11e2 / 0.18e2 * t3930 * t36010 + 0.23e2 / 0.36e2 * t3930 * t36013 + 0.7e1 / 0.3e1 * t4531 * t30198 * t5236 + t2255 * t810 * t1505 * t18785 + t2255 * t3214 * t3950 + t2255 * t810 * t35026 + t10809 * t7330 + 0.22e2 / 0.3e1 * t20380 * t3931 * t35197 + 0.11e2 / 0.18e2 * t4531 * t33049 - 0.23e2 / 0.36e2 * t4531 * t33075 - 0.61e2 / 0.27e2 * t20344 * t18027 * t35197 + 0.44e2 / 0.27e2 * t20344 * t17992 * t35985 + t4531 * t10775 * t35188 - t3015 * t34729 / 0.3e1 + t259 * t33875 / 0.12e2;
  t36062 = -t30055 + t30094 + t30101 + t30105 - t30108 + t2265 * t3012 * t33031 / 0.2e1 + 0.5e1 / 0.3e1 * t20380 * t3935 * t35197 + 0.5e1 / 0.12e2 * t4531 * t10733 * t35201 + t13995 * t7094 / 0.12e2 - t12082 * t1261 / 0.2e1 - t32123 + t32125 + t32127 - t33697 - t719 * t4687 / 0.4e1 - t33702;
  t36099 = -t30142 - t3015 * t2169 * t500 * t33442 / 0.3e1 - t4531 * t17371 * t5215 / 0.2e1 - 0.3e1 / 0.2e1 * t4531 * t29576 * t5230 + t4571 * t33150 - 0.2e1 * t4571 * t19269 * t3926 + t3015 * t30240 / 0.6e1 - t3015 * t19277 * t3468 / 0.3e1 - 0.11e2 / 0.18e2 * t4531 * t34879 + 0.23e2 / 0.36e2 * t4531 * t34882 + t10923 * t7368 / 0.6e1 - 0.2e1 / 0.3e1 * t20503 * t7385 + t843 * t7018 / 0.36e2 - t3057 * t6996 / 0.36e2 + t843 * t6541 / 0.36e2 + t3052 * t6991 / 0.18e2;
  t36140 = t3057 * t7530 / 0.9e1 - t2543 * t7314 / 0.36e2 + t654 * t6855 / 0.36e2 - t2902 * t1061 / 0.12e2 - t671 * t32822 / 0.6e1 - t372 * t7582 / 0.12e2 + t719 * t4713 / 0.4e1 + t2538 * t1126 / 0.4e1 - 0.18e2 * t2251 * t13762 * t1505 * t35196 - 0.9e1 / 0.2e1 * t2251 * t3208 * t10255 * t18529 + 0.3e1 / 0.2e1 * t2251 * t810 * t33040 - 0.7e1 / 0.3e1 * t10863 * t10936 * t35976 - t1677 * t3012 * t33062 / 0.2e1 - 0.3e1 / 0.2e1 * t2255 * t810 * t33021 + 0.3e1 / 0.2e1 * t10863 * t10733 * t1556 * t35975 - t33763;
  t36150 = t21651 * t4027;
  t36153 = t21337 * t4032;
  t36167 = -t12962 * t7348 / 0.36e2 + t20992 * t7282 / 0.2e1 + t2632 * t36150 / 0.3e1 - t2632 * t36153 / 0.6e1 - t18608 * t4652 / 0.2e1 - t32185 + t30204 + t30223 - t30226 - t30229 - t32212 - t32214 - 0.3e1 / 0.2e1 * t4277 * t3208 * t34972 + 0.3e1 * t2255 * t3208 * t34997 - 0.3e1 / 0.2e1 * t2251 * t3208 * t34976;
  t36176 = t2169 * t35231;
  t36180 = t3935 * t2263 * t35230;
  t36206 = t341 * t1272 * t205;
  t36210 = -0.18e2 * t2255 * t13792 * t9911 * t35196 + 0.6e1 * t2251 * t13792 * t9916 * t35196 - t3930 * t36176 / 0.2e1 - 0.3e1 / 0.2e1 * t3930 * t36180 + 0.3e1 / 0.2e1 * t10978 * t25429 * t19388 - 0.62e2 / 0.3e1 * t20344 * t18027 * t35209 + 0.8e1 * t20344 * t17992 * t4275 * t35196 - t4531 * t33940 / 0.2e1 - t32230 - t32235 + t32237 - t32241 + 0.11e2 / 0.6e1 * t4531 * t10936 * t35201 + 0.6e1 * t2251 * t3226 * t1862 * t18529 - 0.28e2 * t29634 * t3931 * t35174 - 0.3e1 * t1677 * t14803 * t36206;
  t36212 = t2162 * t35231;
  t36215 = t8659 * t929;
  t36217 = t2169 * t1675 * t36215;
  t36257 = -t4291 * t36212 / 0.2e1 - t9737 * t36217 / 0.3e1 + t1677 * t5354 * t15474 / 0.2e1 + t1677 * t5243 * t15470 / 0.2e1 - t2988 * t34669 / 0.6e1 - 0.3e1 * t21350 * t2175 * t35197 + t4538 * t34690 / 0.2e1 + t2988 * t34672 / 0.3e1 - 0.11e2 / 0.18e2 * t4531 * t3931 * t35192 - 0.6e1 * t2251 * t13775 * t145 * t35196 - 0.3e1 / 0.2e1 * t2251 * t3221 * t400 * t18529 + t17049 * t5366 / 0.2e1 + t259 * t33869 / 0.12e2 - t2972 * t7544 / 0.6e1 - t866 * t555 * t35946 / 0.6e1 - t866 * t34588 / 0.6e1;
  t36273 = t2169 * t35183;
  t36280 = -t2972 * t7547 / 0.12e2 - t866 * t33879 / 0.12e2 - t866 * t30002 / 0.12e2 + t838 * t7030 / 0.12e2 + t33857 - t4531 * t2169 * t35528 / 0.2e1 - t30260 + 0.7e1 / 0.3e1 * t20366 * t7380 + 0.7e1 / 0.3e1 * t4531 * t19148 + t2632 * t36273 / 0.6e1 - t33928 - t33930 - t21246 * t7592 / 0.2e1 - t32297 + t32300 + 0.7e1 / 0.3e1 * t4531 * t18771;
  t36293 = t11209 * t7304;
  t36296 = t169 * t21703;
  t36297 = t2182 * t36296;
  t36314 = t12238 * t7472 / 0.3e1 + t2632 * t21711 / 0.3e1 + t10923 * t7299 / 0.2e1 - t10923 * t7295 / 0.6e1 - t12238 * t7305 / 0.6e1 - t2632 * t36293 / 0.6e1 - t2632 * t36297 / 0.6e1 - t2632 * t32871 / 0.6e1 - t2988 * t33512 / 0.6e1 - t2988 * t33520 / 0.6e1 - t2988 * t33517 / 0.6e1 + t3015 * t33179 / 0.3e1 - t21470 * t4310 + t15274 * t4319 / 0.2e1 + t19135 * t4650;
  t36340 = t21686 * t4304 - t21519 * t4306 / 0.2e1 - 0.2e1 / 0.3e1 * t2632 * t21611 + t2632 * t21214 / 0.3e1 - t3006 * t34986 / 0.6e1 - t3015 * t33045 / 0.2e1 + t3015 * t33054 / 0.6e1 - 0.23e2 / 0.12e2 * t4531 * t10733 * t18530 + 0.23e2 / 0.36e2 * t4531 * t3935 * t18535 - t913 + t984 - 0.2e1 / 0.3e1 * t3015 * t19278 - t32335 + t33978 + t259 * t33998 / 0.12e2 + t259 * t34002 / 0.12e2;
  t36346 = t23966 * t539;
  t36347 = t555 * t36346;
  t36378 = t838 * t7018 / 0.12e2 + t3908 * t862 / 0.2e1 - t546 * t36347 / 0.6e1 + t546 * t548 * t5656 * t539 / 0.3e1 - t24478 * t623 / 0.2e1 + t5658 * t646 / 0.2e1 - t21291 * t730 / 0.2e1 + t4701 * t749 / 0.2e1 - t2902 * t1058 / 0.6e1 - t3057 * t7547 / 0.36e2 - t3057 * t7544 / 0.18e2 + t843 * t7030 / 0.36e2 - t654 * t4729 / 0.36e2 + t2010 * t1283 / 0.12e2 + t2483 * t1117 / 0.6e1 - t12075 * t1261 / 0.6e1;
  t36393 = t302 * t36346;
  t36397 = t548 * t3906 * t3307;
  t36408 = t34006 - t2543 * t7507 / 0.18e2 + t2543 * t7511 / 0.9e1 - t3057 * t7206 / 0.18e2 - t13068 * t1108 / 0.6e1 + t34035 - t2010 * t1266 / 0.6e1 + t2483 * t1126 / 0.12e2 + t32340 + t4571 * t11209 * t7281 + t538 * t36393 / 0.6e1 + t1941 * t36397 / 0.3e1 + t3908 * t881 / 0.4e1 - t3908 * t877 / 0.4e1 + t3052 * t7550 / 0.18e2 - t18401 * t859 / 0.2e1;
  t36417 = -t4538 * t2162 * t35528 / 0.2e1 + t6548 - t6556 - t6562 + t6577 - t6586 + t3489 - t3491 - t719 * t4690 / 0.4e1 - t34549 - t34550 + t34551 + t34552 + t34553 + t34554;
  t36448 = t21164 * t3919;
  t36451 = t14332 * t4027;
  t36454 = t2988 * t3624 * t35485 / 0.3e1 - t2988 * t1684 * t35478 / 0.6e1 - t13995 * t7076 / 0.3e1 - t3015 * t33796 / 0.3e1 - t3015 * t33769 / 0.3e1 + t10923 * t7365 / 0.6e1 + t11018 * t7292 / 0.6e1 + t3015 * t33799 / 0.6e1 + t3015 * t33802 / 0.6e1 + t3015 * t34530 / 0.6e1 - t2674 * t32486 / 0.6e1 - t2683 * t32490 / 0.6e1 + t2632 * t32483 / 0.12e2 + t2683 * t32480 / 0.12e2 - t4291 * t36448 / 0.2e1 - t2674 * t36451 / 0.6e1;
  t36456 = t21213 * t3919;
  t36459 = t21164 * t4032;
  t36479 = t10733 * t1556 * t35388;
  t36483 = t1648 * t1259 * t929;
  t36495 = t3917 * t36456 / 0.2e1 + t2674 * t36459 / 0.6e1 - t15274 * t4316 / 0.2e1 + t21470 * t4298 / 0.2e1 + t2010 * t1274 / 0.6e1 - t854 * t4058 / 0.4e1 - t854 * t4066 / 0.4e1 - t2885 * t1061 / 0.4e1 - t854 * t3963 / 0.2e1 - t854 * t4061 / 0.2e1 - t30741 + 0.3e1 * t10863 * t36479 + t2265 * t3012 * t36483 - 0.3e1 * t2255 * t810 * t10255 * t18839 - 0.5e1 / 0.3e1 * t4571 * t2294 * t35188 - t3015 * t11150 * t35485;
  t36533 = 0.11e2 / 0.9e1 * t4531 * t10936 * t35188 - t4571 * t33066 + 0.3e1 / 0.2e1 * t10769 * t7299 + 0.3e1 / 0.2e1 * t2251 * t13749 * t7298 + 0.3e1 / 0.2e1 * t2251 * t3208 * t33948 + 0.3e1 / 0.2e1 * t2251 * t3208 * t1505 * t18769 + t11018 * t7330 / 0.3e1 + t9731 * t7289 / 0.2e1 + t1677 * t25244 * t1065 / 0.2e1 - t838 * t3903 / 0.12e2 - t259 * t19562 / 0.12e2 - t843 * t3903 / 0.36e2 - t654 * t4744 / 0.36e2 + t21080 * t248 / 0.12e2 + t25550 * t223 / 0.12e2 - t525 * t5653 / 0.36e2;
  t36543 = t10707 * t7304;
  t36552 = t2162 * t36296;
  t36565 = t3586 - t3589 - 0.2e1 * t4571 * t19138 + t12286 * t7357 / 0.6e1 + t4571 * t10729 * t7281 / 0.2e1 + t2674 * t36543 / 0.6e1 + t20503 * t7282 / 0.6e1 + 0.23e2 / 0.108e3 * t19869 * t7497 - 0.11e2 / 0.54e2 * t19869 * t7494 + t2674 * t36552 / 0.6e1 + t12915 * t7357 / 0.18e2 + t18604 * t4661 / 0.2e1 - t13562 * t4664 / 0.4e1 - t13562 * t4748 / 0.4e1 + t2674 * t31316 / 0.6e1 + t34604;
  t36571 = -t34607 - t34608 - t34609 - t34610 + t34611 + t34612 + t34613 - t34614 + t7027 - t7045 + t32431 + t6756 + t34616 - t1972 * t5201 / 0.2e1 + t32452 - 0.6e1 * t21350 * t2182 * t35197;
  t36603 = 0.89e2 / 0.9e1 * t20344 * t18027 * t35985 + 0.18e2 * t4277 * t13792 * t9906 * t35196 - 0.38e2 / 0.9e1 * t20344 * t10733 * t35197 - t3603 - t3605 + t3607 + t3612 - t11016 * t7475 / 0.6e1 + t12962 * t7472 / 0.9e1 - t12962 * t7305 / 0.18e2 - t10858 * t7475 / 0.2e1 - t2265 * t25244 * t1052 / 0.2e1 - t2265 * t25186 * t1052 / 0.2e1 + t2632 * t21705 / 0.3e1 + t2632 * t20985 / 0.3e1 - t2483 * t1114 / 0.12e2;
  t36606 = t19504 * t4561;
  t36634 = t3057 * t7210 / 0.9e1 - t2168 * t36606 / 0.6e1 + t2168 * t19269 * t4588 / 0.3e1 - t18608 * t4592 / 0.2e1 + 0.3e1 * t2265 * t25202 * t19330 - 0.3e1 * t1677 * t25202 * t19542 + t2265 * t5551 * t16976 / 0.2e1 - t1677 * t5551 * t16984 / 0.2e1 + 0.5e1 / 0.36e2 * t4531 * t34680 + t3015 * t34683 / 0.12e2 - t4571 * t34989 / 0.2e1 - t3015 * t34675 / 0.4e1 + t7097 + t7098 + t34659 - t34660;
  t36643 = t34661 - t34662 - t34663 - t34664 - t34665 - t3006 * t34647 / 0.6e1 - t32478 - t3006 * t34965 / 0.6e1 + t30825 - t30830 - t30848 - t30852 + t30856 + t30860 + t30863;
  t36671 = t1684 * t35183;
  t36681 = 0.7e1 / 0.3e1 * t4531 * t19538 + 0.18e2 * t2251 * t13772 * t405 * t35196 - 0.5e1 * t2255 * t3226 * t1505 * t35187 + 0.3e1 * t2251 * t3226 * t33036 - t2255 * t810 * t34723 + t2251 * t810 * t34726 - 0.18e2 * t2255 * t13772 * t396 * t35196 - t2683 * t32731 / 0.6e1 + t2632 * t32914 / 0.12e2 - t2674 * t32738 / 0.6e1 - t2674 * t36671 / 0.6e1 - t30866 - t22 * t1043 * t793 / 0.4e1 + t34716 - t3006 * t34650 / 0.6e1 - t15406 * t7089 / 0.6e1;
  t36709 = t3015 * t2294 * t35339 / 0.3e1 + t3015 * t33426 / 0.3e1 + t3015 * t11202 * t7285 / 0.3e1 + t13995 * t7336 / 0.3e1 - t30899 + t30901 - t30909 + t2972 * t7210 / 0.3e1 + t866 * t18461 / 0.3e1 + t719 * t4716 / 0.2e1 + t719 * t4719 / 0.2e1 + t1994 * t1274 / 0.2e1 + t2538 * t1117 / 0.2e1 + t610 * t5302 / 0.2e1 - t3015 * t33176 / 0.6e1 - t34757;
  t36724 = -t34760 + 0.7e1 / 0.3e1 * t4531 * t19144 + t17049 * t5337 / 0.2e1 - 0.3e1 * t21686 * t4283 + 0.3e1 / 0.2e1 * t21470 * t4272 + 0.3e1 / 0.2e1 * t33231 * t4599 + 0.3e1 / 0.2e1 * t21470 * t4255 + t34772 - t34774 - t34776 + t21470 * t4313 / 0.2e1 + t34795 - t34796 + t6642 - t6647 - t32563;
  t36741 = -t30962 + t6799 - t6802 - t6808 - t6811 + t6815 - t34833 + t34834 - t2885 * t1058 / 0.2e1 - t610 * t5321 / 0.2e1 - t610 * t5626 / 0.2e1 - t1994 * t1269 / 0.4e1 - t1994 * t1266 / 0.2e1 - t19869 * t7479 / 0.2e1 - t14127 * t7595 / 0.18e2;
  t36744 = t19296 * t4561;
  t36749 = t19269 * t4561;
  t36756 = t138 * t7468;
  t36761 = t106 * t158 * t7466 * t159;
  t36774 = t3015 * t33691 / 0.12e2 + t2161 * t36744 / 0.6e1 + t2179 * t23772 / 0.12e2 - t2168 * t36749 / 0.12e2 + t2674 * t32352 / 0.6e1 + t2683 * t19967 / 0.12e2 - t127 * t36756 / 0.12e2 + t36761 * t166 / 0.4e1 + t19567 * t274 / 0.4e1 + t3908 * t833 / 0.4e1 - t533 * t5653 / 0.12e2 - t208 * t25018 / 0.12e2 + t25011 * t223 / 0.4e1 + t3689 - t3693 - t3700;
  t36797 = -t28865 + t4571 * t2175 * t35528 / 0.2e1 + t34872 + t32660 + t32663 - t2632 * t31324 / 0.6e1 - 0.6e1 * t19499 * t13792 * t9945 * t35196 + t661 * t6855 / 0.12e2 + t233 * t32755 / 0.12e2 + t233 * t32747 / 0.12e2 - t2600 * t7314 / 0.12e2 + t2550 * t7309 / 0.6e1 + t4701 * t734 / 0.4e1 - t32698 - t32701 - t32703;
  t36809 = t3935 * t35231;
  t36812 = t2175 * t35231;
  t36815 = -t32706 - t32719 - t32721 + t32723 + t6860 - t6864 - t6866 - t103 * t7468 / 0.12e2 + 0.3e1 / 0.2e1 * t1677 * t25212 * t18552 + t1677 * t5354 * t18548 / 0.2e1 - 0.2e1 * t10870 * t2175 * t35418 - 0.5e1 / 0.36e2 * t3930 * t36809 + t3917 * t36812 / 0.2e1 - t32743 + t32751 - t31050;
  t36830 = -t31052 - t31055 + t31065 + t31068 - t1972 * t5198 / 0.2e1 + t34915 - t2010 * t1269 / 0.12e2 + t259 * t18456 / 0.12e2 + t894 * t31108 / 0.6e1 - t233 * t19674 / 0.12e2 + t7231 + t11018 * t7327 + t32778 - t7232 - t7233;
  t36834 = t548 * t35309;
  t36839 = -t7235 + t34931 + t34932 - t34934 - t34935 - t7236 + t7237 - t7238 - t22 * t4185 * t288 / 0.4e1 + t32790 + t34954 + t32802 + t32804 + t34957 - t671 * t36834 / 0.12e2 - t671 * t32888 / 0.12e2;
  t36857 = t548 * t36346;
  t36874 = t2972 * t7530 / 0.3e1 + t866 * t19435 / 0.3e1 + t866 * t19359 / 0.3e1 + t3030 * t6991 / 0.6e1 - t4701 * t746 / 0.4e1 - t5658 * t641 / 0.4e1 + t5658 * t627 / 0.4e1 - t5658 * t637 / 0.2e1 - t546 * t36857 / 0.12e2 - t208 * t25180 / 0.12e2 + t208 * t23968 / 0.12e2 + t21088 * t248 / 0.4e1 + t4701 * t738 / 0.4e1 - t661 * t4744 / 0.12e2 - t233 * t21083 / 0.12e2 + t18387 * t274 / 0.12e2;
  t36901 = -t2988 * t34702 / 0.6e1 - t3006 * t34699 / 0.6e1 + t3015 * t34696 / 0.12e2 + t3006 * t34693 / 0.12e2 + t3006 * t30020 / 0.12e2 + t3015 * t33899 / 0.6e1 - 0.5e1 / 0.36e2 * t4531 * t33453 - t3015 * t33450 / 0.12e2 + t20503 * t7383 / 0.3e1 + t4571 * t33919 / 0.2e1 + t2988 * t33916 / 0.6e1 + 0.3e1 * t17046 * t5512 + t13562 * t4543 / 0.2e1 - t31107 + t31120 + t31122;
  t36904 = t555 * t35309;
  t36923 = -t31124 - t671 * t36904 / 0.6e1 - t32820 - t2251 * t806 * t34732 - t4571 * t2169 * t35201 - t31133 - t31136 + t2600 * t7511 / 0.3e1 - t2600 * t7507 / 0.6e1 - t31142 + t31146 + t31148 + t3015 * t2169 * t35339 / 0.6e1 - 0.2e1 * t4571 * t2294 * t35201 + t4571 * t2182 * t35192 + t6946;
  t36935 = t10729 * t7304;
  t36938 = t2175 * t36296;
  t36941 = -t6951 + t6715 - t6719 - t7267 + t7268 + t32894 + t32899 + t671 * t20548 / 0.3e1 - t32901 - t32903 - t671 * t32382 / 0.6e1 + t3015 * t19270 / 0.3e1 + t2988 * t17526 * t5209 / 0.6e1 - t12238 * t7348 / 0.12e2 - t2632 * t36935 / 0.12e2 - t2632 * t36938 / 0.12e2;
  t36963 = -t34046 - t34060 + t34103 + t34106 + t34107 - t34108 + t34109 + t34110 + t34111 + t34114 - t31757 - t31759 - t31761 - t34115 + t34116 - t31773 + t31775 + t31789;
  t36966 = t31791 + t34117 + t943 - t31796 + t31820 - t31822 - t34175 - t34177 + t263 * t34419 / 0.2e1 - t31881 - t31883 + t31885 + t31887 - t962 + t34228 + t6881 - t6884 + t6888;
  t36968 = t410 * t35187;
  t36980 = t5456 * t530;
  t36991 = t1829 * t35196;
  t36998 = t6469 + 0.2e2 / 0.3e1 * t13818 * t36968 + 0.3e1 * t13836 * t34150 + 0.2e1 * t13833 * t34153 + 0.12e2 * t20588 * t149 * t35196 - t6471 + t6473 - t30319 - t30327 + 0.6e1 * t4405 * t34356 - 0.2e1 / 0.3e1 * t4405 * t1829 * t36980 + 0.6e1 * t20606 * t7405 - 0.12e2 * t4402 * t34263 - 0.12e2 * t4402 * t423 * t36980 - 0.4e2 * t20580 * t36991 - 0.2e1 / 0.3e1 * t20606 * t7424 - 0.2e1 / 0.3e1 * t4405 * t34280 - t30338;
  t37017 = t1240 * t530;
  t37028 = -t30341 - 0.2e1 * t3200 * t34447 - 0.2e1 * t3200 * t34450 - 0.1e2 / 0.3e1 * t13830 * t34510 + 0.1e2 / 0.3e1 * t20868 * t10286 * t35196 - 0.2e1 * t13815 * t7140 + t30346 + 0.6e1 * t13745 * t7461 + t810 * t34208 - 0.3e1 * t13749 * t7442 - 0.3e1 * t3208 * t34078 - 0.3e1 * t3208 * t1505 * t37017 - 0.3e1 * t3221 * t34217 - 0.3e1 * t3221 * t145 * t37017 - t3236 * t7448 + t810 * t34205 + t30355 + t30366;
  t37040 = t5456 * t3550;
  t37051 = -t30372 - 0.3e1 * t13782 * t7445 - t30381 - t263 * t34304 + 0.2e1 * t3214 * t7452 + t30409 + t30412 + t30415 - t30418 - t30420 - t263 * t34354 - t806 * t34350 - t804 * t7163 + t810 * t34099 + 0.2e1 / 0.3e1 * t3200 * t410 * t37040 - t20606 * t7411 / 0.9e1 - t4405 * t34143 / 0.9e1 - t4405 * t1837 * t36980 / 0.9e1;
  t37066 = t410 * t35196;
  t37077 = 0.6e1 * t4397 * t34369 + 0.6e1 * t4397 * t149 * t36980 + 0.2e1 * t13827 * t7402 + 0.2e1 * t3202 * t34364 + t31902 - t31910 - 0.6e1 * t13916 * t423 * t18839 + t7102 - t6260 + t6262 + t7103 + t804 * t7113 / 0.2e1 + t7111 + 0.36e2 * t20580 * t37066 + 0.3e1 * t13830 * t34132 - 0.12e2 * t20868 * t36991 + t3200 * t34388 / 0.3e1 + 0.2e1 * t13916 * t34135;
  t37084 = t1240 * t3550;
  t37113 = -t13830 * t34118 / 0.18e2 - 0.1e2 * t13830 * t1829 * t18529 - t806 * t400 * t37084 - t3236 * t7159 - t806 * t34348 - t806 * t34053 + 0.4e1 / 0.3e1 * t13916 * t34164 + 0.3e1 * t13836 * t149 * t35187 + 0.2e1 * t13833 * t149 * t18839 - 0.2e1 * t13916 * t34505 - 0.1e2 * t13818 * t423 * t35187 + 0.4e1 * t13818 * t34132 + 0.2e1 * t13833 * t34157 + 0.3e1 * t20585 * t34161 - 0.2e1 * t3200 * t34252 + 0.6e1 * t13830 * t36968 + t34267 - t34268;
  t37121 = t410 * t36980;
  t37127 = t410 * t18529;
  t37130 = t1837 * t35196;
  t37137 = t34269 - t34270 + 0.2e1 * t3202 * t149 * t37040 + 0.2e1 * t20601 * t7405 + 0.2e1 * t4402 * t34356 + 0.2e1 * t4402 * t37121 + t31922 + t31924 - t31926 - t6907 + t6914 - t6916 - 0.2e2 / 0.3e1 * t13830 * t1829 * t35187 + 0.8e1 * t13818 * t37127 - 0.2e1 / 0.3e1 * t20580 * t37130 + 0.2e1 / 0.3e1 * t13815 * t7408 + 0.2e1 / 0.3e1 * t3200 * t34406 - t6501;
  t37141 = -t6507 + t6517 + t7127 - t7128 - t7129 - t6279 + t30523 - t30526 + t30536 + t30539 + t30541 - t30571 + t30572 + t30576 - t3777 - t3778 - t3782 + t3802;
  t37168 = -t31968 + t31972 + t31973 - t13830 * t1837 * t18529 / 0.6e1 + 0.2e1 * t3202 * t34403 + 0.2e1 * t4392 * t34385 + t34379 + t34398 + t34400 + t34402 - 0.4e1 * t3200 * t34122 - 0.4e1 * t3200 * t423 * t37040 + 0.6e1 * t20626 * t7399 + 0.4e1 * t13916 * t410 * t18839 - t13830 * t1837 * t35187 / 0.9e1 + 0.2e1 * t13827 * t7143 + 0.2e1 * t3202 * t34515 + 0.2e1 * t3202 * t34518;
  t37193 = t29075 - 0.4e1 * t3226 * t34088 + t13749 * t7458 / 0.18e2 + t3208 * t1566 * t37017 / 0.18e2 + t3208 * t34067 / 0.18e2 + 0.2e1 * t810 * t1862 * t37084 - 0.4e1 * t13745 * t7455 - 0.4e1 * t3226 * t396 * t37017 - t34416 - t263 * t34301 + 0.2e1 * t810 * t34210 - t3841 + t3866 + t3868 + t3873 + 0.9e1 * t13830 * t37127 - t30627 + t3214 * t7180;
  t37205 = t16690 * t35187;
  t37208 = t16690 * t18529;
  t37211 = t17682 * t35196;
  t37241 = 0.6e1 * t3226 * t34085 + 0.6e1 * t3226 * t405 * t37017 - 0.6e1 * t13836 * t16695 * t35187 - 0.4e1 * t13833 * t16695 * t18839 - 0.1e2 / 0.3e1 * t13818 * t37205 - 0.4e1 * t13818 * t37208 + 0.4e1 / 0.3e1 * t20580 * t37211 + 0.2e2 * t13818 * t16699 * t35187 + 0.12e2 * t13916 * t16699 * t18839 + 0.4e1 / 0.3e1 * t13830 * t17753 * t35187 - 0.24e2 * t20588 * t16695 * t35196 - 0.6e1 * t13836 * t16695 * t18529 - 0.2e1 * t13818 * t34320 - 0.4e1 * t13833 * t34480 - 0.6e1 * t20585 * t34483 - t13916 * t34323 + t13830 * t34325 / 0.9e1 + t13830 * t17682 * t18529 / 0.3e1;
  t37254 = t16690 * t35196;
  t37259 = t17753 * t35196;
  t37279 = -t20868 * t17918 * t62 * t35196 / 0.9e1 - 0.2e1 * t13916 * t16690 * t18839 + 0.2e1 / 0.9e1 * t13830 * t17682 * t35187 - 0.12e2 * t20859 * t37254 - 0.6e1 * t13830 * t34320 + 0.24e2 * t20868 * t37259 - t29089 - t804 * t7172 + t29106 + t34434 + 0.2e1 * t20906 * t7147 + 0.2e1 * t4392 * t34490 + 0.2e1 * t4392 * t34494 + t13815 * t7150 / 0.3e1 + t3200 * t34293 / 0.3e1 + t3200 * t34297 / 0.3e1 - 0.4e1 * t13815 * t7395 + 0.6e1 * t4405 * t37121;
  t37305 = 0.5e2 / 0.3e1 * t20868 * t37130 - t30672 - 0.12e2 * t20601 * t7421 - 0.6e1 * t13818 * t34502 - 0.3e1 * t13916 * t34257 - 0.36e2 * t20859 * t423 * t35196 - 0.12e2 * t13818 * t423 * t18529 - 0.12e2 * t13830 * t37205 + 0.4e1 * t13916 * t34317 + t34457 - 0.4e1 / 0.3e1 * t810 * t1505 * t37084 - t34462 - t29162 - t29164 - t34463 - t29168 + 0.1e2 / 0.3e1 * t3208 * t34093 - 0.4e1 / 0.3e1 * t3214 * t7438;
  t37324 = -0.4e1 / 0.3e1 * t810 * t34061 - t34464 - 0.2e1 / 0.3e1 * t810 * t34312 + 0.1e2 / 0.3e1 * t13749 * t7434 + 0.1e2 / 0.3e1 * t3208 * t1571 * t37017 - 0.2e1 / 0.3e1 * t3214 * t7154 - 0.2e1 / 0.3e1 * t810 * t34308 - t806 * t34074 - t263 * t34048 - 0.2e1 / 0.3e1 * t810 * t34172 + t31997 - t32000 - t29229 - t34465 + t34466 - t34467 - t34468 - t34469;
  t37363 = t34470 + 0.24e2 * t20859 * t37066 + 0.3e1 * t13836 * t149 * t18529 - 0.6e1 * t13836 * t34471 - 0.4e1 * t13833 * t34474 + 0.2e1 * t13830 * t17753 * t18529 - 0.4e1 / 0.3e1 * t20868 * t10286 * t62 * t35196 + 0.12e2 * t13818 * t34441 + 0.6e1 * t13916 * t34331 + 0.2e1 / 0.3e1 * t13830 * t34334 - 0.72e2 * t20580 * t37254 - 0.18e2 * t13830 * t37208 + 0.8e1 / 0.3e1 * t20868 * t37211 + 0.72e2 * t20859 * t16699 * t35196 + 0.24e2 * t13818 * t16699 * t18529 + 0.8e1 * t20580 * t37259 - 0.2e1 / 0.3e1 * t13916 * t34486 - t7170 - t34501;
  t37377 = t302 * t18442 * t884;
  t37390 = -t2632 * t32346 / 0.12e2 + t3015 * t17371 * t5219 / 0.6e1 - 0.5e1 / 0.36e2 * t4531 * t29576 * t5215 - t3015 * t17367 * t5209 / 0.12e2 - t4538 * t17526 * t5215 / 0.2e1 - 0.3e1 * t18604 * t4546 + t19135 * t4551 / 0.2e1 - t18604 * t4554 / 0.2e1 - t22 * t59 * (t36963 + t36966 + t36998 + t37028 + t37051 + t37077 + t37113 + t37137 + t37141 + t37168 + t37193 + t37241 + t37279 + t37305 + t37324 + t37363) * t96 / 0.4e1 + t610 * t5305 / 0.2e1 - t349 * t7582 / 0.4e1 - t127 * t37377 / 0.12e2 + t3908 * t890 / 0.4e1 - t162 * t3358 * t7047 / 0.4e1 - t162 * t876 * t33359 / 0.4e1 - t610 * t5631 / 0.4e1;
  t37401 = t32920 + t32942 + t32945 - t32955 + t32958 + t31196 + t12253 * t6740 / 0.12e2 - t13562 * t4757 / 0.2e1 - t32988 + t5658 * t631 / 0.4e1 - t103 * t7567 / 0.12e2 - t671 * t32413 / 0.12e2 - t35088 - t35089 - t35090 - t35093;
  t37408 = my_piecewise3(t3, 0, t36874 + t36417 + t35954 + t36210 + t35492 + t35466 + t36495 + t36571 + t36314 + t36378 + t35213 + t36681 + t36004 + t35939 + t36643 + t35167 + t36634 + t36923 + t36046 + t36815 + t35834 + t35873 + t35281 + t36741 + t35760 + t35728 + t35585 + t35907 + t36454 + t35631 + t35422 + t35974 + t35257 + t36830 + t35780 + t37390 + t36724 + t36257 + t36774 + t36408 + t36709 + t36099 + t35140 + t35321 + t36797 + t35350 + t36901 + t36140 + t36167 + t36280 + t35513 + t35691 + t35555 + t36533 + t35369 + t36565 + t36839 + t36603 + t36340 + t36941 + t35806 + t36062 + t37401 + t35667);
  tv4rhosigmalapltau0 = 0.2e1 * rho[0] * t37408 + 0.2e1 * t7602;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 0] += tv4rhosigmalapltau0;

  t37417 = t2036 * t5678;
  t37440 = -t1297 * t11670 / 0.12e2 - 0.5e1 / 0.36e2 * t5687 * t28196 + t1297 * t11689 / 0.6e1 - t866 * t548 * t37417 / 0.6e1 - t2972 * t7314 / 0.6e1 - t866 * t36834 / 0.6e1 - t866 * t32888 / 0.6e1 - t838 * t4729 / 0.6e1 - t259 * t20055 / 0.6e1 - t259 * t20017 / 0.6e1 + t2885 * t1126 / 0.2e1 - 0.3e1 * t1553 * t7868 - 0.3e1 * t509 * t5934 * t29328;
  t37452 = 0.2e1 / 0.3e1 * t31285;
  t37455 = 0.23e2 / 0.18e2 * t31287;
  t37459 = t287 * t256;
  t37461 = t1675 * t37459 * t205;
  t37469 = 0.23e2 / 0.36e2 * t5687 * t33594 + 0.23e2 / 0.36e2 * t5687 * t28323 + t854 * t4716 + t854 * t4719 + 0.3e1 / 0.2e1 * t10026 * t7865 + 0.3e1 / 0.2e1 * t1565 * t5934 * t28711 + t37452 + t26300 * t3633 / 0.2e1 + t37455 - 0.2e1 * t1677 * t5967 * t18981 + 0.14e2 / 0.3e1 * t10863 * t3931 * t37461 - 0.11e2 / 0.9e1 * t4531 * t35247 + 0.23e2 / 0.18e2 * t4531 * t35251;
  t37471 = t7650 * t122;
  t37472 = t96 * t37471;
  t37475 = t7655 * t122;
  t37476 = t96 * t37475;
  t37483 = t5958 * t205;
  t37484 = t169 * t37483;
  t37492 = t7650 * t326;
  t37496 = t5704 * t205;
  t37497 = t500 * t37496;
  t37502 = t320 * t1363 * t205;
  t37524 = -t4571 * t2294 * t37472 - t3015 * t11150 * t37476 / 0.3e1 + 0.5e1 / 0.36e2 * t4531 * t10733 * t37472 + t3015 * t2169 * t37484 / 0.12e2 - 0.3e1 / 0.2e1 * t2251 * t3221 * t400 * t37471 - t2251 * t806 * t1868 * t37492 + 0.2e1 * t10870 * t2169 * t37497 + t1677 * t3108 * t37502 / 0.2e1 + t4531 * t10775 * t37472 / 0.2e1 + 0.3e1 * t10978 * t26982 * t19388 - 0.3e1 / 0.2e1 * t4277 * t3208 * t9911 * t37471 + 0.3e1 * t2255 * t3208 * t9916 * t37471 - 0.3e1 / 0.2e1 * t2251 * t3208 * t10255 * t37471;
  t37544 = t15953 * t5960;
  t37545 = t37544 / 0.12e2;
  t37546 = t5779 * t929;
  t37551 = t1304 * t3550;
  t37556 = -0.3e1 * t4531 * t36180 - t3015 * t36938 / 0.6e1 - t3015 * t32346 / 0.6e1 - t3015 * t36935 / 0.6e1 - t13995 * t7348 / 0.6e1 + t3006 * t31428 / 0.6e1 + t3006 * t31440 / 0.6e1 + t3006 * t31435 / 0.6e1 + 0.3e1 * t21470 * t4637 + t21470 * t4640 + t37545 - t3006 * t3624 * t96 * t37546 / 0.6e1 - t3006 * t3624 * t96 * t37551 / 0.6e1;
  t37566 = t96 * t19941;
  t37569 = t22 * t27204;
  t37572 = t5779 * t205;
  t37573 = t96 * t37572;
  t37577 = t1304 * t530;
  t37578 = t96 * t37577;
  t37584 = -t3006 * t16127 * t7656 / 0.6e1 - t15406 * t7657 / 0.6e1 + 0.23e2 / 0.36e2 * t26203 * t33792 - t4531 * t2169 * t37566 + 0.6e1 * t37569 * t3939 - t2988 * t1684 * t37573 / 0.6e1 - t2988 * t1684 * t37578 / 0.6e1 + 0.3e1 / 0.2e1 * t26203 * t33945 + t27991 + t33105 + t33106 - t33107 - t33108;
  t37588 = t1289 * t205;
  t37601 = t15665 * t5972;
  t37602 = t37601 / 0.6e1;
  t37607 = t22 * t27200;
  t37615 = -t33109 - t33110 - 0.9e1 / 0.2e1 * t4277 * t5730 * t33496 + 0.8e1 * t29591 * t17992 * t4275 * t37588 + 0.3e1 / 0.2e1 * t10978 * t26270 * t7220 + t26203 * t28085 + 0.2e1 * t4571 * t35307 + t3015 * t32187 / 0.3e1 + t37602 - 0.6e1 * t2255 * t3208 * t1571 * t19941 + 0.2e1 * t37607 * t4292 - 0.5e1 / 0.18e2 * t4531 * t3935 * t37566 + 0.5e1 / 0.12e2 * t26203 * t34785;
  t37617 = t22 * t27225;
  t37626 = t21213 * t4561;
  t37629 = t31329 / 0.6e1;
  t37630 = t31334 / 0.3e1;
  t37641 = -0.35e2 / 0.108e3 * t37617 * t34782 - t26105 * t28133 / 0.2e1 + 0.5e1 / 0.18e2 * t26203 * t28136 + t26105 * t28867 / 0.6e1 - t2168 * t37626 / 0.6e1 + t37629 + t37630 - 0.2e1 * t26103 * t4268 + t26105 * t28900 / 0.3e1 + 0.2e1 * t2255 * t810 * t1505 * t19883 + t10769 * t7811 / 0.2e1 + t31366 + t33200;
  t37642 = t96 * t19883;
  t37670 = t31431 / 0.3e1;
  t37671 = 0.2e1 / 0.3e1 * t3015 * t2294 * t37642 - 0.5e1 / 0.3e1 * t26103 * t3465 - t26105 * t28894 + t3015 * t2294 * t37578 / 0.6e1 + t3015 * t2294 * t37573 / 0.6e1 - 0.5e1 * t2255 * t5733 * t17113 - t17053 * t5968 + t10930 * t5970 - 0.18e2 * t4277 * t27204 * t19444 + 0.36e2 * t2255 * t27204 * t19463 + t10480 * t7663 / 0.3e1 + t14008 * t7660 / 0.36e2 - t37670;
  t37686 = 0.5e1 / 0.18e2 * t31485;
  t37687 = t31487 / 0.6e1;
  t37688 = t31491 / 0.3e1;
  t37690 = t31493 / 0.3e1;
  t37691 = 0.11e2 / 0.9e1 * t31495;
  t37692 = 0.3e1 * t1566 * t19941 * t3208 * t4277 + t15274 * t4762 - 0.2e1 * t21470 * t4760 - t21519 * t4592 - t21519 * t4652 + 0.2e1 * t21686 * t4650 + t7663 * t9731 + t31489 - t37686 - t37687 + t37688 - t37690 - t37691;
  t37693 = 0.2e1 * t31497;
  t37694 = 0.2e1 / 0.3e1 * t31498;
  t37698 = t31513 / 0.6e1;
  t37699 = t31515 / 0.6e1;
  t37700 = t31527 / 0.3e1;
  t37701 = t31532 / 0.3e1;
  t37720 = t37693 + t37694 - t2988 * t1684 * t37642 / 0.3e1 - t37698 - t37699 - t37700 - t37701 + 0.11e2 / 0.18e2 * t4531 * t10936 * t37472 - 0.23e2 / 0.36e2 * t4531 * t10733 * t500 * t37471 - 0.6e1 * t2265 * t26982 * t18660 + 0.3e1 * t1677 * t26982 * t18665 + 0.2e1 * t2265 * t5967 * t18848 + 0.2e1 * t4571 * t35232;
  t37739 = t7638 * t122;
  t37744 = t7638 * t326;
  t37758 = t2251 * t3775 * t5982;
  t37759 = t37758 / 0.2e1;
  t37761 = t2251 * t942 * t5986;
  t37762 = t37761 / 0.2e1;
  t37763 = t3015 * t32587 / 0.3e1 - 0.2e1 / 0.3e1 * t1297 * t11955 + 0.2e1 / 0.3e1 * t866 * t19746 - t259 * t19674 / 0.6e1 - t4538 * t2162 * t37566 - 0.2e1 * t2251 * t810 * t1862 * t19883 + 0.5e1 * t2251 * t5733 * t3477 + t2251 * t806 * t400 * t37739 / 0.2e1 + t2251 * t263 * t1868 * t37744 / 0.2e1 - t9737 * t2169 * t500 * t256 * t7638 / 0.3e1 - t1677 * t3190 * t7786 / 0.4e1 + t37759 + t37762;
  t37764 = t908 * t1304;
  t37766 = t2169 * t500 * t37764;
  t37767 = t9737 * t37766;
  t37768 = t37767 / 0.3e1;
  t37770 = t1677 * t15502 * t1364;
  t37771 = t37770 / 0.4e1;
  t37772 = t31554 / 0.18e2;
  t37773 = t31559 / 0.6e1;
  t37774 = t31571 / 0.6e1;
  t37775 = -t37768 - t37771 - t37772 + t37773 - t37774 + t33381 - t33382 + t33383 + t28147 + t33384 - t33385 - t33386 + t33387;
  t37784 = t302 * t2036 * t5901;
  t37812 = t33388 + t610 * t5907 / 0.4e1 + 0.3e1 / 0.2e1 * t162 * t5934 * t27966 - t127 * t37784 / 0.12e2 + 0.3e1 / 0.2e1 * t349 * t7828 - t25879 * t6979 / 0.6e1 - 0.3e1 * t349 * t7801 - 0.4e1 * t10870 * t21213 * t19931 + 0.14e2 / 0.3e1 * t10863 * t35287 * t19931 + 0.6e1 * t2255 * t3226 * t396 * t19941 - 0.6e1 * t2255 * t5733 * t2259 - t10769 * t7669 / 0.2e1 + t2255 * t810 * t1505 * t37572 / 0.2e1;
  t37819 = t1505 * t7650;
  t37831 = t26615 * t539;
  t37832 = t302 * t37831;
  t37841 = t2057 * t1970 * t26211;
  t37844 = t2255 * t810 * t1505 * t37577 / 0.2e1 + t10809 * t7665 / 0.2e1 + t2255 * t3214 * t37819 / 0.2e1 + t1677 * t27088 * t1065 + t1677 * t27092 * t1065 + t1677 * t5967 * t3557 + t33390 - t208 * t26617 / 0.12e2 + t538 * t37832 / 0.6e1 + t208 * t27068 / 0.12e2 - t1972 * t6029 / 0.2e1 + t1972 * t6027 - 0.3e1 / 0.2e1 * t15539 * t37841;
  t37853 = t31594 / 0.3e1;
  t37854 = t21337 * t4561;
  t37889 = -0.24e2 * t26016 * t19542 + 0.32e2 / 0.3e1 * t26020 * t18660 - 0.4e1 * t5761 * t16984 + 0.12e2 * t26020 * t18665 - 0.4e1 / 0.3e1 * t5761 * t16976 - 0.8e1 * t5761 * t18981 + 0.12e2 * t26036 * t18552 + 0.4e1 * t5758 * t18548 - 0.8e1 * t26016 * t19330 - 0.8e1 / 0.3e1 * t5761 * t18848 + 0.16e2 / 0.9e1 * t26020 * t19388 + 0.4e1 * t5758 * t15474 + 0.4e1 * t5764 * t15470;
  t37904 = -t28745 + t28748 - t28772 + t28780 - 0.4e1 * t4661 - 0.4e1 * t26028 * t1057 - 0.4e1 * t5758 * t3513 + 0.4e1 / 0.3e1 * t26013 * t1052 + 0.4e1 / 0.3e1 * t5761 * t3680 - 0.2e1 * t26031 * t990 + 0.4e1 / 0.3e1 * t4603 - 0.2e1 / 0.3e1 * t4551 + 0.24e2 * t4546;
  t37926 = 0.4e1 * t1057 * t26002 - 0.4e1 * t1065 * t25991 + 0.4e1 * t1065 * t26013 + 0.4e1 * t3513 * t5771 + 0.4e1 * t3557 * t5761 - 0.4e1 * t3557 * t5776 + 0.2e1 * t818 * t990 + 0.4e1 * t4554 - 0.12e2 * t4557 - 0.12e2 * t4637 - 0.4e1 * t4640 - 0.4e1 * t4658 + 0.8e1 * t4760;
  t37938 = -t6237 + t6225 + t28794 + t28797 + t28799 - t28828 - 0.2e1 * t5764 * t3552 + 0.2e2 / 0.9e1 * t4599 - 0.4e1 * t4647 - 0.4e1 / 0.3e1 * t4650 + 0.2e1 * t265 * t3552 + 0.2e1 / 0.3e1 * t16321 * t5752 + 0.2e1 / 0.3e1 * t3547 * t6021;
  t37940 = t37889 + t37904 + t37926 + t37938;
  t37950 = -t1972 * t6022 + 0.6e1 * t21686 * t4647 - 0.6e1 * t21470 * t4546 + t21686 * t4551 - t21470 * t4554 + t37853 - t2168 * t37854 / 0.3e1 - 0.5e1 / 0.36e2 * t5687 * t33858 - 0.5e1 / 0.36e2 * t5687 * t29341 - t5694 * t4002 / 0.2e1 + t259 * t490 * t303 * t95 * t37940 / 0.12e2 + t5701 * t4009 / 0.2e1 + t5701 * t3716 / 0.2e1;
  t37968 = t31611 / 0.2e1;
  t37969 = t1297 * t28723 / 0.6e1 + t1297 * t28726 / 0.6e1 + t610 * t5883 / 0.2e1 - t610 * t5874 + 0.3e1 / 0.2e1 * t610 * t5879 - t2902 * t1114 / 0.6e1 + t2010 * t1356 / 0.6e1 + t25864 * t1010 / 0.3e1 + t3006 * t32480 / 0.6e1 - t33418 + t33419 + t33420 + t37968;
  t37974 = t31615 / 0.2e1;
  t37975 = t31619 / 0.3e1;
  t37976 = t31631 / 0.3e1;
  t37977 = t31638 / 0.3e1;
  t37996 = t37974 + t37975 - t37976 - t37977 - 0.11e2 / 0.9e1 * t4531 * t3931 * t37566 + t5701 * t4208 + 0.7e1 / 0.9e1 * t25879 * t6982 + t6146 * t6328 / 0.18e2 - t5687 * t34028 / 0.2e1 - t5687 * t28056 / 0.2e1 + 0.7e1 / 0.3e1 * t5687 * t34025 + 0.7e1 / 0.3e1 * t5687 * t10691 - t2972 * t7507 / 0.3e1;
  t38014 = t1386 * t122;
  t38015 = t169 * t38014;
  t38016 = t2182 * t38015;
  t38020 = t2175 * t1675 * t38014;
  t38023 = t1386 * t332;
  t38024 = t38023 * t544;
  t38031 = -t866 * t36904 / 0.3e1 - t866 * t32382 / 0.3e1 + 0.2e1 / 0.3e1 * t2972 * t7511 + 0.2e1 / 0.3e1 * t866 * t21073 + 0.2e1 / 0.3e1 * t866 * t20548 - 0.3e1 / 0.2e1 * t5687 * t10695 - 0.3e1 / 0.2e1 * t5687 * t11768 - t4531 * t35752 + t14122 * t6740 / 0.18e2 - t2168 * t38016 / 0.6e1 + t2168 * t38020 / 0.3e1 - t2265 * t38024 * t622 / 0.2e1 + t1677 * t38024 * t645 / 0.2e1;
  t38033 = t500 * t37588;
  t38043 = t31665 / 0.2e1;
  t38048 = t372 * t7782;
  t38049 = t38048 / 0.12e2;
  t38052 = 0.47e2 / 0.3e1 * t29591 * t10733 * t38033 + 0.3e1 / 0.2e1 * t1677 * t26270 * t7197 - t10930 * t6173 - t10930 * t6176 / 0.2e1 + t33485 - t33489 - t33490 + t33491 - t31661 - t38043 + t2255 * t810 * t1505 * t37739 / 0.2e1 - t38049 + 0.2e1 / 0.9e1 * t3057 * t7511;
  t38065 = t1675 * t37459;
  t38069 = t31673 / 0.18e2;
  t38070 = t31675 / 0.9e1;
  t38071 = -t25879 * t7214 / 0.2e1 - t3057 * t7507 / 0.9e1 + t372 * t7894 / 0.6e1 + t372 * t7891 / 0.2e1 - t372 * t7889 / 0.3e1 - t372 * t7787 / 0.12e2 - t33507 - t33508 + t33509 + t33510 + 0.2e1 / 0.3e1 * t9737 * t17367 * t38065 - t38069 - t38070;
  t38074 = 0.2e1 / 0.9e1 * t31681;
  t38075 = 0.2e1 / 0.3e1 * t31685;
  t38088 = t548 * t4699 * t3307;
  t38095 = t3443 * t1307;
  t38096 = t38095 / 0.36e2;
  t38098 = t2251 * t3780 * t5711;
  t38099 = t38098 / 0.2e1;
  t38100 = t38074 + t38075 - t31711 + t31713 - 0.6e1 * t2251 * t3226 * t405 * t19941 + 0.6e1 * t2251 * t5733 * t4309 + t1292 * t2042 / 0.6e1 + t5701 * t3650 / 0.2e1 + 0.2e1 / 0.3e1 * t1941 * t38088 + t4701 * t881 / 0.2e1 + t372 * t7828 / 0.2e1 + t38096 - t38099;
  t38114 = t1289 * t929;
  t38115 = t500 * t38114;
  t38116 = t10936 * t38115;
  t38137 = -0.6e1 * t2251 * t27200 * t4254 - 0.3e1 / 0.2e1 * t2251 * t5744 * t4312 + 0.3e1 * t2251 * t3221 * t145 * t19941 + 0.3e1 * t2251 * t1323 * t28877 - 0.14e2 / 0.3e1 * t10863 * t38116 - t1677 * t25949 * t6187 + t33550 + t33551 + t2251 * t804 * t7810 / 0.2e1 + t2251 * t263 * t1868 * t37546 / 0.2e1 + t2251 * t263 * t1868 * t37551 / 0.2e1 - t9731 * t7814 / 0.2e1 - t1677 * t26440 * t990 / 0.2e1;
  t38150 = t96 * t37492;
  t38156 = -t1677 * t26327 * t990 / 0.2e1 - t3015 * t10775 * t37476 / 0.6e1 - t3006 * t3624 * t169 * t5958 * t929 / 0.6e1 - t3015 * t10775 * t38150 / 0.4e1 - t33560 - t33561 - t33562 - t33563 - t33566 + t33567 - t33568 + t33569 + t854 * t4709 / 0.2e1;
  t38179 = t854 * t4713 / 0.2e1 - t854 * t4687 / 0.2e1 - t854 * t4690 / 0.2e1 - t533 * t6037 / 0.6e1 - t208 * t26662 / 0.6e1 - t208 * t26657 / 0.6e1 - t854 * t4737 - t854 * t4682 - t2885 * t1114 / 0.2e1 + t1553 * t7902 + t509 * t5894 * t28556 - t2885 * t1111 + t610 * t6016 / 0.2e1;
  t38188 = t32073 / 0.6e1;
  t38192 = t21610 * t19920;
  t38196 = 0.6e1 * t32090;
  t38199 = 0.3e1 * t1553 * t7899 + 0.3e1 * t509 * t5912 * t3680 - t3410 + t3430 - t3445 + t3460 - t38188 - t15274 * t4748 / 0.2e1 + t21470 * t4661 - 0.2e1 / 0.3e1 * t9737 * t38192 + t21470 * t4658 - t38196 - t2902 * t1111 / 0.3e1;
  t38206 = t608 * t26211;
  t38207 = t2233 * t38206;
  t38214 = t548 * t38206;
  t38224 = t843 * t7619 / 0.36e2 - t372 * t7801 - t4701 * t877 / 0.2e1 - t4701 * t873 + 0.7e1 / 0.3e1 * t15539 * t38207 + t610 * t5898 / 0.2e1 - t610 * t5895 + t610 * t5870 - 0.2e1 * t15553 * t38214 - t610 * t5887 / 0.2e1 + t1529 * t7899 - t5694 * t3730 / 0.2e1 - t1292 * t3734 / 0.6e1;
  t38228 = t548 * t37831;
  t38231 = t32122 / 0.6e1;
  t38232 = t32124 / 0.6e1;
  t38233 = t32126 / 0.3e1;
  t38247 = -t1292 * t3739 / 0.6e1 - t546 * t38228 / 0.12e2 - t38231 + t38232 + t38233 - t33697 - t33702 - 0.18e2 * t2255 * t27195 * t18961 + 0.11e2 / 0.6e1 * t26203 * t35013 - 0.11e2 / 0.18e2 * t26203 * t33504 - 0.4e1 * t4571 * t19943 + 0.4e1 * t26103 * t4264 + t17046 * t5706 / 0.2e1;
  t38251 = t2255 * t3780 * t26402;
  t38252 = t38251 / 0.2e1;
  t38260 = t10733 * t1556 * t38114;
  t38265 = t555 * t37831;
  t38269 = t548 * t6134 * t539;
  t38279 = -t17049 * t5712 / 0.2e1 + t38252 + t14127 * t7357 / 0.9e1 - t10480 * t7817 / 0.3e1 - t10480 * t7814 / 0.6e1 + 0.3e1 * t10863 * t38260 + t2265 * t25949 * t6313 - t546 * t38265 / 0.6e1 + t546 * t38269 / 0.3e1 - t26906 * t623 / 0.2e1 + t6136 * t646 / 0.2e1 + 0.3e1 / 0.2e1 * t11870 * t5940 + t4701 * t862;
  t38309 = -t21291 * t859 - 0.3e1 * t1972 * t5943 + 0.3e1 / 0.2e1 * t610 * t5935 + 0.3e1 * t1972 * t6024 - 0.3e1 * t610 * t5913 - 0.11e2 / 0.18e2 * t5687 * t33599 - 0.11e2 / 0.18e2 * t5687 * t28348 + t5701 * t3755 - 0.2e1 * t5701 * t4203 - 0.2e1 * t5701 * t3664 - 0.18e2 * t2255 * t27225 * t33257 + 0.6e1 * t2251 * t27225 * t33261 + 0.9e1 * t2255 * t5730 * t33188;
  t38310 = t1556 * t37588;
  t38324 = 0.6e1 * t32211;
  t38325 = 0.2e1 * t32214;
  t38326 = 0.3e1 * t32234;
  t38327 = 0.2e1 * t32237;
  t38328 = 0.4e1 * t32240;
  t38332 = -0.62e2 / 0.3e1 * t29591 * t18027 * t38310 - 0.3e1 * t2265 * t26270 * t7202 + 0.23e2 / 0.18e2 * t4531 * t3935 * t19942 - 0.61e2 / 0.27e2 * t37617 * t34863 + 0.44e2 / 0.27e2 * t37617 * t34868 - t32184 - t38324 - t38325 - t32229 - t38326 + t38327 - t38328 - t2255 * t810 * t10255 * t37475;
  t38370 = t2251 * t810 * t10245 * t37475 + t2265 * t5967 * t16976 - t3006 * t32731 / 0.3e1 + t3015 * t32914 / 0.6e1 - 0.3e1 * t2255 * t3226 * t1505 * t37471 + 0.3e1 * t2251 * t3226 * t1862 * t37471 + t3015 * t36273 / 0.3e1 - 0.5e1 / 0.18e2 * t4531 * t36809 + t4538 * t1684 * t37472 / 0.2e1 + t2988 * t3624 * t38150 / 0.3e1 - t4571 * t2169 * t37472 / 0.2e1 - t2988 * t1684 * t37484 / 0.6e1 + t2988 * t3624 * t37476 / 0.3e1;
  t38371 = t7655 * t326;
  t38399 = t2162 * t38015;
  t38404 = t3006 * t15648 * t96 * t38371 / 0.2e1 + t1297 * t28685 / 0.3e1 + t1297 * t28688 / 0.3e1 + t3030 * t7309 / 0.3e1 + t894 * t35310 / 0.3e1 + t6146 * t6332 / 0.9e1 - 0.2e1 / 0.9e1 * t6146 * t6336 - t3057 * t7314 / 0.18e2 - t843 * t4729 / 0.18e2 - 0.11e2 / 0.54e2 * t25879 * t7226 - 0.2e1 / 0.3e1 * t25864 * t1016 - t866 * t555 * t37417 / 0.3e1 + t2161 * t38399 / 0.6e1 + t2179 * t25943 / 0.12e2;
  t38410 = t2175 * t38015;
  t38435 = t911 * t6107;
  t38436 = t38435 / 0.12e2;
  t38437 = t911 * t6112;
  t38438 = t38437 / 0.12e2;
  t38445 = -t2168 * t38410 / 0.12e2 - t1677 * t25936 * t536 * t636 / 0.2e1 + t1297 * t12213 / 0.3e1 + t838 * t7619 / 0.12e2 + t259 * t490 * t11659 * t1305 / 0.12e2 + t259 * t490 * t2036 * t6110 / 0.12e2 + t838 * t7641 / 0.12e2 + t259 * t490 * t1726 * t7639 / 0.12e2 + t38436 + t38438 + t894 * t31690 / 0.3e1 + t838 * t6855 / 0.6e1 + t259 * t32755 / 0.6e1;
  t38454 = t25936 * t206;
  t38458 = t259 * t32747 / 0.6e1 - 0.2e1 / 0.3e1 * t1297 * t28692 - 0.2e1 / 0.3e1 * t1297 * t27985 - t33928 - t33930 - t32296 + t32299 + 0.11e2 / 0.9e1 * t26203 * t28897 - t913 + t984 - t32334 + t33978 - t1677 * t38454 * t328 / 0.4e1;
  t38487 = t17049 * t5983 / 0.2e1 + t17049 * t5987 / 0.2e1 - t9737 * t17371 * t25841 / 0.3e1 - t10930 * t5990 / 0.4e1 - t1677 * t6175 * t3552 / 0.2e1 - t9731 * t7817 - t1677 * t26826 * t1057 - t1677 * t26323 * t1057 - t1677 * t6172 * t3513 + t15227 * t7357 / 0.3e1 + t2988 * t36543 / 0.3e1 - 0.3e1 * t4277 * t5730 * t28458 - t15274 * t4643;
  t38488 = t2169 * t38115;
  t38517 = 0.1e2 / 0.3e1 * t10870 * t38488 + t1677 * t26091 * t990 / 0.2e1 + t2251 * t806 * t400 * t19883 - 0.3e1 / 0.2e1 * t2251 * t5744 * t3637 - t2251 * t1319 * t3641 + t3015 * t11202 * t7651 / 0.6e1 + t13995 * t7672 / 0.6e1 + t3052 * t7309 / 0.9e1 + t1529 * t7902 / 0.3e1 - 0.3e1 * t162 * t5912 * t3557 - t14165 * t1108 - t2897 * t4512 - t2897 * t4669;
  t38544 = t1648 * t8827 * t205;
  t38551 = t2885 * t1117 - t208 * t26420 / 0.12e2 - t208 * t26621 / 0.12e2 - t533 * t5903 / 0.12e2 - t1297 * t12216 / 0.6e1 + t6136 * t627 / 0.4e1 - t6136 * t637 / 0.2e1 - t6136 * t641 / 0.4e1 - 0.3e1 / 0.2e1 * t2255 * t810 * t10255 * t37492 + 0.3e1 / 0.2e1 * t10863 * t10733 * t1556 * t37496 + t2265 * t3012 * t38544 / 0.2e1 - t1529 * t7868 + t9774 * t7865 / 0.2e1;
  t38557 = t302 * t19672 * t884;
  t38562 = 0.3e1 * t32339;
  t38563 = t1032 * t802;
  t38580 = t965 * t802;
  t38588 = 0.12e2 * t3226 * t405 * t38563 - 0.12e2 * t5733 * t4116 - 0.6e1 * t3208 * t1505 * t38563 + 0.9e1 * t5730 * t34081 + 0.4e1 * t1323 * t29208 - 0.6e1 * t1323 * t28970 - 0.2e2 / 0.3e1 * t5730 * t29173 - 0.8e1 / 0.3e1 * t810 * t1505 * t38580 + 0.2e2 / 0.3e1 * t5733 * t3787 - 0.1e2 * t5733 * t3799 + t34106 + t34107 - t34108 + t34109 + t34110;
  t38589 = 0.6e1 * t31756;
  t38590 = 0.2e1 * t31759;
  t38591 = 0.8e1 * t31760;
  t38592 = 0.8e1 / 0.3e1 * t31772;
  t38593 = t31774 / 0.9e1;
  t38594 = 0.4e1 * t31788;
  t38595 = 0.2e2 / 0.3e1 * t31790;
  t38596 = 0.2e1 / 0.3e1 * t31795;
  t38598 = -t3236 * t7711 + t34111 + t34114 - t34115 + t34116 + t34117 - t38589 - t38590 - t38591 - t38592 + t38593 + t38594 + t38595 - t38596 + t943;
  t38604 = 0.4e1 * t31819;
  t38605 = 0.4e1 * t31821;
  t38611 = t3851 * t1304;
  t38615 = t1032 * t5779;
  t38622 = t942 * t5825;
  t38631 = -t804 * t7704 - t263 * t1868 * t5780 * t929 + t38604 - t38605 - t263 * t1868 * t1336 * t3550 - 0.2e1 / 0.3e1 * t3214 * t7706 - 0.2e1 / 0.3e1 * t810 * t1505 * t38611 - 0.2e1 / 0.3e1 * t810 * t1505 * t38615 - 0.4e1 * t1323 * t29170 - t804 * t7732 - t38622 + 0.6e1 * t5744 * t3810 + 0.2e1 * t1319 * t3784 + 0.2e1 * t5733 * t3820 + 0.2e1 / 0.3e1 * t1323 * t28951;
  t38643 = t3780 * t5831;
  t38644 = t7721 * t122;
  t38657 = t3775 * t5800;
  t38658 = t942 * t5803;
  t38659 = t3780 * t5791;
  t38660 = 0.2e1 / 0.3e1 * t38659;
  t38661 = -t806 * t400 * t38615 - t806 * t400 * t38611 + 0.4e1 * t810 * t1862 * t38580 + 0.6e1 * t5730 * t29056 - 0.36e2 * t27195 * t4090 + t38643 + t810 * t1862 * t38644 + 0.36e2 * t27204 * t4076 - 0.12e2 * t27225 * t34167 - 0.4e2 * t27204 * t4102 + 0.1e2 / 0.3e1 * t27225 * t34225 + 0.5e2 / 0.3e1 * t27225 * t34200 - t38657 - t38658 - t38660;
  t38666 = 0.24e2 * t31880;
  t38667 = 0.8e1 * t31882;
  t38668 = 0.12e2 * t31884;
  t38669 = 0.4e1 * t31886;
  t38670 = t942 * t5781;
  t38671 = t38670 / 0.2e1;
  t38676 = t27130 * t205;
  t38680 = t5836 * t530;
  t38684 = -t5730 * t29211 / 0.9e1 - t38666 - t38667 + t38668 + t38669 - t962 + t34228 + t38671 + t7690 - t7691 + t7692 + 0.2e1 * t20906 * t7757 + 0.2e1 * t13827 * t7753 + 0.2e1 * t3202 * t149 * t38676 + 0.2e1 * t3202 * t149 * t38680;
  t38685 = 0.12e2 * t31901;
  t38686 = 0.4e1 / 0.3e1 * t31909;
  t38693 = t5729 * t17603;
  t38698 = t410 * t37471;
  t38701 = t62 * t7638;
  t38702 = t38701 * t122;
  t38706 = t27224 * t17816;
  t38713 = t38685 - t38686 + t7102 - t6260 + t6262 + t7103 - 0.2e1 * t3200 * t423 * t38676 - 0.2e1 * t3200 * t423 * t38680 - 0.72e2 * t38693 * t4159 - 0.12e2 * t27156 * t3769 + 0.3e1 * t13830 * t38698 - 0.2e1 * t3200 * t423 * t38702 + 0.24e2 * t38706 * t4172 + 0.8e1 / 0.3e1 * t38706 * t4167 - 0.2e1 * t13815 * t7760;
  t38715 = t4143 * t802;
  t38719 = t1322 * t17651;
  t38733 = t16722 * t5848;
  t38734 = 0.2e1 * t38733;
  t38738 = t410 * t38715;
  t38741 = -0.24e2 * t4402 * t423 * t38715 + 0.72e2 * t38719 * t4179 + 0.24e2 * t27117 * t4145 + 0.8e1 * t38693 * t4172 - 0.4e1 / 0.3e1 * t4405 * t1829 * t38715 + 0.2e1 * t27156 * t34260 - 0.4e1 / 0.3e1 * t38706 * t34497 - t38734 - 0.2e1 * t13916 * t423 * t37475 + t34267 - t34268 + t34269 - t34270 + t7720 + 0.12e2 * t4405 * t38738;
  t38757 = 0.4e1 * t31921;
  t38758 = 0.4e1 / 0.3e1 * t31923;
  t38759 = 0.2e1 / 0.9e1 * t31925;
  t38760 = -0.18e2 * t27156 * t4162 - 0.6e1 * t13818 * t423 * t37471 - 0.3e1 * t13916 * t423 * t37492 - 0.1e2 / 0.3e1 * t13830 * t1829 * t37471 + 0.2e1 * t4392 * t149 * t5836 * t3550 + t38757 + t38758 - t38759 - t7745 - t7746 + t7747 - t7748 + t7127 - t7128 - t7129;
  t38769 = 0.2e1 * t31968;
  t38770 = 0.4e1 / 0.3e1 * t31971;
  t38771 = 0.2e1 * t31973;
  t38778 = t1318 * t17646;
  t38785 = -t6279 - t5730 * t28982 / 0.9e1 - t3777 - t3778 - t3782 + t3802 + 0.4e1 * t13916 * t16699 * t37475 - t38769 + t38770 + t38771 + 0.4e1 / 0.3e1 * t13916 * t410 * t37475 + 0.12e2 * t4397 * t149 * t38715 - 0.24e2 * t38778 * t4151 + 0.4e1 * t4402 * t38738 - 0.4e1 * t27117 * t4162;
  t38788 = t3758 * t802;
  t38792 = t1322 * t11515;
  t38820 = t16739 * t5838;
  t38821 = 0.2e1 * t38820;
  t38825 = t28923 * t5842;
  t38826 = 0.2e1 * t38825;
  t38827 = 0.4e1 / 0.3e1 * t38693 * t4167 + 0.4e1 / 0.3e1 * t3200 * t410 * t38788 - 0.2e1 * t38792 * t28934 + 0.2e1 / 0.9e1 * t27156 * t28937 - 0.2e1 / 0.9e1 * t4405 * t1837 * t38715 + t13815 * t7750 / 0.3e1 + t3200 * t410 * t38676 / 0.3e1 + t3200 * t410 * t38680 / 0.3e1 + t263 * t400 * t60 * t37940 / 0.2e1 + 0.4e1 * t13818 * t38698 + 0.2e1 * t13916 * t410 * t37492 - t13830 * t1837 * t37471 / 0.18e2 + t38821 + 0.2e1 * t3202 * t149 * t38702 + t38826;
  t38846 = t29075 - t34416 + t804 * t7722 / 0.2e1 - t3841 - 0.4e1 / 0.3e1 * t1323 * t29123 + 0.2e1 * t1323 * t29141 + t3866 + t3868 + t3873 - 0.3e1 * t5744 * t3869 - t1319 * t3848 - 0.4e1 * t5733 * t3861 + t5730 * t29132 / 0.18e2 + 0.1e2 / 0.3e1 * t5730 * t29137 - 0.6e1 * t27359 * t4154;
  t38874 = t1318 * t11508;
  t38879 = -0.12e2 * t38719 * t4159 + 0.4e1 * t3202 * t149 * t38788 - 0.6e1 * t27359 * t3760 + 0.6e1 * t5733 * t3852 - 0.3e1 * t5730 * t29101 - t29089 + t29106 + t34434 - t806 * t400 * t38644 - t263 * t1868 * t7721 * t326 + 0.2e1 * t4392 * t149 * t38701 * t326 + t3200 * t410 * t38702 / 0.3e1 + 0.2e1 * t4392 * t149 * t27130 * t929 - 0.4e1 * t38874 * t3766 - 0.1e2 / 0.3e1 * t27117 * t3769;
  t38909 = t16690 * t37471;
  t38923 = -0.8e1 * t3200 * t423 * t38788 + 0.2e2 * t27117 * t3772 + 0.12e2 * t38792 * t28912 + 0.4e1 / 0.3e1 * t27156 * t28915 + 0.3e1 * t13836 * t149 * t37471 + 0.2e1 * t13833 * t149 * t37492 + 0.2e1 * t13833 * t149 * t37475 + 0.3e1 * t20585 * t149 * t38371 + 0.12e2 * t13818 * t16699 * t37471 + 0.6e1 * t13916 * t16699 * t37492 - 0.6e1 * t13830 * t38909 - 0.2e1 * t13818 * t38909 - 0.4e1 * t13833 * t16695 * t37475 - 0.6e1 * t20585 * t16695 * t38371 - 0.2e1 / 0.3e1 * t13916 * t16690 * t37475;
  t38948 = -0.6e1 * t13836 * t16695 * t37471 - 0.4e1 * t13833 * t16695 * t37492 + 0.2e1 / 0.3e1 * t13830 * t17753 * t37471 - t13916 * t16690 * t37492 + t13830 * t17682 * t37471 / 0.9e1 - t38706 * t34394 / 0.9e1 + t27156 * t34391 / 0.3e1 + t34457 - t34462 - t29162 - t29164 - t34463 + 0.12e2 * t27200 * t4109 + 0.3e1 * t5744 * t4112 + 0.24e2 * t27195 * t4083;
  t38982 = -t29168 - t34464 + 0.3e1 * t5744 * t3836 + 0.2e1 * t1319 * t3807 - 0.8e1 * t3226 * t396 * t38563 - 0.6e1 * t3221 * t145 * t38563 + t810 * t1862 * t38611 + 0.8e1 * t5733 * t4106 - 0.2e1 / 0.3e1 * t27204 * t4119 + t3208 * t1566 * t38563 / 0.9e1 - t5730 * t34070 / 0.6e1 + 0.2e2 / 0.3e1 * t3208 * t1571 * t38563 - 0.1e2 * t5730 * t34096 - 0.2e1 * t806 * t400 * t38580 - t263 * t400 * t63 * t37940;
  t38985 = 0.12e2 * t31996;
  t38988 = 0.6e1 * t31999;
  t38994 = t16722 * t5845;
  t38995 = t38994 / 0.3e1;
  t38999 = -0.12e2 * t5733 * t3831 + t38985 - 0.2e1 / 0.3e1 * t5730 * t28955 - t38988 + 0.6e1 * t5730 * t29153 + t3214 * t7701 + t810 * t1862 * t38615 - t29229 - t34465 + t34466 - t34467 - t34468 - t34469 + t34470 + t38995 - 0.2e1 / 0.3e1 * t810 * t1505 * t38644;
  t39020 = t96 * t37739;
  t39024 = t2902 * t1117 / 0.3e1 - t14664 * t1108 / 0.3e1 - t127 * t38557 / 0.6e1 + t4701 * t890 / 0.2e1 + t38562 - t22 * t59 * (t38588 + t38598 + t38631 + t38661 + t38684 + t38713 + t38741 + t38760 + t38785 + t38827 + t38846 + t38879 + t38923 + t38948 + t38982 + t38999) * t96 / 0.4e1 + t7617 - t22 * t4431 * t288 / 0.2e1 - 0.3e1 * t10863 * t35122 * t21156 - t14008 * t7676 / 0.9e1 + t14008 * t7672 / 0.18e2 - t10923 * t7669 / 0.6e1 + t3015 * t2169 * t39020 / 0.12e2;
  t39033 = t22 * t27195;
  t39060 = t3006 * t1684 * t169 * t193 * t7638 / 0.12e2 + t4571 * t2175 * t37566 - 0.3e1 * t39033 * t3920 + t3006 * t10925 * t5959 / 0.12e2 - t2988 * t1684 * t39020 / 0.6e1 - t3006 * t3624 * t96 * t37744 / 0.6e1 - t525 * t6037 / 0.18e2 - t6149 * t932 / 0.18e2 - t26175 * t1002 / 0.6e1 - 0.5e1 / 0.108e3 * t25879 * t7023 + t2902 * t1126 / 0.6e1 + t1297 * t11944 / 0.3e1 + 0.23e2 / 0.36e2 * t5687 * t28029;
  t39072 = t3489 - t3491 - t34549 - t34550 + t34551 + t34552 + t34553 + t34554 - t1292 * t2038 / 0.6e1 + t25864 * t1005 / 0.6e1 + t843 * t7641 / 0.36e2 + t894 * t302 * t37417 / 0.3e1 - t5694 * t3655 / 0.2e1;
  t39108 = -t866 * t32413 / 0.6e1 + t894 * t32416 / 0.3e1 + t10769 * t7807 / 0.2e1 + t2251 * t3236 * t7806 / 0.2e1 + t2251 * t806 * t400 * t37572 / 0.2e1 + t2251 * t806 * t400 * t37577 / 0.2e1 + 0.3e1 * t2251 * t3208 * t1505 * t19941 - 0.18e2 * t2251 * t27204 * t4271 - 0.9e1 / 0.2e1 * t2251 * t5730 * t33952 + t610 * t5891 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t5878 * t3513 + t3586 - t3589;
  t39112 = t32430 / 0.2e1;
  t39113 = 0.18e2 * t2251 * t27195 * t4286 + t34604 - t34607 - t34608 - t34609 - t34610 + t34611 + t34612 + t34613 - t34614 + t34616 + t39112 + t7649;
  t39141 = t6146 * t1967 / 0.9e1 - t843 * t4744 / 0.18e2 + t27849 * t223 / 0.12e2 - t525 * t6131 / 0.36e2 - t12075 * t1352 / 0.6e1 - t1297 * t11912 / 0.12e2 - t1297 * t12047 / 0.6e1 + t1292 * t1999 / 0.6e1 + t1297 * t11920 / 0.3e1 - t259 * t21083 / 0.6e1 + t6136 * t631 / 0.4e1 - t838 * t4744 / 0.6e1 + t26802 * t223 / 0.4e1;
  t39160 = t32451 + t1677 * t6172 * t18548 - 0.4e1 * t10870 * t2175 * t37461 + t1677 * t6172 * t15474 - t3603 - t3605 + t3607 + t3612 - 0.38e2 / 0.9e1 * t37617 * t33808 - t2988 * t9743 * t7651 / 0.6e1 - t15227 * t7652 / 0.6e1 + t843 * t6855 / 0.18e2 + 0.23e2 / 0.108e3 * t25879 * t6976;
  t39188 = -t5687 * t29437 / 0.2e1 - 0.11e2 / 0.18e2 * t5687 * t28179 + t5701 * t3566 - t866 * t32822 / 0.3e1 + t349 * t7894 / 0.2e1 - t349 * t7889 - t162 * t5894 * t28681 + 0.3e1 / 0.2e1 * t349 * t7891 - t162 * t3358 * t7786 / 0.4e1 - t1677 * t5967 * t16984 + 0.6e1 * t2265 * t27520 * t19330 - 0.6e1 * t1677 * t27520 * t19542 + t7097;
  t39195 = 0.4e1 / 0.3e1 * t32477;
  t39198 = t7098 + t34659 - t34660 + t34661 - t34662 - t34663 - t34664 - t34665 - t2010 * t1360 / 0.6e1 + t21080 * t274 / 0.6e1 + t2010 * t1368 / 0.6e1 - t39195 + t26285 * t3627 / 0.3e1;
  t39228 = t26300 * t4295 / 0.2e1 + t26103 * t4036 / 0.2e1 + t3015 * t2169 * t37642 / 0.3e1 - 0.5e1 / 0.6e1 * t26103 * t3616 + 0.3e1 * t1677 * t26383 * t18552 - t525 * t5903 / 0.36e2 + t372 * t7777 / 0.12e2 - t2010 * t1365 / 0.12e2 + 0.2e1 / 0.3e1 * t3015 * t21705 + 0.2e1 / 0.3e1 * t3015 * t20985 + 0.2e1 / 0.3e1 * t13995 * t7472 - t3015 * t32871 / 0.3e1 - t3015 * t36293 / 0.3e1;
  t39262 = -t3015 * t36297 / 0.3e1 - t13995 * t7305 / 0.3e1 - t3015 * t2169 * t500 * t37577 / 0.3e1 - t3015 * t2169 * t500 * t37572 / 0.3e1 - t3015 * t10910 * t7675 / 0.3e1 - t13995 * t7676 / 0.3e1 - 0.23e2 / 0.12e2 * t26203 * t33707 - t22 * t218 * t6077 / 0.4e1 - t22 * t604 * t1387 / 0.4e1 + 0.2e1 / 0.3e1 * t3015 * t35184 - t7784 + 0.3e1 * t35295 * t4599 - 0.6e1 * t21686 * t4603 + 0.3e1 * t21470 * t4557;
  t39285 = t2169 * t1675 * t37459 * t929;
  t39297 = t10775 * t500 * t5704 * t929;
  t39301 = t1630 * t1363 * t929;
  t39307 = -0.6e1 * t19499 * t27225 * t33814 + 0.18e2 * t4277 * t27225 * t33265 - t11016 * t7792 / 0.3e1 + t11018 * t7665 / 0.6e1 - t26300 * t4228 / 0.2e1 - 0.5e1 / 0.36e2 * t26203 * t34777 + t1677 * t6175 * t15470 - 0.2e1 / 0.3e1 * t9737 * t39285 - t2251 * t806 * t1868 * t37475 - 0.3e1 / 0.2e1 * t2251 * t263 * t10240 * t38371 + 0.2e1 / 0.3e1 * t9737 * t39297 + t1677 * t3190 * t39301 / 0.2e1 - t103 * t7767 / 0.12e2;
  t39320 = t32562 / 0.6e1;
  t39321 = -0.2e1 / 0.3e1 * t26105 * t28613 - 0.4e1 / 0.3e1 * t3015 * t19885 + 0.2e1 * t26105 * t29447 - t3015 * t35126 / 0.6e1 + t3015 * t35119 / 0.3e1 - 0.5e1 / 0.18e2 * t4531 * t35123 + t34795 - t34796 - t39320 + t6798 - t7804 - t6807 - t6810;
  t39349 = t7805 - t22 * t1100 * t793 / 0.2e1 - t4538 * t36448 - t2988 * t36451 / 0.3e1 + t3015 * t15640 * t5946 / 0.6e1 + t3015 * t2294 * t39020 / 0.6e1 + 0.22e2 / 0.3e1 * t37569 * t3932 - 0.23e2 / 0.3e1 * t37569 * t3936 - t26203 * t34761 / 0.2e1 + 0.14e2 / 0.3e1 * t4531 * t20358 - 0.7e1 * t26203 * t10937 - t14127 * t7652 / 0.18e2 - t14122 * t7657 / 0.18e2;
  t39373 = -t26103 * t4233 + 0.5e1 / 0.3e1 * t37569 * t4236 - t34833 + t34834 + t259 * t19750 / 0.6e1 + t162 * t5882 * t3552 / 0.2e1 + t1994 * t1356 / 0.2e1 - 0.28e2 * t29634 * t3931 * t38033 - 0.3e1 * t1677 * t26536 * t1065 + t6149 * t569 / 0.18e2 - t2988 * t32738 / 0.3e1 - t4538 * t36212 - t2988 * t36671 / 0.3e1;
  t39381 = t21213 * t4588;
  t39398 = t4571 * t36812 + t3689 - t3693 - t3700 - t28865 - t2251 * t810 * t1862 * t37739 / 0.2e1 + 0.2e1 / 0.3e1 * t2168 * t39381 - t3015 * t11150 * t38150 / 0.2e1 + t3015 * t2294 * t37484 / 0.6e1 - t6146 * t1963 / 0.18e2 - t6146 * t2002 / 0.36e2 - t533 * t6131 / 0.12e2 - t208 * t26671 / 0.12e2;
  t39409 = t138 * t7767;
  t39414 = t106 * t158 * t7765 * t159;
  t39428 = t1648 * t8752 * t205;
  t39435 = t4701 * t833 / 0.2e1 - t12082 * t1352 / 0.2e1 + t21088 * t274 / 0.2e1 - t1994 * t1360 / 0.2e1 + t1994 * t1368 / 0.2e1 - t127 * t39409 / 0.12e2 + t39414 * t166 / 0.4e1 + t3015 * t10775 * t500 * t37492 + 0.3e1 / 0.2e1 * t2251 * t810 * t10245 * t37492 - 0.7e1 / 0.3e1 * t10863 * t10936 * t37497 - t1677 * t3012 * t39428 / 0.2e1 + t4571 * t36456 + t2988 * t32352 / 0.3e1;
  t39458 = t15956 * t5947;
  t39459 = t39458 / 0.6e1;
  t39460 = t15953 * t5952;
  t39461 = t39460 / 0.6e1;
  t39462 = t15665 * t5955;
  t39463 = t39462 / 0.12e2;
  t39466 = t3006 * t19967 / 0.6e1 - t3015 * t32349 / 0.6e1 + t2988 * t36552 / 0.3e1 + t2988 * t31316 / 0.3e1 + t15406 * t6740 / 0.6e1 - t14008 * t7348 / 0.18e2 - t2988 * t10925 * t5946 / 0.6e1 - t3006 * t29354 * t5951 / 0.6e1 + t3015 * t17371 * t5946 / 0.12e2 - t39459 - t39461 + t39463 + t10923 * t7807 / 0.6e1;
  t39470 = 0.14e2 / 0.3e1 * t32659;
  t39492 = t10923 * t7811 / 0.6e1 - t15274 * t4757 + t39470 + t32662 - 0.3e1 / 0.2e1 * t26203 * t10798 - t2988 * t32486 / 0.3e1 - t3006 * t32490 / 0.3e1 + t3015 * t32483 / 0.6e1 + t2988 * t36459 / 0.3e1 + t3015 * t2169 * t37578 / 0.12e2 + t3015 * t2169 * t37573 / 0.12e2 + t3015 * t10910 * t7651 / 0.12e2 + t13995 * t7660 / 0.12e2;
  t39496 = t32718 / 0.6e1;
  t39497 = t32720 / 0.6e1;
  t39504 = -t32697 - t32700 - t32702 - t32705 - t39496 - t39497 + t32722 + t7831 - t7832 - t7833 - 0.4e1 / 0.3e1 * t3015 * t21611 + 0.2e1 / 0.3e1 * t3015 * t21214 + 0.7e1 / 0.3e1 * t26203 * t10940;
  t39522 = 0.2e1 / 0.3e1 * t32750;
  t39530 = 0.2e1 / 0.3e1 * t3015 * t36150 - t3015 * t36153 / 0.3e1 - 0.2e1 * t37617 * t33805 - 0.43e2 / 0.9e1 * t37617 * t33169 + 0.89e2 / 0.9e1 * t37617 * t33811 + 0.12e2 * t34856 * t2175 * t38033 + 0.3e1 / 0.2e1 * t1677 * t26094 * t1057 - t4531 * t36176 - t32742 + t39522 + t34915 - t162 * t876 * t320 * t137 * t37940 / 0.4e1 - t349 * t7787 / 0.4e1;
  t39532 = t349 * t7782;
  t39533 = t39532 / 0.4e1;
  t39535 = t162 * t3690 * t5864;
  t39536 = t39535 / 0.4e1;
  t39549 = 0.2e1 / 0.3e1 * t32777;
  t39550 = -t39533 - t39536 - t610 * t5860 / 0.4e1 - t610 * t5865 / 0.4e1 - t1994 * t1365 / 0.4e1 + t349 * t7777 / 0.4e1 + t7231 - t103 * t7857 / 0.12e2 - t103 * t7860 / 0.6e1 + t39549 - t7232 - t7233 - t7235;
  t39566 = t32789 / 0.6e1;
  t39567 = t34931 + t34932 - t34934 - t34935 - t2251 * t810 * t1862 * t37577 / 0.2e1 - t2251 * t810 * t1862 * t37572 / 0.2e1 - t2251 * t3214 * t7668 / 0.2e1 - 0.3e1 * t4531 * t21743 + 0.9e1 / 0.2e1 * t26203 * t10825 - t7236 + t7237 - t7238 + t39566;
  t39570 = t32801 / 0.3e1;
  t39571 = t32803 / 0.3e1;
  t39592 = t34954 + t39570 + t39571 + t34957 - 0.3e1 * t2255 * t1323 * t28018 + 0.18e2 * t29634 * t3935 * t38310 + 0.3e1 * t2265 * t26536 * t1052 - t2265 * t27088 * t1052 - t2265 * t27092 * t1052 - t2265 * t5967 * t3680 - t10858 * t7792 + 0.2e1 / 0.3e1 * t3015 * t21711 - 0.6e1 * t39033 * t3923;
  t39599 = t32819 / 0.3e1;
  t39609 = 0.2e1 / 0.3e1 * t32893;
  t39610 = t32898 / 0.2e1;
  t39611 = 0.2e1 * t4571 * t2182 * t37566 - 0.2e1 * t26103 * t4028 + t26103 * t4033 - t39599 - t22 * t7766 * t194 / 0.4e1 - 0.4e1 / 0.3e1 * t3015 * t19767 - t3015 * t2169 * t1675 * t37483 / 0.3e1 + t7886 - t7888 - t7267 + t7268 + t39609 + t39610;
  t39613 = t32902 / 0.2e1;
  t39614 = t32919 / 0.9e1;
  t39615 = 0.3e1 * t32941;
  t39616 = 0.6e1 * t32944;
  t39617 = t32954 / 0.3e1;
  t39618 = 0.3e1 * t32957;
  t39625 = t21164 * t4561;
  t39632 = -t32900 - t39613 + t39614 + t39615 + t39616 - t39617 + t39618 + 0.2e1 / 0.9e1 * t14008 * t7472 - t14008 * t7305 / 0.9e1 - 0.23e2 / 0.18e2 * t26203 * t29450 + t2161 * t39625 / 0.3e1 + t2179 * t26262 / 0.6e1 - t15274 * t4664 / 0.2e1;
  t39642 = t32987 / 0.18e2;
  t39657 = -t26285 * t3621 / 0.6e1 + t15274 * t4543 - t3015 * t31324 / 0.3e1 - 0.11e2 / 0.9e1 * t4531 * t36010 + 0.23e2 / 0.18e2 * t4531 * t36013 - t39642 + t162 * t26418 * t211 * t165 / 0.4e1 + t162 * t5901 * t573 * t165 / 0.4e1 - t35088 - t35089 - t35090 + 0.6e1 * t2255 * t5730 * t28207 - 0.3e1 * t2251 * t5730 * t28211 - t35093;
  t39664 = my_piecewise3(t3, 0, t37584 + t39349 + t38551 + t39072 + t37469 + t38445 + t37812 + t38156 + t39160 + t38458 + t38487 + t38370 + t37950 + t39198 + t37692 + t37671 + t37641 + t37720 + t39113 + t38309 + t38052 + t39141 + t37775 + t39321 + t38199 + t39060 + t37556 + t37440 + t37763 + t38179 + t39262 + t37524 + t37996 + t39435 + t37615 + t37969 + t38279 + t39024 + t38100 + t38031 + t37844 + t38137 + t39108 + t38247 + t39373 + t38071 + t38404 + t39307 + t39188 + t39657 + t39632 + t39611 + t39592 + t39567 + t39550 + t39530 + t39504 + t39492 + t38332 + t39228 + t38517 + t39398 + t38224 + t39466);
  tv4rhosigmatau20 = 0.2e1 * rho[0] * t39664 + 0.2e1 * t7915;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 0] += tv4rhosigmatau20;

  t39667 = t7943 * t9762;
  t39669 = t106 * t1415 * t39667;
  t39678 = t1711 * t4819;
  t39684 = t490 * t1726 * t8050;
  t39690 = t1505 * t23005;
  t39697 = 0.5e1 / 0.3e1 * t39669 * t3748 + 0.7e1 / 0.3e1 * t8089 * t9196 - 0.7e1 * t8089 * t9193 + 0.7e1 * t4800 * t12892 + t1140 * t39678 / 0.4e1 - t1135 * t4852 / 0.3e1 + t233 * t39684 / 0.12e2 - t1677 * t2701 * t8028 / 0.4e1 + 0.3e1 * t2255 * t697 * t39690 - t29482 / 0.2e1 - t29486 / 0.2e1 + t29492 / 0.6e1;
  t39701 = t12291 * t4962;
  t39704 = t30026 * t5134;
  t39707 = t230 * t7952;
  t39709 = t10775 * t500 * t39707;
  t39713 = t1426 * t1518 * t658;
  t39717 = t7935 * t122;
  t39718 = t400 * t39717;
  t39727 = t548 * t5170 * t1208;
  t39733 = t29498 / 0.2e1 + t29502 / 0.2e1 + t29506 / 0.2e1 - t2674 * t39701 / 0.2e1 - t2683 * t39704 / 0.2e1 + 0.2e1 / 0.3e1 * t9737 * t39709 - 0.9e1 * t509 * t4805 * t39713 + t2251 * t693 * t39718 / 0.2e1 + t1529 * t8036 / 0.2e1 + 0.3e1 / 0.4e1 * t5172 * t734 + t1941 * t39727 - 0.3e1 / 0.4e1 * t5172 * t746 - 0.3e1 / 0.2e1 * t5172 * t742;
  t39737 = t96 * t39717;
  t39738 = t2294 * t39737;
  t39745 = t18921 * t4962;
  t39748 = t2324 * t4864;
  t39753 = t7943 * t9901;
  t39755 = t106 * t9926 * t39753;
  t39760 = t2057 * t4910;
  t39765 = t296 * t7948;
  t39769 = t1502 * t8087;
  t39774 = t1426 * t1427 * t658;
  t39778 = -t2632 * t19277 * t4966 + t2632 * t39738 / 0.6e1 - t2632 * t2169 * t500 * t39717 / 0.3e1 + t2632 * t39745 / 0.2e1 - 0.3e1 / 0.2e1 * t4800 * t39748 + 0.23e2 / 0.36e2 * t8089 * t9315 + 0.44e2 / 0.27e2 * t39755 * t28318 - 0.23e2 / 0.12e2 * t8089 * t9324 + 0.23e2 / 0.12e2 * t4800 * t39760 - 0.11e2 / 0.18e2 * t8089 * t9318 + 0.3e1 / 0.2e1 * t1565 * t39765 * t1567 - 0.9e1 / 0.2e1 * t1565 * t39769 * t9116 + 0.9e1 / 0.2e1 * t1565 * t4805 * t39774;
  t39779 = t1502 * t39667;
  t39787 = t1711 * t4851;
  t39790 = t296 * t7944;
  t39797 = t510 * t8096;
  t39808 = t163 * t8101;
  t39815 = t163 * t8096;
  t39819 = -0.18e2 * t1565 * t39779 * t3495 - t372 * t8062 / 0.2e1 + t5146 * t8065 / 0.6e1 + t1140 * t39787 / 0.4e1 + 0.3e1 * t509 * t39790 * t1537 + 0.9e1 * t509 * t4810 * t4903 - 0.6e1 * t509 * t39797 * t1666 + t162 * t4884 * t4876 + 0.3e1 / 0.2e1 * t162 * t296 * t7956 * t1484 + t349 * t8032 - 0.3e1 / 0.2e1 * t162 * t39808 * t328 + 0.9e1 / 0.2e1 * t162 * t4898 * t4895 - 0.6e1 * t162 * t39815 * t636;
  t39829 = t1592 * t1138;
  t39832 = t9383 * t4798;
  t39841 = -t28745 + t28748 - t28772 + t28780 - 0.4e1 * t4940 - 0.4e1 * t4945 - 0.8e1 / 0.3e1 * t39829 * t1666 + 0.16e2 / 0.9e1 * t39832 * t3495 - 0.2e1 * t21858 * t1198 - 0.2e1 * t4834 * t4876 + 0.8e1 * t4831 * t4932;
  t39852 = t321 * t1138;
  t39855 = t321 * t1133;
  t39858 = t1592 * t4809;
  t39865 = -0.8e1 * t39829 * t1671 + 0.32e2 / 0.3e1 * t39832 * t3594 - 0.2e1 / 0.3e1 * t4972 + 0.12e2 * t39832 * t3576 + 0.4e1 * t4976 - 0.8e1 * t4828 * t4895 + 0.12e2 * t39852 * t636 + 0.4e1 * t39855 * t328 - 0.8e1 * t39858 * t622 + 0.8e1 / 0.3e1 * t4831 * t4903 - 0.24e2 * t39858 * t645 - t6237;
  t39875 = t1163 * t1445;
  t39878 = t5010 * t1418;
  t39881 = t6225 + 0.4e1 * t4834 * t22463 - 0.4e1 / 0.3e1 * t4831 * t22964 + 0.4e1 * t4828 * t22472 - 0.4e1 * t4831 * t22968 + t28794 + t28797 + t28799 - t28828 + 0.24e2 * t39875 * t645 - 0.12e2 * t39878 * t3576;
  t39904 = t1159 * t335;
  t39907 = -0.4e1 * t1175 * t328 + 0.2e1 * t705 * t1198 + 0.2e1 * t239 * t4876 + 0.4e1 / 0.3e1 * t4846 * t4903 - 0.4e1 * t39875 * t622 - 0.4e1 / 0.3e1 * t1172 * t1666 + 0.2e2 / 0.9e1 * t39878 * t3495 + 0.4e1 / 0.3e1 * t39878 * t3594 - 0.8e1 * t4846 * t4932 + 0.8e1 * t1172 * t1671 + 0.8e1 * t4841 * t4895 - 0.12e2 * t39904 * t636;
  t39909 = t39841 + t39865 + t39881 + t39907;
  t39911 = t320 * t137 * t39909;
  t39930 = -t349 * t8029 / 0.4e1 - t162 * t2846 * t8028 / 0.4e1 - t162 * t745 * t39911 / 0.4e1 + t29657 - 0.3e1 / 0.2e1 * t29673 - 0.3e1 / 0.4e1 * t2538 * t1199 - 0.3e1 / 0.4e1 * t719 * t4872 - 0.3e1 / 0.4e1 * t719 * t4877 - 0.3e1 / 0.2e1 * t719 * t4889 - 0.3e1 * t719 * t4896 + 0.9e1 / 0.2e1 * t719 * t4899 + 0.3e1 / 0.2e1 * t719 * t4885;
  t39934 = t1648 * t342 * t4849;
  t39946 = t33369 / 0.2e1;
  t39947 = t33371 / 0.2e1;
  t39952 = 0.3e1 / 0.2e1 * t1553 * t8036 + 0.3e1 / 0.2e1 * t509 * t4935 * t39934 - t8089 * t9169 / 0.2e1 + 0.3e1 / 0.2e1 * t8089 * t9166 + t233 * t22729 / 0.4e1 + t666 * t34642 / 0.2e1 - t39946 - t39947 + 0.3e1 * t29677 + t29680 + 0.3e1 / 0.4e1 * t29697 + t29705 / 0.4e1 - t29721 / 0.12e2;
  t39964 = t10255 * t4943;
  t39968 = t10255 * t4938;
  t39972 = t10775 * t4962;
  t39975 = t9916 * t4938;
  t39983 = t9911 * t4938;
  t39987 = t1505 * t39717;
  t39991 = -t29752 / 0.4e1 - 0.3e1 / 0.4e1 * t13562 * t4951 + 0.3e1 / 0.2e1 * t18604 * t4945 + 0.3e1 / 0.2e1 * t18604 * t4940 + 0.3e1 / 0.2e1 * t2265 * t23233 * t8035 - 0.9e1 / 0.2e1 * t2255 * t1164 * t39964 - 0.9e1 / 0.2e1 * t2251 * t5011 * t39968 + 0.3e1 / 0.2e1 * t22511 * t39972 + 0.9e1 * t2255 * t5011 * t39975 + 0.3e1 / 0.2e1 * t19135 * t4972 - 0.3e1 / 0.2e1 * t18604 * t4976 - 0.9e1 / 0.2e1 * t4277 * t5011 * t39983 + t2255 * t697 * t39987 / 0.2e1;
  t39992 = t1862 * t39717;
  t40002 = t106 * t109 * t8096;
  t40007 = t1649 * t4851;
  t40010 = t1649 * t4819;
  t40014 = t1648 * t404 * t4849;
  t40027 = -t2251 * t697 * t39992 / 0.2e1 - 0.8e1 * t2255 * t5007 * t23387 + t8103 * t493 / 0.2e1 + 0.2e1 * t40002 * t541 - 0.3e1 / 0.2e1 * t4984 * t4991 + t1140 * t40007 / 0.2e1 + t1140 * t40010 / 0.2e1 - 0.3e1 / 0.2e1 * t162 * t4935 * t40014 - 0.3e1 / 0.2e1 * t349 * t8062 + t1140 * t12499 + 0.23e2 / 0.12e2 * t4800 * t30074 - 0.2e1 * t1140 * t12529 + 0.2e1 * t671 * t23119;
  t40051 = -0.6e1 * t4856 * t4225 - 0.3e1 * t2509 * t4904 + 0.9e1 * t2509 * t4907 - 0.3e1 / 0.2e1 * t8089 * t9105 + 0.9e1 / 0.2e1 * t8089 * t9101 - 0.43e2 / 0.9e1 * t39755 * t29384 - 0.9e1 / 0.2e1 * t4800 * t12390 + 0.18e2 * t39669 * t3504 + t33410 + t33413 - 0.5e1 / 0.12e2 * t4800 * t30007 + t1140 * t12775 / 0.2e1;
  t40071 = t9898 * t39753;
  t40081 = -t29810 / 0.6e1 - 0.38e2 / 0.9e1 * t39755 * t28053 + 0.89e2 / 0.9e1 * t39755 * t28042 - 0.2e1 * t39755 * t28402 + 0.6e1 * t39669 * t3580 - t1135 * t4820 / 0.3e1 - t8103 * t305 / 0.2e1 + 0.36e2 * t509 * t39779 * t3594 - 0.18e2 * t162 * t39779 * t3576 - 0.18e2 * t509 * t40071 * t28419 - t5146 * t8069 / 0.3e1 - t372 * t8029 / 0.12e2 - 0.2e1 * t2632 * t23007;
  t40087 = t3624 * t169 * t193 * t7952;
  t40093 = t1711 * t347 * t1148;
  t40096 = t1711 * t160 * t4850;
  t40104 = t2057 * t4864;
  t40112 = 0.16e2 / 0.3e1 * t22508 * t4967 - t2683 * t40087 / 0.6e1 - 0.4e1 / 0.3e1 * t22508 * t4979 - t1140 * t40093 - t1140 * t40096 + t372 * t8032 / 0.3e1 + t5146 * t8057 / 0.12e2 + 0.5e1 / 0.12e2 * t8089 * t9599 - 0.5e1 / 0.12e2 * t4800 * t40104 + t29864 / 0.3e1 + t29896 + t372 * t8043 / 0.6e1 - 0.3e1 / 0.2e1 * t4800 * t31208;
  t40123 = t2233 * t4864;
  t40138 = t95 * t7943;
  t40139 = t160 * t40138;
  t40140 = t10653 * t40139;
  t40146 = -t671 * t33837 / 0.2e1 - 0.11e2 / 0.6e1 * t4800 * t30071 - t2483 * t1199 / 0.4e1 - 0.61e2 / 0.27e2 * t39755 * t28334 + 0.11e2 / 0.6e1 * t8089 * t9268 - 0.11e2 / 0.6e1 * t4800 * t40123 + 0.9e1 / 0.2e1 * t13061 * t5112 - 0.9e1 * t2509 * t4806 + 0.9e1 / 0.2e1 * t719 * t4814 - 0.6e1 * t9944 * t40071 * t28426 + 0.18e2 * t1565 * t40071 * t28415 + 0.47e2 / 0.3e1 * t27956 * t40140 + 0.3e1 / 0.2e1 * t162 * t39765 * t1506;
  t40149 = t1426 * t4902;
  t40156 = t2233 * t40139;
  t40165 = t510 * t8087;
  t40176 = t1684 * t169 * t193 * t7935;
  t40183 = 0.9e1 / 0.2e1 * t162 * t4805 * t40149 - 0.9e1 / 0.2e1 * t162 * t39769 * t9147 - 0.28e2 * t27972 * t40156 - 0.3e1 * t162 * t39790 * t1541 - 0.9e1 * t162 * t4810 * t4932 + 0.18e2 * t162 * t40165 * t645 + 0.6e1 * t162 * t39797 * t1671 - t5156 * t1150 / 0.9e1 + t2683 * t40176 / 0.12e2 - t29922 / 0.2e1 - t29925 / 0.2e1 + 0.3e1 * t719 * t4933;
  t40187 = t2057 * t2507 * t8234;
  t40202 = t2169 * t5127;
  t40205 = t10733 * t4962;
  t40208 = t10775 * t5134;
  t40212 = -0.9e1 * t719 * t4811 - 0.9e1 / 0.2e1 * t15539 * t40187 - 0.3e1 / 0.2e1 * t2509 * t4996 + 0.3e1 * t2509 * t4994 + 0.3e1 / 0.2e1 * t29949 + t29952 / 0.2e1 - 0.5e1 / 0.12e2 * t29955 + t349 * t8043 / 0.2e1 + t162 * t2846 * t8042 / 0.2e1 + t23145 * t40202 / 0.4e1 + 0.5e1 / 0.12e2 * t22511 * t40205 - 0.3e1 / 0.4e1 * t23145 * t40208 - 0.3e1 / 0.2e1 * t29962;
  t40219 = t96 * t23005;
  t40220 = t2169 * t40219;
  t40227 = -t29993 / 0.4e1 - t29996 / 0.4e1 - t3410 + t3430 - t3445 + t3460 - 0.2e1 * t2251 * t1160 * t4944 + t33631 - t33634 + t2632 * t40220 / 0.2e1 - t23413 * t5128 / 0.3e1 + 0.23e2 / 0.12e2 * t30018 - 0.2e1 * t30023;
  t40229 = t10526 * t1563 * t539;
  t40238 = t717 * t8234;
  t40239 = t2233 * t40238;
  t40248 = t490 * t303 * t95 * t39909;
  t40252 = t490 * t2571 * t4850;
  t40257 = 0.8e1 * t39755 * t40229 - t30054 / 0.12e2 + 0.9e1 / 0.2e1 * t30093 + 0.9e1 / 0.2e1 * t30100 + 0.9e1 * t30104 - 0.9e1 * t30107 - t30141 / 0.2e1 + 0.7e1 * t15539 * t40239 + 0.3e1 / 0.2e1 * t719 * t4881 - 0.3e1 * t719 * t4936 + t233 * t40248 / 0.12e2 + t233 * t40252 / 0.4e1 + t661 * t8052 / 0.12e2;
  t40263 = t490 * t12348 * t1148;
  t40274 = t106 * t333 * t8087;
  t40281 = t400 * t23005;
  t40288 = t2294 * t40219;
  t40292 = t233 * t40263 / 0.4e1 + t8098 * t1735 / 0.2e1 + t661 * t8047 / 0.4e1 - t8098 * t1952 + 0.3e1 / 0.2e1 * t4856 * t4865 - 0.3e1 * t40274 * t549 + t1135 * t2666 / 0.2e1 - t1135 * t2573 / 0.2e1 + 0.2e1 * t2251 * t693 * t40281 - 0.3e1 * t2251 * t5016 * t4939 + t2632 * t40288 - 0.8e1 / 0.3e1 * t22508 * t4963;
  t40293 = t11150 * t5134;
  t40296 = t10936 * t4962;
  t40299 = t2294 * t5127;
  t40302 = t33762 / 0.6e1;
  t40304 = t10775 * t500 * t4943;
  t40307 = t10733 * t4966;
  t40319 = t33856 / 0.6e1;
  t40320 = -0.3e1 / 0.2e1 * t23145 * t40293 + 0.11e2 / 0.6e1 * t22511 * t40296 + t23145 * t40299 / 0.2e1 - t40302 + 0.3e1 * t23145 * t40304 - 0.23e2 / 0.12e2 * t22511 * t40307 + 0.3e1 / 0.2e1 * t30203 + t30222 / 0.2e1 - 0.3e1 / 0.2e1 * t30225 - t30228 / 0.2e1 - 0.18e2 * t509 * t40165 * t622 - t654 * t8021 / 0.18e2 + t40319;
  t40328 = t2169 * t1675 * t5126;
  t40330 = t34005 / 0.6e1;
  t40331 = t34034 / 0.18e2;
  t40335 = t10649 * t3503;
  t40345 = -0.3e1 / 0.2e1 * t30259 + t654 * t8052 / 0.36e2 + t654 * t8047 / 0.12e2 - t23145 * t40328 - t913 + t984 + t40330 + t40331 + 0.6e1 * t162 * t40071 * t28406 - 0.62e2 / 0.3e1 * t39755 * t40335 - t233 * t22861 / 0.4e1 - t671 * t34637 / 0.4e1 - 0.3e1 * t509 * t39765 * t1572;
  t40352 = t1637 * t1726 * t8019;
  t40363 = 0.9e1 * t509 * t39769 * t9141 + t6547 - t8013 - t8014 + t8015 - t8016 - t661 * t8021 / 0.6e1 - t233 * t40352 / 0.6e1 + t3489 - t3491 + 0.3e1 * t1553 * t8072 - 0.3e1 / 0.2e1 * t2538 * t1194 + 0.9e1 / 0.2e1 * t22511 * t10733 * t1556 * t4938;
  t40366 = t7935 * t326;
  t40367 = t1868 * t40366;
  t40372 = t7952 * t122;
  t40373 = t10255 * t40372;
  t40376 = t10245 * t40372;
  t40379 = t96 * t40372;
  t40380 = t11150 * t40379;
  t40385 = t2251 * t237 * t40367 / 0.2e1 - 0.11e2 / 0.6e1 * t30740 - t2255 * t697 * t40373 + t2251 * t697 * t40376 - t2632 * t40380 / 0.3e1 - t1140 * t12738 / 0.4e1 + t3586 - t3589 + t8017 - t8018 - t3603 - t3605;
  t40386 = t368 * t8088;
  t40397 = t368 * t8097;
  t40408 = t3607 + t3612 + 0.23e2 / 0.108e3 * t40386 * t1548 + t1529 * t8072 + t372 * t8080 / 0.2e1 + t1140 * t13620 + 0.3e1 / 0.4e1 * t22791 * t248 - 0.11e2 / 0.54e2 * t40386 * t1545 - 0.2e1 / 0.3e1 * t40397 * t502 - t654 * t5167 / 0.12e2 + t22642 * t248 / 0.4e1 - t1140 * t13622 / 0.4e1 - 0.5e1 / 0.36e2 * t8089 * t10123;
  t40414 = t1147 * t4849;
  t40415 = t1868 * t40414;
  t40418 = t1868 * t40372;
  t40421 = t7952 * t326;
  t40422 = t10240 * t40421;
  t40433 = t1684 * t39737;
  t40436 = -t1140 * t13025 / 0.2e1 + t8098 * t1451 / 0.2e1 + t2251 * t237 * t40415 - t2251 * t693 * t40418 - 0.3e1 / 0.2e1 * t2251 * t237 * t40422 + 0.3e1 * t30825 - 0.9e1 / 0.2e1 * t30829 - 0.6e1 * t30847 - 0.3e1 / 0.2e1 * t30851 + 0.9e1 / 0.2e1 * t30855 + 0.3e1 / 0.2e1 * t30859 + 0.7e1 * t30862 - t2674 * t40433 / 0.6e1;
  t40438 = t3624 * t96 * t40366;
  t40441 = t2169 * t39737;
  t40447 = t2571 * t4863;
  t40448 = t302 * t40447;
  t40455 = t555 * t40447;
  t40465 = -t2683 * t40438 / 0.6e1 + t2632 * t40441 / 0.12e2 - t30865 / 0.4e1 - 0.3e1 / 0.2e1 * t4984 * t3987 + t666 * t40448 - t1140 * t12564 / 0.2e1 + t1140 * t12567 + 0.3e1 * t4856 * t4221 - t671 * t40455 - 0.5e1 / 0.36e2 * t8089 * t9711 - 0.35e2 / 0.108e3 * t39755 * t28664 - 0.3e1 / 0.2e1 * t23037 * t730 + 0.3e1 / 0.2e1 * t5172 * t749;
  t40469 = t34715 / 0.6e1;
  t40488 = t40469 - 0.3e1 / 0.2e1 * t30898 + 0.3e1 / 0.2e1 * t30900 - t30908 / 0.2e1 + 0.3e1 / 0.4e1 * t5172 * t738 - t661 * t5167 / 0.4e1 - t233 * t22786 / 0.4e1 - 0.5e1 / 0.108e3 * t40386 * t1429 - t5146 * t2476 / 0.12e2 + t40397 * t497 / 0.3e1 - t1529 * t8120 - 0.3e1 / 0.2e1 * t13030 * t1190;
  t40497 = 0.2e1 / 0.3e1 * t34756;
  t40498 = t34759 / 0.2e1;
  t40499 = t34771 / 0.6e1;
  t40500 = t34773 / 0.3e1;
  t40501 = t34775 / 0.3e1;
  t40502 = t1862 * t23005;
  t40509 = t10245 * t4943;
  t40513 = t1132 * t1147;
  t40514 = t500 * t40513;
  t40515 = t10936 * t40514;
  t40518 = -0.3e1 / 0.2e1 * t8089 * t10038 + 0.3e1 / 0.2e1 * t349 * t8131 - 0.3e1 * t349 * t8128 + t9774 * t8117 / 0.2e1 - t40497 - t40498 + t40499 - t40500 - t40501 - 0.3e1 * t2251 * t697 * t40502 + 0.8e1 * t2251 * t5007 * t4975 + 0.9e1 / 0.2e1 * t2251 * t1164 * t40509 - 0.7e1 * t10863 * t40515;
  t40524 = t34871 / 0.3e1;
  t40528 = t3624 * t40379;
  t40532 = t15648 * t96 * t40421;
  t40536 = t3624 * t96 * t40414;
  t40539 = t10775 * t40379;
  t40542 = -0.3e1 / 0.2e1 * t1677 * t23233 * t8061 + t8024 - t8025 - 0.3e1 / 0.2e1 * t30961 + t3689 - t3693 - t3700 + t40524 + t1677 * t2701 * t8042 / 0.2e1 + t2674 * t40528 / 0.3e1 + t2683 * t40532 / 0.2e1 - t2683 * t40536 / 0.3e1 - t2632 * t40539 / 0.6e1;
  t40566 = -t103 * t8010 / 0.12e2 - 0.2e1 * t8098 * t1720 - 0.23e2 / 0.3e1 * t39669 * t3613 + 0.4e1 * t8098 * t1713 + 0.12e2 * t40274 * t562 - 0.6e1 * t4856 * t4911 + t8098 * t1660 + 0.22e2 / 0.3e1 * t39669 * t3560 - 0.2e1 * t8098 * t1650 + 0.3e1 * t4856 * t4916 - 0.6e1 * t40274 * t556 - 0.3e1 / 0.2e1 * t31049 - 0.3e1 / 0.2e1 * t31051;
  t40572 = 0.2e1 * t34046;
  t40573 = 0.2e1 * t34060;
  t40574 = 0.2e1 * t34103;
  t40576 = t400 * t63 * t39909;
  t40578 = t7953 * t122;
  t40579 = t1868 * t40578;
  t40583 = t10240 * t7953 * t326;
  t40586 = 0.2e1 * t34175;
  t40587 = 0.4e1 / 0.3e1 * t34176;
  t40589 = t1868 * t1177 * t4849;
  t40592 = t10255 * t40578;
  t40595 = t10245 * t40578;
  t40598 = t7944 * t9841;
  t40605 = t62 * t7935;
  t40606 = t40605 * t122;
  t40607 = t423 * t40606;
  t40610 = t62 * t7952;
  t40611 = t40610 * t122;
  t40612 = t423 * t40611;
  t40615 = t1829 * t5055;
  t40618 = -t40572 - t40573 + t40574 + t943 - t237 * t40576 + 0.2e1 * t693 * t40579 + 0.3e1 * t237 * t40583 - t40586 - t40587 - 0.2e1 * t237 * t40589 + 0.4e1 / 0.3e1 * t697 * t40592 - 0.2e1 * t697 * t40595 + 0.72e2 * t40598 * t587 - 0.16e2 / 0.3e1 * t21967 * t5063 - 0.18e2 * t21944 * t5063 - 0.2e1 * t2750 * t40607 + 0.4e1 * t13136 * t40612 + 0.2e1 * t21944 * t40615;
  t40621 = t7948 * t9763;
  t40630 = t590 * t7935;
  t40631 = t1505 * t40630;
  t40636 = t7956 * t9879;
  t40639 = t1177 * t658;
  t40640 = t1862 * t40639;
  t40647 = t1862 * t5033;
  t40652 = t10245 * t5046;
  t40655 = t9916 * t5004;
  t40658 = 0.32e2 * t21967 * t5100 - t962 + t7971 - t7972 + t7973 + 0.8e1 * t40621 * t3793 - 0.6e1 * t7957 * t402 - 0.12e2 * t40598 * t583 + 0.2e1 * t691 * t7986 - 0.2e1 / 0.3e1 * t697 * t40631 + 0.18e2 * t5016 * t5049 - 0.24e2 * t40636 * t578 + 0.6e1 * t697 * t40640 - 0.36e2 * t5007 * t5039 + 0.24e2 * t7945 * t1863 - 0.6e1 * t1164 * t40647 - 0.16e2 * t5007 * t5005 - 0.9e1 * t1164 * t40652 - 0.1e2 * t5011 * t40655;
  t40660 = t1571 * t5023;
  t40666 = t9897 * t7943 * t9904;
  t40669 = t1505 * t5023;
  t40686 = -0.2e1 * t5011 * t40660 + 0.2e1 * t7949 * t10274 - 0.4e1 / 0.3e1 * t40666 * t29072 + 0.18e2 * t5011 * t40669 - 0.18e2 * t7949 * t10259 - 0.6e1 * t30318 - t30326 - 0.36e2 * t30337 - 0.2e1 * t30340 + 0.18e2 * t30345 + 0.6e1 * t30354 + t30365 / 0.6e1 - 0.12e2 * t30371 - 0.4e1 * t30380 + 0.18e2 * t30408 + 0.6e1 * t30411 + 0.1e2 * t30414 - 0.9e1 * t30417;
  t40696 = t1505 * t5033;
  t40698 = t9911 * t5004;
  t40702 = t400 * t40630;
  t40704 = t400 * t40639;
  t40714 = -0.3e1 * t30420 + t7110 - 0.72e2 * t40621 * t3796 + 0.8e1 / 0.3e1 * t40666 * t29047 + 0.4e1 * t1160 * t5034 + 0.32e2 / 0.3e1 * t5007 * t5036 + t1164 * t40696 - t5011 * t40698 / 0.6e1 - t691 * t7983 - t693 * t40702 - 0.4e1 * t693 * t40704 + 0.6e1 * t5016 * t5044 + 0.4e1 * t1160 * t5047 - t7989 - t6506 + t7990 + 0.2e1 * t30522 - t30525 / 0.3e1 + 0.18e2 * t30535;
  t40720 = t149 * t5054 * t4849;
  t40723 = t410 * t40611;
  t40726 = t5054 * t658;
  t40727 = t423 * t40726;
  t40730 = t423 * t5059;
  t40733 = t149 * t40606;
  t40737 = t149 * t40605 * t326;
  t40740 = t410 * t40606;
  t40743 = t149 * t40611;
  t40747 = t149 * t40610 * t326;
  t40750 = t410 * t40726;
  t40753 = t410 * t5059;
  t40756 = t1837 * t5055;
  t40762 = 0.6e1 * t30538 + 0.6e1 * t30540 + 0.4e1 * t4138 * t40720 - 0.2e1 / 0.3e1 * t13136 * t40723 - 0.12e2 * t2750 * t40727 + 0.18e2 * t34127 * t40730 + 0.2e1 * t2752 * t40733 + 0.2e1 * t4138 * t40737 + t2750 * t40740 / 0.3e1 - 0.4e1 * t13166 * t40743 - 0.6e1 * t17614 * t40747 + 0.2e1 * t2750 * t40750 - 0.3e1 * t34127 * t40753 + t21944 * t40756 / 0.3e1 - 0.3e1 * t30571 + 0.3e1 * t30572 + 0.2e1 * t30575 - t3777;
  t40763 = 0.4e1 * t34397;
  t40764 = 0.4e1 * t34399;
  t40765 = 0.2e1 / 0.3e1 * t34401;
  t40766 = t149 * t40726;
  t40773 = t1862 * t40630;
  t40775 = t10255 * t5004;
  t40782 = t1868 * t7936 * t326;
  t40784 = -0.12e2 * t21978 * t5056 - t237 * t40782 + 0.8e1 * t2752 * t40766 + 0.24e2 * t29050 * t40666 - 0.8e1 * t34361 * t5060 + t40773 * t697 + 0.9e1 * t40775 * t5011 - 0.9e1 * t30626 + t34378 - t3778 - t3782 + t3802 - t3841 + t3866 + t3868 + t3873 + t40763 + t40764 + t40765;
  t40790 = t1566 * t5023;
  t40797 = t1505 * t40639;
  t40800 = t10255 * t5046;
  t40806 = t1571 * t5083;
  t40827 = -0.4e1 * t7945 * t1849 + 0.4e1 / 0.3e1 * t40621 * t3827 - t5011 * t40790 / 0.3e1 + t7949 * t10230 / 0.3e1 - t40666 * t28963 / 0.9e1 - 0.4e1 * t697 * t40797 + 0.6e1 * t1164 * t40800 + 0.6e1 * t5007 * t5024 - 0.12e2 * t30671 + 0.1e2 * t5011 * t40806 - 0.4e2 * t40621 * t3858 - 0.1e2 * t7949 * t10337 + 0.1e2 / 0.3e1 * t40666 * t29148 + 0.36e2 * t40621 * t3844 - 0.12e2 * t40666 * t29249 - 0.36e2 * t40598 * t601 + 0.5e2 / 0.3e1 * t40666 * t29086 + 0.18e2 * t5007 * t5084 - 0.12e2 * t7945 * t1908;
  t40828 = t1505 * t5083;
  t40833 = t1505 * t5079;
  t40843 = t400 * t60 * t39909;
  t40850 = t1862 * t5079;
  t40862 = t1566 * t5083;
  t40867 = 0.4e1 * t34500;
  t40868 = -0.9e1 * t5011 * t40828 + 0.9e1 * t7949 * t10409 - 0.2e1 * t1164 * t40833 + 0.3e1 * t7957 * t420 - 0.2e1 * t1160 * t5080 + t691 * t7937 / 0.2e1 - t8006 + t237 * t40843 / 0.2e1 - 0.9e1 * t5016 * t5094 + 0.12e2 * t40636 * t597 + 0.3e1 * t1164 * t40850 - t691 * t7954 - 0.12e2 * t5007 * t5089 + 0.24e2 * t40598 * t591 + 0.8e1 * t7945 * t1880 - 0.2e1 / 0.3e1 * t40621 * t3838 + t5011 * t40862 / 0.6e1 - t7949 * t10345 / 0.6e1 - t40867;
  t40876 = t548 * t40447;
  t40881 = t1684 * t40219;
  t40887 = t19277 * t4962;
  t40890 = t12291 * t5127;
  t40896 = -0.3e1 / 0.2e1 * t31054 + 0.3e1 / 0.2e1 * t31064 + 0.3e1 / 0.2e1 * t31067 - t22 * t59 * (t40618 + t40658 + t40686 + t40714 + t40762 + t40784 + t40827 + t40868) * t96 / 0.4e1 - t671 * t40876 / 0.2e1 + 0.3e1 / 0.2e1 * t4856 * t4251 - 0.2e1 / 0.3e1 * t2674 * t40881 + t22854 * t5131 + 0.2e1 / 0.3e1 * t23413 * t5135 + t2632 * t40887 / 0.4e1 + t2683 * t40890 / 0.4e1 + t1677 * t23439 * t1198 - t31106 / 0.4e1;
  t40911 = t138 * t8010;
  t40916 = t106 * t158 * t8008 * t159;
  t40921 = t31119 / 0.2e1 + t31121 / 0.4e1 - t31123 / 0.4e1 - 0.9e1 * t31132 - 0.3e1 * t31136 + t2483 * t1202 / 0.2e1 - t13068 * t1190 / 0.2e1 - t40386 * t1558 / 0.2e1 + t372 * t8131 / 0.2e1 - t372 * t8128 - t127 * t40911 / 0.12e2 + t40916 * t166 / 0.4e1 + 0.3e1 / 0.2e1 * t2538 * t1202;
  t40938 = 0.3e1 / 0.2e1 * t10026 * t8117 - 0.3e1 * t1553 * t8120 + t8098 * t1510 - 0.2e1 * t8098 * t1440 - 0.11e2 / 0.18e2 * t8089 * t10055 + 0.3e1 / 0.2e1 * t349 * t8080 - 0.3e1 / 0.4e1 * t31141 + t31145 + 0.3e1 / 0.4e1 * t31147 + t8140 - t8141 + t31195 - t8103 * t380 / 0.2e1;
  t40967 = t1135 * t2473 / 0.2e1 + t5146 * t2504 / 0.3e1 + 0.23e2 / 0.36e2 * t8089 * t10090 - t8089 * t9950 / 0.2e1 + 0.7e1 / 0.3e1 * t8089 * t9953 - t368 * t8102 * t139 / 0.6e1 + t40397 * t344 / 0.6e1 + t5156 * t686 / 0.6e1 - t5146 * t2500 / 0.6e1 - t2483 * t1194 / 0.2e1 + 0.7e1 / 0.9e1 * t40386 * t1520 - t40386 * t1515 / 0.6e1 - t22 * t8009 * t194 / 0.4e1;
  t40973 = my_piecewise3(t3, 0, t40938 + t40518 + t40566 + t40363 + t40227 + t40896 + t40488 + t40921 + t40967 + t40408 + t40081 + t40112 + t40146 + t40320 + t40542 + t40465 + t40292 + t40436 + t40212 + t40183 + t40345 + t39930 + t39952 + t40051 + t40385 + t39991 + t39819 + t39778 + t39733 + t39697 + t40027 + t40257);
  tv4rholapl30 = 0.2e1 * rho[0] * t40973 + 0.2e1 * t8145;

  if(out->v4rholapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 0] += tv4rholapl30;

  t41000 = t719 * t5280 / 0.2e1 + t719 * t5297 / 0.2e1 - t349 * t8309 / 0.4e1 - t162 * t3358 * t8028 / 0.4e1 - t162 * t876 * t39911 / 0.4e1 + t372 * t8379 / 0.2e1 + t1140 * t14383 / 0.3e1 - 0.11e2 / 0.18e2 * t4800 * t32813 - t1140 * t14386 / 0.6e1 - t2902 * t1199 / 0.12e2 + t5146 * t2947 / 0.9e1;
  t41016 = t1132 * t122;
  t41017 = t96 * t41016;
  t41021 = -t2885 * t1199 / 0.4e1 - t854 * t4872 / 0.4e1 - t854 * t4877 / 0.4e1 - 0.3e1 / 0.2e1 * t10769 * t8361 - t671 * t36347 / 0.3e1 + t13710 * t8398 / 0.3e1 - t5658 * t742 - t5658 * t746 / 0.2e1 - 0.2e1 * t20344 * t10936 * t41017 + t31286 + t31288;
  t41023 = t96 * t23049;
  t41030 = t169 * t22748;
  t41037 = t287 * t658;
  t41038 = t169 * t41037;
  t41039 = t2175 * t41038;
  t41042 = -t33009 - t33010 + t33011 + t33012 + t33013 + t33014 - 0.5e1 / 0.18e2 * t4531 * t3935 * t41023 - 0.35e2 / 0.108e3 * t20344 * t17992 * t41017 - 0.5e1 / 0.36e2 * t4531 * t3935 * t41030 + 0.23e2 / 0.18e2 * t4531 * t33250 * t5236 - t2632 * t41039 / 0.6e1;
  t41045 = t96 * t23251;
  t41062 = t4970 * t122;
  t41063 = t96 * t41062;
  t41067 = t169 * t22466;
  t41071 = t500 * t41062;
  t41075 = t3015 * t40220 / 0.4e1 + t3015 * t2169 * t41045 / 0.4e1 + t2988 * t40528 / 0.3e1 + t3006 * t40532 / 0.2e1 - t3006 * t40536 / 0.3e1 - t3015 * t40539 / 0.6e1 + 0.3e1 / 0.2e1 * t10809 * t8257 + 0.3e1 / 0.2e1 * t2255 * t3214 * t4971 + 0.5e1 / 0.12e2 * t4531 * t10733 * t41063 + t3015 * t2169 * t41067 / 0.4e1 + 0.16e2 / 0.3e1 * t4571 * t2169 * t41071;
  t41103 = 0.3e1 / 0.2e1 * t10026 * t8395 + 0.3e1 / 0.2e1 * t1565 * t15348 * t8394 + t14053 * t8398 + 0.3e1 / 0.2e1 * t349 * t8224 + 0.3e1 / 0.2e1 * t162 * t14686 * t8223 - t372 * t8309 / 0.12e2 - t349 * t8251 / 0.2e1 - t162 * t3365 * t1159 * t313 / 0.2e1 + t1135 * t3379 / 0.6e1 + 0.23e2 / 0.108e3 * t14244 * t8365 - 0.5e1 / 0.108e3 * t14244 * t8246;
  t41121 = -t5146 * t3373 / 0.36e2 - t843 * t8021 / 0.18e2 + t1529 * t8229 - t372 * t8251 / 0.6e1 - t671 * t36857 / 0.6e1 - t233 * t25180 / 0.6e1 + t31330 + t31335 - t1140 * t14848 / 0.12e2 - t1140 * t14839 / 0.12e2 + t2538 * t1283 / 0.2e1;
  t41147 = t31367 + 0.2e1 / 0.3e1 * t3015 * t23148 - 0.18e2 * t2251 * t13762 * t1505 * t41016 + 0.6e1 * t2251 * t13792 * t9916 * t41016 + t5172 * t862 / 0.2e1 - t24478 * t730 - 0.3e1 / 0.2e1 * t4800 * t32851 + 0.3e1 / 0.2e1 * t14144 * t5112 - 0.3e1 * t2897 * t4806 - t4800 * t32847 / 0.2e1 + 0.7e1 / 0.3e1 * t4800 * t2233 * t4522;
  t41158 = t14332 * t4962;
  t41161 = t32489 * t5134;
  t41164 = t21610 * t4962;
  t41167 = t14332 * t5127;
  t41170 = t4541 * t4809;
  t41174 = t4541 * t1138;
  t41177 = t838 * t8047 / 0.6e1 + t259 * t40263 / 0.6e1 + t259 * t40252 / 0.6e1 + t838 * t8052 / 0.12e2 - t2988 * t40433 / 0.6e1 - t2674 * t41158 / 0.6e1 - t2683 * t41161 / 0.6e1 + t2632 * t41164 / 0.12e2 + t2683 * t41167 / 0.12e2 - 0.3e1 * t1677 * t41170 * t645 - t1677 * t41174 * t1671;
  t41198 = t1556 * t41016;
  t41206 = t2265 * t41174 * t1666 - t2265 * t5551 * t4903 + 0.3e1 * t2265 * t41170 * t622 - t2988 * t39701 / 0.3e1 - t3006 * t39704 / 0.3e1 + t3015 * t40887 / 0.6e1 + t3006 * t40890 / 0.6e1 + 0.7e1 / 0.3e1 * t4531 * t23472 + 0.18e2 * t20380 * t3935 * t41198 - 0.7e1 * t4531 * t23475 + 0.14e2 / 0.3e1 * t4531 * t23484;
  t41217 = t21651 * t4962;
  t41224 = t12348 * t1208;
  t41232 = -t15227 * t8264 / 0.3e1 - t2988 * t9743 * t8260 / 0.3e1 - t2988 * t40881 / 0.3e1 - t2988 * t1684 * t41045 / 0.3e1 + t2632 * t41217 / 0.6e1 - t21470 * t4976 / 0.2e1 - t31432 + t3030 * t8299 / 0.3e1 + t894 * t302 * t41224 / 0.3e1 + t894 * t40448 / 0.3e1 + t854 * t4881 / 0.2e1;
  t41235 = t302 * t22727 * t884;
  t41243 = t1726 * t8234;
  t41250 = -t127 * t41235 / 0.12e2 + t5172 * t890 / 0.4e1 + t2897 * t4994 - t2897 * t4996 / 0.2e1 - t2983 * t2324 * t41243 / 0.2e1 + t854 * t4933 - 0.2e1 * t14053 * t8400 - t31486 - t31488 + t31490 + t31492;
  t41253 = -0.3e1 * t4811 * t854 - t29673 - t31494 - t31496 + t31497 + t31499 - t31514 - t31516 - t31528 - t31533 + t33226;
  t41270 = t1677 * t5354 * t22472 / 0.2e1 + t9774 * t8395 / 0.2e1 - t14244 * t8390 / 0.2e1 - t2972 * t8296 / 0.3e1 - t866 * t555 * t41224 / 0.3e1 - t866 * t40455 / 0.3e1 - t39946 - t39947 + t33373 + t33374 - t31555;
  t41279 = t2961 * t4863;
  t41280 = t548 * t41279;
  t41283 = t31560 - t31572 + t33375 + t33376 - t33377 - t33380 - t5146 * t2997 / 0.18e2 - t654 * t5316 / 0.18e2 - t14029 * t8236 / 0.6e1 + t5658 * t734 / 0.2e1 - t671 * t41280 / 0.6e1;
  t41306 = t500 * t41016;
  t41310 = t4856 * t4442 / 0.2e1 + t1140 * t14463 / 0.6e1 - 0.5e1 / 0.36e2 * t4800 * t32885 + 0.3e1 / 0.2e1 * t1677 * t14775 * t8223 + t10769 * t8255 + t2251 * t3236 * t8254 - 0.3e1 / 0.2e1 * t4531 * t22750 + 0.9e1 / 0.2e1 * t4531 * t23174 - 0.3e1 * t4531 * t23051 - 0.43e2 / 0.9e1 * t20344 * t17992 * t41198 + 0.89e2 / 0.9e1 * t20344 * t18027 * t41306;
  t41337 = -t2538 * t1269 / 0.2e1 - t719 * t5631 / 0.2e1 - t10923 * t8361 / 0.2e1 + t22508 * t4753 / 0.2e1 + t23145 * t15090 / 0.6e1 - 0.5e1 / 0.36e2 * t22511 * t32218 - t13562 * t5355 + t2251 * t810 * t40376 - 0.18e2 * t2255 * t13772 * t396 * t41016 - t3015 * t40380 / 0.3e1 - 0.4e1 * t4571 * t19269 * t5236 - 0.4e1 / 0.3e1 * t3015 * t23151;
  t41349 = t1648 * t8060 * t230;
  t41360 = t96 * t23172;
  t41365 = -t2255 * t810 * t40373 - t14008 * t8350 / 0.3e1 + t14008 * t8346 / 0.6e1 + t31595 + t33410 + t33413 - 0.3e1 / 0.2e1 * t1677 * t3012 * t41349 + 0.8e1 * t2251 * t3226 * t1862 * t41062 - 0.3e1 * t21350 * t2175 * t41017 - t4571 * t2169 * t41360 + t4571 * t2175 * t41023;
  t41376 = 0.5e1 / 0.3e1 * t20380 * t3935 * t41017 + t31612 + t31616 - 0.3e1 * t162 * t15371 * t8374 + t31620 - t33456 - t31632 - t31639 - t233 * t24157 / 0.6e1 - t2538 * t1266 - t719 * t5321;
  t41388 = t10936 * t500 * t5529 * t230;
  t41399 = -t719 * t5626 - t2897 * t4904 + 0.3e1 * t2897 * t4907 + 0.9e1 / 0.2e1 * t2251 * t810 * t10245 * t22475 - 0.7e1 * t10863 * t41388 + t11018 * t8257 / 0.2e1 + t10923 * t8255 / 0.3e1 + t13542 * t8357 / 0.36e2 - t31662 - t31666 + 0.2e1 / 0.9e1 * t3057 * t8318;
  t41410 = t3931 * t4588;
  t41425 = 0.23e2 / 0.36e2 * t4800 * t32816 + t2483 * t1274 / 0.3e1 - t13068 * t1261 / 0.3e1 + t1140 * t14936 / 0.3e1 - t22511 * t32145 / 0.2e1 + 0.7e1 / 0.3e1 * t22511 * t41410 - t3006 * t40438 / 0.6e1 + t3015 * t40441 / 0.12e2 + t3006 * t40176 / 0.12e2 + 0.2e1 * t4571 * t19504 * t5215 + 0.2e1 / 0.3e1 * t3015 * t18921 * t5219;
  t41450 = 0.36e2 * t2255 * t13762 * t1571 * t41016 + 0.9e1 * t2255 * t3208 * t9916 * t23172 - 0.6e1 * t2255 * t3208 * t1571 * t23049 + t1677 * t5551 * t4932 - t31674 - t31676 + t31682 + t259 * t39684 / 0.12e2 + t259 * t40248 / 0.12e2 + t1135 * t2967 / 0.6e1 + t661 * t8289 / 0.12e2;
  t41452 = t490 * t14481 * t1148;
  t41456 = t490 * t2961 * t4850;
  t41470 = t233 * t41452 / 0.12e2 + t233 * t41456 / 0.12e2 + t31686 + t33533 + t33534 - t854 * t4936 + 0.7e1 / 0.3e1 * t13729 * t8386 + 0.7e1 / 0.3e1 * t2983 * t22857 - 0.3e1 / 0.2e1 * t13729 * t8390 - 0.3e1 / 0.2e1 * t2983 * t23115 + t2483 * t1283 / 0.6e1;
  t41488 = -t2483 * t1266 / 0.3e1 - t2483 * t1269 / 0.6e1 - t31712 + t31714 - t33552 - t33553 + 0.3e1 * t3015 * t22477 - 0.23e2 / 0.12e2 * t4531 * t10733 * t41071 - t3015 * t22468 + t3015 * t2294 * t41067 / 0.2e1 - 0.8e1 / 0.3e1 * t4571 * t2294 * t41063;
  t41489 = t96 * t22475;
  t41524 = -0.3e1 / 0.2e1 * t3015 * t11150 * t41489 + 0.11e2 / 0.6e1 * t4531 * t10936 * t41063 - 0.18e2 * t4277 * t13762 * t1566 * t41016 - 0.9e1 / 0.2e1 * t4277 * t3208 * t9911 * t23172 + 0.3e1 * t4277 * t3208 * t1566 * t23049 + 0.3e1 / 0.2e1 * t10978 * t14575 * t8394 + 0.3e1 * t18604 * t5344 + t18604 * t5348 - t13562 * t5351 + t4571 * t2175 * t41030 / 0.2e1 + t3015 * t19277 * t5219 / 0.3e1 - 0.5e1 / 0.18e2 * t4531 * t33250 * t5215;
  t41534 = t555 * t41279;
  t41546 = -t3015 * t19269 * t5209 / 0.6e1 + t2988 * t19296 * t5209 / 0.3e1 + t29949 + t33570 - t33571 - t671 * t41534 / 0.3e1 + t21686 * t4972 / 0.2e1 - t18604 * t5564 + t19135 * t5531 - t2632 * t36606 / 0.3e1 - t2251 * t810 * t39992 / 0.2e1;
  t41553 = t13562 * t5555 + t2255 * t810 * t39987 / 0.2e1 - t18608 * t5552 - t29962 - t33585 - t33586 - t3410 + t3430 - t3445 + t3460 + t719 * t5305;
  t41575 = 0.2e1 / 0.3e1 * t2972 * t8318 + 0.2e1 / 0.3e1 * t866 * t22941 + 0.2e1 / 0.3e1 * t866 * t23119 - t32074 + t372 * t8224 / 0.2e1 + t372 * t8219 / 0.6e1 + t5156 * t886 / 0.18e2 - t372 * t8375 + 0.3e1 * t1553 * t8229 + 0.3e1 * t509 * t15371 * t8228 - t838 * t8021 / 0.6e1;
  t41590 = -t259 * t40352 / 0.6e1 - t14228 * t8236 / 0.2e1 - t3299 * t302 * t41243 / 0.2e1 + t1135 * t3383 / 0.6e1 + t349 * t8219 / 0.2e1 + t162 * t3358 * t8042 / 0.2e1 + t33631 - t33634 + t33657 - t32091 - t33658;
  t41619 = -0.2e1 * t3039 * t23111 - 0.11e2 / 0.18e2 * t13729 * t8403 - 0.11e2 / 0.18e2 * t2983 * t2233 * t41243 - t866 * t34637 / 0.12e2 - t259 * t22861 / 0.12e2 + 0.23e2 / 0.36e2 * t13729 * t8365 + t666 * t36393 / 0.3e1 + t233 * t23968 / 0.6e1 + 0.9e1 / 0.2e1 * t4531 * t10733 * t1556 * t41062 + 0.23e2 / 0.36e2 * t2983 * t2057 * t22856 - t14244 * t8383 / 0.6e1;
  t41628 = -t1140 * t14468 / 0.12e2 + t3052 * t8299 / 0.9e1 + t894 * t34642 / 0.6e1 + t259 * t22729 / 0.12e2 - t33678 + t33679 + t33680 + t33681 - t33682 - t32123 + t32125;
  t41633 = t548 * t852 * t4863;
  t41646 = t256 * t1132;
  t41647 = t500 * t41646;
  t41648 = t10733 * t41647;
  t41653 = t32127 - t33703 - t661 * t5316 / 0.6e1 + 0.2e1 / 0.3e1 * t671 * t41633 - 0.2e1 * t4856 * t4523 - 0.2e1 / 0.3e1 * t1140 * t14946 - t233 * t23548 / 0.6e1 + 0.3e1 * t2251 * t3208 * t1505 * t23049 + 0.47e2 / 0.3e1 * t29591 * t41648 - t40302 - t1677 * t5354 * t4895;
  t41654 = t3062 * t1138;
  t41658 = t3062 * t1133;
  t41673 = t2162 * t41038;
  t41692 = 0.3e1 / 0.2e1 * t1677 * t41654 * t636 + t1677 * t41658 * t328 / 0.2e1 - t9731 * t8352 / 0.4e1 - t1677 * t23956 * t1198 / 0.4e1 - t1677 * t23951 * t1198 / 0.4e1 - t1677 * t5243 * t4876 / 0.4e1 + t2674 * t41673 / 0.3e1 - t22854 * t4655 / 0.2e1 - t23413 * t3105 / 0.6e1 + 0.18e2 * t2251 * t13772 * t405 * t41016 + 0.6e1 * t2251 * t3226 * t1862 * t23172 - 0.6e1 * t2251 * t3226 * t405 * t23049;
  t41698 = t3931 * t41647;
  t41705 = t18027 * t1556 * t41646;
  t41711 = -0.28e2 * t29634 * t41698 - 0.3e1 * t1677 * t14803 * t8374 - 0.62e2 / 0.3e1 * t29591 * t41705 - 0.3e1 * t2265 * t14575 * t8369 - t32185 + t30203 + t33788 - t30225 - t33795 - t32212 - t32214;
  t41714 = t19269 * t8664;
  t41728 = -t32230 - t32235 + t32237 - t32241 - t13562 * t5244 / 0.2e1 + 0.2e1 / 0.3e1 * t9737 * t41714 + t2251 * t806 * t39718 / 0.2e1 + t2251 * t263 * t40367 / 0.2e1 - 0.23e2 / 0.12e2 * t4531 * t10733 * t23435 - t3015 * t23253 - t3015 * t23007;
  t41737 = t3365 * t1163;
  t41755 = t14008 * t8261 / 0.12e2 + 0.5e1 / 0.12e2 * t4531 * t10733 * t41360 - t1553 * t8274 / 0.2e1 - t509 * t41737 * t512 / 0.2e1 + t349 * t8277 / 0.2e1 + t162 * t41737 * t516 / 0.2e1 - 0.3e1 * t1553 * t8370 - t1140 * t14419 / 0.6e1 - t1140 * t14422 / 0.6e1 - t3057 * t8296 / 0.9e1 - t1529 * t8370;
  t41775 = t10775 * t500 * t256 * t7952;
  t41778 = t372 * t8277 / 0.6e1 - t1529 * t8274 / 0.6e1 + t843 * t8052 / 0.36e2 + t843 * t8047 / 0.18e2 + t654 * t8289 / 0.36e2 + t40319 - t30259 - t2251 * t806 * t40418 - 0.3e1 / 0.2e1 * t2251 * t263 * t40422 + t2251 * t263 * t40415 + 0.2e1 / 0.3e1 * t9737 * t41775;
  t41786 = t9743 * t8356;
  t41791 = t1684 * t169 * t792 * t1147;
  t41796 = t1684 * t169 * t287 * t4849;
  t41815 = t1677 * t3190 * t8042 / 0.2e1 + t12253 * t8357 / 0.12e2 + t2683 * t41786 / 0.12e2 + t2683 * t41791 / 0.12e2 + t2683 * t41796 / 0.12e2 - 0.61e2 / 0.27e2 * t20344 * t18027 * t41017 - 0.11e2 / 0.18e2 * t4531 * t3931 * t41030 - 0.4e1 * t4571 * t23058 - 0.23e2 / 0.3e1 * t20380 * t3935 * t41306 - 0.2e1 * t4571 * t23294 + 0.12e2 * t21350 * t2175 * t41306;
  t41842 = 0.4e1 * t4571 * t23436 - 0.18e2 * t2255 * t13792 * t9911 * t41016 + 0.3e1 / 0.2e1 * t1677 * t14575 * t8378 + 0.6e1 * t20380 * t2169 * t41017 + 0.3e1 / 0.2e1 * t4531 * t10775 * t41360 - 0.11e2 / 0.9e1 * t4531 * t33246 * t5215 - t3015 * t19504 * t5209 / 0.3e1 - t4538 * t19296 * t5215 - t32297 + t32300 + 0.3e1 / 0.2e1 * t2255 * t810 * t39690;
  t41877 = 0.3e1 / 0.2e1 * t2255 * t810 * t1505 * t23251 + t13995 * t8261 / 0.4e1 + t3015 * t10910 * t8260 / 0.4e1 + t2251 * t806 * t40281 + t2251 * t806 * t400 * t23251 - 0.6e1 * t2255 * t3226 * t1505 * t23172 + 0.6e1 * t2255 * t3226 * t396 * t23049 + 0.3e1 * t2265 * t14803 * t8228 + t3015 * t11202 * t8260 / 0.2e1 + t3015 * t2294 * t41045 / 0.2e1 + t3015 * t40288 / 0.2e1;
  t41884 = t21610 * t8349;
  t41891 = -t13995 * t8350 - t3015 * t23310 - t913 + t984 - t32335 + t21470 * t4940 / 0.2e1 + t21470 * t4945 / 0.2e1 - t9737 * t41884 / 0.3e1 - t15274 * t4951 / 0.4e1 + t3039 * t555 * t41243 + t40330;
  t41896 = t548 * t5656 * t1208;
  t41900 = t548 * t5170 * t3307;
  t41921 = 0.2e1 / 0.3e1 * t1941 * t41896 + t1941 * t41900 / 0.3e1 + t5172 * t881 / 0.4e1 + t14053 * t8239 / 0.2e1 + t3039 * t548 * t41243 / 0.2e1 - t2972 * t8243 / 0.6e1 - t866 * t548 * t41224 / 0.6e1 - t866 * t40876 / 0.6e1 - 0.5e1 / 0.36e2 * t13729 * t8246 + t40331 + t1140 * t15014 / 0.3e1;
  t41922 = t302 * t41279;
  t41942 = t666 * t41922 / 0.3e1 - t4984 * t4453 / 0.2e1 - t1135 * t2963 / 0.6e1 - t719 * t5634 / 0.2e1 + t1140 * t15017 / 0.3e1 - t854 * t4896 + 0.3e1 / 0.2e1 * t854 * t4899 + t854 * t4885 / 0.2e1 - t854 * t4889 / 0.2e1 + t32340 - t103 * t8214 / 0.12e2;
  t41954 = 0.3e1 / 0.2e1 * t349 * t8379 + 0.3e1 / 0.2e1 * t162 * t15348 * t8378 - 0.5e1 / 0.36e2 * t2983 * t2057 * t41243 + t6972 - t6973 - t6974 + t6975 - t6585 + t3489 - t3491 + t5156 * t848 / 0.18e2;
  t41980 = -t2902 * t1194 / 0.6e1 - t5146 * t2934 / 0.36e2 + t22642 * t274 / 0.12e2 - t654 * t5653 / 0.18e2 - t843 * t5167 / 0.36e2 - t5146 * t2888 / 0.18e2 + t22791 * t274 / 0.4e1 + 0.23e2 / 0.18e2 * t4531 * t3935 * t23057 + 0.44e2 / 0.27e2 * t20344 * t17992 * t41306 + 0.23e2 / 0.36e2 * t4531 * t3935 * t23293 + t13995 * t8346 / 0.2e1;
  t42015 = -0.3e1 / 0.2e1 * t2251 * t3214 * t8360 - 0.3e1 / 0.2e1 * t2251 * t810 * t1862 * t23251 - 0.3e1 / 0.2e1 * t2251 * t810 * t40502 - t34572 - t4531 * t2169 * t41023 - 0.38e2 / 0.9e1 * t20344 * t10733 * t41017 - t4531 * t2169 * t41030 / 0.2e1 - 0.6e1 * t2251 * t13775 * t145 * t41016 - 0.3e1 / 0.2e1 * t2251 * t3221 * t400 * t23172 + 0.3e1 * t2251 * t3221 * t145 * t23049 + t4571 * t2182 * t41030;
  t42019 = t3586 - t3589 + t2265 * t5551 * t22964 / 0.2e1 + t8017 - t8018 + t32431 + t6756 + t32452 - t3603 - t3605 + t3607;
  t42044 = t3612 - 0.11e2 / 0.54e2 * t14244 * t8403 - 0.2e1 / 0.3e1 * t13710 * t8400 - 0.3e1 * t509 * t15348 * t8369 - 0.3e1 * t349 * t8375 + 0.3e1 * t33231 * t5558 - 0.6e1 * t19135 * t5561 + 0.3e1 * t18604 * t5568 + t1677 * t5243 * t22463 / 0.2e1 - t3006 * t40087 / 0.6e1 + 0.2e1 * t20507 * t2162 * t41017;
  t42065 = t4538 * t1684 * t41360 / 0.2e1 - t4538 * t2162 * t41023 - t4538 * t2162 * t41030 / 0.2e1 - 0.6e1 * t21350 * t2182 * t41017 - 0.2e1 * t4571 * t2294 * t41360 + 0.2e1 * t4571 * t2182 * t41023 + 0.22e2 / 0.3e1 * t20380 * t3931 * t41017 - t32478 + t34705 - t34706 - t34710 - t30851;
  t42070 = -t40572 - t40573 + t40574 - t31757 - t31759 - t31761 - t31773 + t31775 + t31789 + t31791 + t943 - t31796;
  t42080 = t62 * t1132;
  t42081 = t42080 * t122;
  t42082 = t1829 * t42081;
  t42085 = t42080 * t326;
  t42089 = t5456 * t658;
  t42097 = t31820 - t31822 - t263 * t40576 + 0.3e1 * t263 * t40583 - 0.2e1 * t263 * t40589 + 0.4e1 / 0.3e1 * t810 * t40592 - t13749 * t8201 / 0.9e1 + 0.8e1 * t20580 * t42082 - 0.6e1 * t13836 * t149 * t42085 + 0.12e2 * t4397 * t149 * t42089 + 0.4e1 * t13827 * t8193 + 0.4e1 * t3202 * t40766;
  t42099 = t5456 * t4849;
  t42109 = t410 * t41062;
  t42112 = t410 * t42081;
  t42115 = t1837 * t42081;
  t42129 = 0.4e1 * t3202 * t149 * t42099 - 0.16e2 * t13818 * t423 * t41062 - 0.24e2 * t20588 * t149 * t42081 + 0.9e1 * t13830 * t42109 - 0.72e2 * t20580 * t42112 + 0.8e1 / 0.3e1 * t20868 * t42115 + 0.4e1 * t13916 * t40612 - 0.4e1 * t13833 * t40743 - 0.6e1 * t20585 * t40747 + 0.4e1 * t4392 * t40720 - 0.2e1 / 0.3e1 * t13916 * t40723 - t263 * t40782;
  t42135 = t8147 * t122;
  t42142 = t8147 * t326;
  t42146 = t1240 * t658;
  t42153 = t5079 * t230;
  t42168 = 0.2e1 * t804 * t7986 + 0.6e1 * t13782 * t8182 - t806 * t40702 + 0.1e2 / 0.3e1 * t13792 * t9906 * t42135 - 0.4e2 * t13762 * t1571 * t42135 - 0.1e2 * t3208 * t9916 * t42142 + 0.2e2 / 0.3e1 * t3208 * t1571 * t42146 + 0.12e2 * t13775 * t145 * t42135 + 0.3e1 * t810 * t1862 * t42153 + 0.3e1 * t810 * t40640 + 0.8e1 * t3226 * t1505 * t42142 - 0.8e1 * t3226 * t396 * t42146 - t3208 * t9911 * t42142 / 0.6e1;
  t42204 = t3208 * t1566 * t42146 / 0.9e1 + 0.3e1 * t3221 * t400 * t42142 - 0.6e1 * t3221 * t145 * t42146 + 0.24e2 * t13772 * t396 * t42135 - 0.2e1 * t3236 * t8198 - 0.2e1 * t806 * t40704 - 0.2e1 * t806 * t400 * t42153 + 0.2e1 * t806 * t40579 + 0.9e1 * t3208 * t10255 * t42142 - 0.6e1 * t3208 * t1505 * t42146 - 0.12e2 * t3226 * t1862 * t42142 + 0.12e2 * t3226 * t405 * t42146;
  t42218 = 0.3e1 * t3214 * t8186 - 0.12e2 * t13745 * t8170 - 0.2e1 / 0.3e1 * t13749 * t8173 + 0.6e1 * t13749 * t8176 - t40586 - t40587 - t31881 - t31883 + t31885 + t31887 - 0.2e1 * t3200 * t40607 - 0.1e2 * t13830 * t1829 * t41062;
  t42235 = t410 * t42089;
  t42245 = t410 * t42085;
  t42251 = t3200 * t40740 / 0.3e1 + 0.6e1 * t13836 * t149 * t41062 + 0.4e1 * t13833 * t149 * t22475 + 0.32e2 / 0.3e1 * t13818 * t42109 + 0.4e1 / 0.3e1 * t20580 * t42115 + t13830 * t1837 * t42085 / 0.3e1 + 0.12e2 * t4405 * t42235 - 0.6e1 * t13815 * t8190 - 0.6e1 * t3200 * t423 * t42099 - 0.6e1 * t3200 * t40727 - 0.18e2 * t13830 * t42245 + 0.2e1 * t13830 * t1829 * t42085;
  t42279 = -t962 + 0.2e1 * t13745 * t8208 - 0.2e1 / 0.3e1 * t13762 * t1566 * t42135 + t810 * t40773 + 0.5e2 / 0.3e1 * t13792 * t9911 * t42135 - 0.2e1 * t810 * t40595 - 0.36e2 * t13772 * t405 * t42135 + t3200 * t40750 + t3200 * t410 * t42099 + 0.6e1 * t13916 * t410 * t22475 - t13830 * t1837 * t41062 / 0.6e1 - 0.12e2 * t20859 * t42112 - 0.4e1 * t13818 * t42245;
  t42299 = 0.4e1 * t4402 * t42235 - 0.2e1 / 0.9e1 * t4405 * t1837 * t42089 - t20868 * t17918 * t42081 / 0.9e1 + 0.2e1 * t3202 * t40733 + 0.2e1 * t4392 * t40737 + t13815 * t8196 - t804 * t7954 - 0.3e1 * t13782 * t8165 + t6881 - t6884 + t6888 + t7099;
  t42312 = -0.4e1 / 0.3e1 * t4405 * t1829 * t42089 + 0.24e2 * t13818 * t423 * t42085 - 0.24e2 * t4402 * t423 * t42089 - 0.9e1 * t13916 * t423 * t22475 - t7100 + t7101 - t34229 - t34230 - t34231 - t34232 + t34233 + t34234;
  t42318 = t34235 - t34236 - t34239 + t34240 + t34241 + t34242 - t34243 - t34244 + t31902 - t31910 - 0.3e1 * t13749 * t8148 + 0.1e2 / 0.3e1 * t13749 * t8153;
  t42327 = -0.4e1 * t13745 * t8156 + t13749 * t8159 / 0.18e2 + 0.6e1 * t13745 * t8162 + t804 * t7937 / 0.2e1 + t7110 + t31922 + t31924 - t31926 - t6907 + t6914 - t6916 - t7124 - t7125;
  t42340 = t7126 + t34287 - t34288 + t34289 + t34290 + t34291 - 0.2e1 / 0.3e1 * t810 * t40631 - 0.2e1 * t3214 * t8205 - 0.2e1 * t810 * t40797 - 0.2e1 * t810 * t1505 * t42153 - t804 * t7983 - t34328;
  t42343 = 0.24e2 * t20868 * t42082 - t31968 + t31972 + t31973 + t34329 + t34330 + t34378 - t3777 - t3778 - t3782 + t3802 + t40763 + t40764;
  t42362 = t40765 + 0.36e2 * t13762 * t1505 * t42135 - 0.12e2 * t13792 * t9916 * t42135 + t263 * t40843 / 0.2e1 - t3841 + t3866 + t3868 + t3873 - t34432 + 0.18e2 * t13916 * t16699 * t22475 - 0.3e1 * t13916 * t16690 * t22475 + t13830 * t17682 * t41062 / 0.3e1;
  t42369 = t16690 * t41062;
  t42386 = 0.2e1 * t13830 * t17753 * t41062 + 0.32e2 * t13818 * t16699 * t41062 - 0.18e2 * t13830 * t42369 - 0.12e2 * t13836 * t16695 * t41062 - 0.8e1 * t13833 * t16695 * t22475 - 0.16e2 / 0.3e1 * t13818 * t42369 - t34444 + t31997 - t32000 + 0.72e2 * t20859 * t423 * t42081 - t8006 - 0.4e1 / 0.3e1 * t20868 * t10286 * t42081 - t40867;
  t42397 = t33246 * t24970;
  t42403 = t33250 * t23699;
  t42410 = t34711 + t30859 + t34712 - t22 * t59 * (t42070 + t42097 + t42129 + t42168 + t42204 + t42218 + t42251 + t42279 + t42299 + t42312 + t42318 + t42327 + t42340 + t42343 + t42362 + t42386) * t96 / 0.4e1 - 0.2e1 * t18604 * t5359 + 0.14e2 / 0.3e1 * t10863 * t42397 - 0.6e1 * t18604 * t5526 - t18608 * t5517 - 0.3e1 * t10863 * t42403 + 0.6e1 * t19135 * t5512 + 0.2e1 * t19135 * t5515;
  t42426 = 0.2e1 / 0.3e1 * t2988 * t3624 * t41489 + t4856 * t4519 - t13030 * t1261 - t2509 * t5198 - t2509 * t5201 + t2538 * t1274 + t719 * t5302 - t5172 * t873 / 0.2e1 - t5172 * t877 / 0.4e1 - t34713 - t13729 * t8383 / 0.2e1;
  t42440 = t169 * t8355 * t122;
  t42441 = t2294 * t42440;
  t42452 = 0.7e1 / 0.9e1 * t14244 * t8386 + 0.11e2 / 0.6e1 * t4531 * t10936 * t41360 - 0.11e2 / 0.9e1 * t4531 * t3931 * t41023 + t40469 - t30898 + t30900 - t34717 - t1677 * t5551 * t22968 / 0.2e1 + t2632 * t42441 / 0.6e1 - 0.8e1 * t2255 * t3226 * t1505 * t41062 - 0.9e1 / 0.2e1 * t4277 * t3208 * t9911 * t41062;
  t42454 = t320 * t1264 * t1147;
  t42457 = t1677 * t3108 * t42454 - t30961 - t32563 - t40497 - t40498 + t40499 - t40500 - t40501 + t6641 - t6646 + t6799;
  t42463 = t8659 * t1147;
  t42465 = t2169 * t1675 * t42463;
  t42480 = -t6802 - t6808 - t6811 + t6815 - t22 * t5106 * t288 / 0.4e1 - t9737 * t42465 / 0.3e1 - t2988 * t1684 * t41067 / 0.3e1 + t4538 * t1684 * t41063 - 0.2e1 * t2251 * t806 * t1868 * t22475 - t10480 * t8352 / 0.12e2 + t13562 * t5361;
  t42496 = t21400 * t4798;
  t42500 = -t4531 * t19277 * t5215 + t3015 * t39738 / 0.6e1 + t3015 * t39745 / 0.3e1 + t3689 - t3693 - t3700 + t40524 - t2988 * t12291 * t5219 / 0.3e1 + t4571 * t19269 * t5215 - 0.3e1 / 0.2e1 * t22511 * t3935 * t2263 * t4560 + 0.3e1 / 0.2e1 * t10978 * t42496 * t3495;
  t42532 = -0.3e1 * t2265 * t42496 * t3594 + 0.3e1 / 0.2e1 * t1677 * t42496 * t3576 + 0.18e2 * t4277 * t13792 * t9906 * t41016 + 0.8e1 * t20344 * t17992 * t4275 * t41016 - 0.6e1 * t19499 * t13792 * t9945 * t41016 - 0.3e1 * t2251 * t3221 * t400 * t41062 - 0.9e1 / 0.2e1 * t2251 * t3208 * t10255 * t23172 + t32660 + t32663 + t23145 * t15068 / 0.3e1 - 0.11e2 / 0.18e2 * t22511 * t32878;
  t42533 = t2182 * t41038;
  t42541 = -t2632 * t42533 / 0.3e1 + t22508 * t4562 - t32698 - t32701 - t32703 - t32706 - t32719 - t32721 + t32723 - 0.9e1 / 0.2e1 * t2255 * t810 * t10255 * t22475 + t6860 - t6864;
  t42550 = t2169 * t42440;
  t42554 = t1648 * t1259 * t1147;
  t42574 = -t6866 - t14127 * t8264 / 0.9e1 - t22 * t1183 * t793 / 0.4e1 + t2632 * t42550 / 0.12e2 + 0.3e1 / 0.2e1 * t2265 * t3012 * t42554 + 0.3e1 / 0.2e1 * t4531 * t10775 * t41063 + 0.9e1 * t2255 * t3208 * t9916 * t41062 - 0.9e1 / 0.2e1 * t2251 * t3208 * t10255 * t41062 - t3057 * t8243 / 0.18e2 + t13710 * t8239 / 0.6e1 + t5658 * t749;
  t42581 = -t866 * t33837 / 0.6e1 + 0.3e1 / 0.2e1 * t854 * t4814 - t23037 * t859 / 0.2e1 - t32743 + t32751 - t31049 - t31051 - t31054 + t31064 + t31067 + t32778;
  t42585 = t19277 * t23666;
  t42595 = t2175 * t1675 * t41037;
  t42602 = t3624 * t169 * t8355 * t326;
  t42611 = t18604 * t5366 + t18604 * t5337 - 0.2e1 / 0.3e1 * t9737 * t42585 - t13562 * t5340 / 0.2e1 - 0.2e1 / 0.3e1 * t23145 * t15424 + 0.23e2 / 0.36e2 * t22511 * t32862 + 0.2e1 / 0.3e1 * t2632 * t42595 - 0.2e1 * t22508 * t4589 - t2683 * t42602 / 0.6e1 - 0.4e1 / 0.3e1 * t4571 * t2169 * t41063 - 0.3e1 / 0.4e1 * t3015 * t10775 * t41489;
  t42612 = t1684 * t42440;
  t42617 = t2169 * t500 * t256 * t7935;
  t42629 = t32790 + t32802 + t32804 - t2674 * t42612 / 0.6e1 - t9737 * t42617 / 0.3e1 - t1677 * t3190 * t8028 / 0.4e1 + t2674 * t36744 / 0.3e1 + t2683 * t23772 / 0.6e1 - t2632 * t36749 / 0.6e1 - t34968 + t34969;
  t42637 = t34970 - t34971 - t32820 - t34992 - t34993 - t22 * t8213 * t194 / 0.4e1 - t34994 + t34995 + t34996 - t14664 * t1190 / 0.6e1 + t6946;
  t42646 = -t6951 + t25550 * t248 / 0.6e1 + t7265 - t7266 + t25011 * t248 / 0.2e1 + t5172 * t833 / 0.4e1 - t1140 * t15194 / 0.12e2 + t32894 + t32899 - t32901 - t32903;
  t42650 = t138 * t8214;
  t42655 = t106 * t158 * t8212 * t159;
  t42660 = t32920 + t32942 + t32945 - t32955 + t32958 + t35018 - t32988 - t103 * t8302 / 0.12e2 - t127 * t42650 / 0.12e2 + t42655 * t166 / 0.4e1 + t2885 * t1202 / 0.2e1;
  t42685 = -t14165 * t1190 / 0.2e1 + t1140 * t14161 / 0.3e1 - t1140 * t14157 / 0.6e1 + t5146 * t2892 / 0.9e1 + t2902 * t1202 / 0.6e1 + t1135 * t2880 / 0.6e1 - t2885 * t1194 / 0.2e1 - t661 * t5653 / 0.6e1 - t233 * t25018 / 0.6e1 - t838 * t5167 / 0.12e2 - t259 * t22786 / 0.12e2 + t5658 * t738 / 0.2e1;
  t42692 = my_piecewise3(t3, 0, t41711 + t41425 + t41121 + t41575 + t41553 + t41270 + t42541 + t41942 + t42457 + t42044 + t41253 + t41399 + t41232 + t41206 + t42452 + t41147 + t41653 + t41075 + t42611 + t42581 + t41842 + t42637 + t42685 + t41310 + t41877 + t42646 + t41021 + t41000 + t42015 + t41619 + t41488 + t41728 + t42500 + t41546 + t41891 + t41921 + t41177 + t41450 + t41103 + t41954 + t41337 + t41778 + t42532 + t41365 + t41042 + t42629 + t42426 + t42480 + t41470 + t41755 + t41628 + t42410 + t41590 + t41524 + t41283 + t41376 + t41250 + t41980 + t42574 + t41692 + t42065 + t42019 + t42660 + t41815);
  tv4rholapl2tau0 = 0.2e1 * rho[0] * t42692 + 0.2e1 * t8410;

  if(out->v4rholapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 0] += tv4rholapl2tau0;

  t42695 = t5779 * t1147;
  t42700 = t1304 * t4849;
  t42712 = -t3006 * t3624 * t96 * t42695 / 0.6e1 - t3006 * t3624 * t96 * t42700 / 0.6e1 - t2265 * t5967 * t4903 - t15406 * t8690 / 0.6e1 - t3006 * t16127 * t8689 / 0.6e1 + t37452 + t37455 - t29483 - t29487 + t29493 + t29499 + t29503 + t29507;
  t42720 = t8659 * t122;
  t42721 = t169 * t42720;
  t42724 = t8659 * t326;
  t42725 = t169 * t42724;
  t42729 = t8640 * t122;
  t42751 = -0.6e1 * t2251 * t3226 * t405 * t24082 + 0.18e2 * t2251 * t27195 * t5525 + t4571 * t2175 * t42721 + t3015 * t2169 * t42725 / 0.3e1 + t2251 * t810 * t10245 * t42729 + 0.6e1 * t2265 * t27520 * t24358 - 0.5e1 / 0.18e2 * t4531 * t3935 * t42721 - 0.6e1 * t1677 * t27520 * t25371 + t2265 * t5967 * t22964 + t14127 * t8680 / 0.9e1 + t37545 - t3006 * t41161 / 0.3e1 + t2988 * t21164 * t5209 / 0.3e1;
  t42762 = t1147 * t802;
  t42763 = t96 * t42762;
  t42788 = t2988 * t41673 / 0.3e1 + t15406 * t8357 / 0.6e1 - 0.2e1 / 0.3e1 * t26105 * t40328 + 0.2e1 / 0.3e1 * t3015 * t21651 * t5219 + 0.2e1 / 0.3e1 * t3015 * t2294 * t42763 + 0.3e1 * t2251 * t3221 * t145 * t24082 + t37602 + 0.2e1 * t4571 * t21337 * t5215 + t259 * t41456 / 0.6e1 + t838 * t8425 / 0.12e2 + t259 * t490 * t12348 * t1305 / 0.12e2 + t259 * t490 * t2571 * t6110 / 0.12e2 + t1297 * t40007 / 0.3e1;
  t42791 = t14481 * t1208;
  t42814 = t3030 * t8419 / 0.3e1 + t894 * t302 * t42791 / 0.3e1 + t894 * t41922 / 0.3e1 + t838 * t8289 / 0.6e1 + t349 * t8463 / 0.2e1 + t162 * t5882 * t4876 / 0.2e1 + t2538 * t1356 / 0.2e1 + t719 * t5891 / 0.2e1 + t719 * t6016 / 0.2e1 + 0.3e1 * t1553 * t8468 - t2902 * t1266 / 0.3e1 + t37629 + t37630;
  t42848 = 0.4e1 * t5564 - 0.12e2 * t5568 + 0.4e1 / 0.3e1 * t5561 - 0.2e1 * t26031 * t1198 - 0.2e1 * t5764 * t4876 - 0.4e1 * t5512 - 0.4e1 / 0.3e1 * t5515 + 0.2e2 / 0.9e1 * t5558 - 0.2e1 / 0.3e1 * t5531 + 0.24e2 * t5526 + 0.8e1 * t5359 + 0.4e1 * t26013 * t1273 + 0.4e1 * t5761 * t4932;
  t42863 = -0.12e2 * t5344 - 0.4e1 * t5348 - 0.4e1 * t5366 - 0.4e1 * t5337 - 0.4e1 * t26028 * t1265 - 0.4e1 * t5758 * t4895 + 0.4e1 / 0.3e1 * t26013 * t1260 + 0.4e1 / 0.3e1 * t5761 * t4903 - t28745 + t28748 - t28772 + t28780 - 0.8e1 * t26016 * t24358;
  t42889 = 0.32e2 / 0.3e1 * t26020 * t24271 - 0.4e1 * t5761 * t22968 + 0.12e2 * t26020 * t25252 - 0.24e2 * t26016 * t25371 - t6237 + 0.2e1 / 0.3e1 * t21918 * t5752 + 0.2e1 / 0.3e1 * t4846 * t6021 - 0.4e1 * t5776 * t4932 + 0.2e1 * t265 * t4876 - 0.4e1 * t25991 * t1273 + 0.4e1 * t26002 * t1265 + 0.4e1 * t5771 * t4895 + 0.2e1 * t818 * t1198;
  t42906 = 0.12e2 * t26036 * t23632 + 0.4e1 * t5758 * t24340 - 0.8e1 * t5761 * t25350 - 0.8e1 / 0.3e1 * t5761 * t25261 + 0.16e2 / 0.9e1 * t26020 * t25285 + 0.4e1 * t5758 * t22472 + 0.4e1 * t5764 * t22463 - 0.4e1 / 0.3e1 * t5761 * t22964 + t6225 + t28794 + t28797 + t28799 - t28828;
  t42908 = t42848 + t42863 + t42889 + t42906;
  t42917 = t302 * t23966 * t884;
  t42923 = t302 * t2571 * t5901;
  t42930 = -t3057 * t8482 / 0.18e2 - t843 * t5316 / 0.18e2 + t2902 * t1283 / 0.6e1 + t372 * t8463 / 0.6e1 + t838 * t8447 / 0.12e2 + t259 * t490 * t1726 * t8445 / 0.12e2 + t259 * t490 * t303 * t95 * t42908 / 0.12e2 + t5701 * t5616 / 0.2e1 - t127 * t42917 / 0.6e1 + t5658 * t890 / 0.2e1 - t127 * t42923 / 0.12e2 + t719 * t5907 / 0.4e1 + t854 * t5297 / 0.2e1;
  t42958 = t96 * t24082;
  t42965 = -t838 * t5316 / 0.6e1 - t259 * t23548 / 0.6e1 - t259 * t24157 / 0.6e1 - t2972 * t8482 / 0.6e1 - t866 * t548 * t42791 / 0.6e1 + 0.6e1 * t2251 * t27225 * t9916 * t4258 - 0.18e2 * t2255 * t27225 * t9911 * t4258 - 0.18e2 * t2251 * t27204 * t5567 + t3006 * t1684 * t169 * t193 * t8444 / 0.12e2 + t4571 * t2175 * t42958 + t31366 - t1677 * t26826 * t1265 - t1677 * t26323 * t1265;
  t42975 = t717 * t26211;
  t42976 = t548 * t42975;
  t42993 = -t1677 * t6172 * t4895 - t9731 * t8672 / 0.2e1 + t719 * t5898 / 0.2e1 + t719 * t5883 / 0.2e1 - 0.2e1 * t15553 * t42976 - t719 * t5887 / 0.2e1 + t719 * t5870 + t1529 * t8468 + t2483 * t1356 / 0.6e1 - t6149 * t1150 / 0.18e2 - t37670 - 0.6e1 * t2251 * t27200 * t5343 - 0.11e2 / 0.9e1 * t4531 * t35287 * t5215;
  t42997 = -t3015 * t21337 * t5209 / 0.3e1 - t37686 - t37687 + t31489 + t37688 - t37690 - t37691 + t37693 + t37694 - t37698 - t37699 - t37700 - t37701;
  t43023 = t8640 * t326;
  t43036 = t349 * t8488 / 0.4e1 + t162 * t26418 * t236 * t165 / 0.4e1 + t162 * t5901 * t690 * t165 / 0.4e1 - t661 * t5903 / 0.12e2 - t233 * t26621 / 0.12e2 - t233 * t26420 / 0.12e2 + 0.7e1 / 0.3e1 * t5687 * t2233 * t5382 - t2251 * t806 * t1868 * t42729 - 0.3e1 / 0.2e1 * t2251 * t263 * t10240 * t43023 + t29658 - t29674 - t162 * t3358 * t8496 / 0.4e1 - t162 * t876 * t320 * t137 * t42908 / 0.4e1;
  t43060 = -t349 * t8500 - t661 * t6037 / 0.6e1 - t233 * t26662 / 0.6e1 - t233 * t26657 / 0.6e1 + t2885 * t1283 / 0.2e1 + t854 * t5280 / 0.2e1 - t854 * t5321 - t854 * t5626 - t2885 * t1269 / 0.2e1 - t854 * t5631 / 0.2e1 - t854 * t5634 / 0.2e1 + 0.3e1 * t509 * t5912 * t4903 + t1553 * t8471;
  t43064 = t8635 * t326;
  t43071 = t5958 * t230;
  t43096 = t509 * t5894 * t39934 + t3015 * t10775 * t500 * t43064 + 0.2e1 / 0.3e1 * t3015 * t2294 * t42725 - t3015 * t2169 * t1675 * t43071 / 0.3e1 - t866 * t36857 / 0.6e1 - t259 * t25180 / 0.6e1 + 0.2e1 / 0.3e1 * t866 * t548 * t717 * t5678 + t6136 * t734 / 0.4e1 + t894 * t36393 / 0.3e1 + t259 * t23968 / 0.6e1 - t866 * t41280 / 0.6e1 - 0.2e1 / 0.3e1 * t1297 * t40093 - 0.2e1 / 0.3e1 * t1297 * t40096;
  t43110 = t5779 * t230;
  t43111 = t96 * t43110;
  t43126 = t1297 * t40010 / 0.3e1 + t2674 * t39625 / 0.3e1 + t3006 * t41791 / 0.6e1 + t3006 * t41796 / 0.6e1 - t15227 * t8686 / 0.6e1 - t2988 * t9743 * t8685 / 0.6e1 - t2988 * t1684 * t43111 / 0.6e1 - t2632 * t37854 / 0.3e1 + 0.2e1 / 0.3e1 * t2632 * t39381 - t21519 * t5552 + t15274 * t5555 - t3015 * t36606 / 0.3e1 + 0.3e1 / 0.2e1 * t1677 * t26094 * t1265;
  t43147 = -t33370 - t33372 - 0.4e1 / 0.3e1 * t3015 * t2169 * t500 * t42762 + 0.2e1 * t26105 * t40304 - t3015 * t21213 * t5209 / 0.6e1 - 0.6e1 * t39033 * t5234 - 0.2e1 * t26103 * t5585 + 0.22e2 / 0.3e1 * t37569 * t5240 + 0.3e1 / 0.2e1 * t10978 * t26270 * t8513 + t37759 + t37762 - t37768 - t37771;
  t43154 = t2571 * t5678;
  t43164 = t29677 + t29681 + t843 * t8447 / 0.36e2 - 0.5e1 / 0.36e2 * t5687 * t30007 - t1297 * t12738 / 0.12e2 - t866 * t555 * t43154 / 0.3e1 - 0.2e1 / 0.3e1 * t1297 * t12529 + 0.23e2 / 0.36e2 * t5687 * t30074 + t1297 * t12499 / 0.3e1 - t37772 + t37773 - t37774 + t29698;
  t43166 = t500 * t24082;
  t43196 = t29706 - t29722 - t29753 + 0.14e2 / 0.3e1 * t4531 * t3931 * t43166 - 0.7e1 * t26203 * t13498 + 0.7e1 / 0.3e1 * t26203 * t3931 * t5520 - t4531 * t2169 * t42958 + 0.3e1 / 0.2e1 * t26203 * t10775 * t5219 - t26203 * t2169 * t5209 / 0.2e1 + 0.23e2 / 0.18e2 * t4531 * t3935 * t43166 - 0.6e1 * t2265 * t26982 * t24271 - 0.3e1 * t4531 * t3935 * t2263 * t42720 + 0.3e1 * t10978 * t26982 * t25285;
  t43197 = t8635 * t122;
  t43215 = t8444 * t122;
  t43216 = t96 * t43215;
  t43223 = t8444 * t326;
  t43240 = -0.3e1 / 0.2e1 * t2251 * t3221 * t400 * t43197 - t2251 * t806 * t1868 * t43064 + 0.3e1 * t2251 * t1323 * t40509 + 0.5e1 * t2251 * t5733 * t4975 - 0.2e1 * t2251 * t810 * t1862 * t42762 + t3015 * t2169 * t43216 / 0.12e2 - t2988 * t1684 * t43216 / 0.6e1 - t3006 * t3624 * t96 * t43223 / 0.6e1 + t3015 * t19277 * t5946 / 0.12e2 + t3006 * t12291 * t5959 / 0.12e2 - t866 * t36347 / 0.3e1 + t6136 * t749 / 0.2e1 + t671 * t38269 / 0.3e1;
  t43271 = -t26906 * t730 / 0.2e1 - t671 * t38265 / 0.6e1 + t5658 * t862 + 0.3e1 / 0.2e1 * t13061 * t5940 - t24478 * t859 - t6136 * t742 / 0.2e1 - t6136 * t746 / 0.4e1 - t233 * t26617 / 0.12e2 + t14008 * t8703 / 0.18e2 + 0.3e1 * t21470 * t5568 - 0.6e1 * t21686 * t5561 + 0.6e1 * t2255 * t5730 * t39975 - 0.3e1 * t2251 * t5730 * t39968;
  t43280 = t38023 * t669;
  t43296 = t1289 * t1147;
  t43297 = t500 * t43296;
  t43298 = t2169 * t43297;
  t43306 = -t18604 * t5712 / 0.2e1 + t2255 * t810 * t1505 * t43215 / 0.2e1 + t19135 * t5706 / 0.2e1 + t1677 * t43280 * t645 / 0.2e1 - t2632 * t38016 / 0.6e1 + t2632 * t38020 / 0.3e1 - t2265 * t43280 * t622 / 0.2e1 - t9731 * t8645 - t2251 * t810 * t1862 * t43215 / 0.2e1 + 0.1e2 / 0.3e1 * t10870 * t43298 + t1677 * t26091 * t1198 / 0.2e1 + t37853 - t2988 * t41158 / 0.3e1;
  t43320 = 0.5e1 / 0.12e2 * t26203 * t10733 * t5219 + t3015 * t2169 * t42763 / 0.3e1 - 0.5e1 / 0.6e1 * t26103 * t4979 - t26105 * t40208 / 0.2e1 + t33411 + t33414 + t37968 + t37974 + t37975 - t10480 * t8672 / 0.6e1 - t29811 - t37976 - t37977;
  t43335 = t2057 * t2507 * t26211;
  t43350 = -0.4e1 / 0.3e1 * t3015 * t2169 * t1675 * t42724 + t6146 * t8057 / 0.18e2 + 0.3e1 / 0.2e1 * t719 * t5935 - t372 * t8497 / 0.12e2 - t654 * t6037 / 0.18e2 + t2509 * t6027 - 0.3e1 / 0.2e1 * t15539 * t43335 - t2509 * t6029 / 0.2e1 + t666 * t37832 / 0.6e1 + t233 * t27068 / 0.12e2 - t671 * t38228 / 0.12e2 - t14664 * t1261 / 0.3e1 - t1292 * t4820 / 0.6e1;
  t43363 = t10936 * t43297;
  t43379 = -t1677 * t25949 * t8061 - 0.35e2 / 0.108e3 * t37617 * t17992 * t5215 - 0.5e1 / 0.36e2 * t26203 * t3935 * t5209 - t4538 * t2162 * t42958 - 0.14e2 / 0.3e1 * t10863 * t43363 + 0.3e1 * t2265 * t26536 * t1260 + t10769 * t8637 / 0.2e1 + t26105 * t40202 / 0.6e1 - 0.5e1 / 0.18e2 * t4531 * t3935 * t42958 - t31661 - t38043 - t38049 - 0.6e1 * t2255 * t5733 * t2567;
  t43385 = -t38069 - t38070 + t38074 + t38075 + t29865 + t29897 - t31711 + t31713 - t2251 * t1319 * t4944 + t38096 + 0.5e1 / 0.18e2 * t26203 * t40205 - t38099 + t26103 * t5501;
  t43419 = 0.6e1 * t21686 * t5512 - 0.4e1 * t4571 * t2175 * t43166 + 0.12e2 * t39033 * t5237 + 0.4e1 * t26103 * t5505 - 0.23e2 / 0.3e1 * t37569 * t5534 - 0.3e1 * t2265 * t26270 * t8518 + 0.2e1 * t4571 * t2182 * t42958 - 0.3e1 * t162 * t5912 * t4932 - 0.3e1 * t349 * t8538 - t5687 * t39748 / 0.2e1 + 0.23e2 / 0.36e2 * t5687 * t39760 - t5687 * t2324 * t5251 / 0.2e1 + 0.23e2 / 0.36e2 * t5687 * t2057 * t5382;
  t43426 = t2233 * t42975;
  t43440 = -0.11e2 / 0.18e2 * t5687 * t2233 * t5251 - 0.11e2 / 0.18e2 * t5687 * t40123 - t719 * t5895 + 0.7e1 / 0.3e1 * t15539 * t43426 - t29923 - t29926 + 0.3e1 * t35295 * t5558 + 0.8e1 * t37617 * t17992 * t4275 * t4258 + t9731 * t8670 + t1677 * t27088 * t1273 + t1677 * t27092 * t1273 + t29950 + t29953;
  t43460 = -t29956 - t29963 - t29994 - t29997 - t3410 + t3430 - t3445 + t3460 - t38188 - 0.23e2 / 0.36e2 * t4531 * t10733 * t500 * t43197 - 0.3e1 / 0.2e1 * t4277 * t3208 * t9911 * t43197 + 0.3e1 * t2255 * t3208 * t9916 * t43197 - 0.3e1 / 0.2e1 * t2251 * t3208 * t10255 * t43197;
  t43461 = t96 * t43197;
  t43467 = t19269 * t38065;
  t43480 = t4531 * t10775 * t43461 / 0.2e1 - t4531 * t2169 * t42721 + t33632 - t33635 + 0.2e1 / 0.3e1 * t9737 * t43467 - t13562 * t6176 / 0.2e1 + t30019 - t38196 - t30024 + 0.2e1 * t37607 * t5216 + t26300 * t5220 / 0.2e1 - t26300 * t5226 / 0.2e1 + t1677 * t6172 * t22472;
  t43491 = t96 * t43064;
  t43498 = t169 * t43071;
  t43504 = t1677 * t6175 * t22463 - t30055 - t1292 * t4852 / 0.6e1 - 0.11e2 / 0.54e2 * t25879 * t8525 + t30094 + t30101 + t30105 - t30108 + t4538 * t1684 * t43461 / 0.2e1 + t2988 * t3624 * t43491 / 0.3e1 - t4571 * t2169 * t43461 / 0.2e1 - t2988 * t1684 * t43498 / 0.6e1 + t3015 * t42550 / 0.6e1;
  t43526 = -t2988 * t42612 / 0.3e1 - t3006 * t42602 / 0.3e1 - t4538 * t2162 * t42721 - t2988 * t1684 * t42725 / 0.3e1 - t38231 + t38232 + t38233 - t30142 - t2265 * t27092 * t1260 - t14122 * t8690 / 0.18e2 - t14127 * t8686 / 0.18e2 + t14122 * t8357 / 0.18e2 + 0.6e1 * t2255 * t3226 * t396 * t24082;
  t43530 = t500 * t1289 * t230;
  t43531 = t3931 * t43530;
  t43549 = t1304 * t658;
  t43561 = t19277 * t25841;
  t43564 = -t33763 - 0.28e2 * t29634 * t43531 - 0.3e1 * t1677 * t26536 * t1273 - t14008 * t8677 / 0.18e2 - 0.3e1 / 0.2e1 * t2251 * t5744 * t5347 - t3015 * t10910 * t8706 / 0.3e1 - t3015 * t2169 * t500 * t43110 / 0.3e1 - t3015 * t2169 * t500 * t43549 / 0.3e1 - t13995 * t8661 / 0.3e1 - t3015 * t11209 * t8660 / 0.3e1 + t4571 * t21213 * t5215 + t38252 - t9737 * t43561 / 0.3e1;
  t43591 = -t11016 * t8668 / 0.3e1 - t13562 * t5990 / 0.4e1 + t2251 * t806 * t400 * t43215 / 0.2e1 + 0.2e1 * t21686 * t5515 + 0.7e1 / 0.3e1 * t5687 * t12892 - t26175 * t1210 / 0.6e1 + t1529 * t8471 / 0.3e1 - t372 * t8538 + t1297 * t12567 / 0.3e1 - t1297 * t12564 / 0.6e1 - t5687 * t31208 / 0.2e1 - 0.11e2 / 0.18e2 * t5687 * t30071 + t5701 * t4221;
  t43593 = t1675 * t42720;
  t43606 = -t32184 + t30204 + t30223 - t30226 - t30229 - t38324 - t38325 + 0.14e2 / 0.3e1 * t4531 * t3931 * t43593 - 0.2e1 * t5701 * t4911 + t5701 * t4916 + t5701 * t5252 - 0.3e1 * t1553 * t8519 - 0.3e1 * t509 * t5934 * t39713;
  t43626 = 0.3e1 / 0.2e1 * t1565 * t5934 * t39774 + 0.3e1 / 0.2e1 * t10026 * t8514 + t854 * t5302 + t854 * t5305 + 0.3e1 * t2509 * t6024 - 0.3e1 * t719 * t5913 - 0.3e1 * t2509 * t5943 + t843 * t8289 / 0.18e2 + t3052 * t8419 / 0.9e1 - t349 * t8497 / 0.4e1 - t32229 - t38326 + t38327 - t38328;
  t43653 = t10733 * t1556 * t43296;
  t43664 = 0.3e1 * t2251 * t3226 * t1862 * t43197 - 0.3e1 * t2255 * t3226 * t1505 * t43197 - t2255 * t810 * t10255 * t42729 + t33857 - t30260 + 0.18e2 * t37569 * t5231 + 0.9e1 / 0.2e1 * t26203 * t13514 - 0.43e2 / 0.9e1 * t37617 * t17992 * t5230 - 0.3e1 / 0.2e1 * t26203 * t13510 + 0.3e1 * t10863 * t43653 + t2265 * t25949 * t8035 + t2251 * t806 * t400 * t42762 - 0.3e1 / 0.2e1 * t2251 * t5744 * t4939;
  t43669 = t548 * t5656 * t3307;
  t43687 = t38436 + t38438 - t2509 * t6022 - t5658 * t877 / 0.2e1 + 0.2e1 / 0.3e1 * t1941 * t43669 + t5658 * t881 / 0.2e1 - t32296 + t32299 - t4531 * t21610 * t5215 + 0.14e2 / 0.3e1 * t4531 * t35287 * t5236 + t3006 * t41786 / 0.6e1 + 0.6e1 * t2251 * t5733 * t5358 + t2251 * t3236 * t8636 / 0.2e1;
  t43701 = t25936 * t231;
  t43713 = t10733 * t43530;
  t43722 = t2251 * t806 * t400 * t43110 / 0.2e1 + t26105 * t40299 / 0.3e1 + t2251 * t806 * t400 * t43549 / 0.2e1 - t14008 * t8661 / 0.9e1 - t1677 * t43701 * t328 / 0.4e1 - t913 + t984 - t32334 + 0.3e1 * t2251 * t3208 * t1505 * t24082 - 0.9e1 / 0.2e1 * t2251 * t5730 * t10255 * t2566 + 0.47e2 / 0.3e1 * t29591 * t43713 - t1677 * t26440 * t1198 / 0.2e1 - t1677 * t26327 * t1198 / 0.2e1;
  t43746 = t34006 - t2902 * t1269 / 0.6e1 + t2885 * t1274 - t2897 * t5198 - t2897 * t5201 - 0.3e1 / 0.2e1 * t5687 * t12390 - t14165 * t1261 - 0.3e1 / 0.2e1 * t5687 * t12898 + 0.2e1 / 0.3e1 * t866 * t41633 + 0.2e1 / 0.3e1 * t2972 * t8503 + 0.2e1 / 0.3e1 * t866 * t548 * t2883 * t1208 - t866 * t41534 / 0.3e1 - t866 * t555 * t42791 / 0.3e1;
  t43758 = -t2972 * t8545 / 0.3e1 + t34035 + 0.2e1 * t2265 * t5967 * t25261 + t38562 + t7617 - t10923 * t8700 / 0.6e1 + t11018 * t8696 / 0.6e1 + t6548 - t6556 - t6562 + t6577 - t6586 + t3489;
  t43790 = t5704 * t230;
  t43792 = t10733 * t1556 * t43790;
  t43796 = t1648 * t8827 * t230;
  t43800 = -t3491 - t22 * t5497 * t288 / 0.2e1 - 0.23e2 / 0.12e2 * t26203 * t10733 * t5504 + 0.44e2 / 0.27e2 * t37617 * t17992 * t5236 + 0.23e2 / 0.36e2 * t26203 * t3935 * t5520 - t2988 * t12291 * t5946 / 0.6e1 - t3006 * t30026 * t5951 / 0.6e1 + t10769 * t8642 / 0.2e1 + t2251 * t804 * t8641 / 0.2e1 + t2251 * t263 * t1868 * t42695 / 0.2e1 + t2251 * t263 * t1868 * t42700 / 0.2e1 + 0.3e1 / 0.2e1 * t10863 * t43792 + t2265 * t3012 * t43796 / 0.2e1;
  t43815 = t792 * t230;
  t43816 = t169 * t43815;
  t43825 = t2169 * t1675 * t37459 * t1147;
  t43836 = -0.3e1 / 0.2e1 * t2255 * t810 * t10255 * t43064 + t18604 * t5983 / 0.2e1 + t18604 * t5987 / 0.2e1 - t14008 * t8707 / 0.9e1 + t2988 * t10707 * t8660 / 0.3e1 + t2988 * t2162 * t43816 / 0.3e1 - t22 * t1251 * t793 / 0.2e1 - t30741 - 0.2e1 / 0.3e1 * t9737 * t43825 + 0.36e2 * t2255 * t27204 * t4282 + 0.3e1 * t21470 * t5344 - 0.3e1 * t2255 * t1323 * t39964 + t3586;
  t43857 = -t3589 + 0.3e1 / 0.2e1 * t162 * t5934 * t40149 + 0.3e1 / 0.2e1 * t349 * t8542 - 0.5e1 / 0.36e2 * t5687 * t40104 - t5694 * t5287 / 0.2e1 - t5694 * t4991 / 0.2e1 + t5701 * t4865 / 0.2e1 + t1297 * t39678 / 0.6e1 + t1297 * t39787 / 0.6e1 - 0.5e1 / 0.36e2 * t5687 * t2057 * t5251 + t7027 - t7045 + t39112;
  t43880 = t7649 + t32451 - t3603 - t3605 + t3607 + t3612 - t4538 * t21164 * t5215 - t2988 * t14332 * t5219 / 0.3e1 - 0.62e2 / 0.3e1 * t37617 * t18027 * t5230 - 0.3e1 * t4531 * t35122 * t5230 + 0.3e1 / 0.2e1 * t349 * t8459 + 0.3e1 / 0.2e1 * t162 * t5878 * t4895 + 0.3e1 * t1677 * t26383 * t23632;
  t43885 = t500 * t43790;
  t43886 = t10936 * t43885;
  t43890 = t1648 * t8752 * t230;
  t43898 = t2175 * t1675 * t37459 * t230;
  t43919 = 0.3e1 / 0.2e1 * t2251 * t810 * t10245 * t43064 - 0.7e1 / 0.3e1 * t10863 * t43886 - t1677 * t3012 * t43890 / 0.2e1 + t1677 * t6172 * t24340 - 0.4e1 * t10870 * t43898 - t654 * t6131 / 0.36e2 - 0.4e1 * t4571 * t21213 * t5236 - 0.4e1 / 0.3e1 * t3015 * t23815 + 0.23e2 / 0.18e2 * t4531 * t35122 * t5236 + 0.2e1 / 0.3e1 * t3015 * t23810 - 0.3e1 * t4531 * t24084 + t10923 * t8642 / 0.6e1 + t2674 * t38399 / 0.6e1;
  t43925 = t25936 * t664;
  t43951 = t2683 * t25943 / 0.12e2 - t2632 * t38410 / 0.12e2 - t1677 * t43925 * t636 / 0.2e1 - 0.2e1 * t1677 * t5967 * t25350 + 0.3e1 * t1677 * t26982 * t25252 + t10480 * t8670 / 0.3e1 + 0.2e1 * t2255 * t810 * t1505 * t42762 + t10923 * t8637 / 0.6e1 - t39195 - t233 * t26671 / 0.12e2 - t13030 * t1352 / 0.2e1 - t661 * t6131 / 0.12e2 + t26802 * t248 / 0.4e1;
  t43963 = t6136 * t738 / 0.4e1 - t838 * t5653 / 0.6e1 - t259 * t25018 / 0.6e1 + t1297 * t13620 / 0.3e1 + t27849 * t248 / 0.12e2 + t30825 - t30830 - t30848 - t30852 + t30856 + t30860 + t30863 + t15274 * t5361;
  t43994 = -0.2e1 * t26103 * t5521 + 0.3e1 * t4277 * t3208 * t1566 * t24082 - 0.18e2 * t4277 * t27204 * t4278 - 0.9e1 / 0.2e1 * t4277 * t5730 * t9911 * t2566 + t21470 * t5366 - t10480 * t8645 / 0.3e1 - 0.23e2 / 0.18e2 * t26203 * t40307 + t21470 * t5348 - t15274 * t5351 + t14008 * t8693 / 0.36e2 - t30866 + 0.5e1 / 0.36e2 * t4531 * t10733 * t43461 + t3015 * t2169 * t43498 / 0.12e2;
  t43998 = t96 * t42729;
  t44016 = t10775 * t500 * t5704 * t1147;
  t44020 = t1630 * t1363 * t1147;
  t44034 = -t3015 * t10775 * t43491 / 0.4e1 - t3015 * t10775 * t43998 / 0.6e1 - t3006 * t3624 * t169 * t5958 * t1147 / 0.6e1 + t2988 * t3624 * t43998 / 0.3e1 + t3006 * t15648 * t96 * t43023 / 0.2e1 + 0.2e1 / 0.3e1 * t9737 * t44016 + t1677 * t3190 * t44020 / 0.2e1 - t103 * t8629 / 0.12e2 - t7784 - t22 * t8628 * t194 / 0.4e1 - t1677 * t3190 * t8496 / 0.4e1 + t34716 - t3015 * t41039 / 0.6e1;
  t44042 = t96 * t43549;
  t44052 = t15227 * t8680 / 0.3e1 + t3015 * t41164 / 0.6e1 + t3006 * t41167 / 0.6e1 - t2988 * t1684 * t44042 / 0.6e1 - t30899 + t30901 - t30909 + 0.2e1 / 0.3e1 * t3015 * t2175 * t1675 * t43815 + 0.2e1 / 0.3e1 * t3015 * t42595 - t34757 - t34760 + t34772 - t34774;
  t44082 = -t34776 + t3015 * t2294 * t43216 / 0.6e1 + t3015 * t41217 / 0.3e1 + t3015 * t18921 * t5946 / 0.6e1 + t26203 * t39972 + t1292 * t2666 / 0.6e1 - t866 * t548 * t43154 / 0.6e1 + t1297 * t12775 / 0.6e1 + t894 * t302 * t43154 / 0.3e1 - t5694 * t3987 / 0.2e1 - t1292 * t2573 / 0.6e1 + t5701 * t4251 / 0.2e1 + t372 * t8488 / 0.12e2 - t654 * t5903 / 0.36e2;
  t44095 = 0.7e1 / 0.9e1 * t25879 * t8535 + 0.23e2 / 0.108e3 * t25879 * t8528 - t25879 * t8532 / 0.6e1 + t6642 - t6647 - t39320 - t30962 + t6798 - t7804 - t6807 - t6810 + t7805 - t103 * t8725 / 0.6e1;
  t44130 = -t103 * t8647 / 0.12e2 + t6146 * t8065 / 0.9e1 + t372 * t8459 / 0.2e1 - 0.2e1 * t5701 * t5383 - 0.6e1 * t2255 * t3208 * t1571 * t24082 + 0.9e1 * t2255 * t5730 * t9916 * t2566 - t26285 * t5128 / 0.6e1 - t2988 * t1684 * t42763 / 0.3e1 + t26300 * t5131 / 0.2e1 + t26285 * t5135 / 0.3e1 + 0.2e1 * t4571 * t2182 * t42721 + 0.23e2 / 0.18e2 * t4531 * t3935 * t43593 - 0.11e2 / 0.9e1 * t4531 * t3931 * t42721;
  t44153 = -t1677 * t5967 * t22968 - 0.5e1 / 0.3e1 * t26103 * t4963 - t26105 * t40293 + 0.11e2 / 0.9e1 * t26203 * t40296 - t3015 * t2182 * t43816 / 0.3e1 - t3015 * t42533 / 0.3e1 + 0.2e1 / 0.3e1 * t13995 * t8665 + 0.2e1 / 0.3e1 * t3015 * t10729 * t8664 + t3689 - t3693 - t3700 + t372 * t8542 / 0.2e1 - t3057 * t8545 / 0.9e1;
  t44183 = -0.2e1 / 0.3e1 * t25864 * t1224 + t25864 * t1218 / 0.3e1 - t1529 * t8519 + t9774 * t8514 / 0.2e1 + t3015 * t21610 * t5219 / 0.3e1 - 0.5e1 / 0.18e2 * t4531 * t35122 * t5215 - t13995 * t8677 / 0.6e1 + t2988 * t36744 / 0.3e1 + t3006 * t23772 / 0.6e1 - t3015 * t36749 / 0.6e1 - t3015 * t10729 * t8660 / 0.6e1 + 0.2e1 / 0.9e1 * t14008 * t8665 + t3015 * t11202 * t8685 / 0.6e1;
  t44206 = t320 * t1363 * t230;
  t44210 = t2169 * t43885;
  t44224 = t3015 * t2294 * t43111 / 0.6e1 + t3015 * t2294 * t44042 / 0.6e1 - t13995 * t8707 / 0.3e1 - t2251 * t3214 * t8699 / 0.2e1 - t2251 * t810 * t1862 * t43110 / 0.2e1 - t2251 * t810 * t1862 * t43549 / 0.2e1 + t1677 * t3108 * t44206 / 0.2e1 + 0.2e1 * t10870 * t44210 + t34872 - 0.2e1 * t37617 * t10936 * t5215 - 0.38e2 / 0.9e1 * t37617 * t10733 * t5215 + 0.89e2 / 0.9e1 * t37617 * t18027 * t5236 + 0.6e1 * t37569 * t5541;
  t44248 = -0.6e1 * t19499 * t27225 * t9945 * t4258 + 0.18e2 * t4277 * t27225 * t9906 * t4258 - t10858 * t8668 - t2265 * t27088 * t1260 - 0.11e2 / 0.9e1 * t4531 * t3931 * t42958 + 0.11e2 / 0.6e1 * t26203 * t10936 * t5219 - 0.61e2 / 0.27e2 * t37617 * t18027 * t5215 - 0.11e2 / 0.18e2 * t26203 * t3931 * t5209 - t39459 - t39461 + t39463 + t39470 + t32662;
  t44256 = t26103 * t5210 / 0.2e1 - t32697 - t32700 - t32702 - t32705 - t39496 - t39497 + t32722 + t7831 - t7832 - t7833 - 0.2e1 / 0.9e1 * t6146 * t8069 + 0.2e1 / 0.9e1 * t3057 * t8503;
  t44265 = t106 * t158 * t8627 * t159;
  t44270 = t138 * t8629;
  t44287 = -t2483 * t1365 / 0.12e2 + t25864 * t1213 / 0.6e1 - 0.5e1 / 0.108e3 * t25879 * t8454 + t44265 * t166 / 0.4e1 + t1292 * t2473 / 0.6e1 - t127 * t44270 / 0.12e2 - t1297 * t13025 / 0.6e1 - t1297 * t13622 / 0.12e2 - t2483 * t1360 / 0.6e1 - t6146 * t2476 / 0.36e2 - t13068 * t1352 / 0.6e1 + t6149 * t686 / 0.18e2 + t25550 * t274 / 0.6e1;
  t44301 = t2483 * t1368 / 0.6e1 - t843 * t5653 / 0.18e2 + 0.3e1 / 0.2e1 * t1677 * t26270 * t8541 - 0.3e1 * t39033 * t5223 - t26103 * t5588 - t32742 + t39522 - t31050 - t31052 - t31055 + t31065 + t31068 - t39533;
  t44310 = -t34046 - t34060 + t34103 - t38589 - t38590 - t38591 - t38592 + t38593 + t38594 + t38595 + t943 - t38596 + t38604 - t38605 - t38622;
  t44318 = t62 * t8444;
  t44319 = t44318 * t122;
  t44337 = -0.12e2 * t27156 * t5063 - 0.2e1 * t13916 * t423 * t42729 + 0.4e1 / 0.3e1 * t27156 * t40615 - 0.2e1 * t3200 * t423 * t44319 + t38643 + 0.2e1 * t1319 * t5034 - t38657 - t38658 - t38660 + 0.2e2 / 0.3e1 * t5733 * t5036 + 0.2e1 * t5733 * t5024 - 0.2e1 / 0.3e1 * t27204 * t5404 - 0.2e2 / 0.3e1 * t5730 * t40655 + 0.6e1 * t5744 * t5049 + 0.24e2 * t27195 * t5433;
  t44347 = t5456 * t802;
  t44366 = t410 * t43197;
  t44374 = -t34175 - t34177 - 0.4e1 * t1323 * t40647 + 0.72e2 * t38719 * t5466 + 0.24e2 * t27117 * t5477 + 0.8e1 * t38693 * t5458 - 0.24e2 * t4402 * t423 * t44347 + 0.2e1 * t3202 * t149 * t44319 + 0.2e1 * t4392 * t149 * t44318 * t326 + t3200 * t410 * t44319 / 0.3e1 - t38706 * t17918 * t5457 / 0.9e1 + 0.24e2 * t38706 * t5458 + 0.3e1 * t13830 * t44366 + 0.4e1 / 0.3e1 * t13916 * t410 * t42729 + t13815 * t8599 / 0.3e1;
  t44375 = t27130 * t230;
  t44379 = t5836 * t658;
  t44416 = t410 * t44347;
  t44419 = t3200 * t410 * t44375 / 0.3e1 + t3200 * t410 * t44379 / 0.3e1 - t13830 * t1837 * t43197 / 0.18e2 + 0.3e1 * t13836 * t149 * t43197 + 0.2e1 * t13833 * t149 * t43064 + 0.2e1 * t13833 * t149 * t42729 + 0.4e1 * t13818 * t44366 + 0.2e1 * t20906 * t8596 - 0.1e2 / 0.3e1 * t13830 * t1829 * t43197 + 0.2e1 * t13827 * t8602 + 0.2e1 * t3202 * t149 * t44375 + 0.2e1 * t3202 * t149 * t44379 - 0.6e1 * t13818 * t423 * t43197 - 0.3e1 * t13916 * t423 * t43064 + 0.12e2 * t4405 * t44416;
  t44443 = t5054 * t802;
  t44447 = -0.18e2 * t27156 * t5488 - 0.4e1 / 0.3e1 * t4405 * t1829 * t44347 + 0.2e1 * t27156 * t1829 * t5476 - 0.4e1 / 0.3e1 * t38706 * t10286 * t5457 - 0.72e2 * t38693 * t5463 + 0.8e1 / 0.3e1 * t38706 * t5491 + 0.4e1 * t4402 * t44416 - 0.4e1 * t27117 * t5488 - t38666 - t38667 + t38668 + t38669 - t962 - 0.4e1 * t38874 * t5060 + 0.4e1 * t3202 * t149 * t44443;
  t44485 = -0.6e1 * t27359 * t5056 + 0.12e2 * t4397 * t149 * t44347 - 0.24e2 * t38778 * t5480 - 0.6e1 * t27359 * t5483 - 0.12e2 * t38719 * t5463 - 0.8e1 * t3200 * t423 * t44443 + 0.2e2 * t27117 * t5100 + 0.12e2 * t38792 * t40730 + 0.2e1 * t13916 * t410 * t43064 - 0.2e1 / 0.9e1 * t4405 * t1837 * t44347 + 0.4e1 / 0.3e1 * t38693 * t5491 + t27156 * t1837 * t5476 / 0.3e1 + 0.3e1 * t20585 * t149 * t43023 + 0.4e1 / 0.3e1 * t3200 * t410 * t44443 - 0.1e2 / 0.3e1 * t27117 * t5063;
  t44499 = t1240 * t802;
  t44509 = -0.2e1 * t38792 * t40753 + 0.2e1 / 0.9e1 * t27156 * t40756 + 0.2e1 * t4392 * t149 * t27130 * t1147 + 0.2e1 * t4392 * t149 * t5836 * t4849 + t38671 + t7690 - t7691 + t7692 + t6469 - t6471 + t6473 - 0.6e1 * t3221 * t145 * t44499 + 0.12e2 * t27200 * t5426 + 0.3e1 * t5744 * t5429 - 0.6e1 * t1323 * t40652;
  t44510 = -t30319 - t30327 - t30338 - t30341 + t30346 + t30355 + t30366 - t30372 - t30381 + t30409 + t30412 + t30415 - t30418 - t30420 + t38685;
  t44514 = t16690 * t43197;
  t44537 = -t38686 - 0.6e1 * t13830 * t44514 + 0.6e1 * t13916 * t16699 * t43064 + 0.2e1 / 0.3e1 * t13830 * t17753 * t43197 + 0.4e1 * t13916 * t16699 * t42729 + 0.12e2 * t13818 * t16699 * t43197 + t7111 - t38734 + t7720 + t38757 + t38758 - t38759 - 0.6e1 * t13836 * t16695 * t43197 - 0.4e1 * t13833 * t16695 * t43064 - 0.2e1 * t13818 * t44514;
  t44554 = t1177 * t802;
  t44568 = t8556 * t122;
  t44577 = -0.4e1 * t13833 * t16695 * t42729 - 0.6e1 * t20585 * t16695 * t43023 - 0.2e1 / 0.3e1 * t13916 * t16690 * t42729 - t13916 * t16690 * t43064 + t13830 * t17682 * t43197 / 0.9e1 + 0.2e1 * t1319 * t5047 + 0.4e1 * t810 * t1862 * t44554 - 0.1e2 * t5733 * t5005 - t263 * t1868 * t8556 * t326 - 0.2e1 * t806 * t400 * t44554 + 0.3e1 * t5744 * t5044 - t806 * t400 * t44568 - 0.12e2 * t5733 * t5039 - 0.4e2 * t27204 * t5415 - 0.2e1 / 0.3e1 * t5730 * t40660;
  t44588 = t5780 * t230;
  t44591 = t1336 * t658;
  t44609 = 0.1e2 / 0.3e1 * t27225 * t9906 * t5394 + 0.6e1 * t5730 * t40669 + 0.5e2 / 0.3e1 * t27225 * t9911 * t5394 + t3214 * t8613 + t810 * t1862 * t44588 + t810 * t1862 * t44591 - t806 * t400 * t44591 - t804 * t8618 - t263 * t1868 * t5780 * t1147 - t263 * t1868 * t1336 * t4849 - t263 * t400 * t63 * t42908 - t3236 * t8615 - t806 * t400 * t44588 - t7745 - t7746;
  t44610 = t7747 - t7748 - t6501 - t6507 + t6517 + t30523 - t30526 + t30536 + t30539 + t30541 - t30571 + t30572 + t30576 - t3777 - t3778;
  t44621 = -0.2e1 * t3200 * t423 * t44375 - 0.2e1 * t3200 * t423 * t44379 - 0.2e1 * t13815 * t8574 + t34379 + t34398 + t34400 + t34402 - t3782 + t3802 - t3841 - t38769 + t38770 + t38771 + t38821 + t38826;
  t44635 = t3866 + t3868 + t3873 - t30627 - t804 * t8580 - 0.4e1 * t5733 * t5089 + 0.6e1 * t5733 * t5084 - 0.3e1 * t5730 * t40828 + t810 * t1862 * t44568 - t30672 + t38985 - t38988 + t38995 + t5730 * t40862 / 0.18e2 + 0.1e2 / 0.3e1 * t5730 * t40806;
  t44670 = -0.4e1 / 0.3e1 * t1323 * t40833 + t804 * t8557 / 0.2e1 + t263 * t400 * t60 * t42908 / 0.2e1 - 0.12e2 * t27225 * t9916 * t5394 + 0.6e1 * t5730 * t40775 + 0.36e2 * t27204 * t5399 - 0.6e1 * t3208 * t1505 * t44499 + 0.9e1 * t5730 * t10255 * t5419 + 0.12e2 * t3226 * t405 * t44499 - 0.36e2 * t27195 * t5395 - 0.12e2 * t5733 * t5420 + 0.2e1 * t1323 * t40850 - 0.3e1 * t5744 * t5094 - t1319 * t5080 - t7170;
  t44710 = -0.8e1 * t3226 * t396 * t44499 + 0.8e1 * t5733 * t5423 - 0.1e2 * t5730 * t9916 * t5419 - 0.8e1 / 0.3e1 * t810 * t1505 * t44554 + 0.4e1 * t1323 * t40800 - t5730 * t9911 * t5419 / 0.6e1 + 0.2e2 / 0.3e1 * t3208 * t1571 * t44499 + t3208 * t1566 * t44499 / 0.9e1 - 0.2e1 / 0.3e1 * t810 * t1505 * t44568 - 0.2e1 / 0.3e1 * t3214 * t8583 - 0.2e1 / 0.3e1 * t810 * t1505 * t44591 - 0.2e1 / 0.3e1 * t810 * t1505 * t44588 + 0.2e1 / 0.3e1 * t1323 * t40696 - t5730 * t40698 / 0.9e1 - t5730 * t40790 / 0.9e1 - t34501;
  t44726 = -t39536 + t39549 - t2885 * t1266 + t2902 * t1274 / 0.3e1 - t1677 * t6175 * t4876 / 0.2e1 + 0.5e1 / 0.3e1 * t37569 * t5591 - t22 * t59 * (t44310 + t44337 + t44374 + t44419 + t44447 + t44485 + t44509 + t44510 + t44537 + t44577 + t44609 + t44610 + t44621 + t44635 + t44670 + t44710) * t96 / 0.4e1 + t39566 + t39570 + t39571 - t21519 * t5517 + t2251 * t263 * t1868 * t43223 / 0.2e1 - 0.6e1 * t21470 * t5526;
  t44732 = t2169 * t500 * t256 * t8444;
  t44736 = t21610 * t23666;
  t44755 = -0.2e1 * t21470 * t5359 - t9737 * t44732 / 0.3e1 + t21470 * t5337 - 0.2e1 / 0.3e1 * t9737 * t44736 - t15274 * t5340 / 0.2e1 + t843 * t8425 / 0.36e2 - t2538 * t1365 / 0.4e1 - t719 * t5860 / 0.4e1 - t719 * t5865 / 0.4e1 - t162 * t5894 * t40014 - t719 * t5874 + 0.3e1 / 0.2e1 * t719 * t5879 - t5658 * t873;
  t44768 = -t372 * t8500 / 0.3e1 - t25879 * t8507 / 0.2e1 + t259 * t41452 / 0.6e1 - t31107 + t31120 + t31122 - t31124 - t39599 + t3015 * t2294 * t43498 / 0.6e1 - t3015 * t11150 * t43491 / 0.2e1 - t31133 - t31136 - t31142;
  t44791 = t1505 * t8635;
  t44799 = t31146 + t31148 + t3015 * t42441 / 0.3e1 - t4571 * t2294 * t43461 - t3015 * t11150 * t43998 / 0.3e1 + 0.11e2 / 0.18e2 * t4531 * t10936 * t43461 + t25011 * t274 / 0.2e1 + t2538 * t1368 / 0.2e1 + t5658 * t833 / 0.2e1 + t13995 * t8703 / 0.6e1 + t10809 * t8696 / 0.2e1 + t2255 * t3214 * t44791 / 0.2e1 + t2255 * t810 * t1505 * t43110 / 0.2e1;
  t44828 = t2255 * t810 * t1505 * t43549 / 0.2e1 - t10769 * t8700 / 0.2e1 + t13995 * t8693 / 0.12e2 + t3015 * t10910 * t8685 / 0.12e2 + t3015 * t2169 * t43111 / 0.12e2 + t3015 * t2169 * t44042 / 0.12e2 - t15274 * t5355 - t15274 * t5244 / 0.2e1 + t2683 * t26262 / 0.6e1 - t2632 * t37626 / 0.6e1 - t6146 * t2500 / 0.18e2 + t6146 * t2504 / 0.9e1 + t7886;
  t44839 = -t7888 + t6715 - t6719 + t39609 + t39610 - t32900 - t39613 - t13562 * t6173 - t2538 * t1360 / 0.2e1 + t21686 * t5531 - t21470 * t5564 - 0.3e1 * t4277 * t5730 * t39983 + t13562 * t5970;
  t44858 = -t18608 * t5968 - 0.5e1 * t2255 * t5733 * t23387 - 0.18e2 * t2255 * t27195 * t4259 + t39614 + t39615 + t39616 - t39617 + t39618 + t31196 + t1677 * t5967 * t4932 - t3015 * t2175 * t43816 / 0.6e1 - t39642 - t22 * t243 * t6077 / 0.4e1 - t22 * t713 * t1387 / 0.4e1;
  t44865 = my_piecewise3(t3, 0, t44034 + t42751 + t43379 + t43722 + t44839 + t43320 + t43758 + t44768 + t43196 + t43480 + t44183 + t43306 + t43526 + t44052 + t44256 + t42788 + t43951 + t44858 + t43606 + t43164 + t44287 + t43919 + t44755 + t43687 + t42814 + t42993 + t42712 + t44248 + t43746 + t44082 + t44828 + t43147 + t44130 + t44301 + t43963 + t43350 + t43504 + t43836 + t43126 + t43419 + t42930 + t43857 + t44224 + t43880 + t43800 + t43060 + t43994 + t43240 + t43460 + t43440 + t44726 + t44153 + t43096 + t42965 + t43564 + t43036 + t44095 + t43664 + t43591 + t42997 + t43626 + t43385 + t44799 + t43271);
  tv4rholapltau20 = 0.2e1 * rho[0] * t44865 + 0.2e1 * t8732;

  if(out->v4rholapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 0] += tv4rholapltau20;

  t44881 = t2169 * t1675 * t37459 * t1304;
  t44890 = t169 * t9014 * t122;
  t44902 = 0.9e1 / 0.2e1 * t854 * t5935 - t8912 * t9169 / 0.2e1 - 0.5e1 / 0.36e2 * t8912 * t9711 + 0.23e2 / 0.36e2 * t8912 * t9315 + t6149 * t886 / 0.6e1 + t31285 + 0.23e2 / 0.12e2 * t31287 - t9737 * t44881 + 0.3e1 / 0.2e1 * t2265 * t5967 * t26599 - 0.3e1 / 0.2e1 * t1677 * t5967 * t27771 + t3015 * t2294 * t44890 / 0.2e1 + t37544 / 0.6e1 + 0.3e1 / 0.2e1 * t6136 * t862 - 0.3e1 / 0.2e1 * t26906 * t859 + t37601 / 0.3e1 + t31329 / 0.4e1 + t31334 / 0.2e1;
  t44903 = t8832 * t9901;
  t44905 = t106 * t9926 * t44903;
  t44910 = params->at * t8993;
  t44912 = t302 * t303 * t44910;
  t44920 = t302 * t2961 * t5901;
  t44929 = t2961 * t5678;
  t44934 = t8737 * t122;
  t44938 = t8737 * t326;
  t44951 = 0.89e2 / 0.9e1 * t44905 * t28042 - 0.2e1 * t44905 * t28402 - t127 * t44912 / 0.12e2 + t162 * t44910 * t142 * t165 / 0.4e1 - t127 * t44920 / 0.4e1 + 0.3e1 / 0.4e1 * t854 * t5907 - t866 * t38228 / 0.4e1 - t259 * t26617 / 0.4e1 + t894 * t302 * t44929 - 0.5e1 / 0.12e2 * t26203 * t32218 - t2251 * t806 * t1868 * t44934 - 0.3e1 / 0.2e1 * t2251 * t263 * t10240 * t44938 + 0.3e1 / 0.2e1 * t31366 + t259 * t27068 / 0.4e1 - 0.11e2 / 0.6e1 * t5687 * t32813 - 0.3e1 / 0.4e1 * t15274 * t5990 - t31431 / 0.2e1;
  t44975 = -0.5e1 / 0.12e2 * t31485 - t31487 / 0.4e1 + 0.3e1 / 0.2e1 * t31489 + t31491 / 0.2e1 - t31493 / 0.2e1 - 0.11e2 / 0.6e1 * t31495 + 0.3e1 * t31497 + t31498 - t31513 / 0.4e1 - t31515 / 0.4e1 - t31527 / 0.2e1 - t31532 / 0.2e1 + 0.9e1 / 0.2e1 * t14144 * t5940 - 0.9e1 * t2897 * t5943 - t372 * t8754 / 0.2e1 - t843 * t8749 / 0.18e2 - t866 * t548 * t44929 / 0.2e1;
  t44985 = t1289 * t1304;
  t44986 = t500 * t44985;
  t44987 = t2169 * t44986;
  t45014 = t1297 * t14463 / 0.2e1 - t1297 * t1711 * t160 * t6110 - t843 * t5903 / 0.12e2 + t6146 * t2947 / 0.3e1 + 0.16e2 / 0.3e1 * t10870 * t44987 + 0.3e1 / 0.2e1 * t1677 * t6172 * t27779 + 0.3e1 / 0.2e1 * t1677 * t6175 * t26915 + 0.3e1 / 0.2e1 * t26103 * t4753 - t10480 * t9011 / 0.4e1 + t3015 * t21651 * t5946 / 0.2e1 + t372 * t8825 / 0.3e1 - t6146 * t3373 / 0.12e2 - 0.2e1 * t1297 * t14946 + 0.23e2 / 0.12e2 * t5687 * t32816 + t1297 * t14936 + 0.9e1 / 0.2e1 * t8912 * t9101 + t37758;
  t45025 = t1318 * t335;
  t45030 = t9383 * t5685;
  t45034 = t1592 * t5699;
  t45040 = 0.8e1 * t5771 * t5873 - 0.12e2 * t45025 * t636 - 0.4e1 * t1334 * t328 + 0.12e2 * t45030 * t3576 + 0.4e1 * t5712 - 0.24e2 * t45034 * t645 + 0.32e2 / 0.3e1 * t45030 * t3594 - 0.2e1 / 0.3e1 * t5706 - t28745 + t28748 - t28772;
  t45057 = t1592 * t1295;
  t45062 = t28780 + 0.4e1 * t5758 * t27779 + 0.4e1 * t5764 * t26915 - 0.4e1 / 0.3e1 * t5761 * t26599 - 0.4e1 * t5761 * t27771 - 0.4e1 * t5983 - 0.4e1 * t5987 - 0.2e1 * t26031 * t1364 - 0.2e1 * t5764 * t5864 + 0.8e1 * t5761 * t5869 - 0.8e1 * t45057 * t1671 - 0.8e1 * t5758 * t5873;
  t45064 = t321 * t1295;
  t45067 = t321 * t1290;
  t45082 = t5729 * t1418;
  t45087 = 0.12e2 * t45064 * t636 + 0.4e1 * t45067 * t328 - 0.8e1 * t45034 * t622 + 0.8e1 / 0.3e1 * t5761 * t6021 - 0.8e1 / 0.3e1 * t45057 * t1666 + 0.16e2 / 0.9e1 * t45030 * t3495 - t6237 - 0.8e1 * t5776 * t5869 + 0.8e1 * t1331 * t1671 - 0.12e2 * t45082 * t3576 + 0.4e1 / 0.3e1 * t45082 * t3594;
  t45088 = t1322 * t1445;
  t45103 = 0.24e2 * t45088 * t645 + 0.4e1 / 0.3e1 * t5776 * t6021 - 0.4e1 * t45088 * t622 - 0.4e1 / 0.3e1 * t1331 * t1666 + 0.2e2 / 0.9e1 * t45082 * t3495 + t6225 + t28794 + t28797 + t28799 - t28828 + 0.2e1 * t818 * t1364 + 0.2e1 * t265 * t5864;
  t45105 = t45040 + t45062 + t45087 + t45103;
  t45124 = t1304 * t802;
  t45125 = t96 * t45124;
  t45137 = t37761 - 0.2e1 / 0.3e1 * t37767 - t37770 / 0.2e1 + t259 * t490 * t1726 * t8783 / 0.12e2 + t259 * t490 * t303 * t95 * t45105 / 0.12e2 - t259 * t26657 / 0.2e1 + t838 * t8817 / 0.4e1 + t259 * t490 * t14481 * t1305 / 0.4e1 + t1529 * t8829 / 0.2e1 - t31554 / 0.12e2 + t31559 / 0.4e1 - t31571 / 0.4e1 + t3015 * t2169 * t45125 / 0.2e1 - 0.4e1 / 0.3e1 * t26103 * t5955 + t8919 * t493 / 0.2e1 + 0.3e1 / 0.2e1 * t8912 * t9166 - 0.3e1 / 0.2e1 * t15274 * t6176;
  t45142 = t163 * t8917;
  t45161 = t21400 * t5685;
  t45165 = t4541 * t5699;
  t45169 = t96 * t44934;
  t45179 = -0.3e1 / 0.4e1 * t854 * t5865 + 0.3e1 / 0.2e1 * t2885 * t1356 - 0.3e1 / 0.2e1 * t162 * t45142 * t328 - t349 * t8822 / 0.4e1 - t2255 * t810 * t10255 * t44934 + t2251 * t810 * t10245 * t44934 + 0.3e1 / 0.2e1 * t26203 * t10775 * t5946 - 0.9e1 / 0.2e1 * t2251 * t5730 * t10255 * t5710 + 0.9e1 / 0.2e1 * t1677 * t45161 * t3576 - 0.9e1 * t1677 * t45165 * t645 - t3015 * t11150 * t45169 / 0.3e1 + t31594 / 0.2e1 + 0.3e1 / 0.4e1 * t31611 + 0.3e1 / 0.4e1 * t31615 + t31619 / 0.2e1 - t31631 / 0.2e1 - t31638 / 0.2e1;
  t45181 = t21213 * t38065;
  t45186 = t287 * t802;
  t45197 = t169 * t45186;
  t45209 = t510 * t8910;
  t45213 = t510 * t8932;
  t45218 = t160 * t95 * t8832;
  t45219 = t2233 * t45218;
  t45224 = 0.2e1 * t9737 * t45181 + t2988 * t38399 / 0.2e1 + 0.2e1 * t3015 * t2175 * t1675 * t45186 - 0.6e1 * t26103 * t4589 - 0.2e1 * t26105 * t15424 + 0.23e2 / 0.12e2 * t26203 * t32862 - t3015 * t2182 * t45197 + 0.3e1 * t26103 * t4562 + t26105 * t15068 - 0.11e2 / 0.6e1 * t26203 * t32878 + t2988 * t39625 - 0.9e1 * t162 * t5912 * t5869 + 0.18e2 * t162 * t45209 * t645 + 0.6e1 * t162 * t45213 * t1671 - 0.28e2 * t27972 * t45219 - 0.3e1 / 0.2e1 * t31661 - 0.3e1 / 0.4e1 * t31665;
  t45243 = t9898 * t44903;
  t45255 = -t38048 / 0.6e1 + t372 * t8740 / 0.6e1 - 0.7e1 * t8912 * t9193 - 0.3e1 / 0.4e1 * t854 * t5860 - t31673 / 0.12e2 - t31675 / 0.6e1 + t31681 / 0.3e1 - t1297 * t1711 * t347 * t1305 + 0.3e1 / 0.2e1 * t162 * t296 * t8844 * t1484 + t349 * t8825 - 0.6e1 * t9944 * t45243 * t28426 + t31685 - 0.3e1 / 0.2e1 * t31711 + 0.3e1 / 0.2e1 * t31713 - 0.5e1 / 0.12e2 * t5687 * t32885 + t38095 / 0.18e2 - t162 * t3358 * t8821 / 0.4e1;
  t45264 = t163 * t8932;
  t45279 = t8782 * t122;
  t45280 = t96 * t45279;
  t45284 = t8832 * t9762;
  t45286 = t106 * t1415 * t45284;
  t45293 = t21610 * t25841;
  t45295 = -t162 * t876 * t320 * t137 * t45105 / 0.4e1 - t38098 - 0.6e1 * t162 * t45264 * t636 + t26300 * t5947 + 0.2e1 / 0.3e1 * t26285 * t5952 - 0.8e1 / 0.3e1 * t26103 * t5972 + 0.11e2 / 0.6e1 * t26203 * t10936 * t5946 - 0.23e2 / 0.12e2 * t26203 * t10733 * t5975 + t3015 * t2294 * t45280 / 0.6e1 + 0.18e2 * t45286 * t3504 + 0.3e1 / 0.2e1 * t21470 * t5983 + 0.3e1 / 0.2e1 * t21470 * t5987 - t9737 * t45293 - t3410 + t3430 - t3445 + t3460;
  t45329 = -t32073 / 0.4e1 + 0.18e2 * t1565 * t45243 * t28415 - t866 * t38265 / 0.2e1 - 0.3e1 / 0.2e1 * t5687 * t32847 - 0.9e1 * t32090 - 0.3e1 / 0.2e1 * t5687 * t2324 * t5679 + 0.3e1 / 0.2e1 * t854 * t6016 - t838 * t5903 / 0.4e1 - t259 * t26621 / 0.4e1 - t259 * t26420 / 0.4e1 - t6149 * t1307 / 0.9e1 - t6146 * t8735 / 0.3e1 - t866 * t555 * t44929 + 0.3e1 * t5701 * t4519 + t1297 * t14383 - 0.3e1 / 0.2e1 * t6136 * t873 - 0.3e1 / 0.4e1 * t6136 * t877;
  t45332 = t548 * t6134 * t3307;
  t45365 = t1941 * t45332 + 0.3e1 / 0.4e1 * t6136 * t881 + t6146 * t8761 / 0.6e1 - t32122 / 0.4e1 + t32124 / 0.4e1 + t32126 / 0.2e1 + 0.9e1 / 0.2e1 * t162 * t5878 * t5873 - 0.3e1 / 0.2e1 * t26105 * t11150 * t5951 + 0.23e2 / 0.12e2 * t5687 * t2057 * t5999 - 0.23e2 / 0.12e2 * t8912 * t9324 + 0.44e2 / 0.27e2 * t44905 * t28318 - 0.11e2 / 0.6e1 * t5687 * t2233 * t5679 + 0.11e2 / 0.6e1 * t8912 * t9268 - 0.61e2 / 0.27e2 * t44905 * t28334 + t38251 - t6146 * t2997 / 0.6e1 - t843 * t6037 / 0.6e1;
  t45391 = t1502 * t45284;
  t45398 = t843 * t8785 / 0.36e2 + t843 * t8817 / 0.12e2 + 0.6e1 * t45286 * t3580 - 0.38e2 / 0.9e1 * t44905 * t28053 - 0.3e1 / 0.2e1 * t32184 - 0.9e1 * t32211 - 0.3e1 * t32214 - 0.3e1 / 0.2e1 * t32229 - 0.9e1 / 0.2e1 * t32234 + 0.3e1 * t32237 - 0.6e1 * t32240 + t6146 * t8790 / 0.12e2 + t1297 * t1711 * t6106 / 0.4e1 + t1297 * t1711 * t6111 / 0.4e1 - t1297 * t14848 / 0.4e1 + 0.36e2 * t509 * t45391 * t3594 - 0.18e2 * t162 * t45391 * t3576;
  t45410 = t302 * t26615 * t884;
  t45418 = t4541 * t1295;
  t45424 = t3935 * t2263 * t287 * t1289;
  t45436 = t106 * t109 * t8932;
  t45446 = -0.3e1 / 0.2e1 * t5694 * t4453 - t1292 * t2963 / 0.2e1 + 0.3e1 / 0.2e1 * t5701 * t4442 + t1292 * t2967 / 0.2e1 - t127 * t45410 / 0.4e1 + 0.3e1 / 0.4e1 * t6136 * t890 + 0.9e1 * t2265 * t45165 * t622 + 0.3e1 * t2265 * t45418 * t1666 - 0.9e1 / 0.2e1 * t10863 * t45424 + 0.5e1 / 0.12e2 * t8912 * t9599 - t1297 * t14839 / 0.4e1 - 0.35e2 / 0.108e3 * t44905 * t28664 - 0.3e1 / 0.2e1 * t5694 * t5690 + 0.2e1 * t45436 * t541 - t3015 * t2175 * t45197 / 0.2e1 + 0.3e1 * t854 * t5870 - 0.9e1 * t854 * t5913;
  t45450 = t2233 * t852 * t26211;
  t45456 = t2057 * t2895 * t26211;
  t45488 = -0.3e1 * t854 * t5895 + 0.7e1 * t15539 * t45450 + 0.3e1 / 0.2e1 * t854 * t5898 - 0.9e1 / 0.2e1 * t15539 * t45456 - 0.3e1 / 0.2e1 * t2897 * t6029 - 0.43e2 / 0.9e1 * t44905 * t29384 - 0.3e1 / 0.2e1 * t8912 * t9105 - 0.3e1 * t2897 * t6022 + 0.9e1 * t2897 * t6024 + 0.3e1 * t2897 * t6027 - 0.9e1 / 0.2e1 * t5687 * t2057 * t507 * t5678 - 0.11e2 / 0.18e2 * t8912 * t9318 + t349 * t8740 / 0.2e1 + t162 * t3358 * t8739 / 0.2e1 - 0.3e1 / 0.2e1 * t854 * t5887 - 0.3e1 / 0.4e1 * t2885 * t1365 + 0.3e1 / 0.2e1 * t5701 * t5680;
  t45503 = t1502 * t8910;
  t45532 = -t8934 * t1952 + 0.5e1 / 0.3e1 * t45286 * t3748 + t8934 * t1735 / 0.2e1 + 0.9e1 / 0.2e1 * t1565 * t5934 * t1426 * t1427 * t802 - 0.18e2 * t1565 * t45391 * t3495 - 0.9e1 / 0.2e1 * t1565 * t45503 * t9116 + t1677 * t26091 * t1364 - 0.3e1 * t2251 * t5744 * t5982 - 0.2e1 * t2251 * t1319 * t5986 + 0.2e1 * t2251 * t806 * t400 * t45124 + t26105 * t2169 * t5959 / 0.4e1 + t38435 / 0.6e1 + t38437 / 0.6e1 + t162 * t5882 * t5864 - 0.3e1 / 0.2e1 * t32296 + 0.3e1 / 0.2e1 * t32299 - 0.9e1 / 0.2e1 * t4277 * t5730 * t9911 * t5710;
  t45549 = t1304 * t5779;
  t45557 = t38023 * t857;
  t45563 = t2175 * t1675 * t1386 * t256;
  t45565 = t25936 * t871;
  t45569 = t25936 * t257;
  t45588 = -t26285 * t5960 / 0.3e1 - t913 + t984 - 0.3e1 / 0.2e1 * t32334 + t3006 * t9743 * t9015 / 0.4e1 + t3006 * t1684 * t169 * t792 * t1304 / 0.4e1 + t3006 * t1684 * t169 * t287 * t5779 / 0.4e1 - t3006 * t3624 * t96 * t45549 / 0.3e1 - t3015 * t10775 * t45169 / 0.6e1 - 0.3e1 / 0.2e1 * t2265 * t45557 * t622 + t9737 * t45563 - 0.3e1 / 0.2e1 * t1677 * t45565 * t636 - 0.3e1 / 0.4e1 * t1677 * t45569 * t328 - 0.8e1 * t2255 * t5733 * t26402 + 0.8e1 * t2251 * t5733 * t5711 + 0.3e1 * t2255 * t810 * t1505 * t45124 + 0.3e1 / 0.2e1 * t509 * t5894 * t1648 * t342 * t5779;
  t45595 = t3365 * t1322;
  t45615 = t2169 * t500 * t256 * t8782;
  t45621 = t8782 * t326;
  t45632 = t3062 * t1290;
  t45638 = -0.3e1 / 0.2e1 * t1553 * t8797 - 0.3e1 / 0.2e1 * t509 * t45595 * t512 + 0.3e1 / 0.2e1 * t854 * t5891 + 0.9e1 / 0.2e1 * t32339 + t8908 + t3489 - t3491 + 0.3e1 * t1677 * t5967 * t5869 + t2255 * t810 * t1505 * t45279 / 0.2e1 - t2251 * t810 * t1862 * t45279 / 0.2e1 - t9737 * t45615 / 0.3e1 - t1677 * t3190 * t8821 / 0.4e1 + t2251 * t263 * t1868 * t45621 / 0.2e1 + 0.5e1 / 0.12e2 * t26203 * t10733 * t5946 - 0.3e1 / 0.4e1 * t26105 * t10775 * t5951 + 0.3e1 / 0.2e1 * t1677 * t45632 * t328 - 0.3e1 / 0.4e1 * t9731 * t9011;
  t45652 = t296 * t8833;
  t45671 = -t838 * t6131 / 0.4e1 - t259 * t26671 / 0.4e1 - t1297 * t14157 / 0.2e1 - 0.2e1 / 0.3e1 * t2988 * t1684 * t45125 - 0.3e1 * t15274 * t6173 + t3586 - t3589 + 0.3e1 / 0.4e1 * t349 * t8801 + 0.3e1 * t509 * t45652 * t1537 + 0.3e1 / 0.2e1 * t1553 * t8829 + t1292 * t3379 / 0.2e1 + t1292 * t3383 / 0.2e1 + t259 * t490 * t2961 * t6110 / 0.4e1 + t838 * t8785 / 0.12e2 + 0.3e1 / 0.4e1 * t32430 + t8909 - t8919 * t380 / 0.2e1;
  t45675 = t106 * t158 * t8903 * t159;
  t45681 = t10936 * t44986;
  t45692 = t10733 * t1556 * t44985;
  t45712 = t45675 * t166 / 0.4e1 + 0.3e1 / 0.2e1 * t32451 - t3015 * t37626 / 0.2e1 - 0.7e1 * t10863 * t45681 - 0.3e1 / 0.2e1 * t1677 * t25949 * t8753 - 0.9e1 / 0.2e1 * t2255 * t1323 * t10255 * t5950 + 0.9e1 / 0.2e1 * t10863 * t45692 + 0.3e1 / 0.2e1 * t2265 * t25949 * t8828 - 0.3e1 * t2265 * t5967 * t6021 - t3603 - t3605 + t3607 + t3612 + 0.7e1 / 0.3e1 * t8912 * t9196 + 0.2e1 * t866 * t548 * t852 * t5678 - 0.6e1 * t5701 * t4523 + 0.7e1 * t5687 * t2233 * t5999;
  t45725 = t10653 * t45218;
  t45728 = t296 * t8837;
  t45750 = t106 * t333 * t8910;
  t45758 = -0.3e1 / 0.2e1 * t349 * t8744 - 0.18e2 * t509 * t45209 * t622 + 0.9e1 / 0.2e1 * t162 * t5934 * t1426 * t6020 - 0.9e1 / 0.2e1 * t162 * t45503 * t9147 + 0.47e2 / 0.3e1 * t27956 * t45725 + 0.3e1 / 0.2e1 * t162 * t45728 * t1506 - 0.3e1 * t162 * t45652 * t1541 - 0.18e2 * t509 * t45243 * t28419 + 0.6e1 * t162 * t45243 * t28406 - 0.62e2 / 0.3e1 * t44905 * t40335 + 0.8e1 * t44905 * t40229 + t2902 * t1356 / 0.2e1 - t372 * t8744 / 0.2e1 - 0.6e1 * t45750 * t556 - 0.2e1 * t8934 * t1650 + 0.22e2 / 0.3e1 * t45286 * t3560 + t8934 * t1660;
  t45802 = 0.9e1 * t509 * t45503 * t9141 - 0.3e1 * t509 * t45728 * t1572 + 0.3e1 * t5701 * t6095 + 0.3e1 / 0.2e1 * t1565 * t45728 * t1567 - 0.9e1 * t509 * t5934 * t1426 * t1518 * t802 - t6146 * t2888 / 0.6e1 + 0.23e2 / 0.36e2 * t8912 * t10090 - t8912 * t9950 / 0.2e1 + t8934 * t1510 + t26105 * t15090 / 0.2e1 - 0.5e1 / 0.36e2 * t8912 * t10123 + t8934 * t1451 / 0.2e1 - t1297 * t15194 / 0.4e1 - t3006 * t3624 * t169 * t9014 * t326 / 0.2e1 + t3015 * t2169 * t44890 / 0.4e1 - 0.2e1 * t32477 + t1297 * t14161;
  t45843 = t10775 * t500 * t256 * t8737;
  t45853 = t6149 * t848 / 0.6e1 - t843 * t6131 / 0.12e2 - 0.3e1 / 0.2e1 * t162 * t3365 * t1318 * t313 - t838 * t8749 / 0.6e1 - t259 * t1637 * t1726 * t8747 / 0.6e1 - 0.3e1 / 0.2e1 * t349 * t8754 - 0.3e1 / 0.2e1 * t162 * t5894 * t1648 * t404 * t5779 + 0.3e1 / 0.2e1 * t349 * t8758 + 0.3e1 / 0.2e1 * t162 * t45595 * t516 + t1297 * t1649 * t6106 / 0.2e1 + t1297 * t1649 * t6111 / 0.2e1 - t2988 * t1684 * t44890 / 0.2e1 + t2251 * t263 * t1868 * t45549 + 0.2e1 / 0.3e1 * t9737 * t45843 + t1677 * t3190 * t8739 / 0.2e1 + 0.3e1 / 0.2e1 * t2885 * t1368 + 0.3e1 / 0.2e1 * t349 * t8974;
  t45876 = t3062 * t1295;
  t45891 = -0.3e1 / 0.2e1 * t8912 * t10038 - 0.3e1 * t349 * t8970 - t2902 * t1360 / 0.2e1 + 0.3e1 / 0.2e1 * t10026 * t8959 - 0.3e1 * t1553 * t8962 - 0.3e1 / 0.2e1 * t14165 * t1352 - t8979 - t103 * t8998 / 0.4e1 - t103 * t9001 / 0.4e1 - t103 * t8995 / 0.12e2 - 0.3e1 * t1677 * t6172 * t5873 + 0.9e1 / 0.2e1 * t1677 * t45876 * t636 + 0.9e1 * t509 * t5912 * t6021 - 0.6e1 * t509 * t45213 * t1666 - 0.6e1 * t5701 * t6000 + 0.12e2 * t45750 * t562 - t372 * t8970;
  t45898 = t368 * t8911;
  t45901 = t368 * t8933;
  t45917 = 0.3e1 * t1553 * t8951 - 0.3e1 / 0.2e1 * t2885 * t1360 + 0.3e1 / 0.2e1 * t349 * t8947 + 0.23e2 / 0.108e3 * t45898 * t1548 + t45901 * t344 / 0.6e1 - t6146 * t2934 / 0.12e2 + t9774 * t8959 / 0.2e1 - t32562 / 0.4e1 + t9004 - t9005 - t9006 - t9007 + t9008 - t1297 * t14386 / 0.2e1 + t894 * t37832 / 0.2e1 - 0.3e1 * t854 * t5874 + 0.9e1 / 0.2e1 * t854 * t5879;
  t45954 = 0.3e1 / 0.2e1 * t854 * t5883 + 0.3e1 / 0.4e1 * t162 * t26418 * t262 * t165 + 0.3e1 / 0.4e1 * t162 * t5901 * t803 * t165 - 0.5e1 / 0.12e2 * t5687 * t2057 * t5679 - t3015 * t37854 - 0.3e1 / 0.2e1 * t26203 * t32145 + 0.7e1 * t26203 * t41410 - t3015 * t38016 / 0.2e1 + 0.3e1 * t15274 * t5970 - 0.3e1 * t21519 * t5968 - 0.3e1 / 0.2e1 * t21470 * t5712 + 0.3e1 / 0.2e1 * t21686 * t5706 + 0.3e1 / 0.2e1 * t1677 * t45557 * t645 + t3689 - t3693 - t3700 + 0.7e1 / 0.3e1 * t8912 * t9953;
  t45992 = -t368 * t8918 * t139 / 0.6e1 + 0.7e1 / 0.9e1 * t45898 * t1520 - t45898 * t1515 / 0.6e1 - t45898 * t1558 / 0.2e1 + t372 * t8947 / 0.2e1 + t2902 * t1368 / 0.2e1 - t14664 * t1352 / 0.2e1 - t1297 * t14422 / 0.2e1 - t838 * t6037 / 0.2e1 - t259 * t26662 / 0.2e1 + t1297 * t15014 + t1297 * t15017 - t1297 * t14419 / 0.2e1 - t2902 * t1365 / 0.4e1 - t3006 * t3624 * t169 * t193 * t8737 / 0.6e1 + t15406 * t9016 / 0.4e1 - 0.3e1 / 0.4e1 * t1677 * t26440 * t1364;
  t46035 = -0.3e1 / 0.4e1 * t1677 * t26327 * t1364 - 0.3e1 / 0.4e1 * t1677 * t6175 * t5864 + t2988 * t3624 * t45169 / 0.3e1 + t3006 * t15648 * t96 * t44938 / 0.2e1 - 0.3e1 * t1677 * t45418 * t1671 + t14122 * t9016 / 0.12e2 + t3006 * t25943 / 0.4e1 - t3015 * t38410 / 0.4e1 - t26105 * t2169 * t1675 * t5958 - 0.2e1 * t3015 * t2169 * t500 * t45124 + 0.3e1 * t26105 * t10775 * t500 * t5950 + t26105 * t2294 * t5959 / 0.2e1 - t39458 / 0.3e1 - t39460 / 0.3e1 + t39462 / 0.6e1 + 0.7e1 * t32659 + 0.3e1 / 0.2e1 * t32662;
  t46058 = -0.3e1 / 0.2e1 * t32697 - 0.3e1 / 0.2e1 * t32700 - 0.3e1 / 0.2e1 * t32702 - 0.3e1 / 0.2e1 * t32705 - t32718 / 0.4e1 - t32720 / 0.4e1 + 0.3e1 / 0.2e1 * t32722 + t6859 - t9009 - t9010 + t372 * t8758 / 0.2e1 - t1529 * t8797 / 0.2e1 + t372 * t8801 / 0.4e1 - 0.3e1 / 0.2e1 * t32742 + t3006 * t26262 / 0.2e1 - 0.9e1 * t2265 * t45161 * t3594 + 0.9e1 / 0.2e1 * t10978 * t45161 * t3495;
  t46104 = 0.9e1 * t2255 * t5730 * t9916 * t5710 + t3015 * t2169 * t45280 / 0.12e2 + t3006 * t1684 * t169 * t193 * t8782 / 0.12e2 - t3006 * t3624 * t96 * t45621 / 0.6e1 - t2988 * t1684 * t45280 / 0.6e1 + t3006 * t14332 * t5959 / 0.4e1 + t3015 * t21610 * t5946 / 0.4e1 - t2988 * t14332 * t5946 / 0.2e1 - t3006 * t32489 * t5951 / 0.2e1 - t22 * t8904 * t194 / 0.4e1 - 0.3e1 / 0.4e1 * t22 * t269 * t6077 + t32750 - t39532 / 0.2e1 - t39535 / 0.2e1 - t103 * t8905 / 0.12e2 + t32777 - t372 * t8822 / 0.12e2;
  t46141 = -0.9e1 * t31756 - 0.3e1 * t31759 - 0.12e2 * t31760 - 0.4e1 * t31772 + t31774 / 0.6e1 + 0.6e1 * t31788 + 0.1e2 * t31790 + t804 * t8851 / 0.2e1 - 0.2e1 * t1323 * t1505 * t5780 + 0.3e1 * t1323 * t1862 * t5780 - t804 * t8842 + t943 + 0.9e1 * t8838 * t10409 + 0.18e2 * t5733 * t5736 - 0.12e2 * t8834 * t1908 - 0.9e1 * t5730 * t1505 * t5723 + t1323 * t1505 * t5824 - t804 * t8900;
  t46153 = t5836 * t802;
  t46165 = -t31795 + 0.6e1 * t31819 - 0.6e1 * t31821 - 0.2e1 * t38622 + 0.2e1 * t38643 - 0.2e1 * t38657 - 0.2e1 * t38658 - 0.4e1 / 0.3e1 * t38659 - 0.36e2 * t31880 - 0.12e2 * t31882 + 0.18e2 * t31884 + 0.6e1 * t31886 - 0.12e2 * t3200 * t423 * t46153 + 0.32e2 * t27117 * t5848 + 0.18e2 * t38792 * t423 * t5841 + 0.2e1 * t27156 * t1829 * t5837 - t962 + t38670 + t8866;
  t46167 = t62 * t8782;
  t46172 = t46167 * t122;
  t46196 = t62 * t8737;
  t46197 = t46196 * t122;
  t46211 = -t8867 + t8868 + 0.2e1 * t4392 * t149 * t46167 * t326 + t3200 * t410 * t46172 / 0.3e1 + 0.2e1 * t3202 * t149 * t46172 + 0.2e1 * t3200 * t410 * t46153 + 0.18e2 * t31901 - 0.2e1 * t31909 - 0.8e1 * t38874 * t5842 - 0.16e2 / 0.3e1 * t27117 * t5845 + 0.8e1 * t3202 * t149 * t46153 + 0.4e1 * t4392 * t149 * t5836 * t5779 - 0.4e1 * t38733 - 0.2e1 / 0.3e1 * t13916 * t410 * t46197 - 0.4e1 * t13833 * t149 * t46197 - 0.6e1 * t20585 * t149 * t46196 * t326 + 0.4e1 * t13916 * t423 * t46197 + t7719;
  t46229 = t9897 * t8832 * t9904;
  t46234 = t8850 * t122;
  t46237 = -0.12e2 * t27359 * t5838 + 0.6e1 * t31921 + 0.2e1 * t31923 - t31925 / 0.3e1 - t8870 - t6906 + t8871 - t8872 - 0.18e2 * t27156 * t5845 - 0.3e1 * t38792 * t410 * t5841 + t27156 * t1837 * t5837 / 0.3e1 - 0.2e1 * t3200 * t423 * t46172 - t3777 - t3778 - t3782 + t3802 - 0.4e1 / 0.3e1 * t46229 * t29072 - 0.16e2 * t5733 * t5831 + t810 * t1862 * t46234;
  t46242 = t8837 * t9763;
  t46250 = t8841 * t122;
  t46259 = t1336 * t802;
  t46280 = 0.24e2 * t46229 * t29050 + 0.8e1 * t46242 * t3793 - 0.3e1 * t31968 + 0.2e1 * t31971 + 0.3e1 * t31973 + 0.4e1 * t38820 + 0.4e1 * t38825 - 0.2e1 * t810 * t10245 * t46250 + 0.9e1 * t5730 * t10255 * t5790 + 0.4e1 * t1319 * t5803 - 0.4e1 * t806 * t400 * t46259 + 0.6e1 * t5744 * t5800 - 0.1e2 * t5730 * t9916 * t5790 - 0.6e1 * t1323 * t1862 * t5824 - t263 * t1868 * t8850 * t326 - t806 * t400 * t46234 - t46229 * t28963 / 0.9e1 + 0.32e2 / 0.3e1 * t5733 * t5791;
  t46310 = t8833 * t9841;
  t46319 = -t3841 + t3866 + t3868 + t3873 - t5730 * t1566 * t5794 / 0.3e1 + 0.4e1 / 0.3e1 * t46242 * t3827 + t8838 * t10230 / 0.3e1 - 0.4e1 * t810 * t1505 * t46259 + 0.6e1 * t1323 * t10255 * t5802 - t5730 * t9911 * t5790 / 0.6e1 + 0.6e1 * t5733 * t5816 - 0.2e1 / 0.3e1 * t810 * t1505 * t46234 - 0.4e1 * t8834 * t1849 + 0.18e2 * t5730 * t1505 * t5794 + 0.6e1 * t810 * t1862 * t46259 - 0.12e2 * t46310 * t583 - 0.36e2 * t5733 * t5795 + 0.72e2 * t46310 * t587 + 0.24e2 * t8834 * t1863;
  t46365 = -0.72e2 * t46242 * t3796 - 0.18e2 * t8838 * t10259 + 0.8e1 / 0.3e1 * t46229 * t29047 + 0.2e1 * t804 * t8892 - 0.2e1 * t5730 * t1571 * t5794 + 0.2e1 * t8838 * t10274 - 0.9e1 * t1323 * t10245 * t5802 - 0.2e1 * t263 * t1868 * t1336 * t5779 + 0.36e2 * t46242 * t3844 - 0.12e2 * t46229 * t29249 + 0.5e2 / 0.3e1 * t46229 * t29086 - 0.36e2 * t46310 * t601 + 0.2e1 * t806 * t1868 * t46250 + 0.3e1 * t263 * t10240 * t8841 * t326 + 0.4e1 / 0.3e1 * t810 * t10255 * t46250 + 0.4e1 * t1319 * t5825 + 0.18e2 * t31996 - 0.9e1 * t31999 - 0.6e1 * t8845 * t402;
  t46371 = t8844 * t9879;
  t46409 = -t263 * t400 * t63 * t45105 + 0.18e2 * t5744 * t5805 - 0.24e2 * t46371 * t578 + 0.2e1 / 0.3e1 * t38994 + t263 * t400 * t60 * t45105 / 0.2e1 + 0.3e1 * t8845 * t420 - 0.2e1 * t1319 * t5781 - 0.9e1 * t5744 * t5741 + 0.12e2 * t46371 * t597 - 0.12e2 * t5733 * t5724 + 0.24e2 * t46310 * t591 + 0.8e1 * t8834 * t1880 + 0.1e2 * t5730 * t1571 * t5723 - 0.4e2 * t46242 * t3858 - 0.1e2 * t8838 * t10337 + 0.1e2 / 0.3e1 * t46229 * t29148 + t5730 * t1566 * t5723 / 0.6e1 - 0.2e1 / 0.3e1 * t46242 * t3838 - t8838 * t10345 / 0.6e1;
  t46433 = -t1292 * t6107 / 0.3e1 - t1292 * t6112 / 0.3e1 - 0.3e1 * t45750 * t549 - t8919 * t305 / 0.2e1 - t22 * t59 * (t46141 + t46165 + t46211 + t46237 + t46280 + t46319 + t46365 + t46409) * t96 / 0.4e1 + t32789 / 0.4e1 + t32801 / 0.2e1 + t32803 / 0.2e1 + 0.4e1 * t8934 * t1713 - 0.23e2 / 0.3e1 * t45286 * t3613 - 0.2e1 * t8934 * t1720 - t1297 * t14468 / 0.4e1 - t32819 / 0.2e1 - 0.3e1 / 0.4e1 * t22 * t1342 * t793 + t9019 - t9020 + t1529 * t8951;
  t46460 = t32893 + 0.3e1 / 0.4e1 * t32898 - 0.3e1 / 0.2e1 * t32900 - 0.3e1 / 0.4e1 * t32902 + t1292 * t2880 / 0.2e1 - 0.5e1 / 0.108e3 * t45898 * t1429 + t27849 * t274 / 0.4e1 + t6146 * t2892 / 0.3e1 + t372 * t8974 / 0.2e1 + t3015 * t2294 * t45125 + t2988 * t2162 * t45197 - 0.3e1 / 0.2e1 * t26300 * t4655 - t26285 * t3105 / 0.2e1 + t32919 / 0.6e1 + 0.9e1 / 0.2e1 * t32941 + 0.9e1 * t32944 - t32954 / 0.2e1;
  t46497 = 0.1e1 / t25 / t3164;
  t46502 = t46497 * tau[0] * t24;
  t46523 = 0.8e3 * t181 * t46497 * t74 - 0.204e4 * t1752 * t6051 - 0.312e4 * t1759 * t6051 + 0.36e4 * t1762 * t6051 + 0.9e4 * t1765 * t6051 + 0.42e4 * t1770 * t6051 + 0.48e4 * t46502 * t9512 + 0.16e4 * t46502 * t9523 - 0.192e5 * t46502 * t9528 - 0.28e5 * t46502 * t9533 - 0.112e5 * t46502 * t9540 - 0.12e3 * t6052;
  t46532 = t138 * t8905;
  t46535 = 0.9e1 / 0.2e1 * t32957 - 0.2e1 * t8934 * t1440 - 0.11e2 / 0.18e2 * t8912 * t10055 - 0.2e1 / 0.3e1 * t45901 * t502 + t45901 * t497 / 0.3e1 - t1529 * t8962 - 0.11e2 / 0.54e2 * t45898 * t1545 - t32987 / 0.12e2 + t2251 * t806 * t400 * t45279 / 0.2e1 - 0.3e1 * t2251 * t810 * t1862 * t45124 + 0.9e1 / 0.2e1 * t2251 * t1323 * t10245 * t5950 - 0.3e1 / 0.4e1 * t22 * t5854 * t288 - 0.3e1 / 0.4e1 * t22 * t826 * t1387 - t22 * t154 * t8994 / 0.4e1 - t22 * t65 * t169 * t46523 / 0.4e1 + 0.3e1 / 0.4e1 * t6136 * t833 + 0.3e1 / 0.4e1 * t26802 * t274 - t127 * t46532 / 0.12e2;
  t46541 = my_piecewise3(t3, 0, t44951 + t46104 + t45588 + t45255 + t45224 + t45638 + t45488 + t45802 + t45179 + t46433 + t44975 + t45014 + t45295 + t46460 + t45365 + t45446 + t45671 + t46535 + t45712 + t45954 + t45853 + t46058 + t45891 + t45398 + t45329 + t46035 + t45532 + t45992 + t45137 + t45758 + t45917 + t44902);
  tv4rhotau30 = 0.2e1 * rho[0] * t46541 + 0.2e1 * t9024;

  if(out->v4rhotau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 0] += tv4rhotau30;

  t46544 = t914 * t914;
  t46545 = t1502 * t46544;
  t46552 = t106 * t333 * t46544 * t1418;
  t46555 = t9898 * t46544;
  t46567 = t106 * t1415 * t46544 * t9762;
  t46575 = t106 * t9926 * t46544 * t9901;
  t46588 = t908 * t908;
  t46593 = t106 * t109 * t46588 * t311 * t139 / 0.2e1;
  t46596 = t510 * t46544;
  t46605 = t1426 * t1518 * t908;
  t46607 = t509 * t3493 * t46605;
  t46610 = t9098 * t1427 * t929;
  t46614 = -0.18e2 * t162 * t46545 * t9764 - t922 * t17400 - 0.6e1 * t46552 * t497 - 0.18e2 * t509 * t46555 * t9912 - 0.18e2 * t1565 * t46545 * t9777 + 0.36e2 * t509 * t46545 * t9770 + 0.5e1 / 0.3e1 * t46567 * t1429 + 0.6e1 * t162 * t46555 * t9917 - 0.2e1 * t46575 * t9961 - 0.6e1 * t6389 * t11879 - 0.12e2 * t610 * t6415 - 0.6e1 * t9944 * t46555 * t9946 + 0.18e2 * t1565 * t46555 * t9907 + t46593 + 0.2e1 * t6374 * t2002 - 0.18e2 * t509 * t46596 * t9846 + 0.18e2 * t162 * t46596 * t9842 + t917 * t3411 - 0.18e2 * t46607 - 0.9e1 * t1565 * t27962 * t46610;
  t46618 = t1637 * t2036 * t6363;
  t46621 = t546 * t28260;
  t46623 = t2324 * t6553;
  t46624 = t3502 * t46623;
  t46626 = t610 * t6304;
  t46628 = t3502 * t16050;
  t46630 = t3487 * t6550;
  t46632 = t15741 * t6691;
  t46634 = t15741 * t6622;
  t46637 = t1711 * t608 * t930;
  t46641 = t1711 * t160 * t6323;
  t46644 = t9099 * t6335;
  t46650 = t162 * t3690 * t6339;
  t46651 = 0.3e1 / 0.2e1 * t46650;
  t46656 = t9238 * t6364;
  t46659 = t3502 * t16044;
  t46661 = t3483 * t6546;
  t46663 = t610 * t6353;
  t46665 = -0.4e1 / 0.3e1 * t917 * t6320 - 0.2e1 / 0.3e1 * t208 * t46618 + 0.4e1 * t46621 - 0.3e1 * t46624 + 0.6e1 * t46626 + 0.14e2 * t46628 - 0.2e1 * t46630 - 0.11e2 / 0.3e1 * t46632 + 0.23e2 / 0.6e1 * t46634 - 0.4e1 * t922 * t46637 - 0.4e1 / 0.3e1 * t922 * t46641 - 0.23e2 / 0.6e1 * t6389 * t46644 + 0.2e1 * t610 * t6340 + t46651 - t917 * t6325 / 0.2e1 - 0.7e1 / 0.3e1 * t6374 * t6328 - 0.11e2 / 0.12e2 * t922 * t46656 - 0.9e1 * t46659 - 0.12e2 * t46661 - 0.2e1 * t46663;
  t46667 = t1972 * t6309;
  t46671 = t610 * t6350;
  t46675 = t162 * t3690 * t6344;
  t46676 = 0.3e1 / 0.4e1 * t46675;
  t46689 = t960 * t990;
  t46690 = 0.4e1 * t46689;
  t46693 = t9383 * t6191;
  t46698 = t1592 * t6191;
  t46705 = t28746 * t1065;
  t46707 = t28746 * t1052;
  t46709 = -0.4e1 * t6197 * t343 + 0.24e2 * t6197 * t496 - 0.12e2 * t6193 * t1514 + 0.4e1 / 0.3e1 * t6193 * t1519 - t6237 - 0.12e2 * t6201 * t138 + 0.2e2 / 0.9e1 * t6193 * t1428 + t46690 - 0.4e1 * t214 * t6339 + 0.12e2 * t46693 * t1506 + 0.12e2 * t957 * t6187 - 0.24e2 * t46698 * t1541 + 0.32e2 / 0.3e1 * t46693 * t1572 - 0.12e2 * t28739 * t6187 + 0.12e2 * t46705 + 0.4e1 * t46707;
  t46718 = t28770 * t1057;
  t46720 = t28743 * t990;
  t46721 = 0.4e1 * t46720;
  t46725 = t3547 * t6308;
  t46729 = t28826 * t1065;
  t46731 = t28795 * t1057;
  t46741 = 0.8e1 * t28754 * t990 - 0.4e1 * t28739 * t6313 - 0.2e1 * t3535 * t6344 + 0.4e1 * t3535 * t6339 - 0.12e2 * t46718 - t46721 + t6225 + 0.12e2 * t321 * t6191 * t1484 + 0.2e1 * t46725 - 0.2e1 * t957 * t6313 - 0.12e2 * t46729 + 0.12e2 * t46731 - 0.8e1 * t963 * t990 + 0.2e1 * t214 * t6344 - 0.8e1 * t46698 * t1537 + 0.16e2 / 0.9e1 * t46693 * t1567;
  t46742 = t46709 + t46741;
  t46744 = t320 * t137 * t46742;
  t46749 = t162 * t3703 * t6644;
  t46754 = t3487 * t6557;
  t46760 = t911 * t6320;
  t46763 = t490 * t15805 * t930;
  t46768 = t911 * t6365;
  t46769 = t46768 / 0.2e1;
  t46770 = t6252 * t929;
  t46773 = t9685 * t303 * t95 * t46770;
  t46785 = t106 * t333 * t46588 * t335;
  t46787 = t46785 * t344 / 0.4e1;
  t46790 = -0.6e1 * t46667 + 0.4e1 * t610 * t6348 - 0.6e1 * t46671 - t610 * t6345 - t46676 - t162 * t640 * t46744 / 0.4e1 + 0.9e1 * t46749 - 0.9e1 / 0.2e1 * t162 * t29418 * t990 - t46754 + 0.3e1 / 0.2e1 * t162 * t3707 * t6344 - 0.3e1 / 0.2e1 * t3416 * t991 + 0.2e1 / 0.3e1 * t46760 + t208 * t46763 / 0.2e1 + 0.6e1 * t1972 * t6314 - t46769 + t208 * t46773 / 0.2e1 + 0.2e1 * t106 * t109 * t46544 * t1445 * t139 + 0.6e1 * t46567 * t1515 - t46787 + 0.47e2 / 0.3e1 * t46575 * t10062;
  t46795 = t9099 * t931;
  t46798 = t3610 * t6572;
  t46801 = t162 * t15770 * t6687;
  t46803 = t96 * t27998;
  t46804 = t1684 * t46803;
  t46805 = t2161 * t46804;
  t46808 = t2255 * t3780 * t3473;
  t46811 = t1426 * t1427 * t908;
  t46813 = t1565 * t3493 * t46811;
  t46826 = t510 * t46588;
  t46829 = 0.3e1 / 0.2e1 * t509 * t46826 * t512;
  t46833 = 0.3e1 / 0.2e1 * t162 * t163 * t46588 * t313;
  t46843 = 0.6e1 * t610 * t6419 - t913 + t984 + 0.89e2 / 0.9e1 * t46575 * t10052 + 0.44e2 / 0.27e2 * t46575 * t10068 - t46829 - t46833 - 0.6e1 * t162 * t163 * t46544 * t9880 - t208 * t28107 / 0.3e1 + t28115 * t223 + 0.6e1 * t11870 * t6428;
  t46848 = t9099 * t507 * t930;
  t46852 = t9237 * t342 * t6252;
  t46857 = t9098 * t1518 * t929;
  t46861 = t9098 * t6312;
  t46865 = t9165 * t931;
  t46872 = t9684 * t137 * t46770;
  t46879 = t9238 * t160 * t6363;
  t46884 = t9271 * t6364;
  t46891 = t9237 * t404 * t6252;
  t46896 = t509 * t15770 * t6597;
  t46910 = 0.9e1 * t6389 * t46848 - 0.11e2 / 0.2e1 * t509 * t3520 * t46852 + 0.18e2 * t509 * t27962 * t46857 - 0.9e1 * t162 * t27962 * t46861 + 0.3e1 * t6389 * t46865 - 0.3e1 * t162 * t3707 * t6339 - 0.3e1 / 0.2e1 * t162 * t640 * t46872 + 0.28e2 / 0.3e1 * t6374 * t6336 + 0.11e2 / 0.3e1 * t922 * t46879 - 0.14e2 / 0.3e1 * t6374 * t6332 - 0.11e2 / 0.6e1 * t922 * t46884 + 0.14e2 * t162 * t27980 * t6187 + 0.11e2 / 0.2e1 * t162 * t3520 * t46891 + 0.18e2 * t46896 + 0.18e2 * t46567 * t1558 - 0.3e1 * t3416 * t986 + 0.6e1 * t610 * t6435 + 0.12e2 * t46552 * t502 - 0.8e1 * t6374 * t1967 - 0.2e1 * t6396 * t569;
  t46913 = t3416 * t982;
  t46919 = t929 * t6244;
  t46920 = t1868 * t46919;
  t46924 = t2168 * t28000;
  t46926 = t2294 * t46803;
  t46927 = t2168 * t46926;
  t46929 = t1862 * t27998;
  t46931 = t2251 * t582 * t46929;
  t46934 = t15748 * t6578;
  t46938 = t6302 / 0.4e1;
  t46943 = t9897 * t46544;
  t46944 = t46943 * t9901;
  t46947 = t69 * t46544;
  t46948 = t46947 * t9762;
  t46951 = t1862 * t6269;
  t46954 = t9916 * t952;
  t46957 = t3775 * t6495;
  t46959 = t3780 * t6512;
  t46962 = t1868 * t6245 * t929;
  t46965 = t942 * t6270;
  t46966 = 0.3e1 * t46965;
  t46967 = t3780 * t6492;
  t46970 = t942 * t6282;
  t46971 = 0.6e1 * t46970;
  t46972 = t10255 * t6281;
  t46975 = t3758 * t908;
  t46976 = t149 * t46975;
  t46977 = t2345 * t46976;
  t46979 = t16722 * t6529;
  t46982 = t149 * t3758 * t6244;
  t46985 = t423 * t46975;
  t46986 = t2352 * t46985;
  t46990 = t16251 * t6502;
  t46994 = t9911 * t952;
  t46997 = t46971 - 0.11e2 / 0.3e1 * t949 * t46972 + 0.18e2 * t46977 + 0.14e2 / 0.3e1 * t46979 + 0.6e1 * t3764 * t46982 - 0.28e2 * t46986 - t962 + 0.6e1 * t945 * t6270 + 0.12e2 * t46990 - 0.28e2 / 0.3e1 * t6206 * t6275 + 0.2e1 / 0.3e1 * t6209 * t46994;
  t46999 = t16360 * t6508;
  t47001 = t3813 * t6499;
  t47012 = 0.3e1 / 0.2e1 * t6264;
  t47013 = t108 * t46588;
  t47016 = 0.3e1 * t47013 * t311 * t150;
  t47019 = -0.2e1 / 0.3e1 * t46999 + 0.36e2 * t47001 - 0.18e2 * t6256 * t953 + 0.1e2 / 0.3e1 * t46944 * t10287 - 0.12e2 * t46944 * t10313 + 0.8e1 / 0.3e1 * t6204 - 0.4e1 * t6260 + 0.4e1 * t6262 + t47012 + t47016 - 0.2e1 / 0.3e1 * t46948 * t1838;
  t47020 = t332 * t46544;
  t47021 = t47020 * t1418;
  t47024 = t10245 * t6253;
  t47027 = t47020 * t9841;
  t47030 = t1862 * t6245;
  t47033 = t10255 * t965;
  t47036 = t16360 * t6463;
  t47040 = t10255 * t6253;
  t47043 = t9916 * t965;
  t47046 = t16251 * t6457;
  t47049 = t400 * t60 * t46742;
  t47052 = 0.24e2 * t47021 * t411 - 0.11e2 * t949 * t47024 + 0.72e2 * t47027 * t406 + 0.4e1 * t949 * t47030 + 0.18e2 * t6209 * t47033 + 0.2e2 * t47036 - 0.28e2 * t6206 * t6212 + 0.22e2 / 0.3e1 * t949 * t47040 - 0.2e2 * t6209 * t47043 - 0.24e2 * t47046 + t212 * t47049 / 0.2e1;
  t47055 = t46943 * t9904;
  t47058 = t16251 * t6447;
  t47060 = t46947 * t9763;
  t47067 = 0.6e1 * t47013 * t312 * t146;
  t47069 = t10240 * t60 * t46770;
  t47072 = t332 * t46588;
  t47073 = t47072 * t394;
  t47074 = t47073 * t397;
  t47075 = t108 * t46544;
  t47079 = t1505 * t6466;
  t47080 = t3792 * t47079;
  t47082 = t16251 * t6488;
  t47084 = t16360 * t6484;
  t47086 = 0.24e2 * t47055 * t10439 + 0.36e2 * t47058 + 0.4e1 / 0.3e1 * t47060 * t1894 - t47055 * t10329 / 0.9e1 - t47067 + 0.3e1 * t212 * t47069 - t47074 - 0.24e2 * t47075 * t9879 * t146 - 0.18e2 * t47080 - 0.72e2 * t47082 + 0.36e2 * t47084;
  t47087 = t16360 * t6523;
  t47094 = t10240 * t63 * t46770;
  t47097 = t10245 * t6281;
  t47100 = t10255 * t952;
  t47106 = 0.3e1 * t6279;
  t47108 = t400 * t63 * t46742;
  t47110 = -0.4e1 * t47087 + 0.56e2 * t6206 * t6285 - 0.12e2 * t945 * t6282 - 0.6e1 * t212 * t47094 + 0.22e2 * t949 * t47097 - 0.36e2 * t6209 * t47100 + 0.8e1 * t6267 - 0.4e1 / 0.3e1 * t6272 - 0.8e1 * t6277 - t47106 - t212 * t47108;
  t47112 = t1505 * t6269;
  t47118 = t47072 * t335;
  t47120 = 0.2e1 * t47118 * t411;
  t47124 = 0.3e1 * t47118 * t424;
  t47127 = t1505 * t6245;
  t47130 = t9911 * t965;
  t47139 = 0.4e1 / 0.3e1 * t949 * t47112 + 0.12e2 * t47075 * t1445 * t150 + t47120 + 0.36e2 * t46948 * t1826 - t47124 - 0.36e2 * t47021 * t424 - 0.8e1 / 0.3e1 * t949 * t47127 - t6209 * t47130 / 0.3e1 + 0.8e1 * t47060 * t1913 - 0.4e1 / 0.3e1 * t47055 * t10448 - 0.72e2 * t47060 * t1905;
  t47142 = t16360 * t6460;
  t47146 = t16243 * t6453;
  t47148 = t942 * t6254;
  t47149 = 0.3e1 * t47148;
  t47155 = 0.6e1 * t47073 * t406;
  t47158 = t942 * t6246;
  t47159 = 0.3e1 / 0.2e1 * t47158;
  t47162 = 0.8e1 / 0.3e1 * t47055 * t10412 + t47142 / 0.3e1 + 0.56e2 / 0.3e1 * t6206 * t6249 - 0.18e2 * t47146 - t47149 + 0.6e1 * t945 * t6254 - 0.3e1 * t945 * t6246 + t47155 - 0.12e2 * t47027 * t397 + t47159 + 0.9e1 * t6256 * t966;
  t47170 = t15748 * t6631;
  t47173 = t3624 * t96 * t46919;
  t47176 = t2169 * t46803;
  t47177 = t2168 * t47176;
  t47182 = 0.2e1 / 0.3e1 * t6300 + t46938 - 0.38e2 / 0.9e1 * t46575 * t10049 + 0.28e2 / 0.3e1 * t6389 * t11875 - t22 * t59 * (t943 + 0.5e2 / 0.3e1 * t46944 * t10316 - 0.4e2 * t46948 * t1830 - 0.8e1 * t949 * t46951 + 0.4e1 * t6209 * t46954 - 0.9e1 * t46957 - 0.28e2 / 0.3e1 * t46959 - 0.3e1 * t212 * t46962 - t46966 + 0.14e2 * t46967 + t46997 + t47019 + t47052 + t47086 + t47110 + t47139 + t47162) * t96 / 0.4e1 + 0.6e1 * t47170 - t2179 * t47173 / 0.2e1 + 0.7e1 / 0.6e1 * t47177 + 0.2e1 * t6305 - 0.2e1 * t6310 - 0.2e1 * t6351;
  t47185 = 0.3e1 / 0.4e1 * t6354;
  t47187 = t490 * t2036 * t6323;
  t47190 = t1711 * t6319;
  t47192 = t911 * t6325;
  t47193 = t47192 / 0.4e1;
  t47196 = t490 * t303 * t95 * t46742;
  t47199 = t1711 * t6324;
  t47205 = t1648 * t404 * t6244;
  t47209 = t9192 * t6335;
  t47212 = t1649 * t6319;
  t47215 = t1649 * t6324;
  t47218 = t9192 * t931;
  t47222 = t162 * t15736 * t6667;
  t47227 = t400 * t27998;
  t47229 = t2251 * t576 * t47227;
  t47231 = t911 * t3411;
  t47237 = -t47185 + t208 * t47187 / 0.3e1 + t922 * t47190 + t47193 + t208 * t47196 / 0.12e2 + t922 * t47199 / 0.3e1 - 0.6e1 * t610 * t6188 - 0.2e1 * t162 * t3520 * t47205 - 0.14e2 * t6389 * t47209 + 0.2e1 * t922 * t47212 + 0.2e1 / 0.3e1 * t922 * t47215 + 0.11e2 / 0.3e1 * t6389 * t47218 + 0.9e1 * t47222 - 0.2e1 / 0.3e1 * t6356 + 0.4e1 / 0.3e1 * t6358 - t6359 / 0.3e1 + 0.9e1 / 0.2e1 * t47229 - t47231 / 0.2e1 - 0.5e1 / 0.9e1 * t6389 * t12015 - 0.35e2 / 0.108e3 * t46575 * t10126;
  t47243 = t15741 * t6565;
  t47245 = t3727 * t6575;
  t47253 = t1648 * t342 * t6244;
  t47272 = 0.3e1 / 0.2e1 * t162 * t46826 * t516;
  t47274 = t46785 * t497 / 0.2e1;
  t47275 = t46785 * t502;
  t47282 = -0.12e2 * t1972 * t6431 + 0.2e1 * t922 * t17404 + 0.23e2 / 0.9e1 * t6389 * t12053 - 0.43e2 / 0.9e1 * t46575 * t10041 - 0.2e1 * t6389 * t11858 + t47272 - t47274 + t47275 + 0.4e1 * t6374 * t1963 + 0.22e2 / 0.3e1 * t46567 * t1545 - 0.23e2 / 0.3e1 * t46567 * t1548;
  t47287 = my_piecewise3(t3, 0, t46910 + 0.2e1 * t46798 + t46665 + t47182 + t46614 - 0.14e2 / 0.3e1 * t46924 + t46843 - t922 * t17379 / 0.2e1 + 0.12e2 * t1972 * t6438 + 0.3e1 / 0.2e1 * t6396 * t932 - 0.28e2 * t46567 * t1520 - 0.3e1 / 0.2e1 * t46805 + t47237 + t46790 - 0.7e1 * t46931 + 0.7e1 * t46808 + 0.3e1 * t46934 + t47282 + 0.7e1 / 0.3e1 * t46927 - 0.5e1 / 0.6e1 * t47243 - 0.3e1 * t47245 - 0.18e2 * t46801 + 0.9e1 * t46813 - 0.3e1 * t46552 * t344 - 0.22e2 / 0.9e1 * t6389 * t12050 - 0.61e2 / 0.27e2 * t46575 * t10087 + 0.5e1 / 0.6e1 * t6389 * t46795 - 0.62e2 / 0.3e1 * t46575 * t9932 + 0.8e1 * t46575 * t9937 - 0.3e1 * t17410 * t978 + 0.3e1 * t3416 * t994 + t917 * t6365 + 0.3e1 / 0.2e1 * t2251 * t212 * t46920 - 0.14e2 * t509 * t27980 * t6313 + 0.2e1 * t509 * t3520 * t47253 + 0.3e1 / 0.2e1 * t46913 - t6379 / 0.3e1 + t6381);
  tv4sigma40 = 0.2e1 * rho[0] * t47287;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

  t47293 = t2036 * t6563;
  t47294 = t302 * t47293;
  t47297 = t303 * t27957;
  t47298 = t548 * t47297;
  t47307 = t610 * t6640;
  t47308 = 0.3e1 / 0.2e1 * t47307;
  t47309 = t302 * t47297;
  t47312 = t96 * t28006;
  t47313 = t2182 * t47312;
  t47314 = t3917 * t47313;
  t47315 = 0.3e1 * t47314;
  t47318 = t2036 * t6544;
  t47319 = t302 * t47318;
  t47320 = t666 * t47319;
  t47321 = t47320 / 0.2e1;
  t47322 = t15805 * t1000;
  t47323 = t302 * t47322;
  t47330 = -0.3e1 / 0.4e1 * t3416 * t1061 - 0.3e1 / 0.2e1 * t3416 * t1058 - 0.3e1 / 0.2e1 * t2662 * t47294 - 0.3e1 * t12561 * t47298 - t233 * t46618 / 0.2e1 + 0.9e1 * t1972 * t6598 - 0.6e1 * t2611 * t28542 + t47308 + 0.2e1 * t12869 * t47309 + t47315 + 0.9e1 / 0.2e1 * t17046 * t6658 + t47321 + t666 * t47323 / 0.2e1 + t233 * t47196 / 0.12e2 + t233 * t47187 / 0.4e1;
  t47333 = t10526 * t47297;
  t47336 = t2057 * t47293;
  t47339 = t3487 * t6996;
  t47340 = t47339 / 0.4e1;
  t47341 = t1972 * t6584;
  t47342 = 0.3e1 / 0.2e1 * t47341;
  t47347 = t610 * t6645;
  t47348 = 0.3e1 / 0.2e1 * t47347;
  t47354 = t2233 * t28541;
  t47357 = t548 * t47293;
  t47360 = t10649 * t27958;
  t47363 = t11249 * t47297;
  t47369 = t233 * t46763 / 0.4e1 - 0.35e2 / 0.108e3 * t12607 * t47333 - 0.5e1 / 0.12e2 * t2590 * t47336 - t47340 - t47342 + 0.3e1 / 0.2e1 * t610 * t6587 + 0.9e1 / 0.2e1 * t610 * t6593 - t47348 - 0.3e1 / 0.4e1 * t610 * t6581 - t162 * t745 * t46744 / 0.4e1 + 0.7e1 * t2590 * t47354 + 0.3e1 / 0.2e1 * t2611 * t47357 + 0.89e2 / 0.9e1 * t12607 * t47360 - 0.2e1 * t12607 * t47363 + t546 * t29668 - t917 * t6541 / 0.3e1;
  t47371 = t2571 * t6544;
  t47372 = t302 * t47371;
  t47373 = t538 * t47372;
  t47374 = t47373 / 0.2e1;
  t47376 = t1711 * t717 * t930;
  t47380 = t96 * t28881;
  t47381 = t2294 * t47380;
  t47386 = 0.9e1 * t46607;
  t47387 = 0.2e1 * t46621;
  t47388 = 0.3e1 / 0.2e1 * t46624;
  t47389 = 0.3e1 * t46626;
  t47390 = 0.7e1 * t46628;
  t47391 = 0.11e2 / 0.6e1 * t46632;
  t47392 = 0.23e2 / 0.12e2 * t46634;
  t47393 = t47374 - t922 * t47376 - t719 * t6345 / 0.4e1 - 0.14e2 / 0.3e1 * t3917 * t47381 + t46593 - 0.3e1 * t2632 * t29346 - t47386 + t47387 - t47388 + t47389 + t47390 - t46630 - t47391 + t47392 + t46651;
  t47394 = t2233 * t47297;
  t47397 = t2057 * t27958;
  t47401 = t719 * t6350;
  t47402 = 0.3e1 / 0.2e1 * t47401;
  t47403 = t1868 * t28604;
  t47407 = t3917 * t28240;
  t47408 = 0.6e1 * t47407;
  t47409 = t10775 * t47380;
  t47412 = t17371 * t6648;
  t47415 = t2632 * t47176;
  t47417 = t1862 * t28881;
  t47421 = t10245 * t28604;
  t47427 = t2169 * t47312;
  t47428 = t3930 * t47427;
  t47429 = 0.3e1 / 0.2e1 * t47428;
  t47430 = 0.9e1 / 0.2e1 * t46659;
  t47431 = 0.6e1 * t46661;
  t47432 = 0.3e1 / 0.2e1 * t46663;
  t47433 = 0.22e2 / 0.3e1 * t12446 * t47394 - 0.23e2 / 0.3e1 * t12446 * t47397 + t719 * t6348 - t47402 - 0.3e1 * t2251 * t693 * t47403 - t47408 + 0.3e1 * t3930 * t47409 + 0.3e1 / 0.4e1 * t2632 * t47412 + 0.5e1 / 0.12e2 * t47415 + 0.14e2 * t2251 * t2776 * t47417 + 0.11e2 / 0.2e1 * t2251 * t697 * t47421 + 0.3e1 * t17049 * t6618 - t47429 - t47430 - t47431 - t47432;
  t47436 = 0.3e1 * t46667;
  t47437 = 0.3e1 * t46671;
  t47438 = 0.9e1 / 0.2e1 * t46749;
  t47439 = t405 * t28006;
  t47441 = t2251 * t2776 * t47439;
  t47442 = 0.9e1 * t47441;
  t47443 = t96 * t28604;
  t47444 = t11150 * t47443;
  t47447 = t46754 / 0.2e1;
  t47448 = t46760 / 0.2e1;
  t47449 = t1566 * t28006;
  t47451 = t4277 * t2782 * t47449;
  t47452 = 0.9e1 / 0.2e1 * t47451;
  t47453 = t400 * t28881;
  t47457 = 0.9e1 * t46801;
  t47458 = t9916 * t28881;
  t47462 = -t47436 - t47437 - t46676 + t47438 - t47442 - 0.11e2 / 0.6e1 * t2632 * t47444 - t47447 + t47448 - t46769 - t46787 + t47452 - 0.9e1 / 0.2e1 * t2251 * t2765 * t47453 + t46798 - t47457 + 0.18e2 * t2255 * t2782 * t47458;
  t47463 = t10255 * t28881;
  t47467 = 0.9e1 / 0.2e1 * t46808;
  t47468 = t1518 * t6191;
  t47469 = t9930 * t47468;
  t47477 = t10526 * t28563;
  t47489 = t2057 * t1970 * t6563;
  t47494 = t342 * t6191;
  t47495 = t1426 * t47494;
  t47499 = 0.9e1 / 0.2e1 * t46813;
  t47500 = t1684 * t47380;
  t47503 = -0.9e1 * t2251 * t2782 * t47463 - t46805 + t47467 + 0.6e1 * t162 * t12671 * t47469 - 0.62e2 / 0.3e1 * t12607 * t29318 + 0.8e1 * t12607 * t28720 - 0.43e2 / 0.9e1 * t12607 * t47477 + 0.9e1 / 0.2e1 * t11870 * t6677 - 0.9e1 * t1972 * t6682 + 0.9e1 / 0.2e1 * t610 * t6668 + 0.47e2 / 0.3e1 * t28041 * t12719 - 0.9e1 / 0.2e1 * t2590 * t47489 + 0.18e2 * t12446 * t28564 - 0.18e2 * t162 * t12577 * t47495 + t47499 + 0.3e1 / 0.2e1 * t4291 * t47500;
  t47505 = t2162 * t47312;
  t47506 = t4291 * t47505;
  t47507 = 0.3e1 / 0.2e1 * t47506;
  t47508 = t10925 * t6648;
  t47510 = t3930 * t28155;
  t47511 = 0.7e1 * t47510;
  t47512 = t3935 * t47312;
  t47513 = t3930 * t47512;
  t47514 = 0.5e1 / 0.12e2 * t47513;
  t47515 = t2175 * t47312;
  t47516 = t3917 * t47515;
  t47517 = 0.3e1 / 0.2e1 * t47516;
  t47518 = t400 * t28215;
  t47522 = t3487 * t7206;
  t47523 = t47522 / 0.2e1;
  t47528 = -t47507 - t2674 * t47508 - t913 + t984 + t47511 + t6548 - t6556 - t6562 + t6577 - t6586 - t47514 + t47517 + 0.3e1 / 0.2e1 * t2251 * t693 * t47518 - t47523 - 0.3e1 / 0.2e1 * t17410 * t1053 + 0.3e1 / 0.2e1 * t3416 * t1066;
  t47529 = t2509 * t6309;
  t47530 = 0.3e1 / 0.2e1 * t47529;
  t47531 = t719 * t6304;
  t47532 = 0.3e1 / 0.2e1 * t47531;
  t47534 = t9930 * t9935 * t6191;
  t47539 = t9930 * t9905 * t6191;
  t47543 = t10653 * t47297;
  t47546 = t1427 * t6191;
  t47547 = t9930 * t47546;
  t47551 = 0.9e1 * t46896;
  t47554 = t2632 * t28000;
  t47556 = t396 * t28006;
  t47558 = t2255 * t2776 * t47556;
  t47559 = 0.9e1 * t47558;
  t47560 = 0.3e1 / 0.4e1 * t46913;
  t47563 = t555 * t47293;
  t47566 = t10649 * t47297;
  t47569 = -t47530 + t47532 - 0.6e1 * t9944 * t12671 * t47534 + 0.18e2 * t1565 * t12671 * t47539 - 0.38e2 / 0.9e1 * t12607 * t47543 - 0.18e2 * t509 * t12671 * t47547 - t46829 - t46833 + t47551 - 0.4e1 / 0.3e1 * t2632 * t28217 - 0.5e1 / 0.3e1 * t47554 + t47559 + t47560 - t6389 * t13048 / 0.2e1 + 0.3e1 * t2611 * t47563 - 0.61e2 / 0.27e2 * t12607 * t47566;
  t47573 = t2057 * t28541;
  t47576 = t10526 * t27958;
  t47579 = t2324 * t47293;
  t47584 = t546 * t31144;
  t47587 = 0.3e1 * t46924;
  t47588 = 0.3e1 / 0.2e1 * t46927;
  t47589 = 0.9e1 / 0.2e1 * t46931;
  t47590 = 0.3e1 / 0.2e1 * t46934;
  t47595 = t10936 * t47380;
  t47598 = 0.23e2 / 0.12e2 * t2590 * t47573 + 0.44e2 / 0.27e2 * t12607 * t47576 - 0.3e1 / 0.2e1 * t2590 * t47579 + 0.12e2 * t12561 * t29424 + t47584 + t719 * t6340 / 0.2e1 - t47587 + t47588 - t47589 + t47590 + t6301 + t46938 + 0.3e1 * t2509 * t6438 - 0.3e1 * t719 * t6415 + 0.11e2 / 0.3e1 * t3930 * t47595;
  t47611 = t3908 * t982;
  t47612 = 0.3e1 / 0.4e1 * t47611;
  t47615 = t2169 * t47380;
  t47618 = t10775 * t47443;
  t47621 = t3931 * t47312;
  t47622 = t3930 * t47621;
  t47623 = 0.11e2 / 0.6e1 * t47622;
  t47624 = t719 * t6353;
  t47625 = t47624 / 0.2e1;
  t47632 = -t922 * t18392 / 0.2e1 - 0.11e2 / 0.18e2 * t6389 * t13073 + 0.23e2 / 0.36e2 * t6389 * t13020 + t6374 * t2500 - 0.3e1 / 0.2e1 * t18401 * t978 + 0.3e1 / 0.2e1 * t3908 * t994 + t922 * t18396 + t47612 + 0.3e1 / 0.4e1 * t29743 * t223 - 0.7e1 / 0.3e1 * t3917 * t47615 - 0.11e2 / 0.12e2 * t2632 * t47618 - t47623 - t47625 - 0.3e1 / 0.4e1 * t3908 * t991 - 0.9e1 * t610 * t6688 - 0.28e2 * t28061 * t8535;
  t47634 = t2233 * t47293;
  t47637 = t1649 * t6540;
  t47640 = t671 * t28260;
  t47641 = t1711 * t6540;
  t47645 = t490 * t2571 * t6323;
  t47649 = t490 * t18442 * t930;
  t47652 = t911 * t6541;
  t47653 = t47652 / 0.6e1;
  t47655 = t341 * t404 * t6191;
  t47659 = t1426 * t47546;
  t47663 = t1426 * t47468;
  t47668 = t1637 * t2571 * t6363;
  t47672 = t135 * t137 * t6191;
  t47676 = t555 * t47297;
  t47679 = t2324 * t47297;
  t47685 = t96 * t28215;
  t47686 = t2169 * t47685;
  t47689 = -0.11e2 / 0.6e1 * t2590 * t47634 + t922 * t47637 / 0.2e1 + t47640 + t922 * t47641 / 0.4e1 + t208 * t47645 / 0.12e2 + t208 * t47649 / 0.4e1 + t47653 + 0.18e2 * t162 * t12570 * t47655 - 0.18e2 * t1565 * t12577 * t47659 + 0.36e2 * t509 * t12577 * t47663 - t208 * t47668 / 0.6e1 - 0.6e1 * t162 * t12879 * t47672 - 0.6e1 * t12561 * t47676 + 0.6e1 * t12446 * t47679 - 0.3e1 / 0.2e1 * t162 * t745 * t46872 + t2632 * t47686 / 0.3e1;
  t47690 = t10733 * t47380;
  t47693 = t2169 * t28882;
  t47698 = t9911 * t28881;
  t47708 = t2674 * t46804;
  t47709 = t47708 / 0.2e1;
  t47710 = t1684 * t47685;
  t47713 = t10733 * t28882;
  t47716 = t3935 * t28154;
  t47717 = t3930 * t47716;
  t47718 = 0.23e2 / 0.12e2 * t47717;
  t47719 = t15640 * t6648;
  t47722 = t2294 * t47685;
  t47725 = t2632 * t46926;
  t47727 = 0.5e1 / 0.6e1 * t3930 * t47690 + 0.28e2 / 0.3e1 * t3917 * t47693 + 0.3e1 / 0.2e1 * t719 * t6435 + t6642 - t6647 - 0.9e1 * t4277 * t2782 * t47698 + t28115 * t248 / 0.4e1 + t917 * t3903 / 0.2e1 + t6374 * t2476 / 0.2e1 - t47709 - t2674 * t47710 / 0.2e1 - 0.23e2 / 0.6e1 * t3930 * t47713 + t47718 + 0.3e1 / 0.2e1 * t2632 * t47719 + 0.2e1 / 0.3e1 * t2632 * t47722 + 0.5e1 / 0.6e1 * t47725;
  t47732 = t3624 * t47443;
  t47734 = t1505 * t27998;
  t47736 = t2255 * t697 * t47734;
  t47751 = 0.3e1 * t47170;
  t47756 = t341 * t47494;
  t47760 = t2057 * t47297;
  t47765 = -t2683 * t47173 / 0.2e1 + t2674 * t47732 + 0.5e1 / 0.2e1 * t47736 + 0.3e1 / 0.2e1 * t2251 * t237 * t46920 + 0.7e1 / 0.3e1 * t6389 * t13051 - 0.3e1 / 0.2e1 * t6389 * t13055 + 0.3e1 / 0.2e1 * t13061 * t6428 - 0.3e1 * t2509 * t6431 + 0.3e1 / 0.2e1 * t719 * t6419 + t47751 + 0.3e1 / 0.2e1 * t2509 * t6314 - 0.3e1 / 0.2e1 * t719 * t6188 - 0.18e2 * t509 * t12570 * t47756 + 0.5e1 / 0.3e1 * t12446 * t47760 + t233 * t46773 / 0.2e1;
  t47767 = t2251 * t693 * t47227;
  t47768 = 0.3e1 / 0.2e1 * t47767;
  t47769 = t145 * t28006;
  t47771 = t2251 * t2765 * t47769;
  t47772 = 0.9e1 / 0.2e1 * t47771;
  t47773 = t1505 * t28881;
  t47779 = 0.3e1 / 0.4e1 * t47177;
  t47780 = 0.9e1 / 0.2e1 * t47222;
  t47781 = 0.3e1 * t47229;
  t47782 = t1505 * t28215;
  t47786 = t47768 + t47772 - 0.14e2 * t2255 * t2776 * t47773 + 0.11e2 / 0.3e1 * t2632 * t28606 + t47779 + t6306 - t6311 - t6352 - t47185 + t47193 + t47780 - t6357 + t6358 - t6360 + t47781 + 0.2e1 * t2255 * t697 * t47782;
  t47788 = t10255 * t28604;
  t47792 = t47231 / 0.4e1;
  t47794 = t10733 * t1556 * t28881;
  t47797 = t3930 * t28008;
  t47798 = 0.9e1 / 0.2e1 * t47797;
  t47799 = t1862 * t28215;
  t47804 = t2251 * t697 * t46929;
  t47808 = t1505 * t28006;
  t47810 = t2251 * t2782 * t47808;
  t47811 = 0.9e1 / 0.2e1 * t47810;
  t47814 = t548 * t47318;
  t47815 = t671 * t47814;
  t47816 = t47815 / 0.4e1;
  t47817 = t548 * t47322;
  t47820 = t555 * t47318;
  t47821 = t671 * t47820;
  t47822 = t47821 / 0.2e1;
  t47823 = t555 * t47322;
  t47832 = -0.11e2 / 0.2e1 * t2255 * t697 * t47788 - t47792 + 0.9e1 * t3930 * t47794 - t47798 - 0.2e1 * t2251 * t697 * t47799 - 0.5e1 / 0.2e1 * t47804 - 0.14e2 * t15606 * t18053 + t47811 - 0.9e1 / 0.2e1 * t17049 * t6695 - t47816 - t671 * t47817 / 0.4e1 - t47822 - t671 * t47823 / 0.2e1 - 0.3e1 / 0.2e1 * t3908 * t986 - 0.2e1 * t6374 * t2504 - t922 * t19572 / 0.4e1;
  t47835 = 0.6e1 * t46957;
  t47836 = 0.6e1 * t46959;
  t47837 = 0.9e1 * t46967;
  t47838 = 0.12e2 * t46977;
  t47839 = 0.3e1 * t46979;
  t47840 = t4143 * t6244;
  t47841 = t410 * t47840;
  t47844 = t30428 * t929;
  t47845 = t1837 * t47844;
  t47848 = 0.18e2 * t46986;
  t47849 = t4143 * t908;
  t47850 = t423 * t47849;
  t47851 = t4158 * t47850;
  t47852 = 0.36e2 * t47851;
  t47853 = t410 * t47849;
  t47854 = t4166 * t47853;
  t47855 = 0.18e2 * t47854;
  t47856 = t943 - t47835 - t47836 - t46966 + t47837 + t46971 + t47838 + t47839 + 0.4e1 / 0.3e1 * t2750 * t47841 + 0.2e1 / 0.3e1 * t13131 * t47845 - t47848 - t47852 + t47855;
  t47857 = t423 * t47840;
  t47860 = t2750 * t46985;
  t47862 = t1829 * t47849;
  t47863 = t4166 * t47862;
  t47864 = 0.2e1 * t47863;
  t47865 = t2752 * t46976;
  t47866 = 0.6e1 * t47865;
  t47867 = t149 * t47840;
  t47870 = t149 * t47844;
  t47873 = t149 * t47849;
  t47874 = t4149 * t47873;
  t47875 = 0.18e2 * t47874;
  t47876 = t28918 * t205;
  t47877 = t149 * t47876;
  t47882 = t410 * t47844;
  t47885 = t410 * t47876;
  t47888 = 0.6e1 * t46990;
  t47889 = t46999 / 0.3e1;
  t47890 = -0.8e1 * t2750 * t47857 - 0.1e2 * t47860 - t47864 + t47866 + 0.6e1 * t2752 * t47867 - 0.18e2 * t13163 * t47870 + t47875 - 0.12e2 * t13166 * t47877 + 0.6e1 * t4138 * t46982 - 0.28e2 / 0.3e1 * t13126 * t47882 - 0.11e2 / 0.3e1 * t13136 * t47885 - t962 + t47888 - t47889;
  t47892 = 0.18e2 * t47001;
  t47893 = t423 * t47844;
  t47898 = t1829 * t47844;
  t47901 = t1837 * t47849;
  t47902 = t4166 * t47901;
  t47903 = t47902 / 0.3e1;
  t47904 = t4158 * t47853;
  t47905 = 0.6e1 * t47904;
  t47906 = t423 * t47876;
  t47909 = t410 * t46975;
  t47910 = t2750 * t47909;
  t47914 = t60 * t6191;
  t47915 = t396 * t47914;
  t47918 = t6466 * t205;
  t47919 = t1505 * t47918;
  t47920 = t2782 * t47919;
  t47921 = 0.9e1 * t47920;
  t47922 = t47892 + 0.56e2 * t13126 * t47893 - 0.36e2 * t13131 * t47882 + 0.4e1 * t13131 * t47898 - t47903 + t47905 + 0.22e2 * t13136 * t47906 + 0.5e1 / 0.3e1 * t47910 + t6469 + t237 * t47049 / 0.2e1 + 0.24e2 * t13205 * t47915 - t6471 + t6473 - t47921;
  t47923 = t6253 * t205;
  t47924 = t10245 * t47923;
  t47927 = t6245 * t205;
  t47928 = t1862 * t47927;
  t47931 = t6446 * t929;
  t47932 = t1505 * t47931;
  t47935 = t9911 * t47931;
  t47938 = t1571 * t47918;
  t47939 = t2782 * t47938;
  t47940 = 0.1e2 * t47939;
  t47941 = t145 * t47918;
  t47942 = t2765 * t47941;
  t47943 = 0.9e1 * t47942;
  t47944 = t6466 * t929;
  t47945 = t400 * t47944;
  t47946 = t693 * t47945;
  t47947 = 0.3e1 * t47946;
  t47948 = t396 * t47918;
  t47949 = t2776 * t47948;
  t47950 = 0.12e2 * t47949;
  t47951 = t405 * t47918;
  t47952 = t2776 * t47951;
  t47953 = 0.18e2 * t47952;
  t47954 = t1862 * t47944;
  t47955 = t697 * t47954;
  t47957 = t10255 * t47923;
  t47960 = t63 * t6191;
  t47961 = t396 * t47960;
  t47964 = t1505 * t47927;
  t47967 = t9906 * t47960;
  t47970 = -0.11e2 * t697 * t47924 + 0.4e1 * t697 * t47928 + 0.56e2 / 0.3e1 * t2776 * t47932 - t2782 * t47935 / 0.3e1 + t47940 - t47943 - t47947 - t47950 + t47953 + 0.5e1 * t47955 + 0.22e2 / 0.3e1 * t697 * t47957 - 0.12e2 * t13205 * t47961 - 0.8e1 / 0.3e1 * t697 * t47964 - 0.4e1 / 0.3e1 * t13185 * t47967;
  t47973 = t400 * t47927;
  t47978 = t9916 * t47914;
  t47981 = t1505 * t47914;
  t47984 = 0.1e2 * t47036;
  t47985 = 0.12e2 * t47046;
  t47986 = 0.18e2 * t47058;
  t47987 = -0.12e2 * t13185 * t47978 + 0.36e2 * t13195 * t47981 - 0.3e1 * t237 * t46962 - 0.3e1 * t47973 * t693 + t47012 + t47016 - t47067 - t47074 + t47984 - t47985 + t47986 + t6205 - t6261 + t6263;
  t47988 = 0.9e1 * t47080;
  t47989 = t1862 * t47931;
  t47992 = t9916 * t47931;
  t47995 = t400 * t47931;
  t47998 = 0.36e2 * t47082;
  t47999 = 0.18e2 * t47084;
  t48000 = 0.2e1 * t47087;
  t48001 = 0.9e1 * t2765 * t47995 - 0.28e2 * t2776 * t47989 - 0.2e2 * t2782 * t47992 - t47106 - t47988 - t47998 + t47999 - t48000 + t6268 - t6272 - t6278 - t6501 - t6507 + t6517;
  t48005 = t145 * t47914;
  t48008 = t405 * t47914;
  t48011 = t1566 * t47918;
  t48012 = t2782 * t48011;
  t48013 = t48012 / 0.6e1;
  t48014 = t9945 * t47960;
  t48018 = t1566 * t47960;
  t48021 = t1505 * t47944;
  t48022 = t697 * t48021;
  t48024 = t9911 * t47960;
  t48027 = t405 * t47960;
  t48030 = t1868 * t47923;
  t48033 = t10255 * t47931;
  t48036 = 0.3e1 * t237 * t47069 + 0.12e2 * t13202 * t48005 - 0.36e2 * t13205 * t48008 + t48013 - t13185 * t48014 / 0.9e1 - t237 * t47108 + 0.4e1 / 0.3e1 * t13195 * t48018 - 0.1e2 / 0.3e1 * t48022 + 0.8e1 / 0.3e1 * t13185 * t48024 + 0.72e2 * t13205 * t48027 + 0.6e1 * t693 * t48030 + t47120 - t47124 + 0.18e2 * t2782 * t48033;
  t48037 = t9916 * t47960;
  t48042 = t145 * t47960;
  t48045 = t1505 * t47960;
  t48048 = t1571 * t47960;
  t48051 = t47142 / 0.6e1;
  t48052 = t1566 * t47914;
  t48055 = t9911 * t47914;
  t48058 = t1571 * t47914;
  t48061 = t9906 * t47914;
  t48064 = 0.9e1 * t47146;
  t48065 = 0.24e2 * t13185 * t48037 - 0.6e1 * t237 * t47094 - 0.24e2 * t13202 * t48042 - 0.72e2 * t13195 * t48045 + 0.8e1 * t13195 * t48048 + t48051 - 0.2e1 / 0.3e1 * t13195 * t48052 + 0.5e2 / 0.3e1 * t13185 * t48055 - 0.4e2 * t13195 * t48058 + 0.1e2 / 0.3e1 * t13185 * t48061 - t48064 - t47149 + t47155 + t47159;
  t48073 = t1571 * t28006;
  t48075 = t2255 * t2782 * t48073;
  t48076 = 0.9e1 * t48075;
  t48077 = 0.5e1 / 0.12e2 * t47243;
  t48078 = 0.3e1 / 0.2e1 * t47245;
  t48085 = t911 * t3903;
  t48086 = t48085 / 0.4e1;
  t48087 = t6715 - t6719 - t6380 - t208 * t29738 / 0.4e1 + t6382 - t22 * t59 * (t47856 + t47890 + t47922 + t47970 + t47987 + t48001 + t48036 + t48065) * t96 / 0.4e1 - t48076 - t48077 - t48078 - t6396 * t686 / 0.2e1 + t47272 - t47274 + t47275 - t233 * t28107 / 0.12e2 - 0.5e1 / 0.36e2 * t6389 * t13625 - t48086;
  t48092 = my_piecewise3(t3, 0, t47330 + t47369 + t47393 + t47433 + t47462 + t47503 + t47528 + t47569 + t47598 + t47632 + t47689 + t47727 + t47765 + t47786 + t47832 + t48087);
  tv4sigma3lapl0 = 0.2e1 * rho[0] * t48092;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 0] += tv4sigma3lapl0;

  t48102 = t1677 * t31663 * t990;
  t48103 = t48102 / 0.2e1;
  t48104 = t2168 * t32776;
  t48106 = t1677 * t31659 * t1057;
  t48107 = 0.3e1 / 0.2e1 * t48106;
  t48113 = t2251 * t806 * t47227;
  t48114 = 0.3e1 / 0.2e1 * t48113;
  t48116 = t2255 * t810 * t47734;
  t48136 = -t22 * t6296 * t288 / 0.4e1 + t6374 * t2997 - 0.9e1 / 0.2e1 * t2251 * t3221 * t47453 - t48103 + t48104 - t48107 - t15961 * t6740 / 0.3e1 - 0.9e1 / 0.2e1 * t17049 * t6748 + t48114 + 0.5e1 / 0.2e1 * t48116 + 0.11e2 / 0.2e1 * t2251 * t810 * t47421 - 0.2e1 * t14216 * t47363 + t854 * t6340 / 0.2e1 - 0.3e1 / 0.2e1 * t3299 * t47294 - t259 * t46618 / 0.2e1 + 0.3e1 / 0.2e1 * t162 * t884 * t6200 * t1484 - 0.2e1 * t6374 * t2947 + t854 * t6348;
  t48139 = t854 * t6353;
  t48140 = t48139 / 0.2e1;
  t48144 = t1711 * t852 * t930;
  t48146 = t1972 * t6809;
  t48147 = 0.3e1 / 0.2e1 * t48146;
  t48151 = t884 * t6196;
  t48157 = t546 * t32892;
  t48158 = t2961 * t6544;
  t48159 = t548 * t48158;
  t48160 = t546 * t48159;
  t48161 = t48160 / 0.4e1;
  t48171 = t1637 * t2961 * t6363;
  t48184 = -0.3e1 / 0.4e1 * t4701 * t991 - t48140 - t854 * t6345 / 0.4e1 - t922 * t48144 - t48147 + 0.18e2 * t162 * t15325 * t47655 - 0.3e1 * t162 * t48151 * t1541 + 0.5e1 / 0.3e1 * t14041 * t47760 + t48157 - t48161 - t866 * t47817 / 0.4e1 + t917 * t4729 / 0.2e1 - 0.6e1 * t13714 * t47676 + 0.3e1 / 0.2e1 * t610 * t6767 - t208 * t48171 / 0.6e1 + 0.9e1 / 0.2e1 * t610 * t6770 + 0.3e1 * t17049 * t6743 + t1677 * t4747 * t6339 / 0.2e1 - 0.14e2 * t2255 * t3226 * t47773;
  t48190 = t4531 * t47621;
  t48191 = 0.11e2 / 0.6e1 * t48190;
  t48194 = t4531 * t47716;
  t48195 = 0.23e2 / 0.12e2 * t48194;
  t48200 = t3015 * t46926;
  t48225 = -t2988 * t47710 / 0.2e1 + 0.11e2 / 0.3e1 * t4531 * t47595 - t48191 - 0.23e2 / 0.6e1 * t4531 * t47713 + t48195 + 0.3e1 / 0.2e1 * t3015 * t47719 + 0.2e1 / 0.3e1 * t3015 * t47722 + 0.5e1 / 0.6e1 * t48200 + t2988 * t47732 - t917 * t6855 / 0.3e1 + t6374 * t3373 / 0.2e1 - 0.3e1 / 0.2e1 * t610 * t6762 - 0.23e2 / 0.3e1 * t14041 * t47397 - 0.11e2 / 0.6e1 * t2983 * t47634 - 0.61e2 / 0.27e2 * t14216 * t47566 + 0.23e2 / 0.12e2 * t2983 * t47573 - 0.9e1 * t1972 * t6841 - 0.18e2 * t1565 * t15262 * t47659 + 0.3e1 * t509 * t48151 * t1537;
  t48228 = t2169 * t6739;
  t48235 = t4571 * t28240;
  t48236 = 0.6e1 * t48235;
  t48238 = t2255 * t3208 * t48073;
  t48239 = 0.9e1 * t48238;
  t48240 = t4531 * t47427;
  t48241 = 0.3e1 / 0.2e1 * t48240;
  t48246 = -0.3e1 * t13714 * t47298 + t46593 - t47386 + t47387 - t47388 + t47389 + t47390 - t46630 - t47391 + t47392 + t17083 * t48228 / 0.4e1 - 0.3e1 / 0.4e1 * t10930 * t6735 + t46651 + 0.28e2 / 0.3e1 * t4571 * t47693 - t48236 - t48239 - t48241 - 0.3e1 * t3015 * t29346 - 0.4e1 / 0.3e1 * t3015 * t28217;
  t48249 = t3015 * t28000;
  t48251 = t15956 * t7357;
  t48252 = t48251 / 0.2e1;
  t48261 = t884 * t6192;
  t48291 = t894 * t47319;
  t48292 = t48291 / 0.2e1;
  t48295 = -0.5e1 / 0.3e1 * t48249 + t48252 + 0.8e1 * t14216 * t28720 - 0.6e1 * t9944 * t15235 * t47534 + 0.18e2 * t1565 * t15235 * t47539 - 0.3e1 * t509 * t48261 * t1572 + 0.3e1 / 0.2e1 * t162 * t48261 * t1506 + 0.36e2 * t509 * t15262 * t47663 - 0.18e2 * t162 * t15262 * t47495 - 0.18e2 * t509 * t15235 * t47547 + 0.6e1 * t162 * t15235 * t47469 + 0.3e1 / 0.2e1 * t1565 * t48261 * t1567 + t259 * t46763 / 0.4e1 + t259 * t47187 / 0.4e1 + t259 * t47196 / 0.12e2 + t894 * t47323 / 0.2e1 + t48292 + 0.3e1 / 0.2e1 * t3039 * t47357 - t47430;
  t48298 = t610 * t6813;
  t48299 = 0.3e1 / 0.4e1 * t48298;
  t48309 = t866 * t28260;
  t48312 = t854 * t6350;
  t48313 = 0.3e1 / 0.2e1 * t48312;
  t48316 = -t47431 - t47432 - t47436 - t47437 - t46676 + t47438 - t47447 + t47448 - t46769 + 0.3e1 * t4531 * t47409 + t48299 - 0.3e1 / 0.2e1 * t1972 * t6817 - 0.3e1 / 0.2e1 * t6389 * t14362 + 0.18e2 * t14041 * t28564 - 0.18e2 * t509 * t15325 * t47756 + t48309 - t866 * t47823 / 0.2e1 - t48313 - 0.3e1 / 0.4e1 * t610 * t6803;
  t48321 = t610 * t6806;
  t48322 = 0.3e1 / 0.2e1 * t48321;
  t48333 = t911 * t4729;
  t48334 = t48333 / 0.4e1;
  t48337 = t866 * t47814;
  t48338 = t48337 / 0.4e1;
  t48344 = t2265 * t32294 * t1052;
  t48345 = 0.3e1 / 0.2e1 * t48344;
  t48347 = t1677 * t32294 * t1065;
  t48348 = 0.3e1 / 0.2e1 * t48347;
  t48349 = -t162 * t876 * t46744 / 0.4e1 - t48322 + 0.2e1 * t15115 * t47309 + 0.3e1 / 0.2e1 * t2897 * t6314 - 0.3e1 / 0.2e1 * t854 * t6188 + 0.9e1 * t1972 * t6773 - 0.3e1 / 0.2e1 * t3416 * t1111 - t46787 - t48334 - t922 * t20020 / 0.4e1 - t48338 - 0.5e1 / 0.12e2 * t2983 * t47336 - 0.35e2 / 0.108e3 * t14216 * t47333 + t46798 - t47457 - t48345 + t48348 - t46805 + t47467;
  t48352 = t1684 * t169 * t287 * t6244;
  t48365 = t2294 * t6739;
  t48369 = t2169 * t1675 * t6738;
  t48371 = t15953 * t6740;
  t48372 = t48371 / 0.6e1;
  t48375 = t2897 * t6309;
  t48376 = 0.3e1 / 0.2e1 * t48375;
  t48377 = t854 * t6304;
  t48378 = 0.3e1 / 0.2e1 * t48377;
  t48379 = t3487 * t7507;
  t48380 = t48379 / 0.2e1;
  t48381 = t610 * t6797;
  t48382 = 0.3e1 / 0.2e1 * t48381;
  t48387 = t302 * t48158;
  t48388 = t538 * t48387;
  t48389 = t48388 / 0.2e1;
  t48390 = t2988 * t46804;
  t48391 = t48390 / 0.2e1;
  t48392 = t2179 * t48352 / 0.12e2 - 0.3e1 * t2251 * t806 * t47403 + t47499 - t3006 * t47173 / 0.2e1 + t3015 * t47686 / 0.3e1 - t2988 * t47508 + 0.3e1 / 0.4e1 * t3015 * t47412 + t17083 * t48365 / 0.2e1 - t17083 * t48369 + t48372 + t259 * t46773 / 0.2e1 - t48376 + t48378 - t48380 + t48382 - 0.5e1 / 0.36e2 * t6389 * t14842 - 0.3e1 / 0.4e1 * t3416 * t1114 + t48389 - t48391;
  t48403 = t2251 * t3221 * t47769;
  t48404 = 0.9e1 / 0.2e1 * t48403;
  t48408 = t866 * t47820;
  t48409 = t48408 / 0.2e1;
  t48427 = t2255 * t3226 * t47556;
  t48428 = 0.9e1 * t48427;
  t48431 = t3624 * t169 * t287 * t6252;
  t48434 = t10925 * t6739;
  t48437 = t4531 * t28155;
  t48438 = 0.7e1 * t48437;
  t48439 = 0.3e1 / 0.2e1 * t2251 * t806 * t47518 + 0.3e1 / 0.2e1 * t2251 * t263 * t46920 + t48404 - 0.11e2 / 0.2e1 * t2255 * t810 * t47788 - t913 + t984 - t48409 - 0.3e1 / 0.2e1 * t17410 * t1108 + 0.3e1 / 0.2e1 * t3416 * t1117 + 0.12e2 * t13714 * t29424 + 0.6e1 * t14041 * t47679 - 0.38e2 / 0.9e1 * t14216 * t47543 + 0.89e2 / 0.9e1 * t14216 * t47360 - t6389 * t15244 / 0.2e1 - 0.62e2 / 0.3e1 * t14216 * t29318 + t48428 - t2179 * t48431 / 0.6e1 + t2179 * t48434 / 0.4e1 + t48438;
  t48440 = t4571 * t47313;
  t48441 = 0.3e1 * t48440;
  t48442 = t4531 * t28008;
  t48443 = 0.9e1 / 0.2e1 * t48442;
  t48448 = t4277 * t3208 * t47449;
  t48449 = 0.9e1 / 0.2e1 * t48448;
  t48462 = t2251 * t3208 * t47808;
  t48463 = 0.9e1 / 0.2e1 * t48462;
  t48464 = t169 * t32774;
  t48465 = t2182 * t48464;
  t48466 = t2168 * t48465;
  t48467 = t48466 / 0.2e1;
  t48476 = t48441 - t48443 - 0.9e1 * t4277 * t3208 * t47698 + t48449 + 0.3e1 / 0.2e1 * t2265 * t31651 * t6313 - 0.7e1 / 0.3e1 * t4571 * t47615 + t28115 * t274 / 0.4e1 + t917 * t4744 / 0.2e1 + t6374 * t2934 / 0.2e1 - t46829 - t46833 + t47551 + t48463 - t48467 + 0.18e2 * t2255 * t3208 * t47458 - 0.9e1 * t2251 * t3208 * t47463 + t47560 + t6756 - 0.5e1 / 0.36e2 * t6389 * t15185;
  t48484 = t4538 * t47505;
  t48485 = 0.3e1 / 0.2e1 * t48484;
  t48494 = t2175 * t48464;
  t48495 = t2168 * t48494;
  t48496 = t48495 / 0.4e1;
  t48501 = t2251 * t810 * t46929;
  t48508 = -t922 * t20408 / 0.4e1 - t47587 + t47588 - t47589 + t47590 + t6301 + t46938 + 0.11e2 / 0.3e1 * t3015 * t28606 + 0.9e1 * t4531 * t47794 - t48485 - t6396 * t848 / 0.2e1 - t208 * t32396 / 0.4e1 - 0.14e2 / 0.3e1 * t4571 * t47381 - 0.11e2 / 0.6e1 * t3015 * t47444 - t48496 - 0.2e1 * t2251 * t810 * t47799 - 0.5e1 / 0.2e1 * t48501 - 0.14e2 * t15606 * t20291 + 0.14e2 * t2251 * t3226 * t47417;
  t48510 = t2251 * t3226 * t47439;
  t48511 = 0.9e1 * t48510;
  t48515 = t4531 * t47512;
  t48516 = 0.5e1 / 0.12e2 * t48515;
  t48545 = t911 * t4744;
  t48546 = t48545 / 0.4e1;
  t48547 = -t48511 - 0.3e1 / 0.2e1 * t1677 * t31651 * t6187 - t48516 + 0.3e1 / 0.4e1 * t32401 * t223 + 0.3e1 * t3039 * t47563 + 0.44e2 / 0.27e2 * t14216 * t47576 - 0.3e1 / 0.2e1 * t2983 * t47579 + 0.3e1 / 0.2e1 * t610 * t6820 + 0.7e1 / 0.3e1 * t6389 * t14358 - 0.9e1 * t610 * t6823 + 0.22e2 / 0.3e1 * t14041 * t47394 - t208 * t31385 / 0.4e1 + 0.3e1 / 0.4e1 * t3416 * t1126 - 0.28e2 * t28061 * t3331 + 0.9e1 / 0.2e1 * t610 * t6826 + 0.47e2 / 0.3e1 * t28041 * t15363 + 0.3e1 / 0.2e1 * t14144 * t6428 - t48546 + t6799;
  t48552 = t4571 * t47515;
  t48553 = 0.3e1 / 0.2e1 * t48552;
  t48554 = t3015 * t47176;
  t48573 = -t6802 - t6808 - t6811 + t6815 + 0.5e1 / 0.6e1 * t4531 * t47690 + t48553 + 0.5e1 / 0.12e2 * t48554 + 0.2e1 * t2255 * t810 * t47782 - 0.2e1 * t6374 * t2892 - 0.3e1 / 0.2e1 * t4701 * t986 + t47751 + t6860 - t6864 - t6866 + 0.23e2 / 0.36e2 * t6389 * t14172 - t922 * t21282 / 0.2e1 - 0.11e2 / 0.18e2 * t6389 * t14169 - 0.3e1 / 0.2e1 * t6389 * t14139 - 0.3e1 * t2897 * t6431;
  t48588 = t911 * t6855;
  t48589 = t48588 / 0.6e1;
  t48591 = t490 * t19672 * t930;
  t48595 = t490 * t2961 * t6323;
  t48598 = t1711 * t6854;
  t48604 = t1649 * t6854;
  t48609 = 0.3e1 / 0.2e1 * t854 * t6419 - t6389 * t14151 / 0.2e1 + 0.3e1 / 0.2e1 * t4701 * t994 + t6374 * t2888 - 0.3e1 / 0.2e1 * t21291 * t978 + 0.3e1 * t2897 * t6438 - 0.3e1 * t854 * t6415 + t546 * t32390 + t48589 + t208 * t48591 / 0.4e1 + t208 * t48595 / 0.12e2 + t922 * t48598 / 0.4e1 - 0.3e1 / 0.2e1 * t162 * t876 * t46872 + t922 * t48604 / 0.2e1 + 0.7e1 * t2983 * t47354 + t47779 + t6306 - t6311 - t6352;
  t48617 = t4701 * t982;
  t48618 = 0.3e1 / 0.4e1 * t48617;
  t48625 = -t47185 + t47193 + t47780 - t6357 + t6358 - t6360 + t47781 - t47792 - 0.6e1 * t162 * t14431 * t47672 - t6396 * t886 / 0.2e1 + t922 * t21286 + t48618 + 0.7e1 / 0.3e1 * t6389 * t14154 + t6946 - t6951 - t6380 + t6382 - t259 * t28107 / 0.12e2 - 0.11e2 / 0.12e2 * t3015 * t47618;
  t48636 = t4402 * t47850;
  t48637 = 0.36e2 * t48636;
  t48638 = t3200 * t46985;
  t48640 = t4397 * t47873;
  t48641 = 0.18e2 * t48640;
  t48642 = t3202 * t46976;
  t48643 = 0.6e1 * t48642;
  t48646 = t943 + t263 * t47049 / 0.2e1 - 0.36e2 * t13772 * t48008 - 0.12e2 * t13792 * t47978 + 0.5e2 / 0.3e1 * t13792 * t48055 + 0.4e1 / 0.3e1 * t3200 * t47841 - t48637 - 0.1e2 * t48638 + t48641 + t48643 + 0.4e1 * t13830 * t47898 - t47835 - t47836;
  t48649 = t4405 * t47853;
  t48650 = 0.18e2 * t48649;
  t48653 = t4405 * t47862;
  t48654 = 0.2e1 * t48653;
  t48657 = t4402 * t47853;
  t48658 = 0.6e1 * t48657;
  t48659 = -t46966 + t47837 + t46971 - 0.8e1 * t3200 * t47857 + t48650 - 0.36e2 * t13830 * t47882 - t48654 + t47838 + t47839 - t47848 - t962 - 0.28e2 / 0.3e1 * t13818 * t47882 + t48658 + t47888;
  t48661 = -t47889 + t47892 + t6881 - t6884 + t6888 + t6205 - t6261 + t6263 + t47012 + t47016 + t47984 - t47985 + t47986 - t47067;
  t48670 = t3200 * t47909;
  t48672 = t4405 * t47901;
  t48673 = t48672 / 0.3e1;
  t48680 = -t47074 - t47988 - 0.12e2 * t13833 * t47877 - 0.11e2 / 0.3e1 * t13916 * t47885 + 0.56e2 * t13818 * t47893 + 0.22e2 * t13916 * t47906 + 0.5e1 / 0.3e1 * t48670 - t48673 + 0.2e1 / 0.3e1 * t13830 * t47845 + 0.6e1 * t3202 * t47867 + 0.6e1 * t4392 * t46982 - t47998 + t47999 - t48000;
  t48691 = t3208 * t47919;
  t48692 = 0.9e1 * t48691;
  t48695 = t3226 * t47951;
  t48696 = 0.18e2 * t48695;
  t48697 = -t6907 + t6914 - t6916 + t6268 - t6272 - t6278 - t47106 + 0.8e1 * t13762 * t48048 - 0.4e1 / 0.3e1 * t13792 * t47967 - 0.28e2 * t3226 * t47989 - 0.11e2 * t810 * t47924 - t48692 + 0.4e1 * t810 * t47928 + t48696;
  t48712 = -0.12e2 * t13772 * t47961 - 0.24e2 * t13775 * t48042 - t13792 * t48014 / 0.9e1 + t47120 - t47124 - 0.18e2 * t13836 * t47870 + t48051 - t48064 - t47149 + t47155 + t47159 - 0.6e1 * t263 * t47094 + 0.8e1 / 0.3e1 * t13792 * t48024 + 0.24e2 * t13792 * t48037;
  t48729 = t810 * t48021;
  t48731 = t3208 * t48011;
  t48732 = t48731 / 0.6e1;
  t48733 = t810 * t47954;
  t48735 = t3208 * t47938;
  t48736 = 0.1e2 * t48735;
  t48739 = t3221 * t47941;
  t48740 = 0.9e1 * t48739;
  t48741 = 0.18e2 * t3208 * t48033 - t263 * t47108 + 0.22e2 / 0.3e1 * t810 * t47957 + 0.4e1 / 0.3e1 * t13762 * t48018 + 0.56e2 / 0.3e1 * t3226 * t47932 - t3208 * t47935 / 0.3e1 + 0.9e1 * t3221 * t47995 - 0.2e2 * t3208 * t47992 - 0.1e2 / 0.3e1 * t48729 + t48732 + 0.5e1 * t48733 + t48736 - 0.8e1 / 0.3e1 * t810 * t47964 - t48740;
  t48742 = t806 * t47945;
  t48743 = 0.3e1 * t48742;
  t48744 = t3226 * t47948;
  t48745 = 0.12e2 * t48744;
  t48770 = -t48743 - t48745 - 0.3e1 * t806 * t47973 - 0.3e1 * t263 * t46962 + 0.3e1 * t263 * t47069 + 0.12e2 * t13775 * t48005 + 0.24e2 * t13772 * t47915 - 0.4e2 * t13762 * t48058 - 0.2e1 / 0.3e1 * t13762 * t48052 + 0.36e2 * t13762 * t47981 + 0.1e2 / 0.3e1 * t13792 * t48061 + 0.6e1 * t806 * t48030 - 0.72e2 * t13762 * t48045 + 0.72e2 * t13772 * t48027;
  t48804 = -t22 * t59 * (t48646 + t48659 + t48661 + t48680 + t48697 + t48712 + t48741 + t48770) * t96 / 0.4e1 - 0.6e1 * t3039 * t28542 - 0.43e2 / 0.9e1 * t14216 * t47477 + 0.9e1 / 0.2e1 * t11870 * t6838 + t922 * t19655 + 0.23e2 / 0.36e2 * t6389 * t15019 - 0.9e1 / 0.2e1 * t2983 * t47489 - t922 * t19651 / 0.2e1 - 0.11e2 / 0.18e2 * t6389 * t14416 - t48077 - t48078 + 0.3e1 / 0.2e1 * t4538 * t47500 + t1677 * t31534 * t990 - t1677 * t4747 * t6344 / 0.4e1 + 0.9e1 / 0.2e1 * t17046 * t6745 + t47272 - t47274 + t47275 + 0.3e1 / 0.2e1 * t854 * t6435;
  t48809 = my_piecewise3(t3, 0, t48136 + t48184 + t48225 + t48246 + t48295 + t48316 + t48349 + t48392 + t48439 + t48476 + t48508 + t48547 + t48573 + t48609 + t48625 + t48804);
  tv4sigma3tau0 = 0.2e1 * rho[0] * t48809;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 0] += tv4sigma3tau0;

  t48813 = t1565 * t4805 * t46811;
  t48814 = 0.3e1 / 0.2e1 * t48813;
  t48815 = t719 * t6640;
  t48816 = t2324 * t6549;
  t48820 = t7066 * t929;
  t48821 = t10255 * t48820;
  t48825 = t96 * t48820;
  t48826 = t3624 * t48825;
  t48829 = t10245 * t48820;
  t48842 = t4828 * t6644;
  t48843 = 0.4e1 * t48842;
  t48846 = t4831 * t6308;
  t48847 = 0.4e1 / 0.3e1 * t48846;
  t48864 = t4846 * t6639;
  t48865 = 0.4e1 * t48864;
  t48866 = t28826 * t1260;
  t48867 = 0.2e1 / 0.3e1 * t48866;
  t48870 = 0.4e1 * t4834 * t6339 - 0.2e1 * t4834 * t6344 - 0.2e1 * t6658 - t48843 - 0.8e1 * t21866 * t6597 + t48847 + 0.16e2 / 0.9e1 * t21871 * t6676 - 0.4e1 * t4831 * t30820 + 0.8e1 * t4828 * t29545 - t6237 + t46690 - 0.12e2 * t4831 * t30752 + 0.2e1 * t239 * t6344 - 0.4e1 * t28802 * t1260 + 0.4e1 / 0.3e1 * t28807 * t8518 + 0.24e2 * t21928 * t6687 - t48865 + t48867 + 0.2e2 / 0.9e1 * t28807 * t8513;
  t48875 = t4841 * t6644;
  t48876 = 0.4e1 * t48875;
  t48881 = t4831 * t6639;
  t48882 = 0.4e1 * t48881;
  t48884 = 0.8e1 * t46705;
  t48885 = 0.8e1 / 0.3e1 * t46707;
  t48886 = 0.8e1 * t46718;
  t48894 = 0.4e1 / 0.3e1 * t46725;
  t48895 = 0.8e1 * t46729;
  t48896 = 0.8e1 * t46731;
  t48897 = -0.4e1 * t239 * t6339 - 0.12e2 * t21921 * t6592 + t48876 - 0.12e2 * t21931 * t6667 + 0.12e2 * t21853 * t6592 + t48882 - 0.8e1 * t6618 + t48884 + t48885 - t48886 - t46721 + t6225 - 0.24e2 * t21866 * t6687 + 0.32e2 / 0.3e1 * t21871 * t6681 + 0.12e2 * t6695 + 0.12e2 * t21871 * t6667 + t48894 - t48895 + t48896;
  t48898 = t48870 + t48897;
  t48900 = t320 * t137 * t48898;
  t48904 = t10526 * t6564;
  t48911 = t10775 * t48825;
  t48920 = t911 * t5167;
  t48921 = t48920 / 0.12e2;
  t48922 = -t162 * t745 * t48900 / 0.4e1 - 0.35e2 / 0.108e3 * t22306 * t48904 + 0.2e1 / 0.3e1 * t47320 - t47339 / 0.3e1 - 0.2e1 * t47341 - 0.2e1 * t47347 - 0.5e1 / 0.12e2 * t2632 * t48911 + 0.3e1 * t719 * t6593 - t1140 * t17379 / 0.12e2 + t1140 * t17404 / 0.3e1 - t48921;
  t48928 = t5172 * t982;
  t48929 = t48928 / 0.4e1;
  t48946 = -t208 * t34798 / 0.6e1 + t917 * t5167 / 0.6e1 + t48929 + t29743 * t248 / 0.2e1 - t922 * t22986 / 0.12e2 + t34803 * t223 / 0.2e1 - t922 * t23040 / 0.6e1 + t922 * t23032 / 0.3e1 - t23037 * t978 / 0.2e1 + t5172 * t994 / 0.2e1 - t5172 * t986 / 0.2e1;
  t48947 = t911 * t7018;
  t48948 = t48947 / 0.6e1;
  t48949 = t548 * t47371;
  t48950 = t671 * t48949;
  t48951 = t48950 / 0.6e1;
  t48952 = t2571 * t6563;
  t48953 = t2057 * t48952;
  t48960 = t2057 * t6545;
  t48961 = t4800 * t48960;
  t48962 = 0.23e2 / 0.36e2 * t48961;
  t48967 = t1147 * t914;
  t48968 = t1862 * t48967;
  t48972 = t1505 * t48967;
  t48976 = t48948 - t48951 - 0.5e1 / 0.18e2 * t2590 * t48953 + 0.2e1 / 0.3e1 * t47373 - 0.18e2 * t509 * t23351 * t6597 + t48962 + 0.6e1 * t1972 * t7057 - 0.6e1 * t610 * t7239 + 0.3e1 * t2251 * t2776 * t48968 - 0.3e1 * t2255 * t2776 * t48972 + t46593;
  t48979 = t4984 * t6575;
  t48980 = t48979 / 0.2e1;
  t48981 = 0.3e1 * t46607;
  t48982 = 0.2e1 / 0.3e1 * t46621;
  t48983 = t46624 / 0.2e1;
  t48986 = t4856 * t6560;
  t48987 = t48986 / 0.2e1;
  t48988 = 0.7e1 / 0.3e1 * t46628;
  t48989 = t46630 / 0.3e1;
  t48993 = 0.11e2 / 0.18e2 * t46632;
  t48994 = 0.23e2 / 0.36e2 * t46634;
  t48996 = t9930 * t9935 * t914;
  t49000 = t18921 * t6648;
  t49006 = t400 * t48967;
  t49010 = t500 * t48967;
  t49011 = t10733 * t49010;
  t49014 = t2632 * t34755;
  t49019 = t7015 * t205;
  t49020 = t400 * t49019;
  t49023 = -t48993 + t48994 - 0.6e1 * t9944 * t21768 * t48996 + t2632 * t49000 - 0.3e1 * t18604 * t6695 + 0.3e1 * t19135 * t6658 - 0.3e1 / 0.2e1 * t2251 * t2765 * t49006 - 0.23e2 / 0.36e2 * t3930 * t49011 - t49014 / 0.3e1 - 0.3e1 * t2251 * t5016 * t6617 + t2251 * t693 * t49020;
  t49025 = t7015 * t929;
  t49026 = t1868 * t49025;
  t49031 = t96 * t48967;
  t49032 = t10775 * t49031;
  t49035 = t46650 / 0.2e1;
  t49036 = t555 * t47371;
  t49037 = t671 * t49036;
  t49038 = t49037 / 0.3e1;
  t49039 = t2057 * t6549;
  t49042 = t2057 * t6553;
  t49043 = t4800 * t49042;
  t49044 = 0.5e1 / 0.36e2 * t49043;
  t49045 = t10526 * t6671;
  t49048 = t4856 * t6546;
  t49049 = 0.2e1 * t49048;
  t49050 = t2233 * t6553;
  t49051 = t4800 * t49050;
  t49052 = 0.11e2 / 0.18e2 * t49051;
  t49053 = t2057 * t6611;
  t49056 = t2251 * t237 * t49026 - 0.2e1 / 0.3e1 * t2168 * t34750 + t3930 * t49032 / 0.2e1 + t49035 - t49038 - 0.5e1 / 0.18e2 * t4800 * t49039 - t49044 - 0.43e2 / 0.9e1 * t22306 * t49045 - t49049 - t49052 + 0.23e2 / 0.18e2 * t4800 * t49053;
  t49058 = t10649 * t6564;
  t49061 = t2057 * t30287;
  t49064 = t2233 * t48952;
  t49069 = t1505 * t49019;
  t49074 = t2251 * t3780 * t7067;
  t49076 = t2255 * t3780 * t33970;
  t49078 = t719 * t6587 - 0.61e2 / 0.27e2 * t22306 * t49058 + 0.23e2 / 0.18e2 * t2590 * t49061 - 0.11e2 / 0.9e1 * t2590 * t49064 - 0.2e1 * t47401 - t17049 * t7068 + t2255 * t697 * t49069 - 0.8e1 * t47407 - t49074 + t49076 + 0.2e1 / 0.3e1 * t47415;
  t49085 = t96 * t49019;
  t49086 = t1684 * t49085;
  t49090 = t3624 * t96 * t49025;
  t49093 = t2169 * t49085;
  t49096 = t1147 * t6244;
  t49098 = t3624 * t96 * t49096;
  t49102 = t4800 * t46623;
  t49103 = t49102 / 0.2e1;
  t49104 = 0.3e1 / 0.2e1 * t46659;
  t49105 = 0.2e1 * t46661;
  t49106 = t46663 / 0.2e1;
  t49108 = t46675 / 0.4e1;
  t49109 = 0.3e1 / 0.2e1 * t46749;
  t49114 = t11249 * t6564;
  t49117 = t10649 * t6621;
  t49120 = t1426 * t6307;
  t49122 = t162 * t4805 * t49120;
  t49123 = 0.3e1 / 0.2e1 * t49122;
  t49125 = t162 * t4810 * t6639;
  t49126 = 0.3e1 * t49125;
  t49129 = -t46667 - t46671 - t49108 + t49109 - 0.12e2 * t47441 - 0.3e1 * t509 * t4935 * t46852 - 0.2e1 * t22306 * t49114 + 0.89e2 / 0.9e1 * t22306 * t49117 + t49123 - t49126 - 0.28e2 * t15752 * t8386;
  t49137 = t46754 / 0.6e1;
  t49141 = t2057 * t2507 * t6563;
  t49144 = t2324 * t48952;
  t49150 = t490 * t22727 * t930;
  t49153 = t46760 / 0.6e1;
  t49154 = t46768 / 0.6e1;
  t49155 = t10936 * t49031;
  t49158 = -0.6e1 * t2509 * t6682 + 0.8e1 * t22306 * t10526 * t1563 * t6563 - t49137 + 0.3e1 * t13061 * t6677 - 0.3e1 * t2590 * t49141 - t2590 * t49144 + 0.14e2 / 0.3e1 * t2590 * t2233 * t30287 + t208 * t49150 / 0.12e2 + t49153 - t49154 + 0.11e2 / 0.18e2 * t3930 * t49155;
  t49165 = t10653 * t6564;
  t49168 = t2509 * t6584;
  t49169 = t46798 / 0.3e1;
  t49172 = t5007 * t6467;
  t49173 = 0.4e1 * t49172;
  t49176 = t5007 * t6470;
  t49177 = 0.6e1 * t49176;
  t49178 = t5011 * t47079;
  t49179 = 0.3e1 * t49178;
  t49182 = t5016 * t6472;
  t49183 = 0.3e1 * t49182;
  t49186 = t9906 * t6446;
  t49189 = t9911 * t6446;
  t49194 = 0.2e1 * t46957;
  t49195 = 0.2e1 * t46959;
  t49196 = 0.3e1 * t46967;
  t49197 = 0.2e1 * t46970;
  t49198 = 0.4e1 * t46977;
  t49199 = 0.6e1 * t46986;
  t49200 = t943 - 0.4e1 / 0.3e1 * t1164 * t47127 - t49173 - 0.2e1 / 0.3e1 * t21840 * t6460 + t49177 - t49179 + 0.2e1 * t1164 * t47030 - t49183 - 0.4e2 * t21840 * t6463 + 0.1e2 / 0.3e1 * t21829 * t49186 + 0.5e2 / 0.3e1 * t21829 * t49189 + 0.24e2 * t21843 * t6457 - t49194 - t49195 - t46965 + t49196 + t49197 + t49198 + t46979 - t49199;
  t49209 = t9916 * t6446;
  t49212 = t423 * t48820;
  t49216 = 0.2e1 * t46990;
  t49217 = t46999 / 0.9e1;
  t49218 = 0.6e1 * t47001;
  t49219 = t34250 * t205;
  t49220 = t149 * t49219;
  t49224 = t149 * t34250 * t929;
  t49230 = t410 * t49219;
  t49235 = t49216 - t49217 + t49218 + 0.4e1 * t2752 * t49220 + 0.4e1 * t4138 * t49224 - 0.4e1 / 0.9e1 * t47902 + 0.8e1 * t47904 + 0.8e1 / 0.3e1 * t47910 + 0.2e1 / 0.3e1 * t2750 * t49230 - 0.12e2 * t21978 * t6531 + t7099;
  t49239 = t149 * t5054 * t6252;
  t49242 = t5054 * t914;
  t49243 = t149 * t49242;
  t49246 = t423 * t49242;
  t49250 = t9916 * t6483;
  t49260 = t10255 * t6491;
  t49271 = t1177 * t914;
  t49272 = t400 * t49271;
  t49276 = t10240 * t1177 * t6252;
  t49281 = -0.16e2 * t47949 + 0.24e2 * t47952 + 0.8e1 * t47955 + 0.15e2 * t5011 * t49260 + 0.2e1 * t1160 * t6270 - 0.2e1 * t1164 * t46972 + 0.4e1 / 0.3e1 * t21840 * t6508 + 0.12e2 * t1164 * t47097 + 0.3e1 * t2765 * t49272 + 0.3e1 * t237 * t49276 + 0.72e2 * t21843 * t6488;
  t49283 = t3780 * t7180;
  t49284 = 0.2e1 * t49283;
  t49285 = t7112 * t205;
  t49286 = t1862 * t49285;
  t49289 = t1177 * t908;
  t49290 = t1862 * t49289;
  t49291 = t697 * t49290;
  t49292 = t5016 * t6499;
  t49293 = 0.6e1 * t49292;
  t49296 = t5007 * t6515;
  t49297 = 0.12e2 * t49296;
  t49298 = t1571 * t6498;
  t49299 = t5011 * t49298;
  t49300 = 0.2e1 / 0.3e1 * t49299;
  t49301 = t1505 * t6498;
  t49302 = t5011 * t49301;
  t49303 = 0.6e1 * t49302;
  t49306 = t5007 * t6505;
  t49307 = 0.2e1 * t49306;
  t49314 = t942 * t7113;
  t49315 = 0.1e2 / 0.3e1 * t47036;
  t49317 = t400 * t60 * t48898;
  t49320 = 0.6e1 * t5016 * t6495 + t6480 - t6481 + t6482 + t6264 + t47016 - 0.22e2 / 0.3e1 * t21967 * t6529 - t1160 * t6246 + t49314 + t49315 + t237 * t49317 / 0.2e1;
  t49324 = 0.4e1 * t47046;
  t49325 = 0.6e1 * t47058;
  t49326 = 0.3e1 * t47080;
  t49327 = t1566 * t6498;
  t49328 = t5011 * t49327;
  t49329 = t49328 / 0.9e1;
  t49330 = t9911 * t6491;
  t49334 = t400 * t63 * t48898;
  t49336 = 0.12e2 * t47082;
  t49338 = 0.6e1 * t47084;
  t49339 = 0.2e1 / 0.3e1 * t47087;
  t49340 = t1862 * t49271;
  t49345 = t9916 * t6491;
  t49348 = t3775 * t7159;
  t49349 = 0.2e1 * t49348;
  t49350 = t3780 * t7154;
  t49351 = 0.4e1 / 0.3e1 * t49350;
  t49352 = t1505 * t49289;
  t49353 = t697 * t49352;
  t49355 = t49338 - t49339 - 0.6e1 * t2776 * t49340 - t7124 - t7125 + t7126 - 0.24e2 * t21819 * t6520 - 0.5e2 / 0.3e1 * t5011 * t49345 - t49349 - t49351 - 0.2e1 / 0.3e1 * t49353;
  t49357 = t1505 * t49285;
  t49361 = t1868 * t7112 * t929;
  t49365 = t1868 * t1177 * t6244;
  t49369 = t9911 * t49271;
  t49375 = t942 * t7163;
  t49376 = 0.2e1 * t49375;
  t49377 = t400 * t49289;
  t49378 = t693 * t49377;
  t49379 = t410 * t48820;
  t49383 = t9916 * t49271;
  t49386 = t9906 * t6483;
  t49392 = t410 * t49242;
  t49395 = -t49376 - t49378 + 0.1e2 / 0.3e1 * t13136 * t49379 + 0.2e1 / 0.9e1 * t48012 - 0.1e2 / 0.3e1 * t2782 * t49383 - 0.4e1 / 0.3e1 * t21829 * t49386 - 0.16e2 / 0.3e1 * t48022 - 0.3e2 * t21944 * t6529 + t47120 - t47124 - 0.6e1 * t13131 * t49392;
  t49398 = t5054 * t908;
  t49399 = t410 * t49398;
  t49400 = t2750 * t49399;
  t49402 = t1837 * t49242;
  t49405 = t149 * t49398;
  t49406 = t2752 * t49405;
  t49411 = t149 * t5054 * t6244;
  t49414 = t16722 * t7140;
  t49415 = 0.4e1 * t49414;
  t49416 = t423 * t49219;
  t49419 = t16739 * t7143;
  t49420 = 0.4e1 * t49419;
  t49421 = t28923 * t7147;
  t49422 = 0.4e1 * t49421;
  t49423 = t16722 * t7150;
  t49424 = 0.2e1 / 0.3e1 * t49423;
  t49428 = t1829 * t6476;
  t49431 = t149 * t48820;
  t49434 = t423 * t49398;
  t49435 = t2750 * t49434;
  t49437 = t1829 * t49242;
  t49440 = t1837 * t6476;
  t49445 = t10255 * t49271;
  t49450 = t9911 * t6483;
  t49455 = 0.44e2 * t21967 * t6477 + 0.1e2 / 0.3e1 * t21944 * t49428 + 0.4e1 * t13166 * t49431 - 0.2e1 * t49435 + 0.2e1 / 0.3e1 * t13131 * t49437 + 0.5e1 / 0.9e1 * t21944 * t49440 + 0.8e1 * t21840 * t6523 + 0.3e1 * t2782 * t49445 - 0.22e2 * t5007 * t6492 + 0.8e1 / 0.3e1 * t21829 * t49450 - 0.72e2 * t21840 * t6484;
  t49459 = t1505 * t49271;
  t49462 = t47142 / 0.18e2;
  t49463 = t1566 * t6466;
  t49464 = t5011 * t49463;
  t49465 = t49464 / 0.18e2;
  t49466 = t1571 * t6466;
  t49467 = t5011 * t49466;
  t49468 = 0.1e2 / 0.3e1 * t49467;
  t49469 = 0.3e1 * t47146;
  t49481 = t47158 / 0.2e1;
  t49482 = t9945 * t6483;
  t49485 = t942 * t7172;
  t49486 = 0.2e1 * t49485;
  t49487 = t400 * t49285;
  t49490 = t16690 * t48820;
  t49493 = t16695 * t48820;
  t49496 = t16699 * t48820;
  t49499 = 0.12e2 * t21819 * t6453 - 0.36e2 * t21843 * t6447 + 0.4e1 * t1164 * t47040 + t49481 - t21829 * t49482 / 0.9e1 - t49486 - 0.2e1 * t693 * t49487 - 0.5e1 / 0.3e1 * t13136 * t49490 - 0.8e1 * t13166 * t49493 + 0.1e2 * t13136 * t49496 - t7170;
  t49508 = t11150 * t48825;
  t49515 = -t46787 - 0.2e1 * t2168 * t33731 + 0.6e1 * t47451 + 0.3e1 * t162 * t4935 * t46891 - 0.38e2 / 0.9e1 * t22306 * t49165 - t49168 + t49169 - t22 * t59 * (t49235 + 0.2e1 * t697 * t49286 - 0.12e2 * t21843 * t6502 + 0.2e1 * t1160 * t6254 - 0.6e1 * t1164 * t47024 - t2782 * t49369 / 0.18e2 - 0.4e1 * t1164 * t46951 + 0.36e2 * t21840 * t6450 - 0.12e2 * t21829 * t49209 + 0.8e1 * t47865 - 0.8e1 / 0.3e1 * t47863 + t49303 - t49324 + t49325 - t49326 - 0.12e2 * t47942 - t47067 + t49462 + t49465 + 0.4e2 / 0.3e1 * t47939 + t49499 - 0.16e2 * t47860 + t49355 + t49422 + t49424 + t49455 - 0.48e2 * t47851 + 0.24e2 * t47854 + t49200 - t49297 + t49291 + t49293 + t7111 + 0.24e2 * t47874 + t49281 + t49284 + t49420 + t49307 - t47148 + 0.2e1 * t49406 + t49320 - t49336 + t6526 - t6527 + t47155 - t7100 + t7101 + t49395 - t47074 - 0.5e1 / 0.18e2 * t5011 * t49330 - t237 * t49334 - 0.4e1 * t2750 * t49416 + 0.44e2 / 0.3e1 * t5007 * t6512 + 0.24e2 * t21829 * t49250 + t13131 * t49402 / 0.9e1 - 0.2e1 * t13126 * t49392 + 0.2e1 * t4138 * t49411 - 0.4e1 * t47946 - t962 + t49468 - t49469 - t49300 + t49400 / 0.3e1 - 0.12e2 * t47920 - t49329 - t6528 - t6280 - 0.5e1 * t13136 * t49212 - 0.4e1 * t1160 * t6282 + 0.4e1 * t2776 * t49459 - 0.6e1 * t17614 * t49239 - 0.6e1 * t13163 * t49243 + 0.12e2 * t13126 * t49246 - 0.4e1 / 0.3e1 * t697 * t49357 - 0.2e1 * t237 * t49361 - t237 * t49365 + 0.2e1 / 0.3e1 * t1164 * t47112 - t49415) * t96 / 0.4e1 - 0.5e1 / 0.6e1 * t2632 * t49508 - t3416 * t1194 / 0.2e1 + t3416 * t1202 / 0.2e1;
  t49521 = t490 * t15805 * t1148;
  t49525 = t509 * t4810 * t6308;
  t49526 = 0.3e1 * t49525;
  t49527 = 0.3e1 * t46801;
  t49530 = t4800 * t16044;
  t49531 = 0.3e1 / 0.2e1 * t49530;
  t49536 = t10733 * t6652;
  t49539 = t12291 * t6648;
  t49542 = t46805 / 0.3e1;
  t49543 = t1140 * t47199 / 0.6e1 + t233 * t49521 / 0.12e2 + t49526 - t49527 + 0.18e2 * t15752 * t8390 - t49531 + 0.22e2 / 0.3e1 * t22311 * t6691 + t1140 * t47190 / 0.3e1 - 0.115e3 / 0.36e2 * t22511 * t49536 - 0.2e1 / 0.3e1 * t2674 * t49539 - t49542;
  t49544 = 0.3e1 / 0.2e1 * t46808;
  t49545 = t18442 * t1000;
  t49546 = t302 * t49545;
  t49551 = t490 * t303 * t95 * t48898;
  t49557 = t666 * t47372;
  t49558 = t49557 / 0.3e1;
  t49559 = 0.3e1 / 0.2e1 * t46813;
  t49560 = t548 * t48952;
  t49567 = t4800 * t16050;
  t49568 = 0.7e1 / 0.3e1 * t49567;
  t49569 = t4856 * t6554;
  t49570 = t49544 + 0.2e1 / 0.3e1 * t666 * t49546 + t233 * t49551 / 0.12e2 + t162 * t4884 * t6344 / 0.2e1 + t49558 + t49559 + t2611 * t49560 + 0.5e1 / 0.3e1 * t2632 * t10775 * t500 * t48820 - 0.2e1 * t47506 + t49568 + t49569;
  t49574 = t719 * t6645;
  t49579 = t302 * t48952;
  t49585 = t2169 * t49031;
  t49589 = t2251 * t3775 * t7079;
  t49590 = -0.4e1 * t3483 * t8318 - t49574 + t509 * t4935 * t47253 - t233 * t47668 / 0.3e1 - t2662 * t49579 - t162 * t4935 * t47205 + 0.4e1 / 0.3e1 * t546 * t33541 - t3917 * t49585 / 0.2e1 - t913 + t984 + t49589;
  t49592 = t2251 * t942 * t7084;
  t49593 = t2168 * t34755;
  t49594 = 0.2e1 / 0.3e1 * t49593;
  t49600 = t10775 * t6648;
  t49603 = t49592 - t49594 + 0.28e2 / 0.3e1 * t47510 + t6972 - t6973 - t6974 + t6975 - t6585 + 0.2e1 * t18604 * t6618 + 0.15e2 / 0.2e1 * t10715 * t35020 + 0.5e1 / 0.2e1 * t22511 * t49600;
  t49608 = t2294 * t49085;
  t49616 = 0.3e1 * t46896;
  t49618 = t509 * t4805 * t46605;
  t49619 = 0.3e1 * t49618;
  t49623 = t96 * t34753;
  t49624 = t2294 * t49623;
  t49625 = t2632 * t49624;
  t49627 = t1862 * t34753;
  t49629 = t2251 * t697 * t49627;
  t49631 = t10936 * t8349;
  t49634 = t1684 * t49623;
  t49635 = t2674 * t49634;
  t49643 = t2169 * t49623;
  t49644 = t2632 * t49643;
  t49646 = -t4984 * t6572 - 0.8e1 / 0.3e1 * t47554 + t49625 / 0.6e1 - t49629 / 0.2e1 - 0.7e1 / 0.3e1 * t15606 * t49631 - t49635 / 0.6e1 - 0.35e2 / 0.3e1 * t10715 * t33121 + t17049 * t7080 + t17049 * t7085 - 0.2e1 / 0.3e1 * t2168 * t33776 + t49644 / 0.12e2;
  t49648 = t10733 * t49031;
  t49651 = t2294 * t49031;
  t49657 = t46913 / 0.4e1;
  t49658 = t911 * t7030;
  t49659 = t49658 / 0.6e1;
  t49660 = t555 * t48952;
  t49667 = 0.5e1 / 0.36e2 * t3930 * t49648 - t3917 * t49651 + 0.12e2 * t47558 + 0.11e2 * t2251 * t5007 * t6694 + t7027 - t7045 + t49657 + t49659 + 0.2e1 * t2611 * t49660 - 0.6e1 * t719 * t6688 - t1135 * t6320 / 0.3e1;
  t49677 = t1862 * t49019;
  t49680 = t46927 / 0.2e1;
  t49681 = 0.3e1 / 0.2e1 * t46931;
  t49682 = t19277 * t6648;
  t49687 = 0.4e1 / 0.3e1 * t47584 - t1135 * t6325 / 0.6e1 + t4856 * t6557 - 0.6e1 * t162 * t22605 * t6592 - t162 * t4884 * t6339 - t2251 * t697 * t49677 - t46924 + t49680 - t49681 + t2632 * t49682 / 0.2e1 - 0.2e1 * t3908 * t1058;
  t49694 = t46934 / 0.2e1;
  t49698 = t10255 * t3472;
  t49702 = t9916 * t3472;
  t49710 = t1147 * t6252;
  t49711 = t10240 * t49710;
  t49715 = t1505 * t34753;
  t49717 = t2255 * t697 * t49715;
  t49720 = t10733 * t1556 * t4970;
  t49723 = t9911 * t3472;
  t49730 = t1684 * t49031;
  t49733 = t1868 * t49096;
  t49739 = -t17410 * t1190 / 0.2e1 - 0.22e2 / 0.9e1 * t47622 - 0.3e1 / 0.2e1 * t2251 * t237 * t49711 + t49717 / 0.2e1 + 0.3e1 / 0.2e1 * t15606 * t49720 - 0.15e2 / 0.2e1 * t4277 * t5011 * t49723 - 0.11e2 * t2255 * t5007 * t3473 + t4291 * t49730 / 0.2e1 + t2251 * t237 * t49733 / 0.2e1 - t47624 - 0.6e1 * t1972 * t7203;
  t49746 = t10526 * t6621;
  t49752 = t490 * t2036 * t7016;
  t49759 = 0.3e1 * t610 * t7198 + 0.5e1 / 0.3e1 * t22311 * t6565 - t1140 * t46884 + 0.44e2 / 0.27e2 * t22306 * t49746 + 0.4e1 / 0.3e1 * t47640 + t47652 / 0.3e1 + t233 * t49752 / 0.6e1 - t1140 * t17400 / 0.6e1 + t1135 * t3411 / 0.6e1 + t6641 - t6646;
  t49768 = t162 * t4898 * t6644;
  t49769 = 0.3e1 / 0.2e1 * t49768;
  t49770 = t671 * t31144;
  t49771 = 0.2e1 / 0.3e1 * t49770;
  t49777 = t10936 * t6648;
  t49781 = -0.4e1 * t2082 * t33667 + t610 * t7054 + 0.3e1 * t610 * t7051 + 0.12e2 * t16169 * t8400 + t49769 + t49771 - 0.2e1 / 0.3e1 * t47708 - 0.2e1 / 0.3e1 * t1140 * t46641 - t719 * t6581 / 0.2e1 + 0.55e2 / 0.18e2 * t22511 * t49777 + 0.23e2 / 0.9e1 * t47717;
  t49786 = t15665 * t7072;
  t49787 = t49786 / 0.3e1;
  t49788 = t15640 * t7071;
  t49792 = t15648 * t96 * t49710;
  t49796 = t9930 * t6680;
  t49801 = t9930 * t9905 * t914;
  t49818 = t548 * t49545;
  t49825 = t1868 * t48820;
  t49829 = t47177 / 0.4e1;
  t49831 = 0.2e1 / 0.3e1 * t1140 * t47212 + t1140 * t47215 / 0.3e1 + 0.2e1 * t47767 + 0.6e1 * t47771 + 0.2e1 * t1140 * t46879 - t671 * t49818 / 0.3e1 + t233 * t47645 / 0.6e1 + t233 * t47649 / 0.3e1 - 0.2e1 * t2251 * t693 * t49825 + t49829 + t22854 * t6655;
  t49833 = t17371 * t7071;
  t49843 = t162 * t3690 * t7047;
  t49844 = t49843 / 0.2e1;
  t49847 = t610 * t7043;
  t49848 = t49847 / 0.2e1;
  t49853 = t2632 * t49833 / 0.6e1 - 0.11e2 / 0.6e1 * t22508 * t6661 + t6305 - t6310 - 0.23e2 / 0.3e1 * t22311 * t6622 - 0.6e1 * t22571 * t6631 - t49844 - t610 * t7048 / 0.2e1 - t49848 - t3416 * t1199 / 0.4e1 - 0.4e1 / 0.3e1 * t1140 * t46637;
  t49854 = t47192 / 0.12e2;
  t49862 = t9930 * t6675;
  t49866 = 0.3e1 / 0.2e1 * t47222;
  t49867 = -0.18e2 * t162 * t22325 * t6667 - 0.18e2 * t21768 * t49862 * t509 + 0.2e1 * t1972 * t7060 - 0.3e1 * t2055 * t34917 + t49854 + t49866 - t6351 - t6355 - t6664 + t6665 - t6666;
  t49872 = t15956 * t7269;
  t49873 = t49872 / 0.3e1;
  t49874 = t15953 * t7089;
  t49875 = t49874 / 0.3e1;
  t49876 = t15665 * t7094;
  t49877 = t49876 / 0.6e1;
  t49878 = t10925 * t7071;
  t49881 = t29354 * t7088;
  t49884 = t10733 * t6648;
  t49889 = t47231 / 0.12e2;
  t49891 = 0.22e2 / 0.3e1 * t10953 * t33477 - t49873 - t49875 + t49877 - t2674 * t49878 / 0.3e1 - t2683 * t49881 / 0.3e1 + t47229 + 0.25e2 / 0.36e2 * t22511 * t49884 - 0.11e2 / 0.3e1 * t22508 * t6649 - t49889 - t3908 * t1061;
  t49912 = -0.6e1 * t47797 - 0.4e1 * t47804 + 0.6e1 * t47810 + 0.6e1 * t2509 * t6598 + 0.36e2 * t509 * t22325 * t6681 - 0.18e2 * t1565 * t22325 * t6676 + 0.18e2 * t162 * t23351 * t6687 + 0.3e1 * t11870 * t7221 - t47815 / 0.3e1 - 0.2e1 / 0.3e1 * t47821 - 0.2e1 * t18401 * t1053;
  t49919 = t400 * t34753;
  t49921 = t2251 * t693 * t49919;
  t49923 = t9911 * t48967;
  t49927 = t9916 * t48967;
  t49931 = t10255 * t48967;
  t49935 = 0.2e1 * t3908 * t1066 - t5172 * t991 / 0.4e1 + t7265 - t7266 - t6720 + t6725 - 0.12e2 * t48075 + t49921 / 0.2e1 - 0.3e1 / 0.2e1 * t4277 * t2782 * t49923 + 0.3e1 * t2255 * t2782 * t49927 - 0.3e1 / 0.2e1 * t2251 * t2782 * t49931;
  t49936 = t555 * t49545;
  t49941 = t2233 * t6549;
  t49946 = 0.5e1 / 0.36e2 * t47243;
  t49947 = t47245 / 0.2e1;
  t49951 = -0.2e1 / 0.3e1 * t671 * t49936 + 0.2e1 * t4856 * t6550 - 0.11e2 / 0.9e1 * t4800 * t49941 - 0.62e2 / 0.3e1 * t15570 * t22337 - t49946 - t49947 + 0.47e2 / 0.3e1 * t15570 * t22329 + t47272 - t47274 + t47275 - t48085 / 0.3e1;
  t49957 = my_piecewise3(t3, 0, t49158 + t47170 + t49023 + t49667 - 0.2e1 * t47428 + t49853 + t49781 + t49951 + 0.2e1 * t47307 - 0.2e1 / 0.3e1 * t47522 - t49105 - t49106 + t6303 + t47611 - 0.5e1 / 0.9e1 * t47513 + 0.2e1 * t47516 - t49103 - t49104 + t49867 + t49056 + 0.4e1 / 0.3e1 * t47725 - t48980 - t48981 - t49619 + t49616 - t46833 + t49129 - 0.2e1 * t47529 + t49694 + 0.4e1 * t47736 + t48976 + t49590 + t49543 + t49515 + 0.4e1 * t47314 + t46626 + t49570 + t49787 + t49935 - 0.5e1 / 0.2e1 * t2255 * t697 * t48821 + 0.5e1 / 0.2e1 * t2251 * t697 * t48829 + 0.2e1 * t3917 * t2169 * t49010 - 0.15e2 / 0.2e1 * t2251 * t5011 * t49698 + 0.15e2 * t2255 * t5011 * t49702 + 0.6e1 * t162 * t21768 * t49796 + 0.18e2 * t1565 * t21768 * t49801 + t48946 + t49646 + t48982 - t48983 + t49603 + t48922 + t48987 + t48988 - t48989 + t49687 - 0.3e1 * t22571 * t6578 + 0.3e1 * t719 * t6668 - 0.2e1 * t610 * t7039 + 0.14e2 / 0.3e1 * t2055 * t33660 + t2632 * t49788 / 0.3e1 + t2683 * t49792 / 0.2e1 + t49759 - t46829 + t6620 + t48814 + t48815 + t49891 + t49831 + t49078 + 0.2e1 * t47531 + 0.2e1 / 0.3e1 * t2674 * t48826 + t1135 * t6365 / 0.3e1 - t4800 * t48816 + 0.6e1 * t22311 * t6625 - t233 * t29738 / 0.6e1 + t17046 * t7063 + t2632 * t49608 / 0.3e1 + t49912 + 0.2e1 * t21773 * t6603 - t1140 * t46656 / 0.2e1 - t2674 * t49086 / 0.3e1 - t2683 * t49090 / 0.3e1 + t2632 * t49093 / 0.6e1 - t2683 * t49098 / 0.6e1 + t49739);
  tv4sigma2lapl20 = 0.2e1 * rho[0] * t49957;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 0] += tv4sigma2lapl20;

  t49959 = t19672 * t1000;
  t49960 = t302 * t49959;
  t49963 = t666 * t48387;
  t49965 = t96 * t30746;
  t49974 = t169 * t32506;
  t49975 = t1684 * t49974;
  t49984 = t2169 * t49974;
  t49990 = 0.2e1 * t47314;
  t49992 = t2265 * t5551 * t6308;
  t49994 = 0.2e1 / 0.3e1 * t48104;
  t49995 = t47307 + t666 * t49960 / 0.3e1 + t49963 / 0.6e1 - 0.11e2 / 0.6e1 * t4571 * t2169 * t49965 + 0.11e2 * t2251 * t3226 * t1862 * t30746 - t2168 * t36217 - t2674 * t49975 / 0.3e1 - 0.3e1 / 0.2e1 * t1677 * t5551 * t30752 + 0.3e1 / 0.2e1 * t2265 * t5551 * t30820 + t2632 * t49984 / 0.4e1 - 0.11e2 / 0.9e1 * t4531 * t30198 * t7281 + t49990 - t49992 / 0.2e1 - t48103 + t49994 - t48106;
  t49996 = 0.2e1 * t48116;
  t49999 = t96 * t29592;
  t50003 = t47320 / 0.3e1;
  t50004 = t47339 / 0.6e1;
  t50007 = t854 * t6645;
  t50009 = 0.2e1 / 0.3e1 * t48157;
  t50010 = t48160 / 0.6e1;
  t50016 = t48113 + t49996 + t4531 * t49032 / 0.2e1 - 0.2e1 * t20344 * t10936 * t49999 + t50003 - t50004 - t47341 - t47347 - t17410 * t1261 / 0.2e1 - t50007 / 0.2e1 - t48140 - t48146 + t50009 - t50010 + 0.5e1 / 0.3e1 * t20380 * t3935 * t49999 - t4571 * t49585 / 0.2e1;
  t50026 = t21610 * t6648;
  t50029 = t14332 * t6648;
  t50034 = 0.11e2 / 0.9e1 * t48190;
  t50035 = 0.23e2 / 0.18e2 * t48194;
  t50036 = 0.2e1 / 0.3e1 * t48200;
  t50037 = t47373 / 0.3e1;
  t50038 = t2961 * t6563;
  t50039 = t2233 * t50038;
  t50042 = t2057 * t32686;
  t50049 = -t922 * t24483 / 0.6e1 + t922 * t24473 / 0.3e1 - t24478 * t978 / 0.2e1 + t5658 * t994 / 0.2e1 + t2632 * t50026 / 0.4e1 - t2674 * t50029 / 0.3e1 + t2251 * t806 * t49020 - t50034 + t50035 + t50036 + t48948 + t50037 - 0.11e2 / 0.18e2 * t2590 * t50039 + 0.23e2 / 0.36e2 * t2590 * t50042 + 0.3e1 * t2897 * t6598 - 0.3e1 * t854 * t6688;
  t50065 = 0.3e1 * t2509 * t6773 - 0.3e1 * t719 * t6823 + t46593 - t48981 + t48982 - t48983 + t46626 + t48988 - t48989 - t48993 + t48994 - 0.6e1 * t2251 * t13775 * t145 * t29592 - 0.3e1 / 0.2e1 * t2251 * t263 * t49711 + t49035 - 0.3e1 * t2509 * t6841 + 0.3e1 / 0.2e1 * t719 * t6826;
  t50070 = t2324 * t50038;
  t50085 = t894 * t47372;
  t50091 = 0.4e1 * t47407;
  t50092 = 0.4e1 * t48235;
  t50093 = -0.3e1 / 0.2e1 * t2983 * t49141 - t2590 * t50070 / 0.2e1 + 0.7e1 / 0.3e1 * t2590 * t32967 - t854 * t6581 / 0.4e1 - t259 * t47668 / 0.6e1 - t3299 * t49579 / 0.2e1 + t866 * t29668 / 0.3e1 + t894 * t49546 / 0.3e1 + t50085 / 0.6e1 + t3039 * t49560 / 0.2e1 - t47401 - 0.3e1 / 0.2e1 * t18604 * t6748 - t50091 - t49074 + t49076 - t50092;
  t50094 = 0.6e1 * t48238;
  t50095 = 0.4e1 / 0.3e1 * t48249;
  t50096 = t48251 / 0.3e1;
  t50098 = t15615 * t7304;
  t50101 = t2632 * t48465;
  t50107 = t2255 * t3208 * t1571 * t30826;
  t50115 = t47415 / 0.3e1;
  t50116 = t17367 * t7471;
  t50119 = t2632 * t32776;
  t50122 = -t50094 - t48240 - t50095 + t50096 - t17053 * t7475 - t2632 * t50098 / 0.3e1 - t50101 / 0.6e1 - 0.6e1 * t17046 * t7487 - 0.3e1 * t50107 - t2988 * t49878 / 0.3e1 - t3006 * t49881 / 0.3e1 + t3015 * t49833 / 0.6e1 + t50115 + 0.2e1 / 0.3e1 * t2632 * t50116 + t50119 / 0.3e1 - t4571 * t49651;
  t50128 = t2251 * t3208 * t1505 * t30826;
  t50144 = t48291 / 0.3e1;
  t50145 = t96 * t30949;
  t50154 = t169 * t31654;
  t50155 = t3931 * t50154;
  t50163 = 0.3e1 * t17049 * t7299 + 0.3e1 / 0.2e1 * t50128 - 0.2e1 * t2251 * t806 * t49825 - 0.3e1 * t2251 * t3221 * t400 * t30746 + 0.5e1 / 0.3e1 * t2168 * t35501 + 0.2e1 * t3015 * t30951 - 0.3e1 / 0.2e1 * t2251 * t3221 * t49006 + t50144 - t47428 - t3015 * t10775 * t50145 / 0.2e1 + t3015 * t49093 / 0.6e1 + 0.2e1 * t4571 * t15615 * t7281 - 0.11e2 / 0.18e2 * t3930 * t50155 + t18604 * t6743 - 0.4e1 * t4571 * t29564 - 0.4e1 / 0.3e1 * t3015 * t30045;
  t50179 = t2251 * t3221 * t145 * t30826;
  t50184 = t3015 * t49624;
  t50186 = 0.3e1 / 0.2e1 * t14144 * t6677 - t49104 - t49105 - t49106 - t46667 - 0.3e1 * t2897 * t6682 - t46671 + 0.3e1 / 0.2e1 * t854 * t6668 - t49108 + t49109 + 0.3e1 / 0.2e1 * t13061 * t6838 + 0.89e2 / 0.9e1 * t20344 * t18027 * t29593 + 0.3e1 * t17049 * t7318 + 0.3e1 / 0.2e1 * t50179 + 0.12e2 * t22 * t16563 * t24971 + t50184 / 0.6e1;
  t50190 = t2175 * t50154;
  t50193 = 0.6e1 * t47441;
  t50194 = t555 * t48158;
  t50195 = t671 * t50194;
  t50197 = t48298 / 0.2e1;
  t50198 = 0.2e1 / 0.3e1 * t48309;
  t50203 = t15805 * t1208;
  t50215 = t3917 * t50190 / 0.2e1 - t50193 - t49137 + t49153 - t49154 - t50195 / 0.6e1 + t50197 + t50198 - t48312 - t922 * t23559 / 0.6e1 - t48321 + t922 * t23539 / 0.3e1 - t866 * t548 * t50203 / 0.12e2 + t894 * t302 * t50203 / 0.6e1 - t162 * t876 * t48900 / 0.4e1 + t3416 * t1274 / 0.2e1;
  t50220 = 0.3e1 * t47451;
  t50224 = t548 * t50038;
  t50233 = t866 * t48949;
  t50237 = t48333 / 0.6e1;
  t50238 = t48337 / 0.6e1;
  t50244 = -t46787 + t2251 * t806 * t400 * t30831 / 0.2e1 + t50220 - 0.5e1 / 0.18e2 * t4531 * t29576 * t7281 + t2611 * t50224 / 0.2e1 + t233 * t48591 / 0.6e1 - t5658 * t991 / 0.4e1 - t866 * t49818 / 0.6e1 - t50233 / 0.12e2 - 0.5e1 / 0.36e2 * t2983 * t48953 - t50237 - t50238 + t49169 - t2632 * t31345 - t866 * t49936 / 0.3e1 + 0.3e1 / 0.2e1 * t719 * t6770;
  t50252 = t2509 * t6809;
  t50273 = t2162 * t50154;
  t50276 = t2182 * t50154;
  t50284 = t3935 * t32770;
  t50287 = t719 * t6767 / 0.2e1 - t2983 * t49144 / 0.2e1 + t3416 * t1283 / 0.4e1 - t50252 / 0.2e1 - t49527 - 0.3e1 / 0.2e1 * t2251 * t3208 * t49931 - 0.18e2 * t2255 * t13792 * t9911 * t29592 + 0.6e1 * t2251 * t13792 * t9916 * t29592 - 0.2e1 / 0.3e1 * t3015 * t2169 * t500 * t49019 - t4531 * t17371 * t7281 - t2683 * t48431 / 0.6e1 - t4291 * t50273 / 0.2e1 + t3917 * t50276 - 0.3e1 * t1677 * t25202 * t6687 + 0.3e1 * t2265 * t25202 * t6597 + 0.23e2 / 0.36e2 * t3930 * t50284;
  t50307 = t4531 * t30861;
  t50309 = t96 * t30826;
  t50311 = t4571 * t2182 * t50309;
  t50316 = t2251 * t3226 * t405 * t30826;
  t50318 = t22 * t16248;
  t50325 = t3015 * t49682 / 0.4e1 + t1677 * t5243 * t6339 / 0.2e1 + 0.3e1 * t2255 * t3208 * t49927 + 0.3e1 / 0.2e1 * t854 * t6593 + t259 * t49551 / 0.12e2 - t866 * t555 * t50203 / 0.6e1 + t917 * t5316 / 0.6e1 - t719 * t6762 / 0.2e1 + 0.7e1 / 0.3e1 * t50307 + t50311 - 0.6e1 * t17049 * t7491 - 0.3e1 * t50316 - 0.28e2 * t50318 * t25380 - 0.5e1 / 0.12e2 * t3015 * t48911 + 0.2e1 / 0.3e1 * t2988 * t48826 - t48344;
  t50329 = t4538 * t2162 * t50309;
  t50331 = t96 * t30831;
  t50335 = t719 * t6806;
  t50343 = t2251 * t810 * t49627;
  t50354 = t3015 * t34755;
  t50356 = t866 * t49036;
  t50358 = t48347 - t50329 / 0.2e1 - t2988 * t1684 * t50331 / 0.6e1 - t50335 / 0.2e1 - t719 * t6803 / 0.4e1 - t17049 * t7295 - t2251 * t810 * t49677 - t50343 / 0.2e1 - t49542 - 0.7e1 / 0.3e1 * t15606 * t24189 - 0.6e1 * t21350 * t2182 * t49999 + t49544 - 0.2e1 * t15833 * t8665 - t10930 * t7354 / 0.2e1 - t50354 / 0.3e1 - t50356 / 0.6e1;
  t50363 = t12291 * t6739;
  t50374 = t4531 * t2169 * t50309;
  t50382 = t719 * t6813;
  t50384 = -0.3e1 / 0.2e1 * t2590 * t2057 * t2895 * t6563 + t2179 * t50363 / 0.12e2 - t13562 * t6735 / 0.4e1 + t3015 * t49000 / 0.2e1 - t3015 * t30036 + t49559 + t3006 * t49792 / 0.2e1 + t48372 - t50374 / 0.2e1 - t47506 - 0.2e1 * t2611 * t32687 - t922 * t25722 / 0.12e2 + t3908 * t1126 / 0.2e1 + t50382 / 0.4e1 - t48375 + t48377;
  t50386 = t48379 / 0.3e1;
  t50387 = t48388 / 0.3e1;
  t50388 = t48390 / 0.3e1;
  t50389 = 0.3e1 * t48403;
  t50403 = t1556 * t29592;
  t50411 = t48408 / 0.3e1;
  t50416 = -t50386 + t48381 + t50387 - t50388 + t50389 - 0.6e1 * t19499 * t13792 * t9945 * t29592 + 0.18e2 * t4277 * t13792 * t9906 * t29592 - 0.3e1 / 0.2e1 * t3930 * t31656 + 0.3e1 / 0.2e1 * t10978 * t25429 * t6676 - 0.62e2 / 0.3e1 * t20344 * t18027 * t50403 + 0.8e1 * t20344 * t17992 * t4275 * t29592 - t913 + t984 - t50411 + t259 * t49521 / 0.12e2 + t259 * t49752 / 0.6e1;
  t50417 = t555 * t50038;
  t50424 = t911 * t5316;
  t50432 = t555 * t49959;
  t50437 = 0.6e1 * t48427;
  t50438 = t2611 * t50417 + t3039 * t49660 - 0.2e1 * t3039 * t30288 - t233 * t31385 / 0.12e2 - t50424 / 0.12e2 - t208 * t37377 / 0.6e1 - t18401 * t1108 + t3908 * t1117 - t21291 * t1053 + t4701 * t1066 - t671 * t50432 / 0.3e1 + t49589 + t49592 - t49594 - t2988 * t49539 / 0.3e1 + t50437;
  t50443 = 0.14e2 / 0.3e1 * t48437;
  t50444 = 0.2e1 * t48440;
  t50451 = t5658 * t982;
  t50457 = t911 * t5653;
  t50467 = 0.14e2 / 0.3e1 * t47510;
  t50468 = t50443 + t50444 - t259 * t29738 / 0.12e2 - t233 * t32396 / 0.12e2 + t32401 * t248 / 0.4e1 + t50451 / 0.4e1 - t922 * t25006 / 0.12e2 + t36761 * t223 / 0.2e1 - t50457 / 0.12e2 - t208 * t36756 / 0.6e1 + t29743 * t274 / 0.4e1 + t917 * t5653 / 0.6e1 - t5658 * t986 / 0.2e1 + t50467 + t6548 - t6556;
  t50469 = 0.3e1 * t48442;
  t50471 = 0.3e1 * t48448;
  t50487 = 0.5e1 / 0.18e2 * t47513;
  t50490 = t1677 * t5551 * t6639;
  t50492 = t3931 * t8664;
  t50496 = -t6562 + t6577 - t6586 - t50469 + t17049 * t7365 + t50471 + 0.36e2 * t2255 * t13762 * t1571 * t29592 + 0.18e2 * t2251 * t13772 * t405 * t29592 - 0.18e2 * t4277 * t13762 * t1566 * t29592 - 0.3e1 * t2255 * t3226 * t48972 - t50487 + t47516 + t10930 * t7289 + t50490 / 0.2e1 + 0.7e1 / 0.3e1 * t15606 * t50492 + t17046 * t7292;
  t50500 = t47522 / 0.3e1;
  t50513 = t548 * t49959;
  t50516 = t671 * t48159;
  t50518 = t2057 * t50038;
  t50521 = 0.4e1 / 0.3e1 * t47554;
  t50522 = 0.2e1 / 0.3e1 * t546 * t36397 - t50500 - t47529 + t47531 - t46829 - t46833 + 0.3e1 * t2251 * t810 * t10245 * t30949 + t2683 * t48434 / 0.6e1 + t49616 - 0.11e2 / 0.18e2 * t2983 * t49064 + 0.23e2 / 0.36e2 * t2983 * t49061 + t233 * t48595 / 0.12e2 - t671 * t50513 / 0.6e1 - t50516 / 0.12e2 - 0.5e1 / 0.36e2 * t2590 * t50518 - t50521;
  t50524 = t2251 * t806 * t49919;
  t50536 = 0.3e1 * t48462;
  t50537 = t48466 / 0.3e1;
  t50559 = t50524 / 0.2e1 + 0.2e1 * t15833 * t23667 + t17049 * t7368 + t2251 * t263 * t49026 + t2251 * t263 * t49733 / 0.2e1 - 0.2e1 * t17049 * t7363 + t50536 - t50537 - t2251 * t810 * t1862 * t30831 + t17049 * t7322 + 0.14e2 / 0.3e1 * t4531 * t30198 * t7379 - 0.3e1 * t4531 * t29576 * t7478 + 0.3e1 / 0.2e1 * t19135 * t6745 - 0.5e1 / 0.2e1 * t2255 * t810 * t48821 + 0.5e1 / 0.2e1 * t2251 * t810 * t48829 + 0.3e1 / 0.2e1 * t1677 * t25212 * t6592;
  t50566 = t2255 * t3226 * t396 * t30826;
  t50568 = 0.6e1 * t47558;
  t50578 = t4571 * t30846;
  t50580 = 0.2e1 / 0.3e1 * t47584;
  t50582 = t4571 * t2175 * t50309;
  t50587 = 0.6e1 * t17046 * t7327 + 0.3e1 * t50566 + t50568 + 0.18e2 * t50318 * t25274 + 0.2e1 * t17046 * t7330 + 0.6e1 * t20380 * t2169 * t49999 - 0.3e1 / 0.2e1 * t21470 * t6695 - 0.2e1 * t50578 + t7027 - t7045 + t49657 + t6756 + t49659 + t50580 + t50582 / 0.2e1 + t3015 * t2169 * t50331 / 0.6e1;
  t50588 = t2988 * t49634;
  t50593 = t2255 * t810 * t49715;
  t50605 = t17367 * t7304;
  t50608 = t2632 * t48494;
  t50610 = t3935 * t50154;
  t50613 = -t46924 + t49680 - t50588 / 0.6e1 - t49681 + t2255 * t810 * t49069 + t50593 / 0.2e1 + 0.3e1 / 0.2e1 * t15606 * t25532 + t49694 + t6620 + t6303 + t21470 * t6618 - 0.18e2 * t2251 * t13762 * t1505 * t29592 - t2988 * t10925 * t7285 / 0.3e1 - t2632 * t50605 / 0.6e1 - t50608 / 0.12e2 - 0.5e1 / 0.36e2 * t3930 * t50610;
  t50615 = t47611 / 0.2e1;
  t50616 = t3015 * t49643;
  t50620 = 0.11e2 / 0.9e1 * t47622;
  t50627 = t48495 / 0.6e1;
  t50630 = t302 * t50038;
  t50638 = 0.2e1 / 0.3e1 * t47640;
  t50639 = t50615 + t50616 / 0.12e2 + 0.5e1 / 0.36e2 * t4531 * t49648 - t50620 + 0.3e1 / 0.2e1 * t21686 * t6658 - t2988 * t49086 / 0.3e1 - t3006 * t49090 / 0.3e1 - t48484 - t50627 - t47625 - t233 * t48171 / 0.6e1 - t2662 * t50630 / 0.2e1 + t854 * t6587 / 0.2e1 - t22 * t6536 * t288 / 0.4e1 + t50638 + t47653;
  t50645 = 0.2e1 * t48501;
  t50646 = 0.6e1 * t48510;
  t50651 = 0.5e1 / 0.18e2 * t48515;
  t50655 = t2294 * t49974;
  t50662 = t671 * t32892;
  t50664 = t2897 * t6584;
  t50666 = t48545 / 0.6e1;
  t50668 = t4531 * t3935 * t50309;
  t50675 = -0.5e1 / 0.6e1 * t3015 * t49508 + 0.5e1 / 0.2e1 * t4531 * t10775 * t49965 - t50645 - t50646 - 0.3e1 * t2255 * t810 * t10255 * t30949 - t50651 + t3015 * t17371 * t7285 / 0.3e1 + t2632 * t50655 / 0.2e1 + 0.15e2 * t2255 * t3208 * t9916 * t30746 + t50662 / 0.3e1 - t50664 / 0.2e1 - t50666 - 0.5e1 / 0.36e2 * t50668 - 0.35e2 / 0.108e3 * t20344 * t17992 * t49999 - t3006 * t49098 / 0.6e1 + t6642;
  t50692 = t48554 / 0.3e1;
  t50695 = t1240 * t6252;
  t50699 = 0.24e2 * t48636;
  t50700 = 0.8e1 * t48638;
  t50701 = 0.12e2 * t48640;
  t50702 = 0.4e1 * t48642;
  t50705 = t5456 * t6252;
  t50712 = t410 * t30746;
  t50718 = 0.4e1 * t10255 * t50695 * t810 - 0.22e2 * t13818 * t30746 * t423 - 0.4e1 * t13833 * t149 * t50705 - 0.2e1 * t13916 * t410 * t50705 - 0.6e1 * t13830 * t49392 + 0.15e2 * t13830 * t50712 - t50699 - t50700 + t50701 + t50702 + t943;
  t50719 = t1240 * t908;
  t50721 = t3226 * t405 * t50719;
  t50725 = t810 * t49290;
  t50727 = t3208 * t1505 * t50719;
  t50729 = t1240 * t914;
  t50747 = -0.6e1 * t10245 * t50695 * t810 + 0.12e2 * t13775 * t145 * t50729 + 0.2e1 * t1868 * t50695 * t806 + 0.3e1 * t263 * t49276 - t263 * t49334 - 0.2e1 * t263 * t49361 - t263 * t49365 + 0.3e1 * t3221 * t49272 + 0.2e1 * t49286 * t810 + 0.6e1 * t50721 + t50725 - 0.3e1 * t50727;
  t50749 = t1240 * t6244;
  t50754 = t3226 * t396 * t50719;
  t50760 = t3208 * t1566 * t50719;
  t50762 = t3202 * t49405;
  t50769 = 0.2e1 * t810 * t1862 * t50749 - 0.4e1 * t50754 - 0.2e1 / 0.3e1 * t13762 * t1566 * t50729 + t50760 / 0.18e2 - t49194 - t49195 - t46965 + t49196 + t49197 + 0.2e1 * t50762 - 0.2e1 * t13818 * t49392 + 0.12e2 * t13916 * t423 * t50705;
  t50770 = t5456 * t914;
  t50774 = 0.12e2 * t48649;
  t50777 = 0.4e1 / 0.3e1 * t48653;
  t50782 = 0.24e2 * t47851;
  t50783 = 0.12e2 * t47854;
  t50784 = 0.8e1 * t47860;
  t50785 = -0.24e2 * t20588 * t149 * t50770 + t50774 + 0.4e1 * t13833 * t49431 - t50777 + 0.1e2 / 0.3e1 * t13916 * t49379 + t49198 + t46979 - 0.4e1 / 0.3e1 * t810 * t49357 - t49199 - t50782 + t50783 - t50784;
  t50788 = 0.4e1 / 0.3e1 * t47863;
  t50789 = 0.4e1 * t47865;
  t50790 = 0.12e2 * t47874;
  t50793 = t410 * t50770;
  t50796 = t5456 * t6244;
  t50800 = t5456 * t908;
  t50801 = t410 * t50800;
  t50802 = t4402 * t50801;
  t50804 = t1837 * t50770;
  t50810 = 0.4e1 * t48657;
  t50811 = -t50788 + t50789 + t50790 - 0.5e1 * t13916 * t49212 - 0.12e2 * t20859 * t50793 + 0.2e1 * t3202 * t149 * t50796 + 0.2e1 * t50802 + 0.4e1 / 0.3e1 * t20580 * t50804 + 0.2e1 / 0.3e1 * t3200 * t410 * t50796 - t962 + t50810 + t49216;
  t50825 = 0.2e1 / 0.9e1 * t47902;
  t50826 = 0.4e1 * t47904;
  t50827 = 0.4e1 / 0.3e1 * t47910;
  t50828 = t810 * t49352;
  t50832 = -t49217 + t49218 + 0.3e1 * t3208 * t49445 - 0.12e2 * t13792 * t9916 * t50729 + 0.36e2 * t13762 * t1505 * t50729 - 0.36e2 * t13772 * t405 * t50729 - 0.6e1 * t3226 * t49340 - t50825 + t50826 + t50827 - 0.2e1 / 0.3e1 * t50828 - t3208 * t49369 / 0.18e2;
  t50835 = t3208 * t1571 * t50719;
  t50841 = t3221 * t145 * t50719;
  t50850 = t806 * t49377;
  t50864 = 0.1e2 / 0.3e1 * t50835 - 0.4e1 / 0.3e1 * t810 * t1505 * t50749 - 0.3e1 * t50841 + 0.24e2 * t13772 * t396 * t50729 - t806 * t400 * t50749 - 0.2e1 * t806 * t49487 - t50850 + 0.4e1 * t3226 * t49459 + 0.5e2 / 0.3e1 * t13792 * t9911 * t50729 - 0.4e2 * t13762 * t1571 * t50729 + 0.1e2 / 0.3e1 * t13792 * t9906 * t50729 - 0.1e2 / 0.3e1 * t3208 * t49383;
  t50866 = t4405 * t1837 * t50800;
  t50871 = 0.6e1 * t47920;
  t50872 = 0.2e2 / 0.3e1 * t47939;
  t50873 = 0.6e1 * t47942;
  t50874 = 0.2e1 * t47946;
  t50875 = t6881 - t6884 + t6888 + t6469 - t6471 + t6473 - t50866 / 0.9e1 - t20868 * t17918 * t50770 / 0.9e1 - t50871 + t50872 - t50873 - t50874;
  t50879 = 0.8e1 * t47949;
  t50880 = 0.12e2 * t47952;
  t50881 = 0.4e1 * t47955;
  t50884 = -t50879 + t50880 + t50881 + t49284 + t263 * t49317 / 0.2e1 + t6480 - t6481 + t6482 + t6264 + t47016 + t49314 + t49315;
  t50885 = t4405 * t50801;
  t50899 = -t49324 + t49325 - t47067 - t47074 - t49326 + t7111 + 0.6e1 * t50885 + 0.8e1 / 0.3e1 * t20868 * t50804 - 0.5e2 / 0.3e1 * t13830 * t1829 * t30746 - 0.5e1 / 0.18e2 * t13830 * t1837 * t30746 + 0.4e1 * t3202 * t49220 + 0.4e1 * t4392 * t49224;
  t50901 = 0.4e1 / 0.3e1 * t48670;
  t50902 = 0.2e1 / 0.9e1 * t48672;
  t50905 = t1829 * t50770;
  t50908 = t50901 - t50902 + 0.2e1 / 0.3e1 * t3200 * t49230 + 0.24e2 * t20868 * t50905 - t49336 + t49338 - t49339 - t6907 + t6914 - t6916 - t6501 - t6507;
  t50909 = t48012 / 0.9e1;
  t50910 = 0.8e1 / 0.3e1 * t48022;
  t50911 = 0.6e1 * t48691;
  t50912 = 0.12e2 * t48695;
  t50913 = t6517 - t49349 - t49351 + t6526 - t6527 - t6528 - t6280 - t49376 + t50909 - t50910 - t50911 + t50912;
  t50927 = t3200 * t49399;
  t50934 = t47120 - t47124 - t49415 + t49420 + 0.6e1 * t13836 * t149 * t30746 + 0.44e2 / 0.3e1 * t13818 * t50712 - 0.6e1 * t13836 * t49243 - 0.6e1 * t20585 * t49239 + 0.2e1 * t4392 * t49411 + t50927 / 0.3e1 + t13830 * t49402 / 0.9e1 - 0.4e1 * t3200 * t423 * t50796;
  t50936 = t4397 * t149 * t50800;
  t50943 = t16690 * t30746;
  t50949 = 0.6e1 * t50936 + t49422 + t49424 + 0.1e2 / 0.3e1 * t13830 * t17753 * t30746 + 0.1e2 * t13916 * t49496 - 0.3e2 * t13830 * t50943 + 0.44e2 * t13818 * t16699 * t30746 + t49462 - t49469 - t47148 + t47155 + t49481;
  t50951 = 0.8e1 / 0.3e1 * t48729;
  t50952 = t48731 / 0.9e1;
  t50953 = 0.4e1 * t48733;
  t50954 = 0.2e2 / 0.3e1 * t48735;
  t50955 = 0.6e1 * t48739;
  t50956 = 0.2e1 * t48742;
  t50957 = 0.8e1 * t48744;
  t50968 = -t50951 + t50952 + t50953 + t50954 - t50955 - t50956 - t50957 - t49486 - 0.22e2 / 0.3e1 * t13818 * t50943 + 0.5e1 / 0.9e1 * t13830 * t17682 * t30746 - 0.12e2 * t13836 * t16695 * t30746 - 0.8e1 * t13833 * t49493;
  t50977 = t4405 * t1829 * t50800;
  t50985 = t4402 * t423 * t50800;
  t50989 = t3200 * t49434;
  t50995 = -0.5e1 / 0.3e1 * t13916 * t49490 - 0.4e1 / 0.3e1 * t20868 * t10286 * t50770 + 0.8e1 * t20580 * t50905 - 0.2e1 / 0.3e1 * t50977 - 0.72e2 * t20580 * t50793 + 0.72e2 * t20859 * t423 * t50770 - 0.12e2 * t50985 + 0.12e2 * t13818 * t49246 - 0.2e1 * t50989 + 0.2e1 / 0.3e1 * t13830 * t49437 - 0.4e1 * t3200 * t49416 - t7170;
  t51004 = t47708 / 0.3e1;
  t51005 = -t6647 - t2251 * t806 * t1868 * t30949 + t3015 * t49788 / 0.3e1 - 0.2e1 / 0.3e1 * t3015 * t17371 * t7075 + t3015 * t49608 / 0.3e1 - 0.38e2 / 0.9e1 * t20344 * t10733 * t49999 + t6799 - t6802 - t6808 - t6811 + t6815 + t48552 + t50692 + 0.22e2 / 0.3e1 * t10953 * t35426 - t22 * t59 * (t50718 + t50747 + t50769 + t50785 + t50811 + t50832 + t50864 + t50875 + t50884 + t50899 + t50908 + t50913 + t50934 + t50949 + t50968 + t50995) * t96 / 0.4e1 - t51004;
  t51006 = 0.23e2 / 0.18e2 * t47717;
  t51007 = 0.2e1 / 0.3e1 * t47725;
  t51008 = 0.2e1 * t47736;
  t51022 = t490 * t23966 * t930;
  t51027 = 0.3e1 * t47771;
  t51033 = t51006 + t51007 + t49787 + t51008 + 0.11e2 / 0.18e2 * t4531 * t49155 - 0.23e2 / 0.36e2 * t4531 * t49011 - 0.61e2 / 0.27e2 * t20344 * t18027 * t49999 + 0.44e2 / 0.27e2 * t20344 * t17992 * t29593 - 0.35e2 / 0.3e1 * t10715 * t35390 + t208 * t51022 / 0.12e2 - t3416 * t1266 / 0.2e1 + t47170 + t47767 + t51027 + t4538 * t1684 * t49965 - 0.11e2 / 0.3e1 * t4571 * t2294 * t49965;
  t51038 = t854 * t6640;
  t51043 = t2169 * t50154;
  t51066 = 0.55e2 / 0.18e2 * t4531 * t10936 * t49965 + t6860 - t6864 - t6866 + t48589 + t51038 / 0.2e1 + 0.2e1 * t20507 * t2162 * t49999 + t49829 - t3930 * t51043 / 0.2e1 - t3015 * t11150 * t50145 + 0.47e2 / 0.3e1 * t22 * t16236 * t25610 + 0.23e2 / 0.18e2 * t4531 * t29576 * t7379 + 0.22e2 / 0.3e1 * t20380 * t3931 * t49999 - 0.23e2 / 0.3e1 * t20380 * t3935 * t29593 - 0.3e1 * t2265 * t25429 * t6681 + 0.3e1 / 0.2e1 * t1677 * t25429 * t6667;
  t51070 = t4531 * t30828;
  t51079 = t4277 * t3208 * t1566 * t30826;
  t51098 = -0.3e1 / 0.2e1 * t4277 * t3208 * t49923 - 0.3e1 / 0.2e1 * t51070 - 0.43e2 / 0.9e1 * t20344 * t17992 * t50403 + 0.3e1 * t30736 * t7483 + 0.3e1 / 0.2e1 * t51079 + t4538 * t49730 / 0.2e1 - 0.3e1 * t21350 * t2175 * t49999 + t6305 - t6310 - t49844 - t49848 - t6351 - t6355 - 0.15e2 / 0.2e1 * t4277 * t3208 * t9911 * t30746 - 0.11e2 * t2255 * t3226 * t1505 * t30746 - 0.15e2 / 0.2e1 * t2251 * t3208 * t10255 * t30746;
  t51113 = t49854 + t49866 - t6664 + t6665 - t6666 - t4538 * t17526 * t7281 + 0.2e1 / 0.3e1 * t3015 * t15640 * t7285 - t49873 - t49875 + t49877 + t47229 - t49889 + t4571 * t17367 * t7281 - t4701 * t1058 - t4701 * t1061 / 0.2e1 + 0.2e1 / 0.3e1 * t546 * t35787;
  t51117 = t48617 / 0.2e1;
  t51123 = t21651 * t6648;
  t51126 = 0.3e1 * t47797;
  t51127 = 0.2e1 * t47804;
  t51128 = 0.3e1 * t47810;
  t51139 = t47815 / 0.6e1;
  t51140 = t47821 / 0.3e1;
  t51143 = -0.115e3 / 0.36e2 * t4531 * t10733 * t30747 + t51117 + t1677 * t5354 * t29545 + t2988 * t3624 * t50145 / 0.3e1 + t2632 * t51123 / 0.2e1 - t51126 - t51127 + t51128 + 0.15e2 / 0.2e1 * t10715 * t36479 + 0.25e2 / 0.36e2 * t4531 * t10733 * t49965 - t3416 * t1269 / 0.4e1 - t610 * t7582 / 0.2e1 - t3908 * t1111 - t51139 - t51140 - t3908 * t1114 / 0.2e1;
  t51145 = 0.6e1 * t48075;
  t51154 = t4531 * t3931 * t50309;
  t51157 = t4531 * t3935 * t30845;
  t51171 = t6946 - t6951 + t6715 - t6719 - t6720 + t6725 - t51145 + 0.3e1 * t2251 * t3226 * t48968 - 0.18e2 * t2255 * t13772 * t396 * t29592 - 0.11e2 / 0.18e2 * t51154 + 0.23e2 / 0.36e2 * t51157 + t3015 * t2294 * t50331 / 0.3e1 + t2255 * t810 * t1505 * t30831 - 0.2e1 / 0.3e1 * t3015 * t30833 - t2509 * t6817 / 0.2e1 + t719 * t6820 / 0.2e1;
  t51176 = t719 * t6797;
  t51180 = t866 * t31144;
  t51187 = t17526 * t7304;
  t51190 = t2162 * t48464;
  t51191 = t2674 * t51190;
  t51195 = t1677 * t5354 * t6644;
  t51197 = t48085 / 0.6e1;
  t51198 = t259 * t47649 / 0.6e1 + t259 * t47645 / 0.12e2 + t51176 / 0.2e1 + 0.7e1 / 0.3e1 * t3502 * t25176 + t51180 / 0.3e1 - t49946 - t49947 + t2683 * t48352 / 0.12e2 - t1677 * t5243 * t6344 / 0.4e1 + t2674 * t51187 / 0.3e1 + t51191 / 0.6e1 - t10930 * t7351 - t51195 / 0.2e1 + t47272 - t47274 + t47275 - t51197;
  t51204 = my_piecewise3(t3, 0, t51198 + t51171 + t51143 + t51113 + t51098 + t51066 + t51033 + t51005 + t50287 + t50522 + t50186 + t50065 + t50122 + t50384 + t50163 + t50587 + t50325 + t50016 + t50093 + t50496 + t50049 + t50438 + t49995 + t50416 + t50613 + t50639 + t50675 + t50559 + t50468 + t50215 + t50244 + t50358);
  tv4sigma2lapltau0 = 0.2e1 * rho[0] * t51204;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 0] += tv4sigma2lapltau0;

  t51208 = t14332 * t6739;
  t51226 = t162 * t5901 * t941 * t165;
  t51227 = t51226 / 0.4e1;
  t51234 = -t15274 * t6735 / 0.2e1 + t2179 * t51208 / 0.6e1 - 0.2e1 * t2168 * t38192 + t509 * t5894 * t47253 - t1292 * t6320 / 0.3e1 - t5694 * t6572 - t162 * t5882 * t6339 + 0.3e1 * t14144 * t6838 - 0.6e1 * t2897 * t6841 + t51227 - 0.5e1 / 0.18e2 * t5687 * t49039 - 0.11e2 / 0.9e1 * t2983 * t50039 + 0.2e1 * t5701 * t6550;
  t51251 = t911 * t5903;
  t51252 = t51251 / 0.12e2;
  t51257 = t7650 * t929;
  t51258 = t96 * t51257;
  t51262 = t5687 * t16044;
  t51263 = 0.3e1 / 0.2e1 * t51262;
  t51264 = t854 * t6813;
  t51265 = t51264 / 0.2e1;
  t51266 = -0.11e2 / 0.9e1 * t5687 * t49941 - 0.2e1 / 0.3e1 * t866 * t50432 + 0.2e1 * t4701 * t1117 + 0.3e1 * t11870 * t7865 - 0.6e1 * t610 * t7801 - 0.6e1 * t1972 * t7868 - 0.2e1 * t21291 * t1108 + 0.6e1 * t1972 * t7899 - t51252 + 0.3e1 * t854 * t6770 + t259 * t48595 / 0.6e1 + 0.2e1 / 0.3e1 * t2988 * t3624 * t51258 - t51263 + t51265;
  t51276 = t5687 * t49042;
  t51277 = 0.5e1 / 0.36e2 * t51276;
  t51284 = t15665 * t7676;
  t51285 = 0.2e1 / 0.3e1 * t51284;
  t51289 = -t259 * t31385 / 0.6e1 - t1297 * t46656 / 0.2e1 + 0.2e1 * t26172 * t6603 - t922 * t26546 / 0.6e1 - t51277 - t48102 + 0.4e1 / 0.3e1 * t48104 - 0.2e1 * t48106 + 0.2e1 * t48113 + 0.4e1 * t48116 + t3015 * t50026 / 0.2e1 - t51285 - 0.2e1 / 0.3e1 * t3015 * t17371 * t7675;
  t51290 = t7638 * t205;
  t51295 = t3015 * t37766;
  t51296 = t51295 / 0.3e1;
  t51299 = t2251 * t3780 * t7668;
  t51305 = t2251 * t810 * t1862 * t37764;
  t51306 = t51305 / 0.2e1;
  t51309 = t15665 * t7672;
  t51310 = t51309 / 0.3e1;
  t51314 = t96 * t51290;
  t51321 = -0.2e1 / 0.3e1 * t3015 * t2169 * t500 * t51290 - t51296 - t17049 * t7669 - t51299 - t2251 * t810 * t1862 * t51290 - t51306 - 0.7e1 / 0.3e1 * t15606 * t25842 + t51310 + t3015 * t15640 * t7651 / 0.3e1 + t3015 * t2294 * t51314 / 0.3e1 - t48139 - 0.2e1 * t48146 + 0.4e1 / 0.3e1 * t48157 - t48160 / 0.3e1;
  t51331 = t96 * t37764;
  t51333 = t2988 * t1684 * t51331;
  t51334 = t51333 / 0.6e1;
  t51335 = t1304 * t914;
  t51336 = t96 * t51335;
  t51340 = t15953 * t7657;
  t51341 = t51340 / 0.3e1;
  t51345 = t7638 * t929;
  t51350 = t1304 * t6244;
  t51355 = t15665 * t7660;
  t51356 = t51355 / 0.6e1;
  t51360 = -0.22e2 / 0.9e1 * t48190 + 0.23e2 / 0.9e1 * t48194 + 0.4e1 / 0.3e1 * t48200 - t3006 * t48431 / 0.3e1 + 0.22e2 / 0.3e1 * t10953 * t38488 - t51334 - t4571 * t2169 * t51336 / 0.2e1 - t51341 - t3006 * t29354 * t7656 / 0.3e1 - t3006 * t3624 * t96 * t51345 / 0.3e1 - t3006 * t3624 * t96 * t51350 / 0.6e1 + t51356 - 0.3e1 * t2251 * t5744 * t6617;
  t51365 = t3015 * t48494;
  t51366 = t51365 / 0.6e1;
  t51369 = t15956 * t7652;
  t51370 = t51369 / 0.3e1;
  t51376 = t490 * t26615 * t930;
  t51385 = t911 * t7619;
  t51386 = t51385 / 0.6e1;
  t51387 = t911 * t7641;
  t51388 = t51387 / 0.6e1;
  t51389 = 0.2e1 * t21470 * t6743 - t3015 * t50605 / 0.3e1 - t51366 - 0.5e1 / 0.18e2 * t4531 * t50610 - t51370 + t610 * t7777 / 0.2e1 - t208 * t37784 / 0.6e1 + t208 * t51376 / 0.12e2 + 0.2e1 * t1972 * t7902 - 0.3e1 * t2055 * t37841 - t3299 * t50630 - t1297 * t46884 + t51386 + t51388;
  t51402 = t911 * t6037;
  t51403 = t51402 / 0.6e1;
  t51406 = t3015 * t32776;
  t51407 = 0.2e1 / 0.3e1 * t51406;
  t51421 = t259 * t490 * t15805 * t1305 / 0.12e2 + t259 * t490 * t2036 * t7639 / 0.6e1 + t5701 * t6557 - t854 * t6803 / 0.2e1 - t51403 + 0.4e1 / 0.3e1 * t3015 * t50116 + t51407 - 0.11e2 * t2255 * t5733 * t3473 - 0.18e2 * t509 * t25812 * t49862 - 0.18e2 * t162 * t26160 * t6667 + t917 * t5903 / 0.6e1 - t162 * t5894 * t47205 + t46593;
  t51438 = -0.3e1 * t1505 * t2255 * t3226 * t51335 + 0.3e1 * t1862 * t2251 * t3226 * t51335 + 0.3e1 * t10978 * t26982 * t6676 + 0.3e1 * t21686 * t6745 - 0.3e1 * t31656 * t4531 - t4531 * t51043 + t46626 - t48981 + t48982 - t48983 + t48988 - t48989 - t48993 + t48994;
  t51461 = t509 * t5934 * t46605;
  t51462 = 0.3e1 * t51461;
  t51467 = t866 * t50194;
  t51468 = t51467 / 0.3e1;
  t51471 = 0.3e1 * t2255 * t3208 * t9916 * t51335 - 0.3e1 / 0.2e1 * t2251 * t3208 * t10255 * t51335 + t4531 * t10775 * t51336 / 0.2e1 + t49035 + 0.18e2 * t1565 * t25812 * t49801 + 0.89e2 / 0.9e1 * t25787 * t49117 - 0.43e2 / 0.9e1 * t25787 * t49045 - t51462 - 0.62e2 / 0.3e1 * t15570 * t26213 - t6136 * t991 / 0.4e1 - t51468 - 0.8e1 * t48235 - 0.12e2 * t48238;
  t51479 = t3015 * t2294 * t51331;
  t51480 = t51479 / 0.6e1;
  t51494 = t2265 * t5967 * t6308;
  t51498 = t1677 * t5967 * t6639;
  t51499 = -0.2e1 * t48240 - 0.8e1 / 0.3e1 * t48249 + 0.2e1 / 0.3e1 * t48251 + 0.55e2 / 0.18e2 * t26203 * t49777 + 0.2e1 / 0.3e1 * t48291 + t51480 - 0.115e3 / 0.36e2 * t26203 * t49536 - 0.15e2 / 0.2e1 * t4277 * t5730 * t49723 - 0.6e1 * t1677 * t27520 * t6687 + 0.2e1 * t4571 * t50276 - 0.2e1 * t17053 * t7792 - t51494 + 0.2e1 * t10930 * t7663 + t51498;
  t51512 = t3015 * t2169 * t51331;
  t51513 = t51512 / 0.12e2;
  t51517 = -t49104 - t49105 - t49106 - t46667 - t46671 - t49108 + t49109 - 0.3e1 * t21470 * t6748 + 0.15e2 / 0.2e1 * t10715 * t38260 + t3015 * t17371 * t7651 / 0.6e1 + t3015 * t2169 * t51314 / 0.6e1 + t51513 + 0.5e1 / 0.36e2 * t4531 * t10733 * t51336;
  t51523 = t3015 * t48465;
  t51524 = t51523 / 0.3e1;
  t51531 = t5701 * t6554;
  t51532 = t5701 * t6546;
  t51533 = 0.2e1 * t51532;
  t51540 = -t1677 * t38454 * t990 / 0.4e1 - 0.2e1 / 0.3e1 * t3015 * t50098 - t51524 - 0.4e1 / 0.3e1 * t1297 * t46637 + 0.23e2 / 0.18e2 * t5687 * t49053 + 0.2e1 / 0.3e1 * t1297 * t47212 + t51531 - t51533 + 0.2e1 / 0.3e1 * t894 * t49960 - t49137 + t49153 - t49154 - 0.2e1 / 0.3e1 * t2988 * t50029 - 0.35e2 / 0.3e1 * t10715 * t38116;
  t51557 = t28826 * t5752;
  t51558 = 0.2e1 / 0.3e1 * t51557;
  t51567 = t5776 * t6639;
  t51568 = 0.4e1 * t51567;
  t51569 = t5771 * t6644;
  t51570 = 0.4e1 * t51569;
  t51580 = t5758 * t6644;
  t51581 = 0.4e1 * t51580;
  t51584 = 0.8e1 * t5758 * t29545 - 0.4e1 * t28802 * t5752 + 0.2e1 * t265 * t6344 + 0.24e2 * t25977 * t6687 - 0.12e2 * t25980 * t6667 + t51558 + 0.2e2 / 0.9e1 * t28807 * t25971 - 0.12e2 * t26009 * t6592 - 0.4e1 * t265 * t6339 + 0.4e1 / 0.3e1 * t28807 * t25984 - t51568 + t51570 - 0.4e1 * t5761 * t30820 - 0.12e2 * t5761 * t30752 + 0.16e2 / 0.9e1 * t26020 * t6676 - 0.2e1 * t5764 * t6344 - 0.2e1 * t6745 - t51581 - 0.8e1 * t26016 * t6597;
  t51587 = t5761 * t6639;
  t51588 = 0.4e1 * t51587;
  t51598 = t5761 * t6308;
  t51599 = 0.4e1 / 0.3e1 * t51598;
  t51601 = 0.4e1 * t5764 * t6339 + t51588 - 0.8e1 * t6743 + 0.32e2 / 0.3e1 * t26020 * t6681 + 0.12e2 * t26020 * t6667 - 0.24e2 * t26016 * t6687 + 0.12e2 * t26036 * t6592 + t51599 + 0.12e2 * t6748 - t6237 + t46690 + t48884 + t48885 - t48886 - t46721 + t6225 + t48894 - t48895 + t48896;
  t51602 = t51584 + t51601;
  t51608 = t5701 * t6560;
  t51609 = t51608 / 0.2e1;
  t51614 = t894 * t48387;
  t51615 = t51614 / 0.3e1;
  t51624 = t854 * t6806;
  t51628 = 0.11e2 * t2251 * t5733 * t6694 + t48298 + 0.4e1 / 0.3e1 * t48309 + t259 * t490 * t303 * t95 * t51602 / 0.12e2 + t51609 + 0.5e1 / 0.3e1 * t25873 * t6565 + t1297 * t47199 / 0.6e1 + t51615 + 0.2e1 * t1297 * t46879 + 0.6e1 * t25873 * t6625 - t162 * t5901 * t944 * t313 / 0.2e1 - t51624 - 0.4e1 * t3483 * t548 * t26225;
  t51651 = -0.18e2 * t1565 * t26160 * t6676 + 0.36e2 * t509 * t26160 * t6681 + 0.6e1 * t2897 * t6773 - 0.6e1 * t854 * t6823 - 0.2e1 * t48312 - 0.2e1 * t48321 - t46787 - t48333 / 0.3e1 - t48337 / 0.3e1 + t49169 + 0.22e2 / 0.3e1 * t25873 * t6691 - 0.23e2 / 0.3e1 * t25873 * t6622 - 0.61e2 / 0.27e2 * t25787 * t49058 + 0.44e2 / 0.27e2 * t25787 * t49746;
  t51657 = t162 * t5912 * t6639;
  t51658 = 0.3e1 * t51657;
  t51678 = -t854 * t6762 + t917 * t6037 / 0.3e1 - t51658 - 0.28e2 * t15752 * t27653 + t1292 * t6365 / 0.3e1 + t854 * t6767 + t26300 * t6655 + 0.11e2 / 0.18e2 * t4531 * t10936 * t51336 - 0.23e2 / 0.36e2 * t4531 * t10733 * t500 * t51335 - 0.6e1 * t2265 * t26982 * t6681 - t49527 - t1292 * t6325 / 0.6e1 - 0.2e1 * t48344;
  t51687 = t854 * t6797;
  t51691 = t1565 * t5934 * t46811;
  t51692 = 0.3e1 / 0.2e1 * t51691;
  t51695 = t2897 * t6809;
  t51702 = t162 * t3690 * t7786;
  t51703 = t51702 / 0.2e1;
  t51704 = 0.2e1 * t48347 - 0.6e1 * t25861 * t6631 - t162 * t876 * t320 * t137 * t51602 / 0.4e1 + t51687 + 0.14e2 / 0.3e1 * t3502 * t26226 + t51692 + 0.8e1 * t15570 * t26222 - t51695 - 0.3e1 * t3502 * t26235 - t208 * t38557 / 0.3e1 + t4701 * t1126 - t51703 - t49542 + t49544;
  t51712 = t509 * t5912 * t6308;
  t51713 = 0.3e1 * t51712;
  t51717 = t5687 * t49050;
  t51718 = 0.11e2 / 0.18e2 * t51717;
  t51721 = t610 * t7782;
  t51722 = t51721 / 0.2e1;
  t51736 = 0.25e2 / 0.36e2 * t26203 * t49884 + t51713 + 0.18e2 * t15752 * t2057 * t26212 - t51718 - t3416 * t1365 / 0.4e1 - t51722 - t610 * t7787 / 0.2e1 - 0.3e1 * t25861 * t6578 - t5687 * t48816 + 0.4e1 / 0.3e1 * t546 * t38088 - 0.2e1 * t4701 * t1111 - t4701 * t1114 - t22 * t6935 * t288 / 0.2e1;
  t51759 = -t22 * t971 * t1387 / 0.4e1 + t49559 + t48371 / 0.3e1 - 0.5e1 / 0.6e1 * t3015 * t11150 * t51258 - 0.2e1 * t48375 + 0.2e1 * t48377 - 0.2e1 / 0.3e1 * t48379 + 0.2e1 * t48381 + 0.2e1 / 0.3e1 * t48388 - 0.2e1 / 0.3e1 * t48390 + 0.6e1 * t48403 + t2251 * t263 * t1868 * t51345 + t2251 * t263 * t1868 * t51350 / 0.2e1 - t10930 * t7814;
  t51766 = t2251 * t3775 * t7806;
  t51772 = t2251 * t806 * t400 * t37764;
  t51773 = t51772 / 0.2e1;
  t51774 = t2169 * t25841;
  t51785 = -t1677 * t6175 * t6344 / 0.2e1 + t17049 * t7807 + t51766 + t2251 * t806 * t400 * t51290 + t51773 + 0.2e1 * t15833 * t51774 + t3015 * t51123 + 0.5e1 / 0.2e1 * t26203 * t49600 - t913 + t984 - 0.2e1 / 0.3e1 * t48408 + t6136 * t994 / 0.2e1 - t26906 * t978 / 0.2e1;
  t51802 = t6136 * t982;
  t51803 = t51802 / 0.4e1;
  t51806 = t911 * t6131;
  t51807 = t51806 / 0.12e2;
  t51814 = t922 * t26901 / 0.3e1 - t922 * t26911 / 0.6e1 + t917 * t6131 / 0.6e1 - t1297 * t17400 / 0.6e1 - t1297 * t17379 / 0.12e2 + t1292 * t3411 / 0.6e1 + t1297 * t17404 / 0.3e1 - t259 * t32396 / 0.6e1 + t51803 - t922 * t26797 / 0.12e2 - t51807 - t17410 * t1352 / 0.2e1 + t32401 * t274 / 0.2e1 + t3416 * t1368 / 0.2e1;
  t51838 = t2251 * t942 * t7810;
  t51839 = -t3416 * t1360 / 0.2e1 - t208 * t39409 / 0.6e1 + t39414 * t223 / 0.2e1 - t6136 * t986 / 0.2e1 + 0.12e2 * t48427 + 0.28e2 / 0.3e1 * t48437 + 0.4e1 * t48440 - 0.11e2 / 0.3e1 * t26103 * t6649 - 0.11e2 / 0.9e1 * t4531 * t50155 + 0.23e2 / 0.18e2 * t4531 * t50284 - t4571 * t2294 * t51336 + t17049 * t7811 + t51838;
  t51848 = t1684 * t169 * t1386 * t929;
  t51863 = 0.15e2 * t2255 * t5730 * t49702 - 0.15e2 / 0.2e1 * t2251 * t5730 * t49698 + t2179 * t51848 / 0.12e2 - 0.3e1 / 0.2e1 * t2251 * t3221 * t400 * t51335 + 0.3e1 * t1677 * t26383 * t6592 - t4538 * t50273 + t7617 - 0.6e1 * t48442 + 0.6e1 * t48448 - t46829 - t46833 + t49616 + 0.6e1 * t48462 - 0.2e1 / 0.3e1 * t48466;
  t51879 = t5694 * t6575;
  t51880 = t51879 / 0.2e1;
  t51881 = t5901 * t948;
  t51885 = -t866 * t50513 / 0.3e1 + t1297 * t47215 / 0.3e1 + t162 * t5882 * t6344 / 0.2e1 + t49657 + t7649 - t46924 + t49680 - t49681 - 0.35e2 / 0.108e3 * t25787 * t48904 - t259 * t48171 / 0.3e1 + 0.3e1 * t162 * t5894 * t46891 - t51880 + t162 * t51881 * t516 / 0.2e1;
  t51907 = -t922 * t26415 / 0.6e1 + t922 * t26374 / 0.3e1 - t509 * t51881 * t512 / 0.2e1 + 0.6e1 * t162 * t25812 * t49796 + t3015 * t50655 + 0.5e1 / 0.3e1 * t2168 * t39297 + t49694 + t3015 * t49984 / 0.2e1 + t6620 + t6303 - 0.5e1 / 0.12e2 * t3015 * t10775 * t51258 - 0.2e1 * t48484 - t48495 / 0.3e1 - 0.4e1 * t48501;
  t51918 = t2255 * t3780 * t37819;
  t51924 = t2255 * t810 * t1505 * t37764;
  t51925 = t51924 / 0.2e1;
  t51939 = t2988 * t51190;
  t51940 = t51939 / 0.3e1;
  t51941 = -0.12e2 * t48510 - 0.5e1 / 0.9e1 * t48515 + 0.14e2 / 0.3e1 * t15606 * t3931 * t38065 + t17046 * t7665 + t51918 + t2255 * t810 * t1505 * t51290 + t51925 + 0.3e1 / 0.2e1 * t15606 * t27795 - 0.11e2 / 0.6e1 * t26103 * t6661 + 0.6e1 * t2265 * t27520 * t6597 - t2988 * t10925 * t7651 / 0.3e1 - t2988 * t1684 * t51314 / 0.3e1 + t51940;
  t51948 = t866 * t32892;
  t51949 = 0.2e1 / 0.3e1 * t51948;
  t51959 = t866 * t48159;
  t51960 = t51959 / 0.6e1;
  t51965 = t4571 * t50190 + t3006 * t48434 / 0.3e1 + t3006 * t48352 / 0.6e1 - t7784 - t48545 / 0.3e1 + t51949 + 0.14e2 / 0.3e1 * t2055 * t38207 - 0.2e1 * t610 * t7889 - 0.4e1 * t2082 * t38214 + 0.3e1 * t610 * t7891 + t610 * t7894 - t51960 - 0.5e1 / 0.18e2 * t2983 * t50518 - 0.2e1 / 0.3e1 * t1297 * t46641;
  t51975 = t1304 * t6252;
  t51982 = t259 * t48591 / 0.3e1 - t922 * t26077 / 0.12e2 + t6798 - t7804 - t6807 - t6810 + t7805 + 0.2e1 * t48552 + 0.2e1 / 0.3e1 * t48554 + t47170 + t1677 * t6175 * t6339 - 0.3e1 / 0.2e1 * t2251 * t263 * t10240 * t51975 - 0.2e1 * t10930 * t7817;
  t51984 = t1677 * t6172 * t6644;
  t51985 = t2175 * t38065;
  t52011 = t162 * t5878 * t6644;
  t52012 = 0.3e1 / 0.2e1 * t52011;
  t52016 = -t51984 - 0.4e1 * t15833 * t51985 + 0.2e1 / 0.3e1 * t2988 * t51187 - 0.3e1 * t1677 * t5967 * t30752 - 0.5e1 / 0.2e1 * t2255 * t810 * t10255 * t51257 + 0.5e1 / 0.2e1 * t2251 * t810 * t10245 * t51257 + 0.3e1 * t2265 * t5967 * t30820 + t7831 - t7832 - t7833 - 0.2e1 * t2251 * t806 * t1868 * t51257 + t3416 * t1356 / 0.2e1 + t52012 + 0.12e2 * t16169 * t548 * t26609;
  t52019 = t5687 * t16050;
  t52020 = 0.7e1 / 0.3e1 * t52019;
  t52021 = t5687 * t48960;
  t52022 = 0.23e2 / 0.36e2 * t52021;
  t52023 = t5687 * t46623;
  t52024 = t52023 / 0.2e1;
  t52036 = t52020 + t52022 - t52024 - 0.38e2 / 0.9e1 * t25787 * t49165 - 0.2e1 * t25787 * t49114 - t2983 * t50070 + 0.3e1 * t854 * t6826 - 0.6e1 * t9944 * t25812 * t48996 + t48588 / 0.3e1 + t49829 + t6305 - t6310 - t6351;
  t52052 = -t6355 + t49854 + t49866 - t6664 + t6665 - t6666 + 0.23e2 / 0.18e2 * t2983 * t50042 + 0.2e1 * t3039 * t50417 - t922 * t26638 / 0.3e1 + 0.2e1 / 0.3e1 * t922 * t26642 - t2897 * t6817 + t854 * t6820 - 0.3e1 * t509 * t5894 * t46852 + t1297 * t47190 / 0.3e1;
  t52060 = t162 * t5934 * t49120;
  t52061 = 0.3e1 / 0.2e1 * t52060;
  t52078 = t3039 * t50224 + 0.47e2 / 0.3e1 * t15570 * t26610 + 0.3e1 * t610 * t7828 + t52061 - 0.18e2 * t509 * t26475 * t6597 + 0.18e2 * t162 * t26475 * t6687 - 0.6e1 * t162 * t26128 * t6592 + t47229 - t49889 - 0.2e1 * t2168 * t39285 + t48617 - 0.2e1 / 0.3e1 * t2988 * t49975 + 0.2e1 * t1677 * t6172 * t29545;
  t52101 = t5730 * t49466;
  t52102 = 0.1e2 / 0.3e1 * t52101;
  t52103 = t5730 * t49463;
  t52104 = t52103 / 0.18e2;
  t52119 = t5836 * t908;
  t52121 = t3200 * t410 * t52119;
  t52122 = t52121 / 0.3e1;
  t52123 = t5836 * t914;
  t52128 = t3202 * t149 * t52119;
  t52129 = 0.2e1 * t52128;
  t52130 = t410 * t52123;
  t52133 = t16722 * t7750;
  t52134 = 0.2e1 / 0.3e1 * t52133;
  t52135 = 0.5e1 / 0.9e1 * t27156 * t49440 - 0.22e2 / 0.3e1 * t27117 * t6529 - 0.12e2 * t27359 * t6531 + 0.4e1 * t13833 * t149 * t51257 + 0.2e1 * t1319 * t6254 + 0.4e1 * t1323 * t47040 + 0.12e2 * t27200 * t6453 + t943 + t52102 + t52104 - 0.2e1 * t1323 * t46972 - 0.4e1 * t1319 * t6282 - 0.24e2 * t27200 * t6520 + 0.3e1 * t263 * t10240 * t1336 * t6252 + 0.2e1 * t4392 * t149 * t5836 * t6244 + t52122 + t13830 * t1837 * t52123 / 0.9e1 + t52129 - 0.2e1 * t13818 * t52130 + t52134;
  t52136 = t16739 * t7753;
  t52137 = 0.4e1 * t52136;
  t52138 = t28923 * t7757;
  t52139 = 0.4e1 * t52138;
  t52154 = t5733 * t6470;
  t52155 = 0.6e1 * t52154;
  t52156 = t5730 * t47079;
  t52157 = 0.3e1 * t52156;
  t52158 = -t46965 + t49196 + t49197 + 0.24e2 * t48649 - 0.8e1 / 0.3e1 * t48653 + t52155 - t52157 + t49198 + t46979 - t49199 - t962;
  t52162 = t38701 * t205;
  t52188 = t16722 * t7760;
  t52189 = 0.4e1 * t52188;
  t52194 = t3200 * t423 * t52119;
  t52195 = 0.2e1 * t52194;
  t52199 = 0.1e2 / 0.3e1 * t27156 * t49428 - 0.3e2 * t27156 * t6529 - 0.5e1 * t13916 * t423 * t51257 - t52189 - 0.4e1 * t3200 * t423 * t52162 - t52195 + 0.2e1 / 0.3e1 * t13830 * t1829 * t52123 + t7690 - t7691 + t7692 + t6480;
  t52208 = t3775 * t7711;
  t52209 = 0.2e1 * t52208;
  t52210 = t7721 * t205;
  t52219 = t3780 * t7701;
  t52220 = 0.2e1 * t52219;
  t52221 = t942 * t7732;
  t52222 = 0.2e1 * t52221;
  t52223 = t3780 * t7706;
  t52224 = 0.4e1 / 0.3e1 * t52223;
  t52225 = t7720 + 0.8e1 / 0.3e1 * t48670 - 0.4e1 / 0.9e1 * t48672 - 0.2e1 * t263 * t1868 * t7721 * t929 - t52209 - 0.2e1 * t806 * t400 * t52210 + 0.2e1 * t810 * t1862 * t52210 + 0.15e2 * t5730 * t49260 + t52220 - t52222 - t52224;
  t52229 = t1336 * t914;
  t52247 = t5744 * t6499;
  t52248 = 0.6e1 * t52247;
  t52251 = t6466 * t1304;
  t52253 = t810 * t1505 * t52251;
  t52254 = 0.2e1 / 0.3e1 * t52253;
  t52261 = t806 * t400 * t52251;
  t52262 = t5730 * t49327;
  t52263 = t52262 / 0.9e1;
  t52264 = -0.72e2 * t27204 * t6484 + 0.4e1 / 0.3e1 * t27204 * t6508 + 0.2e1 / 0.3e1 * t1323 * t47112 - t263 * t1868 * t1336 * t6244 + t52248 - 0.12e2 * t27195 * t6502 - t52254 - t3208 * t9911 * t52229 / 0.18e2 - 0.4e1 * t1323 * t46951 - t52261 - t52263;
  t52270 = t5733 * t6505;
  t52271 = 0.2e1 * t52270;
  t52288 = t942 * t7704;
  t52289 = 0.2e1 * t52288;
  t52293 = -t263 * t400 * t51602 * t63 - 0.6e1 * t13836 * t149 * t52123 - 0.6e1 * t1862 * t3226 * t52229 + 0.3e1 * t3221 * t400 * t52229 + 0.12e2 * t1323 * t47097 + 0.72e2 * t27195 * t6488 - t47124 - t47148 + t49462 - t49469 - t52289;
  t52306 = t5744 * t6472;
  t52307 = 0.3e1 * t52306;
  t52311 = t5733 * t6467;
  t52312 = 0.4e1 * t52311;
  t52327 = -t52307 + 0.24e2 * t27195 * t6457 - t1319 * t6246 - t52312 - 0.2e1 / 0.3e1 * t27204 * t6460 - 0.4e1 / 0.3e1 * t1323 * t47127 + 0.2e1 * t1323 * t47030 - 0.12e2 * t27225 * t49209 + 0.36e2 * t27204 * t6450 + 0.1e2 / 0.3e1 * t27225 * t49186 + 0.5e2 / 0.3e1 * t27225 * t49189;
  t52333 = t942 * t7722;
  t52343 = t5730 * t49298;
  t52344 = 0.2e1 / 0.3e1 * t52343;
  t52347 = t5730 * t49301;
  t52348 = 0.6e1 * t52347;
  t52350 = t810 * t1862 * t52251;
  t52355 = t5733 * t6515;
  t52356 = 0.12e2 * t52355;
  t52379 = -0.1e2 / 0.3e1 * t3208 * t9916 * t52229 - t52356 + 0.8e1 * t27204 * t6523 + 0.44e2 / 0.3e1 * t5733 * t6512 - 0.5e1 / 0.18e2 * t5730 * t49330 + 0.6e1 * t5744 * t6495 - 0.4e1 / 0.3e1 * t810 * t1505 * t52210 - 0.22e2 * t5733 * t6492 - 0.5e2 / 0.3e1 * t5730 * t49345 + 0.4e1 * t3226 * t1505 * t52229 + t263 * t400 * t60 * t51602 / 0.2e1;
  t52395 = 0.3e1 * t1677 * t26982 * t6667 - 0.3e1 / 0.2e1 * t4277 * t3208 * t9911 * t51335 + t7886 - t7888 - t6720 + t6725 - t22 * t59 * (t52379 + t52348 + t52350 - t52344 + t52333 + t52327 + t52293 + t52271 + t52264 + t52225 + t52199 - 0.6e1 * t20585 * t149 * t5836 * t6252 + 0.4e1 * t4392 * t149 * t38701 * t929 + t52158 + t52137 + t52139 + t52135 - 0.48e2 * t48636 - t49324 + t49325 - t49326 - 0.16e2 / 0.3e1 * t48729 + 0.2e1 / 0.9e1 * t48731 + 0.8e1 * t48733 - t47067 + t49481 + t49216 - t49217 + t49218 + 0.4e2 / 0.3e1 * t48735 - t49194 - t49195 + 0.12e2 * t13818 * t423 * t52123 + 0.4e1 * t3202 * t149 * t52162 + 0.2e1 / 0.3e1 * t3200 * t410 * t52162 + 0.1e2 / 0.3e1 * t13916 * t410 * t51257 + 0.3e1 * t3208 * t10255 * t52229 - 0.8e1 * t13833 * t16695 * t51257 + 0.1e2 * t13916 * t16699 * t51257 + 0.8e1 * t48642 + 0.8e1 * t48657 + t49315 - t6481 - t7745 - t7746 + t7747 - t7748 + t47016 + 0.24e2 * t48695 - t49339 + t6264 - 0.36e2 * t27195 * t6447 - 0.4e2 * t27204 * t6463 - 0.4e1 / 0.3e1 * t27225 * t49386 - 0.6e1 * t1323 * t47024 - t27225 * t49482 / 0.9e1 + 0.2e1 * t1319 * t6270 + 0.24e2 * t27225 * t49250 + 0.8e1 / 0.3e1 * t27225 * t49450 - t49336 + t49338 + t6526 - t6527 + t47155 - t47074 - 0.5e1 / 0.3e1 * t13916 * t16690 * t51257 - 0.16e2 * t48638 + 0.24e2 * t48640 + t6482 + 0.44e2 * t27117 * t6477 - 0.6e1 * t13830 * t52130 - 0.12e2 * t48739 - t6528 + t47120 - t6280 - 0.4e1 * t48742 - 0.16e2 * t48744 - 0.12e2 * t48691) * t96 / 0.4e1 - t49946 - t49947 + t4538 * t1684 * t51336 / 0.2e1 + t3006 * t15648 * t96 * t51975 / 0.2e1 + t47272 - t47274 + t47275;
  t52401 = my_piecewise3(t3, 0, t52395 + t52078 + t52052 + t52036 + t52016 + t51982 + t51965 + t51941 + t51907 + t51885 + t51863 + t51839 + t51814 + t51785 + t51759 + t51736 + t51704 + t51678 + t51651 + t51628 + t51540 + t51517 + t51499 + t51471 + t51438 + t51421 + t51389 + t51360 + t51321 + t51289 + t51266 + t51234);
  tv4sigma2tau20 = 0.2e1 * rho[0] * t52401;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 0] += tv4sigma2tau20;

  t52403 = 0.9e1 / 0.2e1 * t48813;
  t52404 = 0.3e1 * t48815;
  t52430 = t10526 * t7213;
  t52438 = t47308 + t52403 + t52404 + 0.3e1 / 0.2e1 * t610 * t8080 - t8089 * t11858 / 0.2e1 + 0.7e1 / 0.3e1 * t8089 * t11875 + t1140 * t18396 - t233 * t34798 / 0.4e1 - 0.5e1 / 0.36e2 * t8089 * t12015 - t1140 * t18392 / 0.2e1 - t1140 * t19572 / 0.4e1 + t1135 * t3903 / 0.2e1 - 0.3e1 * t610 * t8128 + 0.3e1 / 0.4e1 * t34803 * t248 + 0.18e2 * t39669 * t7214 + 0.9e1 / 0.2e1 * t8089 * t46848 - 0.43e2 / 0.9e1 * t39755 * t52430 - 0.28e2 * t11037 * t40156 - 0.9e1 / 0.2e1 * t162 * t39769 * t46861;
  t52443 = t7935 * t205;
  t52448 = t10775 * t7071;
  t52451 = t48920 / 0.4e1;
  t52452 = 0.3e1 / 0.4e1 * t48928;
  t52453 = t48950 / 0.2e1;
  t52454 = 0.23e2 / 0.12e2 * t48961;
  t52457 = t719 * t7043;
  t52463 = 0.47e2 / 0.3e1 * t10524 * t40140 + t47315 + 0.16e2 / 0.3e1 * t22508 * t7076 + t47321 - t47340 - t47342 - t47348 - t2632 * t2169 * t500 * t52443 / 0.3e1 + 0.3e1 / 0.2e1 * t22511 * t52448 - t52451 + t52452 + t48948 - t52453 + t47374 + t52454 - 0.3e1 / 0.4e1 * t3908 * t1199 - 0.3e1 / 0.4e1 * t52457 - 0.3e1 / 0.4e1 * t719 * t7048 + t610 * t8043 / 0.2e1;
  t52466 = t162 * t3690 * t8042;
  t52467 = t52466 / 0.2e1;
  t52468 = t911 * t8021;
  t52469 = t52468 / 0.6e1;
  t52471 = t1637 * t2036 * t8019;
  t52481 = 0.3e1 / 0.2e1 * t48979;
  t52482 = 0.3e1 / 0.2e1 * t48986;
  t52483 = t96 * t52443;
  t52484 = t1684 * t52483;
  t52487 = t7935 * t929;
  t52489 = t3624 * t96 * t52487;
  t52492 = t2169 * t52483;
  t52496 = t2324 * t6990;
  t52509 = t52467 - t52469 - t233 * t52471 / 0.6e1 + 0.9e1 / 0.2e1 * t719 * t7051 + 0.3e1 / 0.2e1 * t719 * t7054 - 0.6e1 * t509 * t39797 * t6313 + t46593 - t52481 + t52482 - t2674 * t52484 / 0.6e1 - t2683 * t52489 / 0.6e1 + t2632 * t52492 / 0.12e2 - 0.2e1 * t49014 - 0.3e1 / 0.2e1 * t4800 * t52496 - 0.9e1 * t719 * t7239 - 0.3e1 * t719 * t7039 + 0.7e1 * t2055 * t40239 + 0.12e2 * t40274 * t1016 + 0.4e1 * t8098 * t6336;
  t52512 = 0.5e1 / 0.12e2 * t49043;
  t52513 = 0.6e1 * t49048;
  t52514 = 0.11e2 / 0.6e1 * t49051;
  t52518 = t10245 * t7083;
  t52525 = t10255 * t7083;
  t52529 = t400 * t52443;
  t52533 = 0.3e1 / 0.2e1 * t49102;
  t52534 = t7952 * t205;
  t52535 = t10245 * t52534;
  t52538 = t96 * t52534;
  t52539 = t11150 * t52538;
  t52542 = -0.23e2 / 0.3e1 * t39669 * t6976 - t49037 - t52512 - t52513 - t52514 - t47402 - t47408 - t49074 + t49076 + 0.8e1 * t2251 * t5007 * t7067 + 0.9e1 / 0.2e1 * t2251 * t1164 * t52518 - 0.7e1 * t10715 * t40515 + t47415 / 0.2e1 - 0.9e1 / 0.2e1 * t2255 * t1164 * t52525 - t47429 + t2251 * t693 * t52529 / 0.2e1 - t52533 + t2251 * t697 * t52535 - t2632 * t52539 / 0.3e1;
  t52548 = t1147 * t7015;
  t52550 = t3624 * t96 * t52548;
  t52553 = t10775 * t52538;
  t52562 = 0.9e1 / 0.2e1 * t49122;
  t52563 = 0.9e1 * t49125;
  t52564 = t2057 * t6990;
  t52567 = t22727 * t1000;
  t52568 = t302 * t52567;
  t52573 = t548 * t52567;
  t52582 = t1711 * t608 * t1148;
  t52585 = t1711 * t160 * t7016;
  t52590 = t1648 * t404 * t7015;
  t52594 = -0.3e1 * t2251 * t5016 * t7079 - t2683 * t52550 / 0.3e1 - t2632 * t52553 / 0.6e1 + 0.18e2 * t162 * t40165 * t1065 + 0.6e1 * t162 * t39797 * t6187 - t47442 + t52562 - t52563 - 0.5e1 / 0.12e2 * t4800 * t52564 + t666 * t52568 / 0.2e1 + t233 * t49150 / 0.4e1 - t671 * t52573 / 0.4e1 - 0.3e1 / 0.2e1 * t5172 * t1058 - 0.3e1 / 0.4e1 * t5172 * t1061 + t546 * t39727 - t1140 * t52582 - t1140 * t52585 - 0.3e1 / 0.2e1 * t610 * t8062 - 0.3e1 / 0.2e1 * t162 * t4935 * t52590;
  t52595 = t1649 * t7029;
  t52598 = t1649 * t7017;
  t52601 = t2057 * t7209;
  t52608 = t18921 * t7071;
  t52613 = t2294 * t52483;
  t52626 = 0.3e1 * t49168;
  t52632 = t9930 * t9935 * t205;
  t52636 = t1140 * t52595 / 0.2e1 + t1140 * t52598 / 0.2e1 + 0.23e2 / 0.12e2 * t4800 * t52601 - 0.6e1 * t4856 * t7210 - 0.2e1 * t1140 * t47376 + t2632 * t52608 / 0.2e1 - t2632 * t19277 * t7075 + t2632 * t52613 / 0.6e1 - t46787 + 0.23e2 / 0.36e2 * t8089 * t12053 - 0.2e1 * t8098 * t1967 - 0.11e2 / 0.18e2 * t8089 * t12050 - t208 * t40911 / 0.12e2 + t40916 * t223 / 0.4e1 + t47452 - t52626 - 0.9e1 * t2509 * t7203 + 0.9e1 / 0.2e1 * t719 * t7198 - 0.6e1 * t9944 * t40071 * t52632;
  t52647 = 0.9e1 * t49525;
  t52651 = 0.9e1 / 0.2e1 * t49530;
  t52656 = t10255 * t52534;
  t52661 = t911 * t8047;
  t52664 = t490 * t18442 * t1148;
  t52668 = t490 * t2571 * t7016;
  t52671 = t911 * t8052;
  t52672 = t52671 / 0.12e2;
  t52681 = 0.9e1 * t509 * t39769 * t46857 - 0.18e2 * t1565 * t39779 * t7220 - 0.9e1 / 0.2e1 * t1565 * t39769 * t46610 + t52647 - 0.2e1 * t2251 * t1160 * t7084 - t52651 + 0.3e1 / 0.2e1 * t19135 * t7063 - 0.3e1 / 0.2e1 * t18604 * t7068 - t2255 * t697 * t52656 + t8103 * t932 / 0.2e1 + t52661 / 0.4e1 + t233 * t52664 / 0.4e1 + t233 * t52668 / 0.4e1 + t52672 - t1135 * t6541 / 0.2e1 - 0.3e1 * t40274 * t1005 - t8098 * t6328 + 0.3e1 * t4856 * t7206 + t1140 * t47637;
  t52688 = t10526 * t1001;
  t52699 = 0.7e1 * t49567;
  t52700 = 0.3e1 * t49569;
  t52701 = 0.3e1 * t49574;
  t52702 = t10733 * t7075;
  t52705 = t12291 * t7071;
  t52708 = t30026 * t7088;
  t52711 = -0.3e1 / 0.2e1 * t4984 * t6991 + 0.5e1 / 0.3e1 * t39669 * t7023 + 0.5e1 / 0.12e2 * t8089 * t46795 - 0.35e2 / 0.108e3 * t39755 * t52688 + 0.3e1 / 0.2e1 * t4856 * t6996 + t1140 * t47641 / 0.2e1 + 0.3e1 / 0.2e1 * t18604 * t7080 + 0.3e1 / 0.2e1 * t18604 * t7085 + t49557 - t47507 + t52699 + t52700 - t52701 - 0.23e2 / 0.12e2 * t22511 * t52702 - t913 + t984 - t2674 * t52705 / 0.2e1 - t2683 * t52708 / 0.2e1 + t49589;
  t52715 = t19277 * t7071;
  t52724 = t10526 * t1015;
  t52729 = t10649 * t1001;
  t52737 = t1868 * t52534;
  t52740 = t7952 * t929;
  t52741 = t10240 * t52740;
  t52745 = t49592 - t49594 + t2632 * t52715 / 0.4e1 + 0.3e1 / 0.2e1 * t8089 * t46865 - 0.7e1 * t8089 * t47209 - 0.23e2 / 0.12e2 * t8089 * t46644 + 0.44e2 / 0.27e2 * t39755 * t52724 + 0.11e2 / 0.6e1 * t8089 * t47218 - 0.61e2 / 0.27e2 * t39755 * t52729 + 0.6e1 * t39669 * t6979 - 0.18e2 * t509 * t40165 * t1052 + t47511 + t6547 - t8013 - t8014 + t8015 - t8016 - t2251 * t693 * t52737 - 0.3e1 / 0.2e1 * t2251 * t237 * t52741;
  t52746 = t1868 * t52548;
  t52751 = t3624 * t52538;
  t52755 = t15648 * t96 * t52740;
  t52758 = 0.9e1 * t49618;
  t52764 = t9916 * t7066;
  t52771 = -t47514 + t47517 - t47523 - t47530 + t47532 - t46829 - t46833 + t2251 * t237 * t52746 + 0.2e1 / 0.3e1 * t2168 * t39709 + t2674 * t52751 / 0.3e1 + t2683 * t52755 / 0.2e1 - t52758 - 0.2e1 * t47554 + 0.9e1 / 0.2e1 * t22511 * t10733 * t1556 * t7066 + 0.9e1 * t2255 * t5011 * t52764 + t49625 - 0.3e1 * t49629 - 0.2e1 / 0.3e1 * t49635 + t49644 / 0.2e1;
  t52773 = t9911 * t7066;
  t52777 = t11249 * t1001;
  t52782 = t555 * t52567;
  t52785 = t2233 * t6990;
  t52796 = t10775 * t500 * t7083;
  t52799 = t47559 + t8017 - t8018 + t49659 + t47584 - 0.9e1 / 0.2e1 * t4277 * t5011 * t52773 - 0.2e1 * t39755 * t52777 + t7097 + t7098 + 0.3e1 / 0.2e1 * t5172 * t1066 - t671 * t52782 / 0.2e1 - 0.11e2 / 0.6e1 * t4800 * t52785 - 0.6e1 * t40274 * t1010 - 0.2e1 * t8098 * t6332 + 0.22e2 / 0.3e1 * t39669 * t7226 + t47612 - t47623 + 0.3e1 * t49717 + 0.3e1 * t23145 * t52796;
  t52802 = t10775 * t7088;
  t52805 = t10733 * t7071;
  t52813 = 0.9e1 / 0.2e1 * t49768;
  t52814 = 0.2e1 * t49770;
  t52816 = t9930 * t9905 * t205;
  t52823 = -0.3e1 / 0.4e1 * t47624 + t47640 + t47652 / 0.4e1 + t8024 - t8025 - 0.3e1 / 0.4e1 * t23145 * t52802 + 0.5e1 / 0.12e2 * t22511 * t52805 + t22854 * t7269 + 0.2e1 / 0.3e1 * t23413 * t7089 - 0.4e1 / 0.3e1 * t22508 * t7094 + t52813 + t52814 - t47709 + 0.18e2 * t1565 * t40071 * t52816 + t47718 + t47725 + t49787 + 0.3e1 * t47736 - 0.3e1 * t1972 * t8120;
  t52847 = t1505 * t52443;
  t52851 = t1862 * t52443;
  t52858 = t1868 * t52487;
  t52862 = t8098 * t1963 + 0.3e1 / 0.2e1 * t3908 * t1202 + 0.3e1 / 0.2e1 * t11870 * t8117 - 0.3e1 / 0.2e1 * t18401 * t1190 + 0.3e1 / 0.2e1 * t610 * t8131 - 0.3e1 / 0.2e1 * t8089 * t11879 + t8098 * t2002 / 0.2e1 - t8103 * t569 / 0.2e1 + 0.3e1 * t1972 * t8072 - 0.3e1 / 0.2e1 * t3908 * t1194 + t47768 + t47772 - 0.3e1 / 0.2e1 * t23037 * t1053 + t2255 * t697 * t52847 / 0.2e1 - t2251 * t697 * t52851 / 0.2e1 - 0.8e1 * t2255 * t5007 * t33970 + t2251 * t237 * t52858 / 0.2e1 + t7231 - t7232;
  t52863 = t10653 * t1001;
  t52866 = t10649 * t1015;
  t52872 = t9930 * t7219;
  t52876 = t9930 * t7201;
  t52897 = t1837 * t7139;
  t52900 = t40605 * t205;
  t52901 = t149 * t52900;
  t52905 = t149 * t40605 * t929;
  t52908 = 0.12e2 * t49172;
  t52909 = 0.18e2 * t49176;
  t52910 = 0.9e1 * t49178;
  t52911 = 0.9e1 * t49182;
  t52918 = t9945 * t1021;
  t52921 = t7936 * t205;
  t52922 = t400 * t52921;
  t52925 = t1868 * t7936 * t929;
  t52927 = t10255 * t7162;
  t52934 = -0.8e1 * t34361 * t7147 + t943 + t21944 * t52897 / 0.3e1 + 0.2e1 * t2752 * t52901 + 0.2e1 * t4138 * t52905 - t52908 + t52909 - t52910 - t52911 - 0.4e1 * t7945 * t6275 + 0.4e1 / 0.3e1 * t40621 * t7167 + t7949 * t46994 / 0.3e1 - t40666 * t52918 / 0.9e1 - t693 * t52922 - t237 * t52925 + 0.6e1 * t1164 * t52927 + 0.6e1 * t5016 * t7159 + 0.4e1 * t1160 * t7163;
  t52935 = t1862 * t7171;
  t52940 = t10245 * t7162;
  t52943 = t9916 * t7153;
  t52952 = t410 * t52900;
  t52959 = -0.6e1 * t1164 * t52935 - 0.16e2 * t5007 * t7180 - 0.9e1 * t1164 * t52940 - 0.1e2 * t5011 * t52943 + 0.24e2 * t7945 * t6285 + 0.8e1 * t40621 * t7184 + 0.2e1 * t7949 * t46954 + t2750 * t52952 / 0.3e1 - t47852 + t47855 - 0.12e2 * t47860 - t47864 + t47866 + t47875 - t962 - t47903 + t47905 + 0.2e1 * t47910 - 0.16e2 / 0.3e1 * t21967 * t7150;
  t52965 = t9916 * t1032;
  t52971 = t1862 * t52921;
  t52974 = 0.18e2 * t49292;
  t52975 = -0.36e2 * t1040 * t40598 - 0.12e2 * t21978 * t7143 + 0.36e2 * t40621 * t7136 - 0.12e2 * t40666 * t52965 + t52971 * t697 - t47921 + t47940 - t47943 - t47947 - t47950 + t47953 + 0.6e1 * t47955 + t49284 + 0.6e1 * t49291 + t52974 + t7971 - t7972 + t7973;
  t52976 = 0.36e2 * t49296;
  t52977 = 0.2e1 * t49299;
  t52978 = 0.18e2 * t49302;
  t52979 = 0.6e1 * t49306;
  t52984 = t942 * t7954;
  t52989 = t9906 * t1032;
  t52996 = t1862 * t7112;
  t53001 = -t52976 - t52977 + t52978 + t52979 - 0.18e2 * t21944 * t7150 - t7949 * t47130 / 0.6e1 - t52984 - 0.4e2 * t40621 * t7119 - 0.1e2 * t7949 * t47043 + 0.1e2 / 0.3e1 * t40666 * t52989 + 0.24e2 * t40598 * t1033 + 0.8e1 * t7945 * t6249 + 0.3e1 * t1164 * t52996 - 0.2e1 / 0.3e1 * t40621 * t7116 + t7102 - t6260 + t6262 + t7103 + t47016;
  t53004 = t423 * t52900;
  t53007 = t423 * t7146;
  t53010 = t40610 * t205;
  t53011 = t149 * t53010;
  t53030 = 0.8e1 * t48842;
  t53031 = 0.8e1 / 0.3e1 * t48846;
  t53032 = -0.4e1 / 0.3e1 * t4831 * t33031 - 0.4e1 * t4831 * t33062 + 0.4e1 * t4828 * t34911 + 0.4e1 * t4834 * t34946 + 0.2e2 / 0.9e1 * t39878 * t7220 - 0.4e1 * t39875 * t1052 - 0.12e2 * t39878 * t7197 + 0.12e2 * t39852 * t1057 - t53030 + t53031 - t6237;
  t53037 = 0.2e1 * t46689;
  t53054 = 0.4e1 / 0.3e1 * t39878 * t7202 + 0.24e2 * t39875 * t1065 + t53037 - 0.2e1 * t4834 * t7047 + 0.4e1 * t7068 - 0.24e2 * t39858 * t1065 + 0.32e2 / 0.3e1 * t39832 * t7202 - 0.2e1 / 0.3e1 * t7063 + 0.12e2 * t39832 * t7197 - 0.8e1 * t39858 * t1052 - 0.8e1 / 0.3e1 * t39829 * t6313 + 0.16e2 / 0.9e1 * t39832 * t7220;
  t53056 = t28743 * t1198;
  t53057 = 0.2e1 * t53056;
  t53066 = t960 * t1198;
  t53067 = 0.2e1 * t53066;
  t53072 = 0.8e1 * t48864;
  t53073 = 0.4e1 / 0.3e1 * t48866;
  t53074 = 0.8e1 * t48875;
  t53075 = -t53057 + 0.4e1 * t39855 * t990 + 0.8e1 * t1172 * t6187 - 0.12e2 * t39904 * t1057 - 0.4e1 * t1175 * t990 + t53067 + 0.2e1 * t239 * t7047 - 0.4e1 / 0.3e1 * t1172 * t6313 - t53072 + t53073 + t53074;
  t53076 = 0.8e1 * t48881;
  t53077 = 0.4e1 * t46705;
  t53078 = 0.4e1 / 0.3e1 * t46707;
  t53079 = 0.4e1 * t46718;
  t53080 = 0.2e1 * t46720;
  t53085 = 0.2e1 / 0.3e1 * t46725;
  t53086 = 0.4e1 * t46729;
  t53087 = 0.4e1 * t46731;
  t53088 = -0.8e1 * t39829 * t6187 + t53076 + t53077 + t53078 - t53079 - t53080 + t53085 - t53086 + t53087 + t6225 - 0.4e1 * t7080 - 0.4e1 * t7085;
  t53090 = t53032 + t53054 + t53075 + t53088;
  t53092 = t400 * t60 * t53090;
  t53099 = t7953 * t205;
  t53100 = t10255 * t53099;
  t53105 = t1829 * t7139;
  t53108 = t49328 / 0.3e1;
  t53109 = -0.2e1 * t2750 * t53004 + 0.18e2 * t34127 * t53007 - 0.4e1 * t13166 * t53011 + t237 * t53092 / 0.2e1 + 0.12e2 * t40636 * t1036 + 0.3e1 * t7957 * t966 + t49314 - t47067 - t47074 + t7110 + 0.4e1 / 0.3e1 * t697 * t53100 + 0.32e2 * t21967 * t7140 + 0.2e1 * t21944 * t53105 - t53108 - t7989 - t6506 + t7990 - t49349;
  t53115 = t9911 * t1021;
  t53118 = t9916 * t1021;
  t53121 = t10255 * t7153;
  t53124 = t10245 * t53099;
  t53128 = t423 * t53010;
  t53132 = t1868 * t1177 * t7015;
  t53136 = t400 * t63 * t53090;
  t53138 = t1868 * t53099;
  t53141 = 0.72e2 * t40598 * t1029 - 0.72e2 * t40621 * t7187 - t49351 - 0.4e1 * t49353 + t7127 + 0.8e1 / 0.3e1 * t40666 * t53115 + 0.24e2 * t40666 * t53118 + 0.9e1 * t5011 * t53121 - 0.2e1 * t697 * t53124 - t7128 - t7129 - t6279 - t49376 - 0.4e1 * t49378 + 0.4e1 * t13136 * t53128 + t48013 - 0.2e1 * t237 * t53132 - t237 * t53136 + 0.2e1 * t693 * t53138;
  t53144 = t10240 * t7953 * t929;
  t53151 = t149 * t5054 * t7015;
  t53154 = t410 * t53010;
  t53157 = t410 * t7146;
  t53162 = t149 * t40610 * t929;
  t53165 = t942 * t7937;
  t53166 = t53165 / 0.2e1;
  t53167 = t1505 * t7112;
  t53174 = 0.3e1 * t237 * t53144 - 0.4e1 * t48022 + t47120 - t47124 + 0.2e1 * t49400 + 0.8e1 * t49406 - t49415 + t49420 + t49422 + t49424 + 0.4e1 * t4138 * t53151 - 0.2e1 / 0.3e1 * t13136 * t53154 - 0.3e1 * t34127 * t53157 - 0.12e2 * t49435 - 0.6e1 * t17614 * t53162 + t53166 - 0.2e1 * t1164 * t53167 - 0.2e1 * t1160 * t7113 - 0.12e2 * t7945 * t6212;
  t53177 = t49464 / 0.6e1;
  t53178 = 0.1e2 * t49467;
  t53179 = t942 * t7983;
  t53180 = t9911 * t7153;
  t53183 = t9911 * t1032;
  t53186 = t1505 * t7171;
  t53196 = t942 * t7986;
  t53197 = 0.2e1 * t53196;
  t53200 = t1505 * t52921;
  t53205 = t9906 * t1021;
  t53208 = 0.9e1 * t7949 * t47033 + t53177 + t53178 - t53179 - t5011 * t53180 / 0.6e1 + 0.5e2 / 0.3e1 * t40666 * t53183 + t47155 - t49486 + t1164 * t53186 + 0.4e1 * t1160 * t7172 + 0.32e2 / 0.3e1 * t5007 * t7154 - 0.6e1 * t7957 * t953 - 0.12e2 * t40598 * t1025 + t53197 - 0.18e2 * t7949 * t47100 - 0.2e1 / 0.3e1 * t697 * t53200 - 0.24e2 * t40636 * t1022 - 0.4e1 / 0.3e1 * t40666 * t53205 - t8006;
  t53216 = -0.38e2 / 0.9e1 * t39755 * t52863 + 0.89e2 / 0.9e1 * t39755 * t52866 - t49844 - t49848 - t7233 - t7235 - 0.18e2 * t162 * t39779 * t7197 - 0.18e2 * t509 * t40071 * t52872 + 0.6e1 * t162 * t40071 * t52876 - 0.62e2 / 0.3e1 * t39755 * t10650 + 0.8e1 * t39755 * t10645 + 0.9e1 / 0.2e1 * t13061 * t7221 + 0.9e1 * t2509 * t7057 + 0.3e1 * t2509 * t7060 - 0.9e1 / 0.2e1 * t2055 * t40187 + 0.36e2 * t509 * t39779 * t7202 - t22 * t59 * (t52934 + t52959 + t52975 + t53001 + t53109 + t53141 + t53174 + t53208) * t96 / 0.4e1 - t7236 + t7237;
  t53220 = t11150 * t7088;
  t53223 = t10936 * t7071;
  t53227 = t10255 * t7066;
  t53232 = -t7238 - t49873 - t49875 + t49877 - 0.8e1 / 0.3e1 * t22508 * t7072 - 0.3e1 / 0.2e1 * t23145 * t53220 + 0.11e2 / 0.6e1 * t22511 * t53223 - t47798 - 0.3e1 * t47804 + t47811 - t47816 - t47822 + t8140 - t8141 - t7267 + t7268 - t48076 - 0.9e1 / 0.2e1 * t2251 * t5011 * t53227 + 0.2e1 * t49921;
  t53236 = t1648 * t342 * t7015;
  t53249 = t162 * t3690 * t8028;
  t53250 = t53249 / 0.4e1;
  t53252 = t320 * t137 * t53090;
  t53263 = t1711 * t7029;
  t53266 = t1711 * t7017;
  t53270 = t490 * t2036 * t8050;
  t53275 = t490 * t303 * t95 * t53090;
  t53280 = 0.3e1 / 0.2e1 * t1972 * t8036 + 0.3e1 / 0.2e1 * t509 * t4935 * t53236 - 0.3e1 / 0.2e1 * t162 * t39808 * t990 + t610 * t8032 + t162 * t4884 * t7047 - t610 * t8029 / 0.4e1 - t53250 - t162 * t745 * t53252 / 0.4e1 - 0.6e1 * t162 * t39815 * t1057 - t1135 * t7030 / 0.3e1 - t1135 * t7018 / 0.3e1 + t1140 * t53263 / 0.4e1 + t1140 * t53266 / 0.4e1 + t233 * t53270 / 0.12e2 + t233 * t53275 / 0.12e2 + 0.2e1 * t40002 * t1002 + t47272 - t47274 + t47275 - t48086;
  t53285 = my_piecewise3(t3, 0, t52438 + t52463 + t52509 + t52542 + t52594 + t52636 + t52681 + t52711 + t52745 + t52771 + t52799 + t52823 + t52862 + t53216 + t53232 + t53280);
  tv4sigmalapl30 = 0.2e1 * rho[0] * t53285;

  if(out->v4sigmalapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 0] += tv4sigmalapl30;

  t53289 = t49963 / 0.3e1;
  t53306 = t96 * t33025;
  t53310 = t96 * t34940;
  t53319 = -t1140 * t19651 / 0.6e1 + t47307 + t53289 + t48814 + t48815 + t21470 * t7080 / 0.2e1 + t21470 * t7085 / 0.2e1 - t2168 * t41884 / 0.3e1 + 0.2e1 / 0.3e1 * t2168 * t41714 - t2168 * t42465 / 0.3e1 + t1677 * t5243 * t34946 / 0.2e1 + t1677 * t5354 * t34911 / 0.2e1 - 0.4e1 / 0.3e1 * t4571 * t2169 * t53306 - 0.3e1 / 0.4e1 * t3015 * t10775 * t53310 + 0.5e1 / 0.12e2 * t4531 * t10733 * t53306 + t259 * t52664 / 0.6e1;
  t53338 = t96 * t34748;
  t53352 = t259 * t52668 / 0.6e1 - 0.9e1 / 0.2e1 * t2255 * t810 * t10255 * t34940 - t719 * t7582 / 0.2e1 + 0.3e1 / 0.2e1 * t854 * t7051 + t854 * t7054 / 0.2e1 + t49990 - 0.3e1 * t2265 * t42496 * t7202 - t49992 + t3015 * t17371 * t8260 / 0.4e1 + t3015 * t2169 * t53338 / 0.4e1 + t2988 * t52751 / 0.3e1 - t48102 / 0.4e1 + t48104 / 0.3e1 - t48106 / 0.2e1 + t3006 * t52755 / 0.2e1 + t18604 * t7322 + 0.6e1 * t19135 * t7327;
  t53359 = t23966 * t1000;
  t53360 = t548 * t53359;
  t53367 = t19504 * t7304;
  t53370 = t48113 / 0.2e1 + t48116 + 0.2e1 * t19135 * t7330 + t50003 - t50004 - t47341 - t47347 - t50007 - t48139 / 0.4e1 - t48146 / 0.2e1 - t671 * t53360 / 0.6e1 + t48157 / 0.3e1 - t48160 / 0.12e2 - t18604 * t7295 + t19135 * t7292 - t2632 * t53367 / 0.3e1;
  t53377 = t96 * t33192;
  t53381 = t96 * t33119;
  t53407 = t555 * t53359;
  t53410 = -t2251 * t810 * t52851 / 0.2e1 - 0.11e2 / 0.18e2 * t48190 + 0.23e2 / 0.36e2 * t48194 + t48200 / 0.3e1 + 0.6e1 * t20380 * t2169 * t53377 + 0.3e1 / 0.2e1 * t4531 * t10775 * t53381 - 0.38e2 / 0.9e1 * t20344 * t10733 * t53377 + 0.5e1 / 0.12e2 * t4531 * t10733 * t53381 - 0.35e2 / 0.108e3 * t20344 * t17992 * t53377 - 0.18e2 * t4277 * t13762 * t1566 * t33192 - 0.9e1 / 0.2e1 * t4277 * t3208 * t9911 * t33119 - 0.6e1 * t21350 * t2182 * t53377 - t2255 * t810 * t52656 - t48921 + t48929 - t671 * t53407 / 0.3e1 + t48948;
  t53424 = t2233 * t7308;
  t53427 = t52457 / 0.2e1;
  t53428 = t32489 * t7088;
  t53431 = -t48951 + t50037 - 0.3e1 * t1972 * t8370 + t48962 - t3006 * t52489 / 0.6e1 + t3015 * t52492 / 0.12e2 + 0.2e1 * t4571 * t19504 * t7281 + t1140 * t48604 / 0.3e1 - 0.11e2 / 0.18e2 * t4800 * t53424 - t53427 + t52467 - t52469 + t46593 - t48980 + t48987 - t2683 * t53428 / 0.6e1;
  t53432 = t21610 * t7071;
  t53445 = t50085 / 0.3e1;
  t53448 = t2324 * t7308;
  t53451 = t2632 * t53432 / 0.12e2 - t22 * t7193 * t288 / 0.4e1 - t233 * t36756 / 0.6e1 - t49014 - t49038 - t49044 - t49049 - t49052 - t2988 * t10925 * t8260 / 0.3e1 - t1972 * t8274 / 0.2e1 + t53445 + t610 * t8277 / 0.2e1 - t47401 - t50091 - t49074 + t49076 - t4800 * t53448 / 0.2e1;
  t53476 = t1684 * t169 * t287 * t7015;
  t53488 = t22 * t11296;
  t53491 = t50101 / 0.3e1;
  t53492 = 0.7e1 / 0.3e1 * t4800 * t2233 * t7510 - 0.3e1 / 0.2e1 * t4800 * t2057 * t2895 * t1000 + 0.3e1 / 0.2e1 * t14144 * t7221 - 0.3e1 * t2897 * t7203 - 0.2e1 * t48235 - 0.6e1 * t2251 * t13775 * t145 * t33192 - 0.3e1 * t48238 - 0.3e1 / 0.2e1 * t2251 * t3221 * t400 * t33119 + t2683 * t53476 / 0.12e2 - t48240 / 0.2e1 - 0.2e1 / 0.3e1 * t48249 + t48251 / 0.6e1 + t3015 * t19277 * t7285 / 0.3e1 - 0.5e1 / 0.18e2 * t4531 * t33250 * t7281 + 0.47e2 / 0.3e1 * t53488 * t41648 - t53491;
  t53493 = 0.6e1 * t50107;
  t53501 = 0.2e1 / 0.3e1 * t50119;
  t53505 = 0.3e1 * t50128;
  t53521 = t14332 * t7071;
  t53526 = -t53493 - 0.3e1 / 0.2e1 * t17049 * t8361 - 0.3e1 / 0.2e1 * t2251 * t810 * t1862 * t34748 + t50115 + t17049 * t8255 + t53501 + 0.44e2 / 0.27e2 * t20344 * t17992 * t33572 + t53505 + t48291 / 0.6e1 + 0.3e1 / 0.2e1 * t17046 * t8257 + 0.3e1 / 0.2e1 * t2255 * t810 * t1505 * t34748 - t3015 * t52553 / 0.6e1 + 0.2e1 * t20507 * t2162 * t53377 + t4538 * t1684 * t53381 / 0.2e1 - t2674 * t53521 / 0.6e1 - t47428 + t3015 * t52715 / 0.6e1;
  t53554 = t3935 * t7304;
  t53557 = 0.3e1 * t50179;
  t53563 = -t2988 * t52484 / 0.6e1 - 0.6e1 * t19499 * t13792 * t9945 * t33192 + 0.8e1 * t20344 * t17992 * t4275 * t33192 - 0.11e2 / 0.9e1 * t4531 * t33246 * t7281 - t4538 * t19296 * t7281 - t2988 * t12291 * t7285 / 0.3e1 + t4571 * t19269 * t7281 + t22508 * t7348 / 0.2e1 + t23145 * t48228 / 0.6e1 - 0.5e1 / 0.36e2 * t22511 * t53554 - t49103 + t53557 + t50184 / 0.2e1 - t22854 * t7357 / 0.2e1 - t23413 * t6740 / 0.6e1 - t50193;
  t53584 = t1677 * t31663 * t1198;
  t53597 = t19296 * t7304;
  t53601 = -0.2e1 * t4571 * t2294 * t53381 + 0.22e2 / 0.3e1 * t20380 * t3931 * t53377 + 0.12e2 * t21350 * t34857 + 0.4e1 * t4571 * t33477 + t21686 * t7063 / 0.2e1 + t49123 - t49126 - t2988 * t1684 * t53338 / 0.3e1 + t4856 * t7314 / 0.2e1 - t10930 * t8352 / 0.4e1 - t53584 / 0.4e1 - t1677 * t5243 * t7047 / 0.4e1 + t2251 * t806 * t52529 / 0.2e1 + t2251 * t263 * t52858 / 0.2e1 - t2168 * t42617 / 0.3e1 + t2674 * t53597 / 0.3e1 - t13562 * t7351;
  t53605 = t50195 / 0.3e1;
  t53612 = t1032 * t1132;
  t53620 = 0.12e2 * t50721;
  t53622 = 0.6e1 * t50727;
  t53623 = t943 - 0.2e1 / 0.3e1 * t13762 * t1566 * t53612 - 0.12e2 * t48636 - 0.4e1 * t48638 + 0.6e1 * t48640 + 0.2e1 * t48642 + t53620 + 0.3e1 * t50725 - t53622 - t49173 + t49177;
  t53624 = 0.8e1 * t50754;
  t53625 = t50760 / 0.9e1;
  t53626 = 0.4e1 * t50762;
  t53637 = t42080 * t205;
  t53638 = t410 * t53637;
  t53641 = t42080 * t929;
  t53642 = t410 * t53641;
  t53645 = -t49179 - t49183 - t53624 + t53625 + t53626 + 0.6e1 * t48649 - 0.2e1 / 0.3e1 * t48653 + t3200 * t52952 / 0.3e1 + 0.6e1 * t13916 * t410 * t34940 - t13830 * t1837 * t33025 / 0.6e1 - 0.12e2 * t20859 * t53638 - 0.4e1 * t13818 * t53642;
  t53647 = 0.4e1 * t50802;
  t53650 = t410 * t33025;
  t53653 = t5456 * t7015;
  t53657 = -t50782 + t50783 - t50784 - t50788 + t50789 + t50790 + t53647 + t263 * t53092 / 0.2e1 + 0.32e2 / 0.3e1 * t13818 * t53650 + t3200 * t410 * t53653 - t962 + 0.2e1 * t48657;
  t53665 = 0.2e2 / 0.3e1 * t50835;
  t53666 = 0.6e1 * t50841;
  t53667 = 0.2e1 * t50850;
  t53674 = 0.4e1 * t13833 * t149 * t34940 + 0.4e1 * t3202 * t149 * t53653 - t50825 + t50826 + t50827 - 0.2e1 * t50828 + t53665 - t53666 - t53667 + 0.6e1 * t13836 * t149 * t33025 - t263 * t53136 - 0.2e1 / 0.3e1 * t810 * t53200;
  t53694 = 0.32e2 * t13818 * t16699 * t33025 + 0.2e1 * t13830 * t17753 * t33025 - 0.8e1 * t13833 * t16695 * t34940 - 0.12e2 * t13836 * t16695 * t33025 + 0.18e2 * t13916 * t16699 * t34940 - 0.4e1 * t13833 * t53011 + t6881 - t6884 + t6888 + t7099 - t7100 + t7101;
  t53695 = t16690 * t33025;
  t53704 = 0.2e1 / 0.9e1 * t50866;
  t53705 = -0.16e2 / 0.3e1 * t13818 * t53695 - 0.3e1 * t13916 * t16690 * t34940 + t13830 * t17682 * t33025 / 0.3e1 - t53704 - t50871 + t50872 - t50873 - t50874 - t50879 + t50880 + t50881 + t49284;
  t53707 = 0.3e1 * t49291;
  t53712 = t53707 + t49293 - t49297 - t49300 + t49303 + t49307 + 0.4e1 * t4392 * t53151 - 0.2e1 / 0.3e1 * t13916 * t53154 - t52984 + t7102 - t6260 + t6262;
  t53720 = t1829 * t53637;
  t53723 = t1837 * t53637;
  t53726 = 0.12e2 * t50885;
  t53727 = t7103 + t47016 + 0.2e1 * t13830 * t1829 * t53641 + t49314 - t47067 - t47074 + t7110 - 0.72e2 * t20580 * t53638 + 0.9e1 * t13830 * t53650 + 0.24e2 * t20868 * t53720 + 0.8e1 / 0.3e1 * t20868 * t53723 + t53726;
  t53739 = 0.2e1 / 0.3e1 * t48670 - t48672 / 0.9e1 - t49329 - t6907 + t6914 - t6916 - 0.24e2 * t20588 * t149 * t53637 - 0.6e1 * t13836 * t149 * t53641 - t7124 - t7125 + t7126 - t49349;
  t53740 = 0.2e1 * t49353;
  t53741 = 0.2e1 * t49378;
  t53744 = t8147 * t929;
  t53751 = t7112 * t230;
  t53755 = -t49351 - t53740 + t7127 - t7128 - t7129 - t6279 - t49376 - t53741 - 0.2e1 * t810 * t53124 - t3208 * t9911 * t53744 / 0.6e1 - 0.12e2 * t3226 * t1862 * t53744 + 0.3e1 * t810 * t1862 * t53751;
  t53770 = 0.4e1 * t49406;
  t53771 = 0.9e1 * t10255 * t3208 * t53744 - 0.4e2 * t13762 * t1571 * t53612 - 0.9e1 * t13916 * t34940 * t423 - 0.18e2 * t13830 * t53695 + t47120 - t47124 - 0.3e1 * t48691 + 0.6e1 * t48695 + t49400 + t50909 - t50910 + t53770;
  t53777 = 0.12e2 * t50936;
  t53783 = 0.6e1 * t49435;
  t53787 = 0.24e2 * t13818 * t423 * t53641 - 0.1e2 * t13830 * t1829 * t33025 - 0.6e1 * t3200 * t423 * t53653 + 0.8e1 * t20580 * t53720 - 0.6e1 * t20585 * t53162 - t49415 + t49420 + t49422 + t49424 + t50927 + t53777 - t53783;
  t53817 = -0.18e2 * t13830 * t53642 + 0.4e1 * t13916 * t53128 + 0.72e2 * t20859 * t423 * t53637 - 0.16e2 * t13818 * t423 * t33025 - 0.4e1 / 0.3e1 * t20868 * t10286 * t53637 - 0.2e1 * t3200 * t53004 + 0.4e1 / 0.3e1 * t20580 * t53723 + t13830 * t1837 * t53641 / 0.3e1 - t20868 * t17918 * t53637 / 0.9e1 + 0.2e1 * t3202 * t52901 + 0.2e1 * t4392 * t52905 + t53166;
  t53832 = t49465 + t49468 - t53179 - 0.1e2 * t3208 * t9916 * t53744 + 0.1e2 / 0.3e1 * t13792 * t9906 * t53612 + 0.8e1 * t3226 * t1505 * t53744 - t806 * t52922 - t263 * t52925 + t47155 - 0.4e1 / 0.3e1 * t48729 + t48731 / 0.18e2 + 0.2e1 * t48733;
  t53837 = 0.4e1 / 0.3e1 * t50977;
  t53838 = 0.24e2 * t50985;
  t53848 = 0.1e2 / 0.3e1 * t48735 - 0.3e1 * t48739 - t48742 - 0.4e1 * t48744 - t49486 + t53197 - t53837 - t53838 - 0.6e1 * t50989 - 0.2e1 * t810 * t1505 * t53751 - 0.2e1 * t806 * t400 * t53751 + 0.2e1 * t806 * t53138;
  t53877 = 0.3e1 * t263 * t53144 - 0.2e1 * t263 * t53132 + 0.4e1 / 0.3e1 * t810 * t53100 + 0.12e2 * t13775 * t145 * t53612 + 0.3e1 * t3221 * t400 * t53744 + 0.24e2 * t13772 * t396 * t53612 + t810 * t52971 + 0.5e2 / 0.3e1 * t13792 * t9911 * t53612 + 0.36e2 * t13762 * t1505 * t53612 - 0.12e2 * t13792 * t9916 * t53612 - 0.36e2 * t13772 * t405 * t53612 - t8006;
  t53890 = t50233 / 0.6e1;
  t53893 = -t13562 * t7354 / 0.2e1 - t53605 + t48298 / 0.4e1 + t48309 / 0.3e1 - t48312 / 0.2e1 - t48321 / 0.2e1 - t1140 * t20020 / 0.12e2 - t46787 - t22 * t59 * (t53623 + t53645 + t53657 + t53674 + t53694 + t53705 + t53712 + t53727 + t53739 + t53755 + t53771 + t53787 + t53817 + t53832 + t53848 + t53877) * t96 / 0.4e1 + t50220 - t49168 - t208 * t41235 / 0.12e2 + t5172 * t1126 / 0.4e1 - t53890 - t48333 / 0.12e2 - t48337 / 0.12e2;
  t53905 = t18442 * t1208;
  t53917 = t22 * t11286;
  t53922 = t21651 * t7071;
  t53928 = t2057 * t7308;
  t53933 = -t23037 * t1108 / 0.2e1 + t5172 * t1117 / 0.2e1 + 0.3e1 / 0.2e1 * t10978 * t42496 * t7220 - 0.3e1 / 0.2e1 * t22511 * t3935 * t2263 * t7303 + t894 * t302 * t53905 / 0.3e1 + 0.18e2 * t2251 * t13772 * t405 * t33192 + 0.6e1 * t2251 * t3226 * t1862 * t33119 - 0.28e2 * t53917 * t41698 - t21470 * t7068 / 0.2e1 + t2632 * t53922 / 0.6e1 + t22508 * t7305 + t233 * t51022 / 0.6e1 - 0.5e1 / 0.36e2 * t4800 * t53928 + t894 * t52568 / 0.6e1 - t50252 + t49526 - t49531;
  t53951 = 0.14e2 / 0.3e1 * t50307;
  t53952 = 0.2e1 * t50311;
  t53953 = 0.6e1 * t50316;
  t53962 = t302 * t53359;
  t53965 = -t610 * t8309 / 0.4e1 - t162 * t876 * t53252 / 0.4e1 - t233 * t37377 / 0.6e1 - 0.9e1 / 0.2e1 * t2251 * t3208 * t10255 * t33119 + t18604 * t7365 + t18604 * t7368 - 0.2e1 / 0.3e1 * t2168 * t42585 + t53951 + t53952 - t53953 + 0.3e1 / 0.2e1 * t1677 * t41654 * t1057 + t1677 * t41658 * t990 / 0.2e1 - t48344 / 0.2e1 + t48347 / 0.2e1 - t50329 + t666 * t53962 / 0.3e1;
  t53975 = t52661 / 0.6e1;
  t53976 = t50356 / 0.3e1;
  t53985 = t2036 * t8234;
  t53990 = -t50335 - 0.3e1 / 0.2e1 * t50343 - 0.3e1 * t10715 * t42403 - 0.6e1 * t18604 * t7491 - 0.2e1 * t18604 * t7363 + 0.14e2 / 0.3e1 * t10715 * t42397 + t53975 + t52672 - t50354 - t53976 - t2988 * t52705 / 0.3e1 - t3006 * t52708 / 0.3e1 - 0.3e1 / 0.2e1 * t2983 * t34917 + 0.3e1 / 0.2e1 * t11870 * t8395 + t3039 * t555 * t53985 + 0.3e1 / 0.2e1 * t610 * t8379 + t49558;
  t54007 = t19269 * t7304;
  t54010 = t50382 / 0.2e1;
  t54018 = -t18608 * t7475 + t13562 * t7289 + t2255 * t810 * t52847 / 0.2e1 + t48371 / 0.12e2 - t2251 * t806 * t52737 - 0.3e1 / 0.2e1 * t2251 * t263 * t52741 - t50374 + t2251 * t263 * t52746 + 0.2e1 / 0.3e1 * t2168 * t41775 - t2632 * t54007 / 0.6e1 - t47506 + t54010 - t48375 / 0.2e1 + t48377 / 0.2e1 - 0.2e1 * t4856 * t7511 - 0.2e1 / 0.3e1 * t1140 * t48144 - t48379 / 0.6e1;
  t54019 = t2057 * t7510;
  t54049 = 0.23e2 / 0.36e2 * t4800 * t54019 + t48381 / 0.2e1 + t4856 * t7507 + t48388 / 0.6e1 + t49568 + t49569 - t49574 - t48390 / 0.6e1 + 0.3e1 / 0.2e1 * t48403 - 0.8e1 * t2255 * t3226 * t1505 * t33025 - 0.9e1 / 0.2e1 * t4277 * t3208 * t9911 * t33025 - 0.9e1 / 0.2e1 * t2251 * t3208 * t10255 * t33025 + 0.3e1 / 0.2e1 * t4531 * t10775 * t53306 + 0.18e2 * t20380 * t33464 + 0.9e1 / 0.2e1 * t4531 * t35020 - 0.43e2 / 0.9e1 * t20344 * t17992 * t33193 - t913;
  t54063 = t50424 / 0.6e1;
  t54084 = t984 - t48408 / 0.6e1 - 0.3e1 * t854 * t7239 - t854 * t7039 + 0.3e1 * t2897 * t7057 + t2897 * t7060 + 0.3e1 / 0.2e1 * t610 * t8224 - t54063 + 0.3e1 * t1972 * t8229 + t3039 * t548 * t53985 / 0.2e1 - t866 * t548 * t53905 / 0.6e1 - 0.5e1 / 0.36e2 * t2983 * t2057 * t53985 - t866 * t555 * t53905 / 0.3e1 - t1140 * t20408 / 0.12e2 - t259 * t34798 / 0.12e2 + t36761 * t248 / 0.2e1;
  t54097 = t50451 / 0.2e1;
  t54098 = t50457 / 0.6e1;
  t54099 = t2169 * t7304;
  t54110 = -t4701 * t1194 / 0.2e1 + t49589 + t49592 - t49594 - 0.61e2 / 0.27e2 * t20344 * t18027 * t53377 - 0.23e2 / 0.12e2 * t4531 * t10733 * t33120 + 0.3e1 * t48427 + 0.7e1 / 0.3e1 * t48437 - t3015 * t52539 / 0.3e1 + t48440 + t54097 - t54098 - t22511 * t54099 / 0.2e1 + 0.7e1 / 0.3e1 * t22511 * t21568 + 0.3e1 * t18604 * t7299 + 0.3e1 * t33231 * t7483 - 0.6e1 * t19135 * t7487;
  t54123 = t50467 + t6972 - t6973 - t6974 + t6975 - t6585 - 0.3e1 / 0.2e1 * t48442 + 0.3e1 / 0.2e1 * t48448 - t50487 + t47516 + t50490 - t5172 * t1111 / 0.2e1 - t50500 - t5172 * t1114 / 0.4e1 + t546 * t41900 / 0.3e1 + 0.23e2 / 0.36e2 * t2983 * t2057 * t33659;
  t54131 = t3931 * t7304;
  t54138 = t50516 / 0.6e1;
  t54148 = -t47529 + t47531 - 0.2e1 * t3039 * t33667 - 0.11e2 / 0.18e2 * t2983 * t2233 * t53985 - t46829 - t46833 + t23145 * t48365 / 0.3e1 - 0.11e2 / 0.18e2 * t22511 * t54131 - 0.2e1 * t22508 * t7472 - 0.2e1 / 0.3e1 * t23145 * t48369 - t49619 - t54138 - t610 * t8251 / 0.2e1 + t1135 * t4729 / 0.6e1 + t610 * t8219 / 0.2e1 - t3908 * t1266 - t3908 * t1269 / 0.2e1;
  t54157 = t49625 / 0.2e1;
  t54158 = 0.3e1 / 0.2e1 * t49629;
  t54159 = t49635 / 0.3e1;
  t54163 = t49644 / 0.4e1;
  t54173 = 0.6e1 * t50566;
  t54174 = -t50521 + t50524 + 0.3e1 / 0.2e1 * t48462 - t48466 / 0.6e1 + 0.9e1 * t2255 * t3208 * t9916 * t33025 + t54157 - t54158 - t54159 - 0.3e1 * t1677 * t41170 * t1065 + t54163 + t2683 * t50363 / 0.6e1 + t259 * t53275 / 0.12e2 - t259 * t52471 / 0.6e1 - t3299 * t302 * t53985 / 0.2e1 + t54173 + t50568;
  t54175 = 0.4e1 * t50578;
  t54176 = t50588 / 0.3e1;
  t54194 = -t54175 + t8017 - t8018 + t6756 + t49659 + t50580 + t50582 - t54176 - t4531 * t19277 * t7281 - 0.18e2 * t2255 * t13792 * t9911 * t33192 + 0.18e2 * t4277 * t13792 * t9906 * t33192 + 0.3e1 / 0.2e1 * t50593 - 0.7e1 * t10715 * t41388 - t24478 * t1053 + t5658 * t1066 - t866 * t52573 / 0.12e2 + t7097;
  t54196 = t15953 * t8357;
  t54198 = t10925 * t8356;
  t54202 = t50608 / 0.6e1;
  t54214 = 0.3e1 / 0.2e1 * t49717;
  t54224 = t7098 + t54196 / 0.12e2 + t2683 * t54198 / 0.12e2 - t3015 * t34750 - t54202 + t50615 + t50616 / 0.4e1 + t4538 * t1684 * t53306 - 0.3e1 / 0.2e1 * t3015 * t11150 * t53310 + 0.11e2 / 0.6e1 * t4531 * t10936 * t53306 - t50620 + t2265 * t41174 * t6313 + t54214 - t48484 / 0.2e1 - t48495 / 0.12e2 + 0.8e1 * t2251 * t3226 * t1862 * t33025 - t1677 * t5551 * t33062 / 0.2e1;
  t54251 = t3935 * t7471;
  t54254 = t2265 * t5551 * t33031 / 0.2e1 - t47625 - 0.3e1 * t610 * t8375 + t1140 * t19655 / 0.3e1 + t50638 - t2983 * t2324 * t53985 / 0.2e1 + 0.7e1 / 0.3e1 * t2983 * t33660 + t47653 - t48501 - t3006 * t52550 / 0.3e1 + t3015 * t15640 * t8260 / 0.2e1 - 0.3e1 * t48510 + t3015 * t2294 * t53338 / 0.2e1 - t3015 * t33776 - 0.5e1 / 0.36e2 * t48515 + 0.2e1 / 0.3e1 * t3015 * t18921 * t7285 + 0.23e2 / 0.36e2 * t22511 * t54251;
  t54282 = t169 * t8355 * t205;
  t54283 = t1684 * t54282;
  t54288 = t3624 * t169 * t8355 * t929;
  t54293 = 0.2e1 / 0.3e1 * t50662;
  t54297 = 0.5e1 / 0.18e2 * t50668;
  t54298 = 0.3e1 * t2265 * t41170 * t1052 + t2251 * t810 * t52535 - 0.18e2 * t2255 * t13772 * t396 * t33192 + t3015 * t52613 / 0.6e1 + t3015 * t52608 / 0.3e1 + 0.36e2 * t2255 * t13762 * t1571 * t33192 + 0.9e1 * t2255 * t3208 * t9916 * t33119 - 0.62e2 / 0.3e1 * t53488 * t41705 - t2674 * t54283 / 0.6e1 - t2683 * t54288 / 0.6e1 - t4984 * t7309 / 0.2e1 + t54293 - t50664 - t1135 * t6855 / 0.6e1 - t48545 / 0.12e2 - t54297;
  t54307 = t6641 - t6646 + 0.9e1 / 0.2e1 * t2251 * t810 * t10245 * t34940 + t6799 - t6802 - t6808 - t6811 + t6815 + t49769 + t49771 + t48552 / 0.2e1 + t48554 / 0.6e1 - t51004 + 0.3e1 * t18604 * t7318 + t51006 + t51007 + t49787;
  t54328 = t51008 + t1140 * t48598 / 0.6e1 - t5658 * t1058 + t47767 + t51027 - 0.8e1 / 0.3e1 * t4571 * t2294 * t53306 - 0.3e1 * t21350 * t2175 * t53377 - t4571 * t2169 * t53381 + 0.5e1 / 0.3e1 * t20380 * t3935 * t53377 + t6860 - t6864 - t6866 + 0.3e1 / 0.2e1 * t854 * t7198 + t3908 * t1283 / 0.2e1 + t48588 / 0.12e2 + t51038;
  t54329 = t911 * t8289;
  t54332 = t490 * t19672 * t1148;
  t54336 = t490 * t2961 * t7016;
  t54341 = t854 * t7043;
  t54364 = 0.3e1 * t51070;
  t54365 = 0.3e1 * t51079;
  t54370 = t54329 / 0.12e2 + t233 * t54332 / 0.12e2 + t233 * t54336 / 0.12e2 - t4701 * t1199 / 0.4e1 - t54341 / 0.4e1 - t854 * t7048 / 0.4e1 + 0.3e1 * t3015 * t34942 - 0.23e2 / 0.12e2 * t4531 * t10733 * t33057 + 0.16e2 / 0.3e1 * t4571 * t2169 * t33057 + 0.3e1 / 0.2e1 * t1677 * t42496 * t7197 - t1677 * t41174 * t6187 - 0.23e2 / 0.3e1 * t20380 * t3935 * t33572 + 0.11e2 / 0.6e1 * t4531 * t10936 * t53381 - t54364 + t54365 - t208 * t42650 / 0.12e2 + t42655 * t223 / 0.4e1;
  t54385 = t2294 * t54282;
  t54388 = t34803 * t274 / 0.4e1 - t21291 * t1190 / 0.2e1 + t4701 * t1202 / 0.2e1 - t1140 * t21282 / 0.6e1 + t1140 * t21286 / 0.3e1 + t1135 * t4744 / 0.6e1 + t7231 - t7232 - t49844 - t49848 - t7233 - t7235 + t2632 * t54385 / 0.6e1 - t7236 + t7237 - t7238;
  t54395 = t2169 * t54282;
  t54414 = t259 * t53270 / 0.12e2 - t49873 - t49875 + t49877 + 0.2e1 / 0.3e1 * t2988 * t3624 * t53310 + t48617 / 0.4e1 + t2632 * t54395 / 0.12e2 - 0.4e1 * t4571 * t35036 - 0.4e1 / 0.3e1 * t3015 * t33731 + 0.23e2 / 0.18e2 * t4531 * t33250 * t7379 + t2251 * t806 * t400 * t34748 - 0.6e1 * t2255 * t3226 * t1505 * t33119 - t51126 - t51127 + t51128 + 0.9e1 / 0.2e1 * t4531 * t33027 - t51139;
  t54416 = 0.11e2 / 0.9e1 * t51154;
  t54417 = 0.23e2 / 0.18e2 * t51157;
  t54438 = -0.18e2 * t13762 * t1505 * t2251 * t33192 + 0.6e1 * t13792 * t2251 * t33192 * t9916 - 0.2e1 * t1868 * t2251 * t34940 * t806 - 0.3e1 * t2251 * t3221 * t33025 * t400 - 0.2e1 * t10936 * t20344 * t53377 + t1274 * t3908 + t49921 - t51140 - t51145 - t54416 + t54417 + t6946 - t6951 + t7265 - t7266 - t7267 + t7268;
  t54444 = 0.2e1 / 0.3e1 * t51180;
  t54456 = t51191 / 0.3e1;
  t54457 = 0.2e1 / 0.3e1 * t866 * t33541 - t18401 * t1261 - t866 * t52782 / 0.6e1 + t51176 + t54444 + t259 * t49150 / 0.12e2 - t5658 * t1061 / 0.2e1 + 0.2e1 / 0.3e1 * t546 * t41896 - t53250 - 0.7e1 * t4531 * t33121 + 0.89e2 / 0.9e1 * t20344 * t18027 * t33572 + t54456 - t51195 + t47272 - t47274 + t47275 - t51197;
  t54463 = my_piecewise3(t3, 0, t54457 + t54438 + t54414 + t54388 + t54370 + t54328 + t54307 + t54298 + t54254 + t54224 + t54194 + t54174 + t54148 + t54123 + t54110 + t54084 + t54049 + t54018 + t53965 + t53933 + t53893 + t53601 + t53563 + t53526 + t53492 + t53451 + t53431 + t53410 + t53370 + t53352 + t53319 + t53990);
  tv4sigmalapl2tau0 = 0.2e1 * rho[0] * t54463;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 0] += tv4sigmalapl2tau0;

  t54486 = t8444 * t205;
  t54487 = t96 * t54486;
  t54491 = t8635 * t205;
  t54492 = t96 * t54491;
  t54500 = t911 * t8447;
  t54502 = t47307 / 0.2e1 + t53289 + t719 * t7894 / 0.2e1 + 0.3e1 / 0.2e1 * t719 * t7891 - t162 * t5894 * t52590 - t610 * t8500 + t51227 + 0.3e1 * t1972 * t8468 + 0.3e1 / 0.2e1 * t610 * t8459 - t51252 - 0.23e2 / 0.12e2 * t26203 * t10733 * t7332 + 0.44e2 / 0.27e2 * t37617 * t17992 * t7379 + t3015 * t19277 * t7651 / 0.12e2 - t2988 * t1684 * t54487 / 0.6e1 + t4538 * t1684 * t54492 / 0.2e1 - t51263 - 0.3e1 * t1972 * t8519 + 0.3e1 / 0.2e1 * t11870 * t8514 + t54500 / 0.12e2;
  t54533 = 0.12e2 * t26036 * t35442 + 0.4e1 * t5758 * t35430 - 0.8e1 * t26016 * t35359 - 0.8e1 / 0.3e1 * t5761 * t36483 + 0.16e2 / 0.9e1 * t26020 * t35718 + 0.4e1 * t5758 * t34911 + 0.4e1 * t5764 * t34946 - 0.4e1 / 0.3e1 * t5761 * t33031 - 0.8e1 * t5761 * t35394 + 0.12e2 * t26020 * t35179 - 0.4e1 * t5761 * t33062 + 0.32e2 / 0.3e1 * t26020 * t35713 - 0.24e2 * t26016 * t36206;
  t54542 = t51558 - t51568 + t51570 + 0.2e1 * t265 * t7047 - t51581 + t51588 + t51599 + 0.24e2 * t7491 + 0.4e1 * t7295 - 0.12e2 * t7299 + 0.4e1 / 0.3e1 * t7487 - 0.4e1 * t7327 - 0.4e1 / 0.3e1 * t7330;
  t54545 = 0.2e2 / 0.9e1 * t7483 - t48843 + t48847 - t6237 + t53037 - t53057 + t53067 - t48865 + t48867 + t48876 + t48882 + t53077 + t53078;
  t54554 = -t53079 - t53080 + t6225 - 0.2e1 * t5764 * t7047 - 0.12e2 * t7318 - 0.4e1 * t7322 - 0.4e1 * t7365 - 0.4e1 * t7368 + 0.8e1 * t7363 - 0.2e1 / 0.3e1 * t7292 + t53085 - t53086 + t53087;
  t54556 = t54533 + t54542 + t54545 + t54554;
  t54573 = t7638 * t230;
  t54574 = t96 * t54573;
  t54578 = t15665 * t8707;
  t54598 = t259 * t490 * t2036 * t8445 / 0.12e2 + t259 * t490 * t303 * t95 * t54556 / 0.12e2 + t51265 + t5701 * t7547 / 0.2e1 - t51277 - t1677 * t6175 * t7047 / 0.2e1 - t3015 * t17367 * t8660 / 0.6e1 + t3015 * t15640 * t8685 / 0.6e1 + t3015 * t2294 * t54574 / 0.6e1 - t54578 / 0.3e1 - t3015 * t17371 * t8706 / 0.3e1 + 0.9e1 * t2255 * t5730 * t9916 * t3949 + t47314 - t49992 - t48103 + t49994 - t48106 + 0.11e2 / 0.18e2 * t4531 * t10936 * t54492 - 0.23e2 / 0.36e2 * t4531 * t10733 * t500 * t54491 - 0.3e1 / 0.2e1 * t4277 * t3208 * t9911 * t54491;
  t54615 = t8640 * t205;
  t54616 = t96 * t54615;
  t54620 = t8635 * t929;
  t54632 = t162 * t3690 * t8496;
  t54639 = 0.3e1 * t2255 * t3208 * t9916 * t54491 - 0.3e1 / 0.2e1 * t2251 * t3208 * t10255 * t54491 + t4531 * t10775 * t54492 / 0.2e1 + t3015 * t54385 / 0.3e1 - t4571 * t2294 * t54492 - t3015 * t11150 * t54616 / 0.3e1 - 0.3e1 / 0.2e1 * t2255 * t810 * t10255 * t54620 + t48113 + t49996 - 0.5e1 * t2255 * t5733 * t33970 - t51284 / 0.3e1 - t51296 - t51299 / 0.2e1 - t51306 + t51309 / 0.6e1 - t54632 / 0.4e1 - t26103 * t7286 + 0.5e1 / 0.3e1 * t37569 * t7345 + 0.18e2 * t37569 * t7479;
  t54643 = t15665 * t8703;
  t54656 = 0.9e1 / 0.2e1 * t26203 * t18012 + t26203 * t52448 + t54643 / 0.6e1 + t47320 / 0.6e1 - t47339 / 0.12e2 - t47341 / 0.2e1 - t47347 / 0.2e1 - t719 * t7889 - t50007 - t48140 - t48146 + t50009 - t50010 - t21291 * t1261 + t4701 * t1274 - 0.3e1 * t2509 * t7868 + 0.7e1 / 0.3e1 * t2055 * t43426 - t50034 + t50035 + t50036;
  t54683 = -t1297 * t18392 / 0.6e1 - t1297 * t19572 / 0.12e2 + t1292 * t3903 / 0.6e1 - t208 * t44270 / 0.12e2 + t44265 * t223 / 0.4e1 - 0.18e2 * t2255 * t27195 * t35453 - t51334 - t51340 / 0.6e1 + t51355 / 0.12e2 + 0.2e1 * t21686 * t7330 - t51366 - t51369 / 0.6e1 + t51385 / 0.12e2 + t51387 / 0.12e2 - t51403 + t48947 / 0.12e2 + t47373 / 0.6e1 + t51407 - 0.2e1 * t2082 * t42976;
  t54700 = t2255 * t3780 * t44791;
  t54726 = t3908 * t1356 / 0.2e1 + t46593 - 0.14e2 / 0.3e1 * t10715 * t43363 + 0.5e1 * t2251 * t5733 * t7067 + 0.3e1 * t2251 * t1323 * t52518 + t3015 * t2169 * t54574 / 0.12e2 + t17046 * t8696 / 0.2e1 + t54700 / 0.2e1 + t2255 * t810 * t1505 * t54573 / 0.2e1 - 0.3e1 / 0.2e1 * t2251 * t5744 * t7079 - t2251 * t1319 * t7084 + 0.1e2 / 0.3e1 * t10953 * t43298 + 0.2e1 / 0.3e1 * t2632 * t21213 * t7471 - t21519 * t7475 + t5701 * t7206 - t1292 * t7030 / 0.6e1 - t1292 * t7018 / 0.6e1 + 0.23e2 / 0.36e2 * t5687 * t52601 - t4701 * t1269 / 0.2e1 + t53445;
  t54747 = -t47401 / 0.2e1 - 0.2e1 * t47407 - t49074 / 0.2e1 + t49076 / 0.2e1 - t51462 + 0.23e2 / 0.36e2 * t5687 * t2057 * t7529 - 0.11e2 / 0.18e2 * t5687 * t2233 * t7543 - 0.2e1 * t5701 * t7530 - t51468 + t5701 * t7544 - t50092 - t50094 - t48240 - t50095 + t50096 + 0.22e2 / 0.3e1 * t37569 * t7494 - 0.2e1 * t26103 * t7336 - 0.6e1 * t39033 * t7383 - t53491 - t53493;
  t54754 = t169 * t36215;
  t54778 = 0.3e1 / 0.2e1 * t2251 * t810 * t10245 * t54620 - 0.7e1 / 0.3e1 * t10715 * t43886 + 0.2e1 / 0.3e1 * t3015 * t2294 * t54754 + t3015 * t10775 * t500 * t54620 + t47415 / 0.6e1 + t53501 + t53505 + t50144 + t51480 + 0.6e1 * t2251 * t5733 * t7362 + 0.18e2 * t2251 * t27195 * t7490 + 0.3e1 * t10715 * t43653 - t47428 / 0.2e1 - t51494 + t51498 + t53557 + 0.2e1 / 0.3e1 * t50184 + t5701 * t6996 / 0.2e1 - 0.2e1 / 0.3e1 * t1297 * t47376 + t719 * t7777 / 0.4e1;
  t54795 = t7638 * t1147;
  t54800 = t1304 * t7015;
  t54805 = t15665 * t8693;
  t54813 = t2251 * t3775 * t8636;
  t54820 = -t208 * t42923 / 0.12e2 - t5694 * t7550 / 0.2e1 - t10930 * t8645 - t10930 * t8672 / 0.2e1 + 0.11e2 / 0.9e1 * t26203 * t53223 - 0.5e1 / 0.3e1 * t26103 * t7072 - t26105 * t53220 - 0.3e1 * t47441 + t51513 - t51524 - t3006 * t3624 * t96 * t54795 / 0.6e1 - t3006 * t3624 * t96 * t54800 / 0.6e1 + t54805 / 0.12e2 + t3015 * t17371 * t8685 / 0.12e2 + t17049 * t8637 / 0.2e1 + t54813 / 0.2e1 - 0.5e1 / 0.36e2 * t5687 * t2057 * t7543 - t259 * t37377 / 0.6e1 + t51531;
  t54826 = t8640 * t929;
  t54836 = t53584 / 0.2e1;
  t54842 = t719 * t7782;
  t54852 = t4701 * t1283 / 0.2e1 - t51533 - t2251 * t806 * t1868 * t54615 - 0.3e1 / 0.2e1 * t2251 * t263 * t10240 * t54826 + 0.2e1 * t10953 * t44210 - t2251 * t806 * t1868 * t54620 - t54836 - 0.3e1 * t2255 * t1323 * t52525 - t53605 - t719 * t7787 / 0.4e1 - t54842 / 0.4e1 + t50197 - t233 * t38557 / 0.6e1 + t50198 - t3908 * t1365 / 0.4e1 - 0.3e1 * t610 * t8538 + t51609 + t1297 * t47641 / 0.6e1 + t51615 - t51624;
  t54880 = t169 * t35417;
  t54885 = -t48312 - t48321 - t46787 - 0.3e1 / 0.2e1 * t2251 * t3221 * t400 * t54491 + 0.3e1 / 0.2e1 * t47451 - t53890 - t50237 - t50238 + t1297 * t52595 / 0.3e1 + t1297 * t47637 / 0.3e1 - 0.5e1 / 0.36e2 * t5687 * t52564 + 0.2e1 / 0.3e1 * t866 * t35787 - 0.3e1 / 0.2e1 * t5687 * t2057 * t1970 * t1208 + t610 * t8463 / 0.2e1 + t162 * t5882 * t7047 / 0.2e1 - t2988 * t54283 / 0.3e1 - t3006 * t54288 / 0.3e1 - t4531 * t2169 * t54880 + 0.14e2 / 0.3e1 * t4531 * t35419;
  t54893 = t96 * t54620;
  t54922 = t8444 * t929;
  t54937 = -0.3e1 * t4531 * t3935 * t2263 * t35417 + 0.3e1 * t10978 * t26982 * t35718 + t2988 * t3624 * t54893 / 0.3e1 - t4571 * t2169 * t54492 / 0.2e1 - t51658 - t1677 * t5967 * t33062 - 0.11e2 / 0.9e1 * t4531 * t3931 * t54880 + 0.23e2 / 0.18e2 * t4531 * t3935 * t35418 + 0.2e1 * t4571 * t2182 * t54880 - 0.5e1 / 0.18e2 * t4531 * t3935 * t54880 - t50252 - 0.2e1 / 0.3e1 * t2168 * t43825 + t1677 * t6172 * t34911 + t1677 * t6175 * t34946 - t4538 * t2162 * t54880 - t3006 * t3624 * t96 * t54922 / 0.6e1 + t3015 * t53922 / 0.3e1 + t3015 * t18921 * t7651 / 0.6e1 + t3015 * t53432 / 0.6e1 - t2988 * t12291 * t7651 / 0.6e1;
  t54949 = t26615 * t1000;
  t54950 = t302 * t54949;
  t54976 = -t3006 * t30026 * t7656 / 0.6e1 + t671 * t548 * t6134 * t1000 / 0.3e1 + t233 * t51376 / 0.12e2 + t666 * t54950 / 0.6e1 - 0.3e1 / 0.2e1 * t2055 * t43335 + t2509 * t7902 - t5658 * t1114 / 0.2e1 + 0.2e1 / 0.3e1 * t546 * t43669 - t5658 * t1111 + t10930 * t8670 + t4571 * t21213 * t7281 + t3015 * t21610 * t7285 / 0.3e1 - 0.5e1 / 0.18e2 * t4531 * t35122 * t7281 - t208 * t42917 / 0.6e1 + t5658 * t1126 / 0.2e1 + t53951 + t53952 - t53953 + t3006 * t53476 / 0.6e1;
  t54977 = t15956 * t8686;
  t54988 = t2251 * t942 * t8641;
  t55008 = t548 * t54949;
  t55014 = -t54977 / 0.6e1 - t2988 * t10925 * t8685 / 0.6e1 - t2988 * t1684 * t54574 / 0.6e1 + t17049 * t8642 / 0.2e1 + t54988 / 0.2e1 + t2251 * t263 * t1868 * t54795 / 0.2e1 + t2251 * t263 * t1868 * t54800 / 0.2e1 - 0.6e1 * t21686 * t7487 + 0.3e1 * t21470 * t7299 - 0.6e1 * t19499 * t27225 * t9945 * t7280 + t3015 * t54395 / 0.6e1 - t48344 + t48347 - t50329 - t671 * t55008 / 0.12e2 + t610 * t8488 / 0.4e1 + t51687 + t51692 - t51695 - t51702 / 0.4e1;
  t55045 = t2251 * t3780 * t8699;
  t55047 = -t50335 - 0.2e1 * t50343 + t51713 - t51718 + t1972 * t8471 - t51721 / 0.4e1 + t509 * t5894 * t53236 - 0.4e1 / 0.3e1 * t50354 - t53976 - 0.6e1 * t2251 * t27200 * t7317 - 0.3e1 / 0.2e1 * t2251 * t5744 * t7321 + t3015 * t2294 * t54487 / 0.6e1 + 0.3e1 / 0.2e1 * t26203 * t10775 * t7285 - t18604 * t7669 / 0.2e1 + t48372 - t50374 - 0.38e2 / 0.9e1 * t37617 * t10733 * t7281 + 0.89e2 / 0.9e1 * t37617 * t18027 * t7379 - t17049 * t8700 / 0.2e1 - t55045 / 0.2e1;
  t55073 = -t2251 * t810 * t1862 * t54573 / 0.2e1 - t15274 * t7351 - t15274 * t7354 / 0.2e1 - 0.5e1 / 0.6e1 * t26103 * t7094 - t26105 * t52802 / 0.2e1 + 0.5e1 / 0.18e2 * t26203 * t52805 - 0.2e1 * t37617 * t10936 * t7281 - t47506 / 0.2e1 + t54010 - t48375 + t48377 - t50386 + t48381 + t50387 - t162 * t876 * t320 * t137 * t54556 / 0.4e1 - t610 * t8497 / 0.4e1 - t50388 + t50389 + t51766 / 0.2e1 + t51773;
  t55106 = -t913 + t984 - 0.61e2 / 0.27e2 * t37617 * t18027 * t7281 + 0.6e1 * t21686 * t7327 + t2251 * t806 * t400 * t54486 / 0.2e1 - t50411 + t51803 - t54063 + t49589 / 0.2e1 + t49592 / 0.2e1 - t49593 / 0.3e1 + t259 * t54332 / 0.6e1 + t1297 * t52598 / 0.3e1 + t259 * t54336 / 0.6e1 - 0.11e2 / 0.18e2 * t5687 * t52785 - t5687 * t52496 / 0.2e1 - t26906 * t1053 / 0.2e1 + t6136 * t1066 / 0.2e1 - t866 * t53407 / 0.3e1;
  t55124 = t21213 * t7304;
  t55129 = t21164 * t7304;
  t55138 = t21337 * t7304;
  t55144 = -0.28e2 * t53917 * t43531 - 0.9e1 / 0.2e1 * t2251 * t5730 * t10255 * t3949 + 0.47e2 / 0.3e1 * t53488 * t43713 + 0.2e1 * t4571 * t21337 * t7281 + 0.2e1 / 0.3e1 * t3015 * t21651 * t7285 + 0.3e1 * t21470 * t7318 + t21470 * t7322 - t2632 * t55124 / 0.6e1 - 0.2e1 / 0.3e1 * t2168 * t44736 + t2674 * t55129 / 0.3e1 + t2683 * t51208 / 0.6e1 + t2988 * t17526 * t8660 / 0.3e1 - t51807 + t50437 + t50443 + t50444 + t51838 / 0.2e1 - t2632 * t55138 / 0.3e1 - t854 * t7582 / 0.2e1 - t4701 * t1266;
  t55154 = t19672 * t1208;
  t55196 = t894 * t53962 / 0.3e1 + t259 * t51022 / 0.6e1 - t6136 * t1061 / 0.4e1 - t6136 * t1058 / 0.2e1 + t894 * t302 * t55154 / 0.3e1 + t2255 * t810 * t1505 * t54486 / 0.2e1 - t2251 * t810 * t1862 * t54486 / 0.2e1 + 0.6e1 * t2255 * t5730 * t52764 - 0.3e1 * t2251 * t5730 * t53227 + 0.2e1 / 0.3e1 * t3015 * t36007 - t17053 * t8668 - t3015 * t2169 * t500 * t54573 / 0.3e1 - t3015 * t15615 * t8660 / 0.3e1 - t4531 * t21610 * t7281 + 0.14e2 / 0.3e1 * t4531 * t35287 * t7379 - 0.3e1 * t4531 * t35122 * t7478 - 0.62e2 / 0.3e1 * t37617 * t18028 + 0.8e1 * t37617 * t17994 + 0.3e1 * t35295 * t7483;
  t55225 = t2251 * t263 * t1868 * t54922 / 0.2e1 - t2168 * t44732 / 0.3e1 - t2988 * t53521 / 0.3e1 - t3006 * t53428 / 0.3e1 - t4538 * t21164 * t7281 - t2988 * t14332 * t7285 / 0.3e1 - 0.3e1 * t39033 * t7282 + t54097 - t54098 + t1297 * t18396 / 0.3e1 - t259 * t36756 / 0.6e1 + t39414 * t248 / 0.4e1 - t233 * t39409 / 0.12e2 - t18401 * t1352 / 0.2e1 + t7617 + 0.7e1 / 0.3e1 * t47510 + t6548 - t6556 - t6562 + t6577;
  t55231 = t1386 * t205;
  t55232 = t169 * t55231;
  t55233 = t2182 * t55232;
  t55256 = -t6586 - t50469 + t50471 - 0.6e1 * t2255 * t5733 * t3950 - t2632 * t55233 / 0.6e1 + t2632 * t2175 * t1675 * t55231 / 0.3e1 - t2265 * t43280 * t1052 / 0.2e1 + t1677 * t43280 * t1065 / 0.2e1 + t19135 * t7665 / 0.2e1 - 0.5e1 / 0.36e2 * t47513 + t47516 / 0.2e1 + t50490 - t47522 / 0.6e1 - t47529 / 0.2e1 + t47531 / 0.2e1 - t46829 - t46833 + 0.3e1 / 0.2e1 * t719 * t7828 - t24478 * t1108;
  t55260 = t555 * t54949;
  t55277 = t5658 * t1117 - t54138 + 0.3e1 / 0.2e1 * t13061 * t7865 - t671 * t55260 / 0.6e1 - 0.2e1 / 0.3e1 * t47554 - t22 * t7467 * t288 / 0.2e1 + t50524 + t50536 - t50537 - 0.4e1 / 0.3e1 * t3015 * t36217 - t3015 * t54007 / 0.6e1 + t2988 * t53597 / 0.3e1 + t3006 * t50363 / 0.6e1 + t54173 + 0.3e1 * t47558 - t54175 + t7027 - t7045 + t7649 + t49658 / 0.12e2;
  t55280 = t911 * t8425;
  t55295 = t54196 / 0.6e1;
  t55309 = t47584 / 0.3e1 + t50582 - t54176 + t55280 / 0.12e2 - t51880 + t259 * t490 * t18442 * t1305 / 0.12e2 + t259 * t490 * t2571 * t7639 / 0.12e2 + 0.3e1 * t2509 * t7899 - 0.3e1 * t719 * t7801 + 0.2e1 * t50593 + t7097 + t7098 + t55295 - t54202 - 0.7e1 * t26203 * t18053 + t3015 * t2169 * t54487 / 0.12e2 + t1297 * t53263 / 0.6e1 + t1297 * t53266 / 0.6e1 - t5694 * t6991 / 0.2e1 - t1292 * t6541 / 0.6e1;
  t55326 = t47611 / 0.4e1 + t50616 / 0.3e1 - 0.11e2 / 0.18e2 * t47622 - t48484 - t50627 - t47624 / 0.4e1 + 0.18e2 * t4277 * t27225 * t9906 * t7280 + 0.6e1 * t37569 * t7375 + t47640 / 0.3e1 + t47652 / 0.12e2 - t50645 - t50646 - t50651 + t51918 / 0.2e1 + t51925 + t51940 - t3015 * t53367 / 0.3e1 + t15274 * t7289 - t7784 + t54293;
  t55378 = -t50664 - t22 * t1043 * t1387 / 0.4e1 - t50666 - t2988 * t1684 * t54754 / 0.3e1 - 0.3e1 * t2255 * t3226 * t1505 * t54491 + 0.3e1 * t2251 * t3226 * t1862 * t54491 - t2255 * t810 * t10255 * t54615 + t2251 * t810 * t10245 * t54615 + 0.6e1 * t2265 * t27520 * t35359 - 0.6e1 * t1677 * t27520 * t36206 + t2265 * t5967 * t33031 - 0.4e1 * t10953 * t43898 + 0.3e1 * t1677 * t26383 * t35442 + t1677 * t6172 * t35430 + 0.2e1 / 0.3e1 * t2168 * t44016 + 0.3e1 / 0.2e1 * t10715 * t43792 - t3015 * t11150 * t54893 / 0.2e1 - 0.6e1 * t2265 * t26982 * t35713 + 0.3e1 * t1677 * t26982 * t35179;
  t55398 = -t54297 + t6642 - t6647 + t51949 - t51960 - t233 * t37784 / 0.12e2 + t6798 - t7804 - t6807 - t6810 + t7805 + t2251 * t806 * t400 * t54573 / 0.2e1 - t13562 * t7817 - t13562 * t7814 / 0.2e1 + 0.2e1 / 0.3e1 * t2168 * t43467 - 0.9e1 / 0.2e1 * t4277 * t5730 * t9911 * t3949 + t48552 + t50692 + t26285 * t7089 / 0.3e1 + t26300 * t7269 / 0.2e1;
  t55430 = t2162 * t55232;
  t55433 = -t47708 / 0.6e1 + t36761 * t274 / 0.2e1 + t3908 * t1368 / 0.2e1 - t3908 * t1360 / 0.2e1 + 0.23e2 / 0.36e2 * t47717 + t47725 / 0.3e1 + t49786 / 0.6e1 + t47736 - t3015 * t10775 * t54893 / 0.4e1 + 0.5e1 / 0.36e2 * t4531 * t10733 * t54492 + t2988 * t3624 * t54616 / 0.3e1 + t3006 * t15648 * t96 * t54826 / 0.2e1 - t3015 * t10775 * t54616 / 0.6e1 + t47767 / 0.2e1 + 0.3e1 / 0.2e1 * t47771 - t51984 + t21470 * t7365 + t21470 * t7368 + t2674 * t55430 / 0.6e1;
  t55436 = t2175 * t55232;
  t55466 = t2683 * t51848 / 0.12e2 - t2632 * t55436 / 0.12e2 + 0.23e2 / 0.18e2 * t4531 * t35122 * t7379 - 0.4e1 / 0.3e1 * t3015 * t21610 * t7332 - 0.4e1 * t4571 * t21213 * t7379 - 0.11e2 / 0.9e1 * t4531 * t35287 * t7281 - 0.18e2 * t4277 * t27204 * t35604 + t7831 - t7832 - t7833 - 0.43e2 / 0.9e1 * t37617 * t17992 * t7478 - t21470 * t7295 + t21686 * t7292 - 0.3e1 * t4277 * t5730 * t52773 - t18608 * t7792 + t13562 * t7663 + t52012 + t52020 + t52022 + 0.7e1 / 0.3e1 * t5687 * t19408;
  t55472 = t54329 / 0.6e1;
  t55473 = t54341 / 0.2e1;
  t55494 = -t52024 - t5687 * t2324 * t7543 / 0.2e1 + t48589 + t51038 + t55472 - t55473 - t54364 + t54365 - 0.2e1 * t21470 * t7363 - 0.6e1 * t21470 * t7491 + t18604 * t7811 / 0.2e1 - t2168 * t43561 / 0.3e1 + t18604 * t7807 / 0.2e1 - t1677 * t43925 * t1057 / 0.2e1 - t1677 * t43701 * t990 / 0.4e1 + 0.2e1 * t2265 * t5967 * t36483 + t7231 - t7232 - t49843 / 0.4e1;
  t55519 = -t49847 / 0.4e1 - t7233 - t7235 - t7236 + t7237 - t7238 + t52061 + 0.11e2 / 0.6e1 * t26203 * t10936 * t7285 + t3006 * t54198 / 0.6e1 - t49872 / 0.6e1 - t49874 / 0.6e1 + t49876 / 0.12e2 + 0.3e1 / 0.2e1 * t610 * t8542 - t866 * t555 * t55154 / 0.3e1 - 0.2e1 / 0.3e1 * t1297 * t52582 - 0.2e1 / 0.3e1 * t1297 * t52585 - t866 * t548 * t55154 / 0.6e1 - t866 * t53360 / 0.6e1 + t51117 - 0.3e1 / 0.2e1 * t47797;
  t55532 = t16722 * t8599;
  t55542 = t410 * t54491;
  t55545 = t28923 * t8596;
  t55547 = t38701 * t230;
  t55551 = t16739 * t8602;
  t55567 = t55532 / 0.3e1 + 0.2e1 * t4392 * t149 * t38701 * t1147 + 0.2e1 * t4392 * t149 * t5836 * t7015 + 0.4e1 * t13818 * t55542 + 0.2e1 * t55545 + 0.2e1 * t3202 * t149 * t55547 + 0.2e1 * t55551 - 0.3e1 * t13916 * t423 * t54620 - 0.1e2 / 0.3e1 * t13830 * t1829 * t54491 - 0.6e1 * t13818 * t423 * t54491 - 0.18e2 * t27156 * t7408 + 0.2e1 * t27156 * t1829 * t7394 + t943 + t52102;
  t55591 = t44318 * t205;
  t55598 = t52104 + 0.24e2 * t38706 * t7424 + 0.3e1 * t13830 * t55542 - 0.72e2 * t38693 * t7405 + 0.8e1 / 0.3e1 * t38706 * t7411 - 0.4e1 * t27117 * t7408 + t263 * t400 * t60 * t54556 / 0.2e1 + 0.2e1 * t1323 * t52996 + 0.2e2 * t27117 * t7140 + 0.12e2 * t38792 * t53007 + 0.2e1 * t13916 * t410 * t54620 + t3200 * t410 * t55591 / 0.3e1 + 0.2e1 * t3202 * t149 * t55591 + t52122 + t52129;
  t55607 = t942 * t8557;
  t55609 = t52133 / 0.3e1 + 0.2e1 * t52136 + 0.2e1 * t52138 - t50699 - t50700 + t50701 + t50702 - 0.4e1 / 0.3e1 * t1323 * t53167 + t53620 + 0.4e1 * t50725 - t53622 - t1319 * t7113 + t55607 / 0.2e1 - t53624;
  t55642 = t53625 + 0.8e1 * t38693 * t7424 + 0.2e1 / 0.9e1 * t27156 * t52897 - 0.1e2 / 0.3e1 * t27117 * t7150 + 0.2e1 * t13833 * t149 * t54615 + 0.3e1 * t20585 * t149 * t54826 - t13830 * t1837 * t54491 / 0.18e2 + 0.3e1 * t13836 * t149 * t54491 + 0.2e1 * t13833 * t149 * t54620 + t3200 * t410 * t55547 / 0.3e1 + t27156 * t1837 * t7394 / 0.3e1 - t38706 * t17918 * t7398 / 0.9e1 - 0.2e1 * t38792 * t53157 + t53626 + t50774;
  t55661 = -t50777 + t52155 - t52157 - 0.12e2 * t38719 * t7405 - 0.6e1 * t27359 * t7143 - 0.4e1 * t38874 * t7147 - 0.24e2 * t38778 * t7399 - 0.6e1 * t27359 * t7402 - 0.12e2 * t47851 + 0.6e1 * t47854 - 0.4e1 * t47860 - 0.2e1 / 0.3e1 * t47863 + 0.2e1 * t47865 + 0.6e1 * t47874;
  t55679 = 0.72e2 * t38719 * t7421 + 0.24e2 * t27117 * t7395 + t53647 - t962 + t50810 + 0.4e1 / 0.3e1 * t13916 * t410 * t54615 + 0.2e1 * t4392 * t149 * t44318 * t929 + 0.4e1 / 0.3e1 * t38693 * t7411 - t47902 / 0.9e1 + 0.2e1 * t47904 + 0.2e1 / 0.3e1 * t47910 - 0.8e1 / 0.3e1 * t50828 + t53665 - t53666 - t53667;
  t55685 = t942 * t8580;
  t55692 = -0.2e1 * t52188 - t52195 - 0.4e1 / 0.3e1 * t38706 * t10286 * t7398 + t7690 - t7691 + t7692 + t6469 - t6471 + t6473 - t55685 - 0.1e2 * t5733 * t7180 - 0.6e1 * t1323 * t52940 - t53704 - 0.3e1 * t47920 + 0.1e2 / 0.3e1 * t47939;
  t55704 = t8556 * t205;
  t55714 = -0.3e1 * t47942 - t47946 - 0.4e1 * t47949 + 0.6e1 * t47952 + 0.2e1 * t47955 - t263 * t1868 * t8556 * t929 + 0.12e2 * t27200 * t7445 + 0.3e1 * t5744 * t7448 - t806 * t400 * t55704 + t49283 - t5730 * t9911 * t7437 / 0.6e1 + 0.3e1 * t5744 * t7159 + 0.2e1 * t1319 * t7163 + t7102 - t6260;
  t55722 = t1240 * t7638;
  t55726 = t6262 + t7103 + t47016 + t49314 / 0.2e1 - t47067 - t47074 + t7111 + t7720 + t53726 + t50901 - t50902 - 0.2e1 / 0.3e1 * t810 * t1505 * t55704 - 0.2e1 / 0.3e1 * t810 * t1505 * t55722 - t52208;
  t55728 = t3780 * t8583;
  t55737 = t52219 - t52221 - 0.2e1 / 0.3e1 * t52223 - 0.2e1 / 0.3e1 * t55728 + 0.36e2 * t27204 * t7442 - 0.12e2 * t27225 * t9916 * t7433 - t7745 - t7746 + t7747 - t7748 - 0.4e1 * t1323 * t52935 - t6501 - t6507 + t6517 + t52248;
  t55746 = t3775 * t8615;
  t55747 = -t52254 - t52261 - t49348 - 0.2e1 / 0.3e1 * t49350 + 0.2e1 * t1319 * t7172 + 0.2e2 / 0.3e1 * t5733 * t7154 - t52263 + t52271 + t7127 + 0.24e2 * t27195 * t7455 - t7128 - t7129 - t6279 - t49375 - t55746;
  t55750 = t942 * t8618;
  t55772 = t16722 * t8574;
  t55777 = -t806 * t400 * t55722 - t55750 - t263 * t1868 * t7721 * t1147 + 0.1e2 / 0.3e1 * t27225 * t9906 * t7433 + 0.5e2 / 0.3e1 * t27225 * t9911 * t7433 + t48012 / 0.18e2 - 0.4e1 / 0.3e1 * t48022 - t50911 + t50912 - 0.12e2 * t27156 * t7150 - 0.2e1 * t3200 * t423 * t55591 - 0.2e1 * t13916 * t423 * t54615 + 0.4e1 / 0.3e1 * t27156 * t53105 - 0.2e1 * t55772 - 0.2e1 * t3200 * t423 * t55547;
  t55792 = t3780 * t8613;
  t55793 = t47120 - t47124 - 0.2e1 * t49414 + 0.2e1 * t49419 + 0.4e1 / 0.3e1 * t50927 + t53777 + 0.2e1 * t49421 + t49423 / 0.3e1 + 0.4e1 * t1323 * t52927 + 0.8e1 * t5733 * t7438 - 0.1e2 * t5730 * t9916 * t7437 - t52288 + t47155 + t55792;
  t55813 = t810 * t1862 * t55722 - t263 * t400 * t63 * t54556 - t50951 + t50952 + t50953 + t50954 - t263 * t1868 * t1336 * t7015 - t50955 - t50956 - t50957 + 0.2e1 / 0.3e1 * t1323 * t53186 - t5730 * t53180 / 0.9e1 + 0.9e1 * t5730 * t10255 * t7437 - 0.2e1 / 0.3e1 * t27204 * t7458 - 0.36e2 * t27195 * t7461;
  t55833 = t16690 * t54491;
  t55853 = -t49485 - 0.12e2 * t5733 * t7452 - 0.2e2 / 0.3e1 * t5730 * t52943 + 0.6e1 * t13916 * t16699 * t54620 + 0.2e1 / 0.3e1 * t13830 * t17753 * t54491 - 0.2e1 / 0.3e1 * t13916 * t16690 * t54615 - t13916 * t16690 * t54620 + t13830 * t17682 * t54491 / 0.9e1 - 0.2e1 * t13818 * t55833 - 0.4e1 * t13833 * t16695 * t54615 - 0.6e1 * t20585 * t16695 * t54826 + 0.4e1 * t13916 * t16699 * t54615 - 0.6e1 * t13836 * t16695 * t54491 - 0.4e1 * t13833 * t16695 * t54620 - 0.6e1 * t13830 * t55833;
  t55865 = 0.12e2 * t13818 * t16699 * t54491 - t53837 - t53838 - 0.8e1 * t50989 - t52307 - t52312 + t52333 / 0.2e1 - 0.4e2 * t27204 * t7434 + t810 * t1862 * t55704 + 0.6e1 * t5730 * t53121 - t52344 + t52348 + t52350 - t52356 - t7170;
  t55878 = -t47804 + 0.3e1 / 0.2e1 * t47810 - 0.2e1 * t1677 * t5967 * t35394 + t3015 * t2169 * t54754 / 0.3e1 + t4571 * t2175 * t54880 - t47815 / 0.12e2 - t47821 / 0.6e1 + t7886 - t7888 + t6715 - t6719 - t7267 + t7268 - t22 * t59 * (t55567 + t55598 + t55609 + t55642 + t55661 + t55679 + t55692 + t55714 + t55726 + t55737 + t55747 + t55777 + t55793 + t55813 + t55853 + t55865) * t96 / 0.4e1 - 0.3e1 * t48075 - t54416 + t54417 + t51176 + t54444 + 0.5e1 / 0.12e2 * t26203 * t10733 * t7285;
  t55910 = t15953 * t8690;
  t55916 = -0.35e2 / 0.108e3 * t37617 * t17992 * t7281 - 0.23e2 / 0.3e1 * t37569 * t7497 + 0.4e1 * t26103 * t7333 + 0.12e2 * t39033 * t7385 + t54456 - t51195 + 0.2e1 * t26105 * t52796 - 0.23e2 / 0.18e2 * t26203 * t52702 + 0.36e2 * t2255 * t27204 * t35600 - 0.18e2 * t2251 * t27204 * t7298 - 0.18e2 * t2255 * t27225 * t9911 * t7280 + 0.6e1 * t2251 * t27225 * t9916 * t7280 + 0.2e1 * t37607 * t7592 + t26300 * t7595 / 0.2e1 - t55910 / 0.6e1 - t3006 * t29354 * t8689 / 0.6e1 + t47272 - t47274 + t47275 - t48085 / 0.12e2;
  t55922 = my_piecewise3(t3, 0, t55519 + t55494 + t55466 + t55433 + t55398 + t55378 + t55326 + t55309 + t55277 + t55256 + t55225 + t55196 + t55144 + t55106 + t55073 + t55047 + t55014 + t54976 + t54937 + t54885 + t54852 + t54820 + t54778 + t54747 + t54726 + t54683 + t54656 + t54639 + t54598 + t54502 + t55916 + t55878);
  tv4sigmalapltau20 = 0.2e1 * rho[0] * t55922;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 0] += tv4sigmalapltau20;

  t55943 = t854 * t7782;
  t55944 = 0.3e1 / 0.4e1 * t55943;
  t55947 = 0.3e1 / 0.4e1 * t51226;
  t55948 = 0.3e1 * t2897 * t7902 - 0.9e1 / 0.2e1 * t2055 * t45456 + 0.18e2 * t45286 * t7214 + 0.9e1 / 0.2e1 * t8912 * t46848 - 0.43e2 / 0.9e1 * t44905 * t52430 - 0.9e1 / 0.2e1 * t162 * t45503 * t46861 + 0.3e1 / 0.2e1 * t4701 * t1356 - t259 * t37784 / 0.4e1 - 0.3e1 / 0.4e1 * t4701 * t1365 - t55944 - 0.3e1 / 0.4e1 * t854 * t7787 + t55947;
  t55953 = t51251 / 0.4e1;
  t55971 = 0.9e1 / 0.2e1 * t51262;
  t55972 = 0.3e1 / 0.2e1 * t51264;
  t55973 = 0.5e1 / 0.12e2 * t51276;
  t55974 = -0.3e1 / 0.2e1 * t5694 * t7309 - t1292 * t6855 / 0.2e1 - t55953 - t866 * t55260 / 0.2e1 - 0.3e1 / 0.2e1 * t610 * t8754 - 0.3e1 / 0.2e1 * t162 * t5894 * t1648 * t404 * t7638 + 0.3e1 / 0.2e1 * t610 * t8758 + 0.6e1 * t45286 * t6979 - 0.38e2 / 0.9e1 * t44905 * t52863 + 0.89e2 / 0.9e1 * t44905 * t52866 - t55971 + t55972 - t55973;
  t55992 = t8737 * t205;
  t55996 = 0.2e1 * t51295;
  t55997 = -0.8e1 * t2255 * t5733 * t37819 + 0.8e1 * t2251 * t5733 * t7668 - 0.9e1 / 0.2e1 * t4277 * t5730 * t9911 * t7650 + 0.9e1 * t2255 * t5730 * t9916 * t7650 - 0.3e1 / 0.4e1 * t48102 + t48104 - t48107 + t48114 + 0.3e1 * t48116 + t2251 * t810 * t10245 * t55992 - t51285 - t55996;
  t55998 = 0.3e1 * t51305;
  t55999 = t8782 * t205;
  t56004 = t8782 * t929;
  t56019 = -t51299 - t55998 + t51310 + t2251 * t806 * t400 * t55999 / 0.2e1 + t2251 * t263 * t1868 * t56004 / 0.2e1 - 0.11e2 / 0.6e1 * t26203 * t54131 + t2988 * t55129 + t3006 * t51208 / 0.2e1 - 0.3e1 / 0.4e1 * t48139 - t48147 + t48157 - t48161 + t162 * t44910 * t211 * t165 / 0.4e1;
  t56029 = t169 * t9014 * t205;
  t56044 = 0.2e1 / 0.3e1 * t51333;
  t56045 = -t48191 + t48195 + t48200 + 0.3e1 / 0.2e1 * t2265 * t5967 * t38544 - 0.3e1 / 0.2e1 * t1677 * t5967 * t39428 + t3015 * t2294 * t56029 / 0.2e1 - t2988 * t1684 * t56029 / 0.2e1 - t3006 * t3624 * t169 * t9014 * t929 / 0.2e1 + t3015 * t2169 * t56029 / 0.4e1 - t56044 - t51341 + t51356;
  t56048 = t51365 / 0.2e1;
  t56050 = t51402 / 0.2e1;
  t56051 = 0.2e1 * t51406;
  t56064 = 0.3e1 / 0.2e1 * t21470 * t7807 - t56048 - t51370 + t1297 * t48604 + t51386 + t51388 - t56050 + t56051 + t46593 + 0.9e1 / 0.2e1 * t10978 * t45161 * t7220 - 0.9e1 * t2265 * t45161 * t7202 + 0.3e1 / 0.2e1 * t1677 * t6172 * t37502 + 0.3e1 / 0.2e1 * t1677 * t6175 * t39301;
  t56070 = t162 * t3690 * t8821;
  t56071 = t56070 / 0.4e1;
  t56072 = 0.4e1 / 0.3e1 * t51557;
  t56073 = 0.8e1 * t51567;
  t56074 = 0.8e1 * t51569;
  t56075 = 0.8e1 * t51580;
  t56076 = 0.8e1 * t51587;
  t56077 = 0.8e1 / 0.3e1 * t51598;
  t56086 = t56072 - t56073 + t56074 - t56075 + t56076 + t56077 - 0.4e1 * t5761 * t39428 + 0.4e1 * t5758 * t37502 + 0.4e1 * t5764 * t39301 - 0.4e1 / 0.3e1 * t5761 * t38544 - t6237;
  t56097 = t28743 * t1364;
  t56098 = 0.2e1 * t56097;
  t56105 = t53037 + 0.4e1 * t7669 - 0.24e2 * t45034 * t1065 + 0.32e2 / 0.3e1 * t45030 * t7202 - 0.2e1 / 0.3e1 * t7665 + 0.12e2 * t45030 * t7197 - 0.4e1 * t7807 - 0.4e1 * t7811 - t56098 - 0.2e1 * t5764 * t7786 - 0.8e1 * t45057 * t6187 + 0.12e2 * t45064 * t1057;
  t56115 = 0.4e1 * t45067 * t990 - 0.8e1 * t45034 * t1052 - 0.8e1 / 0.3e1 * t45057 * t6313 + 0.16e2 / 0.9e1 * t45030 * t7220 + t53077 + t53078 - t53079 - t53080 + t6225 + t53085 - t53086;
  t56134 = t960 * t1364;
  t56135 = 0.2e1 * t56134;
  t56138 = t53087 - 0.4e1 * t45088 * t1052 - 0.4e1 / 0.3e1 * t1331 * t6313 + 0.2e2 / 0.9e1 * t45082 * t7220 + 0.24e2 * t45088 * t1065 - 0.12e2 * t45082 * t7197 + 0.4e1 / 0.3e1 * t45082 * t7202 + 0.8e1 * t1331 * t6187 - 0.12e2 * t45025 * t1057 - 0.4e1 * t1334 * t990 + t56135 + 0.2e1 * t265 * t7786;
  t56140 = t56086 + t56105 + t56115 + t56138;
  t56148 = 0.9e1 * t51461;
  t56152 = -t2168 * t44881 - t610 * t8822 / 0.4e1 - t56071 - t162 * t876 * t320 * t137 * t56140 / 0.4e1 - 0.6e1 * t5701 * t7511 - t56148 - t51467 - t48236 - t48239 - t48241 - 0.2e1 * t48249 + t48252 - 0.2e1 * t26105 * t48369;
  t56164 = t96 * t55992;
  t56183 = 0.23e2 / 0.12e2 * t26203 * t54251 - 0.3e1 / 0.2e1 * t26105 * t11150 * t7656 - 0.3e1 * t1677 * t45418 * t6187 + t48292 + t51479 - 0.9e1 * t1677 * t45165 * t1065 - t3015 * t11150 * t56164 / 0.3e1 - t2255 * t810 * t10255 * t55992 + 0.9e1 / 0.2e1 * t14144 * t7865 - 0.9e1 * t2897 * t7868 + 0.9e1 / 0.2e1 * t854 * t7828 - 0.6e1 * t9944 * t45243 * t52632 + 0.18e2 * t1565 * t45243 * t52816;
  t56204 = 0.3e1 * t51494;
  t56205 = 0.3e1 * t51498;
  t56213 = 0.36e2 * t509 * t45391 * t7202 - 0.18e2 * t162 * t45391 * t7197 - 0.18e2 * t509 * t45243 * t52872 + 0.6e1 * t162 * t45243 * t52876 - 0.62e2 / 0.3e1 * t44905 * t10650 + t26300 * t7652 + 0.2e1 / 0.3e1 * t26285 * t7657 - t56204 + t56205 + 0.16e2 / 0.3e1 * t10953 * t44987 + 0.2e1 / 0.3e1 * t2168 * t45843 + 0.9e1 / 0.2e1 * t1677 * t45876 * t1057;
  t56233 = t51512 / 0.2e1;
  t56243 = 0.47e2 / 0.3e1 * t10524 * t45725 + 0.18e2 * t162 * t45209 * t1065 + 0.6e1 * t162 * t45213 * t6187 - 0.28e2 * t11037 * t45219 - 0.3e1 / 0.2e1 * t26906 * t1108 + 0.3e1 / 0.2e1 * t6136 * t1117 - 0.2e1 * t44905 * t52777 - 0.18e2 * t509 * t45209 * t1052 + t56233 - t51523 + t1297 * t1649 * t7618 / 0.2e1 + t1297 * t1649 * t7640 / 0.2e1 - t1297 * t1711 * t608 * t1305;
  t56248 = 0.3e1 * t51531;
  t56251 = 0.6e1 * t51532;
  t56254 = t911 * t8817;
  t56255 = t56254 / 0.4e1;
  t56271 = -t1297 * t1711 * t160 * t7639 + t56248 + t1292 * t4729 / 0.2e1 - t56251 - t259 * t38557 / 0.2e1 + t56255 + t259 * t490 * t19672 * t1305 / 0.4e1 + t259 * t490 * t2961 * t7639 / 0.4e1 + t1297 * t19655 - t1297 * t19651 / 0.2e1 - 0.3e1 / 0.2e1 * t21470 * t7669 - 0.3e1 * t21519 * t7792;
  t56278 = 0.3e1 / 0.2e1 * t51608;
  t56284 = 0.3e1 * t51624;
  t56285 = t26105 * t48228 / 0.2e1 - 0.5e1 / 0.12e2 * t26203 * t53554 + t48299 + t48309 - t208 * t44920 / 0.4e1 + t56278 + t259 * t490 * t303 * t95 * t56140 / 0.12e2 + t51614 - t56284 - t48313 - t48322 - t46787 - t48334;
  t56290 = 0.9e1 * t51657;
  t56292 = t1677 * t31663 * t1364;
  t56293 = 0.3e1 / 0.4e1 * t56292;
  t56300 = t8737 * t929;
  t56316 = -t48338 + t1297 * t48598 / 0.2e1 - t56290 - t56293 - 0.3e1 / 0.4e1 * t1677 * t6175 * t7786 + t2988 * t3624 * t56164 / 0.3e1 + t3006 * t15648 * t96 * t56300 / 0.2e1 - 0.3e1 / 0.4e1 * t22 * t7766 * t288 - 0.5e1 / 0.12e2 * t5687 * t53928 + 0.5e1 / 0.12e2 * t8912 * t46795 + 0.5e1 / 0.3e1 * t45286 * t7023 - t1292 * t7641 / 0.3e1;
  t56333 = t911 * t8785;
  t56334 = t56333 / 0.12e2;
  t56343 = 0.2e1 * t45436 * t1002 + t8919 * t932 / 0.2e1 - 0.3e1 * t45750 * t1005 - t1292 * t7619 / 0.3e1 + t1297 * t1711 * t7618 / 0.4e1 + t1297 * t1711 * t7640 / 0.4e1 - t1297 * t20020 / 0.4e1 + t56334 + t259 * t490 * t2036 * t8783 / 0.12e2 - 0.3e1 / 0.4e1 * t1677 * t45569 * t990 + t2168 * t45563 - t48345 + t48348;
  t56349 = 0.3e1 * t51687;
  t56352 = 0.9e1 / 0.2e1 * t51691;
  t56353 = 0.3e1 * t51695;
  t56366 = t894 * t54950 / 0.2e1 + t259 * t51376 / 0.4e1 + t56349 + 0.3e1 * t5701 * t7507 + t56352 - t56353 - t51703 - 0.3e1 / 0.2e1 * t26203 * t54099 - t3015 * t55138 + t3015 * t21651 * t7651 / 0.2e1 + 0.3e1 * t15274 * t7663 - t3015 * t55233 / 0.2e1 + 0.7e1 * t26203 * t21568;
  t56372 = 0.9e1 * t51712;
  t56376 = 0.11e2 / 0.6e1 * t51717;
  t56379 = t96 * t55999;
  t56397 = 0.3e1 / 0.2e1 * t1677 * t45557 * t1065 + 0.3e1 / 0.2e1 * t21686 * t7665 + t56372 + 0.3e1 / 0.2e1 * t5701 * t7314 - t8934 * t6328 - t56376 - t866 * t55008 / 0.4e1 - t51722 + t3015 * t2294 * t56379 / 0.6e1 + t3015 * t21610 * t7651 / 0.4e1 - t2988 * t1684 * t56379 / 0.6e1 - t3006 * t3624 * t96 * t56004 / 0.6e1 + 0.9e1 / 0.2e1 * t2251 * t1323 * t10245 * t7655;
  t56413 = 0.11e2 / 0.6e1 * t26203 * t10936 * t7651 - 0.23e2 / 0.12e2 * t26203 * t10733 * t7675 - 0.8e1 / 0.3e1 * t26103 * t7672 - 0.3e1 / 0.2e1 * t5687 * t53448 + t48371 / 0.4e1 - t48376 + t48378 - t48380 + t48382 + t48389 - t48391 + t48404;
  t56414 = 0.2e1 * t51772;
  t56420 = 0.3e1 / 0.4e1 * t51802;
  t56430 = t51766 + t56414 - t913 + t984 - t2168 * t45615 / 0.3e1 - 0.3e1 * t2251 * t5744 * t7806 - t48409 + t56420 - t8912 * t11858 / 0.2e1 + 0.7e1 / 0.3e1 * t8912 * t11875 + t1297 * t21286 + t8934 * t2002 / 0.2e1 - t1297 * t20408 / 0.4e1;
  t56438 = t51806 / 0.4e1;
  t56449 = t1292 * t4744 / 0.2e1 - 0.3e1 * t610 * t8970 + 0.3e1 / 0.2e1 * t610 * t8974 - t56438 + t48428 + t48438 + t48441 + 0.9e1 / 0.2e1 * t10715 * t45692 + 0.9e1 * t2265 * t45165 * t1052 + 0.3e1 * t2265 * t45418 * t6313 + t51838 + 0.2e1 * t2168 * t45181;
  t56476 = t2988 * t55430 / 0.2e1 + t3006 * t51848 / 0.4e1 + 0.3e1 / 0.2e1 * t1677 * t45632 * t990 - 0.3e1 / 0.4e1 * t10930 * t9011 - 0.2e1 * t1297 * t48144 - 0.7e1 * t8912 * t47209 + 0.3e1 / 0.2e1 * t8912 * t46865 - 0.23e2 / 0.12e2 * t8912 * t46644 + 0.44e2 / 0.27e2 * t44905 * t52724 + 0.11e2 / 0.6e1 * t8912 * t47218 - 0.61e2 / 0.27e2 * t44905 * t52729 + 0.12e2 * t45750 * t1016 - t2168 * t45293;
  t56506 = -0.3e1 * t15274 * t7817 - 0.3e1 / 0.2e1 * t15274 * t7814 - 0.3e1 / 0.2e1 * t2265 * t45557 * t1052 + 0.3e1 / 0.2e1 * t26203 * t10775 * t7651 - 0.9e1 / 0.2e1 * t2251 * t5730 * t10255 * t7650 + 0.9e1 / 0.2e1 * t1677 * t45161 * t7197 + t8908 + t45675 * t223 / 0.4e1 - t259 * t39409 / 0.4e1 - t1297 * t21282 / 0.2e1 - 0.3e1 / 0.2e1 * t8912 * t11879 - 0.3e1 / 0.2e1 * t21291 * t1352;
  t56524 = 0.3e1 * t1972 * t8951 - 0.3e1 / 0.2e1 * t4701 * t1360 + 0.3e1 / 0.2e1 * t4701 * t1368 - 0.11e2 / 0.18e2 * t8912 * t12050 + 0.23e2 / 0.36e2 * t8912 * t12053 + t8934 * t1963 - 0.2e1 * t8934 * t1967 + 0.3e1 / 0.2e1 * t11870 * t8959 - 0.3e1 * t1972 * t8962 - t48443 + t48449 - t46829 - t46833;
  t56554 = t48463 - t48467 + 0.3e1 / 0.4e1 * t610 * t8801 + 0.9e1 / 0.2e1 * t854 * t7891 + 0.3e1 / 0.2e1 * t854 * t7894 + 0.3e1 / 0.2e1 * t1972 * t8829 + 0.3e1 / 0.2e1 * t509 * t5894 * t1648 * t342 * t7638 - 0.3e1 / 0.2e1 * t1972 * t8797 + t162 * t5882 * t7786 - 0.6e1 * t509 * t45213 * t6313 - 0.6e1 * t162 * t45264 * t1057 - 0.3e1 / 0.2e1 * t162 * t45142 * t990 - 0.7e1 * t10715 * t45681;
  t56555 = 0.3e1 / 0.2e1 * t51879;
  t56581 = t8909 - t56555 + t7097 + t7098 + t3006 * t1684 * t169 * t287 * t7638 / 0.4e1 - t2251 * t806 * t1868 * t55992 - 0.3e1 / 0.2e1 * t2251 * t263 * t10240 * t56300 + t3015 * t2169 * t56379 / 0.12e2 - 0.3e1 / 0.2e1 * t26300 * t7357 + 0.4e1 * t8934 * t6336 - 0.23e2 / 0.3e1 * t45286 * t6976 - 0.6e1 * t45750 * t1010 - 0.2e1 * t8934 * t6332;
  t56591 = 0.3e1 * t51924;
  t56599 = 0.22e2 / 0.3e1 * t45286 * t7226 + 0.9e1 * t509 * t45503 * t46857 - t48485 - t48496 - 0.3e1 * t48501 - t48511 - t48516 + t51918 + t56591 - 0.9e1 / 0.2e1 * t2255 * t1323 * t10255 * t7655 - 0.2e1 * t2251 * t1319 * t7810 + t51939;
  t56606 = 0.2e1 * t51948;
  t56609 = t51959 / 0.2e1;
  t56620 = -t8979 - t48546 + 0.3e1 / 0.2e1 * t610 * t8947 - t8919 * t569 / 0.2e1 + 0.3e1 / 0.4e1 * t39414 * t274 + t56606 - 0.11e2 / 0.6e1 * t5687 * t53424 - t56609 - 0.3e1 / 0.2e1 * t6136 * t1111 - 0.3e1 / 0.4e1 * t6136 * t1114 + t546 * t45332 - 0.9e1 / 0.2e1 * t10715 * t45424 - 0.3e1 / 0.2e1 * t1677 * t45565 * t1057;
  t56622 = t1304 * t7638;
  t56631 = 0.3e1 * t51984;
  t56632 = t2251 * t263 * t1868 * t56622 + t9004 - t9005 - t9006 - t9007 + t9008 + t48553 + t48554 / 0.2e1 - 0.5e1 / 0.36e2 * t8912 * t12015 - t208 * t46532 / 0.12e2 - t56631 + t6859 - t9009;
  t56633 = 0.9e1 / 0.2e1 * t52011;
  t56635 = 0.7e1 * t52019;
  t56636 = 0.23e2 / 0.12e2 * t52021;
  t56637 = 0.3e1 / 0.2e1 * t52023;
  t56655 = -t9010 + t56633 + t610 * t8825 + t56635 + t56636 - t56637 + 0.23e2 / 0.12e2 * t5687 * t54019 + t48588 / 0.4e1 - t26285 * t6740 / 0.2e1 + t2255 * t810 * t1505 * t55999 / 0.2e1 - t2251 * t810 * t1862 * t55999 / 0.2e1 + 0.8e1 * t44905 * t10645 - 0.3e1 / 0.2e1 * t610 * t8744;
  t56658 = t911 * t8749;
  t56659 = t56658 / 0.6e1;
  t56667 = t162 * t3690 * t8739;
  t56668 = t56667 / 0.2e1;
  t56679 = -t56659 - t259 * t1637 * t2036 * t8747 / 0.6e1 + t610 * t8740 / 0.2e1 + t56668 + t7231 - t7232 - t7233 - t7235 - 0.18e2 * t1565 * t45391 * t7220 - 0.9e1 / 0.2e1 * t1565 * t45503 * t46610 - 0.9e1 * t854 * t7801 - 0.3e1 * t854 * t7889;
  t56684 = 0.9e1 / 0.2e1 * t52060;
  t56702 = 0.7e1 * t2055 * t45450 + 0.9e1 * t2897 * t7899 - t7236 + t7237 - t7238 + t56684 + 0.3e1 / 0.2e1 * t26103 * t7348 - 0.4e1 / 0.3e1 * t26103 * t7660 - 0.3e1 / 0.4e1 * t26105 * t10775 * t7656 - t3015 * t55436 / 0.4e1 - 0.6e1 * t26103 * t7472 + 0.3e1 * t26105 * t10775 * t500 * t7655 - t3015 * t55124 / 0.2e1;
  t56727 = t15953 * t9016;
  t56728 = t56727 / 0.4e1;
  t56735 = -t2988 * t14332 * t7651 / 0.2e1 - t3006 * t32489 * t7656 / 0.2e1 + 0.3e1 / 0.4e1 * t854 * t7777 - t208 * t45410 / 0.4e1 + 0.3e1 / 0.4e1 * t6136 * t1126 - 0.35e2 / 0.108e3 * t44905 * t52688 - t208 * t44912 / 0.12e2 + t48618 - t3006 * t3624 * t96 * t56622 / 0.3e1 - t3015 * t10775 * t56164 / 0.6e1 + t56728 + t3006 * t10925 * t9015 / 0.4e1 + 0.5e1 / 0.12e2 * t26203 * t10733 * t7651;
  t56769 = 0.1e2 * t52101;
  t56770 = t52103 / 0.6e1;
  t56771 = t46167 * t205;
  t56775 = t46196 * t205;
  t56788 = -t8838 * t47130 / 0.6e1 + 0.24e2 * t46310 * t1033 + 0.8e1 * t8834 * t6249 - 0.4e2 * t46242 * t7119 - 0.1e2 * t8838 * t47043 + 0.1e2 / 0.3e1 * t46229 * t52989 - 0.2e1 / 0.3e1 * t46242 * t7116 + t263 * t400 * t60 * t56140 / 0.2e1 + 0.12e2 * t46371 * t1036 + 0.3e1 * t8845 * t966 + t943 + t56769 + t56770 - 0.2e1 * t3200 * t423 * t56771 + 0.4e1 * t13916 * t423 * t56775 - 0.18e2 * t27156 * t7750 - 0.4e1 * t13833 * t149 * t56775 - 0.6e1 * t20585 * t149 * t46196 * t929;
  t56796 = 0.2e1 * t52121;
  t56797 = 0.8e1 * t52128;
  t56804 = t942 * t8851;
  t56805 = t56804 / 0.2e1;
  t56806 = t942 * t8842;
  t56807 = 0.18e2 * t52154;
  t56808 = 0.9e1 * t52156;
  t56809 = 0.4e1 * t4392 * t149 * t5836 * t7638 - 0.2e1 / 0.3e1 * t13916 * t410 * t56775 + t56796 + t56797 + t52134 + t52137 + t52139 - t48637 - 0.12e2 * t48638 + t48641 + t48643 + t48650 - t48654 - 0.2e1 * t1323 * t1505 * t7721 - 0.2e1 * t1319 * t7722 + t56805 - t56806 + t56807 - t56808;
  t56818 = 0.12e2 * t52194;
  t56832 = t8841 * t205;
  t56836 = 0.3e1 * t1323 * t1862 * t7721 + 0.9e1 * t8838 * t47033 - 0.12e2 * t8834 * t6212 - t962 + t48658 - t52189 - t56818 + 0.18e2 * t38792 * t423 * t7756 + 0.2e1 * t27156 * t1829 * t7749 + 0.32e2 * t27117 * t7760 + t8866 - t8867 + t8868 + 0.24e2 * t46229 * t53118 + 0.9e1 * t5730 * t10255 * t7700 - 0.2e1 * t810 * t10245 * t56832 + t7102 - t6260;
  t56855 = t942 * t8892;
  t56856 = 0.2e1 * t56855;
  t56877 = t6262 + t7103 + t47016 - t263 * t400 * t63 * t56140 + 0.2e1 * t806 * t1868 * t56832 + 0.3e1 * t263 * t10240 * t8841 * t929 - 0.2e1 * t263 * t1868 * t1336 * t7638 - 0.24e2 * t46371 * t1022 - 0.6e1 * t8845 * t953 + t56856 + 0.4e1 / 0.3e1 * t810 * t10255 * t56832 + 0.72e2 * t46310 * t1029 + 0.24e2 * t8834 * t6285 + 0.2e1 * t8838 * t46954 - 0.4e1 * t8834 * t6275 - 0.72e2 * t46242 * t7187 - 0.18e2 * t8838 * t47100 + 0.8e1 / 0.3e1 * t46229 * t53115 - 0.9e1 * t1323 * t10245 * t7731;
  t56893 = -t47067 - t47074 + t7719 + 0.2e1 * t48670 - t48673 - t52209 + t52220 - t52222 - t52224 - t8870 + 0.4e1 / 0.3e1 * t46242 * t7167 - t6906 + t8838 * t46994 / 0.3e1 + t8871 - t8872 - t46229 * t52918 / 0.9e1 + 0.6e1 * t1323 * t10255 * t7731 - t5730 * t9911 * t7700 / 0.6e1;
  t56896 = 0.18e2 * t52247;
  t56897 = 0.4e1 * t52253;
  t56898 = 0.4e1 * t52261;
  t56899 = t52262 / 0.3e1;
  t56900 = 0.6e1 * t52270;
  t56917 = -0.12e2 * t46310 * t1025 + t56896 - t56897 - t56898 - t56899 + t56900 + t7127 - t7128 - t7129 - t6279 - t48692 + t48696 + t47120 - t47124 + t3200 * t410 * t56771 / 0.3e1 - 0.3e1 * t38792 * t410 * t7756 + t27156 * t1837 * t7749 / 0.3e1 + 0.2e1 * t3202 * t149 * t56771 + 0.2e1 * t4392 * t149 * t46167 * t929;
  t56925 = t8850 * t205;
  t56955 = -0.12e2 * t27359 * t7753 - 0.8e1 * t38874 * t7757 - 0.16e2 / 0.3e1 * t27117 * t7750 - t806 * t400 * t56925 - t263 * t1868 * t8850 * t929 - 0.2e1 / 0.3e1 * t810 * t1505 * t56925 - t52289 + t810 * t1862 * t56925 - 0.4e1 / 0.3e1 * t46229 * t53205 + 0.8e1 * t46242 * t7184 - 0.16e2 * t5733 * t7701 - 0.6e1 * t1323 * t1862 * t7703 - 0.1e2 * t5730 * t9916 * t7700 + 0.6e1 * t5744 * t7711 + 0.4e1 * t1319 * t7732 + 0.32e2 / 0.3e1 * t5733 * t7706 + t47155 - 0.4e1 * t48729 + t48732;
  t56961 = t942 * t8900;
  t56970 = 0.9e1 * t52306;
  t56971 = 0.12e2 * t52311;
  t56972 = 0.2e1 * t52343;
  t56973 = 0.18e2 * t52347;
  t56974 = 0.6e1 * t52350;
  t56975 = 0.36e2 * t52355;
  t56976 = 0.6e1 * t48733 + t48736 - t48740 - t48743 - t48745 + 0.4e1 * t1319 * t7704 + t1323 * t1505 * t7703 - t56961 - 0.12e2 * t46229 * t52965 + 0.36e2 * t46242 * t7136 + 0.5e2 / 0.3e1 * t46229 * t53183 - 0.36e2 * t46310 * t1040 - t56970 - t56971 + t52333 - t56972 + t56973 + t56974 - t56975;
  t56984 = -t22 * t218 * t8994 / 0.4e1 - 0.3e1 / 0.4e1 * t22 * t1100 * t1387 + t9019 - t9020 - t7267 + t7268 + 0.3e1 / 0.2e1 * t21470 * t7811 + 0.3e1 * t26103 * t7305 + t26105 * t48365 + t47272 - t47274 + t47275 - t22 * t59 * (t56788 + t56809 + t56836 + t56877 + t56893 + t56917 + t56955 + t56976) * t96 / 0.4e1;
  t56990 = my_piecewise3(t3, 0, t56655 + t56430 + t56449 + t56554 + t56735 + t56524 + t56476 + t56506 + t56581 + t56632 + t56702 + t56413 + t56366 + t56679 + t56343 + t56620 + t56316 + t56285 + t56271 + t56243 + t56213 + t56183 + t56152 + t56064 + t56045 + t56984 + t56397 + t56019 + t56599 + t55997 + t55974 + t55948);
  tv4sigmatau30 = 0.2e1 * rho[0] * t56990;

  if(out->v4sigmatau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 0] += tv4sigmatau30;

  t56995 = t490 * t22727 * t1148;
  t56998 = t1649 * t8051;
  t57002 = t1711 * t160 * t8050;
  t57006 = t1648 * t404 * t7935;
  t57010 = t1649 * t8046;
  t57014 = t1711 * t717 * t1148;
  t57017 = t9192 * t8068;
  t57020 = t9099 * t8068;
  t57023 = t9165 * t1149;
  t57026 = t9192 * t1149;
  t57032 = t9098 * t1518 * t1147;
  t57046 = 0.9e1 * t48813 + 0.6e1 * t48815 + t233 * t56995 / 0.2e1 + 0.2e1 / 0.3e1 * t1140 * t56998 - 0.4e1 / 0.3e1 * t1140 * t57002 - 0.2e1 * t162 * t4935 * t57006 + 0.2e1 * t1140 * t57010 - 0.4e1 * t1140 * t57014 - 0.14e2 * t8089 * t57017 - 0.23e2 / 0.6e1 * t8089 * t57020 + 0.3e1 * t8089 * t57023 + 0.11e2 / 0.3e1 * t8089 * t57026 + 0.28e2 / 0.3e1 * t8098 * t8069 + 0.18e2 * t509 * t39769 * t57032 - 0.14e2 / 0.3e1 * t8098 * t8065 - 0.9e1 / 0.2e1 * t162 * t39808 * t1198 + 0.4e1 * t719 * t8032 - t719 * t8029 - t48920 / 0.2e1 + 0.3e1 / 0.2e1 * t48928;
  t57049 = 0.3e1 / 0.2e1 * t52466;
  t57050 = t52468 / 0.2e1;
  t57060 = t1132 * t1132;
  t57063 = t106 * t9926 * t57060 * t9901;
  t57070 = t106 * t1415 * t57060 * t9762;
  t57079 = -t48950 + 0.23e2 / 0.6e1 * t48961 - 0.2e1 * t52457 + t57049 - t57050 + t46593 - 0.3e1 * t48979 + 0.3e1 * t48986 - 0.14e2 / 0.3e1 * t49014 - 0.2e1 * t49037 - 0.5e1 / 0.6e1 * t49043 - 0.12e2 * t49048 - 0.11e2 / 0.3e1 * t49051 + 0.23e2 / 0.9e1 * t8089 * t13020 + 0.44e2 / 0.27e2 * t57063 * t10068 + 0.4e1 * t8098 * t2500 + 0.22e2 / 0.3e1 * t57070 * t1545 - 0.8e1 * t8098 * t2504 + 0.3e1 * t5172 * t1202 + 0.28e2 / 0.3e1 * t8089 * t13051;
  t57095 = t510 * t57060;
  t57108 = t9898 * t57060;
  t57123 = t1502 * t57060;
  t57127 = -0.43e2 / 0.9e1 * t57063 * t10041 - 0.3e1 * t23037 * t1190 - 0.12e2 * t719 * t8128 - 0.28e2 * t57070 * t1520 + 0.6e1 * t719 * t8131 + 0.47e2 / 0.3e1 * t57063 * t10062 - 0.6e1 * t8089 * t13055 - 0.18e2 * t509 * t57095 * t9846 - t1140 * t23040 - 0.2e1 * t57063 * t9961 - 0.38e2 / 0.9e1 * t57063 * t10049 + 0.89e2 / 0.9e1 * t57063 * t10052 + 0.6e1 * t57070 * t1515 + 0.18e2 * t1565 * t57108 * t9907 - 0.6e1 * t9944 * t57108 * t9946 - 0.12e2 * t2509 * t8120 + 0.8e1 * t57063 * t9937 + 0.6e1 * t13061 * t8117 - 0.62e2 / 0.3e1 * t57063 * t9932 + 0.36e2 * t509 * t57123 * t9770;
  t57141 = t106 * t333 * t57060 * t1418;
  t57176 = 0.18e2 * t162 * t57095 * t9842 - 0.5e1 / 0.9e1 * t8089 * t13625 - 0.35e2 / 0.108e3 * t57063 * t10126 - t1140 * t22986 / 0.2e1 - t233 * t40911 / 0.3e1 + t40916 * t248 - 0.2e1 * t8089 * t13048 + 0.2e1 * t1140 * t23032 - 0.23e2 / 0.3e1 * t57070 * t1548 - 0.22e2 / 0.9e1 * t8089 * t13073 - 0.61e2 / 0.27e2 * t57063 * t10087;
  t57186 = t9238 * t8020;
  t57192 = t1637 * t2571 * t8019;
  t57195 = t9271 * t8020;
  t57199 = t9238 * t160 * t8019;
  t57203 = t9237 * t404 * t7952;
  t57211 = t9098 * t1427 * t1147;
  t57220 = t9099 * t507 * t1148;
  t57226 = t9098 * t8034;
  t57230 = 0.9e1 * t49122 - 0.18e2 * t49125 - t46787 + 0.3e1 / 0.2e1 * t162 * t4884 * t8028 + t1135 * t8021 - 0.11e2 / 0.12e2 * t1140 * t57186 - t1135 * t8052 / 0.2e1 - 0.2e1 / 0.3e1 * t233 * t57192 - 0.11e2 / 0.6e1 * t1140 * t57195 + 0.11e2 / 0.3e1 * t1140 * t57199 + 0.11e2 / 0.2e1 * t162 * t4935 * t57203 - 0.6e1 * t49168 + 0.18e2 * t49525 - 0.9e1 * t49530 - 0.9e1 * t1565 * t39769 * t57211 + 0.6e1 * t2509 * t8036 - 0.6e1 * t719 * t8062 + 0.9e1 * t8089 * t57220 + 0.14e2 * t162 * t39797 * t8061 - 0.9e1 * t162 * t39769 * t57226;
  t57232 = t1648 * t342 * t7935;
  t57239 = t7952 * t1147;
  t57242 = t9685 * t303 * t95 * t57239;
  t57248 = t9684 * t137 * t57239;
  t57253 = t9237 * t342 * t7952;
  t57261 = t52671 / 0.4e1;
  t57267 = t7935 * t1147;
  t57268 = t1868 * t57267;
  t57272 = t10255 * t7985;
  t57276 = t10240 * t63 * t57239;
  t57279 = t1505 * t7982;
  t57282 = t9911 * t1167;
  t57292 = t9383 * t7943;
  t57297 = t1592 * t7943;
  t57318 = 0.4e1 * t53056;
  t57319 = 0.12e2 * t321 * t7943 * t1484 + 0.12e2 * t57292 * t1506 + 0.12e2 * t1172 * t8061 - 0.24e2 * t57297 * t1541 + 0.32e2 / 0.3e1 * t57292 * t1572 - 0.8e1 * t1175 * t1198 + 0.2e1 * t239 * t8028 - 0.8e1 * t57297 * t1537 + 0.16e2 / 0.9e1 * t57292 * t1567 - 0.2e1 * t1172 * t8035 - 0.4e1 * t239 * t8042 - 0.4e1 * t39829 * t8035 - 0.12e2 * t48842 + 0.4e1 * t48846 - t6237 - t57318;
  t57320 = 0.4e1 * t53066;
  t57345 = t57320 - 0.12e2 * t48864 + 0.2e1 * t48866 + 0.12e2 * t48875 + 0.12e2 * t48881 + t6225 - 0.2e1 * t4834 * t8028 + 0.8e1 * t39855 * t1198 + 0.4e1 * t4834 * t8042 - 0.12e2 * t39829 * t8061 + 0.2e2 / 0.9e1 * t7997 * t1428 + 0.24e2 * t7994 * t496 - 0.12e2 * t7997 * t1514 + 0.4e1 / 0.3e1 * t7997 * t1519 - 0.12e2 * t7991 * t138 - 0.4e1 * t7994 * t343;
  t57346 = t57319 + t57345;
  t57348 = t400 * t63 * t57346;
  t57351 = t1868 * t1177 * t7935;
  t57359 = t10255 * t1167;
  t57362 = t1862 * t7982;
  t57365 = t10245 * t7985;
  t57370 = t9916 * t1167;
  t57377 = t69 * t57060;
  t57378 = t57377 * t9762;
  t57381 = -0.28e2 / 0.3e1 * t7945 * t7980 - 0.36e2 * t7949 * t57359 - 0.8e1 * t1164 * t57362 + 0.22e2 * t1164 * t57365 + 0.56e2 * t7945 * t7975 + 0.4e1 * t7949 * t57370 - 0.24e2 * t49172 + 0.36e2 * t49176 - 0.18e2 * t49178 - 0.18e2 * t49182 - 0.4e2 * t57378 * t1830;
  t57383 = t332 * t57060;
  t57384 = t57383 * t1418;
  t57387 = t108 * t57060;
  t57391 = t9897 * t57060;
  t57392 = t57391 * t9901;
  t57398 = t149 * t40605 * t1147;
  t57404 = t57391 * t9904;
  t57407 = t10255 * t1177;
  t57411 = 0.24e2 * t57384 * t411 + 0.12e2 * t57387 * t1445 * t150 + 0.1e2 / 0.3e1 * t57392 * t10287 - 0.2e1 / 0.3e1 * t57378 * t1838 - t962 + 0.6e1 * t4138 * t57398 - 0.3e1 * t1160 * t7937 + 0.8e1 / 0.3e1 * t6468 + 0.24e2 * t57404 * t10439 + 0.18e2 * t7949 * t57407 - 0.4e1 * t6471;
  t57413 = t10245 * t7953;
  t57416 = t57383 * t9841;
  t57419 = t57377 * t9763;
  t57433 = 0.4e1 * t6473 - 0.11e2 * t1164 * t57413 + 0.72e2 * t57416 * t406 - 0.72e2 * t57419 * t1905 + 0.8e1 / 0.3e1 * t57404 * t10412 + 0.9e1 * t7957 * t1178 + 0.4e1 / 0.3e1 * t57419 * t1894 - t57404 * t10329 / 0.9e1 + 0.14e2 * t49291 + 0.36e2 * t49292 - 0.72e2 * t49296;
  t57443 = 0.3e1 * t52984;
  t57444 = 0.3e1 / 0.2e1 * t7110;
  t57446 = -0.4e1 * t49299 + 0.36e2 * t49302 + 0.12e2 * t49306 + 0.56e2 / 0.3e1 * t7945 * t7940 - 0.28e2 * t7945 * t7966 - t57443 + t47016 - t47067 - t47074 + t57444 - 0.2e1 / 0.3e1 * t49328;
  t57453 = t400 * t60 * t57346;
  t57458 = t1862 * t7936;
  t57462 = -0.8e1 * t6500 - 0.4e1 / 0.3e1 * t6506 + 0.8e1 * t6516 - 0.28e2 / 0.3e1 * t49353 - 0.9e1 * t49378 + t237 * t57453 / 0.2e1 - 0.4e1 / 0.3e1 * t57404 * t10448 + 0.4e1 * t1164 * t57458 + t47120 - t47124 + 0.14e2 / 0.3e1 * t49400;
  t57466 = 0.3e1 / 0.2e1 * t53165;
  t57469 = 0.3e1 * t53179;
  t57476 = t10240 * t60 * t57239;
  t57479 = t1505 * t7936;
  t57484 = 0.18e2 * t49406 - 0.28e2 * t49435 + t57466 + t49464 / 0.3e1 + 0.2e2 * t49467 - t57469 - 0.24e2 * t57387 * t9879 * t146 + 0.6e1 * t1160 * t7954 + 0.3e1 * t237 * t57476 - 0.8e1 / 0.3e1 * t1164 * t57479 - 0.12e2 * t57416 * t397;
  t57487 = t10255 * t7953;
  t57490 = t9911 * t1177;
  t57493 = t9916 * t1177;
  t57504 = 0.6e1 * t53196;
  t57505 = 0.3e1 * t7170;
  t57506 = 0.8e1 * t57419 * t1913 + 0.22e2 / 0.3e1 * t1164 * t57487 - t7949 * t57490 / 0.3e1 - 0.2e2 * t7949 * t57493 + t47155 + 0.36e2 * t57378 * t1826 - 0.12e2 * t57392 * t10313 - 0.36e2 * t57384 * t424 + 0.5e2 / 0.3e1 * t57392 * t10316 + t57504 - t57505;
  t57518 = 0.14e2 * t49567 + 0.6e1 * t49569 - 0.6e1 * t49574 - t913 + t984 + 0.3e1 / 0.2e1 * t2251 * t237 * t57268 - t22 * t59 * (-0.11e2 / 0.3e1 * t1164 * t57272 - 0.6e1 * t237 * t57276 + t943 + 0.4e1 / 0.3e1 * t1164 * t57279 + 0.2e1 / 0.3e1 * t7949 * t57282 - 0.18e2 * t7957 * t1168 - 0.12e2 * t1160 * t7986 - t237 * t57348 - 0.3e1 * t237 * t57351 + 0.6e1 * t1160 * t7983 + t57381 + t57411 + t57433 + t57446 + t57462 + t57484 + t57506) * t96 / 0.4e1 + 0.4e1 / 0.3e1 * t6547 - 0.2e1 / 0.3e1 * t6555 - t6561 / 0.3e1 + 0.2e1 / 0.3e1 * t6576;
  t57527 = t7026 / 0.4e1;
  t57528 = 0.3e1 / 0.4e1 * t7044;
  t57530 = t3624 * t96 * t57267;
  t57553 = -0.2e1 * t6585 - t46829 - t46833 - 0.18e2 * t49618 + 0.7e1 / 0.3e1 * t49625 - 0.7e1 * t49629 - 0.3e1 / 0.2e1 * t49635 + 0.7e1 / 0.6e1 * t49644 + t57527 - t57528 - t2683 * t57530 / 0.2e1 + 0.7e1 * t49717 + 0.2e1 * t6641 - 0.2e1 * t6646 - 0.6e1 * t162 * t163 * t57060 * t9880 + 0.6e1 * t719 * t8080 + 0.2e1 * t106 * t109 * t57060 * t1445 * t139 - 0.2e1 * t8103 * t686 - 0.3e1 * t57141 * t344 + 0.2e1 * t8098 * t2476;
  t57561 = t320 * t137 * t57346;
  t57567 = t490 * t303 * t95 * t57346;
  t57570 = t1711 * t8051;
  t57578 = t490 * t2571 * t8050;
  t57584 = t1711 * t8046;
  t57586 = t9099 * t1149;
  t57593 = 0.3e1 / 0.4e1 * t53249;
  t57594 = -0.4e1 / 0.3e1 * t1135 * t8047 + t1140 * t57584 + 0.5e1 / 0.6e1 * t8089 * t57586 - 0.3e1 / 0.2e1 * t5172 * t1199 + t6714 - t6718 / 0.3e1 + 0.9e1 / 0.2e1 * t49921 - t57593 + t47272 - t47274 + t47275;
  t57599 = my_piecewise3(t3, 0, 0.2e1 / 0.3e1 * t52661 + 0.2e1 * t509 * t4935 * t57232 - 0.14e2 * t509 * t39797 * t8035 - 0.3e1 / 0.2e1 * t162 * t745 * t57248 - 0.11e2 / 0.2e1 * t509 * t4935 * t57253 - 0.3e1 * t162 * t4884 * t8042 - t162 * t745 * t57561 / 0.4e1 - 0.18e2 * t162 * t57123 * t9764 - 0.18e2 * t509 * t57108 * t9912 + 0.6e1 * t162 * t57108 * t9917 - 0.18e2 * t1565 * t57123 * t9777 + t57230 + 0.2e1 * t719 * t8043 + t233 * t57578 / 0.3e1 + 0.9e1 * t49768 + t57176 - 0.3e1 * t49102 + t57594 + t57046 + t57553 + t57127 + t57261 + 0.4e1 * t49770 + t57079 + 0.2e1 * t49557 + t233 * t57567 / 0.12e2 + t1135 * t5167 + 0.12e2 * t57141 * t502 + t1140 * t57570 / 0.3e1 + 0.3e1 / 0.2e1 * t8103 * t1150 - 0.7e1 / 0.3e1 * t8098 * t8057 + 0.5e1 / 0.3e1 * t57070 * t1429 - 0.3e1 * t5172 * t1194 - 0.6e1 * t57141 * t497 + 0.12e2 * t2509 * t8072 + 0.18e2 * t57070 * t1558 + t233 * t57242 / 0.2e1 + t57518);
  tv4lapl40 = 0.2e1 * rho[0] * t57599;

  if(out->v4lapl4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 0] += tv4lapl40;

  t57601 = t49963 / 0.2e1;
  t57602 = t303 * t40138;
  t57606 = t2571 * t8234;
  t57619 = t7935 * t230;
  t57620 = t96 * t57619;
  t57624 = t96 * t40513;
  t57645 = 0.3e1 / 0.2e1 * t49992;
  t57648 = t57601 + t52403 + t52404 - 0.3e1 * t13714 * t548 * t57602 - 0.3e1 / 0.2e1 * t3299 * t302 * t57606 + t854 * t8032 + t1677 * t41658 * t1198 - t1677 * t5243 * t8028 / 0.4e1 + 0.3e1 / 0.2e1 * t3015 * t18921 * t8260 + 0.2e1 / 0.3e1 * t3015 * t2294 * t57620 + 0.11e2 / 0.3e1 * t4531 * t10936 * t57624 + 0.28e2 / 0.3e1 * t4571 * t2169 * t40514 - 0.9e1 * t4277 * t3208 * t9911 * t40513 - 0.14e2 / 0.3e1 * t4571 * t2294 * t57624 + 0.9e1 * t4531 * t10733 * t1556 * t40513 + 0.3e1 * t4531 * t10775 * t57624 - t57645 - t23413 * t8357 / 0.3e1;
  t57649 = 0.3e1 / 0.2e1 * t50007;
  t57680 = -t57649 - 0.3e1 / 0.2e1 * t8089 * t14139 + t1135 * t5653 / 0.2e1 - t8089 * t14151 / 0.2e1 + 0.7e1 / 0.3e1 * t8089 * t14154 + 0.3e1 / 0.2e1 * t854 * t8080 + 0.3e1 / 0.2e1 * t14144 * t8117 - 0.3e1 * t2897 * t8120 + t3015 * t2169 * t57620 / 0.3e1 - t2988 * t12291 * t8260 - t52451 + t52452 + 0.3e1 / 0.2e1 * t5172 * t1274 + 0.7e1 * t4800 * t25176 + t866 * t39727 - 0.3e1 / 0.2e1 * t23037 * t1261 - 0.9e1 / 0.2e1 * t4800 * t2057 * t2507 * t3307 - t52453 + t52454;
  t57695 = t1427 * t7943;
  t57703 = t507 * t40138;
  t57717 = 0.3e1 / 0.2e1 * t854 * t8131 - 0.3e1 / 0.2e1 * t5658 * t1194 + t8098 * t2934 / 0.2e1 - 0.3e1 / 0.2e1 * t719 * t8251 + t8098 * t3373 / 0.2e1 + 0.12e2 * t13714 * t548 * t40139 - 0.18e2 * t1565 * t15262 * t1426 * t57695 - 0.6e1 * t13714 * t555 * t57602 + 0.18e2 * t14041 * t2057 * t57703 - 0.3e1 / 0.2e1 * t52457 + t57049 - t57050 + t46593 - t52481 + t52482 + 0.3e1 / 0.2e1 * t719 * t8219 - 0.3e1 / 0.4e1 * t719 * t8309 - t162 * t876 * t57561 / 0.4e1 - 0.5e1 / 0.36e2 * t8089 * t14842;
  t57755 = -0.28e2 * t39669 * t3331 + 0.47e2 / 0.3e1 * t39755 * t15363 - 0.3e1 / 0.2e1 * t2983 * t2324 * t57606 + t854 * t8043 / 0.2e1 + 0.22e2 / 0.3e1 * t14041 * t2233 * t57602 - 0.23e2 / 0.3e1 * t14041 * t2057 * t40139 - 0.11e2 / 0.6e1 * t2983 * t2233 * t57606 - 0.62e2 / 0.3e1 * t39755 * t15366 + t259 * t57242 / 0.2e1 - 0.3e1 * t49014 - t49037 - t52512 - t259 * t40911 / 0.12e2 - t1140 * t25006 / 0.4e1 - t233 * t42650 / 0.4e1 + 0.3e1 / 0.4e1 * t42655 * t248 + t40916 * t274 / 0.4e1 + 0.3e1 / 0.2e1 * t5658 * t1202 + 0.23e2 / 0.36e2 * t8089 * t14172;
  t57771 = t50085 / 0.2e1;
  t57772 = t42080 * t1147;
  t57776 = t40605 * t230;
  t57785 = t410 * t57772;
  t57792 = t1240 * t7935;
  t57796 = t8147 * t1147;
  t57808 = t943 - 0.18e2 * t13836 * t149 * t57772 + 0.6e1 * t3202 * t149 * t57776 + 0.6e1 * t4392 * t57398 + 0.4e1 / 0.3e1 * t3200 * t410 * t57776 - 0.28e2 / 0.3e1 * t13818 * t57785 + 0.2e1 / 0.3e1 * t13830 * t1837 * t57772 - t263 * t57348 - 0.8e1 / 0.3e1 * t810 * t1505 * t57792 + 0.9e1 * t3221 * t400 * t57796 - 0.3e1 * t806 * t400 * t57792 + 0.56e2 / 0.3e1 * t3226 * t1505 * t57796 - 0.3e1 * t263 * t57351;
  t57809 = t7953 * t230;
  t57822 = t63 * t7943;
  t57826 = t60 * t7943;
  t57830 = 0.18e2 * t50721;
  t57832 = 0.9e1 * t50727;
  t57836 = 0.22e2 / 0.3e1 * t810 * t10255 * t57809 + 0.4e1 * t810 * t1862 * t57792 - 0.11e2 * t810 * t10245 * t57809 + 0.18e2 * t3208 * t10255 * t57796 - 0.72e2 * t13762 * t1505 * t57822 + 0.24e2 * t13772 * t396 * t57826 + t57830 + 0.5e1 * t50725 - t57832 - t52908 + t52909 - t52910 - 0.2e1 / 0.3e1 * t13762 * t1566 * t57826 - t52911;
  t57846 = 0.12e2 * t50754;
  t57847 = t50760 / 0.6e1;
  t57865 = t5456 * t7952;
  t57872 = 0.6e1 * t50762;
  t57873 = t263 * t57453 / 0.2e1 + 0.1e2 / 0.3e1 * t13792 * t9906 * t57826 - 0.4e2 * t13762 * t1571 * t57826 - t57846 + t57847 + 0.36e2 * t13762 * t1505 * t57826 - 0.12e2 * t13792 * t9916 * t57826 + 0.5e2 / 0.3e1 * t13792 * t9911 * t57826 - 0.36e2 * t13772 * t405 * t57826 + 0.12e2 * t13775 * t145 * t57826 + 0.3e1 * t263 * t57476 - 0.11e2 / 0.3e1 * t13916 * t410 * t57865 + 0.22e2 * t13916 * t423 * t57865 + t57872;
  t57877 = 0.6e1 * t50802;
  t57879 = 0.1e2 * t50835;
  t57880 = 0.9e1 * t50841;
  t57881 = 0.3e1 * t50850;
  t57888 = -0.8e1 * t3200 * t423 * t57776 + t57877 - t962 - 0.1e2 / 0.3e1 * t50828 + t57879 - t57880 - t57881 + 0.8e1 / 0.3e1 * t13792 * t9911 * t57822 + 0.72e2 * t13772 * t405 * t57822 + t6881 - t6884 + t6888 + t7971 - t7972;
  t57891 = t50866 / 0.3e1;
  t57893 = 0.18e2 * t50885;
  t57894 = t7973 - t57891 + 0.9e1 * t49291 + t52974 - t52976 - t52977 + t52978 + t52979 - t57443 + t47016 - t47067 - t47074 + t57444 + t57893;
  t57915 = -t53108 - 0.6e1 * t263 * t57276 - 0.24e2 * t13775 * t145 * t57822 - 0.12e2 * t13772 * t396 * t57822 + 0.6e1 * t806 * t1868 * t57809 + 0.4e1 / 0.3e1 * t13762 * t1566 * t57822 - t3208 * t9911 * t57796 / 0.3e1 - t13792 * t9945 * t57822 / 0.9e1 - t6907 + t6914 - t6916 - t7989 - t6506 + t7990;
  t57944 = -0.6e1 * t49353 - 0.6e1 * t49378 - 0.4e1 / 0.3e1 * t13792 * t9906 * t57822 - 0.2e2 * t3208 * t9916 * t57796 + 0.8e1 * t13762 * t1571 * t57822 - 0.28e2 * t3226 * t1862 * t57796 + 0.56e2 * t13818 * t423 * t57772 - 0.36e2 * t13830 * t57785 + 0.4e1 * t13830 * t1829 * t57772 - 0.12e2 * t13833 * t149 * t57865 + t47120 - t47124 + 0.3e1 * t49400 + 0.12e2 * t49406;
  t57946 = 0.18e2 * t50936;
  t57948 = 0.2e1 * t50977;
  t57949 = 0.36e2 * t50985;
  t57954 = 0.5e1 / 0.3e1 * t50927 + t57946 - 0.18e2 * t49435 + t57466 + t53177 + t53178 - t57469 + t47155 + t57504 - t57948 - t57949 - 0.1e2 * t50989 + 0.24e2 * t13792 * t9916 * t57822 - t57505;
  t57983 = t1684 * t169 * t287 * t7935;
  t57990 = t50101 / 0.2e1;
  t57991 = -0.3e1 / 0.2e1 * t24478 * t1190 - t1140 * t24483 / 0.2e1 - 0.11e2 / 0.18e2 * t8089 * t14169 + t1140 * t24473 - t8103 * t848 / 0.2e1 - t52513 - t52514 - 0.14e2 * t2255 * t3226 * t1505 * t40513 + t57771 - t22 * t59 * (t57808 + t57836 + t57873 + t57888 + t57894 + t57915 + t57944 + t57954) * t96 / 0.4e1 - 0.6e1 * t162 * t14431 * t135 * t137 * t7943 - 0.3e1 / 0.4e1 * t5172 * t1269 - 0.3e1 / 0.2e1 * t5172 * t1266 - 0.43e2 / 0.9e1 * t14216 * t10526 * t57703 + 0.3e1 * t3039 * t555 * t57606 + 0.3e1 / 0.2e1 * t162 * t884 * t7956 * t1484 + t2683 * t57983 / 0.12e2 - 0.3e1 * t2251 * t806 * t1868 * t39707 - t57990;
  t57992 = 0.9e1 * t50107;
  t57993 = 0.9e1 / 0.2e1 * t50128;
  t58003 = 0.9e1 / 0.2e1 * t50179;
  t58005 = t96 * t39707;
  t58012 = t50195 / 0.2e1;
  t58013 = t50233 / 0.4e1;
  t58014 = 0.3e1 / 0.2e1 * t50252;
  t58015 = -t57992 + t50119 + t57993 + 0.3e1 * t18604 * t8255 + 0.3e1 / 0.2e1 * t2251 * t806 * t400 * t57619 + 0.3e1 / 0.2e1 * t2251 * t263 * t57268 - t52533 + t58003 + 0.5e1 / 0.6e1 * t50184 - 0.11e2 / 0.12e2 * t3015 * t10775 * t58005 + t52562 - t52563 - t54836 - 0.7e1 / 0.3e1 * t4571 * t2169 * t57624 - t58012 - t46787 - t52626 - t58013 - t58014;
  t58017 = t342 * t7943;
  t58027 = t1518 * t7943;
  t58039 = t884 * t7948;
  t58078 = t52647 - 0.18e2 * t509 * t15325 * t341 * t58017 - 0.6e1 * t9944 * t15235 * t9930 * t9935 * t7943 + 0.6e1 * t162 * t15235 * t9930 * t58027 - 0.2e1 * t14216 * t11249 * t57602 + 0.8e1 * t14216 * t10526 * t1563 * t40138 - 0.3e1 * t509 * t58039 * t1572 + 0.3e1 / 0.2e1 * t162 * t58039 * t1506 + 0.18e2 * t1565 * t15235 * t9930 * t9905 * t7943 - 0.18e2 * t509 * t15235 * t9930 * t57695 - 0.18e2 * t162 * t15262 * t1426 * t58017 - t8089 * t15244 / 0.2e1 + 0.7e1 / 0.3e1 * t8089 * t14358 - 0.3e1 / 0.2e1 * t8089 * t14362 + 0.3e1 / 0.2e1 * t1565 * t58039 * t1567 + 0.9e1 / 0.2e1 * t13061 * t8395 - 0.9e1 * t2509 * t8370 - 0.2e1 * t2251 * t810 * t1862 * t57619 - 0.14e2 * t22511 * t24189;
  t58091 = t2169 * t1675 * t8355;
  t58093 = 0.7e1 * t50307;
  t58094 = 0.3e1 * t50311;
  t58095 = 0.9e1 * t50316;
  t58096 = 0.3e1 / 0.2e1 * t50329;
  t58097 = t12291 * t8356;
  t58100 = 0.3e1 / 0.2e1 * t50335;
  t58104 = t50356 / 0.2e1;
  t58110 = t3624 * t169 * t287 * t7952;
  t58116 = 0.18e2 * t2255 * t3208 * t9916 * t40513 + 0.14e2 * t2251 * t3226 * t1862 * t40513 - 0.3e1 / 0.2e1 * t1677 * t41174 * t8061 - t23145 * t58091 - t52651 + t58093 + t58094 - t58095 - t58096 + t2683 * t58097 / 0.4e1 - t58100 - 0.5e1 / 0.2e1 * t50343 + t52661 / 0.2e1 + t57261 - 0.5e1 / 0.3e1 * t50354 - t58104 + t1677 * t5243 * t8042 / 0.2e1 - t2683 * t58110 / 0.6e1 - 0.11e2 / 0.6e1 * t3015 * t11150 * t58005;
  t58128 = t2169 * t8356;
  t58135 = 0.3e1 / 0.2e1 * t50374;
  t58136 = 0.3e1 / 0.4e1 * t50382;
  t58148 = 0.11e2 / 0.3e1 * t3015 * t39709 + 0.11e2 / 0.2e1 * t2251 * t810 * t10245 * t39707 - 0.3e1 / 0.4e1 * t13562 * t8352 + t23145 * t58128 / 0.4e1 - 0.4e1 / 0.3e1 * t3015 * t2169 * t500 * t57619 + t49557 - t58135 + t58136 + t52699 + t52700 - t52701 - t913 + t984 + 0.23e2 / 0.36e2 * t8089 * t15019 - 0.3e1 / 0.2e1 * t2509 * t8274 + 0.3e1 / 0.2e1 * t719 * t8277 - t1140 * t23559 / 0.2e1 - 0.11e2 / 0.18e2 * t8089 * t14416 + t1140 * t23539;
  t58158 = t1711 * t852 * t1148;
  t58163 = t1649 * t8288;
  t58166 = t50424 / 0.4e1;
  t58167 = t22727 * t1208;
  t58172 = t1637 * t2961 * t8019;
  t58190 = 0.3e1 / 0.4e1 * t50451;
  t58191 = t50457 / 0.4e1;
  t58192 = -0.3e1 / 0.2e1 * t854 * t8062 - t233 * t41235 / 0.4e1 + 0.3e1 / 0.4e1 * t5172 * t1283 + 0.3e1 / 0.2e1 * t2897 * t8036 - t1140 * t58158 + 0.23e2 / 0.12e2 * t2983 * t2057 * t40238 + t1140 * t58163 / 0.2e1 - t58166 - t866 * t555 * t58167 / 0.2e1 - t233 * t58172 / 0.6e1 - t259 * t57192 / 0.2e1 - t1140 * t25722 / 0.4e1 - 0.3e1 / 0.2e1 * t162 * t876 * t57248 - 0.3e1 / 0.4e1 * t5658 * t1199 - 0.61e2 / 0.27e2 * t14216 * t10649 * t57602 - 0.23e2 / 0.6e1 * t4531 * t10733 * t40514 + t58190 - t58191 + t6547;
  t58194 = 0.3e1 / 0.2e1 * t50490;
  t58195 = t50516 / 0.4e1;
  t58196 = 0.3e1 / 0.2e1 * t50524;
  t58200 = 0.9e1 * t50566;
  t58201 = 0.6e1 * t50578;
  t58202 = -t8013 - t8014 + t8015 - t8016 + t58194 - t46829 - t46833 - t52758 - t58195 + t58196 + 0.3e1 / 0.2e1 * t49625 - 0.9e1 / 0.2e1 * t49629 - t49635 + 0.3e1 / 0.4e1 * t49644 + t58200 - t58201 + t57527 - t57528 + t6756;
  t58203 = 0.3e1 / 0.2e1 * t50582;
  t58204 = t50588 / 0.2e1;
  t58214 = t50608 / 0.4e1;
  t58237 = t884 * t7944;
  t58247 = t58203 - t58204 - 0.9e1 * t2251 * t3208 * t10255 * t40513 + 0.5e1 / 0.2e1 * t50593 + t55295 - 0.9e1 / 0.2e1 * t2251 * t3221 * t400 * t40513 - t58214 + 0.5e1 / 0.12e2 * t50616 + 0.3e1 / 0.2e1 * t4538 * t1684 * t57624 + t2988 * t3624 * t58005 + 0.9e1 / 0.2e1 * t49717 + 0.5e1 / 0.6e1 * t4531 * t10733 * t57624 + 0.6e1 * t14041 * t2324 * t57602 + 0.36e2 * t509 * t15262 * t1426 * t58027 + 0.18e2 * t162 * t15325 * t341 * t404 * t7943 - 0.3e1 * t162 * t58237 * t1541 + 0.3e1 * t509 * t58237 * t1537 + t8098 * t2997 - 0.2e1 * t8098 * t2947;
  t58272 = 0.3e1 / 0.2e1 * t50664;
  t58273 = 0.5e1 / 0.12e2 * t50668;
  t58274 = -0.6e1 * t3039 * t548 * t40238 + 0.9e1 * t2509 * t8229 - 0.9e1 * t719 * t8375 + 0.3e1 * t2897 * t8072 - 0.3e1 * t854 * t8128 - 0.2e1 * t8098 * t2892 + t8098 * t2888 - 0.5e1 / 0.36e2 * t8089 * t15185 + 0.9e1 / 0.2e1 * t719 * t8379 - t854 * t8029 / 0.4e1 - t1135 * t8289 / 0.3e1 + t50662 - t58272 - t58273 + t8024 - t8025 + t6799 - t6802 - t6808;
  t58286 = t2294 * t8356;
  t58308 = -t6811 + t6815 - 0.11e2 / 0.2e1 * t2255 * t810 * t10255 * t39707 + 0.2e1 * t2255 * t810 * t1505 * t57619 + t52813 + t52814 + 0.3e1 / 0.2e1 * t2265 * t41174 * t8035 + t23145 * t58286 / 0.2e1 - 0.3e1 * t3015 * t19277 * t8349 + 0.9e1 / 0.2e1 * t19135 * t8257 - 0.9e1 / 0.2e1 * t18604 * t8361 + t6860 - t6864 - t6866 + 0.2e1 * t15115 * t302 * t57602 - t8103 * t886 / 0.2e1 + 0.9e1 / 0.2e1 * t719 * t8224 + t1135 * t5316 / 0.2e1 + 0.3e1 / 0.2e1 * t3039 * t548 * t57606;
  t58314 = 0.3e1 / 0.2e1 * t51038;
  t58315 = 0.9e1 / 0.2e1 * t51070;
  t58316 = 0.9e1 / 0.2e1 * t51079;
  t58329 = t1711 * t8288;
  t58345 = t259 * t57578 / 0.4e1 + t259 * t57567 / 0.12e2 + t58314 + t55472 - t55473 - t58315 + t58316 - t22 * t8009 * t288 / 0.4e1 + 0.44e2 / 0.27e2 * t14216 * t10526 * t40139 + 0.5e1 / 0.3e1 * t14041 * t2057 * t57602 - 0.5e1 / 0.12e2 * t2983 * t2057 * t57606 + t1140 * t58329 / 0.4e1 + t894 * t302 * t58167 / 0.2e1 + t259 * t56995 / 0.4e1 - t866 * t548 * t58167 / 0.4e1 - t2988 * t1684 * t57620 / 0.2e1 - t3006 * t57530 / 0.2e1 + t6946 - t6951;
  t58346 = 0.11e2 / 0.6e1 * t51154;
  t58347 = 0.23e2 / 0.12e2 * t51157;
  t58349 = 0.3e1 / 0.2e1 * t51176;
  t58354 = t490 * t2961 * t8050;
  t58358 = t490 * t23966 * t1148;
  t58370 = t51191 / 0.2e1;
  t58371 = 0.3e1 / 0.2e1 * t51195;
  t58372 = t8140 - t8141 - t58346 + t58347 + 0.3e1 * t49921 + t58349 + t51180 - t57593 + 0.3e1 / 0.4e1 * t3015 * t19277 * t8260 + t233 * t58354 / 0.12e2 + t233 * t58358 / 0.4e1 - 0.35e2 / 0.108e3 * t14216 * t10526 * t57602 - 0.38e2 / 0.9e1 * t14216 * t10653 * t57602 + 0.89e2 / 0.9e1 * t14216 * t10649 * t40139 + t58370 - t58371 + t47272 - t47274 + t47275;
  t58377 = my_piecewise3(t3, 0, t57648 + t57680 + t57717 + t57755 + t57991 + t58015 + t58078 + t58116 + t58148 + t58192 + t58202 + t58247 + t58274 + t58308 + t58345 + t58372);
  tv4lapl3tau0 = 0.2e1 * rho[0] * t58377;

  if(out->v4lapl3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 0] += tv4lapl3tau0;

  t58388 = t8640 * t230;
  t58389 = t96 * t58388;
  t58403 = 0.2e1 / 0.3e1 * t49963 + t48814 + t48815 + 0.47e2 / 0.3e1 * t22306 * t26610 - t5172 * t1365 / 0.4e1 + 0.3e1 * t13061 * t8514 - 0.6e1 * t2509 * t8519 - 0.5e1 / 0.6e1 * t3015 * t11150 * t58389 + t1140 * t26901 / 0.3e1 - t26906 * t1190 / 0.2e1 - t6136 * t1194 / 0.2e1 + t1297 * t23032 / 0.3e1 + t44265 * t248 / 0.2e1;
  t58408 = t169 * t42463;
  t58413 = t2961 * t8234;
  t58445 = t51558 - t51568 + t51570 - t51581 + t51588 + t51599 - t53030 + t53031 - t6237 - 0.12e2 * t26009 * t8223 - 0.4e1 * t265 * t8042 + 0.2e1 * t265 * t8028 - 0.4e1 * t39875 * t5752 - t57318 - 0.2e1 * t8257 - 0.8e1 * t26016 * t8228 + 0.16e2 / 0.9e1 * t26020 * t8394 - 0.2e1 * t5764 * t8028 - 0.8e1 * t8255;
  t58471 = -0.24e2 * t26016 * t8374 + 0.32e2 / 0.3e1 * t26020 * t8369 + 0.12e2 * t26020 * t8378 + 0.12e2 * t8361 + 0.4e1 * t5764 * t8042 + 0.12e2 * t26036 * t8223 + 0.4e1 / 0.3e1 * t39878 * t25984 + 0.24e2 * t25977 * t8374 - 0.12e2 * t25980 * t8378 + 0.2e2 / 0.9e1 * t39878 * t25971 + t57320 - t53072 + t53073 + t53074 + t53076 + t6225 - 0.12e2 * t5761 * t41349 + 0.8e1 * t5758 * t42454 - 0.4e1 * t5761 * t42554;
  t58472 = t58445 + t58471;
  t58478 = t42655 * t274 / 0.2e1 - t1140 * t26797 / 0.12e2 + t51227 + t3015 * t2294 * t58408 - t51252 - t6136 * t1199 / 0.4e1 - 0.5e1 / 0.18e2 * t2983 * t2057 * t58413 - 0.2e1 / 0.3e1 * t1297 * t57002 + t26300 * t8264 - t1292 * t8052 / 0.6e1 - 0.35e2 / 0.108e3 * t25787 * t10526 * t8235 + t1297 * t57570 / 0.6e1 + 0.5e1 / 0.3e1 * t25873 * t8246 + t259 * t490 * t303 * t95 * t58472 / 0.12e2;
  t58483 = t54500 / 0.6e1;
  t58487 = 0.2e1 / 0.3e1 * t54578;
  t58495 = -t233 * t42917 / 0.3e1 + t5658 * t1283 - t51263 + t58483 + t51265 - t51277 - 0.3e1 * t2251 * t5744 * t8254 - t58487 - 0.2e1 * t25787 * t11249 * t8235 - 0.2e1 * t49992 - 0.2e1 / 0.3e1 * t3015 * t19504 * t8660 - t51296 - t51306;
  t58503 = t54632 / 0.2e1;
  t58506 = t54643 / 0.3e1;
  t58515 = 0.18e2 * t1565 * t25812 * t9930 * t9905 * t1132 + 0.6e1 * t25873 * t8383 - t58503 - 0.62e2 / 0.3e1 * t25787 * t22337 + t58506 - 0.2e1 * t50007 - t51334 - t51366 - t48921 + t48929 - t51403 - 0.11e2 * t2255 * t5733 * t4971 - t162 * t5894 * t57006 - 0.2e1 * t719 * t8500;
  t58518 = t1304 * t1132;
  t58523 = t8444 * t230;
  t58543 = -t48951 + t48962 + t51407 - 0.3e1 / 0.2e1 * t2251 * t3221 * t400 * t58518 - t2251 * t810 * t1862 * t58523 - t1297 * t22986 / 0.12e2 - t1297 * t23040 / 0.6e1 - t5172 * t1360 / 0.2e1 + t5172 * t1368 / 0.2e1 - t23037 * t1352 / 0.2e1 - t233 * t44270 / 0.6e1 + t6136 * t1202 / 0.2e1 - t1140 * t26911 / 0.6e1;
  t58553 = t8444 * t1147;
  t58560 = t1684 * t169 * t1386 * t1147;
  t58568 = -0.2e1 * t24478 * t1261 + 0.2e1 * t5658 * t1274 + t854 * t8219 - t162 * t5901 * t1159 * t313 / 0.2e1 - t53427 + t52467 - t52469 + t46593 - t48980 + t48987 - t3006 * t3624 * t96 * t58553 / 0.3e1 + t2683 * t58560 / 0.12e2 - 0.11e2 / 0.6e1 * t26103 * t8261 + t3015 * t21610 * t8260 / 0.2e1;
  t58572 = t96 * t58518;
  t58590 = t5172 * t1356 / 0.2e1 + t54700 - t4571 * t2294 * t58572 - 0.6e1 * t25861 * t8398 + 0.2e1 * t5701 * t8296 + 0.22e2 / 0.3e1 * t25873 * t8403 - 0.4e1 * t5701 * t8318 + 0.2e1 * t2509 * t8471 + 0.12e2 * t25861 * t8400 - t5658 * t1269 - 0.2e1 * t5658 * t1266 - t49014 - t49038;
  t58594 = t5901 * t1163;
  t58610 = -t49044 - t49049 - t49052 + 0.2e1 * t13562 * t8670 + 0.2e1 / 0.3e1 * t50085 - t51462 - t51468 + t162 * t58594 * t516 / 0.2e1 - 0.38e2 / 0.9e1 * t25787 * t10653 * t8235 - 0.2e1 / 0.3e1 * t50101 - 0.12e2 * t50107 + 0.11e2 * t2251 * t5733 * t8360 + t3015 * t19277 * t8685 / 0.6e1 + t18604 * t8642;
  t58625 = t1304 * t7935;
  t58633 = 0.4e1 / 0.3e1 * t50119 + 0.6e1 * t50128 + t51480 - t51494 + t51498 - t49103 + 0.6e1 * t50179 + 0.4e1 / 0.3e1 * t50184 - t2983 * t2324 * t58413 + 0.15e2 / 0.2e1 * t26203 * t49720 + t3015 * t18921 * t8685 / 0.3e1 + t2251 * t263 * t1868 * t58625 / 0.2e1 + 0.6e1 * t2265 * t27520 * t8228;
  t58634 = t1304 * t7952;
  t58644 = t23966 * t1208;
  t58651 = t54805 / 0.6e1;
  t58658 = -0.3e1 / 0.2e1 * t2251 * t263 * t10240 * t58634 + t51513 - t51524 + t49123 - t49126 - 0.18e2 * t509 * t26475 * t8228 + t259 * t58358 / 0.3e1 + 0.2e1 / 0.3e1 * t894 * t302 * t58644 - 0.115e3 / 0.36e2 * t26203 * t10733 * t8349 + t58651 + 0.15e2 * t2255 * t5730 * t9916 * t4970 - 0.7e1 / 0.3e1 * t22511 * t25842 + t54813 + t51531;
  t58663 = t54842 / 0.2e1;
  t58673 = -t51533 - t53584 - 0.2e1 / 0.3e1 * t50195 - 0.6e1 * t2897 * t8370 - t58663 + 0.3e1 * t854 * t8379 + t51609 + t51615 - t51624 - t46787 - t866 * t548 * t58644 / 0.3e1 + 0.6e1 * t2509 * t8468 - 0.3e1 * t25861 * t8239;
  t58689 = t852 * t8234;
  t58703 = -t259 * t41235 / 0.6e1 - 0.3e1 / 0.2e1 * t2251 * t3208 * t10255 * t58518 + 0.55e2 / 0.18e2 * t26203 * t10936 * t8260 - t49168 - t50233 / 0.3e1 + t1140 * t26374 / 0.3e1 - t509 * t58594 * t512 / 0.2e1 + 0.14e2 / 0.3e1 * t2983 * t2233 * t58689 - 0.3e1 * t2983 * t2057 * t2895 * t8234 + 0.36e2 * t509 * t26160 * t8369 - t51658 - 0.2e1 * t50252 + t49526 - 0.2e1 * t18608 * t8668;
  t58734 = -t162 * t5882 * t8042 - 0.6e1 * t162 * t26128 * t8223 + t719 * t8488 / 0.2e1 - t1140 * t26077 / 0.12e2 - t233 * t42923 / 0.6e1 + 0.14e2 / 0.3e1 * t5687 * t2233 * t8317 - t5687 * t2324 * t8242 + 0.44e2 / 0.27e2 * t25787 * t10526 * t8364 - t854 * t8251 - t1140 * t26546 / 0.6e1 - t3006 * t3624 * t96 * t58625 / 0.6e1 - t49531 + t3015 * t21651 * t8260;
  t58740 = t54977 / 0.3e1;
  t58762 = -0.2e1 * t3015 * t41884 + 0.28e2 / 0.3e1 * t50307 + 0.4e1 * t50311 - 0.12e2 * t50316 - t58740 + t54988 + t162 * t5882 * t8028 / 0.2e1 + t1135 * t6037 / 0.3e1 + 0.2e1 * t3039 * t555 * t58413 - 0.4e1 * t3039 * t548 * t58689 + t5701 * t8243 - 0.2e1 / 0.3e1 * t866 * t555 * t58644 - 0.11e2 / 0.9e1 * t2983 * t2233 * t58413 - 0.18e2 * t1565 * t26160 * t8394;
  t58772 = -0.2e1 * t50329 + t51687 + t51692 - t51695 - 0.2e1 * t50335 - 0.4e1 * t50343 + t19135 * t8696 - t18604 * t8700 + t51713 - t51718 + t53975 + t52672 - t22 * t8213 * t288 / 0.2e1;
  t58799 = t14332 * t8356;
  t58802 = -t22 * t1183 * t1387 / 0.4e1 - 0.15e2 / 0.2e1 * t2251 * t5730 * t10255 * t4970 - 0.8e1 / 0.3e1 * t50354 - 0.2e1 / 0.3e1 * t50356 - 0.4e1 / 0.3e1 * t1297 * t57014 - 0.23e2 / 0.3e1 * t25873 * t8365 - 0.11e2 / 0.9e1 * t5687 * t2233 * t8242 - 0.61e2 / 0.27e2 * t25787 * t10649 * t8235 + 0.23e2 / 0.18e2 * t5687 * t2057 * t8317 + t49558 - 0.2e1 * t50374 - t55045 + 0.5e1 / 0.2e1 * t26203 * t10775 * t8260 + t2683 * t58799 / 0.6e1;
  t58823 = -0.2e1 / 0.3e1 * t2988 * t14332 * t8260 + t50382 + t49568 + t49569 - t49574 + t51773 + 0.3e1 * t1677 * t26383 * t8223 - t913 + t984 - 0.3e1 * t2255 * t3226 * t1505 * t58518 - 0.35e2 / 0.3e1 * t26203 * t49631 + t1292 * t8021 / 0.3e1 + 0.2e1 * t26172 * t8236;
  t58840 = t287 * t1132;
  t58841 = t169 * t58840;
  t58854 = t51803 - t50424 / 0.3e1 + 0.6e1 * t162 * t25812 * t9930 * t8368 - 0.11e2 / 0.3e1 * t26103 * t8346 - t51807 + t3006 * t15648 * t96 * t58634 / 0.2e1 + t4538 * t1684 * t58572 / 0.2e1 - t3006 * t58110 / 0.3e1 - t4538 * t2162 * t58841 + t1677 * t6175 * t8042 + t4571 * t2175 * t58841 - 0.2e1 * t13562 * t8645 - t13562 * t8672 + t2255 * t810 * t1505 * t58523;
  t58872 = t50451 - t50457 / 0.3e1 + t7617 + t6972 - t6973 - t6974 + t6975 - t6585 + 0.2e1 * t22508 * t51774 - t1677 * t6175 * t8028 / 0.2e1 - 0.5e1 / 0.18e2 * t4531 * t3935 * t58841 + 0.11e2 / 0.18e2 * t4531 * t10936 * t58572 - 0.23e2 / 0.36e2 * t4531 * t10733 * t500 * t58518;
  t58890 = -0.3e1 / 0.2e1 * t4277 * t3208 * t9911 * t58518 + 0.3e1 * t2255 * t3208 * t9916 * t58518 + 0.2e1 * t50490 - t46829 - t46833 - t49619 - t50516 / 0.3e1 + 0.2e1 * t50524 - 0.6e1 * t1677 * t27520 * t8374 - 0.11e2 / 0.9e1 * t4531 * t3931 * t58841 + t54157 - t54158 - t54159 + t54163;
  t58913 = 0.3e1 / 0.2e1 * t22511 * t27795 + 0.5e1 / 0.36e2 * t4531 * t10733 * t58572 + 0.3e1 * t21686 * t8257 + 0.3e1 * t10978 * t26982 * t8394 - 0.6e1 * t2265 * t26982 * t8369 + 0.3e1 * t1677 * t26982 * t8378 + 0.12e2 * t50566 - 0.8e1 * t50578 + t8017 - t8018 + t7649 + 0.2e1 * t50582 - 0.2e1 / 0.3e1 * t50588;
  t58919 = t1675 * t58840;
  t58938 = t55280 / 0.6e1;
  t58950 = t4531 * t10775 * t58572 / 0.2e1 - t4531 * t2169 * t58841 + 0.14e2 / 0.3e1 * t4531 * t3931 * t58919 + t259 * t490 * t22727 * t1305 / 0.12e2 + t259 * t490 * t2571 * t8445 / 0.6e1 - 0.3e1 * t509 * t5894 * t57253 + t1135 * t5903 / 0.6e1 + t3039 * t548 * t58413 + t58938 - 0.18e2 * t162 * t26160 * t8378 - t51880 - 0.18e2 * t509 * t25812 * t9930 * t8393 + 0.4e1 * t50593 + 0.89e2 / 0.9e1 * t25787 * t10649 * t8364;
  t58980 = t54196 / 0.3e1 - t50608 / 0.3e1 + 0.2e1 * t21470 * t8255 - t2988 * t12291 * t8685 / 0.3e1 - t3006 * t30026 * t8689 / 0.3e1 + 0.2e1 / 0.3e1 * t50616 + 0.2e1 * t4571 * t2182 * t58841 + 0.2e1 * t1677 * t6172 * t42454 + t54214 + 0.22e2 / 0.3e1 * t26103 * t8350 + 0.5e1 / 0.2e1 * t2251 * t810 * t10245 * t58388 - t15274 * t8352 / 0.2e1 + 0.2e1 / 0.3e1 * t2988 * t19296 * t8660;
  t59010 = -0.5e1 / 0.18e2 * t5687 * t2057 * t8242 - 0.2e1 / 0.3e1 * t2988 * t1684 * t58408 - 0.2e1 * t2632 * t43825 + t51925 + t51940 + t3015 * t2169 * t58408 / 0.2e1 - t7784 - t162 * t876 * t320 * t137 * t58472 / 0.4e1 - t3299 * t302 * t58413 - t1297 * t57195 + 0.2e1 * t1297 * t57199 + t509 * t5894 * t57232 + 0.3e1 * t2265 * t5967 * t42554 - 0.3e1 * t1677 * t5967 * t41349;
  t59020 = 0.4e1 / 0.3e1 * t50662 - 0.2e1 * t50664 - 0.5e1 / 0.9e1 * t50668 + 0.23e2 / 0.18e2 * t4531 * t3935 * t58919 + t6641 - t6646 + t51949 - t51960 + t6798 - t7804 - t6807 - t6810 + t7805;
  t59021 = t96 * t58523;
  t59045 = t3015 * t2169 * t59021 / 0.6e1 + t49769 + t49771 - t4571 * t2169 * t58572 / 0.2e1 + t3006 * t57983 / 0.6e1 - 0.5e1 / 0.2e1 * t2255 * t810 * t10255 * t58388 - t51984 - t1677 * t43701 * t1198 / 0.4e1 + 0.25e2 / 0.36e2 * t26203 * t10733 * t8260 - 0.5e1 / 0.12e2 * t3015 * t10775 * t58389 + t7831 - t7832 - t7833 - t1292 * t8047 / 0.3e1;
  t59074 = -t5694 * t8299 + 0.3e1 * t854 * t8224 - t259 * t58172 / 0.3e1 + 0.6e1 * t2897 * t8229 - 0.6e1 * t854 * t8375 + 0.8e1 * t25787 * t10526 * t1563 * t8234 + 0.3e1 * t14144 * t8395 - 0.3e1 * t4531 * t3935 * t2263 * t58840 + t3006 * t58097 / 0.3e1 - t3015 * t19269 * t8660 / 0.3e1 + t3015 * t2294 * t59021 / 0.3e1 + t52012 + t52020;
  t59097 = -0.6e1 * t9944 * t25812 * t9930 * t9935 * t1132 + t52022 - t52024 + 0.2e1 * t51038 + t54329 / 0.3e1 - t54341 + 0.5e1 / 0.3e1 * t2632 * t44016 - 0.6e1 * t51070 + 0.6e1 * t51079 + 0.18e2 * t162 * t26475 * t8374 - 0.6e1 * t719 * t8538 - 0.28e2 * t22311 * t27653 + 0.3e1 * t719 * t8542 - t854 * t8309 / 0.2e1;
  t59129 = 0.4e1 / 0.3e1 * t866 * t41896 + 0.23e2 / 0.18e2 * t2983 * t2057 * t58689 - 0.3e1 * t5687 * t2057 * t2507 * t1208 - 0.43e2 / 0.9e1 * t25787 * t10526 * t8389 + t259 * t58354 / 0.6e1 + 0.3e1 * t162 * t5894 * t57203 - t1297 * t57186 / 0.2e1 + 0.2e1 / 0.3e1 * t1297 * t57010 + 0.2e1 / 0.3e1 * t1140 * t26642 - t2897 * t8274 + t854 * t8277 - t1140 * t26638 / 0.3e1 + t1135 * t6131 / 0.6e1;
  t59154 = t1292 * t5167 / 0.6e1 - t259 * t42650 / 0.6e1 - t1140 * t26415 / 0.6e1 + t52061 + t1297 * t56998 / 0.3e1 + t719 * t8463 + 0.3e1 * t719 * t8459 - 0.3e1 * t21470 * t8361 - 0.15e2 / 0.2e1 * t4277 * t5730 * t9911 * t4970 + 0.2e1 / 0.3e1 * t2988 * t3624 * t58389 - 0.2e1 * t2251 * t806 * t1868 * t58388 + t7886 - t7888 + t7265;
  t59180 = -t7266 + 0.3e1 * t2251 * t3226 * t1862 * t58518 - 0.22e2 / 0.9e1 * t51154 + 0.23e2 / 0.9e1 * t51157 - 0.4e1 * t22508 * t51985 + t49921 + t18604 * t8637 - 0.2e1 / 0.3e1 * t2632 * t43561 + t2251 * t806 * t400 * t58523 + t2251 * t263 * t1868 * t58553 - 0.2e1 / 0.3e1 * t2632 * t44732 + 0.4e1 / 0.3e1 * t2632 * t43467 - t2988 * t1684 * t59021 / 0.3e1;
  t59188 = t490 * t26615 * t1148;
  t59195 = t55910 / 0.3e1;
  t59196 = 0.2e1 / 0.3e1 * t55532;
  t59197 = 0.4e1 * t55545;
  t59198 = 0.4e1 * t55551;
  t59212 = t1336 * t1132;
  t59216 = t8556 * t230;
  t59240 = t59196 + t59197 + t59198 - 0.4e1 * t1319 * t7986 + t943 + t52102 + 0.36e2 * t27204 * t8148 - 0.12e2 * t27225 * t9916 * t8147 + t52104 + 0.8e1 / 0.3e1 * t27225 * t9911 * t8169 + 0.24e2 * t27225 * t9916 * t8169 + 0.3e1 * t3221 * t400 * t59212 + 0.2e1 * t810 * t1862 * t59216 + 0.8e1 * t27204 * t8173 - 0.2e1 * t806 * t400 * t59216 - 0.1e2 / 0.3e1 * t3208 * t9916 * t59212 - 0.4e1 / 0.3e1 * t27225 * t9906 * t8169 - 0.5e1 / 0.18e2 * t5730 * t9911 * t8185 + 0.4e1 * t3226 * t1505 * t59212 - t3208 * t9911 * t59212 / 0.18e2;
  t59245 = t5836 * t1132;
  t59266 = -t49183 + t55607 - 0.16e2 * t50754 + 0.2e1 / 0.9e1 * t50760 + 0.8e1 * t50762 - 0.36e2 * t27195 * t8162 - 0.2e1 / 0.3e1 * t27204 * t8159 + t52155 - t52157 + t263 * t400 * t60 * t58472 / 0.2e1 + 0.2e1 * t1323 * t57458;
  t59285 = t44318 * t230;
  t59292 = t410 * t59245;
  t59311 = 0.1e2 / 0.3e1 * t27156 * t1829 * t8189 + 0.8e1 * t50802 - t962 - 0.6e1 * t13830 * t59292 - 0.16e2 / 0.3e1 * t50828 + 0.4e2 / 0.3e1 * t50835 - 0.12e2 * t50841 - 0.4e1 * t50850 - t52195 + t7690 - t7691;
  t59324 = 0.2e1 * t55685;
  t59330 = -0.4e1 / 0.9e1 * t50866 + t53707 + t49293 - t49297 - t49300 + t49303 + t49307 - t52984 + t47016 - t47067 - t47074;
  t59337 = 0.4e1 / 0.3e1 * t55728;
  t59343 = t7747 - t7748 - t7124 - t7125 + t7126 + t52248 - t52254 - t52261 - t53740 - t52263 + t52271;
  t59345 = 0.2e1 * t55746;
  t59346 = 0.2e1 * t55750;
  t59379 = 0.4e1 * t55772;
  t59385 = -t27225 * t9945 * t8169 / 0.9e1 - 0.12e2 * t27359 * t8193 + 0.5e1 / 0.9e1 * t27156 * t1837 * t8189 - 0.22e2 / 0.3e1 * t27117 * t8196 - t59379 + 0.44e2 * t27117 * t8190 + t47120 - t47124 + t49400 + t53770 - 0.4e1 / 0.3e1 * t810 * t1505 * t59216;
  t59419 = 0.2e1 * t55792;
  t59420 = -0.4e1 / 0.3e1 * t1323 * t57479 + 0.4e1 * t1323 * t57487 + 0.2e1 * t1319 * t7954 - 0.6e1 * t1323 * t57413 + 0.12e2 * t27200 * t8165 + t53166 + t49465 + t49468 - t53179 + t47155 + t59419;
  t59449 = -t52344 + t52348 + t52350 - t52356 - t8006 - 0.72e2 * t27204 * t8176 - 0.24e2 * t27200 * t8182 + 0.12e2 * t1323 * t57365 - 0.2e1 * t1323 * t57272 + 0.4e1 / 0.3e1 * t27204 * t8201 + 0.6e1 * t5744 * t8198;
  t59458 = 0.2e1 * t51176 + 0.4e1 / 0.3e1 * t51180 - t53250 + t1297 * t57584 / 0.3e1 + 0.18e2 * t25873 * t8390 + t233 * t59188 / 0.12e2 - t719 * t8497 / 0.2e1 + 0.2e1 / 0.3e1 * t51191 - 0.2e1 * t51195 - t59195 + t47272 - t47274 + t47275 - t22 * t59 * (-t53783 - t53741 + 0.2e1 * t4392 * t149 * t5836 * t7935 + 0.3e1 * t263 * t10240 * t1336 * t7952 - t263 * t400 * t63 * t58472 - 0.2e1 * t263 * t1868 * t8556 * t1147 - t263 * t1868 * t1336 * t7935 - 0.6e1 * t20585 * t149 * t5836 * t7952 + 0.4e1 * t4392 * t149 * t44318 * t1147 + t53197 - t52312 - t52307 + t52129 + t52122 - 0.16e2 * t50989 - 0.48e2 * t50985 - 0.8e1 / 0.3e1 * t50977 + 0.24e2 * t50936 + 0.8e1 / 0.3e1 * t50927 + 0.24e2 * t50885 + 0.1e2 / 0.3e1 * t27225 * t9906 * t8147 + 0.5e2 / 0.3e1 * t27225 * t9911 * t8147 + 0.1e2 * t13916 * t16699 * t58388 - 0.6e1 * t13836 * t149 * t59245 + 0.4e1 * t13833 * t149 * t58388 + 0.1e2 / 0.3e1 * t13916 * t410 * t58388 + 0.2e1 / 0.3e1 * t3200 * t410 * t59285 + t13830 * t1837 * t59245 / 0.9e1 - 0.5e1 * t13916 * t423 * t58388 + 0.2e1 / 0.3e1 * t13830 * t1829 * t59245 + 0.12e2 * t13818 * t423 * t59245 + 0.15e2 * t5730 * t10255 * t8185 - 0.6e1 * t3226 * t1862 * t59212 + 0.3e1 * t3208 * t10255 * t59212 - 0.5e2 / 0.3e1 * t5730 * t9916 * t8185 - 0.4e1 * t3200 * t423 * t59285 + 0.4e1 * t3202 * t149 * t59285 - 0.8e1 * t13833 * t16695 * t58388 - 0.5e1 / 0.3e1 * t13916 * t16690 * t58388 + t59420 + t59266 + t7720 - 0.12e2 * t50727 + t59330 + 0.44e2 / 0.3e1 * t5733 * t8205 - 0.2e1 * t13818 * t59292 - 0.3e2 * t27156 * t8196 + 0.72e2 * t27195 * t8170 - t1319 * t7937 - 0.4e2 * t27204 * t8153 + t49177 - t49179 - t7745 - t7746 - t49173 + t7110 - 0.22e2 * t5733 * t8186 - 0.4e1 * t1323 * t57362 - 0.12e2 * t27195 * t8208 + 0.2e1 * t1319 * t7983 + 0.24e2 * t27195 * t8156 + 0.2e1 / 0.3e1 * t1323 * t57279 + t59311 + t59449 + t59240 + t59385 + t7099 - t7100 + t7101 + t59343 + 0.8e1 * t50725 - t49329 - t59345 - t59346 - t59324 - t59337 + 0.24e2 * t50721 + t7692) * t96 / 0.4e1;
  t59464 = my_piecewise3(t3, 0, t58980 + t58478 + t58403 + t58515 + t58762 + t59097 + t58703 + t58772 + t58950 + t58568 + t58495 + t58590 + t59020 + t58872 + t58658 + t59129 + t59074 + t58823 + t59010 + t58802 + t59180 + t58913 + t58854 + t58673 + t58633 + t58543 + t58610 + t58734 + t59154 + t59045 + t59458 + t58890);
  tv4lapl2tau20 = 0.2e1 * rho[0] * t59464;

  if(out->v4lapl2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 0] += tv4lapl2tau20;

  t59493 = t57601 - 0.7e1 * t3930 * t45681 + t3006 * t12291 * t9015 / 0.4e1 + t3006 * t1684 * t169 * t287 * t8444 / 0.4e1 - 0.9e1 / 0.2e1 * t4277 * t5730 * t9911 * t8635 + 0.9e1 * t2255 * t5730 * t9916 * t8635 + 0.9e1 / 0.2e1 * t10978 * t45161 * t8513 - 0.9e1 * t2265 * t45161 * t8518 - 0.3e1 / 0.2e1 * t2265 * t45557 * t1260 - t55944 + t55947 - t55953;
  t59495 = t169 * t9014 * t230;
  t59516 = t3015 * t2294 * t59495 / 0.2e1 + 0.3e1 / 0.2e1 * t2265 * t5967 * t43796 - 0.3e1 / 0.2e1 * t1677 * t5967 * t43890 - 0.3e1 / 0.2e1 * t26105 * t11150 * t8689 + t2632 * t45563 + 0.3e1 / 0.2e1 * t21470 * t8637 - 0.9e1 / 0.2e1 * t3930 * t45424 - 0.3e1 / 0.2e1 * t1677 * t45565 * t1265 - t55971 + t58483 + t55972 - t55973 - t58487;
  t59540 = -t57645 + 0.3e1 / 0.2e1 * t1677 * t6172 * t44206 + 0.3e1 / 0.2e1 * t1677 * t6175 * t44020 - t55996 - t55998 - t58503 + 0.4e1 * t8934 * t8069 - 0.23e2 / 0.3e1 * t45286 * t8528 + 0.36e2 * t509 * t45391 * t8518 - 0.18e2 * t162 * t45391 * t8541 - 0.18e2 * t509 * t45243 * t9930 * t8512 + 0.9e1 * t2897 * t8468;
  t59579 = t59196 + t59197 + t59198 + 0.6e1 * t5744 * t8615 + 0.4e1 * t1319 * t8618 + 0.32e2 / 0.3e1 * t5733 * t8583 - 0.6e1 * t1323 * t1862 * t8579 - 0.1e2 * t5730 * t9916 * t8582 + t943 + t56769 + t56770 + 0.32e2 * t27117 * t8574 + 0.18e2 * t38792 * t423 * t8595 - 0.2e1 * t1323 * t1505 * t8556 - 0.12e2 * t46229 * t9916 * t1240 + 0.36e2 * t46242 * t8548 + t56796 + t56797;
  t59592 = t8850 * t230;
  t59616 = t56072 - t56073 + t56074 - 0.12e2 * t45082 * t8541 + 0.2e1 * t265 * t8496 - 0.12e2 * t45025 * t1265 - 0.4e1 * t1334 * t1198 - 0.4e1 * t45088 * t1260 - 0.4e1 / 0.3e1 * t1331 * t8035 + 0.2e2 / 0.9e1 * t45082 * t8513 + 0.4e1 / 0.3e1 * t45082 * t8518;
  t59627 = 0.24e2 * t45088 * t1273 + 0.8e1 * t1331 * t8061 - t56075 + t56076 + t56077 - 0.4e1 * t8637 - 0.4e1 * t8642 - t48843 + t48847 - t6237 - 0.24e2 * t45034 * t1273 + 0.32e2 / 0.3e1 * t45030 * t8518;
  t59635 = -0.2e1 / 0.3e1 * t8696 + 0.12e2 * t45030 * t8541 + 0.4e1 * t8700 + 0.16e2 / 0.9e1 * t45030 * t8513 - t53057 - t56098 + t53067 - t48865 + t48867 + t48876 + t48882;
  t59656 = t6225 - 0.4e1 * t5761 * t43890 + 0.4e1 * t5758 * t44206 + 0.4e1 * t5764 * t44020 - 0.4e1 / 0.3e1 * t5761 * t43796 - 0.2e1 * t5764 * t8496 - 0.8e1 * t45057 * t8061 + 0.12e2 * t45064 * t1265 + 0.4e1 * t45067 * t1198 - 0.8e1 * t45034 * t1260 - 0.8e1 / 0.3e1 * t45057 * t8035 + t56135;
  t59658 = t59616 + t59627 + t59635 + t59656;
  t59667 = t57830 + 0.6e1 * t50725 - t57832 - t263 * t1868 * t8850 * t1147 + t8838 * t57282 / 0.3e1 - t46229 * t9945 * t1229 / 0.9e1 + 0.6e1 * t1323 * t10255 * t8617 - t806 * t400 * t59592 - 0.2e1 / 0.3e1 * t810 * t1505 * t59592 + 0.4e1 / 0.3e1 * t46242 * t8622 + t263 * t400 * t60 * t59658 / 0.2e1 + t55607 + 0.3e1 * t8845 * t1178 - 0.2e1 * t1319 * t8557 - t57846 + t57847 + t57872 + t56805 - t56806;
  t59675 = 0.2e1 * t1829 * t27156 * t8573 + 0.12e2 * t1244 * t46371 - 0.4e1 * t50828 + t56807 - t56808 - t56818 + t57877 + t57879 - t57880 - t57881 - t59324 + t6469 - t6471 + t6473 + t8866 - t8867 + t8868 - t962;
  t59692 = t46167 * t230;
  t59696 = -0.4e2 * t46242 * t8563 - 0.1e2 * t8838 * t57493 + 0.1e2 / 0.3e1 * t46229 * t9906 * t1240 - t57891 + t47016 + t56856 - t47067 - t47074 + t7111 - t263 * t400 * t63 * t59658 + 0.4e1 * t1319 * t8580 - 0.12e2 * t8834 * t7966 + 0.9e1 * t8838 * t57407 + t3200 * t410 * t59692 / 0.3e1 + t7719 + t57893 - t59337 - t8870 - t6906;
  t59712 = t8871 - t8872 - t6501 - t6507 + t6517 + t56896 - t56897 - t56898 - t56899 + t56900 - 0.36e2 * t46310 * t1248 - 0.2e1 / 0.3e1 * t46242 * t8560 - t8838 * t57490 / 0.6e1 + 0.24e2 * t46310 * t1241 + 0.8e1 * t8834 * t7940 + 0.5e2 / 0.3e1 * t46229 * t9911 * t1240 - t59345 - t59346;
  t59721 = t1240 * t8737;
  t59740 = t46196 * t230;
  t59756 = -0.2e1 * t263 * t1868 * t1336 * t8444 - 0.24e2 * t46371 * t1230 - 0.6e1 * t8845 * t1168 + 0.4e1 / 0.3e1 * t810 * t10255 * t59721 + 0.72e2 * t46310 * t1237 + 0.24e2 * t8834 * t7975 + 0.2e1 * t8838 * t57370 - 0.18e2 * t8838 * t57359 + 0.8e1 / 0.3e1 * t46229 * t9911 * t1229 - t59379 + 0.2e1 * t4392 * t149 * t46167 * t1147 - 0.2e1 / 0.3e1 * t13916 * t410 * t59740 - 0.12e2 * t27359 * t8602 - 0.8e1 * t38874 * t8596 + t47120 - t47124 - 0.2e1 * t3200 * t423 * t59692 + 0.4e1 * t13916 * t423 * t59740 - 0.18e2 * t27156 * t8599;
  t59803 = -0.4e1 * t13833 * t149 * t59740 - 0.6e1 * t20585 * t149 * t46196 * t1147 + 0.4e1 * t4392 * t149 * t5836 * t8444 + 0.2e1 * t50927 + t57946 - 0.72e2 * t46242 * t8610 - t5730 * t9911 * t8582 / 0.6e1 - 0.12e2 * t46310 * t1233 - 0.4e1 * t8834 * t7980 + t47155 + 0.3e1 * t1323 * t1862 * t8556 + t59419 - 0.2e1 * t810 * t10245 * t59721 + 0.9e1 * t5730 * t10255 * t8582 + 0.24e2 * t46229 * t9916 * t1229 + t1323 * t1505 * t8579 + 0.2e1 * t806 * t1868 * t59721 + 0.3e1 * t263 * t10240 * t8841 * t1147 - 0.9e1 * t1323 * t10245 * t8617;
  t59825 = -t56961 + 0.2e1 * t3202 * t149 * t59692 - t57948 - t57949 - 0.12e2 * t50989 - t56970 - t56971 + 0.8e1 * t46242 * t8607 + t810 * t1862 * t59592 - 0.4e1 / 0.3e1 * t46229 * t9906 * t1229 - 0.16e2 * t5733 * t8613 - t56972 + t56973 + t56974 - t56975 - t7170 - 0.16e2 / 0.3e1 * t27117 * t8599 - 0.3e1 * t38792 * t410 * t8595 + t27156 * t1837 * t8573 / 0.3e1;
  t59847 = t8782 * t230;
  t59852 = 0.3e1 * t2897 * t8471 - 0.9e1 / 0.2e1 * t2590 * t45456 + 0.3e1 / 0.2e1 * t2509 * t8829 + 0.3e1 / 0.2e1 * t509 * t5894 * t1648 * t342 * t8444 - 0.6e1 * t5701 * t8503 - t22 * t59 * (t59579 + t59667 + t59675 + t59696 + t59712 + t59756 + t59803 + t59825) * t96 / 0.4e1 + t58506 + 0.9e1 / 0.2e1 * t1677 * t45876 * t1265 + 0.3e1 / 0.2e1 * t1677 * t45632 * t1198 - 0.3e1 * t2251 * t5744 * t8636 - 0.2e1 * t2251 * t1319 * t8641 + 0.16e2 / 0.3e1 * t3917 * t44987 + t2251 * t806 * t400 * t59847 / 0.2e1;
  t59855 = t8782 * t1147;
  t59881 = t2251 * t263 * t1868 * t59855 / 0.2e1 - t2632 * t45615 / 0.3e1 + 0.3e1 / 0.2e1 * t1677 * t45557 * t1273 + 0.3e1 / 0.2e1 * t21686 * t8696 - 0.3e1 / 0.2e1 * t21470 * t8700 - 0.3e1 * t21519 * t8668 - t57649 - t1292 * t8425 / 0.3e1 - t1292 * t8447 / 0.3e1 - t1297 * t25722 / 0.4e1 + 0.2e1 * t45436 * t1210 + t8919 * t1150 / 0.2e1;
  t59914 = t1292 * t5316 / 0.2e1 + t1297 * t1711 * t8424 / 0.4e1 + t1297 * t1711 * t8446 / 0.4e1 + t259 * t490 * t23966 * t1305 / 0.4e1 + t259 * t490 * t2961 * t8445 / 0.4e1 + t259 * t490 * t2571 * t8783 / 0.12e2 + t259 * t490 * t303 * t95 * t59658 / 0.12e2 - t1297 * t23559 / 0.2e1 - t259 * t42917 / 0.2e1 - t259 * t42923 / 0.4e1 + t1297 * t23539 - t56044 - t56048;
  t59942 = -0.3e1 / 0.4e1 * t1677 * t45569 * t1198 + 0.9e1 / 0.2e1 * t3930 * t45692 + 0.9e1 * t2265 * t45165 * t1260 + 0.3e1 * t2265 * t45418 * t8035 - t56050 + t56051 - 0.3e1 / 0.4e1 * t22 * t8628 * t288 + t46593 + 0.3e1 * t26105 * t10775 * t500 * t8640 - 0.4e1 / 0.3e1 * t26103 * t8693 - 0.3e1 / 0.4e1 * t26105 * t10775 * t8689 + t54700 - 0.6e1 * t509 * t45213 * t8035;
  t59965 = -0.6e1 * t162 * t45264 * t1265 - 0.3e1 / 0.2e1 * t162 * t45142 * t1198 + 0.6e1 * t162 * t45243 * t9930 * t8517 - 0.62e2 / 0.3e1 * t44905 * t12716 + 0.8e1 * t44905 * t12713 + 0.9e1 / 0.2e1 * t14144 * t8514 - 0.9e1 * t2897 * t8519 + 0.9e1 / 0.2e1 * t854 * t8542 - t56071 + t57771 - t56148 - t51467 + 0.2e1 / 0.3e1 * t2632 * t45843;
  t59970 = t169 * t1386 * t230;
  t59995 = -t3015 * t2175 * t59970 / 0.4e1 - 0.6e1 * t26103 * t8665 - 0.2e1 * t26105 * t58091 - t57990 - t57992 + t3015 * t2169 * t59495 / 0.4e1 - t2988 * t1684 * t59495 / 0.2e1 - t3006 * t3624 * t169 * t9014 * t1147 / 0.2e1 + t50119 - 0.3e1 / 0.2e1 * t5658 * t1360 + 0.3e1 / 0.2e1 * t719 * t8947 + 0.3e1 * t2509 * t8951;
  t60014 = t1297 * t24473 + 0.7e1 / 0.3e1 * t8912 * t13051 - t8912 * t13048 / 0.2e1 + 0.23e2 / 0.36e2 * t8912 * t13020 - 0.11e2 / 0.18e2 * t8912 * t13073 - 0.2e1 * t8934 * t2504 - 0.3e1 * t2509 * t8962 + t8934 * t2500 + 0.3e1 / 0.2e1 * t13061 * t8959 + 0.3e1 / 0.2e1 * t5658 * t1368 + t57993 + t51479 - t56204;
  t60036 = t56205 + t58003 + t50184 - 0.3e1 / 0.4e1 * t22 * t1251 * t1387 - t22 * t243 * t8994 / 0.4e1 - 0.3e1 / 0.2e1 * t24478 * t1352 + 0.3e1 / 0.2e1 * t719 * t8974 - 0.3e1 / 0.2e1 * t8912 * t13055 - t259 * t44270 / 0.4e1 - t1297 * t24483 / 0.2e1 - t233 * t46532 / 0.12e2 + t45675 * t248 / 0.4e1;
  t60057 = 0.3e1 / 0.4e1 * t44265 * t274 - t8919 * t686 / 0.2e1 - 0.3e1 * t719 * t8970 + t56233 - t51523 + 0.11e2 / 0.6e1 * t8912 * t57026 - 0.61e2 / 0.27e2 * t44905 * t10649 * t1209 - 0.6e1 * t45750 * t1218 - 0.2e1 * t8934 * t8065 + 0.22e2 / 0.3e1 * t45286 * t8525 + t719 * t8825 + t162 * t5882 * t8496 + t58651;
  t60068 = t54813 + t56248 - t56251 + t56255 - 0.3e1 / 0.4e1 * t53584 - t58012 - t58663 + t56278 + t51614 - t56284 + 0.5e1 / 0.12e2 * t26203 * t10733 * t8685 - 0.9e1 / 0.2e1 * t2251 * t5730 * t10255 * t8635;
  t60095 = t96 * t59847;
  t60106 = 0.9e1 / 0.2e1 * t1677 * t45161 * t8541 + 0.3e1 / 0.2e1 * t26203 * t10775 * t8685 + t2988 * t21164 * t8660 + t3006 * t58799 / 0.2e1 - t3015 * t21213 * t8660 / 0.2e1 - t2988 * t14332 * t8685 / 0.2e1 - t3006 * t32489 * t8689 / 0.2e1 + t3015 * t21610 * t8685 / 0.4e1 - t46787 - 0.9e1 / 0.2e1 * t2255 * t1323 * t10255 * t8640 - t2988 * t1684 * t60095 / 0.6e1 - t3006 * t3624 * t96 * t59855 / 0.6e1 + t3015 * t2169 * t60095 / 0.12e2;
  t60114 = t8737 * t230;
  t60129 = -0.3e1 / 0.2e1 * t26300 * t8680 - t26285 * t8357 / 0.2e1 + 0.3e1 / 0.2e1 * t26103 * t8677 - t2255 * t810 * t10255 * t60114 + t2251 * t810 * t10245 * t60114 - 0.3e1 / 0.4e1 * t13562 * t9011 - 0.3e1 / 0.4e1 * t1677 * t6175 * t8496 - 0.8e1 / 0.3e1 * t26103 * t8703 - t58013 - t2632 * t44881 - t56290 - t56293 - t58014;
  t60150 = -0.2e1 * t1297 * t58158 + 0.23e2 / 0.12e2 * t5687 * t2057 * t8502 + 0.18e2 * t162 * t45209 * t1273 + 0.6e1 * t162 * t45213 * t8061 - 0.28e2 * t12446 * t45219 + 0.9e1 * t509 * t45503 * t57032 - 0.7e1 * t8912 * t57017 + 0.3e1 / 0.2e1 * t8912 * t57023 + t56334 + t58093 + t58094 - t58095 - t58740;
  t60166 = t54988 - t58096 + t56349 + t56352 - t56353 - t58100 - 0.3e1 * t50343 - 0.5e1 / 0.12e2 * t5687 * t2057 * t8418 - t8934 * t8057 + 0.5e1 / 0.3e1 * t45286 * t8454 - t1292 * t8289 / 0.2e1 + 0.3e1 / 0.2e1 * t5701 * t8482;
  t60167 = t26615 * t1208;
  t60191 = -t866 * t548 * t60167 / 0.4e1 - 0.3e1 / 0.2e1 * t5694 * t8419 + t894 * t302 * t60167 / 0.2e1 + t259 * t59188 / 0.4e1 + 0.3e1 * t5701 * t8545 + t1297 * t58163 - 0.11e2 / 0.6e1 * t5687 * t2233 * t8418 - 0.3e1 / 0.2e1 * t6136 * t1266 - 0.3e1 / 0.4e1 * t6136 * t1269 + t671 * t45332 - 0.3e1 * t45750 * t1213 + t56372 - t56376;
  t60218 = -0.2e1 * t50354 - t58104 - t58135 - t55045 + 0.2e1 / 0.3e1 * t26285 * t8690 + 0.23e2 / 0.12e2 * t26203 * t3935 * t8664 + t2255 * t810 * t1505 * t59847 / 0.2e1 - t2251 * t810 * t1862 * t59847 / 0.2e1 - 0.8e1 * t2255 * t5733 * t44791 + 0.11e2 / 0.6e1 * t26203 * t10936 * t8685 - 0.23e2 / 0.12e2 * t26203 * t10733 * t8706 - 0.23e2 / 0.12e2 * t8912 * t57020;
  t60227 = 0.44e2 / 0.27e2 * t44905 * t10526 * t1223 - 0.9e1 / 0.2e1 * t162 * t45503 * t57226 + 0.47e2 / 0.3e1 * t12607 * t45725 + t58136 + t56414 - t913 + t984 + t56420 - t58166 - t56438 + t58190 - t58191 + t8908;
  t60233 = -0.3e1 * t1677 * t45418 * t8061 - t46829 - t46833 + t58194 - t58195 + t58196 + t58200 + t6548 - t6556 - t6562 + t6577 - t6586;
  t60257 = -t58201 + t7027 - t7045 + t8909 + t58203 - t58204 - t1297 * t1711 * t160 * t8445 + t1297 * t1649 * t8424 / 0.2e1 + t1297 * t1649 * t8446 / 0.2e1 - t1297 * t1711 * t717 * t1305 - t259 * t1637 * t2571 * t8747 / 0.6e1 - 0.3e1 / 0.2e1 * t719 * t8754 - 0.3e1 / 0.2e1 * t162 * t5894 * t1648 * t404 * t8444;
  t60279 = t96 * t60114;
  t60283 = t58938 - t56555 + 0.3e1 * t50593 + t54196 / 0.4e1 - t58214 - 0.3e1 * t854 * t8500 + 0.7e1 * t2590 * t45450 - 0.6e1 * t9944 * t45243 * t9930 * t9935 * t230 + t50616 / 0.2e1 + t26105 * t58128 / 0.2e1 - 0.5e1 / 0.12e2 * t26203 * t3935 * t8660 - 0.9e1 * t1677 * t45165 * t1273 - t3015 * t11150 * t60279 / 0.3e1;
  t60314 = 0.9e1 / 0.2e1 * t2251 * t1323 * t10245 * t8640 - 0.2e1 * t44905 * t11249 * t1209 - 0.38e2 / 0.9e1 * t44905 * t10653 * t1209 + 0.89e2 / 0.9e1 * t44905 * t10649 * t1223 + 0.6e1 * t45286 * t8532 + 0.18e2 * t1565 * t45243 * t9930 * t9905 * t230 - 0.9e1 * t854 * t8538 + t56591 + t51939 - t8979 + 0.3e1 * t15274 * t8670 - t3015 * t2182 * t59970 / 0.2e1 + t2988 * t3624 * t60279 / 0.3e1;
  t60318 = t8737 * t1147;
  t60323 = t1304 * t8444;
  t60345 = t3006 * t15648 * t96 * t60318 / 0.2e1 - t3006 * t3624 * t96 * t60323 / 0.3e1 - t3015 * t10775 * t60279 / 0.6e1 - 0.3e1 / 0.2e1 * t15274 * t8672 + 0.2e1 * t2632 * t45181 + t2988 * t2162 * t59970 / 0.2e1 + t3006 * t58560 / 0.4e1 + 0.3e1 / 0.2e1 * t21470 * t8642 - t2632 * t45293 - 0.3e1 * t15274 * t8645 + t50662 - t58272;
  t60352 = -t58273 + t6642 - t6647 + t56606 - t56609 + t9004 - t9005 - t9006 - t9007 + t9008 - 0.3e1 / 0.4e1 * t5658 * t1365 - 0.3e1 / 0.4e1 * t854 * t8497 + 0.3e1 / 0.2e1 * t5658 * t1356;
  t60388 = 0.9e1 / 0.2e1 * t854 * t8459 + 0.3e1 / 0.2e1 * t854 * t8463 - 0.18e2 * t1565 * t45391 * t8513 - 0.9e1 / 0.2e1 * t1565 * t45503 * t57211 - t866 * t555 * t60167 / 0.2e1 - 0.3e1 / 0.2e1 * t5687 * t2324 * t8418 - 0.3e1 / 0.2e1 * t26906 * t1261 + 0.3e1 / 0.2e1 * t6136 * t1274 - 0.18e2 * t509 * t45209 * t1260 - t719 * t8822 / 0.4e1 - t162 * t876 * t320 * t137 * t59658 / 0.4e1 - 0.3e1 / 0.2e1 * t2509 * t8797 + 0.3e1 / 0.4e1 * t719 * t8801;
  t60410 = -t56631 + 0.8e1 * t2251 * t5733 * t8699 + t6859 - t9009 - t9010 + 0.3e1 / 0.2e1 * t719 * t8758 - 0.3e1 / 0.2e1 * t719 * t8744 + t719 * t8740 / 0.2e1 - t233 * t45410 / 0.4e1 + 0.3e1 / 0.4e1 * t6136 * t1283 - t233 * t44912 / 0.12e2 + t162 * t44910 * t236 * t165 / 0.4e1 - t233 * t44920 / 0.4e1;
  t60425 = 0.3e1 / 0.4e1 * t854 * t8488 - 0.35e2 / 0.108e3 * t44905 * t10526 * t1209 + 0.5e1 / 0.12e2 * t8912 * t57586 + t1297 * t58329 / 0.2e1 + t56633 + t56635 + t56636 - t56637 + t58314 + t54329 / 0.4e1 - 0.3e1 / 0.4e1 * t54341 + t26300 * t8686;
  t60442 = 0.3e1 * t26103 * t8661 + t26105 * t58286 - 0.11e2 / 0.6e1 * t26203 * t3931 * t8660 - t58315 + t58316 - t56659 + t56668 - 0.5e1 / 0.36e2 * t8912 * t13625 - t1297 * t25006 / 0.4e1 + t8934 * t2476 / 0.2e1 + t1292 * t5653 / 0.2e1 + t56684 + 0.18e2 * t45286 * t8507;
  t60474 = 0.9e1 / 0.2e1 * t8912 * t57220 - 0.43e2 / 0.9e1 * t44905 * t10526 * t8506 + t56728 + 0.12e2 * t45750 * t1224 - t3015 * t21337 * t8660 + t3015 * t21651 * t8685 / 0.2e1 + t3015 * t2294 * t60095 / 0.6e1 + 0.7e1 * t26203 * t50492 - 0.3e1 / 0.2e1 * t26203 * t2169 * t8660 - t2251 * t806 * t1868 * t60114 - 0.3e1 / 0.2e1 * t2251 * t263 * t10240 * t60318 + t2251 * t263 * t1868 * t60323 + t9019;
  t60475 = -t9020 + t6715 - t6719 - t58346 + t58347 + t58349 + t51180 + t58370 - t58371 - t59195 + t47272 - t47274 + t47275;
  t60481 = my_piecewise3(t3, 0, t60191 + t60345 + t59965 + t59942 + t59914 + t60227 + t60150 + t59516 + t60425 + t60314 + t60442 + t60410 + t59995 + t59852 + t60233 + t60166 + t60014 + t60036 + t60474 + t60475 + t60057 + t60106 + t60352 + t59540 + t60388 + t59493 + t60218 + t60257 + t60129 + t60068 + t59881 + t60283);
  tv4lapltau30 = 0.2e1 * rho[0] * t60481;

  if(out->v4lapltau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 0] += tv4lapltau30;

  t60483 = t1289 * t1289;
  t60486 = t106 * t9926 * t60483 * t9901;
  t60515 = -0.2e1 * t60486 * t9961 - 0.2e1 * t8912 * t14151 + 0.6e1 * t854 * t8947 + 0.2e1 * t1297 * t26901 - 0.2e1 * t55943 + 0.3e1 / 0.2e1 * t51226 - t51251 / 0.2e1 - 0.9e1 * t51262 + 0.3e1 * t51264 - 0.5e1 / 0.6e1 * t51276 - 0.3e1 * t162 * t5901 * t1318 * t313 + 0.2e1 * t854 * t8740 + t3006 * t1684 * t169 * t1386 * t1304 / 0.2e1 + 0.4e1 * t1677 * t45632 * t1364;
  t60524 = t884 * t8837;
  t60531 = t884 * t8833;
  t60555 = -t1677 * t6175 * t8821 - 0.14e2 / 0.3e1 * t51295 - 0.7e1 * t51305 - 0.9e1 * t162 * t45503 * t9098 * t8827 + 0.6e1 * t162 * t60524 * t1506 + 0.14e2 * t162 * t45213 * t8753 - 0.12e2 * t162 * t60531 * t1541 - 0.11e2 / 0.6e1 * t1297 * t9271 * t8748 + 0.11e2 / 0.2e1 * t162 * t5894 * t9237 * t404 * t8737 + t1292 * t8749 - 0.7e1 / 0.3e1 * t8934 * t8790 - 0.11e2 / 0.12e2 * t1297 * t9238 * t8748 - 0.2e1 * t8919 * t886 - t1292 * t8785 / 0.2e1 + 0.2e1 * t1292 * t6037;
  t60588 = t106 * t1415 * t60483 * t9762;
  t60601 = -0.4e1 / 0.3e1 * t1292 * t8817 - 0.2e1 / 0.3e1 * t259 * t1637 * t2961 * t8747 - 0.11e2 / 0.2e1 * t509 * t5894 * t9237 * t342 * t8737 + 0.3e1 / 0.2e1 * t8919 * t1307 + 0.3e1 / 0.2e1 * t162 * t5882 * t8821 + 0.2e1 * t509 * t5894 * t1648 * t342 * t8782 - 0.2e1 * t162 * t5894 * t1648 * t404 * t8782 - 0.14e2 * t509 * t45213 * t8828 - 0.23e2 / 0.3e1 * t60588 * t1548 - 0.22e2 / 0.9e1 * t8912 * t14169 + 0.6e1 * t854 * t8974 + 0.47e2 / 0.3e1 * t60486 * t10062 - 0.6e1 * t8912 * t14139 + 0.28e2 / 0.3e1 * t8912 * t14154;
  t60611 = t510 * t60483;
  t60624 = 0.3e1 * t6136 * t1368 - 0.43e2 / 0.9e1 * t60486 * t10041 - 0.3e1 * t26906 * t1352 - 0.3e1 / 0.2e1 * t51333 - t51365 + 0.18e2 * t60588 * t1558 + 0.18e2 * t162 * t60611 * t9842 - t51402 + 0.4e1 * t51406 - 0.3e1 / 0.2e1 * t22 * t1342 * t1387 - t22 * t269 * t8994 + t46593 - 0.3e1 / 0.4e1 * t56070 - 0.18e2 * t51461 - 0.2e1 * t51467;
  t60647 = t5901 * t1322;
  t60661 = -0.2e1 * t1297 * t26638 - t259 * t44920 - t259 * t44912 / 0.3e1 - t1297 * t26077 / 0.2e1 + 0.3e1 * t6136 * t1356 - 0.6e1 * t854 * t8744 - 0.3e1 / 0.2e1 * t6136 * t1365 + 0.3e1 * t854 * t8801 + t162 * t44910 * t262 * t165 + 0.2e1 * t1297 * t26374 - 0.3e1 * t509 * t60647 * t512 + 0.12e2 * t509 * t60531 * t1537 - 0.9e1 / 0.2e1 * t162 * t45142 * t1364 + 0.6e1 * t162 * t884 * t8844 * t1484;
  t60678 = 0.4e1 * t854 * t8825 - t854 * t8822 + 0.7e1 / 0.3e1 * t51479 - 0.6e1 * t51494 + 0.6e1 * t51498 + 0.7e1 / 0.6e1 * t51512 - 0.2e1 * t51523 + 0.6e1 * t51531 - 0.12e2 * t51532 + 0.2e1 / 0.3e1 * t56254 + 0.3e1 * t51608 + 0.2e1 * t51614 - 0.6e1 * t51624 - t46787 + 0.4e1 * t8934 * t2888;
  t60700 = t1502 * t60483;
  t60707 = t9898 * t60483;
  t60714 = 0.22e2 / 0.3e1 * t60588 * t1545 + 0.6e1 * t60588 * t1515 - 0.38e2 / 0.9e1 * t60486 * t10049 - 0.18e2 * t509 * t60611 * t9846 - 0.5e1 / 0.9e1 * t8912 * t14842 + t1292 * t5903 - 0.3e1 * t162 * t5882 * t8739 + 0.2e1 * t8934 * t3373 - 0.18e2 * t51657 - 0.3e1 * t6136 * t1360 + 0.36e2 * t509 * t60700 * t9770 - 0.18e2 * t162 * t60700 * t9764 - 0.18e2 * t509 * t60707 * t9912 + 0.6e1 * t162 * t60707 * t9917;
  t60721 = t106 * t333 * t60483 * t1418;
  t60744 = -0.5e1 / 0.9e1 * t8912 * t15185 - 0.35e2 / 0.108e3 * t60486 * t10126 - 0.3e1 * t60721 * t344 - 0.12e2 * t854 * t8970 - 0.28e2 * t60588 * t1520 - 0.6e1 * t9944 * t60707 * t9946 - 0.62e2 / 0.3e1 * t60486 * t9932 + 0.8e1 * t60486 * t9937 - 0.2e1 * t56292 - 0.6e1 * t1677 * t45418 * t8753 + t56333 / 0.4e1 + 0.6e1 * t51687 + 0.9e1 * t51691 - 0.6e1 * t51695 + 0.18e2 * t51712;
  t60756 = t1592 * t8832;
  t60759 = t9383 * t8832;
  t60786 = -0.24e2 * t60756 * t1541 + 0.32e2 / 0.3e1 * t60759 * t1572 + 0.12e2 * t60759 * t1506 + 0.12e2 * t1331 * t8753 - 0.8e1 * t60756 * t1537 + 0.16e2 / 0.9e1 * t60759 * t1567 - 0.2e1 * t1331 * t8828 - 0.4e1 * t265 * t8739 + 0.12e2 * t321 * t8832 * t1484 - 0.8e1 * t1334 * t1364 + 0.2e1 * t265 * t8821 + 0.2e1 * t51557 - 0.12e2 * t51567 + 0.12e2 * t51569 - 0.12e2 * t51580 + 0.12e2 * t51587;
  t60812 = 0.4e1 * t51598 - 0.12e2 * t45057 * t8753 - 0.2e1 * t5764 * t8821 + 0.4e1 * t5764 * t8739 + 0.8e1 * t45067 * t1364 - 0.4e1 * t45057 * t8828 - t6237 - 0.4e1 * t56097 - 0.12e2 * t8881 * t138 - 0.4e1 * t8878 * t343 + t6225 + 0.2e2 / 0.9e1 * t8873 * t1428 - 0.12e2 * t8873 * t1514 + 0.4e1 / 0.3e1 * t8873 * t1519 + 0.24e2 * t8878 * t496 + 0.4e1 * t56134;
  t60813 = t60786 + t60812;
  t60834 = -0.11e2 / 0.3e1 * t51717 + 0.9e1 / 0.2e1 * t51772 - t913 + t984 - t259 * t46532 / 0.3e1 + t45675 * t274 + 0.89e2 / 0.9e1 * t60486 * t10052 + 0.3e1 / 0.2e1 * t51802 - t162 * t876 * t320 * t137 * t60813 / 0.4e1 - 0.4e1 / 0.3e1 * t1297 * t1711 * t160 * t8783 - 0.4e1 * t1297 * t1711 * t852 * t1305 + 0.4e1 * t1297 * t26642 - 0.14e2 * t8912 * t9192 * t8734 + 0.28e2 / 0.3e1 * t8912 * t14358;
  t60870 = 0.3e1 * t8912 * t9165 * t1306 - 0.2e1 * t8912 * t15244 - 0.22e2 / 0.9e1 * t8912 * t14416 - 0.23e2 / 0.6e1 * t8912 * t9099 * t8734 + 0.23e2 / 0.9e1 * t8912 * t15019 - 0.8e1 * t8934 * t2947 + 0.11e2 / 0.3e1 * t8912 * t9192 * t1306 + 0.4e1 * t8934 * t2997 - t51806 / 0.2e1 + t1292 * t6131 + 0.2e1 * t106 * t109 * t60483 * t1445 * t139 + 0.18e2 * t1565 * t60707 * t9907 + 0.6e1 * t14144 * t8959 - 0.12e2 * t2897 * t8962 - 0.61e2 / 0.27e2 * t60486 * t10087;
  t60887 = t8782 * t1304;
  t60903 = 0.23e2 / 0.9e1 * t8912 * t14172 + 0.44e2 / 0.27e2 * t60486 * t10068 - 0.8e1 * t8934 * t2892 + t26105 * t2169 * t9015 + t3006 * t1684 * t169 * t287 * t8782 / 0.3e1 - 0.4e1 / 0.3e1 * t26285 * t9016 - t3006 * t3624 * t96 * t60887 / 0.2e1 + t3006 * t14332 * t9015 + 0.2e1 * t26105 * t2294 * t9015 - 0.4e1 * t26105 * t2169 * t1675 * t9014 + t7616 / 0.4e1 - t46829 - t46833 + 0.2e1 / 0.3e1 * t6755;
  t60935 = t8737 * t1304;
  t60953 = t9897 * t60483;
  t60954 = t60953 * t9901;
  t60959 = t332 * t60483;
  t60960 = t60959 * t1418;
  t60963 = t108 * t60483;
  t60972 = t69 * t60483;
  t60973 = t60972 * t9762;
  t60993 = 0.36e2 * t52154 - 0.18e2 * t52156 - t962 + 0.36e2 * t60973 * t1826 + 0.24e2 * t60960 * t411 - 0.4e2 * t60973 * t1830 - 0.2e1 / 0.3e1 * t60973 * t1838 + 0.6e1 * t4392 * t149 * t5836 * t8782 - 0.28e2 * t52194 + t263 * t400 * t60 * t60813 / 0.2e1 + 0.9e1 * t8845 * t1337;
  t60995 = t60959 * t9841;
  t60998 = t60953 * t9904;
  t61017 = 0.72e2 * t60995 * t406 + 0.8e1 / 0.3e1 * t60998 * t10412 - 0.8e1 / 0.3e1 * t1323 * t1505 * t8850 - t60998 * t10329 / 0.9e1 + 0.3e1 * t263 * t10240 * t60 * t60935 - 0.24e2 * t60963 * t9879 * t146 + 0.4e1 * t6881 - 0.4e1 * t6884 + 0.8e1 / 0.3e1 * t6887 + t47016 + 0.6e1 * t56855;
  t61027 = -t47067 - t47074 + 0.3e1 / 0.2e1 * t7719 - 0.3e1 * t7745 - 0.4e1 / 0.3e1 * t6906 + 0.8e1 * t6913 - 0.8e1 * t6915 + 0.36e2 * t52247 - 0.28e2 / 0.3e1 * t52253 - 0.9e1 * t52261 - 0.2e1 / 0.3e1 * t52262;
  t61052 = 0.12e2 * t52270 - 0.12e2 * t60954 * t10313 - 0.28e2 / 0.3e1 * t8834 * t8897 + 0.2e1 / 0.3e1 * t8838 * t9911 * t1326 + 0.22e2 * t1323 * t10245 * t8891 - 0.12e2 * t1319 * t8892 - 0.36e2 * t8838 * t10255 * t1326 + t47120 - t47124 - 0.6e1 * t263 * t10240 * t63 * t60935 + 0.56e2 * t8834 * t8888;
  t61058 = t60972 * t9763;
  t61082 = 0.22e2 / 0.3e1 * t1323 * t10255 * t8841 - 0.12e2 * t60995 * t397 - 0.72e2 * t61058 * t1905 + 0.18e2 * t8838 * t10255 * t1336 - 0.11e2 * t1323 * t10245 * t8841 + 0.4e1 * t1323 * t1862 * t8850 - 0.4e1 / 0.3e1 * t60998 * t10448 + 0.8e1 * t61058 * t1913 + 0.24e2 * t60998 * t10439 - 0.2e2 * t8838 * t9916 * t1336 - t8838 * t9911 * t1336 / 0.3e1;
  t61110 = -0.28e2 * t8834 * t8863 + 0.6e1 * t1319 * t8842 + 0.56e2 / 0.3e1 * t8834 * t8856 + 0.4e1 / 0.3e1 * t61058 * t1894 - 0.3e1 * t1319 * t8851 + 0.4e1 * t8838 * t9916 * t1326 - 0.8e1 * t1323 * t1862 * t8899 - 0.3e1 * t263 * t1868 * t8850 * t1304 + t47155 - t263 * t400 * t63 * t60813 - 0.11e2 / 0.3e1 * t1323 * t10255 * t8891;
  t61127 = -0.18e2 * t8845 * t1327 + 0.6e1 * t1319 * t8900 - 0.3e1 * t56961 + 0.4e1 / 0.3e1 * t1323 * t1505 * t8899 + 0.5e2 / 0.3e1 * t60954 * t10316 - 0.18e2 * t52306 - 0.24e2 * t52311 - 0.4e1 * t52343 + 0.36e2 * t52347 + 0.14e2 * t52350 - 0.72e2 * t52355;
  t61143 = 0.12e2 * t60721 * t502 - 0.2e1 / 0.3e1 * t3006 * t3624 * t169 * t287 * t8737 + 0.2e1 * t1677 * t6175 * t8739 - 0.3e1 * t51879 - t22 * t65 * t169 * (-0.48e3 * t10135 * t181 * t24 - 0.288e4 * t10136 * t9512 - 0.96e3 * t10136 * t9523 + 0.1152e5 * t10136 * t9528 + 0.168e5 * t10136 * t9533 + 0.672e4 * t10136 * t9540) / 0.4e1 + 0.12e2 * t2897 * t8951 + t259 * t9685 * t303 * t95 * t60935 / 0.2e1 - 0.3e1 / 0.2e1 * t162 * t876 * t9684 * t137 * t60935 - t259 * t45410 - t1297 * t26546 - 0.3e1 / 0.2e1 * t1677 * t45569 * t1364 - t22 * t59 * (t943 + 0.2e2 * t52101 + t52103 / 0.3e1 + 0.1e2 / 0.3e1 * t60954 * t10287 + 0.14e2 / 0.3e1 * t52121 + 0.18e2 * t52128 - 0.36e2 * t60960 * t424 + 0.12e2 * t60963 * t1445 * t150 + 0.3e1 / 0.2e1 * t56804 - 0.3e1 * t56806 + t60993 + t61017 + t61027 + t61052 + t61082 + t61110 + t61127) * t96 / 0.4e1 + 0.3e1 / 0.2e1 * t2251 * t263 * t1868 * t60887 + 0.5e1 / 0.3e1 * t60588 * t1429 + 0.2e1 * t8934 * t2934;
  t61175 = 0.6e1 * t2265 * t45418 * t8828 + 0.7e1 * t51924 + 0.2e1 * t51939 - 0.3e1 / 0.4e1 * t7783 + t259 * t490 * t26615 * t1305 / 0.2e1 + t259 * t490 * t2961 * t8783 / 0.3e1 + t1297 * t1711 * t8816 + t259 * t490 * t303 * t95 * t60813 / 0.12e2 + t1297 * t1711 * t8784 / 0.3e1 - t1297 * t26797 / 0.2e1 + 0.4e1 * t51948 - t51959 + 0.2e1 * t6798 - t6801 / 0.3e1;
  t61203 = -0.2e1 * t6807 - 0.2e1 * t6810 + t6814 - t1297 * t26415 + 0.3e1 * t162 * t60647 * t516 + 0.2e1 * t1297 * t1649 * t8816 + 0.2e1 / 0.3e1 * t1297 * t1649 * t8784 + 0.11e2 / 0.3e1 * t1297 * t9238 * t160 * t8747 + 0.5e1 / 0.6e1 * t8912 * t9099 * t1306 - 0.2e1 * t8919 * t848 - 0.6e1 * t51984 + 0.4e1 / 0.3e1 * t6859 - 0.2e1 / 0.3e1 * t6863 - t6865 / 0.3e1 + 0.28e2 / 0.3e1 * t8934 * t8735;
  t61241 = -0.12e2 * t509 * t60524 * t1572 - 0.14e2 / 0.3e1 * t8934 * t8761 - 0.9e1 * t1565 * t45503 * t9098 * t1427 * t1304 + 0.6e1 * t1565 * t60524 * t1567 + 0.18e2 * t509 * t45503 * t9098 * t1518 * t1304 - 0.6e1 * t854 * t8754 + 0.6e1 * t854 * t8758 + 0.6e1 * t2897 * t8829 - 0.6e1 * t2897 * t8797 + 0.9e1 * t8912 * t9099 * t507 * t1305 - 0.6e1 * t8912 * t14362 + 0.9e1 * t52011 + 0.14e2 * t52019 + 0.23e2 / 0.6e1 * t52021 - 0.3e1 * t52023;
  t61261 = -t56658 / 0.2e1 + 0.3e1 / 0.2e1 * t56667 + 0.9e1 * t52060 - 0.6e1 * t162 * t163 * t60483 * t9880 + 0.2e1 / 0.3e1 * t56727 - 0.3e1 * t15274 * t9011 - t22 * t8904 * t288 + t6945 - t6950 / 0.3e1 - 0.6e1 * t60721 * t497 - 0.18e2 * t1565 * t60700 * t9777 + t47272 - t47274 + t47275 - t1297 * t26911;
  t61266 = my_piecewise3(t3, 0, t60515 + t60555 + t60601 + t60624 + t60661 + t60678 + t60714 + t60744 + t60834 + t60870 + t60903 + t61143 + t61175 + t61203 + t61241 + t61261);
  tv4tau40 = 0.2e1 * rho[0] * t61266;

  if(out->v4tau4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 0] += tv4tau40;

}

#endif


#ifndef XC_DONT_COMPILE_EXC
GPU_DEVICE_FUNCTION static inline void
func_exc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t7, t8, t11, t12, t13;
  double t15, t16, t17, t18, t19, t20, t22, t23;
  double t24, t26, t27, t28, t29, t30, t31, t32;
  double t34, t35, t37, t38, t40, t41, t43, t44;
  double t47, t49, t53, t54, t55, t56, t57, t59;
  double t60, t62, t63, t64, t65, t66, t67, t68;
  double t69, t70, t71, t73, t74, t75, t76, t77;
  double t79, t80, t81, t82, t83, t86, t87, t88;
  double t90, t94, t95, t96, t99, t100, t101, t103;
  double t104, t105, t106, t108, t109, t110, t111, t112;
  double t114, t115, t117, t118, t120, t121, t123, t124;
  double t127, t129, t133, t134, t135, t136, t137, t139;
  double t140, t142, t143, t144, t145, t146, t147, t148;
  double t149, t150, t152, t153, t154, t155, t156, t159;
  double t160, t161, t163, t167, t168, t169, t172, tzk0;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t2 = rho[0] <= p->dens_threshold;
  t3 = rho[0] + rho[1];
  t4 = 0.1e1 / t3;
  t7 = 0.2e1 * rho[0] * t4 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t11 = 0.2e1 * rho[1] * t4 <= p->zeta_threshold;
  t12 = -t8;
  t13 = rho[0] - rho[1];
  t15 = my_piecewise5(t7, t8, t11, t12, t13 * t4);
  t16 = 0.1e1 + t15;
  t17 = t16 <= p->zeta_threshold;
  t18 = POW_1_3(p->zeta_threshold);
  t19 = t18 * p->zeta_threshold;
  t20 = POW_1_3(t16);
  t22 = my_piecewise3(t17, t19, t20 * t16);
  t23 = POW_1_3(t3);
  t24 = t22 * t23;
  t26 = POW_1_3(0.1e1 / M_PI);
  t27 = 0.1e1 / t26;
  t28 = M_CBRT4;
  t29 = t27 * t28;
  t30 = t24 * t29;
  t31 = POW_1_3(rho[0]);
  t32 = t31 * t31;
  t34 = 0.1e1 / t32 / rho[0];
  t35 = lapl[0] * t34;
  t37 = params->gamma * tau[0];
  t38 = t37 * t34;
  t40 = params->gamma * sigma[0];
  t41 = rho[0] * rho[0];
  t43 = 0.1e1 / t32 / t41;
  t44 = t40 * t43;
  t47 = fabs(t35 / 0.2e1 - 0.2e1 * t38 + t44 / 0.4e1);
  t49 = t47 / 0.3e1 < 0.5e-12;
  t53 = t35 / 0.6e1 - 0.2e1 / 0.3e1 * t38 + t44 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t49, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t34;
  t75 = t73 - t74;
  t76 = t73 + t74;
  t77 = 0.1e1 / t76;
  t79 = t75 * t75;
  t80 = t79 * t75;
  t81 = t76 * t76;
  t82 = t81 * t76;
  t83 = 0.1e1 / t82;
  t86 = t79 * t79;
  t87 = t86 * t75;
  t88 = t81 * t81;
  t90 = 0.1e1 / t88 / t76;
  t94 = 0.1e1 + params->at * (t75 * t77 - 0.2e1 * t80 * t83 + t87 * t90);
  t95 = t66 * t94;
  t96 = t65 * t95;
  t99 = my_piecewise3(t2, 0, -t30 * t96 / 0.4e1);
  t100 = rho[1] <= p->dens_threshold;
  t101 = -t13;
  t103 = my_piecewise5(t11, t8, t7, t12, t101 * t4);
  t104 = 0.1e1 + t103;
  t105 = t104 <= p->zeta_threshold;
  t106 = POW_1_3(t104);
  t108 = my_piecewise3(t105, t19, t106 * t104);
  t109 = t108 * t23;
  t110 = t109 * t29;
  t111 = POW_1_3(rho[1]);
  t112 = t111 * t111;
  t114 = 0.1e1 / t112 / rho[1];
  t115 = lapl[1] * t114;
  t117 = params->gamma * tau[1];
  t118 = t117 * t114;
  t120 = params->gamma * sigma[2];
  t121 = rho[1] * rho[1];
  t123 = 0.1e1 / t112 / t121;
  t124 = t120 * t123;
  t127 = fabs(t115 / 0.2e1 - 0.2e1 * t118 + t124 / 0.4e1);
  t129 = t127 / 0.3e1 < 0.5e-12;
  t133 = t115 / 0.6e1 - 0.2e1 / 0.3e1 * t118 + t124 / 0.12e2;
  t134 = 0.e0 < t133;
  t135 = my_piecewise3(t134, 0.5e-12, -0.5e-12);
  t136 = my_piecewise3(t129, t135, t133);
  t137 = xc_mgga_x_br89_get_x(t136);
  t139 = exp(t137 / 0.3e1);
  t140 = exp(-t137);
  t142 = 0.1e1 + t137 / 0.2e1;
  t143 = t140 * t142;
  t144 = 0.1e1 - t143;
  t145 = t139 * t144;
  t146 = 0.1e1 / t137;
  t147 = tau[1] * t114;
  t148 = t73 - t147;
  t149 = t73 + t147;
  t150 = 0.1e1 / t149;
  t152 = t148 * t148;
  t153 = t152 * t148;
  t154 = t149 * t149;
  t155 = t154 * t149;
  t156 = 0.1e1 / t155;
  t159 = t152 * t152;
  t160 = t159 * t148;
  t161 = t154 * t154;
  t163 = 0.1e1 / t161 / t149;
  t167 = 0.1e1 + params->at * (t148 * t150 - 0.2e1 * t153 * t156 + t160 * t163);
  t168 = t146 * t167;
  t169 = t145 * t168;
  t172 = my_piecewise3(t100, 0, -t110 * t169 / 0.4e1);
  tzk0 = t99 + t172;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

}

#endif


#ifndef XC_DONT_COMPILE_VXC
GPU_DEVICE_FUNCTION static inline void
func_vxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t7, t8, t11, t12, t13;
  double t15, t16, t17, t18, t19, t20, t22, t23;
  double t24, t26, t27, t28, t29, t30, t31, t32;
  double t34, t35, t37, t38, t40, t41, t43, t44;
  double t47, t49, t53, t54, t55, t56, t57, t59;
  double t60, t62, t63, t64, t65, t66, t67, t68;
  double t69, t70, t71, t73, t74, t75, t76, t77;
  double t79, t80, t81, t82, t83, t86, t87, t88;
  double t90, t94, t95, t96, t99, t100, t101, t103;
  double t104, t105, t106, t108, t109, t110, t111, t112;
  double t114, t115, t117, t118, t120, t121, t123, t124;
  double t127, t129, t133, t134, t135, t136, t137, t139;
  double t140, t142, t143, t144, t145, t146, t147, t148;
  double t149, t150, t152, t153, t154, t155, t156, t159;
  double t160, t161, t163, t167, t168, t169, t172, tzk0;

  double t173, t174, t175, t177, t180, t181, t182, t185;
  double t186, t187, t188, t190, t191, t192, t193, t194;
  double t195, t200, t202, t206, t207, t208, t209, t210;
  double t211, t213, t214, t215, t217, t218, t219, t220;
  double t221, t222, t223, t226, t227, t228, t229, t230;
  double t232, t233, t234, t237, t238, t239, t242, t243;
  double t244, t245, t246, t247, t249, t250, t253, t254;
  double t257, t258, t261, t264, t265, t268, t272, t273;
  double t276, t277, t278, t282, t283, t285, t288, t289;
  double t290, t293, t294, t296, t298, tvrho0, t302, t305;
  double t306, t307, t311, t313, t316, t317, t318, t321;
  double t322, t327, t329, t333, t334, t335, t336, t337;
  double t338, t340, t341, t342, t344, t345, t346, t347;
  double t348, t349, t350, t353, t354, t355, t356, t357;
  double t359, t360, t361, t364, t365, t366, t369, t370;
  double t371, t372, t373, t374, t376, t377, t380, t381;
  double t384, t385, t388, t391, t392, t395, t399, t400;
  double t403, t404, t405, t409, tvrho1, t412, t414, t415;
  double t416, t417, t420, t421, t423, t426, t427, t428;
  double t432, t436, tvsigma0, tvsigma1, t437, t439, t440, t441;
  double t442, t445, t446, t448, t451, t452, t453, t457;
  double t461, tvsigma2, t463, t464, t465, t466, t469, t470;
  double t472, t475, t476, t477, t481, t485, tvlapl0, t487;
  double t488, t489, t490, t493, t494, t496, t499, t500;
  double t501, t505, t509, tvlapl1, t512, t513, t514, t515;
  double t518, t519, t521, t524, t525, t526, t530, t543;
  double t544, t545, t549, tvtau0, t552, t553, t554, t555;
  double t558, t559, t561, t564, t565, t566, t570, t583;
  double t584, t585, t589, tvtau1;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t2 = rho[0] <= p->dens_threshold;
  t3 = rho[0] + rho[1];
  t4 = 0.1e1 / t3;
  t7 = 0.2e1 * rho[0] * t4 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t11 = 0.2e1 * rho[1] * t4 <= p->zeta_threshold;
  t12 = -t8;
  t13 = rho[0] - rho[1];
  t15 = my_piecewise5(t7, t8, t11, t12, t13 * t4);
  t16 = 0.1e1 + t15;
  t17 = t16 <= p->zeta_threshold;
  t18 = POW_1_3(p->zeta_threshold);
  t19 = t18 * p->zeta_threshold;
  t20 = POW_1_3(t16);
  t22 = my_piecewise3(t17, t19, t20 * t16);
  t23 = POW_1_3(t3);
  t24 = t22 * t23;
  t26 = POW_1_3(0.1e1 / M_PI);
  t27 = 0.1e1 / t26;
  t28 = M_CBRT4;
  t29 = t27 * t28;
  t30 = t24 * t29;
  t31 = POW_1_3(rho[0]);
  t32 = t31 * t31;
  t34 = 0.1e1 / t32 / rho[0];
  t35 = lapl[0] * t34;
  t37 = params->gamma * tau[0];
  t38 = t37 * t34;
  t40 = params->gamma * sigma[0];
  t41 = rho[0] * rho[0];
  t43 = 0.1e1 / t32 / t41;
  t44 = t40 * t43;
  t47 = fabs(t35 / 0.2e1 - 0.2e1 * t38 + t44 / 0.4e1);
  t49 = t47 / 0.3e1 < 0.5e-12;
  t53 = t35 / 0.6e1 - 0.2e1 / 0.3e1 * t38 + t44 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t49, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t34;
  t75 = t73 - t74;
  t76 = t73 + t74;
  t77 = 0.1e1 / t76;
  t79 = t75 * t75;
  t80 = t79 * t75;
  t81 = t76 * t76;
  t82 = t81 * t76;
  t83 = 0.1e1 / t82;
  t86 = t79 * t79;
  t87 = t86 * t75;
  t88 = t81 * t81;
  t90 = 0.1e1 / t88 / t76;
  t94 = 0.1e1 + params->at * (t75 * t77 - 0.2e1 * t80 * t83 + t87 * t90);
  t95 = t66 * t94;
  t96 = t65 * t95;
  t99 = my_piecewise3(t2, 0, -t30 * t96 / 0.4e1);
  t100 = rho[1] <= p->dens_threshold;
  t101 = -t13;
  t103 = my_piecewise5(t11, t8, t7, t12, t101 * t4);
  t104 = 0.1e1 + t103;
  t105 = t104 <= p->zeta_threshold;
  t106 = POW_1_3(t104);
  t108 = my_piecewise3(t105, t19, t106 * t104);
  t109 = t108 * t23;
  t110 = t109 * t29;
  t111 = POW_1_3(rho[1]);
  t112 = t111 * t111;
  t114 = 0.1e1 / t112 / rho[1];
  t115 = lapl[1] * t114;
  t117 = params->gamma * tau[1];
  t118 = t117 * t114;
  t120 = params->gamma * sigma[2];
  t121 = rho[1] * rho[1];
  t123 = 0.1e1 / t112 / t121;
  t124 = t120 * t123;
  t127 = fabs(t115 / 0.2e1 - 0.2e1 * t118 + t124 / 0.4e1);
  t129 = t127 / 0.3e1 < 0.5e-12;
  t133 = t115 / 0.6e1 - 0.2e1 / 0.3e1 * t118 + t124 / 0.12e2;
  t134 = 0.e0 < t133;
  t135 = my_piecewise3(t134, 0.5e-12, -0.5e-12);
  t136 = my_piecewise3(t129, t135, t133);
  t137 = xc_mgga_x_br89_get_x(t136);
  t139 = exp(t137 / 0.3e1);
  t140 = exp(-t137);
  t142 = 0.1e1 + t137 / 0.2e1;
  t143 = t140 * t142;
  t144 = 0.1e1 - t143;
  t145 = t139 * t144;
  t146 = 0.1e1 / t137;
  t147 = tau[1] * t114;
  t148 = t73 - t147;
  t149 = t73 + t147;
  t150 = 0.1e1 / t149;
  t152 = t148 * t148;
  t153 = t152 * t148;
  t154 = t149 * t149;
  t155 = t154 * t149;
  t156 = 0.1e1 / t155;
  t159 = t152 * t152;
  t160 = t159 * t148;
  t161 = t154 * t154;
  t163 = 0.1e1 / t161 / t149;
  t167 = 0.1e1 + params->at * (t148 * t150 - 0.2e1 * t153 * t156 + t160 * t163);
  t168 = t146 * t167;
  t169 = t145 * t168;
  t172 = my_piecewise3(t100, 0, -t110 * t169 / 0.4e1);
  tzk0 = t99 + t172;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t173 = t3 * t3;
  t174 = 0.1e1 / t173;
  t175 = t13 * t174;
  t177 = my_piecewise5(t7, 0, t11, 0, t4 - t175);
  t180 = my_piecewise3(t17, 0, 0.4e1 / 0.3e1 * t20 * t177);
  t181 = t180 * t23;
  t182 = t181 * t29;
  t185 = t23 * t23;
  t186 = 0.1e1 / t185;
  t187 = t22 * t186;
  t188 = t187 * t29;
  t190 = t188 * t96 / 0.12e2;
  t191 = t24 * t27;
  t192 = M_CBRTPI;
  t193 = t192 * t192;
  t194 = t28 * t193;
  t195 = my_piecewise3(t54, 0, 0);
  t200 = t41 * rho[0];
  t202 = 0.1e1 / t32 / t200;
  t206 = my_piecewise3(t49, t195, -0.5e1 / 0.18e2 * lapl[0] * t43 + 0.1e2 / 0.9e1 * t37 * t43 - 0.2e1 / 0.9e1 * t40 * t202);
  t207 = t56 * t56;
  t208 = 0.1e1 / t207;
  t209 = t206 * t208;
  t210 = t194 * t209;
  t211 = t191 * t210;
  t213 = exp(-0.2e1 / 0.3e1 * t57);
  t214 = 0.1e1 / t213;
  t215 = t57 * t57;
  t217 = t215 - 0.2e1 * t57 + 0.3e1;
  t218 = 0.1e1 / t217;
  t219 = t214 * t218;
  t220 = t57 - 0.2e1;
  t221 = t220 * t220;
  t222 = t219 * t221;
  t223 = t222 * t96;
  t226 = t193 * t206;
  t227 = t208 * t214;
  t228 = t226 * t227;
  t229 = t218 * t221;
  t230 = t229 * t63;
  t232 = t226 * t208;
  t233 = t221 * t60;
  t234 = t219 * t233;
  t237 = t228 * t230 - t232 * t234 / 0.2e1;
  t238 = t59 * t237;
  t239 = t238 * t95;
  t242 = t28 * t59;
  t243 = 0.1e1 / t215;
  t244 = t64 * t243;
  t245 = t242 * t244;
  t246 = t191 * t245;
  t247 = t94 * t193;
  t249 = t227 * t229;
  t250 = t247 * t206 * t249;
  t253 = t66 * params->at;
  t254 = tau[0] * t43;
  t257 = 0.1e1 / t81;
  t258 = t75 * t257;
  t261 = t79 * t83;
  t264 = 0.1e1 / t88;
  t265 = t80 * t264;
  t268 = t86 * t90;
  t272 = 0.1e1 / t88 / t81;
  t273 = t87 * t272;
  t276 = 0.5e1 / 0.3e1 * t254 * t77 + 0.5e1 / 0.3e1 * t258 * t254 - 0.1e2 * t261 * t254 - 0.1e2 * t265 * t254 + 0.25e2 / 0.3e1 * t268 * t254 + 0.25e2 / 0.3e1 * t273 * t254;
  t277 = t253 * t276;
  t278 = t65 * t277;
  t282 = my_piecewise3(t2, 0, -t182 * t96 / 0.4e1 - t190 - t211 * t223 / 0.12e2 - t30 * t239 / 0.4e1 + t246 * t250 / 0.4e1 - t30 * t278 / 0.4e1);
  t283 = t101 * t174;
  t285 = my_piecewise5(t11, 0, t7, 0, -t4 - t283);
  t288 = my_piecewise3(t105, 0, 0.4e1 / 0.3e1 * t106 * t285);
  t289 = t288 * t23;
  t290 = t289 * t29;
  t293 = t108 * t186;
  t294 = t293 * t29;
  t296 = t294 * t169 / 0.12e2;
  t298 = my_piecewise3(t100, 0, -t290 * t169 / 0.4e1 - t296);
  tvrho0 = t99 + t172 + t3 * (t282 + t298);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t302 = my_piecewise5(t7, 0, t11, 0, -t4 - t175);
  t305 = my_piecewise3(t17, 0, 0.4e1 / 0.3e1 * t20 * t302);
  t306 = t305 * t23;
  t307 = t306 * t29;
  t311 = my_piecewise3(t2, 0, -t307 * t96 / 0.4e1 - t190);
  t313 = my_piecewise5(t11, 0, t7, 0, t4 - t283);
  t316 = my_piecewise3(t105, 0, 0.4e1 / 0.3e1 * t106 * t313);
  t317 = t316 * t23;
  t318 = t317 * t29;
  t321 = t109 * t27;
  t322 = my_piecewise3(t134, 0, 0);
  t327 = t121 * rho[1];
  t329 = 0.1e1 / t112 / t327;
  t333 = my_piecewise3(t129, t322, -0.5e1 / 0.18e2 * lapl[1] * t123 + 0.1e2 / 0.9e1 * t117 * t123 - 0.2e1 / 0.9e1 * t120 * t329);
  t334 = t136 * t136;
  t335 = 0.1e1 / t334;
  t336 = t333 * t335;
  t337 = t194 * t336;
  t338 = t321 * t337;
  t340 = exp(-0.2e1 / 0.3e1 * t137);
  t341 = 0.1e1 / t340;
  t342 = t137 * t137;
  t344 = t342 - 0.2e1 * t137 + 0.3e1;
  t345 = 0.1e1 / t344;
  t346 = t341 * t345;
  t347 = t137 - 0.2e1;
  t348 = t347 * t347;
  t349 = t346 * t348;
  t350 = t349 * t169;
  t353 = t193 * t333;
  t354 = t335 * t341;
  t355 = t353 * t354;
  t356 = t345 * t348;
  t357 = t356 * t143;
  t359 = t353 * t335;
  t360 = t348 * t140;
  t361 = t346 * t360;
  t364 = t355 * t357 - t359 * t361 / 0.2e1;
  t365 = t139 * t364;
  t366 = t365 * t168;
  t369 = t28 * t139;
  t370 = 0.1e1 / t342;
  t371 = t144 * t370;
  t372 = t369 * t371;
  t373 = t321 * t372;
  t374 = t167 * t193;
  t376 = t354 * t356;
  t377 = t374 * t333 * t376;
  t380 = t146 * params->at;
  t381 = tau[1] * t123;
  t384 = 0.1e1 / t154;
  t385 = t148 * t384;
  t388 = t152 * t156;
  t391 = 0.1e1 / t161;
  t392 = t153 * t391;
  t395 = t159 * t163;
  t399 = 0.1e1 / t161 / t154;
  t400 = t160 * t399;
  t403 = 0.5e1 / 0.3e1 * t381 * t150 + 0.5e1 / 0.3e1 * t385 * t381 - 0.1e2 * t388 * t381 - 0.1e2 * t392 * t381 + 0.25e2 / 0.3e1 * t395 * t381 + 0.25e2 / 0.3e1 * t400 * t381;
  t404 = t380 * t403;
  t405 = t145 * t404;
  t409 = my_piecewise3(t100, 0, -t318 * t169 / 0.4e1 - t296 - t338 * t350 / 0.12e2 - t110 * t366 / 0.4e1 + t373 * t377 / 0.4e1 - t110 * t405 / 0.4e1);
  tvrho1 = t99 + t172 + t3 * (t311 + t409);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t412 = params->gamma * t43;
  t414 = my_piecewise3(t49, t195, t412 / 0.12e2);
  t415 = t414 * t208;
  t416 = t194 * t415;
  t417 = t191 * t416;
  t420 = t193 * t414;
  t421 = t420 * t227;
  t423 = t420 * t208;
  t426 = t421 * t230 - t423 * t234 / 0.2e1;
  t427 = t59 * t426;
  t428 = t427 * t95;
  t432 = t247 * t414 * t249;
  t436 = my_piecewise3(t2, 0, -t417 * t223 / 0.12e2 - t30 * t428 / 0.4e1 + t246 * t432 / 0.4e1);
  tvsigma0 = t3 * t436;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t437 = params->gamma * t123;
  t439 = my_piecewise3(t129, t322, t437 / 0.12e2);
  t440 = t439 * t335;
  t441 = t194 * t440;
  t442 = t321 * t441;
  t445 = t193 * t439;
  t446 = t445 * t354;
  t448 = t445 * t335;
  t451 = t446 * t357 - t448 * t361 / 0.2e1;
  t452 = t139 * t451;
  t453 = t452 * t168;
  t457 = t374 * t439 * t376;
  t461 = my_piecewise3(t100, 0, -t442 * t350 / 0.12e2 - t110 * t453 / 0.4e1 + t373 * t457 / 0.4e1);
  tvsigma2 = t3 * t461;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t463 = my_piecewise3(t49, t195, t34 / 0.6e1);
  t464 = t463 * t208;
  t465 = t194 * t464;
  t466 = t191 * t465;
  t469 = t193 * t463;
  t470 = t469 * t227;
  t472 = t469 * t208;
  t475 = t470 * t230 - t472 * t234 / 0.2e1;
  t476 = t59 * t475;
  t477 = t476 * t95;
  t481 = t247 * t463 * t249;
  t485 = my_piecewise3(t2, 0, -t466 * t223 / 0.12e2 - t30 * t477 / 0.4e1 + t246 * t481 / 0.4e1);
  tvlapl0 = t3 * t485;

  if(out->vlapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t487 = my_piecewise3(t129, t322, t114 / 0.6e1);
  t488 = t487 * t335;
  t489 = t194 * t488;
  t490 = t321 * t489;
  t493 = t193 * t487;
  t494 = t493 * t354;
  t496 = t493 * t335;
  t499 = t494 * t357 - t496 * t361 / 0.2e1;
  t500 = t139 * t499;
  t501 = t500 * t168;
  t505 = t374 * t487 * t376;
  t509 = my_piecewise3(t100, 0, -t490 * t350 / 0.12e2 - t110 * t501 / 0.4e1 + t373 * t505 / 0.4e1);
  tvlapl1 = t3 * t509;

  if(out->vlapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 1] += tvlapl1;

  t512 = my_piecewise3(t49, t195, -0.2e1 / 0.3e1 * params->gamma * t34);
  t513 = t512 * t208;
  t514 = t194 * t513;
  t515 = t191 * t514;
  t518 = t193 * t512;
  t519 = t518 * t227;
  t521 = t518 * t208;
  t524 = t519 * t230 - t521 * t234 / 0.2e1;
  t525 = t59 * t524;
  t526 = t525 * t95;
  t530 = t247 * t512 * t249;
  t543 = -t258 * t34 + 0.6e1 * t261 * t34 + 0.6e1 * t265 * t34 - 0.5e1 * t268 * t34 - 0.5e1 * t273 * t34 - t34 * t77;
  t544 = t253 * t543;
  t545 = t65 * t544;
  t549 = my_piecewise3(t2, 0, -t515 * t223 / 0.12e2 - t30 * t526 / 0.4e1 + t246 * t530 / 0.4e1 - t30 * t545 / 0.4e1);
  tvtau0 = t3 * t549;

  if(out->vtau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t552 = my_piecewise3(t129, t322, -0.2e1 / 0.3e1 * params->gamma * t114);
  t553 = t552 * t335;
  t554 = t194 * t553;
  t555 = t321 * t554;
  t558 = t193 * t552;
  t559 = t558 * t354;
  t561 = t558 * t335;
  t564 = t559 * t357 - t561 * t361 / 0.2e1;
  t565 = t139 * t564;
  t566 = t565 * t168;
  t570 = t374 * t552 * t376;
  t583 = -t114 * t150 - t385 * t114 + 0.6e1 * t388 * t114 + 0.6e1 * t392 * t114 - 0.5e1 * t395 * t114 - 0.5e1 * t400 * t114;
  t584 = t380 * t583;
  t585 = t145 * t584;
  t589 = my_piecewise3(t100, 0, -t555 * t350 / 0.12e2 - t110 * t566 / 0.4e1 + t373 * t570 / 0.4e1 - t110 * t585 / 0.4e1);
  tvtau1 = t3 * t589;

  if(out->vtau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 1] += tvtau1;

}

#endif


#ifndef XC_DONT_COMPILE_FXC
GPU_DEVICE_FUNCTION static inline void
func_fxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t7, t8, t11, t12, t13;
  double t15, t16, t17, t18, t19, t20, t22, t23;
  double t24, t26, t27, t28, t29, t30, t31, t32;
  double t34, t35, t37, t38, t40, t41, t43, t44;
  double t47, t49, t53, t54, t55, t56, t57, t59;
  double t60, t62, t63, t64, t65, t66, t67, t68;
  double t69, t70, t71, t73, t74, t75, t76, t77;
  double t79, t80, t81, t82, t83, t86, t87, t88;
  double t90, t94, t95, t96, t99, t100, t101, t103;
  double t104, t105, t106, t108, t109, t110, t111, t112;
  double t114, t115, t117, t118, t120, t121, t123, t124;
  double t127, t129, t133, t134, t135, t136, t137, t139;
  double t140, t142, t143, t144, t145, t146, t147, t148;
  double t149, t150, t152, t153, t154, t155, t156, t159;
  double t160, t161, t163, t167, t168, t169, t172, tzk0;

  double t173, t174, t175, t177, t180, t181, t182, t185;
  double t186, t187, t188, t190, t191, t192, t193, t194;
  double t195, t200, t202, t206, t207, t208, t209, t210;
  double t211, t213, t214, t215, t217, t218, t219, t220;
  double t221, t222, t223, t226, t227, t228, t229, t230;
  double t232, t233, t234, t237, t238, t239, t242, t243;
  double t244, t245, t246, t247, t249, t250, t253, t254;
  double t257, t258, t261, t264, t265, t268, t272, t273;
  double t276, t277, t278, t282, t283, t285, t288, t289;
  double t290, t293, t294, t296, t298, tvrho0, t302, t305;
  double t306, t307, t311, t313, t316, t317, t318, t321;
  double t322, t327, t329, t333, t334, t335, t336, t337;
  double t338, t340, t341, t342, t344, t345, t346, t347;
  double t348, t349, t350, t353, t354, t355, t356, t357;
  double t359, t360, t361, t364, t365, t366, t369, t370;
  double t371, t372, t373, t374, t376, t377, t380, t381;
  double t384, t385, t388, t391, t392, t395, t399, t400;
  double t403, t404, t405, t409, tvrho1, t412, t414, t415;
  double t416, t417, t420, t421, t423, t426, t427, t428;
  double t432, t436, tvsigma0, tvsigma1, t437, t439, t440, t441;
  double t442, t445, t446, t448, t451, t452, t453, t457;
  double t461, tvsigma2, t463, t464, t465, t466, t469, t470;
  double t472, t475, t476, t477, t481, t485, tvlapl0, t487;
  double t488, t489, t490, t493, t494, t496, t499, t500;
  double t501, t505, t509, tvlapl1, t512, t513, t514, t515;
  double t518, t519, t521, t524, t525, t526, t530, t543;
  double t544, t545, t549, tvtau0, t552, t553, t554, t555;
  double t558, t559, t561, t564, t565, t566, t570, t583;
  double t584, t585, t589, tvtau1;

  double t592, t594, t595, t596, t597, t598, t601, t602;
  double t603, t606, t607, t608, t615, t617, t621, t623;
  double t626, t627, t630, t633, t634, t635, t637, t638;
  double t640, t641, t642, t645, t648, t649, t650, t651;
  double t652, t653, t654, t655, t656, t657, t658, t659;
  double t660, t661, t662, t665, t666, t667, t670, t671;
  double t672, t676, t677, t678, t679, t680, t681, t682;
  double t683, t684, t685, t688, t689, t690, t691, t694;
  double t697, t698, t700, t701, t704, t709, t714, t719;
  double t725, t726, t731, t732, t733, t736, t738, t743;
  double t744, t745, t748, t749, t750, t753, t757, t758;
  double t759, t764, t767, t768, t769, t771, t772, t773;
  double t774, t776, t777, t779, t780, t783, t784, t785;
  double t788, t789, t794, t795, t796, t798, t801, t802;
  double t803, t806, t809, t811, t812, t815, t816, t818;
  double t819, t820, t823, t824, t825, t826, t827, t830;
  double t832, t835, t836, t837, t838, t839, t840, t843;
  double t844, t845, t848, t850, t851, t852, t853, t856;
  double t859, t863, t864, t865, t868, t869, t870, t872;
  double t873, t875, t877, tv2rho20, t880, t884, t888, t889;
  double t890, t893, t894, t895, t897, t898, t903, t913;
  double t914, t915, t919, t923, t924, t925, t928, t929;
  double t930, t933, t934, t937, t938, t939, t943, t945;
  double t948, t949, t953, t955, t956, tv2rho21, t961, t966;
  double t970, t971, t972, t977, t982, t984, t988, t989;
  double t990, t991, t994, t997, t998, t999, t1000, t1001;
  double t1002, t1003, t1004, t1005, t1006, t1007, t1008, t1009;
  double t1010, t1013, t1014, t1015, t1018, t1019, t1020, t1026;
  double t1027, t1028, t1029, t1030, t1031, t1032, t1033, t1034;
  double t1035, t1038, t1039, t1040, t1044, t1045, t1046, t1047;
  double t1048, t1051, t1052, t1053, t1056, t1057, t1058, t1062;
  double t1065, t1066, t1069, t1070, t1075, t1076, t1077, t1082;
  double t1083, t1084, t1085, t1088, t1090, t1093, t1094, t1095;
  double t1096, t1097, t1098, t1101, t1102, t1103, t1106, t1109;
  double t1112, t1113, t1115, t1116, t1119, t1124, t1129, t1134;
  double t1140, t1141, t1146, t1147, t1148, t1153, t1154, t1156;
  double t1157, t1160, t1161, t1162, t1165, t1166, t1167, t1169;
  double t1172, t1173, t1174, t1177, t1180, t1182, t1183, t1186;
  double t1187, t1189, t1190, t1191, t1194, t1199, t1203, t1204;
  double t1205, t1211, t1213, tv2rho22, t1217, t1218, t1220, t1223;
  double t1226, t1227, t1228, t1235, t1237, t1239, t1242, t1245;
  double t1246, t1247, t1250, t1251, t1252, t1253, t1254, t1255;
  double t1256, t1257, t1260, t1261, t1262, t1263, t1266, t1267;
  double t1268, t1269, t1270, t1274, t1275, t1278, t1279, t1281;
  double t1282, t1285, t1286, t1290, t1293, t1294, t1295, t1300;
  double t1305, t1310, t1311, t1313, t1314, t1315, t1318, t1319;
  double t1320, t1324, t1327, t1328, t1331, t1334, t1338, t1340;
  double t1341, t1342, t1346, t1347, t1349, tv2rhosigma0, tv2rhosigma1, t1351;
  double t1354, t1356, t1360, t1364, t1366, tv2rhosigma2, t1368, t1376;
  double tv2rhosigma3, tv2rhosigma4, t1378, t1381, t1382, t1383, t1390, t1392;
  double t1394, t1397, t1400, t1401, t1402, t1407, t1408, t1409;
  double t1410, t1411, t1415, t1416, t1419, t1420, t1421, t1422;
  double t1423, t1424, t1425, t1426, t1429, t1430, t1431, t1432;
  double t1435, t1436, t1438, t1439, t1442, t1443, t1447, t1450;
  double t1451, t1452, t1457, t1462, t1467, t1468, t1470, t1471;
  double t1472, t1475, t1476, t1477, t1481, t1484, t1485, t1488;
  double t1491, t1495, t1497, t1498, t1499, t1502, t1504, tv2rhosigma5;
  double t1506, t1508, t1511, t1514, t1515, t1516, t1524, t1526;
  double t1529, t1532, t1533, t1534, t1538, t1539, t1540, t1541;
  double t1546, t1547, t1548, t1551, t1554, t1555, t1556, t1559;
  double t1560, t1564, t1567, t1568, t1577, t1581, t1584, t1585;
  double t1587, t1590, t1591, t1599, t1606, t1607, t1608, t1611;
  double t1613, tv2rholapl0, t1615, t1618, t1620, t1624, t1628, t1630;
  double tv2rholapl1, t1632, t1640, tv2rholapl2, t1642, t1645, t1646, t1647;
  double t1655, t1657, t1660, t1663, t1664, t1665, t1670, t1673;
  double t1674, t1675, t1678, t1679, t1682, t1683, t1688, t1689;
  double t1690, t1693, t1694, t1698, t1701, t1702, t1713, t1714;
  double t1716, t1719, t1720, t1728, t1735, t1736, t1737, t1740;
  double t1742, tv2rholapl3, t1745, t1747, t1750, t1753, t1754, t1755;
  double t1759, t1760, t1762, t1765, t1768, t1769, t1770, t1777;
  double t1778, t1779, t1784, t1785, t1788, t1791, t1792, t1793;
  double t1796, t1797, t1798, t1802, t1805, t1806, t1807, t1811;
  double t1814, t1815, t1818, t1823, t1829, t1830, t1833, t1854;
  double t1855, t1856, t1860, t1869, t1870, t1872, t1875, t1876;
  double t1884, t1891, t1892, t1893, t1897, t1898, t1900, tv2rhotau0;
  double t1902, t1905, t1907, t1911, t1915, t1919, t1921, tv2rhotau1;
  double t1923, t1933, tv2rhotau2, t1936, t1938, t1941, t1944, t1945;
  double t1946, t1951, t1954, t1955, t1956, t1963, t1964, t1965;
  double t1969, t1972, t1973, t1974, t1979, t1980, t1981, t1984;
  double t1989, t1995, t1996, t1999, t2020, t2021, t2022, t2025;
  double t2026, t2029, t2036, t2037, t2040, t2041, t2045, t2048;
  double t2053, t2054, t2056, t2059, t2060, t2068, t2075, t2076;
  double t2077, t2080, t2082, tv2rhotau3, t2084, t2085, t2086, t2087;
  double t2089, t2090, t2091, t2092, t2093, t2096, t2097, t2098;
  double t2105, t2106, t2107, t2108, t2117, t2118, t2119, t2120;
  double t2121, t2124, t2125, t2128, t2129, t2133, t2136, t2138;
  double t2139, t2141, t2142, t2146, t2147, t2148, t2153, t2154;
  double t2158, t2160, t2162, t2165, t2166, t2167, t2170, t2173;
  double t2174, tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t2175, t2176;
  double t2177, t2178, t2180, t2181, t2182, t2183, t2184, t2187;
  double t2188, t2189, t2196, t2197, t2198, t2199, t2208, t2209;
  double t2210, t2211, t2212, t2215, t2216, t2219, t2220, t2224;
  double t2227, t2229, t2230, t2232, t2233, t2237, t2238, t2239;
  double t2244, t2245, t2249, t2251, t2253, t2256, t2257, t2258;
  double t2261, t2264, t2265, tv2sigma25, t2266, t2267, t2268, t2271;
  double t2276, t2281, t2282, t2287, t2288, t2291, t2295, t2298;
  double t2299, t2302, t2306, t2308, t2309, t2310, t2317, t2318;
  double t2319, t2322, t2323, t2324, t2327, t2330, t2331, t2332;
  double t2335, t2336, tv2sigmalapl0, tv2sigmalapl1, tv2sigmalapl2, tv2sigmalapl3, tv2sigmalapl4, t2337;
  double t2338, t2339, t2342, t2347, t2352, t2353, t2358, t2359;
  double t2362, t2366, t2369, t2370, t2373, t2377, t2379, t2380;
  double t2381, t2388, t2389, t2390, t2393, t2394, t2395, t2398;
  double t2401, t2402, t2403, t2406, t2407, tv2sigmalapl5, t2435, t2436;
  double t2437, t2444, t2447, t2450, t2453, t2458, t2462, t2465;
  double t2466, tv2sigmatau0, tv2sigmatau1, tv2sigmatau2, tv2sigmatau3, tv2sigmatau4, t2494, t2495;
  double t2496, t2503, t2506, t2509, t2512, t2517, t2521, t2524;
  double t2525, tv2sigmatau5, t2526, t2527, t2528, t2529, t2532, t2533;
  double t2534, t2541, t2542, t2543, t2544, t2553, t2554, t2557;
  double t2558, t2561, t2562, t2566, t2569, t2571, t2572, t2576;
  double t2577, t2578, t2583, t2584, t2588, t2591, t2592, t2593;
  double t2596, t2599, t2600, tv2lapl20, tv2lapl21, t2601, t2602, t2603;
  double t2604, t2607, t2608, t2609, t2616, t2617, t2618, t2619;
  double t2628, t2629, t2632, t2633, t2636, t2637, t2641, t2644;
  double t2646, t2647, t2651, t2652, t2653, t2658, t2659, t2663;
  double t2666, t2667, t2668, t2671, t2674, t2675, tv2lapl22, t2676;
  double t2677, t2678, t2681, t2686, t2691, t2692, t2697, t2698;
  double t2701, t2705, t2708, t2709, t2712, t2716, t2718, t2719;
  double t2720, t2727, t2728, t2729, t2732, t2733, t2734, t2737;
  double t2740, t2741, t2742, t2747, t2751, t2754, t2755, tv2lapltau0;
  double tv2lapltau1, tv2lapltau2, t2756, t2757, t2758, t2761, t2766, t2771;
  double t2772, t2777, t2778, t2781, t2785, t2788, t2789, t2792;
  double t2796, t2798, t2799, t2800, t2807, t2808, t2809, t2812;
  double t2813, t2814, t2817, t2820, t2821, t2822, t2827, t2831;
  double t2834, t2835, tv2lapltau3, t2836, t2837, t2838, t2839, t2842;
  double t2843, t2844, t2851, t2852, t2853, t2854, t2865, t2866;
  double t2869, t2870, t2873, t2874, t2878, t2881, t2883, t2884;
  double t2888, t2889, t2890, t2895, t2898, t2899, t2903, t2907;
  double t2910, t2911, t2912, t2915, t2919, t2932, t2933, t2934;
  double t2937, t2938, tv2tau20, tv2tau21, t2939, t2940, t2941, t2942;
  double t2945, t2946, t2947, t2954, t2955, t2956, t2957, t2968;
  double t2969, t2972, t2973, t2976, t2977, t2981, t2984, t2986;
  double t2987, t2991, t2992, t2993, t2998, t3001, t3002, t3006;
  double t3010, t3013, t3014, t3015, t3018, t3022, t3035, t3036;
  double t3037, t3040, t3041, tv2tau22;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t2 = rho[0] <= p->dens_threshold;
  t3 = rho[0] + rho[1];
  t4 = 0.1e1 / t3;
  t7 = 0.2e1 * rho[0] * t4 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t11 = 0.2e1 * rho[1] * t4 <= p->zeta_threshold;
  t12 = -t8;
  t13 = rho[0] - rho[1];
  t15 = my_piecewise5(t7, t8, t11, t12, t13 * t4);
  t16 = 0.1e1 + t15;
  t17 = t16 <= p->zeta_threshold;
  t18 = POW_1_3(p->zeta_threshold);
  t19 = t18 * p->zeta_threshold;
  t20 = POW_1_3(t16);
  t22 = my_piecewise3(t17, t19, t20 * t16);
  t23 = POW_1_3(t3);
  t24 = t22 * t23;
  t26 = POW_1_3(0.1e1 / M_PI);
  t27 = 0.1e1 / t26;
  t28 = M_CBRT4;
  t29 = t27 * t28;
  t30 = t24 * t29;
  t31 = POW_1_3(rho[0]);
  t32 = t31 * t31;
  t34 = 0.1e1 / t32 / rho[0];
  t35 = lapl[0] * t34;
  t37 = params->gamma * tau[0];
  t38 = t37 * t34;
  t40 = params->gamma * sigma[0];
  t41 = rho[0] * rho[0];
  t43 = 0.1e1 / t32 / t41;
  t44 = t40 * t43;
  t47 = fabs(t35 / 0.2e1 - 0.2e1 * t38 + t44 / 0.4e1);
  t49 = t47 / 0.3e1 < 0.5e-12;
  t53 = t35 / 0.6e1 - 0.2e1 / 0.3e1 * t38 + t44 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t49, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t34;
  t75 = t73 - t74;
  t76 = t73 + t74;
  t77 = 0.1e1 / t76;
  t79 = t75 * t75;
  t80 = t79 * t75;
  t81 = t76 * t76;
  t82 = t81 * t76;
  t83 = 0.1e1 / t82;
  t86 = t79 * t79;
  t87 = t86 * t75;
  t88 = t81 * t81;
  t90 = 0.1e1 / t88 / t76;
  t94 = 0.1e1 + params->at * (t75 * t77 - 0.2e1 * t80 * t83 + t87 * t90);
  t95 = t66 * t94;
  t96 = t65 * t95;
  t99 = my_piecewise3(t2, 0, -t30 * t96 / 0.4e1);
  t100 = rho[1] <= p->dens_threshold;
  t101 = -t13;
  t103 = my_piecewise5(t11, t8, t7, t12, t101 * t4);
  t104 = 0.1e1 + t103;
  t105 = t104 <= p->zeta_threshold;
  t106 = POW_1_3(t104);
  t108 = my_piecewise3(t105, t19, t106 * t104);
  t109 = t108 * t23;
  t110 = t109 * t29;
  t111 = POW_1_3(rho[1]);
  t112 = t111 * t111;
  t114 = 0.1e1 / t112 / rho[1];
  t115 = lapl[1] * t114;
  t117 = params->gamma * tau[1];
  t118 = t117 * t114;
  t120 = params->gamma * sigma[2];
  t121 = rho[1] * rho[1];
  t123 = 0.1e1 / t112 / t121;
  t124 = t120 * t123;
  t127 = fabs(t115 / 0.2e1 - 0.2e1 * t118 + t124 / 0.4e1);
  t129 = t127 / 0.3e1 < 0.5e-12;
  t133 = t115 / 0.6e1 - 0.2e1 / 0.3e1 * t118 + t124 / 0.12e2;
  t134 = 0.e0 < t133;
  t135 = my_piecewise3(t134, 0.5e-12, -0.5e-12);
  t136 = my_piecewise3(t129, t135, t133);
  t137 = xc_mgga_x_br89_get_x(t136);
  t139 = exp(t137 / 0.3e1);
  t140 = exp(-t137);
  t142 = 0.1e1 + t137 / 0.2e1;
  t143 = t140 * t142;
  t144 = 0.1e1 - t143;
  t145 = t139 * t144;
  t146 = 0.1e1 / t137;
  t147 = tau[1] * t114;
  t148 = t73 - t147;
  t149 = t73 + t147;
  t150 = 0.1e1 / t149;
  t152 = t148 * t148;
  t153 = t152 * t148;
  t154 = t149 * t149;
  t155 = t154 * t149;
  t156 = 0.1e1 / t155;
  t159 = t152 * t152;
  t160 = t159 * t148;
  t161 = t154 * t154;
  t163 = 0.1e1 / t161 / t149;
  t167 = 0.1e1 + params->at * (t148 * t150 - 0.2e1 * t153 * t156 + t160 * t163);
  t168 = t146 * t167;
  t169 = t145 * t168;
  t172 = my_piecewise3(t100, 0, -t110 * t169 / 0.4e1);
  tzk0 = t99 + t172;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t173 = t3 * t3;
  t174 = 0.1e1 / t173;
  t175 = t13 * t174;
  t177 = my_piecewise5(t7, 0, t11, 0, t4 - t175);
  t180 = my_piecewise3(t17, 0, 0.4e1 / 0.3e1 * t20 * t177);
  t181 = t180 * t23;
  t182 = t181 * t29;
  t185 = t23 * t23;
  t186 = 0.1e1 / t185;
  t187 = t22 * t186;
  t188 = t187 * t29;
  t190 = t188 * t96 / 0.12e2;
  t191 = t24 * t27;
  t192 = M_CBRTPI;
  t193 = t192 * t192;
  t194 = t28 * t193;
  t195 = my_piecewise3(t54, 0, 0);
  t200 = t41 * rho[0];
  t202 = 0.1e1 / t32 / t200;
  t206 = my_piecewise3(t49, t195, -0.5e1 / 0.18e2 * lapl[0] * t43 + 0.1e2 / 0.9e1 * t37 * t43 - 0.2e1 / 0.9e1 * t40 * t202);
  t207 = t56 * t56;
  t208 = 0.1e1 / t207;
  t209 = t206 * t208;
  t210 = t194 * t209;
  t211 = t191 * t210;
  t213 = exp(-0.2e1 / 0.3e1 * t57);
  t214 = 0.1e1 / t213;
  t215 = t57 * t57;
  t217 = t215 - 0.2e1 * t57 + 0.3e1;
  t218 = 0.1e1 / t217;
  t219 = t214 * t218;
  t220 = t57 - 0.2e1;
  t221 = t220 * t220;
  t222 = t219 * t221;
  t223 = t222 * t96;
  t226 = t193 * t206;
  t227 = t208 * t214;
  t228 = t226 * t227;
  t229 = t218 * t221;
  t230 = t229 * t63;
  t232 = t226 * t208;
  t233 = t221 * t60;
  t234 = t219 * t233;
  t237 = t228 * t230 - t232 * t234 / 0.2e1;
  t238 = t59 * t237;
  t239 = t238 * t95;
  t242 = t28 * t59;
  t243 = 0.1e1 / t215;
  t244 = t64 * t243;
  t245 = t242 * t244;
  t246 = t191 * t245;
  t247 = t94 * t193;
  t249 = t227 * t229;
  t250 = t247 * t206 * t249;
  t253 = t66 * params->at;
  t254 = tau[0] * t43;
  t257 = 0.1e1 / t81;
  t258 = t75 * t257;
  t261 = t79 * t83;
  t264 = 0.1e1 / t88;
  t265 = t80 * t264;
  t268 = t86 * t90;
  t272 = 0.1e1 / t88 / t81;
  t273 = t87 * t272;
  t276 = 0.5e1 / 0.3e1 * t254 * t77 + 0.5e1 / 0.3e1 * t258 * t254 - 0.1e2 * t261 * t254 - 0.1e2 * t265 * t254 + 0.25e2 / 0.3e1 * t268 * t254 + 0.25e2 / 0.3e1 * t273 * t254;
  t277 = t253 * t276;
  t278 = t65 * t277;
  t282 = my_piecewise3(t2, 0, -t182 * t96 / 0.4e1 - t190 - t211 * t223 / 0.12e2 - t30 * t239 / 0.4e1 + t246 * t250 / 0.4e1 - t30 * t278 / 0.4e1);
  t283 = t101 * t174;
  t285 = my_piecewise5(t11, 0, t7, 0, -t4 - t283);
  t288 = my_piecewise3(t105, 0, 0.4e1 / 0.3e1 * t106 * t285);
  t289 = t288 * t23;
  t290 = t289 * t29;
  t293 = t108 * t186;
  t294 = t293 * t29;
  t296 = t294 * t169 / 0.12e2;
  t298 = my_piecewise3(t100, 0, -t290 * t169 / 0.4e1 - t296);
  tvrho0 = t99 + t172 + t3 * (t282 + t298);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t302 = my_piecewise5(t7, 0, t11, 0, -t4 - t175);
  t305 = my_piecewise3(t17, 0, 0.4e1 / 0.3e1 * t20 * t302);
  t306 = t305 * t23;
  t307 = t306 * t29;
  t311 = my_piecewise3(t2, 0, -t307 * t96 / 0.4e1 - t190);
  t313 = my_piecewise5(t11, 0, t7, 0, t4 - t283);
  t316 = my_piecewise3(t105, 0, 0.4e1 / 0.3e1 * t106 * t313);
  t317 = t316 * t23;
  t318 = t317 * t29;
  t321 = t109 * t27;
  t322 = my_piecewise3(t134, 0, 0);
  t327 = t121 * rho[1];
  t329 = 0.1e1 / t112 / t327;
  t333 = my_piecewise3(t129, t322, -0.5e1 / 0.18e2 * lapl[1] * t123 + 0.1e2 / 0.9e1 * t117 * t123 - 0.2e1 / 0.9e1 * t120 * t329);
  t334 = t136 * t136;
  t335 = 0.1e1 / t334;
  t336 = t333 * t335;
  t337 = t194 * t336;
  t338 = t321 * t337;
  t340 = exp(-0.2e1 / 0.3e1 * t137);
  t341 = 0.1e1 / t340;
  t342 = t137 * t137;
  t344 = t342 - 0.2e1 * t137 + 0.3e1;
  t345 = 0.1e1 / t344;
  t346 = t341 * t345;
  t347 = t137 - 0.2e1;
  t348 = t347 * t347;
  t349 = t346 * t348;
  t350 = t349 * t169;
  t353 = t193 * t333;
  t354 = t335 * t341;
  t355 = t353 * t354;
  t356 = t345 * t348;
  t357 = t356 * t143;
  t359 = t353 * t335;
  t360 = t348 * t140;
  t361 = t346 * t360;
  t364 = t355 * t357 - t359 * t361 / 0.2e1;
  t365 = t139 * t364;
  t366 = t365 * t168;
  t369 = t28 * t139;
  t370 = 0.1e1 / t342;
  t371 = t144 * t370;
  t372 = t369 * t371;
  t373 = t321 * t372;
  t374 = t167 * t193;
  t376 = t354 * t356;
  t377 = t374 * t333 * t376;
  t380 = t146 * params->at;
  t381 = tau[1] * t123;
  t384 = 0.1e1 / t154;
  t385 = t148 * t384;
  t388 = t152 * t156;
  t391 = 0.1e1 / t161;
  t392 = t153 * t391;
  t395 = t159 * t163;
  t399 = 0.1e1 / t161 / t154;
  t400 = t160 * t399;
  t403 = 0.5e1 / 0.3e1 * t381 * t150 + 0.5e1 / 0.3e1 * t385 * t381 - 0.1e2 * t388 * t381 - 0.1e2 * t392 * t381 + 0.25e2 / 0.3e1 * t395 * t381 + 0.25e2 / 0.3e1 * t400 * t381;
  t404 = t380 * t403;
  t405 = t145 * t404;
  t409 = my_piecewise3(t100, 0, -t318 * t169 / 0.4e1 - t296 - t338 * t350 / 0.12e2 - t110 * t366 / 0.4e1 + t373 * t377 / 0.4e1 - t110 * t405 / 0.4e1);
  tvrho1 = t99 + t172 + t3 * (t311 + t409);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t412 = params->gamma * t43;
  t414 = my_piecewise3(t49, t195, t412 / 0.12e2);
  t415 = t414 * t208;
  t416 = t194 * t415;
  t417 = t191 * t416;
  t420 = t193 * t414;
  t421 = t420 * t227;
  t423 = t420 * t208;
  t426 = t421 * t230 - t423 * t234 / 0.2e1;
  t427 = t59 * t426;
  t428 = t427 * t95;
  t432 = t247 * t414 * t249;
  t436 = my_piecewise3(t2, 0, -t417 * t223 / 0.12e2 - t30 * t428 / 0.4e1 + t246 * t432 / 0.4e1);
  tvsigma0 = t3 * t436;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t437 = params->gamma * t123;
  t439 = my_piecewise3(t129, t322, t437 / 0.12e2);
  t440 = t439 * t335;
  t441 = t194 * t440;
  t442 = t321 * t441;
  t445 = t193 * t439;
  t446 = t445 * t354;
  t448 = t445 * t335;
  t451 = t446 * t357 - t448 * t361 / 0.2e1;
  t452 = t139 * t451;
  t453 = t452 * t168;
  t457 = t374 * t439 * t376;
  t461 = my_piecewise3(t100, 0, -t442 * t350 / 0.12e2 - t110 * t453 / 0.4e1 + t373 * t457 / 0.4e1);
  tvsigma2 = t3 * t461;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t463 = my_piecewise3(t49, t195, t34 / 0.6e1);
  t464 = t463 * t208;
  t465 = t194 * t464;
  t466 = t191 * t465;
  t469 = t193 * t463;
  t470 = t469 * t227;
  t472 = t469 * t208;
  t475 = t470 * t230 - t472 * t234 / 0.2e1;
  t476 = t59 * t475;
  t477 = t476 * t95;
  t481 = t247 * t463 * t249;
  t485 = my_piecewise3(t2, 0, -t466 * t223 / 0.12e2 - t30 * t477 / 0.4e1 + t246 * t481 / 0.4e1);
  tvlapl0 = t3 * t485;

  if(out->vlapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t487 = my_piecewise3(t129, t322, t114 / 0.6e1);
  t488 = t487 * t335;
  t489 = t194 * t488;
  t490 = t321 * t489;
  t493 = t193 * t487;
  t494 = t493 * t354;
  t496 = t493 * t335;
  t499 = t494 * t357 - t496 * t361 / 0.2e1;
  t500 = t139 * t499;
  t501 = t500 * t168;
  t505 = t374 * t487 * t376;
  t509 = my_piecewise3(t100, 0, -t490 * t350 / 0.12e2 - t110 * t501 / 0.4e1 + t373 * t505 / 0.4e1);
  tvlapl1 = t3 * t509;

  if(out->vlapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 1] += tvlapl1;

  t512 = my_piecewise3(t49, t195, -0.2e1 / 0.3e1 * params->gamma * t34);
  t513 = t512 * t208;
  t514 = t194 * t513;
  t515 = t191 * t514;
  t518 = t193 * t512;
  t519 = t518 * t227;
  t521 = t518 * t208;
  t524 = t519 * t230 - t521 * t234 / 0.2e1;
  t525 = t59 * t524;
  t526 = t525 * t95;
  t530 = t247 * t512 * t249;
  t543 = -t258 * t34 + 0.6e1 * t261 * t34 + 0.6e1 * t265 * t34 - 0.5e1 * t268 * t34 - 0.5e1 * t273 * t34 - t34 * t77;
  t544 = t253 * t543;
  t545 = t65 * t544;
  t549 = my_piecewise3(t2, 0, -t515 * t223 / 0.12e2 - t30 * t526 / 0.4e1 + t246 * t530 / 0.4e1 - t30 * t545 / 0.4e1);
  tvtau0 = t3 * t549;

  if(out->vtau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t552 = my_piecewise3(t129, t322, -0.2e1 / 0.3e1 * params->gamma * t114);
  t553 = t552 * t335;
  t554 = t194 * t553;
  t555 = t321 * t554;
  t558 = t193 * t552;
  t559 = t558 * t354;
  t561 = t558 * t335;
  t564 = t559 * t357 - t561 * t361 / 0.2e1;
  t565 = t139 * t564;
  t566 = t565 * t168;
  t570 = t374 * t552 * t376;
  t583 = -t114 * t150 - t385 * t114 + 0.6e1 * t388 * t114 + 0.6e1 * t392 * t114 - 0.5e1 * t395 * t114 - 0.5e1 * t400 * t114;
  t584 = t380 * t583;
  t585 = t145 * t584;
  t589 = my_piecewise3(t100, 0, -t555 * t350 / 0.12e2 - t110 * t566 / 0.4e1 + t373 * t570 / 0.4e1 - t110 * t585 / 0.4e1);
  tvtau1 = t3 * t589;

  if(out->vtau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 1] += tvtau1;

  t592 = t206 * t206;
  t594 = t207 * t56;
  t595 = 0.1e1 / t594;
  t596 = t595 * t214;
  t597 = t596 * t229;
  t598 = t247 * t592 * t597;
  t601 = t592 * t595;
  t602 = t194 * t601;
  t603 = t191 * t602;
  t606 = t237 * t243;
  t607 = t242 * t606;
  t608 = t191 * t607;
  t615 = t41 * t41;
  t617 = 0.1e1 / t32 / t615;
  t621 = my_piecewise3(t49, t195, 0.2e2 / 0.27e2 * lapl[0] * t202 - 0.8e2 / 0.27e2 * t37 * t202 + 0.22e2 / 0.27e2 * t40 * t617);
  t623 = t247 * t621 * t249;
  t626 = t181 * t27;
  t627 = t626 * t210;
  t630 = t626 * t245;
  t633 = t187 * t27;
  t634 = t633 * t210;
  t635 = t634 * t223;
  t637 = t633 * t245;
  t638 = t637 * t250;
  t640 = t621 * t208;
  t641 = t194 * t640;
  t642 = t191 * t641;
  t645 = t222 * t239;
  t648 = t192 * M_PI;
  t649 = t28 * t648;
  t650 = t207 * t207;
  t651 = 0.1e1 / t650;
  t652 = t592 * t651;
  t653 = t649 * t652;
  t654 = t191 * t653;
  t655 = t213 * t213;
  t656 = 0.1e1 / t655;
  t657 = t217 * t217;
  t658 = 0.1e1 / t657;
  t659 = t656 * t658;
  t660 = t221 * t221;
  t661 = t659 * t660;
  t662 = t661 * t96;
  t665 = t221 * t220;
  t666 = t659 * t665;
  t667 = t666 * t96;
  t670 = t243 * t94;
  t671 = t65 * t670;
  t672 = t661 * t671;
  t676 = 0.1e1 / t215 / t57;
  t677 = t64 * t676;
  t678 = t242 * t677;
  t679 = t191 * t678;
  t680 = t94 * t648;
  t681 = t680 * t592;
  t682 = t651 * t656;
  t683 = t658 * t660;
  t684 = t682 * t683;
  t685 = t681 * t684;
  t688 = -t246 * t598 / 0.2e1 + t603 * t223 / 0.6e1 + t608 * t250 / 0.2e1 + t246 * t623 / 0.4e1 - t627 * t223 / 0.6e1 + t630 * t250 / 0.2e1 - t635 / 0.18e2 + t638 / 0.6e1 - t642 * t223 / 0.12e2 - t211 * t645 / 0.6e1 - t654 * t662 / 0.12e2 - t654 * t667 / 0.6e1 + t654 * t672 / 0.3e1 - t679 * t685 / 0.2e1;
  t689 = t658 * t665;
  t690 = t682 * t689;
  t691 = t681 * t690;
  t694 = tau[0] * t202;
  t697 = tau[0] * tau[0];
  t698 = t615 * rho[0];
  t700 = 0.1e1 / t31 / t698;
  t701 = t697 * t700;
  t704 = t75 * t83;
  t709 = t79 * t264;
  t714 = t80 * t90;
  t719 = t86 * t272;
  t725 = 0.1e1 / t88 / t82;
  t726 = t87 * t725;
  t731 = -0.4e2 / 0.9e1 * t694 * t77 + 0.5e2 / 0.9e1 * t701 * t257 - 0.25e3 / 0.9e1 * t704 * t701 - 0.4e2 / 0.9e1 * t258 * t694 - 0.1e3 * t709 * t701 + 0.8e2 / 0.3e1 * t261 * t694 - 0.1e3 / 0.9e1 * t714 * t701 + 0.8e2 / 0.3e1 * t265 * t694 + 0.125e4 / 0.9e1 * t719 * t701 - 0.2e3 / 0.9e1 * t268 * t694 + 0.25e3 / 0.3e1 * t726 * t701 - 0.2e3 / 0.9e1 * t273 * t694;
  t732 = t253 * t731;
  t733 = t65 * t732;
  t736 = t188 * t278;
  t738 = t238 * t277;
  t743 = t20 * t20;
  t744 = 0.1e1 / t743;
  t745 = t177 * t177;
  t748 = t173 * t3;
  t749 = 0.1e1 / t748;
  t750 = t13 * t749;
  t753 = my_piecewise5(t7, 0, t11, 0, -0.2e1 * t174 + 0.2e1 * t750);
  t757 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t744 * t745 + 0.4e1 / 0.3e1 * t20 * t753);
  t758 = t757 * t23;
  t759 = t758 * t29;
  t764 = t188 * t239;
  t767 = 0.1e1 / t185 / t3;
  t768 = t22 * t767;
  t769 = t768 * t29;
  t771 = t769 * t96 / 0.18e2;
  t772 = t180 * t186;
  t773 = t772 * t29;
  t774 = t773 * t96;
  t776 = t193 * t621;
  t777 = t776 * t227;
  t779 = t193 * t592;
  t780 = t779 * t596;
  t783 = t648 * t592;
  t784 = t783 * t682;
  t785 = t683 * t63;
  t788 = t658 * t221;
  t789 = t57 * t193;
  t794 = 0.2e1 * t789 * t206 * t249 - 0.2e1 * t232 * t222;
  t795 = t63 * t794;
  t796 = t788 * t795;
  t798 = t689 * t63;
  t801 = t783 * t651;
  t802 = t660 * t60;
  t803 = t659 * t802;
  t806 = t776 * t208;
  t809 = t779 * t595;
  t811 = t60 * t794;
  t812 = t788 * t811;
  t815 = t665 * t60;
  t816 = t659 * t815;
  t818 = t777 * t230 - 0.2e1 * t780 * t230 - t784 * t785 / 0.3e1 - t228 * t796 + 0.2e1 * t784 * t798 + 0.2e1 / 0.3e1 * t801 * t803 - t806 * t234 / 0.2e1 + t809 * t234 + t228 * t812 / 0.2e1 - t801 * t816;
  t819 = t59 * t818;
  t820 = t819 * t95;
  t823 = t247 * t209;
  t824 = t214 * t658;
  t825 = t221 * t794;
  t826 = t824 * t825;
  t827 = t823 * t826;
  t830 = params->at * t276;
  t832 = t830 * t226 * t249;
  t835 = t221 * t59;
  t836 = t824 * t835;
  t837 = t64 * t66;
  t838 = t94 * t794;
  t839 = t837 * t838;
  t840 = t836 * t839;
  t843 = t219 * t835;
  t844 = t837 * t830;
  t845 = t843 * t844;
  t848 = t246 * t691 / 0.2e1 - t30 * t733 / 0.4e1 - t736 / 0.6e1 - t30 * t738 / 0.2e1 - t182 * t278 / 0.2e1 - t759 * t96 / 0.4e1 - t182 * t239 / 0.2e1 - t764 / 0.6e1 + t771 - t774 / 0.6e1 - t30 * t820 / 0.4e1 - t246 * t827 / 0.4e1 + t246 * t832 / 0.2e1 + t211 * t840 / 0.12e2 - t211 * t845 / 0.6e1;
  t850 = my_piecewise3(t2, 0, t688 + t848);
  t851 = t106 * t106;
  t852 = 0.1e1 / t851;
  t853 = t285 * t285;
  t856 = t101 * t749;
  t859 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t174 + 0.2e1 * t856);
  t863 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t852 * t853 + 0.4e1 / 0.3e1 * t106 * t859);
  t864 = t863 * t23;
  t865 = t864 * t29;
  t868 = t288 * t186;
  t869 = t868 * t29;
  t870 = t869 * t169;
  t872 = t108 * t767;
  t873 = t872 * t29;
  t875 = t873 * t169 / 0.18e2;
  t877 = my_piecewise3(t100, 0, -t865 * t169 / 0.4e1 - t870 / 0.6e1 + t875);
  tv2rho20 = 0.2e1 * t282 + 0.2e1 * t298 + t3 * (t850 + t877);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t880 = t744 * t302;
  t884 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t750);
  t888 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t880 * t177 + 0.4e1 / 0.3e1 * t20 * t884);
  t889 = t888 * t23;
  t890 = t889 * t29;
  t893 = t305 * t186;
  t894 = t893 * t29;
  t895 = t894 * t96;
  t897 = t306 * t27;
  t898 = t897 * t210;
  t903 = t897 * t245;
  t913 = -t890 * t96 / 0.4e1 - t895 / 0.12e2 - t898 * t223 / 0.12e2 - t307 * t239 / 0.4e1 + t903 * t250 / 0.4e1 - t307 * t278 / 0.4e1 - t774 / 0.12e2 + t771 - t635 / 0.36e2 - t764 / 0.12e2 + t638 / 0.12e2 - t736 / 0.12e2;
  t914 = my_piecewise3(t2, 0, t913);
  t915 = t852 * t313;
  t919 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t856);
  t923 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t915 * t285 + 0.4e1 / 0.3e1 * t106 * t919);
  t924 = t923 * t23;
  t925 = t924 * t29;
  t928 = t316 * t186;
  t929 = t928 * t29;
  t930 = t929 * t169;
  t933 = t289 * t27;
  t934 = t933 * t337;
  t937 = t293 * t27;
  t938 = t937 * t337;
  t939 = t938 * t350;
  t943 = t294 * t366;
  t945 = t933 * t372;
  t948 = t937 * t372;
  t949 = t948 * t377;
  t953 = t294 * t405;
  t955 = -t925 * t169 / 0.4e1 - t930 / 0.12e2 - t870 / 0.12e2 + t875 - t934 * t350 / 0.12e2 - t939 / 0.36e2 - t290 * t366 / 0.4e1 - t943 / 0.12e2 + t945 * t377 / 0.4e1 + t949 / 0.12e2 - t290 * t405 / 0.4e1 - t953 / 0.12e2;
  t956 = my_piecewise3(t100, 0, t955);
  tv2rho21 = t282 + t298 + t311 + t409 + t3 * (t914 + t956);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t961 = t302 * t302;
  t966 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t174 + 0.2e1 * t750);
  t970 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t744 * t961 + 0.4e1 / 0.3e1 * t20 * t966);
  t971 = t970 * t23;
  t972 = t971 * t29;
  t977 = my_piecewise3(t2, 0, -t972 * t96 / 0.4e1 - t895 / 0.6e1 + t771);
  t982 = t121 * t121;
  t984 = 0.1e1 / t112 / t982;
  t988 = my_piecewise3(t129, t322, 0.2e2 / 0.27e2 * lapl[1] * t329 - 0.8e2 / 0.27e2 * t117 * t329 + 0.22e2 / 0.27e2 * t120 * t984);
  t989 = t988 * t335;
  t990 = t194 * t989;
  t991 = t321 * t990;
  t994 = t349 * t366;
  t997 = t333 * t333;
  t998 = t334 * t334;
  t999 = 0.1e1 / t998;
  t1000 = t997 * t999;
  t1001 = t649 * t1000;
  t1002 = t321 * t1001;
  t1003 = t340 * t340;
  t1004 = 0.1e1 / t1003;
  t1005 = t344 * t344;
  t1006 = 0.1e1 / t1005;
  t1007 = t1004 * t1006;
  t1008 = t348 * t348;
  t1009 = t1007 * t1008;
  t1010 = t1009 * t169;
  t1013 = t348 * t347;
  t1014 = t1007 * t1013;
  t1015 = t1014 * t169;
  t1018 = t370 * t167;
  t1019 = t145 * t1018;
  t1020 = t1009 * t1019;
  t1026 = 0.1e1 / t342 / t137;
  t1027 = t144 * t1026;
  t1028 = t369 * t1027;
  t1029 = t321 * t1028;
  t1030 = t167 * t648;
  t1031 = t1030 * t997;
  t1032 = t999 * t1004;
  t1033 = t1006 * t1008;
  t1034 = t1032 * t1033;
  t1035 = t1031 * t1034;
  t1038 = t1006 * t1013;
  t1039 = t1032 * t1038;
  t1040 = t1031 * t1039;
  t1044 = t334 * t136;
  t1045 = 0.1e1 / t1044;
  t1046 = t1045 * t341;
  t1047 = t1046 * t356;
  t1048 = t374 * t997 * t1047;
  t1051 = t997 * t1045;
  t1052 = t194 * t1051;
  t1053 = t321 * t1052;
  t1056 = t364 * t370;
  t1057 = t369 * t1056;
  t1058 = t321 * t1057;
  t1062 = t374 * t988 * t376;
  t1065 = t317 * t27;
  t1066 = t1065 * t337;
  t1069 = -t991 * t350 / 0.12e2 - t338 * t994 / 0.6e1 - t1002 * t1010 / 0.12e2 - t1002 * t1015 / 0.6e1 + t1002 * t1020 / 0.3e1 - t939 / 0.18e2 + t949 / 0.6e1 - t1029 * t1035 / 0.2e1 + t373 * t1040 / 0.2e1 - t373 * t1048 / 0.2e1 + t1053 * t350 / 0.6e1 + t1058 * t377 / 0.2e1 + t373 * t1062 / 0.4e1 - t1066 * t350 / 0.6e1;
  t1070 = t1065 * t372;
  t1075 = t374 * t336;
  t1076 = t341 * t1006;
  t1077 = t137 * t193;
  t1082 = 0.2e1 * t1077 * t333 * t376 - 0.2e1 * t359 * t349;
  t1083 = t348 * t1082;
  t1084 = t1076 * t1083;
  t1085 = t1075 * t1084;
  t1088 = params->at * t403;
  t1090 = t1088 * t353 * t376;
  t1093 = t348 * t139;
  t1094 = t1076 * t1093;
  t1095 = t144 * t146;
  t1096 = t167 * t1082;
  t1097 = t1095 * t1096;
  t1098 = t1094 * t1097;
  t1101 = t346 * t1093;
  t1102 = t1095 * t1088;
  t1103 = t1101 * t1102;
  t1106 = t365 * t404;
  t1109 = tau[1] * t329;
  t1112 = tau[1] * tau[1];
  t1113 = t982 * rho[1];
  t1115 = 0.1e1 / t111 / t1113;
  t1116 = t1112 * t1115;
  t1119 = t148 * t156;
  t1124 = t152 * t391;
  t1129 = t153 * t163;
  t1134 = t159 * t399;
  t1140 = 0.1e1 / t161 / t155;
  t1141 = t160 * t1140;
  t1146 = -0.4e2 / 0.9e1 * t1109 * t150 + 0.5e2 / 0.9e1 * t1116 * t384 - 0.25e3 / 0.9e1 * t1119 * t1116 - 0.4e2 / 0.9e1 * t385 * t1109 - 0.1e3 * t1124 * t1116 + 0.8e2 / 0.3e1 * t388 * t1109 - 0.1e3 / 0.9e1 * t1129 * t1116 + 0.8e2 / 0.3e1 * t392 * t1109 + 0.125e4 / 0.9e1 * t1134 * t1116 - 0.2e3 / 0.9e1 * t395 * t1109 + 0.25e3 / 0.3e1 * t1141 * t1116 - 0.2e3 / 0.9e1 * t400 * t1109;
  t1147 = t380 * t1146;
  t1148 = t145 * t1147;
  t1153 = t193 * t988;
  t1154 = t1153 * t354;
  t1156 = t193 * t997;
  t1157 = t1156 * t1046;
  t1160 = t648 * t997;
  t1161 = t1160 * t1032;
  t1162 = t1033 * t143;
  t1165 = t1006 * t348;
  t1166 = t143 * t1082;
  t1167 = t1165 * t1166;
  t1169 = t1038 * t143;
  t1172 = t1160 * t999;
  t1173 = t1008 * t140;
  t1174 = t1007 * t1173;
  t1177 = t1153 * t335;
  t1180 = t1156 * t1045;
  t1182 = t140 * t1082;
  t1183 = t1165 * t1182;
  t1186 = t1013 * t140;
  t1187 = t1007 * t1186;
  t1189 = t1154 * t357 - 0.2e1 * t1157 * t357 - t1161 * t1162 / 0.3e1 - t355 * t1167 + 0.2e1 * t1161 * t1169 + 0.2e1 / 0.3e1 * t1172 * t1174 - t1177 * t361 / 0.2e1 + t1180 * t361 + t355 * t1183 / 0.2e1 - t1172 * t1187;
  t1190 = t139 * t1189;
  t1191 = t1190 * t168;
  t1194 = t313 * t313;
  t1199 = my_piecewise5(t11, 0, t7, 0, -0.2e1 * t174 + 0.2e1 * t856);
  t1203 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t852 * t1194 + 0.4e1 / 0.3e1 * t106 * t1199);
  t1204 = t1203 * t23;
  t1205 = t1204 * t29;
  t1211 = t1070 * t377 / 0.2e1 - t930 / 0.6e1 - t943 / 0.6e1 + t875 - t373 * t1085 / 0.4e1 + t373 * t1090 / 0.2e1 + t338 * t1098 / 0.12e2 - t338 * t1103 / 0.6e1 - t110 * t1106 / 0.2e1 - t110 * t1148 / 0.4e1 - t318 * t405 / 0.2e1 - t110 * t1191 / 0.4e1 - t1205 * t169 / 0.4e1 - t318 * t366 / 0.2e1 - t953 / 0.6e1;
  t1213 = my_piecewise3(t100, 0, t1069 + t1211);
  tv2rho22 = 0.2e1 * t311 + 0.2e1 * t409 + t3 * (t977 + t1213);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t1217 = t637 * t432 / 0.12e2;
  t1218 = t633 * t416;
  t1220 = t1218 * t223 / 0.36e2;
  t1223 = t222 * t428;
  t1226 = t426 * t243;
  t1227 = t242 * t1226;
  t1228 = t191 * t1227;
  t1235 = params->gamma * t202;
  t1237 = my_piecewise3(t49, t195, -0.2e1 / 0.9e1 * t1235);
  t1239 = t247 * t1237 * t249;
  t1242 = t626 * t416;
  t1245 = t1237 * t208;
  t1246 = t194 * t1245;
  t1247 = t191 * t1246;
  t1250 = t414 * t651;
  t1251 = t649 * t1250;
  t1252 = t191 * t1251;
  t1253 = t665 * t59;
  t1254 = t659 * t1253;
  t1255 = t94 * t206;
  t1256 = t837 * t1255;
  t1257 = t1254 * t1256;
  t1260 = t660 * t59;
  t1261 = t659 * t1260;
  t1262 = t244 * t1255;
  t1263 = t1261 * t1262;
  t1266 = t1217 - t1220 - t417 * t645 / 0.12e2 - t211 * t1223 / 0.12e2 + t1228 * t250 / 0.4e1 + t630 * t432 / 0.4e1 + t608 * t432 / 0.4e1 + t246 * t1239 / 0.4e1 - t1242 * t223 / 0.12e2 - t1247 * t223 / 0.12e2 - t1252 * t1257 / 0.6e1 + t1252 * t1263 / 0.3e1;
  t1267 = t680 * t1250;
  t1268 = t660 * t206;
  t1269 = t659 * t1268;
  t1270 = t1267 * t1269;
  t1274 = t659 * t665 * t206;
  t1275 = t1267 * t1274;
  t1278 = t414 * t595;
  t1279 = t247 * t1278;
  t1281 = t219 * t221 * t206;
  t1282 = t1279 * t1281;
  t1285 = t247 * t415;
  t1286 = t1285 * t826;
  t1290 = t830 * t420 * t249;
  t1293 = t194 * t1278;
  t1294 = t191 * t1293;
  t1295 = t843 * t1256;
  t1300 = t1261 * t1256;
  t1305 = t427 * t277;
  t1310 = t193 * t1237;
  t1311 = t1310 * t227;
  t1313 = t420 * t596;
  t1314 = t63 * t206;
  t1315 = t229 * t1314;
  t1318 = t648 * t414;
  t1319 = t1318 * t682;
  t1320 = t683 * t1314;
  t1324 = t689 * t1314;
  t1327 = t60 * t206;
  t1328 = t683 * t1327;
  t1331 = t1310 * t208;
  t1334 = t229 * t1327;
  t1338 = t689 * t1327;
  t1340 = t1311 * t230 - 0.2e1 * t1313 * t1315 - t1319 * t1320 / 0.3e1 - t421 * t796 + 0.2e1 * t1319 * t1324 + 0.2e1 / 0.3e1 * t1319 * t1328 - t1331 * t234 / 0.2e1 + t1313 * t1334 + t421 * t812 / 0.2e1 - t1319 * t1338;
  t1341 = t59 * t1340;
  t1342 = t1341 * t95;
  t1346 = t188 * t428 / 0.12e2;
  t1347 = -t679 * t1270 / 0.2e1 + t246 * t1275 / 0.2e1 - t246 * t1282 / 0.2e1 - t246 * t1286 / 0.4e1 + t246 * t1290 / 0.4e1 + t1294 * t1295 / 0.6e1 + t417 * t840 / 0.12e2 - t1252 * t1300 / 0.12e2 - t417 * t845 / 0.12e2 - t30 * t1305 / 0.4e1 - t182 * t428 / 0.4e1 - t30 * t1342 / 0.4e1 - t1346;
  t1349 = my_piecewise3(t2, 0, t1266 + t1347);
  tv2rhosigma0 = t3 * t1349 + t436;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t1351 = t933 * t441;
  t1354 = t937 * t441;
  t1356 = t1354 * t350 / 0.36e2;
  t1360 = t294 * t453 / 0.12e2;
  t1364 = t948 * t457 / 0.12e2;
  t1366 = my_piecewise3(t100, 0, -t1351 * t350 / 0.12e2 - t1356 - t290 * t453 / 0.4e1 - t1360 + t945 * t457 / 0.4e1 + t1364);
  tv2rhosigma2 = t3 * t1366 + t461;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t1368 = t897 * t416;
  t1376 = my_piecewise3(t2, 0, -t1368 * t223 / 0.12e2 - t1220 - t307 * t428 / 0.4e1 - t1346 + t903 * t432 / 0.4e1 + t1217);
  tv2rhosigma3 = t3 * t1376 + t436;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t1378 = t349 * t453;
  t1381 = t451 * t370;
  t1382 = t369 * t1381;
  t1383 = t321 * t1382;
  t1390 = params->gamma * t329;
  t1392 = my_piecewise3(t129, t322, -0.2e1 / 0.9e1 * t1390);
  t1394 = t374 * t1392 * t376;
  t1397 = t1065 * t441;
  t1400 = t1392 * t335;
  t1401 = t194 * t1400;
  t1402 = t321 * t1401;
  t1407 = t439 * t999;
  t1408 = t1030 * t1407;
  t1409 = t1008 * t333;
  t1410 = t1007 * t1409;
  t1411 = t1408 * t1410;
  t1415 = t1007 * t1013 * t333;
  t1416 = t1408 * t1415;
  t1419 = t1364 - t338 * t1378 / 0.12e2 + t1383 * t377 / 0.4e1 + t1070 * t457 / 0.4e1 + t1058 * t457 / 0.4e1 + t373 * t1394 / 0.4e1 - t1397 * t350 / 0.12e2 - t1402 * t350 / 0.12e2 - t442 * t994 / 0.12e2 - t1356 - t1029 * t1411 / 0.2e1 + t373 * t1416 / 0.2e1;
  t1420 = t649 * t1407;
  t1421 = t321 * t1420;
  t1422 = t1013 * t139;
  t1423 = t1007 * t1422;
  t1424 = t167 * t333;
  t1425 = t1095 * t1424;
  t1426 = t1423 * t1425;
  t1429 = t1008 * t139;
  t1430 = t1007 * t1429;
  t1431 = t371 * t1424;
  t1432 = t1430 * t1431;
  t1435 = t439 * t1045;
  t1436 = t374 * t1435;
  t1438 = t346 * t348 * t333;
  t1439 = t1436 * t1438;
  t1442 = t374 * t440;
  t1443 = t1442 * t1084;
  t1447 = t1088 * t445 * t376;
  t1450 = t194 * t1435;
  t1451 = t321 * t1450;
  t1452 = t1101 * t1425;
  t1457 = t1430 * t1425;
  t1462 = t452 * t404;
  t1467 = t193 * t1392;
  t1468 = t1467 * t354;
  t1470 = t445 * t1046;
  t1471 = t143 * t333;
  t1472 = t356 * t1471;
  t1475 = t648 * t439;
  t1476 = t1475 * t1032;
  t1477 = t1033 * t1471;
  t1481 = t1038 * t1471;
  t1484 = t140 * t333;
  t1485 = t1033 * t1484;
  t1488 = t1467 * t335;
  t1491 = t356 * t1484;
  t1495 = t1038 * t1484;
  t1497 = t1468 * t357 - 0.2e1 * t1470 * t1472 - t1476 * t1477 / 0.3e1 - t446 * t1167 + 0.2e1 * t1476 * t1481 + 0.2e1 / 0.3e1 * t1476 * t1485 - t1488 * t361 / 0.2e1 + t1470 * t1491 + t446 * t1183 / 0.2e1 - t1476 * t1495;
  t1498 = t139 * t1497;
  t1499 = t1498 * t168;
  t1502 = -t1421 * t1426 / 0.6e1 + t1421 * t1432 / 0.3e1 - t373 * t1439 / 0.2e1 - t373 * t1443 / 0.4e1 + t373 * t1447 / 0.4e1 + t1451 * t1452 / 0.6e1 + t442 * t1098 / 0.12e2 - t1421 * t1457 / 0.12e2 - t442 * t1103 / 0.12e2 - t110 * t1462 / 0.4e1 - t1360 - t318 * t453 / 0.4e1 - t110 * t1499 / 0.4e1;
  t1504 = my_piecewise3(t100, 0, t1419 + t1502);
  tv2rhosigma5 = t3 * t1504 + t461;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t1506 = t633 * t465;
  t1508 = t1506 * t223 / 0.36e2;
  t1511 = t222 * t477;
  t1514 = t475 * t243;
  t1515 = t242 * t1514;
  t1516 = t191 * t1515;
  t1524 = my_piecewise3(t49, t195, -0.5e1 / 0.18e2 * t43);
  t1526 = t247 * t1524 * t249;
  t1529 = t626 * t465;
  t1532 = t1524 * t208;
  t1533 = t194 * t1532;
  t1534 = t191 * t1533;
  t1538 = t637 * t481 / 0.12e2;
  t1539 = t463 * t651;
  t1540 = t649 * t1539;
  t1541 = t191 * t1540;
  t1546 = -t1508 - t466 * t645 / 0.12e2 - t211 * t1511 / 0.12e2 + t1516 * t250 / 0.4e1 + t630 * t481 / 0.4e1 + t608 * t481 / 0.4e1 + t246 * t1526 / 0.4e1 - t1529 * t223 / 0.12e2 - t1534 * t223 / 0.12e2 + t1538 - t1541 * t1257 / 0.6e1 + t1541 * t1263 / 0.3e1;
  t1547 = t680 * t1539;
  t1548 = t1547 * t1269;
  t1551 = t1547 * t1274;
  t1554 = t463 * t595;
  t1555 = t247 * t1554;
  t1556 = t1555 * t1281;
  t1559 = t247 * t464;
  t1560 = t1559 * t826;
  t1564 = t830 * t469 * t249;
  t1567 = t194 * t1554;
  t1568 = t191 * t1567;
  t1577 = t476 * t277;
  t1581 = t188 * t477 / 0.12e2;
  t1584 = t193 * t1524;
  t1585 = t1584 * t227;
  t1587 = t469 * t596;
  t1590 = t648 * t463;
  t1591 = t1590 * t682;
  t1599 = t1584 * t208;
  t1606 = t1585 * t230 - 0.2e1 * t1587 * t1315 - t1591 * t1320 / 0.3e1 - t470 * t796 + 0.2e1 * t1591 * t1324 + 0.2e1 / 0.3e1 * t1591 * t1328 - t1599 * t234 / 0.2e1 + t1587 * t1334 + t470 * t812 / 0.2e1 - t1591 * t1338;
  t1607 = t59 * t1606;
  t1608 = t1607 * t95;
  t1611 = -t679 * t1548 / 0.2e1 + t246 * t1551 / 0.2e1 - t246 * t1556 / 0.2e1 - t246 * t1560 / 0.4e1 + t246 * t1564 / 0.4e1 + t1568 * t1295 / 0.6e1 + t466 * t840 / 0.12e2 - t1541 * t1300 / 0.12e2 - t466 * t845 / 0.12e2 - t30 * t1577 / 0.4e1 - t1581 - t182 * t477 / 0.4e1 - t30 * t1608 / 0.4e1;
  t1613 = my_piecewise3(t2, 0, t1546 + t1611);
  tv2rholapl0 = t3 * t1613 + t485;

  if(out->v2rholapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t1615 = t933 * t489;
  t1618 = t937 * t489;
  t1620 = t1618 * t350 / 0.36e2;
  t1624 = t294 * t501 / 0.12e2;
  t1628 = t948 * t505 / 0.12e2;
  t1630 = my_piecewise3(t100, 0, -t1615 * t350 / 0.12e2 - t1620 - t290 * t501 / 0.4e1 - t1624 + t945 * t505 / 0.4e1 + t1628);
  tv2rholapl1 = t3 * t1630 + t509;

  if(out->v2rholapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 1] += tv2rholapl1;

  t1632 = t897 * t465;
  t1640 = my_piecewise3(t2, 0, -t1632 * t223 / 0.12e2 - t1508 - t307 * t477 / 0.4e1 - t1581 + t903 * t481 / 0.4e1 + t1538);
  tv2rholapl2 = t3 * t1640 + t485;

  if(out->v2rholapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 2] += tv2rholapl2;

  t1642 = t349 * t501;
  t1645 = t499 * t370;
  t1646 = t369 * t1645;
  t1647 = t321 * t1646;
  t1655 = my_piecewise3(t129, t322, -0.5e1 / 0.18e2 * t123);
  t1657 = t374 * t1655 * t376;
  t1660 = t1065 * t489;
  t1663 = t1655 * t335;
  t1664 = t194 * t1663;
  t1665 = t321 * t1664;
  t1670 = t500 * t404;
  t1673 = t487 * t999;
  t1674 = t1030 * t1673;
  t1675 = t1674 * t1410;
  t1678 = -t338 * t1642 / 0.12e2 + t1647 * t377 / 0.4e1 + t1070 * t505 / 0.4e1 + t1058 * t505 / 0.4e1 + t373 * t1657 / 0.4e1 - t1660 * t350 / 0.12e2 - t1665 * t350 / 0.12e2 - t490 * t994 / 0.12e2 - t1620 + t1628 - t110 * t1670 / 0.4e1 - t1029 * t1675 / 0.2e1;
  t1679 = t1674 * t1415;
  t1682 = t649 * t1673;
  t1683 = t321 * t1682;
  t1688 = t487 * t1045;
  t1689 = t374 * t1688;
  t1690 = t1689 * t1438;
  t1693 = t374 * t488;
  t1694 = t1693 * t1084;
  t1698 = t1088 * t493 * t376;
  t1701 = t194 * t1688;
  t1702 = t321 * t1701;
  t1713 = t193 * t1655;
  t1714 = t1713 * t354;
  t1716 = t493 * t1046;
  t1719 = t648 * t487;
  t1720 = t1719 * t1032;
  t1728 = t1713 * t335;
  t1735 = t1714 * t357 - 0.2e1 * t1716 * t1472 - t1720 * t1477 / 0.3e1 - t494 * t1167 + 0.2e1 * t1720 * t1481 + 0.2e1 / 0.3e1 * t1720 * t1485 - t1728 * t361 / 0.2e1 + t1716 * t1491 + t494 * t1183 / 0.2e1 - t1720 * t1495;
  t1736 = t139 * t1735;
  t1737 = t1736 * t168;
  t1740 = t373 * t1679 / 0.2e1 - t1683 * t1426 / 0.6e1 + t1683 * t1432 / 0.3e1 - t373 * t1690 / 0.2e1 - t373 * t1694 / 0.4e1 + t373 * t1698 / 0.4e1 + t1702 * t1452 / 0.6e1 + t490 * t1098 / 0.12e2 - t1683 * t1457 / 0.12e2 - t490 * t1103 / 0.12e2 - t1624 - t318 * t501 / 0.4e1 - t110 * t1737 / 0.4e1;
  t1742 = my_piecewise3(t100, 0, t1678 + t1740);
  tv2rholapl3 = t3 * t1742 + t509;

  if(out->v2rholapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 3] += tv2rholapl3;

  t1745 = my_piecewise3(t49, t195, 0.1e2 / 0.9e1 * t412);
  t1747 = t247 * t1745 * t249;
  t1750 = t626 * t514;
  t1753 = t1745 * t208;
  t1754 = t194 * t1753;
  t1755 = t191 * t1754;
  t1759 = t637 * t530 / 0.12e2;
  t1760 = t633 * t514;
  t1762 = t1760 * t223 / 0.36e2;
  t1765 = t222 * t526;
  t1768 = t524 * t243;
  t1769 = t242 * t1768;
  t1770 = t191 * t1769;
  t1777 = t512 * t651;
  t1778 = t649 * t1777;
  t1779 = t191 * t1778;
  t1784 = t680 * t1777;
  t1785 = t1784 * t1269;
  t1788 = t1784 * t1274;
  t1791 = t512 * t595;
  t1792 = t247 * t1791;
  t1793 = t1792 * t1281;
  t1796 = t246 * t1747 / 0.4e1 - t1750 * t223 / 0.12e2 - t1755 * t223 / 0.12e2 + t1759 - t1762 - t515 * t645 / 0.12e2 - t211 * t1765 / 0.12e2 + t1770 * t250 / 0.4e1 + t630 * t530 / 0.4e1 + t608 * t530 / 0.4e1 - t1779 * t1257 / 0.6e1 + t1779 * t1263 / 0.3e1 - t679 * t1785 / 0.2e1 + t246 * t1788 / 0.2e1 - t246 * t1793 / 0.2e1;
  t1797 = t247 * t513;
  t1798 = t1797 * t826;
  t1802 = t830 * t518 * t249;
  t1805 = params->at * t543;
  t1806 = t837 * t1805;
  t1807 = t843 * t1806;
  t1811 = t1805 * t226 * t249;
  t1814 = t194 * t1791;
  t1815 = t191 * t1814;
  t1818 = t525 * t277;
  t1823 = t238 * t544;
  t1829 = 0.1e1 / t31 / t615;
  t1830 = t1829 * t257;
  t1833 = t1829 * tau[0];
  t1854 = 0.5e1 / 0.3e1 * t43 * t77 - 0.1e2 / 0.3e1 * t1830 * tau[0] + 0.5e2 / 0.3e1 * t704 * t1833 + 0.5e1 / 0.3e1 * t258 * t43 + 0.6e2 * t709 * t1833 - 0.1e2 * t261 * t43 + 0.2e2 / 0.3e1 * t714 * t1833 - 0.1e2 * t265 * t43 - 0.25e3 / 0.3e1 * t719 * t1833 + 0.25e2 / 0.3e1 * t268 * t43 - 0.5e2 * t726 * t1833 + 0.25e2 / 0.3e1 * t273 * t43;
  t1855 = t253 * t1854;
  t1856 = t65 * t1855;
  t1860 = t188 * t545 / 0.12e2;
  t1869 = t193 * t1745;
  t1870 = t1869 * t227;
  t1872 = t518 * t596;
  t1875 = t648 * t512;
  t1876 = t1875 * t682;
  t1884 = t1869 * t208;
  t1891 = t1870 * t230 - 0.2e1 * t1872 * t1315 - t1876 * t1320 / 0.3e1 - t519 * t796 + 0.2e1 * t1876 * t1324 + 0.2e1 / 0.3e1 * t1876 * t1328 - t1884 * t234 / 0.2e1 + t1872 * t1334 + t519 * t812 / 0.2e1 - t1876 * t1338;
  t1892 = t59 * t1891;
  t1893 = t1892 * t95;
  t1897 = t188 * t526 / 0.12e2;
  t1898 = -t246 * t1798 / 0.4e1 + t246 * t1802 / 0.4e1 - t211 * t1807 / 0.12e2 + t246 * t1811 / 0.4e1 + t1815 * t1295 / 0.6e1 - t30 * t1818 / 0.4e1 - t182 * t545 / 0.4e1 - t30 * t1823 / 0.4e1 - t30 * t1856 / 0.4e1 - t1860 + t515 * t840 / 0.12e2 - t1779 * t1300 / 0.12e2 - t515 * t845 / 0.12e2 - t182 * t526 / 0.4e1 - t30 * t1893 / 0.4e1 - t1897;
  t1900 = my_piecewise3(t2, 0, t1796 + t1898);
  tv2rhotau0 = t3 * t1900 + t549;

  if(out->v2rhotau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t1902 = t933 * t554;
  t1905 = t937 * t554;
  t1907 = t1905 * t350 / 0.36e2;
  t1911 = t294 * t566 / 0.12e2;
  t1915 = t948 * t570 / 0.12e2;
  t1919 = t294 * t585 / 0.12e2;
  t1921 = my_piecewise3(t100, 0, -t1902 * t350 / 0.12e2 - t1907 - t290 * t566 / 0.4e1 - t1911 + t945 * t570 / 0.4e1 + t1915 - t290 * t585 / 0.4e1 - t1919);
  tv2rhotau1 = t3 * t1921 + t589;

  if(out->v2rhotau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 1] += tv2rhotau1;

  t1923 = t897 * t514;
  t1933 = my_piecewise3(t2, 0, -t1923 * t223 / 0.12e2 - t1762 - t307 * t526 / 0.4e1 - t1897 + t903 * t530 / 0.4e1 + t1759 - t307 * t545 / 0.4e1 - t1860);
  tv2rhotau2 = t3 * t1933 + t549;

  if(out->v2rhotau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 2] += tv2rhotau2;

  t1936 = my_piecewise3(t129, t322, 0.1e2 / 0.9e1 * t437);
  t1938 = t374 * t1936 * t376;
  t1941 = t1065 * t554;
  t1944 = t1936 * t335;
  t1945 = t194 * t1944;
  t1946 = t321 * t1945;
  t1951 = t349 * t566;
  t1954 = t564 * t370;
  t1955 = t369 * t1954;
  t1956 = t321 * t1955;
  t1963 = params->at * t583;
  t1964 = t1095 * t1963;
  t1965 = t1101 * t1964;
  t1969 = t1963 * t353 * t376;
  t1972 = t552 * t1045;
  t1973 = t194 * t1972;
  t1974 = t321 * t1973;
  t1979 = t552 * t999;
  t1980 = t649 * t1979;
  t1981 = t321 * t1980;
  t1984 = t373 * t1938 / 0.4e1 - t1941 * t350 / 0.12e2 - t1946 * t350 / 0.12e2 - t555 * t994 / 0.12e2 - t1907 + t1915 - t338 * t1951 / 0.12e2 + t1956 * t377 / 0.4e1 + t1070 * t570 / 0.4e1 + t1058 * t570 / 0.4e1 - t338 * t1965 / 0.12e2 + t373 * t1969 / 0.4e1 + t1974 * t1452 / 0.6e1 + t555 * t1098 / 0.12e2 - t1981 * t1457 / 0.12e2;
  t1989 = t365 * t584;
  t1995 = 0.1e1 / t111 / t982;
  t1996 = t1995 * t384;
  t1999 = t1995 * tau[1];
  t2020 = 0.5e1 / 0.3e1 * t123 * t150 - 0.1e2 / 0.3e1 * t1996 * tau[1] + 0.5e2 / 0.3e1 * t1119 * t1999 + 0.5e1 / 0.3e1 * t385 * t123 + 0.6e2 * t1124 * t1999 - 0.1e2 * t388 * t123 + 0.2e2 / 0.3e1 * t1129 * t1999 - 0.1e2 * t392 * t123 - 0.25e3 / 0.3e1 * t1134 * t1999 + 0.25e2 / 0.3e1 * t395 * t123 - 0.5e2 * t1141 * t1999 + 0.25e2 / 0.3e1 * t400 * t123;
  t2021 = t380 * t2020;
  t2022 = t145 * t2021;
  t2025 = t1030 * t1979;
  t2026 = t2025 * t1410;
  t2029 = t2025 * t1415;
  t2036 = t374 * t1972;
  t2037 = t2036 * t1438;
  t2040 = t374 * t553;
  t2041 = t2040 * t1084;
  t2045 = t1088 * t558 * t376;
  t2048 = t565 * t404;
  t2053 = t193 * t1936;
  t2054 = t2053 * t354;
  t2056 = t558 * t1046;
  t2059 = t648 * t552;
  t2060 = t2059 * t1032;
  t2068 = t2053 * t335;
  t2075 = t2054 * t357 - 0.2e1 * t2056 * t1472 - t2060 * t1477 / 0.3e1 - t559 * t1167 + 0.2e1 * t2060 * t1481 + 0.2e1 / 0.3e1 * t2060 * t1485 - t2068 * t361 / 0.2e1 + t2056 * t1491 + t559 * t1183 / 0.2e1 - t2060 * t1495;
  t2076 = t139 * t2075;
  t2077 = t2076 * t168;
  t2080 = -t555 * t1103 / 0.12e2 - t318 * t585 / 0.4e1 - t110 * t1989 / 0.4e1 - t110 * t2022 / 0.4e1 - t1029 * t2026 / 0.2e1 + t373 * t2029 / 0.2e1 - t1981 * t1426 / 0.6e1 + t1981 * t1432 / 0.3e1 - t373 * t2037 / 0.2e1 - t373 * t2041 / 0.4e1 + t373 * t2045 / 0.4e1 - t1919 - t110 * t2048 / 0.4e1 - t1911 - t318 * t566 / 0.4e1 - t110 * t2077 / 0.4e1;
  t2082 = my_piecewise3(t100, 0, t1984 + t2080);
  tv2rhotau3 = t3 * t2082 + t589;

  if(out->v2rhotau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 3] += tv2rhotau3;

  t2084 = my_piecewise3(t49, t195, 0);
  t2085 = t2084 * t208;
  t2086 = t194 * t2085;
  t2087 = t191 * t2086;
  t2089 = t2087 * t223 / 0.12e2;
  t2090 = t414 * t414;
  t2091 = t2090 * t595;
  t2092 = t194 * t2091;
  t2093 = t191 * t2092;
  t2096 = t2090 * t651;
  t2097 = t649 * t2096;
  t2098 = t191 * t2097;
  t2105 = 0.2e1 * t789 * t414 * t249 - 0.2e1 * t423 * t222;
  t2106 = t94 * t2105;
  t2107 = t837 * t2106;
  t2108 = t836 * t2107;
  t2117 = t193 * t2084;
  t2118 = t2117 * t227;
  t2119 = t2118 * t230;
  t2120 = t193 * t2090;
  t2121 = t2120 * t596;
  t2124 = t648 * t2090;
  t2125 = t2124 * t682;
  t2128 = t63 * t2105;
  t2129 = t788 * t2128;
  t2133 = t2124 * t651;
  t2136 = t2117 * t208;
  t2138 = t2136 * t234 / 0.2e1;
  t2139 = t2120 * t595;
  t2141 = t60 * t2105;
  t2142 = t788 * t2141;
  t2146 = t2119 - 0.2e1 * t2121 * t230 - t2125 * t785 / 0.3e1 - t421 * t2129 + 0.2e1 * t2125 * t798 + 0.2e1 / 0.3e1 * t2133 * t803 - t2138 + t2139 * t234 + t421 * t2142 / 0.2e1 - t2133 * t816;
  t2147 = t59 * t2146;
  t2148 = t2147 * t95;
  t2153 = t680 * t2090;
  t2154 = t2153 * t684;
  t2158 = t247 * t2084 * t249;
  t2160 = t246 * t2158 / 0.4e1;
  t2162 = t247 * t2090 * t597;
  t2165 = t221 * t2105;
  t2166 = t824 * t2165;
  t2167 = t1285 * t2166;
  t2170 = t2153 * t690;
  t2173 = -t2089 + t2093 * t223 / 0.6e1 - t2098 * t662 / 0.12e2 + t417 * t2108 / 0.12e2 - t2098 * t667 / 0.6e1 - t417 * t1223 / 0.6e1 + t2098 * t672 / 0.3e1 - t30 * t2148 / 0.4e1 + t1228 * t432 / 0.2e1 - t679 * t2154 / 0.2e1 + t2160 - t246 * t2162 / 0.2e1 - t246 * t2167 / 0.4e1 + t246 * t2170 / 0.2e1;
  t2174 = my_piecewise3(t2, 0, t2173);
  tv2sigma20 = t3 * t2174;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t2175 = my_piecewise3(t129, t322, 0);
  t2176 = t2175 * t335;
  t2177 = t194 * t2176;
  t2178 = t321 * t2177;
  t2180 = t2178 * t350 / 0.12e2;
  t2181 = t439 * t439;
  t2182 = t2181 * t1045;
  t2183 = t194 * t2182;
  t2184 = t321 * t2183;
  t2187 = t2181 * t999;
  t2188 = t649 * t2187;
  t2189 = t321 * t2188;
  t2196 = 0.2e1 * t1077 * t439 * t376 - 0.2e1 * t448 * t349;
  t2197 = t167 * t2196;
  t2198 = t1095 * t2197;
  t2199 = t1094 * t2198;
  t2208 = t193 * t2175;
  t2209 = t2208 * t354;
  t2210 = t2209 * t357;
  t2211 = t193 * t2181;
  t2212 = t2211 * t1046;
  t2215 = t648 * t2181;
  t2216 = t2215 * t1032;
  t2219 = t143 * t2196;
  t2220 = t1165 * t2219;
  t2224 = t2215 * t999;
  t2227 = t2208 * t335;
  t2229 = t2227 * t361 / 0.2e1;
  t2230 = t2211 * t1045;
  t2232 = t140 * t2196;
  t2233 = t1165 * t2232;
  t2237 = t2210 - 0.2e1 * t2212 * t357 - t2216 * t1162 / 0.3e1 - t446 * t2220 + 0.2e1 * t2216 * t1169 + 0.2e1 / 0.3e1 * t2224 * t1174 - t2229 + t2230 * t361 + t446 * t2233 / 0.2e1 - t2224 * t1187;
  t2238 = t139 * t2237;
  t2239 = t2238 * t168;
  t2244 = t1030 * t2181;
  t2245 = t2244 * t1034;
  t2249 = t374 * t2175 * t376;
  t2251 = t373 * t2249 / 0.4e1;
  t2253 = t374 * t2181 * t1047;
  t2256 = t348 * t2196;
  t2257 = t1076 * t2256;
  t2258 = t1442 * t2257;
  t2261 = t2244 * t1039;
  t2264 = -t2180 + t2184 * t350 / 0.6e1 - t2189 * t1010 / 0.12e2 + t442 * t2199 / 0.12e2 - t2189 * t1015 / 0.6e1 - t442 * t1378 / 0.6e1 + t2189 * t1020 / 0.3e1 - t110 * t2239 / 0.4e1 + t1383 * t457 / 0.2e1 - t1029 * t2245 / 0.2e1 + t2251 - t373 * t2253 / 0.2e1 - t373 * t2258 / 0.4e1 + t373 * t2261 / 0.2e1;
  t2265 = my_piecewise3(t100, 0, t2264);
  tv2sigma25 = t3 * t2265;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t2266 = t94 * t414;
  t2267 = t837 * t2266;
  t2268 = t843 * t2267;
  t2271 = t1261 * t2267;
  t2276 = t1254 * t2267;
  t2281 = t244 * t2266;
  t2282 = t1261 * t2281;
  t2287 = t63 * t414;
  t2288 = t229 * t2287;
  t2291 = t683 * t2287;
  t2295 = t689 * t2287;
  t2298 = t60 * t414;
  t2299 = t683 * t2298;
  t2302 = t229 * t2298;
  t2306 = t689 * t2298;
  t2308 = t2119 - 0.2e1 * t1587 * t2288 - t1591 * t2291 / 0.3e1 - t470 * t2129 + 0.2e1 * t1591 * t2295 + 0.2e1 / 0.3e1 * t1591 * t2299 - t2138 + t1587 * t2302 + t470 * t2142 / 0.2e1 - t1591 * t2306;
  t2309 = t59 * t2308;
  t2310 = t2309 * t95;
  t2317 = t660 * t414;
  t2318 = t659 * t2317;
  t2319 = t1547 * t2318;
  t2322 = t221 * t414;
  t2323 = t219 * t2322;
  t2324 = t1555 * t2323;
  t2327 = t1559 * t2166;
  t2330 = t665 * t414;
  t2331 = t659 * t2330;
  t2332 = t1547 * t2331;
  t2335 = -t2089 + t1568 * t2268 / 0.6e1 - t1541 * t2271 / 0.12e2 + t466 * t2108 / 0.12e2 - t1541 * t2276 / 0.6e1 - t466 * t1223 / 0.12e2 + t1541 * t2282 / 0.3e1 - t417 * t1511 / 0.12e2 - t30 * t2310 / 0.4e1 + t1516 * t432 / 0.4e1 + t1228 * t481 / 0.4e1 - t679 * t2319 / 0.2e1 + t2160 - t246 * t2324 / 0.2e1 - t246 * t2327 / 0.4e1 + t246 * t2332 / 0.2e1;
  t2336 = my_piecewise3(t2, 0, t2335);
  tv2sigmalapl0 = t3 * t2336;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  tv2sigmalapl1 = 0.e0;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 1] += tv2sigmalapl1;

  tv2sigmalapl2 = 0.e0;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 2] += tv2sigmalapl2;

  tv2sigmalapl3 = 0.e0;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 3] += tv2sigmalapl3;

  tv2sigmalapl4 = 0.e0;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 4] += tv2sigmalapl4;

  t2337 = t167 * t439;
  t2338 = t1095 * t2337;
  t2339 = t1101 * t2338;
  t2342 = t1430 * t2338;
  t2347 = t1423 * t2338;
  t2352 = t371 * t2337;
  t2353 = t1430 * t2352;
  t2358 = t143 * t439;
  t2359 = t356 * t2358;
  t2362 = t1033 * t2358;
  t2366 = t1038 * t2358;
  t2369 = t140 * t439;
  t2370 = t1033 * t2369;
  t2373 = t356 * t2369;
  t2377 = t1038 * t2369;
  t2379 = t2210 - 0.2e1 * t1716 * t2359 - t1720 * t2362 / 0.3e1 - t494 * t2220 + 0.2e1 * t1720 * t2366 + 0.2e1 / 0.3e1 * t1720 * t2370 - t2229 + t1716 * t2373 + t494 * t2233 / 0.2e1 - t1720 * t2377;
  t2380 = t139 * t2379;
  t2381 = t2380 * t168;
  t2388 = t1008 * t439;
  t2389 = t1007 * t2388;
  t2390 = t1674 * t2389;
  t2393 = t348 * t439;
  t2394 = t346 * t2393;
  t2395 = t1689 * t2394;
  t2398 = t1693 * t2257;
  t2401 = t1013 * t439;
  t2402 = t1007 * t2401;
  t2403 = t1674 * t2402;
  t2406 = -t2180 + t1702 * t2339 / 0.6e1 - t1683 * t2342 / 0.12e2 + t490 * t2199 / 0.12e2 - t1683 * t2347 / 0.6e1 - t490 * t1378 / 0.12e2 + t1683 * t2353 / 0.3e1 - t442 * t1642 / 0.12e2 - t110 * t2381 / 0.4e1 + t1647 * t457 / 0.4e1 + t1383 * t505 / 0.4e1 - t1029 * t2390 / 0.2e1 + t2251 - t373 * t2395 / 0.2e1 - t373 * t2398 / 0.4e1 + t373 * t2403 / 0.2e1;
  t2407 = my_piecewise3(t100, 0, t2406);
  tv2sigmalapl5 = t3 * t2407;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 5] += tv2sigmalapl5;

  t2435 = t2119 - 0.2e1 * t1872 * t2288 - t1876 * t2291 / 0.3e1 - t519 * t2129 + 0.2e1 * t1876 * t2295 + 0.2e1 / 0.3e1 * t1876 * t2299 - t2138 + t1872 * t2302 + t519 * t2142 / 0.2e1 - t1876 * t2306;
  t2436 = t59 * t2435;
  t2437 = t2436 * t95;
  t2444 = t1784 * t2318;
  t2447 = t1792 * t2323;
  t2450 = t1797 * t2166;
  t2453 = t1784 * t2331;
  t2458 = t427 * t544;
  t2462 = t1805 * t420 * t249;
  t2465 = -t2089 + t1815 * t2268 / 0.6e1 - t1779 * t2271 / 0.12e2 + t515 * t2108 / 0.12e2 - t1779 * t2276 / 0.6e1 - t515 * t1223 / 0.12e2 + t1779 * t2282 / 0.3e1 - t417 * t1765 / 0.12e2 - t30 * t2437 / 0.4e1 + t1770 * t432 / 0.4e1 + t1228 * t530 / 0.4e1 - t679 * t2444 / 0.2e1 + t2160 - t246 * t2447 / 0.2e1 - t246 * t2450 / 0.4e1 + t246 * t2453 / 0.2e1 - t417 * t1807 / 0.12e2 - t30 * t2458 / 0.4e1 + t246 * t2462 / 0.4e1;
  t2466 = my_piecewise3(t2, 0, t2465);
  tv2sigmatau0 = t3 * t2466;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  tv2sigmatau1 = 0.e0;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 1] += tv2sigmatau1;

  tv2sigmatau2 = 0.e0;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 2] += tv2sigmatau2;

  tv2sigmatau3 = 0.e0;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 3] += tv2sigmatau3;

  tv2sigmatau4 = 0.e0;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 4] += tv2sigmatau4;

  t2494 = t2210 - 0.2e1 * t2056 * t2359 - t2060 * t2362 / 0.3e1 - t559 * t2220 + 0.2e1 * t2060 * t2366 + 0.2e1 / 0.3e1 * t2060 * t2370 - t2229 + t2056 * t2373 + t559 * t2233 / 0.2e1 - t2060 * t2377;
  t2495 = t139 * t2494;
  t2496 = t2495 * t168;
  t2503 = t2025 * t2389;
  t2506 = t2036 * t2394;
  t2509 = t2040 * t2257;
  t2512 = t2025 * t2402;
  t2517 = t452 * t584;
  t2521 = t1963 * t445 * t376;
  t2524 = -t2180 + t1974 * t2339 / 0.6e1 - t1981 * t2342 / 0.12e2 + t555 * t2199 / 0.12e2 - t1981 * t2347 / 0.6e1 - t555 * t1378 / 0.12e2 + t1981 * t2353 / 0.3e1 - t442 * t1951 / 0.12e2 - t110 * t2496 / 0.4e1 + t1956 * t457 / 0.4e1 + t1383 * t570 / 0.4e1 - t1029 * t2503 / 0.2e1 + t2251 - t373 * t2506 / 0.2e1 - t373 * t2509 / 0.4e1 + t373 * t2512 / 0.2e1 - t442 * t1965 / 0.12e2 - t110 * t2517 / 0.4e1 + t373 * t2521 / 0.4e1;
  t2525 = my_piecewise3(t100, 0, t2524);
  tv2sigmatau5 = t3 * t2525;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 5] += tv2sigmatau5;

  t2526 = t463 * t463;
  t2527 = t2526 * t595;
  t2528 = t194 * t2527;
  t2529 = t191 * t2528;
  t2532 = t2526 * t651;
  t2533 = t649 * t2532;
  t2534 = t191 * t2533;
  t2541 = 0.2e1 * t789 * t463 * t249 - 0.2e1 * t472 * t222;
  t2542 = t94 * t2541;
  t2543 = t837 * t2542;
  t2544 = t836 * t2543;
  t2553 = t193 * t2526;
  t2554 = t2553 * t596;
  t2557 = t648 * t2526;
  t2558 = t2557 * t682;
  t2561 = t63 * t2541;
  t2562 = t788 * t2561;
  t2566 = t2557 * t651;
  t2569 = t2553 * t595;
  t2571 = t60 * t2541;
  t2572 = t788 * t2571;
  t2576 = t2119 - 0.2e1 * t2554 * t230 - t2558 * t785 / 0.3e1 - t470 * t2562 + 0.2e1 * t2558 * t798 + 0.2e1 / 0.3e1 * t2566 * t803 - t2138 + t2569 * t234 + t470 * t2572 / 0.2e1 - t2566 * t816;
  t2577 = t59 * t2576;
  t2578 = t2577 * t95;
  t2583 = t680 * t2526;
  t2584 = t2583 * t684;
  t2588 = t247 * t2526 * t597;
  t2591 = t221 * t2541;
  t2592 = t824 * t2591;
  t2593 = t1559 * t2592;
  t2596 = t2583 * t690;
  t2599 = -t2089 + t2529 * t223 / 0.6e1 - t2534 * t662 / 0.12e2 + t466 * t2544 / 0.12e2 - t2534 * t667 / 0.6e1 - t466 * t1511 / 0.6e1 + t2534 * t672 / 0.3e1 - t30 * t2578 / 0.4e1 + t1516 * t481 / 0.2e1 - t679 * t2584 / 0.2e1 + t2160 - t246 * t2588 / 0.2e1 - t246 * t2593 / 0.4e1 + t246 * t2596 / 0.2e1;
  t2600 = my_piecewise3(t2, 0, t2599);
  tv2lapl20 = t3 * t2600;

  if(out->v2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  tv2lapl21 = 0.e0;

  if(out->v2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 1] += tv2lapl21;

  t2601 = t487 * t487;
  t2602 = t2601 * t1045;
  t2603 = t194 * t2602;
  t2604 = t321 * t2603;
  t2607 = t2601 * t999;
  t2608 = t649 * t2607;
  t2609 = t321 * t2608;
  t2616 = 0.2e1 * t1077 * t487 * t376 - 0.2e1 * t496 * t349;
  t2617 = t167 * t2616;
  t2618 = t1095 * t2617;
  t2619 = t1094 * t2618;
  t2628 = t193 * t2601;
  t2629 = t2628 * t1046;
  t2632 = t648 * t2601;
  t2633 = t2632 * t1032;
  t2636 = t143 * t2616;
  t2637 = t1165 * t2636;
  t2641 = t2632 * t999;
  t2644 = t2628 * t1045;
  t2646 = t140 * t2616;
  t2647 = t1165 * t2646;
  t2651 = t2210 - 0.2e1 * t2629 * t357 - t2633 * t1162 / 0.3e1 - t494 * t2637 + 0.2e1 * t2633 * t1169 + 0.2e1 / 0.3e1 * t2641 * t1174 - t2229 + t2644 * t361 + t494 * t2647 / 0.2e1 - t2641 * t1187;
  t2652 = t139 * t2651;
  t2653 = t2652 * t168;
  t2658 = t1030 * t2601;
  t2659 = t2658 * t1034;
  t2663 = t374 * t2601 * t1047;
  t2666 = t348 * t2616;
  t2667 = t1076 * t2666;
  t2668 = t1693 * t2667;
  t2671 = t2658 * t1039;
  t2674 = -t2180 + t2604 * t350 / 0.6e1 - t2609 * t1010 / 0.12e2 + t490 * t2619 / 0.12e2 - t2609 * t1015 / 0.6e1 - t490 * t1642 / 0.6e1 + t2609 * t1020 / 0.3e1 - t110 * t2653 / 0.4e1 + t1647 * t505 / 0.2e1 - t1029 * t2659 / 0.2e1 + t2251 - t373 * t2663 / 0.2e1 - t373 * t2668 / 0.4e1 + t373 * t2671 / 0.2e1;
  t2675 = my_piecewise3(t100, 0, t2674);
  tv2lapl22 = t3 * t2675;

  if(out->v2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 2] += tv2lapl22;

  t2676 = t94 * t463;
  t2677 = t837 * t2676;
  t2678 = t843 * t2677;
  t2681 = t1261 * t2677;
  t2686 = t1254 * t2677;
  t2691 = t244 * t2676;
  t2692 = t1261 * t2691;
  t2697 = t63 * t463;
  t2698 = t229 * t2697;
  t2701 = t683 * t2697;
  t2705 = t689 * t2697;
  t2708 = t60 * t463;
  t2709 = t683 * t2708;
  t2712 = t229 * t2708;
  t2716 = t689 * t2708;
  t2718 = t2119 - 0.2e1 * t1872 * t2698 - t1876 * t2701 / 0.3e1 - t519 * t2562 + 0.2e1 * t1876 * t2705 + 0.2e1 / 0.3e1 * t1876 * t2709 - t2138 + t1872 * t2712 + t519 * t2572 / 0.2e1 - t1876 * t2716;
  t2719 = t59 * t2718;
  t2720 = t2719 * t95;
  t2727 = t660 * t463;
  t2728 = t659 * t2727;
  t2729 = t1784 * t2728;
  t2732 = t221 * t463;
  t2733 = t219 * t2732;
  t2734 = t1792 * t2733;
  t2737 = t1797 * t2592;
  t2740 = t665 * t463;
  t2741 = t659 * t2740;
  t2742 = t1784 * t2741;
  t2747 = t476 * t544;
  t2751 = t1805 * t469 * t249;
  t2754 = -t2089 + t1815 * t2678 / 0.6e1 - t1779 * t2681 / 0.12e2 + t515 * t2544 / 0.12e2 - t1779 * t2686 / 0.6e1 - t515 * t1511 / 0.12e2 + t1779 * t2692 / 0.3e1 - t466 * t1765 / 0.12e2 - t30 * t2720 / 0.4e1 + t1770 * t481 / 0.4e1 + t1516 * t530 / 0.4e1 - t679 * t2729 / 0.2e1 + t2160 - t246 * t2734 / 0.2e1 - t246 * t2737 / 0.4e1 + t246 * t2742 / 0.2e1 - t466 * t1807 / 0.12e2 - t30 * t2747 / 0.4e1 + t246 * t2751 / 0.4e1;
  t2755 = my_piecewise3(t2, 0, t2754);
  tv2lapltau0 = t3 * t2755;

  if(out->v2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  tv2lapltau1 = 0.e0;

  if(out->v2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 1] += tv2lapltau1;

  tv2lapltau2 = 0.e0;

  if(out->v2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 2] += tv2lapltau2;

  t2756 = t167 * t487;
  t2757 = t1095 * t2756;
  t2758 = t1101 * t2757;
  t2761 = t1430 * t2757;
  t2766 = t1423 * t2757;
  t2771 = t371 * t2756;
  t2772 = t1430 * t2771;
  t2777 = t143 * t487;
  t2778 = t356 * t2777;
  t2781 = t1033 * t2777;
  t2785 = t1038 * t2777;
  t2788 = t140 * t487;
  t2789 = t1033 * t2788;
  t2792 = t356 * t2788;
  t2796 = t1038 * t2788;
  t2798 = t2210 - 0.2e1 * t2056 * t2778 - t2060 * t2781 / 0.3e1 - t559 * t2637 + 0.2e1 * t2060 * t2785 + 0.2e1 / 0.3e1 * t2060 * t2789 - t2229 + t2056 * t2792 + t559 * t2647 / 0.2e1 - t2060 * t2796;
  t2799 = t139 * t2798;
  t2800 = t2799 * t168;
  t2807 = t1008 * t487;
  t2808 = t1007 * t2807;
  t2809 = t2025 * t2808;
  t2812 = t348 * t487;
  t2813 = t346 * t2812;
  t2814 = t2036 * t2813;
  t2817 = t2040 * t2667;
  t2820 = t1013 * t487;
  t2821 = t1007 * t2820;
  t2822 = t2025 * t2821;
  t2827 = t500 * t584;
  t2831 = t1963 * t493 * t376;
  t2834 = -t2180 + t1974 * t2758 / 0.6e1 - t1981 * t2761 / 0.12e2 + t555 * t2619 / 0.12e2 - t1981 * t2766 / 0.6e1 - t555 * t1642 / 0.12e2 + t1981 * t2772 / 0.3e1 - t490 * t1951 / 0.12e2 - t110 * t2800 / 0.4e1 + t1956 * t505 / 0.4e1 + t1647 * t570 / 0.4e1 - t1029 * t2809 / 0.2e1 + t2251 - t373 * t2814 / 0.2e1 - t373 * t2817 / 0.4e1 + t373 * t2822 / 0.2e1 - t490 * t1965 / 0.12e2 - t110 * t2827 / 0.4e1 + t373 * t2831 / 0.4e1;
  t2835 = my_piecewise3(t100, 0, t2834);
  tv2lapltau3 = t3 * t2835;

  if(out->v2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 3] += tv2lapltau3;

  t2836 = t512 * t512;
  t2837 = t2836 * t595;
  t2838 = t194 * t2837;
  t2839 = t191 * t2838;
  t2842 = t2836 * t651;
  t2843 = t649 * t2842;
  t2844 = t191 * t2843;
  t2851 = 0.2e1 * t789 * t512 * t249 - 0.2e1 * t521 * t222;
  t2852 = t94 * t2851;
  t2853 = t837 * t2852;
  t2854 = t836 * t2853;
  t2865 = t193 * t2836;
  t2866 = t2865 * t596;
  t2869 = t648 * t2836;
  t2870 = t2869 * t682;
  t2873 = t63 * t2851;
  t2874 = t788 * t2873;
  t2878 = t2869 * t651;
  t2881 = t2865 * t595;
  t2883 = t60 * t2851;
  t2884 = t788 * t2883;
  t2888 = t2119 - 0.2e1 * t2866 * t230 - t2870 * t785 / 0.3e1 - t519 * t2874 + 0.2e1 * t2870 * t798 + 0.2e1 / 0.3e1 * t2878 * t803 - t2138 + t2881 * t234 + t519 * t2884 / 0.2e1 - t2878 * t816;
  t2889 = t59 * t2888;
  t2890 = t2889 * t95;
  t2895 = t525 * t544;
  t2898 = t680 * t2836;
  t2899 = t2898 * t684;
  t2903 = t1805 * t518 * t249;
  t2907 = t247 * t2836 * t597;
  t2910 = t221 * t2851;
  t2911 = t824 * t2910;
  t2912 = t1797 * t2911;
  t2915 = t2898 * t690;
  t2919 = 0.1e1 / t31 / t200;
  t2932 = 0.2e1 * t2919 * t257 - 0.1e2 * t704 * t2919 - 0.36e2 * t709 * t2919 - 0.4e1 * t714 * t2919 + 0.5e2 * t719 * t2919 + 0.3e2 * t726 * t2919;
  t2933 = t253 * t2932;
  t2934 = t65 * t2933;
  t2937 = -t2089 + t2839 * t223 / 0.6e1 - t2844 * t662 / 0.12e2 + t515 * t2854 / 0.12e2 - t2844 * t667 / 0.6e1 - t515 * t1765 / 0.6e1 + t2844 * t672 / 0.3e1 - t515 * t1807 / 0.6e1 - t30 * t2890 / 0.4e1 + t1770 * t530 / 0.2e1 - t30 * t2895 / 0.2e1 - t679 * t2899 / 0.2e1 + t246 * t2903 / 0.2e1 + t2160 - t246 * t2907 / 0.2e1 - t246 * t2912 / 0.4e1 + t246 * t2915 / 0.2e1 - t30 * t2934 / 0.4e1;
  t2938 = my_piecewise3(t2, 0, t2937);
  tv2tau20 = t3 * t2938;

  if(out->v2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  tv2tau21 = 0.e0;

  if(out->v2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 1] += tv2tau21;

  t2939 = t552 * t552;
  t2940 = t2939 * t1045;
  t2941 = t194 * t2940;
  t2942 = t321 * t2941;
  t2945 = t2939 * t999;
  t2946 = t649 * t2945;
  t2947 = t321 * t2946;
  t2954 = 0.2e1 * t1077 * t552 * t376 - 0.2e1 * t561 * t349;
  t2955 = t167 * t2954;
  t2956 = t1095 * t2955;
  t2957 = t1094 * t2956;
  t2968 = t193 * t2939;
  t2969 = t2968 * t1046;
  t2972 = t648 * t2939;
  t2973 = t2972 * t1032;
  t2976 = t143 * t2954;
  t2977 = t1165 * t2976;
  t2981 = t2972 * t999;
  t2984 = t2968 * t1045;
  t2986 = t140 * t2954;
  t2987 = t1165 * t2986;
  t2991 = t2210 - 0.2e1 * t2969 * t357 - t2973 * t1162 / 0.3e1 - t559 * t2977 + 0.2e1 * t2973 * t1169 + 0.2e1 / 0.3e1 * t2981 * t1174 - t2229 + t2984 * t361 + t559 * t2987 / 0.2e1 - t2981 * t1187;
  t2992 = t139 * t2991;
  t2993 = t2992 * t168;
  t2998 = t565 * t584;
  t3001 = t1030 * t2939;
  t3002 = t3001 * t1034;
  t3006 = t1963 * t558 * t376;
  t3010 = t374 * t2939 * t1047;
  t3013 = t348 * t2954;
  t3014 = t1076 * t3013;
  t3015 = t2040 * t3014;
  t3018 = t3001 * t1039;
  t3022 = 0.1e1 / t111 / t327;
  t3035 = -0.1e2 * t1119 * t3022 - 0.36e2 * t1124 * t3022 - 0.4e1 * t1129 * t3022 + 0.5e2 * t1134 * t3022 + 0.3e2 * t1141 * t3022 + 0.2e1 * t3022 * t384;
  t3036 = t380 * t3035;
  t3037 = t145 * t3036;
  t3040 = -t2180 + t2942 * t350 / 0.6e1 - t2947 * t1010 / 0.12e2 + t555 * t2957 / 0.12e2 - t2947 * t1015 / 0.6e1 - t555 * t1951 / 0.6e1 + t2947 * t1020 / 0.3e1 - t555 * t1965 / 0.6e1 - t110 * t2993 / 0.4e1 + t1956 * t570 / 0.2e1 - t110 * t2998 / 0.2e1 - t1029 * t3002 / 0.2e1 + t373 * t3006 / 0.2e1 + t2251 - t373 * t3010 / 0.2e1 - t373 * t3015 / 0.4e1 + t373 * t3018 / 0.2e1 - t110 * t3037 / 0.4e1;
  t3041 = my_piecewise3(t100, 0, t3040);
  tv2tau22 = t3 * t3041;

  if(out->v2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 2] += tv2tau22;

}

#endif


#ifndef XC_DONT_COMPILE_KXC
GPU_DEVICE_FUNCTION static inline void
func_kxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t7, t8, t11, t12, t13;
  double t15, t16, t17, t18, t19, t20, t22, t23;
  double t24, t26, t27, t28, t29, t30, t31, t32;
  double t34, t35, t37, t38, t40, t41, t43, t44;
  double t47, t49, t53, t54, t55, t56, t57, t59;
  double t60, t62, t63, t64, t65, t66, t67, t68;
  double t69, t70, t71, t73, t74, t75, t76, t77;
  double t79, t80, t81, t82, t83, t86, t87, t88;
  double t90, t94, t95, t96, t99, t100, t101, t103;
  double t104, t105, t106, t108, t109, t110, t111, t112;
  double t114, t115, t117, t118, t120, t121, t123, t124;
  double t127, t129, t133, t134, t135, t136, t137, t139;
  double t140, t142, t143, t144, t145, t146, t147, t148;
  double t149, t150, t152, t153, t154, t155, t156, t159;
  double t160, t161, t163, t167, t168, t169, t172, tzk0;

  double t173, t174, t175, t177, t180, t181, t182, t185;
  double t186, t187, t188, t190, t191, t192, t193, t194;
  double t195, t200, t202, t206, t207, t208, t209, t210;
  double t211, t213, t214, t215, t217, t218, t219, t220;
  double t221, t222, t223, t226, t227, t228, t229, t230;
  double t232, t233, t234, t237, t238, t239, t242, t243;
  double t244, t245, t246, t247, t249, t250, t253, t254;
  double t257, t258, t261, t264, t265, t268, t272, t273;
  double t276, t277, t278, t282, t283, t285, t288, t289;
  double t290, t293, t294, t296, t298, tvrho0, t302, t305;
  double t306, t307, t311, t313, t316, t317, t318, t321;
  double t322, t327, t329, t333, t334, t335, t336, t337;
  double t338, t340, t341, t342, t344, t345, t346, t347;
  double t348, t349, t350, t353, t354, t355, t356, t357;
  double t359, t360, t361, t364, t365, t366, t369, t370;
  double t371, t372, t373, t374, t376, t377, t380, t381;
  double t384, t385, t388, t391, t392, t395, t399, t400;
  double t403, t404, t405, t409, tvrho1, t412, t414, t415;
  double t416, t417, t420, t421, t423, t426, t427, t428;
  double t432, t436, tvsigma0, tvsigma1, t437, t439, t440, t441;
  double t442, t445, t446, t448, t451, t452, t453, t457;
  double t461, tvsigma2, t463, t464, t465, t466, t469, t470;
  double t472, t475, t476, t477, t481, t485, tvlapl0, t487;
  double t488, t489, t490, t493, t494, t496, t499, t500;
  double t501, t505, t509, tvlapl1, t512, t513, t514, t515;
  double t518, t519, t521, t524, t525, t526, t530, t543;
  double t544, t545, t549, tvtau0, t552, t553, t554, t555;
  double t558, t559, t561, t564, t565, t566, t570, t583;
  double t584, t585, t589, tvtau1;

  double t592, t594, t595, t596, t597, t598, t601, t602;
  double t603, t606, t607, t608, t615, t617, t621, t623;
  double t626, t627, t630, t633, t634, t635, t637, t638;
  double t640, t641, t642, t645, t648, t649, t650, t651;
  double t652, t653, t654, t655, t656, t657, t658, t659;
  double t660, t661, t662, t665, t666, t667, t670, t671;
  double t672, t676, t677, t678, t679, t680, t681, t682;
  double t683, t684, t685, t688, t689, t690, t691, t694;
  double t697, t698, t700, t701, t704, t709, t714, t719;
  double t725, t726, t731, t732, t733, t736, t738, t743;
  double t744, t745, t748, t749, t750, t753, t757, t758;
  double t759, t764, t767, t768, t769, t771, t772, t773;
  double t774, t776, t777, t779, t780, t783, t784, t785;
  double t788, t789, t794, t795, t796, t798, t801, t802;
  double t803, t806, t809, t811, t812, t815, t816, t818;
  double t819, t820, t823, t824, t825, t826, t827, t830;
  double t832, t835, t836, t837, t838, t839, t840, t843;
  double t844, t845, t848, t850, t851, t852, t853, t856;
  double t859, t863, t864, t865, t868, t869, t870, t872;
  double t873, t875, t877, tv2rho20, t880, t884, t888, t889;
  double t890, t893, t894, t895, t897, t898, t903, t913;
  double t914, t915, t919, t923, t924, t925, t928, t929;
  double t930, t933, t934, t937, t938, t939, t943, t945;
  double t948, t949, t953, t955, t956, tv2rho21, t961, t966;
  double t970, t971, t972, t977, t982, t984, t988, t989;
  double t990, t991, t994, t997, t998, t999, t1000, t1001;
  double t1002, t1003, t1004, t1005, t1006, t1007, t1008, t1009;
  double t1010, t1013, t1014, t1015, t1018, t1019, t1020, t1026;
  double t1027, t1028, t1029, t1030, t1031, t1032, t1033, t1034;
  double t1035, t1038, t1039, t1040, t1044, t1045, t1046, t1047;
  double t1048, t1051, t1052, t1053, t1056, t1057, t1058, t1062;
  double t1065, t1066, t1069, t1070, t1075, t1076, t1077, t1082;
  double t1083, t1084, t1085, t1088, t1090, t1093, t1094, t1095;
  double t1096, t1097, t1098, t1101, t1102, t1103, t1106, t1109;
  double t1112, t1113, t1115, t1116, t1119, t1124, t1129, t1134;
  double t1140, t1141, t1146, t1147, t1148, t1153, t1154, t1156;
  double t1157, t1160, t1161, t1162, t1165, t1166, t1167, t1169;
  double t1172, t1173, t1174, t1177, t1180, t1182, t1183, t1186;
  double t1187, t1189, t1190, t1191, t1194, t1199, t1203, t1204;
  double t1205, t1211, t1213, tv2rho22, t1217, t1218, t1220, t1223;
  double t1226, t1227, t1228, t1235, t1237, t1239, t1242, t1245;
  double t1246, t1247, t1250, t1251, t1252, t1253, t1254, t1255;
  double t1256, t1257, t1260, t1261, t1262, t1263, t1266, t1267;
  double t1268, t1269, t1270, t1274, t1275, t1278, t1279, t1281;
  double t1282, t1285, t1286, t1290, t1293, t1294, t1295, t1300;
  double t1305, t1310, t1311, t1313, t1314, t1315, t1318, t1319;
  double t1320, t1324, t1327, t1328, t1331, t1334, t1338, t1340;
  double t1341, t1342, t1346, t1347, t1349, tv2rhosigma0, tv2rhosigma1, t1351;
  double t1354, t1356, t1360, t1364, t1366, tv2rhosigma2, t1368, t1376;
  double tv2rhosigma3, tv2rhosigma4, t1378, t1381, t1382, t1383, t1390, t1392;
  double t1394, t1397, t1400, t1401, t1402, t1407, t1408, t1409;
  double t1410, t1411, t1415, t1416, t1419, t1420, t1421, t1422;
  double t1423, t1424, t1425, t1426, t1429, t1430, t1431, t1432;
  double t1435, t1436, t1438, t1439, t1442, t1443, t1447, t1450;
  double t1451, t1452, t1457, t1462, t1467, t1468, t1470, t1471;
  double t1472, t1475, t1476, t1477, t1481, t1484, t1485, t1488;
  double t1491, t1495, t1497, t1498, t1499, t1502, t1504, tv2rhosigma5;
  double t1506, t1508, t1511, t1514, t1515, t1516, t1524, t1526;
  double t1529, t1532, t1533, t1534, t1538, t1539, t1540, t1541;
  double t1546, t1547, t1548, t1551, t1554, t1555, t1556, t1559;
  double t1560, t1564, t1567, t1568, t1577, t1581, t1584, t1585;
  double t1587, t1590, t1591, t1599, t1606, t1607, t1608, t1611;
  double t1613, tv2rholapl0, t1615, t1618, t1620, t1624, t1628, t1630;
  double tv2rholapl1, t1632, t1640, tv2rholapl2, t1642, t1645, t1646, t1647;
  double t1655, t1657, t1660, t1663, t1664, t1665, t1670, t1673;
  double t1674, t1675, t1678, t1679, t1682, t1683, t1688, t1689;
  double t1690, t1693, t1694, t1698, t1701, t1702, t1713, t1714;
  double t1716, t1719, t1720, t1728, t1735, t1736, t1737, t1740;
  double t1742, tv2rholapl3, t1745, t1747, t1750, t1753, t1754, t1755;
  double t1759, t1760, t1762, t1765, t1768, t1769, t1770, t1777;
  double t1778, t1779, t1784, t1785, t1788, t1791, t1792, t1793;
  double t1796, t1797, t1798, t1802, t1805, t1806, t1807, t1811;
  double t1814, t1815, t1818, t1823, t1829, t1830, t1833, t1854;
  double t1855, t1856, t1860, t1869, t1870, t1872, t1875, t1876;
  double t1884, t1891, t1892, t1893, t1897, t1898, t1900, tv2rhotau0;
  double t1902, t1905, t1907, t1911, t1915, t1919, t1921, tv2rhotau1;
  double t1923, t1933, tv2rhotau2, t1936, t1938, t1941, t1944, t1945;
  double t1946, t1951, t1954, t1955, t1956, t1963, t1964, t1965;
  double t1969, t1972, t1973, t1974, t1979, t1980, t1981, t1984;
  double t1989, t1995, t1996, t1999, t2020, t2021, t2022, t2025;
  double t2026, t2029, t2036, t2037, t2040, t2041, t2045, t2048;
  double t2053, t2054, t2056, t2059, t2060, t2068, t2075, t2076;
  double t2077, t2080, t2082, tv2rhotau3, t2084, t2085, t2086, t2087;
  double t2089, t2090, t2091, t2092, t2093, t2096, t2097, t2098;
  double t2105, t2106, t2107, t2108, t2117, t2118, t2119, t2120;
  double t2121, t2124, t2125, t2128, t2129, t2133, t2136, t2138;
  double t2139, t2141, t2142, t2146, t2147, t2148, t2153, t2154;
  double t2158, t2160, t2162, t2165, t2166, t2167, t2170, t2173;
  double t2174, tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t2175, t2176;
  double t2177, t2178, t2180, t2181, t2182, t2183, t2184, t2187;
  double t2188, t2189, t2196, t2197, t2198, t2199, t2208, t2209;
  double t2210, t2211, t2212, t2215, t2216, t2219, t2220, t2224;
  double t2227, t2229, t2230, t2232, t2233, t2237, t2238, t2239;
  double t2244, t2245, t2249, t2251, t2253, t2256, t2257, t2258;
  double t2261, t2264, t2265, tv2sigma25, t2266, t2267, t2268, t2271;
  double t2276, t2281, t2282, t2287, t2288, t2291, t2295, t2298;
  double t2299, t2302, t2306, t2308, t2309, t2310, t2317, t2318;
  double t2319, t2322, t2323, t2324, t2327, t2330, t2331, t2332;
  double t2335, t2336, tv2sigmalapl0, tv2sigmalapl1, tv2sigmalapl2, tv2sigmalapl3, tv2sigmalapl4, t2337;
  double t2338, t2339, t2342, t2347, t2352, t2353, t2358, t2359;
  double t2362, t2366, t2369, t2370, t2373, t2377, t2379, t2380;
  double t2381, t2388, t2389, t2390, t2393, t2394, t2395, t2398;
  double t2401, t2402, t2403, t2406, t2407, tv2sigmalapl5, t2435, t2436;
  double t2437, t2444, t2447, t2450, t2453, t2458, t2462, t2465;
  double t2466, tv2sigmatau0, tv2sigmatau1, tv2sigmatau2, tv2sigmatau3, tv2sigmatau4, t2494, t2495;
  double t2496, t2503, t2506, t2509, t2512, t2517, t2521, t2524;
  double t2525, tv2sigmatau5, t2526, t2527, t2528, t2529, t2532, t2533;
  double t2534, t2541, t2542, t2543, t2544, t2553, t2554, t2557;
  double t2558, t2561, t2562, t2566, t2569, t2571, t2572, t2576;
  double t2577, t2578, t2583, t2584, t2588, t2591, t2592, t2593;
  double t2596, t2599, t2600, tv2lapl20, tv2lapl21, t2601, t2602, t2603;
  double t2604, t2607, t2608, t2609, t2616, t2617, t2618, t2619;
  double t2628, t2629, t2632, t2633, t2636, t2637, t2641, t2644;
  double t2646, t2647, t2651, t2652, t2653, t2658, t2659, t2663;
  double t2666, t2667, t2668, t2671, t2674, t2675, tv2lapl22, t2676;
  double t2677, t2678, t2681, t2686, t2691, t2692, t2697, t2698;
  double t2701, t2705, t2708, t2709, t2712, t2716, t2718, t2719;
  double t2720, t2727, t2728, t2729, t2732, t2733, t2734, t2737;
  double t2740, t2741, t2742, t2747, t2751, t2754, t2755, tv2lapltau0;
  double tv2lapltau1, tv2lapltau2, t2756, t2757, t2758, t2761, t2766, t2771;
  double t2772, t2777, t2778, t2781, t2785, t2788, t2789, t2792;
  double t2796, t2798, t2799, t2800, t2807, t2808, t2809, t2812;
  double t2813, t2814, t2817, t2820, t2821, t2822, t2827, t2831;
  double t2834, t2835, tv2lapltau3, t2836, t2837, t2838, t2839, t2842;
  double t2843, t2844, t2851, t2852, t2853, t2854, t2865, t2866;
  double t2869, t2870, t2873, t2874, t2878, t2881, t2883, t2884;
  double t2888, t2889, t2890, t2895, t2898, t2899, t2903, t2907;
  double t2910, t2911, t2912, t2915, t2919, t2932, t2933, t2934;
  double t2937, t2938, tv2tau20, tv2tau21, t2939, t2940, t2941, t2942;
  double t2945, t2946, t2947, t2954, t2955, t2956, t2957, t2968;
  double t2969, t2972, t2973, t2976, t2977, t2981, t2984, t2986;
  double t2987, t2991, t2992, t2993, t2998, t3001, t3002, t3006;
  double t3010, t3013, t3014, t3015, t3018, t3022, t3035, t3036;
  double t3037, t3040, t3041, tv2tau22;

  double t3046, t3047, t3049, t3051, t3052, t3054, t3056, t3059;
  double t3060, t3061, t3066, t3070, t3073, t3074, t3076, t3077;
  double t3078, t3079, t3082, t3083, t3086, t3087, t3088, t3090;
  double t3091, t3093, t3096, t3099, t3100, t3101, t3110, t3115;
  double t3116, t3118, t3120, t3121, t3123, t3124, t3125, t3126;
  double t3127, t3130, t3131, t3132, t3135, t3136, t3137, t3138;
  double t3139, t3140, t3141, t3144, t3145, t3146, t3149, t3150;
  double t3153, t3156, t3157, t3158, t3161, t3163, t3164, t3165;
  double t3166, t3167, t3168, t3169, t3170, t3173, t3175, t3178;
  double t3186, t3190, t3191, t3192, t3193, t3198, t3199, t3201;
  double t3203, t3206, t3209, t3210, t3213, t3220, t3223, t3226;
  double t3231, t3232, t3233, t3235, t3236, t3238, t3239, t3240;
  double t3242, t3243, t3245, t3247, t3248, t3250, t3251, t3252;
  double t3255, t3256, t3259, t3260, t3261, t3264, t3265, t3266;
  double t3267, t3268, t3269, t3272, t3273, t3274, t3275, t3276;
  double t3279, t3283, t3286, t3289, t3292, t3294, t3295, t3314;
  double t3315, t3316, t3317, t3318, t3321, t3324, t3325, t3326;
  double t3331, t3334, t3341, t3342, t3343, t3346, t3348, t3351;
  double t3353, t3359, t3360, t3361, t3362, t3363, t3366, t3369;
  double t3370, t3371, t3380, t3383, t3384, t3385, t3386, t3389;
  double t3390, t3391, t3394, t3395, t3396, t3397, t3398, t3399;
  double t3405, t3406, t3409, t3410, t3411, t3414, t3415, t3428;
  double t3429, t3432, t3445, t3447, t3448, t3451, t3452, t3455;
  double t3457, t3459, t3460, t3461, t3462, t3463, t3464, t3468;
  double t3469, t3472, t3474, t3476, t3483, t3486, t3487, t3489;
  double t3490, t3492, t3493, t3496, t3497, t3498, t3499, t3502;
  double t3503, t3506, t3510, t3515, t3520, t3521, t3522, t3524;
  double t3525, t3528, t3529, t3530, t3533, t3534, t3539, t3543;
  double t3545, t3546, t3548, t3553, t3554, t3556, t3557, t3562;
  double t3563, t3564, t3567, t3568, t3571, t3572, t3573, t3576;
  double t3577, t3580, t3581, t3584, t3585, t3590, t3591, t3594;
  double t3595, t3596, t3601, t3602, t3604, t3607, t3610, t3613;
  double t3616, t3622, t3628, t3633, t3634, t3637, t3638, t3639;
  double t3640, t3646, t3647, t3650, t3653, t3654, t3655, t3658;
  double t3662, t3663, t3664, t3669, t3670, t3671, t3673, t3675;
  double t3677, t3678, t3679, t3682, t3683, t3684, t3686, t3687;
  double t3690, t3691, t3694, t3698, t3700, t3701, t3704, t3707;
  double t3710, t3714, t3715, t3716, t3719, t3720, t3721, t3723;
  double t3724, t3725, t3727, t3728, t3730, t3732, tv3rho30, t3735;
  double t3736, t3737, t3740, t3747, t3750, t3751, t3754, t3757;
  double t3758, t3760, t3761, t3763, t3764, t3773, t3776, t3793;
  double t3807, t3817, t3823, t3826, t3831, t3832, t3834, t3838;
  double t3839, t3840, t3846, t3847, t3848, t3849, t3851, t3852;
  double t3854, t3860, t3863, t3864, t3867, t3872, t3874, t3878;
  double t3879, t3880, t3883, t3884, t3886, t3887, t3888, t3889;
  double t3893, t3894, t3897, t3898, t3900, t3901, t3902, t3903;
  double t3908, t3909, t3911, t3914, t3916, t3917, t3918, t3923;
  double t3924, t3926, t3927, tv3rho31, t3930, t3935, t3939, t3943;
  double t3944, t3945, t3948, t3949, t3950, t3952, t3953, t3958;
  double t3969, t3970, t3971, t3974, t3975, t3977, t3979, t3981;
  double t3982, t3984, t3986, t3987, t3988, t3990, t3991, t3993;
  double t3994, t3996, t3998, t3999, t4001, t4003, t4005, t4006;
  double t4008, t4009, t4014, t4021, t4022, t4025, t4028, t4037;
  double t4041, t4051, t4053, t4055, t4065, t4067, t4068, t4070;
  double t4072, t4076, t4081, t4085, t4089, t4090, t4091, t4096;
  double t4098, t4100, t4101, t4102, t4107, t4110, tv3rho32, t4115;
  double t4122, t4126, t4127, t4128, t4134, t4135, t4138, t4140;
  double t4141, t4142, t4143, t4145, t4147, t4148, t4149, t4150;
  double t4151, t4154, t4155, t4156, t4160, t4161, t4162, t4163;
  double t4166, t4171, t4174, t4175, t4176, t4179, t4180, t4183;
  double t4186, t4187, t4188, t4191, t4192, t4193, t4200, t4203;
  double t4204, t4208, t4209, t4210, t4213, t4214, t4215, t4216;
  double t4219, t4220, t4223, t4224, t4225, t4228, t4231, t4239;
  double t4243, t4244, t4245, t4246, t4252, t4255, t4258, t4263;
  double t4264, t4268, t4274, t4291, t4297, t4298, t4300, t4301;
  double t4304, t4305, t4306, t4307, t4308, t4311, t4312, t4315;
  double t4318, t4319, t4320, t4323, t4324, t4325, t4328, t4329;
  double t4332, t4337, t4340, t4341, t4344, t4345, t4347, t4348;
  double t4351, t4354, t4355, t4356, t4357, t4360, t4361, t4364;
  double t4371, t4373, t4376, t4377, t4378, t4388, t4389, t4392;
  double t4405, t4407, t4408, t4411, t4412, t4425, t4426, t4427;
  double t4428, t4429, t4432, t4433, t4436, t4437, t4440, t4441;
  double t4442, t4452, t4455, t4456, t4457, t4460, t4465, t4466;
  double t4467, t4468, t4469, t4472, t4473, t4474, t4477, t4480;
  double t4483, t4486, t4491, t4493, t4494, t4517, t4518, t4519;
  double t4522, t4528, t4532, t4533, t4534, t4535, t4537, t4538;
  double t4541, t4542, t4543, t4550, t4553, t4554, t4559, t4560;
  double t4562, t4567, t4568, t4572, t4573, t4575, t4576, t4577;
  double t4580, t4581, t4584, t4585, t4586, t4587, t4590, t4595;
  double t4596, t4599, t4600, t4603, t4604, t4607, t4608, t4609;
  double t4610, t4613, t4616, t4617, t4619, t4620, t4623, t4626;
  double t4627, t4630, t4637, t4638, t4648, t4649, t4651, t4656;
  double t4659, t4660, t4661, t4662, t4665, t4672, t4676, t4677;
  double t4678, t4683, t4686, t4687, t4688, t4689, t4690, t4693;
  double t4694, t4695, t4696, t4697, t4698, t4706, t4707, t4714;
  double t4715, t4716, t4717, t4718, t4719, t4720, t4721, t4722;
  double t4725, t4726, t4729, t4730, t4733, t4737, tv3rho33, t4741;
  double t4748, t4749, t4750, t4753, t4754, t4761, t4762, t4763;
  double t4764, t4765, t4768, t4769, t4772, t4773, t4774, t4775;
  double t4777, t4778, t4780, t4781, t4784, t4785, t4786, t4789;
  double t4790, t4791, t4793, t4794, t4795, t4798, t4801, t4804;
  double t4805, t4806, t4807, t4808, t4809, t4810, t4811, t4815;
  double t4816, t4819, t4820, t4825, t4828, t4829, t4837, t4840;
  double t4841, t4844, t4845, t4846, t4847, t4850, t4851, t4852;
  double t4855, t4856, t4857, t4860, t4862, t4863, t4864, t4867;
  double t4868, t4869, t4872, t4873, t4874, t4877, t4878, t4879;
  double t4882, t4885, t4890, t4893, t4896, t4897, t4900, t4901;
  double t4903, t4904, t4907, t4908, t4910, t4914, t4915, t4918;
  double t4919, t4922, t4924, t4926, t4927, t4929, t4931, t4934;
  double t4935, t4937, t4938, t4939, t4948, t4952, t4958, t4961;
  double t4962, t4963, t4965, t4969, t4971, t4974, t4976, t4983;
  double t4984, t4985, t4986, t4987, t4988, t4991, t4992, t4993;
  double t4994, t4996, t4997, t5000, t5001, t5003, t5004, t5008;
  double t5010, t5014, t5015, t5017, t5018, t5021, t5022, t5023;
  double t5025, t5028, t5029, t5030, t5031, t5034, t5037, t5038;
  double t5041, t5042, t5045, t5046, t5049, t5053, t5055, t5056;
  double t5057, t5061, t5062, t5065, t5068, t5069, t5072, t5075;
  double t5078, t5083, t5086, t5089, t5094, t5095, t5098, t5103;
  double t5104, t5106, t5112, t5116, t5120, t5123, t5126, t5129;
  double t5132, t5133, t5134, t5135, t5143, t5144, t5145, t5148;
  double t5149, t5152, t5155, t5156, t5157, t5162, t5167, t5170;
  double t5175, t5176, t5179, t5181, t5183, t5185, t5190, t5195;
  double t5198, t5200, t5201, t5202, t5208, t5211, t5214, t5229;
  double t5234, t5235, t5239, t5241, t5243, t5244, t5246, t5247;
  double t5248, t5250, t5251, t5253, t5261, t5264, t5265, t5266;
  double t5269, t5271, t5273, t5277, t5280, t5281, t5284, t5285;
  double t5286, t5291, t5294, t5298, tv3rho2sigma0, tv3rho2sigma1, t5301, t5304;
  double t5305, t5307, t5309, t5312, t5315, t5318, t5321, t5323;
  double tv3rho2sigma2, t5327, t5334, t5346, t5352, t5364, t5376, t5379;
  double t5384, t5389, t5390, t5392, t5397, t5407, t5410, tv3rho2sigma3;
  double tv3rho2sigma4, t5412, t5413, t5415, t5417, t5419, t5423, t5425;
  double t5436, t5438, t5439, t5449, t5454, t5461, t5465, t5467;
  double t5469, t5470, t5472, t5474, t5476, t5478, t5480, t5482;
  double t5484, t5485, t5487, t5489, t5491, t5493, t5494, t5495;
  double t5497, t5499, t5500, t5509, t5517, t5520, tv3rho2sigma5, t5523;
  double t5534, tv3rho2sigma6, tv3rho2sigma7, t5541, t5542, t5553, t5554, t5555;
  double t5560, t5561, t5562, t5563, t5564, t5565, t5566, t5569;
  double t5570, t5571, t5572, t5575, t5576, t5577, t5580, t5584;
  double t5585, t5586, t5588, t5591, t5592, t5593, t5594, t5595;
  double t5596, t5597, t5600, t5601, t5602, t5603, t5606, t5607;
  double t5613, t5614, t5617, t5618, t5621, t5624, t5629, t5630;
  double t5631, t5632, t5634, t5635, t5636, t5639, t5640, t5641;
  double t5642, t5643, t5644, t5647, t5648, t5649, t5650, t5651;
  double t5652, t5654, t5657, t5658, t5659, t5663, t5665, t5666;
  double t5667, t5668, t5671, t5673, t5674, t5675, t5676, t5679;
  double t5680, t5681, t5682, t5685, t5686, t5688, t5689, t5691;
  double t5692, t5693, t5695, t5696, t5697, t5702, t5703, t5706;
  double t5707, t5710, t5713, t5714, t5715, t5725, t5728, t5729;
  double t5732, t5733, t5734, t5737, t5740, t5744, t5749, t5756;
  double t5759, t5762, t5771, t5780, t5783, t5784, t5787, t5790;
  double t5791, t5792, t5797, t5800, t5803, t5804, t5809, t5812;
  double t5813, t5814, t5819, t5824, t5835, t5837, t5838, t5839;
  double t5840, t5847, t5851, t5854, t5859, t5860, t5861, t5862;
  double t5865, t5868, t5869, t5872, t5873, t5876, t5877, t5881;
  double t5884, t5885, t5888, t5889, t5890, t5891, t5892, t5895;
  double t5896, t5897, t5900, t5903, t5910, t5913, t5916, t5919;
  double t5924, t5925, t5926, t5931, t5932, t5934, t5935, t5939;
  double t5940, t5943, t5946, t5949, t5953, t5958, t5960, t5963;
  double t5969, t5972, t5974, t5975, t5976, t5977, t5987, t5994;
  double t5998, t6001, t6004, t6005, t6006, t6009, t6012, t6015;
  double t6018, t6019, t6022, t6025, t6028, t6034, t6051, t6052;
  double t6055, t6059, tv3rho2sigma8, t6062, t6065, t6066, t6067, t6074;
  double t6076, t6077, t6078, t6085, t6086, t6087, t6092, t6093;
  double t6094, t6096, t6099, t6100, t6105, t6108, t6110, t6113;
  double t6116, t6119, t6120, t6121, t6134, t6135, t6138, t6140;
  double t6141, t6153, t6163, t6164, t6167, t6169, t6170, t6172;
  double t6175, t6176, t6178, t6180, t6183, t6189, t6192, t6195;
  double t6197, t6198, t6200, t6201, t6203, t6209, t6212, t6215;
  double t6216, t6217, t6220, t6222, t6224, t6226, t6227, t6233;
  double t6238, t6248, t6249, t6250, t6251, t6257, t6260, t6263;
  double t6266, t6273, t6274, t6277, t6282, t6284, t6285, t6287;
  double t6289, t6292, t6296, t6297, t6300, t6303, t6304, t6309;
  double t6329, t6334, t6335, t6340, t6341, t6344, t6369, t6376;
  double t6377, t6378, t6379, t6384, t6386, t6387, t6390, t6392;
  double t6394, t6397, t6399, t6402, t6409, t6410, t6411, t6416;
  double t6418, t6419, t6422, t6423, t6424, t6432, t6433, t6434;
  double t6437, t6439, t6451, t6454, t6460, t6463, t6464, t6467;
  double t6468, t6486, t6489, t6490, t6492, t6495, t6496, t6500;
  double t6502, t6503, t6510, t6514, tv3rho2lapl0, t6517, t6520, t6521;
  double t6523, t6525, t6528, t6531, t6534, t6537, t6539, tv3rho2lapl1;
  double t6542, t6561, t6566, t6578, t6580, t6585, t6588, t6594;
  double t6597, t6599, t6600, t6611, t6623, t6626, tv3rho2lapl2, t6628;
  double t6630, t6634, t6640, t6645, t6647, t6648, t6650, t6654;
  double t6657, t6664, t6666, t6668, t6669, t6671, t6677, t6679;
  double t6682, t6688, t6691, t6700, t6703, t6704, t6706, t6708;
  double t6710, t6711, t6713, t6715, t6716, t6718, t6719, t6721;
  double t6725, t6727, t6733, t6736, tv3rho2lapl3, t6739, t6750, tv3rho2lapl4;
  double t6755, t6756, t6757, t6760, t6761, t6764, t6769, t6772;
  double t6777, t6780, t6781, t6786, t6787, t6788, t6798, t6800;
  double t6801, t6802, t6804, t6807, t6808, t6811, t6812, t6824;
  double t6827, t6828, t6832, t6833, t6834, t6837, t6839, t6841;
  double t6842, t6844, t6853, t6854, t6855, t6869, t6870, t6871;
  double t6873, t6880, t6883, t6884, t6893, t6896, t6899, t6900;
  double t6904, t6905, t6910, t6912, t6915, t6918, t6919, t6922;
  double t6927, t6928, t6931, t6940, t6946, t6949, t6950, t6953;
  double t6954, t6955, t6958, t6959, t6960, t6965, t6971, t6974;
  double t6975, t6978, t6993, t6994, t6998, t7000, t7005, t7018;
  double t7021, t7036, t7040, t7041, t7042, t7043, t7048, t7054;
  double t7057, t7065, t7075, t7080, t7081, t7086, t7089, t7092;
  double t7093, t7114, t7115, t7118, t7125, t7147, t7150, t7154;
  double t7155, t7156, t7157, t7170, t7174, tv3rho2lapl5, t7177, t7179;
  double t7183, t7184, t7186, t7187, t7190, t7194, t7195, t7196;
  double t7199, t7200, t7203, t7206, t7213, t7214, t7215, t7219;
  double t7228, t7231, t7232, t7233, t7236, t7241, t7242, t7243;
  double t7248, t7251, t7254, t7261, t7262, t7276, t7277, t7279;
  double t7281, t7283, t7285, t7287, t7290, t7293, t7294, t7295;
  double t7316, t7329, t7332, t7335, t7336, t7337, t7340, t7351;
  double t7352, t7353, t7356, t7357, t7358, t7361, t7362, t7373;
  double t7374, t7379, t7384, t7385, t7387, t7392, t7398, t7400;
  double t7401, t7402, t7406, t7413, t7416, t7419, t7420, t7423;
  double t7424, t7427, t7430, t7433, t7437, t7439, t7445, t7449;
  double t7450, t7452, t7454, t7457, t7458, t7460, t7461, t7462;
  double t7465, t7468, t7471, t7475, t7478, t7480, t7481, t7484;
  double t7487, t7490, t7491, t7503, t7507, t7509, t7510, t7511;
  double t7513, t7516, t7520, t7525, t7526, t7529, t7532, t7546;
  double t7549, t7555, t7557, t7561, t7562, t7563, t7564, t7567;
  double t7569, t7572, t7578, t7581, t7582, t7585, t7586, t7587;
  double t7592, t7595, t7598, t7599, t7600, t7606, t7609, t7611;
  double t7612, t7614, t7616, t7618, t7622, t7628, t7629, t7631;
  double t7633, t7634, t7639, t7647, t7649, t7651, t7655, t7658;
  double t7659, t7664, t7665, t7670, t7680, t7685, t7686, t7690;
  double t7697, t7715, t7733, t7734, t7735, t7736, t7742, t7745;
  double t7746, t7755, t7758, t7767, t7772, tv3rho2tau0, t7775, t7778;
  double t7779, t7781, t7783, t7786, t7789, t7792, t7795, t7798;
  double t7801, t7802, t7803, tv3rho2tau1, t7820, t7825, t7828, t7851;
  double t7857, t7859, t7862, t7869, t7878, t7880, t7881, t7883;
  double t7892, t7904, t7907, tv3rho2tau2, t7909, t7911, t7912, t7914;
  double t7916, t7921, t7924, t7926, t7928, t7930, t7932, t7942;
  double t7945, t7947, t7949, t7951, t7953, t7954, t7966, t7968;
  double t7973, t7979, t7981, t7983, t7985, t7996, t7997, t7998;
  double t8000, t8002, t8004, t8006, t8007, t8009, t8011, t8012;
  double t8016, t8019, t8027, t8032, t8035, t8038, tv3rho2tau3, t8041;
  double t8054, t8055, tv3rho2tau4, t8058, t8060, t8061, t8063, t8069;
  double t8072, t8073, t8077, t8078, t8081, t8084, t8085, t8086;
  double t8089, t8090, t8091, t8105, t8108, t8114, t8118, t8122;
  double t8125, t8128, t8129, t8130, t8133, t8134, t8140, t8144;
  double t8145, t8150, t8153, t8156, t8157, t8160, t8161, t8164;
  double t8167, t8168, t8169, t8172, t8173, t8176, t8181, t8190;
  double t8191, t8196, t8197, t8201, t8209, t8210, t8211, t8214;
  double t8219, t8226, t8227, t8228, t8233, t8236, t8237, t8238;
  double t8241, t8246, t8247, t8249, t8252, t8253, t8254, t8262;
  double t8263, t8264, t8271, t8274, t8275, t8278, t8279, t8280;
  double t8285, t8286, t8287, t8292, t8296, t8309, t8316, t8321;
  double t8322, t8323, t8324, t8334, t8337, t8340, t8349, t8351;
  double t8352, t8354, t8365, t8369, t8372, t8379, t8384, t8387;
  double t8388, t8389, t8392, t8413, t8424, t8425, t8426, t8433;
  double t8434, t8437, t8438, t8443, t8451, t8456, t8457, t8460;
  double t8479, t8495, t8508, t8511, t8515, t8516, t8517, t8518;
  double t8525, t8528, t8552, t8553, t8562, t8563, t8567, t8580;
  double t8583, t8586, t8587, t8600, t8601, t8602, t8606, t8609;
  double t8612, t8617, tv3rho2tau5, t8619, t8621, t8622, t8623, t8624;
  double t8625, t8627, t8629, t8631, t8633, t8635, t8637, t8641;
  double t8643, t8644, t8645, t8646, t8647, t8648, t8649, t8654;
  double t8657, t8658, t8661, t8667, t8670, t8673, t8680, t8685;
  double t8688, t8689, t8690, t8691, t8694, t8695, t8696, t8703;
  double t8708, t8709, t8710, t8711, t8716, t8717, t8718, t8719;
  double t8720, t8721, t8722, t8725, t8726, t8729, t8732, t8735;
  double t8736, t8738, t8739, t8740, t8741, t8742, t8745, t8748;
  double t8749, t8752, t8753, t8756, t8757, t8758, t8761, t8762;
  double t8763, t8766, t8767, t8770, t8771, t8774, t8775, t8778;
  double t8779, t8780, t8783, t8786, t8789, t8790, t8791, t8792;
  double t8795, t8798, t8799, t8800, t8809, t8810, t8811, t8828;
  double t8829, t8830, t8833, t8836, t8837, t8842, t8843, t8844;
  double t8847, t8848, t8849, t8851, t8852, t8860, t8862, t8863;
  double t8865, t8866, t8873, t8874, t8875, t8876, t8877, t8886;
  double t8889, t8892, t8893, t8894, t8895, t8896, t8897, t8898;
  double t8899, t8900, t8909, t8910, t8911, t8912, t8913, t8914;
  double t8915, t8916, t8918, t8921, t8922, t8923, t8927, t8928;
  double t8929, t8932, t8933, t8934, t8937, t8938, t8939, t8940;
  double t8943, t8946, t8947, t8951, t8952, t8953, t8954, t8958;
  double t8961, t8963, t8964, t8968, t8969, t8972, t8973, t8974;
  double t8976, t8977, t8979, t8980, t8987, t8992, t8999, t9000;
  double t9001, t9004, t9005, t9010, t9013, t9016, t9017, t9019;
  double t9020, t9021, t9022, t9023, t9026, t9027, t9028, t9031;
  double t9034, t9035, t9038, t9041, t9045, t9046, t9047, t9048;
  double t9049, t9050, t9051, t9052, t9054, t9057, t9062, t9064;
  double t9065, t9067, t9069, t9078, t9081, t9082, t9083, t9084;
  double t9087, t9090, t9091, t9092, t9093, t9096, t9097, t9100;
  double t9103, t9109, t9110, t9113, t9116, t9121, t9122, t9124;
  double t9125, t9126, t9131, t9134, t9135, t9136, t9139, t9143;
  double tv3rhosigma20, tv3rhosigma21, tv3rhosigma22, tv3rhosigma23, tv3rhosigma24, t9145, t9146, t9147;
  double t9148, t9150, t9151, t9153, t9155, t9157, t9159, t9161;
  double t9163, t9165, t9166, t9168, t9170, t9171, t9172, t9173;
  double t9178, t9179, t9195, t9199, t9201, t9207, t9208, t9210;
  double tv3rhosigma25, t9214, t9217, t9222, t9224, t9234, t9237, t9244;
  double t9246, tv3rhosigma26, tv3rhosigma27, tv3rhosigma28, tv3rhosigma29, tv3rhosigma210, t9248, t9249;
  double t9252, t9253, t9254, t9255, t9256, t9261, t9264, t9267;
  double t9270, t9273, t9274, t9277, t9278, t9279, t9280, t9281;
  double t9282, t9283, t9284, t9285, t9290, t9291, t9292, t9293;
  double t9298, t9299, t9300, t9303, t9304, t9305, t9306, t9307;
  double t9308, t9310, t9311, t9312, t9314, t9315, t9318, t9319;
  double t9321, t9322, t9326, t9327, t9328, t9331, t9332, t9335;
  double t9336, t9339, t9340, t9341, t9346, t9347, t9350, t9359;
  double t9360, t9369, t9372, t9378, t9381, t9384, t9391, t9396;
  double t9399, t9401, t9402, t9405, t9406, t9407, t9408, t9409;
  double t9410, t9411, t9412, t9414, t9415, t9416, t9421, t9422;
  double t9425, t9426, t9427, t9430, t9436, t9439, t9440, t9441;
  double t9444, t9445, t9446, t9447, t9450, t9453, t9454, t9457;
  double t9460, t9463, t9464, t9467, t9468, t9469, t9478, t9481;
  double t9482, t9483, t9484, t9485, t9486, t9487, t9489, t9490;
  double t9492, t9494, t9498, t9499, t9501, t9502, t9505, t9506;
  double t9510, t9515, t9522, t9529, t9531, t9534, t9535, t9542;
  double t9543, t9544, t9545, t9546, t9547, t9548, t9563, t9566;
  double t9567, t9568, t9571, t9574, t9577, t9578, t9579, t9580;
  double t9583, t9584, t9585, t9586, t9587, t9592, t9595, t9596;
  double t9601, t9602, t9603, t9606, t9608, t9609, t9610, t9611;
  double t9612, t9617, t9618, t9620, t9621, t9623, t9626, t9627;
  double t9629, t9632, t9634, t9635, t9636, t9640, t9643, t9651;
  double t9652, t9655, t9658, t9661, t9662, t9667, t9668, t9669;
  double t9670, t9675, t9676, t9677, t9678, t9683, t9686, t9689;
  double t9691, t9692, t9693, t9696, t9697, t9698, t9699, t9702;
  double t9703, t9704, t9707, t9708, t9709, t9710, t9711, t9712;
  double t9713, t9714, t9717, t9718, t9729, t9734, t9737, t9741;
  double tv3rhosigma211, t9743, t9744, t9745, t9746, t9747, t9756, t9757;
  double t9758, t9761, t9764, t9767, t9770, t9771, t9773, t9778;
  double t9781, t9784, t9785, t9796, t9799, t9803, t9805, t9807;
  double t9809, t9811, t9813, t9820, t9826, t9827, t9836, t9837;
  double t9842, t9845, t9846, t9847, t9854, t9857, t9860, t9863;
  double t9864, t9866, t9869, t9870, t9871, t9872, t9875, t9876;
  double t9877, t9878, t9879, t9882, t9885, t9886, t9889, t9890;
  double t9893, t9894, t9897, t9898, t9899, t9902, t9909, t9912;
  double t9919, t9922, t9931, t9934, t9935, t9939, t9946, t9947;
  double t9948, t9957, t9960, t9963, t9966, t9967, t9970, t9971;
  double t9975, t9977, t9978, t9980, t9981, t9984, t9985, t9994;
  double t9995, t9996, t9997, t9998, t10001, t10002, t10003, t10006;
  double t10011, t10012, t10017, t10022, t10028, t10029, t10038, t10039;
  double t10042, t10046, t10050, t10052, t10056, t10059, t10062, t10068;
  double t10080, t10083, t10088, t10093, t10094, t10095, t10098, t10101;
  double t10103, t10104, t10105, t10109, t10110, t10113, t10114, t10117;
  double t10119, t10120, t10123, t10124, t10127, t10130, t10144, t10155;
  double t10156, t10159, t10163, t10165, t10167, t10168, t10169, t10172;
  double t10187, t10198, t10211, t10215, tv3rhosigmalapl0, tv3rhosigmalapl1, tv3rhosigmalapl2, tv3rhosigmalapl3;
  double tv3rhosigmalapl4, t10226, t10228, t10230, t10232, t10241, t10243, t10245;
  double t10247, t10249, t10251, t10253, t10255, t10267, t10269, t10273;
  double t10274, t10276, tv3rhosigmalapl5, t10288, t10307, t10309, tv3rhosigmalapl6, tv3rhosigmalapl7;
  double tv3rhosigmalapl8, tv3rhosigmalapl9, tv3rhosigmalapl10, t10321, t10322, t10325, t10328, t10337;
  double t10338, t10339, t10344, t10357, t10358, t10359, t10360, t10361;
  double t10364, t10365, t10366, t10373, t10374, t10377, t10380, t10383;
  double t10384, t10385, t10388, t10390, t10393, t10394, t10397, t10399;
  double t10400, t10421, t10424, t10425, t10426, t10435, t10436, t10437;
  double t10440, t10441, t10443, t10444, t10447, t10448, t10451, t10456;
  double t10461, t10462, t10477, t10480, t10483, t10486, t10487, t10489;
  double t10490, t10493, t10494, t10497, t10500, t10503, t10506, t10507;
  double t10510, t10511, t10512, t10513, t10514, t10515, t10518, t10521;
  double t10526, t10527, t10530, t10531, t10534, t10535, t10536, t10543;
  double t10546, t10549, t10552, t10555, t10556, t10563, t10583, t10592;
  double t10597, t10603, t10604, t10605, t10608, t10609, t10610, t10611;
  double t10614, t10617, t10618, t10619, t10626, t10627, t10636, t10637;
  double t10640, t10641, t10644, t10651, t10657, t10669, t10674, t10679;
  double t10680, t10683, t10684, t10685, t10688, t10691, t10695, t10699;
  double t10702, t10705, t10707, t10708, t10709, t10716, t10719, t10722;
  double t10725, t10726, t10729, t10732, t10739, t10742, t10751, t10755;
  double tv3rhosigmalapl11, t10757, t10775, t10776, t10777, t10799, t10800, t10803;
  double t10808, t10813, t10814, t10817, t10818, t10829, t10832, t10835;
  double t10838, t10841, t10847, t10848, t10856, t10857, t10860, t10863;
  double t10866, t10873, t10878, t10879, t10882, t10883, t10884, t10890;
  double t10892, t10894, t10896, t10898, t10899, t10902, t10905, t10907;
  double t10910, t10911, t10912, t10927, t10930, t10933, t10938, t10941;
  double t10948, t10951, t10956, t10964, t10965, t10975, t10985, t10990;
  double t10994, t10998, t11001, t11004, t11013, t11019, t11034, t11044;
  double t11046, t11055, t11058, t11061, t11072, t11079, t11089, t11113;
  double t11129, t11138, t11143, t11146, t11148, t11149, t11150, t11153;
  double t11159, t11161, t11163, t11164, t11167, t11170, t11171, t11180;
  double t11181, t11184, t11205, t11206, t11207, t11208, t11211, t11214;
  double t11217, t11220, t11221, t11224, t11225, t11226, t11231, t11232;
  double t11235, t11236, t11239, t11242, t11245, t11250, tv3rhosigmatau0, tv3rhosigmatau1;
  double tv3rhosigmatau2, tv3rhosigmatau3, tv3rhosigmatau4, t11253, t11255, t11257, t11259, t11273;
  double t11275, t11277, t11279, t11281, t11282, t11284, t11286, t11288;
  double t11290, t11302, t11304, t11308, t11310, t11321, t11323, tv3rhosigmatau5;
  double t11337, t11360, t11362, tv3rhosigmatau6, tv3rhosigmatau7, tv3rhosigmatau8, tv3rhosigmatau9, tv3rhosigmatau10;
  double t11367, t11368, t11378, t11383, t11386, t11389, t11392, t11398;
  double t11399, t11402, t11403, t11404, t11407, t11422, t11427, t11436;
  double t11439, t11446, t11449, t11456, t11459, t11462, t11472, t11479;
  double t11482, t11485, t11499, t11500, t11501, t11510, t11512, t11521;
  double t11522, t11523, t11526, t11527, t11530, t11535, t11536, t11537;
  double t11540, t11543, t11546, t11550, t11551, t11552, t11555, t11556;
  double t11561, t11562, t11565, t11566, t11588, t11593, t11603, t11618;
  double t11637, t11646, t11651, t11656, t11663, t11668, t11678, t11702;
  double t11720, t11731, t11733, t11734, t11735, t11742, t11745, t11746;
  double t11751, t11753, t11756, t11759, t11762, t11765, t11768, t11771;
  double t11774, t11776, t11777, t11780, t11783, t11784, t11797, t11800;
  double t11801, t11804, t11818, t11823, tv3rhosigmatau11, t11825, t11826, t11827;
  double t11838, t11841, t11842, t11843, t11850, t11855, t11857, t11861;
  double t11863, t11865, t11867, t11868, t11870, t11872, t11874, t11876;
  double t11877, t11878, t11881, t11885, t11886, t11889, t11890, t11892;
  double t11895, t11896, t11901, t11902, t11909, t11912, t11918, t11924;
  double t11927, t11930, t11937, t11942, t11945, t11946, t11947, t11952;
  double t11963, t11964, t11965, t11968, t11969, t11972, t11975, t11978;
  double t11979, t11981, t11983, t11986, t11987, t11990, t11992, t11993;
  double t11995, t12003, t12006, t12015, t12017, t12018, t12019, t12023;
  double t12024, t12025, t12026, t12029, t12030, t12037, t12038, t12039;
  double t12042, t12045, t12046, t12047, t12051, t12052, t12055, t12074;
  double t12075, t12082, t12087, t12088, t12091, t12094, t12109, t12110;
  double t12119, t12120, t12121, t12124, t12128, t12129, t12131, t12132;
  double t12135, t12136, t12139, t12140, t12141, t12142, t12144, t12147;
  double t12148, t12150, t12151, t12160, t12161, t12163, t12165, t12169;
  double t12176, t12180, t12181, t12184, t12186, t12187, t12188, t12191;
  double t12194, t12195, t12198, t12201, t12204, t12205, t12206, t12217;
  double t12220, t12227, t12232, t12233, t12234, t12239, t12240, t12244;
  double t12246, t12247, t12250, t12254, tv3rholapl20, tv3rholapl21, t12257, t12259;
  double t12262, t12267, t12273, t12278, t12289, t12291, t12292, t12294;
  double t12296, t12298, t12300, t12302, t12304, t12306, t12308, t12309;
  double t12311, tv3rholapl22, t12317, t12320, t12325, t12340, t12342, tv3rholapl23;
  double tv3rholapl24, t12344, t12345, t12346, t12349, t12350, t12351, t12354;
  double t12355, t12364, t12365, t12366, t12371, t12377, t12380, t12383;
  double t12390, t12395, t12398, t12399, t12400, t12401, t12408, t12409;
  double t12412, t12413, t12414, t12419, t12420, t12421, t12424, t12425;
  double t12427, t12428, t12436, t12437, t12438, t12442, t12443, t12446;
  double t12462, t12469, t12472, t12473, t12474, t12481, t12482, t12489;
  double t12493, t12494, t12498, t12499, t12501, t12504, t12505, t12507;
  double t12508, t12511, t12512, t12516, t12519, t12522, t12523, t12526;
  double t12529, t12534, t12535, t12540, t12543, t12544, t12551, t12554;
  double t12555, t12560, t12561, t12562, t12565, t12568, t12569, t12572;
  double t12575, t12576, t12579, t12580, t12583, t12584, t12587, t12598;
  double t12603, t12606, t12612, t12616, t12617, t12623, t12625, t12626;
  double t12630, t12632, t12633, t12635, t12638, t12643, t12648, t12650;
  double t12651, t12652, t12665, t12672, t12673, t12685, t12688, t12691;
  double t12700, t12712, t12715, t12716, t12719, t12720, t12723, t12724;
  double t12725, t12728, t12729, t12732, t12735, t12736, t12737, t12740;
  double t12743, t12747, tv3rholapl25, t12753, t12754, t12757, t12758, t12764;
  double t12765, t12768, t12770, t12773, t12775, t12778, t12779, t12784;
  double t12797, t12799, t12822, t12833, t12834, t12841, t12852, t12855;
  double t12862, t12865, t12870, t12873, t12876, t12891, t12892, t12895;
  double t12900, t12904, t12909, t12910, t12917, t12920, t12923, t12926;
  double t12927, t12928, t12929, t12932, t12937, t12938, t12939, t12942;
  double t12945, t12946, t12949, t12952, t12953, t12956, t12959, t12961;
  double t12971, t12974, t12983, t12987, t12990, t12991, t12998, t12999;
  double t13002, t13010, t13012, t13013, t13015, t13018, t13022, t13025;
  double t13028, t13031, t13034, t13037, t13041, t13042, t13044, t13045;
  double t13046, t13049, t13052, t13053, t13056, t13059, t13080, t13081;
  double t13082, t13085, t13086, t13089, t13090, t13093, t13096, t13103;
  double t13106, t13109, t13113, t13114, t13117, t13120, t13129, t13130;
  double t13133, t13134, t13137, t13140, t13143, t13151, t13158, t13162;
  double t13164, t13165, t13166, t13170, t13171, t13172, t13175, t13176;
  double t13179, t13182, t13185, t13186, t13189, t13190, t13192, t13197;
  double t13198, t13201, t13202, t13203, t13222, t13230, t13233, t13247;
  double t13248, t13250, t13252, t13254, t13256, t13258, t13260, t13271;
  double t13276, tv3rholapltau0, tv3rholapltau1, tv3rholapltau2, t13279, t13281, t13283, t13285;
  double t13287, t13289, t13291, t13293, t13295, t13308, t13310, t13312;
  double t13314, t13324, t13336, t13338, t13342, t13346, t13347, t13349;
  double tv3rholapltau3, t13373, t13386, t13388, tv3rholapltau4, tv3rholapltau5, tv3rholapltau6, t13390;
  double t13391, t13392, t13395, t13400, t13417, t13418, t13419, t13428;
  double t13437, t13440, t13441, t13444, t13447, t13449, t13451, t13455;
  double t13460, t13465, t13466, t13469, t13472, t13477, t13480, t13483;
  double t13490, t13492, t13493, t13494, t13505, t13506, t13528, t13531;
  double t13533, t13534, t13537, t13550, t13551, t13554, t13555, t13556;
  double t13559, t13560, t13563, t13564, t13567, t13570, t13571, t13574;
  double t13579, t13580, t13589, t13590, t13591, t13594, t13609, t13616;
  double t13623, t13634, t13642, t13645, t13652, t13653, t13655, t13656;
  double t13659, t13660, t13663, t13664, t13669, t13670, t13671, t13674;
  double t13675, t13678, t13680, t13684, t13685, t13688, t13691, t13702;
  double t13705, t13711, t13714, t13717, t13718, t13721, t13724, t13726;
  double t13729, t13732, t13733, t13736, t13739, t13742, t13743, t13746;
  double t13747, t13750, t13752, t13759, t13760, t13761, t13768, t13771;
  double t13774, t13777, t13780, t13787, t13790, t13797, t13798, t13801;
  double t13804, t13810, t13814, t13817, t13820, t13829, t13839, t13842;
  double t13853, t13868, t13869, t13878, t13883, tv3rholapltau7, t13885, t13886;
  double t13888, t13889, t13892, t13893, t13894, t13899, t13900, t13901;
  double t13906, t13907, t13908, t13911, t13914, t13915, t13920, t13926;
  double t13927, t13929, t13930, t13931, t13932, t13935, t13936, t13937;
  double t13940, t13943, t13945, t13947, t13949, t13951, t13952, t13954;
  double t13955, t13963, t13966, t13975, t13978, t13982, t13985, t13986;
  double t13987, t13989, t13990, t13993, t13995, t14006, t14009, t14010;
  double t14011, t14025, t14026, t14029, t14030, t14031, t14038, t14041;
  double t14050, t14052, t14053, t14054, t14055, t14058, t14059, t14062;
  double t14063, t14065, t14066, t14069, t14072, t14077, t14080, t14084;
  double t14085, t14088, t14109, t14110, t14111, t14115, t14120, t14121;
  double t14123, t14125, t14126, t14129, t14130, t14137, t14138, t14141;
  double t14154, t14155, t14158, t14160, t14166, t14169, t14172, t14179;
  double t14184, t14187, t14188, t14189, t14190, t14215, t14224, t14228;
  double t14229, t14230, t14234, t14237, t14241, t14242, t14246, t14247;
  double t14249, t14250, t14254, t14262, t14263, t14265, t14266, t14269;
  double t14270, t14271, t14274, t14277, t14278, t14281, t14285, t14287;
  double t14288, t14291, t14292, t14294, t14295, t14298, t14299, t14301;
  double t14304, t14305, t14310, t14313, t14318, t14321, t14322, t14327;
  double t14328, t14331, t14339, t14340, t14345, t14346, t14353, t14357;
  double t14358, t14359, t14362, t14365, t14366, t14369, t14372, t14377;
  double t14378, t14390, t14392, t14393, t14394, t14398, t14399, t14400;
  double t14421, t14425, tv3rhotau20, tv3rhotau21, t14432, t14433, t14435, t14437;
  double t14438, t14440, t14447, t14455, t14457, t14458, t14460, t14462;
  double t14464, t14466, t14468, t14470, t14472, t14474, t14480, t14485;
  double t14495, t14496, t14498, tv3rhotau22, t14512, t14517, t14522, t14535;
  double t14537, tv3rhotau23, tv3rhotau24, t14541, t14545, t14546, t14549, t14570;
  double t14571, t14572, t14581, t14600, t14605, t14606, t14608, t14609;
  double t14612, t14613, t14614, t14617, t14618, t14619, t14622, t14625;
  double t14627, t14628, t14631, t14632, t14635, t14638, t14639, t14640;
  double t14647, t14650, t14653, t14656, t14657, t14660, t14661, t14664;
  double t14665, t14666, t14673, t14674, t14678, t14679, t14682, t14685;
  double t14686, t14695, t14704, t14705, t14706, t14709, t14710, t14711;
  double t14714, t14717, t14721, t14727, t14730, t14733, t14740, t14745;
  double t14748, t14750, t14751, t14756, t14757, t14770, t14771, t14772;
  double t14791, t14792, t14793, t14799, t14802, t14803, t14804, t14806;
  double t14807, t14808, t14814, t14815, t14817, t14818, t14819, t14822;
  double t14823, t14827, t14830, t14831, t14840, t14847, t14854, t14857;
  double t14858, t14860, t14861, t14864, t14865, t14866, t14869, t14870;
  double t14873, t14876, t14877, t14888, t14891, t14894, t14907, t14908;
  double t14910, t14916, t14918, t14922, t14923, t14925, t14926, t14928;
  double t14931, t14932, t14937, t14940, t14941, t14946, t14948, t14949;
  double t14951, t14952, t14955, t14962, t14969, t14970, t14971, t14974;
  double t14975, t14978, t14981, t14984, t14986, t14987, t14990, t14991;
  double t14996, t14997, t15009, t15020, t15022, t15023, t15024, t15027;
  double t15032, t15035, t15036, t15041, t15045, tv3rhotau25, t15047, t15048;
  double t15049, t15050, t15057, t15058, t15061, t15062, t15063, t15071;
  double t15072, t15073, t15076, t15078, t15079, t15082, t15083, t15084;
  double t15087, t15090, t15091, t15092, t15093, t15094, t15097, t15098;
  double t15099, t15100, t15101, t15102, t15103, t15104, t15109, t15113;
  double t15121, t15128, t15129, t15130, t15131, t15136, t15137, t15142;
  double t15143, t15144, t15150, t15151, t15156, t15157, t15158, t15159;
  double t15160, t15161, t15162, t15163, t15164, t15167, t15169, t15170;
  double t15171, t15172, t15173, t15179, t15182, t15183, t15184, t15189;
  double t15192, t15195, t15204, t15205, t15208, t15209, t15211, t15214;
  double t15215, t15216, t15219, t15220, t15223, t15224, t15227, t15228;
  double t15237, t15238, t15239, t15240, t15241, t15244, t15245, t15246;
  double t15249, t15250, t15253, t15255, t15256, t15258, t15259, t15262;
  double t15263, t15266, t15267, t15268, t15271, t15274, t15275, t15282;
  double t15283, t15284, t15287, t15288, t15290, t15293, t15296, t15297;
  double t15298, t15299, t15302, t15305, tv3sigma30, tv3sigma31, tv3sigma32, tv3sigma33;
  double tv3sigma34, tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38, t15306, t15307, t15312;
  double t15313, t15314, t15315, t15319, t15320, t15323, t15324, t15325;
  double t15326, t15327, t15328, t15331, t15332, t15333, t15334, t15335;
  double t15340, t15344, t15352, t15359, t15360, t15361, t15362, t15365;
  double t15368, t15369, t15370, t15371, t15372, t15373, t15374, t15375;
  double t15376, t15381, t15382, t15383, t15384, t15385, t15386, t15387;
  double t15388, t15389, t15392, t15395, t15396, t15403, t15405, t15406;
  double t15407, t15408, t15411, t15412, t15415, t15416, t15417, t15421;
  double t15424, t15425, t15430, t15431, t15432, t15435, t15436, t15441;
  double t15444, t15447, t15448, t15450, t15451, t15454, t15455, t15456;
  double t15459, t15478, t15479, t15480, t15481, t15482, t15483, t15484;
  double t15487, t15488, t15489, t15494, t15496, t15497, t15499, t15500;
  double t15503, t15504, t15509, t15510, t15512, t15513, t15516, t15517;
  double t15518, t15519, t15522, t15523, t15528, t15531, t15532, t15535;
  double t15538, t15539, t15540, t15543, t15546, t15555, t15556, t15557;
  double t15558, t15561, t15564, tv3sigma39, t15565, t15566, t15567, t15569;
  double t15570, t15573, t15576, t15579, t15582, t15583, t15586, t15587;
  double t15588, t15592, t15593, t15596, t15597, t15598, t15601, t15602;
  double t15603, t15606, t15609, t15610, t15611, t15612, t15613, t15614;
  double t15615, t15622, t15623, t15624, t15625, t15626, t15629, t15632;
  double t15633, t15634, t15635, t15638, t15639, t15640, t15641, t15642;
  double t15643, t15646, t15649, t15650, t15652, t15653, t15654, t15655;
  double t15656, t15657, t15661, t15662, t15665, t15669, t15673, t15674;
  double t15675, t15676, t15678, t15679, t15680, t15681, t15682, t15683;
  double t15684, t15690, t15691, t15694, t15697, t15702, t15703, t15707;
  double t15708, t15712, t15715, t15716, t15717, t15718, t15723, t15724;
  double t15733, t15734, t15745, t15746, t15749, t15750, t15755, t15756;
  double t15759, t15760, t15761, t15762, t15763, t15764, t15765, t15766;
  double t15767, t15768, t15769, t15772, t15773, t15774, t15775, t15779;
  double t15782, t15785, t15788, t15791, t15794, t15795, t15796, t15799;
  double t15800, t15801, t15802, t15803, t15806, t15810, t15811, t15812;
  double t15813, t15816, t15819, t15822, t15825, t15828, t15830, t15831;
  double t15832, t15833, t15834, t15835, t15836, t15839, t15842, t15843;
  double t15845, t15848, tv3sigma2lapl0, tv3sigma2lapl1, tv3sigma2lapl2, tv3sigma2lapl3, tv3sigma2lapl4, tv3sigma2lapl5;
  double tv3sigma2lapl6, tv3sigma2lapl7, tv3sigma2lapl8, tv3sigma2lapl9, tv3sigma2lapl10, t15849, t15850, t15851;
  double t15852, t15853, t15854, t15857, t15858, t15861, t15862, t15865;
  double t15866, t15867, t15870, t15871, t15872, t15873, t15876, t15877;
  double t15878, t15881, t15882, t15885, t15886, t15887, t15890, t15891;
  double t15894, t15897, t15898, t15903, t15906, t15907, t15908, t15909;
  double t15910, t15911, t15912, t15913, t15914, t15915, t15916, t15919;
  double t15922, t15923, t15925, t15926, t15935, t15945, t15946, t15947;
  double t15948, t15949, t15950, t15951, t15954, t15966, t15969, t15972;
  double t15975, t15979, t15980, t15981, t15984, t15985, t15986, t15993;
  double t15994, t15999, t16000, t16001, t16002, t16005, t16007, t16010;
  double t16011, t16014, t16017, t16018, t16021, t16024, t16027, t16028;
  double t16029, t16030, t16031, t16034, t16035, t16036, t16037, t16041;
  double t16044, t16045, t16046, t16049, t16050, t16053, t16054, t16055;
  double t16059, t16062, t16067, t16068, t16069, t16070, t16073, t16074;
  double t16075, t16076, t16079, t16082, t16083, t16084, t16085, t16086;
  double t16087, t16088, t16089, t16090, t16093, t16096, t16099, t16102;
  double t16103, t16104, t16106, t16107, t16110, t16113, t16114, t16115;
  double t16117, t16118, t16119, t16120, t16121, t16125, t16126, t16127;
  double t16128, t16129, t16132, tv3sigma2lapl11, t16133, t16134, t16135, t16142;
  double t16143, t16144, t16146, t16149, t16162, t16163, t16164, t16165;
  double t16166, t16167, t16170, t16171, t16173, t16178, t16180, t16183;
  double t16189, t16190, t16191, t16198, t16199, t16202, t16203, t16206;
  double t16219, t16224, t16227, t16228, t16229, t16232, t16234, t16241;
  double t16247, t16250, t16253, t16254, t16257, t16260, t16270, t16272;
  double t16273, t16278, t16279, t16280, t16281, t16282, t16283, t16287;
  double t16291, t16304, t16305, t16308, t16309, t16317, t16318, t16323;
  double t16335, t16336, t16337, t16340, t16346, t16347, t16348, t16349;
  double t16368, t16372, tv3sigma2tau0, tv3sigma2tau1, tv3sigma2tau2, tv3sigma2tau3, tv3sigma2tau4, tv3sigma2tau5;
  double tv3sigma2tau6, tv3sigma2tau7, tv3sigma2tau8, tv3sigma2tau9, tv3sigma2tau10, t16373, t16374, t16382;
  double t16385, t16386, t16389, t16394, t16397, t16399, t16402, t16406;
  double t16409, t16413, t16418, t16419, t16424, t16425, t16432, t16439;
  double t16440, t16445, t16448, t16451, t16457, t16459, t16462, t16463;
  double t16464, t16465, t16466, t16467, t16472, t16473, t16491, t16492;
  double t16493, t16498, t16505, t16506, t16509, t16510, t16513, t16514;
  double t16526, t16527, t16545, t16546, t16549, t16550, t16551, t16558;
  double t16559, t16560, t16561, t16571, t16572, t16573, t16574, t16579;
  double t16584, t16587, t16588, t16589, t16592, t16593, t16603, t16604;
  double t16605, t16608, t16612, tv3sigma2tau11, t16613, t16622, t16623, t16624;
  double t16625, t16629, t16632, t16633, t16636, t16637, t16640, t16645;
  double t16646, t16647, t16650, t16651, t16652, t16655, t16656, t16659;
  double t16662, t16665, t16666, t16667, t16670, t16671, t16678, t16685;
  double t16687, t16690, t16695, t16698, t16699, t16700, t16701, t16702;
  double t16704, t16705, t16706, t16729, t16730, t16749, t16750, t16751;
  double t16752, t16755, t16756, t16757, t16758, t16760, t16761, t16764;
  double t16765, t16766, t16767, t16770, t16771, t16772, t16775, t16778;
  double t16779, t16782, t16785, t16786, t16789, t16791, t16792, t16796;
  double t16799, t16802, t16804, t16805, t16807, t16808, t16809, t16810;
  double t16811, t16812, t16813, t16814, t16815, t16816, t16818, t16831;
  double t16836, t16838, t16841, t16849, t16850, t16851, t16852, t16855;
  double t16862, t16863, t16864, t16865, t16866, t16867, t16870, t16871;
  double t16874, t16877, t16880, t16881, t16882, t16884, t16885, t16886;
  double t16889, t16890, t16891, t16894, t16897, t16900, t16901, t16902;
  double t16905, t16906, t16909, t16910, t16913, t16917, tv3sigmalapl20, tv3sigmalapl21;
  double tv3sigmalapl22, tv3sigmalapl23, tv3sigmalapl24, tv3sigmalapl25, tv3sigmalapl26, tv3sigmalapl27, t16918, t16919;
  double t16920, t16921, t16922, t16923, t16924, t16925, t16926, t16927;
  double t16944, t16951, t16968, t16970, t16971, t16974, t16977, t16982;
  double t16984, t16987, t16992, t16993, t16994, t16997, t16998, t16999;
  double t17002, t17003, t17004, t17011, t17015, t17016, t17019, t17024;
  double t17025, t17028, t17035, t17036, t17041, t17042, t17043, t17046;
  double t17047, t17048, t17051, t17054, t17057, t17058, t17061, t17064;
  double t17065, t17070, t17071, t17072, t17073, t17074, t17075, t17076;
  double t17077, t17079, t17080, t17089, t17090, t17091, t17092, t17095;
  double t17098, t17099, t17100, t17101, t17108, t17111, t17119, t17120;
  double t17122, t17126, t17129, t17134, t17136, t17137, t17141, t17144;
  double t17145, t17146, t17147, t17148, t17149, t17150, t17151, t17152;
  double t17155, t17158, t17159, t17162, t17165, t17167, t17168, t17169;
  double t17172, t17173, t17174, t17175, t17178, t17179, t17183, t17187;
  double t17190, t17191, t17194, t17195, t17198, t17199, t17200, t17203;
  double t17208, t17211, t17212, t17215, t17219, tv3sigmalapl28, t17220, t17223;
  double t17224, t17227, t17230, t17241, t17242, t17243, t17260, t17263;
  double t17264, t17267, t17273, t17276, t17279, t17286, t17287, t17288;
  double t17291, t17292, t17295, t17296, t17301, t17304, t17306, t17313;
  double t17320, t17333, t17334, t17335, t17336, t17341, t17344, t17345;
  double t17347, t17350, t17353, t17354, t17357, t17358, t17361, t17363;
  double t17366, t17368, t17370, t17373, t17377, t17381, t17384, t17387;
  double t17390, t17391, t17394, t17402, t17403, t17406, t17407, t17416;
  double t17417, t17420, t17423, t17426, t17431, t17432, t17435, t17438;
  double t17440, t17443, t17446, t17450, t17453, t17456, t17459, t17462;
  double t17466, t17468, t17469, t17470, t17473, t17474, t17477, t17478;
  double t17487, t17490, t17493, t17496, t17497, t17500, t17503, t17504;
  double t17507, t17510, t17513, t17514, t17517, t17520, t17521, t17524;
  double t17525, t17540, t17544, tv3sigmalapltau0, tv3sigmalapltau1, tv3sigmalapltau2, tv3sigmalapltau3, tv3sigmalapltau4;
  double tv3sigmalapltau5, tv3sigmalapltau6, tv3sigmalapltau7, tv3sigmalapltau8, tv3sigmalapltau9, tv3sigmalapltau10, t17547, t17550;
  double t17551, t17568, t17571, t17572, t17579, t17585, t17588, t17591;
  double t17596, t17597, t17598, t17601, t17603, t17606, t17607, t17610;
  double t17613, t17614, t17615, t17618, t17621, t17622, t17637, t17638;
  double t17641, t17644, t17647, t17654, t17663, t17664, t17667, t17676;
  double t17679, t17680, t17683, t17685, t17689, t17692, t17693, t17696;
  double t17697, t17699, t17702, t17705, t17708, t17709, t17712, t17713;
  double t17716, t17719, t17726, t17727, t17730, t17731, t17734, t17738;
  double t17739, t17744, t17745, t17746, t17749, t17752, t17755, t17758;
  double t17767, t17770, t17775, t17777, t17781, t17784, t17790, t17793;
  double t17796, t17799, t17802, t17804, t17805, t17806, t17809, t17810;
  double t17819, t17822, t17823, t17826, t17829, t17832, t17835, t17836;
  double t17839, t17840, t17847, t17850, t17853, t17855, t17858, t17859;
  double t17862, t17865, t17869, tv3sigmalapltau11, t17872, t17873, t17874, t17875;
  double t17878, t17879, t17882, t17885, t17888, t17895, t17902, t17903;
  double t17904, t17905, t17908, t17911, t17912, t17919, t17921, t17923;
  double t17925, t17926, t17927, t17930, t17932, t17941, t17942, t17945;
  double t17948, t17951, t17954, t17955, t17956, t17957, t17972, t17973;
  double t17982, t17985, t17988, t17997, t17998, t17999, t18018, t18019;
  double t18020, t18021, t18026, t18042, t18044, t18048, t18051, t18052;
  double t18053, t18055, t18056, t18059, t18061, t18066, t18069, t18070;
  double t18071, t18076, t18077, t18083, t18085, t18086, t18088, t18089;
  double t18094, t18095, t18109, t18113, t18114, t18115, t18116, t18119;
  double t18122, t18125, t18126, t18129, t18130, t18132, t18135, t18136;
  double t18137, t18138, t18149, t18150, t18152, t18153, t18154, t18173;
  double t18174, t18177, t18181, tv3sigmatau20, tv3sigmatau21, tv3sigmatau22, tv3sigmatau23, tv3sigmatau24;
  double tv3sigmatau25, tv3sigmatau26, tv3sigmatau27, t18182, t18185, t18186, t18187, t18188;
  double t18191, t18192, t18193, t18196, t18199, t18200, t18207, t18209;
  double t18211, t18214, t18215, t18220, t18237, t18238, t18241, t18242;
  double t18243, t18248, t18253, t18254, t18255, t18272, t18274, t18275;
  double t18278, t18281, t18282, t18285, t18286, t18289, t18291, t18298;
  double t18303, t18306, t18321, t18322, t18323, t18324, t18325, t18328;
  double t18329, t18330, t18339, t18340, t18341, t18349, t18352, t18355;
  double t18360, t18361, t18369, t18370, t18371, t18372, t18373, t18375;
  double t18380, t18381, t18382, t18384, t18395, t18397, t18398, t18401;
  double t18404, t18406, t18407, t18410, t18423, t18424, t18431, t18435;
  double t18436, t18437, t18438, t18439, t18440, t18442, t18443, t18444;
  double t18461, t18466, t18471, t18474, t18481, t18482, t18485, t18488;
  double t18489, t18493, tv3sigmatau28, t18496, t18498, t18499, t18502, t18503;
  double t18504, t18507, t18508, t18509, t18510, t18513, t18514, t18517;
  double t18520, t18521, t18524, t18527, t18528, t18529, t18536, t18537;
  double t18538, t18539, t18565, t18578, t18579, t18580, t18581, t18585;
  double t18586, t18589, t18591, t18593, t18594, t18595, t18600, t18601;
  double t18602, t18603, t18604, t18605, t18606, t18607, t18608, t18610;
  double t18611, t18612, t18615, t18618, t18619, t18620, t18623, t18626;
  double t18627, t18628, t18629, t18630, t18631, t18634, t18636, t18637;
  double t18639, t18640, t18641, t18642, t18645, t18646, t18655, t18658;
  double t18661, t18662, t18665, t18666, t18667, t18668, t18671, t18674;
  double t18675, t18679, t18680, t18683, t18686, t18695, t18698, t18699;
  double t18700, t18701, t18711, t18714, t18719, t18722, tv3lapl30, tv3lapl31;
  double tv3lapl32, t18723, t18725, t18728, t18729, t18734, t18735, t18736;
  double t18739, t18740, t18748, t18761, t18762, t18763, t18764, t18767;
  double t18772, t18774, t18775, t18778, t18779, t18780, t18783, t18784;
  double t18785, t18787, t18788, t18791, t18792, t18793, t18798, t18800;
  double t18801, t18804, t18805, t18808, t18811, t18812, t18815, t18816;
  double t18819, t18820, t18823, t18824, t18828, t18830, t18833, t18838;
  double t18839, t18844, t18845, t18848, t18851, t18852, t18853, t18854;
  double t18855, t18857, t18866, t18869, t18870, t18871, t18872, t18875;
  double t18876, t18877, t18878, t18881, t18884, t18885, t18887, t18888;
  double t18889, t18891, t18894, t18895, t18899, t18900, t18901, t18908;
  double t18911, t18914, t18915, t18916, t18926, t18929, t18930, t18931;
  double t18932, t18933, t18948, t18951, tv3lapl33, t18962, t18966, t18967;
  double t18970, t18971, t18972, t18977, t18978, t18979, t18983, t18984;
  double t18987, t18992, t18994, t19002, t19003, t19006, t19007, t19014;
  double t19015, t19018, t19021, t19024, t19027, t19032, t19033, t19042;
  double t19045, t19046, t19049, t19051, t19052, t19056, t19059, t19062;
  double t19063, t19070, t19071, t19074, t19077, t19078, t19079, t19082;
  double t19083, t19084, t19088, t19089, t19092, t19095, t19097, t19101;
  double t19104, t19105, t19108, t19109, t19111, t19114, t19117, t19118;
  double t19120, t19121, t19122, t19123, t19126, t19143, t19144, t19148;
  double t19149, t19152, t19155, t19156, t19159, t19162, t19165, t19168;
  double t19171, t19174, t19177, t19180, t19183, t19186, t19187, t19190;
  double t19193, t19196, t19199, t19202, t19205, t19206, t19207, t19208;
  double t19211, t19215, tv3lapl2tau0, tv3lapl2tau1, tv3lapl2tau2, tv3lapl2tau3, tv3lapl2tau4, t19226;
  double t19227, t19230, t19231, t19240, t19241, t19244, t19247, t19253;
  double t19256, t19259, t19262, t19263, t19266, t19268, t19271, t19272;
  double t19273, t19276, t19279, t19282, t19283, t19287, t19290, t19293;
  double t19298, t19301, t19304, t19305, t19306, t19307, t19314, t19319;
  double t19320, t19321, t19325, t19326, t19329, t19332, t19339, t19342;
  double t19343, t19350, t19351, t19354, t19357, t19358, t19359, t19362;
  double t19364, t19365, t19368, t19369, t19370, t19373, t19374, t19377;
  double t19378, t19379, t19382, t19385, t19388, t19389, t19391, t19394;
  double t19395, t19398, t19399, t19402, t19405, t19413, t19414, t19417;
  double t19420, t19427, t19430, t19433, t19434, t19437, t19439, t19442;
  double t19443, t19455, t19456, t19457, t19458, t19461, t19463, t19466;
  double t19469, t19472, t19475, t19479, tv3lapl2tau5, t19480, t19487, t19488;
  double t19493, t19500, t19501, t19502, t19503, t19506, t19507, t19508;
  double t19511, t19512, t19517, t19520, t19521, t19524, t19548, t19550;
  double t19551, t19552, t19555, t19556, t19557, t19563, t19566, t19569;
  double t19572, t19575, t19576, t19579, t19598, t19599, t19600, t19601;
  double t19606, t19609, t19614, t19615, t19618, t19619, t19620, t19623;
  double t19626, t19628, t19630, t19633, t19634, t19637, t19638, t19641;
  double t19644, t19645, t19648, t19649, t19653, t19660, t19664, t19665;
  double t19668, t19670, t19673, t19676, t19677, t19680, t19681, t19684;
  double t19685, t19687, t19690, t19695, t19698, t19701, t19712, t19713;
  double t19716, t19719, t19720, t19723, t19724, t19728, t19731, t19736;
  double t19746, t19747, t19749, t19751, t19752, t19757, t19760, t19765;
  double t19768, t19771, t19772, t19773, t19778, t19783, t19784, t19789;
  double t19791, t19792, t19793, t19796, t19800, tv3lapltau20, tv3lapltau21, tv3lapltau22;
  double tv3lapltau23, tv3lapltau24, t19811, t19816, t19819, t19820, t19827, t19836;
  double t19840, t19841, t19842, t19845, t19865, t19867, t19868, t19871;
  double t19874, t19877, t19878, t19879, t19884, t19887, t19890, t19891;
  double t19894, t19895, t19896, t19899, t19900, t19911, t19926, t19927;
  double t19928, t19931, t19934, t19935, t19938, t19939, t19942, t19945;
  double t19946, t19947, t19950, t19953, t19954, t19957, t19962, t19963;
  double t19966, t19967, t19972, t19975, t19978, t19980, t19982, t19983;
  double t19986, t19987, t19988, t19991, t19992, t19995, t19998, t19999;
  double t20002, t20005, t20006, t20007, t20009, t20010, t20023, t20025;
  double t20028, t20033, t20035, t20037, t20038, t20040, t20044, t20045;
  double t20050, t20053, t20058, t20061, t20068, t20070, t20071, t20072;
  double t20079, t20084, t20089, t20090, t20093, t20094, t20097, t20098;
  double t20101, t20104, t20107, t20109, t20111, t20114, t20118, tv3lapltau25;
  double t20119, t20120, t20121, t20122, t20123, t20133, t20146, t20147;
  double t20148, t20151, t20154, t20155, t20158, t20159, t20162, t20163;
  double t20164, t20166, t20167, t20170, t20173, t20182, t20183, t20184;
  double t20186, t20187, t20191, t20192, t20195, t20198, t20199, t20200;
  double t20203, t20210, t20211, t20212, t20213, t20214, t20217, t20218;
  double t20221, t20222, t20223, t20228, t20235, t20236, t20237, t20239;
  double t20240, t20241, t20244, t20245, t20248, t20250, t20265, t20266;
  double t20269, t20270, t20271, t20274, t20277, t20278, t20280, t20281;
  double t20282, t20283, t20284, t20285, t20292, t20295, t20297, t20298;
  double t20303, t20304, t20305, t20316, t20317, t20318, t20319, t20324;
  double t20325, t20332, t20335, t20338, t20343, t20354, t20355, t20359;
  double t20362, t20363, t20364, t20367, t20370, t20371, t20372, t20373;
  double t20376, t20389, t20390, t20391, t20394, t20397, t20398, t20399;
  double t20400, t20403, t20406, t20409, tv3tau30, tv3tau31, tv3tau32, t20410;
  double t20413, t20414, t20415, t20416, t20420, t20421, t20422, t20427;
  double t20428, t20429, t20449, t20462, t20463, t20464, t20467, t20468;
  double t20471, t20474, t20475, t20478, t20487, t20488, t20489, t20491;
  double t20492, t20495, t20498, t20501, t20508, t20511, t20512, t20513;
  double t20514, t20516, t20517, t20521, t20522, t20525, t20528, t20529;
  double t20530, t20531, t20532, t20533, t20534, t20538, t20539, t20542;
  double t20543, t20546, t20547, t20550, t20551, t20554, t20557, t20558;
  double t20561, t20576, t20579, t20582, t20583, t20584, t20587, t20588;
  double t20590, t20591, t20592, t20593, t20603, t20604, t20605, t20610;
  double t20611, t20614, t20620, t20623, t20624, t20625, t20629, t20636;
  double t20637, t20638, t20639, t20642, t20645, t20648, t20649, t20651;
  double t20652, t20655, t20658, t20671, t20672, t20673, t20676, t20679;
  double t20680, t20684, t20685, t20688, t20690, t20691, t20692, t20695;
  double t20696, t20697, t20700, tv3tau33;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t2 = rho[0] <= p->dens_threshold;
  t3 = rho[0] + rho[1];
  t4 = 0.1e1 / t3;
  t7 = 0.2e1 * rho[0] * t4 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t11 = 0.2e1 * rho[1] * t4 <= p->zeta_threshold;
  t12 = -t8;
  t13 = rho[0] - rho[1];
  t15 = my_piecewise5(t7, t8, t11, t12, t13 * t4);
  t16 = 0.1e1 + t15;
  t17 = t16 <= p->zeta_threshold;
  t18 = POW_1_3(p->zeta_threshold);
  t19 = t18 * p->zeta_threshold;
  t20 = POW_1_3(t16);
  t22 = my_piecewise3(t17, t19, t20 * t16);
  t23 = POW_1_3(t3);
  t24 = t22 * t23;
  t26 = POW_1_3(0.1e1 / M_PI);
  t27 = 0.1e1 / t26;
  t28 = M_CBRT4;
  t29 = t27 * t28;
  t30 = t24 * t29;
  t31 = POW_1_3(rho[0]);
  t32 = t31 * t31;
  t34 = 0.1e1 / t32 / rho[0];
  t35 = lapl[0] * t34;
  t37 = params->gamma * tau[0];
  t38 = t37 * t34;
  t40 = params->gamma * sigma[0];
  t41 = rho[0] * rho[0];
  t43 = 0.1e1 / t32 / t41;
  t44 = t40 * t43;
  t47 = fabs(t35 / 0.2e1 - 0.2e1 * t38 + t44 / 0.4e1);
  t49 = t47 / 0.3e1 < 0.5e-12;
  t53 = t35 / 0.6e1 - 0.2e1 / 0.3e1 * t38 + t44 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t49, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t34;
  t75 = t73 - t74;
  t76 = t73 + t74;
  t77 = 0.1e1 / t76;
  t79 = t75 * t75;
  t80 = t79 * t75;
  t81 = t76 * t76;
  t82 = t81 * t76;
  t83 = 0.1e1 / t82;
  t86 = t79 * t79;
  t87 = t86 * t75;
  t88 = t81 * t81;
  t90 = 0.1e1 / t88 / t76;
  t94 = 0.1e1 + params->at * (t75 * t77 - 0.2e1 * t80 * t83 + t87 * t90);
  t95 = t66 * t94;
  t96 = t65 * t95;
  t99 = my_piecewise3(t2, 0, -t30 * t96 / 0.4e1);
  t100 = rho[1] <= p->dens_threshold;
  t101 = -t13;
  t103 = my_piecewise5(t11, t8, t7, t12, t101 * t4);
  t104 = 0.1e1 + t103;
  t105 = t104 <= p->zeta_threshold;
  t106 = POW_1_3(t104);
  t108 = my_piecewise3(t105, t19, t106 * t104);
  t109 = t108 * t23;
  t110 = t109 * t29;
  t111 = POW_1_3(rho[1]);
  t112 = t111 * t111;
  t114 = 0.1e1 / t112 / rho[1];
  t115 = lapl[1] * t114;
  t117 = params->gamma * tau[1];
  t118 = t117 * t114;
  t120 = params->gamma * sigma[2];
  t121 = rho[1] * rho[1];
  t123 = 0.1e1 / t112 / t121;
  t124 = t120 * t123;
  t127 = fabs(t115 / 0.2e1 - 0.2e1 * t118 + t124 / 0.4e1);
  t129 = t127 / 0.3e1 < 0.5e-12;
  t133 = t115 / 0.6e1 - 0.2e1 / 0.3e1 * t118 + t124 / 0.12e2;
  t134 = 0.e0 < t133;
  t135 = my_piecewise3(t134, 0.5e-12, -0.5e-12);
  t136 = my_piecewise3(t129, t135, t133);
  t137 = xc_mgga_x_br89_get_x(t136);
  t139 = exp(t137 / 0.3e1);
  t140 = exp(-t137);
  t142 = 0.1e1 + t137 / 0.2e1;
  t143 = t140 * t142;
  t144 = 0.1e1 - t143;
  t145 = t139 * t144;
  t146 = 0.1e1 / t137;
  t147 = tau[1] * t114;
  t148 = t73 - t147;
  t149 = t73 + t147;
  t150 = 0.1e1 / t149;
  t152 = t148 * t148;
  t153 = t152 * t148;
  t154 = t149 * t149;
  t155 = t154 * t149;
  t156 = 0.1e1 / t155;
  t159 = t152 * t152;
  t160 = t159 * t148;
  t161 = t154 * t154;
  t163 = 0.1e1 / t161 / t149;
  t167 = 0.1e1 + params->at * (t148 * t150 - 0.2e1 * t153 * t156 + t160 * t163);
  t168 = t146 * t167;
  t169 = t145 * t168;
  t172 = my_piecewise3(t100, 0, -t110 * t169 / 0.4e1);
  tzk0 = t99 + t172;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t173 = t3 * t3;
  t174 = 0.1e1 / t173;
  t175 = t13 * t174;
  t177 = my_piecewise5(t7, 0, t11, 0, t4 - t175);
  t180 = my_piecewise3(t17, 0, 0.4e1 / 0.3e1 * t20 * t177);
  t181 = t180 * t23;
  t182 = t181 * t29;
  t185 = t23 * t23;
  t186 = 0.1e1 / t185;
  t187 = t22 * t186;
  t188 = t187 * t29;
  t190 = t188 * t96 / 0.12e2;
  t191 = t24 * t27;
  t192 = M_CBRTPI;
  t193 = t192 * t192;
  t194 = t28 * t193;
  t195 = my_piecewise3(t54, 0, 0);
  t200 = t41 * rho[0];
  t202 = 0.1e1 / t32 / t200;
  t206 = my_piecewise3(t49, t195, -0.5e1 / 0.18e2 * lapl[0] * t43 + 0.1e2 / 0.9e1 * t37 * t43 - 0.2e1 / 0.9e1 * t40 * t202);
  t207 = t56 * t56;
  t208 = 0.1e1 / t207;
  t209 = t206 * t208;
  t210 = t194 * t209;
  t211 = t191 * t210;
  t213 = exp(-0.2e1 / 0.3e1 * t57);
  t214 = 0.1e1 / t213;
  t215 = t57 * t57;
  t217 = t215 - 0.2e1 * t57 + 0.3e1;
  t218 = 0.1e1 / t217;
  t219 = t214 * t218;
  t220 = t57 - 0.2e1;
  t221 = t220 * t220;
  t222 = t219 * t221;
  t223 = t222 * t96;
  t226 = t193 * t206;
  t227 = t208 * t214;
  t228 = t226 * t227;
  t229 = t218 * t221;
  t230 = t229 * t63;
  t232 = t226 * t208;
  t233 = t221 * t60;
  t234 = t219 * t233;
  t237 = t228 * t230 - t232 * t234 / 0.2e1;
  t238 = t59 * t237;
  t239 = t238 * t95;
  t242 = t28 * t59;
  t243 = 0.1e1 / t215;
  t244 = t64 * t243;
  t245 = t242 * t244;
  t246 = t191 * t245;
  t247 = t94 * t193;
  t249 = t227 * t229;
  t250 = t247 * t206 * t249;
  t253 = t66 * params->at;
  t254 = tau[0] * t43;
  t257 = 0.1e1 / t81;
  t258 = t75 * t257;
  t261 = t79 * t83;
  t264 = 0.1e1 / t88;
  t265 = t80 * t264;
  t268 = t86 * t90;
  t272 = 0.1e1 / t88 / t81;
  t273 = t87 * t272;
  t276 = 0.5e1 / 0.3e1 * t254 * t77 + 0.5e1 / 0.3e1 * t258 * t254 - 0.1e2 * t261 * t254 - 0.1e2 * t265 * t254 + 0.25e2 / 0.3e1 * t268 * t254 + 0.25e2 / 0.3e1 * t273 * t254;
  t277 = t253 * t276;
  t278 = t65 * t277;
  t282 = my_piecewise3(t2, 0, -t182 * t96 / 0.4e1 - t190 - t211 * t223 / 0.12e2 - t30 * t239 / 0.4e1 + t246 * t250 / 0.4e1 - t30 * t278 / 0.4e1);
  t283 = t101 * t174;
  t285 = my_piecewise5(t11, 0, t7, 0, -t4 - t283);
  t288 = my_piecewise3(t105, 0, 0.4e1 / 0.3e1 * t106 * t285);
  t289 = t288 * t23;
  t290 = t289 * t29;
  t293 = t108 * t186;
  t294 = t293 * t29;
  t296 = t294 * t169 / 0.12e2;
  t298 = my_piecewise3(t100, 0, -t290 * t169 / 0.4e1 - t296);
  tvrho0 = t99 + t172 + t3 * (t282 + t298);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t302 = my_piecewise5(t7, 0, t11, 0, -t4 - t175);
  t305 = my_piecewise3(t17, 0, 0.4e1 / 0.3e1 * t20 * t302);
  t306 = t305 * t23;
  t307 = t306 * t29;
  t311 = my_piecewise3(t2, 0, -t307 * t96 / 0.4e1 - t190);
  t313 = my_piecewise5(t11, 0, t7, 0, t4 - t283);
  t316 = my_piecewise3(t105, 0, 0.4e1 / 0.3e1 * t106 * t313);
  t317 = t316 * t23;
  t318 = t317 * t29;
  t321 = t109 * t27;
  t322 = my_piecewise3(t134, 0, 0);
  t327 = t121 * rho[1];
  t329 = 0.1e1 / t112 / t327;
  t333 = my_piecewise3(t129, t322, -0.5e1 / 0.18e2 * lapl[1] * t123 + 0.1e2 / 0.9e1 * t117 * t123 - 0.2e1 / 0.9e1 * t120 * t329);
  t334 = t136 * t136;
  t335 = 0.1e1 / t334;
  t336 = t333 * t335;
  t337 = t194 * t336;
  t338 = t321 * t337;
  t340 = exp(-0.2e1 / 0.3e1 * t137);
  t341 = 0.1e1 / t340;
  t342 = t137 * t137;
  t344 = t342 - 0.2e1 * t137 + 0.3e1;
  t345 = 0.1e1 / t344;
  t346 = t341 * t345;
  t347 = t137 - 0.2e1;
  t348 = t347 * t347;
  t349 = t346 * t348;
  t350 = t349 * t169;
  t353 = t193 * t333;
  t354 = t335 * t341;
  t355 = t353 * t354;
  t356 = t345 * t348;
  t357 = t356 * t143;
  t359 = t353 * t335;
  t360 = t348 * t140;
  t361 = t346 * t360;
  t364 = t355 * t357 - t359 * t361 / 0.2e1;
  t365 = t139 * t364;
  t366 = t365 * t168;
  t369 = t28 * t139;
  t370 = 0.1e1 / t342;
  t371 = t144 * t370;
  t372 = t369 * t371;
  t373 = t321 * t372;
  t374 = t167 * t193;
  t376 = t354 * t356;
  t377 = t374 * t333 * t376;
  t380 = t146 * params->at;
  t381 = tau[1] * t123;
  t384 = 0.1e1 / t154;
  t385 = t148 * t384;
  t388 = t152 * t156;
  t391 = 0.1e1 / t161;
  t392 = t153 * t391;
  t395 = t159 * t163;
  t399 = 0.1e1 / t161 / t154;
  t400 = t160 * t399;
  t403 = 0.5e1 / 0.3e1 * t381 * t150 + 0.5e1 / 0.3e1 * t385 * t381 - 0.1e2 * t388 * t381 - 0.1e2 * t392 * t381 + 0.25e2 / 0.3e1 * t395 * t381 + 0.25e2 / 0.3e1 * t400 * t381;
  t404 = t380 * t403;
  t405 = t145 * t404;
  t409 = my_piecewise3(t100, 0, -t318 * t169 / 0.4e1 - t296 - t338 * t350 / 0.12e2 - t110 * t366 / 0.4e1 + t373 * t377 / 0.4e1 - t110 * t405 / 0.4e1);
  tvrho1 = t99 + t172 + t3 * (t311 + t409);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t412 = params->gamma * t43;
  t414 = my_piecewise3(t49, t195, t412 / 0.12e2);
  t415 = t414 * t208;
  t416 = t194 * t415;
  t417 = t191 * t416;
  t420 = t193 * t414;
  t421 = t420 * t227;
  t423 = t420 * t208;
  t426 = t421 * t230 - t423 * t234 / 0.2e1;
  t427 = t59 * t426;
  t428 = t427 * t95;
  t432 = t247 * t414 * t249;
  t436 = my_piecewise3(t2, 0, -t417 * t223 / 0.12e2 - t30 * t428 / 0.4e1 + t246 * t432 / 0.4e1);
  tvsigma0 = t3 * t436;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t437 = params->gamma * t123;
  t439 = my_piecewise3(t129, t322, t437 / 0.12e2);
  t440 = t439 * t335;
  t441 = t194 * t440;
  t442 = t321 * t441;
  t445 = t193 * t439;
  t446 = t445 * t354;
  t448 = t445 * t335;
  t451 = t446 * t357 - t448 * t361 / 0.2e1;
  t452 = t139 * t451;
  t453 = t452 * t168;
  t457 = t374 * t439 * t376;
  t461 = my_piecewise3(t100, 0, -t442 * t350 / 0.12e2 - t110 * t453 / 0.4e1 + t373 * t457 / 0.4e1);
  tvsigma2 = t3 * t461;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t463 = my_piecewise3(t49, t195, t34 / 0.6e1);
  t464 = t463 * t208;
  t465 = t194 * t464;
  t466 = t191 * t465;
  t469 = t193 * t463;
  t470 = t469 * t227;
  t472 = t469 * t208;
  t475 = t470 * t230 - t472 * t234 / 0.2e1;
  t476 = t59 * t475;
  t477 = t476 * t95;
  t481 = t247 * t463 * t249;
  t485 = my_piecewise3(t2, 0, -t466 * t223 / 0.12e2 - t30 * t477 / 0.4e1 + t246 * t481 / 0.4e1);
  tvlapl0 = t3 * t485;

  if(out->vlapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t487 = my_piecewise3(t129, t322, t114 / 0.6e1);
  t488 = t487 * t335;
  t489 = t194 * t488;
  t490 = t321 * t489;
  t493 = t193 * t487;
  t494 = t493 * t354;
  t496 = t493 * t335;
  t499 = t494 * t357 - t496 * t361 / 0.2e1;
  t500 = t139 * t499;
  t501 = t500 * t168;
  t505 = t374 * t487 * t376;
  t509 = my_piecewise3(t100, 0, -t490 * t350 / 0.12e2 - t110 * t501 / 0.4e1 + t373 * t505 / 0.4e1);
  tvlapl1 = t3 * t509;

  if(out->vlapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 1] += tvlapl1;

  t512 = my_piecewise3(t49, t195, -0.2e1 / 0.3e1 * params->gamma * t34);
  t513 = t512 * t208;
  t514 = t194 * t513;
  t515 = t191 * t514;
  t518 = t193 * t512;
  t519 = t518 * t227;
  t521 = t518 * t208;
  t524 = t519 * t230 - t521 * t234 / 0.2e1;
  t525 = t59 * t524;
  t526 = t525 * t95;
  t530 = t247 * t512 * t249;
  t543 = -t258 * t34 + 0.6e1 * t261 * t34 + 0.6e1 * t265 * t34 - 0.5e1 * t268 * t34 - 0.5e1 * t273 * t34 - t34 * t77;
  t544 = t253 * t543;
  t545 = t65 * t544;
  t549 = my_piecewise3(t2, 0, -t515 * t223 / 0.12e2 - t30 * t526 / 0.4e1 + t246 * t530 / 0.4e1 - t30 * t545 / 0.4e1);
  tvtau0 = t3 * t549;

  if(out->vtau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t552 = my_piecewise3(t129, t322, -0.2e1 / 0.3e1 * params->gamma * t114);
  t553 = t552 * t335;
  t554 = t194 * t553;
  t555 = t321 * t554;
  t558 = t193 * t552;
  t559 = t558 * t354;
  t561 = t558 * t335;
  t564 = t559 * t357 - t561 * t361 / 0.2e1;
  t565 = t139 * t564;
  t566 = t565 * t168;
  t570 = t374 * t552 * t376;
  t583 = -t114 * t150 - t385 * t114 + 0.6e1 * t388 * t114 + 0.6e1 * t392 * t114 - 0.5e1 * t395 * t114 - 0.5e1 * t400 * t114;
  t584 = t380 * t583;
  t585 = t145 * t584;
  t589 = my_piecewise3(t100, 0, -t555 * t350 / 0.12e2 - t110 * t566 / 0.4e1 + t373 * t570 / 0.4e1 - t110 * t585 / 0.4e1);
  tvtau1 = t3 * t589;

  if(out->vtau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 1] += tvtau1;

  t592 = t206 * t206;
  t594 = t207 * t56;
  t595 = 0.1e1 / t594;
  t596 = t595 * t214;
  t597 = t596 * t229;
  t598 = t247 * t592 * t597;
  t601 = t592 * t595;
  t602 = t194 * t601;
  t603 = t191 * t602;
  t606 = t237 * t243;
  t607 = t242 * t606;
  t608 = t191 * t607;
  t615 = t41 * t41;
  t617 = 0.1e1 / t32 / t615;
  t621 = my_piecewise3(t49, t195, 0.2e2 / 0.27e2 * lapl[0] * t202 - 0.8e2 / 0.27e2 * t37 * t202 + 0.22e2 / 0.27e2 * t40 * t617);
  t623 = t247 * t621 * t249;
  t626 = t181 * t27;
  t627 = t626 * t210;
  t630 = t626 * t245;
  t633 = t187 * t27;
  t634 = t633 * t210;
  t635 = t634 * t223;
  t637 = t633 * t245;
  t638 = t637 * t250;
  t640 = t621 * t208;
  t641 = t194 * t640;
  t642 = t191 * t641;
  t645 = t222 * t239;
  t648 = t192 * M_PI;
  t649 = t28 * t648;
  t650 = t207 * t207;
  t651 = 0.1e1 / t650;
  t652 = t592 * t651;
  t653 = t649 * t652;
  t654 = t191 * t653;
  t655 = t213 * t213;
  t656 = 0.1e1 / t655;
  t657 = t217 * t217;
  t658 = 0.1e1 / t657;
  t659 = t656 * t658;
  t660 = t221 * t221;
  t661 = t659 * t660;
  t662 = t661 * t96;
  t665 = t221 * t220;
  t666 = t659 * t665;
  t667 = t666 * t96;
  t670 = t243 * t94;
  t671 = t65 * t670;
  t672 = t661 * t671;
  t676 = 0.1e1 / t215 / t57;
  t677 = t64 * t676;
  t678 = t242 * t677;
  t679 = t191 * t678;
  t680 = t94 * t648;
  t681 = t680 * t592;
  t682 = t651 * t656;
  t683 = t658 * t660;
  t684 = t682 * t683;
  t685 = t681 * t684;
  t688 = -t246 * t598 / 0.2e1 + t603 * t223 / 0.6e1 + t608 * t250 / 0.2e1 + t246 * t623 / 0.4e1 - t627 * t223 / 0.6e1 + t630 * t250 / 0.2e1 - t635 / 0.18e2 + t638 / 0.6e1 - t642 * t223 / 0.12e2 - t211 * t645 / 0.6e1 - t654 * t662 / 0.12e2 - t654 * t667 / 0.6e1 + t654 * t672 / 0.3e1 - t679 * t685 / 0.2e1;
  t689 = t658 * t665;
  t690 = t682 * t689;
  t691 = t681 * t690;
  t694 = tau[0] * t202;
  t697 = tau[0] * tau[0];
  t698 = t615 * rho[0];
  t700 = 0.1e1 / t31 / t698;
  t701 = t697 * t700;
  t704 = t75 * t83;
  t709 = t79 * t264;
  t714 = t80 * t90;
  t719 = t86 * t272;
  t725 = 0.1e1 / t88 / t82;
  t726 = t87 * t725;
  t731 = -0.4e2 / 0.9e1 * t694 * t77 + 0.5e2 / 0.9e1 * t701 * t257 - 0.25e3 / 0.9e1 * t704 * t701 - 0.4e2 / 0.9e1 * t258 * t694 - 0.1e3 * t709 * t701 + 0.8e2 / 0.3e1 * t261 * t694 - 0.1e3 / 0.9e1 * t714 * t701 + 0.8e2 / 0.3e1 * t265 * t694 + 0.125e4 / 0.9e1 * t719 * t701 - 0.2e3 / 0.9e1 * t268 * t694 + 0.25e3 / 0.3e1 * t726 * t701 - 0.2e3 / 0.9e1 * t273 * t694;
  t732 = t253 * t731;
  t733 = t65 * t732;
  t736 = t188 * t278;
  t738 = t238 * t277;
  t743 = t20 * t20;
  t744 = 0.1e1 / t743;
  t745 = t177 * t177;
  t748 = t173 * t3;
  t749 = 0.1e1 / t748;
  t750 = t13 * t749;
  t753 = my_piecewise5(t7, 0, t11, 0, -0.2e1 * t174 + 0.2e1 * t750);
  t757 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t744 * t745 + 0.4e1 / 0.3e1 * t20 * t753);
  t758 = t757 * t23;
  t759 = t758 * t29;
  t764 = t188 * t239;
  t767 = 0.1e1 / t185 / t3;
  t768 = t22 * t767;
  t769 = t768 * t29;
  t771 = t769 * t96 / 0.18e2;
  t772 = t180 * t186;
  t773 = t772 * t29;
  t774 = t773 * t96;
  t776 = t193 * t621;
  t777 = t776 * t227;
  t779 = t193 * t592;
  t780 = t779 * t596;
  t783 = t648 * t592;
  t784 = t783 * t682;
  t785 = t683 * t63;
  t788 = t658 * t221;
  t789 = t57 * t193;
  t794 = 0.2e1 * t789 * t206 * t249 - 0.2e1 * t232 * t222;
  t795 = t63 * t794;
  t796 = t788 * t795;
  t798 = t689 * t63;
  t801 = t783 * t651;
  t802 = t660 * t60;
  t803 = t659 * t802;
  t806 = t776 * t208;
  t809 = t779 * t595;
  t811 = t60 * t794;
  t812 = t788 * t811;
  t815 = t665 * t60;
  t816 = t659 * t815;
  t818 = t777 * t230 - 0.2e1 * t780 * t230 - t784 * t785 / 0.3e1 - t228 * t796 + 0.2e1 * t784 * t798 + 0.2e1 / 0.3e1 * t801 * t803 - t806 * t234 / 0.2e1 + t809 * t234 + t228 * t812 / 0.2e1 - t801 * t816;
  t819 = t59 * t818;
  t820 = t819 * t95;
  t823 = t247 * t209;
  t824 = t214 * t658;
  t825 = t221 * t794;
  t826 = t824 * t825;
  t827 = t823 * t826;
  t830 = params->at * t276;
  t832 = t830 * t226 * t249;
  t835 = t221 * t59;
  t836 = t824 * t835;
  t837 = t64 * t66;
  t838 = t94 * t794;
  t839 = t837 * t838;
  t840 = t836 * t839;
  t843 = t219 * t835;
  t844 = t837 * t830;
  t845 = t843 * t844;
  t848 = t246 * t691 / 0.2e1 - t30 * t733 / 0.4e1 - t736 / 0.6e1 - t30 * t738 / 0.2e1 - t182 * t278 / 0.2e1 - t759 * t96 / 0.4e1 - t182 * t239 / 0.2e1 - t764 / 0.6e1 + t771 - t774 / 0.6e1 - t30 * t820 / 0.4e1 - t246 * t827 / 0.4e1 + t246 * t832 / 0.2e1 + t211 * t840 / 0.12e2 - t211 * t845 / 0.6e1;
  t850 = my_piecewise3(t2, 0, t688 + t848);
  t851 = t106 * t106;
  t852 = 0.1e1 / t851;
  t853 = t285 * t285;
  t856 = t101 * t749;
  t859 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t174 + 0.2e1 * t856);
  t863 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t852 * t853 + 0.4e1 / 0.3e1 * t106 * t859);
  t864 = t863 * t23;
  t865 = t864 * t29;
  t868 = t288 * t186;
  t869 = t868 * t29;
  t870 = t869 * t169;
  t872 = t108 * t767;
  t873 = t872 * t29;
  t875 = t873 * t169 / 0.18e2;
  t877 = my_piecewise3(t100, 0, -t865 * t169 / 0.4e1 - t870 / 0.6e1 + t875);
  tv2rho20 = 0.2e1 * t282 + 0.2e1 * t298 + t3 * (t850 + t877);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t880 = t744 * t302;
  t884 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t750);
  t888 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t880 * t177 + 0.4e1 / 0.3e1 * t20 * t884);
  t889 = t888 * t23;
  t890 = t889 * t29;
  t893 = t305 * t186;
  t894 = t893 * t29;
  t895 = t894 * t96;
  t897 = t306 * t27;
  t898 = t897 * t210;
  t903 = t897 * t245;
  t913 = -t890 * t96 / 0.4e1 - t895 / 0.12e2 - t898 * t223 / 0.12e2 - t307 * t239 / 0.4e1 + t903 * t250 / 0.4e1 - t307 * t278 / 0.4e1 - t774 / 0.12e2 + t771 - t635 / 0.36e2 - t764 / 0.12e2 + t638 / 0.12e2 - t736 / 0.12e2;
  t914 = my_piecewise3(t2, 0, t913);
  t915 = t852 * t313;
  t919 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t856);
  t923 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t915 * t285 + 0.4e1 / 0.3e1 * t106 * t919);
  t924 = t923 * t23;
  t925 = t924 * t29;
  t928 = t316 * t186;
  t929 = t928 * t29;
  t930 = t929 * t169;
  t933 = t289 * t27;
  t934 = t933 * t337;
  t937 = t293 * t27;
  t938 = t937 * t337;
  t939 = t938 * t350;
  t943 = t294 * t366;
  t945 = t933 * t372;
  t948 = t937 * t372;
  t949 = t948 * t377;
  t953 = t294 * t405;
  t955 = -t925 * t169 / 0.4e1 - t930 / 0.12e2 - t870 / 0.12e2 + t875 - t934 * t350 / 0.12e2 - t939 / 0.36e2 - t290 * t366 / 0.4e1 - t943 / 0.12e2 + t945 * t377 / 0.4e1 + t949 / 0.12e2 - t290 * t405 / 0.4e1 - t953 / 0.12e2;
  t956 = my_piecewise3(t100, 0, t955);
  tv2rho21 = t282 + t298 + t311 + t409 + t3 * (t914 + t956);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t961 = t302 * t302;
  t966 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t174 + 0.2e1 * t750);
  t970 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t744 * t961 + 0.4e1 / 0.3e1 * t20 * t966);
  t971 = t970 * t23;
  t972 = t971 * t29;
  t977 = my_piecewise3(t2, 0, -t972 * t96 / 0.4e1 - t895 / 0.6e1 + t771);
  t982 = t121 * t121;
  t984 = 0.1e1 / t112 / t982;
  t988 = my_piecewise3(t129, t322, 0.2e2 / 0.27e2 * lapl[1] * t329 - 0.8e2 / 0.27e2 * t117 * t329 + 0.22e2 / 0.27e2 * t120 * t984);
  t989 = t988 * t335;
  t990 = t194 * t989;
  t991 = t321 * t990;
  t994 = t349 * t366;
  t997 = t333 * t333;
  t998 = t334 * t334;
  t999 = 0.1e1 / t998;
  t1000 = t997 * t999;
  t1001 = t649 * t1000;
  t1002 = t321 * t1001;
  t1003 = t340 * t340;
  t1004 = 0.1e1 / t1003;
  t1005 = t344 * t344;
  t1006 = 0.1e1 / t1005;
  t1007 = t1004 * t1006;
  t1008 = t348 * t348;
  t1009 = t1007 * t1008;
  t1010 = t1009 * t169;
  t1013 = t348 * t347;
  t1014 = t1007 * t1013;
  t1015 = t1014 * t169;
  t1018 = t370 * t167;
  t1019 = t145 * t1018;
  t1020 = t1009 * t1019;
  t1026 = 0.1e1 / t342 / t137;
  t1027 = t144 * t1026;
  t1028 = t369 * t1027;
  t1029 = t321 * t1028;
  t1030 = t167 * t648;
  t1031 = t1030 * t997;
  t1032 = t999 * t1004;
  t1033 = t1006 * t1008;
  t1034 = t1032 * t1033;
  t1035 = t1031 * t1034;
  t1038 = t1006 * t1013;
  t1039 = t1032 * t1038;
  t1040 = t1031 * t1039;
  t1044 = t334 * t136;
  t1045 = 0.1e1 / t1044;
  t1046 = t1045 * t341;
  t1047 = t1046 * t356;
  t1048 = t374 * t997 * t1047;
  t1051 = t997 * t1045;
  t1052 = t194 * t1051;
  t1053 = t321 * t1052;
  t1056 = t364 * t370;
  t1057 = t369 * t1056;
  t1058 = t321 * t1057;
  t1062 = t374 * t988 * t376;
  t1065 = t317 * t27;
  t1066 = t1065 * t337;
  t1069 = -t991 * t350 / 0.12e2 - t338 * t994 / 0.6e1 - t1002 * t1010 / 0.12e2 - t1002 * t1015 / 0.6e1 + t1002 * t1020 / 0.3e1 - t939 / 0.18e2 + t949 / 0.6e1 - t1029 * t1035 / 0.2e1 + t373 * t1040 / 0.2e1 - t373 * t1048 / 0.2e1 + t1053 * t350 / 0.6e1 + t1058 * t377 / 0.2e1 + t373 * t1062 / 0.4e1 - t1066 * t350 / 0.6e1;
  t1070 = t1065 * t372;
  t1075 = t374 * t336;
  t1076 = t341 * t1006;
  t1077 = t137 * t193;
  t1082 = 0.2e1 * t1077 * t333 * t376 - 0.2e1 * t359 * t349;
  t1083 = t348 * t1082;
  t1084 = t1076 * t1083;
  t1085 = t1075 * t1084;
  t1088 = params->at * t403;
  t1090 = t1088 * t353 * t376;
  t1093 = t348 * t139;
  t1094 = t1076 * t1093;
  t1095 = t144 * t146;
  t1096 = t167 * t1082;
  t1097 = t1095 * t1096;
  t1098 = t1094 * t1097;
  t1101 = t346 * t1093;
  t1102 = t1095 * t1088;
  t1103 = t1101 * t1102;
  t1106 = t365 * t404;
  t1109 = tau[1] * t329;
  t1112 = tau[1] * tau[1];
  t1113 = t982 * rho[1];
  t1115 = 0.1e1 / t111 / t1113;
  t1116 = t1112 * t1115;
  t1119 = t148 * t156;
  t1124 = t152 * t391;
  t1129 = t153 * t163;
  t1134 = t159 * t399;
  t1140 = 0.1e1 / t161 / t155;
  t1141 = t160 * t1140;
  t1146 = -0.4e2 / 0.9e1 * t1109 * t150 + 0.5e2 / 0.9e1 * t1116 * t384 - 0.25e3 / 0.9e1 * t1119 * t1116 - 0.4e2 / 0.9e1 * t385 * t1109 - 0.1e3 * t1124 * t1116 + 0.8e2 / 0.3e1 * t388 * t1109 - 0.1e3 / 0.9e1 * t1129 * t1116 + 0.8e2 / 0.3e1 * t392 * t1109 + 0.125e4 / 0.9e1 * t1134 * t1116 - 0.2e3 / 0.9e1 * t395 * t1109 + 0.25e3 / 0.3e1 * t1141 * t1116 - 0.2e3 / 0.9e1 * t400 * t1109;
  t1147 = t380 * t1146;
  t1148 = t145 * t1147;
  t1153 = t193 * t988;
  t1154 = t1153 * t354;
  t1156 = t193 * t997;
  t1157 = t1156 * t1046;
  t1160 = t648 * t997;
  t1161 = t1160 * t1032;
  t1162 = t1033 * t143;
  t1165 = t1006 * t348;
  t1166 = t143 * t1082;
  t1167 = t1165 * t1166;
  t1169 = t1038 * t143;
  t1172 = t1160 * t999;
  t1173 = t1008 * t140;
  t1174 = t1007 * t1173;
  t1177 = t1153 * t335;
  t1180 = t1156 * t1045;
  t1182 = t140 * t1082;
  t1183 = t1165 * t1182;
  t1186 = t1013 * t140;
  t1187 = t1007 * t1186;
  t1189 = t1154 * t357 - 0.2e1 * t1157 * t357 - t1161 * t1162 / 0.3e1 - t355 * t1167 + 0.2e1 * t1161 * t1169 + 0.2e1 / 0.3e1 * t1172 * t1174 - t1177 * t361 / 0.2e1 + t1180 * t361 + t355 * t1183 / 0.2e1 - t1172 * t1187;
  t1190 = t139 * t1189;
  t1191 = t1190 * t168;
  t1194 = t313 * t313;
  t1199 = my_piecewise5(t11, 0, t7, 0, -0.2e1 * t174 + 0.2e1 * t856);
  t1203 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t852 * t1194 + 0.4e1 / 0.3e1 * t106 * t1199);
  t1204 = t1203 * t23;
  t1205 = t1204 * t29;
  t1211 = t1070 * t377 / 0.2e1 - t930 / 0.6e1 - t943 / 0.6e1 + t875 - t373 * t1085 / 0.4e1 + t373 * t1090 / 0.2e1 + t338 * t1098 / 0.12e2 - t338 * t1103 / 0.6e1 - t110 * t1106 / 0.2e1 - t110 * t1148 / 0.4e1 - t318 * t405 / 0.2e1 - t110 * t1191 / 0.4e1 - t1205 * t169 / 0.4e1 - t318 * t366 / 0.2e1 - t953 / 0.6e1;
  t1213 = my_piecewise3(t100, 0, t1069 + t1211);
  tv2rho22 = 0.2e1 * t311 + 0.2e1 * t409 + t3 * (t977 + t1213);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t1217 = t637 * t432 / 0.12e2;
  t1218 = t633 * t416;
  t1220 = t1218 * t223 / 0.36e2;
  t1223 = t222 * t428;
  t1226 = t426 * t243;
  t1227 = t242 * t1226;
  t1228 = t191 * t1227;
  t1235 = params->gamma * t202;
  t1237 = my_piecewise3(t49, t195, -0.2e1 / 0.9e1 * t1235);
  t1239 = t247 * t1237 * t249;
  t1242 = t626 * t416;
  t1245 = t1237 * t208;
  t1246 = t194 * t1245;
  t1247 = t191 * t1246;
  t1250 = t414 * t651;
  t1251 = t649 * t1250;
  t1252 = t191 * t1251;
  t1253 = t665 * t59;
  t1254 = t659 * t1253;
  t1255 = t94 * t206;
  t1256 = t837 * t1255;
  t1257 = t1254 * t1256;
  t1260 = t660 * t59;
  t1261 = t659 * t1260;
  t1262 = t244 * t1255;
  t1263 = t1261 * t1262;
  t1266 = t1217 - t1220 - t417 * t645 / 0.12e2 - t211 * t1223 / 0.12e2 + t1228 * t250 / 0.4e1 + t630 * t432 / 0.4e1 + t608 * t432 / 0.4e1 + t246 * t1239 / 0.4e1 - t1242 * t223 / 0.12e2 - t1247 * t223 / 0.12e2 - t1252 * t1257 / 0.6e1 + t1252 * t1263 / 0.3e1;
  t1267 = t680 * t1250;
  t1268 = t660 * t206;
  t1269 = t659 * t1268;
  t1270 = t1267 * t1269;
  t1274 = t659 * t665 * t206;
  t1275 = t1267 * t1274;
  t1278 = t414 * t595;
  t1279 = t247 * t1278;
  t1281 = t219 * t221 * t206;
  t1282 = t1279 * t1281;
  t1285 = t247 * t415;
  t1286 = t1285 * t826;
  t1290 = t830 * t420 * t249;
  t1293 = t194 * t1278;
  t1294 = t191 * t1293;
  t1295 = t843 * t1256;
  t1300 = t1261 * t1256;
  t1305 = t427 * t277;
  t1310 = t193 * t1237;
  t1311 = t1310 * t227;
  t1313 = t420 * t596;
  t1314 = t63 * t206;
  t1315 = t229 * t1314;
  t1318 = t648 * t414;
  t1319 = t1318 * t682;
  t1320 = t683 * t1314;
  t1324 = t689 * t1314;
  t1327 = t60 * t206;
  t1328 = t683 * t1327;
  t1331 = t1310 * t208;
  t1334 = t229 * t1327;
  t1338 = t689 * t1327;
  t1340 = t1311 * t230 - 0.2e1 * t1313 * t1315 - t1319 * t1320 / 0.3e1 - t421 * t796 + 0.2e1 * t1319 * t1324 + 0.2e1 / 0.3e1 * t1319 * t1328 - t1331 * t234 / 0.2e1 + t1313 * t1334 + t421 * t812 / 0.2e1 - t1319 * t1338;
  t1341 = t59 * t1340;
  t1342 = t1341 * t95;
  t1346 = t188 * t428 / 0.12e2;
  t1347 = -t679 * t1270 / 0.2e1 + t246 * t1275 / 0.2e1 - t246 * t1282 / 0.2e1 - t246 * t1286 / 0.4e1 + t246 * t1290 / 0.4e1 + t1294 * t1295 / 0.6e1 + t417 * t840 / 0.12e2 - t1252 * t1300 / 0.12e2 - t417 * t845 / 0.12e2 - t30 * t1305 / 0.4e1 - t182 * t428 / 0.4e1 - t30 * t1342 / 0.4e1 - t1346;
  t1349 = my_piecewise3(t2, 0, t1266 + t1347);
  tv2rhosigma0 = t3 * t1349 + t436;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t1351 = t933 * t441;
  t1354 = t937 * t441;
  t1356 = t1354 * t350 / 0.36e2;
  t1360 = t294 * t453 / 0.12e2;
  t1364 = t948 * t457 / 0.12e2;
  t1366 = my_piecewise3(t100, 0, -t1351 * t350 / 0.12e2 - t1356 - t290 * t453 / 0.4e1 - t1360 + t945 * t457 / 0.4e1 + t1364);
  tv2rhosigma2 = t3 * t1366 + t461;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t1368 = t897 * t416;
  t1376 = my_piecewise3(t2, 0, -t1368 * t223 / 0.12e2 - t1220 - t307 * t428 / 0.4e1 - t1346 + t903 * t432 / 0.4e1 + t1217);
  tv2rhosigma3 = t3 * t1376 + t436;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t1378 = t349 * t453;
  t1381 = t451 * t370;
  t1382 = t369 * t1381;
  t1383 = t321 * t1382;
  t1390 = params->gamma * t329;
  t1392 = my_piecewise3(t129, t322, -0.2e1 / 0.9e1 * t1390);
  t1394 = t374 * t1392 * t376;
  t1397 = t1065 * t441;
  t1400 = t1392 * t335;
  t1401 = t194 * t1400;
  t1402 = t321 * t1401;
  t1407 = t439 * t999;
  t1408 = t1030 * t1407;
  t1409 = t1008 * t333;
  t1410 = t1007 * t1409;
  t1411 = t1408 * t1410;
  t1415 = t1007 * t1013 * t333;
  t1416 = t1408 * t1415;
  t1419 = t1364 - t338 * t1378 / 0.12e2 + t1383 * t377 / 0.4e1 + t1070 * t457 / 0.4e1 + t1058 * t457 / 0.4e1 + t373 * t1394 / 0.4e1 - t1397 * t350 / 0.12e2 - t1402 * t350 / 0.12e2 - t442 * t994 / 0.12e2 - t1356 - t1029 * t1411 / 0.2e1 + t373 * t1416 / 0.2e1;
  t1420 = t649 * t1407;
  t1421 = t321 * t1420;
  t1422 = t1013 * t139;
  t1423 = t1007 * t1422;
  t1424 = t167 * t333;
  t1425 = t1095 * t1424;
  t1426 = t1423 * t1425;
  t1429 = t1008 * t139;
  t1430 = t1007 * t1429;
  t1431 = t371 * t1424;
  t1432 = t1430 * t1431;
  t1435 = t439 * t1045;
  t1436 = t374 * t1435;
  t1438 = t346 * t348 * t333;
  t1439 = t1436 * t1438;
  t1442 = t374 * t440;
  t1443 = t1442 * t1084;
  t1447 = t1088 * t445 * t376;
  t1450 = t194 * t1435;
  t1451 = t321 * t1450;
  t1452 = t1101 * t1425;
  t1457 = t1430 * t1425;
  t1462 = t452 * t404;
  t1467 = t193 * t1392;
  t1468 = t1467 * t354;
  t1470 = t445 * t1046;
  t1471 = t143 * t333;
  t1472 = t356 * t1471;
  t1475 = t648 * t439;
  t1476 = t1475 * t1032;
  t1477 = t1033 * t1471;
  t1481 = t1038 * t1471;
  t1484 = t140 * t333;
  t1485 = t1033 * t1484;
  t1488 = t1467 * t335;
  t1491 = t356 * t1484;
  t1495 = t1038 * t1484;
  t1497 = t1468 * t357 - 0.2e1 * t1470 * t1472 - t1476 * t1477 / 0.3e1 - t446 * t1167 + 0.2e1 * t1476 * t1481 + 0.2e1 / 0.3e1 * t1476 * t1485 - t1488 * t361 / 0.2e1 + t1470 * t1491 + t446 * t1183 / 0.2e1 - t1476 * t1495;
  t1498 = t139 * t1497;
  t1499 = t1498 * t168;
  t1502 = -t1421 * t1426 / 0.6e1 + t1421 * t1432 / 0.3e1 - t373 * t1439 / 0.2e1 - t373 * t1443 / 0.4e1 + t373 * t1447 / 0.4e1 + t1451 * t1452 / 0.6e1 + t442 * t1098 / 0.12e2 - t1421 * t1457 / 0.12e2 - t442 * t1103 / 0.12e2 - t110 * t1462 / 0.4e1 - t1360 - t318 * t453 / 0.4e1 - t110 * t1499 / 0.4e1;
  t1504 = my_piecewise3(t100, 0, t1419 + t1502);
  tv2rhosigma5 = t3 * t1504 + t461;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t1506 = t633 * t465;
  t1508 = t1506 * t223 / 0.36e2;
  t1511 = t222 * t477;
  t1514 = t475 * t243;
  t1515 = t242 * t1514;
  t1516 = t191 * t1515;
  t1524 = my_piecewise3(t49, t195, -0.5e1 / 0.18e2 * t43);
  t1526 = t247 * t1524 * t249;
  t1529 = t626 * t465;
  t1532 = t1524 * t208;
  t1533 = t194 * t1532;
  t1534 = t191 * t1533;
  t1538 = t637 * t481 / 0.12e2;
  t1539 = t463 * t651;
  t1540 = t649 * t1539;
  t1541 = t191 * t1540;
  t1546 = -t1508 - t466 * t645 / 0.12e2 - t211 * t1511 / 0.12e2 + t1516 * t250 / 0.4e1 + t630 * t481 / 0.4e1 + t608 * t481 / 0.4e1 + t246 * t1526 / 0.4e1 - t1529 * t223 / 0.12e2 - t1534 * t223 / 0.12e2 + t1538 - t1541 * t1257 / 0.6e1 + t1541 * t1263 / 0.3e1;
  t1547 = t680 * t1539;
  t1548 = t1547 * t1269;
  t1551 = t1547 * t1274;
  t1554 = t463 * t595;
  t1555 = t247 * t1554;
  t1556 = t1555 * t1281;
  t1559 = t247 * t464;
  t1560 = t1559 * t826;
  t1564 = t830 * t469 * t249;
  t1567 = t194 * t1554;
  t1568 = t191 * t1567;
  t1577 = t476 * t277;
  t1581 = t188 * t477 / 0.12e2;
  t1584 = t193 * t1524;
  t1585 = t1584 * t227;
  t1587 = t469 * t596;
  t1590 = t648 * t463;
  t1591 = t1590 * t682;
  t1599 = t1584 * t208;
  t1606 = t1585 * t230 - 0.2e1 * t1587 * t1315 - t1591 * t1320 / 0.3e1 - t470 * t796 + 0.2e1 * t1591 * t1324 + 0.2e1 / 0.3e1 * t1591 * t1328 - t1599 * t234 / 0.2e1 + t1587 * t1334 + t470 * t812 / 0.2e1 - t1591 * t1338;
  t1607 = t59 * t1606;
  t1608 = t1607 * t95;
  t1611 = -t679 * t1548 / 0.2e1 + t246 * t1551 / 0.2e1 - t246 * t1556 / 0.2e1 - t246 * t1560 / 0.4e1 + t246 * t1564 / 0.4e1 + t1568 * t1295 / 0.6e1 + t466 * t840 / 0.12e2 - t1541 * t1300 / 0.12e2 - t466 * t845 / 0.12e2 - t30 * t1577 / 0.4e1 - t1581 - t182 * t477 / 0.4e1 - t30 * t1608 / 0.4e1;
  t1613 = my_piecewise3(t2, 0, t1546 + t1611);
  tv2rholapl0 = t3 * t1613 + t485;

  if(out->v2rholapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t1615 = t933 * t489;
  t1618 = t937 * t489;
  t1620 = t1618 * t350 / 0.36e2;
  t1624 = t294 * t501 / 0.12e2;
  t1628 = t948 * t505 / 0.12e2;
  t1630 = my_piecewise3(t100, 0, -t1615 * t350 / 0.12e2 - t1620 - t290 * t501 / 0.4e1 - t1624 + t945 * t505 / 0.4e1 + t1628);
  tv2rholapl1 = t3 * t1630 + t509;

  if(out->v2rholapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 1] += tv2rholapl1;

  t1632 = t897 * t465;
  t1640 = my_piecewise3(t2, 0, -t1632 * t223 / 0.12e2 - t1508 - t307 * t477 / 0.4e1 - t1581 + t903 * t481 / 0.4e1 + t1538);
  tv2rholapl2 = t3 * t1640 + t485;

  if(out->v2rholapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 2] += tv2rholapl2;

  t1642 = t349 * t501;
  t1645 = t499 * t370;
  t1646 = t369 * t1645;
  t1647 = t321 * t1646;
  t1655 = my_piecewise3(t129, t322, -0.5e1 / 0.18e2 * t123);
  t1657 = t374 * t1655 * t376;
  t1660 = t1065 * t489;
  t1663 = t1655 * t335;
  t1664 = t194 * t1663;
  t1665 = t321 * t1664;
  t1670 = t500 * t404;
  t1673 = t487 * t999;
  t1674 = t1030 * t1673;
  t1675 = t1674 * t1410;
  t1678 = -t338 * t1642 / 0.12e2 + t1647 * t377 / 0.4e1 + t1070 * t505 / 0.4e1 + t1058 * t505 / 0.4e1 + t373 * t1657 / 0.4e1 - t1660 * t350 / 0.12e2 - t1665 * t350 / 0.12e2 - t490 * t994 / 0.12e2 - t1620 + t1628 - t110 * t1670 / 0.4e1 - t1029 * t1675 / 0.2e1;
  t1679 = t1674 * t1415;
  t1682 = t649 * t1673;
  t1683 = t321 * t1682;
  t1688 = t487 * t1045;
  t1689 = t374 * t1688;
  t1690 = t1689 * t1438;
  t1693 = t374 * t488;
  t1694 = t1693 * t1084;
  t1698 = t1088 * t493 * t376;
  t1701 = t194 * t1688;
  t1702 = t321 * t1701;
  t1713 = t193 * t1655;
  t1714 = t1713 * t354;
  t1716 = t493 * t1046;
  t1719 = t648 * t487;
  t1720 = t1719 * t1032;
  t1728 = t1713 * t335;
  t1735 = t1714 * t357 - 0.2e1 * t1716 * t1472 - t1720 * t1477 / 0.3e1 - t494 * t1167 + 0.2e1 * t1720 * t1481 + 0.2e1 / 0.3e1 * t1720 * t1485 - t1728 * t361 / 0.2e1 + t1716 * t1491 + t494 * t1183 / 0.2e1 - t1720 * t1495;
  t1736 = t139 * t1735;
  t1737 = t1736 * t168;
  t1740 = t373 * t1679 / 0.2e1 - t1683 * t1426 / 0.6e1 + t1683 * t1432 / 0.3e1 - t373 * t1690 / 0.2e1 - t373 * t1694 / 0.4e1 + t373 * t1698 / 0.4e1 + t1702 * t1452 / 0.6e1 + t490 * t1098 / 0.12e2 - t1683 * t1457 / 0.12e2 - t490 * t1103 / 0.12e2 - t1624 - t318 * t501 / 0.4e1 - t110 * t1737 / 0.4e1;
  t1742 = my_piecewise3(t100, 0, t1678 + t1740);
  tv2rholapl3 = t3 * t1742 + t509;

  if(out->v2rholapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 3] += tv2rholapl3;

  t1745 = my_piecewise3(t49, t195, 0.1e2 / 0.9e1 * t412);
  t1747 = t247 * t1745 * t249;
  t1750 = t626 * t514;
  t1753 = t1745 * t208;
  t1754 = t194 * t1753;
  t1755 = t191 * t1754;
  t1759 = t637 * t530 / 0.12e2;
  t1760 = t633 * t514;
  t1762 = t1760 * t223 / 0.36e2;
  t1765 = t222 * t526;
  t1768 = t524 * t243;
  t1769 = t242 * t1768;
  t1770 = t191 * t1769;
  t1777 = t512 * t651;
  t1778 = t649 * t1777;
  t1779 = t191 * t1778;
  t1784 = t680 * t1777;
  t1785 = t1784 * t1269;
  t1788 = t1784 * t1274;
  t1791 = t512 * t595;
  t1792 = t247 * t1791;
  t1793 = t1792 * t1281;
  t1796 = t246 * t1747 / 0.4e1 - t1750 * t223 / 0.12e2 - t1755 * t223 / 0.12e2 + t1759 - t1762 - t515 * t645 / 0.12e2 - t211 * t1765 / 0.12e2 + t1770 * t250 / 0.4e1 + t630 * t530 / 0.4e1 + t608 * t530 / 0.4e1 - t1779 * t1257 / 0.6e1 + t1779 * t1263 / 0.3e1 - t679 * t1785 / 0.2e1 + t246 * t1788 / 0.2e1 - t246 * t1793 / 0.2e1;
  t1797 = t247 * t513;
  t1798 = t1797 * t826;
  t1802 = t830 * t518 * t249;
  t1805 = params->at * t543;
  t1806 = t837 * t1805;
  t1807 = t843 * t1806;
  t1811 = t1805 * t226 * t249;
  t1814 = t194 * t1791;
  t1815 = t191 * t1814;
  t1818 = t525 * t277;
  t1823 = t238 * t544;
  t1829 = 0.1e1 / t31 / t615;
  t1830 = t1829 * t257;
  t1833 = t1829 * tau[0];
  t1854 = 0.5e1 / 0.3e1 * t43 * t77 - 0.1e2 / 0.3e1 * t1830 * tau[0] + 0.5e2 / 0.3e1 * t704 * t1833 + 0.5e1 / 0.3e1 * t258 * t43 + 0.6e2 * t709 * t1833 - 0.1e2 * t261 * t43 + 0.2e2 / 0.3e1 * t714 * t1833 - 0.1e2 * t265 * t43 - 0.25e3 / 0.3e1 * t719 * t1833 + 0.25e2 / 0.3e1 * t268 * t43 - 0.5e2 * t726 * t1833 + 0.25e2 / 0.3e1 * t273 * t43;
  t1855 = t253 * t1854;
  t1856 = t65 * t1855;
  t1860 = t188 * t545 / 0.12e2;
  t1869 = t193 * t1745;
  t1870 = t1869 * t227;
  t1872 = t518 * t596;
  t1875 = t648 * t512;
  t1876 = t1875 * t682;
  t1884 = t1869 * t208;
  t1891 = t1870 * t230 - 0.2e1 * t1872 * t1315 - t1876 * t1320 / 0.3e1 - t519 * t796 + 0.2e1 * t1876 * t1324 + 0.2e1 / 0.3e1 * t1876 * t1328 - t1884 * t234 / 0.2e1 + t1872 * t1334 + t519 * t812 / 0.2e1 - t1876 * t1338;
  t1892 = t59 * t1891;
  t1893 = t1892 * t95;
  t1897 = t188 * t526 / 0.12e2;
  t1898 = -t246 * t1798 / 0.4e1 + t246 * t1802 / 0.4e1 - t211 * t1807 / 0.12e2 + t246 * t1811 / 0.4e1 + t1815 * t1295 / 0.6e1 - t30 * t1818 / 0.4e1 - t182 * t545 / 0.4e1 - t30 * t1823 / 0.4e1 - t30 * t1856 / 0.4e1 - t1860 + t515 * t840 / 0.12e2 - t1779 * t1300 / 0.12e2 - t515 * t845 / 0.12e2 - t182 * t526 / 0.4e1 - t30 * t1893 / 0.4e1 - t1897;
  t1900 = my_piecewise3(t2, 0, t1796 + t1898);
  tv2rhotau0 = t3 * t1900 + t549;

  if(out->v2rhotau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t1902 = t933 * t554;
  t1905 = t937 * t554;
  t1907 = t1905 * t350 / 0.36e2;
  t1911 = t294 * t566 / 0.12e2;
  t1915 = t948 * t570 / 0.12e2;
  t1919 = t294 * t585 / 0.12e2;
  t1921 = my_piecewise3(t100, 0, -t1902 * t350 / 0.12e2 - t1907 - t290 * t566 / 0.4e1 - t1911 + t945 * t570 / 0.4e1 + t1915 - t290 * t585 / 0.4e1 - t1919);
  tv2rhotau1 = t3 * t1921 + t589;

  if(out->v2rhotau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 1] += tv2rhotau1;

  t1923 = t897 * t514;
  t1933 = my_piecewise3(t2, 0, -t1923 * t223 / 0.12e2 - t1762 - t307 * t526 / 0.4e1 - t1897 + t903 * t530 / 0.4e1 + t1759 - t307 * t545 / 0.4e1 - t1860);
  tv2rhotau2 = t3 * t1933 + t549;

  if(out->v2rhotau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 2] += tv2rhotau2;

  t1936 = my_piecewise3(t129, t322, 0.1e2 / 0.9e1 * t437);
  t1938 = t374 * t1936 * t376;
  t1941 = t1065 * t554;
  t1944 = t1936 * t335;
  t1945 = t194 * t1944;
  t1946 = t321 * t1945;
  t1951 = t349 * t566;
  t1954 = t564 * t370;
  t1955 = t369 * t1954;
  t1956 = t321 * t1955;
  t1963 = params->at * t583;
  t1964 = t1095 * t1963;
  t1965 = t1101 * t1964;
  t1969 = t1963 * t353 * t376;
  t1972 = t552 * t1045;
  t1973 = t194 * t1972;
  t1974 = t321 * t1973;
  t1979 = t552 * t999;
  t1980 = t649 * t1979;
  t1981 = t321 * t1980;
  t1984 = t373 * t1938 / 0.4e1 - t1941 * t350 / 0.12e2 - t1946 * t350 / 0.12e2 - t555 * t994 / 0.12e2 - t1907 + t1915 - t338 * t1951 / 0.12e2 + t1956 * t377 / 0.4e1 + t1070 * t570 / 0.4e1 + t1058 * t570 / 0.4e1 - t338 * t1965 / 0.12e2 + t373 * t1969 / 0.4e1 + t1974 * t1452 / 0.6e1 + t555 * t1098 / 0.12e2 - t1981 * t1457 / 0.12e2;
  t1989 = t365 * t584;
  t1995 = 0.1e1 / t111 / t982;
  t1996 = t1995 * t384;
  t1999 = t1995 * tau[1];
  t2020 = 0.5e1 / 0.3e1 * t123 * t150 - 0.1e2 / 0.3e1 * t1996 * tau[1] + 0.5e2 / 0.3e1 * t1119 * t1999 + 0.5e1 / 0.3e1 * t385 * t123 + 0.6e2 * t1124 * t1999 - 0.1e2 * t388 * t123 + 0.2e2 / 0.3e1 * t1129 * t1999 - 0.1e2 * t392 * t123 - 0.25e3 / 0.3e1 * t1134 * t1999 + 0.25e2 / 0.3e1 * t395 * t123 - 0.5e2 * t1141 * t1999 + 0.25e2 / 0.3e1 * t400 * t123;
  t2021 = t380 * t2020;
  t2022 = t145 * t2021;
  t2025 = t1030 * t1979;
  t2026 = t2025 * t1410;
  t2029 = t2025 * t1415;
  t2036 = t374 * t1972;
  t2037 = t2036 * t1438;
  t2040 = t374 * t553;
  t2041 = t2040 * t1084;
  t2045 = t1088 * t558 * t376;
  t2048 = t565 * t404;
  t2053 = t193 * t1936;
  t2054 = t2053 * t354;
  t2056 = t558 * t1046;
  t2059 = t648 * t552;
  t2060 = t2059 * t1032;
  t2068 = t2053 * t335;
  t2075 = t2054 * t357 - 0.2e1 * t2056 * t1472 - t2060 * t1477 / 0.3e1 - t559 * t1167 + 0.2e1 * t2060 * t1481 + 0.2e1 / 0.3e1 * t2060 * t1485 - t2068 * t361 / 0.2e1 + t2056 * t1491 + t559 * t1183 / 0.2e1 - t2060 * t1495;
  t2076 = t139 * t2075;
  t2077 = t2076 * t168;
  t2080 = -t555 * t1103 / 0.12e2 - t318 * t585 / 0.4e1 - t110 * t1989 / 0.4e1 - t110 * t2022 / 0.4e1 - t1029 * t2026 / 0.2e1 + t373 * t2029 / 0.2e1 - t1981 * t1426 / 0.6e1 + t1981 * t1432 / 0.3e1 - t373 * t2037 / 0.2e1 - t373 * t2041 / 0.4e1 + t373 * t2045 / 0.4e1 - t1919 - t110 * t2048 / 0.4e1 - t1911 - t318 * t566 / 0.4e1 - t110 * t2077 / 0.4e1;
  t2082 = my_piecewise3(t100, 0, t1984 + t2080);
  tv2rhotau3 = t3 * t2082 + t589;

  if(out->v2rhotau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 3] += tv2rhotau3;

  t2084 = my_piecewise3(t49, t195, 0);
  t2085 = t2084 * t208;
  t2086 = t194 * t2085;
  t2087 = t191 * t2086;
  t2089 = t2087 * t223 / 0.12e2;
  t2090 = t414 * t414;
  t2091 = t2090 * t595;
  t2092 = t194 * t2091;
  t2093 = t191 * t2092;
  t2096 = t2090 * t651;
  t2097 = t649 * t2096;
  t2098 = t191 * t2097;
  t2105 = 0.2e1 * t789 * t414 * t249 - 0.2e1 * t423 * t222;
  t2106 = t94 * t2105;
  t2107 = t837 * t2106;
  t2108 = t836 * t2107;
  t2117 = t193 * t2084;
  t2118 = t2117 * t227;
  t2119 = t2118 * t230;
  t2120 = t193 * t2090;
  t2121 = t2120 * t596;
  t2124 = t648 * t2090;
  t2125 = t2124 * t682;
  t2128 = t63 * t2105;
  t2129 = t788 * t2128;
  t2133 = t2124 * t651;
  t2136 = t2117 * t208;
  t2138 = t2136 * t234 / 0.2e1;
  t2139 = t2120 * t595;
  t2141 = t60 * t2105;
  t2142 = t788 * t2141;
  t2146 = t2119 - 0.2e1 * t2121 * t230 - t2125 * t785 / 0.3e1 - t421 * t2129 + 0.2e1 * t2125 * t798 + 0.2e1 / 0.3e1 * t2133 * t803 - t2138 + t2139 * t234 + t421 * t2142 / 0.2e1 - t2133 * t816;
  t2147 = t59 * t2146;
  t2148 = t2147 * t95;
  t2153 = t680 * t2090;
  t2154 = t2153 * t684;
  t2158 = t247 * t2084 * t249;
  t2160 = t246 * t2158 / 0.4e1;
  t2162 = t247 * t2090 * t597;
  t2165 = t221 * t2105;
  t2166 = t824 * t2165;
  t2167 = t1285 * t2166;
  t2170 = t2153 * t690;
  t2173 = -t2089 + t2093 * t223 / 0.6e1 - t2098 * t662 / 0.12e2 + t417 * t2108 / 0.12e2 - t2098 * t667 / 0.6e1 - t417 * t1223 / 0.6e1 + t2098 * t672 / 0.3e1 - t30 * t2148 / 0.4e1 + t1228 * t432 / 0.2e1 - t679 * t2154 / 0.2e1 + t2160 - t246 * t2162 / 0.2e1 - t246 * t2167 / 0.4e1 + t246 * t2170 / 0.2e1;
  t2174 = my_piecewise3(t2, 0, t2173);
  tv2sigma20 = t3 * t2174;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t2175 = my_piecewise3(t129, t322, 0);
  t2176 = t2175 * t335;
  t2177 = t194 * t2176;
  t2178 = t321 * t2177;
  t2180 = t2178 * t350 / 0.12e2;
  t2181 = t439 * t439;
  t2182 = t2181 * t1045;
  t2183 = t194 * t2182;
  t2184 = t321 * t2183;
  t2187 = t2181 * t999;
  t2188 = t649 * t2187;
  t2189 = t321 * t2188;
  t2196 = 0.2e1 * t1077 * t439 * t376 - 0.2e1 * t448 * t349;
  t2197 = t167 * t2196;
  t2198 = t1095 * t2197;
  t2199 = t1094 * t2198;
  t2208 = t193 * t2175;
  t2209 = t2208 * t354;
  t2210 = t2209 * t357;
  t2211 = t193 * t2181;
  t2212 = t2211 * t1046;
  t2215 = t648 * t2181;
  t2216 = t2215 * t1032;
  t2219 = t143 * t2196;
  t2220 = t1165 * t2219;
  t2224 = t2215 * t999;
  t2227 = t2208 * t335;
  t2229 = t2227 * t361 / 0.2e1;
  t2230 = t2211 * t1045;
  t2232 = t140 * t2196;
  t2233 = t1165 * t2232;
  t2237 = t2210 - 0.2e1 * t2212 * t357 - t2216 * t1162 / 0.3e1 - t446 * t2220 + 0.2e1 * t2216 * t1169 + 0.2e1 / 0.3e1 * t2224 * t1174 - t2229 + t2230 * t361 + t446 * t2233 / 0.2e1 - t2224 * t1187;
  t2238 = t139 * t2237;
  t2239 = t2238 * t168;
  t2244 = t1030 * t2181;
  t2245 = t2244 * t1034;
  t2249 = t374 * t2175 * t376;
  t2251 = t373 * t2249 / 0.4e1;
  t2253 = t374 * t2181 * t1047;
  t2256 = t348 * t2196;
  t2257 = t1076 * t2256;
  t2258 = t1442 * t2257;
  t2261 = t2244 * t1039;
  t2264 = -t2180 + t2184 * t350 / 0.6e1 - t2189 * t1010 / 0.12e2 + t442 * t2199 / 0.12e2 - t2189 * t1015 / 0.6e1 - t442 * t1378 / 0.6e1 + t2189 * t1020 / 0.3e1 - t110 * t2239 / 0.4e1 + t1383 * t457 / 0.2e1 - t1029 * t2245 / 0.2e1 + t2251 - t373 * t2253 / 0.2e1 - t373 * t2258 / 0.4e1 + t373 * t2261 / 0.2e1;
  t2265 = my_piecewise3(t100, 0, t2264);
  tv2sigma25 = t3 * t2265;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t2266 = t94 * t414;
  t2267 = t837 * t2266;
  t2268 = t843 * t2267;
  t2271 = t1261 * t2267;
  t2276 = t1254 * t2267;
  t2281 = t244 * t2266;
  t2282 = t1261 * t2281;
  t2287 = t63 * t414;
  t2288 = t229 * t2287;
  t2291 = t683 * t2287;
  t2295 = t689 * t2287;
  t2298 = t60 * t414;
  t2299 = t683 * t2298;
  t2302 = t229 * t2298;
  t2306 = t689 * t2298;
  t2308 = t2119 - 0.2e1 * t1587 * t2288 - t1591 * t2291 / 0.3e1 - t470 * t2129 + 0.2e1 * t1591 * t2295 + 0.2e1 / 0.3e1 * t1591 * t2299 - t2138 + t1587 * t2302 + t470 * t2142 / 0.2e1 - t1591 * t2306;
  t2309 = t59 * t2308;
  t2310 = t2309 * t95;
  t2317 = t660 * t414;
  t2318 = t659 * t2317;
  t2319 = t1547 * t2318;
  t2322 = t221 * t414;
  t2323 = t219 * t2322;
  t2324 = t1555 * t2323;
  t2327 = t1559 * t2166;
  t2330 = t665 * t414;
  t2331 = t659 * t2330;
  t2332 = t1547 * t2331;
  t2335 = -t2089 + t1568 * t2268 / 0.6e1 - t1541 * t2271 / 0.12e2 + t466 * t2108 / 0.12e2 - t1541 * t2276 / 0.6e1 - t466 * t1223 / 0.12e2 + t1541 * t2282 / 0.3e1 - t417 * t1511 / 0.12e2 - t30 * t2310 / 0.4e1 + t1516 * t432 / 0.4e1 + t1228 * t481 / 0.4e1 - t679 * t2319 / 0.2e1 + t2160 - t246 * t2324 / 0.2e1 - t246 * t2327 / 0.4e1 + t246 * t2332 / 0.2e1;
  t2336 = my_piecewise3(t2, 0, t2335);
  tv2sigmalapl0 = t3 * t2336;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  tv2sigmalapl1 = 0.e0;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 1] += tv2sigmalapl1;

  tv2sigmalapl2 = 0.e0;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 2] += tv2sigmalapl2;

  tv2sigmalapl3 = 0.e0;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 3] += tv2sigmalapl3;

  tv2sigmalapl4 = 0.e0;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 4] += tv2sigmalapl4;

  t2337 = t167 * t439;
  t2338 = t1095 * t2337;
  t2339 = t1101 * t2338;
  t2342 = t1430 * t2338;
  t2347 = t1423 * t2338;
  t2352 = t371 * t2337;
  t2353 = t1430 * t2352;
  t2358 = t143 * t439;
  t2359 = t356 * t2358;
  t2362 = t1033 * t2358;
  t2366 = t1038 * t2358;
  t2369 = t140 * t439;
  t2370 = t1033 * t2369;
  t2373 = t356 * t2369;
  t2377 = t1038 * t2369;
  t2379 = t2210 - 0.2e1 * t1716 * t2359 - t1720 * t2362 / 0.3e1 - t494 * t2220 + 0.2e1 * t1720 * t2366 + 0.2e1 / 0.3e1 * t1720 * t2370 - t2229 + t1716 * t2373 + t494 * t2233 / 0.2e1 - t1720 * t2377;
  t2380 = t139 * t2379;
  t2381 = t2380 * t168;
  t2388 = t1008 * t439;
  t2389 = t1007 * t2388;
  t2390 = t1674 * t2389;
  t2393 = t348 * t439;
  t2394 = t346 * t2393;
  t2395 = t1689 * t2394;
  t2398 = t1693 * t2257;
  t2401 = t1013 * t439;
  t2402 = t1007 * t2401;
  t2403 = t1674 * t2402;
  t2406 = -t2180 + t1702 * t2339 / 0.6e1 - t1683 * t2342 / 0.12e2 + t490 * t2199 / 0.12e2 - t1683 * t2347 / 0.6e1 - t490 * t1378 / 0.12e2 + t1683 * t2353 / 0.3e1 - t442 * t1642 / 0.12e2 - t110 * t2381 / 0.4e1 + t1647 * t457 / 0.4e1 + t1383 * t505 / 0.4e1 - t1029 * t2390 / 0.2e1 + t2251 - t373 * t2395 / 0.2e1 - t373 * t2398 / 0.4e1 + t373 * t2403 / 0.2e1;
  t2407 = my_piecewise3(t100, 0, t2406);
  tv2sigmalapl5 = t3 * t2407;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 5] += tv2sigmalapl5;

  t2435 = t2119 - 0.2e1 * t1872 * t2288 - t1876 * t2291 / 0.3e1 - t519 * t2129 + 0.2e1 * t1876 * t2295 + 0.2e1 / 0.3e1 * t1876 * t2299 - t2138 + t1872 * t2302 + t519 * t2142 / 0.2e1 - t1876 * t2306;
  t2436 = t59 * t2435;
  t2437 = t2436 * t95;
  t2444 = t1784 * t2318;
  t2447 = t1792 * t2323;
  t2450 = t1797 * t2166;
  t2453 = t1784 * t2331;
  t2458 = t427 * t544;
  t2462 = t1805 * t420 * t249;
  t2465 = -t2089 + t1815 * t2268 / 0.6e1 - t1779 * t2271 / 0.12e2 + t515 * t2108 / 0.12e2 - t1779 * t2276 / 0.6e1 - t515 * t1223 / 0.12e2 + t1779 * t2282 / 0.3e1 - t417 * t1765 / 0.12e2 - t30 * t2437 / 0.4e1 + t1770 * t432 / 0.4e1 + t1228 * t530 / 0.4e1 - t679 * t2444 / 0.2e1 + t2160 - t246 * t2447 / 0.2e1 - t246 * t2450 / 0.4e1 + t246 * t2453 / 0.2e1 - t417 * t1807 / 0.12e2 - t30 * t2458 / 0.4e1 + t246 * t2462 / 0.4e1;
  t2466 = my_piecewise3(t2, 0, t2465);
  tv2sigmatau0 = t3 * t2466;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  tv2sigmatau1 = 0.e0;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 1] += tv2sigmatau1;

  tv2sigmatau2 = 0.e0;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 2] += tv2sigmatau2;

  tv2sigmatau3 = 0.e0;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 3] += tv2sigmatau3;

  tv2sigmatau4 = 0.e0;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 4] += tv2sigmatau4;

  t2494 = t2210 - 0.2e1 * t2056 * t2359 - t2060 * t2362 / 0.3e1 - t559 * t2220 + 0.2e1 * t2060 * t2366 + 0.2e1 / 0.3e1 * t2060 * t2370 - t2229 + t2056 * t2373 + t559 * t2233 / 0.2e1 - t2060 * t2377;
  t2495 = t139 * t2494;
  t2496 = t2495 * t168;
  t2503 = t2025 * t2389;
  t2506 = t2036 * t2394;
  t2509 = t2040 * t2257;
  t2512 = t2025 * t2402;
  t2517 = t452 * t584;
  t2521 = t1963 * t445 * t376;
  t2524 = -t2180 + t1974 * t2339 / 0.6e1 - t1981 * t2342 / 0.12e2 + t555 * t2199 / 0.12e2 - t1981 * t2347 / 0.6e1 - t555 * t1378 / 0.12e2 + t1981 * t2353 / 0.3e1 - t442 * t1951 / 0.12e2 - t110 * t2496 / 0.4e1 + t1956 * t457 / 0.4e1 + t1383 * t570 / 0.4e1 - t1029 * t2503 / 0.2e1 + t2251 - t373 * t2506 / 0.2e1 - t373 * t2509 / 0.4e1 + t373 * t2512 / 0.2e1 - t442 * t1965 / 0.12e2 - t110 * t2517 / 0.4e1 + t373 * t2521 / 0.4e1;
  t2525 = my_piecewise3(t100, 0, t2524);
  tv2sigmatau5 = t3 * t2525;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 5] += tv2sigmatau5;

  t2526 = t463 * t463;
  t2527 = t2526 * t595;
  t2528 = t194 * t2527;
  t2529 = t191 * t2528;
  t2532 = t2526 * t651;
  t2533 = t649 * t2532;
  t2534 = t191 * t2533;
  t2541 = 0.2e1 * t789 * t463 * t249 - 0.2e1 * t472 * t222;
  t2542 = t94 * t2541;
  t2543 = t837 * t2542;
  t2544 = t836 * t2543;
  t2553 = t193 * t2526;
  t2554 = t2553 * t596;
  t2557 = t648 * t2526;
  t2558 = t2557 * t682;
  t2561 = t63 * t2541;
  t2562 = t788 * t2561;
  t2566 = t2557 * t651;
  t2569 = t2553 * t595;
  t2571 = t60 * t2541;
  t2572 = t788 * t2571;
  t2576 = t2119 - 0.2e1 * t2554 * t230 - t2558 * t785 / 0.3e1 - t470 * t2562 + 0.2e1 * t2558 * t798 + 0.2e1 / 0.3e1 * t2566 * t803 - t2138 + t2569 * t234 + t470 * t2572 / 0.2e1 - t2566 * t816;
  t2577 = t59 * t2576;
  t2578 = t2577 * t95;
  t2583 = t680 * t2526;
  t2584 = t2583 * t684;
  t2588 = t247 * t2526 * t597;
  t2591 = t221 * t2541;
  t2592 = t824 * t2591;
  t2593 = t1559 * t2592;
  t2596 = t2583 * t690;
  t2599 = -t2089 + t2529 * t223 / 0.6e1 - t2534 * t662 / 0.12e2 + t466 * t2544 / 0.12e2 - t2534 * t667 / 0.6e1 - t466 * t1511 / 0.6e1 + t2534 * t672 / 0.3e1 - t30 * t2578 / 0.4e1 + t1516 * t481 / 0.2e1 - t679 * t2584 / 0.2e1 + t2160 - t246 * t2588 / 0.2e1 - t246 * t2593 / 0.4e1 + t246 * t2596 / 0.2e1;
  t2600 = my_piecewise3(t2, 0, t2599);
  tv2lapl20 = t3 * t2600;

  if(out->v2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  tv2lapl21 = 0.e0;

  if(out->v2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 1] += tv2lapl21;

  t2601 = t487 * t487;
  t2602 = t2601 * t1045;
  t2603 = t194 * t2602;
  t2604 = t321 * t2603;
  t2607 = t2601 * t999;
  t2608 = t649 * t2607;
  t2609 = t321 * t2608;
  t2616 = 0.2e1 * t1077 * t487 * t376 - 0.2e1 * t496 * t349;
  t2617 = t167 * t2616;
  t2618 = t1095 * t2617;
  t2619 = t1094 * t2618;
  t2628 = t193 * t2601;
  t2629 = t2628 * t1046;
  t2632 = t648 * t2601;
  t2633 = t2632 * t1032;
  t2636 = t143 * t2616;
  t2637 = t1165 * t2636;
  t2641 = t2632 * t999;
  t2644 = t2628 * t1045;
  t2646 = t140 * t2616;
  t2647 = t1165 * t2646;
  t2651 = t2210 - 0.2e1 * t2629 * t357 - t2633 * t1162 / 0.3e1 - t494 * t2637 + 0.2e1 * t2633 * t1169 + 0.2e1 / 0.3e1 * t2641 * t1174 - t2229 + t2644 * t361 + t494 * t2647 / 0.2e1 - t2641 * t1187;
  t2652 = t139 * t2651;
  t2653 = t2652 * t168;
  t2658 = t1030 * t2601;
  t2659 = t2658 * t1034;
  t2663 = t374 * t2601 * t1047;
  t2666 = t348 * t2616;
  t2667 = t1076 * t2666;
  t2668 = t1693 * t2667;
  t2671 = t2658 * t1039;
  t2674 = -t2180 + t2604 * t350 / 0.6e1 - t2609 * t1010 / 0.12e2 + t490 * t2619 / 0.12e2 - t2609 * t1015 / 0.6e1 - t490 * t1642 / 0.6e1 + t2609 * t1020 / 0.3e1 - t110 * t2653 / 0.4e1 + t1647 * t505 / 0.2e1 - t1029 * t2659 / 0.2e1 + t2251 - t373 * t2663 / 0.2e1 - t373 * t2668 / 0.4e1 + t373 * t2671 / 0.2e1;
  t2675 = my_piecewise3(t100, 0, t2674);
  tv2lapl22 = t3 * t2675;

  if(out->v2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 2] += tv2lapl22;

  t2676 = t94 * t463;
  t2677 = t837 * t2676;
  t2678 = t843 * t2677;
  t2681 = t1261 * t2677;
  t2686 = t1254 * t2677;
  t2691 = t244 * t2676;
  t2692 = t1261 * t2691;
  t2697 = t63 * t463;
  t2698 = t229 * t2697;
  t2701 = t683 * t2697;
  t2705 = t689 * t2697;
  t2708 = t60 * t463;
  t2709 = t683 * t2708;
  t2712 = t229 * t2708;
  t2716 = t689 * t2708;
  t2718 = t2119 - 0.2e1 * t1872 * t2698 - t1876 * t2701 / 0.3e1 - t519 * t2562 + 0.2e1 * t1876 * t2705 + 0.2e1 / 0.3e1 * t1876 * t2709 - t2138 + t1872 * t2712 + t519 * t2572 / 0.2e1 - t1876 * t2716;
  t2719 = t59 * t2718;
  t2720 = t2719 * t95;
  t2727 = t660 * t463;
  t2728 = t659 * t2727;
  t2729 = t1784 * t2728;
  t2732 = t221 * t463;
  t2733 = t219 * t2732;
  t2734 = t1792 * t2733;
  t2737 = t1797 * t2592;
  t2740 = t665 * t463;
  t2741 = t659 * t2740;
  t2742 = t1784 * t2741;
  t2747 = t476 * t544;
  t2751 = t1805 * t469 * t249;
  t2754 = -t2089 + t1815 * t2678 / 0.6e1 - t1779 * t2681 / 0.12e2 + t515 * t2544 / 0.12e2 - t1779 * t2686 / 0.6e1 - t515 * t1511 / 0.12e2 + t1779 * t2692 / 0.3e1 - t466 * t1765 / 0.12e2 - t30 * t2720 / 0.4e1 + t1770 * t481 / 0.4e1 + t1516 * t530 / 0.4e1 - t679 * t2729 / 0.2e1 + t2160 - t246 * t2734 / 0.2e1 - t246 * t2737 / 0.4e1 + t246 * t2742 / 0.2e1 - t466 * t1807 / 0.12e2 - t30 * t2747 / 0.4e1 + t246 * t2751 / 0.4e1;
  t2755 = my_piecewise3(t2, 0, t2754);
  tv2lapltau0 = t3 * t2755;

  if(out->v2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  tv2lapltau1 = 0.e0;

  if(out->v2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 1] += tv2lapltau1;

  tv2lapltau2 = 0.e0;

  if(out->v2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 2] += tv2lapltau2;

  t2756 = t167 * t487;
  t2757 = t1095 * t2756;
  t2758 = t1101 * t2757;
  t2761 = t1430 * t2757;
  t2766 = t1423 * t2757;
  t2771 = t371 * t2756;
  t2772 = t1430 * t2771;
  t2777 = t143 * t487;
  t2778 = t356 * t2777;
  t2781 = t1033 * t2777;
  t2785 = t1038 * t2777;
  t2788 = t140 * t487;
  t2789 = t1033 * t2788;
  t2792 = t356 * t2788;
  t2796 = t1038 * t2788;
  t2798 = t2210 - 0.2e1 * t2056 * t2778 - t2060 * t2781 / 0.3e1 - t559 * t2637 + 0.2e1 * t2060 * t2785 + 0.2e1 / 0.3e1 * t2060 * t2789 - t2229 + t2056 * t2792 + t559 * t2647 / 0.2e1 - t2060 * t2796;
  t2799 = t139 * t2798;
  t2800 = t2799 * t168;
  t2807 = t1008 * t487;
  t2808 = t1007 * t2807;
  t2809 = t2025 * t2808;
  t2812 = t348 * t487;
  t2813 = t346 * t2812;
  t2814 = t2036 * t2813;
  t2817 = t2040 * t2667;
  t2820 = t1013 * t487;
  t2821 = t1007 * t2820;
  t2822 = t2025 * t2821;
  t2827 = t500 * t584;
  t2831 = t1963 * t493 * t376;
  t2834 = -t2180 + t1974 * t2758 / 0.6e1 - t1981 * t2761 / 0.12e2 + t555 * t2619 / 0.12e2 - t1981 * t2766 / 0.6e1 - t555 * t1642 / 0.12e2 + t1981 * t2772 / 0.3e1 - t490 * t1951 / 0.12e2 - t110 * t2800 / 0.4e1 + t1956 * t505 / 0.4e1 + t1647 * t570 / 0.4e1 - t1029 * t2809 / 0.2e1 + t2251 - t373 * t2814 / 0.2e1 - t373 * t2817 / 0.4e1 + t373 * t2822 / 0.2e1 - t490 * t1965 / 0.12e2 - t110 * t2827 / 0.4e1 + t373 * t2831 / 0.4e1;
  t2835 = my_piecewise3(t100, 0, t2834);
  tv2lapltau3 = t3 * t2835;

  if(out->v2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 3] += tv2lapltau3;

  t2836 = t512 * t512;
  t2837 = t2836 * t595;
  t2838 = t194 * t2837;
  t2839 = t191 * t2838;
  t2842 = t2836 * t651;
  t2843 = t649 * t2842;
  t2844 = t191 * t2843;
  t2851 = 0.2e1 * t789 * t512 * t249 - 0.2e1 * t521 * t222;
  t2852 = t94 * t2851;
  t2853 = t837 * t2852;
  t2854 = t836 * t2853;
  t2865 = t193 * t2836;
  t2866 = t2865 * t596;
  t2869 = t648 * t2836;
  t2870 = t2869 * t682;
  t2873 = t63 * t2851;
  t2874 = t788 * t2873;
  t2878 = t2869 * t651;
  t2881 = t2865 * t595;
  t2883 = t60 * t2851;
  t2884 = t788 * t2883;
  t2888 = t2119 - 0.2e1 * t2866 * t230 - t2870 * t785 / 0.3e1 - t519 * t2874 + 0.2e1 * t2870 * t798 + 0.2e1 / 0.3e1 * t2878 * t803 - t2138 + t2881 * t234 + t519 * t2884 / 0.2e1 - t2878 * t816;
  t2889 = t59 * t2888;
  t2890 = t2889 * t95;
  t2895 = t525 * t544;
  t2898 = t680 * t2836;
  t2899 = t2898 * t684;
  t2903 = t1805 * t518 * t249;
  t2907 = t247 * t2836 * t597;
  t2910 = t221 * t2851;
  t2911 = t824 * t2910;
  t2912 = t1797 * t2911;
  t2915 = t2898 * t690;
  t2919 = 0.1e1 / t31 / t200;
  t2932 = 0.2e1 * t2919 * t257 - 0.1e2 * t704 * t2919 - 0.36e2 * t709 * t2919 - 0.4e1 * t714 * t2919 + 0.5e2 * t719 * t2919 + 0.3e2 * t726 * t2919;
  t2933 = t253 * t2932;
  t2934 = t65 * t2933;
  t2937 = -t2089 + t2839 * t223 / 0.6e1 - t2844 * t662 / 0.12e2 + t515 * t2854 / 0.12e2 - t2844 * t667 / 0.6e1 - t515 * t1765 / 0.6e1 + t2844 * t672 / 0.3e1 - t515 * t1807 / 0.6e1 - t30 * t2890 / 0.4e1 + t1770 * t530 / 0.2e1 - t30 * t2895 / 0.2e1 - t679 * t2899 / 0.2e1 + t246 * t2903 / 0.2e1 + t2160 - t246 * t2907 / 0.2e1 - t246 * t2912 / 0.4e1 + t246 * t2915 / 0.2e1 - t30 * t2934 / 0.4e1;
  t2938 = my_piecewise3(t2, 0, t2937);
  tv2tau20 = t3 * t2938;

  if(out->v2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  tv2tau21 = 0.e0;

  if(out->v2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 1] += tv2tau21;

  t2939 = t552 * t552;
  t2940 = t2939 * t1045;
  t2941 = t194 * t2940;
  t2942 = t321 * t2941;
  t2945 = t2939 * t999;
  t2946 = t649 * t2945;
  t2947 = t321 * t2946;
  t2954 = 0.2e1 * t1077 * t552 * t376 - 0.2e1 * t561 * t349;
  t2955 = t167 * t2954;
  t2956 = t1095 * t2955;
  t2957 = t1094 * t2956;
  t2968 = t193 * t2939;
  t2969 = t2968 * t1046;
  t2972 = t648 * t2939;
  t2973 = t2972 * t1032;
  t2976 = t143 * t2954;
  t2977 = t1165 * t2976;
  t2981 = t2972 * t999;
  t2984 = t2968 * t1045;
  t2986 = t140 * t2954;
  t2987 = t1165 * t2986;
  t2991 = t2210 - 0.2e1 * t2969 * t357 - t2973 * t1162 / 0.3e1 - t559 * t2977 + 0.2e1 * t2973 * t1169 + 0.2e1 / 0.3e1 * t2981 * t1174 - t2229 + t2984 * t361 + t559 * t2987 / 0.2e1 - t2981 * t1187;
  t2992 = t139 * t2991;
  t2993 = t2992 * t168;
  t2998 = t565 * t584;
  t3001 = t1030 * t2939;
  t3002 = t3001 * t1034;
  t3006 = t1963 * t558 * t376;
  t3010 = t374 * t2939 * t1047;
  t3013 = t348 * t2954;
  t3014 = t1076 * t3013;
  t3015 = t2040 * t3014;
  t3018 = t3001 * t1039;
  t3022 = 0.1e1 / t111 / t327;
  t3035 = -0.1e2 * t1119 * t3022 - 0.36e2 * t1124 * t3022 - 0.4e1 * t1129 * t3022 + 0.5e2 * t1134 * t3022 + 0.3e2 * t1141 * t3022 + 0.2e1 * t3022 * t384;
  t3036 = t380 * t3035;
  t3037 = t145 * t3036;
  t3040 = -t2180 + t2942 * t350 / 0.6e1 - t2947 * t1010 / 0.12e2 + t555 * t2957 / 0.12e2 - t2947 * t1015 / 0.6e1 - t555 * t1951 / 0.6e1 + t2947 * t1020 / 0.3e1 - t555 * t1965 / 0.6e1 - t110 * t2993 / 0.4e1 + t1956 * t570 / 0.2e1 - t110 * t2998 / 0.2e1 - t1029 * t3002 / 0.2e1 + t373 * t3006 / 0.2e1 + t2251 - t373 * t3010 / 0.2e1 - t373 * t3015 / 0.4e1 + t373 * t3018 / 0.2e1 - t110 * t3037 / 0.4e1;
  t3041 = my_piecewise3(t100, 0, t3040);
  tv2tau22 = t3 * t3041;

  if(out->v2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 2] += tv2tau22;

  t3046 = t633 * t653;
  t3047 = t3046 * t667;
  t3049 = t3046 * t672;
  t3051 = t633 * t678;
  t3052 = t3051 * t685;
  t3054 = t637 * t691;
  t3056 = t666 * t239;
  t3059 = t237 * t676;
  t3060 = t242 * t3059;
  t3061 = t191 * t3060;
  t3066 = t626 * t653;
  t3070 = t626 * t678;
  t3073 = t592 * t206;
  t3074 = t680 * t3073;
  t3076 = 0.1e1 / t650 / t56;
  t3077 = t3076 * t656;
  t3078 = t3077 * t683;
  t3079 = t3074 * t3078;
  t3082 = t3077 * t689;
  t3083 = t3074 * t3082;
  t3086 = t3073 * t3076;
  t3087 = t649 * t3086;
  t3088 = t191 * t3087;
  t3090 = t238 * t670;
  t3091 = t661 * t3090;
  t3093 = 0.3e1 / 0.2e1 * t630 * t691 - t3047 / 0.6e1 + t3049 / 0.3e1 - t3052 / 0.2e1 + t3054 / 0.2e1 - t654 * t3056 / 0.2e1 - 0.3e1 / 0.2e1 * t3061 * t685 + 0.3e1 / 0.2e1 * t608 * t691 - t3066 * t667 / 0.2e1 + t3066 * t672 - 0.3e1 / 0.2e1 * t3070 * t685 + 0.3e1 * t679 * t3079 - 0.3e1 * t246 * t3083 + t3088 * t667 + t654 * t3091;
  t3096 = t222 * t820;
  t3099 = t818 * t243;
  t3100 = t242 * t3099;
  t3101 = t191 * t3100;
  t3110 = t626 * t602;
  t3115 = t94 * t69;
  t3116 = t3115 * t3073;
  t3118 = 0.1e1 / t650 / t207;
  t3120 = 0.1e1 / t655 / t213;
  t3121 = t3118 * t3120;
  t3123 = 0.1e1 / t657 / t217;
  t3124 = t660 * t220;
  t3125 = t3123 * t3124;
  t3126 = t3121 * t3125;
  t3127 = t3116 * t3126;
  t3130 = t3123 * t660;
  t3131 = t3121 * t3130;
  t3132 = t3116 * t3131;
  t3135 = t28 * t69;
  t3136 = t3073 * t3118;
  t3137 = t3135 * t3136;
  t3138 = t191 * t3137;
  t3139 = t3120 * t3123;
  t3140 = t3139 * t3124;
  t3141 = t3140 * t96;
  t3144 = t660 * t221;
  t3145 = t3139 * t3144;
  t3146 = t3145 * t671;
  t3149 = t3139 * t660;
  t3150 = t3149 * t96;
  t3153 = t3140 * t671;
  t3156 = t676 * t94;
  t3157 = t65 * t3156;
  t3158 = t3145 * t3157;
  t3161 = 0.3e1 / 0.4e1 * t630 * t623 - t211 * t3096 / 0.4e1 + 0.3e1 / 0.4e1 * t3101 * t250 - 0.3e1 / 0.2e1 * t630 * t598 - 0.3e1 / 0.2e1 * t608 * t598 - 0.2e1 * t3088 * t672 + t3110 * t223 / 0.2e1 + t603 * t645 / 0.2e1 - 0.3e1 * t679 * t3127 + 0.3e1 / 0.2e1 * t246 * t3132 - 0.11e2 / 0.18e2 * t3138 * t3141 + 0.23e2 / 0.36e2 * t3138 * t3146 - t3138 * t3150 / 0.2e1 + 0.7e1 / 0.3e1 * t3138 * t3153 - 0.3e1 / 0.2e1 * t3138 * t3158;
  t3163 = t215 * t215;
  t3164 = 0.1e1 / t3163;
  t3165 = t64 * t3164;
  t3166 = t242 * t3165;
  t3167 = t191 * t3166;
  t3168 = t3123 * t3144;
  t3169 = t3121 * t3168;
  t3170 = t3116 * t3169;
  t3173 = t637 * t598;
  t3175 = t661 * t239;
  t3178 = t3145 * t96;
  t3186 = 0.1e1 / t32 / t698;
  t3190 = my_piecewise3(t49, t195, -0.22e3 / 0.81e2 * lapl[0] * t617 + 0.88e3 / 0.81e2 * t37 * t617 - 0.308e3 / 0.81e2 * t40 * t3186);
  t3191 = t3190 * t208;
  t3192 = t194 * t3191;
  t3193 = t191 * t3192;
  t3198 = t633 * t641;
  t3199 = t3198 * t223;
  t3201 = t634 * t645;
  t3203 = t3046 * t662;
  t3206 = t247 * t3190 * t249;
  t3209 = t758 * t27;
  t3210 = t3209 * t210;
  t3213 = t626 * t641;
  t3220 = t3209 * t245;
  t3223 = 0.3e1 / 0.2e1 * t3167 * t3170 - t3173 / 0.2e1 - t654 * t3175 / 0.4e1 - 0.5e1 / 0.36e2 * t3138 * t3178 - t3193 * t223 / 0.12e2 - t642 * t645 / 0.4e1 - t3199 / 0.12e2 - t3201 / 0.6e1 - t3203 / 0.12e2 + t246 * t3206 / 0.4e1 - t3210 * t223 / 0.4e1 - t3213 * t223 / 0.4e1 - t627 * t645 / 0.2e1 - t3066 * t662 / 0.4e1 + 0.3e1 / 0.4e1 * t3220 * t250;
  t3226 = t626 * t607;
  t3231 = t768 * t27;
  t3232 = t3231 * t245;
  t3233 = t3232 * t250;
  t3235 = t3231 * t210;
  t3236 = t3235 * t223;
  t3238 = t772 * t27;
  t3239 = t3238 * t210;
  t3240 = t3239 * t223;
  t3242 = t3238 * t245;
  t3243 = t3242 * t250;
  t3245 = t637 * t623;
  t3247 = t633 * t607;
  t3248 = t3247 * t250;
  t3250 = t3073 * t651;
  t3251 = t194 * t3250;
  t3252 = t191 * t3251;
  t3255 = t633 * t602;
  t3256 = t3255 * t223;
  t3259 = t651 * t214;
  t3260 = t3259 * t229;
  t3261 = t247 * t3073 * t3260;
  t3264 = t243 * params->at;
  t3265 = t65 * t3264;
  t3266 = t30 * t3265;
  t3267 = t276 * t193;
  t3268 = t3267 * t209;
  t3269 = t3268 * t826;
  t3272 = t30 * t228;
  t3273 = t788 * t65;
  t3274 = t276 * t794;
  t3275 = t253 * t3274;
  t3276 = t3273 * t3275;
  t3279 = t188 * t738;
  t3283 = t3088 * t662 / 0.2e1 + 0.3e1 / 0.2e1 * t3226 * t250 + 0.3e1 / 0.4e1 * t608 * t623 - t3233 / 0.6e1 + t3236 / 0.18e2 - t3240 / 0.6e1 + t3243 / 0.2e1 + t3245 / 0.4e1 + t3248 / 0.2e1 - t3252 * t223 / 0.2e1 + t3256 / 0.6e1 + 0.3e1 / 0.2e1 * t246 * t3261 - 0.3e1 / 0.4e1 * t3266 * t3269 + t3272 * t3276 / 0.4e1 - t3279 / 0.2e1 - 0.3e1 / 0.4e1 * t182 * t733;
  t3286 = t238 * t732;
  t3289 = tau[0] * t617;
  t3292 = t615 * t41;
  t3294 = 0.1e1 / t31 / t3292;
  t3295 = t697 * t3294;
  t3314 = t80 * t272;
  t3315 = t697 * tau[0];
  t3316 = t615 * t615;
  t3317 = 0.1e1 / t3316;
  t3318 = t3315 * t3317;
  t3321 = t86 * t725;
  t3324 = t88 * t88;
  t3325 = 0.1e1 / t3324;
  t3326 = t87 * t3325;
  t3331 = t75 * t264;
  t3334 = t79 * t90;
  t3341 = 0.22e4 / 0.27e2 * t273 * t3289 + 0.2e4 / 0.9e1 * t704 * t3295 + 0.44e3 / 0.27e2 * t258 * t3289 + 0.8e3 * t709 * t3295 - 0.88e3 / 0.9e1 * t261 * t3289 + 0.8e3 / 0.9e1 * t714 * t3295 - 0.88e3 / 0.9e1 * t265 * t3289 - 0.1e5 / 0.9e1 * t719 * t3295 + 0.22e4 / 0.27e2 * t268 * t3289 - 0.2e4 / 0.3e1 * t726 * t3295 + 0.25e4 / 0.3e1 * t3314 * t3318 + 0.625e4 / 0.3e1 * t3321 * t3318 + 0.875e4 / 0.9e1 * t3326 * t3318 + 0.44e3 / 0.27e2 * t3289 * t77 - 0.425e4 / 0.9e1 * t3331 * t3318 - 0.65e4 / 0.9e1 * t3334 * t3318 - 0.4e3 / 0.9e1 * t3295 * t257 - 0.25e3 / 0.9e1 * t3318 * t83;
  t3342 = t253 * t3341;
  t3343 = t65 * t3342;
  t3346 = t188 * t733;
  t3348 = t819 * t277;
  t3351 = t769 * t278;
  t3353 = t773 * t278;
  t3359 = t680 * t652;
  t3360 = t656 * t3123;
  t3361 = t660 * t794;
  t3362 = t3360 * t3361;
  t3363 = t3359 * t3362;
  t3366 = t1254 * t844;
  t3369 = t621 * t651;
  t3370 = t680 * t3369;
  t3371 = t3370 * t1269;
  t3380 = t1261 * t844;
  t3383 = -0.3e1 / 0.4e1 * t30 * t3286 - t30 * t3343 / 0.4e1 - t3346 / 0.4e1 - 0.3e1 / 0.4e1 * t30 * t3348 + t3351 / 0.6e1 - t3353 / 0.2e1 - 0.3e1 / 0.4e1 * t759 * t278 - 0.3e1 / 0.2e1 * t182 * t738 + 0.3e1 / 0.2e1 * t679 * t3363 - t654 * t3366 / 0.2e1 - 0.3e1 / 0.2e1 * t679 * t3371 + t627 * t840 / 0.4e1 - t603 * t840 / 0.3e1 + t603 * t845 / 0.2e1 - t654 * t3380 / 0.4e1;
  t3384 = params->at * t731;
  t3385 = t837 * t3384;
  t3386 = t843 * t3385;
  t3389 = t237 * t66;
  t3390 = t3389 * t830;
  t3391 = t843 * t3390;
  t3394 = t206 * t651;
  t3395 = t649 * t3394;
  t3396 = t191 * t3395;
  t3397 = t94 * t621;
  t3398 = t244 * t3397;
  t3399 = t1261 * t3398;
  t3405 = t649 * t3369;
  t3406 = t191 * t3405;
  t3409 = t665 * t794;
  t3410 = t3360 * t3409;
  t3411 = t3359 * t3410;
  t3414 = t830 * t783;
  t3415 = t3414 * t684;
  t3428 = t57 * t648;
  t3429 = t3428 * t592;
  t3432 = t789 * t209;
  t3445 = 0.2e1 / 0.3e1 * t801 * t661 + 0.2e1 * t789 * t621 * t249 - 0.4e1 * t789 * t592 * t597 + 0.4e1 / 0.3e1 * t3429 * t684 - 0.2e1 * t3432 * t826 + 0.4e1 * t3429 * t690 - 0.2e1 * t806 * t222 + 0.4e1 * t809 * t222 + 0.2e1 * t232 * t826 - 0.4e1 * t801 * t666;
  t3447 = t824 * t221 * t3445;
  t3448 = t823 * t3447;
  t3451 = t247 * t640;
  t3452 = t3451 * t826;
  t3455 = t634 * t845;
  t3457 = t634 * t840;
  t3459 = t214 * t3123;
  t3460 = t3459 * t835;
  t3461 = t794 * t794;
  t3462 = t94 * t3461;
  t3463 = t837 * t3462;
  t3464 = t3460 * t3463;
  t3468 = t3459 * t221 * t3461;
  t3469 = t823 * t3468;
  t3472 = -t211 * t3386 / 0.4e1 - t211 * t3391 / 0.2e1 + t3396 * t3399 - t627 * t845 / 0.2e1 - t642 * t845 / 0.4e1 - t3406 * t1300 / 0.4e1 - 0.3e1 / 0.2e1 * t246 * t3411 - 0.3e1 / 0.2e1 * t679 * t3415 - t3406 * t1257 / 0.2e1 - t246 * t3448 / 0.4e1 - t246 * t3452 / 0.2e1 - t3455 / 0.6e1 + t3457 / 0.12e2 - t211 * t3464 / 0.6e1 + t246 * t3469 / 0.2e1;
  t3474 = t637 * t832;
  t3476 = t637 * t827;
  t3483 = t830 * t779 * t597;
  t3486 = t247 * t601;
  t3487 = t3486 * t826;
  t3489 = t206 * t595;
  t3490 = t247 * t3489;
  t3492 = t219 * t221 * t621;
  t3493 = t3490 * t3492;
  t3496 = t194 * t3489;
  t3497 = t191 * t3496;
  t3498 = t837 * t3397;
  t3499 = t843 * t3498;
  t3502 = t244 * t830;
  t3503 = t1261 * t3502;
  t3506 = t830 * t776 * t249;
  t3510 = t3384 * t226 * t249;
  t3515 = t3370 * t1274;
  t3520 = t3360 * t1260;
  t3521 = t244 * t838;
  t3522 = t3520 * t3521;
  t3524 = t3474 / 0.2e1 - t3476 / 0.4e1 - 0.3e1 / 0.4e1 * t608 * t827 - 0.3e1 / 0.4e1 * t630 * t827 - 0.3e1 / 0.2e1 * t246 * t3483 + t246 * t3487 - 0.3e1 / 0.2e1 * t246 * t3493 + t3497 * t3499 / 0.2e1 + t654 * t3503 + 0.3e1 / 0.4e1 * t246 * t3506 + 0.3e1 / 0.4e1 * t246 * t3510 + 0.3e1 / 0.2e1 * t608 * t832 + 0.3e1 / 0.2e1 * t246 * t3515 + 0.3e1 / 0.2e1 * t630 * t832 - t654 * t3522;
  t3525 = t3520 * t839;
  t3528 = t94 * t3445;
  t3529 = t837 * t3528;
  t3530 = t836 * t3529;
  t3533 = t3389 * t838;
  t3534 = t836 * t3533;
  t3539 = t188 * t820;
  t3543 = t3130 * t795;
  t3545 = t63 * t3445;
  t3546 = t788 * t3545;
  t3548 = t776 * t596;
  t3553 = t648 * t621;
  t3554 = t3553 * t682;
  t3556 = t3123 * t665;
  t3557 = t3556 * t795;
  t3562 = t3123 * t221;
  t3563 = t63 * t3461;
  t3564 = t3562 * t3563;
  t3567 = t648 * t3073;
  t3568 = t3567 * t3076;
  t3571 = t69 * t3073;
  t3572 = t3571 * t3118;
  t3573 = t3139 * t802;
  t3576 = t193 * t3073;
  t3577 = t3576 * t651;
  t3580 = t3124 * t60;
  t3581 = t3139 * t3580;
  t3584 = t193 * t3190;
  t3585 = t3584 * t208;
  t3590 = t3144 * t60;
  t3591 = t3139 * t3590;
  t3594 = 0.4e1 * t780 * t796 + t784 * t3543 - t228 * t3546 - 0.6e1 * t3548 * t1315 - 0.2e1 * t777 * t796 - t3554 * t1320 - 0.6e1 * t784 * t3557 + 0.6e1 * t3554 * t1324 + 0.2e1 * t228 * t3564 + 0.6e1 * t3568 * t816 - 0.3e1 * t3572 * t3573 - 0.3e1 * t3577 * t234 + 0.1e2 / 0.3e1 * t3572 * t3581 - t3585 * t234 / 0.2e1 - 0.4e1 * t3568 * t803 + t3572 * t3591 / 0.18e2;
  t3595 = t3571 * t3121;
  t3596 = t3130 * t63;
  t3601 = t60 * t3461;
  t3602 = t3562 * t3601;
  t3604 = t3576 * t3259;
  t3607 = t3556 * t811;
  t3610 = t3567 * t3077;
  t3613 = t3125 * t63;
  t3616 = t3130 * t811;
  t3622 = t3584 * t227;
  t3628 = t3168 * t63;
  t3633 = t60 * t3445;
  t3634 = t788 * t3633;
  t3637 = 0.6e1 * t3595 * t3596 - 0.3e1 * t3554 * t1338 - t228 * t3602 + 0.6e1 * t3604 * t230 + 0.3e1 * t784 * t3607 - 0.12e2 * t3610 * t798 - 0.2e1 / 0.3e1 * t3595 * t3613 - 0.2e1 * t784 * t3616 + 0.3e1 * t3548 * t1334 + t777 * t812 + t3622 * t230 + 0.2e1 * t3554 * t1328 + 0.2e1 * t3610 * t785 - t3595 * t3628 / 0.9e1 - 0.2e1 * t780 * t812 + t228 * t3634 / 0.2e1;
  t3638 = t3594 + t3637;
  t3639 = t59 * t3638;
  t3640 = t3639 * t95;
  t3646 = 0.1e1 / t743 / t16;
  t3647 = t745 * t177;
  t3650 = t744 * t177;
  t3653 = t173 * t173;
  t3654 = 0.1e1 / t3653;
  t3655 = t13 * t3654;
  t3658 = my_piecewise5(t7, 0, t11, 0, 0.6e1 * t749 - 0.6e1 * t3655);
  t3662 = my_piecewise3(t17, 0, -0.8e1 / 0.27e2 * t3646 * t3647 + 0.4e1 / 0.3e1 * t3650 * t753 + 0.4e1 / 0.3e1 * t20 * t3658);
  t3663 = t3662 * t23;
  t3664 = t3663 * t29;
  t3669 = t757 * t186;
  t3670 = t3669 * t29;
  t3671 = t3670 * t96;
  t3673 = t773 * t239;
  t3675 = t769 * t239;
  t3677 = t180 * t767;
  t3678 = t3677 * t29;
  t3679 = t3678 * t96;
  t3682 = 0.1e1 / t185 / t173;
  t3683 = t22 * t3682;
  t3684 = t3683 * t29;
  t3686 = 0.5e1 / 0.54e2 * t3684 * t96;
  t3687 = t3414 * t690;
  t3690 = t3360 * t1253;
  t3691 = t3690 * t839;
  t3694 = t654 * t3525 / 0.4e1 + t211 * t3530 / 0.12e2 + t211 * t3534 / 0.4e1 + t642 * t840 / 0.6e1 - t3539 / 0.4e1 - t30 * t3640 / 0.4e1 - 0.3e1 / 0.4e1 * t182 * t820 - t3664 * t96 / 0.4e1 - 0.3e1 / 0.4e1 * t759 * t239 - t3671 / 0.4e1 - t3673 / 0.2e1 + t3675 / 0.6e1 + t3679 / 0.6e1 - t3686 + 0.3e1 / 0.2e1 * t246 * t3687 + t654 * t3691 / 0.2e1;
  t3698 = my_piecewise3(t2, 0, t3093 + t3161 + t3223 + t3283 + t3383 + t3472 + t3524 + t3694);
  t3700 = 0.1e1 / t851 / t104;
  t3701 = t853 * t285;
  t3704 = t852 * t285;
  t3707 = t101 * t3654;
  t3710 = my_piecewise5(t11, 0, t7, 0, -0.6e1 * t749 - 0.6e1 * t3707);
  t3714 = my_piecewise3(t105, 0, -0.8e1 / 0.27e2 * t3700 * t3701 + 0.4e1 / 0.3e1 * t3704 * t859 + 0.4e1 / 0.3e1 * t106 * t3710);
  t3715 = t3714 * t23;
  t3716 = t3715 * t29;
  t3719 = t863 * t186;
  t3720 = t3719 * t29;
  t3721 = t3720 * t169;
  t3723 = t288 * t767;
  t3724 = t3723 * t29;
  t3725 = t3724 * t169;
  t3727 = t108 * t3682;
  t3728 = t3727 * t29;
  t3730 = 0.5e1 / 0.54e2 * t3728 * t169;
  t3732 = my_piecewise3(t100, 0, -t3716 * t169 / 0.4e1 - t3721 / 0.4e1 + t3725 / 0.6e1 - t3730);
  tv3rho30 = 0.3e1 * t850 + 0.3e1 * t877 + t3 * (t3698 + t3732);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t3735 = 0.2e1 * t914;
  t3736 = 0.2e1 * t956;
  t3737 = t897 * t653;
  t3740 = t897 * t678;
  t3747 = t897 * t602;
  t3750 = t889 * t27;
  t3751 = t3750 * t210;
  t3754 = t3750 * t245;
  t3757 = t893 * t27;
  t3758 = t3757 * t210;
  t3760 = t3758 * t223 / 0.18e2;
  t3761 = t3757 * t245;
  t3763 = t3761 * t250 / 0.6e1;
  t3764 = t897 * t641;
  t3773 = t3737 * t672 / 0.3e1 - t3740 * t685 / 0.2e1 + t903 * t691 / 0.2e1 - t3737 * t667 / 0.6e1 + t3747 * t223 / 0.6e1 - t3751 * t223 / 0.6e1 + t3754 * t250 / 0.2e1 - t3760 + t3763 - t3764 * t223 / 0.12e2 - t898 * t645 / 0.6e1 - t3737 * t662 / 0.12e2 - t3047 / 0.18e2 + t3049 / 0.9e1;
  t3776 = t897 * t607;
  t3793 = -t3052 / 0.6e1 + t3054 / 0.6e1 + t3776 * t250 / 0.2e1 + t903 * t623 / 0.4e1 - t903 * t598 / 0.2e1 - t3173 / 0.6e1 - t3199 / 0.36e2 - t3201 / 0.18e2 - t3203 / 0.36e2 - t3233 / 0.9e1 + t3236 / 0.27e2 - t3240 / 0.18e2 + t3243 / 0.6e1 + t3245 / 0.12e2 + t3248 / 0.6e1;
  t3807 = t894 * t278 / 0.6e1;
  t3817 = t3256 / 0.18e2 - t3279 / 0.6e1 - t3346 / 0.12e2 + t3351 / 0.9e1 - t3353 / 0.6e1 - t307 * t738 / 0.2e1 - t307 * t733 / 0.4e1 - t890 * t278 / 0.2e1 - t3807 - t903 * t827 / 0.4e1 - t898 * t845 / 0.6e1 + t903 * t832 / 0.2e1 + t898 * t840 / 0.12e2 - t3455 / 0.18e2;
  t3823 = t3646 * t302;
  t3826 = t744 * t884;
  t3831 = 0.2e1 * t749;
  t3832 = 0.6e1 * t3655;
  t3834 = my_piecewise5(t7, 0, t11, 0, t3831 - t3832);
  t3838 = my_piecewise3(t17, 0, -0.8e1 / 0.27e2 * t3823 * t745 + 0.8e1 / 0.9e1 * t3826 * t177 + 0.4e1 / 0.9e1 * t880 * t753 + 0.4e1 / 0.3e1 * t20 * t3834);
  t3839 = t3838 * t23;
  t3840 = t3839 * t29;
  t3846 = t894 * t239 / 0.6e1;
  t3847 = t305 * t767;
  t3848 = t3847 * t29;
  t3849 = t3848 * t96;
  t3851 = t888 * t186;
  t3852 = t3851 * t29;
  t3854 = t3852 * t96 / 0.6e1;
  t3860 = t3457 / 0.36e2 + t3474 / 0.6e1 - t3476 / 0.12e2 - t307 * t820 / 0.4e1 - t3840 * t96 / 0.4e1 - t890 * t239 / 0.2e1 - t3846 + t3849 / 0.18e2 - t3854 - t3539 / 0.12e2 - t3671 / 0.12e2 - t3673 / 0.6e1 + t3675 / 0.9e1 + t3679 / 0.9e1 - t3686;
  t3863 = my_piecewise3(t2, 0, t3773 + t3793 + t3817 + t3860);
  t3864 = t3700 * t313;
  t3867 = t852 * t919;
  t3872 = 0.6e1 * t3707;
  t3874 = my_piecewise5(t11, 0, t7, 0, -t3831 - t3872);
  t3878 = my_piecewise3(t105, 0, -0.8e1 / 0.27e2 * t3864 * t853 + 0.8e1 / 0.9e1 * t3867 * t285 + 0.4e1 / 0.9e1 * t915 * t859 + 0.4e1 / 0.3e1 * t106 * t3874);
  t3879 = t3878 * t23;
  t3880 = t3879 * t29;
  t3883 = t923 * t186;
  t3884 = t3883 * t29;
  t3886 = t3884 * t169 / 0.6e1;
  t3887 = t316 * t767;
  t3888 = t3887 * t29;
  t3889 = t3888 * t169;
  t3893 = t864 * t27;
  t3894 = t3893 * t337;
  t3897 = t868 * t27;
  t3898 = t3897 * t337;
  t3900 = t3898 * t350 / 0.18e2;
  t3901 = t872 * t27;
  t3902 = t3901 * t337;
  t3903 = t3902 * t350;
  t3908 = t869 * t366 / 0.6e1;
  t3909 = t873 * t366;
  t3911 = t3893 * t372;
  t3914 = t3897 * t372;
  t3916 = t3914 * t377 / 0.6e1;
  t3917 = t3901 * t372;
  t3918 = t3917 * t377;
  t3923 = t869 * t405 / 0.6e1;
  t3924 = t873 * t405;
  t3926 = -t3880 * t169 / 0.4e1 - t3886 + t3889 / 0.18e2 - t3721 / 0.12e2 + t3725 / 0.9e1 - t3730 - t3894 * t350 / 0.12e2 - t3900 + t3903 / 0.54e2 - t865 * t366 / 0.4e1 - t3908 + t3909 / 0.18e2 + t3911 * t377 / 0.4e1 + t3916 - t3918 / 0.18e2 - t865 * t405 / 0.4e1 - t3923 + t3924 / 0.18e2;
  t3927 = my_piecewise3(t100, 0, t3926);
  tv3rho31 = t850 + t877 + t3735 + t3736 + t3 * (t3863 + t3927);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t3930 = t3646 * t961;
  t3935 = t744 * t966;
  t3939 = my_piecewise5(t7, 0, t11, 0, -t3831 - t3832);
  t3943 = my_piecewise3(t17, 0, -0.8e1 / 0.27e2 * t3930 * t177 + 0.8e1 / 0.9e1 * t880 * t884 + 0.4e1 / 0.9e1 * t3935 * t177 + 0.4e1 / 0.3e1 * t20 * t3939);
  t3944 = t3943 * t23;
  t3945 = t3944 * t29;
  t3948 = t970 * t186;
  t3949 = t3948 * t29;
  t3950 = t3949 * t96;
  t3952 = t971 * t27;
  t3953 = t3952 * t210;
  t3958 = t3952 * t245;
  t3969 = -t3945 * t96 / 0.4e1 - t3950 / 0.12e2 - t3953 * t223 / 0.12e2 - t972 * t239 / 0.4e1 + t3958 * t250 / 0.4e1 - t972 * t278 / 0.4e1 - t3854 + t3849 / 0.9e1 - t3760 - t3846 + t3763 - t3807 + t3679 / 0.18e2 - t3686 + t3236 / 0.54e2 + t3675 / 0.18e2 - t3233 / 0.18e2 + t3351 / 0.18e2;
  t3970 = my_piecewise3(t2, 0, t3969);
  t3971 = t933 * t1028;
  t3974 = t937 * t1001;
  t3975 = t3974 * t1015;
  t3977 = t3974 * t1020;
  t3979 = t3974 * t1010;
  t3981 = t937 * t990;
  t3982 = t3981 * t350;
  t3984 = t938 * t994;
  t3986 = t928 * t27;
  t3987 = t3986 * t337;
  t3988 = t3987 * t350;
  t3990 = t3986 * t372;
  t3991 = t3990 * t377;
  t3993 = t937 * t1057;
  t3994 = t3993 * t377;
  t3996 = t948 * t1062;
  t3998 = t937 * t1052;
  t3999 = t3998 * t350;
  t4001 = t948 * t1040;
  t4003 = t948 * t1048;
  t4005 = t937 * t1028;
  t4006 = t4005 * t1035;
  t4008 = -t3971 * t1035 / 0.2e1 - t3975 / 0.18e2 + t3977 / 0.9e1 - t3979 / 0.36e2 - t3982 / 0.36e2 - t3984 / 0.18e2 - t3988 / 0.18e2 + t3991 / 0.6e1 + t3994 / 0.6e1 + t3996 / 0.12e2 + t3999 / 0.18e2 + t4001 / 0.6e1 - t4003 / 0.6e1 - t4006 / 0.6e1;
  t4009 = t933 * t1001;
  t4014 = t933 * t990;
  t4021 = t924 * t27;
  t4022 = t4021 * t337;
  t4025 = t4021 * t372;
  t4028 = t933 * t1057;
  t4037 = t933 * t1052;
  t4041 = -t4009 * t1015 / 0.6e1 + t4009 * t1020 / 0.3e1 - t4014 * t350 / 0.12e2 - t934 * t994 / 0.6e1 - t4009 * t1010 / 0.12e2 - t4022 * t350 / 0.6e1 + t4025 * t377 / 0.2e1 + t4028 * t377 / 0.2e1 + t945 * t1062 / 0.4e1 + t945 * t1040 / 0.2e1 - t945 * t1048 / 0.2e1 + t4037 * t350 / 0.6e1 - t3900 + t3903 / 0.27e2 + t3916;
  t4051 = t294 * t1148;
  t4053 = t929 * t405;
  t4055 = t294 * t1106;
  t4065 = t948 * t1090;
  t4067 = -t3918 / 0.9e1 - t3923 + t3924 / 0.9e1 - t290 * t1106 / 0.2e1 - t290 * t1148 / 0.4e1 - t925 * t405 / 0.2e1 - t4051 / 0.12e2 - t4053 / 0.6e1 - t4055 / 0.6e1 - t945 * t1085 / 0.4e1 + t945 * t1090 / 0.2e1 - t934 * t1103 / 0.6e1 + t934 * t1098 / 0.12e2 + t4065 / 0.6e1;
  t4068 = t948 * t1085;
  t4070 = t938 * t1098;
  t4072 = t938 * t1103;
  t4076 = t3700 * t1194;
  t4081 = t852 * t1199;
  t4085 = my_piecewise5(t11, 0, t7, 0, t3831 - t3872);
  t4089 = my_piecewise3(t105, 0, -0.8e1 / 0.27e2 * t4076 * t285 + 0.8e1 / 0.9e1 * t915 * t919 + 0.4e1 / 0.9e1 * t4081 * t285 + 0.4e1 / 0.3e1 * t106 * t4085);
  t4090 = t4089 * t23;
  t4091 = t4090 * t29;
  t4096 = t929 * t366;
  t4098 = t294 * t1191;
  t4100 = t1203 * t186;
  t4101 = t4100 * t29;
  t4102 = t4101 * t169;
  t4107 = -t4068 / 0.12e2 + t4070 / 0.36e2 - t4072 / 0.18e2 - t290 * t1191 / 0.4e1 - t4091 * t169 / 0.4e1 - t925 * t366 / 0.2e1 - t4096 / 0.6e1 - t4098 / 0.12e2 - t4102 / 0.12e2 - t3908 + t3909 / 0.9e1 - t3886 + t3889 / 0.9e1 + t3725 / 0.18e2 - t3730;
  t4110 = my_piecewise3(t100, 0, t4008 + t4041 + t4067 + t4107);
  tv3rho32 = t3735 + t3736 + t977 + t1213 + t3 * (t3970 + t4110);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t4115 = t961 * t302;
  t4122 = my_piecewise5(t7, 0, t11, 0, -0.6e1 * t749 - 0.6e1 * t3655);
  t4126 = my_piecewise3(t17, 0, -0.8e1 / 0.27e2 * t3646 * t4115 + 0.4e1 / 0.3e1 * t880 * t966 + 0.4e1 / 0.3e1 * t20 * t4122);
  t4127 = t4126 * t23;
  t4128 = t4127 * t29;
  t4134 = my_piecewise3(t2, 0, -t4128 * t96 / 0.4e1 - t3950 / 0.4e1 + t3849 / 0.6e1 - t3686);
  t4135 = t1014 * t366;
  t4138 = t997 * t333;
  t4140 = 0.1e1 / t998 / t334;
  t4141 = t4138 * t4140;
  t4142 = t3135 * t4141;
  t4143 = t321 * t4142;
  t4145 = 0.1e1 / t1003 / t340;
  t4147 = 0.1e1 / t1005 / t344;
  t4148 = t4145 * t4147;
  t4149 = t1008 * t347;
  t4150 = t4148 * t4149;
  t4151 = t4150 * t169;
  t4154 = t1008 * t348;
  t4155 = t4148 * t4154;
  t4156 = t4155 * t1019;
  t4160 = 0.1e1 / t998 / t136;
  t4161 = t4138 * t4160;
  t4162 = t649 * t4161;
  t4163 = t321 * t4162;
  t4166 = t1065 * t1052;
  t4171 = t349 * t1191;
  t4174 = t1189 * t370;
  t4175 = t369 * t4174;
  t4176 = t321 * t4175;
  t4179 = t1204 * t27;
  t4180 = t4179 * t337;
  t4183 = t4179 * t372;
  t4186 = t364 * t1026;
  t4187 = t369 * t4186;
  t4188 = t321 * t4187;
  t4191 = t1026 * t167;
  t4192 = t145 * t4191;
  t4193 = t4155 * t4192;
  t4200 = t4150 * t1019;
  t4203 = -t1002 * t4135 / 0.2e1 - 0.11e2 / 0.18e2 * t4143 * t4151 + 0.23e2 / 0.36e2 * t4143 * t4156 - 0.2e1 * t4163 * t1020 + t4166 * t350 / 0.2e1 + t1053 * t994 / 0.2e1 - t338 * t4171 / 0.4e1 + 0.3e1 / 0.4e1 * t4176 * t377 - t4180 * t350 / 0.4e1 + 0.3e1 / 0.4e1 * t4183 * t377 - 0.3e1 / 0.2e1 * t4188 * t1035 - 0.3e1 / 0.2e1 * t4143 * t4193 + 0.3e1 / 0.2e1 * t1070 * t1040 + 0.3e1 / 0.2e1 * t1058 * t1040 + 0.7e1 / 0.3e1 * t4143 * t4200;
  t4204 = t1065 * t1028;
  t4208 = t999 * t341;
  t4209 = t4208 * t356;
  t4210 = t374 * t4138 * t4209;
  t4213 = t1030 * t4138;
  t4214 = t4160 * t1004;
  t4215 = t4214 * t1038;
  t4216 = t4213 * t4215;
  t4219 = t4214 * t1033;
  t4220 = t4213 * t4219;
  t4223 = t4138 * t999;
  t4224 = t194 * t4223;
  t4225 = t321 * t4224;
  t4228 = t1009 * t366;
  t4231 = t4155 * t169;
  t4239 = 0.1e1 / t112 / t1113;
  t4243 = my_piecewise3(t129, t322, -0.22e3 / 0.81e2 * lapl[1] * t984 + 0.88e3 / 0.81e2 * t117 * t984 - 0.308e3 / 0.81e2 * t120 * t4239);
  t4244 = t4243 * t335;
  t4245 = t194 * t4244;
  t4246 = t321 * t4245;
  t4252 = t374 * t4243 * t376;
  t4255 = t1065 * t990;
  t4258 = t1065 * t1001;
  t4263 = t365 * t1018;
  t4264 = t1009 * t4263;
  t4268 = -0.3e1 / 0.2e1 * t4204 * t1035 + 0.3e1 / 0.2e1 * t373 * t4210 - 0.3e1 * t373 * t4216 + 0.3e1 * t1029 * t4220 - t4225 * t350 / 0.2e1 - t1002 * t4228 / 0.4e1 - 0.5e1 / 0.36e2 * t4143 * t4231 - t4246 * t350 / 0.12e2 - t991 * t994 / 0.4e1 + t373 * t4252 / 0.4e1 - t4255 * t350 / 0.4e1 - t4258 * t1010 / 0.4e1 + 0.3e1 / 0.4e1 * t1058 * t1062 + t1002 * t4264 + 0.3e1 / 0.4e1 * t1070 * t1062;
  t4274 = t1065 * t1057;
  t4291 = t4163 * t1010 / 0.2e1 - t1066 * t994 / 0.2e1 + 0.3e1 / 0.2e1 * t4274 * t377 - 0.3e1 / 0.2e1 * t1070 * t1048 - 0.3e1 / 0.2e1 * t1058 * t1048 - t3975 / 0.6e1 + t3977 / 0.3e1 - t3979 / 0.12e2 - t3982 / 0.12e2 - t3984 / 0.6e1 - t3988 / 0.6e1 + t3991 / 0.2e1 + t3994 / 0.2e1 + t3996 / 0.4e1 + t3999 / 0.6e1;
  t4297 = t333 * t999;
  t4298 = t1030 * t4297;
  t4300 = t1007 * t1013 * t988;
  t4301 = t4298 * t4300;
  t4304 = t1030 * t1000;
  t4305 = t1004 * t4147;
  t4306 = t1008 * t1082;
  t4307 = t4305 * t4306;
  t4308 = t4304 * t4307;
  t4311 = t1088 * t1160;
  t4312 = t4311 * t1034;
  t4315 = t4311 * t1039;
  t4318 = t1008 * t988;
  t4319 = t1007 * t4318;
  t4320 = t4298 * t4319;
  t4323 = t1013 * t1082;
  t4324 = t4305 * t4323;
  t4325 = t4304 * t4324;
  t4328 = t374 * t1051;
  t4329 = t4328 * t1084;
  t4332 = t1088 * t1156 * t1047;
  t4337 = t333 * t1045;
  t4340 = t346 * t348 * t988;
  t4341 = t374 * t4337 * t4340;
  t4344 = t341 * t4147;
  t4345 = t1082 * t1082;
  t4347 = t4344 * t348 * t4345;
  t4348 = t1075 * t4347;
  t4351 = t4001 / 0.2e1 - t4003 / 0.2e1 - t4006 / 0.2e1 + t3903 / 0.18e2 - t3918 / 0.6e1 + 0.3e1 / 0.2e1 * t373 * t4301 + 0.3e1 / 0.2e1 * t1029 * t4308 - 0.3e1 / 0.2e1 * t1029 * t4312 + 0.3e1 / 0.2e1 * t373 * t4315 - 0.3e1 / 0.2e1 * t1029 * t4320 - 0.3e1 / 0.2e1 * t373 * t4325 + t373 * t4329 - 0.3e1 / 0.2e1 * t373 * t4332 - 0.3e1 / 0.4e1 * t1070 * t1085 - 0.3e1 / 0.2e1 * t373 * t4341 + t373 * t4348 / 0.2e1;
  t4354 = t4344 * t1093;
  t4355 = t167 * t4345;
  t4356 = t1095 * t4355;
  t4357 = t4354 * t4356;
  t4360 = t371 * t1088;
  t4361 = t1430 * t4360;
  t4364 = t1088 * t1153 * t376;
  t4371 = params->at * t1146;
  t4373 = t4371 * t353 * t376;
  t4376 = t4305 * t1429;
  t4377 = t371 * t1096;
  t4378 = t4376 * t4377;
  t4388 = t137 * t648;
  t4389 = t4388 * t997;
  t4392 = t1077 * t336;
  t4405 = 0.2e1 / 0.3e1 * t1172 * t1009 + 0.2e1 * t1077 * t988 * t376 - 0.4e1 * t1077 * t997 * t1047 + 0.4e1 / 0.3e1 * t4389 * t1034 - 0.2e1 * t4392 * t1084 + 0.4e1 * t4389 * t1039 - 0.2e1 * t1177 * t349 + 0.4e1 * t1180 * t349 + 0.2e1 * t359 * t1084 - 0.4e1 * t1172 * t1014;
  t4407 = t1076 * t348 * t4405;
  t4408 = t1075 * t4407;
  t4411 = t374 * t989;
  t4412 = t4411 * t1084;
  t4425 = t194 * t4337;
  t4426 = t321 * t4425;
  t4427 = t167 * t988;
  t4428 = t1095 * t4427;
  t4429 = t1101 * t4428;
  t4432 = -t338 * t4357 / 0.6e1 + t1002 * t4361 + 0.3e1 / 0.4e1 * t373 * t4364 + 0.3e1 / 0.2e1 * t1070 * t1090 + 0.3e1 / 0.2e1 * t1058 * t1090 + 0.3e1 / 0.4e1 * t373 * t4373 - t1002 * t4378 - t373 * t4408 / 0.4e1 - t373 * t4412 / 0.2e1 - 0.3e1 / 0.4e1 * t1058 * t1085 + t1066 * t1098 / 0.4e1 + t991 * t1098 / 0.6e1 + t1053 * t1103 / 0.2e1 - t1053 * t1098 / 0.3e1 + t4426 * t4429 / 0.2e1;
  t4433 = t1430 * t1102;
  t4436 = t1095 * t4371;
  t4437 = t1101 * t4436;
  t4440 = t364 * t146;
  t4441 = t4440 * t1088;
  t4442 = t1101 * t4441;
  t4452 = t4376 * t1097;
  t4455 = t167 * t4405;
  t4456 = t1095 * t4455;
  t4457 = t1094 * t4456;
  t4460 = t365 * t1147;
  t4465 = t159 * t1140;
  t4466 = t1112 * tau[1];
  t4467 = t982 * t982;
  t4468 = 0.1e1 / t4467;
  t4469 = t4466 * t4468;
  t4472 = t161 * t161;
  t4473 = 0.1e1 / t4472;
  t4474 = t160 * t4473;
  t4477 = tau[1] * t984;
  t4480 = t148 * t391;
  t4483 = t152 * t163;
  t4486 = t153 * t399;
  t4491 = t982 * t121;
  t4493 = 0.1e1 / t111 / t4491;
  t4494 = t1112 * t4493;
  t4517 = 0.625e4 / 0.3e1 * t4465 * t4469 + 0.875e4 / 0.9e1 * t4474 * t4469 + 0.44e3 / 0.27e2 * t4477 * t150 - 0.425e4 / 0.9e1 * t4480 * t4469 - 0.65e4 / 0.9e1 * t4483 * t4469 + 0.25e4 / 0.3e1 * t4486 * t4469 - 0.88e3 / 0.9e1 * t388 * t4477 + 0.8e3 / 0.9e1 * t1129 * t4494 - 0.88e3 / 0.9e1 * t392 * t4477 - 0.1e5 / 0.9e1 * t1134 * t4494 + 0.22e4 / 0.27e2 * t395 * t4477 - 0.2e4 / 0.3e1 * t1141 * t4494 + 0.22e4 / 0.27e2 * t400 * t4477 + 0.2e4 / 0.9e1 * t1119 * t4494 + 0.44e3 / 0.27e2 * t385 * t4477 + 0.8e3 * t1124 * t4494 - 0.4e3 / 0.9e1 * t4494 * t384 - 0.25e3 / 0.9e1 * t4469 * t156;
  t4518 = t380 * t4517;
  t4519 = t145 * t4518;
  t4522 = t1190 * t404;
  t4528 = -t1002 * t4433 / 0.4e1 - t338 * t4437 / 0.4e1 - t338 * t4442 / 0.2e1 - t991 * t1103 / 0.4e1 - t1066 * t1103 / 0.2e1 + t3924 / 0.6e1 - 0.3e1 / 0.2e1 * t318 * t1106 + t1002 * t4452 / 0.4e1 + t338 * t4457 / 0.12e2 - 0.3e1 / 0.4e1 * t110 * t4460 - 0.3e1 / 0.4e1 * t318 * t1148 - t110 * t4519 / 0.4e1 - 0.3e1 / 0.4e1 * t110 * t4522 - 0.3e1 / 0.4e1 * t1205 * t405 - t4051 / 0.4e1;
  t4532 = t649 * t4297;
  t4533 = t321 * t4532;
  t4534 = t371 * t4427;
  t4535 = t1430 * t4534;
  t4537 = t4440 * t1096;
  t4538 = t1094 * t4537;
  t4541 = t988 * t999;
  t4542 = t649 * t4541;
  t4543 = t321 * t4542;
  t4550 = t1423 * t1102;
  t4553 = t4305 * t1422;
  t4554 = t4553 * t1097;
  t4559 = t143 * t4405;
  t4560 = t1165 * t4559;
  t4562 = t1153 * t1046;
  t4567 = t648 * t988;
  t4568 = t4567 * t1032;
  t4572 = t4147 * t1008;
  t4573 = t4572 * t1166;
  t4575 = t4147 * t348;
  t4576 = t143 * t4345;
  t4577 = t4575 * t4576;
  t4580 = t648 * t4138;
  t4581 = t4580 * t4160;
  t4584 = t69 * t4138;
  t4585 = t4584 * t4140;
  t4586 = t4154 * t140;
  t4587 = t4148 * t4586;
  t4590 = t4148 * t1173;
  t4595 = t193 * t4138;
  t4596 = t4595 * t999;
  t4599 = t4149 * t140;
  t4600 = t4148 * t4599;
  t4603 = t193 * t4243;
  t4604 = t4603 * t335;
  t4607 = t4140 * t4145;
  t4608 = t4584 * t4607;
  t4609 = t4147 * t4154;
  t4610 = t4609 * t143;
  t4613 = t4572 * t1182;
  t4616 = -t355 * t4560 - 0.6e1 * t4562 * t1472 - 0.2e1 * t1154 * t1167 - t4568 * t1477 + 0.4e1 * t1157 * t1167 + t1161 * t4573 + 0.2e1 * t355 * t4577 - 0.4e1 * t4581 * t1174 + t4585 * t4587 / 0.18e2 - 0.3e1 * t4585 * t4590 + 0.6e1 * t4581 * t1187 - 0.3e1 * t4596 * t361 + 0.1e2 / 0.3e1 * t4585 * t4600 - t4604 * t361 / 0.2e1 - t4608 * t4610 / 0.9e1 - 0.2e1 * t1161 * t4613;
  t4617 = t4603 * t354;
  t4619 = t4147 * t4149;
  t4620 = t4619 * t143;
  t4623 = t4572 * t143;
  t4626 = t4147 * t1013;
  t4627 = t4626 * t1182;
  t4630 = t4580 * t4214;
  t4637 = t140 * t4405;
  t4638 = t1165 * t4637;
  t4648 = t140 * t4345;
  t4649 = t4575 * t4648;
  t4651 = t4595 * t4208;
  t4656 = t4626 * t1166;
  t4659 = t4617 * t357 - 0.2e1 / 0.3e1 * t4608 * t4620 + 0.6e1 * t4608 * t4623 + 0.3e1 * t1161 * t4627 - 0.12e2 * t4630 * t1169 - 0.3e1 * t4568 * t1495 - 0.2e1 * t1157 * t1183 + t355 * t4638 / 0.2e1 + 0.3e1 * t4562 * t1491 + t1154 * t1183 + 0.2e1 * t4568 * t1485 + 0.2e1 * t4630 * t1162 - t355 * t4649 + 0.6e1 * t4651 * t357 + 0.6e1 * t4568 * t1481 - 0.6e1 * t1161 * t4656;
  t4660 = t4616 + t4659;
  t4661 = t139 * t4660;
  t4662 = t4661 * t168;
  t4665 = t1194 * t313;
  t4672 = my_piecewise5(t11, 0, t7, 0, 0.6e1 * t749 - 0.6e1 * t3707);
  t4676 = my_piecewise3(t105, 0, -0.8e1 / 0.27e2 * t3700 * t4665 + 0.4e1 / 0.3e1 * t915 * t1199 + 0.4e1 / 0.3e1 * t106 * t4672);
  t4677 = t4676 * t23;
  t4678 = t4677 * t29;
  t4683 = -t4053 / 0.2e1 - t4055 / 0.2e1 + t4533 * t4535 + t338 * t4538 / 0.4e1 - t4543 * t1457 / 0.4e1 + t4065 / 0.2e1 - t4068 / 0.4e1 + t4070 / 0.12e2 - t4072 / 0.6e1 - t1002 * t4550 / 0.2e1 + t1002 * t4554 / 0.2e1 - t4543 * t1426 / 0.2e1 - t110 * t4662 / 0.4e1 - t4678 * t169 / 0.4e1 - 0.3e1 / 0.4e1 * t1205 * t366;
  t4686 = t110 * t355;
  t4687 = t1165 * t145;
  t4688 = t403 * t1082;
  t4689 = t380 * t4688;
  t4690 = t4687 * t4689;
  t4693 = t370 * params->at;
  t4694 = t145 * t4693;
  t4695 = t110 * t4694;
  t4696 = t403 * t193;
  t4697 = t4696 * t336;
  t4698 = t4697 * t1084;
  t4706 = t4148 * t1008;
  t4707 = t4706 * t169;
  t4714 = t342 * t342;
  t4715 = 0.1e1 / t4714;
  t4716 = t144 * t4715;
  t4717 = t369 * t4716;
  t4718 = t321 * t4717;
  t4719 = t167 * t69;
  t4720 = t4719 * t4138;
  t4721 = t4607 * t4609;
  t4722 = t4720 * t4721;
  t4725 = t4607 * t4619;
  t4726 = t4720 * t4725;
  t4729 = t4607 * t4572;
  t4730 = t4720 * t4729;
  t4733 = -0.3e1 / 0.4e1 * t318 * t1191 + t4686 * t4690 / 0.4e1 - 0.3e1 / 0.4e1 * t4695 * t4698 - t4096 / 0.2e1 - t4098 / 0.4e1 - t4102 / 0.4e1 + t3909 / 0.6e1 + t3889 / 0.6e1 - t3730 - t4143 * t4707 / 0.2e1 - t4258 * t1015 / 0.2e1 + t4258 * t1020 + t4163 * t1015 + 0.3e1 / 0.2e1 * t4718 * t4722 - 0.3e1 * t1029 * t4726 + 0.3e1 / 0.2e1 * t373 * t4730;
  t4737 = my_piecewise3(t100, 0, t4203 + t4268 + t4291 + t4351 + t4432 + t4528 + t4683 + t4733);
  tv3rho33 = 0.3e1 * t977 + 0.3e1 * t1213 + t3 * (t4134 + t4737);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t4741 = t1341 * t277;
  t4748 = t426 * t66;
  t4749 = t4748 * t830;
  t4750 = t843 * t4749;
  t4753 = t4748 * t838;
  t4754 = t836 * t4753;
  t4761 = t30 * t1313;
  t4762 = t229 * t65;
  t4763 = t276 * t206;
  t4764 = t253 * t4763;
  t4765 = t4762 * t4764;
  t4768 = t3267 * t415;
  t4769 = t4768 * t826;
  t4772 = t30 * t671;
  t4773 = t206 * t794;
  t4774 = t788 * t4773;
  t4775 = t1313 * t4774;
  t4777 = t3267 * t1278;
  t4778 = t4777 * t1281;
  t4780 = t3556 * t4773;
  t4781 = t1319 * t4780;
  t4784 = t276 * t648;
  t4785 = t4784 * t1250;
  t4786 = t4785 * t1274;
  t4789 = t1237 * t651;
  t4790 = t680 * t4789;
  t4791 = t4790 * t1269;
  t4793 = t660 * t621;
  t4794 = t659 * t4793;
  t4795 = t1267 * t4794;
  t4798 = t626 * t1251;
  t4801 = -t30 * t4741 / 0.2e1 - t182 * t1305 / 0.2e1 - t1247 * t845 / 0.6e1 - t211 * t4750 / 0.6e1 + t211 * t4754 / 0.12e2 - t1228 * t827 / 0.4e1 + t1228 * t832 / 0.2e1 + t4761 * t4765 / 0.3e1 - t3266 * t4769 / 0.2e1 + t4772 * t4775 - t3266 * t4778 - 0.3e1 / 0.2e1 * t4772 * t4781 + t3266 * t4786 - t3061 * t1270 - t679 * t4791 - t679 * t4795 / 0.2e1 - t4798 * t1257 / 0.3e1;
  t4804 = t414 * t3118;
  t4805 = t3135 * t4804;
  t4806 = t191 * t4805;
  t4807 = t3144 * t59;
  t4808 = t3139 * t4807;
  t4809 = t94 * t592;
  t4810 = t244 * t4809;
  t4811 = t4808 * t4810;
  t4815 = t649 * t4789;
  t4816 = t191 * t4815;
  t4819 = t606 * t1255;
  t4820 = t1261 * t4819;
  t4825 = t4790 * t1274;
  t4828 = t659 * t665 * t621;
  t4829 = t1267 * t4828;
  t4837 = t1285 * t3447;
  t4840 = t677 * t4809;
  t4841 = t4808 * t4840;
  t4844 = t3115 * t4804;
  t4845 = t3144 * t592;
  t4846 = t3139 * t4845;
  t4847 = t4844 * t4846;
  t4850 = t3124 * t59;
  t4851 = t3139 * t4850;
  t4852 = t4851 * t4810;
  t4855 = t3124 * t592;
  t4856 = t3139 * t4855;
  t4857 = t4844 * t4856;
  t4860 = t1252 * t3399 / 0.3e1 + 0.23e2 / 0.36e2 * t4806 * t4811 - t3070 * t1270 + 0.2e1 / 0.3e1 * t4816 * t1263 + 0.2e1 / 0.3e1 * t1252 * t4820 + 0.2e1 / 0.3e1 * t4798 * t1263 + t246 * t4825 + t246 * t4829 / 0.2e1 + t608 * t1275 - t630 * t1282 + t630 * t1275 + t630 * t1290 / 0.2e1 - t246 * t4837 / 0.4e1 - 0.3e1 / 0.2e1 * t4806 * t4841 + 0.3e1 / 0.2e1 * t3167 * t4847 + 0.7e1 / 0.3e1 * t4806 * t4852 - 0.3e1 * t679 * t4857;
  t4862 = t660 * t592;
  t4863 = t3139 * t4862;
  t4864 = t4844 * t4863;
  t4867 = t3139 * t1260;
  t4868 = t837 * t4809;
  t4869 = t4867 * t4868;
  t4872 = t30 * t1319;
  t4873 = t683 * t65;
  t4874 = t4873 * t4764;
  t4877 = t3130 * t65;
  t4878 = t95 * t4773;
  t4879 = t4877 * t4878;
  t4882 = t30 * t421;
  t4885 = t3273 * t4878;
  t4890 = t4808 * t4868;
  t4893 = t1261 * t3498;
  t4896 = t247 * t1245;
  t4897 = t4896 * t826;
  t4900 = t414 * t3076;
  t4901 = t680 * t4900;
  t4903 = t659 * t665 * t592;
  t4904 = t4901 * t4903;
  t4907 = t633 * t1251;
  t4908 = t4907 * t1263;
  t4910 = t637 * t1282;
  t4914 = t219 * t221 * t592;
  t4915 = t247 * t1250 * t4914;
  t4918 = t659 * t4862;
  t4919 = t4901 * t4918;
  t4922 = t637 * t1275;
  t4924 = t1218 * t840;
  t4926 = 0.3e1 / 0.2e1 * t246 * t4864 - t4806 * t4869 / 0.2e1 - t4872 * t4874 / 0.6e1 + t4872 * t4879 / 0.4e1 + t4882 * t3276 / 0.6e1 - t4761 * t4885 / 0.3e1 - t1242 * t845 / 0.6e1 - 0.5e1 / 0.36e2 * t4806 * t4890 - t1252 * t4893 / 0.12e2 - t246 * t4897 / 0.2e1 - 0.3e1 * t246 * t4904 + 0.2e1 / 0.9e1 * t4908 - t4910 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t4915 + 0.3e1 * t679 * t4919 + t4922 / 0.3e1 + t4924 / 0.18e2;
  t4927 = t637 * t1290;
  t4929 = t637 * t1286;
  t4931 = t1285 * t3468;
  t4934 = t633 * t1293;
  t4935 = t4934 * t1295;
  t4937 = t194 * t1250;
  t4938 = t191 * t4937;
  t4939 = t843 * t4868;
  t4948 = t626 * t1293;
  t4952 = t830 * t1310 * t249;
  t4958 = t3384 * t420 * t249;
  t4961 = t1237 * t595;
  t4962 = t247 * t4961;
  t4963 = t4962 * t1281;
  t4965 = t1218 * t845;
  t4969 = t4907 * t1300;
  t4971 = t427 * t732;
  t4974 = t188 * t1305;
  t4976 = t4927 / 0.6e1 - t4929 / 0.6e1 + t246 * t4931 / 0.2e1 + t4935 / 0.9e1 - t4938 * t4939 / 0.2e1 - t4798 * t1300 / 0.6e1 + t417 * t3534 / 0.6e1 + t1247 * t840 / 0.6e1 + t4948 * t1295 / 0.3e1 + t246 * t4952 / 0.2e1 + t608 * t1290 / 0.2e1 + t246 * t4958 / 0.4e1 - t246 * t4963 - t4965 / 0.18e2 - t417 * t3464 / 0.6e1 - t4969 / 0.18e2 - t30 * t4971 / 0.4e1 - t4974 / 0.6e1;
  t4983 = t30 * t3157;
  t4984 = t648 * t206;
  t4985 = t4984 * t682;
  t4986 = t414 * t794;
  t4987 = t3130 * t4986;
  t4988 = t4985 * t4987;
  t4991 = t676 * params->at;
  t4992 = t65 * t4991;
  t4993 = t30 * t4992;
  t4994 = t4785 * t1269;
  t4996 = t689 * t65;
  t4997 = t4996 * t4764;
  t5000 = t670 * t4773;
  t5001 = t4877 * t5000;
  t5003 = t3264 * t4763;
  t5004 = t4873 * t5003;
  t5008 = t188 * t1342;
  t5010 = t773 * t428;
  t5014 = t596 * t658;
  t5015 = t420 * t5014;
  t5017 = t62 * t206 * t794;
  t5018 = t233 * t5017;
  t5021 = t682 * t3123;
  t5022 = t1318 * t5021;
  t5023 = t802 * t5017;
  t5025 = t815 * t5017;
  t5028 = t69 * t414;
  t5029 = t5028 * t3121;
  t5030 = t63 * t592;
  t5031 = t3125 * t5030;
  t5034 = t3130 * t5030;
  t5037 = t1318 * t3077;
  t5038 = t689 * t5030;
  t5041 = t1327 * t794;
  t5042 = t788 * t5041;
  t5045 = t63 * t621;
  t5046 = t683 * t5045;
  t5049 = t3168 * t5030;
  t5053 = params->gamma * t617;
  t5055 = my_piecewise3(t49, t195, 0.22e2 / 0.27e2 * t5053);
  t5056 = t193 * t5055;
  t5057 = t5056 * t208;
  t5061 = t60 * t592;
  t5062 = t689 * t5061;
  t5065 = t3130 * t5061;
  t5068 = t648 * t1237;
  t5069 = t5068 * t682;
  t5072 = t3130 * t5041;
  t5075 = t689 * t5045;
  t5078 = t1310 * t596;
  t5083 = 0.4e1 * t5015 * t5018 + t5022 * t5023 - 0.6e1 * t5022 * t5025 - 0.2e1 / 0.3e1 * t5029 * t5031 + 0.6e1 * t5029 * t5034 - 0.12e2 * t5037 * t5038 - 0.2e1 * t1313 * t5042 - t1319 * t5046 / 0.3e1 - t5029 * t5049 / 0.9e1 - t421 * t3546 - t5057 * t234 / 0.2e1 - t421 * t3602 + 0.6e1 * t5037 * t5062 - 0.3e1 * t5029 * t5065 - 0.2e1 * t5069 * t1338 - 0.2e1 * t1319 * t5072 + 0.2e1 * t1319 * t5075 - 0.4e1 * t5078 * t1315 - 0.2e1 * t1311 * t796;
  t5086 = t229 * t5045;
  t5089 = t683 * t5030;
  t5094 = t420 * t3259;
  t5095 = t229 * t5030;
  t5098 = t3556 * t5041;
  t5103 = t60 * t621;
  t5104 = t689 * t5103;
  t5106 = t683 * t5103;
  t5112 = t229 * t5103;
  t5116 = t5056 * t227;
  t5120 = t683 * t5061;
  t5123 = t3168 * t5061;
  t5126 = t3125 * t5061;
  t5129 = t229 * t5061;
  t5132 = -0.2e1 / 0.3e1 * t5069 * t1320 - 0.2e1 * t1313 * t5086 + 0.2e1 * t5037 * t5089 + 0.2e1 * t421 * t3564 + 0.6e1 * t5094 * t5095 + 0.3e1 * t1319 * t5098 + 0.4e1 * t5069 * t1324 - t1319 * t5104 + 0.2e1 / 0.3e1 * t1319 * t5106 + 0.2e1 * t5078 * t1334 + t1311 * t812 + t1313 * t5112 + t421 * t3634 / 0.2e1 + t5116 * t230 + 0.4e1 / 0.3e1 * t5069 * t1328 - 0.4e1 * t5037 * t5120 + t5029 * t5123 / 0.18e2 + 0.1e2 / 0.3e1 * t5029 * t5126 - 0.3e1 * t5094 * t5129;
  t5133 = t5083 + t5132;
  t5134 = t59 * t5133;
  t5135 = t5134 * t95;
  t5143 = t769 * t428 / 0.18e2;
  t5144 = t194 * t4961;
  t5145 = t191 * t5144;
  t5148 = t3389 * t1255;
  t5149 = t843 * t5148;
  t5152 = -t417 * t3386 / 0.12e2 - t417 * t3391 / 0.6e1 + 0.3e1 / 0.2e1 * t4983 * t4988 - t4993 * t4994 - t4872 * t4997 / 0.3e1 - t4872 * t5001 + 0.2e1 / 0.3e1 * t4872 * t5004 - t608 * t1282 - t5008 / 0.6e1 - t5010 / 0.6e1 - t182 * t1342 / 0.2e1 - t30 * t5135 / 0.4e1 - t759 * t428 / 0.4e1 + t1294 * t3499 / 0.6e1 + t5143 + t5145 * t1295 / 0.3e1 + t1294 * t5149 / 0.3e1;
  t5155 = t649 * t4900;
  t5156 = t191 * t5155;
  t5157 = t1261 * t4868;
  t5162 = t1279 * t3492;
  t5167 = t4851 * t4868;
  t5170 = t1254 * t3498;
  t5175 = t3556 * t65;
  t5176 = t5175 * t4878;
  t5179 = t1254 * t4868;
  t5181 = t4907 * t1257;
  t5183 = t3051 * t1270;
  t5185 = t1261 * t4810;
  t5190 = t1261 * t5148;
  t5195 = t1254 * t5148;
  t5198 = t1242 * t840 / 0.6e1 + t5156 * t5157 / 0.2e1 - t608 * t1286 / 0.2e1 - t246 * t5162 / 0.2e1 - t630 * t1286 / 0.2e1 - 0.11e2 / 0.18e2 * t4806 * t5167 - t1252 * t5170 / 0.6e1 + t417 * t3530 / 0.12e2 + t4872 * t5176 / 0.2e1 + t5156 * t5179 - t5181 / 0.9e1 - t5183 / 0.3e1 - 0.2e1 * t5156 * t5185 - t4816 * t1300 / 0.6e1 - t1252 * t5190 / 0.6e1 - t4816 * t1257 / 0.3e1 - t1252 * t5195 / 0.3e1;
  t5200 = t5055 * t208;
  t5201 = t194 * t5200;
  t5202 = t191 * t5201;
  t5208 = t247 * t5055 * t249;
  t5211 = t3209 * t416;
  t5214 = t626 * t1246;
  t5229 = t661 * t428;
  t5234 = t633 * t1227;
  t5235 = t5234 * t250;
  t5239 = t634 * t1223;
  t5241 = t3231 * t416;
  t5243 = t5241 * t223 / 0.54e2;
  t5244 = -t5202 * t223 / 0.12e2 + t608 * t1239 / 0.2e1 + t246 * t5208 / 0.4e1 - t5211 * t223 / 0.12e2 - t5214 * t223 / 0.6e1 + t1228 * t623 / 0.4e1 + t3220 * t432 / 0.4e1 + t3226 * t432 / 0.2e1 + t630 * t1239 / 0.2e1 + t3101 * t432 / 0.4e1 - t642 * t1223 / 0.12e2 - t654 * t5229 / 0.12e2 + t603 * t1223 / 0.6e1 + t5235 / 0.6e1 - t1228 * t598 / 0.2e1 - t5239 / 0.18e2 + t5243;
  t5246 = t3232 * t432 / 0.18e2;
  t5247 = t3238 * t416;
  t5248 = t5247 * t223;
  t5250 = t633 * t1246;
  t5251 = t5250 * t223;
  t5253 = t1218 * t645;
  t5261 = t222 * t1342;
  t5264 = t1340 * t243;
  t5265 = t242 * t5264;
  t5266 = t191 * t5265;
  t5269 = t3242 * t432;
  t5271 = t3247 * t432;
  t5273 = t637 * t1239;
  t5277 = t626 * t1227;
  t5280 = t427 * t670;
  t5281 = t661 * t5280;
  t5284 = t426 * t676;
  t5285 = t242 * t5284;
  t5286 = t191 * t5285;
  t5291 = t666 * t428;
  t5294 = -t5246 - t5248 / 0.18e2 - t5251 / 0.18e2 - t5253 / 0.18e2 - t1242 * t645 / 0.6e1 - t1247 * t645 / 0.6e1 - t417 * t3096 / 0.12e2 - t211 * t5261 / 0.6e1 + t5266 * t250 / 0.2e1 + t5269 / 0.6e1 + t5271 / 0.6e1 + t5273 / 0.6e1 - t627 * t1223 / 0.6e1 + t5277 * t250 / 0.2e1 + t654 * t5281 / 0.3e1 - t5286 * t685 / 0.2e1 + t1228 * t691 / 0.2e1 - t654 * t5291 / 0.6e1;
  t5298 = my_piecewise3(t2, 0, t4801 + t4860 + t4926 + t4976 + t5152 + t5198 + t5244 + t5294);
  tv3rho2sigma0 = t3 * t5298 + 0.2e1 * t1349;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t5301 = t3893 * t441;
  t5304 = t3897 * t441;
  t5305 = t5304 * t350;
  t5307 = t3901 * t441;
  t5309 = t5307 * t350 / 0.54e2;
  t5312 = t869 * t453;
  t5315 = t873 * t453 / 0.18e2;
  t5318 = t3914 * t457;
  t5321 = t3917 * t457 / 0.18e2;
  t5323 = my_piecewise3(t100, 0, -t5301 * t350 / 0.12e2 - t5305 / 0.18e2 + t5309 - t865 * t453 / 0.4e1 - t5312 / 0.6e1 + t5315 + t3911 * t457 / 0.4e1 + t5318 / 0.6e1 - t5321);
  tv3rho2sigma2 = t3 * t5323 + 0.2e1 * t1366;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t5327 = t897 * t1251;
  t5334 = t897 * t1293;
  t5346 = t1368 * t840 / 0.12e2 - t5327 * t1300 / 0.12e2 + t903 * t1290 / 0.4e1 - t1368 * t845 / 0.12e2 + t5334 * t1295 / 0.6e1 - t903 * t1282 / 0.2e1 - t903 * t1286 / 0.4e1 + t4908 / 0.9e1 - t4910 / 0.6e1 + t4922 / 0.6e1 + t4924 / 0.36e2 + t4927 / 0.12e2;
  t5352 = t894 * t428;
  t5364 = -t4929 / 0.12e2 + t4935 / 0.18e2 - t4965 / 0.36e2 - t4969 / 0.36e2 - t4974 / 0.12e2 - t5352 / 0.12e2 - t890 * t428 / 0.4e1 - t307 * t1342 / 0.4e1 - t5008 / 0.12e2 - t5010 / 0.12e2 + t5143 - t3740 * t1270 / 0.2e1 + t903 * t1275 / 0.2e1;
  t5376 = t897 * t1246;
  t5379 = t3750 * t416;
  t5384 = t897 * t1227;
  t5389 = t3757 * t416;
  t5390 = t5389 * t223;
  t5392 = -t5327 * t1257 / 0.6e1 + t5327 * t1263 / 0.3e1 - t307 * t1305 / 0.4e1 - t5181 / 0.18e2 - t5183 / 0.6e1 - t1368 * t645 / 0.12e2 - t5376 * t223 / 0.12e2 - t5379 * t223 / 0.12e2 - t898 * t1223 / 0.12e2 + t5384 * t250 / 0.4e1 + t903 * t1239 / 0.4e1 - t5390 / 0.36e2;
  t5397 = t3761 * t432;
  t5407 = t3754 * t432 / 0.4e1 + t3776 * t432 / 0.4e1 + t5397 / 0.12e2 + t5235 / 0.12e2 - t5239 / 0.36e2 + t5243 - t5246 - t5248 / 0.36e2 - t5251 / 0.36e2 - t5253 / 0.36e2 + t5269 / 0.12e2 + t5271 / 0.12e2 + t5273 / 0.12e2;
  t5410 = my_piecewise3(t2, 0, t5346 + t5364 + t5392 + t5407);
  tv3rho2sigma3 = t3 * t5410 + t1349 + t1376;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t5412 = t937 * t1420;
  t5413 = t5412 * t1426;
  t5415 = t4005 * t1411;
  t5417 = t948 * t1439;
  t5419 = t948 * t1416;
  t5423 = t294 * t1462;
  t5425 = t933 * t1420;
  t5436 = t294 * t1499;
  t5438 = -t5413 / 0.18e2 - t5415 / 0.6e1 - t5417 / 0.6e1 + t5419 / 0.6e1 - t290 * t1462 / 0.4e1 - t5423 / 0.12e2 - t5425 * t1426 / 0.6e1 - t3971 * t1411 / 0.2e1 + t1351 * t1098 / 0.12e2 - t5425 * t1457 / 0.12e2 - t1351 * t1103 / 0.12e2 - t5436 / 0.12e2;
  t5439 = t929 * t453;
  t5449 = t933 * t1382;
  t5454 = t933 * t1401;
  t5461 = t4021 * t441;
  t5465 = -t5439 / 0.12e2 - t290 * t1499 / 0.4e1 - t925 * t453 / 0.4e1 + t945 * t1394 / 0.4e1 - t934 * t1378 / 0.12e2 + t5449 * t377 / 0.4e1 + t4028 * t457 / 0.4e1 - t5454 * t350 / 0.12e2 - t1351 * t994 / 0.12e2 + t4025 * t457 / 0.4e1 - t5461 * t350 / 0.12e2 - t5312 / 0.12e2 + t5315;
  t5467 = t948 * t1447;
  t5469 = t937 * t1450;
  t5470 = t5469 * t1452;
  t5472 = t948 * t1443;
  t5474 = t5412 * t1432;
  t5476 = t1354 * t1098;
  t5478 = t5412 * t1457;
  t5480 = t1354 * t1103;
  t5482 = t938 * t1378;
  t5484 = t937 * t1382;
  t5485 = t5484 * t377;
  t5487 = t3990 * t457;
  t5489 = t3993 * t457;
  t5491 = t948 * t1394;
  t5493 = t5467 / 0.12e2 + t5470 / 0.18e2 - t5472 / 0.12e2 + t5474 / 0.9e1 + t5476 / 0.36e2 - t5478 / 0.36e2 - t5480 / 0.36e2 - t5482 / 0.36e2 + t5485 / 0.12e2 + t5487 / 0.12e2 + t5489 / 0.12e2 + t5491 / 0.12e2;
  t5494 = t937 * t1401;
  t5495 = t5494 * t350;
  t5497 = t1354 * t994;
  t5499 = t3986 * t441;
  t5500 = t5499 * t350;
  t5509 = t933 * t1450;
  t5517 = -t5495 / 0.36e2 - t5497 / 0.36e2 - t5500 / 0.36e2 + t5318 / 0.12e2 - t5321 - t945 * t1443 / 0.4e1 + t945 * t1416 / 0.2e1 + t945 * t1447 / 0.4e1 + t5509 * t1452 / 0.6e1 + t5425 * t1432 / 0.3e1 - t945 * t1439 / 0.2e1 - t5305 / 0.36e2 + t5309;
  t5520 = my_piecewise3(t100, 0, t5438 + t5465 + t5493 + t5517);
  tv3rho2sigma5 = t3 * t5520 + t1366 + t1504;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t5523 = t3952 * t416;
  t5534 = my_piecewise3(t2, 0, -t5523 * t223 / 0.12e2 - t5390 / 0.18e2 + t5243 - t972 * t428 / 0.4e1 - t5352 / 0.6e1 + t5143 + t3958 * t432 / 0.4e1 + t5397 / 0.6e1 - t5246);
  tv3rho2sigma6 = t3 * t5534 + 0.2e1 * t1376;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t5541 = t374 * t1400;
  t5542 = t5541 * t1084;
  t5553 = t451 * t146;
  t5554 = t5553 * t1096;
  t5555 = t1094 * t5554;
  t5560 = t439 * t4140;
  t5561 = t3135 * t5560;
  t5562 = t321 * t5561;
  t5563 = t4148 * t1429;
  t5564 = t167 * t997;
  t5565 = t1095 * t5564;
  t5566 = t5563 * t5565;
  t5569 = t4719 * t5560;
  t5570 = t4149 * t997;
  t5571 = t4148 * t5570;
  t5572 = t5569 * t5571;
  t5575 = t1008 * t997;
  t5576 = t4148 * t5575;
  t5577 = t5569 * t5576;
  t5580 = t1436 * t4340;
  t5584 = t1392 * t999;
  t5585 = t1030 * t5584;
  t5586 = t5585 * t1410;
  t5588 = t1408 * t4319;
  t5591 = t997 * t4140;
  t5592 = t3135 * t5591;
  t5593 = t321 * t5592;
  t5594 = t4154 * t139;
  t5595 = t4148 * t5594;
  t5596 = t1027 * t2337;
  t5597 = t5595 * t5596;
  t5600 = -t442 * t4437 / 0.12e2 - t1058 * t1443 / 0.2e1 - t373 * t5542 / 0.2e1 - t1070 * t1443 / 0.2e1 - t442 * t4442 / 0.6e1 - t1397 * t1103 / 0.6e1 - t1402 * t1103 / 0.6e1 + t338 * t5555 / 0.12e2 - t1383 * t1085 / 0.4e1 - t5562 * t5566 / 0.2e1 - 0.3e1 * t1029 * t5572 + 0.3e1 / 0.2e1 * t373 * t5577 - t373 * t5580 / 0.2e1 - t4188 * t1411 - t1029 * t5586 - t1029 * t5588 / 0.2e1 - 0.3e1 / 0.2e1 * t5593 * t5597;
  t5601 = t4154 * t997;
  t5602 = t4148 * t5601;
  t5603 = t5569 * t5602;
  t5606 = t5553 * t1088;
  t5607 = t1101 * t5606;
  t5613 = t649 * t5584;
  t5614 = t321 * t5613;
  t5617 = t4440 * t1424;
  t5618 = t1423 * t5617;
  t5621 = t1423 * t4428;
  t5624 = t452 * t1147;
  t5629 = t439 * t4160;
  t5630 = t649 * t5629;
  t5631 = t321 * t5630;
  t5632 = t1423 * t5565;
  t5634 = t1030 * t5629;
  t5635 = t1007 * t5575;
  t5636 = t5634 * t5635;
  t5639 = t110 * t4192;
  t5640 = t648 * t333;
  t5641 = t5640 * t1032;
  t5642 = t439 * t1082;
  t5643 = t4572 * t5642;
  t5644 = t5641 * t5643;
  t5647 = t1026 * params->at;
  t5648 = t145 * t5647;
  t5649 = t110 * t5648;
  t5650 = t403 * t648;
  t5651 = t5650 * t1407;
  t5652 = t5651 * t1410;
  t5654 = t1065 * t1420;
  t5657 = t1392 * t1045;
  t5658 = t374 * t5657;
  t5659 = t5658 * t1438;
  t5663 = 0.3e1 / 0.2e1 * t4718 * t5603 - t338 * t5607 / 0.6e1 + t1383 * t1090 / 0.2e1 - t4204 * t1411 - t5614 * t1426 / 0.3e1 - t1421 * t5618 / 0.3e1 - t1421 * t5621 / 0.6e1 - t110 * t5624 / 0.4e1 - t318 * t1462 / 0.2e1 + t5631 * t5632 + 0.3e1 * t1029 * t5636 + 0.3e1 / 0.2e1 * t5639 * t5644 - t5649 * t5652 + 0.2e1 / 0.3e1 * t5654 * t1432 - t373 * t5659 - t1058 * t1439 - t1070 * t1439;
  t5665 = t110 * t1019;
  t5666 = t1082 * t333;
  t5667 = t4626 * t5666;
  t5668 = t1476 * t5667;
  t5671 = t5651 * t1415;
  t5673 = t110 * t1476;
  t5674 = t4626 * t145;
  t5675 = t168 * t5666;
  t5676 = t5674 * t5675;
  t5679 = t1038 * t145;
  t5680 = t403 * t333;
  t5681 = t380 * t5680;
  t5682 = t5679 * t5681;
  t5685 = t1165 * t5666;
  t5686 = t1470 * t5685;
  t5688 = t4696 * t1435;
  t5689 = t5688 * t1438;
  t5691 = t4572 * t145;
  t5692 = t1018 * t5666;
  t5693 = t5691 * t5692;
  t5695 = t1033 * t145;
  t5696 = t4693 * t5680;
  t5697 = t5695 * t5696;
  t5702 = t346 * t348 * t997;
  t5703 = t374 * t1407 * t5702;
  t5706 = t371 * t5564;
  t5707 = t1430 * t5706;
  t5710 = t1442 * t4347;
  t5713 = t194 * t1407;
  t5714 = t321 * t5713;
  t5715 = t1101 * t5565;
  t5725 = -0.3e1 / 0.2e1 * t5665 * t5668 + t4695 * t5671 + t5673 * t5676 / 0.2e1 - t5673 * t5682 / 0.3e1 + t5665 * t5686 - t4695 * t5689 - t5673 * t5693 + 0.2e1 / 0.3e1 * t5673 * t5697 + 0.3e1 / 0.2e1 * t373 * t5703 - 0.2e1 * t5631 * t5707 + t373 * t5710 / 0.2e1 - t5714 * t5715 / 0.2e1 - t442 * t4357 / 0.6e1 - t5654 * t1426 / 0.3e1 - t5413 / 0.9e1 - t5415 / 0.3e1 - t5417 / 0.3e1;
  t5728 = t1007 * t1013 * t997;
  t5729 = t5634 * t5728;
  t5732 = t4149 * t139;
  t5733 = t4148 * t5732;
  t5734 = t5733 * t2352;
  t5737 = t1408 * t4300;
  t5740 = t5585 * t1415;
  t5744 = t5595 * t5706;
  t5749 = t4371 * t445 * t376;
  t5756 = t5595 * t5565;
  t5759 = t1430 * t4428;
  t5762 = t1430 * t5617;
  t5771 = t5419 / 0.3e1 - 0.3e1 * t373 * t5729 + 0.7e1 / 0.3e1 * t5593 * t5734 + t373 * t5737 / 0.2e1 + t373 * t5740 + t1058 * t1416 + t1070 * t1416 + 0.23e2 / 0.36e2 * t5562 * t5744 - t5423 / 0.6e1 + t373 * t5749 / 0.4e1 + t1058 * t1447 / 0.2e1 + t1070 * t1447 / 0.2e1 - 0.5e1 / 0.36e2 * t5562 * t5756 - t1421 * t5759 / 0.12e2 - t1421 * t5762 / 0.6e1 - t5614 * t1457 / 0.6e1 - t5654 * t1457 / 0.6e1 + t442 * t4457 / 0.12e2;
  t5780 = t1498 * t404;
  t5783 = t194 * t5657;
  t5784 = t321 * t5783;
  t5787 = t1101 * t5617;
  t5790 = t451 * t1026;
  t5791 = t369 * t5790;
  t5792 = t321 * t5791;
  t5797 = t1065 * t1382;
  t5800 = t1014 * t453;
  t5803 = t452 * t1018;
  t5804 = t1009 * t5803;
  t5809 = t349 * t1499;
  t5812 = t1497 * t370;
  t5813 = t369 * t5812;
  t5814 = t321 * t5813;
  t5819 = t1009 * t453;
  t5824 = t442 * t4538 / 0.6e1 + t1402 * t1098 / 0.6e1 + t1421 * t4535 / 0.3e1 - t110 * t5780 / 0.2e1 + t5784 * t1452 / 0.3e1 + t1451 * t5787 / 0.3e1 - t5792 * t1035 / 0.2e1 + t1383 * t1040 / 0.2e1 + t5797 * t377 / 0.2e1 - t1002 * t5800 / 0.6e1 + t1002 * t5804 / 0.3e1 - t991 * t1378 / 0.12e2 - t338 * t5809 / 0.6e1 + t5814 * t377 / 0.2e1 - t1066 * t1378 / 0.6e1 - t1002 * t5819 / 0.12e2 + t1383 * t1062 / 0.4e1;
  t5835 = params->gamma * t984;
  t5837 = my_piecewise3(t129, t322, 0.22e2 / 0.27e2 * t5835);
  t5838 = t5837 * t335;
  t5839 = t194 * t5838;
  t5840 = t321 * t5839;
  t5847 = t1065 * t1401;
  t5851 = t374 * t5837 * t376;
  t5854 = t4179 * t441;
  t5859 = t69 * t439;
  t5860 = t5859 * t4607;
  t5861 = t143 * t997;
  t5862 = t4619 * t5861;
  t5865 = t4572 * t5861;
  t5868 = t1475 * t4214;
  t5869 = t1038 * t5861;
  t5872 = t648 * t1392;
  t5873 = t5872 * t1032;
  t5876 = t1182 * t333;
  t5877 = t4626 * t5876;
  t5881 = t4572 * t5876;
  t5884 = t143 * t988;
  t5885 = t1038 * t5884;
  t5888 = t1032 * t4147;
  t5889 = t1475 * t5888;
  t5890 = t142 * t1082;
  t5891 = t5890 * t333;
  t5892 = t1186 * t5891;
  t5895 = t1046 * t1006;
  t5896 = t445 * t5895;
  t5897 = t360 * t5891;
  t5900 = t1165 * t5876;
  t5903 = t1467 * t1046;
  t5910 = t356 * t5884;
  t5913 = t1033 * t5861;
  t5916 = t1033 * t5884;
  t5919 = t4609 * t5861;
  t5924 = -0.2e1 / 0.3e1 * t5860 * t5862 + 0.6e1 * t5860 * t5865 - 0.12e2 * t5868 * t5869 + 0.4e1 * t5873 * t1481 + 0.3e1 * t1476 * t5877 - t446 * t4560 - 0.2e1 * t1476 * t5881 + 0.2e1 * t1476 * t5885 - 0.6e1 * t5889 * t5892 + 0.4e1 * t5896 * t5897 - 0.2e1 * t1470 * t5900 - 0.4e1 * t5903 * t1472 - 0.2e1 * t1468 * t1167 - 0.2e1 / 0.3e1 * t5873 * t1477 - 0.2e1 * t1470 * t5910 + 0.2e1 * t5868 * t5913 - t1476 * t5916 / 0.3e1 - t5860 * t5919 / 0.9e1 + 0.2e1 * t446 * t4577;
  t5925 = t445 * t4208;
  t5926 = t356 * t5861;
  t5931 = t140 * t988;
  t5932 = t356 * t5931;
  t5934 = t193 * t5837;
  t5935 = t5934 * t354;
  t5939 = t140 * t997;
  t5940 = t1033 * t5939;
  t5943 = t4609 * t5939;
  t5946 = t1038 * t5939;
  t5949 = t4572 * t5939;
  t5953 = t356 * t5939;
  t5958 = t1038 * t5931;
  t5960 = t4619 * t5939;
  t5963 = t1033 * t5931;
  t5969 = t5934 * t335;
  t5972 = t1173 * t5891;
  t5974 = 0.6e1 * t5925 * t5926 - 0.2e1 * t5873 * t1495 + t1470 * t5932 + t5935 * t357 + 0.4e1 / 0.3e1 * t5873 * t1485 - 0.4e1 * t5868 * t5940 + t5860 * t5943 / 0.18e2 + 0.6e1 * t5868 * t5946 - 0.3e1 * t5860 * t5949 - t446 * t4649 - 0.3e1 * t5925 * t5953 + t446 * t4638 / 0.2e1 - t1476 * t5958 + 0.1e2 / 0.3e1 * t5860 * t5960 + 0.2e1 / 0.3e1 * t1476 * t5963 + 0.2e1 * t5903 * t1491 + t1468 * t1183 - t5969 * t361 / 0.2e1 + t5889 * t5972;
  t5975 = t5924 + t5974;
  t5976 = t139 * t5975;
  t5977 = t5976 * t168;
  t5987 = t1058 * t1394 / 0.2e1 + t1070 * t1394 / 0.2e1 + t4176 * t457 / 0.4e1 + t4183 * t457 / 0.4e1 + t4274 * t457 / 0.2e1 - t5840 * t350 / 0.12e2 - t1402 * t994 / 0.6e1 - t1397 * t994 / 0.6e1 - t5847 * t350 / 0.6e1 + t373 * t5851 / 0.4e1 - t5854 * t350 / 0.12e2 - t442 * t4171 / 0.12e2 - t110 * t5977 / 0.4e1 - t1205 * t453 / 0.4e1 - t318 * t1499 / 0.2e1 + t1397 * t1098 / 0.6e1 - t5436 / 0.6e1;
  t5994 = t1065 * t1450;
  t5998 = t1088 * t1467 * t376;
  t6001 = t5695 * t5681;
  t6004 = t110 * t1470;
  t6005 = t356 * t145;
  t6006 = t6005 * t5681;
  t6009 = t5691 * t5675;
  t6012 = t110 * t446;
  t6015 = t4687 * t5675;
  t6018 = t4696 * t440;
  t6019 = t6018 * t1084;
  t6022 = t5733 * t5565;
  t6025 = t1442 * t4407;
  t6028 = t1430 * t5565;
  t6034 = -t5439 / 0.6e1 + t1053 * t1378 / 0.6e1 - t1383 * t1048 / 0.2e1 + t5315 + t5994 * t1452 / 0.3e1 + t373 * t5998 / 0.2e1 - t5673 * t6001 / 0.6e1 + t6004 * t6006 / 0.3e1 + t5673 * t6009 / 0.4e1 + t6012 * t4690 / 0.6e1 - t6004 * t6015 / 0.3e1 - t4695 * t6019 / 0.2e1 - 0.11e2 / 0.18e2 * t5562 * t6022 - t373 * t6025 / 0.4e1 + t5631 * t6028 / 0.2e1 + t1451 * t4429 / 0.6e1 + t5467 / 0.6e1;
  t6051 = t1056 * t1424;
  t6052 = t1430 * t6051;
  t6055 = t5470 / 0.9e1 - t5472 / 0.6e1 + 0.2e1 / 0.9e1 * t5474 + t5476 / 0.18e2 - t5478 / 0.18e2 - t5480 / 0.18e2 - t5482 / 0.18e2 + t5485 / 0.6e1 + t5487 / 0.6e1 + t5489 / 0.6e1 + t5491 / 0.6e1 - t5495 / 0.18e2 - t5497 / 0.18e2 - t5500 / 0.18e2 - t5321 + 0.2e1 / 0.3e1 * t5614 * t1432 + 0.2e1 / 0.3e1 * t1421 * t6052 + t5309;
  t6059 = my_piecewise3(t100, 0, t5600 + t5663 + t5725 + t5771 + t5824 + t5987 + t6034 + t6055);
  tv3rho2sigma8 = t3 * t6059 + 0.2e1 * t1504;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  t6062 = t626 * t1540;
  t6065 = t1524 * t651;
  t6066 = t649 * t6065;
  t6067 = t191 * t6066;
  t6074 = t1506 * t845;
  t6076 = t463 * t3118;
  t6077 = t3115 * t6076;
  t6078 = t6077 * t4846;
  t6085 = t463 * t3076;
  t6086 = t649 * t6085;
  t6087 = t191 * t6086;
  t6092 = t1524 * t595;
  t6093 = t247 * t6092;
  t6094 = t6093 * t1281;
  t6096 = t6077 * t4863;
  t6099 = t3135 * t6076;
  t6100 = t191 * t6099;
  t6105 = t6077 * t4856;
  t6108 = t188 * t1577;
  t6110 = 0.2e1 / 0.3e1 * t6062 * t1263 + 0.2e1 / 0.3e1 * t6067 * t1263 + 0.2e1 / 0.3e1 * t1541 * t4820 - t1516 * t827 / 0.4e1 - t6074 / 0.18e2 + 0.3e1 / 0.2e1 * t3167 * t6078 + t1529 * t840 / 0.6e1 + t1534 * t840 / 0.6e1 + t6087 * t5157 / 0.2e1 - t630 * t1556 - t608 * t1556 - t246 * t6094 + 0.3e1 / 0.2e1 * t246 * t6096 - t6100 * t4869 / 0.2e1 + 0.7e1 / 0.3e1 * t6100 * t4852 - 0.3e1 * t679 * t6105 - t6108 / 0.6e1;
  t6113 = t1607 * t277;
  t6116 = t476 * t732;
  t6119 = t475 * t66;
  t6120 = t6119 * t838;
  t6121 = t836 * t6120;
  t6134 = t680 * t6085;
  t6135 = t6134 * t4918;
  t6138 = t637 * t1551;
  t6140 = t633 * t1540;
  t6141 = t6140 * t1263;
  t6153 = -t182 * t1577 / 0.2e1 - t30 * t6113 / 0.2e1 - t30 * t6116 / 0.4e1 + t211 * t6121 / 0.12e2 - t1529 * t845 / 0.6e1 - t1534 * t845 / 0.6e1 - t466 * t3391 / 0.6e1 - t466 * t3386 / 0.12e2 - 0.2e1 * t6087 * t5185 + 0.3e1 * t679 * t6135 + t6138 / 0.3e1 + 0.2e1 / 0.9e1 * t6141 - 0.3e1 / 0.2e1 * t6100 * t4841 - t6067 * t1257 / 0.3e1 - t1541 * t5195 / 0.3e1 - t1541 * t5170 / 0.6e1 - 0.11e2 / 0.18e2 * t6100 * t5167;
  t6163 = t3267 * t464;
  t6164 = t6163 * t826;
  t6167 = t1587 * t4774;
  t6169 = t3267 * t1554;
  t6170 = t6169 * t1281;
  t6172 = t1591 * t4780;
  t6175 = t4784 * t1539;
  t6176 = t6175 * t1274;
  t6178 = t3051 * t1548;
  t6180 = t6140 * t1257;
  t6183 = t1547 * t4794;
  t6189 = t769 * t477 / 0.18e2;
  t6192 = t466 * t3534 / 0.6e1 + t466 * t3530 / 0.12e2 - t6062 * t1300 / 0.6e1 - t6067 * t1300 / 0.6e1 - t3266 * t6164 / 0.2e1 + t4772 * t6167 - t3266 * t6170 - 0.3e1 / 0.2e1 * t4772 * t6172 + t3266 * t6176 - t6178 / 0.3e1 - t6180 / 0.9e1 + t6087 * t5179 - t679 * t6183 / 0.2e1 + t630 * t1551 + t608 * t1551 + t6189 - t466 * t3096 / 0.12e2;
  t6195 = t637 * t1526;
  t6197 = t3238 * t465;
  t6198 = t6197 * t223;
  t6200 = t633 * t1533;
  t6201 = t6200 * t223;
  t6203 = t1506 * t645;
  t6209 = t626 * t1515;
  t6212 = t222 * t1608;
  t6215 = t1606 * t243;
  t6216 = t242 * t6215;
  t6217 = t191 * t6216;
  t6220 = t3242 * t481;
  t6222 = t3247 * t481;
  t6224 = t634 * t1511;
  t6226 = t633 * t1515;
  t6227 = t6226 * t250;
  t6233 = t661 * t477;
  t6238 = -t642 * t1511 / 0.12e2 + t6195 / 0.6e1 - t6198 / 0.18e2 - t6201 / 0.18e2 - t6203 / 0.18e2 - t1529 * t645 / 0.6e1 - t1534 * t645 / 0.6e1 + t6209 * t250 / 0.2e1 - t211 * t6212 / 0.6e1 + t6217 * t250 / 0.2e1 + t6220 / 0.6e1 + t6222 / 0.6e1 - t6224 / 0.18e2 + t6227 / 0.6e1 - t627 * t1511 / 0.6e1 + t1516 * t623 / 0.4e1 - t654 * t6233 / 0.12e2 + t3226 * t481 / 0.2e1;
  t6248 = my_piecewise3(t49, t195, 0.2e2 / 0.27e2 * t202);
  t6249 = t6248 * t208;
  t6250 = t194 * t6249;
  t6251 = t191 * t6250;
  t6257 = t247 * t6248 * t249;
  t6260 = t3209 * t465;
  t6263 = t626 * t1533;
  t6266 = t1555 * t3492;
  t6273 = t247 * t1532;
  t6274 = t6273 * t826;
  t6277 = t1559 * t3447;
  t6282 = t6140 * t1300;
  t6284 = t633 * t1567;
  t6285 = t6284 * t1295;
  t6287 = t188 * t1608;
  t6289 = t630 * t1526 / 0.2e1 + t3101 * t481 / 0.4e1 + t3220 * t481 / 0.4e1 - t6251 * t223 / 0.12e2 + t608 * t1526 / 0.2e1 + t246 * t6257 / 0.4e1 - t6260 * t223 / 0.12e2 - t6263 * t223 / 0.6e1 - t246 * t6266 / 0.2e1 - t630 * t1560 / 0.2e1 - t608 * t1560 / 0.2e1 - t246 * t6274 / 0.2e1 - t246 * t6277 / 0.4e1 - t466 * t3464 / 0.6e1 - t6282 / 0.18e2 + t6285 / 0.9e1 - t6287 / 0.6e1;
  t6292 = t773 * t477;
  t6296 = t193 * t6248;
  t6297 = t6296 * t208;
  t6300 = t1590 * t3077;
  t6303 = t69 * t463;
  t6304 = t6303 * t3121;
  t6309 = t469 * t3259;
  t6329 = t1584 * t596;
  t6334 = t648 * t1524;
  t6335 = t6334 * t682;
  t6340 = 0.3e1 * t1591 * t5098 - t6297 * t234 / 0.2e1 - 0.12e2 * t6300 * t5038 - 0.2e1 / 0.3e1 * t6304 * t5031 + 0.6e1 * t6304 * t5034 + 0.6e1 * t6309 * t5095 + 0.2e1 * t470 * t3564 + 0.2e1 * t1591 * t5075 - 0.2e1 * t1587 * t5042 - 0.2e1 * t1587 * t5086 + 0.2e1 * t6300 * t5089 - t1591 * t5046 / 0.3e1 - t6304 * t5049 / 0.9e1 - t470 * t3546 - 0.2e1 * t1591 * t5072 - 0.4e1 * t6329 * t1315 - 0.2e1 * t1585 * t796 - 0.2e1 / 0.3e1 * t6335 * t1320 + 0.4e1 * t6335 * t1324;
  t6341 = t1590 * t5021;
  t6344 = t469 * t5014;
  t6369 = t6296 * t227;
  t6376 = -0.6e1 * t6341 * t5025 + 0.4e1 * t6344 * t5018 + t6341 * t5023 + 0.6e1 * t6300 * t5062 - 0.3e1 * t6304 * t5065 - 0.2e1 * t6335 * t1338 - 0.3e1 * t6309 * t5129 - t470 * t3602 + t470 * t3634 / 0.2e1 - t1591 * t5104 + t6304 * t5123 / 0.18e2 + 0.1e2 / 0.3e1 * t6304 * t5126 + 0.2e1 / 0.3e1 * t1591 * t5106 + 0.2e1 * t6329 * t1334 + t1585 * t812 + t6369 * t230 + 0.4e1 / 0.3e1 * t6335 * t1328 - 0.4e1 * t6300 * t5120 + t1587 * t5112;
  t6377 = t6340 + t6376;
  t6378 = t59 * t6377;
  t6379 = t6378 * t95;
  t6384 = t637 * t1564;
  t6386 = t247 * t1539;
  t6387 = t6386 * t4914;
  t6390 = t1506 * t840;
  t6392 = t637 * t1556;
  t6394 = t6134 * t4903;
  t6397 = t637 * t1560;
  t6399 = t1559 * t3468;
  t6402 = t666 * t477;
  t6409 = t475 * t676;
  t6410 = t242 * t6409;
  t6411 = t191 * t6410;
  t6416 = t3231 * t465;
  t6418 = t6416 * t223 / 0.54e2;
  t6419 = -t182 * t1608 / 0.2e1 - t6292 / 0.6e1 - t30 * t6379 / 0.4e1 - t759 * t477 / 0.4e1 + t6384 / 0.6e1 + 0.3e1 / 0.2e1 * t246 * t6387 + t6390 / 0.18e2 - t6392 / 0.3e1 - 0.3e1 * t246 * t6394 - t6397 / 0.6e1 + t246 * t6399 / 0.2e1 - t654 * t6402 / 0.6e1 - t1516 * t598 / 0.2e1 + t1516 * t691 / 0.2e1 - t6411 * t685 / 0.2e1 + t603 * t1511 / 0.6e1 + t6418;
  t6422 = t3232 * t481 / 0.18e2;
  t6423 = t476 * t670;
  t6424 = t661 * t6423;
  t6432 = t463 * t794;
  t6433 = t3130 * t6432;
  t6434 = t4985 * t6433;
  t6437 = t6175 * t1269;
  t6439 = t30 * t1591;
  t6451 = t30 * t470;
  t6454 = t30 * t1587;
  t6460 = t830 * t1584 * t249;
  t6463 = -t6422 + t654 * t6424 / 0.3e1 + t1541 * t3399 / 0.3e1 + 0.23e2 / 0.36e2 * t6100 * t4811 - t3070 * t1548 + 0.3e1 / 0.2e1 * t4983 * t6434 - t4993 * t6437 - t6439 * t4997 / 0.3e1 - t6439 * t5001 + 0.2e1 / 0.3e1 * t6439 * t5004 + t6439 * t5176 / 0.2e1 - t6439 * t4874 / 0.6e1 + t6439 * t4879 / 0.4e1 + t6451 * t3276 / 0.6e1 - t6454 * t4885 / 0.3e1 + t6454 * t4765 / 0.3e1 + t246 * t6460 / 0.2e1;
  t6464 = t626 * t1567;
  t6467 = t194 * t6092;
  t6468 = t191 * t6467;
  t6486 = t3384 * t469 * t249;
  t6489 = t680 * t6065;
  t6490 = t6489 * t1274;
  t6492 = t1547 * t4828;
  t6495 = t194 * t1539;
  t6496 = t191 * t6495;
  t6500 = t6489 * t1269;
  t6502 = t6119 * t830;
  t6503 = t843 * t6502;
  t6510 = t6464 * t1295 / 0.3e1 + t6468 * t1295 / 0.3e1 + t1568 * t5149 / 0.3e1 + t1568 * t3499 / 0.6e1 - t1541 * t5190 / 0.6e1 - t1541 * t4893 / 0.12e2 - 0.5e1 / 0.36e2 * t6100 * t4890 + t630 * t1564 / 0.2e1 + t608 * t1564 / 0.2e1 + t246 * t6486 / 0.4e1 + t246 * t6490 + t246 * t6492 / 0.2e1 - t6496 * t4939 / 0.2e1 - t3061 * t1548 - t679 * t6500 - t211 * t6503 / 0.6e1 + t1516 * t832 / 0.2e1 - t6062 * t1257 / 0.3e1;
  t6514 = my_piecewise3(t2, 0, t6110 + t6153 + t6192 + t6238 + t6289 + t6419 + t6463 + t6510);
  tv3rho2lapl0 = t3 * t6514 + 0.2e1 * t1613;

  if(out->v3rho2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 0] += tv3rho2lapl0;

  t6517 = t3893 * t489;
  t6520 = t3897 * t489;
  t6521 = t6520 * t350;
  t6523 = t3901 * t489;
  t6525 = t6523 * t350 / 0.54e2;
  t6528 = t869 * t501;
  t6531 = t873 * t501 / 0.18e2;
  t6534 = t3914 * t505;
  t6537 = t3917 * t505 / 0.18e2;
  t6539 = my_piecewise3(t100, 0, -t6517 * t350 / 0.12e2 - t6521 / 0.18e2 + t6525 - t865 * t501 / 0.4e1 - t6528 / 0.6e1 + t6531 + t3911 * t505 / 0.4e1 + t6534 / 0.6e1 - t6537);
  tv3rho2lapl1 = t3 * t6539 + 0.2e1 * t1630;

  if(out->v3rho2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 1] += tv3rho2lapl1;

  t6542 = t897 * t1540;
  t6561 = t897 * t1567;
  t6566 = -t6074 / 0.36e2 - t6542 * t1300 / 0.12e2 - t1632 * t845 / 0.12e2 - t903 * t1556 / 0.2e1 - t903 * t1560 / 0.4e1 + t903 * t1564 / 0.4e1 - t3740 * t1548 / 0.2e1 + t903 * t1551 / 0.2e1 - t6542 * t1257 / 0.6e1 + t6542 * t1263 / 0.3e1 + t6561 * t1295 / 0.6e1 + t1632 * t840 / 0.12e2;
  t6578 = t894 * t477;
  t6580 = t897 * t1533;
  t6585 = t897 * t1515;
  t6588 = -t6108 / 0.12e2 - t307 * t1577 / 0.4e1 + t6138 / 0.6e1 + t6141 / 0.9e1 - t6178 / 0.6e1 - t6180 / 0.18e2 - t890 * t477 / 0.4e1 - t307 * t1608 / 0.4e1 - t6578 / 0.12e2 + t6189 - t6580 * t223 / 0.12e2 - t1632 * t645 / 0.12e2 + t6585 * t250 / 0.4e1;
  t6594 = t3750 * t465;
  t6597 = t3761 * t481;
  t6599 = t3757 * t465;
  t6600 = t6599 * t223;
  t6611 = t3754 * t481 / 0.4e1 + t3776 * t481 / 0.4e1 - t6594 * t223 / 0.12e2 + t6597 / 0.12e2 - t6600 / 0.36e2 + t903 * t1526 / 0.4e1 - t898 * t1511 / 0.12e2 + t6195 / 0.12e2 - t6198 / 0.36e2 - t6201 / 0.36e2 - t6203 / 0.36e2 + t6220 / 0.12e2;
  t6623 = t6222 / 0.12e2 - t6224 / 0.36e2 + t6227 / 0.12e2 - t6282 / 0.36e2 + t6285 / 0.18e2 - t6287 / 0.12e2 - t6292 / 0.12e2 + t6384 / 0.12e2 + t6390 / 0.36e2 - t6392 / 0.6e1 - t6397 / 0.12e2 + t6418 - t6422;
  t6626 = my_piecewise3(t2, 0, t6566 + t6588 + t6611 + t6623);
  tv3rho2lapl2 = t3 * t6626 + t1613 + t1640;

  if(out->v3rho2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 2] += tv3rho2lapl2;

  t6628 = t1618 * t1098;
  t6630 = t294 * t1670;
  t6634 = t1618 * t1103;
  t6640 = t933 * t1682;
  t6645 = t948 * t1679;
  t6647 = t937 * t1682;
  t6648 = t6647 * t1426;
  t6650 = t4005 * t1675;
  t6654 = t6628 / 0.36e2 - t6630 / 0.12e2 - t290 * t1670 / 0.4e1 - t6634 / 0.36e2 - t945 * t1690 / 0.2e1 + t945 * t1679 / 0.2e1 - t6640 * t1426 / 0.6e1 - t3971 * t1675 / 0.2e1 + t6645 / 0.6e1 - t6648 / 0.18e2 - t6650 / 0.6e1 + t945 * t1698 / 0.4e1;
  t6657 = t933 * t1701;
  t6664 = t6647 * t1457;
  t6666 = t948 * t1698;
  t6668 = t937 * t1701;
  t6669 = t6668 * t1452;
  t6671 = t948 * t1694;
  t6677 = t294 * t1737;
  t6679 = t929 * t501;
  t6682 = t6640 * t1432 / 0.3e1 + t6657 * t1452 / 0.6e1 + t1615 * t1098 / 0.12e2 - t945 * t1694 / 0.4e1 - t6664 / 0.36e2 + t6666 / 0.12e2 + t6669 / 0.18e2 - t6671 / 0.12e2 - t925 * t501 / 0.4e1 - t290 * t1737 / 0.4e1 - t6677 / 0.12e2 - t6679 / 0.12e2 - t6528 / 0.12e2;
  t6688 = t4021 * t489;
  t6691 = t933 * t1664;
  t6700 = t933 * t1646;
  t6703 = t3986 * t489;
  t6704 = t6703 * t350;
  t6706 = t3993 * t505;
  t6708 = t948 * t1657;
  t6710 = t6531 + t4025 * t505 / 0.4e1 - t934 * t1642 / 0.12e2 - t6688 * t350 / 0.12e2 - t6691 * t350 / 0.12e2 - t1615 * t994 / 0.12e2 + t4028 * t505 / 0.4e1 + t945 * t1657 / 0.4e1 + t6700 * t377 / 0.4e1 - t6704 / 0.36e2 + t6706 / 0.12e2 + t6708 / 0.12e2;
  t6711 = t3990 * t505;
  t6713 = t938 * t1642;
  t6715 = t937 * t1646;
  t6716 = t6715 * t377;
  t6718 = t937 * t1664;
  t6719 = t6718 * t350;
  t6721 = t1618 * t994;
  t6725 = t6647 * t1432;
  t6727 = t948 * t1690;
  t6733 = t6711 / 0.12e2 - t6713 / 0.36e2 + t6716 / 0.12e2 - t6719 / 0.36e2 - t6721 / 0.36e2 + t6534 / 0.12e2 - t6537 - t6521 / 0.36e2 + t6525 + t6725 / 0.9e1 - t6727 / 0.6e1 - t6640 * t1457 / 0.12e2 - t1615 * t1103 / 0.12e2;
  t6736 = my_piecewise3(t100, 0, t6654 + t6682 + t6710 + t6733);
  tv3rho2lapl3 = t3 * t6736 + t1630 + t1742;

  if(out->v3rho2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 3] += tv3rho2lapl3;

  t6739 = t3952 * t465;
  t6750 = my_piecewise3(t2, 0, -t6739 * t223 / 0.12e2 - t6600 / 0.18e2 + t6418 - t972 * t477 / 0.4e1 - t6578 / 0.6e1 + t6189 + t3958 * t481 / 0.4e1 + t6597 / 0.6e1 - t6422);
  tv3rho2lapl4 = t3 * t6750 + 0.2e1 * t1640;

  if(out->v3rho2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 4] += tv3rho2lapl4;

  t6755 = t499 * t146;
  t6756 = t6755 * t1096;
  t6757 = t1094 * t6756;
  t6760 = t4696 * t488;
  t6761 = t6760 * t1084;
  t6764 = t110 * t1716;
  t6769 = t110 * t1720;
  t6772 = t110 * t494;
  t6777 = t1674 * t4319;
  t6780 = t1027 * t2756;
  t6781 = t5595 * t6780;
  t6786 = t487 * t4160;
  t6787 = t649 * t6786;
  t6788 = t321 * t6787;
  t6798 = -t1647 * t1085 / 0.4e1 + t338 * t6757 / 0.12e2 - t4695 * t6761 / 0.2e1 - t6764 * t6015 / 0.3e1 + t6764 * t6006 / 0.3e1 + t6769 * t6009 / 0.4e1 + t6772 * t4690 / 0.6e1 - t6769 * t6001 / 0.6e1 - t1029 * t6777 / 0.2e1 - 0.3e1 / 0.2e1 * t5593 * t6781 + t1070 * t1679 + t1058 * t1679 + t6788 * t6028 / 0.2e1 + t1660 * t1098 / 0.6e1 + t1702 * t5787 / 0.3e1 + t1702 * t4429 / 0.6e1 - t4204 * t1675;
  t6800 = t1655 * t999;
  t6801 = t1030 * t6800;
  t6802 = t6801 * t1410;
  t6804 = t1065 * t1682;
  t6807 = t649 * t6800;
  t6808 = t321 * t6807;
  t6811 = t6755 * t1088;
  t6812 = t1101 * t6811;
  t6824 = t1720 * t5667;
  t6827 = t5650 * t1673;
  t6828 = t6827 * t1415;
  t6832 = t487 * t1082;
  t6833 = t4572 * t6832;
  t6834 = t5641 * t6833;
  t6837 = t6827 * t1410;
  t6839 = t1716 * t5685;
  t6841 = t4696 * t1688;
  t6842 = t6841 * t1438;
  t6844 = -t4188 * t1675 - t1029 * t6802 - t6804 * t1426 / 0.3e1 - t6808 * t1426 / 0.3e1 - t338 * t6812 / 0.6e1 + t1647 * t1090 / 0.2e1 - t490 * t4442 / 0.6e1 - t490 * t4437 / 0.12e2 - t6769 * t5693 + 0.2e1 / 0.3e1 * t6769 * t5697 - 0.3e1 / 0.2e1 * t5665 * t6824 + t4695 * t6828 + t6769 * t5676 / 0.2e1 + 0.3e1 / 0.2e1 * t5639 * t6834 - t5649 * t6837 + t5665 * t6839 - t4695 * t6842;
  t6853 = t487 * t4140;
  t6854 = t3135 * t6853;
  t6855 = t321 * t6854;
  t6869 = t1655 * t1045;
  t6870 = t374 * t6869;
  t6871 = t6870 * t1438;
  t6873 = t1689 * t4340;
  t6880 = t500 * t1147;
  t6883 = -t6769 * t5682 / 0.3e1 + t6628 / 0.18e2 - t6630 / 0.6e1 - t6634 / 0.18e2 + t1683 * t4535 / 0.3e1 + 0.23e2 / 0.36e2 * t6855 * t5744 - t1683 * t5621 / 0.6e1 - 0.11e2 / 0.18e2 * t6855 * t6022 + 0.2e1 / 0.3e1 * t6804 * t1432 + 0.2e1 / 0.3e1 * t6808 * t1432 + 0.2e1 / 0.3e1 * t1683 * t6052 - t1058 * t1690 - t373 * t6871 - t373 * t6873 / 0.2e1 - t1070 * t1694 / 0.2e1 - t1683 * t5618 / 0.3e1 - t110 * t6880 / 0.4e1;
  t6884 = t1736 * t404;
  t6893 = t1088 * t1713 * t376;
  t6896 = t1065 * t1701;
  t6899 = t194 * t6869;
  t6900 = t321 * t6899;
  t6904 = t374 * t1673;
  t6905 = t6904 * t5702;
  t6910 = t6801 * t1415;
  t6912 = t1674 * t4300;
  t6915 = t5733 * t2771;
  t6918 = t4719 * t6853;
  t6919 = t6918 * t5602;
  t6922 = t6918 * t5571;
  t6927 = t194 * t1673;
  t6928 = t321 * t6927;
  t6931 = -t110 * t6884 / 0.2e1 - t318 * t1670 / 0.2e1 + t6645 / 0.3e1 - t6648 / 0.9e1 - t6650 / 0.3e1 + t373 * t6893 / 0.2e1 + t6896 * t1452 / 0.3e1 + t6900 * t1452 / 0.3e1 - t1070 * t1690 + 0.3e1 / 0.2e1 * t373 * t6905 - 0.2e1 * t6788 * t5707 + t373 * t6910 + t373 * t6912 / 0.2e1 + 0.7e1 / 0.3e1 * t5593 * t6915 + 0.3e1 / 0.2e1 * t4718 * t6919 - 0.3e1 * t1029 * t6922 - t6855 * t5566 / 0.2e1 - t6928 * t5715 / 0.2e1;
  t6940 = t1693 * t4347;
  t6946 = t1014 * t501;
  t6949 = t500 * t1018;
  t6950 = t1009 * t6949;
  t6953 = t499 * t1026;
  t6954 = t369 * t6953;
  t6955 = t321 * t6954;
  t6958 = t1735 * t370;
  t6959 = t369 * t6958;
  t6960 = t321 * t6959;
  t6965 = t1065 * t1646;
  t6971 = -t490 * t4357 / 0.6e1 - t6664 / 0.18e2 + t6666 / 0.6e1 + t6669 / 0.9e1 - t6671 / 0.6e1 + t373 * t6940 / 0.2e1 - t6677 / 0.6e1 + t1647 * t1040 / 0.2e1 - t1002 * t6946 / 0.6e1 + t1002 * t6950 / 0.3e1 - t6955 * t1035 / 0.2e1 + t6960 * t377 / 0.2e1 - t1066 * t1642 / 0.6e1 + t6965 * t377 / 0.2e1 - t6679 / 0.6e1 + t6531 - t6804 * t1457 / 0.6e1;
  t6974 = t374 * t1663;
  t6975 = t6974 * t1084;
  t6978 = t1693 * t4407;
  t6993 = t1030 * t6786;
  t6994 = t6993 * t5728;
  t6998 = -t1058 * t1694 / 0.2e1 - t373 * t6975 / 0.2e1 - t373 * t6978 / 0.4e1 - t1647 * t1048 / 0.2e1 + t1053 * t1642 / 0.6e1 - t6704 / 0.18e2 + t6706 / 0.6e1 + t6708 / 0.6e1 + t6711 / 0.6e1 - t6713 / 0.18e2 + t6716 / 0.6e1 - t6719 / 0.18e2 - t6721 / 0.18e2 - t6537 + t6525 - 0.3e1 * t373 * t6994 + t6788 * t5632;
  t7000 = t6993 * t5635;
  t7005 = t6918 * t5576;
  t7018 = t349 * t1737;
  t7021 = t1009 * t501;
  t7036 = 0.3e1 * t1029 * t7000 - t318 * t1737 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t7005 + 0.2e1 / 0.9e1 * t6725 - t6727 / 0.3e1 + t1665 * t1098 / 0.6e1 + t490 * t4538 / 0.6e1 + t490 * t4457 / 0.12e2 - t991 * t1642 / 0.12e2 - t338 * t7018 / 0.6e1 - t1002 * t7021 / 0.12e2 + t4274 * t505 / 0.2e1 + t4183 * t505 / 0.4e1 + t1058 * t1657 / 0.2e1 + t1647 * t1062 / 0.4e1 + t4176 * t505 / 0.4e1 + t1070 * t1657 / 0.2e1;
  t7040 = my_piecewise3(t129, t322, 0.2e2 / 0.27e2 * t329);
  t7041 = t7040 * t335;
  t7042 = t194 * t7041;
  t7043 = t321 * t7042;
  t7048 = t1065 * t1664;
  t7054 = t374 * t7040 * t376;
  t7057 = t4179 * t489;
  t7065 = t4371 * t493 * t376;
  t7075 = t1713 * t1046;
  t7080 = t648 * t1655;
  t7081 = t7080 * t1032;
  t7086 = t493 * t4208;
  t7089 = t1719 * t4214;
  t7092 = t69 * t487;
  t7093 = t7092 * t4607;
  t7114 = t193 * t7040;
  t7115 = t7114 * t335;
  t7118 = -t494 * t4560 - 0.2e1 * t1720 * t5881 - 0.4e1 * t7075 * t1472 - 0.2e1 * t1714 * t1167 - 0.2e1 / 0.3e1 * t7081 * t1477 + 0.2e1 * t494 * t4577 + 0.6e1 * t7086 * t5926 - 0.12e2 * t7089 * t5869 - 0.2e1 / 0.3e1 * t7093 * t5862 + 0.6e1 * t7093 * t5865 + 0.4e1 * t7081 * t1481 + 0.3e1 * t1720 * t5877 + 0.2e1 * t1720 * t5885 - 0.2e1 * t1716 * t5900 - 0.2e1 * t1716 * t5910 + 0.2e1 * t7089 * t5913 - t1720 * t5916 / 0.3e1 - t7093 * t5919 / 0.9e1 - t7115 * t361 / 0.2e1;
  t7125 = t7114 * t354;
  t7147 = t493 * t5895;
  t7150 = t1719 * t5888;
  t7154 = 0.1e2 / 0.3e1 * t7093 * t5960 - 0.4e1 * t7089 * t5940 + t7093 * t5943 / 0.18e2 + t7125 * t357 + 0.4e1 / 0.3e1 * t7081 * t1485 + t494 * t4638 / 0.2e1 - t1720 * t5958 + t1716 * t5932 + 0.2e1 / 0.3e1 * t1720 * t5963 + 0.2e1 * t7075 * t1491 + t1714 * t1183 - 0.3e1 * t7093 * t5949 + 0.6e1 * t7089 * t5946 - 0.3e1 * t7086 * t5953 - t494 * t4649 - 0.2e1 * t7081 * t1495 + 0.4e1 * t7147 * t5897 + t7150 * t5972 - 0.6e1 * t7150 * t5892;
  t7155 = t7118 + t7154;
  t7156 = t139 * t7155;
  t7157 = t7156 * t168;
  t7170 = -t1665 * t994 / 0.6e1 - t7043 * t350 / 0.12e2 - t1660 * t994 / 0.6e1 - t7048 * t350 / 0.6e1 - t490 * t4171 / 0.12e2 + t373 * t7054 / 0.4e1 - t7057 * t350 / 0.12e2 + t1070 * t1698 / 0.2e1 + t1058 * t1698 / 0.2e1 + t373 * t7065 / 0.4e1 - t1660 * t1103 / 0.6e1 - t1665 * t1103 / 0.6e1 - t110 * t7157 / 0.4e1 - t1205 * t501 / 0.4e1 - t1683 * t5759 / 0.12e2 - 0.5e1 / 0.36e2 * t6855 * t5756 - t6808 * t1457 / 0.6e1 - t1683 * t5762 / 0.6e1;
  t7174 = my_piecewise3(t100, 0, t6798 + t6844 + t6883 + t6931 + t6971 + t6998 + t7036 + t7170);
  tv3rho2lapl5 = t3 * t7174 + 0.2e1 * t1742;

  if(out->v3rho2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 5] += tv3rho2lapl5;

  t7177 = t1760 * t845;
  t7179 = t1760 * t840;
  t7183 = t633 * t1814;
  t7184 = t7183 * t1295;
  t7186 = t194 * t1777;
  t7187 = t191 * t7186;
  t7190 = t637 * t1811;
  t7194 = t512 * t3118;
  t7195 = t3135 * t7194;
  t7196 = t191 * t7195;
  t7199 = t3115 * t7194;
  t7200 = t7199 * t4846;
  t7203 = t7199 * t4856;
  t7206 = t7199 * t4863;
  t7213 = t524 * t66;
  t7214 = t7213 * t838;
  t7215 = t836 * t7214;
  t7219 = t1805 * t776 * t249;
  t7228 = t626 * t1778;
  t7231 = t1745 * t651;
  t7232 = t649 * t7231;
  t7233 = t191 * t7232;
  t7236 = -t7177 / 0.18e2 + t7179 / 0.18e2 - t515 * t3464 / 0.6e1 + t7184 / 0.9e1 - t7187 * t4939 / 0.2e1 + t7190 / 0.6e1 - t1779 * t4893 / 0.12e2 - 0.5e1 / 0.36e2 * t7196 * t4890 + 0.3e1 / 0.2e1 * t3167 * t7200 - 0.3e1 * t679 * t7203 + 0.3e1 / 0.2e1 * t246 * t7206 - t7196 * t4869 / 0.2e1 - t1770 * t827 / 0.4e1 + t211 * t7215 / 0.12e2 + t246 * t7219 / 0.4e1 + t1755 * t840 / 0.6e1 + t515 * t3534 / 0.6e1 + t515 * t3530 / 0.12e2 - t7228 * t1300 / 0.6e1 - t7233 * t1300 / 0.6e1;
  t7241 = t512 * t3076;
  t7242 = t649 * t7241;
  t7243 = t191 * t7242;
  t7248 = t30 * t519;
  t7251 = t30 * t1876;
  t7254 = t30 * t1872;
  t7261 = t7213 * t830;
  t7262 = t843 * t7261;
  t7276 = t633 * t1778;
  t7277 = t7276 * t1300;
  t7279 = t188 * t1818;
  t7281 = t773 * t545;
  t7283 = t188 * t1823;
  t7285 = t188 * t1856;
  t7287 = t238 * t1855;
  t7290 = t1770 * t832 / 0.2e1 - t1779 * t5195 / 0.3e1 - t1779 * t5170 / 0.6e1 - t627 * t1807 / 0.6e1 + t630 * t1811 / 0.2e1 - t7277 / 0.18e2 - t7279 / 0.6e1 - t7281 / 0.6e1 - t7283 / 0.6e1 - t7285 / 0.6e1 - t30 * t7287 / 0.2e1;
  t7293 = t615 * t200;
  t7294 = 0.1e1 / t7293;
  t7295 = t7294 * t697;
  t7316 = t700 * tau[0];
  t7329 = t700 * t257;
  t7332 = t7294 * t83;
  t7335 = 0.85e3 / 0.3e1 * t3331 * t7295 - 0.4e2 / 0.9e1 * t258 * t202 + 0.13e4 / 0.3e1 * t3334 * t7295 + 0.8e2 / 0.3e1 * t261 * t202 - 0.5e3 * t3314 * t7295 + 0.8e2 / 0.3e1 * t265 * t202 - 0.125e4 * t3321 * t7295 - 0.2e3 / 0.9e1 * t268 * t202 - 0.175e4 / 0.3e1 * t3326 * t7295 - 0.2e3 / 0.9e1 * t273 * t202 - 0.1e3 * t704 * t7316 - 0.36e3 * t709 * t7316 - 0.4e2 * t714 * t7316 + 0.5e3 * t719 * t7316 + 0.3e3 * t726 * t7316 - 0.4e2 / 0.9e1 * t202 * t77 + 0.2e2 * t7329 * tau[0] + 0.5e2 / 0.3e1 * t7332 * t697;
  t7336 = t253 * t7335;
  t7337 = t65 * t7336;
  t7340 = t525 * t732;
  t7351 = t543 * t193;
  t7352 = t7351 * t209;
  t7353 = t7352 * t826;
  t7356 = t543 * t794;
  t7357 = t253 * t7356;
  t7358 = t3273 * t7357;
  t7361 = t3267 * t513;
  t7362 = t7361 * t826;
  t7373 = t3389 * t1805;
  t7374 = t843 * t7373;
  t7379 = t1784 * t4828;
  t7384 = t680 * t7231;
  t7385 = t7384 * t1269;
  t7387 = t1784 * t4794;
  t7392 = t1779 * t3399 / 0.3e1 + 0.23e2 / 0.36e2 * t7196 * t4811 - t3070 * t1785 - t211 * t7374 / 0.6e1 + t608 * t1811 / 0.2e1 + t246 * t7379 / 0.2e1 - t630 * t1793 - t3061 * t1785 - t679 * t7385 - t679 * t7387 / 0.2e1 + 0.2e1 / 0.3e1 * t7228 * t1263;
  t7398 = t7384 * t1274;
  t7400 = params->at * t1854;
  t7401 = t837 * t7400;
  t7402 = t843 * t7401;
  t7406 = t7400 * t226 * t249;
  t7413 = t1797 * t3468;
  t7416 = t637 * t1793;
  t7419 = t247 * t1777;
  t7420 = t7419 * t4914;
  t7423 = t680 * t7241;
  t7424 = t7423 * t4903;
  t7427 = t7423 * t4918;
  t7430 = t637 * t1788;
  t7433 = t7276 * t1263;
  t7437 = t3051 * t1785;
  t7439 = t7276 * t1257;
  t7445 = 0.3e1 / 0.2e1 * t246 * t7420 - 0.3e1 * t246 * t7424 + 0.3e1 * t679 * t7427 + t7430 / 0.3e1 + t7243 * t5179 + 0.2e1 / 0.9e1 * t7433 - 0.2e1 * t7243 * t5185 - t7437 / 0.3e1 - t7439 / 0.9e1 - t630 * t1798 / 0.2e1 - t608 * t1798 / 0.2e1;
  t7449 = t3267 * t1791;
  t7450 = t7449 * t1281;
  t7452 = t1872 * t4774;
  t7454 = t1876 * t4780;
  t7457 = t4784 * t1777;
  t7458 = t7457 * t1274;
  t7460 = t512 * t794;
  t7461 = t3130 * t7460;
  t7462 = t4985 * t7461;
  t7465 = t7457 * t1269;
  t7468 = t1805 * t779 * t597;
  t7471 = t634 * t1807;
  t7475 = t637 * t1802;
  t7478 = t637 * t1798;
  t7480 = t1805 * t783;
  t7481 = t7480 * t684;
  t7484 = t7480 * t690;
  t7487 = t1254 * t1806;
  t7490 = t244 * t1805;
  t7491 = t1261 * t7490;
  t7503 = t3384 * t518 * t249;
  t7507 = -t7478 / 0.6e1 - t679 * t7481 / 0.2e1 + t246 * t7484 / 0.2e1 - t654 * t7487 / 0.6e1 + t654 * t7491 / 0.3e1 + 0.7e1 / 0.3e1 * t7196 * t4852 - 0.3e1 / 0.2e1 * t7196 * t4841 + t630 * t1802 / 0.2e1 + t608 * t1802 / 0.2e1 + t246 * t7503 / 0.4e1 - t608 * t1793;
  t7509 = t1745 * t595;
  t7510 = t247 * t7509;
  t7511 = t7510 * t1281;
  t7513 = t1792 * t3492;
  t7516 = t1261 * t1806;
  t7520 = t830 * t1869 * t249;
  t7525 = t247 * t1753;
  t7526 = t7525 * t826;
  t7529 = t1797 * t3447;
  t7532 = t661 * t526;
  t7546 = t626 * t1754;
  t7549 = t3209 * t514;
  t7555 = my_piecewise3(t49, t195, -0.8e2 / 0.27e2 * t1235);
  t7557 = t247 * t7555 * t249;
  t7561 = t3232 * t530 / 0.18e2;
  t7562 = t7555 * t208;
  t7563 = t194 * t7562;
  t7564 = t191 * t7563;
  t7567 = t3231 * t514;
  t7569 = t7567 * t223 / 0.54e2;
  t7572 = t3101 * t530 / 0.4e1 + t3226 * t530 / 0.2e1 + t3220 * t530 / 0.4e1 - t7546 * t223 / 0.6e1 - t7549 * t223 / 0.12e2 + t608 * t1747 / 0.2e1 + t246 * t7557 / 0.4e1 - t7561 - t7564 * t223 / 0.12e2 + t7569 - t1770 * t598 / 0.2e1;
  t7578 = t769 * t526 / 0.18e2;
  t7581 = t525 * t670;
  t7582 = t661 * t7581;
  t7585 = t524 * t676;
  t7586 = t242 * t7585;
  t7587 = t191 * t7586;
  t7592 = t626 * t1769;
  t7595 = t666 * t526;
  t7598 = t1891 * t243;
  t7599 = t242 * t7598;
  t7600 = t191 * t7599;
  t7606 = t222 * t1893;
  t7609 = t637 * t1747;
  t7611 = t633 * t1769;
  t7612 = t7611 * t250;
  t7614 = t3242 * t530;
  t7616 = t3247 * t530;
  t7618 = t634 * t1765;
  t7622 = t1760 * t645;
  t7628 = t3238 * t514;
  t7629 = t7628 * t223;
  t7631 = -t211 * t7606 / 0.6e1 + t7609 / 0.6e1 + t7612 / 0.6e1 + t7614 / 0.6e1 + t7616 / 0.6e1 - t7618 / 0.18e2 - t515 * t3096 / 0.12e2 - t7622 / 0.18e2 - t1750 * t645 / 0.6e1 - t1755 * t645 / 0.6e1 - t7629 / 0.18e2;
  t7633 = t633 * t1754;
  t7634 = t7633 * t223;
  t7639 = t769 * t545 / 0.18e2;
  t7647 = t188 * t1893;
  t7649 = t773 * t526;
  t7651 = t1875 * t5021;
  t7655 = t518 * t5014;
  t7658 = t193 * t7555;
  t7659 = t7658 * t208;
  t7664 = t648 * t1745;
  t7665 = t7664 * t682;
  t7670 = t1869 * t596;
  t7680 = t1875 * t3077;
  t7685 = t69 * t512;
  t7686 = t7685 * t3121;
  t7690 = t518 * t3259;
  t7697 = -0.6e1 * t7651 * t5025 + t7651 * t5023 + 0.4e1 * t7655 * t5018 - t7659 * t234 / 0.2e1 - 0.2e1 * t1870 * t796 - 0.2e1 / 0.3e1 * t7665 * t1320 + 0.4e1 * t7665 * t1324 - 0.4e1 * t7670 * t1315 + 0.3e1 * t1876 * t5098 - t519 * t3546 - 0.2e1 * t1876 * t5072 - 0.2e1 * t1872 * t5086 + 0.2e1 * t7680 * t5089 - t1876 * t5046 / 0.3e1 - t7686 * t5049 / 0.9e1 - t519 * t3602 - 0.3e1 * t7690 * t5129 + 0.6e1 * t7680 * t5062 - 0.3e1 * t7686 * t5065;
  t7715 = t7658 * t227;
  t7733 = -t1876 * t5104 + 0.2e1 * t7670 * t1334 + t1870 * t812 + t1872 * t5112 + t519 * t3634 / 0.2e1 + 0.4e1 / 0.3e1 * t7665 * t1328 - 0.4e1 * t7680 * t5120 + t7686 * t5123 / 0.18e2 + 0.1e2 / 0.3e1 * t7686 * t5126 + 0.2e1 / 0.3e1 * t1876 * t5106 + t7715 * t230 - 0.2e1 * t7665 * t1338 + 0.6e1 * t7686 * t5034 - 0.12e2 * t7680 * t5038 - 0.2e1 / 0.3e1 * t7686 * t5031 + 0.2e1 * t519 * t3564 + 0.6e1 * t7690 * t5095 + 0.2e1 * t1876 * t5075 - 0.2e1 * t1872 * t5042;
  t7734 = t7697 + t7733;
  t7735 = t59 * t7734;
  t7736 = t7735 * t95;
  t7742 = t626 * t1814;
  t7745 = t194 * t7509;
  t7746 = t191 * t7745;
  t7755 = t1892 * t277;
  t7758 = t819 * t544;
  t7767 = -t759 * t526 / 0.4e1 + t7742 * t1295 / 0.3e1 + t7746 * t1295 / 0.3e1 + t1815 * t5149 / 0.3e1 + t1815 * t3499 / 0.6e1 - t182 * t1818 / 0.2e1 - t30 * t7755 / 0.2e1 - t30 * t7758 / 0.4e1 - t1750 * t845 / 0.6e1 - t1755 * t845 / 0.6e1 - t515 * t3391 / 0.6e1;
  t7772 = my_piecewise3(t2, 0, t630 * t1788 + t608 * t1788 + t246 * t7398 - t3266 * t7450 - t30 * t7337 / 0.4e1 - t30 * t7340 / 0.4e1 - t759 * t545 / 0.4e1 - t182 * t1823 / 0.2e1 - t182 * t1856 / 0.2e1 - t7254 * t4885 / 0.3e1 - t3266 * t7353 / 0.4e1 + t3272 * t7358 / 0.12e2 - t3266 * t7362 / 0.2e1 + 0.2e1 / 0.3e1 * t1779 * t4820 - t211 * t7402 / 0.6e1 + t246 * t7406 / 0.2e1 - t7228 * t1257 / 0.3e1 - t7233 * t1257 / 0.3e1 + t246 * t7413 / 0.2e1 - t246 * t7511 - t246 * t7513 / 0.2e1 - t654 * t7516 / 0.12e2 + t246 * t7520 / 0.2e1 + t7254 * t4765 / 0.3e1 + t7251 * t4879 / 0.4e1 - 0.11e2 / 0.18e2 * t7196 * t5167 - t211 * t7262 / 0.6e1 + 0.2e1 / 0.3e1 * t7233 * t1263 + t4772 * t7452 - 0.3e1 / 0.2e1 * t4772 * t7454 + t3266 * t7458 + 0.3e1 / 0.2e1 * t4983 * t7462 - t4993 * t7465 - t246 * t7468 / 0.2e1 - t7251 * t4997 / 0.3e1 - t7251 * t5001 + 0.2e1 / 0.3e1 * t7251 * t5004 + t7251 * t5176 / 0.2e1 + t603 * t1765 / 0.6e1 - t182 * t1893 / 0.2e1 - t30 * t7736 / 0.4e1 - t642 * t1765 / 0.12e2 - t642 * t1807 / 0.12e2 - t246 * t7526 / 0.2e1 - t246 * t7529 / 0.4e1 - t654 * t7532 / 0.12e2 + t1770 * t623 / 0.4e1 + t630 * t1747 / 0.2e1 + t603 * t1807 / 0.6e1 - t1779 * t5190 / 0.6e1 - t515 * t3386 / 0.12e2 + t7243 * t5157 / 0.2e1 + t1750 * t840 / 0.6e1 + t7248 * t3276 / 0.6e1 - t7251 * t4874 / 0.6e1 + t654 * t7582 / 0.3e1 - t7587 * t685 / 0.2e1 + t1770 * t691 / 0.2e1 + t7592 * t250 / 0.2e1 - t654 * t7595 / 0.6e1 + t7600 * t250 / 0.2e1 - t627 * t1765 / 0.6e1 + t7631 + t7572 + t7445 + t7392 - t7416 / 0.3e1 + t7767 + t7578 + t7507 - t7634 / 0.18e2 - t7471 / 0.18e2 - t7647 / 0.6e1 - t7649 / 0.6e1 + t7475 / 0.6e1 + t7290 + t7639 + t7236);
  tv3rho2tau0 = t3 * t7772 + 0.2e1 * t1900;

  if(out->v3rho2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 0] += tv3rho2tau0;

  t7775 = t3893 * t554;
  t7778 = t3897 * t554;
  t7779 = t7778 * t350;
  t7781 = t3901 * t554;
  t7783 = t7781 * t350 / 0.54e2;
  t7786 = t869 * t566;
  t7789 = t873 * t566 / 0.18e2;
  t7792 = t3914 * t570;
  t7795 = t3917 * t570 / 0.18e2;
  t7798 = t869 * t585;
  t7801 = t873 * t585 / 0.18e2;
  t7802 = -t7775 * t350 / 0.12e2 - t7779 / 0.18e2 + t7783 - t865 * t566 / 0.4e1 - t7786 / 0.6e1 + t7789 + t3911 * t570 / 0.4e1 + t7792 / 0.6e1 - t7795 - t865 * t585 / 0.4e1 - t7798 / 0.6e1 + t7801;
  t7803 = my_piecewise3(t100, 0, t7802);
  tv3rho2tau1 = t3 * t7803 + 0.2e1 * t1921;

  if(out->v3rho2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 1] += tv3rho2tau1;

  t7820 = t897 * t1778;
  t7825 = t897 * t1814;
  t7828 = -t7177 / 0.36e2 + t7179 / 0.36e2 + t7184 / 0.18e2 + t7190 / 0.12e2 - t7277 / 0.36e2 - t903 * t1793 / 0.2e1 - t903 * t1798 / 0.4e1 - t7279 / 0.12e2 - t7281 / 0.12e2 - t7283 / 0.12e2 - t7285 / 0.12e2 + t1923 * t840 / 0.12e2 - t7820 * t1300 / 0.12e2 - t1923 * t845 / 0.12e2 + t7825 * t1295 / 0.6e1;
  t7851 = -t898 * t1807 / 0.12e2 + t903 * t1811 / 0.4e1 - t7416 / 0.6e1 + t7430 / 0.6e1 - t3740 * t1785 / 0.2e1 + t903 * t1788 / 0.2e1 - t7820 * t1257 / 0.6e1 + t7820 * t1263 / 0.3e1 + t903 * t1802 / 0.4e1 + t7433 / 0.9e1 - t7437 / 0.6e1 - t7439 / 0.18e2 - t7471 / 0.36e2 + t7475 / 0.12e2 - t7478 / 0.12e2 - t7561;
  t7857 = t894 * t526;
  t7859 = t3750 * t514;
  t7862 = t897 * t1754;
  t7869 = t897 * t1769;
  t7878 = t3761 * t530;
  t7880 = t3757 * t514;
  t7881 = t7880 * t223;
  t7883 = t7569 + t7578 - t890 * t526 / 0.4e1 - t307 * t1893 / 0.4e1 - t7857 / 0.12e2 - t7859 * t223 / 0.12e2 - t7862 * t223 / 0.12e2 - t1923 * t645 / 0.12e2 - t898 * t1765 / 0.12e2 + t7869 * t250 / 0.4e1 + t903 * t1747 / 0.4e1 + t3754 * t530 / 0.4e1 + t3776 * t530 / 0.4e1 + t7878 / 0.12e2 - t7881 / 0.36e2;
  t7892 = t894 * t545;
  t7904 = t7609 / 0.12e2 + t7612 / 0.12e2 + t7614 / 0.12e2 + t7616 / 0.12e2 - t7618 / 0.36e2 - t7622 / 0.36e2 - t7629 / 0.36e2 - t7634 / 0.36e2 - t7892 / 0.12e2 - t307 * t1823 / 0.4e1 - t307 * t1856 / 0.4e1 - t307 * t1818 / 0.4e1 - t890 * t545 / 0.4e1 + t7639 - t7647 / 0.12e2 - t7649 / 0.12e2;
  t7907 = my_piecewise3(t2, 0, t7828 + t7851 + t7883 + t7904);
  tv3rho2tau2 = t3 * t7907 + t1900 + t1933;

  if(out->v3rho2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 2] += tv3rho2tau2;

  t7909 = t4005 * t2026;
  t7911 = t937 * t1980;
  t7912 = t7911 * t1426;
  t7914 = t948 * t2029;
  t7916 = t933 * t1973;
  t7921 = t933 * t1980;
  t7924 = t938 * t1965;
  t7926 = t948 * t1969;
  t7928 = t948 * t2045;
  t7930 = t948 * t2041;
  t7932 = t948 * t2037;
  t7942 = -t7909 / 0.6e1 - t7912 / 0.18e2 + t7914 / 0.6e1 + t7916 * t1452 / 0.6e1 + t1902 * t1098 / 0.12e2 - t7921 * t1457 / 0.12e2 - t7924 / 0.36e2 + t7926 / 0.12e2 + t7928 / 0.12e2 - t7930 / 0.12e2 - t7932 / 0.6e1 - t7921 * t1426 / 0.6e1 + t7921 * t1432 / 0.3e1 - t945 * t2037 / 0.2e1 - t3971 * t2026 / 0.2e1;
  t7945 = t1905 * t1098;
  t7947 = t7911 * t1432;
  t7949 = t7911 * t1457;
  t7951 = t1905 * t1103;
  t7953 = t937 * t1973;
  t7954 = t7953 * t1452;
  t7966 = t929 * t566;
  t7968 = t294 * t2077;
  t7973 = t945 * t2029 / 0.2e1 + t7945 / 0.36e2 + t7947 / 0.9e1 - t7949 / 0.36e2 - t7951 / 0.36e2 + t7954 / 0.18e2 - t945 * t2041 / 0.4e1 + t945 * t2045 / 0.4e1 - t934 * t1965 / 0.12e2 + t945 * t1969 / 0.4e1 - t290 * t2077 / 0.4e1 - t7966 / 0.12e2 - t7968 / 0.12e2 - t925 * t566 / 0.4e1 - t7786 / 0.12e2 + t7789;
  t7979 = t294 * t2048;
  t7981 = t929 * t585;
  t7983 = t294 * t1989;
  t7985 = t294 * t2022;
  t7996 = -t7795 + t7792 / 0.12e2 - t7779 / 0.36e2 + t7783 - t1902 * t1103 / 0.12e2 - t7979 / 0.12e2 - t7981 / 0.12e2 - t7983 / 0.12e2 - t7985 / 0.12e2 - t290 * t2048 / 0.4e1 - t925 * t585 / 0.4e1 - t290 * t1989 / 0.4e1 - t290 * t2022 / 0.4e1 - t7798 / 0.12e2 + t7801;
  t7997 = t937 * t1955;
  t7998 = t7997 * t377;
  t8000 = t938 * t1951;
  t8002 = t3990 * t570;
  t8004 = t3993 * t570;
  t8006 = t937 * t1945;
  t8007 = t8006 * t350;
  t8009 = t948 * t1938;
  t8011 = t3986 * t554;
  t8012 = t8011 * t350;
  t8016 = t933 * t1955;
  t8019 = t1905 * t994;
  t8027 = t933 * t1945;
  t8032 = t4021 * t554;
  t8035 = t7998 / 0.12e2 - t8000 / 0.36e2 + t8002 / 0.12e2 + t8004 / 0.12e2 - t8007 / 0.36e2 + t8009 / 0.12e2 - t8012 / 0.36e2 - t934 * t1951 / 0.12e2 + t8016 * t377 / 0.4e1 - t8019 / 0.36e2 + t4025 * t570 / 0.4e1 + t4028 * t570 / 0.4e1 + t945 * t1938 / 0.4e1 - t8027 * t350 / 0.12e2 - t1902 * t994 / 0.12e2 - t8032 * t350 / 0.12e2;
  t8038 = my_piecewise3(t100, 0, t7942 + t7973 + t7996 + t8035);
  tv3rho2tau3 = t3 * t8038 + t1921 + t2082;

  if(out->v3rho2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 3] += tv3rho2tau3;

  t8041 = t3952 * t514;
  t8054 = -t8041 * t223 / 0.12e2 - t7881 / 0.18e2 + t7569 - t972 * t526 / 0.4e1 - t7857 / 0.6e1 + t7578 + t3958 * t530 / 0.4e1 + t7878 / 0.6e1 - t7561 - t972 * t545 / 0.4e1 - t7892 / 0.6e1 + t7639;
  t8055 = my_piecewise3(t2, 0, t8054);
  tv3rho2tau4 = t3 * t8055 + 0.2e1 * t1933;

  if(out->v3rho2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 4] += tv3rho2tau4;

  t8058 = t2056 * t5685;
  t8060 = t4696 * t1972;
  t8061 = t8060 * t1438;
  t8063 = t110 * t2060;
  t8069 = t2060 * t5667;
  t8072 = t5650 * t1979;
  t8073 = t8072 * t1415;
  t8077 = t4696 * t553;
  t8078 = t8077 * t1084;
  t8081 = t1065 * t1980;
  t8084 = t1936 * t999;
  t8085 = t649 * t8084;
  t8086 = t321 * t8085;
  t8089 = t552 * t4160;
  t8090 = t649 * t8089;
  t8091 = t321 * t8090;
  t8105 = t2040 * t4407;
  t8108 = t5665 * t8058 - t4695 * t8061 - t8063 * t5682 / 0.3e1 - t8063 * t5693 + 0.2e1 / 0.3e1 * t8063 * t5697 - 0.3e1 / 0.2e1 * t5665 * t8069 + t4695 * t8073 + t8063 * t5676 / 0.2e1 - t4695 * t8078 / 0.2e1 - t8081 * t1457 / 0.6e1 - t8086 * t1457 / 0.6e1 + t8091 * t6028 / 0.2e1 + t1941 * t1098 / 0.6e1 + t1946 * t1098 / 0.6e1 + t555 * t4538 / 0.6e1 + t555 * t4457 / 0.12e2 - t7909 / 0.3e1 - t7912 / 0.9e1 + t7914 / 0.3e1 - t373 * t8105 / 0.4e1;
  t8114 = t4371 * t558 * t376;
  t8118 = t1088 * t2053 * t376;
  t8122 = t1963 * t1153 * t376;
  t8125 = t1065 * t1973;
  t8128 = t1936 * t1045;
  t8129 = t194 * t8128;
  t8130 = t321 * t8129;
  t8133 = t374 * t1944;
  t8134 = t8133 * t1084;
  t8140 = t1963 * t1156 * t1047;
  t8144 = t194 * t1979;
  t8145 = t321 * t8144;
  t8150 = t1430 * t1964;
  t8153 = t1423 * t1964;
  t8156 = t371 * t1963;
  t8157 = t1430 * t8156;
  t8160 = t1963 * t1160;
  t8161 = t8160 * t1034;
  t8164 = t8160 * t1039;
  t8167 = t552 * t4140;
  t8168 = t3135 * t8167;
  t8169 = t321 * t8168;
  t8172 = t4719 * t8167;
  t8173 = t8172 * t5602;
  t8176 = t8172 * t5571;
  t8181 = -t8145 * t5715 / 0.2e1 + t1053 * t1965 / 0.6e1 - t1002 * t8150 / 0.12e2 - t1002 * t8153 / 0.6e1 + t1002 * t8157 / 0.3e1 - t1029 * t8161 / 0.2e1 + t373 * t8164 / 0.2e1 - t8169 * t5566 / 0.2e1 + 0.3e1 / 0.2e1 * t4718 * t8173 - 0.3e1 * t1029 * t8176 - t1981 * t5618 / 0.3e1;
  t8190 = t374 * t1979;
  t8191 = t8190 * t5702;
  t8196 = t1030 * t8089;
  t8197 = t8196 * t5728;
  t8201 = t8196 * t5635;
  t8209 = t583 * t1082;
  t8210 = t380 * t8209;
  t8211 = t4687 * t8210;
  t8214 = t110 * t559;
  t8219 = t110 * t2056;
  t8226 = t583 * t193;
  t8227 = t8226 * t336;
  t8228 = t8227 * t1084;
  t8233 = t7928 / 0.6e1 - t7930 / 0.6e1 + t4686 * t8211 / 0.12e2 + t8214 * t4690 / 0.6e1 - t8063 * t6001 / 0.6e1 - t8219 * t6015 / 0.3e1 + t8219 * t6006 / 0.3e1 + t8063 * t6009 / 0.4e1 - t4695 * t8228 / 0.4e1 - t7932 / 0.3e1 + t7945 / 0.18e2;
  t8236 = t552 * t1082;
  t8237 = t4572 * t8236;
  t8238 = t5641 * t8237;
  t8241 = t8072 * t1410;
  t8246 = t1030 * t8084;
  t8247 = t8246 * t1415;
  t8249 = t2025 * t4300;
  t8252 = t167 * t552;
  t8253 = t371 * t8252;
  t8254 = t5733 * t8253;
  t8262 = t564 * t146;
  t8263 = t8262 * t1096;
  t8264 = t1094 * t8263;
  t8271 = t1014 * t566;
  t8274 = t565 * t1018;
  t8275 = t1009 * t8274;
  t8278 = t564 * t1026;
  t8279 = t369 * t8278;
  t8280 = t321 * t8279;
  t8285 = t2075 * t370;
  t8286 = t369 * t8285;
  t8287 = t321 * t8286;
  t8292 = t7954 / 0.9e1 - t1956 * t1085 / 0.4e1 + t338 * t8264 / 0.12e2 - t1981 * t5762 / 0.6e1 - t1981 * t5759 / 0.12e2 - t1002 * t8271 / 0.6e1 + t1002 * t8275 / 0.3e1 - t8280 * t1035 / 0.2e1 + t1956 * t1040 / 0.2e1 + t8287 * t377 / 0.2e1 - t1066 * t1951 / 0.6e1;
  t8296 = t1065 * t1955;
  t8309 = t1009 * t566;
  t8316 = t349 * t2077;
  t8321 = my_piecewise3(t129, t322, -0.8e2 / 0.27e2 * t1390);
  t8322 = t8321 * t335;
  t8323 = t194 * t8322;
  t8324 = t321 * t8323;
  t8334 = t374 * t8321 * t376;
  t8337 = t4179 * t554;
  t8340 = t1065 * t1945;
  t8349 = -t8324 * t350 / 0.12e2 - t1946 * t994 / 0.6e1 - t555 * t4171 / 0.12e2 + t1058 * t1938 / 0.2e1 + t373 * t8334 / 0.4e1 - t8337 * t350 / 0.12e2 - t8340 * t350 / 0.6e1 - t1941 * t994 / 0.6e1 + t4183 * t570 / 0.4e1 - t7966 / 0.6e1 - t7968 / 0.6e1;
  t8351 = t374 * t8128;
  t8352 = t8351 * t1438;
  t8354 = t2036 * t4340;
  t8365 = t1190 * t584;
  t8369 = t2076 * t404;
  t8372 = t565 * t1147;
  t8379 = t365 * t2021;
  t8384 = t1115 * t384;
  t8387 = t982 * t327;
  t8388 = 0.1e1 / t8387;
  t8389 = t8388 * t156;
  t8392 = t8388 * t1112;
  t8413 = t1115 * tau[1];
  t8424 = -0.4e2 / 0.9e1 * t329 * t150 + 0.2e2 * t8384 * tau[1] + 0.5e2 / 0.3e1 * t8389 * t1112 + 0.85e3 / 0.3e1 * t4480 * t8392 - 0.4e2 / 0.9e1 * t385 * t329 + 0.13e4 / 0.3e1 * t4483 * t8392 + 0.8e2 / 0.3e1 * t388 * t329 - 0.5e3 * t4486 * t8392 + 0.8e2 / 0.3e1 * t392 * t329 - 0.125e4 * t4465 * t8392 - 0.2e3 / 0.9e1 * t395 * t329 - 0.175e4 / 0.3e1 * t4474 * t8392 - 0.2e3 / 0.9e1 * t400 * t329 - 0.1e3 * t1119 * t8413 - 0.36e3 * t1124 * t8413 - 0.4e2 * t1129 * t8413 + 0.5e3 * t1134 * t8413 + 0.3e3 * t1141 * t8413;
  t8425 = t380 * t8424;
  t8426 = t145 * t8425;
  t8433 = t193 * t8321;
  t8434 = t8433 * t335;
  t8437 = t69 * t552;
  t8438 = t8437 * t4607;
  t8443 = t558 * t4208;
  t8451 = t2053 * t1046;
  t8456 = t648 * t1936;
  t8457 = t8456 * t1032;
  t8460 = t2059 * t4214;
  t8479 = -t8434 * t361 / 0.2e1 + 0.6e1 * t8438 * t5865 + 0.2e1 * t559 * t4577 + 0.6e1 * t8443 * t5926 - t559 * t4560 - 0.2e1 * t2060 * t5881 + 0.2e1 * t2060 * t5885 - 0.4e1 * t8451 * t1472 - 0.2e1 * t2054 * t1167 - 0.2e1 / 0.3e1 * t8457 * t1477 - 0.12e2 * t8460 * t5869 - 0.2e1 / 0.3e1 * t8438 * t5862 - 0.2e1 * t2056 * t5900 - 0.2e1 * t2056 * t5910 + 0.2e1 * t8460 * t5913 - t2060 * t5916 / 0.3e1 - t8438 * t5919 / 0.9e1 + 0.3e1 * t2060 * t5877 + 0.4e1 * t8457 * t1481;
  t8495 = t8433 * t354;
  t8508 = t2059 * t5888;
  t8511 = t558 * t5895;
  t8515 = -t2060 * t5958 + 0.2e1 * t8451 * t1491 + t2054 * t1183 + t2056 * t5932 + t559 * t4638 / 0.2e1 - 0.4e1 * t8460 * t5940 + t8438 * t5943 / 0.18e2 + 0.1e2 / 0.3e1 * t8438 * t5960 + 0.2e1 / 0.3e1 * t2060 * t5963 + t8495 * t357 + 0.4e1 / 0.3e1 * t8457 * t1485 - 0.2e1 * t8457 * t1495 + 0.6e1 * t8460 * t5946 - 0.3e1 * t8438 * t5949 - 0.3e1 * t8443 * t5953 - t559 * t4649 - 0.6e1 * t8508 * t5892 + 0.4e1 * t8511 * t5897 + t8508 * t5972;
  t8516 = t8479 + t8515;
  t8517 = t139 * t8516;
  t8518 = t8517 * t168;
  t8525 = -t110 * t8369 / 0.2e1 - t110 * t8372 / 0.4e1 - t318 * t2048 / 0.2e1 - t318 * t2022 / 0.2e1 - t110 * t8379 / 0.2e1 - t110 * t8426 / 0.4e1 - t1205 * t585 / 0.4e1 - t318 * t1989 / 0.2e1 - t110 * t8518 / 0.4e1 - t1205 * t566 / 0.4e1 - t318 * t2077 / 0.2e1;
  t8528 = t8172 * t5576;
  t8552 = t8262 * t1088;
  t8553 = t1101 * t8552;
  t8562 = t4440 * t1963;
  t8563 = t1101 * t8562;
  t8567 = -t555 * t4442 / 0.6e1 - t555 * t4437 / 0.12e2 + t1974 * t5787 / 0.3e1 + t1974 * t4429 / 0.6e1 - t8000 / 0.18e2 - t338 * t8553 / 0.6e1 + t1956 * t1090 / 0.2e1 - t1066 * t1965 / 0.6e1 + t1070 * t1969 / 0.2e1 - t338 * t8563 / 0.6e1 + t8002 / 0.6e1;
  t8580 = t8246 * t1410;
  t8583 = t2025 * t4319;
  t8586 = t1027 * t8252;
  t8587 = t5595 * t8586;
  t8600 = params->at * t2020;
  t8601 = t1095 * t8600;
  t8602 = t1101 * t8601;
  t8606 = t8600 * t353 * t376;
  t8609 = t2040 * t4347;
  t8612 = -t1029 * t8583 / 0.2e1 - 0.3e1 / 0.2e1 * t5593 * t8587 - t991 * t1965 / 0.12e2 + t1981 * t4535 / 0.3e1 + 0.23e2 / 0.36e2 * t8169 * t5744 - t1070 * t2037 - t1058 * t2037 + t1058 * t1969 / 0.2e1 - t338 * t8602 / 0.6e1 + t373 * t8606 / 0.2e1 + t373 * t8609 / 0.2e1;
  t8617 = my_piecewise3(t100, 0, -t373 * t8134 / 0.2e1 - t555 * t4357 / 0.6e1 - t373 * t8140 / 0.2e1 - t110 * t8365 / 0.4e1 + 0.3e1 / 0.2e1 * t373 * t8528 - 0.5e1 / 0.36e2 * t8169 * t5756 - t1941 * t1103 / 0.6e1 - t1946 * t1103 / 0.6e1 - t4204 * t2026 - t4188 * t2026 - t1029 * t8580 - t1070 * t2041 / 0.2e1 - t1058 * t2041 / 0.2e1 - t8081 * t1426 / 0.3e1 - t8086 * t1426 / 0.3e1 - t1981 * t5621 / 0.6e1 - 0.11e2 / 0.18e2 * t8169 * t6022 + 0.2e1 / 0.3e1 * t8081 * t1432 + 0.3e1 / 0.2e1 * t373 * t8191 - 0.2e1 * t8091 * t5707 - 0.3e1 * t373 * t8197 + t8091 * t5632 + 0.3e1 * t1029 * t8201 + t1070 * t2045 / 0.2e1 + t1058 * t2045 / 0.2e1 + t373 * t8114 / 0.4e1 + t373 * t8118 / 0.2e1 + t373 * t8122 / 0.4e1 + t8125 * t1452 / 0.3e1 + t8130 * t1452 / 0.3e1 + t4176 * t570 / 0.4e1 + 0.2e1 / 0.3e1 * t8086 * t1432 + 0.2e1 / 0.3e1 * t1981 * t6052 + 0.3e1 / 0.2e1 * t5639 * t8238 - t5649 * t8241 + t1070 * t2029 + t1058 * t2029 + t373 * t8247 - t1002 * t8309 / 0.12e2 + t1956 * t1062 / 0.4e1 - t991 * t1951 / 0.12e2 - t338 * t8316 / 0.6e1 - t373 * t8352 - t373 * t8354 / 0.2e1 + t373 * t8249 / 0.2e1 + 0.7e1 / 0.3e1 * t5593 * t8254 + t8296 * t377 / 0.2e1 - t1956 * t1048 / 0.2e1 + t1053 * t1951 / 0.6e1 + t4274 * t570 / 0.2e1 + t1070 * t1938 / 0.2e1 + t8349 - t8007 / 0.18e2 + t8009 / 0.6e1 + t8181 + t8612 + t7801 + t8233 + t8004 / 0.6e1 - t8012 / 0.18e2 - t7795 + t8567 - t7981 / 0.6e1 - t7983 / 0.6e1 + t7789 + t7783 - t7979 / 0.6e1 + t8108 + t8292 + 0.2e1 / 0.9e1 * t7947 - t7949 / 0.18e2 - t7951 / 0.18e2 + t7998 / 0.6e1 - t7985 / 0.6e1 + t8525 - t7924 / 0.18e2 + t7926 / 0.6e1 - t8019 / 0.18e2);
  tv3rho2tau5 = t3 * t8617 + 0.2e1 * t2082;

  if(out->v3rho2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 5] += tv3rho2tau5;

  t8619 = t633 * t2092;
  t8621 = t8619 * t223 / 0.18e2;
  t8622 = t633 * t2086;
  t8623 = t8622 * t223;
  t8624 = t8623 / 0.36e2;
  t8625 = t633 * t2097;
  t8627 = t8625 * t667 / 0.18e2;
  t8629 = t8625 * t662 / 0.36e2;
  t8631 = t3051 * t2154 / 0.6e1;
  t8633 = t5234 * t432 / 0.6e1;
  t8635 = t8625 * t672 / 0.9e1;
  t8637 = t1218 * t1223 / 0.18e2;
  t8641 = t637 * t2170 / 0.6e1;
  t8643 = t637 * t2162 / 0.6e1;
  t8644 = t637 * t2158;
  t8645 = t8644 / 0.12e2;
  t8646 = t2087 * t645;
  t8647 = t8646 / 0.12e2;
  t8648 = -t2089 + t2160 + t8621 - t8624 - t8627 - t8629 - t8631 + t8633 + t8635 - t8637 - t2098 * t3175 / 0.12e2 + t8641 - t8643 + t8645 - t8647;
  t8649 = t626 * t2092;
  t8654 = t626 * t2097;
  t8657 = t3389 * t2106;
  t8658 = t836 * t8657;
  t8661 = t4984 * t651;
  t8667 = t789 * t1278;
  t8670 = t3428 * t1250;
  t8673 = t789 * t415;
  t8680 = t420 * t595;
  t8685 = t1318 * t651;
  t8688 = 0.2e1 / 0.3e1 * t8661 * t2318 + 0.2e1 * t789 * t1237 * t249 - 0.4e1 * t8667 * t1281 + 0.4e1 / 0.3e1 * t8670 * t1269 - 0.2e1 * t8673 * t826 + 0.4e1 * t8670 * t1274 - 0.2e1 * t1331 * t222 + 0.4e1 * t8680 * t1281 + 0.2e1 * t423 * t826 - 0.4e1 * t8685 * t1274;
  t8689 = t94 * t8688;
  t8690 = t837 * t8689;
  t8691 = t836 * t8690;
  t8694 = t94 * t1237;
  t8695 = t837 * t8694;
  t8696 = t1254 * t8695;
  t8703 = t1261 * t8695;
  t8708 = t2090 * t3118;
  t8709 = t3135 * t8708;
  t8710 = t191 * t8709;
  t8711 = t4808 * t1256;
  t8716 = t2084 * t651;
  t8717 = t649 * t8716;
  t8718 = t191 * t8717;
  t8719 = t8718 * t1300;
  t8720 = t8719 / 0.12e2;
  t8721 = t247 * t2096;
  t8722 = t8721 * t1281;
  t8725 = t247 * t2091;
  t8726 = t8725 * t826;
  t8729 = t8649 * t223 / 0.6e1 + t2093 * t645 / 0.6e1 - t8654 * t662 / 0.12e2 + t417 * t8658 / 0.12e2 + t417 * t8691 / 0.12e2 - t1252 * t8696 / 0.3e1 + t2098 * t3691 / 0.3e1 + t2093 * t845 / 0.6e1 - t1252 * t8703 / 0.6e1 + t2098 * t3525 / 0.6e1 - 0.5e1 / 0.36e2 * t8710 * t8711 - t2098 * t3380 / 0.12e2 - t8720 + 0.3e1 / 0.2e1 * t246 * t8722 + t246 * t8726 / 0.2e1;
  t8732 = t830 * t2120 * t597;
  t8735 = t680 * t2096;
  t8736 = t8735 * t3362;
  t8738 = t680 * t8716;
  t8739 = t8738 * t1274;
  t8740 = t246 * t8739;
  t8741 = t8740 / 0.2e1;
  t8742 = t4867 * t1256;
  t8745 = t4851 * t1262;
  t8748 = t4748 * t1255;
  t8749 = t1254 * t8748;
  t8752 = t1226 * t1255;
  t8753 = t1261 * t8752;
  t8756 = t414 * t2105;
  t8757 = t3130 * t8756;
  t8758 = t4985 * t8757;
  t8761 = t2105 * t206;
  t8762 = t3556 * t8761;
  t8763 = t1319 * t8762;
  t8766 = t95 * t8761;
  t8767 = t5175 * t8766;
  t8770 = t670 * t8761;
  t8771 = t4877 * t8770;
  t8774 = t788 * t8761;
  t8775 = t1313 * t8774;
  t8778 = t2105 * t794;
  t8779 = t3562 * t8778;
  t8780 = t421 * t8779;
  t8783 = t4768 * t2166;
  t8786 = t3273 * t8766;
  t8789 = -t246 * t8732 / 0.2e1 + t679 * t8736 + t8741 - t8710 * t8742 / 0.2e1 + 0.7e1 / 0.3e1 * t8710 * t8745 - t1252 * t8749 / 0.3e1 + 0.2e1 / 0.3e1 * t1252 * t8753 + t4983 * t8758 / 0.2e1 - t4772 * t8763 / 0.2e1 + t4872 * t8767 / 0.6e1 - t4872 * t8771 / 0.3e1 + t4772 * t8775 / 0.2e1 + t4772 * t8780 / 0.2e1 - t3266 * t8783 / 0.4e1 - t4761 * t8786 / 0.6e1;
  t8790 = t3562 * t65;
  t8791 = t95 * t8778;
  t8792 = t8790 * t8791;
  t8795 = t4877 * t8766;
  t8798 = t276 * t2105;
  t8799 = t253 * t8798;
  t8800 = t3273 * t8799;
  t8809 = t626 * t2086;
  t8810 = t8809 * t223;
  t8811 = t8810 / 0.12e2;
  t8828 = t2087 * t845;
  t8829 = t8828 / 0.12e2;
  t8830 = -t4882 * t8792 / 0.6e1 + t4872 * t8795 / 0.12e2 + t4882 * t8800 / 0.12e2 - t1247 * t1223 / 0.6e1 - t417 * t5261 / 0.6e1 + t8654 * t672 / 0.3e1 - t8811 - t8654 * t667 / 0.6e1 - t2098 * t3056 / 0.6e1 - t1242 * t1223 / 0.6e1 + t2098 * t3091 / 0.3e1 + t1228 * t1239 / 0.2e1 - t3070 * t2154 / 0.2e1 + t5277 * t432 / 0.2e1 + t5266 * t432 / 0.2e1 - t8829;
  t8833 = t843 * t8695;
  t8836 = t194 * t2096;
  t8837 = t191 * t8836;
  t8842 = t2090 * t3076;
  t8843 = t649 * t8842;
  t8844 = t191 * t8843;
  t8847 = t660 * t1237;
  t8848 = t659 * t8847;
  t8849 = t1267 * t8848;
  t8851 = t680 * t8842;
  t8852 = t8851 * t1269;
  t8860 = t637 * t2167 / 0.12e2;
  t8862 = t1218 * t2108 / 0.36e2;
  t8863 = t8735 * t3410;
  t8865 = t830 * t2124;
  t8866 = t8865 * t690;
  t8873 = t630 * t2158;
  t8874 = t8873 / 0.4e1;
  t8875 = t1294 * t8833 / 0.3e1 - t8837 * t1295 / 0.2e1 - t2093 * t840 / 0.6e1 + t8844 * t1300 / 0.2e1 - t679 * t8849 + 0.3e1 * t679 * t8852 + t2098 * t3503 / 0.3e1 - t417 * t4750 / 0.6e1 - t8860 + t8862 - t246 * t8863 + t246 * t8866 / 0.2e1 - t630 * t2167 / 0.4e1 - t608 * t2167 / 0.4e1 + t8874;
  t8876 = t608 * t2158;
  t8877 = t8876 / 0.4e1;
  t8886 = t2147 * t277;
  t8889 = t8865 * t684;
  t8892 = t2084 * t595;
  t8893 = t247 * t8892;
  t8894 = t8893 * t1281;
  t8895 = t246 * t8894;
  t8896 = t8895 / 0.2e1;
  t8897 = t247 * t2085;
  t8898 = t8897 * t826;
  t8899 = t246 * t8898;
  t8900 = t8899 / 0.4e1;
  t8909 = t188 * t2148 / 0.12e2;
  t8910 = t194 * t8892;
  t8911 = t191 * t8910;
  t8912 = t8911 * t1295;
  t8913 = t8912 / 0.6e1;
  t8914 = t2087 * t840;
  t8915 = t8914 / 0.12e2;
  t8916 = t8877 - t630 * t2162 / 0.2e1 - t608 * t2162 / 0.2e1 + t608 * t2170 / 0.2e1 - t3061 * t2154 / 0.2e1 - t30 * t8886 / 0.4e1 - t679 * t8889 / 0.2e1 - t8896 - t8900 - t1228 * t1282 - t1228 * t1286 / 0.2e1 + t1228 * t1290 / 0.2e1 - t182 * t2148 / 0.4e1 - t8909 + t8913 + t8915;
  t8918 = t8851 * t1274;
  t8921 = t3115 * t8708;
  t8922 = t3139 * t1268;
  t8923 = t8921 * t8922;
  t8927 = t3144 * t206;
  t8928 = t3139 * t8927;
  t8929 = t8921 * t8928;
  t8932 = t3124 * t206;
  t8933 = t3139 * t8932;
  t8934 = t8921 * t8933;
  t8937 = t8738 * t1269;
  t8938 = t679 * t8937;
  t8939 = t8938 / 0.2e1;
  t8940 = t4851 * t1256;
  t8943 = t4808 * t1262;
  t8946 = t677 * t1255;
  t8947 = t4808 * t8946;
  t8951 = t8718 * t1257;
  t8952 = t8951 / 0.6e1;
  t8953 = t8718 * t1263;
  t8954 = t8953 / 0.3e1;
  t8958 = t4896 * t2166;
  t8961 = -0.3e1 * t246 * t8918 + 0.3e1 / 0.2e1 * t246 * t8923 + t1228 * t1275 + 0.3e1 / 0.2e1 * t3167 * t8929 - 0.3e1 * t679 * t8934 - t8939 - 0.11e2 / 0.18e2 * t8710 * t8940 + 0.23e2 / 0.36e2 * t8710 * t8943 - 0.3e1 / 0.2e1 * t8710 * t8947 - t5286 * t1270 - t8952 + t8954 + t8844 * t1257 - 0.2e1 * t8844 * t1263 - t246 * t8958 / 0.4e1;
  t8963 = t824 * t221 * t8688;
  t8964 = t1285 * t8963;
  t8968 = t659 * t665 * t1237;
  t8969 = t1267 * t8968;
  t8972 = t830 * t2117 * t249;
  t8973 = t246 * t8972;
  t8974 = t8973 / 0.4e1;
  t8976 = t219 * t221 * t1237;
  t8977 = t1279 * t8976;
  t8979 = t244 * t8694;
  t8980 = t1261 * t8979;
  t8987 = t843 * t8748;
  t8992 = t1261 * t8748;
  t8999 = t62 * t2105;
  t9000 = t8999 * t206;
  t9001 = t815 * t9000;
  t9004 = t60 * t1237;
  t9005 = t689 * t9004;
  t9010 = t229 * t9004;
  t9013 = t2120 * t3259;
  t9016 = t2141 * t206;
  t9017 = t3556 * t9016;
  t9019 = t648 * t2084;
  t9020 = t9019 * t682;
  t9021 = t9020 * t1324;
  t9022 = 0.2e1 * t9021;
  t9023 = t2124 * t3077;
  t9026 = t69 * t2090;
  t9027 = t9026 * t3121;
  t9028 = t3125 * t1314;
  t9031 = t3130 * t1314;
  t9034 = t63 * t1237;
  t9035 = t683 * t9034;
  t9038 = -0.2e1 * t5022 * t9001 - 0.2e1 * t1319 * t9005 + 0.2e1 * t2125 * t3607 + 0.2e1 * t1313 * t9010 - 0.3e1 * t9013 * t1334 + t1319 * t9017 + t9022 - 0.12e2 * t9023 * t1324 - 0.2e1 / 0.3e1 * t9027 * t9028 + 0.6e1 * t9027 * t9031 - 0.2e1 / 0.3e1 * t1319 * t9035;
  t9041 = t3168 * t1314;
  t9045 = t2117 * t596;
  t9046 = t9045 * t1315;
  t9047 = 0.2e1 * t9046;
  t9048 = t2118 * t796;
  t9049 = t9020 * t1320;
  t9050 = t9049 / 0.3e1;
  t9051 = t63 * t8688;
  t9052 = t788 * t9051;
  t9054 = t3130 * t9016;
  t9057 = t689 * t9034;
  t9062 = t788 * t9016;
  t9064 = t2141 * t794;
  t9065 = t3562 * t9064;
  t9067 = 0.2e1 / 0.3e1 * t2125 * t3543 - t9027 * t9041 / 0.9e1 - t1311 * t2129 - t9047 - t9048 - t9050 - t421 * t9052 - 0.2e1 / 0.3e1 * t1319 * t9054 + 0.4e1 * t1319 * t9057 - 0.4e1 * t2125 * t3557 - t1313 * t9062 - t421 * t9065;
  t9069 = t229 * t9034;
  t9078 = t233 * t9000;
  t9081 = t227 * t3123;
  t9082 = t420 * t9081;
  t9083 = t8999 * t794;
  t9084 = t233 * t9083;
  t9087 = t802 * t9000;
  t9090 = t2118 * t812;
  t9091 = t9090 / 0.2e1;
  t9092 = t9020 * t1328;
  t9093 = 0.2e1 / 0.3e1 * t9092;
  t9096 = -0.4e1 * t1313 * t9069 + 0.6e1 * t9013 * t1315 + 0.2e1 * t2121 * t796 + 0.2e1 * t9023 * t1320 + 0.2e1 * t5015 * t9078 + 0.2e1 * t9082 * t9084 + t5022 * t9087 / 0.3e1 - t2138 + t9091 + t9093 - 0.4e1 * t9023 * t1328;
  t9097 = t3168 * t1327;
  t9100 = t9020 * t1338;
  t9103 = t3130 * t1327;
  t9109 = t60 * t8688;
  t9110 = t788 * t9109;
  t9113 = t3125 * t1327;
  t9116 = t683 * t9004;
  t9121 = t9045 * t1334;
  t9122 = t9027 * t9097 / 0.18e2 - t9100 + 0.6e1 * t9023 * t1338 - 0.3e1 * t9027 * t9103 - t2121 * t812 + t1311 * t2142 / 0.2e1 + t421 * t9110 / 0.2e1 + 0.1e2 / 0.3e1 * t9027 * t9113 + 0.4e1 / 0.3e1 * t1319 * t9116 - 0.4e1 / 0.3e1 * t2125 * t3616 + t9121 + t2119;
  t9124 = t9038 + t9067 + t9096 + t9122;
  t9125 = t59 * t9124;
  t9126 = t9125 * t95;
  t9131 = t222 * t2148;
  t9134 = t2146 * t243;
  t9135 = t242 * t9134;
  t9136 = t191 * t9135;
  t9139 = -t246 * t8964 / 0.4e1 + t246 * t8969 + t8974 - t246 * t8977 + 0.2e1 / 0.3e1 * t1252 * t8980 - 0.2e1 / 0.3e1 * t2098 * t3522 - t2098 * t3366 / 0.6e1 + t1294 * t8987 / 0.3e1 + t417 * t4754 / 0.6e1 - t1252 * t8992 / 0.6e1 + t1242 * t2108 / 0.12e2 + t1247 * t2108 / 0.12e2 - t30 * t9126 / 0.4e1 + t630 * t2170 / 0.2e1 - t211 * t9131 / 0.12e2 + t9136 * t250 / 0.4e1;
  t9143 = my_piecewise3(t2, 0, t8648 + t8729 + t8789 + t8830 + t8875 + t8916 + t8961 + t9139);
  tv3rhosigma20 = t3 * t9143 + t2174;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  t9145 = t937 * t2177;
  t9146 = t9145 * t350;
  t9147 = t9146 / 0.36e2;
  t9148 = t937 * t2183;
  t9150 = t9148 * t350 / 0.18e2;
  t9151 = t937 * t2188;
  t9153 = t9151 * t1015 / 0.18e2;
  t9155 = t1354 * t1378 / 0.18e2;
  t9157 = t9151 * t1010 / 0.36e2;
  t9159 = t948 * t2253 / 0.6e1;
  t9161 = t5484 * t457 / 0.6e1;
  t9163 = t4005 * t2245 / 0.6e1;
  t9165 = t9151 * t1020 / 0.9e1;
  t9166 = t933 * t2177;
  t9168 = t9166 * t350 / 0.12e2;
  t9170 = t948 * t2261 / 0.6e1;
  t9171 = t948 * t2249;
  t9172 = t9171 / 0.12e2;
  t9173 = t933 * t2188;
  t9178 = -t9147 + t9150 - t9153 - t9155 - t9157 - t9159 + t9161 - t9163 + t9165 - t9168 + t9170 + t9172 + t9173 * t1020 / 0.3e1 + t5449 * t457 / 0.2e1;
  t9179 = t933 * t2183;
  t9195 = t945 * t2249 / 0.4e1;
  t9199 = t948 * t2258 / 0.12e2;
  t9201 = t1354 * t2199 / 0.36e2;
  t9207 = t294 * t2239 / 0.12e2;
  t9208 = t9179 * t350 / 0.6e1 - t9173 * t1010 / 0.12e2 - t9173 * t1015 / 0.6e1 - t945 * t2253 / 0.2e1 - t1351 * t1378 / 0.6e1 + t945 * t2261 / 0.2e1 - t3971 * t2245 / 0.2e1 + t9195 + t1351 * t2199 / 0.12e2 - t9199 + t9201 - t945 * t2258 / 0.4e1 - t290 * t2239 / 0.4e1 - t9207;
  t9210 = my_piecewise3(t100, 0, t9178 + t9208);
  tv3rhosigma25 = t3 * t9210 + t2265;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  t9214 = t897 * t2092;
  t9217 = t897 * t2097;
  t9222 = t897 * t2086;
  t9224 = t9222 * t223 / 0.12e2;
  t9234 = t903 * t2158 / 0.4e1;
  t9237 = t5384 * t432 / 0.2e1 + t9214 * t223 / 0.6e1 - t9217 * t662 / 0.12e2 - t9217 * t667 / 0.6e1 - t9224 - t903 * t2162 / 0.2e1 - t1368 * t1223 / 0.6e1 + t9217 * t672 / 0.3e1 - t3740 * t2154 / 0.2e1 + t9234 + t903 * t2170 / 0.2e1 + t8621 - t8624 - t8627;
  t9244 = -t8629 - t8631 + t8633 + t8635 - t8637 + t8641 - t8643 + t8645 - t903 * t2167 / 0.4e1 + t1368 * t2108 / 0.12e2 - t8860 + t8862 - t8909 - t307 * t2148 / 0.4e1;
  t9246 = my_piecewise3(t2, 0, t9237 + t9244);
  tv3rhosigma26 = t3 * t9246 + t2174;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  t9248 = t1381 * t1424;
  t9249 = t1430 * t9248;
  t9252 = t2181 * t4140;
  t9253 = t3135 * t9252;
  t9254 = t321 * t9253;
  t9255 = t1027 * t1424;
  t9256 = t5595 * t9255;
  t9261 = t5733 * t1425;
  t9264 = t5595 * t1431;
  t9267 = t5563 * t1425;
  t9270 = t5733 * t1431;
  t9273 = t5553 * t1424;
  t9274 = t1423 * t9273;
  t9277 = t2175 * t999;
  t9278 = t649 * t9277;
  t9279 = t321 * t9278;
  t9280 = t9279 * t1426;
  t9281 = t9280 / 0.6e1;
  t9282 = t9279 * t1432;
  t9283 = t9282 / 0.3e1;
  t9284 = t194 * t2187;
  t9285 = t321 * t9284;
  t9290 = -t2180 + t2251 + 0.2e1 / 0.3e1 * t1421 * t9249 - 0.3e1 / 0.2e1 * t9254 * t9256 - t5792 * t1411 + t1383 * t1416 - 0.11e2 / 0.18e2 * t9254 * t9261 + 0.23e2 / 0.36e2 * t9254 * t9264 - t9254 * t9267 / 0.2e1 + 0.7e1 / 0.3e1 * t9254 * t9270 - t1421 * t9274 / 0.3e1 - t9281 + t9283 - t9285 * t1452 / 0.2e1 - t2184 * t1098 / 0.6e1;
  t9291 = t2181 * t4160;
  t9292 = t649 * t9291;
  t9293 = t321 * t9292;
  t9298 = t167 * t1392;
  t9299 = t1095 * t9298;
  t9300 = t1430 * t9299;
  t9303 = t2175 * t1045;
  t9304 = t194 * t9303;
  t9305 = t321 * t9304;
  t9306 = t9305 * t1452;
  t9307 = t9306 / 0.6e1;
  t9308 = t9293 * t1457 / 0.2e1 + t2184 * t1103 / 0.6e1 - t1421 * t9300 / 0.6e1 + t9307 - t9147 + t9150 - t9153 - t9155 - t9157 - t9159 + t9161 - t9163 + t9165 + t9170 + t9172;
  t9310 = t1008 * t1392;
  t9311 = t1007 * t9310;
  t9312 = t1408 * t9311;
  t9314 = t1030 * t9291;
  t9315 = t9314 * t1410;
  t9318 = t1030 * t2187;
  t9319 = t9318 * t4307;
  t9321 = t1088 * t2215;
  t9322 = t9321 * t1034;
  t9326 = t2196 * t333;
  t9327 = t1018 * t9326;
  t9328 = t5691 * t9327;
  t9331 = t168 * t9326;
  t9332 = t5674 * t9331;
  t9335 = t4626 * t9326;
  t9336 = t1476 * t9335;
  t9339 = t439 * t2196;
  t9340 = t4572 * t9339;
  t9341 = t5641 * t9340;
  t9346 = t371 * t9298;
  t9347 = t1430 * t9346;
  t9350 = t1423 * t9299;
  t9359 = -t1029 * t9312 + 0.3e1 * t1029 * t9315 + t1029 * t9319 - t1029 * t9322 / 0.2e1 - t1383 * t1439 - t5673 * t9328 / 0.3e1 + t5673 * t9332 / 0.6e1 - t5665 * t9336 / 0.2e1 + t5639 * t9341 / 0.2e1 - t442 * t5607 / 0.6e1 + 0.2e1 / 0.3e1 * t1421 * t9347 - t1421 * t9350 / 0.3e1 + t2189 * t4554 / 0.3e1 - t2189 * t4550 / 0.6e1 + t2189 * t4452 / 0.6e1;
  t9360 = t5595 * t1425;
  t9369 = t5541 * t2257;
  t9372 = t5640 * t999;
  t9378 = t1077 * t1435;
  t9381 = t4388 * t1407;
  t9384 = t1077 * t440;
  t9391 = t445 * t1045;
  t9396 = t1475 * t999;
  t9399 = 0.2e1 / 0.3e1 * t9372 * t2389 + 0.2e1 * t1077 * t1392 * t376 - 0.4e1 * t9378 * t1438 + 0.4e1 / 0.3e1 * t9381 * t1410 - 0.2e1 * t9384 * t1084 + 0.4e1 * t9381 * t1415 - 0.2e1 * t1488 * t349 + 0.4e1 * t9391 * t1438 + 0.2e1 * t448 * t1084 - 0.4e1 * t9396 * t1415;
  t9401 = t1076 * t348 * t9399;
  t9402 = t1442 * t9401;
  t9405 = t374 * t9303;
  t9406 = t9405 * t1438;
  t9407 = t373 * t9406;
  t9408 = t9407 / 0.2e1;
  t9409 = t374 * t2176;
  t9410 = t9409 * t1084;
  t9411 = t373 * t9410;
  t9412 = t9411 / 0.4e1;
  t9414 = t1088 * t2208 * t376;
  t9415 = t373 * t9414;
  t9416 = t9415 / 0.4e1;
  t9421 = t4440 * t2197;
  t9422 = t1094 * t9421;
  t9425 = t167 * t9399;
  t9426 = t1095 * t9425;
  t9427 = t1094 * t9426;
  t9430 = t1101 * t9299;
  t9436 = -0.5e1 / 0.36e2 * t9254 * t9360 - t2189 * t4433 / 0.12e2 - t1070 * t2258 / 0.4e1 - t1058 * t2258 / 0.4e1 - t373 * t9369 / 0.4e1 - t373 * t9402 / 0.4e1 - t9408 - t9412 + t9416 + t1397 * t2199 / 0.12e2 + t1402 * t2199 / 0.12e2 + t442 * t9422 / 0.12e2 + t442 * t9427 / 0.12e2 + t1451 * t9430 / 0.3e1 + t9293 * t1426 - 0.2e1 * t9293 * t1432;
  t9439 = t403 * t2196;
  t9440 = t380 * t9439;
  t9441 = t4687 * t9440;
  t9444 = t4575 * t145;
  t9445 = t2196 * t1082;
  t9446 = t168 * t9445;
  t9447 = t9444 * t9446;
  t9450 = t5691 * t9331;
  t9453 = t1165 * t9326;
  t9454 = t1470 * t9453;
  t9457 = t4687 * t9331;
  t9460 = t6018 * t2257;
  t9463 = t4575 * t9445;
  t9464 = t446 * t9463;
  t9467 = t2237 * t370;
  t9468 = t369 * t9467;
  t9469 = t321 * t9468;
  t9478 = t2238 * t404;
  t9481 = t2178 * t1098;
  t9482 = t9481 / 0.12e2;
  t9483 = -t9199 + t9201 + t6012 * t9441 / 0.12e2 - t6012 * t9447 / 0.6e1 + t5673 * t9450 / 0.12e2 + t5665 * t9454 / 0.2e1 - t6004 * t9457 / 0.6e1 - t4695 * t9460 / 0.4e1 + t5665 * t9464 / 0.2e1 + t9469 * t377 / 0.4e1 + t5797 * t457 / 0.2e1 + t5814 * t457 / 0.2e1 + t1383 * t1394 / 0.2e1 - t110 * t9478 / 0.4e1 + t9482;
  t9484 = t9279 * t1457;
  t9485 = t9484 / 0.12e2;
  t9486 = t2178 * t1103;
  t9487 = t9486 / 0.12e2;
  t9489 = t1007 * t1013 * t1392;
  t9490 = t1408 * t9489;
  t9492 = t9318 * t4324;
  t9494 = t9321 * t1039;
  t9498 = t346 * t348 * t1392;
  t9499 = t1436 * t9498;
  t9501 = t374 * t2187;
  t9502 = t9501 * t1438;
  t9505 = t374 * t2182;
  t9506 = t9505 * t1084;
  t9510 = t1088 * t2211 * t1047;
  t9515 = t1065 * t2188;
  t9522 = t1065 * t2183;
  t9529 = -t9485 - t9487 + t373 * t9490 - t373 * t9492 + t373 * t9494 / 0.2e1 - t373 * t9499 + 0.3e1 / 0.2e1 * t373 * t9502 + t373 * t9506 / 0.2e1 - t373 * t9510 / 0.2e1 + t2184 * t994 / 0.6e1 - t9515 * t1010 / 0.12e2 - t2189 * t4228 / 0.12e2 - t9515 * t1015 / 0.6e1 + t9522 * t350 / 0.6e1 + t1070 * t2261 / 0.2e1 + t1058 * t2261 / 0.2e1;
  t9531 = t349 * t2239;
  t9534 = t1058 * t2249;
  t9535 = t9534 / 0.4e1;
  t9542 = t1070 * t2249;
  t9543 = t9542 / 0.4e1;
  t9544 = t1065 * t2177;
  t9545 = t9544 * t350;
  t9546 = t9545 / 0.12e2;
  t9547 = t2178 * t994;
  t9548 = t9547 / 0.12e2;
  t9563 = -t338 * t9531 / 0.12e2 + t9535 - t1070 * t2253 / 0.2e1 - t1058 * t2253 / 0.2e1 - t4188 * t2245 / 0.2e1 + t9543 - t9546 - t9548 + t2189 * t4264 / 0.3e1 - t4204 * t2245 / 0.2e1 - t2189 * t4135 / 0.6e1 - t1397 * t1378 / 0.6e1 - t1402 * t1378 / 0.6e1 - t442 * t5809 / 0.6e1 + t9515 * t1020 / 0.3e1;
  t9566 = t142 * t2196;
  t9567 = t9566 * t333;
  t9568 = t1186 * t9567;
  t9571 = t1173 * t9567;
  t9574 = t360 * t9567;
  t9577 = t354 * t4147;
  t9578 = t445 * t9577;
  t9579 = t9566 * t1082;
  t9580 = t360 * t9579;
  t9583 = t648 * t2175;
  t9584 = t9583 * t1032;
  t9585 = t9584 * t1477;
  t9586 = t9585 / 0.3e1;
  t9587 = t2211 * t4208;
  t9592 = t2215 * t4214;
  t9595 = t143 * t1392;
  t9596 = t1033 * t9595;
  t9601 = t69 * t2181;
  t9602 = t9601 * t4607;
  t9603 = t4609 * t1471;
  t9606 = -0.2e1 * t5889 * t9568 + t5889 * t9571 / 0.3e1 + 0.2e1 * t5896 * t9574 + 0.2e1 * t9578 * t9580 - t9586 + 0.6e1 * t9587 * t1472 + 0.2e1 * t2212 * t1167 + 0.2e1 * t9592 * t1477 - 0.2e1 / 0.3e1 * t1476 * t9596 + 0.2e1 / 0.3e1 * t2216 * t4573 - t9602 * t9603 / 0.9e1;
  t9608 = t2208 * t1046;
  t9609 = t9608 * t1472;
  t9610 = 0.2e1 * t9609;
  t9611 = t2209 * t1167;
  t9612 = t1038 * t9595;
  t9617 = t2232 * t333;
  t9618 = t1165 * t9617;
  t9620 = t2232 * t1082;
  t9621 = t4575 * t9620;
  t9623 = t356 * t9595;
  t9626 = t143 * t9399;
  t9627 = t1165 * t9626;
  t9629 = t4572 * t9617;
  t9632 = t4626 * t9617;
  t9634 = t9584 * t1481;
  t9635 = 0.2e1 * t9634;
  t9636 = -t1468 * t2220 - t9610 - t9611 + 0.4e1 * t1476 * t9612 - 0.4e1 * t2216 * t4656 - t1470 * t9618 - t446 * t9621 - 0.4e1 * t1470 * t9623 - t446 * t9627 - 0.2e1 / 0.3e1 * t1476 * t9629 + t1476 * t9632 + t9635;
  t9640 = t4619 * t1471;
  t9643 = t4572 * t1471;
  t9651 = t140 * t9399;
  t9652 = t1165 * t9651;
  t9655 = t4609 * t1484;
  t9658 = t4619 * t1484;
  t9661 = t140 * t1392;
  t9662 = t1033 * t9661;
  t9667 = -0.12e2 * t9592 * t1481 - 0.2e1 / 0.3e1 * t9602 * t9640 + 0.6e1 * t9602 * t9643 - 0.3e1 * t9587 * t1491 - t2212 * t1183 + t1468 * t2233 / 0.2e1 + t446 * t9652 / 0.2e1 + t9602 * t9655 / 0.18e2 + 0.1e2 / 0.3e1 * t9602 * t9658 + 0.4e1 / 0.3e1 * t1476 * t9662 - 0.4e1 / 0.3e1 * t2216 * t4613;
  t9668 = t9584 * t1485;
  t9669 = 0.2e1 / 0.3e1 * t9668;
  t9670 = t1038 * t9661;
  t9675 = t9608 * t1491;
  t9676 = t2209 * t1183;
  t9677 = t9676 / 0.2e1;
  t9678 = t356 * t9661;
  t9683 = t9584 * t1495;
  t9686 = t4572 * t1484;
  t9689 = 0.2e1 * t1470 * t9678 - 0.2e1 * t1476 * t9670 - 0.4e1 * t9592 * t1485 + 0.6e1 * t9592 * t1495 + 0.2e1 * t2216 * t4627 - 0.3e1 * t9602 * t9686 + t2210 - t2229 + t9669 + t9675 + t9677 - t9683;
  t9691 = t9606 + t9636 + t9667 + t9689;
  t9692 = t139 * t9691;
  t9693 = t9692 * t168;
  t9696 = t4719 * t9252;
  t9697 = t4154 * t333;
  t9698 = t4148 * t9697;
  t9699 = t9696 * t9698;
  t9702 = t4149 * t333;
  t9703 = t4148 * t9702;
  t9704 = t9696 * t9703;
  t9707 = t1030 * t9277;
  t9708 = t9707 * t1410;
  t9709 = t1029 * t9708;
  t9710 = t9709 / 0.2e1;
  t9711 = t9707 * t1415;
  t9712 = t373 * t9711;
  t9713 = t9712 / 0.2e1;
  t9714 = t9314 * t1415;
  t9717 = t4148 * t1409;
  t9718 = t9696 * t9717;
  t9729 = t1101 * t9273;
  t9734 = t1430 * t9273;
  t9737 = -t318 * t2239 / 0.4e1 - t110 * t9693 / 0.4e1 - t9207 + 0.3e1 / 0.2e1 * t4718 * t9699 - 0.3e1 * t1029 * t9704 - t9710 + t9713 - 0.3e1 * t373 * t9714 + 0.3e1 / 0.2e1 * t373 * t9718 - t1383 * t1443 / 0.2e1 + t1383 * t1447 / 0.2e1 - 0.2e1 / 0.3e1 * t2189 * t4378 + t2189 * t4361 / 0.3e1 + t1451 * t9729 / 0.3e1 + t442 * t5555 / 0.6e1 - t1421 * t9734 / 0.6e1;
  t9741 = my_piecewise3(t100, 0, t9290 + t9308 + t9359 + t9436 + t9483 + t9529 + t9563 + t9737);
  tv3rhosigma211 = t3 * t9741 + t2265;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  t9743 = t30 * t6304;
  t9744 = t3168 * t65;
  t9745 = t414 * t206;
  t9746 = t95 * t9745;
  t9747 = t9744 * t9746;
  t9756 = t276 * t414;
  t9757 = t253 * t9756;
  t9758 = t4762 * t9757;
  t9761 = t470 * t8779;
  t9764 = t6163 * t2166;
  t9767 = t1587 * t8774;
  t9770 = t3556 * t4986;
  t9771 = t1591 * t9770;
  t9773 = t6175 * t2331;
  t9778 = t6273 * t2166;
  t9781 = -t2089 + t2160 - 0.5e1 / 0.36e2 * t9743 * t9747 + t1228 * t1551 / 0.2e1 - t1541 * t8749 / 0.6e1 + t1541 * t8753 / 0.3e1 + t6454 * t9758 / 0.6e1 - t8624 + t8645 - t8647 + t4772 * t9761 / 0.2e1 - t3266 * t9764 / 0.4e1 + t4772 * t9767 / 0.2e1 - t4772 * t9771 + t3266 * t9773 / 0.2e1 - t8720 - t608 * t2327 / 0.4e1 - t246 * t9778 / 0.4e1;
  t9784 = t3389 * t2266;
  t9785 = t843 * t9784;
  t9796 = t6489 * t2318;
  t9799 = t1547 * t8848;
  t9803 = t637 * t2327 / 0.12e2;
  t9805 = t637 * t2332 / 0.6e1;
  t9807 = t637 * t2324 / 0.6e1;
  t9809 = t3051 * t2319 / 0.6e1;
  t9811 = t6140 * t2282 / 0.9e1;
  t9813 = t6140 * t2276 / 0.18e2;
  t9820 = t6468 * t2268 / 0.6e1 + t1568 * t9785 / 0.6e1 + t1568 * t8833 / 0.6e1 - t6062 * t2271 / 0.12e2 - t6067 * t2271 / 0.12e2 + t8741 - t8811 - t3061 * t2319 / 0.2e1 - t679 * t9796 / 0.2e1 - t679 * t9799 / 0.2e1 - t9803 + t9805 - t9807 - t9809 + t9811 - t9813 + t1516 * t1290 / 0.4e1 - t1228 * t1556 / 0.2e1 - t1228 * t1560 / 0.4e1;
  t9826 = t6119 * t1255;
  t9827 = t1261 * t9826;
  t9836 = t606 * t2266;
  t9837 = t1261 * t9836;
  t9842 = t4873 * t9757;
  t9845 = t3125 * t65;
  t9846 = t670 * t9745;
  t9847 = t9845 * t9846;
  t9854 = t4877 * t9746;
  t9857 = t9744 * t9846;
  t9860 = t9845 * t9746;
  t9863 = t30 * t6300;
  t9864 = t4996 * t9746;
  t9866 = t4873 * t9846;
  t9869 = -t1516 * t1282 / 0.2e1 - t8829 - t1516 * t1286 / 0.4e1 - t1252 * t9827 / 0.12e2 - t417 * t6503 / 0.12e2 + t6062 * t2282 / 0.3e1 + t6067 * t2282 / 0.3e1 + t1541 * t9837 / 0.3e1 + t1541 * t8980 / 0.3e1 - t6439 * t9842 / 0.12e2 + 0.7e1 / 0.3e1 * t9743 * t9847 + t6439 * t8767 / 0.6e1 - t6439 * t8771 / 0.3e1 - t9743 * t9854 / 0.2e1 + 0.23e2 / 0.36e2 * t9743 * t9857 - 0.11e2 / 0.18e2 * t9743 * t9860 + t9863 * t9864 - 0.2e1 * t9863 * t9866;
  t9870 = t463 * t206;
  t9871 = t3125 * t9870;
  t9872 = t5029 * t9871;
  t9875 = t3164 * t94;
  t9876 = t65 * t9875;
  t9877 = t30 * t9876;
  t9878 = t3168 * t9870;
  t9879 = t5029 * t9878;
  t9882 = t1591 * t8762;
  t9885 = t3130 * t9745;
  t9886 = t6304 * t9885;
  t9889 = t3156 * t9745;
  t9890 = t9744 * t9889;
  t9893 = t689 * t9745;
  t9894 = t6300 * t9893;
  t9897 = t463 * t2105;
  t9898 = t3130 * t9897;
  t9899 = t4985 * t9898;
  t9902 = t1559 * t8963;
  t9909 = t6489 * t2331;
  t9912 = t1547 * t8968;
  t9919 = t6093 * t2323;
  t9922 = t1555 * t8976;
  t9931 = -0.3e1 * t4983 * t9872 + 0.3e1 / 0.2e1 * t9877 * t9879 - t4772 * t9882 / 0.2e1 + 0.3e1 / 0.2e1 * t4772 * t9886 - 0.3e1 / 0.2e1 * t9743 * t9890 - 0.3e1 * t4772 * t9894 + t4983 * t9899 / 0.2e1 - t246 * t9902 / 0.4e1 + t630 * t2332 / 0.2e1 + t608 * t2332 / 0.2e1 + t246 * t9909 / 0.2e1 + t246 * t9912 / 0.2e1 - t630 * t2324 / 0.2e1 - t608 * t2324 / 0.2e1 - t246 * t9919 / 0.2e1 - t246 * t9922 / 0.2e1 - t630 * t2327 / 0.4e1 + t1228 * t1564 / 0.4e1 - t3070 * t2319 / 0.2e1;
  t9934 = t95 * t4986;
  t9935 = t3273 * t9934;
  t9939 = t5234 * t481 / 0.12e2;
  t9946 = t2308 * t243;
  t9947 = t242 * t9946;
  t9948 = t191 * t9947;
  t9957 = t4873 * t9746;
  t9960 = t5175 * t9934;
  t9963 = t6175 * t2318;
  t9966 = t670 * t4986;
  t9967 = t4877 * t9966;
  t9970 = t3264 * t9756;
  t9971 = t4873 * t9970;
  t9975 = t1506 * t2108 / 0.36e2;
  t9977 = t6284 * t2268 / 0.18e2;
  t9978 = -t6454 * t9935 / 0.6e1 + t8874 + t8877 + t9939 + t6439 * t8795 / 0.12e2 - t6454 * t8786 / 0.6e1 - t6451 * t8792 / 0.6e1 + t9948 * t250 / 0.4e1 + t6209 * t432 / 0.4e1 + t6217 * t432 / 0.4e1 - t1242 * t1511 / 0.12e2 + t9863 * t9957 / 0.2e1 + t6439 * t9960 / 0.3e1 - t4993 * t9963 / 0.2e1 - 0.2e1 / 0.3e1 * t6439 * t9967 + t6439 * t9971 / 0.3e1 + t9975 + t9977;
  t9980 = t6140 * t2271 / 0.36e2;
  t9981 = t1254 * t9826;
  t9984 = t1514 * t1255;
  t9985 = t1261 * t9984;
  t9994 = t3121 * t3123;
  t9995 = t6303 * t9994;
  t9996 = t62 * t414;
  t9997 = t9996 * t206;
  t9998 = t802 * t9997;
  t10001 = t3077 * t658;
  t10002 = t1590 * t10001;
  t10003 = t815 * t9997;
  t10006 = t3580 * t9997;
  t10011 = t9996 * t794;
  t10012 = t815 * t10011;
  t10017 = t802 * t10011;
  t10022 = 0.6e1 * t9995 * t9998 - 0.12e2 * t10002 * t10003 - 0.2e1 / 0.3e1 * t9995 * t10006 - 0.2e1 * t6341 * t9001 - 0.4e1 * t6341 * t10012 + 0.2e1 * t10002 * t9998 + 0.2e1 / 0.3e1 * t6341 * t10017 + t9022 - t9047 - t9048 - t9050 - t1591 * t9005 + t6329 * t2302;
  t10028 = t2298 * t794;
  t10029 = t3556 * t10028;
  t10038 = t1327 * t414;
  t10039 = t3125 * t10038;
  t10042 = t689 * t10038;
  t10046 = t3130 * t10038;
  t10050 = t1587 * t9010 + t1585 * t2142 / 0.2e1 - t1587 * t9062 - t470 * t9065 + 0.2e1 * t1591 * t10029 - 0.2e1 / 0.3e1 * t1591 * t9054 + 0.2e1 * t6335 * t2295 + 0.2e1 * t1591 * t9057 + 0.1e2 / 0.3e1 * t6304 * t10039 + 0.6e1 * t6300 * t10042 + t1591 * t9017 - 0.3e1 * t6304 * t10046 - t470 * t9052;
  t10052 = t3168 * t10038;
  t10056 = t3130 * t10028;
  t10059 = t229 * t10038;
  t10062 = t788 * t10028;
  t10068 = t683 * t10038;
  t10080 = t6304 * t10052 / 0.18e2 - t1585 * t2129 - 0.4e1 / 0.3e1 * t1591 * t10056 - 0.3e1 * t6309 * t10059 - t1587 * t10062 - 0.2e1 * t6329 * t2288 - 0.2e1 * t1587 * t9069 - 0.4e1 * t6300 * t10068 - t6335 * t2291 / 0.3e1 - t1591 * t9035 / 0.3e1 + t470 * t9110 / 0.2e1 - t6335 * t2306 + 0.2e1 / 0.3e1 * t6335 * t2299;
  t10083 = t3590 * t9997;
  t10088 = t469 * t9081;
  t10093 = t3259 * t218;
  t10094 = t469 * t10093;
  t10095 = t233 * t9997;
  t10098 = t233 * t10011;
  t10101 = 0.2e1 / 0.3e1 * t1591 * t9116 - t2138 + t9091 + t9093 - t9100 + t9121 - t9995 * t10083 / 0.9e1 + 0.2e1 * t6344 * t9078 + 0.2e1 * t10088 * t9084 + t6341 * t9087 / 0.3e1 + 0.6e1 * t10094 * t10095 + 0.2e1 * t6344 * t10098 + t2119;
  t10103 = t10022 + t10050 + t10080 + t10101;
  t10104 = t59 * t10103;
  t10105 = t10104 * t95;
  t10109 = t188 * t2310 / 0.12e2;
  t10110 = t4877 * t9934;
  t10113 = t683 * t9870;
  t10114 = t5037 * t10113;
  t10117 = t1319 * t6433;
  t10119 = t229 * t9745;
  t10120 = t6309 * t10119;
  t10123 = t788 * t4986;
  t10124 = t1587 * t10123;
  t10127 = t6169 * t2323;
  t10130 = -t9980 - t1252 * t9981 / 0.6e1 + t1252 * t9985 / 0.3e1 - t6411 * t1270 / 0.2e1 + t1516 * t1275 / 0.2e1 - t5286 * t1548 / 0.2e1 - t8896 - t8900 - t30 * t10105 / 0.4e1 - t10109 + t6439 * t10110 / 0.6e1 + t8913 + t8915 - t8939 + 0.3e1 * t4983 * t10114 + t4983 * t10117 + 0.3e1 / 0.2e1 * t4772 * t10120 + t4772 * t10124 / 0.2e1 - t3266 * t10127 / 0.2e1;
  t10144 = t1254 * t9784;
  t10155 = t30 * t6309;
  t10156 = t4762 * t9746;
  t10159 = t2309 * t277;
  t10163 = t6226 * t432 / 0.12e2;
  t10165 = t1218 * t1511 / 0.36e2;
  t10167 = t1506 * t1223 / 0.36e2;
  t10168 = -t8952 + t8954 + t8974 + t1529 * t2108 / 0.12e2 + t1534 * t2108 / 0.12e2 + t466 * t8658 / 0.12e2 + t466 * t8691 / 0.12e2 - t6062 * t2276 / 0.6e1 - t6067 * t2276 / 0.6e1 - t1541 * t10144 / 0.6e1 + t6464 * t2268 / 0.6e1 + t1516 * t1239 / 0.4e1 + t5277 * t481 / 0.4e1 - t182 * t2310 / 0.4e1 - t10155 * t10156 / 0.2e1 - t30 * t10159 / 0.4e1 + t10163 - t10165 - t10167;
  t10169 = t4996 * t9757;
  t10172 = t843 * t9826;
  t10187 = t1261 * t9784;
  t10198 = t222 * t2310;
  t10211 = -t6439 * t10169 / 0.6e1 + t1294 * t10172 / 0.6e1 + t417 * t6121 / 0.12e2 - t1541 * t8696 / 0.6e1 + t1568 * t8987 / 0.6e1 + t466 * t4754 / 0.12e2 - t1541 * t8992 / 0.12e2 - t466 * t4750 / 0.12e2 - t1541 * t10187 / 0.12e2 - t1541 * t8703 / 0.12e2 + t6451 * t8800 / 0.12e2 + t5266 * t481 / 0.4e1 + t1228 * t1526 / 0.4e1 - t211 * t10198 / 0.12e2 - t1247 * t1511 / 0.12e2 - t417 * t6212 / 0.12e2 - t1529 * t1223 / 0.12e2 - t1534 * t1223 / 0.12e2 - t466 * t5261 / 0.12e2;
  t10215 = my_piecewise3(t2, 0, t9781 + t9820 + t9869 + t9931 + t9978 + t10130 + t10168 + t10211);
  tv3rhosigmalapl0 = t3 * t10215 + t2336;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 0] += tv3rhosigmalapl0;

  tv3rhosigmalapl1 = 0.e0;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 1] += tv3rhosigmalapl1;

  tv3rhosigmalapl2 = 0.e0;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 2] += tv3rhosigmalapl2;

  tv3rhosigmalapl3 = 0.e0;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 3] += tv3rhosigmalapl3;

  tv3rhosigmalapl4 = 0.e0;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 4] += tv3rhosigmalapl4;

  t10226 = t1354 * t1642 / 0.36e2;
  t10228 = t6715 * t457 / 0.12e2;
  t10230 = t1618 * t1378 / 0.36e2;
  t10232 = t5484 * t505 / 0.12e2;
  t10241 = -t9147 - t9168 + t9172 + t9195 - t945 * t2398 / 0.4e1 + t945 * t2403 / 0.2e1 - t945 * t2395 / 0.2e1 - t3971 * t2390 / 0.2e1 - t10226 + t10228 - t10230 + t10232 + t6700 * t457 / 0.4e1 - t1615 * t1378 / 0.12e2 - t1351 * t1642 / 0.12e2 + t5449 * t505 / 0.4e1;
  t10243 = t948 * t2398 / 0.12e2;
  t10245 = t4005 * t2390 / 0.6e1;
  t10247 = t6647 * t2347 / 0.18e2;
  t10249 = t6647 * t2353 / 0.9e1;
  t10251 = t1618 * t2199 / 0.36e2;
  t10253 = t6668 * t2339 / 0.18e2;
  t10255 = t6647 * t2342 / 0.36e2;
  t10267 = t948 * t2403 / 0.6e1;
  t10269 = t948 * t2395 / 0.6e1;
  t10273 = t294 * t2381 / 0.12e2;
  t10274 = -t10243 - t10245 - t10247 + t10249 + t10251 + t10253 - t10255 + t6640 * t2353 / 0.3e1 + t1615 * t2199 / 0.12e2 - t6640 * t2347 / 0.6e1 + t6657 * t2339 / 0.6e1 - t6640 * t2342 / 0.12e2 + t10267 - t10269 - t290 * t2381 / 0.4e1 - t10273;
  t10276 = my_piecewise3(t100, 0, t10241 + t10274);
  tv3rhosigmalapl5 = t3 * t10276 + t2407;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 5] += tv3rhosigmalapl5;

  t10288 = -t9224 + t9234 - t8624 + t8645 - t9803 + t9805 - t9807 - t9809 + t9811 - t9813 - t1368 * t1511 / 0.12e2 + t6585 * t432 / 0.4e1 + t5384 * t481 / 0.4e1 - t1632 * t1223 / 0.12e2 + t9939 + t6542 * t2282 / 0.3e1;
  t10307 = t1632 * t2108 / 0.12e2 - t6542 * t2276 / 0.6e1 + t6561 * t2268 / 0.6e1 - t6542 * t2271 / 0.12e2 + t9975 + t9977 - t9980 - t10109 - t307 * t2310 / 0.4e1 + t10163 - t10165 - t10167 - t903 * t2327 / 0.4e1 + t903 * t2332 / 0.2e1 - t903 * t2324 / 0.2e1 - t3740 * t2319 / 0.2e1;
  t10309 = my_piecewise3(t2, 0, t10288 + t10307);
  tv3rhosigmalapl6 = t3 * t10309 + t2336;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 6] += tv3rhosigmalapl6;

  tv3rhosigmalapl7 = 0.e0;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 7] += tv3rhosigmalapl7;

  tv3rhosigmalapl8 = 0.e0;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 8] += tv3rhosigmalapl8;

  tv3rhosigmalapl9 = 0.e0;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 9] += tv3rhosigmalapl9;

  tv3rhosigmalapl10 = 0.e0;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 10] += tv3rhosigmalapl10;

  t10321 = t1056 * t2337;
  t10322 = t1430 * t10321;
  t10325 = t6801 * t2389;
  t10328 = t1674 * t9311;
  t10337 = -t2180 + t2251 - t9281 + t9283 + t9307 - t9147 + t9172 - t442 * t6812 / 0.12e2 - t1683 * t9734 / 0.12e2 - t490 * t5607 / 0.12e2 + t6804 * t2353 / 0.3e1 + t6808 * t2353 / 0.3e1 + t1683 * t10322 / 0.3e1 - t1029 * t10325 / 0.2e1 - t1029 * t10328 / 0.2e1 - t1647 * t1439 / 0.2e1 - t1647 * t1443 / 0.4e1 + t1647 * t1447 / 0.4e1;
  t10338 = t6755 * t1424;
  t10339 = t1101 * t10338;
  t10344 = t1430 * t10338;
  t10357 = t110 * t7093;
  t10358 = t4609 * t145;
  t10359 = t439 * t333;
  t10360 = t168 * t10359;
  t10361 = t10358 * t10360;
  t10364 = t403 * t439;
  t10365 = t380 * t10364;
  t10366 = t5695 * t10365;
  t10373 = t168 * t5642;
  t10374 = t5674 * t10373;
  t10377 = t5679 * t10365;
  t10380 = t1716 * t9453;
  t10383 = t487 * t333;
  t10384 = t1033 * t10383;
  t10385 = t5868 * t10384;
  t10388 = t1476 * t6833;
  t10390 = t6827 * t2389;
  t10393 = t1018 * t5642;
  t10394 = t5691 * t10393;
  t10397 = t1451 * t10339 / 0.6e1 + t442 * t6757 / 0.12e2 - t1421 * t10344 / 0.12e2 - t1383 * t1690 / 0.2e1 - t1383 * t1694 / 0.4e1 + t1383 * t1698 / 0.4e1 - t4204 * t2390 / 0.2e1 - t4188 * t2390 / 0.2e1 - 0.5e1 / 0.36e2 * t10357 * t10361 - t6769 * t10366 / 0.12e2 - t6764 * t9457 / 0.6e1 + t6772 * t9441 / 0.12e2 + t6769 * t10374 / 0.3e1 - t6769 * t10377 / 0.6e1 + t5665 * t10380 / 0.2e1 + 0.3e1 * t5639 * t10385 + t5639 * t10388 - t5649 * t10390 / 0.2e1 - 0.2e1 / 0.3e1 * t6769 * t10394;
  t10399 = t4693 * t10364;
  t10400 = t5695 * t10399;
  t10421 = t349 * t2381;
  t10424 = t2379 * t370;
  t10425 = t369 * t10424;
  t10426 = t321 * t10425;
  t10435 = t6769 * t10400 / 0.3e1 - t1660 * t1378 / 0.12e2 - t1665 * t1378 / 0.12e2 - t490 * t5809 / 0.12e2 - t1397 * t1642 / 0.12e2 - t1402 * t1642 / 0.12e2 + t5797 * t505 / 0.4e1 + t5814 * t505 / 0.4e1 - t442 * t7018 / 0.12e2 + t1383 * t1657 / 0.4e1 - t338 * t10421 / 0.12e2 + t10426 * t377 / 0.4e1 + t6965 * t457 / 0.4e1 + t6960 * t457 / 0.4e1 + t1647 * t1394 / 0.4e1 - t9408 - t9412 + t9416;
  t10436 = t4191 * t10359;
  t10437 = t10358 * t10436;
  t10440 = t110 * t7089;
  t10441 = t5679 * t10360;
  t10443 = t1018 * t10359;
  t10444 = t5695 * t10443;
  t10447 = t4619 * t145;
  t10448 = t10447 * t10360;
  t10451 = t10358 * t10443;
  t10456 = -0.3e1 / 0.2e1 * t10357 * t10437 + t10440 * t10441 - 0.2e1 * t10440 * t10444 - 0.11e2 / 0.18e2 * t10357 * t10448 + 0.23e2 / 0.36e2 * t10357 * t10451 - t10226 + t10228 - t10230 + t10232 - t10243 - t10245 - t10247 + t10249 + t10251 + t10253 - t10255 + t10267 - t10269 - t6804 * t2342 / 0.12e2;
  t10461 = t4440 * t2337;
  t10462 = t1430 * t10461;
  t10477 = t6827 * t2402;
  t10480 = t494 * t9463;
  t10483 = t6760 * t2257;
  t10486 = t4626 * t5642;
  t10487 = t1720 * t10486;
  t10489 = t356 * t10359;
  t10490 = t7086 * t10489;
  t10493 = t1165 * t5642;
  t10494 = t1716 * t10493;
  t10497 = t6841 * t2394;
  t10500 = t4687 * t10373;
  t10503 = t1720 * t9335;
  t10506 = t4572 * t10359;
  t10507 = t7093 * t10506;
  t10510 = -t6808 * t2342 / 0.12e2 - t1683 * t10462 / 0.12e2 - t1683 * t9300 / 0.12e2 + t1660 * t2199 / 0.12e2 + t1665 * t2199 / 0.12e2 + t490 * t9422 / 0.12e2 + t6896 * t2339 / 0.6e1 + t6900 * t2339 / 0.6e1 + t4695 * t10477 / 0.2e1 + t5665 * t10480 / 0.2e1 - t4695 * t10483 / 0.4e1 - t5665 * t10487 + 0.3e1 / 0.2e1 * t5665 * t10490 + t5665 * t10494 / 0.2e1 - t4695 * t10497 / 0.2e1 - t6764 * t10500 / 0.6e1 - t5665 * t10503 / 0.2e1 + 0.3e1 / 0.2e1 * t5665 * t10507;
  t10511 = t4715 * t167;
  t10512 = t145 * t10511;
  t10513 = t110 * t10512;
  t10514 = t4609 * t10383;
  t10515 = t5860 * t10514;
  t10518 = t6801 * t2402;
  t10521 = t1674 * t9489;
  t10526 = t4619 * t10383;
  t10527 = t5860 * t10526;
  t10530 = t1038 * t10359;
  t10531 = t7089 * t10530;
  t10534 = t487 * t2196;
  t10535 = t4572 * t10534;
  t10536 = t5641 * t10535;
  t10543 = t5691 * t10360;
  t10546 = t10447 * t10443;
  t10549 = t2380 * t404;
  t10552 = t1423 * t10338;
  t10555 = t1645 * t1424;
  t10556 = t1430 * t10555;
  t10563 = 0.3e1 / 0.2e1 * t10513 * t10515 + t9482 - t9485 - t9487 + t373 * t10518 / 0.2e1 + t373 * t10521 / 0.2e1 - t1058 * t2395 / 0.2e1 - 0.3e1 * t5639 * t10527 - 0.3e1 * t5665 * t10531 + t5639 * t10536 / 0.2e1 + t6769 * t9332 / 0.6e1 - t6769 * t9328 / 0.3e1 - t10357 * t10543 / 0.2e1 + 0.7e1 / 0.3e1 * t10357 * t10546 - t110 * t10549 / 0.4e1 - t1421 * t10552 / 0.6e1 + t1421 * t10556 / 0.3e1 - t6955 * t1411 / 0.2e1 + t1647 * t1416 / 0.2e1;
  t10583 = t1423 * t10461;
  t10592 = t1101 * t10461;
  t10597 = -t5792 * t1675 / 0.2e1 + t1383 * t1679 / 0.2e1 - t1683 * t9274 / 0.6e1 + t1683 * t9249 / 0.3e1 - t318 * t2381 / 0.4e1 + t9535 + t9543 - t9546 - t9548 + t1683 * t9347 / 0.3e1 + t490 * t9427 / 0.12e2 - t6804 * t2347 / 0.6e1 - t6808 * t2347 / 0.6e1 - t1683 * t10583 / 0.6e1 - t1683 * t9350 / 0.6e1 + t1702 * t9729 / 0.6e1 + t490 * t5555 / 0.12e2 + t1702 * t10592 / 0.6e1 + t1702 * t9430 / 0.6e1;
  t10603 = t142 * t439;
  t10604 = t10603 * t1082;
  t10605 = t360 * t10604;
  t10608 = t4214 * t1006;
  t10609 = t1719 * t10608;
  t10610 = t10603 * t333;
  t10611 = t1173 * t10610;
  t10614 = t1173 * t10604;
  t10617 = t4607 * t4147;
  t10618 = t7092 * t10617;
  t10619 = t4599 * t10610;
  t10626 = -t9586 - t9610 - t9611 + t9635 - t494 * t9627 - 0.2e1 / 0.3e1 * t1720 * t9629 + 0.2e1 * t7081 * t2366 + 0.2e1 * t7147 * t10605 + 0.2e1 * t10609 * t10611 + 0.2e1 / 0.3e1 * t7150 * t10614 - 0.2e1 / 0.3e1 * t10618 * t10619 - 0.2e1 * t7150 * t9568 + 0.6e1 * t10618 * t10611;
  t10627 = t1186 * t10610;
  t10636 = t1484 * t439;
  t10637 = t4619 * t10636;
  t10640 = t2369 * t1082;
  t10641 = t4572 * t10640;
  t10644 = t356 * t10636;
  t10651 = t1033 * t10636;
  t10657 = -0.12e2 * t10609 * t10627 + t9669 - t7081 * t2362 / 0.3e1 - t1720 * t9596 / 0.3e1 + 0.2e1 * t1720 * t9612 + 0.1e2 / 0.3e1 * t7093 * t10637 - 0.4e1 / 0.3e1 * t1720 * t10641 - 0.3e1 * t7086 * t10644 - 0.2e1 * t7075 * t2359 - 0.2e1 * t1716 * t9623 - 0.4e1 * t7089 * t10651 + t494 * t9652 / 0.2e1 - t7081 * t2377;
  t10669 = t4586 * t10610;
  t10674 = t493 * t9577;
  t10679 = 0.2e1 / 0.3e1 * t7081 * t2370 + 0.2e1 / 0.3e1 * t1720 * t9662 - t1720 * t9670 + t7075 * t2373 + t1716 * t9678 + t1714 * t2233 / 0.2e1 - t1714 * t2220 + t9675 + t9677 - t10618 * t10669 / 0.9e1 + 0.2e1 * t7147 * t9574 + 0.2e1 * t10674 * t9580 + t7150 * t9571 / 0.3e1;
  t10680 = t1186 * t10604;
  t10683 = t4208 * t345;
  t10684 = t493 * t10683;
  t10685 = t360 * t10610;
  t10688 = t4572 * t10636;
  t10691 = t1038 * t10636;
  t10695 = t1165 * t10640;
  t10699 = t4626 * t10640;
  t10702 = t4609 * t10636;
  t10705 = -0.4e1 * t7150 * t10680 + 0.6e1 * t10684 * t10685 - t9683 - 0.3e1 * t7093 * t10688 + 0.6e1 * t7089 * t10691 + t1720 * t9632 - t1716 * t10695 - t1716 * t9618 - t494 * t9621 + 0.2e1 * t1720 * t10699 + t7093 * t10702 / 0.18e2 - t2229 + t2210;
  t10707 = t10626 + t10657 + t10679 + t10705;
  t10708 = t139 * t10707;
  t10709 = t10708 * t168;
  t10716 = t5695 * t10360;
  t10719 = t6005 * t10365;
  t10722 = t5691 * t10373;
  t10725 = t110 * t7086;
  t10726 = t6005 * t10360;
  t10729 = t6870 * t2394;
  t10732 = t1689 * t9498;
  t10739 = t6974 * t2257;
  t10742 = t1693 * t9401;
  t10751 = -t9710 + t9713 - t110 * t10709 / 0.4e1 - t10273 - t6772 * t9447 / 0.6e1 + t6769 * t9450 / 0.12e2 + t10440 * t10716 / 0.2e1 + t6764 * t10719 / 0.6e1 + t6769 * t10722 / 0.6e1 - t10725 * t10726 / 0.2e1 - t373 * t10729 / 0.2e1 - t373 * t10732 / 0.2e1 - t1070 * t2398 / 0.4e1 - t1058 * t2398 / 0.4e1 - t373 * t10739 / 0.4e1 - t373 * t10742 / 0.4e1 + t1070 * t2403 / 0.2e1 + t1058 * t2403 / 0.2e1 - t1070 * t2395 / 0.2e1;
  t10755 = my_piecewise3(t100, 0, t10337 + t10397 + t10435 + t10456 + t10510 + t10563 + t10597 + t10751);
  tv3rhosigmalapl11 = t3 * t10755 + t2407;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 11] += tv3rhosigmalapl11;

  t10757 = t30 * t7686;
  t10775 = t2435 * t243;
  t10776 = t242 * t10775;
  t10777 = t191 * t10776;
  t10799 = t637 * t2453 / 0.6e1;
  t10800 = t10777 * t250 / 0.4e1 + t7592 * t432 / 0.4e1 + t7600 * t432 / 0.4e1 - t1779 * t10187 / 0.12e2 - t1779 * t8703 / 0.12e2 + t1750 * t2108 / 0.12e2 + t1755 * t2108 / 0.12e2 + t515 * t8658 / 0.12e2 + t7742 * t2268 / 0.6e1 + t7746 * t2268 / 0.6e1 + t10799;
  t10803 = t1218 * t1807 / 0.36e2;
  t10808 = t222 * t2437;
  t10813 = t7213 * t1255;
  t10814 = t1254 * t10813;
  t10817 = t1768 * t1255;
  t10818 = t1261 * t10817;
  t10829 = -t10803 + t5266 * t530 / 0.4e1 + t1228 * t1747 / 0.4e1 - t211 * t10808 / 0.12e2 - 0.2e1 / 0.3e1 * t7251 * t9967 - t1252 * t10814 / 0.6e1 + t1252 * t10818 / 0.3e1 - t7587 * t1270 / 0.2e1 + t1770 * t1275 / 0.2e1 - t5286 * t1785 / 0.2e1 + t1228 * t1788 / 0.2e1;
  t10832 = t1872 * t10123;
  t10835 = t7449 * t2323;
  t10838 = t30 * t7680;
  t10841 = t7690 * t10119;
  t10847 = t188 * t2437 / 0.12e2;
  t10848 = -t1779 * t8749 / 0.6e1 + t4772 * t10832 / 0.2e1 - t3266 * t10835 / 0.2e1 - 0.2e1 * t10838 * t9866 + 0.3e1 / 0.2e1 * t4772 * t10841 - t182 * t2437 / 0.4e1 - t10847 - t8624 + t8645 - t8647 - t8720;
  t10856 = t7351 * t1278;
  t10857 = t10856 * t1281;
  t10860 = t1872 * t8774;
  t10863 = t519 * t8779;
  t10866 = t7361 * t2166;
  t10873 = t10838 * t9864 + 0.7e1 / 0.3e1 * t10757 * t9847 - t10757 * t9854 / 0.2e1 - t3266 * t10857 / 0.2e1 + t8741 + t4772 * t10860 / 0.2e1 + t4772 * t10863 / 0.2e1 - t3266 * t10866 / 0.4e1 - t7251 * t9842 / 0.12e2 - t8811 + t7251 * t9960 / 0.3e1;
  t10878 = t7351 * t415;
  t10879 = t10878 * t826;
  t10882 = t543 * t206;
  t10883 = t253 * t10882;
  t10884 = t4873 * t10883;
  t10890 = t3051 * t2444 / 0.6e1;
  t10892 = t7276 * t2282 / 0.9e1;
  t10894 = t7276 * t2276 / 0.18e2;
  t10896 = t1760 * t2108 / 0.36e2;
  t10898 = t7276 * t2271 / 0.36e2;
  t10899 = t7251 * t10110 / 0.6e1 - 0.5e1 / 0.36e2 * t10757 * t9747 - t3266 * t10879 / 0.4e1 - t8829 - t4872 * t10884 / 0.12e2 + t4882 * t7358 / 0.12e2 - t10890 + t10892 - t10894 + t10896 - t10898;
  t10902 = t7183 * t2268 / 0.18e2;
  t10905 = t1319 * t7461;
  t10907 = t7457 * t2318;
  t10910 = t512 * t206;
  t10911 = t683 * t10910;
  t10912 = t5037 * t10911;
  t10927 = t10902 + t1779 * t8753 / 0.3e1 + t4983 * t10905 - t4993 * t10907 / 0.2e1 + 0.3e1 * t4983 * t10912 + t608 * t2453 / 0.2e1 - t630 * t2447 / 0.2e1 - t1228 * t1793 / 0.2e1 - t1228 * t1798 / 0.4e1 + t1228 * t1802 / 0.4e1 - t3070 * t2444 / 0.2e1;
  t10930 = t7384 * t2318;
  t10933 = t1784 * t8848;
  t10938 = t7510 * t2323;
  t10941 = t1792 * t8976;
  t10948 = t7525 * t2166;
  t10951 = t1797 * t8963;
  t10956 = -t3061 * t2444 / 0.2e1 - t679 * t10930 / 0.2e1 - t679 * t10933 / 0.2e1 - t608 * t2447 / 0.2e1 - t246 * t10938 / 0.2e1 - t246 * t10941 / 0.2e1 - t630 * t2450 / 0.4e1 - t608 * t2450 / 0.4e1 - t246 * t10948 / 0.4e1 - t246 * t10951 / 0.4e1 + t630 * t2453 / 0.2e1;
  t10964 = t4748 * t1805;
  t10965 = t843 * t10964;
  t10975 = t637 * t2462 / 0.12e2;
  t10985 = t843 * t10813;
  t10990 = t1261 * t10813;
  t10994 = t7400 * t420 * t249;
  t10998 = t1805 * t1310 * t249;
  t11001 = t7384 * t2331;
  t11004 = t1784 * t8968;
  t11013 = t1770 * t1290 / 0.4e1 + t1294 * t10985 / 0.6e1 + t417 * t7215 / 0.12e2 - t1252 * t10990 / 0.12e2 + t246 * t10994 / 0.4e1 + t246 * t10998 / 0.4e1 + t246 * t11001 / 0.2e1 + t246 * t11004 / 0.2e1 - t1242 * t1807 / 0.12e2 - t1247 * t1807 / 0.12e2 + t7254 * t9758 / 0.6e1;
  t11019 = t30 * t7690;
  t11034 = -t7254 * t9935 / 0.6e1 + t10838 * t9957 / 0.2e1 - t11019 * t10156 / 0.2e1 - t7254 * t8786 / 0.6e1 - t7248 * t8792 / 0.6e1 + t8874 + t8877 - t1779 * t10144 / 0.6e1 - t1779 * t8696 / 0.6e1 + t1815 * t8987 / 0.6e1 + t515 * t4754 / 0.12e2;
  t11044 = t5234 * t530 / 0.12e2;
  t11046 = t7611 * t432 / 0.12e2;
  t11055 = t2436 * t277;
  t11058 = t1815 * t9785 / 0.6e1 + t1815 * t8833 / 0.6e1 - t7228 * t2271 / 0.12e2 - t7233 * t2271 / 0.12e2 + t11044 + t11046 - t1242 * t1765 / 0.12e2 - t1247 * t1765 / 0.12e2 + t7251 * t8795 / 0.12e2 + t7248 * t8800 / 0.12e2 - t30 * t11055 / 0.4e1;
  t11061 = t427 * t1855;
  t11072 = t7685 * t9994;
  t11079 = t1875 * t10001;
  t11089 = 0.2e1 / 0.3e1 * t7665 * t2299 + 0.2e1 / 0.3e1 * t1876 * t9116 + t7670 * t2302 + t1872 * t9010 + 0.2e1 * t7655 * t10098 - 0.2e1 / 0.3e1 * t11072 * t10006 - 0.2e1 * t7651 * t9001 + 0.6e1 * t11072 * t9998 - 0.12e2 * t11079 * t10003 - t519 * t9052 - 0.2e1 / 0.3e1 * t1876 * t9054 + 0.2e1 * t7665 * t2295 + 0.2e1 * t1876 * t9057;
  t11113 = 0.1e2 / 0.3e1 * t7686 * t10039 - 0.4e1 / 0.3e1 * t1876 * t10056 - 0.2e1 * t7670 * t2288 - 0.3e1 * t7690 * t10059 - t1872 * t10062 - t1872 * t9062 - t519 * t9065 + 0.2e1 * t1876 * t10029 - 0.2e1 * t1872 * t9069 - 0.4e1 * t7680 * t10068 - t7665 * t2291 / 0.3e1 - t1876 * t9035 / 0.3e1 + t7686 * t10052 / 0.18e2;
  t11129 = -t1870 * t2129 - 0.3e1 * t7686 * t10046 + 0.6e1 * t7680 * t10042 + t1876 * t9017 + t1870 * t2142 / 0.2e1 + t519 * t9110 / 0.2e1 - t7665 * t2306 - t1876 * t9005 + t9022 - t9047 - t9048 - t9050 - 0.4e1 * t7651 * t10012;
  t11138 = t518 * t9081;
  t11143 = t518 * t10093;
  t11146 = 0.2e1 * t11079 * t9998 + 0.2e1 / 0.3e1 * t7651 * t10017 - t11072 * t10083 / 0.9e1 + 0.2e1 * t7655 * t9078 + 0.2e1 * t11138 * t9084 + t7651 * t9087 / 0.3e1 + 0.6e1 * t11143 * t10095 - t2138 + t9091 + t9093 - t9100 + t9121 + t2119;
  t11148 = t11089 + t11113 + t11129 + t11146;
  t11149 = t59 * t11148;
  t11150 = t11149 * t95;
  t11153 = t1341 * t544;
  t11159 = t188 * t2458 / 0.12e2;
  t11161 = t637 * t2450 / 0.12e2;
  t11163 = t637 * t2447 / 0.6e1;
  t11164 = t7457 * t2331;
  t11167 = t4762 * t10883;
  t11170 = -t30 * t11061 / 0.4e1 - t30 * t11150 / 0.4e1 - t30 * t11153 / 0.4e1 - t182 * t2458 / 0.4e1 - t11159 - t11161 - t11163 - t8896 - t8900 + t3266 * t11164 / 0.2e1 + t4761 * t11167 / 0.6e1;
  t11171 = t1876 * t9770;
  t11180 = t1218 * t1765 / 0.36e2;
  t11181 = t8913 + t8915 - t8939 - t8952 + t8954 - t4772 * t11171 + t8974 + t7251 * t8767 / 0.6e1 - t7251 * t8771 / 0.3e1 + t7251 * t9971 / 0.3e1 - t11180;
  t11184 = t1760 * t1223 / 0.36e2;
  t11205 = -t11184 - t417 * t7262 / 0.12e2 - t1779 * t8992 / 0.12e2 - t515 * t4750 / 0.12e2 + t7228 * t2282 / 0.3e1 + t7233 * t2282 / 0.3e1 + t1779 * t9837 / 0.3e1 + t1779 * t8980 / 0.3e1 + t515 * t8691 / 0.12e2 - t7228 * t2276 / 0.6e1 - t7233 * t2276 / 0.6e1;
  t11206 = t512 * t2105;
  t11207 = t3130 * t11206;
  t11208 = t4985 * t11207;
  t11211 = t1876 * t8762;
  t11214 = t7686 * t9885;
  t11217 = t4996 * t10883;
  t11220 = t3264 * t10882;
  t11221 = t4873 * t11220;
  t11224 = t543 * t648;
  t11225 = t11224 * t1250;
  t11226 = t11225 * t1269;
  t11231 = t3168 * t10910;
  t11232 = t5029 * t11231;
  t11235 = t3125 * t10910;
  t11236 = t5029 * t11235;
  t11239 = t7680 * t9893;
  t11242 = t11225 * t1274;
  t11245 = t4983 * t11208 / 0.2e1 - t4772 * t11211 / 0.2e1 + 0.3e1 / 0.2e1 * t4772 * t11214 - t4872 * t11217 / 0.6e1 + t4872 * t11221 / 0.3e1 - t4993 * t11226 / 0.2e1 - 0.3e1 / 0.2e1 * t10757 * t9890 + 0.3e1 / 0.2e1 * t9877 * t11232 - 0.3e1 * t4983 * t11236 - 0.3e1 * t4772 * t11239 + t3266 * t11242 / 0.2e1;
  t11250 = my_piecewise3(t2, 0, -t1770 * t1282 / 0.2e1 - t1770 * t1286 / 0.4e1 - t417 * t7374 / 0.12e2 - t417 * t7402 / 0.12e2 - t211 * t10965 / 0.12e2 + t1228 * t1811 / 0.4e1 + t630 * t2462 / 0.4e1 + t5277 * t530 / 0.4e1 - t417 * t7606 / 0.12e2 - t1750 * t1223 / 0.12e2 - t1755 * t1223 / 0.12e2 - t515 * t5261 / 0.12e2 - 0.11e2 / 0.18e2 * t10757 * t9860 + 0.23e2 / 0.36e2 * t10757 * t9857 + t1770 * t1239 / 0.4e1 + t608 * t2462 / 0.4e1 - t7251 * t10169 / 0.6e1 + t10927 + t10848 + t11170 + t10975 + t2160 + t11181 + t10800 + t10956 + t10873 + t11245 + t10829 + t11058 + t11034 + t10899 - t2089 + t11205 + t11013);
  tv3rhosigmatau0 = t3 * t11250 + t2466;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 0] += tv3rhosigmatau0;

  tv3rhosigmatau1 = 0.e0;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 1] += tv3rhosigmatau1;

  tv3rhosigmatau2 = 0.e0;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 2] += tv3rhosigmatau2;

  tv3rhosigmatau3 = 0.e0;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 3] += tv3rhosigmatau3;

  tv3rhosigmatau4 = 0.e0;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 4] += tv3rhosigmatau4;

  t11253 = t1905 * t1378 / 0.36e2;
  t11255 = t7997 * t457 / 0.12e2;
  t11257 = t5484 * t570 / 0.12e2;
  t11259 = t1354 * t1951 / 0.36e2;
  t11273 = t948 * t2512 / 0.6e1;
  t11275 = t948 * t2509 / 0.12e2;
  t11277 = t948 * t2506 / 0.6e1;
  t11279 = t4005 * t2503 / 0.6e1;
  t11281 = t7911 * t2353 / 0.9e1;
  t11282 = -t11253 + t11255 + t11257 - t11259 - t9147 - t9168 + t9172 + t9195 + t945 * t2521 / 0.4e1 + t945 * t2512 / 0.2e1 - t1351 * t1965 / 0.12e2 - t945 * t2506 / 0.2e1 - t945 * t2509 / 0.4e1 - t3971 * t2503 / 0.2e1 + t11273 - t11275 - t11277 - t11279 + t11281;
  t11284 = t1905 * t2199 / 0.36e2;
  t11286 = t7911 * t2347 / 0.18e2;
  t11288 = t7953 * t2339 / 0.18e2;
  t11290 = t7911 * t2342 / 0.36e2;
  t11302 = t948 * t2521 / 0.12e2;
  t11304 = t1354 * t1965 / 0.36e2;
  t11308 = t294 * t2517 / 0.12e2;
  t11310 = t294 * t2496 / 0.12e2;
  t11321 = t11284 - t11286 + t11288 - t11290 + t7921 * t2353 / 0.3e1 - t7921 * t2347 / 0.6e1 - t7921 * t2342 / 0.12e2 + t1902 * t2199 / 0.12e2 + t7916 * t2339 / 0.6e1 + t11302 - t11304 - t290 * t2517 / 0.4e1 - t11308 - t11310 - t290 * t2496 / 0.4e1 + t5449 * t570 / 0.4e1 - t1902 * t1378 / 0.12e2 - t1351 * t1951 / 0.12e2 + t8016 * t457 / 0.4e1;
  t11323 = my_piecewise3(t100, 0, t11282 + t11321);
  tv3rhosigmatau5 = t3 * t11323 + t2525;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 5] += tv3rhosigmatau5;

  t11337 = t10799 - t10803 + t7869 * t432 / 0.4e1 - t10847 - t9224 + t9234 - t8624 + t8645 + t903 * t2453 / 0.2e1 - t1368 * t1807 / 0.12e2 - t903 * t2450 / 0.4e1 - t903 * t2447 / 0.2e1 - t3740 * t2444 / 0.2e1 - t10890 + t10892 - t10894 + t10896 - t10898 + t10902;
  t11360 = t10975 + t5384 * t530 / 0.4e1 - t1923 * t1223 / 0.12e2 - t1368 * t1765 / 0.12e2 + t11044 + t11046 + t7820 * t2282 / 0.3e1 - t7820 * t2276 / 0.6e1 - t7820 * t2271 / 0.12e2 + t1923 * t2108 / 0.12e2 + t7825 * t2268 / 0.6e1 + t903 * t2462 / 0.4e1 - t307 * t2458 / 0.4e1 - t11159 - t11161 - t11163 - t307 * t2437 / 0.4e1 - t11180 - t11184;
  t11362 = my_piecewise3(t2, 0, t11337 + t11360);
  tv3rhosigmatau6 = t3 * t11362 + t2466;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 6] += tv3rhosigmatau6;

  tv3rhosigmatau7 = 0.e0;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 7] += tv3rhosigmatau7;

  tv3rhosigmatau8 = 0.e0;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 8] += tv3rhosigmatau8;

  tv3rhosigmatau9 = 0.e0;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 9] += tv3rhosigmatau9;

  tv3rhosigmatau10 = 0.e0;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 10] += tv3rhosigmatau10;

  t11367 = t5553 * t1963;
  t11368 = t1101 * t11367;
  t11378 = t8600 * t445 * t376;
  t11383 = t1498 * t584;
  t11386 = t2495 * t404;
  t11389 = t452 * t2021;
  t11392 = t9172 - t442 * t8602 / 0.12e2 - t338 * t11368 / 0.12e2 + t1383 * t1969 / 0.4e1 + t1070 * t2521 / 0.4e1 + t1058 * t2521 / 0.4e1 + t373 * t11378 / 0.4e1 - t8219 * t9457 / 0.6e1 - t110 * t11383 / 0.4e1 - t110 * t11386 / 0.4e1 - t110 * t11389 / 0.4e1;
  t11398 = -t318 * t2517 / 0.4e1 + t11273 - t11275 - t11277 - t11279 + t11281 + t11284 - t11286 + t11288 - t11290 + t8063 * t10722 / 0.6e1;
  t11399 = t110 * t8438;
  t11402 = t583 * t648;
  t11403 = t11402 * t1407;
  t11404 = t11403 * t1415;
  t11407 = t8460 * t10530;
  t11422 = t349 * t2496;
  t11427 = -0.5e1 / 0.36e2 * t11399 * t10361 + t4695 * t11404 / 0.2e1 - 0.3e1 * t5665 * t11407 - t1402 * t1951 / 0.12e2 - t442 * t8316 / 0.12e2 + t8287 * t457 / 0.4e1 + t1956 * t1394 / 0.4e1 + t5797 * t570 / 0.4e1 + t5814 * t570 / 0.4e1 - t338 * t11422 / 0.12e2 - t1941 * t1378 / 0.12e2;
  t11436 = t8351 * t2394;
  t11439 = t2036 * t9498;
  t11446 = t8133 * t2257;
  t11449 = t2040 * t9401;
  t11456 = -t1946 * t1378 / 0.12e2 - t555 * t5809 / 0.12e2 - t1397 * t1951 / 0.12e2 - t373 * t11436 / 0.2e1 - t373 * t11439 / 0.2e1 - t1070 * t2509 / 0.4e1 - t1058 * t2509 / 0.4e1 - t373 * t11446 / 0.4e1 - t373 * t11449 / 0.4e1 + t1383 * t2045 / 0.4e1 - t4204 * t2503 / 0.2e1;
  t11459 = t8246 * t2389;
  t11462 = t2025 * t9311;
  t11472 = t1963 * t1467 * t376;
  t11479 = t8246 * t2402;
  t11482 = t2025 * t9489;
  t11485 = -t4188 * t2503 / 0.2e1 - t1029 * t11459 / 0.2e1 - t1029 * t11462 / 0.2e1 - t1383 * t2037 / 0.2e1 - t1383 * t2041 / 0.4e1 - t318 * t2496 / 0.4e1 + t373 * t11472 / 0.4e1 + t1070 * t2512 / 0.2e1 + t1058 * t2512 / 0.2e1 + t373 * t11479 / 0.2e1 + t373 * t11482 / 0.2e1;
  t11499 = t2494 * t370;
  t11500 = t369 * t11499;
  t11501 = t321 * t11500;
  t11510 = t110 * t8460;
  t11512 = -t1397 * t1965 / 0.12e2 - t1402 * t1965 / 0.12e2 - t442 * t8563 / 0.12e2 - t1070 * t2506 / 0.2e1 - t1058 * t2506 / 0.2e1 + t1383 * t1938 / 0.4e1 + t11501 * t377 / 0.4e1 + t8296 * t457 / 0.4e1 - t11399 * t10543 / 0.2e1 + 0.7e1 / 0.3e1 * t11399 * t10546 + t11510 * t10441;
  t11521 = t552 * t333;
  t11522 = t4609 * t11521;
  t11523 = t5860 * t11522;
  t11526 = t4619 * t11521;
  t11527 = t5860 * t11526;
  t11530 = t11403 * t1410;
  t11535 = t552 * t2196;
  t11536 = t4572 * t11535;
  t11537 = t5641 * t11536;
  t11540 = t2060 * t9335;
  t11543 = t8438 * t10506;
  t11546 = -0.11e2 / 0.18e2 * t11399 * t10448 + 0.23e2 / 0.36e2 * t11399 * t10451 + t8063 * t9332 / 0.6e1 - t8063 * t9328 / 0.3e1 + 0.3e1 / 0.2e1 * t10513 * t11523 - 0.3e1 * t5639 * t11527 - t5649 * t11530 / 0.2e1 - 0.3e1 / 0.2e1 * t11399 * t10437 + t5639 * t11537 / 0.2e1 - t5665 * t11540 / 0.2e1 + 0.3e1 / 0.2e1 * t5665 * t11543;
  t11550 = t583 * t333;
  t11551 = t380 * t11550;
  t11552 = t5679 * t11551;
  t11555 = t4693 * t11550;
  t11556 = t5695 * t11555;
  t11561 = t8262 * t1424;
  t11562 = t1423 * t11561;
  t11565 = t1954 * t1424;
  t11566 = t1430 * t11565;
  t11588 = t1430 * t11561;
  t11593 = -t5792 * t2026 / 0.2e1 + t1383 * t2029 / 0.2e1 - t1981 * t9274 / 0.6e1 + t11302 - t11304 - t1956 * t1439 / 0.2e1 - t1956 * t1443 / 0.4e1 + t1956 * t1447 / 0.4e1 + t442 * t8264 / 0.12e2 - t1421 * t11588 / 0.12e2 - t442 * t8553 / 0.12e2;
  t11603 = t1101 * t11561;
  t11618 = t8081 * t2353 / 0.3e1 + t8086 * t2353 / 0.3e1 + t1981 * t10322 / 0.3e1 + t1981 * t9347 / 0.3e1 + t1451 * t11603 / 0.6e1 - t1981 * t9350 / 0.6e1 + t1974 * t9729 / 0.6e1 + t555 * t5555 / 0.12e2 - t1981 * t9734 / 0.12e2 - t555 * t5607 / 0.12e2 + t1941 * t2199 / 0.12e2;
  t11637 = t1946 * t2199 / 0.12e2 + t555 * t9422 / 0.12e2 + t555 * t9427 / 0.12e2 - t8081 * t2347 / 0.6e1 - t8086 * t2347 / 0.6e1 - t1981 * t10583 / 0.6e1 + t1974 * t9430 / 0.6e1 - t8081 * t2342 / 0.12e2 - 0.2e1 * t11510 * t10444 + t9482 - t9485;
  t11646 = t110 * t8443;
  t11651 = t8437 * t10617;
  t11656 = t558 * t9577;
  t11663 = t558 * t10683;
  t11668 = t2059 * t10608;
  t11678 = 0.2e1 / 0.3e1 * t8508 * t10614 - t11651 * t10669 / 0.9e1 + 0.2e1 * t8511 * t9574 + 0.2e1 * t11656 * t9580 + t8508 * t9571 / 0.3e1 - 0.4e1 * t8508 * t10680 + 0.6e1 * t11663 * t10685 + 0.2e1 * t8511 * t10605 + 0.2e1 * t11668 * t10611 - t559 * t9627 - 0.2e1 / 0.3e1 * t2060 * t9629 + 0.2e1 * t8457 * t2366 - 0.2e1 * t8451 * t2359;
  t11702 = -t559 * t9621 + 0.2e1 * t2060 * t10699 + 0.2e1 * t2060 * t9612 + 0.1e2 / 0.3e1 * t8438 * t10637 - 0.4e1 / 0.3e1 * t2060 * t10641 - 0.3e1 * t8443 * t10644 - t2056 * t10695 - t2056 * t9618 - 0.2e1 * t2056 * t9623 - 0.4e1 * t8460 * t10651 - t8457 * t2362 / 0.3e1 - t2060 * t9596 / 0.3e1 + t8438 * t10702 / 0.18e2;
  t11720 = -t2054 * t2220 + 0.6e1 * t8460 * t10691 + t2060 * t9632 - 0.3e1 * t8438 * t10688 - t9586 - t9610 - t9611 + t9635 + 0.6e1 * t11651 * t10611 - 0.2e1 / 0.3e1 * t11651 * t10619 - 0.2e1 * t8508 * t9568 - 0.12e2 * t11668 * t10627 + 0.2e1 / 0.3e1 * t8457 * t2370;
  t11731 = 0.2e1 / 0.3e1 * t2060 * t9662 + t8451 * t2373 + t2056 * t9678 + t2054 * t2233 / 0.2e1 + t559 * t9652 / 0.2e1 - t8457 * t2377 - t2060 * t9670 + t9669 + t9675 + t9677 - t9683 - t2229 + t2210;
  t11733 = t11678 + t11702 + t11720 + t11731;
  t11734 = t139 * t11733;
  t11735 = t11734 * t168;
  t11742 = t8072 * t2402;
  t11745 = -t9487 - t8219 * t10500 / 0.6e1 + t11510 * t10716 / 0.2e1 + t8219 * t10719 / 0.6e1 - t11646 * t10726 / 0.2e1 - t11308 - t11310 - t110 * t11735 / 0.4e1 - t8214 * t9447 / 0.6e1 + t8063 * t9450 / 0.12e2 + t4695 * t11742 / 0.2e1;
  t11746 = t6005 * t11551;
  t11751 = t2060 * t10486;
  t11753 = t2056 * t9453;
  t11756 = t559 * t9463;
  t11759 = t8077 * t2257;
  t11762 = t8443 * t10489;
  t11765 = t2056 * t10493;
  t11768 = t8060 * t2394;
  t11771 = t8072 * t2389;
  t11774 = t6004 * t11746 / 0.6e1 + t6012 * t8211 / 0.12e2 - t5665 * t11751 + t5665 * t11753 / 0.2e1 + t5665 * t11756 / 0.2e1 - t4695 * t11759 / 0.4e1 + 0.3e1 / 0.2e1 * t5665 * t11762 + t5665 * t11765 / 0.2e1 - t4695 * t11768 / 0.2e1 - t5649 * t11771 / 0.2e1 + t9535;
  t11776 = t8226 * t440;
  t11777 = t11776 * t1084;
  t11780 = t5695 * t11551;
  t11783 = t8226 * t1435;
  t11784 = t11783 * t1438;
  t11797 = t9543 - t9546 - t9548 - t4695 * t11777 / 0.4e1 - t5673 * t11780 / 0.12e2 - t4695 * t11784 / 0.2e1 - t8086 * t2342 / 0.12e2 - t1981 * t10462 / 0.12e2 - t1981 * t9300 / 0.12e2 + t8125 * t2339 / 0.6e1 + t8130 * t2339 / 0.6e1;
  t11800 = t1033 * t11521;
  t11801 = t5868 * t11800;
  t11804 = t1476 * t8237;
  t11818 = t1974 * t10592 / 0.6e1 - t9710 + t9713 + 0.3e1 * t5639 * t11801 + t5639 * t11804 - 0.2e1 / 0.3e1 * t8063 * t10394 + t8063 * t10400 / 0.3e1 - t8063 * t10377 / 0.6e1 + t8214 * t9441 / 0.12e2 + t8063 * t10374 / 0.3e1 - t8063 * t10366 / 0.12e2;
  t11823 = my_piecewise3(t100, 0, t1956 * t1416 / 0.2e1 - t5673 * t11552 / 0.6e1 + t5673 * t11556 / 0.3e1 + t1981 * t9249 / 0.3e1 - t1421 * t11562 / 0.6e1 + t1421 * t11566 / 0.3e1 - t8280 * t1411 / 0.2e1 + t11456 - t9147 + t11427 - t2180 + t11398 + t11392 + t11774 + t9307 + t11618 + t11818 - t11259 + t11512 + t11485 - t9281 + t9283 + t11797 + t11745 + t11546 + t11637 + t2251 - t11253 + t11255 + t11257 + t9416 - t9412 - t9408 + t11593);
  tv3rhosigmatau11 = t3 * t11823 + t2525;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 11] += tv3rhosigmatau11;

  t11825 = t2541 * t206;
  t11826 = t95 * t11825;
  t11827 = t5175 * t11826;
  t11838 = t222 * t2578;
  t11841 = t2576 * t243;
  t11842 = t242 * t11841;
  t11843 = t191 * t11842;
  t11850 = -t2089 + t2160 + t6439 * t11827 / 0.6e1 - t8624 + t8645 - t8647 - t8720 - t608 * t2588 / 0.2e1 + t6217 * t481 / 0.2e1 + t1516 * t1526 / 0.2e1 - t3070 * t2584 / 0.2e1 - t211 * t11838 / 0.12e2 + t11843 * t250 / 0.4e1 + t6209 * t481 / 0.2e1 + t608 * t2596 / 0.2e1;
  t11855 = t633 * t2528;
  t11857 = t11855 * t223 / 0.18e2;
  t11861 = t637 * t2596 / 0.6e1;
  t11863 = t637 * t2588 / 0.6e1;
  t11865 = t3051 * t2584 / 0.6e1;
  t11867 = t6226 * t481 / 0.6e1;
  t11868 = t633 * t2533;
  t11870 = t11868 * t672 / 0.9e1;
  t11872 = t1506 * t1511 / 0.18e2;
  t11874 = t11868 * t667 / 0.18e2;
  t11876 = t11868 * t662 / 0.36e2;
  t11877 = t788 * t11825;
  t11878 = t1587 * t11877;
  t11881 = -t3061 * t2584 / 0.2e1 - t630 * t2588 / 0.2e1 + t11857 + t630 * t2596 / 0.2e1 + t11861 - t11863 - t11865 + t11867 + t11870 - t11872 - t11874 - t11876 + t8741 + t4772 * t11878 / 0.2e1 - t8811;
  t11885 = t670 * t11825;
  t11886 = t4877 * t11885;
  t11889 = t2571 * t206;
  t11890 = t3556 * t11889;
  t11892 = t2557 * t3077;
  t11895 = t69 * t2526;
  t11896 = t11895 * t3121;
  t11901 = t60 * t1524;
  t11902 = t689 * t11901;
  t11909 = t229 * t11901;
  t11912 = t2553 * t3259;
  t11918 = t1591 * t11890 - 0.12e2 * t11892 * t1324 - 0.2e1 / 0.3e1 * t11896 * t9028 + 0.6e1 * t11896 * t9031 - 0.2e1 * t1591 * t11902 + 0.2e1 * t2558 * t3607 - 0.3e1 * t11896 * t9103 + 0.2e1 * t1587 * t11909 - 0.3e1 * t11912 * t1334 - t2554 * t812 + t1585 * t2572 / 0.2e1;
  t11924 = t789 * t1554;
  t11927 = t3428 * t1539;
  t11930 = t789 * t464;
  t11937 = t469 * t595;
  t11942 = t1590 * t651;
  t11945 = 0.2e1 / 0.3e1 * t8661 * t2728 + 0.2e1 * t789 * t1524 * t249 - 0.4e1 * t11924 * t1281 + 0.4e1 / 0.3e1 * t11927 * t1269 - 0.2e1 * t11930 * t826 + 0.4e1 * t11927 * t1274 - 0.2e1 * t1599 * t222 + 0.4e1 * t11937 * t1281 + 0.2e1 * t472 * t826 - 0.4e1 * t11942 * t1274;
  t11946 = t60 * t11945;
  t11947 = t788 * t11946;
  t11952 = t683 * t11901;
  t11963 = t62 * t2541;
  t11964 = t11963 * t206;
  t11965 = t233 * t11964;
  t11968 = t11963 * t794;
  t11969 = t233 * t11968;
  t11972 = t802 * t11964;
  t11975 = t815 * t11964;
  t11978 = t63 * t11945;
  t11979 = t788 * t11978;
  t11981 = t470 * t11947 / 0.2e1 - 0.4e1 / 0.3e1 * t2558 * t3616 + 0.4e1 / 0.3e1 * t1591 * t11952 + t11896 * t9097 / 0.18e2 + 0.1e2 / 0.3e1 * t11896 * t9113 - 0.4e1 * t11892 * t1328 + 0.6e1 * t11892 * t1338 + 0.2e1 * t6344 * t11965 + 0.2e1 * t10088 * t11969 + t6341 * t11972 / 0.3e1 - 0.2e1 * t6341 * t11975 - t470 * t11979;
  t11983 = t3130 * t11889;
  t11986 = t63 * t1524;
  t11987 = t689 * t11986;
  t11990 = t788 * t11889;
  t11992 = t2571 * t794;
  t11993 = t3562 * t11992;
  t11995 = t683 * t11986;
  t12003 = -0.2e1 / 0.3e1 * t1591 * t11983 + 0.4e1 * t1591 * t11987 - t1587 * t11990 - t470 * t11993 - 0.2e1 / 0.3e1 * t1591 * t11995 + 0.2e1 / 0.3e1 * t2558 * t3543 - t11896 * t9041 / 0.9e1 - t1585 * t2562 + t9022 - t9047 - t9048;
  t12006 = t229 * t11986;
  t12015 = 0.2e1 * t11892 * t1320 + 0.6e1 * t11912 * t1315 - 0.4e1 * t1587 * t12006 + 0.2e1 * t2554 * t796 - 0.4e1 * t2558 * t3557 + t2119 - t2138 - t9050 + t9091 + t9093 - t9100 + t9121;
  t12017 = t11918 + t11981 + t12003 + t12015;
  t12018 = t59 * t12017;
  t12019 = t12018 * t95;
  t12023 = t188 * t2578 / 0.12e2;
  t12024 = t94 * t1524;
  t12025 = t837 * t12024;
  t12026 = t843 * t12025;
  t12029 = t194 * t2532;
  t12030 = t191 * t12029;
  t12037 = t2526 * t3118;
  t12038 = t3115 * t12037;
  t12039 = t12038 * t8928;
  t12042 = t12038 * t8933;
  t12045 = t2526 * t3076;
  t12046 = t649 * t12045;
  t12047 = t191 * t12046;
  t12051 = t3135 * t12037;
  t12052 = t191 * t12051;
  t12055 = -t182 * t2578 / 0.4e1 - t8829 - t6439 * t11886 / 0.3e1 - t30 * t12019 / 0.4e1 - t12023 + t1568 * t12026 / 0.3e1 - t12030 * t1295 / 0.2e1 - t2529 * t840 / 0.6e1 - t6411 * t1548 + t1516 * t1551 + 0.3e1 / 0.2e1 * t3167 * t12039 - 0.3e1 * t679 * t12042 + t12047 * t1257 - 0.2e1 * t12047 * t1263 - 0.11e2 / 0.18e2 * t12052 * t8940;
  t12074 = t3389 * t2542;
  t12075 = t836 * t12074;
  t12082 = t1261 * t12025;
  t12087 = t680 * t12045;
  t12088 = t12087 * t1274;
  t12091 = t12038 * t8922;
  t12094 = 0.23e2 / 0.36e2 * t12052 * t8943 - t12052 * t8742 / 0.2e1 + 0.7e1 / 0.3e1 * t12052 * t8745 - t1541 * t9981 / 0.3e1 + t2534 * t3691 / 0.3e1 - 0.5e1 / 0.36e2 * t12052 * t8711 - t2534 * t3380 / 0.12e2 + t1529 * t2544 / 0.12e2 + t1534 * t2544 / 0.12e2 + t466 * t12075 / 0.12e2 + t12047 * t1300 / 0.2e1 + t2529 * t845 / 0.6e1 - t1541 * t12082 / 0.6e1 + t2534 * t3525 / 0.6e1 - 0.3e1 * t246 * t12088 + 0.3e1 / 0.2e1 * t246 * t12091;
  t12109 = t244 * t12024;
  t12110 = t1261 * t12109;
  t12119 = t94 * t11945;
  t12120 = t837 * t12119;
  t12121 = t836 * t12120;
  t12124 = t1254 * t12025;
  t12128 = t219 * t221 * t1524;
  t12129 = t1555 * t12128;
  t12131 = t247 * t2532;
  t12132 = t12131 * t1281;
  t12135 = t247 * t2527;
  t12136 = t12135 * t826;
  t12139 = 0.2e1 / 0.3e1 * t1541 * t9985 - 0.3e1 / 0.2e1 * t12052 * t8947 - 0.2e1 / 0.3e1 * t2534 * t3522 + t2534 * t3503 / 0.3e1 - t1541 * t9827 / 0.6e1 - t466 * t6503 / 0.6e1 + 0.2e1 / 0.3e1 * t1541 * t12110 - t2534 * t3366 / 0.6e1 + t1568 * t10172 / 0.3e1 + t466 * t6121 / 0.6e1 + t466 * t12121 / 0.12e2 - t1541 * t12124 / 0.3e1 - t246 * t12129 + 0.3e1 / 0.2e1 * t246 * t12132 + t246 * t12136 / 0.2e1;
  t12140 = t660 * t1524;
  t12141 = t659 * t12140;
  t12142 = t1547 * t12141;
  t12144 = t12087 * t1269;
  t12147 = t680 * t2532;
  t12148 = t12147 * t3362;
  t12150 = t830 * t2557;
  t12151 = t12150 * t684;
  t12160 = t659 * t665 * t1524;
  t12161 = t1547 * t12160;
  t12163 = t12147 * t3410;
  t12165 = t12150 * t690;
  t12169 = t830 * t2553 * t597;
  t12176 = t6273 * t2592;
  t12180 = t824 * t221 * t11945;
  t12181 = t1559 * t12180;
  t12184 = -t679 * t12142 + 0.3e1 * t679 * t12144 + t679 * t12148 - t679 * t12151 / 0.2e1 - t1516 * t1556 - t1516 * t1560 / 0.2e1 + t1516 * t1564 / 0.2e1 + t246 * t12161 - t246 * t12163 + t246 * t12165 / 0.2e1 - t246 * t12169 / 0.2e1 - t630 * t2593 / 0.4e1 - t608 * t2593 / 0.4e1 - t246 * t12176 / 0.4e1 - t246 * t12181 / 0.4e1 + t8874;
  t12186 = t2541 * t794;
  t12187 = t95 * t12186;
  t12188 = t8790 * t12187;
  t12191 = t4877 * t11826;
  t12194 = t3562 * t12186;
  t12195 = t470 * t12194;
  t12198 = t6163 * t2592;
  t12201 = t3273 * t11826;
  t12204 = t276 * t2541;
  t12205 = t253 * t12204;
  t12206 = t3273 * t12205;
  t12217 = t626 * t2533;
  t12220 = t626 * t2528;
  t12227 = t8877 - t6451 * t12188 / 0.6e1 + t6439 * t12191 / 0.12e2 + t4772 * t12195 / 0.2e1 - t3266 * t12198 / 0.4e1 - t6454 * t12201 / 0.6e1 + t6451 * t12206 / 0.12e2 - t2534 * t3056 / 0.6e1 - t1529 * t1511 / 0.6e1 - t1534 * t1511 / 0.6e1 - t466 * t6212 / 0.6e1 + t12217 * t672 / 0.3e1 + t12220 * t223 / 0.6e1 + t2529 * t645 / 0.6e1 - t12217 * t662 / 0.12e2;
  t12232 = t463 * t2541;
  t12233 = t3130 * t12232;
  t12234 = t4985 * t12233;
  t12239 = t3556 * t11825;
  t12240 = t1591 * t12239;
  t12244 = t637 * t2593 / 0.12e2;
  t12246 = t1506 * t2544 / 0.36e2;
  t12247 = t2577 * t277;
  t12250 = -t2534 * t3175 / 0.12e2 - t12217 * t667 / 0.6e1 - t8896 - t8900 + t8913 + t8915 - t8939 - t8952 + t8954 + t4983 * t12234 / 0.2e1 + t8974 + t2534 * t3091 / 0.3e1 - t4772 * t12240 / 0.2e1 - t12244 + t12246 - t30 * t12247 / 0.4e1;
  t12254 = my_piecewise3(t2, 0, t11850 + t11881 + t12055 + t12094 + t12139 + t12184 + t12227 + t12250);
  tv3rholapl20 = t3 * t12254 + t2600;

  if(out->v3rholapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 0] += tv3rholapl20;

  tv3rholapl21 = 0.e0;

  if(out->v3rholapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 1] += tv3rholapl21;

  t12257 = t948 * t2668 / 0.12e2;
  t12259 = t1618 * t2619 / 0.36e2;
  t12262 = t933 * t2608;
  t12267 = t933 * t2603;
  t12273 = t294 * t2653 / 0.12e2;
  t12278 = -t9147 - t9168 + t9172 + t9195 - t12257 + t12259 - t945 * t2668 / 0.4e1 - t12262 * t1015 / 0.6e1 - t1615 * t1642 / 0.6e1 + t12267 * t350 / 0.6e1 - t12262 * t1010 / 0.12e2 - t12273 - t290 * t2653 / 0.4e1 + t1615 * t2619 / 0.12e2;
  t12289 = t937 * t2608;
  t12291 = t12289 * t1010 / 0.36e2;
  t12292 = t937 * t2603;
  t12294 = t12292 * t350 / 0.18e2;
  t12296 = t4005 * t2659 / 0.6e1;
  t12298 = t12289 * t1020 / 0.9e1;
  t12300 = t1618 * t1642 / 0.18e2;
  t12302 = t12289 * t1015 / 0.18e2;
  t12304 = t948 * t2671 / 0.6e1;
  t12306 = t948 * t2663 / 0.6e1;
  t12308 = t6715 * t505 / 0.6e1;
  t12309 = -t945 * t2663 / 0.2e1 + t945 * t2671 / 0.2e1 - t3971 * t2659 / 0.2e1 + t12262 * t1020 / 0.3e1 + t6700 * t505 / 0.2e1 - t12291 + t12294 - t12296 + t12298 - t12300 - t12302 + t12304 - t12306 + t12308;
  t12311 = my_piecewise3(t100, 0, t12278 + t12309);
  tv3rholapl22 = t3 * t12311 + t2675;

  if(out->v3rholapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 2] += tv3rholapl22;

  t12317 = -t9224 + t9234 - t8624 + t8645 - t903 * t2593 / 0.4e1 + t1632 * t2544 / 0.12e2 + t11857 + t11861 - t11863 - t11865 + t11867 + t11870 - t11872 - t11874;
  t12320 = t897 * t2533;
  t12325 = t897 * t2528;
  t12340 = -t11876 - t307 * t2578 / 0.4e1 - t12320 * t667 / 0.6e1 - t1632 * t1511 / 0.6e1 + t12325 * t223 / 0.6e1 - t12320 * t662 / 0.12e2 - t903 * t2588 / 0.2e1 - t12023 + t903 * t2596 / 0.2e1 - t3740 * t2584 / 0.2e1 + t12320 * t672 / 0.3e1 + t6585 * t481 / 0.2e1 - t12244 + t12246;
  t12342 = my_piecewise3(t2, 0, t12317 + t12340);
  tv3rholapl23 = t3 * t12342 + t2600;

  if(out->v3rholapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 3] += tv3rholapl23;

  tv3rholapl24 = 0.e0;

  if(out->v3rholapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 4] += tv3rholapl24;

  t12344 = t2616 * t333;
  t12345 = t4626 * t12344;
  t12346 = t1720 * t12345;
  t12349 = t487 * t2616;
  t12350 = t4572 * t12349;
  t12351 = t5641 * t12350;
  t12354 = t168 * t12344;
  t12355 = t5674 * t12354;
  t12364 = t167 * t1655;
  t12365 = t1095 * t12364;
  t12366 = t1423 * t12365;
  t12371 = -t2180 + t2251 - t9281 + t9283 + t9307 - t5665 * t12346 / 0.2e1 + t5639 * t12351 / 0.2e1 + t6769 * t12355 / 0.6e1 - t9147 + t9172 - t1683 * t10344 / 0.6e1 + t1702 * t10339 / 0.3e1 - t2609 * t4550 / 0.6e1 - t1683 * t12366 / 0.3e1 + t2609 * t4554 / 0.3e1;
  t12377 = t1077 * t1688;
  t12380 = t4388 * t1673;
  t12383 = t1077 * t488;
  t12390 = t493 * t1045;
  t12395 = t1719 * t999;
  t12398 = 0.2e1 / 0.3e1 * t9372 * t2808 + 0.2e1 * t1077 * t1655 * t376 - 0.4e1 * t12377 * t1438 + 0.4e1 / 0.3e1 * t12380 * t1410 - 0.2e1 * t12383 * t1084 + 0.4e1 * t12380 * t1415 - 0.2e1 * t1728 * t349 + 0.4e1 * t12390 * t1438 + 0.2e1 * t496 * t1084 - 0.4e1 * t12395 * t1415;
  t12399 = t167 * t12398;
  t12400 = t1095 * t12399;
  t12401 = t1094 * t12400;
  t12408 = t4440 * t2617;
  t12409 = t1094 * t12408;
  t12412 = t2601 * t4140;
  t12413 = t3135 * t12412;
  t12414 = t321 * t12413;
  t12419 = t2601 * t4160;
  t12420 = t1030 * t12419;
  t12421 = t12420 * t1410;
  t12424 = t1030 * t2607;
  t12425 = t12424 * t4307;
  t12427 = t1088 * t2632;
  t12428 = t12427 * t1034;
  t12436 = t1008 * t1655;
  t12437 = t1007 * t12436;
  t12438 = t1674 * t12437;
  t12442 = t371 * t12364;
  t12443 = t1430 * t12442;
  t12446 = t490 * t12401 / 0.12e2 + t1660 * t2619 / 0.12e2 + t1665 * t2619 / 0.12e2 + t490 * t12409 / 0.12e2 - 0.5e1 / 0.36e2 * t12414 * t9360 - t2609 * t4433 / 0.12e2 + 0.3e1 * t1029 * t12421 + t1029 * t12425 - t1029 * t12428 / 0.2e1 - t1647 * t1690 - t1647 * t1694 / 0.2e1 + t1647 * t1698 / 0.2e1 - t1029 * t12438 + t2609 * t4361 / 0.3e1 + 0.2e1 / 0.3e1 * t1683 * t12443;
  t12462 = t1065 * t2608;
  t12469 = t349 * t2653;
  t12472 = t2651 * t370;
  t12473 = t369 * t12472;
  t12474 = t321 * t12473;
  t12481 = -0.2e1 / 0.3e1 * t2609 * t4378 - t490 * t6812 / 0.6e1 + t490 * t6757 / 0.6e1 + t2609 * t4264 / 0.3e1 - t1660 * t1642 / 0.6e1 - t1665 * t1642 / 0.6e1 - t490 * t7018 / 0.6e1 + t12462 * t1020 / 0.3e1 - t4204 * t2659 / 0.2e1 - t4188 * t2659 / 0.2e1 - t338 * t12469 / 0.12e2 + t12474 * t377 / 0.4e1 + t6965 * t505 / 0.2e1 + t6960 * t505 / 0.2e1 - t12257;
  t12482 = t12427 * t1039;
  t12489 = t6974 * t2667;
  t12493 = t1076 * t348 * t12398;
  t12494 = t1693 * t12493;
  t12498 = t1007 * t1013 * t1655;
  t12499 = t1674 * t12498;
  t12501 = t12424 * t4324;
  t12504 = t346 * t348 * t1655;
  t12505 = t1689 * t12504;
  t12507 = t374 * t2607;
  t12508 = t12507 * t1438;
  t12511 = t374 * t2602;
  t12512 = t12511 * t1084;
  t12516 = t1088 * t2628 * t1047;
  t12519 = t6760 * t2667;
  t12522 = t1018 * t12344;
  t12523 = t5691 * t12522;
  t12526 = t12259 + t373 * t12482 / 0.2e1 - t1070 * t2668 / 0.4e1 - t1058 * t2668 / 0.4e1 - t373 * t12489 / 0.4e1 - t373 * t12494 / 0.4e1 + t373 * t12499 - t373 * t12501 - t373 * t12505 + 0.3e1 / 0.2e1 * t373 * t12508 + t373 * t12512 / 0.2e1 - t373 * t12516 / 0.2e1 - t4695 * t12519 / 0.4e1 - t6769 * t12523 / 0.3e1 - t9408 - t9412;
  t12529 = t1430 * t12365;
  t12534 = t649 * t12419;
  t12535 = t321 * t12534;
  t12540 = t1101 * t12365;
  t12543 = t194 * t2607;
  t12544 = t321 * t12543;
  t12551 = t2632 * t4214;
  t12554 = t143 * t1655;
  t12555 = t1033 * t12554;
  t12560 = t142 * t2616;
  t12561 = t12560 * t333;
  t12562 = t1173 * t12561;
  t12565 = t360 * t12561;
  t12568 = t12560 * t1082;
  t12569 = t360 * t12568;
  t12572 = t1186 * t12561;
  t12575 = t140 * t12398;
  t12576 = t1165 * t12575;
  t12579 = t69 * t2601;
  t12580 = t12579 * t4607;
  t12583 = t140 * t1655;
  t12584 = t1033 * t12583;
  t12587 = 0.2e1 * t2629 * t1167 + 0.2e1 * t12551 * t1477 - 0.2e1 / 0.3e1 * t1720 * t12555 + 0.2e1 / 0.3e1 * t2633 * t4573 + t7150 * t12562 / 0.3e1 + 0.2e1 * t7147 * t12565 + 0.2e1 * t10674 * t12569 - 0.2e1 * t7150 * t12572 + t494 * t12576 / 0.2e1 + 0.1e2 / 0.3e1 * t12580 * t9658 + 0.4e1 / 0.3e1 * t1720 * t12584;
  t12598 = t1038 * t12583;
  t12603 = t356 * t12583;
  t12606 = t2628 * t4208;
  t12612 = -0.4e1 / 0.3e1 * t2633 * t4613 - 0.4e1 * t12551 * t1485 + t12580 * t9655 / 0.18e2 - 0.3e1 * t12580 * t9686 + 0.6e1 * t12551 * t1495 - 0.2e1 * t1720 * t12598 + 0.2e1 * t2633 * t4627 + 0.2e1 * t1716 * t12603 - 0.3e1 * t12606 * t1491 - t2629 * t1183 + t1714 * t2647 / 0.2e1 - t9586;
  t12616 = t2646 * t333;
  t12617 = t4626 * t12616;
  t12623 = t1165 * t12616;
  t12625 = t2646 * t1082;
  t12626 = t4575 * t12625;
  t12630 = -t9610 - t9611 + t9635 + t9669 + 0.6e1 * t12580 * t9643 + t1720 * t12617 - 0.12e2 * t12551 * t1481 - 0.2e1 / 0.3e1 * t12580 * t9640 - t1716 * t12623 - t494 * t12626 - t12580 * t9603 / 0.9e1;
  t12632 = t143 * t12398;
  t12633 = t1165 * t12632;
  t12635 = t4572 * t12616;
  t12638 = t1038 * t12554;
  t12643 = t356 * t12554;
  t12648 = t9675 + t9677 - t9683 - t2229 - t1714 * t2637 - t494 * t12633 - 0.2e1 / 0.3e1 * t1720 * t12635 + 0.4e1 * t1720 * t12638 - 0.4e1 * t2633 * t4656 - 0.4e1 * t1716 * t12643 + 0.6e1 * t12606 * t1472 + t2210;
  t12650 = t12587 + t12612 + t12630 + t12648;
  t12651 = t139 * t12650;
  t12652 = t12651 * t168;
  t12665 = t9416 - t12273 - t1683 * t12529 / 0.6e1 + t2609 * t4452 / 0.6e1 + t12535 * t1457 / 0.2e1 + t2604 * t1103 / 0.6e1 + t1702 * t12540 / 0.3e1 - t12544 * t1452 / 0.2e1 - t2604 * t1098 / 0.6e1 - t110 * t12652 / 0.4e1 - t318 * t2653 / 0.4e1 + t1058 * t2671 / 0.2e1 - t1070 * t2663 / 0.2e1 - t1058 * t2663 / 0.2e1 + t1647 * t1657 / 0.2e1;
  t12672 = t4719 * t12412;
  t12673 = t12672 * t9698;
  t12685 = t12672 * t9703;
  t12688 = t12420 * t1415;
  t12691 = t12672 * t9717;
  t12700 = t1070 * t2671 / 0.2e1 - 0.3e1 / 0.2e1 * t12414 * t9256 - t6955 * t1675 + t1647 * t1679 + 0.3e1 / 0.2e1 * t4718 * t12673 + t12535 * t1426 - 0.2e1 * t12535 * t1432 - 0.11e2 / 0.18e2 * t12414 * t9261 + 0.23e2 / 0.36e2 * t12414 * t9264 - t12414 * t9267 / 0.2e1 - 0.3e1 * t1029 * t12685 - 0.3e1 * t373 * t12688 + 0.3e1 / 0.2e1 * t373 * t12691 + 0.7e1 / 0.3e1 * t12414 * t9270 - t1683 * t10552 / 0.3e1 + 0.2e1 / 0.3e1 * t1683 * t10556;
  t12712 = t1065 * t2603;
  t12715 = t2604 * t994 / 0.6e1 - t12462 * t1010 / 0.12e2 - t2609 * t4228 / 0.12e2 - t12462 * t1015 / 0.6e1 - t2609 * t4135 / 0.6e1 + t12712 * t350 / 0.6e1 + t9482 - t9485 - t9487 - t12291 + t12294 - t12296 + t12298 - t12300 - t12302;
  t12716 = t2652 * t404;
  t12719 = t1165 * t12344;
  t12720 = t1716 * t12719;
  t12723 = t2616 * t1082;
  t12724 = t4575 * t12723;
  t12725 = t494 * t12724;
  t12728 = t168 * t12723;
  t12729 = t9444 * t12728;
  t12732 = t5691 * t12354;
  t12735 = t403 * t2616;
  t12736 = t380 * t12735;
  t12737 = t4687 * t12736;
  t12740 = t4687 * t12354;
  t12743 = -t110 * t12716 / 0.4e1 + t9535 + t9543 - t9546 - t9548 + t12304 - t12306 + t12308 + t5665 * t12720 / 0.2e1 + t5665 * t12725 / 0.2e1 - t6772 * t12729 / 0.6e1 + t6769 * t12732 / 0.12e2 - t9710 + t9713 + t6772 * t12737 / 0.12e2 - t6764 * t12740 / 0.6e1;
  t12747 = my_piecewise3(t100, 0, t12371 + t12446 + t12481 + t12526 + t12665 + t12700 + t12715 + t12743);
  tv3rholapl25 = t3 * t12747 + t2675;

  if(out->v3rholapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 5] += tv3rholapl25;

  t12753 = t7351 * t464;
  t12754 = t12753 * t826;
  t12757 = t670 * t9870;
  t12758 = t4873 * t12757;
  t12764 = t95 * t9870;
  t12765 = t4996 * t12764;
  t12768 = t637 * t2751 / 0.12e2;
  t12770 = t1506 * t1807 / 0.36e2;
  t12773 = t637 * t2742 / 0.6e1;
  t12775 = t637 * t2737 / 0.12e2;
  t12778 = t3389 * t2676;
  t12779 = t843 * t12778;
  t12784 = t1254 * t12778;
  t12797 = t12773 - t12775 + t7746 * t2678 / 0.6e1 + t1815 * t12779 / 0.6e1 + t1815 * t12026 / 0.6e1 - t1779 * t12784 / 0.6e1 - t1779 * t12124 / 0.6e1 + t1815 * t10172 / 0.6e1 + t515 * t6121 / 0.12e2 - t7228 * t2681 / 0.12e2 - t7233 * t2681 / 0.12e2;
  t12799 = t1261 * t12778;
  t12822 = -t1779 * t12799 / 0.12e2 - t1779 * t12082 / 0.12e2 + t1750 * t2544 / 0.12e2 + t1755 * t2544 / 0.12e2 + t515 * t12075 / 0.12e2 + t515 * t12121 / 0.12e2 + t7742 * t2678 / 0.6e1 - t466 * t7262 / 0.12e2 + t1779 * t12110 / 0.3e1 + t1568 * t10985 / 0.6e1 + t466 * t7215 / 0.12e2;
  t12833 = t606 * t2676;
  t12834 = t1261 * t12833;
  t12841 = -t1541 * t10990 / 0.12e2 - t1779 * t9827 / 0.12e2 - t515 * t6503 / 0.12e2 + t7228 * t2692 / 0.3e1 + t7233 * t2692 / 0.3e1 + t1779 * t12834 / 0.3e1 - t7228 * t2686 / 0.6e1 - t7233 * t2686 / 0.6e1 - t8624 + t8645 - t8647;
  t12852 = t7525 * t2592;
  t12855 = t1797 * t12180;
  t12862 = t7384 * t2741;
  t12865 = t1784 * t12160;
  t12870 = -t1529 * t1807 / 0.12e2 - t1534 * t1807 / 0.12e2 - t466 * t7374 / 0.12e2 - t608 * t2737 / 0.4e1 - t246 * t12852 / 0.4e1 - t246 * t12855 / 0.4e1 + t630 * t2742 / 0.2e1 + t608 * t2742 / 0.2e1 + t246 * t12862 / 0.2e1 + t246 * t12865 / 0.2e1 - t630 * t2734 / 0.2e1;
  t12873 = t7510 * t2733;
  t12876 = t1792 * t12128;
  t12891 = t95 * t6432;
  t12892 = t4877 * t12891;
  t12895 = -t608 * t2734 / 0.2e1 - t246 * t12873 / 0.2e1 - t246 * t12876 / 0.2e1 + t1770 * t1526 / 0.4e1 + t6209 * t530 / 0.4e1 + t6217 * t530 / 0.4e1 - t8720 - t7248 * t12188 / 0.6e1 + t7251 * t12191 / 0.12e2 + t7248 * t12206 / 0.12e2 + t7251 * t12892 / 0.6e1;
  t12900 = t7400 * t469 * t249;
  t12904 = t1805 * t1584 * t249;
  t12909 = t6119 * t1805;
  t12910 = t843 * t12909;
  t12917 = t4762 * t12764;
  t12920 = t3273 * t12891;
  t12923 = t4873 * t12764;
  t12926 = t608 * t2751 / 0.4e1 + t246 * t12900 / 0.4e1 + t246 * t12904 / 0.4e1 - t466 * t7402 / 0.12e2 - t211 * t12910 / 0.12e2 + t1516 * t1811 / 0.4e1 + t630 * t2751 / 0.4e1 + t8741 - t11019 * t12917 / 0.2e1 - t7254 * t12920 / 0.6e1 + t10838 * t12923 / 0.2e1;
  t12927 = t276 * t463;
  t12928 = t253 * t12927;
  t12929 = t4762 * t12928;
  t12932 = t5175 * t12891;
  t12937 = t512 * t2541;
  t12938 = t3130 * t12937;
  t12939 = t4985 * t12938;
  t12942 = t1876 * t12239;
  t12945 = t3156 * t9870;
  t12946 = t9744 * t12945;
  t12949 = t6304 * t11235;
  t12952 = t689 * t9870;
  t12953 = t7680 * t12952;
  t12956 = t6300 * t10911;
  t12959 = t1591 * t7461;
  t12961 = t7254 * t12929 / 0.6e1 + t7251 * t12932 / 0.3e1 - t7254 * t12201 / 0.6e1 + t4983 * t12939 / 0.2e1 - t4772 * t12942 / 0.2e1 - 0.3e1 / 0.2e1 * t10757 * t12946 - 0.3e1 * t4983 * t12949 - 0.3e1 * t4772 * t12953 + 0.3e1 * t4983 * t12956 + t4983 * t12959 - t8811;
  t12971 = t4877 * t12764;
  t12974 = t9744 * t12757;
  t12983 = t9744 * t12764;
  t12987 = t4873 * t12928;
  t12990 = t3130 * t9870;
  t12991 = t7686 * t12990;
  t12998 = t11224 * t1539;
  t12999 = t12998 * t1269;
  t13002 = t12998 * t1274;
  t13010 = t1506 * t1765 / 0.36e2;
  t13012 = t1760 * t1511 / 0.36e2;
  t13013 = -t7251 * t12987 / 0.12e2 + 0.3e1 / 0.2e1 * t4772 * t12991 - t6439 * t11217 / 0.6e1 + t6439 * t11221 / 0.3e1 - t4993 * t12999 / 0.2e1 + t3266 * t13002 / 0.2e1 + t1516 * t1747 / 0.4e1 + t7600 * t481 / 0.4e1 - t13010 - t13012 + t8874;
  t13015 = t1607 * t544;
  t13018 = t476 * t1855;
  t13022 = t188 * t2747 / 0.12e2;
  t13025 = t519 * t12194;
  t13028 = t7361 * t2592;
  t13031 = t7449 * t2733;
  t13034 = t1872 * t11877;
  t13037 = t7457 * t2728;
  t13041 = t6226 * t530 / 0.12e2;
  t13042 = t8877 - t30 * t13015 / 0.4e1 - t30 * t13018 / 0.4e1 - t13022 - t182 * t2747 / 0.4e1 + t4772 * t13025 / 0.2e1 - t3266 * t13028 / 0.4e1 - t3266 * t13031 / 0.2e1 + t4772 * t13034 / 0.2e1 - t4993 * t13037 / 0.2e1 + t13041;
  t13044 = t7611 * t481 / 0.12e2;
  t13045 = t3264 * t12927;
  t13046 = t4873 * t13045;
  t13049 = t4996 * t12928;
  t13052 = t670 * t6432;
  t13053 = t4877 * t13052;
  t13056 = t9845 * t12764;
  t13059 = t6304 * t11231;
  t13080 = t62 * t463;
  t13081 = t13080 * t206;
  t13082 = t233 * t13081;
  t13085 = t13080 * t794;
  t13086 = t233 * t13085;
  t13089 = -t1876 * t11902 + t7670 * t2712 + t1872 * t11909 + t1870 * t2572 / 0.2e1 + t519 * t11947 / 0.2e1 - t7665 * t2716 + 0.2e1 / 0.3e1 * t7665 * t2709 + 0.2e1 / 0.3e1 * t1876 * t11952 + 0.2e1 * t7655 * t11965 + 0.2e1 * t11138 * t11969 + t7651 * t11972 / 0.3e1 + 0.6e1 * t11143 * t13082 + 0.2e1 * t7655 * t13086;
  t13090 = t802 * t13081;
  t13093 = t802 * t13085;
  t13096 = t3590 * t13081;
  t13103 = t815 * t13085;
  t13106 = t815 * t13081;
  t13109 = t3580 * t13081;
  t13113 = t2708 * t206;
  t13114 = t3130 * t13113;
  t13117 = t689 * t13113;
  t13120 = 0.2e1 * t11079 * t13090 + 0.2e1 / 0.3e1 * t7651 * t13093 - t11072 * t13096 / 0.9e1 - 0.2e1 * t7651 * t11975 + 0.6e1 * t11072 * t13090 - 0.4e1 * t7651 * t13103 - 0.12e2 * t11079 * t13106 - 0.2e1 / 0.3e1 * t11072 * t13109 + t1876 * t11890 - 0.3e1 * t7686 * t13114 + 0.6e1 * t7680 * t13117 + t9022 - t9047;
  t13129 = t2708 * t794;
  t13130 = t3556 * t13129;
  t13133 = -t9048 - t9050 + 0.2e1 * t1876 * t11987 - t519 * t11979 - 0.2e1 / 0.3e1 * t1876 * t11983 + 0.2e1 * t7665 * t2705 - t2138 + t9091 + t9093 - t9100 + t9121 + t2119 + 0.2e1 * t1876 * t13130;
  t13134 = t3125 * t13113;
  t13137 = t3130 * t13129;
  t13140 = t229 * t13113;
  t13143 = t788 * t13129;
  t13151 = t683 * t13113;
  t13158 = t3168 * t13113;
  t13162 = 0.1e2 / 0.3e1 * t7686 * t13134 - 0.4e1 / 0.3e1 * t1876 * t13137 - 0.3e1 * t7690 * t13140 - t1872 * t13143 - t1872 * t11990 - t519 * t11993 - 0.2e1 * t7670 * t2698 - 0.2e1 * t1872 * t12006 - 0.4e1 * t7680 * t13151 - t7665 * t2701 / 0.3e1 - t1876 * t11995 / 0.3e1 + t7686 * t13158 / 0.18e2 - t1870 * t2562;
  t13164 = t13089 + t13120 + t13133 + t13162;
  t13165 = t59 * t13164;
  t13166 = t13165 * t95;
  t13170 = t188 * t2720 / 0.12e2;
  t13171 = t229 * t9870;
  t13172 = t7690 * t13171;
  t13175 = t788 * t6432;
  t13176 = t1872 * t13175;
  t13179 = t2719 * t277;
  t13182 = t13044 + t7251 * t13046 / 0.3e1 - t7251 * t13049 / 0.6e1 - 0.2e1 / 0.3e1 * t7251 * t13053 - 0.11e2 / 0.18e2 * t10757 * t13056 + 0.3e1 / 0.2e1 * t9877 * t13059 - t30 * t13166 / 0.4e1 - t13170 + 0.3e1 / 0.2e1 * t4772 * t13172 + t4772 * t13176 / 0.2e1 - t30 * t13179 / 0.4e1;
  t13185 = t7351 * t1554;
  t13186 = t13185 * t1281;
  t13189 = t3556 * t6432;
  t13190 = t1876 * t13189;
  t13192 = t7457 * t2741;
  t13197 = -t8896 - t8900 + t8913 + t8915 - t8939 - t8952 + t8954 - t3266 * t13186 / 0.2e1 - t4772 * t13190 + t3266 * t13192 / 0.2e1 + t6454 * t11167 / 0.6e1;
  t13198 = t222 * t2720;
  t13201 = t2718 * t243;
  t13202 = t242 * t13201;
  t13203 = t191 * t13202;
  t13222 = t8974 - t211 * t13198 / 0.12e2 + t13203 * t250 / 0.4e1 - t466 * t7606 / 0.12e2 - t1750 * t1511 / 0.12e2 - t1755 * t1511 / 0.12e2 - t515 * t6212 / 0.12e2 + t7592 * t481 / 0.4e1 - t1529 * t1765 / 0.12e2 - t1534 * t1765 / 0.12e2 - t630 * t2737 / 0.4e1;
  t13230 = t7384 * t2728;
  t13233 = t1784 * t12141;
  t13247 = t637 * t2734 / 0.6e1;
  t13248 = t1516 * t1802 / 0.4e1 - t3070 * t2729 / 0.2e1 - t3061 * t2729 / 0.2e1 - t679 * t13230 / 0.2e1 - t679 * t13233 / 0.2e1 - t1770 * t1560 / 0.4e1 + t1770 * t1564 / 0.4e1 - t1516 * t1793 / 0.2e1 - t1516 * t1798 / 0.4e1 - t1770 * t1556 / 0.2e1 - t13247;
  t13250 = t3051 * t2729 / 0.6e1;
  t13252 = t7276 * t2692 / 0.9e1;
  t13254 = t7276 * t2686 / 0.18e2;
  t13256 = t1760 * t2544 / 0.36e2;
  t13258 = t7276 * t2681 / 0.36e2;
  t13260 = t7183 * t2678 / 0.18e2;
  t13271 = -t13250 + t13252 - t13254 + t13256 - t13258 + t13260 - t1541 * t10814 / 0.6e1 + t1541 * t10818 / 0.3e1 - t7587 * t1548 / 0.2e1 + t1770 * t1551 / 0.2e1 - t6411 * t1785 / 0.2e1;
  t13276 = my_piecewise3(t2, 0, t1516 * t1788 / 0.2e1 - t1779 * t9981 / 0.6e1 + t1779 * t9985 / 0.3e1 - t10757 * t12971 / 0.2e1 + 0.23e2 / 0.36e2 * t10757 * t12974 + t7251 * t11827 / 0.6e1 - t7251 * t11886 / 0.3e1 - t182 * t2720 / 0.4e1 - 0.5e1 / 0.36e2 * t10757 * t12983 + t10838 * t12765 + t6451 * t7358 / 0.12e2 - t6439 * t10884 / 0.12e2 - t3266 * t12754 / 0.4e1 - 0.2e1 * t10838 * t12758 + 0.7e1 / 0.3e1 * t10757 * t9845 * t12757 + t12870 + t12961 + t12768 + t13182 + t12895 + t13271 + t2160 + t12841 + t12926 + t12822 + t13013 - t8829 + t13042 + t13248 - t12770 + t13197 + t12797 + t13222 - t2089);
  tv3rholapltau0 = t3 * t13276 + t2755;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 0] += tv3rholapltau0;

  tv3rholapltau1 = 0.e0;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 1] += tv3rholapltau1;

  tv3rholapltau2 = 0.e0;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 2] += tv3rholapltau2;

  t13279 = t948 * t2817 / 0.12e2;
  t13281 = t948 * t2822 / 0.6e1;
  t13283 = t948 * t2814 / 0.6e1;
  t13285 = t4005 * t2809 / 0.6e1;
  t13287 = t7911 * t2766 / 0.18e2;
  t13289 = t7911 * t2772 / 0.9e1;
  t13291 = t1905 * t2619 / 0.36e2;
  t13293 = t7953 * t2758 / 0.18e2;
  t13295 = t7911 * t2761 / 0.36e2;
  t13308 = -t9147 - t9168 + t9172 + t9195 - t13279 + t13281 - t13283 - t13285 - t13287 + t13289 + t13291 + t13293 - t13295 - t1615 * t1965 / 0.12e2 + t945 * t2831 / 0.4e1 - t945 * t2817 / 0.4e1 + t945 * t2822 / 0.2e1 - t945 * t2814 / 0.2e1 - t3971 * t2809 / 0.2e1;
  t13310 = t7997 * t505 / 0.12e2;
  t13312 = t1618 * t1951 / 0.36e2;
  t13314 = t1905 * t1642 / 0.36e2;
  t13324 = t294 * t2800 / 0.12e2;
  t13336 = t948 * t2831 / 0.12e2;
  t13338 = t1618 * t1965 / 0.36e2;
  t13342 = t294 * t2827 / 0.12e2;
  t13346 = t6715 * t570 / 0.12e2;
  t13347 = t13310 - t13312 - t13314 + t6700 * t570 / 0.4e1 + t8016 * t505 / 0.4e1 - t1902 * t1642 / 0.12e2 - t1615 * t1951 / 0.12e2 - t13324 + t7921 * t2772 / 0.3e1 - t7921 * t2766 / 0.6e1 + t1902 * t2619 / 0.12e2 - t7921 * t2761 / 0.12e2 + t7916 * t2758 / 0.6e1 + t13336 - t13338 - t290 * t2827 / 0.4e1 - t13342 - t290 * t2800 / 0.4e1 + t13346;
  t13349 = my_piecewise3(t100, 0, t13308 + t13347);
  tv3rholapltau3 = t3 * t13349 + t2835;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 3] += tv3rholapltau3;

  t13373 = t12768 - t12770 + t12773 - t12775 - t9224 + t9234 - t8624 + t8645 + t903 * t2751 / 0.4e1 + t903 * t2742 / 0.2e1 - t1632 * t1807 / 0.12e2 - t903 * t2734 / 0.2e1 - t903 * t2737 / 0.4e1 - t3740 * t2729 / 0.2e1 + t7825 * t2678 / 0.6e1 - t307 * t2720 / 0.4e1 - t7820 * t2681 / 0.12e2 + t1923 * t2544 / 0.12e2 - t7820 * t2686 / 0.6e1;
  t13386 = t7820 * t2692 / 0.3e1 - t13010 - t13012 + t7869 * t481 / 0.4e1 + t6585 * t530 / 0.4e1 - t1632 * t1765 / 0.12e2 - t1923 * t1511 / 0.12e2 - t13022 + t13041 + t13044 - t13170 - t307 * t2747 / 0.4e1 - t13247 - t13250 + t13252 - t13254 + t13256 - t13258 + t13260;
  t13388 = my_piecewise3(t2, 0, t13373 + t13386);
  tv3rholapltau4 = t3 * t13388 + t2755;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 4] += tv3rholapltau4;

  tv3rholapltau5 = 0.e0;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 5] += tv3rholapltau5;

  tv3rholapltau6 = 0.e0;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 6] += tv3rholapltau6;

  t13390 = t142 * t487;
  t13391 = t13390 * t333;
  t13392 = t1186 * t13391;
  t13395 = t4599 * t13391;
  t13400 = t1173 * t13391;
  t13417 = -0.12e2 * t11668 * t13392 - 0.2e1 / 0.3e1 * t11651 * t13395 - 0.2e1 * t8508 * t12572 + 0.6e1 * t11651 * t13400 + t559 * t12576 / 0.2e1 - t8457 * t2796 - t2060 * t12598 + 0.2e1 / 0.3e1 * t8457 * t2789 + 0.2e1 / 0.3e1 * t2060 * t12584 + t8451 * t2792 + t2056 * t12603 + t2054 * t2647 / 0.2e1 - t2060 * t12555 / 0.3e1;
  t13418 = t1484 * t487;
  t13419 = t4609 * t13418;
  t13428 = t1033 * t13418;
  t13437 = t4619 * t13418;
  t13440 = t2788 * t1082;
  t13441 = t4572 * t13440;
  t13444 = t356 * t13418;
  t13447 = t1165 * t13440;
  t13449 = t8438 * t13419 / 0.18e2 - t2054 * t2637 - t559 * t12633 - 0.2e1 * t8451 * t2778 - 0.2e1 * t2056 * t12643 - 0.4e1 * t8460 * t13428 - t8457 * t2781 / 0.3e1 + 0.2e1 * t8457 * t2785 + 0.2e1 * t2060 * t12638 + 0.1e2 / 0.3e1 * t8438 * t13437 - 0.4e1 / 0.3e1 * t2060 * t13441 - 0.3e1 * t8443 * t13444 - t2056 * t13447;
  t13451 = t1038 * t13418;
  t13455 = t4572 * t13418;
  t13460 = t4626 * t13440;
  t13465 = t13390 * t1082;
  t13466 = t1186 * t13465;
  t13469 = t360 * t13391;
  t13472 = t360 * t13465;
  t13477 = t1173 * t13465;
  t13480 = t4586 * t13391;
  t13483 = 0.6e1 * t8460 * t13451 + t2060 * t12617 - 0.3e1 * t8438 * t13455 - t2056 * t12623 - t559 * t12626 + 0.2e1 * t2060 * t13460 - 0.2e1 / 0.3e1 * t2060 * t12635 - 0.4e1 * t8508 * t13466 + 0.6e1 * t11663 * t13469 + 0.2e1 * t8511 * t13472 + 0.2e1 * t11668 * t13400 + 0.2e1 / 0.3e1 * t8508 * t13477 - t11651 * t13480 / 0.9e1;
  t13490 = 0.2e1 * t8511 * t12565 + 0.2e1 * t11656 * t12569 + t8508 * t12562 / 0.3e1 - t9586 - t9610 - t9611 + t9635 + t9669 + t9675 + t9677 - t9683 - t2229 + t2210;
  t13492 = t13417 + t13449 + t13483 + t13490;
  t13493 = t139 * t13492;
  t13494 = t13493 * t168;
  t13505 = t4440 * t2756;
  t13506 = t1430 * t13505;
  t13528 = t1423 * t13505;
  t13531 = -t1981 * t12529 / 0.12e2 + t8125 * t2758 / 0.6e1 + t8130 * t2758 / 0.6e1 + t1941 * t2619 / 0.12e2 + t1946 * t2619 / 0.12e2 + t555 * t12409 / 0.12e2 + t555 * t12401 / 0.12e2 - t8081 * t2766 / 0.6e1 - t8086 * t2766 / 0.6e1 - t1981 * t13528 / 0.6e1 + t9307;
  t13533 = t11402 * t1673;
  t13534 = t13533 * t1415;
  t13537 = t13533 * t1410;
  t13550 = t1038 * t10383;
  t13551 = t8460 * t13550;
  t13554 = t552 * t2616;
  t13555 = t4572 * t13554;
  t13556 = t5641 * t13555;
  t13559 = t4695 * t13534 / 0.2e1 - t5649 * t13537 / 0.2e1 + t555 * t6757 / 0.12e2 - t1981 * t10344 / 0.12e2 - t555 * t6812 / 0.12e2 - t1981 * t12366 / 0.6e1 + t1974 * t10339 / 0.6e1 - t9147 + t9172 - 0.3e1 * t5665 * t13551 + t5639 * t13556 / 0.2e1;
  t13560 = t2060 * t12345;
  t13563 = t168 * t10383;
  t13564 = t10358 * t13563;
  t13567 = t6005 * t13563;
  t13570 = t168 * t6832;
  t13571 = t4687 * t13570;
  t13574 = t5695 * t13563;
  t13579 = t6755 * t1963;
  t13580 = t1101 * t13579;
  t13589 = t2798 * t370;
  t13590 = t369 * t13589;
  t13591 = t321 * t13590;
  t13594 = -t5665 * t13560 / 0.2e1 - 0.5e1 / 0.36e2 * t11399 * t13564 - t11646 * t13567 / 0.2e1 - t8219 * t13571 / 0.6e1 + t11510 * t13574 / 0.2e1 + t1647 * t2029 / 0.2e1 - t338 * t13580 / 0.12e2 + t1647 * t1969 / 0.4e1 + t1070 * t2831 / 0.4e1 - t555 * t7018 / 0.12e2 + t13591 * t377 / 0.4e1;
  t13609 = -t1660 * t1951 / 0.12e2 - t1665 * t1951 / 0.12e2 - t490 * t8316 / 0.12e2 - t1941 * t1642 / 0.12e2 - t1946 * t1642 / 0.12e2 - t13279 + t13281 - t13283 - t13285 - t13287 + t6965 * t570 / 0.4e1;
  t13616 = t349 * t2800;
  t13623 = t1101 * t13505;
  t13634 = t6960 * t570 / 0.4e1 + t8296 * t505 / 0.4e1 + t8287 * t505 / 0.4e1 - t338 * t13616 / 0.12e2 + t1647 * t1938 / 0.4e1 + t1956 * t1657 / 0.4e1 + t1974 * t13623 / 0.6e1 - t1981 * t10552 / 0.6e1 + t1981 * t10556 / 0.3e1 - t1683 * t11562 / 0.6e1 + t1683 * t11566 / 0.3e1;
  t13642 = t559 * t12724;
  t13645 = t8077 * t2667;
  t13652 = t4626 * t6832;
  t13653 = t2060 * t13652;
  t13655 = -t8280 * t1675 / 0.2e1 + t1956 * t1679 / 0.2e1 - t6955 * t2026 / 0.2e1 - t9408 - t9412 + t9416 + t5665 * t13642 / 0.2e1 - t4695 * t13645 / 0.4e1 + t6772 * t8211 / 0.12e2 - t6769 * t11780 / 0.12e2 - t5665 * t13653;
  t13656 = t8072 * t2821;
  t13659 = t8226 * t1688;
  t13660 = t13659 * t1438;
  t13663 = t8226 * t488;
  t13664 = t13663 * t1084;
  t13669 = t403 * t487;
  t13670 = t380 * t13669;
  t13671 = t5679 * t13670;
  t13674 = t1018 * t6832;
  t13675 = t5691 * t13674;
  t13678 = t1720 * t8237;
  t13680 = t4695 * t13656 / 0.2e1 - t4695 * t13660 / 0.2e1 - t4695 * t13664 / 0.4e1 + t6764 * t11746 / 0.6e1 + t13289 + t13291 + t13293 - t13295 - t8063 * t13671 / 0.6e1 - 0.2e1 / 0.3e1 * t8063 * t13675 + t5639 * t13678;
  t13684 = t4693 * t13669;
  t13685 = t5695 * t13684;
  t13688 = t2799 * t404;
  t13691 = t500 * t2021;
  t13702 = t6005 * t13670;
  t13705 = t5691 * t13570;
  t13711 = t5674 * t13570;
  t13714 = t5695 * t13670;
  t13717 = t1165 * t6832;
  t13718 = t2056 * t13717;
  t13721 = t8060 * t2813;
  t13724 = -t13312 - t13314 + t8214 * t12737 / 0.12e2 + t8063 * t13711 / 0.3e1 - t8063 * t13714 / 0.12e2 + t9482 - t9485 - t9487 - t13324 + t5665 * t13718 / 0.2e1 - t4695 * t13721 / 0.2e1;
  t13726 = t2056 * t12719;
  t13729 = t8072 * t2808;
  t13732 = t356 * t10383;
  t13733 = t8443 * t13732;
  t13736 = t7089 * t11800;
  t13739 = t5691 * t13563;
  t13742 = t1018 * t10383;
  t13743 = t10447 * t13742;
  t13746 = t4191 * t10383;
  t13747 = t10358 * t13746;
  t13750 = t5679 * t13563;
  t13752 = t7093 * t11526;
  t13759 = t5665 * t13726 / 0.2e1 - t5649 * t13729 / 0.2e1 + 0.3e1 / 0.2e1 * t5665 * t13733 + 0.3e1 * t5639 * t13736 - t11399 * t13739 / 0.2e1 + 0.7e1 / 0.3e1 * t11399 * t13743 - 0.3e1 / 0.2e1 * t11399 * t13747 + t11510 * t13750 - 0.3e1 * t5639 * t13752 + t8063 * t12355 / 0.6e1 - t8063 * t12523 / 0.3e1;
  t13760 = t4572 * t10383;
  t13761 = t8438 * t13760;
  t13768 = t7093 * t11522;
  t13771 = t1736 * t584;
  t13774 = 0.3e1 / 0.2e1 * t5665 * t13761 - t6769 * t11552 / 0.6e1 + t6769 * t11556 / 0.3e1 + 0.3e1 / 0.2e1 * t10513 * t13768 - t110 * t13771 / 0.4e1 + t13336 - t13338 + t9535 + t9543 - t13342 - t9546;
  t13777 = t8351 * t2813;
  t13780 = t2036 * t12504;
  t13787 = t8133 * t2667;
  t13790 = t2040 * t12493;
  t13797 = -t9548 - t373 * t13777 / 0.2e1 - t373 * t13780 / 0.2e1 - t1070 * t2817 / 0.4e1 - t1058 * t2817 / 0.4e1 - t373 * t13787 / 0.4e1 - t373 * t13790 / 0.4e1 + t1070 * t2822 / 0.2e1 + t1058 * t2822 / 0.2e1 - t9710 + t9713;
  t13798 = t5695 * t13742;
  t13801 = t10447 * t13563;
  t13804 = t10358 * t13742;
  t13810 = t8600 * t493 * t376;
  t13814 = t1963 * t1713 * t376;
  t13817 = t8246 * t2821;
  t13820 = t2025 * t12498;
  t13829 = -0.2e1 * t11510 * t13798 - 0.11e2 / 0.18e2 * t11399 * t13801 + 0.23e2 / 0.36e2 * t11399 * t13804 + t1058 * t2831 / 0.4e1 + t373 * t13810 / 0.4e1 + t373 * t13814 / 0.4e1 + t373 * t13817 / 0.2e1 + t373 * t13820 / 0.2e1 - t1660 * t1965 / 0.12e2 - t1665 * t1965 / 0.12e2 - t490 * t8563 / 0.12e2;
  t13839 = t8246 * t2808;
  t13842 = t2025 * t12437;
  t13853 = -t490 * t8602 / 0.12e2 + t13346 - t1070 * t2814 / 0.2e1 - t1058 * t2814 / 0.2e1 - t4188 * t2809 / 0.2e1 - t1029 * t13839 / 0.2e1 - t1029 * t13842 / 0.2e1 - t1647 * t2041 / 0.4e1 + t1647 * t2045 / 0.4e1 - t4204 * t2809 / 0.2e1 + t1956 * t1698 / 0.4e1;
  t13868 = t1056 * t2756;
  t13869 = t1430 * t13868;
  t13878 = -t1647 * t2037 / 0.2e1 - t1956 * t1690 / 0.2e1 - t1956 * t1694 / 0.4e1 - t1683 * t11588 / 0.12e2 - t490 * t8553 / 0.12e2 + t8081 * t2772 / 0.3e1 + t8086 * t2772 / 0.3e1 + t1981 * t13869 / 0.3e1 + t1981 * t12443 / 0.3e1 + t1702 * t11603 / 0.6e1 + t490 * t8264 / 0.12e2;
  t13883 = my_piecewise3(t100, 0, -t110 * t13691 / 0.4e1 - t318 * t2827 / 0.4e1 - t8219 * t12740 / 0.6e1 - t8214 * t12729 / 0.6e1 + t8063 * t12732 / 0.12e2 + t8219 * t13702 / 0.6e1 + t8063 * t13705 / 0.6e1 - t110 * t13494 / 0.4e1 - t318 * t2800 / 0.4e1 + t1974 * t12540 / 0.6e1 - t8081 * t2761 / 0.12e2 - t8086 * t2761 / 0.12e2 - t1981 * t13506 / 0.12e2 + t8063 * t13685 / 0.3e1 - t110 * t13688 / 0.4e1 + t13724 + t13655 + t13759 + t13797 - t2180 + t13609 + t13594 + t13559 + t13878 + t13680 + t13774 + t13829 + t13310 - t9281 + t9283 + t13853 + t13634 + t13531 + t2251);
  tv3rholapltau7 = t3 * t13883 + t2835;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 7] += tv3rholapltau7;

  t13885 = t680 * t2842;
  t13886 = t13885 * t3410;
  t13888 = t830 * t2869;
  t13889 = t13888 * t690;
  t13892 = t2836 * t3076;
  t13893 = t649 * t13892;
  t13894 = t191 * t13893;
  t13899 = t94 * t1745;
  t13900 = t837 * t13899;
  t13901 = t1261 * t13900;
  t13906 = t2836 * t3118;
  t13907 = t3135 * t13906;
  t13908 = t191 * t13907;
  t13911 = t843 * t13900;
  t13914 = t194 * t2842;
  t13915 = t191 * t13914;
  t13920 = t2889 * t277;
  t13926 = t637 * t2915 / 0.6e1;
  t13927 = -t2089 + t2160 - t246 * t13886 + t246 * t13889 / 0.2e1 - t8624 + t8645 - t8647 + t13894 * t1300 / 0.2e1 + t2839 * t845 / 0.6e1 - t1779 * t13901 / 0.6e1 + t2844 * t3525 / 0.6e1 - 0.5e1 / 0.36e2 * t13908 * t8711 + t1815 * t13911 / 0.3e1 - t13915 * t1295 / 0.2e1 - t2839 * t840 / 0.6e1 - t8720 - t30 * t13920 / 0.4e1 - t182 * t2895 / 0.2e1 + t13926;
  t13929 = t637 * t2907 / 0.6e1;
  t13930 = t2851 * t206;
  t13931 = t788 * t13930;
  t13932 = t1872 * t13931;
  t13935 = t2851 * t794;
  t13936 = t3562 * t13935;
  t13937 = t519 * t13936;
  t13940 = t7361 * t2911;
  t13943 = t633 * t2843;
  t13945 = t13943 * t672 / 0.9e1;
  t13947 = t1760 * t1765 / 0.18e2;
  t13949 = t13943 * t667 / 0.18e2;
  t13951 = t13943 * t662 / 0.36e2;
  t13952 = t633 * t2838;
  t13954 = t13952 * t223 / 0.18e2;
  t13955 = t626 * t2843;
  t13963 = t7611 * t530 / 0.6e1;
  t13966 = t626 * t2838;
  t13975 = -t13929 + t4772 * t13932 / 0.2e1 + t4772 * t13937 / 0.2e1 - t3266 * t13940 / 0.4e1 + t13945 - t13947 - t13949 - t13951 + t13954 - t13955 * t662 / 0.12e2 - t2844 * t3175 / 0.12e2 - t13955 * t667 / 0.6e1 + t13963 - t515 * t7606 / 0.6e1 + t13966 * t223 / 0.6e1 + t2839 * t645 / 0.6e1 + t8741 + t630 * t2903 / 0.2e1 + t608 * t2903 / 0.2e1;
  t13978 = t7400 * t518 * t249;
  t13982 = t1805 * t1869 * t249;
  t13985 = t660 * t1745;
  t13986 = t659 * t13985;
  t13987 = t1784 * t13986;
  t13989 = t680 * t13892;
  t13990 = t13989 * t1269;
  t13993 = t13885 * t3362;
  t13995 = t13888 * t684;
  t14006 = t222 * t2890;
  t14009 = t2888 * t243;
  t14010 = t242 * t14009;
  t14011 = t191 * t14010;
  t14025 = t1760 * t2854 / 0.36e2;
  t14026 = t13989 * t1274;
  t14029 = t246 * t13978 / 0.2e1 + t246 * t13982 / 0.2e1 - t679 * t13987 + 0.3e1 * t679 * t13990 + t679 * t13993 - t679 * t13995 / 0.2e1 + t2844 * t3091 / 0.3e1 - t2844 * t3056 / 0.6e1 - t1750 * t1765 / 0.6e1 - t1755 * t1765 / 0.6e1 - t211 * t14006 / 0.12e2 + t14011 * t250 / 0.4e1 + t7592 * t530 / 0.2e1 + t13955 * t672 / 0.3e1 + t1770 * t1747 / 0.2e1 - t3070 * t2899 / 0.2e1 - t3061 * t2899 / 0.2e1 + t14025 - 0.3e1 * t246 * t14026;
  t14030 = t3115 * t13906;
  t14031 = t14030 * t8922;
  t14038 = t14030 * t8928;
  t14041 = t14030 * t8933;
  t14050 = t637 * t2903 / 0.6e1;
  t14052 = t1760 * t1807 / 0.18e2;
  t14053 = t512 * t2851;
  t14054 = t3130 * t14053;
  t14055 = t4985 * t14054;
  t14058 = t3556 * t13930;
  t14059 = t1876 * t14058;
  t14062 = t7351 * t1791;
  t14063 = t14062 * t1281;
  t14065 = t7351 * t513;
  t14066 = t14065 * t826;
  t14069 = t1892 * t544;
  t14072 = t525 * t1855;
  t14077 = 0.3e1 / 0.2e1 * t246 * t14031 - 0.3e1 / 0.2e1 * t13908 * t8947 - t7587 * t1785 + t1770 * t1788 + 0.3e1 / 0.2e1 * t3167 * t14038 - 0.3e1 * t679 * t14041 + t13894 * t1257 - 0.2e1 * t13894 * t1263 - 0.11e2 / 0.18e2 * t13908 * t8940 - t8811 - t8829 + t14050 - t14052 + t4983 * t14055 / 0.2e1 - t4772 * t14059 / 0.2e1 - t3266 * t14063 - t3266 * t14066 / 0.2e1 - t30 * t14069 / 0.2e1 - t30 * t14072 / 0.2e1 - t182 * t2934 / 0.4e1;
  t14080 = t238 * t2933;
  t14084 = 0.1e1 / t3292;
  t14085 = t14084 * t83;
  t14088 = t14084 * tau[0];
  t14109 = -0.2e2 / 0.3e1 * t1830 - 0.1e2 * t14085 * tau[0] - 0.17e3 * t3331 * t14088 + 0.1e3 / 0.3e1 * t704 * t1829 - 0.26e3 * t3334 * t14088 + 0.12e3 * t709 * t1829 + 0.3e3 * t3314 * t14088 + 0.4e2 / 0.3e1 * t714 * t1829 + 0.75e3 * t3321 * t14088 - 0.5e3 / 0.3e1 * t719 * t1829 + 0.35e3 * t3326 * t14088 - 0.1e3 * t726 * t1829;
  t14110 = t253 * t14109;
  t14111 = t65 * t14110;
  t14115 = t637 * t2912 / 0.12e2;
  t14120 = t11224 * t1777;
  t14121 = t14120 * t1269;
  t14123 = t14120 * t1274;
  t14125 = t95 * t13930;
  t14126 = t5175 * t14125;
  t14129 = t670 * t13930;
  t14130 = t4877 * t14129;
  t14137 = t244 * t13899;
  t14138 = t1261 * t14137;
  t14141 = t1254 * t13900;
  t14154 = t3389 * t2852;
  t14155 = t836 * t14154;
  t14158 = -t30 * t14080 / 0.4e1 - t30 * t14111 / 0.4e1 - t14115 - t7251 * t11217 / 0.3e1 + 0.2e1 / 0.3e1 * t7251 * t11221 - t4993 * t14121 + t3266 * t14123 + t7251 * t14126 / 0.6e1 - t7251 * t14130 / 0.3e1 - t1779 * t10990 / 0.6e1 - t515 * t7262 / 0.6e1 + 0.2e1 / 0.3e1 * t1779 * t14138 - t1779 * t14141 / 0.3e1 + t2844 * t3691 / 0.3e1 - t2844 * t3366 / 0.6e1 - t2844 * t3380 / 0.12e2 + t1750 * t2854 / 0.12e2 + t1755 * t2854 / 0.12e2 + t515 * t14155 / 0.12e2;
  t14160 = t659 * t660 * t512;
  t14166 = t789 * t1791;
  t14169 = t3428 * t1777;
  t14172 = t789 * t513;
  t14179 = t518 * t595;
  t14184 = t1875 * t651;
  t14187 = 0.2e1 / 0.3e1 * t8661 * t14160 + 0.2e1 * t789 * t1745 * t249 - 0.4e1 * t14166 * t1281 + 0.4e1 / 0.3e1 * t14169 * t1269 - 0.2e1 * t14172 * t826 + 0.4e1 * t14169 * t1274 - 0.2e1 * t1884 * t222 + 0.4e1 * t14179 * t1281 + 0.2e1 * t521 * t826 - 0.4e1 * t14184 * t1274;
  t14188 = t94 * t14187;
  t14189 = t837 * t14188;
  t14190 = t836 * t14189;
  t14215 = t3051 * t2899 / 0.6e1;
  t14224 = t515 * t14190 / 0.12e2 + t7254 * t11167 / 0.3e1 + t7248 * t7358 / 0.6e1 - t7251 * t10884 / 0.6e1 + t8874 + t8877 + 0.23e2 / 0.36e2 * t13908 * t8943 - t13908 * t8742 / 0.2e1 + 0.7e1 / 0.3e1 * t13908 * t8745 - t1779 * t10814 / 0.3e1 + 0.2e1 / 0.3e1 * t1779 * t10818 - t1770 * t1793 - t1770 * t1798 / 0.2e1 + t1770 * t1802 / 0.2e1 - t14215 + t630 * t2915 / 0.2e1 + t608 * t2915 / 0.2e1 - t630 * t2907 / 0.2e1 - t608 * t2907 / 0.2e1;
  t14228 = params->at * t2932;
  t14229 = t837 * t14228;
  t14230 = t843 * t14229;
  t14234 = t14228 * t226 * t249;
  t14237 = t7525 * t2911;
  t14241 = t824 * t221 * t14187;
  t14242 = t1797 * t14241;
  t14246 = t659 * t665 * t1745;
  t14247 = t1784 * t14246;
  t14249 = t247 * t2837;
  t14250 = t14249 * t826;
  t14254 = t830 * t2865 * t597;
  t14262 = t219 * t221 * t1745;
  t14263 = t1792 * t14262;
  t14265 = t247 * t2842;
  t14266 = t14265 * t1281;
  t14269 = t276 * t2851;
  t14270 = t253 * t14269;
  t14271 = t3273 * t14270;
  t14274 = t3273 * t14125;
  t14277 = t95 * t13935;
  t14278 = t8790 * t14277;
  t14281 = t4877 * t14125;
  t14285 = t188 * t2934 / 0.12e2;
  t14287 = t188 * t2895 / 0.6e1;
  t14288 = t7600 * t530 / 0.2e1 - t211 * t14230 / 0.12e2 + t246 * t14234 / 0.4e1 - t246 * t14237 / 0.4e1 - t246 * t14242 / 0.4e1 + t246 * t14247 + t246 * t14250 / 0.2e1 - t246 * t14254 / 0.2e1 - t630 * t2912 / 0.4e1 - t608 * t2912 / 0.4e1 - t246 * t14263 + 0.3e1 / 0.2e1 * t246 * t14266 + t7248 * t14271 / 0.12e2 - t7254 * t14274 / 0.6e1 - t7248 * t14278 / 0.6e1 + t7251 * t14281 / 0.12e2 - t14285 - t14287 - t8896;
  t14291 = t2883 * t206;
  t14292 = t788 * t14291;
  t14294 = t2883 * t794;
  t14295 = t3562 * t14294;
  t14298 = t63 * t14187;
  t14299 = t788 * t14298;
  t14301 = t3130 * t14291;
  t14304 = t63 * t1745;
  t14305 = t689 * t14304;
  t14310 = t229 * t14304;
  t14313 = t2865 * t3259;
  t14318 = t2869 * t3077;
  t14321 = -t1872 * t14292 - t519 * t14295 - t1870 * t2874 - t519 * t14299 - 0.2e1 / 0.3e1 * t1876 * t14301 + 0.4e1 * t1876 * t14305 - 0.4e1 * t2870 * t3557 - 0.4e1 * t1872 * t14310 + 0.6e1 * t14313 * t1315 + 0.2e1 * t2866 * t796 + 0.2e1 * t14318 * t1320;
  t14322 = t683 * t14304;
  t14327 = t69 * t2836;
  t14328 = t14327 * t3121;
  t14331 = t3556 * t14291;
  t14339 = t60 * t14187;
  t14340 = t788 * t14339;
  t14345 = t60 * t1745;
  t14346 = t683 * t14345;
  t14353 = -0.2e1 / 0.3e1 * t1876 * t14322 + 0.2e1 / 0.3e1 * t2870 * t3543 - t14328 * t9041 / 0.9e1 + t1876 * t14331 - 0.2e1 / 0.3e1 * t14328 * t9028 + 0.6e1 * t14328 * t9031 - 0.12e2 * t14318 * t1324 + t519 * t14340 / 0.2e1 + 0.1e2 / 0.3e1 * t14328 * t9113 + 0.4e1 / 0.3e1 * t1876 * t14346 - 0.4e1 / 0.3e1 * t2870 * t3616 - 0.4e1 * t14318 * t1328;
  t14357 = t62 * t2851;
  t14358 = t14357 * t206;
  t14359 = t815 * t14358;
  t14362 = t233 * t14358;
  t14365 = t14357 * t794;
  t14366 = t233 * t14365;
  t14369 = t802 * t14358;
  t14372 = t689 * t14345;
  t14377 = t14328 * t9097 / 0.18e2 - 0.2e1 * t7651 * t14359 + 0.2e1 * t7655 * t14362 + 0.2e1 * t11138 * t14366 + t7651 * t14369 / 0.3e1 + t9022 - t9047 - t9048 - t9050 - 0.2e1 * t1876 * t14372 + 0.2e1 * t2870 * t3607;
  t14378 = t229 * t14345;
  t14390 = 0.2e1 * t1872 * t14378 - 0.3e1 * t14313 * t1334 - t2866 * t812 + t1870 * t2884 / 0.2e1 + 0.6e1 * t14318 * t1338 - 0.3e1 * t14328 * t9103 - t2138 + t9091 + t9093 - t9100 + t9121 + t2119;
  t14392 = t14321 + t14353 + t14377 + t14390;
  t14393 = t59 * t14392;
  t14394 = t14393 * t95;
  t14398 = t188 * t2890 / 0.12e2;
  t14399 = t7213 * t1805;
  t14400 = t843 * t14399;
  t14421 = -t8900 + t8913 + t8915 - t8939 - t8952 + t8954 - t182 * t2890 / 0.4e1 - t30 * t14394 / 0.4e1 + t8974 - t14398 - t211 * t14400 / 0.6e1 + t1770 * t1811 / 0.2e1 - t515 * t7402 / 0.6e1 - 0.2e1 / 0.3e1 * t2844 * t3522 + t2844 * t3503 / 0.3e1 - t1750 * t1807 / 0.6e1 - t1755 * t1807 / 0.6e1 - t515 * t7374 / 0.6e1 + t1815 * t10985 / 0.3e1 + t515 * t7215 / 0.6e1;
  t14425 = my_piecewise3(t2, 0, t13927 + t13975 + t14029 + t14077 + t14158 + t14224 + t14288 + t14421);
  tv3rhotau20 = t3 * t14425 + t2938;

  if(out->v3rhotau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 0] += tv3rhotau20;

  tv3rhotau21 = 0.e0;

  if(out->v3rhotau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 1] += tv3rhotau21;

  t14432 = t294 * t2998 / 0.6e1;
  t14433 = t937 * t2946;
  t14435 = t14433 * t1015 / 0.18e2;
  t14437 = t14433 * t1010 / 0.36e2;
  t14438 = t937 * t2941;
  t14440 = t14438 * t350 / 0.18e2;
  t14447 = t933 * t2946;
  t14455 = t948 * t3018 / 0.6e1;
  t14457 = t948 * t3010 / 0.6e1;
  t14458 = -t290 * t2998 / 0.2e1 - t290 * t3037 / 0.4e1 - t14432 - t9147 - t9168 + t9172 + t9195 - t14435 - t14437 + t14440 - t945 * t3010 / 0.2e1 + t945 * t3018 / 0.2e1 - t3971 * t3002 / 0.2e1 + t14447 * t1020 / 0.3e1 + t8016 * t570 / 0.2e1 - t14447 * t1010 / 0.12e2 + t14455 - t14457;
  t14460 = t4005 * t3002 / 0.6e1;
  t14462 = t7997 * t570 / 0.6e1;
  t14464 = t1905 * t1951 / 0.18e2;
  t14466 = t14433 * t1020 / 0.9e1;
  t14468 = t1905 * t2957 / 0.36e2;
  t14470 = t1905 * t1965 / 0.18e2;
  t14472 = t948 * t3006 / 0.6e1;
  t14474 = t948 * t3015 / 0.12e2;
  t14480 = t294 * t2993 / 0.12e2;
  t14485 = t933 * t2941;
  t14495 = t294 * t3037 / 0.12e2;
  t14496 = -t14460 + t14462 - t14464 + t14466 + t14468 - t14470 + t14472 - t14474 + t1902 * t2957 / 0.12e2 - t290 * t2993 / 0.4e1 - t14480 - t14447 * t1015 / 0.6e1 - t1902 * t1951 / 0.6e1 + t14485 * t350 / 0.6e1 - t945 * t3015 / 0.4e1 + t945 * t3006 / 0.2e1 - t1902 * t1965 / 0.6e1 - t14495;
  t14498 = my_piecewise3(t100, 0, t14458 + t14496);
  tv3rhotau22 = t3 * t14498 + t3041;

  if(out->v3rhotau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 2] += tv3rhotau22;

  t14512 = t897 * t2843;
  t14517 = t897 * t2838;
  t14522 = -t903 * t2912 / 0.4e1 + t903 * t2903 / 0.2e1 - t1923 * t1807 / 0.6e1 + t1923 * t2854 / 0.12e2 - t9224 + t9234 - t8624 + t8645 + t7869 * t530 / 0.2e1 - t3740 * t2899 / 0.2e1 - t14512 * t667 / 0.6e1 - t1923 * t1765 / 0.6e1 + t14517 * t223 / 0.6e1 - t14512 * t662 / 0.12e2 + t13926 - t13929 + t13945 - t13947;
  t14535 = -t13949 - t13951 + t13954 + t13963 + t14025 + t14050 - t14052 + t903 * t2915 / 0.2e1 - t903 * t2907 / 0.2e1 + t14512 * t672 / 0.3e1 - t14115 - t307 * t2895 / 0.2e1 - t14215 - t307 * t2934 / 0.4e1 - t14285 - t14287 - t307 * t2890 / 0.4e1 - t14398;
  t14537 = my_piecewise3(t2, 0, t14522 + t14535);
  tv3rhotau23 = t3 * t14537 + t2938;

  if(out->v3rhotau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 3] += tv3rhotau23;

  tv3rhotau24 = 0.e0;

  if(out->v3rhotau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 4] += tv3rhotau24;

  t14541 = t365 * t3036;
  t14545 = 0.1e1 / t4491;
  t14546 = t14545 * t156;
  t14549 = t14545 * tau[1];
  t14570 = -0.2e2 / 0.3e1 * t1996 - 0.1e2 * t14546 * tau[1] - 0.17e3 * t4480 * t14549 + 0.1e3 / 0.3e1 * t1119 * t1995 - 0.26e3 * t4483 * t14549 + 0.12e3 * t1124 * t1995 + 0.3e3 * t4486 * t14549 + 0.4e2 / 0.3e1 * t1129 * t1995 + 0.75e3 * t4465 * t14549 - 0.5e3 / 0.3e1 * t1134 * t1995 + 0.35e3 * t4474 * t14549 - 0.1e3 * t1141 * t1995;
  t14571 = t380 * t14570;
  t14572 = t145 * t14571;
  t14581 = t1065 * t2941;
  t14600 = -t2180 + t2251 - t318 * t3037 / 0.4e1 - t110 * t14541 / 0.4e1 - t110 * t14572 / 0.4e1 - t318 * t2998 / 0.2e1 - t9281 + t9283 - t2947 * t4135 / 0.6e1 - t1941 * t1951 / 0.6e1 + t14581 * t350 / 0.6e1 + t2942 * t994 / 0.6e1 - t1058 * t3010 / 0.2e1 + t1070 * t3018 / 0.2e1 + t1058 * t3018 / 0.2e1 - t4204 * t3002 / 0.2e1 - t4188 * t3002 / 0.2e1 - t1070 * t3010 / 0.2e1 + t1956 * t1938 / 0.2e1;
  t14605 = t8226 * t1972;
  t14606 = t14605 * t1438;
  t14608 = t8226 * t553;
  t14609 = t14608 * t1084;
  t14612 = t2954 * t333;
  t14613 = t1165 * t14612;
  t14614 = t2056 * t14613;
  t14617 = t2954 * t1082;
  t14618 = t4575 * t14617;
  t14619 = t559 * t14618;
  t14622 = t8077 * t3014;
  t14625 = t9307 - t14432 - t318 * t2993 / 0.4e1 - t9147 + t9172 - t8063 * t11780 / 0.6e1 - t4695 * t14606 - t4695 * t14609 / 0.2e1 + t5665 * t14614 / 0.2e1 + t5665 * t14619 / 0.2e1 - t4695 * t14622 / 0.4e1 - t14435 - t14437 + t14440 + t14455 - t14457 - t14460 + t14462 - t14464;
  t14627 = t168 * t14612;
  t14628 = t4687 * t14627;
  t14631 = t168 * t14617;
  t14632 = t9444 * t14631;
  t14635 = t5691 * t14627;
  t14638 = t403 * t2954;
  t14639 = t380 * t14638;
  t14640 = t4687 * t14639;
  t14647 = t2076 * t584;
  t14650 = t565 * t2021;
  t14653 = t2992 * t404;
  t14656 = t1018 * t14612;
  t14657 = t5691 * t14656;
  t14660 = t14466 + t14468 - t14470 + t14472 - t14474 - t8219 * t14628 / 0.6e1 - t8214 * t14632 / 0.6e1 + t8063 * t14635 / 0.12e2 + t8214 * t14640 / 0.12e2 + t8219 * t11746 / 0.3e1 + t8214 * t8211 / 0.6e1 - t9408 - t9412 + t9416 - t14480 - t110 * t14647 / 0.2e1 - t110 * t14650 / 0.2e1 - t110 * t14653 / 0.4e1 - t8063 * t14657 / 0.3e1;
  t14661 = t349 * t2993;
  t14664 = t2991 * t370;
  t14665 = t369 * t14664;
  t14666 = t321 * t14665;
  t14673 = t1088 * t2972;
  t14674 = t14673 * t1039;
  t14678 = t346 * t348 * t1936;
  t14679 = t2036 * t14678;
  t14682 = t1088 * t2968 * t1047;
  t14685 = t374 * t2940;
  t14686 = t14685 * t1084;
  t14695 = t1065 * t2946;
  t14704 = params->at * t3035;
  t14705 = t1095 * t14704;
  t14706 = t1101 * t14705;
  t14709 = t2939 * t4140;
  t14710 = t3135 * t14709;
  t14711 = t321 * t14710;
  t14714 = -t338 * t14661 / 0.12e2 + t14666 * t377 / 0.4e1 + t8296 * t570 / 0.2e1 + t8287 * t570 / 0.2e1 + t373 * t14674 / 0.2e1 - t373 * t14679 - t373 * t14682 / 0.2e1 + t373 * t14686 / 0.2e1 - t14495 + t2947 * t4264 / 0.3e1 - t1946 * t1951 / 0.6e1 - t555 * t8316 / 0.6e1 + t14695 * t1020 / 0.3e1 - t14695 * t1010 / 0.12e2 - t2947 * t4228 / 0.12e2 - t14695 * t1015 / 0.6e1 - t338 * t14706 / 0.12e2 + 0.7e1 / 0.3e1 * t14711 * t9270 + t9482 - t9485;
  t14717 = t8133 * t3014;
  t14721 = t1007 * t1008 * t552;
  t14727 = t1077 * t1972;
  t14730 = t4388 * t1979;
  t14733 = t1077 * t553;
  t14740 = t558 * t1045;
  t14745 = t2059 * t999;
  t14748 = 0.2e1 / 0.3e1 * t9372 * t14721 + 0.2e1 * t1077 * t1936 * t376 - 0.4e1 * t14727 * t1438 + 0.4e1 / 0.3e1 * t14730 * t1410 - 0.2e1 * t14733 * t1084 + 0.4e1 * t14730 * t1415 - 0.2e1 * t2068 * t349 + 0.4e1 * t14740 * t1438 + 0.2e1 * t561 * t1084 - 0.4e1 * t14745 * t1415;
  t14750 = t1076 * t348 * t14748;
  t14751 = t2040 * t14750;
  t14756 = t4440 * t2955;
  t14757 = t1094 * t14756;
  t14770 = t167 * t1936;
  t14771 = t371 * t14770;
  t14772 = t1430 * t14771;
  t14791 = -t9487 - t373 * t14717 / 0.4e1 - t373 * t14751 / 0.4e1 - t1070 * t3015 / 0.4e1 + t555 * t14757 / 0.12e2 - t2947 * t4550 / 0.6e1 + t2947 * t4554 / 0.3e1 - t1981 * t11588 / 0.6e1 + t1974 * t11603 / 0.3e1 + t555 * t8264 / 0.6e1 + 0.2e1 / 0.3e1 * t1981 * t14772 - 0.2e1 / 0.3e1 * t2947 * t4378 - t555 * t8602 / 0.6e1 - t555 * t8553 / 0.6e1 - t555 * t8563 / 0.6e1 - t1941 * t1965 / 0.6e1 - t1946 * t1965 / 0.6e1 + t2947 * t4361 / 0.3e1 + t1956 * t2045 / 0.2e1;
  t14792 = t8262 * t1963;
  t14793 = t1101 * t14792;
  t14799 = t1963 * t2053 * t376;
  t14802 = t1008 * t1936;
  t14803 = t1007 * t14802;
  t14804 = t2025 * t14803;
  t14806 = t2939 * t4160;
  t14807 = t1030 * t14806;
  t14808 = t14807 * t1410;
  t14814 = t11402 * t1979;
  t14815 = t14814 * t1415;
  t14817 = t552 * t2954;
  t14818 = t4572 * t14817;
  t14819 = t5641 * t14818;
  t14822 = t4626 * t14612;
  t14823 = t2060 * t14822;
  t14827 = t14704 * t353 * t376;
  t14830 = t649 * t14806;
  t14831 = t321 * t14830;
  t14840 = -t338 * t14793 / 0.6e1 + t1956 * t1969 / 0.2e1 + t373 * t14799 / 0.2e1 - t1029 * t14804 + 0.3e1 * t1029 * t14808 - t1956 * t2037 - t1956 * t2041 / 0.2e1 + t4695 * t14815 + t5639 * t14819 / 0.2e1 - t5665 * t14823 / 0.2e1 + t373 * t14827 / 0.4e1 + t9535 + t9543 - t9546 - t9548 + t14831 * t1457 / 0.2e1 + t2942 * t1103 / 0.6e1 + t1946 * t2957 / 0.12e2 - t2947 * t4433 / 0.12e2;
  t14847 = t8600 * t558 * t376;
  t14854 = t14673 * t1034;
  t14857 = t1030 * t2945;
  t14858 = t14857 * t4307;
  t14860 = t1095 * t14770;
  t14861 = t1423 * t14860;
  t14864 = t167 * t14748;
  t14865 = t1095 * t14864;
  t14866 = t1094 * t14865;
  t14869 = t374 * t2945;
  t14870 = t14869 * t1438;
  t14873 = t14807 * t1415;
  t14876 = t4719 * t14709;
  t14877 = t14876 * t9717;
  t14888 = t14876 * t9698;
  t14891 = t14876 * t9703;
  t14894 = t1941 * t2957 / 0.12e2 - 0.5e1 / 0.36e2 * t14711 * t9360 + t373 * t14847 / 0.2e1 + t1070 * t3006 / 0.2e1 + t1058 * t3006 / 0.2e1 - t1029 * t14854 / 0.2e1 + t1029 * t14858 - t1981 * t14861 / 0.3e1 + t555 * t14866 / 0.12e2 + 0.3e1 / 0.2e1 * t373 * t14870 - 0.3e1 * t373 * t14873 + 0.3e1 / 0.2e1 * t373 * t14877 - t1981 * t11562 / 0.3e1 + 0.2e1 / 0.3e1 * t1981 * t11566 - 0.3e1 / 0.2e1 * t14711 * t9256 - t8280 * t2026 + t1956 * t2029 + 0.3e1 / 0.2e1 * t4718 * t14888 - 0.3e1 * t1029 * t14891;
  t14907 = t1007 * t1013 * t1936;
  t14908 = t2025 * t14907;
  t14910 = t14857 * t4324;
  t14916 = t14814 * t1410;
  t14918 = t5674 * t14627;
  t14922 = t143 * t14748;
  t14923 = t1165 * t14922;
  t14925 = t2986 * t333;
  t14926 = t4626 * t14925;
  t14928 = t2972 * t4214;
  t14931 = t69 * t2939;
  t14932 = t14931 * t4607;
  t14937 = t4572 * t14925;
  t14940 = t143 * t1936;
  t14941 = t1038 * t14940;
  t14946 = t1165 * t14925;
  t14948 = t2986 * t1082;
  t14949 = t4575 * t14948;
  t14951 = -t2054 * t2977 - t559 * t14923 + t2060 * t14926 - 0.12e2 * t14928 * t1481 - 0.2e1 / 0.3e1 * t14932 * t9640 + 0.6e1 * t14932 * t9643 - 0.2e1 / 0.3e1 * t2060 * t14937 + 0.4e1 * t2060 * t14941 - 0.4e1 * t2973 * t4656 - t2056 * t14946 - t559 * t14949;
  t14952 = t356 * t14940;
  t14955 = t2968 * t4208;
  t14962 = t1033 * t14940;
  t14969 = t142 * t2954;
  t14970 = t14969 * t333;
  t14971 = t360 * t14970;
  t14974 = t14969 * t1082;
  t14975 = t360 * t14974;
  t14978 = t1173 * t14970;
  t14981 = t1186 * t14970;
  t14984 = -0.4e1 * t2056 * t14952 + 0.6e1 * t14955 * t1472 + 0.2e1 * t2969 * t1167 + 0.2e1 * t14928 * t1477 - 0.2e1 / 0.3e1 * t2060 * t14962 + 0.2e1 / 0.3e1 * t2973 * t4573 - t14932 * t9603 / 0.9e1 + 0.2e1 * t8511 * t14971 + 0.2e1 * t11656 * t14975 + t8508 * t14978 / 0.3e1 - 0.2e1 * t8508 * t14981 - t9586;
  t14986 = t140 * t14748;
  t14987 = t1165 * t14986;
  t14990 = t140 * t1936;
  t14991 = t1038 * t14990;
  t14996 = -t9610 - t9611 + t9635 + t9669 + t9675 + t9677 - t9683 - t2229 + t559 * t14987 / 0.2e1 - 0.2e1 * t2060 * t14991 + 0.2e1 * t2973 * t4627;
  t14997 = t356 * t14990;
  t15009 = t1033 * t14990;
  t15020 = 0.2e1 * t2056 * t14997 - 0.3e1 * t14955 * t1491 - t2969 * t1183 + t2054 * t2987 / 0.2e1 + t14932 * t9655 / 0.18e2 + 0.1e2 / 0.3e1 * t14932 * t9658 + 0.4e1 / 0.3e1 * t2060 * t15009 - 0.4e1 / 0.3e1 * t2973 * t4613 - 0.4e1 * t14928 * t1485 + 0.6e1 * t14928 * t1495 - 0.3e1 * t14932 * t9686 + t2210;
  t15022 = t14951 + t14984 + t14996 + t15020;
  t15023 = t139 * t15022;
  t15024 = t15023 * t168;
  t15027 = t1430 * t14860;
  t15032 = t1101 * t14860;
  t15035 = t194 * t2945;
  t15036 = t321 * t15035;
  t15041 = t14831 * t1426 - 0.2e1 * t14831 * t1432 - 0.11e2 / 0.18e2 * t14711 * t9261 + 0.23e2 / 0.36e2 * t14711 * t9264 - t14711 * t9267 / 0.2e1 - t9710 + t9713 - t1058 * t3015 / 0.4e1 + t373 * t14908 - t373 * t14910 - t8063 * t11552 / 0.3e1 + 0.2e1 / 0.3e1 * t8063 * t11556 - t5649 * t14916 + t8063 * t14918 / 0.6e1 - t110 * t15024 / 0.4e1 - t1981 * t15027 / 0.6e1 + t2947 * t4452 / 0.6e1 + t1974 * t15032 / 0.3e1 - t15036 * t1452 / 0.2e1 - t2942 * t1098 / 0.6e1;
  t15045 = my_piecewise3(t100, 0, t14600 + t14625 + t14660 + t14714 + t14791 + t14840 + t14894 + t15041);
  tv3rhotau25 = t3 * t15045 + t3041;

  if(out->v3rhotau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 5] += tv3rhotau25;

  t15047 = t2090 * t414;
  t15048 = t15047 * t3118;
  t15049 = t3135 * t15048;
  t15050 = t191 * t15049;
  t15057 = t3115 * t15047;
  t15058 = t15057 * t3169;
  t15061 = t15047 * t3076;
  t15062 = t649 * t15061;
  t15063 = t191 * t15062;
  t15071 = t15047 * t651;
  t15072 = t194 * t15071;
  t15073 = t191 * t15072;
  t15076 = t2105 * t2105;
  t15078 = t3459 * t221 * t15076;
  t15079 = t1285 * t15078;
  t15082 = t94 * t15076;
  t15083 = t837 * t15082;
  t15084 = t3460 * t15083;
  t15087 = -t2089 + t2160 - 0.3e1 / 0.2e1 * t15050 * t3158 - 0.3e1 / 0.2e1 * t5286 * t2154 + 0.3e1 / 0.2e1 * t1228 * t2170 + 0.3e1 / 0.2e1 * t3167 * t15058 + t15063 * t667 - 0.2e1 * t15063 * t672 - 0.11e2 / 0.18e2 * t15050 * t3141 + 0.23e2 / 0.36e2 * t15050 * t3146 - t15073 * t223 / 0.2e1 + t246 * t15079 / 0.2e1 - t417 * t15084 / 0.6e1;
  t15090 = t2087 * t2108;
  t15091 = t15090 / 0.6e1;
  t15092 = t8718 * t2271;
  t15093 = t15092 / 0.4e1;
  t15094 = t3520 * t2107;
  t15097 = t8911 * t2268;
  t15098 = t15097 / 0.2e1;
  t15099 = t8718 * t2276;
  t15100 = t15099 / 0.2e1;
  t15101 = t8718 * t2282;
  t15102 = t8738 * t2331;
  t15103 = t246 * t15102;
  t15104 = 0.3e1 / 0.2e1 * t15103;
  t15109 = 0.2e1 * t789 * t2084 * t249;
  t15113 = t3428 * t2090;
  t15121 = 0.2e1 * t2136 * t222;
  t15128 = 0.2e1 / 0.3e1 * t2133 * t661 + t15109 - 0.4e1 * t789 * t2090 * t597 + 0.4e1 / 0.3e1 * t15113 * t684 - 0.2e1 * t8673 * t2166 + 0.4e1 * t15113 * t690 - t15121 + 0.4e1 * t2139 * t222 + 0.2e1 * t423 * t2166 - 0.4e1 * t2133 * t666;
  t15129 = t94 * t15128;
  t15130 = t837 * t15129;
  t15131 = t836 * t15130;
  t15136 = t4748 * t2106;
  t15137 = t836 * t15136;
  t15142 = t1228 * t2158;
  t15143 = 0.3e1 / 0.4e1 * t15142;
  t15144 = -t2093 * t2108 / 0.3e1 + t15091 - t15093 + t2098 * t15094 / 0.4e1 + t15098 - t15100 + t15101 + t15104 + t417 * t15131 / 0.12e2 - 0.3e1 / 0.4e1 * t1228 * t2167 + t417 * t15137 / 0.4e1 + 0.3e1 / 0.4e1 * t9136 * t432 + t15143;
  t15150 = t2087 * t1223;
  t15151 = t15150 / 0.4e1;
  t15156 = t8897 * t2166;
  t15157 = t246 * t15156;
  t15158 = t15157 / 0.2e1;
  t15159 = t8893 * t2323;
  t15160 = t246 * t15159;
  t15161 = 0.3e1 / 0.2e1 * t15160;
  t15162 = t660 * t2105;
  t15163 = t3360 * t15162;
  t15164 = t8735 * t15163;
  t15167 = t8725 * t2166;
  t15169 = t660 * t2084;
  t15170 = t659 * t15169;
  t15171 = t1267 * t15170;
  t15172 = t679 * t15171;
  t15173 = 0.3e1 / 0.2e1 * t15172;
  t15179 = t247 * t15047 * t3260;
  t15182 = -t2098 * t5291 / 0.2e1 - t417 * t9131 / 0.4e1 - t15151 + t2093 * t1223 / 0.2e1 + t15063 * t662 / 0.2e1 - t15158 - t15161 + 0.3e1 / 0.2e1 * t679 * t15164 + t246 * t15167 - t15173 - t2098 * t5229 / 0.4e1 - 0.5e1 / 0.36e2 * t15050 * t3178 + 0.3e1 / 0.2e1 * t246 * t15179;
  t15183 = t680 * t15047;
  t15184 = t15183 * t3078;
  t15189 = t15057 * t3126;
  t15192 = t15183 * t3082;
  t15195 = t15057 * t3131;
  t15204 = t824 * t221 * t15128;
  t15205 = t1285 * t15204;
  t15208 = t244 * t2106;
  t15209 = t3520 * t15208;
  t15211 = t3690 * t2107;
  t15214 = t665 * t2105;
  t15215 = t3360 * t15214;
  t15216 = t8735 * t15215;
  t15219 = t193 * t15047;
  t15220 = t15219 * t651;
  t15223 = t69 * t15047;
  t15224 = t15223 * t3118;
  t15227 = t648 * t15047;
  t15228 = t15227 * t3076;
  t15237 = t9045 * t2288;
  t15238 = 0.6e1 * t15237;
  t15239 = t2118 * t2129;
  t15240 = 0.2e1 * t15239;
  t15241 = t9020 * t2291;
  t15244 = t9020 * t2295;
  t15245 = 0.6e1 * t15244;
  t15246 = t3556 * t2128;
  t15249 = t63 * t15076;
  t15250 = t3562 * t15249;
  t15253 = t3130 * t2128;
  t15255 = t63 * t15128;
  t15256 = t788 * t15255;
  t15258 = t60 * t15128;
  t15259 = t788 * t15258;
  t15262 = -0.3e1 * t15220 * t234 - 0.3e1 * t15224 * t3573 + 0.6e1 * t15228 * t816 + 0.1e2 / 0.3e1 * t15224 * t3581 - 0.4e1 * t15228 * t803 + t15224 * t3591 / 0.18e2 - t15238 - t15240 - t15241 + 0.4e1 * t2121 * t2129 + t15245 - 0.6e1 * t2125 * t15246 + 0.2e1 * t421 * t15250 + t2125 * t15253 - t421 * t15256 + t421 * t15259 / 0.2e1;
  t15263 = t3130 * t2141;
  t15266 = t9020 * t2299;
  t15267 = 0.2e1 * t15266;
  t15268 = t15227 * t3077;
  t15271 = t15223 * t3121;
  t15274 = t9020 * t2306;
  t15275 = 0.3e1 * t15274;
  t15282 = t9045 * t2302;
  t15283 = 0.3e1 * t15282;
  t15284 = t2118 * t2142;
  t15287 = t60 * t15076;
  t15288 = t3562 * t15287;
  t15290 = t15219 * t3259;
  t15293 = t3556 * t2141;
  t15296 = -0.2e1 * t2125 * t15263 + t15267 + 0.2e1 * t15268 * t785 - t15271 * t3628 / 0.9e1 - t15275 - 0.12e2 * t15268 * t798 - 0.2e1 / 0.3e1 * t15271 * t3613 + 0.6e1 * t15271 * t3596 + t15283 + t15284 - 0.2e1 * t2121 * t2142 - t2138 + t2119 - t421 * t15288 + 0.6e1 * t15290 * t230 + 0.3e1 * t2125 * t15293;
  t15297 = t15262 + t15296;
  t15298 = t59 * t15297;
  t15299 = t15298 * t95;
  t15302 = 0.3e1 * t679 * t15184 - 0.3e1 / 0.2e1 * t1228 * t2162 - 0.3e1 * t679 * t15189 - 0.3e1 * t246 * t15192 + 0.3e1 / 0.2e1 * t246 * t15195 - t15050 * t3150 / 0.2e1 + 0.7e1 / 0.3e1 * t15050 * t3153 + t2098 * t5281 - t246 * t15205 / 0.4e1 - t2098 * t15209 + t2098 * t15211 / 0.2e1 - 0.3e1 / 0.2e1 * t246 * t15216 - t30 * t15299 / 0.4e1;
  t15305 = my_piecewise3(t2, 0, t15087 + t15144 + t15182 + t15302);
  tv3sigma30 = t3 * t15305;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  t15306 = t1383 * t2249;
  t15307 = 0.3e1 / 0.4e1 * t15306;
  t15312 = t2196 * t2196;
  t15313 = t167 * t15312;
  t15314 = t1095 * t15313;
  t15315 = t4354 * t15314;
  t15319 = t4344 * t348 * t15312;
  t15320 = t1442 * t15319;
  t15323 = t9279 * t2353;
  t15324 = t9279 * t2347;
  t15325 = t15324 / 0.2e1;
  t15326 = t9707 * t2402;
  t15327 = t373 * t15326;
  t15328 = 0.3e1 / 0.2e1 * t15327;
  t15331 = t9305 * t2339;
  t15332 = t15331 / 0.2e1;
  t15333 = t9279 * t2342;
  t15334 = t15333 / 0.4e1;
  t15335 = -t2180 + t2251 + t15307 + 0.3e1 / 0.4e1 * t9469 * t457 - t2189 * t5800 / 0.2e1 - t442 * t15315 / 0.6e1 + t373 * t15320 / 0.2e1 + t15323 - t15325 + t15328 - t2184 * t2199 / 0.3e1 + t15332 - t15334;
  t15340 = 0.2e1 * t1077 * t2175 * t376;
  t15344 = t4388 * t2181;
  t15352 = 0.2e1 * t2227 * t349;
  t15359 = 0.2e1 / 0.3e1 * t2224 * t1009 + t15340 - 0.4e1 * t1077 * t2181 * t1047 + 0.4e1 / 0.3e1 * t15344 * t1034 - 0.2e1 * t9384 * t2257 + 0.4e1 * t15344 * t1039 - t15352 + 0.4e1 * t2230 * t349 + 0.2e1 * t448 * t2257 - 0.4e1 * t2224 * t1014;
  t15360 = t167 * t15359;
  t15361 = t1095 * t15360;
  t15362 = t1094 * t15361;
  t15365 = t4376 * t2198;
  t15368 = t2178 * t2199;
  t15369 = t15368 / 0.6e1;
  t15370 = t1008 * t2175;
  t15371 = t1007 * t15370;
  t15372 = t1408 * t15371;
  t15373 = t1029 * t15372;
  t15374 = 0.3e1 / 0.2e1 * t15373;
  t15375 = t5553 * t2197;
  t15376 = t1094 * t15375;
  t15381 = t9405 * t2394;
  t15382 = t373 * t15381;
  t15383 = 0.3e1 / 0.2e1 * t15382;
  t15384 = t9409 * t2257;
  t15385 = t373 * t15384;
  t15386 = t15385 / 0.2e1;
  t15387 = t1008 * t2196;
  t15388 = t4305 * t15387;
  t15389 = t9318 * t15388;
  t15392 = t9505 * t2257;
  t15395 = t1076 * t348 * t15359;
  t15396 = t1442 * t15395;
  t15403 = t442 * t15362 / 0.12e2 + t2189 * t15365 / 0.4e1 + t15369 - t15374 + t442 * t15376 / 0.4e1 - 0.3e1 / 0.4e1 * t1383 * t2258 - t15383 - t15386 + 0.3e1 / 0.2e1 * t1029 * t15389 + t373 * t15392 - t373 * t15396 / 0.4e1 - t442 * t9531 / 0.4e1 - t2189 * t5819 / 0.4e1;
  t15405 = t2181 * t439;
  t15406 = t15405 * t4140;
  t15407 = t3135 * t15406;
  t15408 = t321 * t15407;
  t15411 = t2178 * t1378;
  t15412 = t15411 / 0.4e1;
  t15415 = t15405 * t4160;
  t15416 = t649 * t15415;
  t15417 = t321 * t15416;
  t15421 = t374 * t15405 * t4209;
  t15424 = t1030 * t15405;
  t15425 = t15424 * t4219;
  t15430 = t15405 * t999;
  t15431 = t194 * t15430;
  t15432 = t321 * t15431;
  t15435 = t4719 * t15405;
  t15436 = t15435 * t4729;
  t15441 = t15435 * t4721;
  t15444 = t15435 * t4725;
  t15447 = t371 * t2197;
  t15448 = t4376 * t15447;
  t15450 = -0.5e1 / 0.36e2 * t15408 * t4231 - t15412 + t2184 * t1378 / 0.2e1 + t15417 * t1010 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t15421 + 0.3e1 * t1029 * t15425 - 0.3e1 / 0.2e1 * t1383 * t2253 - t15432 * t350 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t15436 + 0.3e1 / 0.2e1 * t1383 * t2261 + 0.3e1 / 0.2e1 * t4718 * t15441 - 0.3e1 * t1029 * t15444 - t2189 * t15448;
  t15451 = t4553 * t2198;
  t15454 = t1013 * t2196;
  t15455 = t4305 * t15454;
  t15456 = t9318 * t15455;
  t15459 = t15424 * t4215;
  t15478 = t9608 * t2359;
  t15479 = 0.6e1 * t15478;
  t15480 = t2209 * t2220;
  t15481 = 0.2e1 * t15480;
  t15482 = t9584 * t2362;
  t15483 = t143 * t15312;
  t15484 = t4575 * t15483;
  t15487 = t9584 * t2366;
  t15488 = 0.6e1 * t15487;
  t15489 = t4626 * t2219;
  t15494 = t4572 * t2219;
  t15496 = t143 * t15359;
  t15497 = t1165 * t15496;
  t15499 = t648 * t15405;
  t15500 = t15499 * t4214;
  t15503 = t69 * t15405;
  t15504 = t15503 * t4607;
  t15509 = t140 * t15312;
  t15510 = t4575 * t15509;
  t15512 = t193 * t15405;
  t15513 = t15512 * t4208;
  t15516 = t9584 * t2377;
  t15517 = 0.3e1 * t15516;
  t15518 = t2209 * t2233;
  t15519 = -t15479 - t15481 - t15482 + 0.2e1 * t446 * t15484 + t15488 - 0.6e1 * t2216 * t15489 + 0.4e1 * t2212 * t2220 + t2216 * t15494 - t446 * t15497 - 0.12e2 * t15500 * t1169 - 0.2e1 / 0.3e1 * t15504 * t4620 + 0.6e1 * t15504 * t4623 - t446 * t15510 + 0.6e1 * t15513 * t357 - t15517 + t15518;
  t15522 = t140 * t15359;
  t15523 = t1165 * t15522;
  t15528 = t4572 * t2232;
  t15531 = t9584 * t2370;
  t15532 = 0.2e1 * t15531;
  t15535 = t4626 * t2232;
  t15538 = t9608 * t2373;
  t15539 = 0.3e1 * t15538;
  t15540 = t15499 * t4160;
  t15543 = t15503 * t4140;
  t15546 = t15512 * t999;
  t15555 = -0.2e1 * t2212 * t2233 + t446 * t15523 / 0.2e1 - t15504 * t4610 / 0.9e1 - 0.2e1 * t2216 * t15528 + t15532 + 0.2e1 * t15500 * t1162 + 0.3e1 * t2216 * t15535 + t15539 - t2229 + 0.6e1 * t15540 * t1187 - 0.3e1 * t15543 * t4590 - 0.3e1 * t15546 * t361 + 0.1e2 / 0.3e1 * t15543 * t4600 - 0.4e1 * t15540 * t1174 + t15543 * t4587 / 0.18e2 + t2210;
  t15556 = t15519 + t15555;
  t15557 = t139 * t15556;
  t15558 = t15557 * t168;
  t15561 = t2189 * t15451 / 0.2e1 - 0.3e1 / 0.2e1 * t373 * t15456 - 0.3e1 * t373 * t15459 - 0.11e2 / 0.18e2 * t15408 * t4151 + 0.23e2 / 0.36e2 * t15408 * t4156 - t15408 * t4707 / 0.2e1 + 0.7e1 / 0.3e1 * t15408 * t4200 + t2189 * t5804 - 0.3e1 / 0.2e1 * t15408 * t4193 - 0.3e1 / 0.2e1 * t5792 * t2245 + t15417 * t1015 - 0.2e1 * t15417 * t1020 - t110 * t15558 / 0.4e1;
  t15564 = my_piecewise3(t100, 0, t15335 + t15403 + t15450 + t15561);
  tv3sigma39 = t3 * t15564;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

  t15565 = t94 * t2090;
  t15566 = t837 * t15565;
  t15567 = t1254 * t15566;
  t15569 = t244 * t15565;
  t15570 = t1261 * t15569;
  t15573 = t4851 * t15566;
  t15576 = t4867 * t15566;
  t15579 = t4851 * t15569;
  t15582 = t677 * t15565;
  t15583 = t4808 * t15582;
  t15586 = t3144 * t2090;
  t15587 = t3139 * t15586;
  t15588 = t6077 * t15587;
  t15592 = t659 * t665 * t2090;
  t15593 = t6134 * t15592;
  t15596 = t3124 * t2090;
  t15597 = t3139 * t15596;
  t15598 = t6077 * t15597;
  t15601 = t660 * t2090;
  t15602 = t3139 * t15601;
  t15603 = t6077 * t15602;
  t15606 = t1261 * t15566;
  t15609 = t94 * t2084;
  t15610 = t837 * t15609;
  t15611 = t843 * t15610;
  t15612 = t1568 * t15611;
  t15613 = t15612 / 0.6e1;
  t15614 = t4748 * t2266;
  t15615 = t843 * t15614;
  t15622 = t1261 * t15610;
  t15623 = t1541 * t15622;
  t15624 = t15623 / 0.12e2;
  t15625 = -t2089 + t2160 + t6087 * t15567 - 0.2e1 * t6087 * t15570 - 0.11e2 / 0.18e2 * t6100 * t15573 - t6100 * t15576 / 0.2e1 + 0.7e1 / 0.3e1 * t6100 * t15579 - 0.3e1 / 0.2e1 * t6100 * t15583 + 0.3e1 / 0.2e1 * t3167 * t15588 - 0.3e1 * t246 * t15593 - 0.3e1 * t679 * t15598 + 0.3e1 / 0.2e1 * t246 * t15603 + t6087 * t15606 / 0.2e1 + t15613 + t1568 * t15615 / 0.3e1 + t466 * t15131 / 0.12e2 + t466 * t15137 / 0.6e1 - t15624;
  t15626 = t4808 * t15566;
  t15629 = t1261 * t15614;
  t15632 = t1254 * t15610;
  t15633 = t1541 * t15632;
  t15634 = t15633 / 0.6e1;
  t15635 = t1254 * t15614;
  t15638 = t244 * t15609;
  t15639 = t1261 * t15638;
  t15640 = t1541 * t15639;
  t15641 = t15640 / 0.3e1;
  t15642 = t95 * t8756;
  t15643 = t3273 * t15642;
  t15646 = t4877 * t15642;
  t15649 = t670 * t8756;
  t15650 = t4877 * t15649;
  t15652 = t15092 / 0.6e1;
  t15653 = t15097 / 0.3e1;
  t15654 = t15099 / 0.3e1;
  t15655 = 0.2e1 / 0.3e1 * t15101;
  t15656 = t3556 * t8756;
  t15657 = t1591 * t15656;
  t15661 = t1516 * t2158;
  t15662 = t15661 / 0.4e1;
  t15665 = -0.5e1 / 0.36e2 * t6100 * t15626 - t1541 * t15629 / 0.6e1 - t15634 - t1541 * t15635 / 0.3e1 + t15641 - t6454 * t15643 / 0.3e1 + t6439 * t15646 / 0.4e1 - t6439 * t15650 + t15091 - t15652 + t15653 - t15654 + t15655 + t15103 - 0.3e1 / 0.2e1 * t4772 * t15657 - t5286 * t2319 + t15662 + t9136 * t481 / 0.4e1;
  t15669 = t1559 * t15204;
  t15673 = t659 * t665 * t2084;
  t15674 = t1547 * t15673;
  t15675 = t246 * t15674;
  t15676 = t15675 / 0.2e1;
  t15678 = t219 * t221 * t2084;
  t15679 = t1555 * t15678;
  t15680 = t246 * t15679;
  t15681 = t15680 / 0.2e1;
  t15682 = t1547 * t15170;
  t15683 = t679 * t15682;
  t15684 = t15683 / 0.2e1;
  t15690 = t6119 * t2106;
  t15691 = t836 * t15690;
  t15694 = t1559 * t15078;
  t15697 = t843 * t15566;
  t15702 = t659 * t15601;
  t15703 = t6134 * t15702;
  t15707 = t219 * t221 * t2090;
  t15708 = t6386 * t15707;
  t15712 = t5175 * t15642;
  t15715 = t15142 / 0.2e1;
  t15716 = t15150 / 0.6e1;
  t15717 = t9948 * t432 / 0.2e1 - t246 * t15669 / 0.4e1 + t15676 - t15681 - t15684 - t1228 * t2327 / 0.2e1 - t1228 * t2324 - t1516 * t2167 / 0.4e1 + t417 * t15691 / 0.12e2 + t246 * t15694 / 0.2e1 - t6496 * t15697 / 0.2e1 - t466 * t15084 / 0.6e1 + 0.3e1 * t679 * t15703 + 0.3e1 / 0.2e1 * t246 * t15708 + t1228 * t2332 + t6439 * t15712 / 0.2e1 + t15715 - t15716;
  t15718 = t4808 * t15569;
  t15723 = t1226 * t2266;
  t15724 = t1261 * t15723;
  t15733 = t2087 * t1511;
  t15734 = t15733 / 0.12e2;
  t15745 = t8999 * t414;
  t15746 = t815 * t15745;
  t15749 = t63 * t2090;
  t15750 = t229 * t15749;
  t15755 = t2298 * t2105;
  t15756 = t788 * t15755;
  t15759 = t63 * t2084;
  t15760 = t689 * t15759;
  t15761 = t1591 * t15760;
  t15762 = 0.2e1 * t15761;
  t15763 = 0.4e1 * t15237;
  t15764 = 0.2e1 / 0.3e1 * t15241;
  t15765 = 0.4e1 * t15244;
  t15766 = t229 * t15759;
  t15767 = t1587 * t15766;
  t15768 = 0.2e1 * t15767;
  t15769 = t683 * t15749;
  t15772 = t683 * t15759;
  t15773 = t1591 * t15772;
  t15774 = t15773 / 0.3e1;
  t15775 = t3168 * t15749;
  t15779 = t3130 * t15755;
  t15782 = t689 * t15749;
  t15785 = t3125 * t15749;
  t15788 = t3130 * t15749;
  t15791 = t3556 * t15755;
  t15794 = -0.6e1 * t6341 * t15746 + 0.6e1 * t6309 * t15750 + 0.2e1 * t470 * t15250 - 0.2e1 * t1587 * t15756 + t15762 - t15763 - t15240 - t15764 + t15765 - t15768 + 0.2e1 * t6300 * t15769 - t15774 - t6304 * t15775 / 0.9e1 - t470 * t15256 - 0.2e1 * t1591 * t15779 - 0.12e2 * t6300 * t15782 - 0.2e1 / 0.3e1 * t6304 * t15785 + 0.6e1 * t6304 * t15788 + 0.3e1 * t1591 * t15791;
  t15795 = t60 * t2090;
  t15796 = t3125 * t15795;
  t15799 = t60 * t2084;
  t15800 = t683 * t15799;
  t15801 = t1591 * t15800;
  t15802 = 0.2e1 / 0.3e1 * t15801;
  t15803 = t683 * t15795;
  t15806 = t229 * t15795;
  t15810 = t689 * t15799;
  t15811 = t1591 * t15810;
  t15812 = t229 * t15799;
  t15813 = t1587 * t15812;
  t15816 = t3168 * t15795;
  t15819 = t689 * t15795;
  t15822 = t3130 * t15795;
  t15825 = t233 * t15745;
  t15828 = t802 * t15745;
  t15830 = 0.4e1 / 0.3e1 * t15266;
  t15831 = 0.2e1 * t15274;
  t15832 = 0.2e1 * t15282;
  t15833 = 0.1e2 / 0.3e1 * t6304 * t15796 + t15802 - 0.4e1 * t6300 * t15803 - 0.3e1 * t6309 * t15806 - t470 * t15288 - t15811 + t15813 + t470 * t15259 / 0.2e1 + t6304 * t15816 / 0.18e2 + 0.6e1 * t6300 * t15819 - 0.3e1 * t6304 * t15822 + 0.4e1 * t6344 * t15825 + t6341 * t15828 + t15830 - t15831 + t15832 + t15284 - t2138 + t2119;
  t15834 = t15794 + t15833;
  t15835 = t59 * t15834;
  t15836 = t15835 * t95;
  t15839 = t1319 * t9898;
  t15842 = t788 * t8756;
  t15843 = t1587 * t15842;
  t15845 = 0.23e2 / 0.36e2 * t6100 * t15718 - t1516 * t2162 / 0.2e1 + 0.2e1 / 0.3e1 * t1541 * t15724 - t15158 - t15160 - t15172 - t417 * t10198 / 0.6e1 - t2098 * t6233 / 0.12e2 - t466 * t9131 / 0.12e2 - t15734 - t2098 * t6402 / 0.6e1 + t2098 * t6424 / 0.3e1 - t6411 * t2154 / 0.2e1 + t1516 * t2170 / 0.2e1 + t2093 * t1511 / 0.6e1 - t30 * t15836 / 0.4e1 + 0.3e1 / 0.2e1 * t4983 * t15839 + t4772 * t15843;
  t15848 = my_piecewise3(t2, 0, t15625 + t15665 + t15717 + t15845);
  tv3sigma2lapl0 = t3 * t15848;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 0] += tv3sigma2lapl0;

  tv3sigma2lapl1 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 1] += tv3sigma2lapl1;

  tv3sigma2lapl2 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 2] += tv3sigma2lapl2;

  tv3sigma2lapl3 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 3] += tv3sigma2lapl3;

  tv3sigma2lapl4 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 4] += tv3sigma2lapl4;

  tv3sigma2lapl5 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 5] += tv3sigma2lapl5;

  tv3sigma2lapl6 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 6] += tv3sigma2lapl6;

  tv3sigma2lapl7 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 7] += tv3sigma2lapl7;

  tv3sigma2lapl8 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 8] += tv3sigma2lapl8;

  tv3sigma2lapl9 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 9] += tv3sigma2lapl9;

  tv3sigma2lapl10 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 10] += tv3sigma2lapl10;

  t15849 = t15306 / 0.2e1;
  t15850 = 0.2e1 / 0.3e1 * t15323;
  t15851 = t15324 / 0.3e1;
  t15852 = t15331 / 0.3e1;
  t15853 = t15333 / 0.6e1;
  t15854 = t1476 * t10535;
  t15857 = t1165 * t9339;
  t15858 = t1716 * t15857;
  t15861 = t346 * t348 * t2181;
  t15862 = t6904 * t15861;
  t15865 = t1008 * t2181;
  t15866 = t1007 * t15865;
  t15867 = t6993 * t15866;
  t15870 = t15411 / 0.6e1;
  t15871 = t167 * t2181;
  t15872 = t1095 * t15871;
  t15873 = t5563 * t15872;
  t15876 = -t2180 + t2251 + t15849 + t15850 - t15851 + t15327 + t15852 - t15853 + t15369 - t15373 + 0.3e1 / 0.2e1 * t5639 * t15854 + t5665 * t15858 - t15382 - t15386 + 0.3e1 / 0.2e1 * t373 * t15862 + 0.3e1 * t1029 * t15867 - t15870 - t6855 * t15873 / 0.2e1;
  t15877 = t371 * t15871;
  t15878 = t5733 * t15877;
  t15881 = t1027 * t15871;
  t15882 = t5595 * t15881;
  t15885 = t4154 * t2181;
  t15886 = t4148 * t15885;
  t15887 = t6918 * t15886;
  t15890 = t168 * t9339;
  t15891 = t4687 * t15890;
  t15894 = t5691 * t15890;
  t15897 = t4626 * t9339;
  t15898 = t1720 * t15897;
  t15903 = t1693 * t15319;
  t15906 = t167 * t2175;
  t15907 = t1095 * t15906;
  t15908 = t1423 * t15907;
  t15909 = t1683 * t15908;
  t15910 = t15909 / 0.6e1;
  t15911 = t371 * t15906;
  t15912 = t1430 * t15911;
  t15913 = t1683 * t15912;
  t15914 = t15913 / 0.3e1;
  t15915 = t5553 * t2337;
  t15916 = t1423 * t15915;
  t15919 = t5674 * t15890;
  t15922 = t1018 * t9339;
  t15923 = t5691 * t15922;
  t15925 = t6755 * t2197;
  t15926 = t1094 * t15925;
  t15935 = 0.7e1 / 0.3e1 * t6855 * t15878 - 0.3e1 / 0.2e1 * t6855 * t15882 + 0.3e1 / 0.2e1 * t4718 * t15887 - t6764 * t15891 / 0.3e1 + t6769 * t15894 / 0.4e1 - 0.3e1 / 0.2e1 * t5665 * t15898 - t5792 * t2390 + t1383 * t2403 + t373 * t15903 / 0.2e1 - t15910 + t15914 - t1683 * t15916 / 0.3e1 + t6769 * t15919 / 0.2e1 - t6769 * t15923 + t442 * t15926 / 0.12e2 + t1647 * t2261 / 0.2e1 - t2189 * t6946 / 0.6e1 + t2189 * t6950 / 0.3e1;
  t15945 = t1647 * t2249;
  t15946 = t15945 / 0.4e1;
  t15947 = t1101 * t15907;
  t15948 = t1702 * t15947;
  t15949 = t15948 / 0.6e1;
  t15950 = t1381 * t2337;
  t15951 = t1430 * t15950;
  t15954 = t1101 * t15915;
  t15966 = t5595 * t15877;
  t15969 = t1430 * t15877;
  t15972 = t5733 * t15872;
  t15975 = t1423 * t15872;
  t15979 = -t6955 * t2245 / 0.2e1 + t2184 * t1642 / 0.6e1 - t1647 * t2253 / 0.2e1 + t9469 * t505 / 0.4e1 + t15946 + t15949 + 0.2e1 / 0.3e1 * t1683 * t15951 + t1702 * t15954 / 0.3e1 + t490 * t15376 / 0.6e1 + t490 * t15362 / 0.12e2 - t1383 * t2395 - t1383 * t2398 / 0.2e1 - t1647 * t2258 / 0.4e1 + 0.23e2 / 0.36e2 * t6855 * t15966 - 0.2e1 * t6788 * t15969 - 0.11e2 / 0.18e2 * t6855 * t15972 + t6788 * t15975 - t490 * t15315 / 0.6e1;
  t15980 = t4148 * t15865;
  t15981 = t6918 * t15980;
  t15984 = t4149 * t2181;
  t15985 = t4148 * t15984;
  t15986 = t6918 * t15985;
  t15993 = t2178 * t1642;
  t15994 = t15993 / 0.12e2;
  t15999 = 0.4e1 * t15478;
  t16000 = 0.2e1 / 0.3e1 * t15482;
  t16001 = t9566 * t439;
  t16002 = t1186 * t16001;
  t16005 = t1173 * t16001;
  t16007 = t360 * t16001;
  t16010 = t2369 * t2196;
  t16011 = t1165 * t16010;
  t16014 = t4626 * t16010;
  t16017 = t143 * t2181;
  t16018 = t1038 * t16017;
  t16021 = t4619 * t16017;
  t16024 = t4572 * t16017;
  t16027 = t143 * t2175;
  t16028 = t356 * t16027;
  t16029 = t1716 * t16028;
  t16030 = 0.2e1 * t16029;
  t16031 = t1033 * t16017;
  t16034 = t1033 * t16027;
  t16035 = t1720 * t16034;
  t16036 = t16035 / 0.3e1;
  t16037 = t4609 * t16017;
  t16041 = t4572 * t16010;
  t16044 = t1038 * t16027;
  t16045 = t1720 * t16044;
  t16046 = 0.2e1 * t16045;
  t16049 = -t15999 - t15481 - t16000 - 0.6e1 * t7150 * t16002 + t7150 * t16005 + 0.4e1 * t7147 * t16007 - 0.2e1 * t1716 * t16011 + 0.3e1 * t1720 * t16014 - 0.12e2 * t7089 * t16018 - 0.2e1 / 0.3e1 * t7093 * t16021 + 0.6e1 * t7093 * t16024 - t16030 + 0.2e1 * t7089 * t16031 - t16036 - t7093 * t16037 / 0.9e1 - t494 * t15497 - 0.2e1 * t1720 * t16041 + t16046 + 0.2e1 * t494 * t15484;
  t16050 = t356 * t16017;
  t16053 = 0.4e1 * t15487;
  t16054 = t140 * t2181;
  t16055 = t356 * t16054;
  t16059 = t1038 * t16054;
  t16062 = t4572 * t16054;
  t16067 = t140 * t2175;
  t16068 = t1038 * t16067;
  t16069 = t1720 * t16068;
  t16070 = t4619 * t16054;
  t16073 = t1033 * t16067;
  t16074 = t1720 * t16073;
  t16075 = 0.2e1 / 0.3e1 * t16074;
  t16076 = t1033 * t16054;
  t16079 = t4609 * t16054;
  t16082 = t356 * t16067;
  t16083 = t1716 * t16082;
  t16084 = 0.2e1 * t15516;
  t16085 = 0.4e1 / 0.3e1 * t15531;
  t16086 = 0.2e1 * t15538;
  t16087 = 0.6e1 * t7086 * t16050 + t16053 - 0.3e1 * t7086 * t16055 - t494 * t15510 + 0.6e1 * t7089 * t16059 - 0.3e1 * t7093 * t16062 + t494 * t15523 / 0.2e1 - t16069 + 0.1e2 / 0.3e1 * t7093 * t16070 + t16075 - 0.4e1 * t7089 * t16076 + t7093 * t16079 / 0.18e2 + t16083 - t16084 + t15518 + t16085 + t16086 - t2229 + t2210;
  t16088 = t16049 + t16087;
  t16089 = t139 * t16088;
  t16090 = t16089 * t168;
  t16093 = t5595 * t15872;
  t16096 = t1430 * t15872;
  t16099 = t1430 * t15915;
  t16102 = t1430 * t15907;
  t16103 = t1683 * t16102;
  t16104 = t16103 / 0.12e2;
  t16106 = t1007 * t1013 * t2181;
  t16107 = t6993 * t16106;
  t16110 = t1101 * t15872;
  t16113 = t1674 * t15371;
  t16114 = t1029 * t16113;
  t16115 = t16114 / 0.2e1;
  t16117 = t346 * t348 * t2175;
  t16118 = t1689 * t16117;
  t16119 = t373 * t16118;
  t16120 = t16119 / 0.2e1;
  t16121 = t1693 * t15395;
  t16125 = t1007 * t1013 * t2175;
  t16126 = t1674 * t16125;
  t16127 = t373 * t16126;
  t16128 = t16127 / 0.2e1;
  t16129 = 0.3e1 / 0.2e1 * t373 * t15981 - 0.3e1 * t1029 * t15986 + t10426 * t457 / 0.2e1 - t2189 * t7021 / 0.12e2 - t15994 - t442 * t10421 / 0.6e1 - t490 * t9531 / 0.12e2 - t110 * t16090 / 0.4e1 - 0.5e1 / 0.36e2 * t6855 * t16093 + t6788 * t16096 / 0.2e1 - t1683 * t16099 / 0.6e1 - t16104 - 0.3e1 * t373 * t16107 - t6928 * t16110 / 0.2e1 - t16115 - t16120 - t373 * t16121 / 0.4e1 + t16128;
  t16132 = my_piecewise3(t100, 0, t15876 + t15935 + t15979 + t16129);
  tv3sigma2lapl11 = t3 * t16132;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 11] += tv3sigma2lapl11;

  t16133 = t2087 * t1807;
  t16134 = t16133 / 0.12e2;
  t16135 = t1797 * t15204;
  t16142 = t1784 * t15673;
  t16143 = t246 * t16142;
  t16144 = t16143 / 0.2e1;
  t16146 = t2147 * t544;
  t16149 = t7423 * t15702;
  t16162 = t1779 * t15632;
  t16163 = t16162 / 0.6e1;
  t16164 = t1779 * t15639;
  t16165 = t16164 / 0.3e1;
  t16166 = t7213 * t2106;
  t16167 = t836 * t16166;
  t16170 = t1779 * t15622;
  t16171 = t16170 / 0.12e2;
  t16173 = t1805 * t2120 * t597;
  t16178 = -0.11e2 / 0.18e2 * t7196 * t15573 - t1770 * t2167 / 0.4e1 + t7243 * t15567 - 0.2e1 * t7243 * t15570 - t1779 * t15635 / 0.3e1 - t16163 + t16165 + t417 * t16167 / 0.12e2 - t16171 - t246 * t16173 / 0.2e1 + t2093 * t1807 / 0.6e1;
  t16180 = t1797 * t15078;
  t16183 = t7419 * t15707;
  t16189 = t1805 * t2117 * t249;
  t16190 = t246 * t16189;
  t16191 = t16190 / 0.4e1;
  t16198 = t1770 * t2158;
  t16199 = t16198 / 0.4e1;
  t16202 = t2087 * t1765;
  t16203 = t16202 / 0.12e2;
  t16206 = t246 * t16180 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t16183 + 0.23e2 / 0.36e2 * t7196 * t15718 + t16191 - t417 * t10965 / 0.6e1 + t7251 * t15646 / 0.4e1 - t7254 * t15643 / 0.3e1 + t16199 + t10777 * t432 / 0.2e1 - t16203 - t417 * t10808 / 0.6e1;
  t16219 = -t2098 * t7532 / 0.12e2 - t515 * t9131 / 0.12e2 + t515 * t15137 / 0.6e1 + t515 * t15131 / 0.12e2 - 0.5e1 / 0.36e2 * t7196 * t15626 - t515 * t15084 / 0.6e1 + t15091 - t15652 + t15653 - t15654 + t15655;
  t16224 = t10878 * t2166;
  t16227 = t543 * t2105;
  t16228 = t253 * t16227;
  t16229 = t3273 * t16228;
  t16232 = t1872 * t15842;
  t16234 = t1319 * t11207;
  t16241 = t7199 * t15597;
  t16247 = t7423 * t15592;
  t16250 = t7199 * t15587;
  t16253 = t1805 * t2124;
  t16254 = t16253 * t684;
  t16257 = t16253 * t690;
  t16260 = t7199 * t15602;
  t16270 = -0.3e1 * t246 * t16247 + 0.3e1 / 0.2e1 * t3167 * t16250 - t679 * t16254 / 0.2e1 + t246 * t16257 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t16260 - t2098 * t7487 / 0.6e1 + 0.2e1 / 0.3e1 * t1779 * t15724 + t15715 - t15716 - t5286 * t2444 + t1815 * t15615 / 0.3e1;
  t16272 = t1815 * t15611;
  t16273 = t16272 / 0.6e1;
  t16278 = t1792 * t15678;
  t16279 = t246 * t16278;
  t16280 = t16279 / 0.2e1;
  t16281 = t1784 * t15170;
  t16282 = t679 * t16281;
  t16283 = t16282 / 0.2e1;
  t16287 = t1876 * t15656;
  t16291 = t16273 + t7243 * t15606 / 0.2e1 - t1779 * t15629 / 0.6e1 - t16280 - t16283 - t1228 * t2447 - t1228 * t2450 / 0.2e1 - t15158 - t15160 - 0.3e1 / 0.2e1 * t4772 * t16287 - t7251 * t15650;
  t16304 = t1872 * t15766;
  t16305 = 0.2e1 * t16304;
  t16308 = t1876 * t15772;
  t16309 = t16308 / 0.3e1;
  t16317 = t1876 * t15760;
  t16318 = 0.2e1 * t16317;
  t16323 = 0.2e1 * t519 * t15250 + 0.6e1 * t7690 * t15750 - 0.12e2 * t7680 * t15782 - 0.2e1 / 0.3e1 * t7686 * t15785 + 0.6e1 * t7686 * t15788 - t16305 + 0.2e1 * t7680 * t15769 - t16309 - t7686 * t15775 / 0.9e1 - t519 * t15256 - 0.6e1 * t7651 * t15746 - t15763 - t15240 - t15764 + t15765 - 0.2e1 * t1876 * t15779 + t16318 - 0.2e1 * t1872 * t15756 + 0.3e1 * t1876 * t15791;
  t16335 = t1876 * t15800;
  t16336 = 0.2e1 / 0.3e1 * t16335;
  t16337 = t1872 * t15812;
  t16340 = t1876 * t15810;
  t16346 = -t519 * t15288 - 0.3e1 * t7686 * t15822 + 0.6e1 * t7680 * t15819 - 0.4e1 * t7680 * t15803 + t7686 * t15816 / 0.18e2 + 0.1e2 / 0.3e1 * t7686 * t15796 + t16336 + t16337 + t519 * t15259 / 0.2e1 - t16340 - 0.3e1 * t7690 * t15806 + t15830 - t15831 + t15832 + t15284 - t2138 + t7651 * t15828 + 0.4e1 * t7655 * t15825 + t2119;
  t16347 = t16323 + t16346;
  t16348 = t59 * t16347;
  t16349 = t16348 * t95;
  t16368 = -t15172 + t2098 * t7491 / 0.3e1 - t30 * t16349 / 0.4e1 + t1770 * t2170 / 0.2e1 - t2098 * t7595 / 0.6e1 + t2098 * t7582 / 0.3e1 - t7587 * t2154 / 0.2e1 + t2093 * t1765 / 0.6e1 - t1770 * t2162 / 0.2e1 + t9136 * t530 / 0.4e1 - t7187 * t15697 / 0.2e1;
  t16372 = my_piecewise3(t2, 0, -t246 * t16135 / 0.4e1 - t2098 * t7516 / 0.12e2 + t1228 * t2462 / 0.2e1 + t1228 * t2453 - t30 * t16146 / 0.4e1 + 0.3e1 * t679 * t16149 + t7251 * t15712 / 0.2e1 - t3266 * t16224 / 0.4e1 + t4882 * t16229 / 0.12e2 + t4772 * t16232 + 0.3e1 / 0.2e1 * t4983 * t16234 + 0.7e1 / 0.3e1 * t7196 * t15579 - 0.3e1 / 0.2e1 * t7196 * t15583 - 0.3e1 * t679 * t16241 - t7196 * t15576 / 0.2e1 + t16206 + t16178 + t16144 + t16368 + t16270 + t15103 - t16134 + t2160 + t16291 + t16219 - t2089);
  tv3sigma2tau0 = t3 * t16372;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 0] += tv3sigma2tau0;

  tv3sigma2tau1 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 1] += tv3sigma2tau1;

  tv3sigma2tau2 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 2] += tv3sigma2tau2;

  tv3sigma2tau3 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 3] += tv3sigma2tau3;

  tv3sigma2tau4 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 4] += tv3sigma2tau4;

  tv3sigma2tau5 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 5] += tv3sigma2tau5;

  tv3sigma2tau6 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 6] += tv3sigma2tau6;

  tv3sigma2tau7 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 7] += tv3sigma2tau7;

  tv3sigma2tau8 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 8] += tv3sigma2tau8;

  tv3sigma2tau9 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 9] += tv3sigma2tau9;

  tv3sigma2tau10 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 10] += tv3sigma2tau10;

  t16373 = t1974 * t15947;
  t16374 = t16373 / 0.6e1;
  t16382 = t8196 * t15866;
  t16385 = t1963 * t2215;
  t16386 = t16385 * t1039;
  t16389 = t8172 * t15980;
  t16394 = t2040 * t15319;
  t16397 = -t15373 + t8063 * t15894 / 0.4e1 - t8219 * t15891 / 0.3e1 - t15382 - t15386 - 0.11e2 / 0.18e2 * t8169 * t15972 + 0.3e1 * t1029 * t16382 + t373 * t16386 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t16389 + t2184 * t1965 / 0.6e1 + t373 * t16394 / 0.2e1;
  t16399 = t8190 * t15861;
  t16402 = t8172 * t15985;
  t16406 = t8196 * t16106;
  t16409 = t8172 * t15886;
  t16413 = t1963 * t2211 * t1047;
  t16418 = t1981 * t16102;
  t16419 = t16418 / 0.12e2;
  t16424 = 0.3e1 / 0.2e1 * t373 * t16399 - 0.3e1 * t1029 * t16402 + t1383 * t2512 - t15870 - 0.3e1 * t373 * t16406 + 0.3e1 / 0.2e1 * t4718 * t16409 - t373 * t16413 / 0.2e1 - t1981 * t16099 / 0.6e1 - t16419 - 0.5e1 / 0.36e2 * t8169 * t16093 + t8091 * t16096 / 0.2e1;
  t16425 = t16385 * t1034;
  t16432 = t2238 * t584;
  t16439 = t1956 * t2249;
  t16440 = t16439 / 0.4e1;
  t16445 = t2040 * t15395;
  t16448 = t2060 * t15897;
  t16451 = -t1029 * t16425 / 0.2e1 - t555 * t15315 / 0.6e1 + t2189 * t8157 / 0.3e1 - t110 * t16432 / 0.4e1 - t1956 * t2253 / 0.2e1 + t9469 * t570 / 0.4e1 + t16440 + t11501 * t457 / 0.2e1 - t2189 * t8309 / 0.12e2 - t373 * t16445 / 0.4e1 - 0.3e1 / 0.2e1 * t5665 * t16448;
  t16457 = t2056 * t15857;
  t16459 = t1476 * t11536;
  t16462 = t2025 * t16125;
  t16463 = t373 * t16462;
  t16464 = t16463 / 0.2e1;
  t16465 = t2036 * t16117;
  t16466 = t373 * t16465;
  t16467 = t16466 / 0.2e1;
  t16472 = t2178 * t1951;
  t16473 = t16472 / 0.12e2;
  t16491 = t2025 * t15371;
  t16492 = t1029 * t16491;
  t16493 = t16492 / 0.2e1;
  t16498 = -t555 * t9531 / 0.12e2 + t2189 * t8275 / 0.3e1 - t8280 * t2245 / 0.2e1 + t1956 * t2261 / 0.2e1 - t2189 * t8271 / 0.6e1 + t2184 * t1951 / 0.6e1 - 0.2e1 * t8091 * t15969 - t16493 - t1383 * t2506 - t1383 * t2509 / 0.2e1 + t8091 * t15975;
  t16505 = t1981 * t15908;
  t16506 = t16505 / 0.6e1;
  t16509 = t8262 * t2197;
  t16510 = t1094 * t16509;
  t16513 = t1981 * t15912;
  t16514 = t16513 / 0.3e1;
  t16526 = t2060 * t16034;
  t16527 = t16526 / 0.3e1;
  t16545 = t2060 * t16044;
  t16546 = 0.2e1 * t16545;
  t16549 = 0.4e1 * t8511 * t16007 + t8508 * t16005 - 0.6e1 * t8508 * t16002 - t15999 - t15481 - t16000 + 0.2e1 * t8460 * t16031 - t16527 - t8438 * t16037 / 0.9e1 - t559 * t15497 - 0.2e1 * t2060 * t16041 - 0.12e2 * t8460 * t16018 - 0.2e1 / 0.3e1 * t8438 * t16021 + 0.6e1 * t8443 * t16050 + 0.2e1 * t559 * t15484 + 0.6e1 * t8438 * t16024 + 0.3e1 * t2060 * t16014 + t16546 - 0.2e1 * t2056 * t16011;
  t16550 = t2056 * t16028;
  t16551 = 0.2e1 * t16550;
  t16558 = t2060 * t16068;
  t16559 = t2060 * t16073;
  t16560 = 0.2e1 / 0.3e1 * t16559;
  t16561 = t2056 * t16082;
  t16571 = -t16551 + t16053 + t8438 * t16079 / 0.18e2 + 0.1e2 / 0.3e1 * t8438 * t16070 + t559 * t15523 / 0.2e1 - t16558 + t16560 + t16561 - 0.4e1 * t8460 * t16076 - t559 * t15510 - 0.3e1 * t8443 * t16055 - 0.3e1 * t8438 * t16062 + 0.6e1 * t8460 * t16059 - t16084 + t15518 + t16085 + t16086 - t2229 + t2210;
  t16572 = t16549 + t16571;
  t16573 = t139 * t16572;
  t16574 = t16573 * t168;
  t16579 = 0.2e1 / 0.3e1 * t1981 * t15951 - t5792 * t2503 + t555 * t15362 / 0.12e2 - t16506 + t555 * t15376 / 0.6e1 + t442 * t16510 / 0.12e2 + t16514 - t1981 * t15916 / 0.3e1 - t2189 * t8150 / 0.12e2 - t110 * t16574 / 0.4e1 + 0.7e1 / 0.3e1 * t8169 * t15878;
  t16584 = t11776 * t2257;
  t16587 = t583 * t2196;
  t16588 = t380 * t16587;
  t16589 = t4687 * t16588;
  t16592 = t2178 * t1965;
  t16593 = t16592 / 0.12e2;
  t16603 = t1963 * t2208 * t376;
  t16604 = t373 * t16603;
  t16605 = t16604 / 0.4e1;
  t16608 = -0.3e1 / 0.2e1 * t8169 * t15882 + 0.23e2 / 0.36e2 * t8169 * t15966 - t4695 * t16584 / 0.4e1 + t6012 * t16589 / 0.12e2 - t16593 - t442 * t11368 / 0.6e1 - t8169 * t15873 / 0.2e1 - t1956 * t2258 / 0.4e1 - t8145 * t16110 / 0.2e1 + t16605 + t1383 * t2521 / 0.2e1;
  t16612 = my_piecewise3(t100, 0, -t8063 * t15923 + t5665 * t16457 + 0.3e1 / 0.2e1 * t5639 * t16459 - t2189 * t8153 / 0.6e1 + t1974 * t15954 / 0.3e1 - t442 * t11422 / 0.6e1 + t8063 * t15919 / 0.2e1 + t15369 - t2180 + t16579 + t15327 - t16473 + t16374 + t16608 + t16451 + t16424 + t15849 + t16397 + t2251 + t16464 - t16467 + t15850 - t15851 + t15852 - t15853 + t16498);
  tv3sigma2tau11 = t3 * t16612;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 11] += tv3sigma2tau11;

  t16613 = t4808 * t2267;
  t16622 = t15612 / 0.3e1;
  t16623 = t15623 / 0.6e1;
  t16624 = t15633 / 0.3e1;
  t16625 = 0.2e1 / 0.3e1 * t15640;
  t16629 = t4808 * t2281;
  t16632 = t6119 * t2266;
  t16633 = t1254 * t16632;
  t16636 = t1514 * t2266;
  t16637 = t1261 * t16636;
  t16640 = t4851 * t2267;
  t16645 = t3144 * t414;
  t16646 = t3139 * t16645;
  t16647 = t12038 * t16646;
  t16650 = t3124 * t414;
  t16651 = t3139 * t16650;
  t16652 = t12038 * t16651;
  t16655 = -t2089 + t2160 - 0.5e1 / 0.36e2 * t12052 * t16613 + t2534 * t15211 / 0.3e1 + t2534 * t15094 / 0.6e1 - t2529 * t2108 / 0.6e1 + t16622 - t16623 - t16624 + t16625 + t12047 * t2276 - 0.2e1 * t12047 * t2282 + 0.23e2 / 0.36e2 * t12052 * t16629 - t1541 * t16633 / 0.3e1 + 0.2e1 / 0.3e1 * t1541 * t16637 - 0.11e2 / 0.18e2 * t12052 * t16640 - t6411 * t2319 + t1516 * t2332 + 0.3e1 / 0.2e1 * t3167 * t16647 - 0.3e1 * t679 * t16652;
  t16656 = t4867 * t2267;
  t16659 = t4851 * t2281;
  t16662 = t1319 * t12233;
  t16665 = t2541 * t414;
  t16666 = t95 * t16665;
  t16667 = t5175 * t16666;
  t16670 = t670 * t16665;
  t16671 = t4877 * t16670;
  t16678 = t12147 * t15163;
  t16685 = t12147 * t15215;
  t16687 = t12131 * t2323;
  t16690 = t12135 * t2166;
  t16695 = t12087 * t2318;
  t16698 = t15090 / 0.12e2;
  t16699 = t15092 / 0.12e2;
  t16700 = t15097 / 0.6e1;
  t16701 = t15099 / 0.6e1;
  t16702 = -t12052 * t16656 / 0.2e1 + 0.7e1 / 0.3e1 * t12052 * t16659 + t4983 * t16662 / 0.2e1 + t6439 * t16667 / 0.6e1 - t6439 * t16671 / 0.3e1 + t12047 * t2271 / 0.2e1 - t12030 * t2268 / 0.2e1 + t679 * t16678 - t1516 * t2327 / 0.2e1 - t1516 * t2324 - 0.2e1 / 0.3e1 * t2534 * t15209 - t246 * t16685 + 0.3e1 / 0.2e1 * t246 * t16687 + t246 * t16690 / 0.2e1 - t1228 * t2593 / 0.4e1 + 0.3e1 * t679 * t16695 + t16698 - t16699 + t16700 - t16701;
  t16704 = t15101 / 0.3e1;
  t16705 = t15103 / 0.2e1;
  t16706 = t15661 / 0.2e1;
  t16729 = t4748 * t2542;
  t16730 = t836 * t16729;
  t16749 = 0.2e1 / 0.3e1 * t8685 * t2728 + t15109 - 0.4e1 * t11924 * t2323 + 0.4e1 / 0.3e1 * t11927 * t2318 - 0.2e1 * t11930 * t2166 + 0.4e1 * t11927 * t2331 - t15121 + 0.4e1 * t11937 * t2323 + 0.2e1 * t472 * t2166 - 0.4e1 * t11942 * t2331;
  t16750 = t94 * t16749;
  t16751 = t837 * t16750;
  t16752 = t836 * t16751;
  t16755 = t8897 * t2592;
  t16756 = t246 * t16755;
  t16757 = t16756 / 0.4e1;
  t16758 = t16704 + t16705 + t16706 + t15675 - t15680 - t15683 + t1228 * t2596 / 0.2e1 - t1228 * t2588 / 0.2e1 - t5286 * t2584 / 0.2e1 - t417 * t11838 / 0.12e2 + t11843 * t432 / 0.4e1 + t9948 * t481 / 0.2e1 + t2534 * t5281 / 0.3e1 - t2534 * t5291 / 0.6e1 - t466 * t10198 / 0.6e1 + t2529 * t1223 / 0.6e1 - t2534 * t5229 / 0.12e2 + t466 * t16730 / 0.12e2 + t466 * t16752 / 0.12e2 - t16757;
  t16760 = t824 * t221 * t16749;
  t16761 = t1559 * t16760;
  t16764 = t15142 / 0.4e1;
  t16765 = t15150 / 0.12e2;
  t16766 = t788 * t16665;
  t16767 = t1587 * t16766;
  t16770 = t2541 * t2105;
  t16771 = t3562 * t16770;
  t16772 = t470 * t16771;
  t16775 = t3273 * t16666;
  t16778 = t95 * t16770;
  t16779 = t8790 * t16778;
  t16782 = t4877 * t16666;
  t16785 = t3556 * t16665;
  t16786 = t1591 * t16785;
  t16789 = t15157 / 0.4e1;
  t16791 = t2571 * t414;
  t16792 = t3556 * t16791;
  t16796 = t3125 * t2287;
  t16799 = t3130 * t2287;
  t16802 = t788 * t16791;
  t16804 = t2571 * t2105;
  t16805 = t3562 * t16804;
  t16807 = t2118 * t2562;
  t16808 = 0.4e1 * t15761;
  t16809 = 0.2e1 * t15237;
  t16810 = t15241 / 0.3e1;
  t16811 = t1591 * t16792 - 0.12e2 * t11892 * t2295 - 0.2e1 / 0.3e1 * t11896 * t16796 + 0.6e1 * t11896 * t16799 - t1587 * t16802 - t470 * t16805 - t16807 + t16808 - t16809 - t15239 - t16810;
  t16812 = 0.2e1 * t15244;
  t16813 = 0.4e1 * t15767;
  t16814 = 0.2e1 / 0.3e1 * t15773;
  t16815 = t63 * t16749;
  t16816 = t788 * t16815;
  t16818 = t3130 * t16791;
  t16831 = t3168 * t2287;
  t16836 = t16812 - t16813 - t16814 - t470 * t16816 - 0.2e1 / 0.3e1 * t1591 * t16818 - 0.4e1 * t2558 * t15246 + 0.6e1 * t11912 * t2288 + 0.2e1 * t2554 * t2129 + 0.2e1 * t11892 * t2291 + 0.2e1 / 0.3e1 * t2558 * t15253 - t11896 * t16831 / 0.9e1 + 0.6e1 * t11892 * t2306;
  t16838 = t3130 * t2298;
  t16841 = t3168 * t2298;
  t16849 = t2118 * t2572;
  t16850 = t16849 / 0.2e1;
  t16851 = t60 * t16749;
  t16852 = t788 * t16851;
  t16855 = t3125 * t2298;
  t16862 = 0.4e1 / 0.3e1 * t15801;
  t16863 = -0.3e1 * t11896 * t16838 + t11896 * t16841 / 0.18e2 + 0.2e1 * t2558 * t15293 - 0.3e1 * t11912 * t2302 - t2554 * t2142 + t16850 + t470 * t16852 / 0.2e1 + 0.1e2 / 0.3e1 * t11896 * t16855 - 0.4e1 / 0.3e1 * t2558 * t15263 - 0.4e1 * t11892 * t2299 + t16862;
  t16864 = 0.2e1 * t15811;
  t16865 = 0.2e1 * t15813;
  t16866 = t11963 * t414;
  t16867 = t233 * t16866;
  t16870 = t11963 * t2105;
  t16871 = t233 * t16870;
  t16874 = t802 * t16866;
  t16877 = t815 * t16866;
  t16880 = 0.2e1 / 0.3e1 * t15266;
  t16881 = t15284 / 0.2e1;
  t16882 = -t16864 + t16865 + 0.2e1 * t6344 * t16867 + 0.2e1 * t10088 * t16871 + t6341 * t16874 / 0.3e1 - 0.2e1 * t6341 * t16877 + t16880 - t15274 + t15282 + t16881 - t2138 + t2119;
  t16884 = t16811 + t16836 + t16863 + t16882;
  t16885 = t59 * t16884;
  t16886 = t16885 * t95;
  t16889 = t15160 / 0.2e1;
  t16890 = t15172 / 0.2e1;
  t16891 = t15733 / 0.6e1;
  t16894 = t1261 * t16632;
  t16897 = t843 * t16632;
  t16900 = t2087 * t2544;
  t16901 = t16900 / 0.12e2;
  t16902 = t12087 * t2331;
  t16905 = t3139 * t2317;
  t16906 = t12038 * t16905;
  t16909 = t677 * t2266;
  t16910 = t4808 * t16909;
  t16913 = -t30 * t16886 / 0.4e1 - t16889 - t16890 - t16891 + t466 * t15691 / 0.6e1 - t1541 * t16894 / 0.6e1 + t1568 * t16897 / 0.3e1 + t16901 - 0.3e1 * t246 * t16902 + 0.3e1 / 0.2e1 * t246 * t16906 - 0.3e1 / 0.2e1 * t12052 * t16910;
  t16917 = my_piecewise3(t2, 0, t16655 + t16702 + t16758 - t246 * t16761 / 0.4e1 + t16764 - t16765 + t4772 * t16767 / 0.2e1 + t4772 * t16772 / 0.2e1 - t6454 * t16775 / 0.6e1 - t6451 * t16779 / 0.6e1 + t6439 * t16782 / 0.12e2 - t4772 * t16786 / 0.2e1 - t16789 + t16913);
  tv3sigmalapl20 = t3 * t16917;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 0] += tv3sigmalapl20;

  tv3sigmalapl21 = 0.e0;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 1] += tv3sigmalapl21;

  tv3sigmalapl22 = 0.e0;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 2] += tv3sigmalapl22;

  tv3sigmalapl23 = 0.e0;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 3] += tv3sigmalapl23;

  tv3sigmalapl24 = 0.e0;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 4] += tv3sigmalapl24;

  tv3sigmalapl25 = 0.e0;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 5] += tv3sigmalapl25;

  tv3sigmalapl26 = 0.e0;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 6] += tv3sigmalapl26;

  tv3sigmalapl27 = 0.e0;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 7] += tv3sigmalapl27;

  t16918 = t15306 / 0.4e1;
  t16919 = t15323 / 0.3e1;
  t16920 = t15324 / 0.6e1;
  t16921 = t15327 / 0.2e1;
  t16922 = t15331 / 0.6e1;
  t16923 = t15333 / 0.12e2;
  t16924 = t15368 / 0.12e2;
  t16925 = t15373 / 0.2e1;
  t16926 = t15382 / 0.2e1;
  t16927 = t15385 / 0.4e1;
  t16944 = -t2180 + t2251 + t16918 + t16919 - t16920 + t16921 + t16922 - t16923 + t16924 - t16925 - t16926 - t16927 - t1383 * t2663 / 0.2e1 + t1383 * t2671 / 0.2e1 + t10426 * t505 / 0.2e1 - t5792 * t2659 / 0.2e1 - t442 * t12469 / 0.12e2 + t12474 * t457 / 0.4e1 + t2609 * t5804 / 0.3e1 - t490 * t10421 / 0.6e1;
  t16951 = t15411 / 0.12e2;
  t16968 = 0.2e1 / 0.3e1 * t9396 * t2808 + t15340 - 0.4e1 * t12377 * t2394 + 0.4e1 / 0.3e1 * t12380 * t2389 - 0.2e1 * t12383 * t2257 + 0.4e1 * t12380 * t2402 - t15352 + 0.4e1 * t12390 * t2394 + 0.2e1 * t496 * t2257 - 0.4e1 * t12395 * t2402;
  t16970 = t1076 * t348 * t16968;
  t16971 = t1693 * t16970;
  t16974 = t12420 * t2389;
  t16977 = t12424 * t15388;
  t16982 = t12424 * t15455;
  t16984 = t12507 * t2394;
  t16987 = t12511 * t2257;
  t16992 = t9409 * t2667;
  t16993 = t373 * t16992;
  t16994 = t16993 / 0.4e1;
  t16997 = t167 * t16968;
  t16998 = t1095 * t16997;
  t16999 = t1094 * t16998;
  t17002 = t2178 * t2619;
  t17003 = t17002 / 0.12e2;
  t17004 = t5595 * t2338;
  t17011 = -t2609 * t5800 / 0.6e1 + t2604 * t1378 / 0.6e1 - t2609 * t5819 / 0.12e2 - t16951 - t373 * t16971 / 0.4e1 + 0.3e1 * t1029 * t16974 + t1029 * t16977 - t1647 * t2395 - t1647 * t2398 / 0.2e1 - t373 * t16982 + 0.3e1 / 0.2e1 * t373 * t16984 + t373 * t16987 / 0.2e1 - t1383 * t2668 / 0.4e1 - t16994 - t12544 * t2339 / 0.2e1 + t490 * t16999 / 0.12e2 + t17003 - 0.5e1 / 0.36e2 * t12414 * t17004 + t2609 * t15365 / 0.6e1 + t12535 * t2342 / 0.2e1;
  t17015 = t4148 * t2388;
  t17016 = t12672 * t17015;
  t17019 = t12420 * t2402;
  t17024 = t6755 * t2337;
  t17025 = t1430 * t17024;
  t17028 = t1101 * t17024;
  t17035 = t5553 * t2617;
  t17036 = t1094 * t17035;
  t17041 = t2616 * t2196;
  t17042 = t168 * t17041;
  t17043 = t9444 * t17042;
  t17046 = t2616 * t439;
  t17047 = t168 * t17046;
  t17048 = t5691 * t17047;
  t17051 = t4687 * t17047;
  t17054 = t1476 * t12350;
  t17057 = t4626 * t17046;
  t17058 = t1720 * t17057;
  t17061 = t5674 * t17047;
  t17064 = t1018 * t17046;
  t17065 = t5691 * t17064;
  t17070 = t15909 / 0.3e1;
  t17071 = -t6955 * t2390 + t1647 * t2403 + 0.3e1 / 0.2e1 * t373 * t17016 - 0.3e1 * t373 * t17019 - 0.3e1 / 0.2e1 * t12414 * t5597 - t1683 * t17025 / 0.6e1 + t1702 * t17028 / 0.3e1 + t490 * t15926 / 0.6e1 + t2609 * t15451 / 0.3e1 + t490 * t17036 / 0.12e2 - 0.2e1 / 0.3e1 * t2609 * t15448 - t6772 * t17043 / 0.6e1 + t6769 * t17048 / 0.12e2 - t6764 * t17051 / 0.6e1 + t5639 * t17054 / 0.2e1 - t5665 * t17058 / 0.2e1 + t6769 * t17061 / 0.6e1 - t6769 * t17065 / 0.3e1 - t2604 * t2199 / 0.6e1 - t17070;
  t17072 = 0.2e1 / 0.3e1 * t15913;
  t17073 = t15945 / 0.2e1;
  t17074 = 0.2e1 * t15478;
  t17075 = t15482 / 0.3e1;
  t17076 = t143 * t16968;
  t17077 = t1165 * t17076;
  t17079 = t2369 * t2616;
  t17080 = t4572 * t17079;
  t17089 = 0.4e1 * t16029;
  t17090 = 0.2e1 / 0.3e1 * t16035;
  t17091 = 0.4e1 * t16045;
  t17092 = -t17074 - t15480 - t17075 - t494 * t17077 - 0.2e1 / 0.3e1 * t1720 * t17080 + 0.6e1 * t12606 * t2359 + 0.2e1 * t2629 * t2220 + 0.2e1 * t12551 * t2362 - t17089 - t17090 + t17091;
  t17095 = t4572 * t2369;
  t17098 = t2209 * t2647;
  t17099 = t17098 / 0.2e1;
  t17100 = t140 * t16968;
  t17101 = t1165 * t17100;
  t17108 = t4609 * t2369;
  t17111 = t4619 * t2369;
  t17119 = 0.2e1 * t15487;
  t17120 = 0.6e1 * t12551 * t2377 - 0.3e1 * t12580 * t17095 + t17099 + t494 * t17101 / 0.2e1 - 0.4e1 / 0.3e1 * t2633 * t15528 - 0.3e1 * t12606 * t2373 + t12580 * t17108 / 0.18e2 + 0.1e2 / 0.3e1 * t12580 * t17111 - 0.4e1 * t12551 * t2370 + 0.2e1 * t2633 * t15535 - t2629 * t2233 + t17119;
  t17122 = t4626 * t17079;
  t17126 = t4619 * t2358;
  t17129 = t4572 * t2358;
  t17134 = t1165 * t17079;
  t17136 = t2646 * t2196;
  t17137 = t4575 * t17136;
  t17141 = t4609 * t2358;
  t17144 = t2209 * t2637;
  t17145 = 0.2e1 * t16069;
  t17146 = t1720 * t17122 - 0.12e2 * t12551 * t2366 - 0.2e1 / 0.3e1 * t12580 * t17126 + 0.6e1 * t12580 * t17129 - 0.4e1 * t2633 * t15489 - t1716 * t17134 - t494 * t17137 + 0.2e1 / 0.3e1 * t2633 * t15494 - t12580 * t17141 / 0.9e1 - t17144 - t17145;
  t17147 = 0.4e1 / 0.3e1 * t16074;
  t17148 = 0.2e1 * t16083;
  t17149 = t15518 / 0.2e1;
  t17150 = 0.2e1 / 0.3e1 * t15531;
  t17151 = t12560 * t439;
  t17152 = t1186 * t17151;
  t17155 = t360 * t17151;
  t17158 = t12560 * t2196;
  t17159 = t360 * t17158;
  t17162 = t1173 * t17151;
  t17165 = t17147 + t17148 - t15516 + t17149 + t17150 + t15538 - t2229 - 0.2e1 * t7150 * t17152 + 0.2e1 * t7147 * t17155 + 0.2e1 * t10674 * t17159 + t7150 * t17162 / 0.3e1 + t2210;
  t17167 = t17092 + t17120 + t17146 + t17165;
  t17168 = t139 * t17167;
  t17169 = t17168 * t168;
  t17172 = t15948 / 0.3e1;
  t17173 = t4154 * t439;
  t17174 = t4148 * t17173;
  t17175 = t12672 * t17174;
  t17178 = t15993 / 0.6e1;
  t17179 = t16103 / 0.6e1;
  t17183 = t5733 * t2338;
  t17187 = t5595 * t2352;
  t17190 = t1165 * t17046;
  t17191 = t1716 * t17190;
  t17194 = t4575 * t17041;
  t17195 = t494 * t17194;
  t17198 = t4149 * t439;
  t17199 = t4148 * t17198;
  t17200 = t12672 * t17199;
  t17203 = t5563 * t2338;
  t17208 = t1423 * t17024;
  t17211 = t1645 * t2337;
  t17212 = t1430 * t17211;
  t17215 = 0.23e2 / 0.36e2 * t12414 * t17187 - t16114 - t16119 + t16127 + t5665 * t17191 / 0.2e1 + t5665 * t17195 / 0.2e1 - 0.3e1 * t1029 * t17200 - t12414 * t17203 / 0.2e1 + 0.7e1 / 0.3e1 * t12414 * t5734 - t1683 * t17208 / 0.3e1 + 0.2e1 / 0.3e1 * t1683 * t17212;
  t17219 = my_piecewise3(t100, 0, t16944 + t17011 + t17071 + t17072 + t17073 - t110 * t17169 / 0.4e1 + t17172 + 0.3e1 / 0.2e1 * t4718 * t17175 - t17178 - t17179 + t12535 * t2347 - 0.2e1 * t12535 * t2353 - 0.11e2 / 0.18e2 * t12414 * t17183 + t17215);
  tv3sigmalapl28 = t3 * t17219;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 8] += tv3sigmalapl28;

  t17220 = t2309 * t544;
  t17223 = t4748 * t2676;
  t17224 = t843 * t17223;
  t17227 = t1254 * t17223;
  t17230 = t1261 * t17223;
  t17241 = -t2089 + t2160 - t16134 + t16144 - t30 * t17220 / 0.4e1 + t1815 * t17224 / 0.6e1 - t1779 * t17227 / 0.6e1 - t1779 * t17230 / 0.12e2 + t515 * t16730 / 0.12e2 - t16163 + t16165 - t1516 * t2450 / 0.4e1 - t1770 * t2324 / 0.2e1 - t1770 * t2327 / 0.4e1;
  t17242 = t7213 * t2266;
  t17243 = t1261 * t17242;
  t17260 = t843 * t17242;
  t17263 = t1226 * t2676;
  t17264 = t1261 * t17263;
  t17267 = -t1541 * t17243 / 0.12e2 + t466 * t16167 / 0.12e2 - t515 * t10198 / 0.12e2 + t9948 * t530 / 0.4e1 - t417 * t13198 / 0.12e2 + t13203 * t432 / 0.4e1 + t10777 * t481 / 0.4e1 - t466 * t10808 / 0.12e2 + t15613 - t15624 - t15634 + t15641 - t16171 + t1568 * t17260 / 0.6e1 + t1779 * t17264 / 0.3e1;
  t17273 = t1254 * t17242;
  t17276 = t13185 * t2323;
  t17279 = t12753 * t2166;
  t17286 = t463 * t414;
  t17287 = t3156 * t17286;
  t17288 = t9744 * t17287;
  t17291 = t95 * t17286;
  t17292 = t9845 * t17291;
  t17295 = t670 * t17286;
  t17296 = t9744 * t17295;
  t17301 = -t1779 * t16894 / 0.12e2 + t1815 * t16897 / 0.6e1 + t16191 - t1541 * t17273 / 0.6e1 + t16199 - t16203 - t3266 * t17276 / 0.2e1 - t3266 * t17279 / 0.4e1 - t5286 * t2729 / 0.2e1 - t1516 * t2447 / 0.2e1 - 0.3e1 / 0.2e1 * t10757 * t17288 - 0.11e2 / 0.18e2 * t10757 * t17292 + 0.23e2 / 0.36e2 * t10757 * t17296 + t7251 * t16667 / 0.6e1;
  t17304 = t4996 * t17291;
  t17306 = t4873 * t17295;
  t17313 = t1797 * t16760;
  t17320 = -t7251 * t16671 / 0.3e1 + t10838 * t17304 - 0.2e1 * t10838 * t17306 + t16698 - t16699 + t16700 - t16701 + t16704 + t16705 + t1516 * t2462 / 0.4e1 - t1228 * t2737 / 0.4e1 - t246 * t17313 / 0.4e1 + t1228 * t2742 / 0.2e1 - t1228 * t2734 / 0.2e1 + t15662;
  t17333 = t15676 - t15681 - t15684 - t16757 + t16764 - t16765 + t515 * t15691 / 0.12e2 + t515 * t16752 / 0.12e2 + t16273 - t16280 - t16283 + t1228 * t2751 / 0.4e1 - t466 * t10965 / 0.12e2 - t417 * t12910 / 0.12e2;
  t17334 = t543 * t414;
  t17335 = t253 * t17334;
  t17336 = t4762 * t17335;
  t17341 = t4873 * t17335;
  t17344 = t3556 * t9897;
  t17345 = t1876 * t17344;
  t17347 = t1872 * t16766;
  t17350 = t519 * t16771;
  t17353 = t229 * t17286;
  t17354 = t7690 * t17353;
  t17357 = t788 * t9897;
  t17358 = t1872 * t17357;
  t17361 = t512 * t414;
  t17363 = t6300 * t683 * t17361;
  t17366 = t1591 * t11207;
  t17368 = -t16789 - t16889 - t16890 - t15734 + t16901 + t6454 * t17336 / 0.6e1 + t6451 * t16229 / 0.12e2 - t6439 * t17341 / 0.12e2 - t4772 * t17345 + t4772 * t17347 / 0.2e1 + t4772 * t17350 / 0.2e1 + 0.3e1 / 0.2e1 * t4772 * t17354 + t4772 * t17358 / 0.2e1 + 0.3e1 * t4983 * t17363 + t4983 * t17366;
  t17370 = t1319 * t12938;
  t17373 = t1876 * t16785;
  t17377 = t6304 * t3168 * t17361;
  t17381 = t6304 * t3125 * t17361;
  t17384 = t4877 * t17291;
  t17387 = t9845 * t17295;
  t17390 = t2298 * t463;
  t17391 = t683 * t17390;
  t17394 = t3168 * t17390;
  t17402 = t13080 * t2105;
  t17403 = t815 * t17402;
  t17406 = t13080 * t414;
  t17407 = t3590 * t17406;
  t17416 = -0.4e1 * t7680 * t17391 + t7686 * t17394 / 0.18e2 - t519 * t16816 - 0.2e1 / 0.3e1 * t1876 * t16818 - t16305 - t16309 - 0.2e1 * t7651 * t16877 - t16807 - 0.4e1 * t7651 * t17403 - t11072 * t17407 / 0.9e1 + 0.2e1 * t7655 * t16867 + 0.2e1 * t11138 * t16871 + t7651 * t16874 / 0.3e1;
  t17417 = t233 * t17406;
  t17420 = t233 * t17402;
  t17423 = t802 * t17406;
  t17426 = t802 * t17402;
  t17431 = t2708 * t2105;
  t17432 = t3556 * t17431;
  t17435 = t3125 * t17390;
  t17438 = 0.6e1 * t11143 * t17417 + 0.2e1 * t7655 * t17420 + 0.2e1 * t11079 * t17423 + 0.2e1 / 0.3e1 * t7651 * t17426 + t15762 - t16809 - t15239 - t16810 + t16812 - t1872 * t16802 - t519 * t16805 + 0.2e1 * t1876 * t17432 + 0.1e2 / 0.3e1 * t7686 * t17435;
  t17440 = t3130 * t17431;
  t17443 = t229 * t17390;
  t17446 = t788 * t17431;
  t17450 = -0.4e1 / 0.3e1 * t1876 * t17440 - 0.3e1 * t7690 * t17443 - t1872 * t17446 - t15768 - t15774 + t16318 + t16850 + t16336 + t16337 - t16340 + t519 * t16852 / 0.2e1 + t15802 - t15811;
  t17453 = t3580 * t17406;
  t17456 = t815 * t17406;
  t17459 = t3130 * t17390;
  t17462 = t689 * t17390;
  t17466 = t15813 + 0.6e1 * t11072 * t17423 - 0.2e1 / 0.3e1 * t11072 * t17453 - 0.12e2 * t11079 * t17456 + t16880 - t15274 + t15282 + t16881 - 0.3e1 * t7686 * t17459 + 0.6e1 * t7680 * t17462 + t1876 * t16792 - t2138 + t2119;
  t17468 = t17416 + t17438 + t17450 + t17466;
  t17469 = t59 * t17468;
  t17470 = t17469 * t95;
  t17473 = t670 * t9897;
  t17474 = t4877 * t17473;
  t17477 = t95 * t9897;
  t17478 = t5175 * t17477;
  t17487 = t4873 * t17291;
  t17490 = t4877 * t17477;
  t17493 = t9744 * t17291;
  t17496 = t4983 * t17370 / 0.2e1 - t4772 * t17373 / 0.2e1 + 0.3e1 / 0.2e1 * t9877 * t17377 - 0.3e1 * t4983 * t17381 - t10757 * t17384 / 0.2e1 + 0.7e1 / 0.3e1 * t10757 * t17387 - t30 * t17470 / 0.4e1 - 0.2e1 / 0.3e1 * t7251 * t17474 + t7251 * t17478 / 0.3e1 + t7251 * t16782 / 0.12e2 - t7254 * t16775 / 0.6e1 - t7248 * t16779 / 0.6e1 + t10838 * t17487 / 0.2e1 + t7251 * t17490 / 0.6e1 - 0.5e1 / 0.36e2 * t10757 * t17493;
  t17497 = t4762 * t17291;
  t17500 = t3273 * t17477;
  t17503 = t3264 * t17334;
  t17504 = t4873 * t17503;
  t17507 = t12998 * t2318;
  t17510 = t12998 * t2331;
  t17513 = t3130 * t17286;
  t17514 = t7686 * t17513;
  t17517 = t4996 * t17335;
  t17520 = t689 * t17286;
  t17521 = t7680 * t17520;
  t17524 = t1768 * t2266;
  t17525 = t1261 * t17524;
  t17540 = -t11019 * t17497 / 0.2e1 - t7254 * t17500 / 0.6e1 + t6439 * t17504 / 0.3e1 - t4993 * t17507 / 0.2e1 + t3266 * t17510 / 0.2e1 + 0.3e1 / 0.2e1 * t4772 * t17514 - t6439 * t17517 / 0.6e1 - 0.3e1 * t4772 * t17521 + t1541 * t17525 / 0.3e1 - t7587 * t2319 / 0.2e1 + t1770 * t2332 / 0.2e1 - t6411 * t2444 / 0.2e1 + t1516 * t2453 / 0.2e1 - t1779 * t16633 / 0.6e1 + t1779 * t16637 / 0.3e1;
  t17544 = my_piecewise3(t2, 0, t17241 + t17267 + t17301 + t17320 + t17333 + t17368 + t17496 + t17540);
  tv3sigmalapltau0 = t3 * t17544;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 0] += tv3sigmalapltau0;

  tv3sigmalapltau1 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 1] += tv3sigmalapltau1;

  tv3sigmalapltau2 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 2] += tv3sigmalapltau2;

  tv3sigmalapltau3 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 3] += tv3sigmalapltau3;

  tv3sigmalapltau4 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 4] += tv3sigmalapltau4;

  tv3sigmalapltau5 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 5] += tv3sigmalapltau5;

  tv3sigmalapltau6 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 6] += tv3sigmalapltau6;

  tv3sigmalapltau7 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 7] += tv3sigmalapltau7;

  tv3sigmalapltau8 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 8] += tv3sigmalapltau8;

  tv3sigmalapltau9 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 9] += tv3sigmalapltau9;

  tv3sigmalapltau10 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 10] += tv3sigmalapltau10;

  t17547 = -t2180 + t2251 + t16374 + t16918 + t16919 - t16920 + t16921 + t16922 - t16923 + t16924 - t16925 - t16926 - t16927 - t8280 * t2390 / 0.2e1;
  t17550 = t8262 * t2337;
  t17551 = t1101 * t17550;
  t17568 = t1430 * t17550;
  t17571 = t1381 * t2756;
  t17572 = t1430 * t17571;
  t17579 = t1956 * t2403 / 0.2e1 + t1702 * t17551 / 0.6e1 + t490 * t16510 / 0.12e2 + t11501 * t505 / 0.4e1 + t10426 * t570 / 0.4e1 - t442 * t13616 / 0.12e2 + t13591 * t457 / 0.4e1 - t1956 * t2398 / 0.4e1 - t1956 * t2395 / 0.2e1 - t1683 * t17568 / 0.12e2 + t1981 * t17572 / 0.3e1 - t16951 - t16419 - t6955 * t2503 / 0.2e1 + t1647 * t2512 / 0.2e1;
  t17585 = t1423 * t17550;
  t17588 = t13659 * t2394;
  t17591 = t13663 * t2257;
  t17596 = t583 * t439;
  t17597 = t380 * t17596;
  t17598 = t5695 * t17597;
  t17601 = t1720 * t11536;
  t17603 = t13533 * t2402;
  t17606 = -t1981 * t17208 / 0.6e1 + t1981 * t17212 / 0.3e1 - t1683 * t17585 / 0.6e1 - t16994 + t16440 - t4695 * t17588 / 0.2e1 - t4695 * t17591 / 0.4e1 + t6772 * t16589 / 0.12e2 - t6769 * t17598 / 0.12e2 + t17003 + t16464 - t16467 + t5639 * t17601 + t4695 * t17603 / 0.2e1;
  t17607 = t1476 * t13555;
  t17610 = t2060 * t17057;
  t17613 = t487 * t439;
  t17614 = t4572 * t17613;
  t17615 = t8438 * t17614;
  t17618 = t5679 * t17597;
  t17621 = t4693 * t17596;
  t17622 = t5695 * t17621;
  t17637 = t5553 * t2756;
  t17638 = t1423 * t17637;
  t17641 = t1101 * t17637;
  t17644 = t1430 * t17637;
  t17647 = t5639 * t17607 / 0.2e1 - t5665 * t17610 / 0.2e1 + 0.3e1 / 0.2e1 * t5665 * t17615 - t6769 * t17618 / 0.6e1 + t6769 * t17622 / 0.3e1 - t16473 - t1647 * t2509 / 0.4e1 + t1974 * t17028 / 0.6e1 + t555 * t15926 / 0.12e2 - t1981 * t17025 / 0.12e2 + t555 * t17036 / 0.12e2 + t555 * t16999 / 0.12e2 - t1981 * t17638 / 0.6e1 + t1974 * t17641 / 0.6e1 - t1981 * t17644 / 0.12e2;
  t17654 = t2040 * t16970;
  t17663 = t1954 * t2337;
  t17664 = t1430 * t17663;
  t17667 = -t16493 - t15910 + t15914 + t15946 + t15949 - t16506 + t16514 + t1383 * t2822 / 0.2e1 - t1383 * t2817 / 0.4e1 - t373 * t17654 / 0.4e1 - t1383 * t2814 / 0.2e1 - t5792 * t2809 / 0.2e1 - t1647 * t2506 / 0.2e1 + t1683 * t17664 / 0.3e1;
  t17676 = t13533 * t2389;
  t17679 = t4191 * t17613;
  t17680 = t10358 * t17679;
  t17683 = t552 * t439;
  t17685 = t7093 * t4609 * t17683;
  t17689 = t7093 * t4619 * t17683;
  t17692 = t1038 * t17613;
  t17693 = t8460 * t17692;
  t17696 = t4626 * t10534;
  t17697 = t2060 * t17696;
  t17699 = t6005 * t17597;
  t17702 = t2056 * t17190;
  t17705 = t559 * t17194;
  t17708 = t356 * t17613;
  t17709 = t8443 * t17708;
  t17712 = t1165 * t10534;
  t17713 = t2056 * t17712;
  t17716 = -t442 * t13580 / 0.12e2 + t1647 * t2521 / 0.4e1 + t1383 * t2831 / 0.4e1 - t490 * t11368 / 0.12e2 - t5649 * t17676 / 0.2e1 - 0.3e1 / 0.2e1 * t11399 * t17680 + 0.3e1 / 0.2e1 * t10513 * t17685 - 0.3e1 * t5639 * t17689 - 0.3e1 * t5665 * t17693 - t5665 * t17697 + t6764 * t17699 / 0.6e1 + t5665 * t17702 / 0.2e1 + t5665 * t17705 / 0.2e1 + 0.3e1 / 0.2e1 * t5665 * t17709 + t5665 * t17713 / 0.2e1;
  t17719 = t7089 * t1033 * t17683;
  t17726 = t2788 * t2196;
  t17727 = t4626 * t17726;
  t17730 = t2788 * t439;
  t17731 = t356 * t17730;
  t17734 = t1165 * t17726;
  t17738 = t13390 * t2196;
  t17739 = t1186 * t17738;
  t17744 = -t2056 * t17134 - t559 * t17137 - 0.2e1 * t8508 * t17152 + 0.2e1 * t2060 * t17727 - 0.3e1 * t8443 * t17731 - t2056 * t17734 - 0.4e1 * t8508 * t17739 - t15480 - t16527 + t16546 - t16551 - t17074 - t17075;
  t17745 = t13390 * t439;
  t17746 = t1173 * t17745;
  t17749 = t1186 * t17745;
  t17752 = t4599 * t17745;
  t17755 = t1173 * t17738;
  t17758 = t4586 * t17745;
  t17767 = t360 * t17745;
  t17770 = t360 * t17738;
  t17775 = 0.6e1 * t11651 * t17746 - 0.12e2 * t11668 * t17749 - 0.2e1 / 0.3e1 * t11651 * t17752 + 0.2e1 / 0.3e1 * t8508 * t17755 - t11651 * t17758 / 0.9e1 + 0.2e1 * t8511 * t17155 + 0.2e1 * t11656 * t17159 + t8508 * t17162 / 0.3e1 + 0.6e1 * t11663 * t17767 + 0.2e1 * t8511 * t17770 + 0.2e1 * t11668 * t17746 - t16030 - t16036;
  t17777 = t1038 * t17730;
  t17781 = t4572 * t17730;
  t17784 = t2060 * t17122 + 0.6e1 * t8460 * t17777 - 0.3e1 * t8438 * t17781 + t16046 - t16069 + t16075 + t16083 - t16558 + t16560 + t16561 + t17099 + t17119 - t17144;
  t17790 = t4619 * t17730;
  t17793 = t4572 * t17726;
  t17796 = t1033 * t17730;
  t17799 = t4609 * t17730;
  t17802 = t559 * t17101 / 0.2e1 - t559 * t17077 - 0.2e1 / 0.3e1 * t2060 * t17080 + 0.1e2 / 0.3e1 * t8438 * t17790 - 0.4e1 / 0.3e1 * t2060 * t17793 - 0.4e1 * t8460 * t17796 + t8438 * t17799 / 0.18e2 - t15516 + t17149 + t17150 + t15538 - t2229 + t2210;
  t17804 = t17744 + t17775 + t17784 + t17802;
  t17805 = t139 * t17804;
  t17806 = t17805 * t168;
  t17809 = t168 * t10534;
  t17810 = t5674 * t17809;
  t17819 = t5691 * t17809;
  t17822 = t168 * t17613;
  t17823 = t10358 * t17822;
  t17826 = t4687 * t17809;
  t17829 = t5695 * t17822;
  t17832 = t6005 * t17822;
  t17835 = 0.3e1 * t5639 * t17719 - t15994 - t16104 - t490 * t11422 / 0.12e2 - t555 * t10421 / 0.12e2 - t110 * t17806 / 0.4e1 + t8063 * t17810 / 0.3e1 - t8219 * t17051 / 0.6e1 - t8214 * t17043 / 0.6e1 + t8063 * t17048 / 0.12e2 + t8063 * t17819 / 0.6e1 - 0.5e1 / 0.36e2 * t11399 * t17823 - t8219 * t17826 / 0.6e1 + t11510 * t17829 / 0.2e1 - t11646 * t17832 / 0.2e1;
  t17836 = t10447 * t17822;
  t17839 = t1018 * t17613;
  t17840 = t10358 * t17839;
  t17847 = t5691 * t17822;
  t17850 = t10447 * t17839;
  t17853 = t5679 * t17822;
  t17855 = t5695 * t17839;
  t17858 = t1018 * t10534;
  t17859 = t5691 * t17858;
  t17862 = t2380 * t584;
  t17865 = -0.11e2 / 0.18e2 * t11399 * t17836 + 0.23e2 / 0.36e2 * t11399 * t17840 + t8063 * t17061 / 0.6e1 - t8063 * t17065 / 0.3e1 - t11399 * t17847 / 0.2e1 + 0.7e1 / 0.3e1 * t11399 * t17850 + t11510 * t17853 - 0.2e1 * t11510 * t17855 - 0.2e1 / 0.3e1 * t8063 * t17859 - t16593 - t110 * t17862 / 0.4e1 - t16115 - t16120 + t16128 + t16605;
  t17869 = my_piecewise3(t100, 0, t17547 + t17579 + t17606 + t17647 + t17667 + t17716 + t17835 + t17865);
  tv3sigmalapltau11 = t3 * t17869;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 11] += tv3sigmalapltau11;

  t17872 = t16133 / 0.6e1;
  t17873 = t2851 * t414;
  t17874 = t95 * t17873;
  t17875 = t5175 * t17874;
  t17878 = t670 * t17873;
  t17879 = t4877 * t17878;
  t17882 = t14030 * t16905;
  t17885 = t13989 * t2331;
  t17888 = t14030 * t16651;
  t17895 = -t2089 + t2160 + t1228 * t2903 / 0.2e1 - t17872 + t16143 + t7251 * t17875 / 0.6e1 - t7251 * t17879 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t17882 - 0.3e1 * t246 * t17885 - 0.3e1 * t679 * t17888 - 0.3e1 / 0.2e1 * t13908 * t16910 - t2844 * t5229 / 0.12e2;
  t17902 = t16162 / 0.3e1;
  t17903 = 0.2e1 / 0.3e1 * t16164;
  t17904 = t16170 / 0.6e1;
  t17905 = t427 * t2933;
  t17908 = t2436 * t544;
  t17911 = t3556 * t17873;
  t17912 = t1876 * t17911;
  t17919 = t14120 * t2318;
  t17921 = t14120 * t2331;
  t17923 = -t2844 * t5291 / 0.6e1 - t515 * t10808 / 0.6e1 + t2839 * t1223 / 0.6e1 - t17902 + t17903 - t17904 - t30 * t17905 / 0.4e1 - t30 * t17908 / 0.2e1 - t4772 * t17912 / 0.2e1 - t7251 * t17517 / 0.3e1 + 0.2e1 / 0.3e1 * t7251 * t17504 - t4993 * t17919 + t3266 * t17921;
  t17925 = t2851 * t2105;
  t17926 = t3562 * t17925;
  t17927 = t519 * t17926;
  t17930 = t14062 * t2323;
  t17932 = t14065 * t2166;
  t17941 = t95 * t17925;
  t17942 = t8790 * t17941;
  t17945 = t4877 * t17874;
  t17948 = t3273 * t17874;
  t17951 = t1319 * t14054;
  t17954 = t16190 / 0.2e1;
  t17955 = t16198 / 0.2e1;
  t17956 = t4772 * t17927 / 0.2e1 - t3266 * t17930 - t3266 * t17932 / 0.2e1 - t7251 * t17341 / 0.6e1 + t7254 * t17336 / 0.3e1 + t7248 * t16229 / 0.6e1 - t7248 * t17942 / 0.6e1 + t7251 * t17945 / 0.12e2 - t7254 * t17948 / 0.6e1 + t4983 * t17951 / 0.2e1 + t17954 + t17955;
  t17957 = t16202 / 0.6e1;
  t17972 = t2087 * t2854;
  t17973 = t17972 / 0.12e2;
  t17982 = -t17957 - 0.2e1 * t13894 * t2282 - t515 * t10965 / 0.6e1 - 0.2e1 / 0.3e1 * t2844 * t15209 - t1779 * t17243 / 0.6e1 + t1815 * t17260 / 0.3e1 + t515 * t16167 / 0.6e1 + t2844 * t15211 / 0.3e1 + t17973 - t13915 * t2268 / 0.2e1 - t2839 * t2108 / 0.6e1 + t13894 * t2271 / 0.2e1 + t1770 * t2462 / 0.2e1;
  t17985 = t13989 * t2318;
  t17988 = t13885 * t15163;
  t17997 = 0.3e1 * t679 * t17985 + t679 * t17988 - t1770 * t2447 + t2844 * t15094 / 0.6e1 - 0.5e1 / 0.36e2 * t13908 * t16613 - t1770 * t2450 / 0.2e1 + t16698 - t16699 + t16700 - t16701 + t16704 + t16705;
  t17998 = t4748 * t2852;
  t17999 = t836 * t17998;
  t18018 = 0.2e1 / 0.3e1 * t8685 * t14160 + t15109 - 0.4e1 * t14166 * t2323 + 0.4e1 / 0.3e1 * t14169 * t2318 - 0.2e1 * t14172 * t2166 + 0.4e1 * t14169 * t2331 - t15121 + 0.4e1 * t14179 * t2323 + 0.2e1 * t521 * t2166 - 0.4e1 * t14184 * t2331;
  t18019 = t94 * t18018;
  t18020 = t837 * t18019;
  t18021 = t836 * t18020;
  t18026 = t14030 * t16646;
  t18042 = t515 * t17999 / 0.12e2 + t515 * t18021 / 0.12e2 - t7587 * t2444 + t1770 * t2453 + 0.3e1 / 0.2e1 * t3167 * t18026 - 0.11e2 / 0.18e2 * t13908 * t16640 + 0.23e2 / 0.36e2 * t13908 * t16629 - t13908 * t16656 / 0.2e1 + 0.7e1 / 0.3e1 * t13908 * t16659 - t1779 * t17273 / 0.3e1 + 0.2e1 / 0.3e1 * t1779 * t17525 + t13894 * t2276 + t16764;
  t18044 = t16272 / 0.3e1;
  t18048 = t14228 * t420 * t249;
  t18051 = t8897 * t2911;
  t18052 = t246 * t18051;
  t18053 = t18052 / 0.4e1;
  t18055 = t824 * t221 * t18018;
  t18056 = t1797 * t18055;
  t18059 = t13885 * t15215;
  t18061 = t14249 * t2166;
  t18066 = t14265 * t2323;
  t18069 = -t16765 + t18044 - t16279 - t16282 - t417 * t14230 / 0.12e2 + t246 * t18048 / 0.4e1 - t18053 - t246 * t18056 / 0.4e1 - t246 * t18059 + t246 * t18061 / 0.2e1 - t1228 * t2912 / 0.4e1 + 0.3e1 / 0.2e1 * t246 * t18066;
  t18070 = 0.4e1 * t16304;
  t18071 = 0.2e1 / 0.3e1 * t16308;
  t18076 = t2883 * t414;
  t18077 = t3556 * t18076;
  t18083 = t788 * t18076;
  t18085 = t2883 * t2105;
  t18086 = t3562 * t18085;
  t18088 = -t18070 - t18071 - 0.2e1 / 0.3e1 * t14328 * t16796 + 0.6e1 * t14328 * t16799 + t1876 * t18077 - 0.12e2 * t14318 * t2295 - 0.4e1 * t2870 * t15246 - t1872 * t18083 - t519 * t18086 - t16809 - t15239;
  t18089 = 0.4e1 * t16317;
  t18094 = t60 * t18018;
  t18095 = t788 * t18094;
  t18109 = -t16810 + t16812 + t18089 + 0.6e1 * t14318 * t2306 - 0.3e1 * t14328 * t16838 + t519 * t18095 / 0.2e1 + 0.2e1 * t2870 * t15293 - 0.4e1 / 0.3e1 * t2870 * t15263 - 0.3e1 * t14313 * t2302 - t2866 * t2142 - 0.4e1 * t14318 * t2299 + t14328 * t16841 / 0.18e2;
  t18113 = t2118 * t2884;
  t18114 = t18113 / 0.2e1;
  t18115 = t14357 * t414;
  t18116 = t815 * t18115;
  t18119 = t802 * t18115;
  t18122 = t233 * t18115;
  t18125 = t14357 * t2105;
  t18126 = t233 * t18125;
  t18129 = t63 * t18018;
  t18130 = t788 * t18129;
  t18132 = t3130 * t18076;
  t18135 = 0.4e1 / 0.3e1 * t16335;
  t18136 = 0.2e1 * t16337;
  t18137 = 0.2e1 * t16340;
  t18138 = 0.1e2 / 0.3e1 * t14328 * t16855 + t18114 - 0.2e1 * t7651 * t18116 + t7651 * t18119 / 0.3e1 + 0.2e1 * t7655 * t18122 + 0.2e1 * t11138 * t18126 - t519 * t18130 - 0.2e1 / 0.3e1 * t1876 * t18132 + t18135 + t18136 - t18137;
  t18149 = t2118 * t2874;
  t18150 = 0.6e1 * t14313 * t2288 + 0.2e1 * t2866 * t2129 + 0.2e1 * t14318 * t2291 + 0.2e1 / 0.3e1 * t2870 * t15253 - t14328 * t16831 / 0.9e1 - t18149 + t16880 - t15274 + t15282 + t16881 - t2138 + t2119;
  t18152 = t18088 + t18109 + t18138 + t18150;
  t18153 = t59 * t18152;
  t18154 = t18153 * t95;
  t18173 = t788 * t17873;
  t18174 = t1872 * t18173;
  t18177 = -t30 * t18154 / 0.4e1 - t16789 - t16889 - t16890 - t1228 * t2907 / 0.2e1 + t1228 * t2915 / 0.2e1 - t5286 * t2899 / 0.2e1 + t10777 * t530 / 0.2e1 - t417 * t14006 / 0.12e2 + t14011 * t432 / 0.4e1 + t2844 * t5281 / 0.3e1 - t417 * t14400 / 0.6e1 + t4772 * t18174 / 0.2e1;
  t18181 = my_piecewise3(t2, 0, t17895 + t17923 + t17956 + t17982 + t17997 + t18042 + t18069 + t18177);
  tv3sigmatau20 = t3 * t18181;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 0] += tv3sigmatau20;

  tv3sigmatau21 = 0.e0;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 1] += tv3sigmatau21;

  tv3sigmatau22 = 0.e0;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 2] += tv3sigmatau22;

  tv3sigmatau23 = 0.e0;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 3] += tv3sigmatau23;

  tv3sigmatau24 = 0.e0;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 4] += tv3sigmatau24;

  tv3sigmatau25 = 0.e0;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 5] += tv3sigmatau25;

  tv3sigmatau26 = 0.e0;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 6] += tv3sigmatau26;

  tv3sigmatau27 = 0.e0;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 7] += tv3sigmatau27;

  t18182 = t16373 / 0.3e1;
  t18185 = -t2180 + t2251 + t18182 + t16918 + t16919 - t16920 + t16921 + t16922 - t16923 + t16924 - t16925 - t1981 * t17585 / 0.3e1;
  t18186 = t2954 * t2196;
  t18187 = t168 * t18186;
  t18188 = t9444 * t18187;
  t18191 = t2954 * t439;
  t18192 = t168 * t18191;
  t18193 = t5691 * t18192;
  t18196 = t1476 * t14818;
  t18199 = t4626 * t18191;
  t18200 = t2060 * t18199;
  t18207 = t14814 * t2389;
  t18209 = t14814 * t2402;
  t18211 = t5674 * t18192;
  t18214 = t1018 * t18191;
  t18215 = t5691 * t18214;
  t18220 = -t16926 - t16927 - t8214 * t18188 / 0.6e1 + t8063 * t18193 / 0.12e2 + t5639 * t18196 / 0.2e1 - t5665 * t18200 / 0.2e1 - t8063 * t17618 / 0.3e1 + 0.2e1 / 0.3e1 * t8063 * t17622 - t5649 * t18207 + t4695 * t18209 + t8063 * t18211 / 0.6e1 - t8063 * t18215 / 0.3e1 - t1383 * t3010 / 0.2e1;
  t18237 = t16418 / 0.6e1;
  t18238 = t2495 * t584;
  t18241 = t16439 / 0.2e1;
  t18242 = t1383 * t3018 / 0.2e1 - t5792 * t3002 / 0.2e1 + 0.2e1 / 0.3e1 * t1981 * t17664 - 0.2e1 * t14831 * t2353 - 0.11e2 / 0.18e2 * t14711 * t17183 + 0.23e2 / 0.36e2 * t14711 * t17187 - t14711 * t17203 / 0.2e1 + t14831 * t2347 - t16951 - t18237 - t110 * t18238 / 0.2e1 + t18241;
  t18243 = t14857 * t15455;
  t18248 = t14704 * t445 * t376;
  t18253 = t9409 * t3014;
  t18254 = t373 * t18253;
  t18255 = t18254 / 0.4e1;
  t18272 = 0.2e1 / 0.3e1 * t9396 * t14721 + t15340 - 0.4e1 * t14727 * t2394 + 0.4e1 / 0.3e1 * t14730 * t2389 - 0.2e1 * t14733 * t2257 + 0.4e1 * t14730 * t2402 - t15352 + 0.4e1 * t14740 * t2394 + 0.2e1 * t561 * t2257 - 0.4e1 * t14745 * t2402;
  t18274 = t1076 * t348 * t18272;
  t18275 = t2040 * t18274;
  t18278 = t14869 * t2394;
  t18281 = t1165 * t18191;
  t18282 = t2056 * t18281;
  t18285 = t4575 * t18186;
  t18286 = t559 * t18285;
  t18289 = t14605 * t2394;
  t18291 = t14608 * t2257;
  t18298 = -t373 * t18243 - t442 * t14706 / 0.12e2 + t373 * t18248 / 0.4e1 - t1383 * t3015 / 0.4e1 - t18255 - t373 * t18275 / 0.4e1 + 0.3e1 / 0.2e1 * t373 * t18278 + t5665 * t18282 / 0.2e1 + t5665 * t18286 / 0.2e1 - t4695 * t18289 - t4695 * t18291 / 0.2e1 + t8219 * t17699 / 0.3e1 + t8214 * t16589 / 0.6e1;
  t18303 = t4687 * t18192;
  t18306 = t452 * t3036;
  t18321 = t2178 * t2957;
  t18322 = t18321 / 0.12e2;
  t18323 = -t8063 * t17598 / 0.6e1 - t8219 * t18303 / 0.6e1 - t110 * t18306 / 0.4e1 + t16463 - t16466 - t555 * t11368 / 0.6e1 + t1974 * t17551 / 0.3e1 + t555 * t16510 / 0.6e1 - t1981 * t17568 / 0.6e1 + t2947 * t15451 / 0.3e1 - 0.5e1 / 0.36e2 * t14711 * t17004 + t18322;
  t18324 = t5553 * t2955;
  t18325 = t1094 * t18324;
  t18328 = t167 * t18272;
  t18329 = t1095 * t18328;
  t18330 = t1094 * t18329;
  t18339 = t16472 / 0.6e1;
  t18340 = t16505 / 0.3e1;
  t18341 = 0.2e1 / 0.3e1 * t16513;
  t18349 = t555 * t18325 / 0.12e2 + t555 * t18330 / 0.12e2 + t14831 * t2342 / 0.2e1 + t1956 * t2521 / 0.2e1 - 0.2e1 / 0.3e1 * t2947 * t15448 - t18339 - t16492 - t18340 + t18341 - t15036 * t2339 / 0.2e1 - t2942 * t2199 / 0.6e1 - 0.3e1 / 0.2e1 * t14711 * t5597 - t8280 * t2503;
  t18352 = t14876 * t17174;
  t18355 = t14876 * t17199;
  t18360 = t2986 * t439;
  t18361 = t4626 * t18360;
  t18369 = 0.2e1 / 0.3e1 * t16526;
  t18370 = 0.4e1 * t16545;
  t18371 = 0.4e1 * t16550;
  t18372 = t2986 * t2196;
  t18373 = t4575 * t18372;
  t18375 = -t17074 - t15480 - t17075 + t2060 * t18361 - 0.12e2 * t14928 * t2366 - 0.2e1 / 0.3e1 * t14932 * t17126 + 0.6e1 * t14932 * t17129 - t18369 + t18370 - t18371 - t559 * t18373;
  t18380 = t2209 * t2977;
  t18381 = t143 * t18272;
  t18382 = t1165 * t18381;
  t18384 = t4572 * t18360;
  t18395 = t1165 * t18360;
  t18397 = t14969 * t439;
  t18398 = t1186 * t18397;
  t18401 = t360 * t18397;
  t18404 = 0.2e1 / 0.3e1 * t2973 * t15494 - t14932 * t17141 / 0.9e1 - t18380 - t559 * t18382 - 0.2e1 / 0.3e1 * t2060 * t18384 - 0.4e1 * t2973 * t15489 + 0.6e1 * t14955 * t2359 + 0.2e1 * t2969 * t2220 + 0.2e1 * t14928 * t2362 - t2056 * t18395 - 0.2e1 * t8508 * t18398 + 0.2e1 * t8511 * t18401;
  t18406 = t14969 * t2196;
  t18407 = t360 * t18406;
  t18410 = t1173 * t18397;
  t18423 = t140 * t18272;
  t18424 = t1165 * t18423;
  t18431 = 0.2e1 * t11656 * t18407 + t8508 * t18410 / 0.3e1 + t17119 + 0.6e1 * t14928 * t2377 - 0.3e1 * t14932 * t17095 - 0.4e1 * t14928 * t2370 + t14932 * t17108 / 0.18e2 + 0.1e2 / 0.3e1 * t14932 * t17111 + t559 * t18424 / 0.2e1 + 0.2e1 * t2973 * t15535 - 0.4e1 / 0.3e1 * t2973 * t15528;
  t18435 = t2209 * t2987;
  t18436 = t18435 / 0.2e1;
  t18437 = 0.2e1 * t16558;
  t18438 = 0.4e1 / 0.3e1 * t16559;
  t18439 = 0.2e1 * t16561;
  t18440 = -0.3e1 * t14955 * t2373 - t2969 * t2233 - t15516 + t15538 + t17149 + t17150 + t18436 - t18437 + t18438 + t18439 + t2210 - t2229;
  t18442 = t18375 + t18404 + t18431 + t18440;
  t18443 = t139 * t18442;
  t18444 = t18443 * t168;
  t18461 = t1956 * t2512 + 0.3e1 / 0.2e1 * t4718 * t18352 - 0.3e1 * t1029 * t18355 + 0.7e1 / 0.3e1 * t14711 * t5734 - t110 * t18444 / 0.4e1 + t2947 * t15365 / 0.6e1 + t11501 * t570 / 0.2e1 - t442 * t14661 / 0.12e2 + t14666 * t457 / 0.4e1 + t2947 * t5804 / 0.3e1 - t2947 * t5800 / 0.6e1 - t555 * t11422 / 0.6e1;
  t18466 = t14685 * t2257;
  t18471 = t14807 * t2389;
  t18474 = t14857 * t15388;
  t18481 = t16592 / 0.6e1;
  t18482 = t14876 * t17015;
  t18485 = t14807 * t2402;
  t18488 = t16604 / 0.2e1;
  t18489 = t2942 * t1378 / 0.6e1 - t2947 * t5819 / 0.12e2 + t373 * t18466 / 0.2e1 + t1383 * t3006 / 0.2e1 + 0.3e1 * t1029 * t18471 + t1029 * t18474 - t1956 * t2506 - t1956 * t2509 / 0.2e1 - t442 * t14793 / 0.6e1 - t18481 + 0.3e1 / 0.2e1 * t373 * t18482 - 0.3e1 * t373 * t18485 + t18488;
  t18493 = my_piecewise3(t100, 0, t18185 + t18220 + t18242 + t18298 + t18323 + t18349 + t18461 + t18489);
  tv3sigmatau28 = t3 * t18493;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 8] += tv3sigmatau28;

  t18496 = t2541 * t2541;
  t18498 = t3459 * t221 * t18496;
  t18499 = t1559 * t18498;
  t18502 = t94 * t18496;
  t18503 = t837 * t18502;
  t18504 = t3460 * t18503;
  t18507 = t2526 * t463;
  t18508 = t18507 * t651;
  t18509 = t194 * t18508;
  t18510 = t191 * t18509;
  t18513 = t3115 * t18507;
  t18514 = t18513 * t3169;
  t18517 = t18513 * t3126;
  t18520 = t680 * t18507;
  t18521 = t18520 * t3082;
  t18524 = t18513 * t3131;
  t18527 = t18507 * t3118;
  t18528 = t3135 * t18527;
  t18529 = t191 * t18528;
  t18536 = -t2089 + t2160 - t2529 * t2544 / 0.3e1 + t246 * t18499 / 0.2e1 - t466 * t18504 / 0.6e1 - t18510 * t223 / 0.2e1 + 0.3e1 / 0.2e1 * t3167 * t18514 - 0.3e1 * t679 * t18517 - 0.3e1 * t246 * t18521 + 0.3e1 / 0.2e1 * t246 * t18524 - 0.3e1 / 0.2e1 * t18529 * t3158 - 0.3e1 / 0.2e1 * t6411 * t2584 + 0.3e1 / 0.2e1 * t1516 * t2596;
  t18537 = t18507 * t3076;
  t18538 = t649 * t18537;
  t18539 = t191 * t18538;
  t18565 = t3428 * t2526;
  t18578 = 0.2e1 / 0.3e1 * t2566 * t661 + t15109 - 0.4e1 * t789 * t2526 * t597 + 0.4e1 / 0.3e1 * t18565 * t684 - 0.2e1 * t11930 * t2592 + 0.4e1 * t18565 * t690 - t15121 + 0.4e1 * t2569 * t222 + 0.2e1 * t472 * t2592 - 0.4e1 * t2566 * t666;
  t18579 = t94 * t18578;
  t18580 = t837 * t18579;
  t18581 = t836 * t18580;
  t18585 = t824 * t221 * t18578;
  t18586 = t1559 * t18585;
  t18589 = t12135 * t2592;
  t18591 = -0.2e1 * t18539 * t672 - 0.11e2 / 0.18e2 * t18529 * t3141 + 0.23e2 / 0.36e2 * t18529 * t3146 + 0.3e1 / 0.4e1 * t11843 * t481 - t2534 * t6402 / 0.2e1 - t466 * t11838 / 0.4e1 + t2529 * t1511 / 0.2e1 + t18539 * t662 / 0.2e1 - t2534 * t6233 / 0.4e1 - 0.5e1 / 0.36e2 * t18529 * t3178 + t466 * t18581 / 0.12e2 - t246 * t18586 / 0.4e1 + t246 * t18589;
  t18593 = t660 * t2541;
  t18594 = t3360 * t18593;
  t18595 = t12147 * t18594;
  t18600 = t15612 / 0.2e1;
  t18601 = t15623 / 0.4e1;
  t18602 = t15633 / 0.2e1;
  t18603 = 0.3e1 / 0.4e1 * t15661;
  t18604 = 0.3e1 / 0.2e1 * t15675;
  t18605 = 0.3e1 / 0.2e1 * t15680;
  t18606 = 0.3e1 / 0.2e1 * t15683;
  t18607 = t244 * t2542;
  t18608 = t3520 * t18607;
  t18610 = t665 * t2541;
  t18611 = t3360 * t18610;
  t18612 = t12147 * t18611;
  t18615 = t3690 * t2543;
  t18618 = 0.3e1 / 0.2e1 * t679 * t18595 - 0.3e1 / 0.4e1 * t1516 * t2593 + t18600 - t18601 - t18602 + t15640 + t18603 + t18604 - t18605 - t18606 - t2534 * t18608 - 0.3e1 / 0.2e1 * t246 * t18612 + t2534 * t18615 / 0.2e1;
  t18619 = t6119 * t2542;
  t18620 = t836 * t18619;
  t18623 = t3520 * t2543;
  t18626 = t16756 / 0.2e1;
  t18627 = t15733 / 0.4e1;
  t18628 = t16900 / 0.6e1;
  t18629 = 0.2e1 * t16807;
  t18630 = t63 * t18496;
  t18631 = t3562 * t18630;
  t18634 = t3130 * t2561;
  t18636 = t63 * t18578;
  t18637 = t788 * t18636;
  t18639 = 0.6e1 * t15761;
  t18640 = 0.6e1 * t15767;
  t18641 = t69 * t18507;
  t18642 = t18641 * t3118;
  t18645 = t648 * t18507;
  t18646 = t18645 * t3076;
  t18655 = t18645 * t3077;
  t18658 = t18641 * t3121;
  t18661 = t193 * t18507;
  t18662 = t18661 * t3259;
  t18665 = -t18629 + 0.2e1 * t470 * t18631 + t2558 * t18634 - t470 * t18637 + t18639 - t18640 - t15773 - 0.3e1 * t18642 * t3573 + 0.6e1 * t18646 * t816 - 0.4e1 * t18646 * t803 + t18642 * t3591 / 0.18e2 + 0.1e2 / 0.3e1 * t18642 * t3581 + t16849 + 0.2e1 * t18655 * t785 - t18658 * t3628 / 0.9e1 + 0.6e1 * t18662 * t230;
  t18666 = 0.2e1 * t15801;
  t18667 = 0.3e1 * t15811;
  t18668 = 0.3e1 * t15813;
  t18671 = t3556 * t2561;
  t18674 = t60 * t18496;
  t18675 = t3562 * t18674;
  t18679 = t60 * t18578;
  t18680 = t788 * t18679;
  t18683 = t3130 * t2571;
  t18686 = t3556 * t2571;
  t18695 = t18661 * t651;
  t18698 = t18666 - t18667 + t18668 + 0.4e1 * t2554 * t2562 - 0.6e1 * t2558 * t18671 - t2138 - t470 * t18675 - 0.2e1 * t2554 * t2572 + t470 * t18680 / 0.2e1 - 0.2e1 * t2558 * t18683 + 0.3e1 * t2558 * t18686 - 0.12e2 * t18655 * t798 - 0.2e1 / 0.3e1 * t18658 * t3613 + 0.6e1 * t18658 * t3596 - 0.3e1 * t18695 * t234 + t2119;
  t18699 = t18665 + t18698;
  t18700 = t59 * t18699;
  t18701 = t18700 * t95;
  t18711 = t247 * t18507 * t3260;
  t18714 = t18520 * t3078;
  t18719 = t466 * t18620 / 0.4e1 + t2534 * t18623 / 0.4e1 - t18626 - t18627 + t18628 - t30 * t18701 / 0.4e1 - t18529 * t3150 / 0.2e1 + 0.7e1 / 0.3e1 * t18529 * t3153 + t2534 * t6424 + t18539 * t667 + 0.3e1 / 0.2e1 * t246 * t18711 + 0.3e1 * t679 * t18714 - 0.3e1 / 0.2e1 * t1516 * t2588;
  t18722 = my_piecewise3(t2, 0, t18536 + t18591 + t18618 + t18719);
  tv3lapl30 = t3 * t18722;

  if(out->v3lapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 0] += tv3lapl30;

  tv3lapl31 = 0.e0;

  if(out->v3lapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 1] += tv3lapl31;

  tv3lapl32 = 0.e0;

  if(out->v3lapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 2] += tv3lapl32;

  t18723 = t2601 * t487;
  t18725 = t374 * t18723 * t4209;
  t18728 = t1030 * t18723;
  t18729 = t18728 * t4219;
  t18734 = t18723 * t999;
  t18735 = t194 * t18734;
  t18736 = t321 * t18735;
  t18739 = t6755 * t2617;
  t18740 = t1094 * t18739;
  t18748 = t4388 * t2601;
  t18761 = 0.2e1 / 0.3e1 * t2641 * t1009 + t15340 - 0.4e1 * t1077 * t2601 * t1047 + 0.4e1 / 0.3e1 * t18748 * t1034 - 0.2e1 * t12383 * t2667 + 0.4e1 * t18748 * t1039 - t15352 + 0.4e1 * t2644 * t349 + 0.2e1 * t496 * t2667 - 0.4e1 * t2641 * t1014;
  t18762 = t167 * t18761;
  t18763 = t1095 * t18762;
  t18764 = t1094 * t18763;
  t18767 = t4376 * t2618;
  t18772 = t2616 * t2616;
  t18774 = t4344 * t348 * t18772;
  t18775 = t1693 * t18774;
  t18778 = t167 * t18772;
  t18779 = t1095 * t18778;
  t18780 = t4354 * t18779;
  t18783 = t16993 / 0.2e1;
  t18784 = -t2180 + t2251 + 0.3e1 / 0.2e1 * t373 * t18725 + 0.3e1 * t1029 * t18729 - 0.3e1 / 0.2e1 * t1647 * t2663 - t18736 * t350 / 0.2e1 + t490 * t18740 / 0.4e1 + t490 * t18764 / 0.12e2 + t2609 * t18767 / 0.4e1 - t2604 * t2619 / 0.3e1 + t373 * t18775 / 0.2e1 - t490 * t18780 / 0.6e1 - t18783;
  t18785 = t17002 / 0.6e1;
  t18787 = t1076 * t348 * t18761;
  t18788 = t1693 * t18787;
  t18791 = t1008 * t2616;
  t18792 = t4305 * t18791;
  t18793 = t12424 * t18792;
  t18798 = t12511 * t2667;
  t18800 = 0.6e1 * t16029;
  t18801 = 0.6e1 * t16045;
  t18804 = t140 * t18761;
  t18805 = t1165 * t18804;
  t18808 = t4572 * t2646;
  t18811 = t648 * t18723;
  t18812 = t18811 * t4214;
  t18815 = t69 * t18723;
  t18816 = t18815 * t4607;
  t18819 = t143 * t18772;
  t18820 = t4575 * t18819;
  t18823 = t143 * t18761;
  t18824 = t1165 * t18823;
  t18828 = t4572 * t2636;
  t18830 = t18815 * t4140;
  t18833 = t18811 * t4160;
  t18838 = -t18800 - t16035 + t18801 - 0.2e1 * t2629 * t2647 + t494 * t18805 / 0.2e1 - 0.2e1 * t2633 * t18808 + 0.2e1 * t18812 * t1162 - t18816 * t4610 / 0.9e1 + t17098 + 0.2e1 * t494 * t18820 - t494 * t18824 + 0.4e1 * t2629 * t2637 + t2633 * t18828 + 0.1e2 / 0.3e1 * t18830 * t4600 - 0.4e1 * t18833 * t1174 + t18830 * t4587 / 0.18e2;
  t18839 = 0.2e1 * t17144;
  t18844 = t193 * t18723;
  t18845 = t18844 * t999;
  t18848 = t4626 * t2636;
  t18851 = 0.3e1 * t16069;
  t18852 = 0.2e1 * t16074;
  t18853 = 0.3e1 * t16083;
  t18854 = t140 * t18772;
  t18855 = t4575 * t18854;
  t18857 = t18844 * t4208;
  t18866 = t4626 * t2646;
  t18869 = -t18839 + 0.6e1 * t18833 * t1187 - 0.3e1 * t18830 * t4590 - 0.3e1 * t18845 * t361 - 0.6e1 * t2633 * t18848 - t18851 + t18852 + t18853 - t494 * t18855 + 0.6e1 * t18857 * t357 - 0.12e2 * t18812 * t1169 - 0.2e1 / 0.3e1 * t18816 * t4620 + 0.6e1 * t18816 * t4623 + 0.3e1 * t2633 * t18866 - t2229 + t2210;
  t18870 = t18838 + t18869;
  t18871 = t139 * t18870;
  t18872 = t18871 * t168;
  t18875 = t15909 / 0.2e1;
  t18876 = t1013 * t2616;
  t18877 = t4305 * t18876;
  t18878 = t12424 * t18877;
  t18881 = t4553 * t2618;
  t18884 = t371 * t2617;
  t18885 = t4376 * t18884;
  t18887 = 0.3e1 / 0.4e1 * t15945;
  t18888 = t15948 / 0.2e1;
  t18889 = t18785 - t373 * t18788 / 0.4e1 + 0.3e1 / 0.2e1 * t1029 * t18793 - 0.3e1 / 0.4e1 * t1647 * t2668 + t373 * t18798 - t110 * t18872 / 0.4e1 - t18875 + t15913 - 0.3e1 / 0.2e1 * t373 * t18878 + t2609 * t18881 / 0.2e1 - t2609 * t18885 + t18887 + t18888;
  t18891 = t18728 * t4215;
  t18894 = t4719 * t18723;
  t18895 = t18894 * t4729;
  t18899 = t18723 * t4140;
  t18900 = t3135 * t18899;
  t18901 = t321 * t18900;
  t18908 = t18894 * t4721;
  t18911 = t18894 * t4725;
  t18914 = t18723 * t4160;
  t18915 = t649 * t18914;
  t18916 = t321 * t18915;
  t18926 = -0.3e1 * t373 * t18891 + 0.3e1 / 0.2e1 * t373 * t18895 + t2609 * t6950 - 0.3e1 / 0.2e1 * t18901 * t4193 - 0.3e1 / 0.2e1 * t6955 * t2659 + 0.3e1 / 0.2e1 * t1647 * t2671 + 0.3e1 / 0.2e1 * t4718 * t18908 - 0.3e1 * t1029 * t18911 + t18916 * t1015 - 0.2e1 * t18916 * t1020 - 0.11e2 / 0.18e2 * t18901 * t4151 + 0.23e2 / 0.36e2 * t18901 * t4156 - t18901 * t4707 / 0.2e1;
  t18929 = t15993 / 0.4e1;
  t18930 = t16103 / 0.4e1;
  t18931 = 0.3e1 / 0.2e1 * t16114;
  t18932 = 0.3e1 / 0.2e1 * t16119;
  t18933 = 0.3e1 / 0.2e1 * t16127;
  t18948 = 0.7e1 / 0.3e1 * t18901 * t4200 - t18929 - t18930 - t18931 - t18932 + t18933 + 0.3e1 / 0.4e1 * t12474 * t505 - t490 * t12469 / 0.4e1 - t2609 * t7021 / 0.4e1 - 0.5e1 / 0.36e2 * t18901 * t4231 - t2609 * t6946 / 0.2e1 + t2604 * t1642 / 0.2e1 + t18916 * t1010 / 0.2e1;
  t18951 = my_piecewise3(t100, 0, t18784 + t18889 + t18926 + t18948);
  tv3lapl33 = t3 * t18951;

  if(out->v3lapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 3] += tv3lapl33;

  t18962 = t2577 * t544;
  t18966 = t95 * t12232;
  t18967 = t5175 * t18966;
  t18970 = t94 * t2526;
  t18971 = t837 * t18970;
  t18972 = t843 * t18971;
  t18977 = t660 * t2526;
  t18978 = t659 * t18977;
  t18979 = t7423 * t18978;
  t18983 = t219 * t221 * t2526;
  t18984 = t7419 * t18983;
  t18987 = t1797 * t18498;
  t18992 = t7251 * t18967 / 0.2e1 - t7187 * t18972 / 0.2e1 - t515 * t18504 / 0.6e1 + 0.3e1 * t679 * t18979 + 0.3e1 / 0.2e1 * t246 * t18984 + t246 * t18987 / 0.2e1 + t2529 * t1807 / 0.6e1 - t16163 + t16165 + t16622 - t16623;
  t18994 = t3273 * t18966;
  t19002 = t7213 * t2542;
  t19003 = t836 * t19002;
  t19006 = -t16624 + t16625 - t16171 - t7254 * t18994 / 0.3e1 - t1516 * t2734 - t1516 * t2737 / 0.2e1 - t1770 * t2593 / 0.4e1 + t16191 + t16199 - t16203 + t466 * t19003 / 0.12e2;
  t19007 = t4808 * t18971;
  t19014 = t6119 * t2676;
  t19015 = t1254 * t19014;
  t19018 = t843 * t19014;
  t19021 = t1261 * t18971;
  t19024 = t1261 * t19014;
  t19027 = -0.5e1 / 0.36e2 * t7196 * t19007 + t515 * t18620 / 0.6e1 + t515 * t18581 / 0.12e2 - t1779 * t19015 / 0.3e1 + t1815 * t19018 / 0.3e1 + t7243 * t19021 / 0.2e1 - t1779 * t19024 / 0.6e1 + t16706 + t15675 - t15680 - t15683;
  t19032 = t1514 * t2676;
  t19033 = t1261 * t19032;
  t19042 = t1797 * t18585;
  t19045 = t677 * t18970;
  t19046 = t4808 * t19045;
  t19049 = t1254 * t18971;
  t19051 = t244 * t18970;
  t19052 = t1261 * t19051;
  t19056 = t4851 * t18971;
  t19059 = t4808 * t19051;
  t19062 = t3139 * t18977;
  t19063 = t7199 * t19062;
  t19070 = t1805 * t2557;
  t19071 = t19070 * t684;
  t19074 = t19070 * t690;
  t19077 = t3144 * t2526;
  t19078 = t3139 * t19077;
  t19079 = t7199 * t19078;
  t19082 = t3124 * t2526;
  t19083 = t3139 * t19082;
  t19084 = t7199 * t19083;
  t19088 = t659 * t665 * t2526;
  t19089 = t7423 * t19088;
  t19092 = t4867 * t18971;
  t19095 = -0.11e2 / 0.18e2 * t7196 * t19056 + 0.23e2 / 0.36e2 * t7196 * t19059 + 0.3e1 / 0.2e1 * t246 * t19063 - t2534 * t7487 / 0.6e1 + t2534 * t7491 / 0.3e1 - t679 * t19071 / 0.2e1 + t246 * t19074 / 0.2e1 + 0.3e1 / 0.2e1 * t3167 * t19079 - 0.3e1 * t679 * t19084 - 0.3e1 * t246 * t19089 - t7196 * t19092 / 0.2e1;
  t19097 = t4851 * t19051;
  t19101 = t1805 * t2553 * t597;
  t19104 = t3556 * t12232;
  t19105 = t1876 * t19104;
  t19108 = t670 * t12232;
  t19109 = t4877 * t19108;
  t19111 = t4877 * t18966;
  t19114 = t1591 * t12938;
  t19117 = t788 * t12232;
  t19118 = t1872 * t19117;
  t19120 = 0.7e1 / 0.3e1 * t7196 * t19097 - t18626 - t246 * t19101 / 0.2e1 - 0.3e1 / 0.2e1 * t4772 * t19105 - t7251 * t19109 + t16273 - t16280 - t16283 + t7251 * t19111 / 0.4e1 + 0.3e1 / 0.2e1 * t4983 * t19114 + t4772 * t19118;
  t19121 = t543 * t2541;
  t19122 = t253 * t19121;
  t19123 = t3273 * t19122;
  t19126 = t12753 * t2592;
  t19143 = t63 * t2526;
  t19144 = t229 * t19143;
  t19148 = t13080 * t2541;
  t19149 = t233 * t19148;
  t19152 = t802 * t19148;
  t19155 = t60 * t2526;
  t19156 = t229 * t19155;
  t19159 = t689 * t19155;
  t19162 = t3130 * t19155;
  t19165 = 0.2e1 * t519 * t18631 - t519 * t18637 - t519 * t18675 + 0.6e1 * t7690 * t19144 + 0.4e1 * t7655 * t19149 + t7651 * t19152 - 0.3e1 * t7690 * t19156 + 0.6e1 * t7680 * t19159 - 0.3e1 * t7686 * t19162 - t16305 - t16309 + t16318 + t16336 + t16337 + t16808 - t16813 - t16814 + t16849 - t18629;
  t19168 = t3125 * t19155;
  t19171 = t683 * t19155;
  t19174 = t3168 * t19155;
  t19177 = t3125 * t19143;
  t19180 = t3130 * t19143;
  t19183 = t689 * t19143;
  t19186 = t2571 * t463;
  t19187 = t3556 * t19186;
  t19190 = t3168 * t19143;
  t19193 = t3130 * t19186;
  t19196 = t788 * t19186;
  t19199 = t683 * t19143;
  t19202 = t815 * t19148;
  t19205 = -t16340 + t519 * t18680 / 0.2e1 + 0.1e2 / 0.3e1 * t7686 * t19168 - 0.4e1 * t7680 * t19171 + t7686 * t19174 / 0.18e2 + t16862 - t16864 + t16865 - t2138 - 0.2e1 / 0.3e1 * t7686 * t19177 + 0.6e1 * t7686 * t19180 - 0.12e2 * t7680 * t19183 + 0.3e1 * t1876 * t19187 - t7686 * t19190 / 0.9e1 - 0.2e1 * t1876 * t19193 - 0.2e1 * t1872 * t19196 + 0.2e1 * t7680 * t19199 - 0.6e1 * t7651 * t19202 + t2119;
  t19206 = t19165 + t19205;
  t19207 = t59 * t19206;
  t19208 = t19207 * t95;
  t19211 = t6451 * t19123 / 0.12e2 - t3266 * t19126 / 0.4e1 - t16891 + t18628 + t2534 * t7582 / 0.3e1 - t7587 * t2584 / 0.2e1 + t1770 * t2596 / 0.2e1 - t2534 * t7595 / 0.6e1 - t1770 * t2588 / 0.2e1 + t2529 * t1765 / 0.6e1 - t30 * t19208 / 0.4e1;
  t19215 = my_piecewise3(t2, 0, -t246 * t19042 / 0.4e1 - 0.3e1 / 0.2e1 * t7196 * t19046 + t7243 * t19049 - 0.2e1 * t7243 * t19052 - t6411 * t2729 + t1516 * t2742 + 0.2e1 / 0.3e1 * t1779 * t19033 - t466 * t12910 / 0.6e1 - t2534 * t7516 / 0.12e2 + t1516 * t2751 / 0.2e1 + t11843 * t530 / 0.4e1 - t2534 * t7532 / 0.12e2 + t13203 * t481 / 0.2e1 - t515 * t11838 / 0.12e2 - t466 * t13198 / 0.6e1 - t30 * t18962 / 0.4e1 + t19027 + t19211 + t19095 + t18992 + t16144 + t19120 - t16134 + t19006 + t2160 - t2089);
  tv3lapl2tau0 = t3 * t19215;

  if(out->v3lapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 0] += tv3lapl2tau0;

  tv3lapl2tau1 = 0.e0;

  if(out->v3lapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 1] += tv3lapl2tau1;

  tv3lapl2tau2 = 0.e0;

  if(out->v3lapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 2] += tv3lapl2tau2;

  tv3lapl2tau3 = 0.e0;

  if(out->v3lapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 3] += tv3lapl2tau3;

  tv3lapl2tau4 = 0.e0;

  if(out->v3lapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 4] += tv3lapl2tau4;

  t19226 = t6755 * t2756;
  t19227 = t1423 * t19226;
  t19230 = t8262 * t2617;
  t19231 = t1094 * t19230;
  t19240 = t140 * t2601;
  t19241 = t1033 * t19240;
  t19244 = t4609 * t19240;
  t19247 = t4619 * t19240;
  t19253 = t1038 * t19240;
  t19256 = t4572 * t19240;
  t19259 = t356 * t19240;
  t19262 = t12560 * t487;
  t19263 = t1186 * t19262;
  t19266 = t1173 * t19262;
  t19268 = t360 * t19262;
  t19271 = -0.4e1 * t8460 * t19241 + t8438 * t19244 / 0.18e2 + 0.1e2 / 0.3e1 * t8438 * t19247 + t559 * t18805 / 0.2e1 - t559 * t18855 + 0.6e1 * t8460 * t19253 - 0.3e1 * t8438 * t19256 - 0.3e1 * t8443 * t19259 - 0.6e1 * t8508 * t19263 - t16527 + t16546 - t16551 + t8508 * t19266 - t17089 - t17090 + t17091 + 0.4e1 * t8511 * t19268 + t17098 - t18839;
  t19272 = t143 * t2601;
  t19273 = t1038 * t19272;
  t19276 = t4619 * t19272;
  t19279 = t4572 * t19272;
  t19282 = t2646 * t487;
  t19283 = t4626 * t19282;
  t19287 = t4572 * t19282;
  t19290 = t1033 * t19272;
  t19293 = t4609 * t19272;
  t19298 = t356 * t19272;
  t19301 = t1165 * t19282;
  t19304 = -t16558 + t16560 + t16561 - 0.12e2 * t8460 * t19273 - 0.2e1 / 0.3e1 * t8438 * t19276 + 0.6e1 * t8438 * t19279 + 0.3e1 * t2060 * t19283 - t559 * t18824 - 0.2e1 * t2060 * t19287 - t17145 + t17147 + 0.2e1 * t8460 * t19290 - t8438 * t19293 / 0.9e1 + 0.2e1 * t559 * t18820 + 0.6e1 * t8443 * t19298 - 0.2e1 * t2056 * t19301 + t17148 - t2229 + t2210;
  t19305 = t19271 + t19304;
  t19306 = t139 * t19305;
  t19307 = t19306 * t168;
  t19314 = t2040 * t18787;
  t19319 = t1008 * t2601;
  t19320 = t1007 * t19319;
  t19321 = t8196 * t19320;
  t19325 = t346 * t348 * t2601;
  t19326 = t8190 * t19325;
  t19329 = t2040 * t18774;
  t19332 = -t1956 * t2668 / 0.4e1 - t1647 * t2814 - t1647 * t2817 / 0.2e1 - t110 * t19307 / 0.4e1 - t2609 * t8150 / 0.12e2 + t1647 * t2831 / 0.2e1 - t373 * t19314 / 0.4e1 - t490 * t13580 / 0.6e1 + 0.3e1 * t1029 * t19321 + 0.3e1 / 0.2e1 * t373 * t19326 + t373 * t19329 / 0.2e1;
  t19339 = t1963 * t2628 * t1047;
  t19342 = t4148 * t19319;
  t19343 = t8172 * t19342;
  t19350 = t1963 * t2632;
  t19351 = t19350 * t1034;
  t19354 = t19350 * t1039;
  t19357 = t4149 * t2601;
  t19358 = t4148 * t19357;
  t19359 = t8172 * t19358;
  t19362 = t2604 * t1965 / 0.6e1 - t1956 * t2663 / 0.2e1 - t16419 - t18783 - t373 * t19339 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t19343 - t2609 * t8153 / 0.6e1 + t2609 * t8157 / 0.3e1 - t1029 * t19351 / 0.2e1 + t373 * t19354 / 0.2e1 - 0.3e1 * t1029 * t19359;
  t19364 = t1007 * t1013 * t2601;
  t19365 = t8196 * t19364;
  t19368 = t167 * t2601;
  t19369 = t1095 * t19368;
  t19370 = t5563 * t19369;
  t19373 = t371 * t19368;
  t19374 = t5733 * t19373;
  t19377 = t583 * t2616;
  t19378 = t380 * t19377;
  t19379 = t4687 * t19378;
  t19382 = t13663 * t2667;
  t19385 = t1720 * t13555;
  t19388 = t1165 * t12349;
  t19389 = t2056 * t19388;
  t19391 = -0.3e1 * t373 * t19365 - t8169 * t19370 / 0.2e1 + 0.7e1 / 0.3e1 * t8169 * t19374 + t6772 * t19379 / 0.12e2 - t4695 * t19382 / 0.4e1 + t16440 + t18785 + t16464 - t16467 + 0.3e1 / 0.2e1 * t5639 * t19385 + t5665 * t19389;
  t19394 = t1027 * t19368;
  t19395 = t5595 * t19394;
  t19398 = t168 * t12349;
  t19399 = t4687 * t19398;
  t19402 = t5691 * t19398;
  t19405 = t1101 * t19369;
  t19413 = t1645 * t2756;
  t19414 = t1430 * t19413;
  t19417 = t1430 * t19226;
  t19420 = t5595 * t19369;
  t19427 = t1101 * t19226;
  t19430 = t1430 * t19369;
  t19433 = t4626 * t12349;
  t19434 = t2060 * t19433;
  t19437 = t1647 * t2822 + 0.2e1 / 0.3e1 * t1981 * t19414 - t1981 * t19417 / 0.6e1 - 0.5e1 / 0.36e2 * t8169 * t19420 + t555 * t18740 / 0.6e1 + t555 * t18764 / 0.12e2 + t1974 * t19427 / 0.3e1 + t8091 * t19430 / 0.2e1 + t17073 + t17172 - 0.3e1 / 0.2e1 * t5665 * t19434;
  t19439 = t5674 * t19398;
  t19442 = t1018 * t12349;
  t19443 = t5691 * t19442;
  t19455 = t8063 * t19439 / 0.2e1 - t8063 * t19443 - t16506 + t16514 - t17178 + t13591 * t505 / 0.2e1 + t12474 * t570 / 0.4e1 - t2609 * t8309 / 0.12e2 - t555 * t12469 / 0.12e2 - t490 * t13616 / 0.6e1 - t17179;
  t19456 = t4154 * t2601;
  t19457 = t4148 * t19456;
  t19458 = t8172 * t19457;
  t19461 = t1423 * t19369;
  t19463 = t1430 * t19373;
  t19466 = t5733 * t19369;
  t19469 = t5595 * t19373;
  t19472 = t2652 * t584;
  t19475 = 0.3e1 / 0.2e1 * t4718 * t19458 + t8091 * t19461 - 0.2e1 * t8091 * t19463 - 0.11e2 / 0.18e2 * t8169 * t19466 + 0.23e2 / 0.36e2 * t8169 * t19469 - t110 * t19472 / 0.4e1 - t16593 - t16114 - t16119 + t16127 + t16605;
  t19479 = my_piecewise3(t100, 0, -t8145 * t19405 / 0.2e1 - t555 * t18780 / 0.6e1 - t6955 * t2809 - 0.3e1 / 0.2e1 * t8169 * t19395 - t8219 * t19399 / 0.3e1 + t8063 * t19402 / 0.4e1 - t2609 * t8271 / 0.6e1 + t2609 * t8275 / 0.3e1 - t8280 * t2659 / 0.2e1 + t1956 * t2671 / 0.2e1 + t2604 * t1951 / 0.6e1 - t1981 * t19227 / 0.3e1 + t490 * t19231 / 0.12e2 + t19332 - t16493 - t17070 + t17072 - t2180 + t19455 + t19475 + t19362 - t16473 + t16374 + t19391 + t19437 + t2251);
  tv3lapl2tau5 = t3 * t19479;

  if(out->v3lapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 5] += tv3lapl2tau5;

  t19480 = t4808 * t2677;
  t19487 = t7213 * t2676;
  t19488 = t843 * t19487;
  t19493 = t1261 * t19487;
  t19500 = -t2089 + t2160 - 0.5e1 / 0.36e2 * t13908 * t19480 - t13915 * t2678 / 0.2e1 - t2839 * t2544 / 0.6e1 + t1815 * t19488 / 0.3e1 + t515 * t19003 / 0.6e1 - t1779 * t19493 / 0.6e1 - t17872 + t16143 + t13894 * t2681 / 0.2e1 + t2844 * t18623 / 0.6e1;
  t19501 = t2851 * t463;
  t19502 = t670 * t19501;
  t19503 = t4877 * t19502;
  t19506 = t543 * t463;
  t19507 = t253 * t19506;
  t19508 = t4996 * t19507;
  t19511 = t3264 * t19506;
  t19512 = t4873 * t19511;
  t19517 = t13989 * t2741;
  t19520 = t3139 * t2727;
  t19521 = t14030 * t19520;
  t19524 = -t7251 * t19503 / 0.3e1 - t7251 * t19508 / 0.3e1 + 0.2e1 / 0.3e1 * t7251 * t19512 - t17902 + t17903 + t15613 - t15624 - t15634 + t15641 - t17904 - 0.2e1 / 0.3e1 * t2844 * t18608 - 0.3e1 * t246 * t19517 + 0.3e1 / 0.2e1 * t246 * t19521;
  t19548 = -t1516 * t2907 / 0.2e1 + t1516 * t2915 / 0.2e1 - t6411 * t2899 / 0.2e1 - t466 * t14006 / 0.12e2 + t14011 * t481 / 0.4e1 + t13203 * t530 / 0.2e1 + t2844 * t6424 / 0.3e1 - t2844 * t6233 / 0.12e2 - t2844 * t6402 / 0.6e1 - t515 * t13198 / 0.6e1 + t2839 * t1511 / 0.6e1 + t17954;
  t19550 = t3144 * t463;
  t19551 = t3139 * t19550;
  t19552 = t14030 * t19551;
  t19555 = t3124 * t463;
  t19556 = t3139 * t19555;
  t19557 = t14030 * t19556;
  t19563 = t4851 * t2677;
  t19566 = t4808 * t2691;
  t19569 = t4867 * t2677;
  t19572 = t4851 * t2691;
  t19575 = t6119 * t2852;
  t19576 = t836 * t19575;
  t19579 = t17955 - t17957 + t1770 * t2742 + 0.3e1 / 0.2e1 * t3167 * t19552 - 0.3e1 * t679 * t19557 + t13894 * t2686 - 0.2e1 * t13894 * t2692 - 0.11e2 / 0.18e2 * t13908 * t19563 + 0.23e2 / 0.36e2 * t13908 * t19566 - t13908 * t19569 / 0.2e1 + 0.7e1 / 0.3e1 * t13908 * t19572 + t17973 + t515 * t19576 / 0.12e2;
  t19598 = 0.2e1 / 0.3e1 * t11942 * t14160 + t15109 - 0.4e1 * t14166 * t2733 + 0.4e1 / 0.3e1 * t14169 * t2728 - 0.2e1 * t14172 * t2592 + 0.4e1 * t14169 * t2741 - t15121 + 0.4e1 * t14179 * t2733 + 0.2e1 * t521 * t2592 - 0.4e1 * t14184 * t2741;
  t19599 = t94 * t19598;
  t19600 = t837 * t19599;
  t19601 = t836 * t19600;
  t19606 = t14265 * t2733;
  t19609 = t14249 * t2592;
  t19614 = t95 * t19501;
  t19615 = t3273 * t19614;
  t19618 = t2851 * t2541;
  t19619 = t95 * t19618;
  t19620 = t8790 * t19619;
  t19623 = t4877 * t19614;
  t19626 = t14120 * t2728;
  t19628 = t14120 * t2741;
  t19630 = t1591 * t14054;
  t19633 = t3556 * t19501;
  t19634 = t1876 * t19633;
  t19637 = t515 * t19601 / 0.12e2 + t2844 * t18615 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t19606 + t246 * t19609 / 0.2e1 - t1516 * t2912 / 0.4e1 - t7254 * t19615 / 0.6e1 - t7248 * t19620 / 0.6e1 + t7251 * t19623 / 0.12e2 - t4993 * t19626 + t3266 * t19628 + t4983 * t19630 / 0.2e1 - t4772 * t19634 / 0.2e1;
  t19638 = t5175 * t19614;
  t19641 = t1254 * t19487;
  t19644 = t1768 * t2676;
  t19645 = t1261 * t19644;
  t19648 = t677 * t2676;
  t19649 = t4808 * t19648;
  t19653 = t7251 * t19638 / 0.6e1 + t15662 + t15676 - t15681 - t15684 - t1779 * t19641 / 0.3e1 + 0.2e1 / 0.3e1 * t1779 * t19645 - 0.3e1 / 0.2e1 * t13908 * t19649 - t7587 * t2729 - t16757 + t18044 - t16279 - t16282;
  t19660 = t14228 * t469 * t249;
  t19664 = t824 * t221 * t19598;
  t19665 = t1797 * t19664;
  t19668 = t13885 * t18611;
  t19670 = t2719 * t544;
  t19673 = t476 * t2933;
  t19676 = t788 * t19501;
  t19677 = t1872 * t19676;
  t19680 = t3562 * t19618;
  t19681 = t519 * t19680;
  t19684 = -t18053 - t515 * t12910 / 0.6e1 - t466 * t14230 / 0.12e2 + t246 * t19660 / 0.4e1 - t246 * t19665 / 0.4e1 - t246 * t19668 - t15734 - t30 * t19670 / 0.2e1 - t30 * t19673 / 0.4e1 + t16901 + t4772 * t19677 / 0.2e1 + t4772 * t19681 / 0.2e1;
  t19685 = t14062 * t2733;
  t19687 = t14065 * t2592;
  t19690 = t4762 * t19507;
  t19695 = t4873 * t19507;
  t19698 = t13989 * t2728;
  t19701 = t13885 * t18594;
  t19712 = t14357 * t463;
  t19713 = t802 * t19712;
  t19716 = t3168 * t2697;
  t19719 = -t18070 - t18071 - t16807 + t15762 - t15768 - t15774 + t18089 + t18114 + t16850 + t7651 * t19713 / 0.3e1 - t14328 * t19716 / 0.9e1;
  t19720 = t3130 * t2697;
  t19723 = t2883 * t463;
  t19724 = t3556 * t19723;
  t19728 = t3125 * t2697;
  t19731 = t3130 * t19723;
  t19736 = t788 * t19723;
  t19746 = t63 * t19598;
  t19747 = t788 * t19746;
  t19749 = 0.6e1 * t14328 * t19720 + t1876 * t19724 - 0.12e2 * t14318 * t2705 - 0.2e1 / 0.3e1 * t14328 * t19728 - 0.2e1 / 0.3e1 * t1876 * t19731 - 0.4e1 * t2870 * t18671 - t1872 * t19736 + 0.6e1 * t14313 * t2698 + 0.2e1 * t2866 * t2562 + 0.2e1 * t14318 * t2701 + 0.2e1 / 0.3e1 * t2870 * t18634 - t519 * t19747;
  t19751 = t2883 * t2541;
  t19752 = t3562 * t19751;
  t19757 = t3168 * t2708;
  t19760 = t3125 * t2708;
  t19765 = t815 * t19712;
  t19768 = t233 * t19712;
  t19771 = -t519 * t19752 - 0.3e1 * t14313 * t2712 - t2866 * t2572 + t14328 * t19757 / 0.18e2 + 0.1e2 / 0.3e1 * t14328 * t19760 - 0.4e1 / 0.3e1 * t2870 * t18683 + t18135 + t18136 - t18137 - 0.2e1 * t7651 * t19765 + 0.2e1 * t7655 * t19768;
  t19772 = t14357 * t2541;
  t19773 = t233 * t19772;
  t19778 = t3130 * t2708;
  t19783 = t60 * t19598;
  t19784 = t788 * t19783;
  t19789 = 0.2e1 * t11138 * t19773 + t15802 - t15811 + t15813 - t18149 - t2138 + 0.6e1 * t14318 * t2716 - 0.3e1 * t14328 * t19778 - 0.4e1 * t14318 * t2709 + t519 * t19784 / 0.2e1 + 0.2e1 * t2870 * t18686 + t2119;
  t19791 = t19719 + t19749 + t19771 + t19789;
  t19792 = t59 * t19791;
  t19793 = t19792 * t95;
  t19796 = -t3266 * t19685 - t3266 * t19687 / 0.2e1 + t7254 * t19690 / 0.3e1 + t7248 * t19123 / 0.6e1 - t7251 * t19695 / 0.6e1 + 0.3e1 * t679 * t19698 + t679 * t19701 + t1516 * t2903 / 0.2e1 - t1770 * t2734 - t1770 * t2737 / 0.2e1 - t466 * t14400 / 0.6e1 + t1770 * t2751 / 0.2e1 - t30 * t19793 / 0.4e1;
  t19800 = my_piecewise3(t2, 0, t19500 + t19524 + t19548 + t19579 + t19637 + t19653 + t19684 + t19796);
  tv3lapltau20 = t3 * t19800;

  if(out->v3lapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 0] += tv3lapltau20;

  tv3lapltau21 = 0.e0;

  if(out->v3lapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 1] += tv3lapltau21;

  tv3lapltau22 = 0.e0;

  if(out->v3lapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 2] += tv3lapltau22;

  tv3lapltau23 = 0.e0;

  if(out->v3lapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 3] += tv3lapltau23;

  tv3lapltau24 = 0.e0;

  if(out->v3lapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 4] += tv3lapltau24;

  t19811 = t14807 * t2808;
  t19816 = t14704 * t493 * t376;
  t19819 = -t2180 + t2251 + t18182 - t8280 * t2809 + t1956 * t2822 + t14831 * t2761 / 0.2e1 - t1956 * t2817 / 0.2e1 - t490 * t14793 / 0.6e1 + t1956 * t2831 / 0.2e1 + 0.3e1 * t1029 * t19811 - t1956 * t2814 + t373 * t19816 / 0.4e1;
  t19820 = t14857 * t18877;
  t19827 = t5733 * t2757;
  t19836 = t14857 * t18792;
  t19840 = t4154 * t487;
  t19841 = t4148 * t19840;
  t19842 = t14876 * t19841;
  t19845 = -t373 * t19820 - t490 * t14706 / 0.12e2 + t14831 * t2766 - 0.2e1 * t14831 * t2772 - 0.11e2 / 0.18e2 * t14711 * t19827 - t1647 * t3010 / 0.2e1 - t18237 - t16994 - t15036 * t2758 / 0.2e1 - t2942 * t2619 / 0.6e1 + t1029 * t19836 + t1647 * t3006 / 0.2e1 + 0.3e1 / 0.2e1 * t4718 * t19842;
  t19865 = 0.2e1 / 0.3e1 * t12395 * t14721 + t15340 - 0.4e1 * t14727 * t2813 + 0.4e1 / 0.3e1 * t14730 * t2808 - 0.2e1 * t14733 * t2667 + 0.4e1 * t14730 * t2821 - t15352 + 0.4e1 * t14740 * t2813 + 0.2e1 * t561 * t2667 - 0.4e1 * t14745 * t2821;
  t19867 = t1076 * t348 * t19865;
  t19868 = t2040 * t19867;
  t19871 = t14869 * t2813;
  t19874 = t14685 * t2667;
  t19877 = t2954 * t487;
  t19878 = t1018 * t19877;
  t19879 = t5691 * t19878;
  t19884 = t18241 + t17003 - t18255 + t16463 - t16466 - t1647 * t3015 / 0.4e1 - t373 * t19868 / 0.4e1 + 0.3e1 / 0.2e1 * t373 * t19871 + t373 * t19874 / 0.2e1 - t8063 * t19879 / 0.3e1 + t18322 + t2947 * t18881 / 0.3e1;
  t19887 = t5595 * t2757;
  t19890 = t6755 * t2955;
  t19891 = t1094 * t19890;
  t19894 = t167 * t19865;
  t19895 = t1095 * t19894;
  t19896 = t1094 * t19895;
  t19899 = t4626 * t19877;
  t19900 = t2060 * t19899;
  t19911 = t2947 * t18767 / 0.6e1 - 0.5e1 / 0.36e2 * t14711 * t19887 + t555 * t19891 / 0.12e2 + t555 * t19896 / 0.12e2 - t18339 - t16492 - t15910 + t15914 - t5665 * t19900 / 0.2e1 + t1647 * t3018 / 0.2e1 - t6955 * t3002 / 0.2e1 - t490 * t14661 / 0.12e2 + t14666 * t505 / 0.4e1;
  t19926 = t583 * t487;
  t19927 = t380 * t19926;
  t19928 = t5679 * t19927;
  t19931 = t5595 * t2771;
  t19934 = t4693 * t19926;
  t19935 = t5695 * t19934;
  t19938 = t13591 * t570 / 0.2e1 - t555 * t13616 / 0.6e1 + t2947 * t6950 / 0.3e1 - t2947 * t6946 / 0.6e1 + t2942 * t1642 / 0.6e1 - t2947 * t7021 / 0.12e2 - t8063 * t19928 / 0.3e1 + t15946 + t15949 + 0.23e2 / 0.36e2 * t14711 * t19931 + 0.2e1 / 0.3e1 * t8063 * t19935 - t18340;
  t19939 = t2799 * t584;
  t19942 = t500 * t3036;
  t19945 = t4149 * t487;
  t19946 = t4148 * t19945;
  t19947 = t14876 * t19946;
  t19950 = t14807 * t2821;
  t19953 = t4148 * t2807;
  t19954 = t14876 * t19953;
  t19957 = t5563 * t2757;
  t19962 = t8262 * t2756;
  t19963 = t1423 * t19962;
  t19966 = t1954 * t2756;
  t19967 = t1430 * t19966;
  t19972 = t6005 * t19927;
  t19975 = t14608 * t2667;
  t19978 = t18341 - t110 * t19939 / 0.2e1 - t110 * t19942 / 0.4e1 - 0.3e1 * t1029 * t19947 - 0.3e1 * t373 * t19950 + 0.3e1 / 0.2e1 * t373 * t19954 - t14711 * t19957 / 0.2e1 + 0.7e1 / 0.3e1 * t14711 * t6915 - t1981 * t19963 / 0.3e1 + 0.2e1 / 0.3e1 * t1981 * t19967 - 0.3e1 / 0.2e1 * t14711 * t6781 + t8219 * t19972 / 0.3e1 - t4695 * t19975 / 0.2e1;
  t19980 = t14605 * t2813;
  t19982 = t1165 * t19877;
  t19983 = t2056 * t19982;
  t19986 = t2954 * t2616;
  t19987 = t4575 * t19986;
  t19988 = t559 * t19987;
  t19991 = t14969 * t487;
  t19992 = t1186 * t19991;
  t19995 = t360 * t19991;
  t19998 = t14969 * t2616;
  t19999 = t360 * t19998;
  t20002 = t1173 * t19991;
  t20005 = -t18369 + t18370 - t18371 - t18380 - 0.2e1 * t8508 * t19992 + 0.2e1 * t8511 * t19995 + 0.2e1 * t11656 * t19999 + t8508 * t20002 / 0.3e1 - t16030 - t16036 + t16046;
  t20006 = t143 * t19865;
  t20007 = t1165 * t20006;
  t20009 = t2788 * t2954;
  t20010 = t4572 * t20009;
  t20023 = t4626 * t20009;
  t20025 = t4619 * t2777;
  t20028 = t4572 * t2777;
  t20033 = t17099 - t559 * t20007 - 0.2e1 / 0.3e1 * t2060 * t20010 - 0.4e1 * t2973 * t18848 + 0.6e1 * t14955 * t2778 + 0.2e1 * t2969 * t2637 + 0.2e1 * t14928 * t2781 + 0.2e1 / 0.3e1 * t2973 * t18828 + t2060 * t20023 - 0.2e1 / 0.3e1 * t14932 * t20025 + 0.6e1 * t14932 * t20028 - 0.12e2 * t14928 * t2785;
  t20035 = t1165 * t20009;
  t20037 = t2986 * t2616;
  t20038 = t4575 * t20037;
  t20040 = t4609 * t2777;
  t20044 = t140 * t19865;
  t20045 = t1165 * t20044;
  t20050 = -t2056 * t20035 - t559 * t20038 - t14932 * t20040 / 0.9e1 - t2969 * t2647 + t559 * t20045 / 0.2e1 + 0.2e1 * t2973 * t18866 + t18436 - t17144 - t18437 + t18438 + t18439;
  t20053 = t4572 * t2788;
  t20058 = t4609 * t2788;
  t20061 = t4619 * t2788;
  t20068 = -t16069 + t16075 + t16083 + 0.6e1 * t14928 * t2796 - 0.3e1 * t14932 * t20053 - 0.4e1 * t14928 * t2789 + t14932 * t20058 / 0.18e2 + 0.1e2 / 0.3e1 * t14932 * t20061 - 0.4e1 / 0.3e1 * t2973 * t18808 - 0.3e1 * t14955 * t2792 - t2229 + t2210;
  t20070 = t20005 + t20033 + t20050 + t20068;
  t20071 = t139 * t20070;
  t20072 = t20071 * t168;
  t20079 = t1101 * t19962;
  t20084 = t1430 * t19962;
  t20089 = -t4695 * t19980 + t5665 * t19983 / 0.2e1 + t5665 * t19988 / 0.2e1 - t110 * t20072 / 0.4e1 - t15994 - t16104 - 0.2e1 / 0.3e1 * t2947 * t18885 - t555 * t13580 / 0.6e1 + t1974 * t20079 / 0.3e1 + t555 * t19231 / 0.6e1 - t1981 * t20084 / 0.6e1 + t8214 * t19379 / 0.6e1;
  t20090 = t5695 * t19927;
  t20093 = t168 * t19986;
  t20094 = t9444 * t20093;
  t20097 = t168 * t19877;
  t20098 = t5691 * t20097;
  t20101 = t4687 * t20097;
  t20104 = t5674 * t20097;
  t20107 = t14814 * t2821;
  t20109 = t14814 * t2808;
  t20111 = t1720 * t14818;
  t20114 = -t8063 * t20090 / 0.6e1 - t8214 * t20094 / 0.6e1 + t8063 * t20098 / 0.12e2 - t8219 * t20101 / 0.6e1 + t8063 * t20104 / 0.6e1 + t4695 * t20107 - t5649 * t20109 + t5639 * t20111 / 0.2e1 - t18481 - t16115 - t16120 + t16128 + t18488;
  t20118 = my_piecewise3(t100, 0, t19819 + t19845 + t19884 + t19911 + t19938 + t19978 + t20089 + t20114);
  tv3lapltau25 = t3 * t20118;

  if(out->v3lapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 5] += tv3lapltau25;

  t20119 = t16133 / 0.4e1;
  t20120 = 0.3e1 / 0.2e1 * t16143;
  t20121 = t2836 * t512;
  t20122 = t193 * t20121;
  t20123 = t20122 * t3259;
  t20133 = t3428 * t2836;
  t20146 = 0.2e1 / 0.3e1 * t2878 * t661 + t15109 - 0.4e1 * t789 * t2836 * t597 + 0.4e1 / 0.3e1 * t20133 * t684 - 0.2e1 * t14172 * t2911 + 0.4e1 * t20133 * t690 - t15121 + 0.4e1 * t2881 * t222 + 0.2e1 * t521 * t2911 - 0.4e1 * t2878 * t666;
  t20147 = t60 * t20146;
  t20148 = t788 * t20147;
  t20151 = t3130 * t2883;
  t20154 = t648 * t20121;
  t20155 = t20154 * t3077;
  t20158 = t69 * t20121;
  t20159 = t20158 * t3121;
  t20162 = t2851 * t2851;
  t20163 = t60 * t20162;
  t20164 = t3562 * t20163;
  t20166 = 0.6e1 * t16304;
  t20167 = t20122 * t651;
  t20170 = t20154 * t3076;
  t20173 = t20158 * t3118;
  t20182 = 0.6e1 * t16317;
  t20183 = 0.6e1 * t20123 * t230 - 0.2e1 * t2866 * t2884 + t519 * t20148 / 0.2e1 - 0.2e1 * t2870 * t20151 + 0.2e1 * t20155 * t785 - t20159 * t3628 / 0.9e1 - t519 * t20164 - t20166 - t16308 - 0.3e1 * t20167 * t234 - 0.4e1 * t20170 * t803 + t20173 * t3591 / 0.18e2 + 0.1e2 / 0.3e1 * t20173 * t3581 - 0.3e1 * t20173 * t3573 + 0.6e1 * t20170 * t816 + t20182;
  t20184 = t3130 * t2873;
  t20186 = t63 * t20146;
  t20187 = t788 * t20186;
  t20191 = t63 * t20162;
  t20192 = t3562 * t20191;
  t20195 = t3556 * t2873;
  t20198 = 0.2e1 * t16335;
  t20199 = 0.3e1 * t16337;
  t20200 = 0.3e1 * t16340;
  t20203 = t3556 * t2883;
  t20210 = 0.2e1 * t18149;
  t20211 = t2870 * t20184 - t519 * t20187 + 0.4e1 * t2866 * t2874 + 0.2e1 * t519 * t20192 - 0.6e1 * t2870 * t20195 + t18113 + t20198 + t20199 - t20200 + 0.6e1 * t20159 * t3596 + 0.3e1 * t2870 * t20203 - 0.12e2 * t20155 * t798 - 0.2e1 / 0.3e1 * t20159 * t3613 - t20210 - t2138 + t2119;
  t20212 = t20183 + t20211;
  t20213 = t59 * t20212;
  t20214 = t20213 * t95;
  t20217 = t7213 * t2852;
  t20218 = t836 * t20217;
  t20221 = t94 * t20146;
  t20222 = t837 * t20221;
  t20223 = t836 * t20222;
  t20228 = t3520 * t2853;
  t20235 = t16162 / 0.2e1;
  t20236 = t16170 / 0.4e1;
  t20237 = t14249 * t2911;
  t20239 = t660 * t2851;
  t20240 = t3360 * t20239;
  t20241 = t13885 * t20240;
  t20244 = t1805 * t2869;
  t20245 = t20244 * t684;
  t20248 = -t2089 + t2160 - t20119 + t20120 - t30 * t20214 / 0.4e1 + t515 * t20218 / 0.4e1 + t515 * t20223 / 0.12e2 - t2844 * t7516 / 0.4e1 + t2844 * t20228 / 0.4e1 + t2839 * t1807 / 0.2e1 - t2839 * t2854 / 0.3e1 - t20235 + t16164 - t20236 + t246 * t20237 + 0.3e1 / 0.2e1 * t679 * t20241 - 0.3e1 / 0.2e1 * t679 * t20245;
  t20250 = t14228 * t518 * t249;
  t20265 = t824 * t221 * t20146;
  t20266 = t1797 * t20265;
  t20269 = t665 * t2851;
  t20270 = t3360 * t20269;
  t20271 = t13885 * t20270;
  t20274 = t3690 * t2853;
  t20277 = t244 * t2852;
  t20278 = t3520 * t20277;
  t20280 = 0.3e1 / 0.4e1 * t16190;
  t20281 = 0.3e1 / 0.4e1 * t16198;
  t20282 = t16202 / 0.4e1;
  t20283 = t20121 * t3076;
  t20284 = t649 * t20283;
  t20285 = t191 * t20284;
  t20292 = t247 * t20121 * t3260;
  t20295 = 0.3e1 / 0.4e1 * t246 * t20250 + 0.3e1 / 0.2e1 * t1770 * t2903 - 0.3e1 / 0.4e1 * t1770 * t2912 + t2844 * t7491 - t515 * t14230 / 0.4e1 - t515 * t14400 / 0.2e1 - t2844 * t7487 / 0.2e1 - t246 * t20266 / 0.4e1 - 0.3e1 / 0.2e1 * t246 * t20271 + t2844 * t20274 / 0.2e1 - t2844 * t20278 + t20280 + t20281 - t20282 + t20285 * t667 - 0.2e1 * t20285 * t672 + 0.3e1 / 0.4e1 * t14011 * t530 + 0.3e1 / 0.2e1 * t246 * t20292;
  t20297 = t680 * t20121;
  t20298 = t20297 * t3078;
  t20303 = t20121 * t651;
  t20304 = t194 * t20303;
  t20305 = t191 * t20304;
  t20316 = t17972 / 0.6e1;
  t20317 = t20121 * t3118;
  t20318 = t3135 * t20317;
  t20319 = t191 * t20318;
  t20324 = t3115 * t20121;
  t20325 = t20324 * t3131;
  t20332 = t20324 * t3169;
  t20335 = t20324 * t3126;
  t20338 = t20297 * t3082;
  t20343 = 0.3e1 * t679 * t20298 - 0.3e1 / 0.2e1 * t1770 * t2907 - t20305 * t223 / 0.2e1 - t2844 * t7595 / 0.2e1 - t515 * t14006 / 0.4e1 + t20285 * t662 / 0.2e1 - t2844 * t7532 / 0.4e1 + t20316 - 0.5e1 / 0.36e2 * t20319 * t3178 + t2839 * t1765 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t20325 - 0.3e1 / 0.2e1 * t7587 * t2899 + 0.3e1 / 0.2e1 * t1770 * t2915 + 0.3e1 / 0.2e1 * t3167 * t20332 - 0.3e1 * t679 * t20335 - 0.3e1 * t246 * t20338 - 0.11e2 / 0.18e2 * t20319 * t3141;
  t20354 = t3459 * t221 * t20162;
  t20355 = t1797 * t20354;
  t20359 = t1805 * t2865 * t597;
  t20362 = t94 * t20162;
  t20363 = t837 * t20362;
  t20364 = t3460 * t20363;
  t20367 = t20244 * t690;
  t20370 = t16272 / 0.2e1;
  t20371 = 0.3e1 / 0.2e1 * t16279;
  t20372 = 0.3e1 / 0.2e1 * t16282;
  t20373 = t525 * t2933;
  t20376 = 0.1e1 / t698;
  t20389 = -0.18e3 * t3314 * t20376 - 0.45e3 * t3321 * t20376 - 0.21e3 * t3326 * t20376 + 0.102e3 * t3331 * t20376 + 0.156e3 * t3334 * t20376 + 0.6e1 * t20376 * t83;
  t20390 = t253 * t20389;
  t20391 = t65 * t20390;
  t20394 = t2889 * t544;
  t20397 = t18052 / 0.2e1;
  t20398 = t543 * t2851;
  t20399 = t253 * t20398;
  t20400 = t3273 * t20399;
  t20403 = t14065 * t2911;
  t20406 = 0.23e2 / 0.36e2 * t20319 * t3146 - t20319 * t3150 / 0.2e1 + 0.7e1 / 0.3e1 * t20319 * t3153 + t2844 * t7582 - 0.3e1 / 0.2e1 * t20319 * t3158 + t246 * t20355 / 0.2e1 - 0.3e1 / 0.2e1 * t246 * t20359 - t515 * t20364 / 0.6e1 + 0.3e1 / 0.2e1 * t246 * t20367 + t20370 - t20371 - t20372 - 0.3e1 / 0.4e1 * t30 * t20373 - t30 * t20391 / 0.4e1 - 0.3e1 / 0.4e1 * t30 * t20394 - t20397 + t7248 * t20400 / 0.4e1 - 0.3e1 / 0.4e1 * t3266 * t20403;
  t20409 = my_piecewise3(t2, 0, t20248 + t20295 + t20343 + t20406);
  tv3tau30 = t3 * t20409;

  if(out->v3tau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 0] += tv3tau30;

  tv3tau31 = 0.e0;

  if(out->v3tau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 1] += tv3tau31;

  tv3tau32 = 0.e0;

  if(out->v3tau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 2] += tv3tau32;

  t20410 = t16373 / 0.2e1;
  t20413 = t2939 * t552;
  t20414 = t20413 * t4160;
  t20415 = t649 * t20414;
  t20416 = t321 * t20415;
  t20420 = t20413 * t4140;
  t20421 = t3135 * t20420;
  t20422 = t321 * t20421;
  t20427 = t20413 * t999;
  t20428 = t194 * t20427;
  t20429 = t321 * t20428;
  t20449 = t4388 * t2939;
  t20462 = 0.2e1 / 0.3e1 * t2981 * t1009 + t15340 - 0.4e1 * t1077 * t2939 * t1047 + 0.4e1 / 0.3e1 * t20449 * t1034 - 0.2e1 * t14733 * t3014 + 0.4e1 * t20449 * t1039 - t15352 + 0.4e1 * t2984 * t349 + 0.2e1 * t561 * t3014 - 0.4e1 * t2981 * t1014;
  t20463 = t140 * t20462;
  t20464 = t1165 * t20463;
  t20467 = t69 * t20413;
  t20468 = t20467 * t4607;
  t20471 = t4572 * t2986;
  t20474 = t648 * t20413;
  t20475 = t20474 * t4214;
  t20478 = t4626 * t2986;
  t20487 = t2954 * t2954;
  t20488 = t140 * t20487;
  t20489 = t4575 * t20488;
  t20491 = t193 * t20413;
  t20492 = t20491 * t4208;
  t20495 = t20467 * t4140;
  t20498 = t20474 * t4160;
  t20501 = t20491 * t999;
  t20508 = -0.2e1 * t2969 * t2987 + t559 * t20464 / 0.2e1 - t20468 * t4610 / 0.9e1 - 0.2e1 * t2973 * t20471 + 0.2e1 * t20475 * t1162 + 0.3e1 * t2973 * t20478 - 0.12e2 * t20475 * t1169 - 0.2e1 / 0.3e1 * t20468 * t4620 + 0.6e1 * t20468 * t4623 - t559 * t20489 + 0.6e1 * t20492 * t357 - 0.3e1 * t20495 * t4590 + 0.6e1 * t20498 * t1187 - 0.3e1 * t20501 * t361 + 0.1e2 / 0.3e1 * t20495 * t4600 - 0.4e1 * t20498 * t1174;
  t20511 = 0.6e1 * t16545;
  t20512 = 0.6e1 * t16550;
  t20513 = 0.2e1 * t18380;
  t20514 = t4572 * t2976;
  t20516 = t143 * t20462;
  t20517 = t1165 * t20516;
  t20521 = t143 * t20487;
  t20522 = t4575 * t20521;
  t20525 = t4626 * t2976;
  t20528 = 0.3e1 * t16558;
  t20529 = 0.2e1 * t16559;
  t20530 = 0.3e1 * t16561;
  t20531 = t20495 * t4587 / 0.18e2 - t16526 + t20511 - t20512 - t20513 + t2973 * t20514 - t559 * t20517 + 0.4e1 * t2969 * t2977 + 0.2e1 * t559 * t20522 - 0.6e1 * t2973 * t20525 + t18435 - t20528 + t20529 + t20530 - t2229 + t2210;
  t20532 = t20508 + t20531;
  t20533 = t139 * t20532;
  t20534 = t20533 * t168;
  t20538 = t4344 * t348 * t20487;
  t20539 = t2040 * t20538;
  t20542 = t16418 / 0.4e1;
  t20543 = -t2180 + t2251 + t20410 + 0.3e1 / 0.2e1 * t1956 * t3018 + t20416 * t1015 - 0.2e1 * t20416 * t1020 - 0.11e2 / 0.18e2 * t20422 * t4151 + 0.23e2 / 0.36e2 * t20422 * t4156 - t20429 * t350 / 0.2e1 - t555 * t14661 / 0.4e1 - t2947 * t8271 / 0.2e1 + t20416 * t1010 / 0.2e1 - t2947 * t8309 / 0.4e1 - 0.5e1 / 0.36e2 * t20422 * t4231 - t110 * t20534 / 0.4e1 + t373 * t20539 / 0.2e1 - t20542;
  t20546 = 0.3e1 / 0.4e1 * t16439;
  t20547 = t18254 / 0.2e1;
  t20550 = t4719 * t20413;
  t20551 = t20550 * t4721;
  t20554 = t20550 * t4725;
  t20557 = t1030 * t20413;
  t20558 = t20557 * t4215;
  t20561 = t20550 * t4729;
  t20576 = t374 * t20413 * t4209;
  t20579 = t20557 * t4219;
  t20582 = t167 * t20487;
  t20583 = t1095 * t20582;
  t20584 = t4354 * t20583;
  t20587 = 0.3e1 / 0.2e1 * t16463;
  t20588 = t2942 * t1965 / 0.2e1 + t20546 - t20547 - 0.3e1 / 0.2e1 * t1956 * t3010 + 0.3e1 / 0.2e1 * t4718 * t20551 - 0.3e1 * t1029 * t20554 - 0.3e1 * t373 * t20558 + 0.3e1 / 0.2e1 * t373 * t20561 - t20422 * t4707 / 0.2e1 + 0.7e1 / 0.3e1 * t20422 * t4200 + t2947 * t8275 - 0.3e1 / 0.2e1 * t20422 * t4193 - 0.3e1 / 0.2e1 * t8280 * t3002 + 0.3e1 / 0.4e1 * t14666 * t570 + 0.3e1 / 0.2e1 * t373 * t20576 + 0.3e1 * t1029 * t20579 - t555 * t20584 / 0.6e1 + t20587;
  t20590 = 0.3e1 / 0.2e1 * t16466;
  t20591 = t583 * t2954;
  t20592 = t380 * t20591;
  t20593 = t4687 * t20592;
  t20603 = t167 * t20462;
  t20604 = t1095 * t20603;
  t20605 = t1094 * t20604;
  t20610 = t8262 * t2955;
  t20611 = t1094 * t20610;
  t20614 = t4376 * t2956;
  t20620 = t1963 * t2968 * t1047;
  t20623 = t18321 / 0.6e1;
  t20624 = t1963 * t2972;
  t20625 = t20624 * t1034;
  t20629 = t14704 * t558 * t376;
  t20636 = -t20590 + t8214 * t20593 / 0.4e1 - t555 * t14706 / 0.4e1 + t2947 * t8157 - t555 * t14793 / 0.2e1 - t2947 * t8153 / 0.2e1 + t555 * t20605 / 0.12e2 - t2947 * t8150 / 0.4e1 + t555 * t20611 / 0.4e1 + t2947 * t20614 / 0.4e1 - t2942 * t2957 / 0.3e1 - 0.3e1 / 0.2e1 * t373 * t20620 + t20623 - 0.3e1 / 0.2e1 * t1029 * t20625 + 0.3e1 / 0.4e1 * t373 * t20629 - 0.3e1 / 0.4e1 * t1956 * t3015 + 0.3e1 / 0.2e1 * t1956 * t3006;
  t20637 = t1013 * t2954;
  t20638 = t4305 * t20637;
  t20639 = t14857 * t20638;
  t20642 = t20624 * t1039;
  t20645 = t4553 * t2956;
  t20648 = t371 * t2955;
  t20649 = t4376 * t20648;
  t20651 = t16472 / 0.4e1;
  t20652 = 0.3e1 / 0.2e1 * t16492;
  t20655 = t2992 * t584;
  t20658 = 0.1e1 / t1113;
  t20671 = 0.6e1 * t20658 * t156 - 0.45e3 * t4465 * t20658 - 0.21e3 * t4474 * t20658 + 0.102e3 * t4480 * t20658 + 0.156e3 * t4483 * t20658 - 0.18e3 * t4486 * t20658;
  t20672 = t380 * t20671;
  t20673 = t145 * t20672;
  t20676 = t565 * t3036;
  t20679 = t16505 / 0.2e1;
  t20680 = t14608 * t3014;
  t20684 = t1076 * t348 * t20462;
  t20685 = t2040 * t20684;
  t20688 = t14685 * t3014;
  t20690 = t1008 * t2954;
  t20691 = t4305 * t20690;
  t20692 = t14857 * t20691;
  t20695 = t16592 / 0.4e1;
  t20696 = 0.3e1 / 0.4e1 * t16604;
  t20697 = -0.3e1 / 0.2e1 * t373 * t20639 + 0.3e1 / 0.2e1 * t373 * t20642 + t2947 * t20645 / 0.2e1 - t2947 * t20649 - t20651 - t20652 + t2942 * t1951 / 0.2e1 - 0.3e1 / 0.4e1 * t110 * t20655 - t110 * t20673 / 0.4e1 - 0.3e1 / 0.4e1 * t110 * t20676 - t20679 + t16513 - 0.3e1 / 0.4e1 * t4695 * t20680 - t373 * t20685 / 0.4e1 + t373 * t20688 + 0.3e1 / 0.2e1 * t1029 * t20692 - t20695 + t20696;
  t20700 = my_piecewise3(t100, 0, t20543 + t20588 + t20636 + t20697);
  tv3tau33 = t3 * t20700;

  if(out->v3tau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 3] += tv3tau33;

}

#endif


#ifndef XC_DONT_COMPILE_LXC
GPU_DEVICE_FUNCTION static inline void
func_lxc_pol(const xc_func_type *p, size_t ip, const double *rho, const double *sigma, const double *lapl, const double *tau, xc_mgga_out_params *out)
{
  double t2, t3, t4, t7, t8, t11, t12, t13;
  double t15, t16, t17, t18, t19, t20, t22, t23;
  double t24, t26, t27, t28, t29, t30, t31, t32;
  double t34, t35, t37, t38, t40, t41, t43, t44;
  double t47, t49, t53, t54, t55, t56, t57, t59;
  double t60, t62, t63, t64, t65, t66, t67, t68;
  double t69, t70, t71, t73, t74, t75, t76, t77;
  double t79, t80, t81, t82, t83, t86, t87, t88;
  double t90, t94, t95, t96, t99, t100, t101, t103;
  double t104, t105, t106, t108, t109, t110, t111, t112;
  double t114, t115, t117, t118, t120, t121, t123, t124;
  double t127, t129, t133, t134, t135, t136, t137, t139;
  double t140, t142, t143, t144, t145, t146, t147, t148;
  double t149, t150, t152, t153, t154, t155, t156, t159;
  double t160, t161, t163, t167, t168, t169, t172, tzk0;

  double t173, t174, t175, t177, t180, t181, t182, t185;
  double t186, t187, t188, t190, t191, t192, t193, t194;
  double t195, t200, t202, t206, t207, t208, t209, t210;
  double t211, t213, t214, t215, t217, t218, t219, t220;
  double t221, t222, t223, t226, t227, t228, t229, t230;
  double t232, t233, t234, t237, t238, t239, t242, t243;
  double t244, t245, t246, t247, t249, t250, t253, t254;
  double t257, t258, t261, t264, t265, t268, t272, t273;
  double t276, t277, t278, t282, t283, t285, t288, t289;
  double t290, t293, t294, t296, t298, tvrho0, t302, t305;
  double t306, t307, t311, t313, t316, t317, t318, t321;
  double t322, t327, t329, t333, t334, t335, t336, t337;
  double t338, t340, t341, t342, t344, t345, t346, t347;
  double t348, t349, t350, t353, t354, t355, t356, t357;
  double t359, t360, t361, t364, t365, t366, t369, t370;
  double t371, t372, t373, t374, t376, t377, t380, t381;
  double t384, t385, t388, t391, t392, t395, t399, t400;
  double t403, t404, t405, t409, tvrho1, t412, t414, t415;
  double t416, t417, t420, t421, t423, t426, t427, t428;
  double t432, t436, tvsigma0, tvsigma1, t437, t439, t440, t441;
  double t442, t445, t446, t448, t451, t452, t453, t457;
  double t461, tvsigma2, t463, t464, t465, t466, t469, t470;
  double t472, t475, t476, t477, t481, t485, tvlapl0, t487;
  double t488, t489, t490, t493, t494, t496, t499, t500;
  double t501, t505, t509, tvlapl1, t512, t513, t514, t515;
  double t518, t519, t521, t524, t525, t526, t530, t543;
  double t544, t545, t549, tvtau0, t552, t553, t554, t555;
  double t558, t559, t561, t564, t565, t566, t570, t583;
  double t584, t585, t589, tvtau1;

  double t592, t594, t595, t596, t597, t598, t601, t602;
  double t603, t606, t607, t608, t615, t617, t621, t623;
  double t626, t627, t630, t633, t634, t635, t637, t638;
  double t640, t641, t642, t645, t648, t649, t650, t651;
  double t652, t653, t654, t655, t656, t657, t658, t659;
  double t660, t661, t662, t665, t666, t667, t670, t671;
  double t672, t676, t677, t678, t679, t680, t681, t682;
  double t683, t684, t685, t688, t689, t690, t691, t694;
  double t697, t698, t700, t701, t704, t709, t714, t719;
  double t725, t726, t731, t732, t733, t736, t738, t743;
  double t744, t745, t748, t749, t750, t753, t757, t758;
  double t759, t764, t767, t768, t769, t771, t772, t773;
  double t774, t776, t777, t779, t780, t783, t784, t785;
  double t788, t789, t794, t795, t796, t798, t801, t802;
  double t803, t806, t809, t811, t812, t815, t816, t818;
  double t819, t820, t823, t824, t825, t826, t827, t830;
  double t832, t835, t836, t837, t838, t839, t840, t843;
  double t844, t845, t848, t850, t851, t852, t853, t856;
  double t859, t863, t864, t865, t868, t869, t870, t872;
  double t873, t875, t877, tv2rho20, t880, t884, t888, t889;
  double t890, t893, t894, t895, t897, t898, t903, t913;
  double t914, t915, t919, t923, t924, t925, t928, t929;
  double t930, t933, t934, t937, t938, t939, t943, t945;
  double t948, t949, t953, t955, t956, tv2rho21, t961, t966;
  double t970, t971, t972, t977, t982, t984, t988, t989;
  double t990, t991, t994, t997, t998, t999, t1000, t1001;
  double t1002, t1003, t1004, t1005, t1006, t1007, t1008, t1009;
  double t1010, t1013, t1014, t1015, t1018, t1019, t1020, t1026;
  double t1027, t1028, t1029, t1030, t1031, t1032, t1033, t1034;
  double t1035, t1038, t1039, t1040, t1044, t1045, t1046, t1047;
  double t1048, t1051, t1052, t1053, t1056, t1057, t1058, t1062;
  double t1065, t1066, t1069, t1070, t1075, t1076, t1077, t1082;
  double t1083, t1084, t1085, t1088, t1090, t1093, t1094, t1095;
  double t1096, t1097, t1098, t1101, t1102, t1103, t1106, t1109;
  double t1112, t1113, t1115, t1116, t1119, t1124, t1129, t1134;
  double t1140, t1141, t1146, t1147, t1148, t1153, t1154, t1156;
  double t1157, t1160, t1161, t1162, t1165, t1166, t1167, t1169;
  double t1172, t1173, t1174, t1177, t1180, t1182, t1183, t1186;
  double t1187, t1189, t1190, t1191, t1194, t1199, t1203, t1204;
  double t1205, t1211, t1213, tv2rho22, t1217, t1218, t1220, t1223;
  double t1226, t1227, t1228, t1235, t1237, t1239, t1242, t1245;
  double t1246, t1247, t1250, t1251, t1252, t1253, t1254, t1255;
  double t1256, t1257, t1260, t1261, t1262, t1263, t1266, t1267;
  double t1268, t1269, t1270, t1274, t1275, t1278, t1279, t1281;
  double t1282, t1285, t1286, t1290, t1293, t1294, t1295, t1300;
  double t1305, t1310, t1311, t1313, t1314, t1315, t1318, t1319;
  double t1320, t1324, t1327, t1328, t1331, t1334, t1338, t1340;
  double t1341, t1342, t1346, t1347, t1349, tv2rhosigma0, tv2rhosigma1, t1351;
  double t1354, t1356, t1360, t1364, t1366, tv2rhosigma2, t1368, t1376;
  double tv2rhosigma3, tv2rhosigma4, t1378, t1381, t1382, t1383, t1390, t1392;
  double t1394, t1397, t1400, t1401, t1402, t1407, t1408, t1409;
  double t1410, t1411, t1415, t1416, t1419, t1420, t1421, t1422;
  double t1423, t1424, t1425, t1426, t1429, t1430, t1431, t1432;
  double t1435, t1436, t1438, t1439, t1442, t1443, t1447, t1450;
  double t1451, t1452, t1457, t1462, t1467, t1468, t1470, t1471;
  double t1472, t1475, t1476, t1477, t1481, t1484, t1485, t1488;
  double t1491, t1495, t1497, t1498, t1499, t1502, t1504, tv2rhosigma5;
  double t1506, t1508, t1511, t1514, t1515, t1516, t1524, t1526;
  double t1529, t1532, t1533, t1534, t1538, t1539, t1540, t1541;
  double t1546, t1547, t1548, t1551, t1554, t1555, t1556, t1559;
  double t1560, t1564, t1567, t1568, t1577, t1581, t1584, t1585;
  double t1587, t1590, t1591, t1599, t1606, t1607, t1608, t1611;
  double t1613, tv2rholapl0, t1615, t1618, t1620, t1624, t1628, t1630;
  double tv2rholapl1, t1632, t1640, tv2rholapl2, t1642, t1645, t1646, t1647;
  double t1655, t1657, t1660, t1663, t1664, t1665, t1670, t1673;
  double t1674, t1675, t1678, t1679, t1682, t1683, t1688, t1689;
  double t1690, t1693, t1694, t1698, t1701, t1702, t1713, t1714;
  double t1716, t1719, t1720, t1728, t1735, t1736, t1737, t1740;
  double t1742, tv2rholapl3, t1745, t1747, t1750, t1753, t1754, t1755;
  double t1759, t1760, t1762, t1765, t1768, t1769, t1770, t1777;
  double t1778, t1779, t1784, t1785, t1788, t1791, t1792, t1793;
  double t1796, t1797, t1798, t1802, t1805, t1806, t1807, t1811;
  double t1814, t1815, t1818, t1823, t1829, t1830, t1833, t1854;
  double t1855, t1856, t1860, t1869, t1870, t1872, t1875, t1876;
  double t1884, t1891, t1892, t1893, t1897, t1898, t1900, tv2rhotau0;
  double t1902, t1905, t1907, t1911, t1915, t1919, t1921, tv2rhotau1;
  double t1923, t1933, tv2rhotau2, t1936, t1938, t1941, t1944, t1945;
  double t1946, t1951, t1954, t1955, t1956, t1963, t1964, t1965;
  double t1969, t1972, t1973, t1974, t1979, t1980, t1981, t1984;
  double t1989, t1995, t1996, t1999, t2020, t2021, t2022, t2025;
  double t2026, t2029, t2036, t2037, t2040, t2041, t2045, t2048;
  double t2053, t2054, t2056, t2059, t2060, t2068, t2075, t2076;
  double t2077, t2080, t2082, tv2rhotau3, t2084, t2085, t2086, t2087;
  double t2089, t2090, t2091, t2092, t2093, t2096, t2097, t2098;
  double t2105, t2106, t2107, t2108, t2117, t2118, t2119, t2120;
  double t2121, t2124, t2125, t2128, t2129, t2133, t2136, t2138;
  double t2139, t2141, t2142, t2146, t2147, t2148, t2153, t2154;
  double t2158, t2160, t2162, t2165, t2166, t2167, t2170, t2173;
  double t2174, tv2sigma20, tv2sigma21, tv2sigma22, tv2sigma23, tv2sigma24, t2175, t2176;
  double t2177, t2178, t2180, t2181, t2182, t2183, t2184, t2187;
  double t2188, t2189, t2196, t2197, t2198, t2199, t2208, t2209;
  double t2210, t2211, t2212, t2215, t2216, t2219, t2220, t2224;
  double t2227, t2229, t2230, t2232, t2233, t2237, t2238, t2239;
  double t2244, t2245, t2249, t2251, t2253, t2256, t2257, t2258;
  double t2261, t2264, t2265, tv2sigma25, t2266, t2267, t2268, t2271;
  double t2276, t2281, t2282, t2287, t2288, t2291, t2295, t2298;
  double t2299, t2302, t2306, t2308, t2309, t2310, t2317, t2318;
  double t2319, t2322, t2323, t2324, t2327, t2330, t2331, t2332;
  double t2335, t2336, tv2sigmalapl0, tv2sigmalapl1, tv2sigmalapl2, tv2sigmalapl3, tv2sigmalapl4, t2337;
  double t2338, t2339, t2342, t2347, t2352, t2353, t2358, t2359;
  double t2362, t2366, t2369, t2370, t2373, t2377, t2379, t2380;
  double t2381, t2388, t2389, t2390, t2393, t2394, t2395, t2398;
  double t2401, t2402, t2403, t2406, t2407, tv2sigmalapl5, t2435, t2436;
  double t2437, t2444, t2447, t2450, t2453, t2458, t2462, t2465;
  double t2466, tv2sigmatau0, tv2sigmatau1, tv2sigmatau2, tv2sigmatau3, tv2sigmatau4, t2494, t2495;
  double t2496, t2503, t2506, t2509, t2512, t2517, t2521, t2524;
  double t2525, tv2sigmatau5, t2526, t2527, t2528, t2529, t2532, t2533;
  double t2534, t2541, t2542, t2543, t2544, t2553, t2554, t2557;
  double t2558, t2561, t2562, t2566, t2569, t2571, t2572, t2576;
  double t2577, t2578, t2583, t2584, t2588, t2591, t2592, t2593;
  double t2596, t2599, t2600, tv2lapl20, tv2lapl21, t2601, t2602, t2603;
  double t2604, t2607, t2608, t2609, t2616, t2617, t2618, t2619;
  double t2628, t2629, t2632, t2633, t2636, t2637, t2641, t2644;
  double t2646, t2647, t2651, t2652, t2653, t2658, t2659, t2663;
  double t2666, t2667, t2668, t2671, t2674, t2675, tv2lapl22, t2676;
  double t2677, t2678, t2681, t2686, t2691, t2692, t2697, t2698;
  double t2701, t2705, t2708, t2709, t2712, t2716, t2718, t2719;
  double t2720, t2727, t2728, t2729, t2732, t2733, t2734, t2737;
  double t2740, t2741, t2742, t2747, t2751, t2754, t2755, tv2lapltau0;
  double tv2lapltau1, tv2lapltau2, t2756, t2757, t2758, t2761, t2766, t2771;
  double t2772, t2777, t2778, t2781, t2785, t2788, t2789, t2792;
  double t2796, t2798, t2799, t2800, t2807, t2808, t2809, t2812;
  double t2813, t2814, t2817, t2820, t2821, t2822, t2827, t2831;
  double t2834, t2835, tv2lapltau3, t2836, t2837, t2838, t2839, t2842;
  double t2843, t2844, t2851, t2852, t2853, t2854, t2865, t2866;
  double t2869, t2870, t2873, t2874, t2878, t2881, t2883, t2884;
  double t2888, t2889, t2890, t2895, t2898, t2899, t2903, t2907;
  double t2910, t2911, t2912, t2915, t2919, t2932, t2933, t2934;
  double t2937, t2938, tv2tau20, tv2tau21, t2939, t2940, t2941, t2942;
  double t2945, t2946, t2947, t2954, t2955, t2956, t2957, t2968;
  double t2969, t2972, t2973, t2976, t2977, t2981, t2984, t2986;
  double t2987, t2991, t2992, t2993, t2998, t3001, t3002, t3006;
  double t3010, t3013, t3014, t3015, t3018, t3022, t3035, t3036;
  double t3037, t3040, t3041, tv2tau22;

  double t3046, t3047, t3049, t3051, t3052, t3054, t3056, t3059;
  double t3060, t3061, t3066, t3070, t3073, t3074, t3076, t3077;
  double t3078, t3079, t3082, t3083, t3086, t3087, t3088, t3090;
  double t3091, t3093, t3096, t3099, t3100, t3101, t3110, t3115;
  double t3116, t3118, t3120, t3121, t3123, t3124, t3125, t3126;
  double t3127, t3130, t3131, t3132, t3135, t3136, t3137, t3138;
  double t3139, t3140, t3141, t3144, t3145, t3146, t3149, t3150;
  double t3153, t3156, t3157, t3158, t3161, t3163, t3164, t3165;
  double t3166, t3167, t3168, t3169, t3170, t3173, t3175, t3178;
  double t3186, t3190, t3191, t3192, t3193, t3198, t3199, t3201;
  double t3203, t3206, t3209, t3210, t3213, t3220, t3223, t3226;
  double t3231, t3232, t3233, t3235, t3236, t3238, t3239, t3240;
  double t3242, t3243, t3245, t3247, t3248, t3250, t3251, t3252;
  double t3255, t3256, t3259, t3260, t3261, t3264, t3265, t3266;
  double t3267, t3268, t3269, t3272, t3273, t3274, t3275, t3276;
  double t3279, t3283, t3286, t3289, t3292, t3294, t3295, t3314;
  double t3315, t3316, t3317, t3318, t3321, t3324, t3325, t3326;
  double t3331, t3334, t3341, t3342, t3343, t3346, t3348, t3351;
  double t3353, t3359, t3360, t3361, t3362, t3363, t3366, t3369;
  double t3370, t3371, t3380, t3383, t3384, t3385, t3386, t3389;
  double t3390, t3391, t3394, t3395, t3396, t3397, t3398, t3399;
  double t3405, t3406, t3409, t3410, t3411, t3414, t3415, t3428;
  double t3429, t3432, t3445, t3447, t3448, t3451, t3452, t3455;
  double t3457, t3459, t3460, t3461, t3462, t3463, t3464, t3468;
  double t3469, t3472, t3474, t3476, t3483, t3486, t3487, t3489;
  double t3490, t3492, t3493, t3496, t3497, t3498, t3499, t3502;
  double t3503, t3506, t3510, t3515, t3520, t3521, t3522, t3524;
  double t3525, t3528, t3529, t3530, t3533, t3534, t3539, t3543;
  double t3545, t3546, t3548, t3553, t3554, t3556, t3557, t3562;
  double t3563, t3564, t3567, t3568, t3571, t3572, t3573, t3576;
  double t3577, t3580, t3581, t3584, t3585, t3590, t3591, t3594;
  double t3595, t3596, t3601, t3602, t3604, t3607, t3610, t3613;
  double t3616, t3622, t3628, t3633, t3634, t3637, t3638, t3639;
  double t3640, t3646, t3647, t3650, t3653, t3654, t3655, t3658;
  double t3662, t3663, t3664, t3669, t3670, t3671, t3673, t3675;
  double t3677, t3678, t3679, t3682, t3683, t3684, t3686, t3687;
  double t3690, t3691, t3694, t3698, t3700, t3701, t3704, t3707;
  double t3710, t3714, t3715, t3716, t3719, t3720, t3721, t3723;
  double t3724, t3725, t3727, t3728, t3730, t3732, tv3rho30, t3735;
  double t3736, t3737, t3740, t3747, t3750, t3751, t3754, t3757;
  double t3758, t3760, t3761, t3763, t3764, t3773, t3776, t3793;
  double t3807, t3817, t3823, t3826, t3831, t3832, t3834, t3838;
  double t3839, t3840, t3846, t3847, t3848, t3849, t3851, t3852;
  double t3854, t3860, t3863, t3864, t3867, t3872, t3874, t3878;
  double t3879, t3880, t3883, t3884, t3886, t3887, t3888, t3889;
  double t3893, t3894, t3897, t3898, t3900, t3901, t3902, t3903;
  double t3908, t3909, t3911, t3914, t3916, t3917, t3918, t3923;
  double t3924, t3926, t3927, tv3rho31, t3930, t3935, t3939, t3943;
  double t3944, t3945, t3948, t3949, t3950, t3952, t3953, t3958;
  double t3969, t3970, t3971, t3974, t3975, t3977, t3979, t3981;
  double t3982, t3984, t3986, t3987, t3988, t3990, t3991, t3993;
  double t3994, t3996, t3998, t3999, t4001, t4003, t4005, t4006;
  double t4008, t4009, t4014, t4021, t4022, t4025, t4028, t4037;
  double t4041, t4051, t4053, t4055, t4065, t4067, t4068, t4070;
  double t4072, t4076, t4081, t4085, t4089, t4090, t4091, t4096;
  double t4098, t4100, t4101, t4102, t4107, t4110, tv3rho32, t4115;
  double t4122, t4126, t4127, t4128, t4134, t4135, t4138, t4140;
  double t4141, t4142, t4143, t4145, t4147, t4148, t4149, t4150;
  double t4151, t4154, t4155, t4156, t4160, t4161, t4162, t4163;
  double t4166, t4171, t4174, t4175, t4176, t4179, t4180, t4183;
  double t4186, t4187, t4188, t4191, t4192, t4193, t4200, t4203;
  double t4204, t4208, t4209, t4210, t4213, t4214, t4215, t4216;
  double t4219, t4220, t4223, t4224, t4225, t4228, t4231, t4239;
  double t4243, t4244, t4245, t4246, t4252, t4255, t4258, t4263;
  double t4264, t4268, t4274, t4291, t4297, t4298, t4300, t4301;
  double t4304, t4305, t4306, t4307, t4308, t4311, t4312, t4315;
  double t4318, t4319, t4320, t4323, t4324, t4325, t4328, t4329;
  double t4332, t4337, t4340, t4341, t4344, t4345, t4347, t4348;
  double t4351, t4354, t4355, t4356, t4357, t4360, t4361, t4364;
  double t4371, t4373, t4376, t4377, t4378, t4388, t4389, t4392;
  double t4405, t4407, t4408, t4411, t4412, t4425, t4426, t4427;
  double t4428, t4429, t4432, t4433, t4436, t4437, t4440, t4441;
  double t4442, t4452, t4455, t4456, t4457, t4460, t4465, t4466;
  double t4467, t4468, t4469, t4472, t4473, t4474, t4477, t4480;
  double t4483, t4486, t4491, t4493, t4494, t4517, t4518, t4519;
  double t4522, t4528, t4532, t4533, t4534, t4535, t4537, t4538;
  double t4541, t4542, t4543, t4550, t4553, t4554, t4559, t4560;
  double t4562, t4567, t4568, t4572, t4573, t4575, t4576, t4577;
  double t4580, t4581, t4584, t4585, t4586, t4587, t4590, t4595;
  double t4596, t4599, t4600, t4603, t4604, t4607, t4608, t4609;
  double t4610, t4613, t4616, t4617, t4619, t4620, t4623, t4626;
  double t4627, t4630, t4637, t4638, t4648, t4649, t4651, t4656;
  double t4659, t4660, t4661, t4662, t4665, t4672, t4676, t4677;
  double t4678, t4683, t4686, t4687, t4688, t4689, t4690, t4693;
  double t4694, t4695, t4696, t4697, t4698, t4706, t4707, t4714;
  double t4715, t4716, t4717, t4718, t4719, t4720, t4721, t4722;
  double t4725, t4726, t4729, t4730, t4733, t4737, tv3rho33, t4741;
  double t4748, t4749, t4750, t4753, t4754, t4761, t4762, t4763;
  double t4764, t4765, t4768, t4769, t4772, t4773, t4774, t4775;
  double t4777, t4778, t4780, t4781, t4784, t4785, t4786, t4789;
  double t4790, t4791, t4793, t4794, t4795, t4798, t4801, t4804;
  double t4805, t4806, t4807, t4808, t4809, t4810, t4811, t4815;
  double t4816, t4819, t4820, t4825, t4828, t4829, t4837, t4840;
  double t4841, t4844, t4845, t4846, t4847, t4850, t4851, t4852;
  double t4855, t4856, t4857, t4860, t4862, t4863, t4864, t4867;
  double t4868, t4869, t4872, t4873, t4874, t4877, t4878, t4879;
  double t4882, t4885, t4890, t4893, t4896, t4897, t4900, t4901;
  double t4903, t4904, t4907, t4908, t4910, t4914, t4915, t4918;
  double t4919, t4922, t4924, t4926, t4927, t4929, t4931, t4934;
  double t4935, t4937, t4938, t4939, t4948, t4952, t4958, t4961;
  double t4962, t4963, t4965, t4969, t4971, t4974, t4976, t4983;
  double t4984, t4985, t4986, t4987, t4988, t4991, t4992, t4993;
  double t4994, t4996, t4997, t5000, t5001, t5003, t5004, t5008;
  double t5010, t5014, t5015, t5017, t5018, t5021, t5022, t5023;
  double t5025, t5028, t5029, t5030, t5031, t5034, t5037, t5038;
  double t5041, t5042, t5045, t5046, t5049, t5053, t5055, t5056;
  double t5057, t5061, t5062, t5065, t5068, t5069, t5072, t5075;
  double t5078, t5083, t5086, t5089, t5094, t5095, t5098, t5103;
  double t5104, t5106, t5112, t5116, t5120, t5123, t5126, t5129;
  double t5132, t5133, t5134, t5135, t5143, t5144, t5145, t5148;
  double t5149, t5152, t5155, t5156, t5157, t5162, t5167, t5170;
  double t5175, t5176, t5179, t5181, t5183, t5185, t5190, t5195;
  double t5198, t5200, t5201, t5202, t5208, t5211, t5214, t5229;
  double t5234, t5235, t5239, t5241, t5243, t5244, t5246, t5247;
  double t5248, t5250, t5251, t5253, t5261, t5264, t5265, t5266;
  double t5269, t5271, t5273, t5277, t5280, t5281, t5284, t5285;
  double t5286, t5291, t5294, t5298, tv3rho2sigma0, tv3rho2sigma1, t5301, t5304;
  double t5305, t5307, t5309, t5312, t5315, t5318, t5321, t5323;
  double tv3rho2sigma2, t5327, t5334, t5346, t5352, t5364, t5376, t5379;
  double t5384, t5389, t5390, t5392, t5397, t5407, t5410, tv3rho2sigma3;
  double tv3rho2sigma4, t5412, t5413, t5415, t5417, t5419, t5423, t5425;
  double t5436, t5438, t5439, t5449, t5454, t5461, t5465, t5467;
  double t5469, t5470, t5472, t5474, t5476, t5478, t5480, t5482;
  double t5484, t5485, t5487, t5489, t5491, t5493, t5494, t5495;
  double t5497, t5499, t5500, t5509, t5517, t5520, tv3rho2sigma5, t5523;
  double t5534, tv3rho2sigma6, tv3rho2sigma7, t5541, t5542, t5553, t5554, t5555;
  double t5560, t5561, t5562, t5563, t5564, t5565, t5566, t5569;
  double t5570, t5571, t5572, t5575, t5576, t5577, t5580, t5584;
  double t5585, t5586, t5588, t5591, t5592, t5593, t5594, t5595;
  double t5596, t5597, t5600, t5601, t5602, t5603, t5606, t5607;
  double t5613, t5614, t5617, t5618, t5621, t5624, t5629, t5630;
  double t5631, t5632, t5634, t5635, t5636, t5639, t5640, t5641;
  double t5642, t5643, t5644, t5647, t5648, t5649, t5650, t5651;
  double t5652, t5654, t5657, t5658, t5659, t5663, t5665, t5666;
  double t5667, t5668, t5671, t5673, t5674, t5675, t5676, t5679;
  double t5680, t5681, t5682, t5685, t5686, t5688, t5689, t5691;
  double t5692, t5693, t5695, t5696, t5697, t5702, t5703, t5706;
  double t5707, t5710, t5713, t5714, t5715, t5725, t5728, t5729;
  double t5732, t5733, t5734, t5737, t5740, t5744, t5749, t5756;
  double t5759, t5762, t5771, t5780, t5783, t5784, t5787, t5790;
  double t5791, t5792, t5797, t5800, t5803, t5804, t5809, t5812;
  double t5813, t5814, t5819, t5824, t5835, t5837, t5838, t5839;
  double t5840, t5847, t5851, t5854, t5859, t5860, t5861, t5862;
  double t5865, t5868, t5869, t5872, t5873, t5876, t5877, t5881;
  double t5884, t5885, t5888, t5889, t5890, t5891, t5892, t5895;
  double t5896, t5897, t5900, t5903, t5910, t5913, t5916, t5919;
  double t5924, t5925, t5926, t5931, t5932, t5934, t5935, t5939;
  double t5940, t5943, t5946, t5949, t5953, t5958, t5960, t5963;
  double t5969, t5972, t5974, t5975, t5976, t5977, t5987, t5994;
  double t5998, t6001, t6004, t6005, t6006, t6009, t6012, t6015;
  double t6018, t6019, t6022, t6025, t6028, t6034, t6051, t6052;
  double t6055, t6059, tv3rho2sigma8, t6062, t6065, t6066, t6067, t6074;
  double t6076, t6077, t6078, t6085, t6086, t6087, t6092, t6093;
  double t6094, t6096, t6099, t6100, t6105, t6108, t6110, t6113;
  double t6116, t6119, t6120, t6121, t6134, t6135, t6138, t6140;
  double t6141, t6153, t6163, t6164, t6167, t6169, t6170, t6172;
  double t6175, t6176, t6178, t6180, t6183, t6189, t6192, t6195;
  double t6197, t6198, t6200, t6201, t6203, t6209, t6212, t6215;
  double t6216, t6217, t6220, t6222, t6224, t6226, t6227, t6233;
  double t6238, t6248, t6249, t6250, t6251, t6257, t6260, t6263;
  double t6266, t6273, t6274, t6277, t6282, t6284, t6285, t6287;
  double t6289, t6292, t6296, t6297, t6300, t6303, t6304, t6309;
  double t6329, t6334, t6335, t6340, t6341, t6344, t6369, t6376;
  double t6377, t6378, t6379, t6384, t6386, t6387, t6390, t6392;
  double t6394, t6397, t6399, t6402, t6409, t6410, t6411, t6416;
  double t6418, t6419, t6422, t6423, t6424, t6432, t6433, t6434;
  double t6437, t6439, t6451, t6454, t6460, t6463, t6464, t6467;
  double t6468, t6486, t6489, t6490, t6492, t6495, t6496, t6500;
  double t6502, t6503, t6510, t6514, tv3rho2lapl0, t6517, t6520, t6521;
  double t6523, t6525, t6528, t6531, t6534, t6537, t6539, tv3rho2lapl1;
  double t6542, t6561, t6566, t6578, t6580, t6585, t6588, t6594;
  double t6597, t6599, t6600, t6611, t6623, t6626, tv3rho2lapl2, t6628;
  double t6630, t6634, t6640, t6645, t6647, t6648, t6650, t6654;
  double t6657, t6664, t6666, t6668, t6669, t6671, t6677, t6679;
  double t6682, t6688, t6691, t6700, t6703, t6704, t6706, t6708;
  double t6710, t6711, t6713, t6715, t6716, t6718, t6719, t6721;
  double t6725, t6727, t6733, t6736, tv3rho2lapl3, t6739, t6750, tv3rho2lapl4;
  double t6755, t6756, t6757, t6760, t6761, t6764, t6769, t6772;
  double t6777, t6780, t6781, t6786, t6787, t6788, t6798, t6800;
  double t6801, t6802, t6804, t6807, t6808, t6811, t6812, t6824;
  double t6827, t6828, t6832, t6833, t6834, t6837, t6839, t6841;
  double t6842, t6844, t6853, t6854, t6855, t6869, t6870, t6871;
  double t6873, t6880, t6883, t6884, t6893, t6896, t6899, t6900;
  double t6904, t6905, t6910, t6912, t6915, t6918, t6919, t6922;
  double t6927, t6928, t6931, t6940, t6946, t6949, t6950, t6953;
  double t6954, t6955, t6958, t6959, t6960, t6965, t6971, t6974;
  double t6975, t6978, t6993, t6994, t6998, t7000, t7005, t7018;
  double t7021, t7036, t7040, t7041, t7042, t7043, t7048, t7054;
  double t7057, t7065, t7075, t7080, t7081, t7086, t7089, t7092;
  double t7093, t7114, t7115, t7118, t7125, t7147, t7150, t7154;
  double t7155, t7156, t7157, t7170, t7174, tv3rho2lapl5, t7177, t7179;
  double t7183, t7184, t7186, t7187, t7190, t7194, t7195, t7196;
  double t7199, t7200, t7203, t7206, t7213, t7214, t7215, t7219;
  double t7228, t7231, t7232, t7233, t7236, t7241, t7242, t7243;
  double t7248, t7251, t7254, t7261, t7262, t7276, t7277, t7279;
  double t7281, t7283, t7285, t7287, t7290, t7293, t7294, t7295;
  double t7316, t7329, t7332, t7335, t7336, t7337, t7340, t7351;
  double t7352, t7353, t7356, t7357, t7358, t7361, t7362, t7373;
  double t7374, t7379, t7384, t7385, t7387, t7392, t7398, t7400;
  double t7401, t7402, t7406, t7413, t7416, t7419, t7420, t7423;
  double t7424, t7427, t7430, t7433, t7437, t7439, t7445, t7449;
  double t7450, t7452, t7454, t7457, t7458, t7460, t7461, t7462;
  double t7465, t7468, t7471, t7475, t7478, t7480, t7481, t7484;
  double t7487, t7490, t7491, t7503, t7507, t7509, t7510, t7511;
  double t7513, t7516, t7520, t7525, t7526, t7529, t7532, t7546;
  double t7549, t7555, t7557, t7561, t7562, t7563, t7564, t7567;
  double t7569, t7572, t7578, t7581, t7582, t7585, t7586, t7587;
  double t7592, t7595, t7598, t7599, t7600, t7606, t7609, t7611;
  double t7612, t7614, t7616, t7618, t7622, t7628, t7629, t7631;
  double t7633, t7634, t7639, t7647, t7649, t7651, t7655, t7658;
  double t7659, t7664, t7665, t7670, t7680, t7685, t7686, t7690;
  double t7697, t7715, t7733, t7734, t7735, t7736, t7742, t7745;
  double t7746, t7755, t7758, t7767, t7772, tv3rho2tau0, t7775, t7778;
  double t7779, t7781, t7783, t7786, t7789, t7792, t7795, t7798;
  double t7801, t7802, t7803, tv3rho2tau1, t7820, t7825, t7828, t7851;
  double t7857, t7859, t7862, t7869, t7878, t7880, t7881, t7883;
  double t7892, t7904, t7907, tv3rho2tau2, t7909, t7911, t7912, t7914;
  double t7916, t7921, t7924, t7926, t7928, t7930, t7932, t7942;
  double t7945, t7947, t7949, t7951, t7953, t7954, t7966, t7968;
  double t7973, t7979, t7981, t7983, t7985, t7996, t7997, t7998;
  double t8000, t8002, t8004, t8006, t8007, t8009, t8011, t8012;
  double t8016, t8019, t8027, t8032, t8035, t8038, tv3rho2tau3, t8041;
  double t8054, t8055, tv3rho2tau4, t8058, t8060, t8061, t8063, t8069;
  double t8072, t8073, t8077, t8078, t8081, t8084, t8085, t8086;
  double t8089, t8090, t8091, t8105, t8108, t8114, t8118, t8122;
  double t8125, t8128, t8129, t8130, t8133, t8134, t8140, t8144;
  double t8145, t8150, t8153, t8156, t8157, t8160, t8161, t8164;
  double t8167, t8168, t8169, t8172, t8173, t8176, t8181, t8190;
  double t8191, t8196, t8197, t8201, t8209, t8210, t8211, t8214;
  double t8219, t8226, t8227, t8228, t8233, t8236, t8237, t8238;
  double t8241, t8246, t8247, t8249, t8252, t8253, t8254, t8262;
  double t8263, t8264, t8271, t8274, t8275, t8278, t8279, t8280;
  double t8285, t8286, t8287, t8292, t8296, t8309, t8316, t8321;
  double t8322, t8323, t8324, t8334, t8337, t8340, t8349, t8351;
  double t8352, t8354, t8365, t8369, t8372, t8379, t8384, t8387;
  double t8388, t8389, t8392, t8413, t8424, t8425, t8426, t8433;
  double t8434, t8437, t8438, t8443, t8451, t8456, t8457, t8460;
  double t8479, t8495, t8508, t8511, t8515, t8516, t8517, t8518;
  double t8525, t8528, t8552, t8553, t8562, t8563, t8567, t8580;
  double t8583, t8586, t8587, t8600, t8601, t8602, t8606, t8609;
  double t8612, t8617, tv3rho2tau5, t8619, t8621, t8622, t8623, t8624;
  double t8625, t8627, t8629, t8631, t8633, t8635, t8637, t8641;
  double t8643, t8644, t8645, t8646, t8647, t8648, t8649, t8654;
  double t8657, t8658, t8661, t8667, t8670, t8673, t8680, t8685;
  double t8688, t8689, t8690, t8691, t8694, t8695, t8696, t8703;
  double t8708, t8709, t8710, t8711, t8716, t8717, t8718, t8719;
  double t8720, t8721, t8722, t8725, t8726, t8729, t8732, t8735;
  double t8736, t8738, t8739, t8740, t8741, t8742, t8745, t8748;
  double t8749, t8752, t8753, t8756, t8757, t8758, t8761, t8762;
  double t8763, t8766, t8767, t8770, t8771, t8774, t8775, t8778;
  double t8779, t8780, t8783, t8786, t8789, t8790, t8791, t8792;
  double t8795, t8798, t8799, t8800, t8809, t8810, t8811, t8828;
  double t8829, t8830, t8833, t8836, t8837, t8842, t8843, t8844;
  double t8847, t8848, t8849, t8851, t8852, t8860, t8862, t8863;
  double t8865, t8866, t8873, t8874, t8875, t8876, t8877, t8886;
  double t8889, t8892, t8893, t8894, t8895, t8896, t8897, t8898;
  double t8899, t8900, t8909, t8910, t8911, t8912, t8913, t8914;
  double t8915, t8916, t8918, t8921, t8922, t8923, t8927, t8928;
  double t8929, t8932, t8933, t8934, t8937, t8938, t8939, t8940;
  double t8943, t8946, t8947, t8951, t8952, t8953, t8954, t8958;
  double t8961, t8963, t8964, t8968, t8969, t8972, t8973, t8974;
  double t8976, t8977, t8979, t8980, t8987, t8992, t8999, t9000;
  double t9001, t9004, t9005, t9010, t9013, t9016, t9017, t9019;
  double t9020, t9021, t9022, t9023, t9026, t9027, t9028, t9031;
  double t9034, t9035, t9038, t9041, t9045, t9046, t9047, t9048;
  double t9049, t9050, t9051, t9052, t9054, t9057, t9062, t9064;
  double t9065, t9067, t9069, t9078, t9081, t9082, t9083, t9084;
  double t9087, t9090, t9091, t9092, t9093, t9096, t9097, t9100;
  double t9103, t9109, t9110, t9113, t9116, t9121, t9122, t9124;
  double t9125, t9126, t9131, t9134, t9135, t9136, t9139, t9143;
  double tv3rhosigma20, tv3rhosigma21, tv3rhosigma22, tv3rhosigma23, tv3rhosigma24, t9145, t9146, t9147;
  double t9148, t9150, t9151, t9153, t9155, t9157, t9159, t9161;
  double t9163, t9165, t9166, t9168, t9170, t9171, t9172, t9173;
  double t9178, t9179, t9195, t9199, t9201, t9207, t9208, t9210;
  double tv3rhosigma25, t9214, t9217, t9222, t9224, t9234, t9237, t9244;
  double t9246, tv3rhosigma26, tv3rhosigma27, tv3rhosigma28, tv3rhosigma29, tv3rhosigma210, t9248, t9249;
  double t9252, t9253, t9254, t9255, t9256, t9261, t9264, t9267;
  double t9270, t9273, t9274, t9277, t9278, t9279, t9280, t9281;
  double t9282, t9283, t9284, t9285, t9290, t9291, t9292, t9293;
  double t9298, t9299, t9300, t9303, t9304, t9305, t9306, t9307;
  double t9308, t9310, t9311, t9312, t9314, t9315, t9318, t9319;
  double t9321, t9322, t9326, t9327, t9328, t9331, t9332, t9335;
  double t9336, t9339, t9340, t9341, t9346, t9347, t9350, t9359;
  double t9360, t9369, t9372, t9378, t9381, t9384, t9391, t9396;
  double t9399, t9401, t9402, t9405, t9406, t9407, t9408, t9409;
  double t9410, t9411, t9412, t9414, t9415, t9416, t9421, t9422;
  double t9425, t9426, t9427, t9430, t9436, t9439, t9440, t9441;
  double t9444, t9445, t9446, t9447, t9450, t9453, t9454, t9457;
  double t9460, t9463, t9464, t9467, t9468, t9469, t9478, t9481;
  double t9482, t9483, t9484, t9485, t9486, t9487, t9489, t9490;
  double t9492, t9494, t9498, t9499, t9501, t9502, t9505, t9506;
  double t9510, t9515, t9522, t9529, t9531, t9534, t9535, t9542;
  double t9543, t9544, t9545, t9546, t9547, t9548, t9563, t9566;
  double t9567, t9568, t9571, t9574, t9577, t9578, t9579, t9580;
  double t9583, t9584, t9585, t9586, t9587, t9592, t9595, t9596;
  double t9601, t9602, t9603, t9606, t9608, t9609, t9610, t9611;
  double t9612, t9617, t9618, t9620, t9621, t9623, t9626, t9627;
  double t9629, t9632, t9634, t9635, t9636, t9640, t9643, t9651;
  double t9652, t9655, t9658, t9661, t9662, t9667, t9668, t9669;
  double t9670, t9675, t9676, t9677, t9678, t9683, t9686, t9689;
  double t9691, t9692, t9693, t9696, t9697, t9698, t9699, t9702;
  double t9703, t9704, t9707, t9708, t9709, t9710, t9711, t9712;
  double t9713, t9714, t9717, t9718, t9729, t9734, t9737, t9741;
  double tv3rhosigma211, t9743, t9744, t9745, t9746, t9747, t9756, t9757;
  double t9758, t9761, t9764, t9767, t9770, t9771, t9773, t9778;
  double t9781, t9784, t9785, t9796, t9799, t9803, t9805, t9807;
  double t9809, t9811, t9813, t9820, t9826, t9827, t9836, t9837;
  double t9842, t9845, t9846, t9847, t9854, t9857, t9860, t9863;
  double t9864, t9866, t9869, t9870, t9871, t9872, t9875, t9876;
  double t9877, t9878, t9879, t9882, t9885, t9886, t9889, t9890;
  double t9893, t9894, t9897, t9898, t9899, t9902, t9909, t9912;
  double t9919, t9922, t9931, t9934, t9935, t9939, t9946, t9947;
  double t9948, t9957, t9960, t9963, t9966, t9967, t9970, t9971;
  double t9975, t9977, t9978, t9980, t9981, t9984, t9985, t9994;
  double t9995, t9996, t9997, t9998, t10001, t10002, t10003, t10006;
  double t10011, t10012, t10017, t10022, t10028, t10029, t10038, t10039;
  double t10042, t10046, t10050, t10052, t10056, t10059, t10062, t10068;
  double t10080, t10083, t10088, t10093, t10094, t10095, t10098, t10101;
  double t10103, t10104, t10105, t10109, t10110, t10113, t10114, t10117;
  double t10119, t10120, t10123, t10124, t10127, t10130, t10144, t10155;
  double t10156, t10159, t10163, t10165, t10167, t10168, t10169, t10172;
  double t10187, t10198, t10211, t10215, tv3rhosigmalapl0, tv3rhosigmalapl1, tv3rhosigmalapl2, tv3rhosigmalapl3;
  double tv3rhosigmalapl4, t10226, t10228, t10230, t10232, t10241, t10243, t10245;
  double t10247, t10249, t10251, t10253, t10255, t10267, t10269, t10273;
  double t10274, t10276, tv3rhosigmalapl5, t10288, t10307, t10309, tv3rhosigmalapl6, tv3rhosigmalapl7;
  double tv3rhosigmalapl8, tv3rhosigmalapl9, tv3rhosigmalapl10, t10321, t10322, t10325, t10328, t10337;
  double t10338, t10339, t10344, t10357, t10358, t10359, t10360, t10361;
  double t10364, t10365, t10366, t10373, t10374, t10377, t10380, t10383;
  double t10384, t10385, t10388, t10390, t10393, t10394, t10397, t10399;
  double t10400, t10421, t10424, t10425, t10426, t10435, t10436, t10437;
  double t10440, t10441, t10443, t10444, t10447, t10448, t10451, t10456;
  double t10461, t10462, t10477, t10480, t10483, t10486, t10487, t10489;
  double t10490, t10493, t10494, t10497, t10500, t10503, t10506, t10507;
  double t10510, t10511, t10512, t10513, t10514, t10515, t10518, t10521;
  double t10526, t10527, t10530, t10531, t10534, t10535, t10536, t10543;
  double t10546, t10549, t10552, t10555, t10556, t10563, t10583, t10592;
  double t10597, t10603, t10604, t10605, t10608, t10609, t10610, t10611;
  double t10614, t10617, t10618, t10619, t10626, t10627, t10636, t10637;
  double t10640, t10641, t10644, t10651, t10657, t10669, t10674, t10679;
  double t10680, t10683, t10684, t10685, t10688, t10691, t10695, t10699;
  double t10702, t10705, t10707, t10708, t10709, t10716, t10719, t10722;
  double t10725, t10726, t10729, t10732, t10739, t10742, t10751, t10755;
  double tv3rhosigmalapl11, t10757, t10775, t10776, t10777, t10799, t10800, t10803;
  double t10808, t10813, t10814, t10817, t10818, t10829, t10832, t10835;
  double t10838, t10841, t10847, t10848, t10856, t10857, t10860, t10863;
  double t10866, t10873, t10878, t10879, t10882, t10883, t10884, t10890;
  double t10892, t10894, t10896, t10898, t10899, t10902, t10905, t10907;
  double t10910, t10911, t10912, t10927, t10930, t10933, t10938, t10941;
  double t10948, t10951, t10956, t10964, t10965, t10975, t10985, t10990;
  double t10994, t10998, t11001, t11004, t11013, t11019, t11034, t11044;
  double t11046, t11055, t11058, t11061, t11072, t11079, t11089, t11113;
  double t11129, t11138, t11143, t11146, t11148, t11149, t11150, t11153;
  double t11159, t11161, t11163, t11164, t11167, t11170, t11171, t11180;
  double t11181, t11184, t11205, t11206, t11207, t11208, t11211, t11214;
  double t11217, t11220, t11221, t11224, t11225, t11226, t11231, t11232;
  double t11235, t11236, t11239, t11242, t11245, t11250, tv3rhosigmatau0, tv3rhosigmatau1;
  double tv3rhosigmatau2, tv3rhosigmatau3, tv3rhosigmatau4, t11253, t11255, t11257, t11259, t11273;
  double t11275, t11277, t11279, t11281, t11282, t11284, t11286, t11288;
  double t11290, t11302, t11304, t11308, t11310, t11321, t11323, tv3rhosigmatau5;
  double t11337, t11360, t11362, tv3rhosigmatau6, tv3rhosigmatau7, tv3rhosigmatau8, tv3rhosigmatau9, tv3rhosigmatau10;
  double t11367, t11368, t11378, t11383, t11386, t11389, t11392, t11398;
  double t11399, t11402, t11403, t11404, t11407, t11422, t11427, t11436;
  double t11439, t11446, t11449, t11456, t11459, t11462, t11472, t11479;
  double t11482, t11485, t11499, t11500, t11501, t11510, t11512, t11521;
  double t11522, t11523, t11526, t11527, t11530, t11535, t11536, t11537;
  double t11540, t11543, t11546, t11550, t11551, t11552, t11555, t11556;
  double t11561, t11562, t11565, t11566, t11588, t11593, t11603, t11618;
  double t11637, t11646, t11651, t11656, t11663, t11668, t11678, t11702;
  double t11720, t11731, t11733, t11734, t11735, t11742, t11745, t11746;
  double t11751, t11753, t11756, t11759, t11762, t11765, t11768, t11771;
  double t11774, t11776, t11777, t11780, t11783, t11784, t11797, t11800;
  double t11801, t11804, t11818, t11823, tv3rhosigmatau11, t11825, t11826, t11827;
  double t11838, t11841, t11842, t11843, t11850, t11855, t11857, t11861;
  double t11863, t11865, t11867, t11868, t11870, t11872, t11874, t11876;
  double t11877, t11878, t11881, t11885, t11886, t11889, t11890, t11892;
  double t11895, t11896, t11901, t11902, t11909, t11912, t11918, t11924;
  double t11927, t11930, t11937, t11942, t11945, t11946, t11947, t11952;
  double t11963, t11964, t11965, t11968, t11969, t11972, t11975, t11978;
  double t11979, t11981, t11983, t11986, t11987, t11990, t11992, t11993;
  double t11995, t12003, t12006, t12015, t12017, t12018, t12019, t12023;
  double t12024, t12025, t12026, t12029, t12030, t12037, t12038, t12039;
  double t12042, t12045, t12046, t12047, t12051, t12052, t12055, t12074;
  double t12075, t12082, t12087, t12088, t12091, t12094, t12109, t12110;
  double t12119, t12120, t12121, t12124, t12128, t12129, t12131, t12132;
  double t12135, t12136, t12139, t12140, t12141, t12142, t12144, t12147;
  double t12148, t12150, t12151, t12160, t12161, t12163, t12165, t12169;
  double t12176, t12180, t12181, t12184, t12186, t12187, t12188, t12191;
  double t12194, t12195, t12198, t12201, t12204, t12205, t12206, t12217;
  double t12220, t12227, t12232, t12233, t12234, t12239, t12240, t12244;
  double t12246, t12247, t12250, t12254, tv3rholapl20, tv3rholapl21, t12257, t12259;
  double t12262, t12267, t12273, t12278, t12289, t12291, t12292, t12294;
  double t12296, t12298, t12300, t12302, t12304, t12306, t12308, t12309;
  double t12311, tv3rholapl22, t12317, t12320, t12325, t12340, t12342, tv3rholapl23;
  double tv3rholapl24, t12344, t12345, t12346, t12349, t12350, t12351, t12354;
  double t12355, t12364, t12365, t12366, t12371, t12377, t12380, t12383;
  double t12390, t12395, t12398, t12399, t12400, t12401, t12408, t12409;
  double t12412, t12413, t12414, t12419, t12420, t12421, t12424, t12425;
  double t12427, t12428, t12436, t12437, t12438, t12442, t12443, t12446;
  double t12462, t12469, t12472, t12473, t12474, t12481, t12482, t12489;
  double t12493, t12494, t12498, t12499, t12501, t12504, t12505, t12507;
  double t12508, t12511, t12512, t12516, t12519, t12522, t12523, t12526;
  double t12529, t12534, t12535, t12540, t12543, t12544, t12551, t12554;
  double t12555, t12560, t12561, t12562, t12565, t12568, t12569, t12572;
  double t12575, t12576, t12579, t12580, t12583, t12584, t12587, t12598;
  double t12603, t12606, t12612, t12616, t12617, t12623, t12625, t12626;
  double t12630, t12632, t12633, t12635, t12638, t12643, t12648, t12650;
  double t12651, t12652, t12665, t12672, t12673, t12685, t12688, t12691;
  double t12700, t12712, t12715, t12716, t12719, t12720, t12723, t12724;
  double t12725, t12728, t12729, t12732, t12735, t12736, t12737, t12740;
  double t12743, t12747, tv3rholapl25, t12753, t12754, t12757, t12758, t12764;
  double t12765, t12768, t12770, t12773, t12775, t12778, t12779, t12784;
  double t12797, t12799, t12822, t12833, t12834, t12841, t12852, t12855;
  double t12862, t12865, t12870, t12873, t12876, t12891, t12892, t12895;
  double t12900, t12904, t12909, t12910, t12917, t12920, t12923, t12926;
  double t12927, t12928, t12929, t12932, t12937, t12938, t12939, t12942;
  double t12945, t12946, t12949, t12952, t12953, t12956, t12959, t12961;
  double t12971, t12974, t12983, t12987, t12990, t12991, t12998, t12999;
  double t13002, t13010, t13012, t13013, t13015, t13018, t13022, t13025;
  double t13028, t13031, t13034, t13037, t13041, t13042, t13044, t13045;
  double t13046, t13049, t13052, t13053, t13056, t13059, t13080, t13081;
  double t13082, t13085, t13086, t13089, t13090, t13093, t13096, t13103;
  double t13106, t13109, t13113, t13114, t13117, t13120, t13129, t13130;
  double t13133, t13134, t13137, t13140, t13143, t13151, t13158, t13162;
  double t13164, t13165, t13166, t13170, t13171, t13172, t13175, t13176;
  double t13179, t13182, t13185, t13186, t13189, t13190, t13192, t13197;
  double t13198, t13201, t13202, t13203, t13222, t13230, t13233, t13247;
  double t13248, t13250, t13252, t13254, t13256, t13258, t13260, t13271;
  double t13276, tv3rholapltau0, tv3rholapltau1, tv3rholapltau2, t13279, t13281, t13283, t13285;
  double t13287, t13289, t13291, t13293, t13295, t13308, t13310, t13312;
  double t13314, t13324, t13336, t13338, t13342, t13346, t13347, t13349;
  double tv3rholapltau3, t13373, t13386, t13388, tv3rholapltau4, tv3rholapltau5, tv3rholapltau6, t13390;
  double t13391, t13392, t13395, t13400, t13417, t13418, t13419, t13428;
  double t13437, t13440, t13441, t13444, t13447, t13449, t13451, t13455;
  double t13460, t13465, t13466, t13469, t13472, t13477, t13480, t13483;
  double t13490, t13492, t13493, t13494, t13505, t13506, t13528, t13531;
  double t13533, t13534, t13537, t13550, t13551, t13554, t13555, t13556;
  double t13559, t13560, t13563, t13564, t13567, t13570, t13571, t13574;
  double t13579, t13580, t13589, t13590, t13591, t13594, t13609, t13616;
  double t13623, t13634, t13642, t13645, t13652, t13653, t13655, t13656;
  double t13659, t13660, t13663, t13664, t13669, t13670, t13671, t13674;
  double t13675, t13678, t13680, t13684, t13685, t13688, t13691, t13702;
  double t13705, t13711, t13714, t13717, t13718, t13721, t13724, t13726;
  double t13729, t13732, t13733, t13736, t13739, t13742, t13743, t13746;
  double t13747, t13750, t13752, t13759, t13760, t13761, t13768, t13771;
  double t13774, t13777, t13780, t13787, t13790, t13797, t13798, t13801;
  double t13804, t13810, t13814, t13817, t13820, t13829, t13839, t13842;
  double t13853, t13868, t13869, t13878, t13883, tv3rholapltau7, t13885, t13886;
  double t13888, t13889, t13892, t13893, t13894, t13899, t13900, t13901;
  double t13906, t13907, t13908, t13911, t13914, t13915, t13920, t13926;
  double t13927, t13929, t13930, t13931, t13932, t13935, t13936, t13937;
  double t13940, t13943, t13945, t13947, t13949, t13951, t13952, t13954;
  double t13955, t13963, t13966, t13975, t13978, t13982, t13985, t13986;
  double t13987, t13989, t13990, t13993, t13995, t14006, t14009, t14010;
  double t14011, t14025, t14026, t14029, t14030, t14031, t14038, t14041;
  double t14050, t14052, t14053, t14054, t14055, t14058, t14059, t14062;
  double t14063, t14065, t14066, t14069, t14072, t14077, t14080, t14084;
  double t14085, t14088, t14109, t14110, t14111, t14115, t14120, t14121;
  double t14123, t14125, t14126, t14129, t14130, t14137, t14138, t14141;
  double t14154, t14155, t14158, t14160, t14166, t14169, t14172, t14179;
  double t14184, t14187, t14188, t14189, t14190, t14215, t14224, t14228;
  double t14229, t14230, t14234, t14237, t14241, t14242, t14246, t14247;
  double t14249, t14250, t14254, t14262, t14263, t14265, t14266, t14269;
  double t14270, t14271, t14274, t14277, t14278, t14281, t14285, t14287;
  double t14288, t14291, t14292, t14294, t14295, t14298, t14299, t14301;
  double t14304, t14305, t14310, t14313, t14318, t14321, t14322, t14327;
  double t14328, t14331, t14339, t14340, t14345, t14346, t14353, t14357;
  double t14358, t14359, t14362, t14365, t14366, t14369, t14372, t14377;
  double t14378, t14390, t14392, t14393, t14394, t14398, t14399, t14400;
  double t14421, t14425, tv3rhotau20, tv3rhotau21, t14432, t14433, t14435, t14437;
  double t14438, t14440, t14447, t14455, t14457, t14458, t14460, t14462;
  double t14464, t14466, t14468, t14470, t14472, t14474, t14480, t14485;
  double t14495, t14496, t14498, tv3rhotau22, t14512, t14517, t14522, t14535;
  double t14537, tv3rhotau23, tv3rhotau24, t14541, t14545, t14546, t14549, t14570;
  double t14571, t14572, t14581, t14600, t14605, t14606, t14608, t14609;
  double t14612, t14613, t14614, t14617, t14618, t14619, t14622, t14625;
  double t14627, t14628, t14631, t14632, t14635, t14638, t14639, t14640;
  double t14647, t14650, t14653, t14656, t14657, t14660, t14661, t14664;
  double t14665, t14666, t14673, t14674, t14678, t14679, t14682, t14685;
  double t14686, t14695, t14704, t14705, t14706, t14709, t14710, t14711;
  double t14714, t14717, t14721, t14727, t14730, t14733, t14740, t14745;
  double t14748, t14750, t14751, t14756, t14757, t14770, t14771, t14772;
  double t14791, t14792, t14793, t14799, t14802, t14803, t14804, t14806;
  double t14807, t14808, t14814, t14815, t14817, t14818, t14819, t14822;
  double t14823, t14827, t14830, t14831, t14840, t14847, t14854, t14857;
  double t14858, t14860, t14861, t14864, t14865, t14866, t14869, t14870;
  double t14873, t14876, t14877, t14888, t14891, t14894, t14907, t14908;
  double t14910, t14916, t14918, t14922, t14923, t14925, t14926, t14928;
  double t14931, t14932, t14937, t14940, t14941, t14946, t14948, t14949;
  double t14951, t14952, t14955, t14962, t14969, t14970, t14971, t14974;
  double t14975, t14978, t14981, t14984, t14986, t14987, t14990, t14991;
  double t14996, t14997, t15009, t15020, t15022, t15023, t15024, t15027;
  double t15032, t15035, t15036, t15041, t15045, tv3rhotau25, t15047, t15048;
  double t15049, t15050, t15057, t15058, t15061, t15062, t15063, t15071;
  double t15072, t15073, t15076, t15078, t15079, t15082, t15083, t15084;
  double t15087, t15090, t15091, t15092, t15093, t15094, t15097, t15098;
  double t15099, t15100, t15101, t15102, t15103, t15104, t15109, t15113;
  double t15121, t15128, t15129, t15130, t15131, t15136, t15137, t15142;
  double t15143, t15144, t15150, t15151, t15156, t15157, t15158, t15159;
  double t15160, t15161, t15162, t15163, t15164, t15167, t15169, t15170;
  double t15171, t15172, t15173, t15179, t15182, t15183, t15184, t15189;
  double t15192, t15195, t15204, t15205, t15208, t15209, t15211, t15214;
  double t15215, t15216, t15219, t15220, t15223, t15224, t15227, t15228;
  double t15237, t15238, t15239, t15240, t15241, t15244, t15245, t15246;
  double t15249, t15250, t15253, t15255, t15256, t15258, t15259, t15262;
  double t15263, t15266, t15267, t15268, t15271, t15274, t15275, t15282;
  double t15283, t15284, t15287, t15288, t15290, t15293, t15296, t15297;
  double t15298, t15299, t15302, t15305, tv3sigma30, tv3sigma31, tv3sigma32, tv3sigma33;
  double tv3sigma34, tv3sigma35, tv3sigma36, tv3sigma37, tv3sigma38, t15306, t15307, t15312;
  double t15313, t15314, t15315, t15319, t15320, t15323, t15324, t15325;
  double t15326, t15327, t15328, t15331, t15332, t15333, t15334, t15335;
  double t15340, t15344, t15352, t15359, t15360, t15361, t15362, t15365;
  double t15368, t15369, t15370, t15371, t15372, t15373, t15374, t15375;
  double t15376, t15381, t15382, t15383, t15384, t15385, t15386, t15387;
  double t15388, t15389, t15392, t15395, t15396, t15403, t15405, t15406;
  double t15407, t15408, t15411, t15412, t15415, t15416, t15417, t15421;
  double t15424, t15425, t15430, t15431, t15432, t15435, t15436, t15441;
  double t15444, t15447, t15448, t15450, t15451, t15454, t15455, t15456;
  double t15459, t15478, t15479, t15480, t15481, t15482, t15483, t15484;
  double t15487, t15488, t15489, t15494, t15496, t15497, t15499, t15500;
  double t15503, t15504, t15509, t15510, t15512, t15513, t15516, t15517;
  double t15518, t15519, t15522, t15523, t15528, t15531, t15532, t15535;
  double t15538, t15539, t15540, t15543, t15546, t15555, t15556, t15557;
  double t15558, t15561, t15564, tv3sigma39, t15565, t15566, t15567, t15569;
  double t15570, t15573, t15576, t15579, t15582, t15583, t15586, t15587;
  double t15588, t15592, t15593, t15596, t15597, t15598, t15601, t15602;
  double t15603, t15606, t15609, t15610, t15611, t15612, t15613, t15614;
  double t15615, t15622, t15623, t15624, t15625, t15626, t15629, t15632;
  double t15633, t15634, t15635, t15638, t15639, t15640, t15641, t15642;
  double t15643, t15646, t15649, t15650, t15652, t15653, t15654, t15655;
  double t15656, t15657, t15661, t15662, t15665, t15669, t15673, t15674;
  double t15675, t15676, t15678, t15679, t15680, t15681, t15682, t15683;
  double t15684, t15690, t15691, t15694, t15697, t15702, t15703, t15707;
  double t15708, t15712, t15715, t15716, t15717, t15718, t15723, t15724;
  double t15733, t15734, t15745, t15746, t15749, t15750, t15755, t15756;
  double t15759, t15760, t15761, t15762, t15763, t15764, t15765, t15766;
  double t15767, t15768, t15769, t15772, t15773, t15774, t15775, t15779;
  double t15782, t15785, t15788, t15791, t15794, t15795, t15796, t15799;
  double t15800, t15801, t15802, t15803, t15806, t15810, t15811, t15812;
  double t15813, t15816, t15819, t15822, t15825, t15828, t15830, t15831;
  double t15832, t15833, t15834, t15835, t15836, t15839, t15842, t15843;
  double t15845, t15848, tv3sigma2lapl0, tv3sigma2lapl1, tv3sigma2lapl2, tv3sigma2lapl3, tv3sigma2lapl4, tv3sigma2lapl5;
  double tv3sigma2lapl6, tv3sigma2lapl7, tv3sigma2lapl8, tv3sigma2lapl9, tv3sigma2lapl10, t15849, t15850, t15851;
  double t15852, t15853, t15854, t15857, t15858, t15861, t15862, t15865;
  double t15866, t15867, t15870, t15871, t15872, t15873, t15876, t15877;
  double t15878, t15881, t15882, t15885, t15886, t15887, t15890, t15891;
  double t15894, t15897, t15898, t15903, t15906, t15907, t15908, t15909;
  double t15910, t15911, t15912, t15913, t15914, t15915, t15916, t15919;
  double t15922, t15923, t15925, t15926, t15935, t15945, t15946, t15947;
  double t15948, t15949, t15950, t15951, t15954, t15966, t15969, t15972;
  double t15975, t15979, t15980, t15981, t15984, t15985, t15986, t15993;
  double t15994, t15999, t16000, t16001, t16002, t16005, t16007, t16010;
  double t16011, t16014, t16017, t16018, t16021, t16024, t16027, t16028;
  double t16029, t16030, t16031, t16034, t16035, t16036, t16037, t16041;
  double t16044, t16045, t16046, t16049, t16050, t16053, t16054, t16055;
  double t16059, t16062, t16067, t16068, t16069, t16070, t16073, t16074;
  double t16075, t16076, t16079, t16082, t16083, t16084, t16085, t16086;
  double t16087, t16088, t16089, t16090, t16093, t16096, t16099, t16102;
  double t16103, t16104, t16106, t16107, t16110, t16113, t16114, t16115;
  double t16117, t16118, t16119, t16120, t16121, t16125, t16126, t16127;
  double t16128, t16129, t16132, tv3sigma2lapl11, t16133, t16134, t16135, t16142;
  double t16143, t16144, t16146, t16149, t16162, t16163, t16164, t16165;
  double t16166, t16167, t16170, t16171, t16173, t16178, t16180, t16183;
  double t16189, t16190, t16191, t16198, t16199, t16202, t16203, t16206;
  double t16219, t16224, t16227, t16228, t16229, t16232, t16234, t16241;
  double t16247, t16250, t16253, t16254, t16257, t16260, t16270, t16272;
  double t16273, t16278, t16279, t16280, t16281, t16282, t16283, t16287;
  double t16291, t16304, t16305, t16308, t16309, t16317, t16318, t16323;
  double t16335, t16336, t16337, t16340, t16346, t16347, t16348, t16349;
  double t16368, t16372, tv3sigma2tau0, tv3sigma2tau1, tv3sigma2tau2, tv3sigma2tau3, tv3sigma2tau4, tv3sigma2tau5;
  double tv3sigma2tau6, tv3sigma2tau7, tv3sigma2tau8, tv3sigma2tau9, tv3sigma2tau10, t16373, t16374, t16382;
  double t16385, t16386, t16389, t16394, t16397, t16399, t16402, t16406;
  double t16409, t16413, t16418, t16419, t16424, t16425, t16432, t16439;
  double t16440, t16445, t16448, t16451, t16457, t16459, t16462, t16463;
  double t16464, t16465, t16466, t16467, t16472, t16473, t16491, t16492;
  double t16493, t16498, t16505, t16506, t16509, t16510, t16513, t16514;
  double t16526, t16527, t16545, t16546, t16549, t16550, t16551, t16558;
  double t16559, t16560, t16561, t16571, t16572, t16573, t16574, t16579;
  double t16584, t16587, t16588, t16589, t16592, t16593, t16603, t16604;
  double t16605, t16608, t16612, tv3sigma2tau11, t16613, t16622, t16623, t16624;
  double t16625, t16629, t16632, t16633, t16636, t16637, t16640, t16645;
  double t16646, t16647, t16650, t16651, t16652, t16655, t16656, t16659;
  double t16662, t16665, t16666, t16667, t16670, t16671, t16678, t16685;
  double t16687, t16690, t16695, t16698, t16699, t16700, t16701, t16702;
  double t16704, t16705, t16706, t16729, t16730, t16749, t16750, t16751;
  double t16752, t16755, t16756, t16757, t16758, t16760, t16761, t16764;
  double t16765, t16766, t16767, t16770, t16771, t16772, t16775, t16778;
  double t16779, t16782, t16785, t16786, t16789, t16791, t16792, t16796;
  double t16799, t16802, t16804, t16805, t16807, t16808, t16809, t16810;
  double t16811, t16812, t16813, t16814, t16815, t16816, t16818, t16831;
  double t16836, t16838, t16841, t16849, t16850, t16851, t16852, t16855;
  double t16862, t16863, t16864, t16865, t16866, t16867, t16870, t16871;
  double t16874, t16877, t16880, t16881, t16882, t16884, t16885, t16886;
  double t16889, t16890, t16891, t16894, t16897, t16900, t16901, t16902;
  double t16905, t16906, t16909, t16910, t16913, t16917, tv3sigmalapl20, tv3sigmalapl21;
  double tv3sigmalapl22, tv3sigmalapl23, tv3sigmalapl24, tv3sigmalapl25, tv3sigmalapl26, tv3sigmalapl27, t16918, t16919;
  double t16920, t16921, t16922, t16923, t16924, t16925, t16926, t16927;
  double t16944, t16951, t16968, t16970, t16971, t16974, t16977, t16982;
  double t16984, t16987, t16992, t16993, t16994, t16997, t16998, t16999;
  double t17002, t17003, t17004, t17011, t17015, t17016, t17019, t17024;
  double t17025, t17028, t17035, t17036, t17041, t17042, t17043, t17046;
  double t17047, t17048, t17051, t17054, t17057, t17058, t17061, t17064;
  double t17065, t17070, t17071, t17072, t17073, t17074, t17075, t17076;
  double t17077, t17079, t17080, t17089, t17090, t17091, t17092, t17095;
  double t17098, t17099, t17100, t17101, t17108, t17111, t17119, t17120;
  double t17122, t17126, t17129, t17134, t17136, t17137, t17141, t17144;
  double t17145, t17146, t17147, t17148, t17149, t17150, t17151, t17152;
  double t17155, t17158, t17159, t17162, t17165, t17167, t17168, t17169;
  double t17172, t17173, t17174, t17175, t17178, t17179, t17183, t17187;
  double t17190, t17191, t17194, t17195, t17198, t17199, t17200, t17203;
  double t17208, t17211, t17212, t17215, t17219, tv3sigmalapl28, t17220, t17223;
  double t17224, t17227, t17230, t17241, t17242, t17243, t17260, t17263;
  double t17264, t17267, t17273, t17276, t17279, t17286, t17287, t17288;
  double t17291, t17292, t17295, t17296, t17301, t17304, t17306, t17313;
  double t17320, t17333, t17334, t17335, t17336, t17341, t17344, t17345;
  double t17347, t17350, t17353, t17354, t17357, t17358, t17361, t17363;
  double t17366, t17368, t17370, t17373, t17377, t17381, t17384, t17387;
  double t17390, t17391, t17394, t17402, t17403, t17406, t17407, t17416;
  double t17417, t17420, t17423, t17426, t17431, t17432, t17435, t17438;
  double t17440, t17443, t17446, t17450, t17453, t17456, t17459, t17462;
  double t17466, t17468, t17469, t17470, t17473, t17474, t17477, t17478;
  double t17487, t17490, t17493, t17496, t17497, t17500, t17503, t17504;
  double t17507, t17510, t17513, t17514, t17517, t17520, t17521, t17524;
  double t17525, t17540, t17544, tv3sigmalapltau0, tv3sigmalapltau1, tv3sigmalapltau2, tv3sigmalapltau3, tv3sigmalapltau4;
  double tv3sigmalapltau5, tv3sigmalapltau6, tv3sigmalapltau7, tv3sigmalapltau8, tv3sigmalapltau9, tv3sigmalapltau10, t17547, t17550;
  double t17551, t17568, t17571, t17572, t17579, t17585, t17588, t17591;
  double t17596, t17597, t17598, t17601, t17603, t17606, t17607, t17610;
  double t17613, t17614, t17615, t17618, t17621, t17622, t17637, t17638;
  double t17641, t17644, t17647, t17654, t17663, t17664, t17667, t17676;
  double t17679, t17680, t17683, t17685, t17689, t17692, t17693, t17696;
  double t17697, t17699, t17702, t17705, t17708, t17709, t17712, t17713;
  double t17716, t17719, t17726, t17727, t17730, t17731, t17734, t17738;
  double t17739, t17744, t17745, t17746, t17749, t17752, t17755, t17758;
  double t17767, t17770, t17775, t17777, t17781, t17784, t17790, t17793;
  double t17796, t17799, t17802, t17804, t17805, t17806, t17809, t17810;
  double t17819, t17822, t17823, t17826, t17829, t17832, t17835, t17836;
  double t17839, t17840, t17847, t17850, t17853, t17855, t17858, t17859;
  double t17862, t17865, t17869, tv3sigmalapltau11, t17872, t17873, t17874, t17875;
  double t17878, t17879, t17882, t17885, t17888, t17895, t17902, t17903;
  double t17904, t17905, t17908, t17911, t17912, t17919, t17921, t17923;
  double t17925, t17926, t17927, t17930, t17932, t17941, t17942, t17945;
  double t17948, t17951, t17954, t17955, t17956, t17957, t17972, t17973;
  double t17982, t17985, t17988, t17997, t17998, t17999, t18018, t18019;
  double t18020, t18021, t18026, t18042, t18044, t18048, t18051, t18052;
  double t18053, t18055, t18056, t18059, t18061, t18066, t18069, t18070;
  double t18071, t18076, t18077, t18083, t18085, t18086, t18088, t18089;
  double t18094, t18095, t18109, t18113, t18114, t18115, t18116, t18119;
  double t18122, t18125, t18126, t18129, t18130, t18132, t18135, t18136;
  double t18137, t18138, t18149, t18150, t18152, t18153, t18154, t18173;
  double t18174, t18177, t18181, tv3sigmatau20, tv3sigmatau21, tv3sigmatau22, tv3sigmatau23, tv3sigmatau24;
  double tv3sigmatau25, tv3sigmatau26, tv3sigmatau27, t18182, t18185, t18186, t18187, t18188;
  double t18191, t18192, t18193, t18196, t18199, t18200, t18207, t18209;
  double t18211, t18214, t18215, t18220, t18237, t18238, t18241, t18242;
  double t18243, t18248, t18253, t18254, t18255, t18272, t18274, t18275;
  double t18278, t18281, t18282, t18285, t18286, t18289, t18291, t18298;
  double t18303, t18306, t18321, t18322, t18323, t18324, t18325, t18328;
  double t18329, t18330, t18339, t18340, t18341, t18349, t18352, t18355;
  double t18360, t18361, t18369, t18370, t18371, t18372, t18373, t18375;
  double t18380, t18381, t18382, t18384, t18395, t18397, t18398, t18401;
  double t18404, t18406, t18407, t18410, t18423, t18424, t18431, t18435;
  double t18436, t18437, t18438, t18439, t18440, t18442, t18443, t18444;
  double t18461, t18466, t18471, t18474, t18481, t18482, t18485, t18488;
  double t18489, t18493, tv3sigmatau28, t18496, t18498, t18499, t18502, t18503;
  double t18504, t18507, t18508, t18509, t18510, t18513, t18514, t18517;
  double t18520, t18521, t18524, t18527, t18528, t18529, t18536, t18537;
  double t18538, t18539, t18565, t18578, t18579, t18580, t18581, t18585;
  double t18586, t18589, t18591, t18593, t18594, t18595, t18600, t18601;
  double t18602, t18603, t18604, t18605, t18606, t18607, t18608, t18610;
  double t18611, t18612, t18615, t18618, t18619, t18620, t18623, t18626;
  double t18627, t18628, t18629, t18630, t18631, t18634, t18636, t18637;
  double t18639, t18640, t18641, t18642, t18645, t18646, t18655, t18658;
  double t18661, t18662, t18665, t18666, t18667, t18668, t18671, t18674;
  double t18675, t18679, t18680, t18683, t18686, t18695, t18698, t18699;
  double t18700, t18701, t18711, t18714, t18719, t18722, tv3lapl30, tv3lapl31;
  double tv3lapl32, t18723, t18725, t18728, t18729, t18734, t18735, t18736;
  double t18739, t18740, t18748, t18761, t18762, t18763, t18764, t18767;
  double t18772, t18774, t18775, t18778, t18779, t18780, t18783, t18784;
  double t18785, t18787, t18788, t18791, t18792, t18793, t18798, t18800;
  double t18801, t18804, t18805, t18808, t18811, t18812, t18815, t18816;
  double t18819, t18820, t18823, t18824, t18828, t18830, t18833, t18838;
  double t18839, t18844, t18845, t18848, t18851, t18852, t18853, t18854;
  double t18855, t18857, t18866, t18869, t18870, t18871, t18872, t18875;
  double t18876, t18877, t18878, t18881, t18884, t18885, t18887, t18888;
  double t18889, t18891, t18894, t18895, t18899, t18900, t18901, t18908;
  double t18911, t18914, t18915, t18916, t18926, t18929, t18930, t18931;
  double t18932, t18933, t18948, t18951, tv3lapl33, t18962, t18966, t18967;
  double t18970, t18971, t18972, t18977, t18978, t18979, t18983, t18984;
  double t18987, t18992, t18994, t19002, t19003, t19006, t19007, t19014;
  double t19015, t19018, t19021, t19024, t19027, t19032, t19033, t19042;
  double t19045, t19046, t19049, t19051, t19052, t19056, t19059, t19062;
  double t19063, t19070, t19071, t19074, t19077, t19078, t19079, t19082;
  double t19083, t19084, t19088, t19089, t19092, t19095, t19097, t19101;
  double t19104, t19105, t19108, t19109, t19111, t19114, t19117, t19118;
  double t19120, t19121, t19122, t19123, t19126, t19143, t19144, t19148;
  double t19149, t19152, t19155, t19156, t19159, t19162, t19165, t19168;
  double t19171, t19174, t19177, t19180, t19183, t19186, t19187, t19190;
  double t19193, t19196, t19199, t19202, t19205, t19206, t19207, t19208;
  double t19211, t19215, tv3lapl2tau0, tv3lapl2tau1, tv3lapl2tau2, tv3lapl2tau3, tv3lapl2tau4, t19226;
  double t19227, t19230, t19231, t19240, t19241, t19244, t19247, t19253;
  double t19256, t19259, t19262, t19263, t19266, t19268, t19271, t19272;
  double t19273, t19276, t19279, t19282, t19283, t19287, t19290, t19293;
  double t19298, t19301, t19304, t19305, t19306, t19307, t19314, t19319;
  double t19320, t19321, t19325, t19326, t19329, t19332, t19339, t19342;
  double t19343, t19350, t19351, t19354, t19357, t19358, t19359, t19362;
  double t19364, t19365, t19368, t19369, t19370, t19373, t19374, t19377;
  double t19378, t19379, t19382, t19385, t19388, t19389, t19391, t19394;
  double t19395, t19398, t19399, t19402, t19405, t19413, t19414, t19417;
  double t19420, t19427, t19430, t19433, t19434, t19437, t19439, t19442;
  double t19443, t19455, t19456, t19457, t19458, t19461, t19463, t19466;
  double t19469, t19472, t19475, t19479, tv3lapl2tau5, t19480, t19487, t19488;
  double t19493, t19500, t19501, t19502, t19503, t19506, t19507, t19508;
  double t19511, t19512, t19517, t19520, t19521, t19524, t19548, t19550;
  double t19551, t19552, t19555, t19556, t19557, t19563, t19566, t19569;
  double t19572, t19575, t19576, t19579, t19598, t19599, t19600, t19601;
  double t19606, t19609, t19614, t19615, t19618, t19619, t19620, t19623;
  double t19626, t19628, t19630, t19633, t19634, t19637, t19638, t19641;
  double t19644, t19645, t19648, t19649, t19653, t19660, t19664, t19665;
  double t19668, t19670, t19673, t19676, t19677, t19680, t19681, t19684;
  double t19685, t19687, t19690, t19695, t19698, t19701, t19712, t19713;
  double t19716, t19719, t19720, t19723, t19724, t19728, t19731, t19736;
  double t19746, t19747, t19749, t19751, t19752, t19757, t19760, t19765;
  double t19768, t19771, t19772, t19773, t19778, t19783, t19784, t19789;
  double t19791, t19792, t19793, t19796, t19800, tv3lapltau20, tv3lapltau21, tv3lapltau22;
  double tv3lapltau23, tv3lapltau24, t19811, t19816, t19819, t19820, t19827, t19836;
  double t19840, t19841, t19842, t19845, t19865, t19867, t19868, t19871;
  double t19874, t19877, t19878, t19879, t19884, t19887, t19890, t19891;
  double t19894, t19895, t19896, t19899, t19900, t19911, t19926, t19927;
  double t19928, t19931, t19934, t19935, t19938, t19939, t19942, t19945;
  double t19946, t19947, t19950, t19953, t19954, t19957, t19962, t19963;
  double t19966, t19967, t19972, t19975, t19978, t19980, t19982, t19983;
  double t19986, t19987, t19988, t19991, t19992, t19995, t19998, t19999;
  double t20002, t20005, t20006, t20007, t20009, t20010, t20023, t20025;
  double t20028, t20033, t20035, t20037, t20038, t20040, t20044, t20045;
  double t20050, t20053, t20058, t20061, t20068, t20070, t20071, t20072;
  double t20079, t20084, t20089, t20090, t20093, t20094, t20097, t20098;
  double t20101, t20104, t20107, t20109, t20111, t20114, t20118, tv3lapltau25;
  double t20119, t20120, t20121, t20122, t20123, t20133, t20146, t20147;
  double t20148, t20151, t20154, t20155, t20158, t20159, t20162, t20163;
  double t20164, t20166, t20167, t20170, t20173, t20182, t20183, t20184;
  double t20186, t20187, t20191, t20192, t20195, t20198, t20199, t20200;
  double t20203, t20210, t20211, t20212, t20213, t20214, t20217, t20218;
  double t20221, t20222, t20223, t20228, t20235, t20236, t20237, t20239;
  double t20240, t20241, t20244, t20245, t20248, t20250, t20265, t20266;
  double t20269, t20270, t20271, t20274, t20277, t20278, t20280, t20281;
  double t20282, t20283, t20284, t20285, t20292, t20295, t20297, t20298;
  double t20303, t20304, t20305, t20316, t20317, t20318, t20319, t20324;
  double t20325, t20332, t20335, t20338, t20343, t20354, t20355, t20359;
  double t20362, t20363, t20364, t20367, t20370, t20371, t20372, t20373;
  double t20376, t20389, t20390, t20391, t20394, t20397, t20398, t20399;
  double t20400, t20403, t20406, t20409, tv3tau30, tv3tau31, tv3tau32, t20410;
  double t20413, t20414, t20415, t20416, t20420, t20421, t20422, t20427;
  double t20428, t20429, t20449, t20462, t20463, t20464, t20467, t20468;
  double t20471, t20474, t20475, t20478, t20487, t20488, t20489, t20491;
  double t20492, t20495, t20498, t20501, t20508, t20511, t20512, t20513;
  double t20514, t20516, t20517, t20521, t20522, t20525, t20528, t20529;
  double t20530, t20531, t20532, t20533, t20534, t20538, t20539, t20542;
  double t20543, t20546, t20547, t20550, t20551, t20554, t20557, t20558;
  double t20561, t20576, t20579, t20582, t20583, t20584, t20587, t20588;
  double t20590, t20591, t20592, t20593, t20603, t20604, t20605, t20610;
  double t20611, t20614, t20620, t20623, t20624, t20625, t20629, t20636;
  double t20637, t20638, t20639, t20642, t20645, t20648, t20649, t20651;
  double t20652, t20655, t20658, t20671, t20672, t20673, t20676, t20679;
  double t20680, t20684, t20685, t20688, t20690, t20691, t20692, t20695;
  double t20696, t20697, t20700, tv3tau33;

  double t20703, t20705, t20708, t20709, t20711, t20714, t20716, t20721;
  double t20724, t20725, t20727, t20730, t20732, t20737, t20744, t20745;
  double t20750, t20751, t20752, t20756, t20757, t20758, t20759, t20760;
  double t20761, t20770, t20779, t20780, t20784, t20787, t20788, t20791;
  double t20792, t20793, t20804, t20807, t20809, t20811, t20814, t20817;
  double t20818, t20820, t20822, t20823, t20824, t20825, t20828, t20829;
  double t20830, t20831, t20832, t20833, t20834, t20838, t20841, t20842;
  double t20843, t20844, t20845, t20846, t20851, t20854, t20855, t20856;
  double t20859, t20862, t20863, t20867, t20868, t20871, t20872, t20876;
  double t20877, t20881, t20882, t20884, t20885, t20886, t20890, t20895;
  double t20903, t20906, t20913, t20915, t20916, t20919, t20922, t20924;
  double t20925, t20926, t20927, t20930, t20931, t20934, t20938, t20943;
  double t20947, t20956, t20958, t20960, t20964, t20965, t20967, t20969;
  double t20970, t20973, t20975, t20977, t20978, t20980, t20983, t20988;
  double t20991, t20994, t20996, t20998, t21000, t21005, t21009, t21011;
  double t21017, t21018, t21021, t21023, t21024, t21026, t21029, t21034;
  double t21037, t21040, t21041, t21044, t21048, t21053, t21062, t21067;
  double t21071, t21073, t21080, t21091, t21093, t21100, t21103, t21106;
  double t21108, t21109, t21111, t21113, t21116, t21119, t21122, t21127;
  double t21132, t21133, t21135, t21137, t21138, t21139, t21143, t21147;
  double t21149, t21151, t21164, t21179, t21180, t21186, t21188, t21190;
  double t21192, t21193, t21195, t21196, t21198, t21199, t21201, t21203;
  double t21204, t21206, t21208, t21210, t21212, t21215, t21218, t21230;
  double t21232, t21235, t21237, t21238, t21239, t21242, t21245, t21248;
  double t21259, t21262, t21288, t21295, t21298, t21299, t21306, t21327;
  double t21328, t21331, t21334, t21336, t21338, t21345, t21350, t21352;
  double t21359, t21362, t21363, t21364, t21367, t21369, t21372, t21376;
  double t21378, t21380, t21381, t21383, t21385, t21387, t21388, t21389;
  double t21393, t21395, t21396, t21397, t21399, t21401, t21402, t21404;
  double t21406, t21407, t21408, t21411, t21414, t21416, t21422, t21426;
  double t21430, t21433, t21434, t21435, t21440, t21445, t21447, t21452;
  double t21459, t21469, t21472, t21474, t21476, t21479, t21484, t21488;
  double t21514, t21517, t21519, t21521, t21524, t21529, t21532, t21535;
  double t21542, t21547, t21553, t21562, t21563, t21565, t21567, t21568;
  double t21571, t21577, t21580, t21583, t21586, t21588, t21594, t21596;
  double t21597, t21600, t21601, t21607, t21609, t21624, t21625, t21628;
  double t21629, t21632, t21635, t21639, t21648, t21660, t21665, t21670;
  double t21686, t21690, t21698, t21711, t21714, t21715, t21719, t21725;
  double t21735, t21738, t21741, t21744, t21748, t21752, t21755, t21757;
  double t21760, t21762, t21765, t21767, t21774, t21777, t21784, t21789;
  double t21804, t21806, t21811, t21815, t21820, t21827, t21830, t21833;
  double t21838, t21843, t21852, t21858, t21864, t21866, t21868, t21872;
  double t21879, t21882, t21885, t21889, t21892, t21895, t21898, t21905;
  double t21916, t21930, t21933, t21935, t21937, t21943, t21947, t21953;
  double t21956, t21960, t21963, t21975, t21982, t21985, t21986, t21989;
  double t21992, t21994, t21995, t21997, t22001, t22004, t22009, t22014;
  double t22019, t22030, t22035, t22038, t22045, t22047, t22052, t22053;
  double t22063, t22066, t22069, t22070, t22072, t22074, t22079, t22091;
  double t22096, t22100, t22115, t22119, t22121, t22123, t22125, t22126;
  double t22127, t22132, t22136, t22140, t22141, t22143, t22144, t22150;
  double t22156, t22157, t22160, t22164, t22169, t22179, t22184, t22185;
  double t22188, t22189, t22190, t22191, t22194, t22198, t22199, t22203;
  double t22205, t22209, t22210, t22211, t22215, t22218, t22219, t22222;
  double t22231, t22237, t22240, t22245, t22251, t22254, t22255, t22259;
  double t22262, t22264, t22267, t22272, t22273, t22274, t22277, t22280;
  double t22286, t22290, t22291, t22297, t22302, t22304, t22309, t22310;
  double t22317, t22321, t22324, t22329, t22334, t22337, t22343, t22346;
  double t22347, t22356, t22359, t22362, t22369, t22379, t22383, t22390;
  double t22393, t22405, t22410, t22413, t22418, t22421, t22424, t22433;
  double t22436, t22439, t22448, t22458, t22461, t22462, t22467, t22473;
  double t22474, t22476, t22477, t22483, t22488, t22491, t22495, t22502;
  double t22506, t22510, t22515, t22517, tv4rho40, t22522, t22525, t22529;
  double t22531, t22544, t22545, t22546, t22552, t22562, t22575, t22577;
  double t22600, t22610, t22612, t22616, t22622, t22629, t22632, t22639;
  double t22654, t22657, t22662, t22667, t22669, t22671, t22672, t22673;
  double t22674, t22675, t22676, t22678, t22680, t22681, t22685, t22689;
  double t22698, t22700, t22707, t22720, t22740, t22759, t22773, t22786;
  double t22790, t22792, t22796, t22801, t22802, t22804, t22806, t22807;
  double t22817, t22831, t22832, t22849, t22850, t22852, t22856, t22868;
  double t22877, t22891, t22894, t22896, t22900, t22902, t22904, t22905;
  double t22920, t22929, t22931, t22932, t22944, t22946, t22948, t22966;
  double t22971, t22972, t22974, t22976, t22977, t22978, t22979, t22980;
  double t22982, t22983, t22984, t22985, t22986, t22987, t22988, t22991;
  double t22992, t22994, t22997, t23002, t23003, t23004, t23010, t23011;
  double t23012, t23016, t23020, t23024, t23025, t23028, t23046, t23048;
  double t23052, t23059, t23061, tv4rho41, t23096, t23109, t23123, t23126;
  double t23136, t23149, t23153, t23160, t23164, t23171, t23174, t23177;
  double t23181, t23184, t23185, t23187, t23197, t23198, t23203, t23213;
  double t23222, t23226, t23237, t23241, t23244, t23246, t23253, t23255;
  double t23257, t23259, t23262, t23264, t23266, t23267, t23269, t23270;
  double t23271, t23274, t23276, t23277, t23279, t23282, t23284, t23286;
  double t23288, t23291, t23300, t23305, t23306, t23307, t23309, t23312;
  double t23315, t23317, t23318, t23320, t23322, t23323, t23325, t23326;
  double t23328, t23331, t23333, t23335, t23339, t23341, t23351, t23364;
  double t23368, t23375, t23377, t23380, t23382, t23384, t23388, t23390;
  double t23398, t23400, t23402, t23412, t23414, t23416, t23418, t23420;
  double t23421, t23425, t23429, t23432, t23444, t23445, t23446, t23448;
  double t23454, t23456, t23464, t23468, tv4rho42, t23489, t23493, t23500;
  double t23502, t23508, t23519, t23526, t23528, t23529, t23531, t23533;
  double t23534, t23548, t23556, t23559, t23561, t23573, t23575, t23589;
  double t23592, t23594, t23596, t23599, t23601, t23609, t23621, t23623;
  double t23625, t23627, t23629, t23631, t23633, t23635, t23636, t23638;
  double t23640, t23641, t23643, t23646, t23648, t23649, t23651, t23652;
  double t23654, t23655, t23658, t23660, t23662, t23664, t23666, t23668;
  double t23670, t23672, t23674, t23677, t23679, t23680, t23682, t23684;
  double t23686, t23688, t23690, t23693, t23695, t23697, t23700, t23702;
  double t23704, t23706, t23708, t23710, t23712, t23714, t23716, t23718;
  double t23720, t23722, t23724, t23726, t23732, t23740, t23758, t23766;
  double t23768, t23772, t23774, t23776, t23777, t23779, t23781, t23783;
  double t23784, t23786, t23787, t23789, t23791, t23793, t23795, t23797;
  double t23798, t23800, t23802, t23804, t23806, t23808, t23815, t23818;
  double t23827, t23831, t23834, t23853, t23856, t23858, t23860, t23862;
  double t23864, t23866, t23870, t23873, t23880, t23883, t23886, t23889;
  double t23890, t23891, t23893, t23895, t23896, t23898, t23900, t23902;
  double t23915, t23928, t23930, t23939, t23942, t23978, t23982, t24000;
  double t24004, t24028, t24029, t24031, t24032, t24034, t24039, tv4rho43;
  double t24044, t24049, t24056, t24060, t24069, t24073, t24085, t24087;
  double t24090, t24097, t24105, t24110, t24116, t24120, t24126, t24127;
  double t24139, t24140, t24141, t24142, t24144, t24147, t24148, t24149;
  double t24152, t24155, t24158, t24159, t24163, t24165, t24168, t24176;
  double t24186, t24191, t24205, t24206, t24216, t24227, t24230, t24255;
  double t24268, t24269, t24271, t24275, t24276, t24280, t24283, t24284;
  double t24288, t24291, t24296, t24301, t24306, t24308, t24312, t24315;
  double t24317, t24323, t24325, t24328, t24330, t24339, t24342, t24346;
  double t24349, t24357, t24360, t24366, t24371, t24372, t24375, t24376;
  double t24382, t24385, t24386, t24404, t24418, t24419, t24422, t24423;
  double t24429, t24435, t24436, t24442, t24448, t24452, t24455, t24458;
  double t24459, t24461, t24464, t24472, t24477, t24478, t24481, t24483;
  double t24484, t24485, t24491, t24496, t24502, t24505, t24509, t24516;
  double t24518, t24521, t24522, t24523, t24528, t24535, t24536, t24537;
  double t24538, t24539, t24540, t24541, t24542, t24545, t24548, t24551;
  double t24552, t24553, t24556, t24557, t24558, t24561, t24564, t24565;
  double t24576, t24577, t24578, t24581, t24582, t24583, t24591, t24595;
  double t24596, t24601, t24605, t24607, t24608, t24611, t24622, t24625;
  double t24634, t24636, t24641, t24644, t24659, t24664, t24671, t24674;
  double t24677, t24678, t24679, t24682, t24683, t24689, t24693, t24695;
  double t24700, t24708, t24713, t24714, t24715, t24718, t24719, t24726;
  double t24729, t24732, t24733, t24736, t24737, t24738, t24739, t24742;
  double t24745, t24752, t24756, t24760, t24762, t24766, t24777, t24785;
  double t24790, t24798, t24801, t24803, t24805, t24808, t24809, t24812;
  double t24815, t24820, t24826, t24835, t24836, t24841, t24854, t24861;
  double t24864, t24866, t24878, t24883, t24890, t24894, t24901, t24904;
  double t24908, t24911, t24912, t24914, t24917, t24920, t24936, t24945;
  double t24957, t24970, t24972, t24973, t24975, t24978, t24980, t24988;
  double t25000, t25008, t25015, t25018, t25020, t25035, t25046, t25049;
  double t25050, t25054, t25057, t25062, t25067, t25070, t25083, t25100;
  double t25115, t25122, t25123, t25146, t25148, t25175, t25183, t25185;
  double t25200, t25209, t25221, t25224, t25229, t25233, t25236, t25241;
  double t25243, t25246, t25268, t25273, t25280, t25283, t25286, t25287;
  double t25290, t25297, t25298, t25302, t25306, t25313, t25327, t25331;
  double t25336, t25349, t25353, t25361, t25373, t25376, t25391, t25393;
  double t25402, t25403, t25407, t25411, t25414, t25418, t25422, t25427;
  double t25431, t25436, t25439, t25443, t25451, t25454, t25457, t25460;
  double t25461, t25462, t25466, t25471, t25474, t25475, t25479, t25483;
  double t25496, t25509, t25517, t25530, t25543, t25546, t25548, t25561;
  double t25567, t25570, t25571, t25575, t25587, t25609, t25617, t25628;
  double t25629, t25632, t25635, t25641, t25646, t25651, t25657, tv4rho44;
  double t25671, t25672, t25696, t25697, t25708, t25709, t25714, t25718;
  double t25720, t25722, t25723, t25725, t25727, t25728, t25730, t25735;
  double t25739, t25740, t25741, t25744, t25749, t25752, t25755, t25758;
  double t25764, t25780, t25783, t25785, t25787, t25788, t25791, t25793;
  double t25795, t25798, t25799, t25801, t25804, t25805, t25807, t25810;
  double t25820, t25821, t25828, t25833, t25837, t25839, t25841, t25843;
  double t25851, t25871, t25878, t25883, t25885, t25887, t25889, t25891;
  double t25893, t25894, t25898, t25902, t25903, t25916, t25927, t25936;
  double t25940, t25942, t25943, t25945, t25950, t25960, t25979, t26003;
  double t26009, t26011, t26012, t26015, t26018, t26021, t26024, t26045;
  double t26047, t26050, t26051, t26052, t26053, t26056, t26057, t26060;
  double t26063, t26067, t26068, t26069, t26072, t26078, t26082, t26083;
  double t26092, t26094, t26095, t26096, t26099, t26100, t26102, t26103;
  double t26106, t26107, t26110, t26113, t26117, t26118, t26120, t26121;
  double t26123, t26124, t26128, t26130, t26132, t26134, t26136, t26138;
  double t26141, t26144, t26154, t26156, t26158, t26161, t26162, t26165;
  double t26166, t26169, t26171, t26182, t26184, t26187, t26189, t26191;
  double t26194, t26202, t26203, t26207, t26211, t26216, t26217, t26218;
  double t26221, t26224, t26225, t26228, t26229, t26233, t26242, t26246;
  double t26254, t26257, t26260, t26263, t26266, t26277, t26279, t26281;
  double t26285, t26288, t26292, t26297, t26299, t26303, t26306, t26307;
  double t26314, t26322, t26324, t26336, t26340, t26342, t26346, t26348;
  double t26351, t26352, t26353, t26362, t26364, t26387, t26390, t26392;
  double t26394, t26396, t26397, t26398, t26400, t26401, t26402, t26405;
  double t26407, t26410, t26411, t26414, t26415, t26416, t26420, t26425;
  double t26426, t26428, t26430, t26432, t26443, t26446, t26449, t26452;
  double t26455, t26457, t26458, t26462, t26467, t26468, t26469, t26473;
  double t26474, t26478, t26481, t26483, t26485, t26488, t26492, t26495;
  double t26497, t26499, t26501, t26507, t26512, t26514, t26522, t26526;
  double t26530, t26531, t26535, t26536, t26538, t26540, t26544, t26550;
  double t26551, t26552, t26556, t26559, t26563, t26570, t26574, t26578;
  double t26580, t26581, t26582, t26586, t26588, t26590, t26592, t26594;
  double t26596, t26598, t26600, t26602, t26609, t26610, t26612, t26616;
  double t26624, t26627, t26630, t26635, t26642, t26645, t26646, t26650;
  double t26653, t26662, t26665, t26668, t26670, t26673, t26678, t26680;
  double t26692, t26696, t26701, t26702, t26708, t26711, t26715, t26725;
  double t26730, t26759, t26761, t26762, t26763, t26765, t26767, t26768;
  double t26771, t26778, t26779, t26784, t26791, t26795, t26802, t26806;
  double t26807, t26808, t26809, t26810, t26811, t26819, t26822, t26825;
  double t26828, t26830, t26835, t26836, t26838, t26841, t26844, t26847;
  double t26848, t26851, t26854, t26856, t26857, t26863, t26868, t26873;
  double t26876, t26879, t26882, t26885, t26896, t26901, t26909, t26911;
  double t26913, t26916, t26919, t26921, t26927, t26929, t26932, t26948;
  double t26954, t26955, t26958, t26959, t26963, t26964, t26968, t26970;
  double t26971, t26973, t26976, t26978, t26980, t26981, t26982, t26986;
  double t26990, t26992, t26994, t26996, t26997, t27002, t27006, t27010;
  double t27011, t27013, t27014, t27018, t27021, t27026, t27031, t27032;
  double t27035, t27037, t27039, t27041, t27044, t27047, t27052, t27055;
  double t27070, t27074, t27081, t27092, t27096, t27097, t27098, t27100;
  double t27101, t27102, t27103, t27106, t27109, t27112, t27113, t27118;
  double t27121, t27124, t27126, t27127, t27132, t27133, t27136, t27141;
  double t27144, t27145, t27151, t27152, t27153, t27156, t27159, t27160;
  double t27163, t27164, t27168, t27171, t27172, t27176, t27179, t27182;
  double t27183, t27186, t27190, t27193, t27195, t27200, t27203, t27206;
  double t27207, t27210, t27211, t27218, t27219, t27220, t27223, t27226;
  double t27227, t27230, t27233, t27236, t27239, t27240, t27243, t27246;
  double t27249, t27252, t27260, t27265, t27270, t27275, t27278, t27283;
  double t27286, t27289, t27292, t27295, t27310, t27311, t27313, t27318;
  double t27322, t27329, t27330, t27333, t27340, t27341, t27344, t27349;
  double t27356, t27361, t27370, t27373, t27378, t27381, t27384, t27387;
  double t27390, t27393, t27396, t27404, t27405, t27407, t27408, t27411;
  double t27412, t27413, t27418, t27419, t27420, t27423, t27426, t27427;
  double t27432, t27440, t27442, t27444, t27445, t27454, t27457, t27460;
  double t27464, t27468, t27471, t27477, t27480, t27483, t27485, t27488;
  double t27491, t27496, t27504, t27507, t27508, t27511, t27519, t27527;
  double t27536, t27541, t27545, t27549, t27552, t27553, t27555, t27559;
  double t27565, t27570, t27576, t27580, t27584, t27591, t27594, t27595;
  double t27598, t27605, t27610, t27613, t27615, t27616, t27619, t27620;
  double t27621, t27626, t27631, t27633, t27637, t27640, t27641, t27646;
  double t27648, t27654, tv4rho3sigma0, tv4rho3sigma1, t27661, t27664, t27668, t27671;
  double t27673, t27676, t27679, t27681, t27684, t27685, t27686, tv4rho3sigma2;
  double t27688, t27697, t27702, t27712, t27715, t27726, t27743, t27752;
  double t27759, t27778, t27786, t27790, t27792, t27794, t27797, t27800;
  double t27818, t27851, t27853, t27854, t27855, t27857, t27865, t27867;
  double t27868, t27870, t27872, t27878, t27890, t27911, t27914, t27915;
  double t27918, t27921, t27923, t27934, t27936, t27938, t27941, t27950;
  double t27964, t27984, t28007, t28015, t28018, t28020, t28022, t28035;
  double t28038, t28053, t28063, t28067, t28070, t28084, t28093, t28099;
  double t28105, t28110, t28114, t28130, t28137, t28142, tv4rho3sigma3, tv4rho3sigma4;
  double t28144, t28145, t28147, t28148, t28151, t28152, t28154, t28156;
  double t28158, t28160, t28163, t28165, t28166, t28168, t28170, t28171;
  double t28173, t28175, t28178, t28179, t28181, t28187, t28192, t28194;
  double t28196, t28198, t28200, t28202, t28203, t28205, t28211, t28215;
  double t28227, t28229, t28231, t28233, t28256, t28258, t28259, t28263;
  double t28266, t28268, t28270, t28273, t28277, t28279, t28280, t28288;
  double t28289, t28291, t28294, t28295, t28298, t28301, t28302, t28305;
  double tv4rho3sigma5, t28311, t28323, t28331, t28336, t28343, t28349, t28357;
  double t28361, t28392, t28395, tv4rho3sigma6, tv4rho3sigma7, t28397, t28399, t28401;
  double t28403, t28405, t28407, t28409, t28411, t28413, t28414, t28416;
  double t28418, t28420, t28421, t28423, t28424, t28428, t28430, t28432;
  double t28439, t28440, t28442, t28443, t28445, t28452, t28454, t28456;
  double t28457, t28461, t28464, t28476, t28483, t28486, t28491, t28494;
  double t28497, t28503, t28509, t28525, t28527, t28529, t28531, t28533;
  double t28535, t28537, t28541, t28543, t28544, t28546, t28548, t28549;
  double t28551, t28553, t28555, t28565, t28573, t28575, t28577, t28579;
  double t28581, t28583, t28585, t28587, t28589, t28590, t28592, t28594;
  double t28599, t28613, t28633, t28635, t28637, t28639, t28641, t28643;
  double t28645, t28647, t28649, t28651, t28653, t28657, t28659, t28661;
  double t28663, t28665, t28667, t28690, t28697, t28699, t28701, t28702;
  double t28709, t28711, t28713, t28718, t28720, t28723, t28726, t28729;
  double t28731, t28733, t28735, t28738, t28749, t28758, t28763, t28764;
  double t28773, t28789, t28791, t28793, t28796, t28797, t28799, t28801;
  double t28803, t28807, t28808, t28810, t28812, t28813, t28815, t28817;
  double t28819, t28821, t28823, t28827, t28829, t28831, t28832, t28834;
  double t28836, t28838, t28841, t28844, t28846, t28848, t28850, t28852;
  double t28854, t28860, t28862, t28864, t28872, t28875, t28885, t28887;
  double t28889, t28891, t28893, t28894, t28899, t28900, t28902, t28905;
  double t28920, t28922, t28927, tv4rho3sigma8, t28943, t28944, tv4rho3sigma9, tv4rho3sigma10;
  double t28950, t28987, t28988, t28991, t28994, t28995, t28997, t28999;
  double t29000, t29001, t29002, t29005, t29007, t29014, t29016, t29019;
  double t29020, t29023, t29028, t29031, t29038, t29052, t29057, t29059;
  double t29062, t29068, t29073, t29078, t29083, t29084, t29089, t29092;
  double t29095, t29103, t29105, t29106, t29110, t29113, t29114, t29118;
  double t29119, t29120, t29123, t29126, t29127, t29131, t29133, t29134;
  double t29154, t29158, t29161, t29164, t29167, t29177, t29181, t29182;
  double t29195, t29197, t29201, t29204, t29216, t29218, t29219, t29220;
  double t29259, t29276, t29280, t29287, t29288, t29293, t29300, t29307;
  double t29308, t29330, t29333, t29337, t29339, t29342, t29346, t29349;
  double t29352, t29353, t29354, t29355, t29358, t29359, t29362, t29364;
  double t29368, t29369, t29370, t29374, t29375, t29379, t29380, t29385;
  double t29389, t29409, t29412, t29413, t29422, t29424, t29425, t29426;
  double t29436, t29439, t29440, t29446, t29447, t29448, t29451, t29452;
  double t29456, t29461, t29462, t29465, t29468, t29469, t29470, t29471;
  double t29474, t29475, t29476, t29479, t29482, t29485, t29489, t29493;
  double t29494, t29501, t29503, t29504, t29506, t29507, t29524, t29531;
  double t29540, t29545, t29546, t29549, t29556, t29560, t29571, t29575;
  double t29589, t29591, t29594, t29595, t29596, t29599, t29600, t29604;
  double t29605, t29608, t29609, t29618, t29623, t29627, t29628, t29631;
  double t29634, t29635, t29642, t29644, t29650, t29653, t29656, t29661;
  double t29662, t29665, t29666, t29667, t29670, t29671, t29674, t29677;
  double t29679, t29682, t29687, t29692, t29695, t29698, t29699, t29704;
  double t29705, t29710, t29717, t29718, t29721, t29727, t29734, t29737;
  double t29740, t29743, t29746, t29747, t29751, t29754, t29757, t29764;
  double t29767, t29770, t29781, t29784, t29790, t29791, t29794, t29797;
  double t29800, t29807, t29808, t29809, t29810, t29815, t29816, t29817;
  double t29820, t29821, t29823, t29824, t29827, t29828, t29829, t29832;
  double t29833, t29834, t29837, t29840, t29841, t29844, t29846, t29849;
  double t29850, t29853, t29854, t29857, t29860, t29863, t29864, t29867;
  double t29872, t29875, t29882, t29885, t29888, t29889, t29892, t29893;
  double t29894, t29897, t29900, t29903, t29906, t29913, t29916, t29926;
  double t29929, t29937, t29938, t29942, t29947, t29959, t29977, t29981;
  double t29985, t29988, t29989, t29993, t29994, t30004, t30008, t30011;
  double t30012, t30015, t30019, t30022, t30023, t30026, t30040, t30050;
  double t30053, t30056, t30065, t30069, t30072, t30076, t30080, t30087;
  double t30090, t30098, t30100, t30103, t30115, t30121, t30122, t30126;
  double t30129, t30134, t30135, t30136, t30139, t30141, t30143, t30146;
  double t30149, t30169, t30177, t30182, t30185, t30186, t30196, t30209;
  double t30210, t30211, t30215, t30222, t30231, t30242, t30264, t30268;
  double t30269, t30272, t30275, t30276, t30284, t30287, t30290, t30291;
  double t30296, t30300, t30303, t30310, t30313, t30323, t30325, t30329;
  double t30330, t30344, t30348, t30358, t30359, t30362, t30364, t30369;
  double t30370, t30373, t30389, t30392, t30400, t30408, t30414, t30421;
  double t30424, t30429, t30445, t30451, t30457, t30473, t30482, t30490;
  double t30494, t30497, t30511, t30523, t30544, t30549, t30552, t30555;
  double t30558, t30567, t30570, t30578, t30585, t30589, t30594, t30606;
  double t30611, t30614, t30617, t30621, t30622, t30627, t30631, t30634;
  double t30652, t30676, t30678, t30687, t30693, t30700, t30703, t30710;
  double t30715, t30718, t30722, t30726, t30733, t30737, t30740, t30743;
  double t30746, t30753, t30756, t30763, t30767, t30773, tv4rho3sigma11, t30776;
  double t30779, t30781, t30785, t30789, t30793, t30794, t30796, t30806;
  double t30809, t30811, t30813, t30815, t30817, t30819, t30821, t30823;
  double t30825, t30829, t30831, t30835, t30837, t30838, t30840, t30842;
  double t30845, t30853, t30854, t30866, t30896, t30910, t30916, t30921;
  double t30923, t30925, t30926, t30927, t30931, t30933, t30935, t30939;
  double t30944, t30949, t30956, t30957, t30959, t30962, t30963, t30965;
  double t30967, t30969, t30971, t30973, t30975, t30977, t30979, t30981;
  double t30985, t30987, t30990, t30993, t30994, t30997, t31000, t31002;
  double t31004, t31006, t31007, t31009, t31011, t31016, t31018, t31023;
  double t31026, t31031, t31033, t31035, t31036, t31038, t31040, t31042;
  double t31046, t31048, t31053, t31060, t31062, t31085, t31086, t31088;
  double t31096, t31102, t31104, t31107, t31112, t31113, t31131, t31139;
  double t31146, t31150, t31154, t31161, t31172, t31175, t31187, t31189;
  double t31191, t31200, t31217, t31220, t31223, t31227, t31239, t31243;
  double t31246, t31251, t31275, t31284, t31285, t31294, t31303, t31314;
  double t31316, t31318, t31320, t31326, t31327, t31328, t31329, t31331;
  double t31334, t31335, t31337, t31343, t31344, t31354, t31360, t31364;
  double t31380, t31387, t31388, t31390, t31392, t31404, t31406, t31407;
  double t31408, t31412, t31415, t31416, t31424, t31440, t31459, t31462;
  double t31465, t31466, t31470, t31473, t31474, t31478, t31479, t31482;
  double t31484, t31487, t31489, t31491, t31493, t31495, t31497, t31499;
  double t31512, t31544, t31555, t31558, t31560, t31562, t31572, t31585;
  double t31586, t31597, t31625, t31631, t31637, t31638, t31639, t31651;
  double t31654, t31658, t31665, t31669, t31671, t31673, t31675, t31676;
  double t31680, t31685, t31689, t31694, t31698, t31720, t31735, t31741;
  double t31744, t31748, t31752, t31767, t31775, t31779, t31786, t31789;
  double t31799, t31807, t31811, t31813, t31815, t31816, t31817, t31819;
  double t31824, t31842, t31845, t31849, t31855, t31861, t31872, t31874;
  double t31878, t31881, t31884, t31894, t31898, t31915, t31931, t31935;
  double t31937, t31939, t31942, t31947, t31954, t31960, t31961, t31967;
  double t31970, t31979, t31981, t31990, t31993, t31999, t32001, t32019;
  double t32025, t32039, t32042, t32043, t32046, t32049, t32054, t32055;
  double t32062, t32067, t32080, t32082, t32105, t32108, t32111, t32116;
  double t32123, t32130, t32143, t32174, t32177, t32204, t32215, t32216;
  double t32232, t32239, t32266, t32274, t32280, t32285, t32294, t32295;
  double t32297, t32301, t32314, t32315, t32317, t32322, t32325, t32327;
  double t32328, t32332, t32347, t32349, t32351, t32356, t32364, t32374;
  double t32385, t32399, t32401, t32403, t32418, t32424, t32427, t32429;
  double t32434, t32452, t32454, t32467, t32469, t32471, t32477, tv4rho3lapl0;
  double t32484, t32487, t32491, t32494, t32496, t32499, t32502, t32504;
  double t32507, t32508, t32509, tv4rho3lapl1, t32511, t32530, t32545, t32548;
  double t32553, t32568, t32592, t32598, t32609, t32612, t32633, t32645;
  double t32657, t32673, t32675, t32677, t32680, t32681, t32691, t32695;
  double t32697, t32701, t32702, t32705, t32714, t32728, t32730, t32732;
  double t32733, t32736, t32747, t32761, t32764, t32775, t32783, t32785;
  double t32786, t32806, t32821, t32825, t32834, t32865, t32872, t32879;
  double t32892, t32893, t32896, t32899, t32902, t32904, t32921, t32922;
  double t32928, t32929, t32933, t32935, t32943, t32953, t32958, tv4rho3lapl2;
  double t32960, t32962, t32964, t32966, t32967, t32969, t32971, t32973;
  double t32976, t32978, t32981, t32984, t32985, t32987, t32995, t32998;
  double t32999, t33004, t33013, t33014, t33016, t33018, t33020, t33022;
  double t33024, t33026, t33027, t33029, t33031, t33033, t33034, t33036;
  double t33038, t33039, t33041, t33043, t33045, t33047, t33049, t33052;
  double t33056, t33059, t33060, t33077, t33084, t33086, t33088, t33089;
  double t33095, t33097, t33099, t33101, t33105, t33106, t33108, t33110;
  double t33112, t33118, t33121, tv4rho3lapl3, t33137, t33139, t33152, t33155;
  double t33160, t33162, t33188, t33195, t33206, t33208, t33211, tv4rho3lapl4;
  double t33221, t33240, t33249, t33267, t33269, t33276, t33287, t33299;
  double t33304, t33311, t33320, t33322, t33339, t33350, t33352, t33354;
  double t33356, t33358, t33359, t33361, t33362, t33364, t33366, t33368;
  double t33369, t33371, t33373, t33375, t33377, t33383, t33386, t33388;
  double t33390, t33397, t33401, t33403, t33404, t33405, t33407, t33408;
  double t33409, t33411, t33413, t33414, t33416, t33418, t33420, t33422;
  double t33424, t33426, t33428, t33430, t33432, t33433, t33435, t33437;
  double t33440, t33443, t33445, t33448, t33450, t33452, t33454, t33456;
  double t33458, t33460, t33462, t33464, t33466, t33472, t33478, t33483;
  double t33486, t33491, t33493, t33495, t33496, t33498, t33500, t33503;
  double t33507, t33513, t33515, t33517, t33519, t33521, t33522, t33524;
  double t33526, t33527, t33529, t33531, t33533, t33535, t33537, t33539;
  double t33541, t33543, t33544, t33546, t33547, t33549, t33551, t33553;
  double t33555, t33557, t33559, t33561, t33563, t33565, t33566, t33568;
  double t33570, t33572, t33573, t33574, t33576, t33578, t33579, t33581;
  double t33583, t33590, t33597, t33600, t33602, t33604, t33606, t33608;
  double t33610, t33612, t33614, t33617, t33619, t33621, t33623, t33625;
  double t33632, t33646, t33648, t33651, t33678, t33680, t33682, t33688;
  double t33690, t33691, t33693, t33695, t33697, t33699, t33705, t33714;
  double t33716, t33718, t33730, t33735, tv4rho3lapl5, t33751, t33752, tv4rho3lapl6;
  double t33778, t33787, t33798, t33821, t33829, t33848, t33869, t33872;
  double t33874, t33885, t33892, t33895, t33897, t33904, t33906, t33917;
  double t33919, t33923, t33930, t33937, t33940, t33976, t33981, t33999;
  double t34002, t34004, t34019, t34028, t34043, t34051, t34062, t34065;
  double t34066, t34072, t34074, t34077, t34104, t34133, t34151, t34156;
  double t34160, t34163, t34186, t34190, t34200, t34212, t34216, t34222;
  double t34231, t34238, t34256, t34257, t34260, t34264, t34276, t34283;
  double t34284, t34296, t34300, t34303, t34308, t34315, t34345, t34365;
  double t34368, t34387, t34418, t34452, t34456, t34459, t34460, t34463;
  double t34466, t34469, t34473, t34477, t34506, t34520, t34529, t34545;
  double t34553, t34557, t34564, t34583, t34595, t34600, t34605, t34608;
  double t34611, t34630, t34634, t34637, t34638, t34654, t34669, t34671;
  double t34674, t34692, t34714, t34755, t34765, t34768, t34770, t34772;
  double t34804, t34805, t34819, t34833, t34848, t34867, t34871, t34874;
  double t34877, t34882, t34885, t34896, t34899, t34900, t34903, t34904;
  double t34905, t34914, t34927, t34936, t34942, t34947, t34954, t34959;
  double t34970, t34998, t35006, t35031, t35059, t35061, t35087, t35116;
  double t35128, t35132, t35134, t35147, t35190, t35213, t35231, t35234;
  double t35252, t35277, t35283, tv4rho3lapl7, t35288, t35292, t35294, t35296;
  double t35298, t35300, t35304, t35311, t35317, t35318, t35320, t35321;
  double t35329, t35330, t35332, t35334, t35335, t35336, t35339, t35347;
  double t35349, t35353, t35355, t35356, t35359, t35361, t35365, t35367;
  double t35369, t35371, t35385, t35387, t35388, t35390, t35392, t35395;
  double t35399, t35401, t35402, t35405, t35410, t35412, t35414, t35415;
  double t35417, t35421, t35424, t35426, t35428, t35430, t35438, t35441;
  double t35442, t35443, t35447, t35449, t35461, t35472, t35475, t35476;
  double t35479, t35485, t35487, t35488, t35490, t35496, t35499, t35502;
  double t35503, t35505, t35507, t35510, t35520, t35527, t35533, t35538;
  double t35541, t35550, t35552, t35561, t35564, t35569, t35577, t35579;
  double t35582, t35584, t35595, t35599, t35611, t35626, t35631, t35632;
  double t35647, t35649, t35654, t35659, t35663, t35665, t35667, t35669;
  double t35679, t35694, t35711, t35713, t35716, t35718, t35732, t35734;
  double t35736, t35738, t35743, t35748, t35752, t35754, t35756, t35758;
  double t35762, t35766, t35768, t35774, t35778, t35781, t35792, t35796;
  double t35798, t35800, t35804, t35810, t35812, t35814, t35823, t35828;
  double t35835, t35837, t35839, t35848, t35851, t35876, t35880, t35882;
  double t35884, t35886, t35889, t35892, t35900, t35902, t35905, t35914;
  double t35918, t35920, t35925, t35933, t35934, t35941, t35943, t35947;
  double t35952, t35956, t35958, t35961, t35963, t35965, t35969, t35971;
  double t35984, t35996, t36004, t36012, t36019, t36021, t36022, t36027;
  double t36029, t36032, t36038, t36044, t36048, t36051, t36054, t36056;
  double t36058, t36061, t36069, t36074, t36075, t36081, t36084, t36087;
  double t36092, t36097, t36100, t36105, t36114, t36129, t36145, t36146;
  double t36159, t36166, t36188, t36191, t36194, t36211, t36220, t36223;
  double t36250, t36252, t36281, t36310, t36318, t36342, t36345, t36346;
  double t36349, t36356, t36369, t36372, t36374, t36376, t36381, t36391;
  double t36393, t36395, t36397, t36408, t36411, t36412, t36418, t36419;
  double t36425, t36429, t36442, t36448, t36451, t36452, t36464, t36465;
  double t36472, t36473, t36474, t36475, t36483, t36490, t36502, t36527;
  double t36552, t36555, t36579, t36584, t36586, t36604, t36610, t36638;
  double t36660, t36664, t36668, t36670, t36680, t36699, t36710, t36711;
  double t36713, t36715, t36717, t36724, t36732, t36740, t36742, t36743;
  double t36751, t36756, t36759, t36776, t36780, t36791, t36792, t36798;
  double t36799, t36802, t36805, t36809, t36812, t36813, t36834, t36839;
  double t36849, t36867, t36878, t36881, t36887, t36889, t36891, t36896;
  double t36899, t36901, t36906, t36908, t36919, t36923, t36926, t36928;
  double t36929, t36931, t36933, t36935, t36937, t36938, t36964, t36965;
  double t36969, t36973, t36975, t36978, t36980, t36983, t36985, t36987;
  double t36993, t36994, t36995, t36997, t36998, t37000, t37002, t37006;
  double t37019, t37024, t37029, t37046, t37071, t37077, t37082, t37083;
  double t37096, t37106, t37114, t37121, t37126, t37130, t37132, t37134;
  double t37136, t37139, t37140, t37145, t37147, t37149, t37151, t37153;
  double t37155, t37157, t37162, t37177, t37181, t37183, t37184, t37186;
  double t37190, t37193, t37196, t37203, t37205, t37207, t37209, t37211;
  double t37213, t37214, t37219, t37235, t37247, t37249, t37252, t37258;
  double t37260, t37272, t37275, t37277, t37284, t37296, t37301, t37326;
  double t37339, t37348, t37350, t37352, t37354, t37355, t37357, t37358;
  double t37360, t37365, t37367, t37369, t37371, t37381, t37391, t37413;
  double t37414, t37421, tv4rho3tau0, t37428, t37431, t37435, t37438, t37440;
  double t37443, t37446, t37448, t37451, t37454, t37456, t37459, t37460;
  double t37461, tv4rho3tau1, t37463, t37476, t37483, t37484, t37491, t37494;
  double t37504, t37525, t37555, t37557, t37559, t37561, t37563, t37564;
  double t37567, t37570, t37576, t37606, t37610, t37613, t37615, t37616;
  double t37620, t37622, t37626, t37643, t37666, t37678, t37680, t37683;
  double t37688, t37697, t37699, t37702, t37730, t37747, t37752, t37767;
  double t37809, t37826, t37829, t37855, t37876, t37885, t37894, t37896;
  double t37898, t37900, t37903, t37906, t37907, t37909, t37914, t37918;
  double t37920, t37928, t37940, t37942, t37943, t37944, t37951, t37960;
  double t37962, t37964, t37965, t37967, t37970, t37973, t37977, t38000;
  double t38029, t38035, tv4rho3tau2, t38037, t38038, t38040, t38041, t38043;
  double t38045, t38046, t38048, t38050, t38052, t38054, t38058, t38063;
  double t38066, t38068, t38071, t38073, t38076, t38078, t38080, t38082;
  double t38084, t38086, t38088, t38090, t38091, t38095, t38097, t38100;
  double t38107, t38110, t38114, t38115, t38134, t38136, t38138, t38140;
  double t38143, t38145, t38151, t38153, t38154, t38156, t38158, t38159;
  double t38161, t38173, t38174, t38176, t38186, t38189, t38191, t38193;
  double t38194, t38197, t38199, t38200, t38202, t38204, t38206, t38208;
  double t38210, t38212, t38213, t38215, t38223, t38225, t38226, t38228;
  double t38230, t38232, t38234, t38238, tv4rho3tau3, t38258, t38263, t38270;
  double t38273, t38282, t38287, t38297, t38300, t38311, t38313, t38323;
  double t38335, t38337, t38344, t38350, t38354, tv4rho3tau4, t38363, t38366;
  double t38373, t38387, t38389, t38391, t38393, t38395, t38396, t38397;
  double t38399, t38401, t38403, t38405, t38407, t38409, t38410, t38412;
  double t38414, t38425, t38426, t38428, t38429, t38431, t38433, t38435;
  double t38442, t38444, t38448, t38450, t38459, t38466, t38475, t38477;
  double t38479, t38481, t38483, t38485, t38487, t38489, t38491, t38493;
  double t38495, t38499, t38524, t38536, t38542, t38544, t38554, t38556;
  double t38570, t38571, t38573, t38575, t38578, t38580, t38582, t38584;
  double t38586, t38588, t38593, t38595, t38601, t38614, t38620, t38623;
  double t38625, t38627, t38629, t38631, t38642, t38647, t38649, t38666;
  double t38669, t38672, t38674, t38676, t38678, t38680, t38682, t38684;
  double t38686, t38688, t38689, t38691, t38693, t38694, t38696, t38701;
  double t38702, t38704, t38706, t38732, t38734, t38736, t38738, t38740;
  double t38741, t38743, t38745, t38746, t38759, t38760, t38762, t38763;
  double t38765, t38769, t38771, t38773, t38787, t38796, t38798, t38800;
  double t38802, t38822, t38824, t38828, t38832, t38842, t38844, t38846;
  double t38848, t38850, t38852, t38854, t38856, t38858, t38859, t38861;
  double t38863, t38867, t38873, t38875, t38876, t38879, t38880, t38882;
  double t38884, t38886, t38888, t38890, t38892, t38894, t38896, t38900;
  double t38909, t38912, t38914, t38916, t38918, t38920, t38922, t38924;
  double t38926, t38929, t38931, t38933, t38935, t38936, t38938, t38940;
  double t38942, t38943, t38947, t38949, t38951, t38953, t38955, t38957;
  double t38959, t38961, t38963, t38965, t38984, t38989, t38992, t38998;
  double t39004, tv4rho3tau5, t39024, t39025, tv4rho3tau6, t39032, t39044, t39047;
  double t39048, t39051, t39053, t39054, t39061, t39064, t39069, t39074;
  double t39084, t39097, t39103, t39106, t39118, t39124, t39127, t39149;
  double t39164, t39173, t39175, t39183, t39190, t39191, t39195, t39202;
  double t39214, t39220, t39227, t39238, t39243, t39245, t39260, t39263;
  double t39264, t39290, t39293, t39302, t39313, t39318, t39325, t39350;
  double t39359, t39365, t39372, t39373, t39379, t39391, t39403, t39412;
  double t39421, t39430, t39431, t39432, t39435, t39436, t39437, t39442;
  double t39450, t39455, t39459, t39461, t39467, t39481, t39482, t39486;
  double t39492, t39497, t39505, t39512, t39518, t39523, t39527, t39540;
  double t39544, t39550, t39556, t39562, t39573, t39587, t39601, t39605;
  double t39616, t39637, t39659, t39689, t39697, t39703, t39705, t39716;
  double t39720, t39722, t39725, t39732, t39733, t39748, t39751, t39769;
  double t39771, t39777, t39780, t39801, t39807, t39810, t39825, t39831;
  double t39839, t39856, t39872, t39880, t39891, t39904, t39906, t39921;
  double t39925, t39931, t39943, t39958, t39976, t39979, t39988, t39991;
  double t40012, t40023, t40031, t40037, t40050, t40054, t40062, t40066;
  double t40083, t40087, t40091, t40094, t40112, t40124, t40145, t40146;
  double t40149, t40161, t40168, t40195, t40220, t40223, t40226, t40229;
  double t40236, t40241, t40245, t40250, t40266, t40284, t40301, t40315;
  double t40318, t40323, t40324, t40329, t40336, t40345, t40346, t40349;
  double t40350, t40355, t40367, t40371, t40384, t40394, t40413, t40428;
  double t40443, t40448, t40455, t40458, t40461, t40478, t40505, t40535;
  double t40540, t40564, t40575, t40594, t40606, t40607, t40612, t40623;
  double t40651, t40663, t40666, t40682, t40689, t40714, t40718, t40719;
  double t40730, t40744, t40755, t40757, t40764, t40767, t40773, t40779;
  double t40787, t40790, t40792, t40819, t40837, t40852, t40865, t40868;
  double t40870, t40876, t40879, t40882, t40885, t40894, t40905, t40907;
  double t40912, t40920, t40931, t40937, t40942, t40945, t40964, t40993;
  double t41000, tv4rho3tau7, t41003, t41008, t41016, t41018, t41020, t41022;
  double t41027, t41030, t41032, t41034, t41035, t41038, t41039, t41043;
  double t41045, t41050, t41056, t41059, t41062, t41066, t41069, t41073;
  double t41078, t41079, t41080, t41082, t41095, t41097, t41105, t41115;
  double t41120, t41123, t41124, t41125, t41126, t41128, t41130, t41132;
  double t41134, t41135, t41138, t41144, t41145, t41156, t41161, t41162;
  double t41169, t41178, t41185, t41188, t41197, t41212, t41222, t41224;
  double t41227, t41228, t41230, t41234, t41239, t41240, t41242, t41245;
  double t41249, t41250, t41251, t41252, t41254, t41256, t41257, t41259;
  double t41260, t41262, t41263, t41265, t41267, t41268, t41269, t41270;
  double t41274, t41276, t41287, t41289, t41291, t41292, t41293, t41294;
  double t41295, t41296, t41297, t41298, t41299, t41307, t41312, t41319;
  double t41322, t41324, t41325, t41328, t41329, t41330, t41332, t41339;
  double t41340, t41341, t41349, t41354, t41361, t41362, t41364, t41367;
  double t41374, t41381, t41383, t41384, t41385, t41393, t41400, t41402;
  double t41404, t41406, t41408, t41409, t41411, t41413, t41416, t41419;
  double t41422, t41431, t41441, t41444, t41471, t41478, t41481, t41486;
  double t41491, t41513, t41514, t41517, t41538, t41541, t41551, t41555;
  double t41557, t41558, t41559, t41560, t41561, t41566, t41567, t41569;
  double t41571, t41572, t41576, t41577, t41578, t41581, t41590, t41593;
  double t41597, t41600, t41608, t41610, t41612, t41613, t41616, t41618;
  double t41624, t41625, t41629, t41633, t41637, t41644, t41651, t41653;
  double t41656, t41657, t41660, t41663, t41666, t41669, t41675, t41679;
  double t41681, t41683, t41686, t41687, t41692, t41693, t41697, t41698;
  double t41701, t41703, t41706, t41709, t41710, t41711, t41714, t41717;
  double t41719, t41720, t41721, t41722, t41729, t41735, t41737, t41738;
  double t41742, t41744, t41751, t41753, t41756, t41757, t41758, t41761;
  double t41763, t41765, t41766, t41768, t41770, t41772, t41776, t41777;
  double t41778, t41779, t41780, t41784, t41787, t41789, t41794, t41797;
  double t41800, t41813, t41818, t41822, t41823, t41824, t41827, t41829;
  double t41832, t41834, t41835, t41837, t41838, t41839, t41841, t41843;
  double t41847, t41850, t41851, t41854, t41856, t41858, t41860, t41862;
  double t41864, t41866, t41870, t41871, t41872, t41875, t41877, t41881;
  double t41887, t41890, t41894, t41896, t41898, t41917, t41926, t41932;
  double t41934, t41938, t41939, t41942, t41944, t41948, t41949, t41950;
  double t41955, t41958, t41961, t41963, t41965, t41967, t41969, t41971;
  double t41973, t41974, t41975, t41978, t41979, t41980, t41985, t41988;
  double t41991, t41998, t42000, t42010, t42016, t42021, t42029, t42034;
  double t42037, t42038, t42042, t42046, t42050, t42051, t42056, t42064;
  double t42065, t42066, t42069, t42071, t42073, t42074, t42078, t42080;
  double t42084, t42096, t42102, t42104, t42106, t42109, t42116, t42120;
  double t42123, t42132, t42146, t42153, t42155, t42156, t42162, t42164;
  double t42167, t42168, t42172, t42175, t42177, t42180, t42184, t42186;
  double t42190, t42191, t42199, t42201, t42213, t42223, t42224, t42231;
  double t42234, t42236, t42241, t42242, t42245, t42246, t42247, t42250;
  double t42251, t42254, t42258, t42262, t42264, t42268, t42270, t42272;
  double t42274, t42275, t42279, t42283, t42285, t42286, t42289, t42297;
  double t42298, t42299, t42304, t42307, t42311, t42312, t42313, t42319;
  double t42321, t42322, t42325, t42335, t42338, t42342, t42344, t42346;
  double t42351, t42358, t42363, t42364, t42372, t42375, t42379, t42381;
  double t42382, t42387, t42389, t42391, t42394, t42396, t42399, t42401;
  double t42407, t42408, t42410, t42412, t42415, t42416, t42420, t42424;
  double t42427, t42429, t42431, t42432, t42436, t42440, t42444, t42453;
  double t42455, t42457, t42459, t42461, t42463, t42465, t42467, t42470;
  double t42473, t42478, t42482, t42485, t42488, t42491, t42498, t42502;
  double t42508, t42511, t42516, t42521, t42523, t42525, t42527, t42529;
  double t42530, t42532, t42535, t42537, t42543, t42544, t42546, t42547;
  double t42549, t42551, t42553, t42554, t42555, t42556, t42557, t42559;
  double t42563, t42576, t42579, t42583, t42586, t42587, t42593, t42598;
  double t42603, t42610, t42611, t42615, t42617, t42619, t42621, t42628;
  double t42630, t42632, t42633, t42645, t42650, t42653, t42660, t42663;
  double t42667, t42669, t42671, t42673, t42682, t42684, t42688, t42689;
  double t42693, t42698, t42699, t42701, t42702, t42703, t42704, t42705;
  double t42708, t42712, t42715, t42718, t42722, t42726, t42727, t42730;
  double t42733, t42738, t42740, t42741, t42744, t42746, t42747, t42748;
  double t42752, t42756, t42757, t42761, t42764, t42767, t42768, t42771;
  double t42772, t42773, t42776, t42777, t42778, t42781, t42782, t42785;
  double t42788, t42790, t42795, t42797, t42800, t42801, t42804, t42807;
  double t42808, t42809, t42812, t42813, t42816, t42819, t42822, t42825;
  double t42828, t42829, t42832, t42837, t42838, t42841, t42842, t42844;
  double t42847, t42850, t42853, t42856, t42860, t42861, t42864, t42867;
  double t42870, t42871, t42874, t42877, t42887, t42889, t42890, t42891;
  double t42893, t42897, t42900, t42902, t42904, t42906, t42909, t42914;
  double t42919, t42922, t42924, t42927, t42931, t42934, t42937, t42938;
  double t42945, t42948, t42950, t42959, t42960, t42965, t42968, t42972;
  double t42976, t42977, t42983, t42986, t42992, t42997, t43004, t43005;
  double t43009, t43013, t43016, t43017, t43019, t43021, t43023, t43025;
  double t43028, t43031, t43034, t43038, t43041, t43045, t43046, t43049;
  double t43052, t43055, t43059, t43061, t43064, t43067, t43068, t43071;
  double t43072, t43075, t43076, t43079, t43080, t43081, t43082, t43085;
  double t43090, t43094, t43096, t43097, t43109, t43116, t43119, t43120;
  double t43122, t43125, t43130, t43139, t43142, t43145, t43148, t43150;
  double t43153, t43156, t43159, t43165, t43169, t43171, t43174, t43181;
  double t43186, t43189, t43190, t43191, t43194, t43197, t43206, t43209;
  double t43214, t43215, t43216, t43220, t43223, t43226, t43230, t43233;
  double t43236, t43240, t43241, t43248, t43261, t43265, t43266, t43270;
  double t43271, t43276, t43279, t43287, t43295, t43304, t43309, t43312;
  double t43315, t43320, t43323, t43327, t43330, t43333, t43337, t43341;
  double t43348, t43351, t43357, t43360, t43364, t43371, t43372, t43383;
  double t43386, t43388, t43390, t43393, t43406, t43407, t43411, t43417;
  double t43421, t43425, t43432, tv4rho2sigma20, tv4rho2sigma21, tv4rho2sigma22, tv4rho2sigma23, tv4rho2sigma24;
  double t43435, t43440, t43451, t43463, t43466, t43467, t43469, t43471;
  double t43473, t43475, t43477, t43482, t43484, t43486, t43489, t43491;
  double t43493, t43495, t43497, t43499, t43501, t43502, t43503, t43504;
  double t43506, t43509, t43511, t43514, t43516, t43518, t43520, t43522;
  double t43524, t43525, t43528, t43531, t43532, t43535, tv4rho2sigma25, t43537;
  double t43540, t43545, t43546, t43547, t43548, t43549, t43550, t43556;
  double t43563, t43565, t43567, t43568, t43570, t43572, t43573, t43587;
  double t43589, t43591, t43594, t43595, t43596, t43616, t43621, t43623;
  double t43630, t43632, t43633, t43647, t43653, t43662, t43684, t43688;
  double t43697, t43717, t43731, t43732, t43734, t43736, t43743, t43745;
  double t43765, t43793, t43795, t43798, t43818, t43826, t43833, t43835;
  double t43846, t43850, t43851, t43852, t43853, t43855, t43857, t43860;
  double t43862, t43864, t43866, t43868, t43869, t43875, t43877, t43879;
  double t43881, t43882, t43887, t43902, t43912, t43914, t43919, tv4rho2sigma26;
  double tv4rho2sigma27, tv4rho2sigma28, tv4rho2sigma29, tv4rho2sigma210, t43921, t43922, t43924, t43931;
  double t43933, t43935, t43942, t43943, t43945, t43947, t43949, t43951;
  double t43953, t43955, t43956, t43958, t43959, t43960, t43962, t43964;
  double t43966, t43967, t43969, t43971, t43973, t43975, t43977, t43979;
  double t43980, t43981, t43982, t43983, t43984, t43986, t43987, t43990;
  double t43991, t43993, t43995, t43996, t44000, t44002, t44004, t44006;
  double t44008, t44010, t44015, t44021, t44025, t44028, t44029, t44030;
  double t44031, t44032, t44033, t44035, t44037, t44039, t44049, t44058;
  double t44059, t44060, t44061, t44073, t44074, t44076, t44078, t44080;
  double t44082, t44084, t44086, t44088, t44090, t44092, t44094, t44096;
  double t44098, t44100, t44102, t44104, t44107, t44113, t44120, t44122;
  double t44136, t44137, t44139, t44141, t44154, t44156, t44157, t44159;
  double t44161, t44163, t44167, t44169, t44171, t44173, t44175, t44177;
  double t44179, t44181, t44183, t44185, t44193, t44216, t44217, t44218;
  double t44219, t44220, t44221, t44222, t44224, t44239, t44242, t44244;
  double t44252, t44263, t44265, t44267, t44269, t44271, t44273, t44275;
  double t44277, t44279, t44281, t44283, t44285, t44288, t44290, t44292;
  double t44294, t44296, t44298, t44300, t44302, t44304, t44306, t44307;
  double t44309, t44311, t44313, t44315, t44317, t44319, t44320, t44321;
  double t44322, t44323, t44328, t44332, t44333, t44334, t44335, t44336;
  double t44337, t44340, t44353, t44354, t44360, t44373, t44378, t44379;
  double t44389, t44390, t44395, t44400, tv4rho2sigma211, t44415, t44417, t44424;
  double t44427, t44432, t44448, t44452, t44455, tv4rho2sigma212, tv4rho2sigma213, tv4rho2sigma214;
  double tv4rho2sigma215, tv4rho2sigma216, t44460, t44461, t44462, t44465, t44470, t44471;
  double t44474, t44483, t44484, t44488, t44492, t44496, t44497, t44498;
  double t44501, t44502, t44503, t44506, t44507, t44508, t44517, t44520;
  double t44532, t44540, t44541, t44544, t44546, t44549, t44550, t44555;
  double t44556, t44559, t44560, t44561, t44569, t44570, t44578, t44581;
  double t44585, t44589, t44590, t44592, t44595, t44600, t44601, t44606;
  double t44608, t44609, t44612, t44614, t44617, t44620, t44623, t44628;
  double t44638, t44645, t44647, t44649, t44659, t44678, t44684, t44687;
  double t44699, t44701, t44703, t44704, t44706, t44710, t44714, t44721;
  double t44722, t44726, t44736, t44737, t44746, t44747, t44748, t44749;
  double t44752, t44760, t44765, t44785, t44789, t44794, t44795, t44804;
  double t44806, t44811, t44826, t44829, t44839, t44845, t44847, t44849;
  double t44850, t44858, t44861, t44864, t44866, t44867, t44880, t44895;
  double t44908, t44915, t44923, t44926, t44947, t44950, t44953, t44971;
  double t44972, t44975, t44984, t45008, t45019, t45026, t45030, t45032;
  double t45033, t45035, t45036, t45040, t45052, t45055, t45057, t45059;
  double t45061, t45063, t45074, t45078, t45080, t45083, t45084, t45086;
  double t45091, t45093, t45097, t45100, t45101, t45102, t45103, t45104;
  double t45107, t45111, t45112, t45113, t45116, t45120, t45122, t45124;
  double t45125, t45127, t45131, t45133, t45135, t45137, t45142, t45150;
  double t45151, t45156, t45164, t45167, t45170, t45173, t45176, t45177;
  double t45183, t45192, t45195, t45198, t45199, t45212, t45214, t45228;
  double t45233, t45234, t45236, t45239, t45241, t45243, t45244, t45249;
  double t45252, t45257, t45264, t45269, t45270, t45273, t45276, t45277;
  double t45280, t45283, t45284, t45286, t45289, t45293, t45309, t45315;
  double t45316, t45317, t45325, t45330, t45332, t45333, t45335, t45338;
  double t45340, t45343, t45347, t45351, t45353, t45359, t45363, t45367;
  double t45368, t45371, t45376, t45378, t45379, t45381, t45385, t45391;
  double t45399, t45400, t45406, t45407, t45414, t45418, t45423, t45426;
  double t45427, t45430, t45432, t45434, t45435, t45437, t45438, t45439;
  double t45442, t45444, t45445, t45446, t45449, t45452, t45453, t45459;
  double t45468, t45471, t45476, t45478, t45481, t45482, t45487, t45490;
  double t45494, t45498, t45502, t45503, t45505, t45509, t45517, t45520;
  double t45521, t45524, t45525, t45526, t45531, t45534, t45537, t45539;
  double t45541, t45543, t45544, t45547, t45576, t45578, t45595, t45598;
  double t45600, t45603, t45606, t45607, t45608, t45611, t45614, t45631;
  double t45635, t45643, t45656, t45659, t45660, t45663, t45678, t45684;
  double t45687, t45688, t45692, t45697, t45700, t45703, t45707, t45710;
  double t45713, t45714, t45717, t45720, t45725, t45728, t45731, t45734;
  double t45737, t45740, t45743, t45748, t45751, t45754, t45757, t45759;
  double t45762, t45767, t45771, t45775, t45779, t45782, t45785, t45790;
  double t45794, t45798, t45799, t45805, t45806, t45825, t45830, t45831;
  double t45832, t45833, t45837, t45843, t45850, t45858, t45861, t45866;
  double t45872, t45874, t45877, t45893, t45903, t45917, t45922, t45925;
  double t45936, t45946, t45948, t45950, t45951, t45954, t45956, t45959;
  double t45962, t45965, t45986, t45990, t46000, t46002, t46004, t46005;
  double t46012, t46024, t46025, t46029, t46030, t46031, t46032, t46033;
  double t46037, t46042, t46045, t46047, t46048, t46051, t46053, t46054;
  double t46055, t46057, t46065, t46073, t46074, t46078, t46081, t46082;
  double t46085, t46086, t46091, t46100, t46103, t46104, t46106, t46109;
  double t46112, t46113, t46116, t46119, t46122, t46124, t46125, t46128;
  double t46131, t46134, t46135, t46136, t46139, t46140, t46143, t46146;
  double t46147, t46149, t46152, t46153, t46156, t46157, t46160, t46163;
  double t46166, t46169, t46172, t46173, t46176, t46181, t46183, t46187;
  double t46190, t46195, t46196, t46200, t46206, t46211, t46214, t46216;
  double t46217, t46222, t46225, t46228, t46231, t46233, t46234, t46238;
  double t46239, t46241, t46248, t46249, t46252, t46253, t46256, t46257;
  double t46260, t46261, t46262, t46263, t46264, t46265, t46268, t46272;
  double t46273, t46276, t46279, t46282, t46285, t46288, t46291, t46295;
  double t46301, t46303, t46308, t46311, t46314, t46318, t46321, t46322;
  double t46325, t46328, t46331, t46335, t46338, t46339, t46340, t46345;
  double t46348, t46351, t46357, t46363, t46364, t46366, t46374, t46379;
  double t46381, t46382, t46392, t46393, t46396, t46397, t46404, t46409;
  double t46413, t46414, t46418, t46421, t46427, t46428, t46430, t46431;
  double t46432, t46433, t46438, t46447, t46452, t46454, t46457, t46462;
  double t46464, t46468, t46471, t46474, t46478, t46479, t46482, t46486;
  double t46488, t46491, t46494, t46497, t46502, t46511, t46517, t46520;
  double t46533, t46548, t46553, t46554, t46561, t46564, t46567, t46576;
  double t46583, t46584, t46585, t46594, t46598, t46599, t46601, t46603;
  double t46604, t46611, t46615, t46620, t46621, t46622, t46623, t46631;
  double t46632, t46633, t46639, t46641, t46646, t46650, t46651, t46654;
  double t46656, t46657, t46666, t46668, t46674, t46677, t46683, t46687;
  double t46688, t46692, t46696, t46697, t46701, t46705, t46708, t46711;
  double t46716, t46720, t46727, t46731, t46738, tv4rho2sigma217, t46744, t46767;
  double t46771, t46773, t46775, t46779, t46783, t46784, t46787, t46791;
  double t46793, t46795, t46798, t46818, t46847, t46850, t46868, t46871;
  double t46872, t46876, t46877, t46880, t46881, t46901, t46911, t46915;
  double t46930, t46931, t46934, t46954, t46956, t46959, t46962, t46963;
  double t46965, t46967, t46970, t46972, t46974, t46977, t46979, t46981;
  double t46983, t46985, t46987, t46989, t46991, t46995, t46996, t46998;
  double t47003, t47008, t47013, t47017, t47018, t47020, t47022, t47023;
  double t47025, t47027, t47029, t47040, t47044, t47046, t47050, t47057;
  double t47060, t47063, t47067, t47073, t47074, t47075, t47090, t47097;
  double t47099, t47117, t47121, t47123, t47125, t47127, t47129, t47131;
  double t47135, t47136, t47140, t47142, t47145, t47147, t47148, t47150;
  double t47154, t47156, t47158, t47160, t47162, t47167, t47170, t47171;
  double t47176, t47178, t47183, t47185, t47198, t47201, t47203, t47214;
  double t47215, t47218, t47219, t47224, t47232, t47234, t47235, t47236;
  double t47240, t47245, t47249, t47251, t47258, t47259, t47260, t47263;
  double t47264, t47265, t47286, t47291, t47296, t47299, t47308, t47321;
  double t47336, t47337, t47342, t47344, t47346, t47348, t47350, t47352;
  double t47356, t47357, t47368, t47374, t47377, t47378, t47381, t47384;
  double t47387, t47389, t47390, t47393, t47395, t47397, t47400, t47403;
  double t47407, t47410, t47414, t47417, t47418, t47421, t47424, t47425;
  double t47430, t47438, t47440, t47441, t47443, t47445, t47447, t47453;
  double t47456, t47461, t47467, t47471, t47472, t47497, t47510, t47513;
  double t47514, t47520, t47547, t47551, t47554, t47556, t47576, t47580;
  double t47582, t47584, t47589, t47590, t47592, t47593, t47596, t47598;
  double t47601, t47603, t47604, t47605, t47606, t47609, t47610, t47611;
  double t47612, t47615, t47618, t47619, t47622, t47625, t47629, t47640;
  double t47655, t47662, t47664, t47669, t47678, t47679, t47681, t47683;
  double t47685, t47693, t47696, t47699, t47705, t47708, t47722, t47724;
  double t47732, t47738, t47748, t47757, t47774, t47778, t47781, t47783;
  double t47785, t47787, t47795, t47796, t47798, t47804, t47807, t47808;
  double t47815, t47817, t47821, t47824, t47827, t47831, t47840, t47843;
  double t47848, t47852, t47855, t47857, t47859, t47862, t47865, t47866;
  double t47873, t47878, t47881, t47882, t47883, t47897, t47905, t47910;
  double t47913, t47919, t47932, t47941, t47951, t47953, t47955, t47957;
  double t47967, t47969, t47970, t47976, t47980, t47983, t47985, t47987;
  double t47998, t48016, t48018, t48025, t48029, t48033, t48037, t48042;
  double t48047, t48049, t48054, t48056, t48058, t48061, t48064, t48066;
  double t48069, t48072, t48083, t48095, t48110, t48117, t48118, t48120;
  double t48129, t48134, t48138, t48142, t48143, t48149, t48155, t48159;
  double t48160, t48163, t48169, t48177, t48178, t48180, t48182, t48184;
  double t48191, t48198, t48203, t48218, t48220, t48222, t48224, t48226;
  double t48228, t48230, t48231, t48233, t48235, t48237, t48241, t48244;
  double t48248, t48254, t48263, t48267, t48271, t48275, t48279, t48280;
  double t48284, t48285, t48295, t48307, t48315, t48325, t48327, t48331;
  double t48334, t48338, t48342, t48344, t48346, t48351, t48354, t48358;
  double t48365, t48375, t48381, t48383, t48384, t48387, t48389, t48391;
  double t48393, t48395, t48396, t48402, t48404, t48405, t48410, t48411;
  double t48412, t48413, t48416, t48417, t48420, t48425, t48426, t48429;
  double t48434, t48437, t48442, t48445, t48446, t48462, t48465, t48466;
  double t48469, t48476, t48478, t48481, t48482, t48493, t48496, t48497;
  double t48506, t48509, t48518, t48521, t48522, t48523, t48526, t48529;
  double t48532, t48551, t48556, t48557, t48560, t48563, t48564, t48571;
  double t48572, t48575, t48576, t48579, t48582, t48585, t48588, t48591;
  double t48592, t48597, t48605, t48606, t48607, t48617, t48624, t48631;
  double t48636, t48640, t48653, t48656, t48659, t48662, t48665, t48669;
  double t48670, t48679, t48691, t48694, t48697, t48699, t48703, t48706;
  double t48707, t48708, t48711, t48724, t48733, t48740, t48745, t48754;
  double t48765, t48772, t48776, t48793, t48800, t48814, t48825, t48833;
  double t48845, t48848, t48852, t48855, t48859, t48862, t48866, t48869;
  double t48874, t48878, t48883, t48892, t48895, t48902, t48903, t48907;
  double t48908, t48916, t48930, t48933, t48950, t48953, t48956, t48959;
  double t48964, t48967, t48968, t48971, t48974, t48977, t48980, t48985;
  double t48991, t48996, t49001, t49007, t49014, tv4rho2sigmalapl0, tv4rho2sigmalapl1, tv4rho2sigmalapl2;
  double tv4rho2sigmalapl3, tv4rho2sigmalapl4, t49032, t49034, t49035, t49037, t49039, t49041;
  double t49043, t49045, t49046, t49048, t49050, t49052, t49054, t49056;
  double t49060, t49065, t49067, t49068, t49070, t49072, t49083, t49085;
  double t49086, t49088, t49090, t49091, t49093, t49095, t49097, t49099;
  double t49102, t49105, t49108, tv4rho2sigmalapl5, t49115, t49136, t49138, t49139;
  double t49157, t49165, t49184, t49199, t49220, t49254, t49258, t49285;
  double t49304, t49329, t49331, t49365, t49400, t49434, t49446, t49448;
  double t49450, t49454, t49461, t49463, t49465, t49466, t49468, t49470;
  double t49472, t49474, t49476, t49481, t49487, t49503, t49511, t49513;
  double t49518, tv4rho2sigmalapl6, tv4rho2sigmalapl7, tv4rho2sigmalapl8, tv4rho2sigmalapl9, tv4rho2sigmalapl10, t49520, t49523;
  double t49535, t49537, t49539, t49541, t49542, t49544, t49546, t49548;
  double t49549, t49551, t49552, t49562, t49564, t49566, t49568, t49570;
  double t49572, t49574, t49586, t49592, t49594, t49596, t49598, t49599;
  double t49601, t49603, t49605, t49607, t49609, t49611, t49613, t49615;
  double t49617, t49619, t49621, t49623, t49625, t49627, t49629, t49631;
  double t49633, t49635, t49637, t49640, t49648, t49656, t49658, t49672;
  double t49674, t49676, t49677, t49679, t49681, t49683, t49685, t49687;
  double t49689, t49691, t49693, t49695, t49697, t49699, t49701, t49703;
  double t49705, t49707, t49709, t49711, t49713, t49715, t49717, t49719;
  double t49721, t49724, t49726, t49732, t49737, t49739, t49740, t49742;
  double t49744, t49752, t49753, t49755, t49756, t49758, t49760, t49762;
  double t49764, t49766, t49768, t49770, t49772, t49773, t49777, t49778;
  double t49780, t49781, t49783, t49787, t49797, t49813, t49836, t49838;
  double t49842, t49864, t49866, t49893, t49897, t49913, t49915, t49919;
  double t49923, t49925, t49927, t49928, t49930, t49932, t49934, t49936;
  double t49938, t49940, t49942, t49953, t49963, t49965, t49967, t49969;
  double t49971, t49973, t49981, t49985, t49987, t49993, t49996, t50024;
  double t50026, t50028, t50033, tv4rho2sigmalapl11, t50045, t50062, t50074, t50082;
  double t50085, tv4rho2sigmalapl12, tv4rho2sigmalapl13, tv4rho2sigmalapl14, tv4rho2sigmalapl15, tv4rho2sigmalapl16, t50097, t50098;
  double t50099, t50113, t50116, t50121, t50122, t50123, t50125, t50126;
  double t50127, t50128, t50131, t50133, t50136, t50140, t50143, t50144;
  double t50145, t50146, t50165, t50166, t50169, t50170, t50171, t50175;
  double t50191, t50200, t50217, t50220, t50223, t50225, t50230, t50232;
  double t50255, t50262, t50267, t50270, t50279, t50286, t50292, t50293;
  double t50296, t50297, t50302, t50305, t50306, t50309, t50312, t50318;
  double t50319, t50320, t50327, t50328, t50329, t50333, t50336, t50343;
  double t50344, t50347, t50350, t50351, t50361, t50364, t50380, t50382;
  double t50386, t50390, t50395, t50398, t50399, t50404, t50411, t50417;
  double t50424, t50434, t50443, t50460, t50465, t50470, t50477, t50487;
  double t50501, t50503, t50504, t50525, t50535, t50541, t50542, t50546;
  double t50552, t50553, t50556, t50574, t50600, t50602, t50609, t50618;
  double t50619, t50630, t50632, t50634, t50651, t50662, t50671, t50683;
  double t50698, t50715, t50722, t50724, t50728, t50736, t50748, t50749;
  double t50750, t50753, t50754, t50755, t50758, t50763, t50764, t50765;
  double t50767, t50768, t50772, t50773, t50779, t50785, t50788, t50789;
  double t50792, t50795, t50814, t50815, t50825, t50829, t50830, t50834;
  double t50851, t50853, t50860, t50868, t50872, t50876, t50877, t50878;
  double t50887, t50894, t50898, t50904, t50909, t50914, t50921, t50926;
  double t50936, t50937, t50948, t50973, t50989, t50996, t51005, t51008;
  double t51032, t51044, t51065, t51069, t51072, t51075, t51078, t51081;
  double t51082, t51085, t51088, t51101, t51123, t51126, t51128, t51131;
  double t51135, t51139, t51151, t51157, t51160, t51163, t51166, t51173;
  double t51176, t51179, t51182, t51185, t51195, t51210, t51223, t51230;
  double t51234, t51239, t51242, t51245, t51248, t51251, t51254, t51261;
  double t51264, t51267, t51270, t51275, t51278, t51283, t51289, t51298;
  double t51301, t51308, t51326, t51329, t51333, t51336, t51345, t51354;
  double t51364, t51369, t51388, t51400, t51414, t51433, t51441, t51455;
  double t51458, t51459, t51489, t51499, t51506, t51510, t51511, t51514;
  double t51517, t51522, t51523, t51529, t51532, t51533, t51536, t51537;
  double t51540, t51543, t51544, t51547, t51552, t51553, t51554, t51555;
  double t51558, t51559, t51562, t51567, t51568, t51569, t51572, t51574;
  double t51581, t51582, t51585, t51596, t51599, t51600, t51603, t51604;
  double t51605, t51608, t51609, t51612, t51615, t51632, t51637, t51640;
  double t51643, t51644, t51649, t51658, t51667, t51670, t51672, t51675;
  double t51678, t51691, t51694, t51699, t51703, t51706, t51713, t51727;
  double t51728, t51731, t51748, t51755, t51761, t51764, t51783, t51790;
  double t51797, t51805, t51825, t51828, t51831, t51832, t51835, t51841;
  double t51857, t51868, t51878, t51879, t51886, t51889, t51890, t51893;
  double t51896, t51899, t51904, t51911, t51914, t51923, t51934, t51938;
  double t51946, t51948, t51950, t51959, t51962, t51963, t51966, t51969;
  double t51978, t51981, t52000, t52007, t52010, t52014, t52021, t52024;
  double t52027, t52030, t52033, t52038, t52050, t52058, t52071, t52077;
  double t52082, t52099, t52118, t52122, t52125, t52132, t52133, t52148;
  double t52152, t52156, t52171, t52176, t52186, t52189, t52195, t52198;
  double t52211, t52218, tv4rho2sigmalapl17, t52229, t52233, t52234, t52236, t52239;
  double t52241, t52242, t52243, t52246, t52248, t52250, t52251, t52253;
  double t52254, t52259, t52266, t52268, t52281, t52301, t52303, t52309;
  double t52312, t52324, t52327, t52328, t52331, t52332, t52338, t52340;
  double t52355, t52375, t52379, t52380, t52384, t52393, t52416, t52448;
  double t52464, t52468, t52470, t52477, t52479, t52481, t52501, t52502;
  double t52504, t52506, t52508, t52511, t52513, t52514, t52519, t52522;
  double t52527, t52529, t52531, t52533, t52534, t52535, t52538, t52542;
  double t52546, t52548, t52557, t52565, t52566, t52569, t52582, t52593;
  double t52595, t52602, t52608, t52613, t52615, t52619, t52621, t52631;
  double t52663, t52676, t52677, t52679, t52681, t52683, t52685, t52687;
  double t52689, t52691, t52693, t52695, t52696, t52698, t52700, t52725;
  double t52735, t52737, t52746, t52748, t52753, t52758, t52759, t52762;
  double t52768, t52771, t52775, t52780, t52782, t52788, t52799, t52800;
  double t52802, t52804, t52807, t52811, t52814, t52832, t52850, t52852;
  double t52860, t52864, t52866, t52885, t52887, t52889, t52891, t52893;
  double t52895, t52897, t52899, t52929, t52931, t52933, t52936, t52940;
  double t52942, t52946, t52951, t52953, t52955, t52957, t52963, t52965;
  double t52967, t52971, t52972, t52988, t53007, t53027, t53028, t53031;
  double t53032, t53037, t53038, t53040, t53043, t53047, t53048, t53077;
  double t53082, t53085, t53087, t53094, t53102, t53105, t53106, t53111;
  double t53121, t53132, t53137, t53140, t53146, t53151, t53157, t53164;
  double t53179, t53187, t53192, t53215, t53217, t53229, t53231, t53232;
  double t53257, t53260, t53261, t53276, t53291, t53310, t53316, t53345;
  double t53347, t53348, t53349, t53361, t53372, t53374, t53391, t53394;
  double t53396, t53398, t53409, t53412, t53421, t53424, t53439, t53457;
  double t53466, t53473, t53484, t53500, t53518, t53523, t53547, t53570;
  double t53574, t53579, t53596, t53599, t53620, t53647, t53673, t53700;
  double t53726, t53737, t53742, t53753, t53768, t53770, t53772, t53774;
  double t53778, t53781, t53788, t53803, t53807, t53808, t53814, t53817;
  double t53826, t53830, t53831, t53835, t53839, t53840, t53842, t53844;
  double t53878, t53884, t53900, t53901, t53908, t53910, t53916, t53925;
  double t53929, t53933, t53947, t53951, t53953, t53958, t53991, t53994;
  double t54000, t54004, t54008, t54010, t54012, t54020, t54021, t54030;
  double t54033, t54036, t54045, t54057, t54059, t54061, t54063, t54065;
  double t54072, t54080, t54084, t54086, t54088, t54090, t54092, t54097;
  double t54099, t54103, t54106, t54113, t54124, t54128, t54132, t54139;
  double t54142, t54148, t54156, t54159, t54162, t54170, t54173, t54182;
  double t54206, t54216, t54220, t54224, t54225, t54229, t54256, t54259;
  double t54280, t54283, t54298, t54300, t54323, t54325, t54329, t54335;
  double t54351, t54352, t54357, t54359, t54364, t54367, t54376, t54388;
  double t54398, t54409, t54411, t54414, t54417, t54420, t54422, t54429;
  double t54451, t54456, t54480, t54491, t54497, t54499, t54501, t54503;
  double t54504, t54510, t54525, t54542, t54557, t54560, t54562, t54564;
  double t54566, t54576, t54593, t54600, tv4rho2sigmatau0, tv4rho2sigmatau1, tv4rho2sigmatau2, tv4rho2sigmatau3;
  double tv4rho2sigmatau4, t54620, t54622, t54624, t54625, t54627, t54629, t54631;
  double t54633, t54635, t54637, t54638, t54640, t54642, t54645, t54647;
  double t54649, t54651, t54654, t54662, t54664, t54666, t54668, t54670;
  double t54672, t54674, t54680, t54684, t54685, t54687, t54689, t54694;
  double t54695, t54697, t54700, t54702, t54706, t54707, t54709, t54712;
  double tv4rho2sigmatau5, t54722, t54753, t54774, t54796, t54815, t54817, t54819;
  double t54821, t54838, t54846, t54857, t54859, t54884, t54905, t54926;
  double t54947, t54951, t54963, t54967, t54980, t54988, t55004, t55020;
  double t55032, t55047, t55054, t55056, t55058, t55070, t55083, t55095;
  double t55118, t55120, t55122, t55124, t55126, t55128, t55150, t55161;
  double t55170, t55172, t55174, t55176, t55178, t55184, t55191, t55199;
  double t55202, t55217, t55223, tv4rho2sigmatau6, tv4rho2sigmatau7, tv4rho2sigmatau8, tv4rho2sigmatau9, tv4rho2sigmatau10;
  double t55225, t55226, t55228, t55229, t55231, t55232, t55235, t55237;
  double t55239, t55241, t55243, t55245, t55247, t55249, t55251, t55253;
  double t55255, t55257, t55259, t55261, t55263, t55265, t55267, t55269;
  double t55271, t55273, t55278, t55288, t55313, t55336, t55340, t55345;
  double t55347, t55349, t55351, t55353, t55354, t55357, t55359, t55361;
  double t55362, t55364, t55366, t55368, t55370, t55372, t55374, t55376;
  double t55380, t55382, t55384, t55394, t55396, t55420, t55422, t55424;
  double t55426, t55428, t55430, t55432, t55434, t55436, t55438, t55440;
  double t55442, t55444, t55445, t55447, t55449, t55451, t55453, t55455;
  double t55461, t55463, t55464, t55466, t55468, t55470, t55472, t55474;
  double t55476, t55484, t55486, t55510, t55515, t55529, t55531, t55533;
  double t55538, t55540, t55542, t55544, t55546, t55548, t55550, t55552;
  double t55553, t55555, t55570, t55578, t55588, t55594, t55599, t55601;
  double t55611, t55613, t55615, t55617, t55620, t55622, t55628, t55630;
  double t55640, t55649, t55651, t55653, t55655, t55656, t55658, t55660;
  double t55672, t55674, t55675, t55677, t55697, t55711, t55713, t55717;
  double t55722, t55742, t55744, t55746, t55748, t55750, t55752, t55754;
  double t55756, t55758, t55760, t55762, t55764, t55766, t55768, t55769;
  double t55771, t55773, t55786, t55789, t55793, t55795, t55803, t55809;
  double t55811, t55814, t55816, t55818, t55820, t55822, t55824, t55826;
  double t55828, t55830, t55831, t55833, t55835, t55837, t55839, t55841;
  double t55843, t55845, t55847, t55849, t55851, t55853, t55859, tv4rho2sigmatau11;
  double t55885, t55895, t55910, t55917, t55920, tv4rho2sigmatau12, tv4rho2sigmatau13, tv4rho2sigmatau14;
  double tv4rho2sigmatau15, tv4rho2sigmatau16, t55952, t55976, t55984, t55987, t55994, t56003;
  double t56009, t56022, t56036, t56050, t56071, t56076, t56079, t56080;
  double t56081, t56084, t56112, t56113, t56146, t56156, t56157, t56170;
  double t56172, t56180, t56181, t56184, t56195, t56201, t56202, t56203;
  double t56207, t56210, t56211, t56226, t56237, t56239, t56255, t56278;
  double t56298, t56322, t56355, t56367, t56392, t56418, t56422, t56423;
  double t56426, t56429, t56430, t56433, t56434, t56457, t56476, t56490;
  double t56504, t56530, t56536, t56552, t56568, t56589, t56594, t56628;
  double t56637, t56638, t56641, t56642, t56645, t56646, t56651, t56669;
  double t56686, t56697, t56712, t56713, t56724, t56745, t56776, t56782;
  double t56786, t56800, t56801, t56806, t56808, t56818, t56831, t56832;
  double t56840, t56867, t56898, t56900, t56904, t56909, t56917, t56921;
  double t56925, t56930, t56940, t56955, t56960, t56967, t56983, t57004;
  double t57025, t57034, t57063, t57078, t57080, t57097, t57102, t57104;
  double t57109, t57116, t57124, t57135, t57151, t57152, t57158, t57159;
  double t57160, t57166, t57181, t57184, t57188, t57193, t57206, t57224;
  double t57259, t57283, t57292, t57316, t57324, t57328, t57332, t57335;
  double t57338, t57349, t57358, t57378, t57389, t57395, t57398, t57400;
  double t57420, t57443, t57453, t57461, t57467, t57491, t57521, t57531;
  double t57532, t57536, t57537, t57547, t57565, t57576, t57613, t57638;
  double t57641, t57646, t57658, t57661, t57662, t57671, t57674, t57677;
  double t57682, t57697, t57728, t57734, t57736, t57746, t57753, t57762;
  double t57765, t57790, t57814, t57832, t57857, t57881, t57905, t57930;
  double t57952, t57959, t57964, t57967, t57980, t57984, t58001, t58016;
  double t58027, t58028, t58043, t58051, t58064, t58080, t58098, t58119;
  double t58130, t58147, t58154, tv4rho2sigmatau17, t58159, t58160, t58162, t58165;
  double t58168, t58178, t58192, t58198, t58200, t58201, t58205, t58206;
  double t58210, t58212, t58213, t58217, t58219, t58221, t58222, t58223;
  double t58229, t58233, t58237, t58249, t58252, t58255, t58258, t58259;
  double t58260, t58263, t58266, t58268, t58271, t58272, t58273, t58276;
  double t58277, t58287, t58293, t58301, t58317, t58319, t58340, t58341;
  double t58345, t58349, t58350, t58353, t58356, t58357, t58364, t58365;
  double t58369, t58373, t58377, t58378, t58382, t58386, t58387, t58388;
  double t58397, t58401, t58405, t58409, t58426, t58430, t58433, t58440;
  double t58445, t58448, t58455, t58461, t58466, t58469, t58480, t58487;
  double t58499, t58500, t58502, t58506, t58514, t58530, t58534, t58536;
  double t58538, t58540, t58542, t58544, t58546, t58552, t58554, t58555;
  double t58558, t58561, t58565, t58571, t58575, t58577, t58579, t58580;
  double t58583, t58589, t58592, t58604, t58605, t58608, t58610, t58617;
  double t58619, t58623, t58629, t58634, t58638, t58641, t58643, t58646;
  double t58649, t58650, t58653, t58655, t58662, t58664, t58666, t58670;
  double t58672, t58681, t58686, t58696, t58703, t58712, t58715, t58718;
  double t58723, t58725, t58728, t58731, t58733, t58737, t58741, t58745;
  double t58753, t58756, t58758, t58761, t58763, t58766, t58773, t58776;
  double t58779, t58793, t58802, t58809, t58814, t58818, t58831, t58843;
  double t58849, t58853, t58854, t58857, t58866, t58869, t58870, t58873;
  double t58874, t58875, t58880, t58882, t58886, t58889, t58894, t58895;
  double t58900, t58902, t58904, t58906, t58908, t58910, t58912, t58914;
  double t58916, t58918, t58923, t58924, t58927, t58928, t58935, t58938;
  double t58954, t58958, t58967, t58969, t58971, t58973, t58978, t58980;
  double t58983, t58987, t58989, t58995, t59001, t59004, t59007, t59008;
  double t59011, t59012, t59013, t59016, t59017, t59020, t59023, t59026;
  double t59029, t59032, t59035, t59039, t59040, t59043, t59044, t59047;
  double t59056, t59059, t59066, t59067, t59068, t59071, t59073, t59076;
  double t59079, t59085, t59089, t59092, t59097, t59102, t59105, t59106;
  double t59109, t59116, t59117, t59120, t59123, t59126, t59131, t59134;
  double t59138, t59149, t59153, t59154, t59158, t59164, t59165, t59168;
  double t59177, t59182, t59183, t59186, t59203, t59204, t59207, t59208;
  double t59211, t59215, t59218, t59229, t59236, t59237, t59242, t59245;
  double t59248, t59253, t59258, t59259, t59262, t59270, t59273, t59274;
  double t59278, t59282, t59283, t59290, t59293, t59300, t59312, t59315;
  double t59316, t59319, t59320, t59331, t59334, t59337, t59346, t59350;
  double t59353, t59356, t59359, t59361, t59374, t59377, t59380, t59383;
  double t59389, t59416, t59430, t59434, t59437, t59445, t59448, t59450;
  double t59451, t59453, t59460, t59463, t59465, t59466, t59470, t59472;
  double t59479, t59480, t59492, t59495, t59497, t59502, t59505, t59532;
  double t59545, t59554, t59568, t59583, t59586, t59597, t59606, t59607;
  double t59609, t59611, t59613, t59615, t59616, t59618, t59620, t59621;
  double t59623, t59629, t59633, t59635, t59659, t59665, t59669, t59671;
  double t59674, t59678, t59681, t59684, t59690, t59694, t59711, t59713;
  double t59715, t59717, t59719, t59722, t59727, t59730, t59734, t59738;
  double t59740, t59742, t59743, t59746, t59758, t59774, t59776, t59792;
  double t59796, t59808, t59829, t59838, t59840, t59842, t59847, t59853;
  double t59854, t59856, t59862, t59866, t59867, t59891, t59900, t59910;
  double t59914, t59923, t59928, t59930, t59934, t59938, t59941, t59946;
  double t59950, t59970, t59974, t59976, t59979, t59985, t59988, t59991;
  double t59994, t59996, t59998, t60002, t60007, t60020, t60022, t60023;
  double t60025, t60037, t60043, t60045, t60050, t60054, t60057, t60058;
  double t60061, t60079, t60087, t60096, t60099, t60116, t60118, t60121;
  double t60124, t60126, t60131, t60136, t60139, t60141, t60145, t60148;
  double t60150, t60152, t60155, t60158, t60163, t60166, t60173, tv4rho2lapl20;
  double tv4rho2lapl21, t60178, t60200, t60202, t60203, t60205, t60210, t60211;
  double t60213, t60215, t60217, t60219, t60221, t60223, t60227, t60228;
  double t60230, t60232, t60234, t60236, t60238, t60240, t60243, t60245;
  double t60247, t60249, t60252, t60254, t60256, t60258, t60261, tv4rho2lapl22;
  double t60281, t60289, t60314, t60324, t60334, t60356, t60359, t60368;
  double t60375, t60386, t60412, t60421, t60423, t60425, t60427, t60452;
  double t60460, t60464, t60479, t60483, t60485, t60486, t60488, t60496;
  double t60515, t60535, t60553, t60555, t60562, t60564, t60566, t60570;
  double t60574, t60585, t60590, tv4rho2lapl23, tv4rho2lapl24, t60592, t60594, t60603;
  double t60605, t60607, t60608, t60612, t60613, t60615, t60617, t60619;
  double t60621, t60622, t60624, t60625, t60627, t60628, t60630, t60632;
  double t60634, t60635, t60637, t60639, t60641, t60643, t60645, t60647;
  double t60649, t60654, t60667, t60676, t60678, t60680, t60682, t60685;
  double t60689, t60691, t60693, t60695, t60697, t60699, t60701, t60703;
  double t60705, t60707, t60709, t60711, t60714, t60715, t60717, t60719;
  double t60721, t60734, t60745, t60759, t60769, t60773, t60778, t60779;
  double t60781, t60783, t60785, t60787, t60789, t60791, t60793, t60795;
  double t60797, t60799, t60801, t60803, t60805, t60807, t60809, t60811;
  double t60815, t60830, t60832, t60834, t60840, t60842, t60844, t60845;
  double t60847, t60848, t60850, t60852, t60854, t60856, t60858, t60860;
  double t60862, t60864, t60866, t60868, t60870, t60872, t60874, t60876;
  double t60877, t60879, t60881, t60883, t60885, t60891, t60893, t60900;
  double t60917, t60919, t60927, t60932, t60934, t60950, t60975, t60991;
  double t60993, t60995, t60998, t61003, tv4rho2lapl25, t61016, t61031, t61048;
  double t61051, tv4rho2lapl26, tv4rho2lapl27, t61067, t61071, t61072, t61076, t61077;
  double t61081, t61093, t61099, t61117, t61118, t61119, t61122, t61124;
  double t61127, t61128, t61129, t61132, t61133, t61134, t61137, t61139;
  double t61142, t61145, t61153, t61161, t61162, t61165, t61173, t61176;
  double t61191, t61200, t61203, t61206, t61211, t61216, t61223, t61236;
  double t61237, t61240, t61245, t61254, t61268, t61280, t61281, t61284;
  double t61289, t61297, t61299, t61308, t61312, t61319, t61324, t61325;
  double t61327, t61334, t61340, t61342, t61345, t61365, t61372, t61376;
  double t61385, t61408, t61414, t61421, t61426, t61428, t61433, t61435;
  double t61438, t61440, t61443, t61461, t61465, t61466, t61468, t61471;
  double t61472, t61475, t61484, t61487, t61489, t61494, t61497, t61504;
  double t61509, t61514, t61518, t61527, t61532, t61536, t61549, t61581;
  double t61605, t61615, t61636, t61648, t61652, t61656, t61660, t61663;
  double t61665, t61667, t61670, t61672, t61681, t61684, t61692, t61699;
  double t61709, t61710, t61720, t61723, t61728, t61729, t61732, t61762;
  double t61799, t61800, t61803, t61806, t61811, t61813, t61814, t61818;
  double t61830, t61841, t61860, t61862, t61866, t61869, t61870, t61871;
  double t61874, t61879, t61884, t61893, t61894, t61895, t61911, t61917;
  double t61924, t61929, t61932, t61933, t61942, t61945, t61949, t61952;
  double t61955, t61961, t61965, t61972, t61982, t61985, t61988, t61989;
  double t61999, t62008, t62013, t62020, t62024, t62028, t62029, t62030;
  double t62034, t62054, t62070, t62074, t62103, t62119, t62124, t62130;
  double t62134, t62136, t62140, t62144, t62149, t62152, t62155, t62156;
  double t62165, t62168, t62173, t62177, t62180, t62181, t62184, t62187;
  double t62192, t62196, t62203, t62204, t62207, t62211, t62215, t62219;
  double t62222, t62231, t62234, t62243, t62249, t62252, t62256, t62257;
  double t62260, t62263, t62270, t62276, t62281, t62284, t62287, t62290;
  double t62293, t62296, t62302, t62309, t62316, t62319, t62337, t62340;
  double t62346, t62357, t62360, t62365, t62370, t62385, t62391, t62412;
  double t62416, t62417, t62418, t62421, t62424, t62427, t62428, t62431;
  double t62434, t62435, t62439, t62442, t62443, t62446, t62447, t62450;
  double t62451, t62460, t62463, t62464, t62468, t62471, t62473, t62474;
  double t62475, t62480, t62483, t62487, t62493, t62496, t62497, t62502;
  double t62505, t62506, t62509, t62512, t62515, t62521, t62524, t62528;
  double t62532, t62534, t62537, t62544, t62549, t62552, t62557, t62571;
  double t62574, t62577, t62578, t62583, t62586, t62589, t62591, t62594;
  double t62600, t62604, t62608, t62609, t62612, t62613, t62617, t62620;
  double t62625, t62626, t62631, t62632, t62635, t62638, t62641, t62646;
  double t62652, t62655, t62658, t62663, t62668, t62674, t62679, t62682;
  double t62687, t62690, t62700, t62703, t62705, t62710, t62713, t62716;
  double t62719, t62733, t62740, t62752, t62766, t62767, t62778, t62782;
  double t62791, t62796, t62801, t62813, t62818, t62826, t62829, t62844;
  double t62849, t62855, t62873, t62884, t62895, t62898, t62900, t62904;
  double t62919, t62944, t62951, tv4rho2lapl28, t62955, t62957, t62959, t62967;
  double t62971, t62973, t62975, t62980, t62988, t62990, t63010, t63015;
  double t63020, t63026, t63027, t63029, t63031, t63033, t63035, t63037;
  double t63039, t63045, t63050, t63051, t63053, t63058, t63060, t63062;
  double t63088, t63123, t63129, t63131, t63133, t63135, t63137, t63139;
  double t63141, t63150, t63153, t63171, t63173, t63186, t63188, t63213;
  double t63217, t63220, t63224, t63244, t63245, t63247, t63250, t63252;
  double t63258, t63262, t63268, t63285, t63287, t63293, t63295, t63299;
  double t63302, t63307, t63308, t63311, t63324, t63329, t63334, t63338;
  double t63342, t63343, t63362, t63366, t63369, t63375, t63381, t63387;
  double t63389, t63391, t63393, t63395, t63409, t63414, t63415, t63416;
  double t63434, t63435, t63444, t63446, t63448, t63449, t63477, t63481;
  double t63486, t63489, t63500, t63505, t63511, t63513, t63515, t63517;
  double t63521, t63528, t63530, t63558, t63586, t63589, t63590, t63592;
  double t63597, t63598, t63599, t63601, t63610, t63614, t63616, t63619;
  double t63621, t63623, t63649, t63660, t63684, t63698, t63699, t63700;
  double t63702, t63730, t63734, t63736, t63738, t63743, t63744, t63748;
  double t63771, t63781, t63783, t63786, t63792, t63811, t63837, t63838;
  double t63839, t63846, t63869, t63877, t63879, t63881, t63883, t63885;
  double t63888, t63890, t63892, t63894, t63896, t63907, t63909, t63911;
  double t63915, t63921, t63928, t63930, t63941, t63949, t63952, t63968;
  double t63969, t63973, t63974, t63978, t63979, t63980, t63994, t63998;
  double t64002, t64003, t64004, t64013, t64030, t64042, t64065, t64084;
  double t64086, t64088, t64090, t64097, t64116, t64131, t64134, t64154;
  double t64162, t64163, t64164, t64172, t64191, t64210, t64237, t64258;
  double t64267, t64268, t64270, t64272, t64281, t64299, t64300, t64309;
  double t64339, t64343, t64357, t64364, t64365, t64367, t64401, t64418;
  double t64420, t64438, t64444, t64446, t64448, t64450, t64452, t64458;
  double t64492, t64499, t64501, t64520, t64525, t64536, t64546, t64547;
  double t64550, t64555, t64558, t64559, t64570, t64585, t64589, t64618;
  double t64641, t64648, t64662, t64671, t64680, t64684, t64704, t64709;
  double t64713, t64717, t64739, t64764, t64789, t64818, t64850, t64879;
  double t64906, t64918, t64926, t64937, t64939, t64947, t64949, t64951;
  double t64956, t64960, t64969, t64977, t64979, t64982, t64985, t64988;
  double t64990, t64992, t64994, t64999, t65008, t65011, t65015, t65017;
  double t65020, t65023, t65027, t65029, t65034, t65038, t65040, t65042;
  double t65044, t65046, t65048, t65050, t65052, t65070, t65074, t65078;
  double t65082, t65083, t65088, t65092, t65095, t65097, t65114, t65117;
  double t65118, t65121, t65126, t65131, t65137, t65139, t65147, t65149;
  double t65153, t65155, t65174, t65176, t65178, t65190, t65209, t65218;
  double t65226, t65228, t65242, t65244, t65263, t65280, t65294, t65298;
  double t65312, t65333, t65335, t65344, t65353, t65358, t65363, t65367;
  double t65373, t65384, t65397, t65399, t65412, t65418, t65442, t65446;
  double t65453, t65458, t65461, t65478, t65501, t65508, tv4rho2lapltau0, tv4rho2lapltau1;
  double tv4rho2lapltau2, t65512, t65514, t65515, t65517, t65519, t65522, t65524;
  double t65525, t65527, t65534, t65536, t65538, t65539, t65541, t65543;
  double t65545, t65547, t65548, t65558, t65562, t65570, t65572, t65576;
  double t65578, t65580, t65582, t65592, t65593, t65596, t65598, t65599;
  double t65601, t65605, t65608, t65610, t65612, t65616, t65617, t65620;
  double tv4rho2lapltau3, t65628, t65659, t65678, t65692, t65717, t65718, t65720;
  double t65722, t65724, t65735, t65742, t65755, t65794, t65802, t65804;
  double t65805, t65818, t65837, t65851, t65855, t65867, t65871, t65886;
  double t65912, t65924, t65941, t65946, t65948, t65964, t65966, t65984;
  double t65997, t66003, t66009, t66018, t66020, t66041, t66048, t66049;
  double t66058, t66062, t66064, t66071, t66082, t66100, t66122, t66128;
  double tv4rho2lapltau4, tv4rho2lapltau5, tv4rho2lapltau6, t66130, t66132, t66134, t66137, t66139;
  double t66141, t66142, t66144, t66148, t66156, t66158, t66160, t66162;
  double t66164, t66166, t66168, t66170, t66172, t66173, t66175, t66183;
  double t66185, t66195, t66214, t66216, t66222, t66228, t66232, t66234;
  double t66240, t66250, t66253, t66259, t66261, t66263, t66269, t66271;
  double t66273, t66275, t66277, t66283, t66285, t66288, t66290, t66291;
  double t66293, t66295, t66297, t66299, t66301, t66303, t66305, t66307;
  double t66309, t66311, t66313, t66327, t66341, t66343, t66346, t66348;
  double t66350, t66352, t66354, t66356, t66358, t66360, t66362, t66364;
  double t66366, t66368, t66389, t66403, t66405, t66407, t66413, t66424;
  double t66426, t66428, t66432, t66436, t66468, t66483, t66489, t66492;
  double t66494, t66496, t66503, t66505, t66507, t66509, t66515, t66517;
  double t66520, t66522, t66524, t66532, t66534, t66536, t66538, t66540;
  double t66542, t66543, t66545, t66547, t66549, t66551, t66565, t66573;
  double t66575, t66577, t66579, t66581, t66583, t66585, t66586, t66592;
  double t66594, t66596, t66598, t66602, t66606, t66608, t66610, t66612;
  double t66624, t66633, t66635, t66637, t66639, t66641, t66643, t66645;
  double t66647, t66649, t66651, t66653, t66655, t66657, t66658, t66666;
  double t66675, t66678, t66680, t66682, t66684, t66686, t66688, t66690;
  double t66692, t66694, t66700, t66701, t66703, t66705, t66709, t66710;
  double t66712, t66721, t66737, t66738, t66740, t66742, t66744, t66746;
  double t66748, t66750, t66752, t66758, tv4rho2lapltau7, t66781, t66797, t66810;
  double t66816, t66819, tv4rho2lapltau8, tv4rho2lapltau9, tv4rho2lapltau10, t66822, t66830, t66845;
  double t66856, t66857, t66881, t66887, t66912, t66944, t66970, t66985;
  double t66986, t67008, t67016, t67040, t67043, t67067, t67084, t67097;
  double t67121, t67127, t67139, t67157, t67199, t67218, t67226, t67258;
  double t67282, t67284, t67289, t67325, t67343, t67347, t67352, t67380;
  double t67381, t67382, t67387, t67396, t67423, t67444, t67445, t67453;
  double t67465, t67475, t67480, t67496, t67530, t67539, t67566, t67591;
  double t67592, t67619, t67623, t67633, t67646, t67647, t67651, t67658;
  double t67668, t67673, t67678, t67681, t67690, t67691, t67695, t67709;
  double t67726, t67738, t67739, t67747, t67752, t67756, t67771, t67780;
  double t67786, t67789, t67795, t67817, t67826, t67840, t67864, t67884;
  double t67894, t67903, t67931, t67939, t67943, t67944, t67969, t67999;
  double t68022, t68026, t68047, t68050, t68065, t68096, t68124, t68129;
  double t68149, t68159, t68190, t68215, t68228, t68258, t68265, t68271;
  double t68280, t68291, t68322, t68331, t68350, t68371, t68382, t68390;
  double t68400, t68426, t68444, t68454, t68458, t68472, t68479, t68483;
  double t68494, t68500, t68519, t68526, t68529, t68542, t68552, t68562;
  double t68566, t68572, t68596, t68615, t68616, t68639, t68671, t68694;
  double t68710, t68722, t68754, t68755, t68769, t68773, t68804, t68834;
  double t68855, t68887, t68897, t68921, t68939, t68960, t68973, t68980;
  double t69012, t69047, t69079, t69106, t69122, t69126, t69129, t69146;
  double t69150, t69153, t69166, t69173, tv4rho2lapltau11, t69185, t69199, t69208;
  double t69210, t69213, t69214, t69219, t69220, t69228, t69230, t69232;
  double t69235, t69237, t69244, t69246, t69249, t69258, t69260, t69264;
  double t69265, t69267, t69271, t69289, t69296, t69298, t69303, t69306;
  double t69307, t69310, t69326, t69339, t69340, t69348, t69349, t69350;
  double t69355, t69359, t69365, t69367, t69381, t69382, t69396, t69397;
  double t69401, t69406, t69407, t69418, t69423, t69427, t69430, t69433;
  double t69448, t69452, t69462, t69469, t69472, t69475, t69479, t69481;
  double t69485, t69489, t69499, t69510, t69512, t69514, t69516, t69517;
  double t69524, t69526, t69530, t69552, t69564, t69566, t69568, t69570;
  double t69572, t69574, t69578, t69579, t69581, t69587, t69589, t69591;
  double t69593, t69597, t69599, t69603, t69607, t69609, t69611, t69633;
  double t69643, t69647, t69658, t69676, t69681, t69683, t69684, t69690;
  double t69699, t69704, t69710, t69715, t69722, t69726, t69737, t69749;
  double t69757, t69760, t69767, t69770, t69774, t69781, t69786, t69787;
  double t69807, t69810, t69814, t69818, t69822, t69831, t69859, t69892;
  double t69895, t69897, t69905, t69924, t69927, t69932, t69934, t69936;
  double t69938, t69940, t69942, t69950, t69954, t69958, t69964, t69967;
  double t69969, t69971, t69975, t69980, t69986, t69988, t69989, t69994;
  double t70006, t70012, t70016, t70021, t70024, t70025, t70030, t70044;
  double t70058, t70062, t70065, t70068, t70080, t70105, t70108, t70118;
  double t70123, t70129, t70135, t70137, t70139, t70141, t70144, t70153;
  double t70155, t70161, t70173, t70177, t70204, t70207, t70209, t70210;
  double t70212, t70213, t70215, t70216, t70227, t70228, t70239, t70240;
  double t70244, t70265, t70272, t70274, t70279, t70295, t70297, t70312;
  double t70319, t70321, t70322, t70336, t70347, t70352, t70353, t70357;
  double t70361, t70364, t70373, t70384, t70389, t70393, t70400, t70419;
  double t70423, t70424, t70430, t70434, t70445, t70446, t70449, t70455;
  double t70472, t70477, t70480, t70488, t70494, t70499, t70520, t70534;
  double t70558, t70562, t70580, t70581, t70616, t70626, t70630, t70647;
  double t70670, t70673, t70688, t70694, t70722, t70737, t70763, t70771;
  double t70772, t70776, t70807, t70809, t70811, t70813, t70817, t70820;
  double t70821, t70827, t70828, t70832, t70835, t70841, t70846, t70850;
  double t70851, t70852, t70854, t70856, t70863, t70869, t70873, t70875;
  double t70876, t70879, t70881, t70883, t70885, t70887, t70889, t70895;
  double t70904, t70922, t70942, t70960, t70966, t70973, t70983, t71001;
  double t71003, t71004, t71011, t71028, t71032, t71035, t71040, t71044;
  double t71045, t71047, t71059, t71062, t71082, t71091, t71093, t71096;
  double t71099, t71100, t71102, t71108, t71120, t71130, t71133, t71134;
  double t71161, t71172, t71177, t71199, t71201, t71205, t71206, t71210;
  double t71221, t71224, t71229, t71231, t71233, t71235, t71237, t71239;
  double t71242, t71246, t71248, t71249, t71253, t71257, t71263, t71271;
  double t71283, t71289, t71293, t71295, t71305, t71307, t71312, t71318;
  double t71332, t71336, t71338, t71341, t71347, t71361, t71371, t71381;
  double t71383, t71392, t71394, t71396, t71413, t71444, t71448, t71455;
  double t71471, t71483, t71485, t71487, t71517, t71524, t71525, t71529;
  double t71531, t71532, t71534, t71549, t71561, t71562, t71565, t71572;
  double t71574, t71579, t71585, t71590, t71612, t71614, t71623, t71630;
  double tv4rho2tau20, tv4rho2tau21, t71634, t71637, t71638, t71640, t71642, t71644;
  double t71646, t71648, t71649, t71651, t71653, t71655, t71657, t71659;
  double t71665, t71680, t71681, t71684, t71686, t71688, t71690, t71692;
  double t71694, t71696, t71699, t71701, t71702, t71707, t71709, t71710;
  double t71712, t71715, t71716, t71718, t71719, t71724, t71725, t71731;
  double t71739, t71742, tv4rho2tau22, t71744, t71758, t71780, t71799, t71801;
  double t71803, t71812, t71830, t71832, t71833, t71835, t71837, t71845;
  double t71876, t71895, t71907, t71912, t71937, t71947, t71955, t71957;
  double t71959, t71963, t71978, t71979, t71982, t71984, t71986, t72013;
  double t72030, t72035, t72048, t72067, t72097, t72102, t72107, t72115;
  double t72116, t72117, t72131, t72147, t72156, t72161, tv4rho2tau23, tv4rho2tau24;
  double t72163, t72166, t72167, t72169, t72195, t72198, t72200, t72202;
  double t72203, t72205, t72211, t72222, t72224, t72226, t72228, t72239;
  double t72241, t72243, t72245, t72246, t72248, t72249, t72251, t72253;
  double t72255, t72257, t72261, t72263, t72265, t72282, t72288, t72292;
  double t72294, t72296, t72298, t72308, t72318, t72321, t72323, t72342;
  double t72344, t72348, t72350, t72352, t72354, t72356, t72358, t72359;
  double t72361, t72363, t72365, t72367, t72368, t72370, t72372, t72374;
  double t72386, t72393, t72395, t72396, t72398, t72400, t72402, t72404;
  double t72406, t72408, t72410, t72412, t72414, t72416, t72420, t72422;
  double t72424, t72426, t72428, t72430, t72434, t72440, t72446, t72451;
  double t72453, t72455, t72474, t72476, t72478, t72480, t72482, t72484;
  double t72486, t72488, t72490, t72491, t72493, t72495, t72497, t72498;
  double t72500, t72502, t72504, t72506, t72508, t72512, t72517, t72519;
  double t72521, t72529, t72531, t72533, t72535, t72537, t72539, t72541;
  double t72543, t72546, t72574, t72580, t72582, t72583, t72585, t72588;
  double t72592, t72601, t72603, t72605, t72607, t72609, t72611, t72617;
  double t72620, t72624, t72626, t72634, t72636, t72640, t72642, t72644;
  double t72646, t72648, t72653, t72655, t72657, t72659, t72666, t72668;
  double t72678, t72683, tv4rho2tau25, t72698, t72703, t72723, t72732, t72740;
  double t72743, tv4rho2tau26, tv4rho2tau27, t72756, t72769, t72776, t72781, t72782;
  double t72783, t72786, t72796, t72797, t72807, t72813, t72817, t72822;
  double t72825, t72839, t72848, t72867, t72886, t72887, t72890, t72896;
  double t72908, t72910, t72920, t72938, t72942, t72953, t72961, t72979;
  double t72982, t72986, t72988, t72996, t73000, t73003, t73011, t73017;
  double t73049, t73056, t73061, t73063, t73070, t73081, t73085, t73089;
  double t73094, t73095, t73108, t73109, t73117, t73122, t73126, t73148;
  double t73153, t73159, t73162, t73166, t73176, t73184, t73217, t73218;
  double t73231, t73236, t73243, t73267, t73268, t73283, t73284, t73299;
  double t73330, t73343, t73364, t73366, t73369, t73376, t73390, t73394;
  double t73400, t73401, t73416, t73420, t73424, t73428, t73432, t73448;
  double t73458, t73470, t73496, t73506, t73509, t73517, t73522, t73524;
  double t73531, t73540, t73544, t73551, t73560, t73591, t73604, t73615;
  double t73629, t73643, t73660, t73668, t73673, t73681, t73695, t73696;
  double t73709, t73734, t73745, t73754, t73756, t73782, t73811, t73825;
  double t73833, t73842, t73861, t73888, t73900, t73912, t73915, t73933;
  double t73943, t73951, t73954, t73959, t73971, t73979, t73982, t73991;
  double t73995, t73998, t74003, t74008, t74020, t74023, t74033, t74034;
  double t74045, t74066, t74078, t74090, t74106, t74136, t74154, t74161;
  double t74165, t74178, t74202, t74210, t74218, t74223, t74255, t74261;
  double t74276, t74282, t74297, t74304, t74309, t74341, t74343, t74364;
  double t74373, t74386, t74392, t74396, t74407, t74424, t74446, t74469;
  double t74498, t74508, t74512, t74513, t74525, t74526, t74535, t74539;
  double t74545, t74548, t74549, t74555, t74561, t74564, t74575, t74580;
  double t74592, t74595, t74604, t74610, t74615, t74616, t74619, t74638;
  double t74650, t74662, t74668, t74689, t74706, t74732, t74759, t74787;
  double t74791, t74805, t74808, t74820, t74833, t74856, t74875, t74880;
  double t74891, t74911, t74922, t74943, t74951, t74984, t74985, t74990;
  double t75012, t75019, tv4rho2tau28, t75023, t75024, t75025, t75030, t75031;
  double t75032, t75036, t75038, t75042, t75049, t75054, t75061, t75063;
  double t75066, t75071, t75073, t75075, t75077, t75078, t75079, t75080;
  double t75093, t75098, t75100, t75101, t75111, t75112, t75114, t75117;
  double t75119, t75121, t75127, t75130, t75133, t75137, t75140, t75143;
  double t75146, t75147, t75151, t75159, t75160, t75161, t75162, t75165;
  double t75167, t75170, t75173, t75177, t75179, t75182, t75185, t75186;
  double t75190, t75199, t75201, t75203, t75205, t75213, t75220, t75228;
  double t75232, t75233, t75234, t75235, t75236, t75237, t75241, t75243;
  double t75245, t75246, t75249, t75251, t75253, t75254, t75260, t75267;
  double t75273, t75277, t75278, t75280, t75281, t75284, t75297, t75299;
  double t75300, t75318, t75326, t75328, t75331, t75336, t75338, t75339;
  double t75342, t75344, t75345, t75347, t75349, t75355, t75356, t75377;
  double t75379, t75382, t75387, t75390, t75393, t75396, t75397, t75400;
  double t75405, t75407, t75408, t75410, t75412, t75419, t75423, t75425;
  double t75426, t75427, t75428, t75431, t75433, t75437, t75438, t75440;
  double t75441, t75443, t75445, t75447, t75449, t75450, t75451, t75453;
  double t75454, t75456, t75469, t75478, t75480, t75483, t75486, t75492;
  double t75496, t75510, t75512, t75521, t75524, t75527, t75530, t75537;
  double t75538, t75542, t75549, t75551, t75554, t75558, t75561, t75565;
  double t75578, t75579, t75581, t75583, t75584, t75585, t75586, t75587;
  double t75589, t75593, t75596, t75601, t75604, t75605, t75606, t75610;
  double t75614, t75618, t75635, t75637, t75639, t75641, t75648, t75650;
  double t75660, t75666, t75667, t75668, t75669, t75670, t75671, t75672;
  double t75673, t75675, t75676, t75682, t75683, t75684, t75685, t75686;
  double t75688, t75690, t75694, t75700, t75702, t75704, t75705, t75708;
  double t75715, t75726, t75728, t75730, t75733, t75735, t75737, t75740;
  double t75746, t75749, t75766, t75771, t75772, t75785, t75786, t75787;
  double t75791, t75796, t75797, t75798, t75802, t75806, t75810, t75812;
  double t75813, t75814, t75820, t75830, t75834, t75839, t75842, t75846;
  double t75849, t75851, t75854, t75855, t75857, t75859, t75860, t75867;
  double t75870, t75874, t75879, t75880, t75882, t75885, t75887, t75888;
  double t75890, t75894, t75899, t75903, t75905, t75908, t75914, t75922;
  double t75931, t75937, t75942, t75943, t75949, t75953, t75956, t75967;
  double t75975, t75976, t75979, t75982, t75986, t75988, t76001, t76003;
  double t76006, t76012, t76013, t76020, t76027, t76028, t76033, t76036;
  double t76041, t76042, t76045, t76047, t76050, t76051, t76056, t76057;
  double t76060, t76063, t76064, t76065, t76069, t76073, t76076, t76079;
  double t76081, t76082, t76085, t76088, t76090, t76091, t76093, t76102;
  double t76104, t76106, t76107, t76109, t76111, t76112, t76113, t76114;
  double t76115, t76116, t76117, t76118, t76121, t76124, t76126, t76127;
  double t76130, t76133, t76138, t76143, t76149, t76156, t76157, t76168;
  double t76171, t76173, t76174, t76175, t76176, t76177, t76182, t76184;
  double t76189, t76191, t76192, t76193, t76196, t76198, t76199, t76200;
  double t76203, t76206, t76210, t76214, t76217, t76221, t76224, t76227;
  double t76234, t76240, t76241, t76246, t76249, t76255, t76257, t76261;
  double t76262, t76263, t76264, t76265, t76266, t76270, t76273, t76279;
  double t76281, t76285, t76289, t76292, t76295, t76296, t76297, t76299;
  double t76302, t76304, t76307, t76309, t76314, t76320, t76322, t76323;
  double t76326, t76332, t76339, t76341, t76344, t76352, t76367, t76368;
  double t76377, t76379, t76381, t76382, t76392, t76396, t76399, t76402;
  double t76407, t76410, t76412, t76413, t76415, t76422, t76424, t76426;
  double t76428, t76430, t76438, t76442, t76446, t76457, t76460, t76461;
  double t76464, t76478, t76481, t76487, t76488, t76491, t76495, t76496;
  double t76503, t76506, t76510, t76513, t76518, t76522, t76524, t76528;
  double t76532, t76534, t76546, t76549, t76554, t76556, t76560, t76561;
  double t76562, t76564, t76566, t76568, t76569, t76570, t76571, t76572;
  double t76574, t76575, t76576, t76577, t76578, t76579, t76581, t76583;
  double t76585, t76587, t76589, t76597, t76599, t76601, t76603, t76606;
  double t76611, t76616, t76618, t76630, t76634, t76636, t76638, t76640;
  double t76642, t76643, t76644, t76646, t76647, t76653, tv4rhosigma30, tv4rhosigma31;
  double tv4rhosigma32, tv4rhosigma33, tv4rhosigma34, tv4rhosigma35, tv4rhosigma36, tv4rhosigma37, tv4rhosigma38, t76656;
  double t76658, t76660, t76662, t76663, t76665, t76667, t76670, t76671;
  double t76673, t76675, t76676, t76678, t76683, t76684, t76705, t76706;
  double t76707, t76709, t76710, t76711, t76712, t76715, t76717, t76719;
  double t76721, t76722, t76723, t76724, t76725, t76727, t76729, t76730;
  double t76731, t76732, t76736, t76738, t76741, t76744, t76746, t76747;
  double t76752, t76758, t76764, t76765, t76766, t76768, t76769, t76770;
  double t76772, t76774, t76776, t76786, t76789, t76791, t76793, t76796;
  double t76799, t76801, t76802, t76803, t76811, t76813, t76814, t76815;
  double t76817, t76818, t76819, t76820, t76824, t76826, t76827, t76835;
  double t76837, t76842, t76844, t76845, t76847, t76848, t76849, t76851;
  double t76857, t76858, t76861, t76863, t76864, t76868, tv4rhosigma39, t76870;
  double t76881, t76889, t76899, t76909, t76911, t76912, t76914, t76916;
  double t76923, t76924, t76925, t76931, t76939, t76941, t76942, t76944;
  double t76945, t76949, t76952, t76958, t76978, t76979, t76983, tv4rhosigma310;
  double tv4rhosigma311, tv4rhosigma312, tv4rhosigma313, tv4rhosigma314, tv4rhosigma315, tv4rhosigma316, tv4rhosigma317, tv4rhosigma318;
  double t76990, t76992, t76995, t76997, t77000, t77007, t77018, t77021;
  double t77023, t77024, t77027, t77030, t77031, t77035, t77041, t77061;
  double t77063, t77081, t77085, t77086, t77090, t77091, t77094, t77098;
  double t77099, t77102, t77103, t77110, t77114, t77116, t77117, t77118;
  double t77119, t77122, t77124, t77126, t77127, t77132, t77141, t77144;
  double t77147, t77150, t77154, t77157, t77158, t77162, t77171, t77176;
  double t77182, t77191, t77200, t77204, t77208, t77211, t77214, t77220;
  double t77239, t77240, t77251, t77254, t77256, t77262, t77265, t77269;
  double t77271, t77274, t77277, t77282, t77290, t77292, t77295, t77296;
  double t77297, t77311, t77315, t77319, t77339, t77341, t77343, t77345;
  double t77347, t77349, t77351, t77352, t77354, t77361, t77366, t77373;
  double t77384, t77387, t77389, t77396, t77402, t77403, t77404, t77408;
  double t77418, t77424, t77425, t77426, t77429, t77431, t77433, t77436;
  double t77437, t77439, t77442, t77443, t77447, t77451, t77453, t77460;
  double t77461, t77465, t77473, t77474, t77486, t77490, t77505, t77515;
  double t77517, t77523, t77525, t77528, t77529, t77533, t77534, t77538;
  double t77540, t77543, t77544, t77545, t77546, t77547, t77549, t77551;
  double t77552, t77554, t77557, t77560, t77563, t77564, t77565, t77566;
  double t77568, t77571, t77572, t77575, t77582, t77585, t77586, t77591;
  double t77593, t77596, t77598, t77600, t77602, t77604, t77605, t77606;
  double t77613, t77614, t77616, t77618, t77619, t77621, t77623, t77627;
  double t77630, t77632, t77633, t77636, t77643, t77644, t77645, t77647;
  double t77651, t77653, t77657, t77663, t77668, t77675, t77681, t77684;
  double t77687, t77700, t77702, t77705, t77713, t77722, t77723, t77726;
  double t77727, t77731, t77735, t77738, t77740, t77745, t77751, t77755;
  double t77763, t77766, t77768, t77770, t77772, t77774, t77777, t77780;
  double t77783, t77784, t77785, t77786, t77787, t77788, t77790, t77794;
  double t77795, t77798, t77803, t77806, t77812, t77816, t77823, t77824;
  double t77826, t77827, t77846, t77851, t77854, t77856, t77857, t77860;
  double t77862, t77870, t77875, t77880, t77886, t77887, t77888, t77891;
  double t77892, t77893, t77894, t77897, t77898, t77901, t77904, t77905;
  double t77908, t77910, t77912, t77915, t77920, t77923, t77926, t77930;
  double t77937, t77938, t77941, t77942, t77945, t77947, t77948, t77951;
  double t77954, t77955, t77960, t77961, t77964, t77965, t77967, t77969;
  double t77973, t77976, t77977, t77980, t77981, t77983, t77985, t77987;
  double t77989, t77992, t77995, t77998, t78000, t78001, t78004, t78007;
  double t78011, t78020, t78025, t78028, t78030, t78038, t78039, t78042;
  double t78044, t78046, t78063, t78065, t78067, t78068, t78071, t78077;
  double t78084, t78091, t78093, t78095, t78096, t78098, t78100, t78115;
  double t78117, t78119, t78122, t78125, t78130, t78132, t78134, t78136;
  double t78137, t78138, t78139, t78140, t78141, t78142, t78143, t78146;
  double t78151, t78153, t78155, t78158, t78161, t78166, t78173, t78176;
  double t78179, t78182, t78185, t78188, t78192, t78195, t78197, t78200;
  double t78202, t78205, t78214, t78217, t78224, t78227, t78230, t78235;
  double t78240, t78247, t78258, t78261, t78264, t78266, t78273, t78275;
  double t78280, t78282, t78286, t78300, t78303, t78304, t78305, t78306;
  double t78307, t78308, t78309, t78310, t78312, t78314, t78319, t78322;
  double t78326, t78330, t78333, t78341, t78343, t78345, t78347, t78349;
  double t78353, t78369, t78373, t78377, t78384, t78388, t78392, t78395;
  double t78399, t78403, t78404, t78411, t78418, t78421, t78425, t78429;
  double t78431, t78434, t78436, t78437, t78439, t78459, t78465, t78467;
  double t78468, t78469, t78471, t78472, t78473, t78474, t78476, t78478;
  double t78487, t78508, t78510, t78511, t78517, tv4rhosigma319, t78525, t78526;
  double t78541, t78542, t78547, t78550, t78551, t78552, t78560, t78561;
  double t78564, t78566, t78567, t78570, t78572, t78573, t78574, t78576;
  double t78578, t78579, t78580, t78581, t78582, t78592, t78594, t78599;
  double t78603, t78608, t78617, t78618, t78619, t78620, t78627, t78631;
  double t78632, t78635, t78636, t78641, t78642, t78643, t78644, t78645;
  double t78648, t78650, t78651, t78654, t78655, t78657, t78659, t78660;
  double t78662, t78663, t78664, t78671, t78672, t78673, t78674, t78679;
  double t78680, t78685, t78687, t78688, t78690, t78692, t78693, t78694;
  double t78695, t78696, t78701, t78704, t78711, t78716, t78717, t78719;
  double t78723, t78737, t78738, t78739, t78740, t78742, t78743, t78744;
  double t78749, t78752, t78755, t78756, t78758, t78761, t78763, t78764;
  double t78767, t78779, t78782, t78783, t78784, t78785, t78787, t78789;
  double t78797, t78798, t78803, t78804, t78805, t78806, t78807, t78808;
  double t78818, t78824, t78838, t78842, t78845, t78846, t78849, t78852;
  double t78853, t78854, t78855, t78856, t78858, t78859, t78860, t78861;
  double t78862, t78863, t78864, t78865, t78866, t78868, t78869, t78870;
  double t78871, t78872, t78873, t78881, t78884, t78885, t78886, t78887;
  double t78888, t78889, t78890, t78891, t78892, t78893, t78894, t78895;
  double t78896, t78897, t78898, t78907, t78914, t78920, t78921, t78922;
  double t78923, t78924, t78925, t78926, t78927, t78928, t78934, t78941;
  double t78949, t78958, t78962, t78963, t78973, t78978, t78986, t78991;
  double t78993, t78996, t79000, t79002, t79004, t79005, t79009, t79021;
  double t79024, t79026, t79027, t79029, t79031, t79032, t79034, t79035;
  double t79036, t79042, t79047, t79051, t79055, t79070, t79071, t79072;
  double t79075, t79090, t79091, t79092, t79096, t79097, t79098, t79099;
  double t79100, t79101, t79102, t79103, t79104, t79105, t79107, t79110;
  double t79111, t79113, t79114, t79118, t79122, t79127, t79128, t79129;
  double t79144, t79147, t79149, t79150, t79151, t79156, t79159, t79162;
  double t79163, t79164, t79165, t79168, t79171, t79173, t79184, t79187;
  double t79188, t79189, t79191, t79192, t79193, t79194, t79195, t79196;
  double t79208, t79210, t79213, t79220, t79222, t79223, t79224, t79226;
  double t79229, t79233, t79234, t79235, t79238, t79239, t79251, t79254;
  double t79256, t79262, t79269, t79273, t79274, t79278, t79283, t79287;
  double t79309, t79315, t79324, t79325, t79326, t79327, t79329, t79330;
  double t79331, t79334, t79337, t79340, t79341, t79342, t79345, t79346;
  double t79347, t79348, t79361, t79362, t79370, t79375, t79379, t79383;
  double t79392, t79394, t79402, t79403, t79405, t79406, t79416, t79423;
  double t79437, t79454, t79455, t79457, t79459, t79466, t79470, t79473;
  double t79477, t79478, t79485, t79486, t79487, t79488, t79491, t79492;
  double t79493, t79494, t79495, t79496, t79498, t79499, t79510, t79511;
  double t79512, t79513, t79515, t79516, t79519, t79523, t79528, t79529;
  double t79533, t79543, t79550, t79551, t79553, t79555, t79556, t79563;
  double t79566, t79570, t79576, t79577, t79581, t79586, t79590, t79591;
  double t79592, t79593, t79596, t79599, t79604, t79605, t79606, t79607;
  double t79608, t79609, t79612, t79614, t79633, t79644, t79646, t79648;
  double t79649, t79650, t79653, t79654, t79655, t79656, t79659, t79662;
  double t79663, t79666, t79667, t79670, t79671, t79672, t79673, t79674;
  double t79675, t79676, t79677, t79678, t79679, t79680, t79681, t79682;
  double t79683, t79684, t79685, t79686, t79687, t79688, t79689, t79690;
  double t79691, t79692, t79693, t79694, t79695, t79696, t79697, t79698;
  double t79701, t79706, t79707, t79708, t79709, t79710, t79711, t79712;
  double t79714, t79715, t79716, t79717, t79718, t79719, t79720, t79731;
  double t79734, t79735, t79738, t79739, t79744, t79749, t79750, t79751;
  double t79752, t79753, t79756, t79759, t79762, t79765, t79768, t79769;
  double t79770, t79771, t79774, t79775, t79778, t79781, t79784, t79787;
  double t79790, t79791, t79792, t79793, t79794, t79795, t79796, t79800;
  double t79805, t79808, t79809, t79812, t79815, t79818, t79823, t79826;
  double t79834, t79835, t79837, t79840, t79842, t79843, t79846, t79847;
  double t79848, t79851, t79856, t79860, t79863, t79868, t79873, t79876;
  double t79877, t79878, t79879, t79882, t79888, t79892, t79893, t79894;
  double t79895, t79902, t79903, t79904, t79907, t79908, t79913, t79916;
  double t79919, t79926, t79929, t79930, t79931, t79932, t79933, t79934;
  double t79935, t79936, t79937, t79938, t79939, t79940, t79943, t79950;
  double t79953, t79956, t79959, t79962, t79965, t79966, t79969, t79972;
  double t79975, t79978, t79981, t79984, t79999, t80002, t80003, t80004;
  double t80005, t80012, t80017, t80018, t80027, t80028, t80034, t80038;
  double t80039, t80042, t80043, t80044, t80045, t80046, t80049, t80052;
  double t80057, t80060, t80077, t80078, t80079, t80081, t80082, t80087;
  double t80088, t80089, t80091, t80092, t80096, t80098, t80099, t80101;
  double t80106, t80110, t80111, t80114, t80120, t80122, t80123, t80124;
  double t80134, t80135, t80138, t80152, t80153, t80157, t80160, t80164;
  double t80168, t80171, t80175, t80179, t80182, t80185, t80188, t80193;
  double t80194, t80195, t80199, t80204, t80209, t80212, t80216, t80217;
  double t80218, t80222, t80223, t80224, t80229, t80233, t80238, t80240;
  double t80241, t80242, t80245, t80248, t80252, t80262, t80284, t80295;
  double t80296, t80297, t80298, t80299, t80300, t80301, t80302, t80313;
  double t80328, t80332, t80335, t80340, t80343, t80344, t80346, t80347;
  double t80348, t80349, t80351, t80353, t80356, t80359, t80362, t80365;
  double t80368, t80371, t80374, t80377, t80382, t80385, t80387, t80388;
  double t80389, t80390, t80391, t80392, t80393, t80394, t80395, t80396;
  double t80397, t80398, t80399, t80400, t80402, t80405, t80412, t80415;
  double t80416, t80418, t80420, t80427, t80433, t80436, t80439, t80442;
  double t80445, t80446, t80447, t80448, t80449, t80450, t80457, tv4rhosigma2lapl0;
  double tv4rhosigma2lapl1, tv4rhosigma2lapl2, tv4rhosigma2lapl3, tv4rhosigma2lapl4, tv4rhosigma2lapl5, tv4rhosigma2lapl6, tv4rhosigma2lapl7, tv4rhosigma2lapl8;
  double tv4rhosigma2lapl9, tv4rhosigma2lapl10, t80470, t80472, t80474, t80476, t80478, t80479;
  double t80481, t80485, t80486, t80487, t80488, t80489, t80490, t80491;
  double t80494, t80500, t80501, t80502, t80503, t80510, t80511, t80516;
  double t80517, t80527, t80528, t80531, t80533, t80535, t80536, t80538;
  double t80539, t80540, t80542, t80544, t80545, t80546, t80548, t80550;
  double t80551, t80552, t80554, t80555, t80559, t80560, t80562, t80563;
  double t80564, t80565, t80566, t80567, t80569, t80571, t80573, t80575;
  double t80577, t80578, t80579, t80580, t80581, t80583, t80588, t80601;
  double t80602, t80604, t80606, t80612, t80613, t80614, t80615, t80616;
  double t80617, t80618, t80619, t80620, t80630, t80631, t80632, t80633;
  double t80635, t80637, t80639, t80640, t80643, t80645, t80647, t80657;
  double t80658, t80659, t80661, t80663, t80672, t80674, t80676, t80677;
  double t80679, t80680, t80681, t80683, t80685, t80687, t80689, t80691;
  double t80693, t80695, t80698, t80699, t80706, t80707, t80712, t80716;
  double tv4rhosigma2lapl11, t80718, t80719, t80728, t80737, t80738, t80749, t80750;
  double t80751, t80752, t80754, t80755, t80756, t80757, t80758, t80759;
  double t80767, t80768, t80773, t80774, t80775, t80790, t80796, t80797;
  double t80798, t80799, t80811, t80812, t80823, t80825, t80826, t80838;
  double t80847, t80851, tv4rhosigma2lapl12, tv4rhosigma2lapl13, tv4rhosigma2lapl14, tv4rhosigma2lapl15, tv4rhosigma2lapl16, tv4rhosigma2lapl17;
  double tv4rhosigma2lapl18, tv4rhosigma2lapl19, tv4rhosigma2lapl20, tv4rhosigma2lapl21, tv4rhosigma2lapl22, t80855, t80856, t80859;
  double t80860, t80861, t80862, t80866, t80868, t80869, t80870, t80872;
  double t80873, t80874, t80876, t80877, t80879, t80880, t80885, t80886;
  double t80895, t80896, t80897, t80899, t80900, t80901, t80904, t80906;
  double t80907, t80908, t80909, t80910, t80911, t80912, t80913, t80914;
  double t80915, t80916, t80917, t80918, t80919, t80920, t80922, t80925;
  double t80926, t80927, t80934, t80937, t80938, t80943, t80945, t80948;
  double t80951, t80952, t80955, t80956, t80961, t80964, t80972, t80981;
  double t80983, t80984, t80993, t80997, t80999, t81000, t81004, t81006;
  double t81007, t81012, t81013, t81015, t81016, t81018, t81021, t81024;
  double t81027, t81030, t81033, t81036, t81037, t81038, t81040, t81041;
  double t81042, t81043, t81044, t81045, t81047, t81048, t81049, t81050;
  double t81051, t81052, t81058, t81061, t81065, t81069, t81073, t81082;
  double t81086, t81087, t81090, t81091, t81094, t81095, t81100, t81101;
  double t81106, t81107, t81108, t81109, t81115, t81116, t81117, t81132;
  double t81142, t81146, t81150, t81168, t81169, t81170, t81171, t81175;
  double t81179, t81183, t81184, t81185, t81201, t81204, t81206, t81209;
  double t81210, t81211, t81212, t81213, t81214, t81215, t81216, t81217;
  double t81218, t81220, t81226, t81229, t81230, t81237, t81239, t81249;
  double t81254, t81261, t81264, t81265, t81266, t81267, t81270, t81275;
  double t81276, t81279, t81280, t81281, t81282, t81283, t81284, t81285;
  double t81288, t81289, t81294, t81297, t81305, t81306, t81307, t81308;
  double t81309, t81310, t81311, t81312, t81324, t81326, t81327, t81328;
  double t81329, t81340, t81341, t81349, t81355, t81361, t81368, t81372;
  double t81373, t81375, t81378, t81381, t81384, t81399, t81410, t81415;
  double t81416, t81417, t81421, t81422, t81423, t81424, t81425, t81426;
  double t81429, t81430, t81432, t81433, t81435, t81442, t81443, t81454;
  double t81455, t81459, t81460, t81464, t81467, t81486, t81489, t81494;
  double t81499, t81501, t81502, t81503, t81507, t81510, t81511, t81514;
  double t81515, t81516, t81517, t81518, t81519, t81520, t81521, t81522;
  double t81523, t81532, t81535, t81538, t81541, t81542, t81543, t81544;
  double t81545, t81546, t81547, t81556, t81557, t81558, t81559, t81561;
  double t81562, t81563, t81564, t81565, t81566, t81567, t81574, t81576;
  double t81578, t81579, t81580, t81590, t81596, t81597, t81601, t81603;
  double t81606, t81608, t81623, t81638, t81639, t81642, t81646, t81653;
  double t81654, t81660, t81673, t81676, t81682, t81683, t81684, t81685;
  double t81704, t81710, t81714, t81715, t81719, t81724, t81732, t81738;
  double t81741, t81744, t81746, t81747, t81748, t81749, t81752, t81753;
  double t81754, t81761, t81765, t81769, t81773, t81779, t81784, t81792;
  double t81794, t81810, t81812, t81817, t81818, t81824, t81833, t81836;
  double t81840, t81844, t81868, t81869, t81874, t81883, t81887, t81891;
  double t81894, t81896, t81906, t81911, t81918, t81923, t81926, t81929;
  double t81943, t81949, t81957, t81958, t81967, t81974, t81975, t81978;
  double t81979, t81982, t81983, t81986, t81989, t81998, t82005, t82008;
  double t82011, t82012, t82014, t82017, t82021, t82024, t82028, t82032;
  double t82033, t82045, t82046, t82047, t82053, t82056, t82057, t82059;
  double t82060, t82061, t82064, t82065, t82066, t82067, t82069, t82070;
  double t82072, t82073, t82080, t82082, t82086, t82094, t82106, t82111;
  double t82112, t82115, t82116, t82117, t82122, t82123, t82126, t82131;
  double t82134, t82135, t82140, t82143, t82146, t82147, t82156, t82159;
  double t82162, t82163, t82166, t82169, t82172, t82175, t82178, t82179;
  double t82180, t82181, t82182, t82183, t82185, t82188, t82189, t82190;
  double t82191, t82192, t82193, t82194, t82197, t82198, t82201, t82202;
  double t82213, t82214, t82217, t82218, t82219, t82223, t82226, t82231;
  double t82236, t82239, t82242, t82251, t82254, t82255, t82256, t82257;
  double t82260, t82261, t82262, t82267, t82271, t82273, t82282, t82285;
  double t82288, t82292, t82295, t82300, t82301, t82302, t82303, t82304;
  double t82307, t82308, t82309, t82311, t82314, t82316, t82319, t82322;
  double t82323, t82324, t82325, t82326, t82327, t82328, t82329, t82330;
  double t82333, t82336, t82337, t82338, t82339, t82348, t82349, t82351;
  double t82352, t82361, t82364, t82367, t82370, t82375, t82376, t82377;
  double t82378, t82382, t82383, t82384, t82387, t82390, t82391, t82392;
  double t82393, t82394, t82395, t82396, t82397, t82398, t82399, t82400;
  double t82401, t82402, t82403, t82404, t82405, t82406, t82407, t82410;
  double t82413, t82416, t82418, t82419, t82420, t82421, t82422, t82423;
  double t82424, t82425, t82426, t82429, t82432, t82439, t82440, t82441;
  double t82442, t82443, t82444, t82453, t82454, t82455, t82456, t82457;
  double t82460, t82461, t82464, t82465, t82468, t82474, t82477, t82478;
  double t82483, t82484, t82486, t82489, t82492, t82495, t82500, t82503;
  double t82506, t82509, t82512, t82515, t82516, t82517, t82518, t82527;
  double t82533, t82544, t82545, t82546, t82547, t82549, t82553, t82556;
  double t82560, t82569, t82573, t82579, t82592, t82595, t82598, t82601;
  double t82604, t82610, t82613, t82614, t82617, t82632, t82638, t82643;
  double t82644, t82645, t82646, t82647, t82648, t82649, t82655, t82660;
  double t82664, t82665, t82672, tv4rhosigma2lapl23, t82680, t82681, t82687, t82693;
  double t82698, t82701, t82702, t82704, t82705, t82706, t82707, t82722;
  double t82727, t82732, t82733, t82734, t82735, t82744, t82745, t82747;
  double t82751, t82752, t82759, t82760, t82761, t82762, t82765, t82766;
  double t82772, t82774, t82775, t82777, t82778, t82779, t82780, t82785;
  double t82786, t82788, t82789, t82790, t82791, t82798, t82800, t82805;
  double t82807, t82825, t82827, t82829, t82832, t82837, t82854, t82859;
  double t82862, t82874, t82875, t82877, t82879, t82880, t82881, t82883;
  double t82884, t82886, t82887, t82892, t82894, t82896, t82898, t82908;
  double t82909, t82914, t82925, t82926, t82927, t82928, t82929, t82930;
  double t82939, t82957, t82967, t82971, t82972, t82978, t82982, t82993;
  double t83002, t83003, t83004, t83005, t83006, t83007, t83019, t83022;
  double t83024, t83025, t83032, t83037, t83043, t83044, t83045, t83046;
  double t83047, t83048, t83049, t83062, t83063, t83064, t83065, t83066;
  double t83067, t83069, t83072, t83073, t83074, t83079, t83081, t83082;
  double t83101, t83102, t83104, t83109, t83114, t83115, t83116, t83127;
  double t83139, t83145, t83148, t83150, t83151, t83171, t83174, t83175;
  double t83176, t83177, t83178, t83179, t83198, t83201, t83227, t83228;
  double t83231, t83236, t83237, t83238, t83243, t83246, t83249, t83252;
  double t83255, t83256, t83259, t83260, t83262, t83263, t83265, t83267;
  double t83278, t83284, t83285, t83286, t83287, t83290, t83301, t83302;
  double t83303, t83305, t83307, t83323, t83324, t83326, t83327, t83328;
  double t83330, t83331, t83332, t83333, t83335, t83336, t83337, t83338;
  double t83345, t83358, t83363, t83364, t83375, t83377, t83378, t83380;
  double t83384, t83407, t83413, t83414, t83415, t83416, t83422, t83424;
  double t83425, t83426, t83428, t83431, t83433, t83434, t83435, t83436;
  double t83441, t83442, t83443, t83444, t83445, t83446, t83448, t83456;
  double t83467, t83471, t83478, t83507, t83513, t83514, t83522, t83526;
  double t83539, t83540, t83541, t83542, t83544, t83547, t83548, t83549;
  double t83550, t83551, t83552, t83560, t83572, t83574, t83591, t83593;
  double t83619, t83648, t83660, t83661, t83673, t83674, t83675, t83676;
  double t83677, t83678, t83679, t83706, t83724, t83725, t83738, t83748;
  double t83750, t83752, t83754, t83755, t83756, t83757, t83758, t83759;
  double t83766, t83767, t83768, t83769, t83779, t83780, t83784, t83786;
  double t83787, t83788, t83790, t83791, t83792, t83793, t83794, t83795;
  double t83796, t83797, t83803, t83808, t83809, t83810, t83811, t83812;
  double t83819, t83825, t83834, t83837, t83864, t83866, t83870, t83872;
  double t83874, t83876, t83877, t83882, t83885, t83891, t83893, t83895;
  double t83912, t83913, t83914, t83939, t83945, t83946, t83947, t83948;
  double t83949, t83950, t83952, t83953, t83955, t83956, t83959, t83964;
  double t83969, t83977, t84006, t84011, t84012, t84013, t84014, t84015;
  double t84017, t84020, t84029, t84058, t84067, t84068, t84070, t84071;
  double t84073, t84075, t84076, t84079, t84090, t84091, t84092, t84093;
  double t84094, t84097, t84104, t84105, t84125, t84130, t84137, t84146;
  double t84147, t84155, t84158, t84163, t84166, t84171, t84172, t84173;
  double t84174, t84179, t84180, t84181, t84182, t84183, t84184, t84193;
  double t84216, t84226, t84235, t84236, t84243, t84244, t84245, t84248;
  double t84249, t84254, t84255, t84256, t84257, t84258, t84259, t84261;
  double t84264, t84265, t84286, t84294, t84303, t84304, t84313, t84314;
  double t84315, t84319, t84320, t84328, t84329, t84330, t84331, t84345;
  double t84353, t84354, t84355, t84356, t84369, t84385, t84405, t84422;
  double t84423, t84424, t84425, t84426, t84427, t84432, t84436, t84437;
  double t84458, t84461, t84474, t84477, t84498, t84499, t84500, t84501;
  double t84502, t84503, t84504, t84506, t84507, t84510, t84529, t84532;
  double t84535, t84537, t84552, t84554, t84560, t84574, t84575, t84576;
  double t84583, tv4rhosigma2tau0, tv4rhosigma2tau1, tv4rhosigma2tau2, tv4rhosigma2tau3, tv4rhosigma2tau4, tv4rhosigma2tau5, tv4rhosigma2tau6;
  double tv4rhosigma2tau7, tv4rhosigma2tau8, tv4rhosigma2tau9, tv4rhosigma2tau10, t84585, t84587, t84589, t84591;
  double t84593, t84595, t84596, t84597, t84598, t84600, t84613, t84615;
  double t84624, t84625, t84626, t84629, t84633, t84639, t84640, t84642;
  double t84644, t84646, t84648, t84649, t84652, t84653, t84656, t84657;
  double t84658, t84659, t84661, t84663, t84665, t84672, t84684, t84686;
  double t84690, t84692, t84694, t84695, t84697, t84699, t84701, t84702;
  double t84703, t84705, t84706, t84707, t84709, t84710, t84711, t84716;
  double t84718, t84719, t84728, t84729, t84731, t84733, t84735, t84736;
  double t84737, t84738, t84739, t84740, t84741, t84742, t84744, t84746;
  double t84751, t84752, t84755, t84756, t84758, t84767, t84769, t84773;
  double t84775, t84776, t84777, t84779, t84788, t84796, t84803, t84807;
  double t84809, t84811, t84813, t84814, t84815, t84822, t84823, t84834;
  double t84838, t84842, t84844, t84846, t84848, t84850, t84855, t84857;
  double t84859, t84863, t84864, t84865, t84867, t84871, t84873, t84874;
  double t84877, t84879, t84882, t84884, t84886, t84887, t84888, t84891;
  double t84893, t84894, t84899, tv4rhosigma2tau11, t84907, t84908, t84909, t84910;
  double t84920, t84921, t84924, t84925, t84930, t84948, t84953, t84976;
  double t84979, t84985, t84989, t84990, t84991, t84992, t84998, t84999;
  double t85004, t85014, t85015, t85016, t85019, t85020, t85023, t85036;
  double t85037, t85038, t85039, t85044, t85054, t85067, t85072, tv4rhosigma2tau12;
  double tv4rhosigma2tau13, tv4rhosigma2tau14, tv4rhosigma2tau15, tv4rhosigma2tau16, tv4rhosigma2tau17, tv4rhosigma2tau18, tv4rhosigma2tau19, tv4rhosigma2tau20;
  double tv4rhosigma2tau21, tv4rhosigma2tau22, t85074, t85075, t85089, t85090, t85091, t85092;
  double t85093, t85094, t85107, t85108, t85111, t85121, t85131, t85132;
  double t85133, t85134, t85137, t85138, t85150, t85172, t85193, t85194;
  double t85195, t85196, t85198, t85199, t85200, t85202, t85203, t85207;
  double t85208, t85209, t85210, t85212, t85213, t85227, t85228, t85229;
  double t85243, t85246, t85247, t85248, t85249, t85250, t85251, t85252;
  double t85253, t85260, t85261, t85262, t85267, t85268, t85270, t85271;
  double t85272, t85291, t85315, t85318, t85319, t85320, t85321, t85322;
  double t85325, t85335, t85344, t85358, t85369, t85381, t85382, t85383;
  double t85384, t85387, t85390, t85393, t85396, t85426, t85427, t85434;
  double t85435, t85455, t85472, t85473, t85476, t85477, t85478, t85481;
  double t85485, t85487, t85488, t85497, t85504, t85509, t85511, t85512;
  double t85514, t85515, t85517, t85518, t85519, t85522, t85524, t85525;
  double t85528, t85529, t85543, t85559, t85560, t85561, t85562, t85569;
  double t85577, t85582, t85609, t85611, t85612, t85613, t85615, t85616;
  double t85618, t85619, t85621, t85622, t85623, t85627, t85630, t85631;
  double t85632, t85652, t85656, t85657, t85663, t85672, t85677, t85684;
  double t85711, t85721, t85725, t85732, t85733, t85734, t85746, t85747;
  double t85755, t85758, t85759, t85762, t85763, t85766, t85777, t85782;
  double t85785, t85792, t85811, t85812, t85813, t85820, t85826, t85843;
  double t85853, t85859, t85860, t85867, t85873, t85878, t85879, t85890;
  double t85897, t85898, t85899, t85900, t85905, t85906, t85907, t85908;
  double t85911, t85920, t85921, t85924, t85925, t85930, t85945, t85961;
  double t85988, t85996, t86004, t86014, t86027, t86028, t86030, t86031;
  double t86033, t86042, t86064, t86071, t86097, t86098, t86099, t86101;
  double t86102, t86105, t86118, t86121, t86126, t86138, t86139, t86146;
  double t86147, t86148, t86149, t86150, t86155, t86156, t86157, t86158;
  double t86161, t86164, t86172, t86193, t86204, t86205, t86207, t86208;
  double t86210, t86211, t86212, t86223, t86229, t86236, t86237, t86253;
  double t86271, t86272, t86273, t86274, t86281, t86296, t86299, t86300;
  double t86303, t86316, t86327, t86340, t86341, t86348, t86353, t86354;
  double t86355, t86356, t86357, t86358, t86359, t86361, t86362, t86379;
  double t86388, t86389, t86394, t86395, t86400, t86401, t86402, t86403;
  double t86406, t86424, t86431, t86432, t86433, t86434, t86439, t86440;
  double t86447, t86470, t86488, t86503, t86504, t86507, t86508, t86513;
  double t86522, t86523, t86524, t86534, t86535, t86536, t86539, t86540;
  double t86541, t86542, t86549, t86550, t86551, t86560, t86561, t86578;
  double t86588, t86591, t86606, t86611, t86613, t86614, t86615, t86617;
  double t86618, t86619, t86630, t86631, t86634, t86657, t86662, t86667;
  double t86670, t86684, t86688, t86691, t86692, t86693, t86694, t86695;
  double t86696, t86703, t86707, t86708, t86709, t86710, t86711, t86712;
  double t86727, t86728, t86729, t86730, t86731, t86744, t86753, t86760;
  double t86765, t86768, t86769, t86770, t86771, t86772, t86783, t86789;
  double t86808, t86809, t86810, t86811, t86812, t86813, t86814, t86815;
  double t86820, t86830, t86833, t86834, t86836, t86837, t86841, t86848;
  double tv4rhosigma2tau23, t86856, t86857, t86858, t86866, t86871, t86875, t86876;
  double t86877, t86879, t86880, t86881, t86890, t86891, t86896, t86898;
  double t86920, t86925, t86926, t86928, t86932, t86935, t86936, t86943;
  double t86950, t86956, t86958, t86970, t86971, t86976, t86981, t86982;
  double t86983, t86984, t87012, t87031, t87053, t87063, t87065, t87067;
  double t87073, t87075, t87076, t87079, t87081, t87083, t87088, t87089;
  double t87098, t87099, t87100, t87101, t87102, t87105, t87106, t87111;
  double t87114, t87117, t87119, t87122, t87125, t87133, t87135, t87138;
  double t87147, t87148, t87151, t87152, t87153, t87154, t87155, t87156;
  double t87159, t87162, t87163, t87164, t87167, t87171, t87172, t87174;
  double t87175, t87176, t87179, t87183, t87186, t87187, t87191, t87193;
  double t87195, t87197, t87201, t87202, t87205, t87206, t87207, t87208;
  double t87210, t87212, t87214, t87216, t87218, t87221, t87222, t87223;
  double t87226, t87229, t87232, t87235, t87236, t87237, t87240, t87241;
  double t87242, t87252, t87253, t87256, t87257, t87258, t87259, t87260;
  double t87261, t87262, t87263, t87264, t87265, t87266, t87267, t87268;
  double t87269, t87270, t87272, t87274, t87275, t87276, t87277, t87279;
  double t87280, t87282, t87283, t87284, t87288, t87292, t87296, t87297;
  double t87298, t87299, t87300, t87301, t87302, t87304, t87305, t87306;
  double t87310, t87311, t87315, t87322, t87323, t87324, t87327, t87333;
  double t87343, t87346, t87348, t87355, t87358, t87365, t87368, t87380;
  double t87381, t87382, t87398, t87404, t87405, t87406, t87407, t87413;
  double t87414, t87415, t87416, t87417, t87418, t87438, t87441, t87458;
  double t87469, t87485, t87486, t87487, t87488, t87489, t87491, t87492;
  double t87493, t87494, t87495, t87496, t87497, t87498, t87508, t87511;
  double t87514, t87517, t87518, t87519, t87534, t87535, t87537, t87539;
  double t87542, t87546, t87554, t87558, t87562, t87570, t87574, t87577;
  double t87581, t87585, t87592, t87596, t87606, t87607, t87614, t87625;
  double t87628, t87639, t87641, t87642, t87643, t87644, t87649, t87654;
  double t87659, t87660, t87663, t87664, t87665, t87666, t87667, t87668;
  double t87669, t87670, t87674, t87676, t87680, t87684, t87685, t87690;
  double t87692, t87693, t87694, t87695, t87699, t87702, t87706, t87713;
  double t87714, t87715, t87716, t87719, t87720, t87722, t87728, t87729;
  double t87732, t87735, t87736, t87737, t87741, t87745, t87753, t87759;
  double t87778, t87779, t87785, t87791, t87792, t87793, t87794, t87795;
  double t87803, t87828, t87832, t87833, t87834, t87835, t87836, t87838;
  double t87840, t87841, t87844, t87845, t87848, t87849, t87853, t87857;
  double t87861, t87865, t87868, t87869, t87872, t87876, t87880, t87885;
  double t87888, t87893, t87896, t87902, t87912, t87914, t87915, t87918;
  double t87919, t87920, t87923, t87926, t87930, t87938, t87939, t87943;
  double t87947, t87948, t87949, t87950, t87951, t87952, t87953, t87954;
  double t87955, t87956, t87959, t87960, t87965, t87970, t87971, t87974;
  double t87977, t87980, t87989, t87990, t87991, t87994, t87997, t87998;
  double t88001, t88002, t88003, t88004, t88005, t88006, t88007, t88011;
  double t88014, t88016, t88019, t88022, t88025, t88028, t88037, t88038;
  double t88041, t88042, t88045, t88048, t88051, t88056, t88057, t88058;
  double t88059, t88060, t88061, t88062, t88063, t88064, t88065, t88066;
  double t88067, t88071, t88077, t88079, t88082, t88090, t88091, t88096;
  double t88099, t88102, t88106, t88108, t88109, t88112, t88114, t88117;
  double t88120, t88122, t88124, t88125, t88127, t88128, t88131, t88132;
  double t88133, t88136, t88138, t88139, t88140, t88141, t88144, t88159;
  double t88162, t88165, t88166, t88167, t88168, t88169, t88170, t88171;
  double t88172, t88173, t88178, t88181, t88184, t88188, t88191, t88196;
  double t88199, t88204, t88207, t88210, t88213, t88218, t88221, t88224;
  double t88229, t88230, t88235, t88236, t88240, t88243, t88244, t88245;
  double t88246, t88250, t88254, t88255, t88256, t88258, t88259, t88260;
  double t88261, t88262, t88269, t88270, t88271, t88272, t88275, t88284;
  double t88290, t88293, t88298, t88299, t88308, t88309, t88316, t88317;
  double t88318, t88323, t88332, t88333, t88336, t88339, t88342, t88345;
  double t88348, t88353, t88356, t88359, t88362, t88364, t88367, t88370;
  double t88372, t88375, t88381, t88382, t88385, t88392, t88395, t88396;
  double t88401, t88404, t88407, t88408, t88411, t88414, t88417, t88420;
  double t88431, t88432, t88433, t88434, t88437, t88439, t88449, t88453;
  double t88454, t88456, t88458, t88460, t88462, t88463, t88465, t88467;
  double t88469, t88479, t88486, t88489, t88506, t88507, t88511, t88513;
  double t88517, t88520, t88525, t88530, t88535, t88536, t88544, t88552;
  double t88559, t88562, t88563, t88564, t88574, t88582, t88585, t88589;
  double t88593, t88595, t88596, t88598, t88604, t88611, t88612, t88613;
  double t88614, t88619, t88621, t88622, t88623, t88624, t88625, t88626;
  double t88627, t88628, t88631, t88633, t88634, t88635, t88637, t88641;
  double t88642, t88643, t88644, t88650, t88654, t88656, t88657, t88658;
  double t88660, t88662, t88663, t88670, t88671, t88674, t88675, t88678;
  double t88679, t88680, t88681, t88682, t88686, t88688, t88689, t88690;
  double t88693, t88706, t88714, t88716, t88721, t88727, t88728, t88731;
  double t88732, t88733, t88734, t88737, t88745, t88746, t88747, t88749;
  double t88757, t88761, t88766, t88767, t88768, t88772, t88775, t88778;
  double t88779, t88780, t88781, t88782, t88785, t88788, t88793, t88794;
  double t88797, t88802, t88806, t88807, t88811, t88815, t88818, t88821;
  double t88823, t88824, t88828, t88829, t88838, t88850, t88853, t88854;
  double t88855, t88859, t88863, t88864, t88867, t88870, t88871, t88874;
  double t88884, t88893, t88901, t88908, t88909, t88911, t88916, t88920;
  double t88923, t88926, t88928, t88931, t88935, t88939, t88943, t88946;
  double t88947, t88952, t88955, t88960, t88963, t88966, t88969, t88970;
  double t88971, t88972, t88976, t88983, t88984, t88985, t88986, t88987;
  double t88991, t88992, t88993, t88994, t88995, t88996, t88997, t88998;
  double t88999, t89000, t89001, t89002, t89003, t89004, t89005, t89009;
  double t89014, t89015, t89016, t89028, t89038, t89039, t89045, t89047;
  double t89055, t89058, t89059, t89060, t89063, t89066, t89069, t89072;
  double t89079, tv4rhosigmalapl20, tv4rhosigmalapl21, tv4rhosigmalapl22, tv4rhosigmalapl23, tv4rhosigmalapl24, tv4rhosigmalapl25, tv4rhosigmalapl26;
  double tv4rhosigmalapl27, t89082, t89084, t89086, t89098, t89099, t89101, t89111;
  double t89120, t89131, t89132, t89155, t89156, t89158, t89159, t89160;
  double t89161, t89163, t89165, t89167, t89169, t89183, t89184, t89185;
  double t89186, t89188, t89190, t89192, t89194, t89195, t89196, t89198;
  double t89200, t89201, t89202, t89204, t89205, t89206, t89210, t89212;
  double t89214, t89218, t89223, t89225, t89227, t89229, t89231, t89233;
  double t89234, t89235, t89236, t89237, t89238, t89239, t89241, t89243;
  double t89245, t89247, t89249, t89256, t89265, t89267, t89269, t89271;
  double t89273, t89274, t89276, t89278, t89280, t89282, t89290, t89292;
  double t89293, t89294, t89297, t89299, t89301, t89303, t89305, t89307;
  double t89309, t89310, t89313, t89314, t89315, t89316, t89317, t89318;
  double t89319, t89320, t89321, t89322, t89323, t89324, t89325, t89333;
  double t89334, t89336, t89338, t89340, t89342, t89345, t89350, t89351;
  double t89352, t89354, t89355, t89356, t89357, t89358, t89359, t89364;
  double tv4rhosigmalapl28, t89372, t89373, t89386, t89387, t89390, t89391, t89392;
  double t89393, t89394, t89400, t89401, t89402, t89403, t89404, t89420;
  double t89421, t89422, t89423, t89430, t89431, t89446, t89469, t89470;
  double t89471, t89475, t89476, t89481, t89489, t89509, t89514, tv4rhosigmalapl29;
  double tv4rhosigmalapl210, tv4rhosigmalapl211, tv4rhosigmalapl212, tv4rhosigmalapl213, tv4rhosigmalapl214, tv4rhosigmalapl215, tv4rhosigmalapl216, t89516;
  double t89519, t89522, t89525, t89526, t89527, t89532, t89533, t89534;
  double t89536, t89537, t89538, t89539, t89540, t89541, t89544, t89545;
  double t89546, t89549, t89558, t89559, t89560, t89566, t89584, t89585;
  double t89586, t89589, t89599, t89605, t89606, t89607, t89617, t89618;
  double t89619, t89632, t89637, t89640, t89641, t89648, t89649, t89651;
  double t89652, t89653, t89655, t89656, t89657, t89658, t89663, t89664;
  double t89675, t89680, t89691, t89695, t89699, t89703, t89708, t89712;
  double t89713, t89717, t89718, t89719, t89720, t89722, t89727, t89728;
  double t89738, t89739, t89740, t89743, t89746, t89750, t89754, t89758;
  double t89759, t89761, t89762, t89765, t89766, t89767, t89772, t89796;
  double t89799, t89800, t89801, t89802, t89812, t89815, t89823, t89824;
  double t89828, t89829, t89830, t89831, t89832, t89835, t89838, t89840;
  double t89845, t89846, t89851, t89858, t89859, t89866, t89868, t89871;
  double t89872, t89873, t89874, t89875, t89876, t89881, t89883, t89884;
  double t89885, t89887, t89888, t89889, t89892, t89901, t89904, t89905;
  double t89914, t89915, t89916, t89950, t89975, t89990, t90003, t90005;
  double t90007, t90022, t90023, t90026, t90030, t90031, t90032, t90033;
  double t90044, t90046, t90047, t90058, t90059, t90060, t90061, t90065;
  double t90069, t90070, t90071, t90078, t90083, t90086, t90093, t90094;
  double t90097, t90098, t90104, t90117, t90120, t90123, t90124, t90125;
  double t90133, t90136, t90138, t90141, t90144, t90148, t90152, t90153;
  double t90155, t90156, t90161, t90176, t90179, t90183, t90184, t90185;
  double t90192, t90193, t90194, t90195, t90196, t90200, t90201, t90202;
  double t90203, t90204, t90205, t90206, t90210, t90211, t90212, t90213;
  double t90214, t90215, t90216, t90217, t90218, t90219, t90220, t90221;
  double t90222, t90223, t90225, t90226, t90227, t90228, t90234, t90237;
  double t90240, t90241, t90245, t90249, t90252, t90257, t90260, t90262;
  double t90267, t90272, t90289, t90290, t90299, t90300, t90301, t90305;
  double t90306, t90309, t90311, t90312, t90315, t90323, t90326, t90331;
  double t90338, t90342, t90347, t90353, t90356, t90357, t90364, t90374;
  double t90375, t90379, t90380, t90383, t90384, t90388, t90392, t90394;
  double t90398, t90402, t90403, t90406, t90409, t90410, t90417, t90435;
  double t90443, t90444, t90447, t90448, t90449, t90452, t90457, t90471;
  double t90472, t90473, t90474, t90475, t90476, t90485, t90488, t90490;
  double t90493, t90495, t90500, t90504, t90507, t90508, t90513, t90517;
  double t90530, t90550, t90554, t90559, t90565, t90568, t90571, t90573;
  double t90576, t90582, t90583, t90584, t90585, t90586, t90591, t90594;
  double t90595, t90596, t90599, t90600, t90601, t90602, t90603, t90605;
  double t90606, t90610, t90615, t90618, t90619, t90620, t90621, t90622;
  double t90623, t90624, t90625, t90628, t90635, t90638, t90643, t90646;
  double t90647, t90648, t90651, t90652, t90653, t90657, t90667, t90668;
  double t90669, t90670, t90675, t90676, t90679, t90682, t90689, t90698;
  double t90705, t90726, t90727, t90728, t90729, t90730, t90731, t90732;
  double t90733, t90741, t90746, t90750, t90754, t90757, t90760, t90765;
  double t90773, t90774, t90783, t90788, t90793, t90796, t90797, t90801;
  double t90804, t90806, t90807, t90808, t90809, t90814, t90819, t90823;
  double t90825, t90828, t90831, t90835, t90836, t90837, t90840, t90844;
  double t90853, t90856, t90859, t90860, t90863, t90866, t90867, t90870;
  double t90873, t90883, t90884, t90886, t90887, t90890, t90895, t90896;
  double t90897, t90898, t90901, t90902, t90903, t90904, t90909, t90910;
  double t90911, t90914, t90915, t90918, t90921, t90926, t90932, t90937;
  double t90939, t90946, t90948, t90949, t90950, t90953, t90958, t90959;
  double t90960, t90967, t90972, t90975, t90978, t90979, t90980, t90981;
  double t90982, t90983, t90984, t90985, t90988, t90991, t90998, t91000;
  double t91001, t91002, t91003, t91005, t91006, t91007, t91010, t91015;
  double t91016, t91019, t91021, t91026, t91029, t91032, t91035, t91038;
  double t91041, t91044, t91047, t91050, t91052, t91055, t91058, t91060;
  double t91063, t91066, t91072, t91073, t91074, t91077, t91080, t91081;
  double t91082, t91085, t91086, t91087, t91088, t91091, t91092, t91097;
  double t91102, t91109, t91114, t91115, t91118, t91119, t91122, t91125;
  double t91129, t91132, t91138, t91141, t91144, t91149, t91156, t91159;
  double t91160, t91161, t91162, t91163, t91164, t91165, t91174, t91175;
  double t91176, t91177, t91178, t91179, t91180, t91182, t91185, t91192;
  double t91203, t91206, t91207, t91208, t91210, t91213, t91216, t91218;
  double t91219, t91224, t91225, t91226, t91227, t91230, t91237, t91239;
  double t91244, t91251, t91252, t91254, t91257, t91262, t91265, t91268;
  double t91269, t91270, t91271, t91272, t91275, t91280, t91281, t91287;
  double t91290, t91293, t91294, t91295, t91299, t91302, t91311, t91314;
  double t91317, t91320, t91323, t91324, t91325, t91326, t91327, t91328;
  double t91329, t91338, t91343, t91344, t91350, t91351, t91354, t91360;
  double t91363, t91378, t91379, t91387, t91390, t91393, t91396, t91399;
  double t91405, t91411, t91414, t91417, t91428, t91432, t91436, t91441;
  double t91450, t91457, t91464, t91468, t91477, t91480, t91482, t91485;
  double t91487, t91491, t91495, t91499, t91500, t91501, t91502, t91503;
  double t91506, t91511, t91512, t91515, t91516, t91517, t91518, t91519;
  double t91523, t91524, t91527, t91534, t91537, t91540, t91547, t91551;
  double t91555, t91564, t91568, t91575, t91577, t91578, t91579, t91581;
  double t91585, t91588, t91592, t91595, t91598, t91601, t91604, t91608;
  double t91609, t91610, t91617, tv4rhosigmalapl217, t91629, t91632, t91634, t91653;
  double t91654, t91659, t91661, t91680, t91690, t91694, t91700, t91703;
  double t91704, t91720, t91721, t91723, t91726, t91727, t91730, t91731;
  double t91749, t91751, t91753, t91754, t91773, t91774, t91777, t91786;
  double t91810, t91811, t91814, t91822, t91824, t91847, t91849, t91851;
  double t91854, t91881, t91893, t91902, t91903, t91904, t91905, t91914;
  double t91923, t91925, t91936, t91939, t91950, t91958, t91964, t91968;
  double t91975, t91982, t92019, t92021, t92047, t92056, t92059, t92074;
  double t92082, t92084, t92091, t92096, t92100, t92102, t92104, t92106;
  double t92108, t92117, t92131, t92155, t92171, t92187, t92191, t92195;
  double t92218, t92224, t92230, t92235, t92240, t92253, t92272, t92287;
  double t92310, t92313, t92332, t92334, t92336, t92338, t92339, t92344;
  double t92349, t92352, t92355, t92368, t92406, t92408, t92426, t92437;
  double t92440, t92452, t92453, t92454, t92457, t92460, t92461, t92462;
  double t92465, t92468, t92475, t92485, t92503, t92512, t92517, t92519;
  double t92522, t92523, t92542, t92549, t92560, t92565, t92572, t92574;
  double t92584, t92607, t92621, t92622, t92628, t92636, t92642, t92665;
  double t92676, t92677, t92681, t92682, t92684, t92715, t92719, t92730;
  double t92745, t92747, t92749, t92751, t92758, t92765, t92780, t92786;
  double t92793, t92798, t92800, t92810, t92813, t92816, t92825, t92831;
  double t92844, t92848, t92853, t92854, t92885, t92905, t92907, t92909;
  double t92911, t92913, t92914, t92918, t92926, t92928, t92930, t92932;
  double t92933, t92954, t92958, t92962, t92978, t93007, t93032, t93052;
  double t93060, t93069, t93071, t93075, t93087, t93097, t93107, t93109;
  double t93113, t93114, t93116, t93134, t93162, t93166, t93167, t93168;
  double t93181, t93186, t93192, t93200, t93219, t93224, t93227, t93241;
  double t93247, t93249, t93252, t93257, t93270, t93272, t93274, t93280;
  double t93282, t93290, t93294, t93304, t93305, t93318, t93321, t93348;
  double t93381, t93384, t93387, t93389, t93392, t93415, t93423, t93442;
  double t93453, t93464, t93466, t93483, t93484, t93490, t93494, t93497;
  double t93503, t93505, t93509, t93525, t93528, t93532, t93551, t93561;
  double t93572, t93580, t93585, t93597, t93598, t93607, t93609, t93653;
  double t93663, t93669, t93670, t93678, t93692, t93699, t93724, t93728;
  double t93731, t93734, t93768, t93771, t93786, t93794, t93817, t93819;
  double t93853, t93883, t93902, t93923, t93933, t93942, t93959, t93965;
  double t93981, t93988, t94001, t94004, t94019, t94030, t94039, t94044;
  double t94058, t94079, t94092, t94103, t94110, t94115, t94122, tv4rhosigmalapltau0;
  double tv4rhosigmalapltau1, tv4rhosigmalapltau2, tv4rhosigmalapltau3, tv4rhosigmalapltau4, tv4rhosigmalapltau5, tv4rhosigmalapltau6, tv4rhosigmalapltau7, tv4rhosigmalapltau8;
  double tv4rhosigmalapltau9, tv4rhosigmalapltau10, t94125, t94127, t94129, t94136, t94138, t94140;
  double t94142, t94148, t94150, t94151, t94153, t94155, t94157, t94159;
  double t94161, t94163, t94165, t94167, t94177, t94178, t94180, t94182;
  double t94184, t94186, t94188, t94197, t94199, t94200, t94202, t94220;
  double t94222, t94225, t94229, t94231, t94233, t94235, t94240, t94250;
  double t94252, t94253, t94258, t94262, t94271, t94273, t94278, t94287;
  double t94289, t94291, t94293, t94294, t94299, t94301, t94303, t94305;
  double t94307, t94309, t94311, t94313, t94315, t94317, t94318, t94322;
  double t94324, t94340, t94341, t94344, t94356, t94365, t94367, t94369;
  double t94375, t94379, t94385, t94389, t94390, t94394, t94402, t94404;
  double t94406, t94407, t94409, t94414, t94425, t94436, t94438, t94440;
  double t94442, t94444, t94448, t94450, t94451, t94453, t94463, t94465;
  double t94467, t94469, t94471, t94472, t94477, tv4rhosigmalapltau11, t94485, t94500;
  double t94507, t94520, t94529, t94532, t94540, t94541, t94555, t94569;
  double t94579, t94596, t94623, t94637, t94647, t94666, t94671, tv4rhosigmalapltau12;
  double tv4rhosigmalapltau13, tv4rhosigmalapltau14, tv4rhosigmalapltau15, tv4rhosigmalapltau16, tv4rhosigmalapltau17, tv4rhosigmalapltau18, tv4rhosigmalapltau19, tv4rhosigmalapltau20;
  double tv4rhosigmalapltau21, tv4rhosigmalapltau22, t94677, t94678, t94682, t94683, t94687, t94688;
  double t94689, t94693, t94694, t94701, t94702, t94717, t94727, t94736;
  double t94737, t94753, t94758, t94774, t94775, t94792, t94798, t94818;
  double t94835, t94851, t94863, t94866, t94870, t94871, t94876, t94877;
  double t94878, t94883, t94884, t94885, t94889, t94897, t94898, t94911;
  double t94919, t94929, t94934, t94938, t94979, t94981, t94988, t95005;
  double t95024, t95029, t95040, t95059, t95063, t95101, t95116, t95127;
  double t95132, t95156, t95177, t95182, t95199, t95214, t95228, t95253;
  double t95256, t95257, t95258, t95264, t95283, t95313, t95343, t95358;
  double t95362, t95375, t95376, t95379, t95387, t95388, t95393, t95396;
  double t95399, t95402, t95405, t95421, t95424, t95426, t95439, t95483;
  double t95512, t95515, t95524, t95528, t95531, t95564, t95576, t95589;
  double t95590, t95594, t95610, t95634, t95662, t95686, t95688, t95697;
  double t95701, t95718, t95721, t95735, t95749, t95765, t95768, t95779;
  double t95780, t95813, t95825, t95829, t95830, t95833, t95855, t95870;
  double t95903, t95920, t95921, t95937, t95956, t95960, t95966, t95967;
  double t95970, t95981, t95987, t95992, t95997, t96019, t96028, t96033;
  double t96060, t96093, t96119, t96124, t96137, t96140, t96146, t96159;
  double t96162, t96163, t96166, t96177, t96178, t96204, t96233, t96234;
  double t96253, t96256, t96263, t96278, t96297, t96306, t96312, t96331;
  double t96340, t96354, t96356, t96364, t96376, t96377, t96384, t96403;
  double t96417, t96426, t96443, t96452, t96465, t96481, t96496, t96517;
  double t96543, t96568, t96579, t96585, t96599, t96605, t96625, t96628;
  double t96641, t96661, t96692, t96698, t96711, t96726, t96762, t96793;
  double t96806, t96814, t96817, t96820, t96822, t96825, t96826, t96830;
  double t96844, t96852, t96856, t96859, t96874, t96883, t96889, t96928;
  double t96951, t96969, t96989, t97009, t97016, tv4rhosigmalapltau23, t97025, t97030;
  double t97043, t97044, t97048, t97049, t97053, t97054, t97055, t97056;
  double t97062, t97064, t97068, t97069, t97087, t97100, t97105, t97106;
  double t97112, t97117, t97118, t97121, t97124, t97129, t97130, t97131;
  double t97136, t97137, t97138, t97139, t97143, t97155, t97168, t97169;
  double t97170, t97171, t97174, t97181, t97182, t97187, t97195, t97196;
  double t97204, t97212, t97226, t97228, t97241, t97248, t97249, t97267;
  double t97277, t97279, t97284, t97285, t97286, t97287, t97304, t97305;
  double t97309, t97320, t97323, t97328, t97335, t97339, t97340, t97346;
  double t97350, t97352, t97357, t97358, t97362, t97369, t97374, t97385;
  double t97390, t97391, t97393, t97394, t97399, t97407, t97413, t97414;
  double t97415, t97436, t97440, t97447, t97476, t97480, t97490, t97491;
  double t97492, t97500, t97502, t97503, t97504, t97505, t97506, t97511;
  double t97517, t97530, t97531, t97532, t97546, t97561, t97562, t97566;
  double t97567, t97568, t97570, t97577, t97586, t97587, t97597, t97598;
  double t97610, t97625, t97632, t97634, t97636, t97637, t97663, t97670;
  double t97673, t97675, t97701, t97705, t97706, t97710, t97717, t97745;
  double t97746, t97776, t97780, t97782, t97783, t97784, t97791, t97801;
  double t97803, t97805, t97807, t97812, t97817, t97822, t97825, t97854;
  double t97857, t97865, t97866, t97868, t97881, t97884, t97885, t97886;
  double t97887, t97892, t97899, t97914, t97919, t97931, t97946, t97951;
  double t97952, t97953, t97954, t97955, t97958, t97959, t97968, t97980;
  double t97996, t98000, t98003, t98004, t98026, t98030, t98031, t98036;
  double t98048, t98053, t98054, t98055, t98056, t98057, t98058, t98059;
  double t98061, t98062, t98072, t98074, t98076, t98085, t98095, t98108;
  double t98112, t98115, t98141, t98147, t98157, t98158, t98159, t98161;
  double t98162, t98163, t98165, t98166, t98170, t98173, t98177, t98196;
  double t98203, t98205, t98212, t98235, t98236, t98245, t98251, t98252;
  double t98253, t98257, t98259, t98260, t98262, t98264, t98266, t98268;
  double t98270, t98272, t98274, t98276, t98295, t98318, t98320, t98327;
  double t98338, t98361, t98370, t98374, t98375, t98407, t98417, t98418;
  double t98419, t98424, t98447, t98466, t98485, t98504, t98506, t98515;
  double t98516, t98535, t98536, t98537, t98544, t98562, t98581, t98582;
  double t98583, t98584, t98585, t98586, t98595, t98602, t98603, t98611;
  double t98613, t98614, t98623, t98625, t98627, t98629, t98648, t98655;
  double t98657, t98659, t98671, t98676, t98685, t98686, t98704, t98717;
  double t98735, t98738, t98765, t98766, t98768, t98769, t98770, t98791;
  double t98811, t98812, t98820, t98821, t98822, t98824, t98825, t98839;
  double t98840, t98841, t98842, t98843, t98856, t98859, t98863, t98867;
  double t98873, t98874, t98877, t98878, t98879, t98887, t98892, t98897;
  double t98903, t98912, t98930, t98933, t98934, t98958, t98974, t98979;
  double t98986, t98994, t99009, t99013, t99014, t99026, t99041, t99042;
  double t99043, t99044, t99045, t99046, t99047, t99051, t99083, t99084;
  double t99095, t99096, t99097, t99098, t99122, t99125, t99126, t99127;
  double t99128, t99129, t99130, t99131, t99139, t99145, t99154, t99178;
  double t99189, t99190, t99191, t99192, t99193, t99212, t99213, t99214;
  double t99215, t99237, t99239, t99248, t99249, t99250, t99255, t99256;
  double t99257, t99260, t99275, t99286, t99293, t99295, t99297, t99298;
  double t99301, t99317, t99318, t99319, t99320, t99321, t99324, t99325;
  double t99336, t99340, t99342, t99344, t99346, t99348, t99350, t99370;
  double t99383, t99384, t99385, t99386, t99387, t99388, t99393, t99397;
  double t99403, t99405, t99419, t99426, tv4rhosigmatau20, tv4rhosigmatau21, tv4rhosigmatau22, tv4rhosigmatau23;
  double tv4rhosigmatau24, tv4rhosigmatau25, tv4rhosigmatau26, tv4rhosigmatau27, t99429, t99431, t99439, t99441;
  double t99443, t99445, t99447, t99448, t99450, t99452, t99454, t99456;
  double t99458, t99459, t99460, t99462, t99464, t99468, t99470, t99473;
  double t99479, t99481, t99487, t99489, t99491, t99495, t99497, t99498;
  double t99499, t99500, t99501, t99502, t99520, t99535, t99537, t99541;
  double t99543, t99544, t99546, t99548, t99549, t99550, t99551, t99552;
  double t99553, t99554, t99555, t99556, t99557, t99559, t99561, t99562;
  double t99565, t99567, t99569, t99571, t99572, t99573, t99574, t99575;
  double t99576, t99578, t99580, t99581, t99585, t99587, t99593, t99597;
  double t99599, t99600, t99601, t99610, t99613, t99615, t99617, t99619;
  double t99621, t99623, t99624, t99633, t99638, t99639, t99648, t99654;
  double t99655, t99657, t99659, t99661, t99663, t99665, t99666, t99668;
  double t99673, t99674, t99676, t99678, t99680, t99686, t99688, t99690;
  double t99692, t99693, t99702, t99703, t99712, t99714, t99715, t99719;
  double t99727, t99741, t99744, t99746, t99749, t99753, t99755, t99757;
  double t99765, t99770, tv4rhosigmatau28, t99772, t99773, t99774, t99775, t99782;
  double t99787, t99788, t99803, t99807, t99823, t99831, t99842, t99858;
  double t99881, t99891, t99892, t99893, t99896, t99900, t99905, t99906;
  double t99908, t99919, t99926, t99927, t99930, t99940, t99949, t99954;
  double tv4rhosigmatau29, tv4rhosigmatau210, tv4rhosigmatau211, tv4rhosigmatau212, tv4rhosigmatau213, tv4rhosigmatau214, tv4rhosigmatau215, tv4rhosigmatau216;
  double t99971, t99986, t100013, t100030, t100050, t100062, t100064, t100080;
  double t100081, t100082, t100083, t100087, t100101, t100102, t100110, t100141;
  double t100168, t100187, t100194, t100195, t100203, t100205, t100209, t100210;
  double t100211, t100214, t100218, t100223, t100232, t100233, t100237, t100238;
  double t100242, t100243, t100244, t100247, t100270, t100276, t100281, t100300;
  double t100316, t100348, t100349, t100350, t100351, t100352, t100369, t100373;
  double t100374, t100382, t100392, t100393, t100412, t100430, t100431, t100432;
  double t100433, t100438, t100444, t100450, t100472, t100473, t100477, t100482;
  double t100489, t100492, t100493, t100519, t100521, t100548, t100574, t100575;
  double t100578, t100583, t100590, t100616, t100634, t100635, t100636, t100637;
  double t100639, t100640, t100653, t100664, t100672, t100680, t100690, t100691;
  double t100693, t100694, t100718, t100735, t100736, t100740, t100741, t100742;
  double t100743, t100744, t100745, t100746, t100749, t100762, t100763, t100765;
  double t100766, t100767, t100769, t100770, t100771, t100773, t100774, t100785;
  double t100787, t100790, t100799, t100803, t100815, t100826, t100850, t100859;
  double t100862, t100864, t100890, t100898, t100899, t100900, t100901, t100923;
  double t100929, t100939, t100948, t100980, t100981, t100982, t101000, t101007;
  double t101008, t101021, t101026, t101031, t101047, t101057, t101060, t101063;
  double t101065, t101074, t101075, t101076, t101082, t101089, t101090, t101091;
  double t101092, t101093, t101094, t101095, t101096, t101100, t101137, t101143;
  double t101147, t101180, t101192, t101213, t101218, t101223, t101226, t101237;
  double t101240, t101256, t101266, t101274, t101275, t101276, t101277, t101288;
  double t101297, t101304, t101305, t101308, t101344, t101352, t101353, t101354;
  double t101355, t101356, t101360, t101390, t101407, t101408, t101412, t101419;
  double t101423, t101424, t101438, t101441, t101445, t101449, t101465, t101475;
  double t101504, t101516, t101521, t101539, t101547, t101548, t101549, t101556;
  double t101583, t101593, t101605, t101625, t101629, t101630, t101631, t101632;
  double t101633, t101634, t101635, t101636, t101638, t101642, t101658, t101670;
  double t101702, t101707, t101708, t101725, t101733, t101734, t101746, t101754;
  double t101773, t101774, t101775, t101776, t101777, t101778, t101781, t101784;
  double t101788, t101790, t101795, t101800, t101804, t101808, t101826, t101827;
  double t101828, t101832, t101851, t101865, t101866, t101876, t101892, t101896;
  double t101906, t101912, t101937, t101938, t101940, t101943, t101952, t101981;
  double t101987, t102013, t102023, t102024, t102025, t102026, t102036, t102037;
  double t102043, t102044, t102045, t102047, t102057, t102062, t102065, t102066;
  double t102067, t102068, t102069, t102073, t102081, t102082, t102086, t102100;
  double t102101, t102102, t102103, t102106, t102107, t102118, t102120, t102130;
  double t102149, t102150, t102151, t102152, t102153, t102154, t102155, t102170;
  double t102171, t102172, t102173, t102191, t102192, t102193, t102194, t102195;
  double t102196, t102197, t102204, tv4rhosigmatau217, t102206, t102219, t102222, t102223;
  double t102230, t102239, t102249, t102260, t102263, t102264, t102271, t102276;
  double t102289, t102291, t102293, t102306, t102315, t102316, t102318, t102323;
  double t102329, t102332, t102334, t102336, t102337, t102339, t102341, t102343;
  double t102345, t102347, t102348, t102349, t102351, t102353, t102356, t102360;
  double t102369, t102371, t102377, t102380, t102384, t102385, t102390, t102416;
  double t102429, t102435, t102438, t102442, t102446, t102450, t102453, t102454;
  double t102455, t102460, t102463, t102466, t102482, t102489, t102490, t102492;
  double t102495, t102501, t102508, t102511, t102514, t102516, t102531, t102534;
  double t102535, t102538, t102540, t102546, t102549, t102556, t102557, t102566;
  double t102578, t102583, t102585, t102586, t102587, t102598, t102608, t102616;
  double t102617, t102626, t102631, t102637, t102638, t102644, t102648, t102651;
  double t102654, t102658, t102659, t102660, t102663, t102671, t102680, t102685;
  double t102689, t102704, t102708, t102709, t102710, t102713, t102718, t102720;
  double t102725, t102728, t102733, t102748, t102751, t102753, t102755, t102757;
  double t102758, t102760, t102770, t102771, t102780, t102784, t102788, t102791;
  double t102792, t102796, t102800, t102810, t102815, t102819, t102820, t102821;
  double t102828, t102830, t102833, t102839, t102844, t102852, t102856, t102862;
  double t102865, t102870, t102873, t102876, t102879, t102895, t102905, t102917;
  double t102944, t102947, t102950, t102953, t102954, t102961, t102965, t102977;
  double t102981, t102983, t102989, t102993, t102994, t102996, t102998, t103000;
  double t103004, t103008, t103009, t103021, t103024, t103027, t103029, t103033;
  double t103037, t103052, t103057, t103060, t103069, t103070, t103071, t103072;
  double t103076, t103077, t103080, t103081, t103090, t103097, t103099, t103115;
  double t103116, t103117, t103119, t103120, t103121, t103122, t103125, t103130;
  double t103134, t103135, t103140, t103144, t103148, t103151, t103155, t103158;
  double t103162, t103172, t103196, t103197, t103205, t103209, t103214, t103220;
  double t103227, t103235, t103252, t103253, t103254, t103255, t103256, t103257;
  double t103258, t103261, t103264, t103268, t103271, t103272, t103273, t103277;
  double t103280, t103281, t103284, t103285, t103289, t103293, t103295, t103296;
  double t103300, t103303, t103306, t103307, t103313, t103322, t103325, t103329;
  double t103332, t103333, t103336, t103339, t103344, t103351, t103363, t103368;
  double t103373, t103376, t103383, t103384, t103387, t103392, t103404, t103407;
  double t103414, t103422, t103425, t103428, t103433, t103436, t103443, t103446;
  double t103451, t103454, t103460, t103465, t103468, t103473, t103478, t103488;
  double t103497, t103500, t103503, t103504, t103506, t103510, t103513, t103515;
  double t103525, t103528, t103533, t103540, t103551, t103553, t103556, t103563;
  double t103566, t103567, t103569, t103573, t103575, t103579, t103587, t103591;
  double t103598, t103604, tv4rholapl30, tv4rholapl31, tv4rholapl32, t103606, t103615, t103623;
  double t103624, t103626, t103636, t103642, t103644, t103646, t103648, t103650;
  double t103651, t103658, t103660, t103661, t103670, t103672, t103674, t103676;
  double t103677, t103678, t103680, t103681, t103683, t103685, t103687, t103689;
  double t103690, t103691, t103692, t103693, t103694, t103695, t103698, t103699;
  double t103701, t103703, t103705, t103707, t103709, t103712, t103714, t103716;
  double t103718, t103720, t103721, t103722, t103735, t103736, t103738, t103740;
  double t103746, t103751, t103753, t103755, t103757, t103773, t103774, t103776;
  double t103777, t103778, t103779, t103780, t103793, t103797, tv4rholapl33, t103803;
  double t103804, t103806, t103815, t103824, t103827, t103836, t103837, t103859;
  double t103864, t103890, t103897, t103901, tv4rholapl34, tv4rholapl35, tv4rholapl36, t103912;
  double t103916, t103920, t103932, t103939, t103942, t103943, t103944, t103947;
  double t103949, t103956, t103957, t103960, t103969, t103973, t103974, t103975;
  double t103978, t103984, t103988, t103994, t103997, t104001, t104003, t104010;
  double t104012, t104021, t104024, t104040, t104043, t104056, t104059, t104062;
  double t104066, t104067, t104068, t104073, t104074, t104079, t104086, t104105;
  double t104106, t104107, t104125, t104128, t104135, t104140, t104149, t104153;
  double t104156, t104167, t104168, t104171, t104178, t104193, t104195, t104198;
  double t104203, t104206, t104211, t104214, t104224, t104229, t104230, t104238;
  double t104247, t104250, t104253, t104256, t104257, t104262, t104265, t104283;
  double t104293, t104302, t104307, t104311, t104315, t104318, t104319, t104329;
  double t104334, t104337, t104345, t104346, t104351, t104354, t104356, t104359;
  double t104362, t104365, t104368, t104372, t104375, t104376, t104377, t104380;
  double t104382, t104385, t104389, t104408, t104412, t104424, t104434, t104447;
  double t104454, t104465, t104476, t104480, t104482, t104487, t104488, t104496;
  double t104503, t104508, t104510, t104513, t104524, t104532, t104542, t104550;
  double t104553, t104560, t104563, t104566, t104585, t104588, t104589, t104612;
  double t104613, t104614, t104615, t104617, t104621, t104622, t104623, t104627;
  double t104631, t104638, t104642, t104643, t104646, t104647, t104651, t104655;
  double t104666, t104677, t104681, t104702, t104706, t104710, t104738, t104745;
  double t104761, t104773, t104782, t104796, t104810, t104821, t104826, t104842;
  double t104846, t104848, t104852, t104856, t104858, t104866, t104873, t104874;
  double t104882, t104883, t104884, t104889, t104894, t104898, t104902, t104908;
  double t104909, t104918, t104921, t104923, t104926, t104927, t104930, t104931;
  double t104934, t104939, t104940, t104941, t104951, t104952, t104955, t104959;
  double t104962, t104964, t104965, t104973, t104976, t104977, t104981, t104993;
  double t104997, t105000, t105001, t105004, t105007, t105009, t105010, t105013;
  double t105016, t105019, t105022, t105025, t105026, t105033, t105036, t105041;
  double t105045, t105049, t105053, t105058, t105063, t105068, t105073, t105074;
  double t105077, t105080, t105089, t105095, t105096, t105097, t105099, t105102;
  double t105104, t105111, t105126, t105137, t105138, t105147, t105152, t105161;
  double t105169, t105178, t105191, t105198, t105202, t105208, tv4rholapl37, t105219;
  double t105220, t105232, t105240, t105262, t105277, t105279, t105285, t105287;
  double t105301, t105307, t105309, t105315, t105317, t105319, t105321, t105322;
  double t105326, t105327, t105328, t105344, t105359, t105365, t105366, t105369;
  double t105377, t105382, t105388, t105398, t105399, t105407, t105422, t105424;
  double t105425, t105427, t105436, t105444, t105456, t105457, t105458, t105464;
  double t105473, t105480, t105491, t105493, t105505, t105506, t105514, t105519;
  double t105524, t105529, t105540, t105549, t105558, t105568, t105578, t105580;
  double t105587, t105596, t105600, t105604, t105613, t105614, t105620, t105642;
  double t105643, t105648, t105651, t105652, t105653, t105657, t105680, t105681;
  double t105684, t105714, t105732, t105735, t105762, t105763, t105783, t105785;
  double t105792, t105797, t105802, t105804, t105816, t105819, t105836, t105841;
  double t105861, t105865, t105867, t105872, t105887, t105888, t105899, t105902;
  double t105913, t105923, t105933, t105938, t105943, t105960, t105981, t105984;
  double t105987, t106008, t106014, t106016, t106017, t106022, t106039, t106040;
  double t106045, t106050, t106054, t106059, t106071, t106083, t106089, t106091;
  double t106093, t106095, t106104, t106108, t106115, t106123, t106129, t106130;
  double t106132, t106133, t106140, t106156, t106169, t106173, t106179, t106182;
  double t106197, t106200, t106204, t106209, t106214, t106218, t106225, t106226;
  double t106228, t106230, t106231, t106234, t106246, t106249, t106250, t106276;
  double t106288, t106289, t106310, t106316, t106317, t106327, t106328, t106331;
  double t106359, t106362, t106374, t106395, t106410, t106417, t106422, t106427;
  double t106444, t106455, t106464, t106471, t106484, t106514, t106515, t106521;
  double t106535, t106539, t106546, t106566, t106569, t106586, t106587, t106588;
  double t106591, t106596, t106602, t106605, t106608, t106609, t106612, t106613;
  double t106622, t106654, t106678, t106694, t106710, t106720, t106727, t106758;
  double t106759, t106771, t106788, t106815, t106827, t106831, t106850, t106855;
  double t106876, t106877, t106883, t106902, t106904, t106906, t106907, t106937;
  double t106955, t106969, t106981, t106993, t107004, t107007, t107012, t107037;
  double t107044, tv4rholapl2tau0, tv4rholapl2tau1, tv4rholapl2tau2, tv4rholapl2tau3, tv4rholapl2tau4, t107047, t107049;
  double t107053, t107055, t107068, t107070, t107072, t107076, t107083, t107085;
  double t107087, t107094, t107101, t107110, t107130, t107132, t107135, t107137;
  double t107139, t107141, t107143, t107144, t107147, t107149, t107154, t107156;
  double t107158, t107160, t107162, t107164, t107166, t107168, t107173, t107199;
  double t107201, t107203, t107205, t107206, t107208, t107209, t107211, t107213;
  double t107217, t107219, t107221, t107224, t107226, t107232, t107234, t107236;
  double t107239, t107247, t107248, t107250, t107263, t107265, t107267, t107269;
  double t107271, t107273, t107275, t107277, t107279, t107281, t107282, t107290;
  double t107292, t107294, t107296, t107298, t107300, t107302, t107303, t107311;
  double t107316, tv4rholapl2tau5, t107319, t107328, t107337, t107372, t107381, t107386;
  double t107397, t107405, t107412, t107441, t107455, t107462, t107467, tv4rholapl2tau6;
  double tv4rholapl2tau7, tv4rholapl2tau8, tv4rholapl2tau9, tv4rholapl2tau10, t107490, t107491, t107495, t107504;
  double t107510, t107512, t107513, t107537, t107539, t107546, t107559, t107561;
  double t107575, t107581, t107590, t107591, t107592, t107601, t107614, t107618;
  double t107627, t107635, t107647, t107653, t107688, t107700, t107719, t107731;
  double t107740, t107755, t107762, t107774, t107780, t107800, t107801, t107804;
  double t107827, t107829, t107842, t107846, t107850, t107854, t107864, t107867;
  double t107874, t107887, t107888, t107904, t107905, t107906, t107916, t107937;
  double t107955, t107966, t107971, t107989, t107995, t108012, t108014, t108017;
  double t108044, t108050, t108053, t108066, t108070, t108085, t108107, t108110;
  double t108113, t108116, t108122, t108126, t108130, t108134, t108139, t108141;
  double t108157, t108163, t108173, t108182, t108190, t108200, t108204, t108228;
  double t108248, t108277, t108292, t108295, t108310, t108327, t108335, t108353;
  double t108359, t108364, t108369, t108395, t108409, t108414, t108419, t108423;
  double t108433, t108438, t108439, t108440, t108445, t108451, t108458, t108476;
  double t108482, t108513, t108526, t108539, t108544, t108553, t108575, t108576;
  double t108597, t108609, t108629, t108663, t108664, t108669, t108673, t108681;
  double t108691, t108692, t108696, t108700, t108711, t108717, t108739, t108747;
  double t108766, t108775, t108778, t108779, t108791, t108799, t108807, t108812;
  double t108828, t108851, t108877, t108878, t108897, t108906, t108918, t108925;
  double t108945, t108959, t108969, t108980, t108999, t109023, t109047, t109056;
  double t109063, t109087, t109099, t109118, t109134, t109135, t109152, t109160;
  double t109165, t109174, t109181, tv4rholapl2tau11, t109183, t109195, t109199, t109220;
  double t109243, t109252, t109254, t109259, t109260, t109261, t109264, t109265;
  double t109269, t109270, t109274, t109276, t109278, t109290, t109292, t109300;
  double t109301, t109305, t109311, t109316, t109334, t109335, t109341, t109356;
  double t109359, t109361, t109383, t109405, t109416, t109417, t109429, t109450;
  double t109468, t109470, t109473, t109493, t109497, t109499, t109501, t109503;
  double t109505, t109507, t109512, t109519, t109526, t109530, t109551, t109555;
  double t109574, t109578, t109586, t109587, t109591, t109592, t109604, t109641;
  double t109671, t109672, t109677, t109710, t109721, t109732, t109734, t109736;
  double t109749, t109758, t109759, t109778, t109782, t109788, t109790, t109792;
  double t109794, t109801, t109816, t109821, t109836, t109859, t109867, t109870;
  double t109874, t109878, t109882, t109893, t109906, t109921, t109940, t109970;
  double t109990, t109996, t110000, t110011, t110034, t110035, t110040, t110042;
  double t110044, t110046, t110060, t110064, t110071, t110078, t110080, t110082;
  double t110084, t110094, t110110, t110152, t110179, t110194, t110196, t110205;
  double t110223, t110233, t110237, t110238, t110242, t110244, t110248, t110250;
  double t110262, t110269, t110293, t110326, t110347, t110352, t110354, t110356;
  double t110358, t110360, t110371, t110374, t110378, t110399, t110400, t110403;
  double t110405, t110412, t110423, t110444, t110446, t110451, t110477, t110478;
  double t110482, t110491, t110499, t110507, t110518, t110522, t110528, t110539;
  double t110548, t110549, t110560, t110594, t110616, t110640, t110651, t110653;
  double t110666, t110675, t110703, t110704, t110708, t110719, t110732, t110752;
  double t110754, t110764, t110766, t110767, t110789, t110806, t110811, t110813;
  double t110836, t110838, t110839, t110841, t110843, t110871, t110900, t110928;
  double t110937, t110947, t110955, t110957, t110959, t110961, t110963, t110968;
  double t111002, t111038, t111052, t111058, t111062, t111071, t111078, t111084;
  double t111101, t111112, t111116, t111120, t111129, t111142, t111143, t111160;
  double t111197, t111209, t111221, t111260, t111278, t111305, t111322, t111340;
  double t111350, t111367, t111371, t111378, t111407, t111418, t111434, t111444;
  double t111461, t111468, tv4rholapltau20, tv4rholapltau21, tv4rholapltau22, tv4rholapltau23, tv4rholapltau24, t111475;
  double t111477, t111479, t111481, t111483, t111492, t111496, t111498, t111501;
  double t111503, t111505, t111509, t111511, t111512, t111515, t111517, t111519;
  double t111521, t111525, t111526, t111528, t111530, t111532, t111534, t111542;
  double t111543, t111545, t111547, t111550, t111554, t111556, t111564, t111566;
  double t111575, t111591, t111594, t111596, t111598, t111600, t111602, t111603;
  double t111605, t111607, t111610, t111617, t111622, t111624, t111626, t111631;
  double t111635, t111637, t111639, t111641, t111650, t111657, t111665, t111667;
  double t111669, t111670, t111672, t111678, t111680, t111682, t111693, t111695;
  double t111696, t111700, t111702, t111704, t111706, t111708, t111712, t111721;
  double t111727, t111732, t111734, t111736, t111738, t111742, t111745, t111748;
  double t111750, t111752, t111754, t111756, t111764, t111769, t111775, t111779;
  double t111780, t111785, tv4rholapltau25, t111805, t111806, t111812, t111817, t111831;
  double t111847, t111859, t111864, t111876, t111885, t111891, t111900, t111919;
  double t111936, t111942, t111952, t111957, tv4rholapltau26, tv4rholapltau27, tv4rholapltau28, tv4rholapltau29;
  double tv4rholapltau210, t111978, t111983, t111984, t111993, t112004, t112012, t112017;
  double t112018, t112022, t112023, t112027, t112028, t112032, t112033, t112043;
  double t112044, t112054, t112083, t112093, t112112, t112119, t112138, t112143;
  double t112154, t112172, t112178, t112186, t112188, t112198, t112202, t112206;
  double t112207, t112211, t112217, t112229, t112253, t112272, t112278, t112279;
  double t112283, t112284, t112301, t112306, t112307, t112320, t112326, t112338;
  double t112361, t112373, t112374, t112375, t112381, t112390, t112405, t112412;
  double t112422, t112434, t112466, t112471, t112503, t112530, t112531, t112536;
  double t112537, t112543, t112565, t112566, t112570, t112580, t112618, t112634;
  double t112643, t112655, t112677, t112705, t112718, t112735, t112752, t112764;
  double t112779, t112800, t112808, t112837, t112851, t112858, t112862, t112866;
  double t112868, t112883, t112898, t112908, t112909, t112917, t112925, t112933;
  double t112946, t112957, t112961, t112968, t112969, t112992, t113026, t113030;
  double t113065, t113069, t113074, t113087, t113096, t113126, t113141, t113163;
  double t113175, t113177, t113187, t113190, t113207, t113223, t113243, t113260;
  double t113276, t113306, t113315, t113353, t113374, t113390, t113425, t113428;
  double t113452, t113462, t113490, t113514, t113536, t113569, t113577, t113599;
  double t113608, t113627, t113649, t113680, t113724, t113732, t113733, t113746;
  double t113761, t113778, t113796, t113813, t113817, t113822, t113834, t113853;
  double t113882, t113908, t113930, t113957, t113980, t113995, t113999, t114008;
  double t114031, t114050, t114061, t114087, t114096, t114108, t114121, t114128;
  double tv4rholapltau211, t114141, t114152, t114153, t114177, t114187, t114192, t114193;
  double t114218, t114223, t114232, t114238, t114246, t114257, t114259, t114260;
  double t114262, t114267, t114269, t114270, t114274, t114278, t114280, t114282;
  double t114284, t114286, t114288, t114290, t114291, t114296, t114300, t114307;
  double t114316, t114323, t114325, t114339, t114340, t114362, t114364, t114372;
  double t114380, t114381, t114382, t114385, t114389, t114390, t114392, t114401;
  double t114405, t114408, t114465, t114469, t114472, t114475, t114478, t114483;
  double t114486, t114495, t114500, t114502, t114523, t114537, t114539, t114547;
  double t114579, t114587, t114594, t114597, t114602, t114605, t114617, t114627;
  double t114642, t114643, t114645, t114649, t114664, t114676, t114685, t114691;
  double t114702, t114724, t114741, t114745, t114773, t114778, t114780, t114788;
  double t114792, t114817, t114818, t114830, t114842, t114855, t114857, t114859;
  double t114861, t114867, t114869, t114876, t114902, t114903, t114904, t114909;
  double t114937, t114950, t114960, t114966, t114970, t114971, t114972, t114975;
  double t114977, t114997, t114998, t115000, t115002, t115009, t115014, t115016;
  double t115018, t115020, t115022, t115024, t115025, t115046, t115048, t115055;
  double t115059, t115064, t115066, t115089, t115092, t115132, t115144, t115154;
  double t115160, t115181, t115190, t115193, t115195, t115216, t115218, t115222;
  double t115224, t115233, t115234, t115244, t115271, t115277, t115281, t115296;
  double t115313, t115314, t115323, t115334, t115336, t115337, t115362, t115372;
  double t115374, t115376, t115381, t115386, t115390, t115391, t115392, t115410;
  double t115412, t115418, t115435, t115441, t115442, t115460, t115463, t115468;
  double t115471, t115475, t115501, t115512, t115524, t115529, t115541, t115567;
  double t115582, t115611, t115644, t115681, t115712, t115731, t115740, t115753;
  double t115755, t115758, t115762, t115783, t115810, t115819, t115823, t115834;
  double t115841, t115846, t115848, t115874, t115920, t115926, tv4rhotau30, tv4rhotau31;
  double tv4rhotau32, t115930, t115932, t115934, t115935, t115936, t115939, t115941;
  double t115943, t115945, t115947, t115949, t115951, t115953, t115954, t115956;
  double t115958, t115960, t115962, t115963, t115964, t115975, t115976, t115979;
  double t115980, t115993, t116000, t116002, t116006, t116007, t116008, t116009;
  double t116015, t116017, t116021, t116022, t116023, t116024, t116027, t116029;
  double t116031, t116033, t116035, t116037, t116045, t116047, t116054, t116058;
  double t116062, t116064, t116065, t116067, t116069, t116071, t116073, t116075;
  double t116077, t116079, t116081, t116082, t116090, t116092, t116094, t116096;
  double t116098, t116099, t116101, t116103, t116105, t116107, t116109, t116111;
  double t116115, t116117, t116118, t116123, t116150, t116157, t116159, t116161;
  double t116182, t116186, tv4rhotau33, t116204, t116208, t116218, t116223, t116243;
  double t116248, t116264, t116287, t116302, t116319, t116323, tv4rhotau34, tv4rhotau35;
  double tv4rhotau36, t116333, t116335, t116344, t116346, t116354, t116357, t116370;
  double t116383, t116405, t116416, t116417, t116421, t116433, t116466, t116473;
  double t116477, t116478, t116512, t116516, t116518, t116521, t116556, t116564;
  double t116565, t116568, t116580, t116596, t116620, t116625, t116627, t116630;
  double t116634, t116636, t116639, t116643, t116678, t116679, t116686, t116687;
  double t116703, t116711, t116714, t116715, t116716, t116727, t116731, t116754;
  double t116756, t116760, t116772, t116780, t116784, t116805, t116820, t116832;
  double t116842, t116873, t116883, t116903, t116911, t116930, t116955, t116964;
  double t116977, t117007, t117022, t117044, t117048, t117062, t117085, t117090;
  double t117093, t117104, t117111, t117115, t117122, t117125, t117132, t117135;
  double t117138, t117151, t117153, t117175, t117186, t117189, t117236, t117244;
  double t117275, t117280, t117281, t117284, t117286, t117294, t117298, t117299;
  double t117309, t117313, t117337, t117338, t117351, t117379, t117382, t117417;
  double t117455, t117457, t117471, t117493, t117503, t117508, t117537, t117583;
  double t117587, t117591, t117613, t117625, t117650, t117653, t117670, t117671;
  double t117682, t117688, t117691, t117695, t117699, t117707, t117708, t117737;
  double t117773, t117780, t117790, t117818, t117853, t117881, t117908, t117940;
  double t117962, t117993, t117999, tv4rhotau37, t118001, t118004, t118006, t118011;
  double t118016, t118017, t118018, t118022, t118026, t118029, t118032, t118040;
  double t118043, t118046, t118047, t118050, t118051, t118052, t118056, t118057;
  double t118059, t118062, t118065, t118071, t118074, t118075, t118078, t118080;
  double t118081, t118082, t118084, t118086, t118087, t118096, t118098, t118101;
  double t118105, t118106, t118138, t118140, t118141, t118144, t118147, t118152;
  double t118154, t118156, t118158, t118162, t118169, t118171, t118172, t118178;
  double t118179, t118190, t118203, t118207, t118212, t118220, t118225, t118227;
  double t118230, t118236, t118238, t118239, t118241, t118243, t118245, t118266;
  double t118270, t118287, t118297, t118307, t118313, t118341, t118348, t118353;
  double t118357, t118360, t118364, t118367, t118371, t118375, t118377, t118379;
  double t118382, t118384, t118387, t118395, t118398, t118399, t118400, t118402;
  double t118405, t118406, t118409, t118413, t118420, t118423, t118425, t118427;
  double t118428, t118429, t118434, t118438, t118441, t118444, t118445, t118448;
  double t118451, t118454, t118459, t118462, t118464, t118465, t118467, t118472;
  double t118474, t118475, t118477, t118485, t118492, t118494, t118497, t118502;
  double t118504, t118505, t118508, t118513, t118515, t118519, t118520, t118523;
  double t118524, t118527, t118528, t118532, t118533, t118536, t118537, t118539;
  double t118540, t118543, t118544, t118546, t118552, t118555, t118558, t118560;
  double t118564, t118566, t118572, t118575, t118577, t118579, t118582, t118587;
  double t118589, t118593, t118600, t118602, t118603, t118606, t118610, t118613;
  double t118614, t118615, t118617, t118618, t118619, t118621, t118624, t118629;
  double t118635, t118639, t118642, t118645, t118648, t118649, t118651, t118654;
  double t118658, t118659, t118660, t118663, t118664, t118666, t118668, t118674;
  double t118677, t118680, t118682, t118685, t118688, t118691, t118699, t118700;
  double t118704, t118706, t118711, t118712, t118717, t118718, t118720, t118723;
  double t118727, t118728, t118730, t118733, t118734, t118735, t118738, t118746;
  double t118751, tv4sigma40, tv4sigma41, tv4sigma42, tv4sigma43, tv4sigma44, tv4sigma45, tv4sigma46;
  double tv4sigma47, tv4sigma48, tv4sigma49, tv4sigma410, tv4sigma411, tv4sigma412, tv4sigma413, t118753;
  double t118757, t118760, t118764, t118766, t118769, t118771, t118773, t118777;
  double t118778, t118785, t118799, t118807, t118811, t118820, t118823, t118825;
  double t118837, t118853, t118864, t118870, t118876, t118879, t118881, t118884;
  double t118886, t118887, t118888, t118890, t118891, t118892, t118894, t118896;
  double t118901, t118905, t118907, t118909, t118911, t118914, t118918, t118922;
  double t118924, t118928, t118931, t118934, t118937, t118938, t118940, t118942;
  double t118944, t118946, t118950, t118955, t118959, t118970, t118972, t118979;
  double t118987, t119006, t119010, t119011, t119015, t119016, t119018, t119019;
  double t119020, t119023, t119024, t119026, t119031, t119036, t119038, t119041;
  double t119042, t119044, t119048, t119054, t119057, t119062, t119065, t119067;
  double t119070, t119074, t119077, t119081, t119084, t119086, t119092, t119095;
  double t119097, t119100, t119104, t119106, t119109, t119120, t119123, t119126;
  double t119130, t119138, t119143, t119144, t119154, t119157, t119158, t119161;
  double t119164, t119171, t119173, t119175, t119176, t119179, t119181, t119183;
  double t119184, t119185, t119191, t119216, t119223, t119224, t119227, t119230;
  double t119241, t119242, t119244, t119250, t119251, t119252, t119255, t119259;
  double t119260, t119262, t119265, t119267, t119269, t119272, t119273, t119274;
  double t119276, t119279, t119280, t119286, t119289, t119290, t119292, t119295;
  double t119296, t119298, t119302, t119305, t119307, t119309, t119311, t119314;
  double t119319, t119320, t119324, t119326, t119330, t119333, t119334, t119335;
  double t119336, t119339, t119340, t119342, t119344, t119350, t119354, t119355;
  double t119358, t119359, t119361, t119364, t119367, t119375, t119376, t119382;
  double t119387, t119390, t119393, t119396, t119397, t119401, t119404, t119405;
  double t119406, t119411, t119414, t119415, t119419, t119421, t119424, t119426;
  double t119430, t119431, t119433, t119436, t119443, t119444, t119445, t119446;
  double t119449, t119455, t119456, t119457, t119468, t119471, t119482, t119484;
  double t119490, t119495, t119496, t119497, t119499, t119504, tv4sigma414, t119523;
  double t119524, t119528, t119529, t119532, t119533, t119534, t119535, t119538;
  double t119539, t119542, t119552, t119553, t119554, t119555, t119556, t119559;
  double t119562, t119566, t119569, t119570, t119571, t119572, t119574, t119581;
  double t119582, t119583, t119584, t119586, t119587, t119590, t119591, t119595;
  double t119596, t119597, t119601, t119603, t119604, t119607, t119611, t119612;
  double t119615, t119616, t119619, t119620, t119624, t119625, t119626, t119627;
  double t119628, t119629, t119630, t119633, t119638, t119641, t119642, t119643;
  double t119646, t119651, t119655, t119664, t119669, t119672, t119678, t119679;
  double t119680, t119681, t119685, t119686, t119687, t119688, t119691, t119692;
  double t119693, t119694, t119695, t119696, t119704, t119705, t119706, t119707;
  double t119708, t119709, t119710, t119716, t119718, t119720, t119727, t119732;
  double t119733, t119734, t119738, t119741, t119742, t119746, t119747, t119748;
  double t119752, t119754, t119755, t119761, t119762, t119763, t119764, t119765;
  double t119766, t119767, t119768, t119769, t119770, t119774, t119776, t119777;
  double t119778, t119780, t119781, t119782, t119783, t119786, t119790, t119794;
  double t119795, t119798, t119800, t119803, t119804, t119805, t119806, t119807;
  double t119808, t119809, t119813, t119820, t119826, t119827, t119831, t119839;
  double t119849, t119850, t119851, t119852, t119853, t119854, t119856, t119860;
  double t119863, t119864, t119865, t119866, t119869, t119870, t119873, t119876;
  double t119879, t119882, t119884, t119887, t119890, t119893, t119897, t119900;
  double t119901, t119902, t119903, t119904, t119905, t119918, t119920, t119921;
  double t119926, t119930, t119931, t119932, t119933, t119936, t119939, t119944;
  double t119946, t119949, t119952, t119955, t119959, t119962, t119964, t119965;
  double t119966, t119969, t119973, t119983, t119984, t119987, t119988, t119989;
  double t120001, t120002, t120004, t120008, t120013, t120014, t120015, t120017;
  double t120018, t120019, t120022, t120025, t120028, t120029, t120032, t120035;
  double t120037, t120038, t120039, t120040, t120041, t120042, t120047, t120048;
  double t120049, t120050, t120051, t120052, t120054, t120055, t120056, t120057;
  double t120058, t120059, t120062, t120063, t120064, t120065, t120066, t120067;
  double t120068, t120071, t120072, t120075, t120076, t120079, t120080, t120081;
  double t120084, t120087, t120090, t120091, t120093, t120095, t120096, t120097;
  double t120100, t120103, t120106, t120109, t120110, t120111, t120112, t120113;
  double t120114, t120115, t120116, t120117, t120118, t120119, t120122, t120127;
  double t120130, t120131, t120134, t120137, t120140, t120143, t120146, t120149;
  double t120154, t120155, t120156, t120157, t120158, t120159, t120160, t120161;
  double t120164, t120169, t120172, t120175, t120176, t120179, t120180, t120181;
  double t120182, t120183, t120184, t120187, t120188, t120191, t120192, t120193;
  double t120194, t120195, t120196, t120200, t120203, t120204, t120205, t120208;
  double t120213, t120214, t120215, t120216, t120219, t120221, t120224, t120225;
  double t120228, t120229, t120232, t120233, t120234, t120235, t120236, t120239;
  double t120241, t120244, t120245, t120246, t120247, t120255, t120258, t120259;
  double t120260, t120261, t120264, t120267, t120270, t120271, t120272, t120277;
  double t120278, t120283, t120285, t120286, t120287, t120291, t120292, t120295;
  double t120296, t120298, t120299, t120300, t120304, t120308, t120313, tv4sigma3lapl0;
  double tv4sigma3lapl1, tv4sigma3lapl2, tv4sigma3lapl3, tv4sigma3lapl4, tv4sigma3lapl5, tv4sigma3lapl6, tv4sigma3lapl7, tv4sigma3lapl8;
  double tv4sigma3lapl9, tv4sigma3lapl10, tv4sigma3lapl11, tv4sigma3lapl12, tv4sigma3lapl13, tv4sigma3lapl14, tv4sigma3lapl15, tv4sigma3lapl16;
  double tv4sigma3lapl17, tv4sigma3lapl18, t120314, t120316, t120317, t120321, t120322, t120325;
  double t120326, t120327, t120330, t120331, t120339, t120340, t120343, t120344;
  double t120345, t120346, t120349, t120352, t120353, t120354, t120355, t120356;
  double t120357, t120358, t120359, t120360, t120363, t120366, t120370, t120374;
  double t120378, t120379, t120382, t120385, t120388, t120389, t120395, t120398;
  double t120400, t120405, t120406, t120409, t120410, t120413, t120416, t120419;
  double t120421, t120422, t120424, t120428, t120429, t120430, t120431, t120432;
  double t120435, t120436, t120441, t120444, t120448, t120449, t120450, t120451;
  double t120452, t120453, t120455, t120458, t120459, t120460, t120461, t120462;
  double t120463, t120467, t120472, t120476, t120483, t120487, t120495, t120496;
  double t120497, t120500, t120503, t120517, t120529, t120530, t120531, t120532;
  double t120533, t120535, t120540, t120544, t120545, t120551, t120554, t120557;
  double t120559, t120560, t120561, t120562, t120563, t120564, t120565, t120566;
  double t120567, t120568, t120569, t120572, t120573, t120577, t120578, t120579;
  double t120580, t120583, t120587, t120589, t120590, t120591, t120593, t120594;
  double t120595, t120596, t120600, t120601, t120602, t120603, t120604, t120608;
  double t120609, t120611, t120616, t120617, t120626, t120634, t120635, t120636;
  double t120637, t120638, t120639, t120640, t120644, t120645, t120660, t120661;
  double t120662, t120664, t120665, t120668, t120674, t120675, t120676, t120677;
  double t120682, t120685, t120688, t120691, t120692, t120694, t120695, t120696;
  double t120700, t120704, t120707, t120708, t120709, t120712, t120715, t120718;
  double t120720, t120721, t120725, t120726, t120731, t120734, t120735, t120738;
  double t120742, t120743, t120746, t120750, t120753, t120760, t120764, t120768;
  double t120772, t120777, t120778, t120779, t120780, t120781, t120784, t120785;
  double t120787, t120788, t120790, t120794, t120801, t120802, t120806, t120815;
  double t120818, t120821, t120824, t120825, t120826, t120827, t120831, t120833;
  double t120834, t120835, t120836, t120837, t120839, t120840, t120841, t120845;
  double t120847, t120848, t120851, t120852, t120855, t120858, t120859, t120860;
  double t120861, t120862, t120863, t120864, t120865, t120866, t120869, t120870;
  double t120871, t120872, t120873, t120874, t120875, t120876, t120881, t120882;
  double t120885, t120886, t120889, t120890, t120891, t120894, t120897, t120900;
  double t120901, t120902, t120903, t120904, t120905, t120906, t120907, t120910;
  double t120912, t120915, t120918, t120923, t120927, t120930, t120933, t120936;
  double t120939, t120942, t120943, t120944, t120945, t120946, t120949, t120952;
  double t120953, t120956, t120959, t120960, t120962, t120967, t120968, t120969;
  double t120972, t120975, t120976, t120977, t120978, t120979, t120980, t120983;
  double t120986, t120987, t120988, t120989, t120990, t120991, t120992, t120993;
  double t120994, t120995, t120996, t120999, t121000, t121001, t121002, t121005;
  double t121008, t121009, t121011, t121012, t121013, t121014, t121017, t121018;
  double t121019, t121021, t121022, t121023, t121026, t121027, t121030, t121031;
  double t121032, t121035, t121038, t121041, t121044, t121047, t121051, t121054;
  double t121057, t121058, t121059, t121060, t121061, t121062, t121063, t121064;
  double t121065, t121066, t121069, t121072, t121075, t121085, t121088, t121091;
  double t121099, t121103, t121108, t121109, t121110, t121111, t121116, tv4sigma3lapl19;
  double t121120, t121121, t121128, t121129, t121132, t121133, t121159, t121164;
  double t121177, t121178, t121189, t121196, t121198, t121199, t121200, t121201;
  double t121203, t121204, t121211, t121212, t121216, t121217, t121227, t121228;
  double t121231, t121232, t121235, t121239, t121255, t121256, t121258, t121262;
  double t121265, t121270, t121271, t121282, t121288, t121289, t121296, t121297;
  double t121301, t121304, t121305, t121318, t121329, t121330, t121331, t121332;
  double t121335, t121336, t121338, t121339, t121341, t121356, t121359, t121362;
  double t121370, t121389, t121391, t121392, t121399, t121400, t121401, t121402;
  double t121403, t121404, t121409, t121433, t121434, t121443, t121446, t121447;
  double t121448, t121449, t121451, t121452, t121453, t121460, t121468, t121469;
  double t121470, t121473, t121474, t121478, t121479, t121487, t121488, t121491;
  double t121494, t121510, t121511, t121528, t121529, t121534, t121535, t121536;
  double t121539, t121542, t121550, t121551, t121559, t121570, t121571, t121572;
  double t121573, t121577, t121579, t121581, t121584, t121592, t121593, t121594;
  double t121595, t121596, t121599, t121603, t121604, t121605, t121610, t121611;
  double t121615, t121616, t121619, t121620, t121621, t121622, t121629, t121630;
  double t121631, t121632, t121639, t121644, t121671, t121678, t121679, t121682;
  double t121684, t121685, t121706, t121711, t121713, t121714, t121723, t121724;
  double t121725, t121726, t121735, t121737, t121738, t121745, t121746, t121747;
  double t121748, t121751, t121752, t121753, t121754, t121760, t121761, t121762;
  double t121763, t121770, t121775, t121776, t121784, t121799, t121811, t121812;
  double t121815, t121817, t121818, t121819, t121822, t121823, t121824, t121832;
  double t121837, tv4sigma3tau0, tv4sigma3tau1, tv4sigma3tau2, tv4sigma3tau3, tv4sigma3tau4, tv4sigma3tau5, tv4sigma3tau6;
  double tv4sigma3tau7, tv4sigma3tau8, tv4sigma3tau9, tv4sigma3tau10, tv4sigma3tau11, tv4sigma3tau12, tv4sigma3tau13, tv4sigma3tau14;
  double tv4sigma3tau15, tv4sigma3tau16, tv4sigma3tau17, tv4sigma3tau18, t121840, t121843, t121858, t121859;
  double t121863, t121866, t121867, t121868, t121869, t121870, t121871, t121872;
  double t121873, t121874, t121875, t121876, t121879, t121885, t121888, t121896;
  double t121897, t121898, t121899, t121900, t121901, t121912, t121913, t121914;
  double t121916, t121921, t121935, t121943, t121944, t121946, t121947, t121952;
  double t121953, t121959, t121960, t121961, t121975, t121976, t121977, t121978;
  double t121993, t122009, t122013, t122014, t122032, t122033, t122037, t122038;
  double t122055, t122062, t122075, t122076, t122078, t122083, t122084, t122091;
  double t122095, t122097, t122098, t122099, t122100, t122103, t122104, t122119;
  double t122120, t122131, t122132, t122136, t122140, t122141, t122145, t122150;
  double t122151, t122161, t122169, t122170, t122171, t122181, t122182, t122191;
  double t122198, t122201, t122202, t122204, t122205, t122210, t122214, t122215;
  double t122219, t122220, t122225, t122226, t122229, t122248, t122249, t122262;
  double t122272, t122280, t122281, t122284, t122285, t122286, t122287, t122288;
  double t122289, t122292, t122299, t122300, t122301, t122302, t122311, t122312;
  double t122328, t122330, t122340, t122341, t122342, t122343, t122348, t122351;
  double t122352, t122357, t122358, t122359, t122360, t122361, t122362, t122363;
  double t122364, t122369, t122372, t122374, t122375, t122381, t122393, t122416;
  double t122417, t122422, t122424, t122425, t122426, t122427, t122432, t122433;
  double t122436, t122441, t122449, t122456, t122457, t122459, t122470, t122490;
  double t122514, t122531, t122532, t122536, t122538, t122539, t122540, t122541;
  double t122545, t122546, t122547, t122548, t122549, t122550, t122551, t122552;
  double t122557, tv4sigma3tau19, t122558, t122566, t122567, t122581, t122582, t122583;
  double t122584, t122585, t122586, t122588, t122589, t122592, t122593, t122598;
  double t122599, t122602, t122603, t122608, t122609, t122616, t122617, t122634;
  double t122635, t122636, t122639, t122649, t122650, t122654, t122655, t122656;
  double t122657, t122658, t122659, t122662, t122676, t122677, t122682, t122685;
  double t122688, t122693, t122694, t122700, t122702, t122703, t122704, t122719;
  double t122721, t122723, t122724, t122726, t122727, t122728, t122729, t122730;
  double t122732, t122733, t122734, t122735, t122736, t122740, t122741, t122746;
  double t122751, t122752, t122755, t122760, t122761, t122768, t122771, t122772;
  double t122773, t122776, t122778, t122781, t122785, t122788, t122791, t122792;
  double t122793, t122796, t122797, t122800, t122804, t122807, t122808, t122809;
  double t122810, t122815, t122816, t122817, t122820, t122821, t122828, t122831;
  double t122833, t122836, t122841, t122844, t122845, t122846, t122847, t122848;
  double t122849, t122850, t122851, t122852, t122854, t122855, t122856, t122860;
  double t122861, t122862, t122865, t122866, t122867, t122871, t122876, t122880;
  double t122881, t122884, t122887, t122890, t122895, t122898, t122901, t122902;
  double t122905, t122909, t122913, t122920, t122923, t122925, t122929, t122932;
  double t122933, t122934, t122936, t122943, t122944, t122947, t122949, t122950;
  double t122969, t122970, t122973, t122975, t122979, t122982, t122985, t122986;
  double t122991, t122992, t122993, t122994, t122997, t122998, t122999, t123002;
  double t123004, t123009, t123010, t123011, t123012, t123013, t123014, t123017;
  double t123018, t123021, t123022, t123025, t123026, t123027, t123035, t123038;
  double t123039, t123040, t123041, t123042, t123043, t123048, t123049, t123050;
  double t123053, t123054, t123055, t123058, t123059, t123063, t123064, t123068;
  double t123069, t123070, t123081, t123084, t123089, t123092, t123095, t123100;
  double t123101, t123102, t123103, t123108, t123109, t123112, t123116, t123119;
  double t123125, t123126, t123127, t123130, t123131, t123134, t123135, t123136;
  double t123137, t123139, t123142, t123143, t123146, t123147, t123152, t123155;
  double t123156, t123157, t123161, t123162, t123165, t123169, t123170, t123172;
  double t123173, t123175, t123178, t123183, t123188, t123191, t123194, t123195;
  double t123198, t123199, t123203, t123206, t123208, t123210, t123217, t123219;
  double t123220, t123225, t123228, t123238, t123241, t123244, t123245, t123248;
  double t123251, t123254, t123255, t123258, t123259, t123261, t123262, t123265;
  double t123266, t123268, t123270, t123271, t123274, t123277, t123279, t123283;
  double t123287, t123290, t123293, t123296, t123297, t123299, t123302, t123304;
  double t123309, t123310, t123311, t123312, t123327, t123332, t123345, t123346;
  double t123356, t123357, t123360, t123364, t123366, t123369, t123371, t123374;
  double t123376, t123379, t123380, t123384, t123390, t123391, t123392, t123395;
  double t123398, t123400, t123402, t123404, t123409, t123412, t123419, t123420;
  double t123429, t123436, t123440, t123448, t123452, t123460, t123463, t123466;
  double t123473, t123479, t123480, t123481, t123482, t123483, t123485, t123486;
  double t123490, t123494, t123504, t123506, t123508, t123512, t123520, t123522;
  double t123534, t123535, t123537, t123538, t123539, t123542, t123546, t123551;
  double t123552, t123553, t123554, t123556, t123560, t123564, t123565, t123566;
  double t123567, t123568, t123569, t123576, t123581, t123582, t123587, t123589;
  double t123590, t123593, t123598, t123603, t123604, t123605, t123608, t123609;
  double t123615, t123616, t123617, t123633, t123634, t123635, t123636, t123639;
  double t123641, t123648, t123649, t123650, t123652, t123655, t123658, t123661;
  double t123662, t123664, t123667, t123669, t123673, t123678, t123693, t123699;
  double tv4sigma2lapl20, tv4sigma2lapl21, tv4sigma2lapl22, tv4sigma2lapl23, tv4sigma2lapl24, tv4sigma2lapl25, tv4sigma2lapl26, tv4sigma2lapl27;
  double tv4sigma2lapl28, tv4sigma2lapl29, tv4sigma2lapl210, tv4sigma2lapl211, tv4sigma2lapl212, tv4sigma2lapl213, tv4sigma2lapl214, tv4sigma2lapl215;
  double tv4sigma2lapl216, t123701, t123702, t123703, t123706, t123712, t123717, t123729;
  double t123730, t123733, t123734, t123737, t123738, t123739, t123740, t123743;
  double t123757, t123761, t123762, t123763, t123772, t123773, t123774, t123775;
  double t123777, t123778, t123779, t123783, t123786, t123787, t123788, t123791;
  double t123792, t123793, t123797, t123798, t123801, t123806, t123810, t123811;
  double t123812, t123813, t123819, t123820, t123821, t123822, t123823, t123828;
  double t123829, t123835, t123838, t123839, t123840, t123841, t123845, t123854;
  double t123860, t123861, t123862, t123863, t123864, t123865, t123873, t123874;
  double t123888, t123889, t123890, t123896, t123897, t123902, t123903, t123904;
  double t123905, t123906, t123907, t123916, t123917, t123919, t123926, t123927;
  double t123928, t123932, t123933, t123937, t123938, t123939, t123942, t123945;
  double t123947, t123950, t123951, t123953, t123956, t123960, t123965, t123966;
  double t123967, t123972, t123975, t123976, t123979, t123983, t123988, t123989;
  double t123994, t123995, t123999, t124007, t124010, t124020, t124025, t124028;
  double t124029, t124031, t124034, t124036, t124041, t124051, t124052, t124055;
  double t124056, t124057, t124067, t124068, t124072, t124076, t124082, t124085;
  double t124086, t124088, t124091, t124094, t124095, t124103, t124104, t124105;
  double t124106, t124107, t124109, t124114, t124115, t124116, t124123, t124124;
  double t124125, t124127, t124128, t124129, t124130, t124132, t124133, t124134;
  double t124135, t124136, t124137, t124138, t124140, t124146, t124147, t124151;
  double t124155, t124156, t124159, t124163, t124169, t124173, t124178, t124182;
  double t124185, t124189, t124192, t124200, t124212, t124215, t124222, t124223;
  double t124226, t124228, t124233, t124234, t124238, t124241, t124246, t124247;
  double t124250, t124252, t124254, t124259, t124260, t124262, t124263, t124264;
  double t124275, t124276, t124277, t124283, t124292, t124293, t124294, t124299;
  double t124300, t124301, t124306, t124320, t124321, t124322, t124325, t124329;
  double t124330, t124334, t124346, t124347, t124353, t124355, t124360, t124361;
  double t124362, t124363, t124365, t124368, t124369, t124370, t124375, t124381;
  double t124384, t124385, t124390, t124391, t124392, t124395, t124396, t124399;
  double t124400, t124403, t124404, t124405, t124406, t124409, t124410, t124411;
  double t124412, t124413, t124416, t124417, t124420, t124421, t124422, t124423;
  double t124426, t124427, t124430, t124431, t124432, t124433, t124434, t124435;
  double t124436, t124440, t124441, t124450, t124454, t124457, t124460, t124461;
  double t124462, t124463, t124466, t124467, t124468, t124470, t124473, t124476;
  double t124481, t124482, t124485, t124488, t124493, t124494, t124496, t124499;
  double t124502, t124505, t124508, t124513, t124514, t124515, t124516, t124517;
  double t124519, t124522, t124523, t124526, t124527, t124528, t124529, t124530;
  double t124531, t124533, t124535, t124536, t124538, t124542, t124550, t124559;
  double t124564, t124567, t124570, t124571, t124572, t124575, t124576, t124584;
  double t124587, t124591, t124594, t124595, t124597, t124599, t124602, t124603;
  double t124607, t124616, t124617, t124619, t124624, t124625, t124626, t124627;
  double t124628, t124630, t124634, t124637, t124638, t124639, t124646, t124651;
  double t124652, t124653, t124654, t124655, t124657, t124658, t124661, t124664;
  double t124675, t124679, t124682, t124685, t124695, t124696, t124697, t124698;
  double t124699, t124701, t124702, t124707, t124709, t124712, t124721, t124726;
  double t124731, t124736, t124739, t124740, t124741, t124744, t124747, t124748;
  double t124750, t124751, t124753, t124756, t124760, t124762, t124773, t124776;
  double t124779, t124784, t124787, t124802, t124805, t124810, t124811, t124815;
  double t124817, t124827, t124833, tv4sigma2lapl217, t124841, t124843, t124845, t124846;
  double t124847, t124851, t124854, t124856, t124859, t124860, t124864, t124869;
  double t124871, t124872, t124873, t124877, t124884, t124886, t124897, t124899;
  double t124900, t124901, t124902, t124903, t124905, t124912, t124913, t124914;
  double t124919, t124921, t124923, t124926, t124927, t124928, t124934, t124936;
  double t124948, t124953, t124957, t124958, t124962, t124965, t124971, t124973;
  double t124980, t124981, t124989, t124993, t124995, t125000, t125004, t125006;
  double t125011, t125031, t125047, t125048, t125049, t125050, t125054, t125055;
  double t125059, t125061, t125062, t125067, t125069, t125072, t125076, t125079;
  double t125080, t125087, t125089, t125097, t125113, t125122, t125131, t125142;
  double t125143, t125144, t125145, t125146, t125163, t125170, t125171, t125174;
  double t125184, t125185, t125192, t125201, t125202, t125203, t125209, t125211;
  double t125230, t125231, t125232, t125233, t125234, t125235, t125245, t125249;
  double t125250, t125265, t125267, t125271, t125273, t125283, t125303, t125324;
  double t125325, t125333, t125350, t125362, t125371, t125374, t125375, t125376;
  double t125379, t125381, t125383, t125390, t125391, t125397, t125405, t125408;
  double t125409, t125412, t125413, t125417, t125426, t125434, t125436, t125437;
  double t125442, t125447, t125450, t125452, t125456, t125460, t125467, t125487;
  double t125490, t125497, t125503, t125507, t125511, t125513, t125514, t125519;
  double t125542, t125543, t125545, t125553, t125564, t125565, t125566, t125575;
  double t125594, t125599, t125620, t125621, t125624, t125628, t125632, t125646;
  double t125654, t125655, t125656, t125657, t125662, t125665, t125666, t125671;
  double t125676, t125677, t125682, t125692, t125698, t125699, t125702, t125709;
  double t125713, t125715, t125727, t125728, t125732, t125734, t125736, t125745;
  double t125750, t125754, t125755, t125757, t125761, t125763, t125768, t125770;
  double t125773, t125774, t125775, t125776, t125777, t125780, t125781, t125782;
  double t125783, t125786, t125787, t125788, t125789, t125790, t125791, t125792;
  double t125793, t125794, t125795, t125796, t125797, t125798, t125800, t125801;
  double t125804, t125812, t125818, t125820, t125830, t125831, t125843, t125852;
  double t125865, t125868, t125870, t125874, t125875, t125877, t125884, t125886;
  double t125892, t125894, t125901, t125907, t125910, t125911, t125917, t125918;
  double t125919, t125922, t125925, t125945, t125946, t125947, t125949, t125950;
  double t125951, t125952, t125975, t125976, t125988, t125999, t126003, t126009;
  double t126010, t126017, t126018, t126023, t126025, t126028, t126030, t126044;
  double t126047, t126050, t126052, t126076, t126079, t126080, t126082, t126089;
  double t126095, tv4sigma2lapltau0, tv4sigma2lapltau1, tv4sigma2lapltau2, tv4sigma2lapltau3, tv4sigma2lapltau4, tv4sigma2lapltau5, tv4sigma2lapltau6;
  double tv4sigma2lapltau7, tv4sigma2lapltau8, tv4sigma2lapltau9, tv4sigma2lapltau10, tv4sigma2lapltau11, tv4sigma2lapltau12, tv4sigma2lapltau13, tv4sigma2lapltau14;
  double tv4sigma2lapltau15, tv4sigma2lapltau16, tv4sigma2lapltau17, tv4sigma2lapltau18, tv4sigma2lapltau19, tv4sigma2lapltau20, tv4sigma2lapltau21, tv4sigma2lapltau22;
  double t126096, t126097, t126101, t126108, t126109, t126111, t126123, t126126;
  double t126129, t126130, t126133, t126140, t126148, t126149, t126150, t126151;
  double t126152, t126155, t126156, t126163, t126182, t126183, t126184, t126191;
  double t126194, t126195, t126198, t126199, t126205, t126208, t126211, t126214;
  double t126216, t126219, t126220, t126222, t126227, t126231, t126236, t126238;
  double t126244, t126247, t126248, t126252, t126260, t126262, t126272, t126281;
  double t126291, t126293, t126301, t126306, t126314, t126323, t126324, t126325;
  double t126336, t126344, t126348, t126359, t126373, t126383, t126388, t126392;
  double t126398, t126412, t126413, t126422, t126426, t126428, t126431, t126451;
  double t126453, t126468, t126477, t126478, t126483, t126484, t126485, t126493;
  double t126496, t126499, t126500, t126503, t126509, t126511, t126512, t126515;
  double t126516, t126518, t126519, t126525, t126530, t126531, t126551, t126553;
  double t126554, t126560, t126562, t126563, t126566, t126567, t126571, t126575;
  double t126583, t126586, t126596, t126598, t126605, t126606, t126607, t126616;
  double t126620, t126625, t126631, t126633, t126642, t126644, t126659, t126669;
  double t126674, t126677, t126678, t126679, t126689, t126695, t126704, t126707;
  double t126715, t126726, t126731, t126736, t126744, t126751, t126752, t126753;
  double t126756, t126757, t126758, t126760, t126769, t126770, t126777, t126782;
  double t126789, t126790, t126795, t126816, t126827, t126841, t126842, t126849;
  double t126850, t126851, t126854, t126856, t126857, t126861, t126868, t126872;
  double t126875, t126879, t126881, t126886, t126897, t126906, t126909, t126912;
  double t126925, t126929, t126936, t126942, t126943, t126944, t126947, t126955;
  double t126957, t126959, t126961, t126965, t126966, t126971, t126982, t126989;
  double t126993, t126999, t127000, t127001, t127002, t127005, t127006, t127015;
  double t127023, t127034, t127037, t127046, t127060, t127066, t127070, t127074;
  double t127078, t127082, t127084, t127089, t127094, t127095, t127097, t127098;
  double t127100, t127105, t127116, t127117, t127120, t127121, t127125, t127127;
  double t127135, t127139, t127141, t127151, t127152, t127153, t127154, t127155;
  double t127156, t127157, t127158, t127161, t127162, t127163, t127165, t127166;
  double t127167, t127169, t127174, t127181, t127182, t127183, t127184, t127185;
  double t127186, t127187, t127188, t127193, t127196, t127202, t127203, t127204;
  double t127205, t127214, t127216, t127217, t127221, t127230, t127242, t127257;
  double t127273, t127275, t127285, t127286, t127295, t127305, t127307, t127313;
  double t127316, t127320, t127328, t127333, t127334, t127335, t127336, t127343;
  double t127346, t127347, t127348, t127349, t127355, tv4sigma2lapltau23, t127360, t127361;
  double t127364, t127365, t127368, t127369, t127372, t127373, t127376, t127378;
  double t127379, t127382, t127394, t127395, t127398, t127401, t127403, t127404;
  double t127405, t127413, t127414, t127419, t127420, t127424, t127426, t127427;
  double t127431, t127432, t127442, t127443, t127452, t127453, t127456, t127457;
  double t127460, t127475, t127478, t127486, t127494, t127495, t127499, t127500;
  double t127512, t127527, t127550, t127566, t127569, t127570, t127571, t127572;
  double t127575, t127580, t127587, t127588, t127589, t127590, t127595, t127596;
  double t127597, t127598, t127608, t127609, t127610, t127619, t127623, t127653;
  double t127654, t127656, t127657, t127660, t127661, t127665, t127690, t127691;
  double t127692, t127693, t127696, t127697, t127698, t127699, t127713, t127724;
  double t127735, t127744, t127752, t127753, t127754, t127759, t127760, t127761;
  double t127766, t127780, t127787, t127806, t127807, t127808, t127825, t127826;
  double t127838, t127842, t127843, t127844, t127863, t127864, t127868, t127869;
  double t127872, t127895, t127896, t127897, t127906, t127929, t127935, t127936;
  double t127942, t127946, t127948, t127949, t127964, t127965, t127968, t127969;
  double t127970, t127971, t127974, t127978, t127984, t127985, t127986, t128013;
  double t128025, t128027, t128043, t128044, t128047, t128048, t128049, t128050;
  double t128051, t128053, t128054, t128055, t128056, t128057, t128058, t128059;
  double t128074, t128075, t128080, t128081, t128083, t128084, t128085, t128086;
  double t128087, t128094, t128095, t128101, t128134, t128135, t128136, t128144;
  double t128147, t128148, t128152, t128153, t128154, t128155, t128163, t128164;
  double t128175, t128176, t128177, t128178, t128179, t128185, t128186, t128191;
  double t128193, t128194, t128208, t128230, t128239, t128240, t128245, t128266;
  double t128267, t128268, t128276, t128277, t128287, t128289, t128292, t128293;
  double t128295, t128315, t128327, t128328, t128329, t128330, t128333, t128350;
  double t128355, t128357, t128358, t128365, t128366, t128386, t128410, t128424;
  double t128425, t128430, t128431, t128438, t128439, t128442, t128444, t128445;
  double t128448, t128449, t128467, t128502, t128522, t128524, t128525, t128530;
  double t128531, t128535, t128536, t128537, t128543, tv4sigma2tau20, tv4sigma2tau21, tv4sigma2tau22;
  double tv4sigma2tau23, tv4sigma2tau24, tv4sigma2tau25, tv4sigma2tau26, tv4sigma2tau27, tv4sigma2tau28, tv4sigma2tau29, tv4sigma2tau210;
  double tv4sigma2tau211, tv4sigma2tau212, tv4sigma2tau213, tv4sigma2tau214, tv4sigma2tau215, tv4sigma2tau216, t128544, t128549;
  double t128550, t128551, t128553, t128554, t128560, t128565, t128566, t128573;
  double t128577, t128578, t128581, t128587, t128588, t128597, t128605, t128606;
  double t128615, t128624, t128627, t128628, t128638, t128639, t128649, t128650;
  double t128653, t128654, t128655, t128656, t128661, t128680, t128681, t128682;
  double t128683, t128684, t128685, t128691, t128692, t128704, t128705, t128711;
  double t128714, t128715, t128717, t128719, t128720, t128721, t128722, t128729;
  double t128742, t128771, t128780, t128781, t128803, t128819, t128820, t128827;
  double t128828, t128829, t128833, t128838, t128839, t128844, t128845, t128864;
  double t128871, t128876, t128878, t128880, t128881, t128888, t128889, t128899;
  double t128900, t128910, t128920, t128921, t128931, t128934, t128935, t128960;
  double t128985, t128996, t129013, t129020, t129031, t129032, t129037, t129041;
  double t129044, t129045, t129046, t129071, t129072, t129073, t129075, t129076;
  double t129079, t129080, t129082, t129083, t129093, t129096, t129097, t129100;
  double t129116, t129117, t129120, t129143, t129149, t129150, t129155, t129156;
  double t129159, t129166, t129167, t129177, t129178, t129181, t129204, t129215;
  double t129216, t129222, t129223, t129226, t129232, t129233, t129241, t129248;
  double t129249, t129255, t129256, t129262, t129263, t129264, t129265, t129266;
  double t129267, t129268, t129269, t129270, t129277, t129284, t129310, t129315;
  double t129316, t129321, t129322, t129324, t129353, t129381, t129382, t129383;
  double t129386, t129398, t129403, t129404, t129415, t129416, t129419, t129422;
  double t129423, t129424, t129425, t129432, t129433, t129434, t129438, t129440;
  double t129441, t129442, t129443, t129467, t129472, t129476, t129477, t129495;
  double t129508, t129509, t129537, t129538, t129539, t129540, t129543, t129545;
  double t129547, t129553, t129570, t129571, t129572, t129578, t129579, t129584;
  double t129585, t129590, t129591, t129600, t129609, t129610, t129612, t129613;
  double t129614, t129615, t129617, t129618, t129629, t129631, t129632, t129635;
  double t129636, t129637, t129638, t129654, t129660, t129661, t129662, t129663;
  double t129672, t129680, t129681, t129692, t129701, t129702, t129703, t129704;
  double t129710, t129711, t129719, t129720, t129723, t129724, t129725, t129734;
  double t129740, tv4sigma2tau217, t129743, t129745, t129747, t129748, t129749, t129755;
  double t129757, t129770, t129771, t129780, t129781, t129782, t129783, t129784;
  double t129785, t129786, t129794, t129795, t129804, t129805, t129806, t129807;
  double t129809, t129815, t129816, t129817, t129821, t129822, t129823, t129845;
  double t129846, t129848, t129850, t129866, t129879, t129882, t129883, t129884;
  double t129885, t129886, t129888, t129894, t129897, t129900, t129903, t129906;
  double t129918, t129919, t129920, t129930, t129933, t129937, t129941, t129944;
  double t129953, t129954, t129957, t129960, t129970, t129975, t129976, t129977;
  double t129980, t129982, t129985, t129986, t130003, t130006, t130012, t130016;
  double t130017, t130018, t130019, t130024, t130027, t130037, t130046, t130047;
  double t130054, t130055, t130057, t130060, t130061, t130062, t130063, t130067;
  double t130074, t130077, t130082, t130085, t130090, t130091, t130094, t130095;
  double t130102, t130105, t130106, t130107, t130108, t130111, t130114, t130116;
  double t130119, t130122, t130124, t130128, t130131, t130136, t130137, t130138;
  double t130139, t130141, t130142, t130146, t130150, t130153, t130156, t130157;
  double t130158, t130161, t130165, t130166, t130169, t130174, t130176, t130179;
  double t130186, t130193, t130194, t130197, t130198, t130199, t130206, t130213;
  double t130216, t130221, t130225, t130228, t130231, t130233, t130238, t130252;
  double t130259, t130269, t130272, t130278, t130281, t130286, t130289, t130292;
  double t130300, t130305, t130308, t130312, t130315, t130319, t130324, t130329;
  double t130333, t130349, t130351, t130354, t130357, t130363, t130366, t130367;
  double t130368, t130370, t130374, t130375, t130380, t130387, t130406, t130409;
  double t130414, t130427, t130434, t130441, t130447, t130455, t130459, t130466;
  double t130470, t130472, t130480, t130484, t130487, t130490, t130493, t130497;
  double t130502, t130505, t130508, t130509, t130513, t130514, t130517, t130541;
  double t130545, t130549, t130553, t130557, t130559, t130562, t130573, t130574;
  double t130577, t130580, t130581, t130583, t130588, t130592, t130598, t130605;
  double t130606, t130608, t130612, t130615, t130618, t130623, tv4sigmalapl30, tv4sigmalapl31;
  double tv4sigmalapl32, tv4sigmalapl33, tv4sigmalapl34, tv4sigmalapl35, tv4sigmalapl36, tv4sigmalapl37, tv4sigmalapl38, tv4sigmalapl39;
  double tv4sigmalapl310, t130625, t130626, t130627, t130629, t130630, t130631, t130632;
  double t130633, t130634, t130635, t130638, t130641, t130642, t130645, t130646;
  double t130648, t130654, t130656, t130659, t130662, t130663, t130665, t130666;
  double t130667, t130668, t130671, t130679, t130696, t130713, t130732, t130739;
  double t130746, t130747, t130756, t130775, t130778, t130795, t130797, t130800;
  double t130802, t130806, t130811, t130815, t130817, t130818, t130820, t130826;
  double t130830, t130831, t130834, t130840, t130844, t130854, t130857, t130864;
  double t130867, t130873, t130874, t130880, t130882, t130885, t130892, t130896;
  double t130900, t130914, t130921, t130927, t130930, t130935, t130943, t130946;
  double t130947, t130955, t130958, t130962, t130973, t130974, t130975, t130976;
  double t130977, t131000, t131003, t131006, t131009, t131012, t131015, t131017;
  double t131018, t131027, t131028, t131041, t131050, t131051, t131052, t131053;
  double t131054, t131059, t131073, t131080, t131083, t131084, t131085, t131086;
  double t131087, t131088, t131089, t131090, t131091, t131092, t131093, t131095;
  double t131097, t131127, t131128, t131131, t131132, t131151, t131152, t131156;
  double t131159, t131164, t131169, t131173, t131176, t131182, t131183, t131187;
  double t131191, t131193, t131194, t131195, t131201, t131207, t131210, t131216;
  double t131217, t131225, t131229, t131232, t131233, t131235, t131240, t131243;
  double t131246, t131253, t131254, t131261, t131264, t131271, t131272, t131275;
  double t131278, t131279, t131282, t131288, t131289, t131292, t131293, t131297;
  double t131300, t131303, t131307, t131310, t131314, t131316, t131321, t131326;
  double t131331, t131332, t131336, t131339, t131340, t131341, t131342, t131344;
  double t131345, t131350, t131354, t131356, t131359, t131362, t131363, t131372;
  double t131377, t131379, t131384, t131387, t131390, t131403, t131410, t131413;
  double t131414, t131418, t131422, t131429, t131430, t131431, t131434, t131436;
  double t131439, t131447, t131450, t131453, t131454, t131457, t131461, t131462;
  double t131473, t131477, t131480, t131483, t131484, t131485, t131486, t131494;
  double t131498, t131501, t131506, tv4sigmalapl311, t131508, t131509, t131515, t131516;
  double t131522, t131523, t131556, t131557, t131559, t131563, t131565, t131569;
  double t131587, t131589, t131594, t131603, t131610, t131611, t131612, t131613;
  double t131621, t131631, t131633, t131643, t131646, t131670, t131690, t131691;
  double t131692, t131696, t131700, t131713, t131724, t131738, t131741, t131744;
  double t131748, t131751, t131754, t131759, t131775, t131778, t131792, t131793;
  double t131796, t131801, t131813, t131827, t131838, t131841, t131867, t131878;
  double t131884, t131894, t131907, t131926, t131927, t131928, t131935, t131957;
  double t131966, t131972, t131980, t131983, t131984, t131990, t131991, t131992;
  double t131998, t131999, t132003, t132006, t132010, t132039, t132040, t132041;
  double t132056, t132061, t132067, t132087, t132089, t132100, t132117, t132118;
  double t132119, t132122, t132126, t132128, t132129, t132140, t132146, t132150;
  double t132151, t132153, t132154, t132158, t132164, t132167, t132168, t132187;
  double t132191, t132195, t132202, t132228, t132238, t132243, t132248, t132254;
  double t132262, t132268, t132269, t132270, t132273, t132275, t132276, t132278;
  double t132279, t132280, t132281, t132282, t132293, t132294, t132300, t132317;
  double t132324, t132333, t132350, t132361, t132377, t132386, t132405, t132408;
  double t132411, t132443, t132446, t132449, t132450, t132461, t132477, t132481;
  double t132488, t132490, t132501, t132526, t132547, t132570, t132573, t132576;
  double t132596, t132602, t132608, t132618, t132623, t132629, t132630, t132633;
  double t132634, t132673, t132679, t132685, tv4sigmalapl2tau0, tv4sigmalapl2tau1, tv4sigmalapl2tau2, tv4sigmalapl2tau3;
  double tv4sigmalapl2tau4, tv4sigmalapl2tau5, tv4sigmalapl2tau6, tv4sigmalapl2tau7, tv4sigmalapl2tau8, tv4sigmalapl2tau9, tv4sigmalapl2tau10, tv4sigmalapl2tau11;
  double tv4sigmalapl2tau12, tv4sigmalapl2tau13, tv4sigmalapl2tau14, tv4sigmalapl2tau15, tv4sigmalapl2tau16, t132688, t132689, t132690;
  double t132702, t132714, t132730, t132732, t132744, t132748, t132751, t132761;
  double t132774, t132779, t132782, t132795, t132798, t132801, t132803, t132810;
  double t132811, t132816, t132817, t132818, t132834, t132837, t132846, t132860;
  double t132867, t132876, t132880, t132902, t132903, t132908, t132912, t132915;
  double t132923, t132934, t132951, t132954, t132966, t132969, t132971, t132977;
  double t132988, t132991, t132995, t133005, t133007, t133025, t133026, t133027;
  double t133032, t133037, t133041, t133047, t133048, t133051, t133071, t133082;
  double t133083, t133084, t133103, t133107, t133110, t133111, t133112, t133117;
  double t133118, t133120, t133129, t133175, t133193, t133194, t133203, t133229;
  double t133233, t133234, t133246, t133253, t133276, t133291, t133293, t133294;
  double t133317, t133343, t133346, t133351, t133352, t133373, t133376, t133379;
  double t133392, t133402, t133420, t133435, t133439, t133449, t133468, t133471;
  double t133475, t133490, t133497, t133498, t133507, t133511, t133512, t133521;
  double t133525, t133527, t133532, t133533, t133534, t133538, t133543, t133544;
  double t133545, t133549, t133550, t133551, t133552, t133569, t133577, t133578;
  double t133606, t133615, t133628, t133635, t133636, t133637, t133641, t133650;
  double t133652, t133653, t133673, t133678, t133679, t133680, t133683, t133686;
  double t133700, t133707, t133719, t133721, t133730, t133736, t133745, t133748;
  double t133751, t133752, t133755, t133767, t133770, t133780, t133781, t133785;
  double t133791, t133806, t133813, t133837, t133844, t133861, t133867, tv4sigmalapl2tau17;
  double t133868, t133869, t133873, t133874, t133878, t133894, t133920, t133945;
  double t133956, t133986, t133991, t134000, t134027, t134037, t134039, t134047;
  double t134053, t134065, t134068, t134082, t134091, t134113, t134122, t134126;
  double t134140, t134142, t134153, t134160, t134190, t134195, t134203, t134204;
  double t134207, t134212, t134222, t134244, t134263, t134285, t134315, t134335;
  double t134339, t134340, t134372, t134384, t134385, t134386, t134391, t134395;
  double t134399, t134407, t134423, t134425, t134439, t134455, t134479, t134486;
  double t134492, t134510, t134512, t134525, t134533, t134538, t134539, t134553;
  double t134570, t134576, t134599, t134605, t134629, t134643, t134652, t134666;
  double t134667, t134671, t134682, t134701, t134709, t134711, t134733, t134736;
  double t134746, t134759, t134778, t134783, t134785, t134801, t134810, t134819;
  double t134854, t134882, t134902, t134915, t134922, t134943, t134953, t134958;
  double t134963, t134971, t134982, t135014, t135024, t135035, t135056, t135064;
  double t135102, t135117, t135133, t135157, t135165, t135168, t135184, t135214;
  double t135239, t135282, t135299, t135321, t135327, tv4sigmalapltau20, tv4sigmalapltau21, tv4sigmalapltau22;
  double tv4sigmalapltau23, tv4sigmalapltau24, tv4sigmalapltau25, tv4sigmalapltau26, tv4sigmalapltau27, tv4sigmalapltau28, tv4sigmalapltau29, tv4sigmalapltau210;
  double tv4sigmalapltau211, tv4sigmalapltau212, tv4sigmalapltau213, tv4sigmalapltau214, tv4sigmalapltau215, tv4sigmalapltau216, t135352, t135387;
  double t135394, t135401, t135408, t135432, t135434, t135437, t135442, t135447;
  double t135448, t135455, t135456, t135463, t135465, t135469, t135470, t135474;
  double t135475, t135487, t135496, t135498, t135503, t135513, t135521, t135546;
  double t135557, t135586, t135592, t135618, t135632, t135638, t135652, t135657;
  double t135669, t135675, t135682, t135716, t135725, t135745, t135775, t135777;
  double t135778, t135781, t135787, t135788, t135793, t135807, t135842, t135863;
  double t135874, t135893, t135909, t135922, t135928, t135942, t135944, t135955;
  double t135967, t135990, t136001, t136024, t136039, t136056, t136083, t136130;
  double t136131, t136138, t136143, t136158, t136185, t136194, t136195, t136217;
  double t136225, t136234, t136261, t136295, t136310, t136312, t136318, t136321;
  double t136329, t136332, t136338, t136359, t136360, t136397, t136422, t136429;
  double t136432, t136448, t136465, t136472, t136473, t136477, t136483, t136496;
  double t136501, t136521, t136531, t136546, t136559, t136581, t136593, t136595;
  double t136598, t136602, t136617, t136635, t136681, t136702, t136739, t136773;
  double t136779, tv4sigmalapltau217, t136787, t136788, t136789, t136793, t136798, t136799;
  double t136806, t136816, t136817, t136818, t136820, t136840, t136841, t136842;
  double t136843, t136848, t136849, t136850, t136851, t136852, t136853, t136865;
  double t136866, t136875, t136896, t136898, t136904, t136905, t136928, t136951;
  double t136952, t136957, t136963, t136964, t136976, t136986, t137001, t137002;
  double t137019, t137041, t137062, t137063, t137064, t137076, t137077, t137080;
  double t137081, t137082, t137084, t137085, t137086, t137092, t137093, t137098;
  double t137122, t137126, t137131, t137157, t137177, t137178, t137183, t137211;
  double t137240, t137246, t137279, t137289, t137290, t137291, t137292, t137299;
  double t137315, t137316, t137325, t137347, t137354, t137355, t137356, t137363;
  double t137384, t137412, t137413, t137424, t137429, t137446, t137458, t137483;
  double t137484, t137485, t137500, t137501, t137509, t137525, t137547, t137548;
  double t137549, t137553, t137559, t137560, t137563, t137564, t137565, t137566;
  double t137567, t137568, t137569, t137570, t137571, t137572, t137573, t137574;
  double t137575, t137576, t137577, t137578, t137617, t137628, t137655, t137656;
  double t137680, t137681, t137687, t137688, t137693, t137694, t137707, t137731;
  double t137739, t137740, t137741, t137743, t137747, t137748, t137756, t137770;
  double t137776, t137791, t137800, t137802, t137803, t137824, t137829, t137830;
  double t137840, t137841, t137842, t137848, tv4sigmatau30, tv4sigmatau31, tv4sigmatau32, tv4sigmatau33;
  double tv4sigmatau34, tv4sigmatau35, tv4sigmatau36, tv4sigmatau37, tv4sigmatau38, tv4sigmatau39, tv4sigmatau310, t137849;
  double t137853, t137858, t137870, t137871, t137874, t137875, t137876, t137877;
  double t137884, t137895, t137916, t137917, t137922, t137929, t137936, t137960;
  double t137961, t137983, t137997, t138008, t138026, t138036, t138061, t138066;
  double t138080, t138085, t138104, t138105, t138106, t138107, t138114, t138133;
  double t138134, t138135, t138137, t138138, t138147, t138154, t138155, t138170;
  double t138172, t138182, t138183, t138184, t138187, t138191, t138201, t138202;
  double t138206, t138209, t138213, t138215, t138227, t138229, t138252, t138264;
  double t138277, t138278, t138287, t138300, t138301, t138307, t138308, t138309;
  double t138310, t138311, t138339, t138341, t138342, t138346, t138347, t138355;
  double t138380, t138389, t138396, t138429, t138437, t138438, t138456, t138460;
  double t138477, t138482, t138483, t138486, t138493, t138494, t138495, t138504;
  double t138509, t138514, t138515, t138516, t138517, t138518, t138519, t138520;
  double t138538, t138544, t138545, t138546, t138565, t138566, t138573, t138574;
  double t138575, t138589, t138594, t138600, t138601, t138602, t138612, t138613;
  double t138641, t138645, t138658, t138659, t138671, t138672, t138681, t138690;
  double t138691, t138692, t138714, t138715, t138719, t138720, t138721, t138741;
  double t138743, t138744, t138764, t138770, t138788, t138789, t138796, t138813;
  double t138838, t138852, t138853, t138866, t138867, t138868, t138894, t138911;
  double t138917, tv4sigmatau311, t138922, t138923, t138929, t138938, t138943, t138957;
  double t138964, t138965, t138969, t138972, t138975, t138983, t138989, t138992;
  double t138996, t139007, t139012, t139018, t139021, t139039, t139045, t139066;
  double t139067, t139069, t139074, t139101, t139109, t139141, t139155, t139156;
  double t139161, t139163, t139166, t139169, t139176, t139177, t139187, t139193;
  double t139197, t139202, t139231, t139251, t139256, t139261, t139268, t139270;
  double t139273, t139277, t139281, t139285, t139286, t139290, t139293, t139298;
  double t139304, t139313, t139319, t139323, t139328, t139329, t139336, t139340;
  double t139343, t139353, t139363, t139368, t139374, t139376, t139377, t139382;
  double t139383, t139386, t139387, t139392, t139399, t139400, t139403, t139406;
  double t139409, t139412, t139419, t139423, t139426, t139431, t139435, t139440;
  double t139443, t139444, t139445, t139446, t139448, t139460, t139463, t139466;
  double t139468, t139477, t139481, t139484, t139492, t139495, t139497, t139499;
  double t139512, t139520, t139525, tv4lapl40, tv4lapl41, tv4lapl42, tv4lapl43, t139543;
  double t139544, t139548, t139549, t139552, t139559, t139571, t139577, t139585;
  double t139589, t139599, t139613, t139623, t139630, t139635, t139655, t139656;
  double t139658, t139664, t139667, t139683, t139686, t139693, t139696, t139706;
  double t139710, t139716, t139728, t139733, t139740, t139755, t139758, t139762;
  double t139766, t139772, t139775, t139782, t139784, t139807, t139808, t139809;
  double t139812, t139813, t139818, t139823, t139827, t139830, t139835, t139841;
  double t139848, t139853, t139872, t139892, t139896, t139903, t139910, t139915;
  double t139919, t139925, t139927, t139930, t139937, t139944, t139947, t139950;
  double t139951, t139954, t139955, t139958, t139959, t139960, t139962, t139963;
  double t139972, t139979, t139983, t139990, t139994, t140000, t140003, t140004;
  double t140005, t140008, t140013, t140016, t140019, t140022, t140030, t140037;
  double t140040, t140045, t140050, t140053, t140062, t140066, t140082, t140098;
  double t140103, t140107, t140110, t140113, t140117, t140121, t140128, t140133;
  double tv4lapl44, t140134, t140135, t140136, t140137, t140142, t140143, t140156;
  double t140162, t140165, t140170, t140180, t140185, t140191, t140196, t140199;
  double t140210, t140212, t140218, t140222, t140223, t140224, t140228, t140231;
  double t140232, t140233, t140234, t140248, t140259, t140271, t140273, t140277;
  double t140278, t140298, t140299, t140303, t140308, t140331, t140360, t140362;
  double t140363, t140364, t140368, t140369, t140372, t140378, t140379, t140388;
  double t140393, t140402, t140425, t140461, t140478, t140494, t140502, t140506;
  double t140515, t140517, t140518, t140519, t140520, t140529, t140538, t140545;
  double t140546, t140548, t140552, t140559, t140570, t140572, t140576, t140583;
  double t140584, t140586, t140587, t140588, t140590, t140595, t140621, t140622;
  double t140623, t140624, t140625, t140639, t140646, t140652, t140653, t140656;
  double t140671, t140672, t140673, t140693, t140698, t140699, t140706, t140729;
  double t140739, t140742, t140751, t140758, t140785, t140788, t140797, t140816;
  double t140818, t140819, t140831, t140850, t140860, t140861, t140862, t140872;
  double t140873, t140901, t140906, tv4lapl3tau0, tv4lapl3tau1, tv4lapl3tau2, tv4lapl3tau3, tv4lapl3tau4;
  double tv4lapl3tau5, tv4lapl3tau6, t140913, t140919, t140920, t140921, t140925, t140930;
  double t140936, t140939, t140940, t140941, t140942, t140943, t140952, t140957;
  double t140961, t140975, t140976, t140977, t140994, t141003, t141010, t141011;
  double t141016, t141027, t141033, t141041, t141055, t141059, t141074, t141096;
  double t141105, t141110, t141111, t141113, t141126, t141127, t141139, t141147;
  double t141166, t141167, t141176, t141204, t141220, t141233, t141240, t141241;
  double t141243, t141248, t141249, t141257, t141260, t141263, t141266, t141267;
  double t141268, t141273, t141289, t141319, t141324, t141325, t141326, t141327;
  double t141338, t141347, t141368, t141369, t141390, t141398, t141409, t141410;
  double t141411, t141421, t141422, t141430, t141436, t141440, t141450, t141461;
  double t141462, t141463, t141464, t141468, t141472, t141477, t141491, t141492;
  double t141500, t141501, t141503, t141504, t141505, t141512, t141522, t141536;
  double t141538, t141540, t141543, t141557, t141558, t141560, t141583, t141609;
  double t141610, t141612, t141621, t141630, t141639, t141650, t141655, t141667;
  double t141671, t141676, t141681, tv4lapl3tau7, t141691, t141692, t141701, t141712;
  double t141742, t141760, t141786, t141787, t141800, t141805, t141806, t141810;
  double t141811, t141834, t141841, t141854, t141876, t141894, t141899, t141915;
  double t141916, t141927, t141933, t141948, t141953, t141976, t141984, t141985;
  double t141990, t141991, t141993, t142006, t142034, t142040, t142049, t142075;
  double t142106, t142130, t142163, t142164, t142174, t142178, t142184, t142200;
  double t142224, t142241, t142253, t142266, t142291, t142293, t142317, t142321;
  double t142322, t142345, t142366, t142398, t142427, t142439, t142441, t142453;
  double t142455, t142456, t142457, t142460, t142461, t142474, t142481, t142482;
  double t142492, t142514, t142535, t142544, t142564, t142570, t142577, t142622;
  double t142634, t142637, t142677, t142694, t142695, t142708, t142736, t142754;
  double t142764, t142770, tv4lapl2tau20, tv4lapl2tau21, tv4lapl2tau22, tv4lapl2tau23, tv4lapl2tau24, tv4lapl2tau25;
  double tv4lapl2tau26, tv4lapl2tau27, t142775, t142782, t142794, t142812, t142815, t142823;
  double t142832, t142841, t142847, t142871, t142886, t142900, t142902, t142903;
  double t142911, t142918, t142921, t142928, t142932, t142939, t142952, t142997;
  double t143015, t143016, t143022, t143033, t143050, t143069, t143095, t143098;
  double t143101, t143116, t143120, t143143, t143175, t143185, t143205, t143225;
  double t143251, t143262, t143268, t143286, t143291, t143306, t143310, t143311;
  double t143327, t143328, t143348, t143365, t143378, t143392, t143402, t143418;
  double t143419, t143420, t143421, t143425, t143456, t143458, t143483, t143521;
  double t143524, t143541, t143550, t143565, t143566, t143567, t143583, t143611;
  double t143638, t143666, t143692, t143707, t143718, t143724, t143744, t143761;
  double t143778, t143794, t143803, t143815, t143829, t143851, t143857, tv4lapl2tau28;
  double t143879, t143888, t143908, t143913, t143918, t143919, t143930, t143934;
  double t143950, t143961, t143986, t144011, t144039, t144043, t144065, t144069;
  double t144079, t144099, t144119, t144141, t144148, t144176, t144215, t144229;
  double t144261, t144272, t144281, t144305, t144307, t144320, t144334, t144342;
  double t144357, t144363, t144367, t144387, t144411, t144434, t144461, t144479;
  double t144501, t144515, t144540, t144547, t144567, t144589, t144602, t144624;
  double t144647, t144675, t144691, t144704, t144721, t144741, t144778, t144805;
  double t144831, t144850, t144869, t144875, tv4lapltau30, tv4lapltau31, tv4lapltau32, tv4lapltau33;
  double tv4lapltau34, tv4lapltau35, tv4lapltau36, t144878, t144883, t144884, t144893, t144924;
  double t144929, t144934, t144958, t144972, t145000, t145033, t145055, t145060;
  double t145079, t145093, t145121, t145136, t145145, t145166, t145183, t145209;
  double t145234, t145246, t145262, t145283, t145301, t145343, t145356, t145370;
  double t145379, t145381, t145396, t145414, t145431, t145454, t145477, t145488;
  double t145508, t145527, t145544, t145554, t145563, t145586, t145598, t145620;
  double t145649, t145666, t145683, t145688, t145696, t145713, t145724, t145752;
  double t145785, t145793, t145821, t145844, t145862, t145886, t145892, tv4lapltau37;
  double t145894, t145897, t145906, t145909, t145915, t145926, t145935, t145955;
  double t145960, t145991, t146025, t146054, t146074, t146080, t146096, t146129;
  double t146156, t146163, t146175, t146197, t146231, t146234, t146254, t146281;
  double t146282, t146295, t146324, t146330, t146350, t146372, t146397, t146433;
  double t146434, t146437, t146438, t146477, t146480, t146484, t146485, t146502;
  double t146513, t146523, t146538, t146556, t146562, t146580, t146583, t146600;
  double t146630, t146670, t146675, tv4tau40, tv4tau41, tv4tau42, tv4tau43, t146684;
  double t146708, t146733, t146750, t146753, t146762, t146791, t146792, t146825;
  double t146826, t146829, t146842, t146845, t146849, t146866, t146875, t146882;
  double t146902, t146918, t146943, t146975, t147009, t147067, t147068, t147071;
  double t147072, t147076, t147077, t147104, t147107, t147127, t147140, t147159;
  double t147160, t147178, t147181, t147183, t147200, t147212, t147225, t147233;
  double t147252, t147260, t147293, t147316, t147350, t147388, t147393, t147425;
  double t147453, t147458, tv4tau44;

  mgga_x_br89_params *params;

  assert(p->params != NULL);
  params = (mgga_x_br89_params * ) (p->params);

  t2 = rho[0] <= p->dens_threshold;
  t3 = rho[0] + rho[1];
  t4 = 0.1e1 / t3;
  t7 = 0.2e1 * rho[0] * t4 <= p->zeta_threshold;
  t8 = p->zeta_threshold - 0.1e1;
  t11 = 0.2e1 * rho[1] * t4 <= p->zeta_threshold;
  t12 = -t8;
  t13 = rho[0] - rho[1];
  t15 = my_piecewise5(t7, t8, t11, t12, t13 * t4);
  t16 = 0.1e1 + t15;
  t17 = t16 <= p->zeta_threshold;
  t18 = POW_1_3(p->zeta_threshold);
  t19 = t18 * p->zeta_threshold;
  t20 = POW_1_3(t16);
  t22 = my_piecewise3(t17, t19, t20 * t16);
  t23 = POW_1_3(t3);
  t24 = t22 * t23;
  t26 = POW_1_3(0.1e1 / M_PI);
  t27 = 0.1e1 / t26;
  t28 = M_CBRT4;
  t29 = t27 * t28;
  t30 = t24 * t29;
  t31 = POW_1_3(rho[0]);
  t32 = t31 * t31;
  t34 = 0.1e1 / t32 / rho[0];
  t35 = lapl[0] * t34;
  t37 = params->gamma * tau[0];
  t38 = t37 * t34;
  t40 = params->gamma * sigma[0];
  t41 = rho[0] * rho[0];
  t43 = 0.1e1 / t32 / t41;
  t44 = t40 * t43;
  t47 = fabs(t35 / 0.2e1 - 0.2e1 * t38 + t44 / 0.4e1);
  t49 = t47 / 0.3e1 < 0.5e-12;
  t53 = t35 / 0.6e1 - 0.2e1 / 0.3e1 * t38 + t44 / 0.12e2;
  t54 = 0.e0 < t53;
  t55 = my_piecewise3(t54, 0.5e-12, -0.5e-12);
  t56 = my_piecewise3(t49, t55, t53);
  t57 = xc_mgga_x_br89_get_x(t56);
  t59 = exp(t57 / 0.3e1);
  t60 = exp(-t57);
  t62 = 0.1e1 + t57 / 0.2e1;
  t63 = t60 * t62;
  t64 = 0.1e1 - t63;
  t65 = t59 * t64;
  t66 = 0.1e1 / t57;
  t67 = M_CBRT6;
  t68 = t67 * t67;
  t69 = M_PI * M_PI;
  t70 = POW_1_3(t69);
  t71 = t70 * t70;
  t73 = 0.3e1 / 0.1e2 * t68 * t71;
  t74 = tau[0] * t34;
  t75 = t73 - t74;
  t76 = t73 + t74;
  t77 = 0.1e1 / t76;
  t79 = t75 * t75;
  t80 = t79 * t75;
  t81 = t76 * t76;
  t82 = t81 * t76;
  t83 = 0.1e1 / t82;
  t86 = t79 * t79;
  t87 = t86 * t75;
  t88 = t81 * t81;
  t90 = 0.1e1 / t88 / t76;
  t94 = 0.1e1 + params->at * (t75 * t77 - 0.2e1 * t80 * t83 + t87 * t90);
  t95 = t66 * t94;
  t96 = t65 * t95;
  t99 = my_piecewise3(t2, 0, -t30 * t96 / 0.4e1);
  t100 = rho[1] <= p->dens_threshold;
  t101 = -t13;
  t103 = my_piecewise5(t11, t8, t7, t12, t101 * t4);
  t104 = 0.1e1 + t103;
  t105 = t104 <= p->zeta_threshold;
  t106 = POW_1_3(t104);
  t108 = my_piecewise3(t105, t19, t106 * t104);
  t109 = t108 * t23;
  t110 = t109 * t29;
  t111 = POW_1_3(rho[1]);
  t112 = t111 * t111;
  t114 = 0.1e1 / t112 / rho[1];
  t115 = lapl[1] * t114;
  t117 = params->gamma * tau[1];
  t118 = t117 * t114;
  t120 = params->gamma * sigma[2];
  t121 = rho[1] * rho[1];
  t123 = 0.1e1 / t112 / t121;
  t124 = t120 * t123;
  t127 = fabs(t115 / 0.2e1 - 0.2e1 * t118 + t124 / 0.4e1);
  t129 = t127 / 0.3e1 < 0.5e-12;
  t133 = t115 / 0.6e1 - 0.2e1 / 0.3e1 * t118 + t124 / 0.12e2;
  t134 = 0.e0 < t133;
  t135 = my_piecewise3(t134, 0.5e-12, -0.5e-12);
  t136 = my_piecewise3(t129, t135, t133);
  t137 = xc_mgga_x_br89_get_x(t136);
  t139 = exp(t137 / 0.3e1);
  t140 = exp(-t137);
  t142 = 0.1e1 + t137 / 0.2e1;
  t143 = t140 * t142;
  t144 = 0.1e1 - t143;
  t145 = t139 * t144;
  t146 = 0.1e1 / t137;
  t147 = tau[1] * t114;
  t148 = t73 - t147;
  t149 = t73 + t147;
  t150 = 0.1e1 / t149;
  t152 = t148 * t148;
  t153 = t152 * t148;
  t154 = t149 * t149;
  t155 = t154 * t149;
  t156 = 0.1e1 / t155;
  t159 = t152 * t152;
  t160 = t159 * t148;
  t161 = t154 * t154;
  t163 = 0.1e1 / t161 / t149;
  t167 = 0.1e1 + params->at * (t148 * t150 - 0.2e1 * t153 * t156 + t160 * t163);
  t168 = t146 * t167;
  t169 = t145 * t168;
  t172 = my_piecewise3(t100, 0, -t110 * t169 / 0.4e1);
  tzk0 = t99 + t172;

  if(out->zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    out->zk[ip*p->dim.zk + 0] += tzk0;

  t173 = t3 * t3;
  t174 = 0.1e1 / t173;
  t175 = t13 * t174;
  t177 = my_piecewise5(t7, 0, t11, 0, t4 - t175);
  t180 = my_piecewise3(t17, 0, 0.4e1 / 0.3e1 * t20 * t177);
  t181 = t180 * t23;
  t182 = t181 * t29;
  t185 = t23 * t23;
  t186 = 0.1e1 / t185;
  t187 = t22 * t186;
  t188 = t187 * t29;
  t190 = t188 * t96 / 0.12e2;
  t191 = t24 * t27;
  t192 = M_CBRTPI;
  t193 = t192 * t192;
  t194 = t28 * t193;
  t195 = my_piecewise3(t54, 0, 0);
  t200 = t41 * rho[0];
  t202 = 0.1e1 / t32 / t200;
  t206 = my_piecewise3(t49, t195, -0.5e1 / 0.18e2 * lapl[0] * t43 + 0.1e2 / 0.9e1 * t37 * t43 - 0.2e1 / 0.9e1 * t40 * t202);
  t207 = t56 * t56;
  t208 = 0.1e1 / t207;
  t209 = t206 * t208;
  t210 = t194 * t209;
  t211 = t191 * t210;
  t213 = exp(-0.2e1 / 0.3e1 * t57);
  t214 = 0.1e1 / t213;
  t215 = t57 * t57;
  t217 = t215 - 0.2e1 * t57 + 0.3e1;
  t218 = 0.1e1 / t217;
  t219 = t214 * t218;
  t220 = t57 - 0.2e1;
  t221 = t220 * t220;
  t222 = t219 * t221;
  t223 = t222 * t96;
  t226 = t193 * t206;
  t227 = t208 * t214;
  t228 = t226 * t227;
  t229 = t218 * t221;
  t230 = t229 * t63;
  t232 = t226 * t208;
  t233 = t221 * t60;
  t234 = t219 * t233;
  t237 = t228 * t230 - t232 * t234 / 0.2e1;
  t238 = t59 * t237;
  t239 = t238 * t95;
  t242 = t28 * t59;
  t243 = 0.1e1 / t215;
  t244 = t64 * t243;
  t245 = t242 * t244;
  t246 = t191 * t245;
  t247 = t94 * t193;
  t249 = t227 * t229;
  t250 = t247 * t206 * t249;
  t253 = t66 * params->at;
  t254 = tau[0] * t43;
  t257 = 0.1e1 / t81;
  t258 = t75 * t257;
  t261 = t79 * t83;
  t264 = 0.1e1 / t88;
  t265 = t80 * t264;
  t268 = t86 * t90;
  t272 = 0.1e1 / t88 / t81;
  t273 = t87 * t272;
  t276 = 0.5e1 / 0.3e1 * t254 * t77 + 0.5e1 / 0.3e1 * t258 * t254 - 0.1e2 * t261 * t254 - 0.1e2 * t265 * t254 + 0.25e2 / 0.3e1 * t268 * t254 + 0.25e2 / 0.3e1 * t273 * t254;
  t277 = t253 * t276;
  t278 = t65 * t277;
  t282 = my_piecewise3(t2, 0, -t182 * t96 / 0.4e1 - t190 - t211 * t223 / 0.12e2 - t30 * t239 / 0.4e1 + t246 * t250 / 0.4e1 - t30 * t278 / 0.4e1);
  t283 = t101 * t174;
  t285 = my_piecewise5(t11, 0, t7, 0, -t4 - t283);
  t288 = my_piecewise3(t105, 0, 0.4e1 / 0.3e1 * t106 * t285);
  t289 = t288 * t23;
  t290 = t289 * t29;
  t293 = t108 * t186;
  t294 = t293 * t29;
  t296 = t294 * t169 / 0.12e2;
  t298 = my_piecewise3(t100, 0, -t290 * t169 / 0.4e1 - t296);
  tvrho0 = t99 + t172 + t3 * (t282 + t298);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 0] += tvrho0;

  t302 = my_piecewise5(t7, 0, t11, 0, -t4 - t175);
  t305 = my_piecewise3(t17, 0, 0.4e1 / 0.3e1 * t20 * t302);
  t306 = t305 * t23;
  t307 = t306 * t29;
  t311 = my_piecewise3(t2, 0, -t307 * t96 / 0.4e1 - t190);
  t313 = my_piecewise5(t11, 0, t7, 0, t4 - t283);
  t316 = my_piecewise3(t105, 0, 0.4e1 / 0.3e1 * t106 * t313);
  t317 = t316 * t23;
  t318 = t317 * t29;
  t321 = t109 * t27;
  t322 = my_piecewise3(t134, 0, 0);
  t327 = t121 * rho[1];
  t329 = 0.1e1 / t112 / t327;
  t333 = my_piecewise3(t129, t322, -0.5e1 / 0.18e2 * lapl[1] * t123 + 0.1e2 / 0.9e1 * t117 * t123 - 0.2e1 / 0.9e1 * t120 * t329);
  t334 = t136 * t136;
  t335 = 0.1e1 / t334;
  t336 = t333 * t335;
  t337 = t194 * t336;
  t338 = t321 * t337;
  t340 = exp(-0.2e1 / 0.3e1 * t137);
  t341 = 0.1e1 / t340;
  t342 = t137 * t137;
  t344 = t342 - 0.2e1 * t137 + 0.3e1;
  t345 = 0.1e1 / t344;
  t346 = t341 * t345;
  t347 = t137 - 0.2e1;
  t348 = t347 * t347;
  t349 = t346 * t348;
  t350 = t349 * t169;
  t353 = t193 * t333;
  t354 = t335 * t341;
  t355 = t353 * t354;
  t356 = t345 * t348;
  t357 = t356 * t143;
  t359 = t353 * t335;
  t360 = t348 * t140;
  t361 = t346 * t360;
  t364 = t355 * t357 - t359 * t361 / 0.2e1;
  t365 = t139 * t364;
  t366 = t365 * t168;
  t369 = t28 * t139;
  t370 = 0.1e1 / t342;
  t371 = t144 * t370;
  t372 = t369 * t371;
  t373 = t321 * t372;
  t374 = t167 * t193;
  t376 = t354 * t356;
  t377 = t374 * t333 * t376;
  t380 = t146 * params->at;
  t381 = tau[1] * t123;
  t384 = 0.1e1 / t154;
  t385 = t148 * t384;
  t388 = t152 * t156;
  t391 = 0.1e1 / t161;
  t392 = t153 * t391;
  t395 = t159 * t163;
  t399 = 0.1e1 / t161 / t154;
  t400 = t160 * t399;
  t403 = 0.5e1 / 0.3e1 * t381 * t150 + 0.5e1 / 0.3e1 * t385 * t381 - 0.1e2 * t388 * t381 - 0.1e2 * t392 * t381 + 0.25e2 / 0.3e1 * t395 * t381 + 0.25e2 / 0.3e1 * t400 * t381;
  t404 = t380 * t403;
  t405 = t145 * t404;
  t409 = my_piecewise3(t100, 0, -t318 * t169 / 0.4e1 - t296 - t338 * t350 / 0.12e2 - t110 * t366 / 0.4e1 + t373 * t377 / 0.4e1 - t110 * t405 / 0.4e1);
  tvrho1 = t99 + t172 + t3 * (t311 + t409);

  if(out->vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vrho[ip*p->dim.vrho + 1] += tvrho1;

  t412 = params->gamma * t43;
  t414 = my_piecewise3(t49, t195, t412 / 0.12e2);
  t415 = t414 * t208;
  t416 = t194 * t415;
  t417 = t191 * t416;
  t420 = t193 * t414;
  t421 = t420 * t227;
  t423 = t420 * t208;
  t426 = t421 * t230 - t423 * t234 / 0.2e1;
  t427 = t59 * t426;
  t428 = t427 * t95;
  t432 = t247 * t414 * t249;
  t436 = my_piecewise3(t2, 0, -t417 * t223 / 0.12e2 - t30 * t428 / 0.4e1 + t246 * t432 / 0.4e1);
  tvsigma0 = t3 * t436;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 0] += tvsigma0;

  tvsigma1 = 0.e0;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 1] += tvsigma1;

  t437 = params->gamma * t123;
  t439 = my_piecewise3(t129, t322, t437 / 0.12e2);
  t440 = t439 * t335;
  t441 = t194 * t440;
  t442 = t321 * t441;
  t445 = t193 * t439;
  t446 = t445 * t354;
  t448 = t445 * t335;
  t451 = t446 * t357 - t448 * t361 / 0.2e1;
  t452 = t139 * t451;
  t453 = t452 * t168;
  t457 = t374 * t439 * t376;
  t461 = my_piecewise3(t100, 0, -t442 * t350 / 0.12e2 - t110 * t453 / 0.4e1 + t373 * t457 / 0.4e1);
  tvsigma2 = t3 * t461;

  if(out->vsigma != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vsigma[ip*p->dim.vsigma + 2] += tvsigma2;

  t463 = my_piecewise3(t49, t195, t34 / 0.6e1);
  t464 = t463 * t208;
  t465 = t194 * t464;
  t466 = t191 * t465;
  t469 = t193 * t463;
  t470 = t469 * t227;
  t472 = t469 * t208;
  t475 = t470 * t230 - t472 * t234 / 0.2e1;
  t476 = t59 * t475;
  t477 = t476 * t95;
  t481 = t247 * t463 * t249;
  t485 = my_piecewise3(t2, 0, -t466 * t223 / 0.12e2 - t30 * t477 / 0.4e1 + t246 * t481 / 0.4e1);
  tvlapl0 = t3 * t485;

  if(out->vlapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 0] += tvlapl0;

  t487 = my_piecewise3(t129, t322, t114 / 0.6e1);
  t488 = t487 * t335;
  t489 = t194 * t488;
  t490 = t321 * t489;
  t493 = t193 * t487;
  t494 = t493 * t354;
  t496 = t493 * t335;
  t499 = t494 * t357 - t496 * t361 / 0.2e1;
  t500 = t139 * t499;
  t501 = t500 * t168;
  t505 = t374 * t487 * t376;
  t509 = my_piecewise3(t100, 0, -t490 * t350 / 0.12e2 - t110 * t501 / 0.4e1 + t373 * t505 / 0.4e1);
  tvlapl1 = t3 * t509;

  if(out->vlapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vlapl[ip*p->dim.vlapl + 1] += tvlapl1;

  t512 = my_piecewise3(t49, t195, -0.2e1 / 0.3e1 * params->gamma * t34);
  t513 = t512 * t208;
  t514 = t194 * t513;
  t515 = t191 * t514;
  t518 = t193 * t512;
  t519 = t518 * t227;
  t521 = t518 * t208;
  t524 = t519 * t230 - t521 * t234 / 0.2e1;
  t525 = t59 * t524;
  t526 = t525 * t95;
  t530 = t247 * t512 * t249;
  t543 = -t258 * t34 + 0.6e1 * t261 * t34 + 0.6e1 * t265 * t34 - 0.5e1 * t268 * t34 - 0.5e1 * t273 * t34 - t34 * t77;
  t544 = t253 * t543;
  t545 = t65 * t544;
  t549 = my_piecewise3(t2, 0, -t515 * t223 / 0.12e2 - t30 * t526 / 0.4e1 + t246 * t530 / 0.4e1 - t30 * t545 / 0.4e1);
  tvtau0 = t3 * t549;

  if(out->vtau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 0] += tvtau0;

  t552 = my_piecewise3(t129, t322, -0.2e1 / 0.3e1 * params->gamma * t114);
  t553 = t552 * t335;
  t554 = t194 * t553;
  t555 = t321 * t554;
  t558 = t193 * t552;
  t559 = t558 * t354;
  t561 = t558 * t335;
  t564 = t559 * t357 - t561 * t361 / 0.2e1;
  t565 = t139 * t564;
  t566 = t565 * t168;
  t570 = t374 * t552 * t376;
  t583 = -t114 * t150 - t385 * t114 + 0.6e1 * t388 * t114 + 0.6e1 * t392 * t114 - 0.5e1 * t395 * t114 - 0.5e1 * t400 * t114;
  t584 = t380 * t583;
  t585 = t145 * t584;
  t589 = my_piecewise3(t100, 0, -t555 * t350 / 0.12e2 - t110 * t566 / 0.4e1 + t373 * t570 / 0.4e1 - t110 * t585 / 0.4e1);
  tvtau1 = t3 * t589;

  if(out->vtau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_VXC))
    out->vtau[ip*p->dim.vtau + 1] += tvtau1;

  t592 = t206 * t206;
  t594 = t207 * t56;
  t595 = 0.1e1 / t594;
  t596 = t595 * t214;
  t597 = t596 * t229;
  t598 = t247 * t592 * t597;
  t601 = t592 * t595;
  t602 = t194 * t601;
  t603 = t191 * t602;
  t606 = t237 * t243;
  t607 = t242 * t606;
  t608 = t191 * t607;
  t615 = t41 * t41;
  t617 = 0.1e1 / t32 / t615;
  t621 = my_piecewise3(t49, t195, 0.2e2 / 0.27e2 * lapl[0] * t202 - 0.8e2 / 0.27e2 * t37 * t202 + 0.22e2 / 0.27e2 * t40 * t617);
  t623 = t247 * t621 * t249;
  t626 = t181 * t27;
  t627 = t626 * t210;
  t630 = t626 * t245;
  t633 = t187 * t27;
  t634 = t633 * t210;
  t635 = t634 * t223;
  t637 = t633 * t245;
  t638 = t637 * t250;
  t640 = t621 * t208;
  t641 = t194 * t640;
  t642 = t191 * t641;
  t645 = t222 * t239;
  t648 = t192 * M_PI;
  t649 = t28 * t648;
  t650 = t207 * t207;
  t651 = 0.1e1 / t650;
  t652 = t592 * t651;
  t653 = t649 * t652;
  t654 = t191 * t653;
  t655 = t213 * t213;
  t656 = 0.1e1 / t655;
  t657 = t217 * t217;
  t658 = 0.1e1 / t657;
  t659 = t656 * t658;
  t660 = t221 * t221;
  t661 = t659 * t660;
  t662 = t661 * t96;
  t665 = t221 * t220;
  t666 = t659 * t665;
  t667 = t666 * t96;
  t670 = t243 * t94;
  t671 = t65 * t670;
  t672 = t661 * t671;
  t676 = 0.1e1 / t215 / t57;
  t677 = t64 * t676;
  t678 = t242 * t677;
  t679 = t191 * t678;
  t680 = t94 * t648;
  t681 = t680 * t592;
  t682 = t651 * t656;
  t683 = t658 * t660;
  t684 = t682 * t683;
  t685 = t681 * t684;
  t688 = -t246 * t598 / 0.2e1 + t603 * t223 / 0.6e1 + t608 * t250 / 0.2e1 + t246 * t623 / 0.4e1 - t627 * t223 / 0.6e1 + t630 * t250 / 0.2e1 - t635 / 0.18e2 + t638 / 0.6e1 - t642 * t223 / 0.12e2 - t211 * t645 / 0.6e1 - t654 * t662 / 0.12e2 - t654 * t667 / 0.6e1 + t654 * t672 / 0.3e1 - t679 * t685 / 0.2e1;
  t689 = t658 * t665;
  t690 = t682 * t689;
  t691 = t681 * t690;
  t694 = tau[0] * t202;
  t697 = tau[0] * tau[0];
  t698 = t615 * rho[0];
  t700 = 0.1e1 / t31 / t698;
  t701 = t697 * t700;
  t704 = t75 * t83;
  t709 = t79 * t264;
  t714 = t80 * t90;
  t719 = t86 * t272;
  t725 = 0.1e1 / t88 / t82;
  t726 = t87 * t725;
  t731 = -0.4e2 / 0.9e1 * t694 * t77 + 0.5e2 / 0.9e1 * t701 * t257 - 0.25e3 / 0.9e1 * t704 * t701 - 0.4e2 / 0.9e1 * t258 * t694 - 0.1e3 * t709 * t701 + 0.8e2 / 0.3e1 * t261 * t694 - 0.1e3 / 0.9e1 * t714 * t701 + 0.8e2 / 0.3e1 * t265 * t694 + 0.125e4 / 0.9e1 * t719 * t701 - 0.2e3 / 0.9e1 * t268 * t694 + 0.25e3 / 0.3e1 * t726 * t701 - 0.2e3 / 0.9e1 * t273 * t694;
  t732 = t253 * t731;
  t733 = t65 * t732;
  t736 = t188 * t278;
  t738 = t238 * t277;
  t743 = t20 * t20;
  t744 = 0.1e1 / t743;
  t745 = t177 * t177;
  t748 = t173 * t3;
  t749 = 0.1e1 / t748;
  t750 = t13 * t749;
  t753 = my_piecewise5(t7, 0, t11, 0, -0.2e1 * t174 + 0.2e1 * t750);
  t757 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t744 * t745 + 0.4e1 / 0.3e1 * t20 * t753);
  t758 = t757 * t23;
  t759 = t758 * t29;
  t764 = t188 * t239;
  t767 = 0.1e1 / t185 / t3;
  t768 = t22 * t767;
  t769 = t768 * t29;
  t771 = t769 * t96 / 0.18e2;
  t772 = t180 * t186;
  t773 = t772 * t29;
  t774 = t773 * t96;
  t776 = t193 * t621;
  t777 = t776 * t227;
  t779 = t193 * t592;
  t780 = t779 * t596;
  t783 = t648 * t592;
  t784 = t783 * t682;
  t785 = t683 * t63;
  t788 = t658 * t221;
  t789 = t57 * t193;
  t794 = 0.2e1 * t789 * t206 * t249 - 0.2e1 * t232 * t222;
  t795 = t63 * t794;
  t796 = t788 * t795;
  t798 = t689 * t63;
  t801 = t783 * t651;
  t802 = t660 * t60;
  t803 = t659 * t802;
  t806 = t776 * t208;
  t809 = t779 * t595;
  t811 = t60 * t794;
  t812 = t788 * t811;
  t815 = t665 * t60;
  t816 = t659 * t815;
  t818 = t777 * t230 - 0.2e1 * t780 * t230 - t784 * t785 / 0.3e1 - t228 * t796 + 0.2e1 * t784 * t798 + 0.2e1 / 0.3e1 * t801 * t803 - t806 * t234 / 0.2e1 + t809 * t234 + t228 * t812 / 0.2e1 - t801 * t816;
  t819 = t59 * t818;
  t820 = t819 * t95;
  t823 = t247 * t209;
  t824 = t214 * t658;
  t825 = t221 * t794;
  t826 = t824 * t825;
  t827 = t823 * t826;
  t830 = params->at * t276;
  t832 = t830 * t226 * t249;
  t835 = t221 * t59;
  t836 = t824 * t835;
  t837 = t64 * t66;
  t838 = t94 * t794;
  t839 = t837 * t838;
  t840 = t836 * t839;
  t843 = t219 * t835;
  t844 = t837 * t830;
  t845 = t843 * t844;
  t848 = t246 * t691 / 0.2e1 - t30 * t733 / 0.4e1 - t736 / 0.6e1 - t30 * t738 / 0.2e1 - t182 * t278 / 0.2e1 - t759 * t96 / 0.4e1 - t182 * t239 / 0.2e1 - t764 / 0.6e1 + t771 - t774 / 0.6e1 - t30 * t820 / 0.4e1 - t246 * t827 / 0.4e1 + t246 * t832 / 0.2e1 + t211 * t840 / 0.12e2 - t211 * t845 / 0.6e1;
  t850 = my_piecewise3(t2, 0, t688 + t848);
  t851 = t106 * t106;
  t852 = 0.1e1 / t851;
  t853 = t285 * t285;
  t856 = t101 * t749;
  t859 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t174 + 0.2e1 * t856);
  t863 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t852 * t853 + 0.4e1 / 0.3e1 * t106 * t859);
  t864 = t863 * t23;
  t865 = t864 * t29;
  t868 = t288 * t186;
  t869 = t868 * t29;
  t870 = t869 * t169;
  t872 = t108 * t767;
  t873 = t872 * t29;
  t875 = t873 * t169 / 0.18e2;
  t877 = my_piecewise3(t100, 0, -t865 * t169 / 0.4e1 - t870 / 0.6e1 + t875);
  tv2rho20 = 0.2e1 * t282 + 0.2e1 * t298 + t3 * (t850 + t877);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 0] += tv2rho20;

  t880 = t744 * t302;
  t884 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t750);
  t888 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t880 * t177 + 0.4e1 / 0.3e1 * t20 * t884);
  t889 = t888 * t23;
  t890 = t889 * t29;
  t893 = t305 * t186;
  t894 = t893 * t29;
  t895 = t894 * t96;
  t897 = t306 * t27;
  t898 = t897 * t210;
  t903 = t897 * t245;
  t913 = -t890 * t96 / 0.4e1 - t895 / 0.12e2 - t898 * t223 / 0.12e2 - t307 * t239 / 0.4e1 + t903 * t250 / 0.4e1 - t307 * t278 / 0.4e1 - t774 / 0.12e2 + t771 - t635 / 0.36e2 - t764 / 0.12e2 + t638 / 0.12e2 - t736 / 0.12e2;
  t914 = my_piecewise3(t2, 0, t913);
  t915 = t852 * t313;
  t919 = my_piecewise5(t11, 0, t7, 0, 0.2e1 * t856);
  t923 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t915 * t285 + 0.4e1 / 0.3e1 * t106 * t919);
  t924 = t923 * t23;
  t925 = t924 * t29;
  t928 = t316 * t186;
  t929 = t928 * t29;
  t930 = t929 * t169;
  t933 = t289 * t27;
  t934 = t933 * t337;
  t937 = t293 * t27;
  t938 = t937 * t337;
  t939 = t938 * t350;
  t943 = t294 * t366;
  t945 = t933 * t372;
  t948 = t937 * t372;
  t949 = t948 * t377;
  t953 = t294 * t405;
  t955 = -t925 * t169 / 0.4e1 - t930 / 0.12e2 - t870 / 0.12e2 + t875 - t934 * t350 / 0.12e2 - t939 / 0.36e2 - t290 * t366 / 0.4e1 - t943 / 0.12e2 + t945 * t377 / 0.4e1 + t949 / 0.12e2 - t290 * t405 / 0.4e1 - t953 / 0.12e2;
  t956 = my_piecewise3(t100, 0, t955);
  tv2rho21 = t282 + t298 + t311 + t409 + t3 * (t914 + t956);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 1] += tv2rho21;

  t961 = t302 * t302;
  t966 = my_piecewise5(t7, 0, t11, 0, 0.2e1 * t174 + 0.2e1 * t750);
  t970 = my_piecewise3(t17, 0, 0.4e1 / 0.9e1 * t744 * t961 + 0.4e1 / 0.3e1 * t20 * t966);
  t971 = t970 * t23;
  t972 = t971 * t29;
  t977 = my_piecewise3(t2, 0, -t972 * t96 / 0.4e1 - t895 / 0.6e1 + t771);
  t982 = t121 * t121;
  t984 = 0.1e1 / t112 / t982;
  t988 = my_piecewise3(t129, t322, 0.2e2 / 0.27e2 * lapl[1] * t329 - 0.8e2 / 0.27e2 * t117 * t329 + 0.22e2 / 0.27e2 * t120 * t984);
  t989 = t988 * t335;
  t990 = t194 * t989;
  t991 = t321 * t990;
  t994 = t349 * t366;
  t997 = t333 * t333;
  t998 = t334 * t334;
  t999 = 0.1e1 / t998;
  t1000 = t997 * t999;
  t1001 = t649 * t1000;
  t1002 = t321 * t1001;
  t1003 = t340 * t340;
  t1004 = 0.1e1 / t1003;
  t1005 = t344 * t344;
  t1006 = 0.1e1 / t1005;
  t1007 = t1004 * t1006;
  t1008 = t348 * t348;
  t1009 = t1007 * t1008;
  t1010 = t1009 * t169;
  t1013 = t348 * t347;
  t1014 = t1007 * t1013;
  t1015 = t1014 * t169;
  t1018 = t370 * t167;
  t1019 = t145 * t1018;
  t1020 = t1009 * t1019;
  t1026 = 0.1e1 / t342 / t137;
  t1027 = t144 * t1026;
  t1028 = t369 * t1027;
  t1029 = t321 * t1028;
  t1030 = t167 * t648;
  t1031 = t1030 * t997;
  t1032 = t999 * t1004;
  t1033 = t1006 * t1008;
  t1034 = t1032 * t1033;
  t1035 = t1031 * t1034;
  t1038 = t1006 * t1013;
  t1039 = t1032 * t1038;
  t1040 = t1031 * t1039;
  t1044 = t334 * t136;
  t1045 = 0.1e1 / t1044;
  t1046 = t1045 * t341;
  t1047 = t1046 * t356;
  t1048 = t374 * t997 * t1047;
  t1051 = t997 * t1045;
  t1052 = t194 * t1051;
  t1053 = t321 * t1052;
  t1056 = t364 * t370;
  t1057 = t369 * t1056;
  t1058 = t321 * t1057;
  t1062 = t374 * t988 * t376;
  t1065 = t317 * t27;
  t1066 = t1065 * t337;
  t1069 = -t991 * t350 / 0.12e2 - t338 * t994 / 0.6e1 - t1002 * t1010 / 0.12e2 - t1002 * t1015 / 0.6e1 + t1002 * t1020 / 0.3e1 - t939 / 0.18e2 + t949 / 0.6e1 - t1029 * t1035 / 0.2e1 + t373 * t1040 / 0.2e1 - t373 * t1048 / 0.2e1 + t1053 * t350 / 0.6e1 + t1058 * t377 / 0.2e1 + t373 * t1062 / 0.4e1 - t1066 * t350 / 0.6e1;
  t1070 = t1065 * t372;
  t1075 = t374 * t336;
  t1076 = t341 * t1006;
  t1077 = t137 * t193;
  t1082 = 0.2e1 * t1077 * t333 * t376 - 0.2e1 * t359 * t349;
  t1083 = t348 * t1082;
  t1084 = t1076 * t1083;
  t1085 = t1075 * t1084;
  t1088 = params->at * t403;
  t1090 = t1088 * t353 * t376;
  t1093 = t348 * t139;
  t1094 = t1076 * t1093;
  t1095 = t144 * t146;
  t1096 = t167 * t1082;
  t1097 = t1095 * t1096;
  t1098 = t1094 * t1097;
  t1101 = t346 * t1093;
  t1102 = t1095 * t1088;
  t1103 = t1101 * t1102;
  t1106 = t365 * t404;
  t1109 = tau[1] * t329;
  t1112 = tau[1] * tau[1];
  t1113 = t982 * rho[1];
  t1115 = 0.1e1 / t111 / t1113;
  t1116 = t1112 * t1115;
  t1119 = t148 * t156;
  t1124 = t152 * t391;
  t1129 = t153 * t163;
  t1134 = t159 * t399;
  t1140 = 0.1e1 / t161 / t155;
  t1141 = t160 * t1140;
  t1146 = -0.4e2 / 0.9e1 * t1109 * t150 + 0.5e2 / 0.9e1 * t1116 * t384 - 0.25e3 / 0.9e1 * t1119 * t1116 - 0.4e2 / 0.9e1 * t385 * t1109 - 0.1e3 * t1124 * t1116 + 0.8e2 / 0.3e1 * t388 * t1109 - 0.1e3 / 0.9e1 * t1129 * t1116 + 0.8e2 / 0.3e1 * t392 * t1109 + 0.125e4 / 0.9e1 * t1134 * t1116 - 0.2e3 / 0.9e1 * t395 * t1109 + 0.25e3 / 0.3e1 * t1141 * t1116 - 0.2e3 / 0.9e1 * t400 * t1109;
  t1147 = t380 * t1146;
  t1148 = t145 * t1147;
  t1153 = t193 * t988;
  t1154 = t1153 * t354;
  t1156 = t193 * t997;
  t1157 = t1156 * t1046;
  t1160 = t648 * t997;
  t1161 = t1160 * t1032;
  t1162 = t1033 * t143;
  t1165 = t1006 * t348;
  t1166 = t143 * t1082;
  t1167 = t1165 * t1166;
  t1169 = t1038 * t143;
  t1172 = t1160 * t999;
  t1173 = t1008 * t140;
  t1174 = t1007 * t1173;
  t1177 = t1153 * t335;
  t1180 = t1156 * t1045;
  t1182 = t140 * t1082;
  t1183 = t1165 * t1182;
  t1186 = t1013 * t140;
  t1187 = t1007 * t1186;
  t1189 = t1154 * t357 - 0.2e1 * t1157 * t357 - t1161 * t1162 / 0.3e1 - t355 * t1167 + 0.2e1 * t1161 * t1169 + 0.2e1 / 0.3e1 * t1172 * t1174 - t1177 * t361 / 0.2e1 + t1180 * t361 + t355 * t1183 / 0.2e1 - t1172 * t1187;
  t1190 = t139 * t1189;
  t1191 = t1190 * t168;
  t1194 = t313 * t313;
  t1199 = my_piecewise5(t11, 0, t7, 0, -0.2e1 * t174 + 0.2e1 * t856);
  t1203 = my_piecewise3(t105, 0, 0.4e1 / 0.9e1 * t852 * t1194 + 0.4e1 / 0.3e1 * t106 * t1199);
  t1204 = t1203 * t23;
  t1205 = t1204 * t29;
  t1211 = t1070 * t377 / 0.2e1 - t930 / 0.6e1 - t943 / 0.6e1 + t875 - t373 * t1085 / 0.4e1 + t373 * t1090 / 0.2e1 + t338 * t1098 / 0.12e2 - t338 * t1103 / 0.6e1 - t110 * t1106 / 0.2e1 - t110 * t1148 / 0.4e1 - t318 * t405 / 0.2e1 - t110 * t1191 / 0.4e1 - t1205 * t169 / 0.4e1 - t318 * t366 / 0.2e1 - t953 / 0.6e1;
  t1213 = my_piecewise3(t100, 0, t1069 + t1211);
  tv2rho22 = 0.2e1 * t311 + 0.2e1 * t409 + t3 * (t977 + t1213);

  if(out->v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rho2[ip*p->dim.v2rho2 + 2] += tv2rho22;

  t1217 = t637 * t432 / 0.12e2;
  t1218 = t633 * t416;
  t1220 = t1218 * t223 / 0.36e2;
  t1223 = t222 * t428;
  t1226 = t426 * t243;
  t1227 = t242 * t1226;
  t1228 = t191 * t1227;
  t1235 = params->gamma * t202;
  t1237 = my_piecewise3(t49, t195, -0.2e1 / 0.9e1 * t1235);
  t1239 = t247 * t1237 * t249;
  t1242 = t626 * t416;
  t1245 = t1237 * t208;
  t1246 = t194 * t1245;
  t1247 = t191 * t1246;
  t1250 = t414 * t651;
  t1251 = t649 * t1250;
  t1252 = t191 * t1251;
  t1253 = t665 * t59;
  t1254 = t659 * t1253;
  t1255 = t94 * t206;
  t1256 = t837 * t1255;
  t1257 = t1254 * t1256;
  t1260 = t660 * t59;
  t1261 = t659 * t1260;
  t1262 = t244 * t1255;
  t1263 = t1261 * t1262;
  t1266 = t1217 - t1220 - t417 * t645 / 0.12e2 - t211 * t1223 / 0.12e2 + t1228 * t250 / 0.4e1 + t630 * t432 / 0.4e1 + t608 * t432 / 0.4e1 + t246 * t1239 / 0.4e1 - t1242 * t223 / 0.12e2 - t1247 * t223 / 0.12e2 - t1252 * t1257 / 0.6e1 + t1252 * t1263 / 0.3e1;
  t1267 = t680 * t1250;
  t1268 = t660 * t206;
  t1269 = t659 * t1268;
  t1270 = t1267 * t1269;
  t1274 = t659 * t665 * t206;
  t1275 = t1267 * t1274;
  t1278 = t414 * t595;
  t1279 = t247 * t1278;
  t1281 = t219 * t221 * t206;
  t1282 = t1279 * t1281;
  t1285 = t247 * t415;
  t1286 = t1285 * t826;
  t1290 = t830 * t420 * t249;
  t1293 = t194 * t1278;
  t1294 = t191 * t1293;
  t1295 = t843 * t1256;
  t1300 = t1261 * t1256;
  t1305 = t427 * t277;
  t1310 = t193 * t1237;
  t1311 = t1310 * t227;
  t1313 = t420 * t596;
  t1314 = t63 * t206;
  t1315 = t229 * t1314;
  t1318 = t648 * t414;
  t1319 = t1318 * t682;
  t1320 = t683 * t1314;
  t1324 = t689 * t1314;
  t1327 = t60 * t206;
  t1328 = t683 * t1327;
  t1331 = t1310 * t208;
  t1334 = t229 * t1327;
  t1338 = t689 * t1327;
  t1340 = t1311 * t230 - 0.2e1 * t1313 * t1315 - t1319 * t1320 / 0.3e1 - t421 * t796 + 0.2e1 * t1319 * t1324 + 0.2e1 / 0.3e1 * t1319 * t1328 - t1331 * t234 / 0.2e1 + t1313 * t1334 + t421 * t812 / 0.2e1 - t1319 * t1338;
  t1341 = t59 * t1340;
  t1342 = t1341 * t95;
  t1346 = t188 * t428 / 0.12e2;
  t1347 = -t679 * t1270 / 0.2e1 + t246 * t1275 / 0.2e1 - t246 * t1282 / 0.2e1 - t246 * t1286 / 0.4e1 + t246 * t1290 / 0.4e1 + t1294 * t1295 / 0.6e1 + t417 * t840 / 0.12e2 - t1252 * t1300 / 0.12e2 - t417 * t845 / 0.12e2 - t30 * t1305 / 0.4e1 - t182 * t428 / 0.4e1 - t30 * t1342 / 0.4e1 - t1346;
  t1349 = my_piecewise3(t2, 0, t1266 + t1347);
  tv2rhosigma0 = t3 * t1349 + t436;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 0] += tv2rhosigma0;

  tv2rhosigma1 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 1] += tv2rhosigma1;

  t1351 = t933 * t441;
  t1354 = t937 * t441;
  t1356 = t1354 * t350 / 0.36e2;
  t1360 = t294 * t453 / 0.12e2;
  t1364 = t948 * t457 / 0.12e2;
  t1366 = my_piecewise3(t100, 0, -t1351 * t350 / 0.12e2 - t1356 - t290 * t453 / 0.4e1 - t1360 + t945 * t457 / 0.4e1 + t1364);
  tv2rhosigma2 = t3 * t1366 + t461;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 2] += tv2rhosigma2;

  t1368 = t897 * t416;
  t1376 = my_piecewise3(t2, 0, -t1368 * t223 / 0.12e2 - t1220 - t307 * t428 / 0.4e1 - t1346 + t903 * t432 / 0.4e1 + t1217);
  tv2rhosigma3 = t3 * t1376 + t436;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 3] += tv2rhosigma3;

  tv2rhosigma4 = 0.e0;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 4] += tv2rhosigma4;

  t1378 = t349 * t453;
  t1381 = t451 * t370;
  t1382 = t369 * t1381;
  t1383 = t321 * t1382;
  t1390 = params->gamma * t329;
  t1392 = my_piecewise3(t129, t322, -0.2e1 / 0.9e1 * t1390);
  t1394 = t374 * t1392 * t376;
  t1397 = t1065 * t441;
  t1400 = t1392 * t335;
  t1401 = t194 * t1400;
  t1402 = t321 * t1401;
  t1407 = t439 * t999;
  t1408 = t1030 * t1407;
  t1409 = t1008 * t333;
  t1410 = t1007 * t1409;
  t1411 = t1408 * t1410;
  t1415 = t1007 * t1013 * t333;
  t1416 = t1408 * t1415;
  t1419 = t1364 - t338 * t1378 / 0.12e2 + t1383 * t377 / 0.4e1 + t1070 * t457 / 0.4e1 + t1058 * t457 / 0.4e1 + t373 * t1394 / 0.4e1 - t1397 * t350 / 0.12e2 - t1402 * t350 / 0.12e2 - t442 * t994 / 0.12e2 - t1356 - t1029 * t1411 / 0.2e1 + t373 * t1416 / 0.2e1;
  t1420 = t649 * t1407;
  t1421 = t321 * t1420;
  t1422 = t1013 * t139;
  t1423 = t1007 * t1422;
  t1424 = t167 * t333;
  t1425 = t1095 * t1424;
  t1426 = t1423 * t1425;
  t1429 = t1008 * t139;
  t1430 = t1007 * t1429;
  t1431 = t371 * t1424;
  t1432 = t1430 * t1431;
  t1435 = t439 * t1045;
  t1436 = t374 * t1435;
  t1438 = t346 * t348 * t333;
  t1439 = t1436 * t1438;
  t1442 = t374 * t440;
  t1443 = t1442 * t1084;
  t1447 = t1088 * t445 * t376;
  t1450 = t194 * t1435;
  t1451 = t321 * t1450;
  t1452 = t1101 * t1425;
  t1457 = t1430 * t1425;
  t1462 = t452 * t404;
  t1467 = t193 * t1392;
  t1468 = t1467 * t354;
  t1470 = t445 * t1046;
  t1471 = t143 * t333;
  t1472 = t356 * t1471;
  t1475 = t648 * t439;
  t1476 = t1475 * t1032;
  t1477 = t1033 * t1471;
  t1481 = t1038 * t1471;
  t1484 = t140 * t333;
  t1485 = t1033 * t1484;
  t1488 = t1467 * t335;
  t1491 = t356 * t1484;
  t1495 = t1038 * t1484;
  t1497 = t1468 * t357 - 0.2e1 * t1470 * t1472 - t1476 * t1477 / 0.3e1 - t446 * t1167 + 0.2e1 * t1476 * t1481 + 0.2e1 / 0.3e1 * t1476 * t1485 - t1488 * t361 / 0.2e1 + t1470 * t1491 + t446 * t1183 / 0.2e1 - t1476 * t1495;
  t1498 = t139 * t1497;
  t1499 = t1498 * t168;
  t1502 = -t1421 * t1426 / 0.6e1 + t1421 * t1432 / 0.3e1 - t373 * t1439 / 0.2e1 - t373 * t1443 / 0.4e1 + t373 * t1447 / 0.4e1 + t1451 * t1452 / 0.6e1 + t442 * t1098 / 0.12e2 - t1421 * t1457 / 0.12e2 - t442 * t1103 / 0.12e2 - t110 * t1462 / 0.4e1 - t1360 - t318 * t453 / 0.4e1 - t110 * t1499 / 0.4e1;
  t1504 = my_piecewise3(t100, 0, t1419 + t1502);
  tv2rhosigma5 = t3 * t1504 + t461;

  if(out->v2rhosigma != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhosigma[ip*p->dim.v2rhosigma + 5] += tv2rhosigma5;

  t1506 = t633 * t465;
  t1508 = t1506 * t223 / 0.36e2;
  t1511 = t222 * t477;
  t1514 = t475 * t243;
  t1515 = t242 * t1514;
  t1516 = t191 * t1515;
  t1524 = my_piecewise3(t49, t195, -0.5e1 / 0.18e2 * t43);
  t1526 = t247 * t1524 * t249;
  t1529 = t626 * t465;
  t1532 = t1524 * t208;
  t1533 = t194 * t1532;
  t1534 = t191 * t1533;
  t1538 = t637 * t481 / 0.12e2;
  t1539 = t463 * t651;
  t1540 = t649 * t1539;
  t1541 = t191 * t1540;
  t1546 = -t1508 - t466 * t645 / 0.12e2 - t211 * t1511 / 0.12e2 + t1516 * t250 / 0.4e1 + t630 * t481 / 0.4e1 + t608 * t481 / 0.4e1 + t246 * t1526 / 0.4e1 - t1529 * t223 / 0.12e2 - t1534 * t223 / 0.12e2 + t1538 - t1541 * t1257 / 0.6e1 + t1541 * t1263 / 0.3e1;
  t1547 = t680 * t1539;
  t1548 = t1547 * t1269;
  t1551 = t1547 * t1274;
  t1554 = t463 * t595;
  t1555 = t247 * t1554;
  t1556 = t1555 * t1281;
  t1559 = t247 * t464;
  t1560 = t1559 * t826;
  t1564 = t830 * t469 * t249;
  t1567 = t194 * t1554;
  t1568 = t191 * t1567;
  t1577 = t476 * t277;
  t1581 = t188 * t477 / 0.12e2;
  t1584 = t193 * t1524;
  t1585 = t1584 * t227;
  t1587 = t469 * t596;
  t1590 = t648 * t463;
  t1591 = t1590 * t682;
  t1599 = t1584 * t208;
  t1606 = t1585 * t230 - 0.2e1 * t1587 * t1315 - t1591 * t1320 / 0.3e1 - t470 * t796 + 0.2e1 * t1591 * t1324 + 0.2e1 / 0.3e1 * t1591 * t1328 - t1599 * t234 / 0.2e1 + t1587 * t1334 + t470 * t812 / 0.2e1 - t1591 * t1338;
  t1607 = t59 * t1606;
  t1608 = t1607 * t95;
  t1611 = -t679 * t1548 / 0.2e1 + t246 * t1551 / 0.2e1 - t246 * t1556 / 0.2e1 - t246 * t1560 / 0.4e1 + t246 * t1564 / 0.4e1 + t1568 * t1295 / 0.6e1 + t466 * t840 / 0.12e2 - t1541 * t1300 / 0.12e2 - t466 * t845 / 0.12e2 - t30 * t1577 / 0.4e1 - t1581 - t182 * t477 / 0.4e1 - t30 * t1608 / 0.4e1;
  t1613 = my_piecewise3(t2, 0, t1546 + t1611);
  tv2rholapl0 = t3 * t1613 + t485;

  if(out->v2rholapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 0] += tv2rholapl0;

  t1615 = t933 * t489;
  t1618 = t937 * t489;
  t1620 = t1618 * t350 / 0.36e2;
  t1624 = t294 * t501 / 0.12e2;
  t1628 = t948 * t505 / 0.12e2;
  t1630 = my_piecewise3(t100, 0, -t1615 * t350 / 0.12e2 - t1620 - t290 * t501 / 0.4e1 - t1624 + t945 * t505 / 0.4e1 + t1628);
  tv2rholapl1 = t3 * t1630 + t509;

  if(out->v2rholapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 1] += tv2rholapl1;

  t1632 = t897 * t465;
  t1640 = my_piecewise3(t2, 0, -t1632 * t223 / 0.12e2 - t1508 - t307 * t477 / 0.4e1 - t1581 + t903 * t481 / 0.4e1 + t1538);
  tv2rholapl2 = t3 * t1640 + t485;

  if(out->v2rholapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 2] += tv2rholapl2;

  t1642 = t349 * t501;
  t1645 = t499 * t370;
  t1646 = t369 * t1645;
  t1647 = t321 * t1646;
  t1655 = my_piecewise3(t129, t322, -0.5e1 / 0.18e2 * t123);
  t1657 = t374 * t1655 * t376;
  t1660 = t1065 * t489;
  t1663 = t1655 * t335;
  t1664 = t194 * t1663;
  t1665 = t321 * t1664;
  t1670 = t500 * t404;
  t1673 = t487 * t999;
  t1674 = t1030 * t1673;
  t1675 = t1674 * t1410;
  t1678 = -t338 * t1642 / 0.12e2 + t1647 * t377 / 0.4e1 + t1070 * t505 / 0.4e1 + t1058 * t505 / 0.4e1 + t373 * t1657 / 0.4e1 - t1660 * t350 / 0.12e2 - t1665 * t350 / 0.12e2 - t490 * t994 / 0.12e2 - t1620 + t1628 - t110 * t1670 / 0.4e1 - t1029 * t1675 / 0.2e1;
  t1679 = t1674 * t1415;
  t1682 = t649 * t1673;
  t1683 = t321 * t1682;
  t1688 = t487 * t1045;
  t1689 = t374 * t1688;
  t1690 = t1689 * t1438;
  t1693 = t374 * t488;
  t1694 = t1693 * t1084;
  t1698 = t1088 * t493 * t376;
  t1701 = t194 * t1688;
  t1702 = t321 * t1701;
  t1713 = t193 * t1655;
  t1714 = t1713 * t354;
  t1716 = t493 * t1046;
  t1719 = t648 * t487;
  t1720 = t1719 * t1032;
  t1728 = t1713 * t335;
  t1735 = t1714 * t357 - 0.2e1 * t1716 * t1472 - t1720 * t1477 / 0.3e1 - t494 * t1167 + 0.2e1 * t1720 * t1481 + 0.2e1 / 0.3e1 * t1720 * t1485 - t1728 * t361 / 0.2e1 + t1716 * t1491 + t494 * t1183 / 0.2e1 - t1720 * t1495;
  t1736 = t139 * t1735;
  t1737 = t1736 * t168;
  t1740 = t373 * t1679 / 0.2e1 - t1683 * t1426 / 0.6e1 + t1683 * t1432 / 0.3e1 - t373 * t1690 / 0.2e1 - t373 * t1694 / 0.4e1 + t373 * t1698 / 0.4e1 + t1702 * t1452 / 0.6e1 + t490 * t1098 / 0.12e2 - t1683 * t1457 / 0.12e2 - t490 * t1103 / 0.12e2 - t1624 - t318 * t501 / 0.4e1 - t110 * t1737 / 0.4e1;
  t1742 = my_piecewise3(t100, 0, t1678 + t1740);
  tv2rholapl3 = t3 * t1742 + t509;

  if(out->v2rholapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rholapl[ip*p->dim.v2rholapl + 3] += tv2rholapl3;

  t1745 = my_piecewise3(t49, t195, 0.1e2 / 0.9e1 * t412);
  t1747 = t247 * t1745 * t249;
  t1750 = t626 * t514;
  t1753 = t1745 * t208;
  t1754 = t194 * t1753;
  t1755 = t191 * t1754;
  t1759 = t637 * t530 / 0.12e2;
  t1760 = t633 * t514;
  t1762 = t1760 * t223 / 0.36e2;
  t1765 = t222 * t526;
  t1768 = t524 * t243;
  t1769 = t242 * t1768;
  t1770 = t191 * t1769;
  t1777 = t512 * t651;
  t1778 = t649 * t1777;
  t1779 = t191 * t1778;
  t1784 = t680 * t1777;
  t1785 = t1784 * t1269;
  t1788 = t1784 * t1274;
  t1791 = t512 * t595;
  t1792 = t247 * t1791;
  t1793 = t1792 * t1281;
  t1796 = t246 * t1747 / 0.4e1 - t1750 * t223 / 0.12e2 - t1755 * t223 / 0.12e2 + t1759 - t1762 - t515 * t645 / 0.12e2 - t211 * t1765 / 0.12e2 + t1770 * t250 / 0.4e1 + t630 * t530 / 0.4e1 + t608 * t530 / 0.4e1 - t1779 * t1257 / 0.6e1 + t1779 * t1263 / 0.3e1 - t679 * t1785 / 0.2e1 + t246 * t1788 / 0.2e1 - t246 * t1793 / 0.2e1;
  t1797 = t247 * t513;
  t1798 = t1797 * t826;
  t1802 = t830 * t518 * t249;
  t1805 = params->at * t543;
  t1806 = t837 * t1805;
  t1807 = t843 * t1806;
  t1811 = t1805 * t226 * t249;
  t1814 = t194 * t1791;
  t1815 = t191 * t1814;
  t1818 = t525 * t277;
  t1823 = t238 * t544;
  t1829 = 0.1e1 / t31 / t615;
  t1830 = t1829 * t257;
  t1833 = t1829 * tau[0];
  t1854 = 0.5e1 / 0.3e1 * t43 * t77 - 0.1e2 / 0.3e1 * t1830 * tau[0] + 0.5e2 / 0.3e1 * t704 * t1833 + 0.5e1 / 0.3e1 * t258 * t43 + 0.6e2 * t709 * t1833 - 0.1e2 * t261 * t43 + 0.2e2 / 0.3e1 * t714 * t1833 - 0.1e2 * t265 * t43 - 0.25e3 / 0.3e1 * t719 * t1833 + 0.25e2 / 0.3e1 * t268 * t43 - 0.5e2 * t726 * t1833 + 0.25e2 / 0.3e1 * t273 * t43;
  t1855 = t253 * t1854;
  t1856 = t65 * t1855;
  t1860 = t188 * t545 / 0.12e2;
  t1869 = t193 * t1745;
  t1870 = t1869 * t227;
  t1872 = t518 * t596;
  t1875 = t648 * t512;
  t1876 = t1875 * t682;
  t1884 = t1869 * t208;
  t1891 = t1870 * t230 - 0.2e1 * t1872 * t1315 - t1876 * t1320 / 0.3e1 - t519 * t796 + 0.2e1 * t1876 * t1324 + 0.2e1 / 0.3e1 * t1876 * t1328 - t1884 * t234 / 0.2e1 + t1872 * t1334 + t519 * t812 / 0.2e1 - t1876 * t1338;
  t1892 = t59 * t1891;
  t1893 = t1892 * t95;
  t1897 = t188 * t526 / 0.12e2;
  t1898 = -t246 * t1798 / 0.4e1 + t246 * t1802 / 0.4e1 - t211 * t1807 / 0.12e2 + t246 * t1811 / 0.4e1 + t1815 * t1295 / 0.6e1 - t30 * t1818 / 0.4e1 - t182 * t545 / 0.4e1 - t30 * t1823 / 0.4e1 - t30 * t1856 / 0.4e1 - t1860 + t515 * t840 / 0.12e2 - t1779 * t1300 / 0.12e2 - t515 * t845 / 0.12e2 - t182 * t526 / 0.4e1 - t30 * t1893 / 0.4e1 - t1897;
  t1900 = my_piecewise3(t2, 0, t1796 + t1898);
  tv2rhotau0 = t3 * t1900 + t549;

  if(out->v2rhotau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 0] += tv2rhotau0;

  t1902 = t933 * t554;
  t1905 = t937 * t554;
  t1907 = t1905 * t350 / 0.36e2;
  t1911 = t294 * t566 / 0.12e2;
  t1915 = t948 * t570 / 0.12e2;
  t1919 = t294 * t585 / 0.12e2;
  t1921 = my_piecewise3(t100, 0, -t1902 * t350 / 0.12e2 - t1907 - t290 * t566 / 0.4e1 - t1911 + t945 * t570 / 0.4e1 + t1915 - t290 * t585 / 0.4e1 - t1919);
  tv2rhotau1 = t3 * t1921 + t589;

  if(out->v2rhotau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 1] += tv2rhotau1;

  t1923 = t897 * t514;
  t1933 = my_piecewise3(t2, 0, -t1923 * t223 / 0.12e2 - t1762 - t307 * t526 / 0.4e1 - t1897 + t903 * t530 / 0.4e1 + t1759 - t307 * t545 / 0.4e1 - t1860);
  tv2rhotau2 = t3 * t1933 + t549;

  if(out->v2rhotau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 2] += tv2rhotau2;

  t1936 = my_piecewise3(t129, t322, 0.1e2 / 0.9e1 * t437);
  t1938 = t374 * t1936 * t376;
  t1941 = t1065 * t554;
  t1944 = t1936 * t335;
  t1945 = t194 * t1944;
  t1946 = t321 * t1945;
  t1951 = t349 * t566;
  t1954 = t564 * t370;
  t1955 = t369 * t1954;
  t1956 = t321 * t1955;
  t1963 = params->at * t583;
  t1964 = t1095 * t1963;
  t1965 = t1101 * t1964;
  t1969 = t1963 * t353 * t376;
  t1972 = t552 * t1045;
  t1973 = t194 * t1972;
  t1974 = t321 * t1973;
  t1979 = t552 * t999;
  t1980 = t649 * t1979;
  t1981 = t321 * t1980;
  t1984 = t373 * t1938 / 0.4e1 - t1941 * t350 / 0.12e2 - t1946 * t350 / 0.12e2 - t555 * t994 / 0.12e2 - t1907 + t1915 - t338 * t1951 / 0.12e2 + t1956 * t377 / 0.4e1 + t1070 * t570 / 0.4e1 + t1058 * t570 / 0.4e1 - t338 * t1965 / 0.12e2 + t373 * t1969 / 0.4e1 + t1974 * t1452 / 0.6e1 + t555 * t1098 / 0.12e2 - t1981 * t1457 / 0.12e2;
  t1989 = t365 * t584;
  t1995 = 0.1e1 / t111 / t982;
  t1996 = t1995 * t384;
  t1999 = t1995 * tau[1];
  t2020 = 0.5e1 / 0.3e1 * t123 * t150 - 0.1e2 / 0.3e1 * t1996 * tau[1] + 0.5e2 / 0.3e1 * t1119 * t1999 + 0.5e1 / 0.3e1 * t385 * t123 + 0.6e2 * t1124 * t1999 - 0.1e2 * t388 * t123 + 0.2e2 / 0.3e1 * t1129 * t1999 - 0.1e2 * t392 * t123 - 0.25e3 / 0.3e1 * t1134 * t1999 + 0.25e2 / 0.3e1 * t395 * t123 - 0.5e2 * t1141 * t1999 + 0.25e2 / 0.3e1 * t400 * t123;
  t2021 = t380 * t2020;
  t2022 = t145 * t2021;
  t2025 = t1030 * t1979;
  t2026 = t2025 * t1410;
  t2029 = t2025 * t1415;
  t2036 = t374 * t1972;
  t2037 = t2036 * t1438;
  t2040 = t374 * t553;
  t2041 = t2040 * t1084;
  t2045 = t1088 * t558 * t376;
  t2048 = t565 * t404;
  t2053 = t193 * t1936;
  t2054 = t2053 * t354;
  t2056 = t558 * t1046;
  t2059 = t648 * t552;
  t2060 = t2059 * t1032;
  t2068 = t2053 * t335;
  t2075 = t2054 * t357 - 0.2e1 * t2056 * t1472 - t2060 * t1477 / 0.3e1 - t559 * t1167 + 0.2e1 * t2060 * t1481 + 0.2e1 / 0.3e1 * t2060 * t1485 - t2068 * t361 / 0.2e1 + t2056 * t1491 + t559 * t1183 / 0.2e1 - t2060 * t1495;
  t2076 = t139 * t2075;
  t2077 = t2076 * t168;
  t2080 = -t555 * t1103 / 0.12e2 - t318 * t585 / 0.4e1 - t110 * t1989 / 0.4e1 - t110 * t2022 / 0.4e1 - t1029 * t2026 / 0.2e1 + t373 * t2029 / 0.2e1 - t1981 * t1426 / 0.6e1 + t1981 * t1432 / 0.3e1 - t373 * t2037 / 0.2e1 - t373 * t2041 / 0.4e1 + t373 * t2045 / 0.4e1 - t1919 - t110 * t2048 / 0.4e1 - t1911 - t318 * t566 / 0.4e1 - t110 * t2077 / 0.4e1;
  t2082 = my_piecewise3(t100, 0, t1984 + t2080);
  tv2rhotau3 = t3 * t2082 + t589;

  if(out->v2rhotau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2rhotau[ip*p->dim.v2rhotau + 3] += tv2rhotau3;

  t2084 = my_piecewise3(t49, t195, 0);
  t2085 = t2084 * t208;
  t2086 = t194 * t2085;
  t2087 = t191 * t2086;
  t2089 = t2087 * t223 / 0.12e2;
  t2090 = t414 * t414;
  t2091 = t2090 * t595;
  t2092 = t194 * t2091;
  t2093 = t191 * t2092;
  t2096 = t2090 * t651;
  t2097 = t649 * t2096;
  t2098 = t191 * t2097;
  t2105 = 0.2e1 * t789 * t414 * t249 - 0.2e1 * t423 * t222;
  t2106 = t94 * t2105;
  t2107 = t837 * t2106;
  t2108 = t836 * t2107;
  t2117 = t193 * t2084;
  t2118 = t2117 * t227;
  t2119 = t2118 * t230;
  t2120 = t193 * t2090;
  t2121 = t2120 * t596;
  t2124 = t648 * t2090;
  t2125 = t2124 * t682;
  t2128 = t63 * t2105;
  t2129 = t788 * t2128;
  t2133 = t2124 * t651;
  t2136 = t2117 * t208;
  t2138 = t2136 * t234 / 0.2e1;
  t2139 = t2120 * t595;
  t2141 = t60 * t2105;
  t2142 = t788 * t2141;
  t2146 = t2119 - 0.2e1 * t2121 * t230 - t2125 * t785 / 0.3e1 - t421 * t2129 + 0.2e1 * t2125 * t798 + 0.2e1 / 0.3e1 * t2133 * t803 - t2138 + t2139 * t234 + t421 * t2142 / 0.2e1 - t2133 * t816;
  t2147 = t59 * t2146;
  t2148 = t2147 * t95;
  t2153 = t680 * t2090;
  t2154 = t2153 * t684;
  t2158 = t247 * t2084 * t249;
  t2160 = t246 * t2158 / 0.4e1;
  t2162 = t247 * t2090 * t597;
  t2165 = t221 * t2105;
  t2166 = t824 * t2165;
  t2167 = t1285 * t2166;
  t2170 = t2153 * t690;
  t2173 = -t2089 + t2093 * t223 / 0.6e1 - t2098 * t662 / 0.12e2 + t417 * t2108 / 0.12e2 - t2098 * t667 / 0.6e1 - t417 * t1223 / 0.6e1 + t2098 * t672 / 0.3e1 - t30 * t2148 / 0.4e1 + t1228 * t432 / 0.2e1 - t679 * t2154 / 0.2e1 + t2160 - t246 * t2162 / 0.2e1 - t246 * t2167 / 0.4e1 + t246 * t2170 / 0.2e1;
  t2174 = my_piecewise3(t2, 0, t2173);
  tv2sigma20 = t3 * t2174;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 0] += tv2sigma20;

  tv2sigma21 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 1] += tv2sigma21;

  tv2sigma22 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 2] += tv2sigma22;

  tv2sigma23 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 3] += tv2sigma23;

  tv2sigma24 = 0.e0;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 4] += tv2sigma24;

  t2175 = my_piecewise3(t129, t322, 0);
  t2176 = t2175 * t335;
  t2177 = t194 * t2176;
  t2178 = t321 * t2177;
  t2180 = t2178 * t350 / 0.12e2;
  t2181 = t439 * t439;
  t2182 = t2181 * t1045;
  t2183 = t194 * t2182;
  t2184 = t321 * t2183;
  t2187 = t2181 * t999;
  t2188 = t649 * t2187;
  t2189 = t321 * t2188;
  t2196 = 0.2e1 * t1077 * t439 * t376 - 0.2e1 * t448 * t349;
  t2197 = t167 * t2196;
  t2198 = t1095 * t2197;
  t2199 = t1094 * t2198;
  t2208 = t193 * t2175;
  t2209 = t2208 * t354;
  t2210 = t2209 * t357;
  t2211 = t193 * t2181;
  t2212 = t2211 * t1046;
  t2215 = t648 * t2181;
  t2216 = t2215 * t1032;
  t2219 = t143 * t2196;
  t2220 = t1165 * t2219;
  t2224 = t2215 * t999;
  t2227 = t2208 * t335;
  t2229 = t2227 * t361 / 0.2e1;
  t2230 = t2211 * t1045;
  t2232 = t140 * t2196;
  t2233 = t1165 * t2232;
  t2237 = t2210 - 0.2e1 * t2212 * t357 - t2216 * t1162 / 0.3e1 - t446 * t2220 + 0.2e1 * t2216 * t1169 + 0.2e1 / 0.3e1 * t2224 * t1174 - t2229 + t2230 * t361 + t446 * t2233 / 0.2e1 - t2224 * t1187;
  t2238 = t139 * t2237;
  t2239 = t2238 * t168;
  t2244 = t1030 * t2181;
  t2245 = t2244 * t1034;
  t2249 = t374 * t2175 * t376;
  t2251 = t373 * t2249 / 0.4e1;
  t2253 = t374 * t2181 * t1047;
  t2256 = t348 * t2196;
  t2257 = t1076 * t2256;
  t2258 = t1442 * t2257;
  t2261 = t2244 * t1039;
  t2264 = -t2180 + t2184 * t350 / 0.6e1 - t2189 * t1010 / 0.12e2 + t442 * t2199 / 0.12e2 - t2189 * t1015 / 0.6e1 - t442 * t1378 / 0.6e1 + t2189 * t1020 / 0.3e1 - t110 * t2239 / 0.4e1 + t1383 * t457 / 0.2e1 - t1029 * t2245 / 0.2e1 + t2251 - t373 * t2253 / 0.2e1 - t373 * t2258 / 0.4e1 + t373 * t2261 / 0.2e1;
  t2265 = my_piecewise3(t100, 0, t2264);
  tv2sigma25 = t3 * t2265;

  if(out->v2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigma2[ip*p->dim.v2sigma2 + 5] += tv2sigma25;

  t2266 = t94 * t414;
  t2267 = t837 * t2266;
  t2268 = t843 * t2267;
  t2271 = t1261 * t2267;
  t2276 = t1254 * t2267;
  t2281 = t244 * t2266;
  t2282 = t1261 * t2281;
  t2287 = t63 * t414;
  t2288 = t229 * t2287;
  t2291 = t683 * t2287;
  t2295 = t689 * t2287;
  t2298 = t60 * t414;
  t2299 = t683 * t2298;
  t2302 = t229 * t2298;
  t2306 = t689 * t2298;
  t2308 = t2119 - 0.2e1 * t1587 * t2288 - t1591 * t2291 / 0.3e1 - t470 * t2129 + 0.2e1 * t1591 * t2295 + 0.2e1 / 0.3e1 * t1591 * t2299 - t2138 + t1587 * t2302 + t470 * t2142 / 0.2e1 - t1591 * t2306;
  t2309 = t59 * t2308;
  t2310 = t2309 * t95;
  t2317 = t660 * t414;
  t2318 = t659 * t2317;
  t2319 = t1547 * t2318;
  t2322 = t221 * t414;
  t2323 = t219 * t2322;
  t2324 = t1555 * t2323;
  t2327 = t1559 * t2166;
  t2330 = t665 * t414;
  t2331 = t659 * t2330;
  t2332 = t1547 * t2331;
  t2335 = -t2089 + t1568 * t2268 / 0.6e1 - t1541 * t2271 / 0.12e2 + t466 * t2108 / 0.12e2 - t1541 * t2276 / 0.6e1 - t466 * t1223 / 0.12e2 + t1541 * t2282 / 0.3e1 - t417 * t1511 / 0.12e2 - t30 * t2310 / 0.4e1 + t1516 * t432 / 0.4e1 + t1228 * t481 / 0.4e1 - t679 * t2319 / 0.2e1 + t2160 - t246 * t2324 / 0.2e1 - t246 * t2327 / 0.4e1 + t246 * t2332 / 0.2e1;
  t2336 = my_piecewise3(t2, 0, t2335);
  tv2sigmalapl0 = t3 * t2336;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 0] += tv2sigmalapl0;

  tv2sigmalapl1 = 0.e0;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 1] += tv2sigmalapl1;

  tv2sigmalapl2 = 0.e0;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 2] += tv2sigmalapl2;

  tv2sigmalapl3 = 0.e0;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 3] += tv2sigmalapl3;

  tv2sigmalapl4 = 0.e0;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 4] += tv2sigmalapl4;

  t2337 = t167 * t439;
  t2338 = t1095 * t2337;
  t2339 = t1101 * t2338;
  t2342 = t1430 * t2338;
  t2347 = t1423 * t2338;
  t2352 = t371 * t2337;
  t2353 = t1430 * t2352;
  t2358 = t143 * t439;
  t2359 = t356 * t2358;
  t2362 = t1033 * t2358;
  t2366 = t1038 * t2358;
  t2369 = t140 * t439;
  t2370 = t1033 * t2369;
  t2373 = t356 * t2369;
  t2377 = t1038 * t2369;
  t2379 = t2210 - 0.2e1 * t1716 * t2359 - t1720 * t2362 / 0.3e1 - t494 * t2220 + 0.2e1 * t1720 * t2366 + 0.2e1 / 0.3e1 * t1720 * t2370 - t2229 + t1716 * t2373 + t494 * t2233 / 0.2e1 - t1720 * t2377;
  t2380 = t139 * t2379;
  t2381 = t2380 * t168;
  t2388 = t1008 * t439;
  t2389 = t1007 * t2388;
  t2390 = t1674 * t2389;
  t2393 = t348 * t439;
  t2394 = t346 * t2393;
  t2395 = t1689 * t2394;
  t2398 = t1693 * t2257;
  t2401 = t1013 * t439;
  t2402 = t1007 * t2401;
  t2403 = t1674 * t2402;
  t2406 = -t2180 + t1702 * t2339 / 0.6e1 - t1683 * t2342 / 0.12e2 + t490 * t2199 / 0.12e2 - t1683 * t2347 / 0.6e1 - t490 * t1378 / 0.12e2 + t1683 * t2353 / 0.3e1 - t442 * t1642 / 0.12e2 - t110 * t2381 / 0.4e1 + t1647 * t457 / 0.4e1 + t1383 * t505 / 0.4e1 - t1029 * t2390 / 0.2e1 + t2251 - t373 * t2395 / 0.2e1 - t373 * t2398 / 0.4e1 + t373 * t2403 / 0.2e1;
  t2407 = my_piecewise3(t100, 0, t2406);
  tv2sigmalapl5 = t3 * t2407;

  if(out->v2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmalapl[ip*p->dim.v2sigmalapl + 5] += tv2sigmalapl5;

  t2435 = t2119 - 0.2e1 * t1872 * t2288 - t1876 * t2291 / 0.3e1 - t519 * t2129 + 0.2e1 * t1876 * t2295 + 0.2e1 / 0.3e1 * t1876 * t2299 - t2138 + t1872 * t2302 + t519 * t2142 / 0.2e1 - t1876 * t2306;
  t2436 = t59 * t2435;
  t2437 = t2436 * t95;
  t2444 = t1784 * t2318;
  t2447 = t1792 * t2323;
  t2450 = t1797 * t2166;
  t2453 = t1784 * t2331;
  t2458 = t427 * t544;
  t2462 = t1805 * t420 * t249;
  t2465 = -t2089 + t1815 * t2268 / 0.6e1 - t1779 * t2271 / 0.12e2 + t515 * t2108 / 0.12e2 - t1779 * t2276 / 0.6e1 - t515 * t1223 / 0.12e2 + t1779 * t2282 / 0.3e1 - t417 * t1765 / 0.12e2 - t30 * t2437 / 0.4e1 + t1770 * t432 / 0.4e1 + t1228 * t530 / 0.4e1 - t679 * t2444 / 0.2e1 + t2160 - t246 * t2447 / 0.2e1 - t246 * t2450 / 0.4e1 + t246 * t2453 / 0.2e1 - t417 * t1807 / 0.12e2 - t30 * t2458 / 0.4e1 + t246 * t2462 / 0.4e1;
  t2466 = my_piecewise3(t2, 0, t2465);
  tv2sigmatau0 = t3 * t2466;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 0] += tv2sigmatau0;

  tv2sigmatau1 = 0.e0;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 1] += tv2sigmatau1;

  tv2sigmatau2 = 0.e0;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 2] += tv2sigmatau2;

  tv2sigmatau3 = 0.e0;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 3] += tv2sigmatau3;

  tv2sigmatau4 = 0.e0;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 4] += tv2sigmatau4;

  t2494 = t2210 - 0.2e1 * t2056 * t2359 - t2060 * t2362 / 0.3e1 - t559 * t2220 + 0.2e1 * t2060 * t2366 + 0.2e1 / 0.3e1 * t2060 * t2370 - t2229 + t2056 * t2373 + t559 * t2233 / 0.2e1 - t2060 * t2377;
  t2495 = t139 * t2494;
  t2496 = t2495 * t168;
  t2503 = t2025 * t2389;
  t2506 = t2036 * t2394;
  t2509 = t2040 * t2257;
  t2512 = t2025 * t2402;
  t2517 = t452 * t584;
  t2521 = t1963 * t445 * t376;
  t2524 = -t2180 + t1974 * t2339 / 0.6e1 - t1981 * t2342 / 0.12e2 + t555 * t2199 / 0.12e2 - t1981 * t2347 / 0.6e1 - t555 * t1378 / 0.12e2 + t1981 * t2353 / 0.3e1 - t442 * t1951 / 0.12e2 - t110 * t2496 / 0.4e1 + t1956 * t457 / 0.4e1 + t1383 * t570 / 0.4e1 - t1029 * t2503 / 0.2e1 + t2251 - t373 * t2506 / 0.2e1 - t373 * t2509 / 0.4e1 + t373 * t2512 / 0.2e1 - t442 * t1965 / 0.12e2 - t110 * t2517 / 0.4e1 + t373 * t2521 / 0.4e1;
  t2525 = my_piecewise3(t100, 0, t2524);
  tv2sigmatau5 = t3 * t2525;

  if(out->v2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2sigmatau[ip*p->dim.v2sigmatau + 5] += tv2sigmatau5;

  t2526 = t463 * t463;
  t2527 = t2526 * t595;
  t2528 = t194 * t2527;
  t2529 = t191 * t2528;
  t2532 = t2526 * t651;
  t2533 = t649 * t2532;
  t2534 = t191 * t2533;
  t2541 = 0.2e1 * t789 * t463 * t249 - 0.2e1 * t472 * t222;
  t2542 = t94 * t2541;
  t2543 = t837 * t2542;
  t2544 = t836 * t2543;
  t2553 = t193 * t2526;
  t2554 = t2553 * t596;
  t2557 = t648 * t2526;
  t2558 = t2557 * t682;
  t2561 = t63 * t2541;
  t2562 = t788 * t2561;
  t2566 = t2557 * t651;
  t2569 = t2553 * t595;
  t2571 = t60 * t2541;
  t2572 = t788 * t2571;
  t2576 = t2119 - 0.2e1 * t2554 * t230 - t2558 * t785 / 0.3e1 - t470 * t2562 + 0.2e1 * t2558 * t798 + 0.2e1 / 0.3e1 * t2566 * t803 - t2138 + t2569 * t234 + t470 * t2572 / 0.2e1 - t2566 * t816;
  t2577 = t59 * t2576;
  t2578 = t2577 * t95;
  t2583 = t680 * t2526;
  t2584 = t2583 * t684;
  t2588 = t247 * t2526 * t597;
  t2591 = t221 * t2541;
  t2592 = t824 * t2591;
  t2593 = t1559 * t2592;
  t2596 = t2583 * t690;
  t2599 = -t2089 + t2529 * t223 / 0.6e1 - t2534 * t662 / 0.12e2 + t466 * t2544 / 0.12e2 - t2534 * t667 / 0.6e1 - t466 * t1511 / 0.6e1 + t2534 * t672 / 0.3e1 - t30 * t2578 / 0.4e1 + t1516 * t481 / 0.2e1 - t679 * t2584 / 0.2e1 + t2160 - t246 * t2588 / 0.2e1 - t246 * t2593 / 0.4e1 + t246 * t2596 / 0.2e1;
  t2600 = my_piecewise3(t2, 0, t2599);
  tv2lapl20 = t3 * t2600;

  if(out->v2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 0] += tv2lapl20;

  tv2lapl21 = 0.e0;

  if(out->v2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 1] += tv2lapl21;

  t2601 = t487 * t487;
  t2602 = t2601 * t1045;
  t2603 = t194 * t2602;
  t2604 = t321 * t2603;
  t2607 = t2601 * t999;
  t2608 = t649 * t2607;
  t2609 = t321 * t2608;
  t2616 = 0.2e1 * t1077 * t487 * t376 - 0.2e1 * t496 * t349;
  t2617 = t167 * t2616;
  t2618 = t1095 * t2617;
  t2619 = t1094 * t2618;
  t2628 = t193 * t2601;
  t2629 = t2628 * t1046;
  t2632 = t648 * t2601;
  t2633 = t2632 * t1032;
  t2636 = t143 * t2616;
  t2637 = t1165 * t2636;
  t2641 = t2632 * t999;
  t2644 = t2628 * t1045;
  t2646 = t140 * t2616;
  t2647 = t1165 * t2646;
  t2651 = t2210 - 0.2e1 * t2629 * t357 - t2633 * t1162 / 0.3e1 - t494 * t2637 + 0.2e1 * t2633 * t1169 + 0.2e1 / 0.3e1 * t2641 * t1174 - t2229 + t2644 * t361 + t494 * t2647 / 0.2e1 - t2641 * t1187;
  t2652 = t139 * t2651;
  t2653 = t2652 * t168;
  t2658 = t1030 * t2601;
  t2659 = t2658 * t1034;
  t2663 = t374 * t2601 * t1047;
  t2666 = t348 * t2616;
  t2667 = t1076 * t2666;
  t2668 = t1693 * t2667;
  t2671 = t2658 * t1039;
  t2674 = -t2180 + t2604 * t350 / 0.6e1 - t2609 * t1010 / 0.12e2 + t490 * t2619 / 0.12e2 - t2609 * t1015 / 0.6e1 - t490 * t1642 / 0.6e1 + t2609 * t1020 / 0.3e1 - t110 * t2653 / 0.4e1 + t1647 * t505 / 0.2e1 - t1029 * t2659 / 0.2e1 + t2251 - t373 * t2663 / 0.2e1 - t373 * t2668 / 0.4e1 + t373 * t2671 / 0.2e1;
  t2675 = my_piecewise3(t100, 0, t2674);
  tv2lapl22 = t3 * t2675;

  if(out->v2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapl2[ip*p->dim.v2lapl2 + 2] += tv2lapl22;

  t2676 = t94 * t463;
  t2677 = t837 * t2676;
  t2678 = t843 * t2677;
  t2681 = t1261 * t2677;
  t2686 = t1254 * t2677;
  t2691 = t244 * t2676;
  t2692 = t1261 * t2691;
  t2697 = t63 * t463;
  t2698 = t229 * t2697;
  t2701 = t683 * t2697;
  t2705 = t689 * t2697;
  t2708 = t60 * t463;
  t2709 = t683 * t2708;
  t2712 = t229 * t2708;
  t2716 = t689 * t2708;
  t2718 = t2119 - 0.2e1 * t1872 * t2698 - t1876 * t2701 / 0.3e1 - t519 * t2562 + 0.2e1 * t1876 * t2705 + 0.2e1 / 0.3e1 * t1876 * t2709 - t2138 + t1872 * t2712 + t519 * t2572 / 0.2e1 - t1876 * t2716;
  t2719 = t59 * t2718;
  t2720 = t2719 * t95;
  t2727 = t660 * t463;
  t2728 = t659 * t2727;
  t2729 = t1784 * t2728;
  t2732 = t221 * t463;
  t2733 = t219 * t2732;
  t2734 = t1792 * t2733;
  t2737 = t1797 * t2592;
  t2740 = t665 * t463;
  t2741 = t659 * t2740;
  t2742 = t1784 * t2741;
  t2747 = t476 * t544;
  t2751 = t1805 * t469 * t249;
  t2754 = -t2089 + t1815 * t2678 / 0.6e1 - t1779 * t2681 / 0.12e2 + t515 * t2544 / 0.12e2 - t1779 * t2686 / 0.6e1 - t515 * t1511 / 0.12e2 + t1779 * t2692 / 0.3e1 - t466 * t1765 / 0.12e2 - t30 * t2720 / 0.4e1 + t1770 * t481 / 0.4e1 + t1516 * t530 / 0.4e1 - t679 * t2729 / 0.2e1 + t2160 - t246 * t2734 / 0.2e1 - t246 * t2737 / 0.4e1 + t246 * t2742 / 0.2e1 - t466 * t1807 / 0.12e2 - t30 * t2747 / 0.4e1 + t246 * t2751 / 0.4e1;
  t2755 = my_piecewise3(t2, 0, t2754);
  tv2lapltau0 = t3 * t2755;

  if(out->v2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 0] += tv2lapltau0;

  tv2lapltau1 = 0.e0;

  if(out->v2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 1] += tv2lapltau1;

  tv2lapltau2 = 0.e0;

  if(out->v2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 2] += tv2lapltau2;

  t2756 = t167 * t487;
  t2757 = t1095 * t2756;
  t2758 = t1101 * t2757;
  t2761 = t1430 * t2757;
  t2766 = t1423 * t2757;
  t2771 = t371 * t2756;
  t2772 = t1430 * t2771;
  t2777 = t143 * t487;
  t2778 = t356 * t2777;
  t2781 = t1033 * t2777;
  t2785 = t1038 * t2777;
  t2788 = t140 * t487;
  t2789 = t1033 * t2788;
  t2792 = t356 * t2788;
  t2796 = t1038 * t2788;
  t2798 = t2210 - 0.2e1 * t2056 * t2778 - t2060 * t2781 / 0.3e1 - t559 * t2637 + 0.2e1 * t2060 * t2785 + 0.2e1 / 0.3e1 * t2060 * t2789 - t2229 + t2056 * t2792 + t559 * t2647 / 0.2e1 - t2060 * t2796;
  t2799 = t139 * t2798;
  t2800 = t2799 * t168;
  t2807 = t1008 * t487;
  t2808 = t1007 * t2807;
  t2809 = t2025 * t2808;
  t2812 = t348 * t487;
  t2813 = t346 * t2812;
  t2814 = t2036 * t2813;
  t2817 = t2040 * t2667;
  t2820 = t1013 * t487;
  t2821 = t1007 * t2820;
  t2822 = t2025 * t2821;
  t2827 = t500 * t584;
  t2831 = t1963 * t493 * t376;
  t2834 = -t2180 + t1974 * t2758 / 0.6e1 - t1981 * t2761 / 0.12e2 + t555 * t2619 / 0.12e2 - t1981 * t2766 / 0.6e1 - t555 * t1642 / 0.12e2 + t1981 * t2772 / 0.3e1 - t490 * t1951 / 0.12e2 - t110 * t2800 / 0.4e1 + t1956 * t505 / 0.4e1 + t1647 * t570 / 0.4e1 - t1029 * t2809 / 0.2e1 + t2251 - t373 * t2814 / 0.2e1 - t373 * t2817 / 0.4e1 + t373 * t2822 / 0.2e1 - t490 * t1965 / 0.12e2 - t110 * t2827 / 0.4e1 + t373 * t2831 / 0.4e1;
  t2835 = my_piecewise3(t100, 0, t2834);
  tv2lapltau3 = t3 * t2835;

  if(out->v2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2lapltau[ip*p->dim.v2lapltau + 3] += tv2lapltau3;

  t2836 = t512 * t512;
  t2837 = t2836 * t595;
  t2838 = t194 * t2837;
  t2839 = t191 * t2838;
  t2842 = t2836 * t651;
  t2843 = t649 * t2842;
  t2844 = t191 * t2843;
  t2851 = 0.2e1 * t789 * t512 * t249 - 0.2e1 * t521 * t222;
  t2852 = t94 * t2851;
  t2853 = t837 * t2852;
  t2854 = t836 * t2853;
  t2865 = t193 * t2836;
  t2866 = t2865 * t596;
  t2869 = t648 * t2836;
  t2870 = t2869 * t682;
  t2873 = t63 * t2851;
  t2874 = t788 * t2873;
  t2878 = t2869 * t651;
  t2881 = t2865 * t595;
  t2883 = t60 * t2851;
  t2884 = t788 * t2883;
  t2888 = t2119 - 0.2e1 * t2866 * t230 - t2870 * t785 / 0.3e1 - t519 * t2874 + 0.2e1 * t2870 * t798 + 0.2e1 / 0.3e1 * t2878 * t803 - t2138 + t2881 * t234 + t519 * t2884 / 0.2e1 - t2878 * t816;
  t2889 = t59 * t2888;
  t2890 = t2889 * t95;
  t2895 = t525 * t544;
  t2898 = t680 * t2836;
  t2899 = t2898 * t684;
  t2903 = t1805 * t518 * t249;
  t2907 = t247 * t2836 * t597;
  t2910 = t221 * t2851;
  t2911 = t824 * t2910;
  t2912 = t1797 * t2911;
  t2915 = t2898 * t690;
  t2919 = 0.1e1 / t31 / t200;
  t2932 = 0.2e1 * t2919 * t257 - 0.1e2 * t704 * t2919 - 0.36e2 * t709 * t2919 - 0.4e1 * t714 * t2919 + 0.5e2 * t719 * t2919 + 0.3e2 * t726 * t2919;
  t2933 = t253 * t2932;
  t2934 = t65 * t2933;
  t2937 = -t2089 + t2839 * t223 / 0.6e1 - t2844 * t662 / 0.12e2 + t515 * t2854 / 0.12e2 - t2844 * t667 / 0.6e1 - t515 * t1765 / 0.6e1 + t2844 * t672 / 0.3e1 - t515 * t1807 / 0.6e1 - t30 * t2890 / 0.4e1 + t1770 * t530 / 0.2e1 - t30 * t2895 / 0.2e1 - t679 * t2899 / 0.2e1 + t246 * t2903 / 0.2e1 + t2160 - t246 * t2907 / 0.2e1 - t246 * t2912 / 0.4e1 + t246 * t2915 / 0.2e1 - t30 * t2934 / 0.4e1;
  t2938 = my_piecewise3(t2, 0, t2937);
  tv2tau20 = t3 * t2938;

  if(out->v2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 0] += tv2tau20;

  tv2tau21 = 0.e0;

  if(out->v2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 1] += tv2tau21;

  t2939 = t552 * t552;
  t2940 = t2939 * t1045;
  t2941 = t194 * t2940;
  t2942 = t321 * t2941;
  t2945 = t2939 * t999;
  t2946 = t649 * t2945;
  t2947 = t321 * t2946;
  t2954 = 0.2e1 * t1077 * t552 * t376 - 0.2e1 * t561 * t349;
  t2955 = t167 * t2954;
  t2956 = t1095 * t2955;
  t2957 = t1094 * t2956;
  t2968 = t193 * t2939;
  t2969 = t2968 * t1046;
  t2972 = t648 * t2939;
  t2973 = t2972 * t1032;
  t2976 = t143 * t2954;
  t2977 = t1165 * t2976;
  t2981 = t2972 * t999;
  t2984 = t2968 * t1045;
  t2986 = t140 * t2954;
  t2987 = t1165 * t2986;
  t2991 = t2210 - 0.2e1 * t2969 * t357 - t2973 * t1162 / 0.3e1 - t559 * t2977 + 0.2e1 * t2973 * t1169 + 0.2e1 / 0.3e1 * t2981 * t1174 - t2229 + t2984 * t361 + t559 * t2987 / 0.2e1 - t2981 * t1187;
  t2992 = t139 * t2991;
  t2993 = t2992 * t168;
  t2998 = t565 * t584;
  t3001 = t1030 * t2939;
  t3002 = t3001 * t1034;
  t3006 = t1963 * t558 * t376;
  t3010 = t374 * t2939 * t1047;
  t3013 = t348 * t2954;
  t3014 = t1076 * t3013;
  t3015 = t2040 * t3014;
  t3018 = t3001 * t1039;
  t3022 = 0.1e1 / t111 / t327;
  t3035 = -0.1e2 * t1119 * t3022 - 0.36e2 * t1124 * t3022 - 0.4e1 * t1129 * t3022 + 0.5e2 * t1134 * t3022 + 0.3e2 * t1141 * t3022 + 0.2e1 * t3022 * t384;
  t3036 = t380 * t3035;
  t3037 = t145 * t3036;
  t3040 = -t2180 + t2942 * t350 / 0.6e1 - t2947 * t1010 / 0.12e2 + t555 * t2957 / 0.12e2 - t2947 * t1015 / 0.6e1 - t555 * t1951 / 0.6e1 + t2947 * t1020 / 0.3e1 - t555 * t1965 / 0.6e1 - t110 * t2993 / 0.4e1 + t1956 * t570 / 0.2e1 - t110 * t2998 / 0.2e1 - t1029 * t3002 / 0.2e1 + t373 * t3006 / 0.2e1 + t2251 - t373 * t3010 / 0.2e1 - t373 * t3015 / 0.4e1 + t373 * t3018 / 0.2e1 - t110 * t3037 / 0.4e1;
  t3041 = my_piecewise3(t100, 0, t3040);
  tv2tau22 = t3 * t3041;

  if(out->v2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_FXC))
    out->v2tau2[ip*p->dim.v2tau2 + 2] += tv2tau22;

  t3046 = t633 * t653;
  t3047 = t3046 * t667;
  t3049 = t3046 * t672;
  t3051 = t633 * t678;
  t3052 = t3051 * t685;
  t3054 = t637 * t691;
  t3056 = t666 * t239;
  t3059 = t237 * t676;
  t3060 = t242 * t3059;
  t3061 = t191 * t3060;
  t3066 = t626 * t653;
  t3070 = t626 * t678;
  t3073 = t592 * t206;
  t3074 = t680 * t3073;
  t3076 = 0.1e1 / t650 / t56;
  t3077 = t3076 * t656;
  t3078 = t3077 * t683;
  t3079 = t3074 * t3078;
  t3082 = t3077 * t689;
  t3083 = t3074 * t3082;
  t3086 = t3073 * t3076;
  t3087 = t649 * t3086;
  t3088 = t191 * t3087;
  t3090 = t238 * t670;
  t3091 = t661 * t3090;
  t3093 = 0.3e1 / 0.2e1 * t630 * t691 - t3047 / 0.6e1 + t3049 / 0.3e1 - t3052 / 0.2e1 + t3054 / 0.2e1 - t654 * t3056 / 0.2e1 - 0.3e1 / 0.2e1 * t3061 * t685 + 0.3e1 / 0.2e1 * t608 * t691 - t3066 * t667 / 0.2e1 + t3066 * t672 - 0.3e1 / 0.2e1 * t3070 * t685 + 0.3e1 * t679 * t3079 - 0.3e1 * t246 * t3083 + t3088 * t667 + t654 * t3091;
  t3096 = t222 * t820;
  t3099 = t818 * t243;
  t3100 = t242 * t3099;
  t3101 = t191 * t3100;
  t3110 = t626 * t602;
  t3115 = t94 * t69;
  t3116 = t3115 * t3073;
  t3118 = 0.1e1 / t650 / t207;
  t3120 = 0.1e1 / t655 / t213;
  t3121 = t3118 * t3120;
  t3123 = 0.1e1 / t657 / t217;
  t3124 = t660 * t220;
  t3125 = t3123 * t3124;
  t3126 = t3121 * t3125;
  t3127 = t3116 * t3126;
  t3130 = t3123 * t660;
  t3131 = t3121 * t3130;
  t3132 = t3116 * t3131;
  t3135 = t28 * t69;
  t3136 = t3073 * t3118;
  t3137 = t3135 * t3136;
  t3138 = t191 * t3137;
  t3139 = t3120 * t3123;
  t3140 = t3139 * t3124;
  t3141 = t3140 * t96;
  t3144 = t660 * t221;
  t3145 = t3139 * t3144;
  t3146 = t3145 * t671;
  t3149 = t3139 * t660;
  t3150 = t3149 * t96;
  t3153 = t3140 * t671;
  t3156 = t676 * t94;
  t3157 = t65 * t3156;
  t3158 = t3145 * t3157;
  t3161 = 0.3e1 / 0.4e1 * t630 * t623 - t211 * t3096 / 0.4e1 + 0.3e1 / 0.4e1 * t3101 * t250 - 0.3e1 / 0.2e1 * t630 * t598 - 0.3e1 / 0.2e1 * t608 * t598 - 0.2e1 * t3088 * t672 + t3110 * t223 / 0.2e1 + t603 * t645 / 0.2e1 - 0.3e1 * t679 * t3127 + 0.3e1 / 0.2e1 * t246 * t3132 - 0.11e2 / 0.18e2 * t3138 * t3141 + 0.23e2 / 0.36e2 * t3138 * t3146 - t3138 * t3150 / 0.2e1 + 0.7e1 / 0.3e1 * t3138 * t3153 - 0.3e1 / 0.2e1 * t3138 * t3158;
  t3163 = t215 * t215;
  t3164 = 0.1e1 / t3163;
  t3165 = t64 * t3164;
  t3166 = t242 * t3165;
  t3167 = t191 * t3166;
  t3168 = t3123 * t3144;
  t3169 = t3121 * t3168;
  t3170 = t3116 * t3169;
  t3173 = t637 * t598;
  t3175 = t661 * t239;
  t3178 = t3145 * t96;
  t3186 = 0.1e1 / t32 / t698;
  t3190 = my_piecewise3(t49, t195, -0.22e3 / 0.81e2 * lapl[0] * t617 + 0.88e3 / 0.81e2 * t37 * t617 - 0.308e3 / 0.81e2 * t40 * t3186);
  t3191 = t3190 * t208;
  t3192 = t194 * t3191;
  t3193 = t191 * t3192;
  t3198 = t633 * t641;
  t3199 = t3198 * t223;
  t3201 = t634 * t645;
  t3203 = t3046 * t662;
  t3206 = t247 * t3190 * t249;
  t3209 = t758 * t27;
  t3210 = t3209 * t210;
  t3213 = t626 * t641;
  t3220 = t3209 * t245;
  t3223 = 0.3e1 / 0.2e1 * t3167 * t3170 - t3173 / 0.2e1 - t654 * t3175 / 0.4e1 - 0.5e1 / 0.36e2 * t3138 * t3178 - t3193 * t223 / 0.12e2 - t642 * t645 / 0.4e1 - t3199 / 0.12e2 - t3201 / 0.6e1 - t3203 / 0.12e2 + t246 * t3206 / 0.4e1 - t3210 * t223 / 0.4e1 - t3213 * t223 / 0.4e1 - t627 * t645 / 0.2e1 - t3066 * t662 / 0.4e1 + 0.3e1 / 0.4e1 * t3220 * t250;
  t3226 = t626 * t607;
  t3231 = t768 * t27;
  t3232 = t3231 * t245;
  t3233 = t3232 * t250;
  t3235 = t3231 * t210;
  t3236 = t3235 * t223;
  t3238 = t772 * t27;
  t3239 = t3238 * t210;
  t3240 = t3239 * t223;
  t3242 = t3238 * t245;
  t3243 = t3242 * t250;
  t3245 = t637 * t623;
  t3247 = t633 * t607;
  t3248 = t3247 * t250;
  t3250 = t3073 * t651;
  t3251 = t194 * t3250;
  t3252 = t191 * t3251;
  t3255 = t633 * t602;
  t3256 = t3255 * t223;
  t3259 = t651 * t214;
  t3260 = t3259 * t229;
  t3261 = t247 * t3073 * t3260;
  t3264 = t243 * params->at;
  t3265 = t65 * t3264;
  t3266 = t30 * t3265;
  t3267 = t276 * t193;
  t3268 = t3267 * t209;
  t3269 = t3268 * t826;
  t3272 = t30 * t228;
  t3273 = t788 * t65;
  t3274 = t276 * t794;
  t3275 = t253 * t3274;
  t3276 = t3273 * t3275;
  t3279 = t188 * t738;
  t3283 = t3088 * t662 / 0.2e1 + 0.3e1 / 0.2e1 * t3226 * t250 + 0.3e1 / 0.4e1 * t608 * t623 - t3233 / 0.6e1 + t3236 / 0.18e2 - t3240 / 0.6e1 + t3243 / 0.2e1 + t3245 / 0.4e1 + t3248 / 0.2e1 - t3252 * t223 / 0.2e1 + t3256 / 0.6e1 + 0.3e1 / 0.2e1 * t246 * t3261 - 0.3e1 / 0.4e1 * t3266 * t3269 + t3272 * t3276 / 0.4e1 - t3279 / 0.2e1 - 0.3e1 / 0.4e1 * t182 * t733;
  t3286 = t238 * t732;
  t3289 = tau[0] * t617;
  t3292 = t615 * t41;
  t3294 = 0.1e1 / t31 / t3292;
  t3295 = t697 * t3294;
  t3314 = t80 * t272;
  t3315 = t697 * tau[0];
  t3316 = t615 * t615;
  t3317 = 0.1e1 / t3316;
  t3318 = t3315 * t3317;
  t3321 = t86 * t725;
  t3324 = t88 * t88;
  t3325 = 0.1e1 / t3324;
  t3326 = t87 * t3325;
  t3331 = t75 * t264;
  t3334 = t79 * t90;
  t3341 = 0.22e4 / 0.27e2 * t273 * t3289 + 0.2e4 / 0.9e1 * t704 * t3295 + 0.44e3 / 0.27e2 * t258 * t3289 + 0.8e3 * t709 * t3295 - 0.88e3 / 0.9e1 * t261 * t3289 + 0.8e3 / 0.9e1 * t714 * t3295 - 0.88e3 / 0.9e1 * t265 * t3289 - 0.1e5 / 0.9e1 * t719 * t3295 + 0.22e4 / 0.27e2 * t268 * t3289 - 0.2e4 / 0.3e1 * t726 * t3295 + 0.25e4 / 0.3e1 * t3314 * t3318 + 0.625e4 / 0.3e1 * t3321 * t3318 + 0.875e4 / 0.9e1 * t3326 * t3318 + 0.44e3 / 0.27e2 * t3289 * t77 - 0.425e4 / 0.9e1 * t3331 * t3318 - 0.65e4 / 0.9e1 * t3334 * t3318 - 0.4e3 / 0.9e1 * t3295 * t257 - 0.25e3 / 0.9e1 * t3318 * t83;
  t3342 = t253 * t3341;
  t3343 = t65 * t3342;
  t3346 = t188 * t733;
  t3348 = t819 * t277;
  t3351 = t769 * t278;
  t3353 = t773 * t278;
  t3359 = t680 * t652;
  t3360 = t656 * t3123;
  t3361 = t660 * t794;
  t3362 = t3360 * t3361;
  t3363 = t3359 * t3362;
  t3366 = t1254 * t844;
  t3369 = t621 * t651;
  t3370 = t680 * t3369;
  t3371 = t3370 * t1269;
  t3380 = t1261 * t844;
  t3383 = -0.3e1 / 0.4e1 * t30 * t3286 - t30 * t3343 / 0.4e1 - t3346 / 0.4e1 - 0.3e1 / 0.4e1 * t30 * t3348 + t3351 / 0.6e1 - t3353 / 0.2e1 - 0.3e1 / 0.4e1 * t759 * t278 - 0.3e1 / 0.2e1 * t182 * t738 + 0.3e1 / 0.2e1 * t679 * t3363 - t654 * t3366 / 0.2e1 - 0.3e1 / 0.2e1 * t679 * t3371 + t627 * t840 / 0.4e1 - t603 * t840 / 0.3e1 + t603 * t845 / 0.2e1 - t654 * t3380 / 0.4e1;
  t3384 = params->at * t731;
  t3385 = t837 * t3384;
  t3386 = t843 * t3385;
  t3389 = t237 * t66;
  t3390 = t3389 * t830;
  t3391 = t843 * t3390;
  t3394 = t206 * t651;
  t3395 = t649 * t3394;
  t3396 = t191 * t3395;
  t3397 = t94 * t621;
  t3398 = t244 * t3397;
  t3399 = t1261 * t3398;
  t3405 = t649 * t3369;
  t3406 = t191 * t3405;
  t3409 = t665 * t794;
  t3410 = t3360 * t3409;
  t3411 = t3359 * t3410;
  t3414 = t830 * t783;
  t3415 = t3414 * t684;
  t3428 = t57 * t648;
  t3429 = t3428 * t592;
  t3432 = t789 * t209;
  t3445 = 0.2e1 / 0.3e1 * t801 * t661 + 0.2e1 * t789 * t621 * t249 - 0.4e1 * t789 * t592 * t597 + 0.4e1 / 0.3e1 * t3429 * t684 - 0.2e1 * t3432 * t826 + 0.4e1 * t3429 * t690 - 0.2e1 * t806 * t222 + 0.4e1 * t809 * t222 + 0.2e1 * t232 * t826 - 0.4e1 * t801 * t666;
  t3447 = t824 * t221 * t3445;
  t3448 = t823 * t3447;
  t3451 = t247 * t640;
  t3452 = t3451 * t826;
  t3455 = t634 * t845;
  t3457 = t634 * t840;
  t3459 = t214 * t3123;
  t3460 = t3459 * t835;
  t3461 = t794 * t794;
  t3462 = t94 * t3461;
  t3463 = t837 * t3462;
  t3464 = t3460 * t3463;
  t3468 = t3459 * t221 * t3461;
  t3469 = t823 * t3468;
  t3472 = -t211 * t3386 / 0.4e1 - t211 * t3391 / 0.2e1 + t3396 * t3399 - t627 * t845 / 0.2e1 - t642 * t845 / 0.4e1 - t3406 * t1300 / 0.4e1 - 0.3e1 / 0.2e1 * t246 * t3411 - 0.3e1 / 0.2e1 * t679 * t3415 - t3406 * t1257 / 0.2e1 - t246 * t3448 / 0.4e1 - t246 * t3452 / 0.2e1 - t3455 / 0.6e1 + t3457 / 0.12e2 - t211 * t3464 / 0.6e1 + t246 * t3469 / 0.2e1;
  t3474 = t637 * t832;
  t3476 = t637 * t827;
  t3483 = t830 * t779 * t597;
  t3486 = t247 * t601;
  t3487 = t3486 * t826;
  t3489 = t206 * t595;
  t3490 = t247 * t3489;
  t3492 = t219 * t221 * t621;
  t3493 = t3490 * t3492;
  t3496 = t194 * t3489;
  t3497 = t191 * t3496;
  t3498 = t837 * t3397;
  t3499 = t843 * t3498;
  t3502 = t244 * t830;
  t3503 = t1261 * t3502;
  t3506 = t830 * t776 * t249;
  t3510 = t3384 * t226 * t249;
  t3515 = t3370 * t1274;
  t3520 = t3360 * t1260;
  t3521 = t244 * t838;
  t3522 = t3520 * t3521;
  t3524 = t3474 / 0.2e1 - t3476 / 0.4e1 - 0.3e1 / 0.4e1 * t608 * t827 - 0.3e1 / 0.4e1 * t630 * t827 - 0.3e1 / 0.2e1 * t246 * t3483 + t246 * t3487 - 0.3e1 / 0.2e1 * t246 * t3493 + t3497 * t3499 / 0.2e1 + t654 * t3503 + 0.3e1 / 0.4e1 * t246 * t3506 + 0.3e1 / 0.4e1 * t246 * t3510 + 0.3e1 / 0.2e1 * t608 * t832 + 0.3e1 / 0.2e1 * t246 * t3515 + 0.3e1 / 0.2e1 * t630 * t832 - t654 * t3522;
  t3525 = t3520 * t839;
  t3528 = t94 * t3445;
  t3529 = t837 * t3528;
  t3530 = t836 * t3529;
  t3533 = t3389 * t838;
  t3534 = t836 * t3533;
  t3539 = t188 * t820;
  t3543 = t3130 * t795;
  t3545 = t63 * t3445;
  t3546 = t788 * t3545;
  t3548 = t776 * t596;
  t3553 = t648 * t621;
  t3554 = t3553 * t682;
  t3556 = t3123 * t665;
  t3557 = t3556 * t795;
  t3562 = t3123 * t221;
  t3563 = t63 * t3461;
  t3564 = t3562 * t3563;
  t3567 = t648 * t3073;
  t3568 = t3567 * t3076;
  t3571 = t69 * t3073;
  t3572 = t3571 * t3118;
  t3573 = t3139 * t802;
  t3576 = t193 * t3073;
  t3577 = t3576 * t651;
  t3580 = t3124 * t60;
  t3581 = t3139 * t3580;
  t3584 = t193 * t3190;
  t3585 = t3584 * t208;
  t3590 = t3144 * t60;
  t3591 = t3139 * t3590;
  t3594 = 0.4e1 * t780 * t796 + t784 * t3543 - t228 * t3546 - 0.6e1 * t3548 * t1315 - 0.2e1 * t777 * t796 - t3554 * t1320 - 0.6e1 * t784 * t3557 + 0.6e1 * t3554 * t1324 + 0.2e1 * t228 * t3564 + 0.6e1 * t3568 * t816 - 0.3e1 * t3572 * t3573 - 0.3e1 * t3577 * t234 + 0.1e2 / 0.3e1 * t3572 * t3581 - t3585 * t234 / 0.2e1 - 0.4e1 * t3568 * t803 + t3572 * t3591 / 0.18e2;
  t3595 = t3571 * t3121;
  t3596 = t3130 * t63;
  t3601 = t60 * t3461;
  t3602 = t3562 * t3601;
  t3604 = t3576 * t3259;
  t3607 = t3556 * t811;
  t3610 = t3567 * t3077;
  t3613 = t3125 * t63;
  t3616 = t3130 * t811;
  t3622 = t3584 * t227;
  t3628 = t3168 * t63;
  t3633 = t60 * t3445;
  t3634 = t788 * t3633;
  t3637 = 0.6e1 * t3595 * t3596 - 0.3e1 * t3554 * t1338 - t228 * t3602 + 0.6e1 * t3604 * t230 + 0.3e1 * t784 * t3607 - 0.12e2 * t3610 * t798 - 0.2e1 / 0.3e1 * t3595 * t3613 - 0.2e1 * t784 * t3616 + 0.3e1 * t3548 * t1334 + t777 * t812 + t3622 * t230 + 0.2e1 * t3554 * t1328 + 0.2e1 * t3610 * t785 - t3595 * t3628 / 0.9e1 - 0.2e1 * t780 * t812 + t228 * t3634 / 0.2e1;
  t3638 = t3594 + t3637;
  t3639 = t59 * t3638;
  t3640 = t3639 * t95;
  t3646 = 0.1e1 / t743 / t16;
  t3647 = t745 * t177;
  t3650 = t744 * t177;
  t3653 = t173 * t173;
  t3654 = 0.1e1 / t3653;
  t3655 = t13 * t3654;
  t3658 = my_piecewise5(t7, 0, t11, 0, 0.6e1 * t749 - 0.6e1 * t3655);
  t3662 = my_piecewise3(t17, 0, -0.8e1 / 0.27e2 * t3646 * t3647 + 0.4e1 / 0.3e1 * t3650 * t753 + 0.4e1 / 0.3e1 * t20 * t3658);
  t3663 = t3662 * t23;
  t3664 = t3663 * t29;
  t3669 = t757 * t186;
  t3670 = t3669 * t29;
  t3671 = t3670 * t96;
  t3673 = t773 * t239;
  t3675 = t769 * t239;
  t3677 = t180 * t767;
  t3678 = t3677 * t29;
  t3679 = t3678 * t96;
  t3682 = 0.1e1 / t185 / t173;
  t3683 = t22 * t3682;
  t3684 = t3683 * t29;
  t3686 = 0.5e1 / 0.54e2 * t3684 * t96;
  t3687 = t3414 * t690;
  t3690 = t3360 * t1253;
  t3691 = t3690 * t839;
  t3694 = t654 * t3525 / 0.4e1 + t211 * t3530 / 0.12e2 + t211 * t3534 / 0.4e1 + t642 * t840 / 0.6e1 - t3539 / 0.4e1 - t30 * t3640 / 0.4e1 - 0.3e1 / 0.4e1 * t182 * t820 - t3664 * t96 / 0.4e1 - 0.3e1 / 0.4e1 * t759 * t239 - t3671 / 0.4e1 - t3673 / 0.2e1 + t3675 / 0.6e1 + t3679 / 0.6e1 - t3686 + 0.3e1 / 0.2e1 * t246 * t3687 + t654 * t3691 / 0.2e1;
  t3698 = my_piecewise3(t2, 0, t3093 + t3161 + t3223 + t3283 + t3383 + t3472 + t3524 + t3694);
  t3700 = 0.1e1 / t851 / t104;
  t3701 = t853 * t285;
  t3704 = t852 * t285;
  t3707 = t101 * t3654;
  t3710 = my_piecewise5(t11, 0, t7, 0, -0.6e1 * t749 - 0.6e1 * t3707);
  t3714 = my_piecewise3(t105, 0, -0.8e1 / 0.27e2 * t3700 * t3701 + 0.4e1 / 0.3e1 * t3704 * t859 + 0.4e1 / 0.3e1 * t106 * t3710);
  t3715 = t3714 * t23;
  t3716 = t3715 * t29;
  t3719 = t863 * t186;
  t3720 = t3719 * t29;
  t3721 = t3720 * t169;
  t3723 = t288 * t767;
  t3724 = t3723 * t29;
  t3725 = t3724 * t169;
  t3727 = t108 * t3682;
  t3728 = t3727 * t29;
  t3730 = 0.5e1 / 0.54e2 * t3728 * t169;
  t3732 = my_piecewise3(t100, 0, -t3716 * t169 / 0.4e1 - t3721 / 0.4e1 + t3725 / 0.6e1 - t3730);
  tv3rho30 = 0.3e1 * t850 + 0.3e1 * t877 + t3 * (t3698 + t3732);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 0] += tv3rho30;

  t3735 = 0.2e1 * t914;
  t3736 = 0.2e1 * t956;
  t3737 = t897 * t653;
  t3740 = t897 * t678;
  t3747 = t897 * t602;
  t3750 = t889 * t27;
  t3751 = t3750 * t210;
  t3754 = t3750 * t245;
  t3757 = t893 * t27;
  t3758 = t3757 * t210;
  t3760 = t3758 * t223 / 0.18e2;
  t3761 = t3757 * t245;
  t3763 = t3761 * t250 / 0.6e1;
  t3764 = t897 * t641;
  t3773 = t3737 * t672 / 0.3e1 - t3740 * t685 / 0.2e1 + t903 * t691 / 0.2e1 - t3737 * t667 / 0.6e1 + t3747 * t223 / 0.6e1 - t3751 * t223 / 0.6e1 + t3754 * t250 / 0.2e1 - t3760 + t3763 - t3764 * t223 / 0.12e2 - t898 * t645 / 0.6e1 - t3737 * t662 / 0.12e2 - t3047 / 0.18e2 + t3049 / 0.9e1;
  t3776 = t897 * t607;
  t3793 = -t3052 / 0.6e1 + t3054 / 0.6e1 + t3776 * t250 / 0.2e1 + t903 * t623 / 0.4e1 - t903 * t598 / 0.2e1 - t3173 / 0.6e1 - t3199 / 0.36e2 - t3201 / 0.18e2 - t3203 / 0.36e2 - t3233 / 0.9e1 + t3236 / 0.27e2 - t3240 / 0.18e2 + t3243 / 0.6e1 + t3245 / 0.12e2 + t3248 / 0.6e1;
  t3807 = t894 * t278 / 0.6e1;
  t3817 = t3256 / 0.18e2 - t3279 / 0.6e1 - t3346 / 0.12e2 + t3351 / 0.9e1 - t3353 / 0.6e1 - t307 * t738 / 0.2e1 - t307 * t733 / 0.4e1 - t890 * t278 / 0.2e1 - t3807 - t903 * t827 / 0.4e1 - t898 * t845 / 0.6e1 + t903 * t832 / 0.2e1 + t898 * t840 / 0.12e2 - t3455 / 0.18e2;
  t3823 = t3646 * t302;
  t3826 = t744 * t884;
  t3831 = 0.2e1 * t749;
  t3832 = 0.6e1 * t3655;
  t3834 = my_piecewise5(t7, 0, t11, 0, t3831 - t3832);
  t3838 = my_piecewise3(t17, 0, -0.8e1 / 0.27e2 * t3823 * t745 + 0.8e1 / 0.9e1 * t3826 * t177 + 0.4e1 / 0.9e1 * t880 * t753 + 0.4e1 / 0.3e1 * t20 * t3834);
  t3839 = t3838 * t23;
  t3840 = t3839 * t29;
  t3846 = t894 * t239 / 0.6e1;
  t3847 = t305 * t767;
  t3848 = t3847 * t29;
  t3849 = t3848 * t96;
  t3851 = t888 * t186;
  t3852 = t3851 * t29;
  t3854 = t3852 * t96 / 0.6e1;
  t3860 = t3457 / 0.36e2 + t3474 / 0.6e1 - t3476 / 0.12e2 - t307 * t820 / 0.4e1 - t3840 * t96 / 0.4e1 - t890 * t239 / 0.2e1 - t3846 + t3849 / 0.18e2 - t3854 - t3539 / 0.12e2 - t3671 / 0.12e2 - t3673 / 0.6e1 + t3675 / 0.9e1 + t3679 / 0.9e1 - t3686;
  t3863 = my_piecewise3(t2, 0, t3773 + t3793 + t3817 + t3860);
  t3864 = t3700 * t313;
  t3867 = t852 * t919;
  t3872 = 0.6e1 * t3707;
  t3874 = my_piecewise5(t11, 0, t7, 0, -t3831 - t3872);
  t3878 = my_piecewise3(t105, 0, -0.8e1 / 0.27e2 * t3864 * t853 + 0.8e1 / 0.9e1 * t3867 * t285 + 0.4e1 / 0.9e1 * t915 * t859 + 0.4e1 / 0.3e1 * t106 * t3874);
  t3879 = t3878 * t23;
  t3880 = t3879 * t29;
  t3883 = t923 * t186;
  t3884 = t3883 * t29;
  t3886 = t3884 * t169 / 0.6e1;
  t3887 = t316 * t767;
  t3888 = t3887 * t29;
  t3889 = t3888 * t169;
  t3893 = t864 * t27;
  t3894 = t3893 * t337;
  t3897 = t868 * t27;
  t3898 = t3897 * t337;
  t3900 = t3898 * t350 / 0.18e2;
  t3901 = t872 * t27;
  t3902 = t3901 * t337;
  t3903 = t3902 * t350;
  t3908 = t869 * t366 / 0.6e1;
  t3909 = t873 * t366;
  t3911 = t3893 * t372;
  t3914 = t3897 * t372;
  t3916 = t3914 * t377 / 0.6e1;
  t3917 = t3901 * t372;
  t3918 = t3917 * t377;
  t3923 = t869 * t405 / 0.6e1;
  t3924 = t873 * t405;
  t3926 = -t3880 * t169 / 0.4e1 - t3886 + t3889 / 0.18e2 - t3721 / 0.12e2 + t3725 / 0.9e1 - t3730 - t3894 * t350 / 0.12e2 - t3900 + t3903 / 0.54e2 - t865 * t366 / 0.4e1 - t3908 + t3909 / 0.18e2 + t3911 * t377 / 0.4e1 + t3916 - t3918 / 0.18e2 - t865 * t405 / 0.4e1 - t3923 + t3924 / 0.18e2;
  t3927 = my_piecewise3(t100, 0, t3926);
  tv3rho31 = t850 + t877 + t3735 + t3736 + t3 * (t3863 + t3927);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 1] += tv3rho31;

  t3930 = t3646 * t961;
  t3935 = t744 * t966;
  t3939 = my_piecewise5(t7, 0, t11, 0, -t3831 - t3832);
  t3943 = my_piecewise3(t17, 0, -0.8e1 / 0.27e2 * t3930 * t177 + 0.8e1 / 0.9e1 * t880 * t884 + 0.4e1 / 0.9e1 * t3935 * t177 + 0.4e1 / 0.3e1 * t20 * t3939);
  t3944 = t3943 * t23;
  t3945 = t3944 * t29;
  t3948 = t970 * t186;
  t3949 = t3948 * t29;
  t3950 = t3949 * t96;
  t3952 = t971 * t27;
  t3953 = t3952 * t210;
  t3958 = t3952 * t245;
  t3969 = -t3945 * t96 / 0.4e1 - t3950 / 0.12e2 - t3953 * t223 / 0.12e2 - t972 * t239 / 0.4e1 + t3958 * t250 / 0.4e1 - t972 * t278 / 0.4e1 - t3854 + t3849 / 0.9e1 - t3760 - t3846 + t3763 - t3807 + t3679 / 0.18e2 - t3686 + t3236 / 0.54e2 + t3675 / 0.18e2 - t3233 / 0.18e2 + t3351 / 0.18e2;
  t3970 = my_piecewise3(t2, 0, t3969);
  t3971 = t933 * t1028;
  t3974 = t937 * t1001;
  t3975 = t3974 * t1015;
  t3977 = t3974 * t1020;
  t3979 = t3974 * t1010;
  t3981 = t937 * t990;
  t3982 = t3981 * t350;
  t3984 = t938 * t994;
  t3986 = t928 * t27;
  t3987 = t3986 * t337;
  t3988 = t3987 * t350;
  t3990 = t3986 * t372;
  t3991 = t3990 * t377;
  t3993 = t937 * t1057;
  t3994 = t3993 * t377;
  t3996 = t948 * t1062;
  t3998 = t937 * t1052;
  t3999 = t3998 * t350;
  t4001 = t948 * t1040;
  t4003 = t948 * t1048;
  t4005 = t937 * t1028;
  t4006 = t4005 * t1035;
  t4008 = -t3971 * t1035 / 0.2e1 - t3975 / 0.18e2 + t3977 / 0.9e1 - t3979 / 0.36e2 - t3982 / 0.36e2 - t3984 / 0.18e2 - t3988 / 0.18e2 + t3991 / 0.6e1 + t3994 / 0.6e1 + t3996 / 0.12e2 + t3999 / 0.18e2 + t4001 / 0.6e1 - t4003 / 0.6e1 - t4006 / 0.6e1;
  t4009 = t933 * t1001;
  t4014 = t933 * t990;
  t4021 = t924 * t27;
  t4022 = t4021 * t337;
  t4025 = t4021 * t372;
  t4028 = t933 * t1057;
  t4037 = t933 * t1052;
  t4041 = -t4009 * t1015 / 0.6e1 + t4009 * t1020 / 0.3e1 - t4014 * t350 / 0.12e2 - t934 * t994 / 0.6e1 - t4009 * t1010 / 0.12e2 - t4022 * t350 / 0.6e1 + t4025 * t377 / 0.2e1 + t4028 * t377 / 0.2e1 + t945 * t1062 / 0.4e1 + t945 * t1040 / 0.2e1 - t945 * t1048 / 0.2e1 + t4037 * t350 / 0.6e1 - t3900 + t3903 / 0.27e2 + t3916;
  t4051 = t294 * t1148;
  t4053 = t929 * t405;
  t4055 = t294 * t1106;
  t4065 = t948 * t1090;
  t4067 = -t3918 / 0.9e1 - t3923 + t3924 / 0.9e1 - t290 * t1106 / 0.2e1 - t290 * t1148 / 0.4e1 - t925 * t405 / 0.2e1 - t4051 / 0.12e2 - t4053 / 0.6e1 - t4055 / 0.6e1 - t945 * t1085 / 0.4e1 + t945 * t1090 / 0.2e1 - t934 * t1103 / 0.6e1 + t934 * t1098 / 0.12e2 + t4065 / 0.6e1;
  t4068 = t948 * t1085;
  t4070 = t938 * t1098;
  t4072 = t938 * t1103;
  t4076 = t3700 * t1194;
  t4081 = t852 * t1199;
  t4085 = my_piecewise5(t11, 0, t7, 0, t3831 - t3872);
  t4089 = my_piecewise3(t105, 0, -0.8e1 / 0.27e2 * t4076 * t285 + 0.8e1 / 0.9e1 * t915 * t919 + 0.4e1 / 0.9e1 * t4081 * t285 + 0.4e1 / 0.3e1 * t106 * t4085);
  t4090 = t4089 * t23;
  t4091 = t4090 * t29;
  t4096 = t929 * t366;
  t4098 = t294 * t1191;
  t4100 = t1203 * t186;
  t4101 = t4100 * t29;
  t4102 = t4101 * t169;
  t4107 = -t4068 / 0.12e2 + t4070 / 0.36e2 - t4072 / 0.18e2 - t290 * t1191 / 0.4e1 - t4091 * t169 / 0.4e1 - t925 * t366 / 0.2e1 - t4096 / 0.6e1 - t4098 / 0.12e2 - t4102 / 0.12e2 - t3908 + t3909 / 0.9e1 - t3886 + t3889 / 0.9e1 + t3725 / 0.18e2 - t3730;
  t4110 = my_piecewise3(t100, 0, t4008 + t4041 + t4067 + t4107);
  tv3rho32 = t3735 + t3736 + t977 + t1213 + t3 * (t3970 + t4110);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 2] += tv3rho32;

  t4115 = t961 * t302;
  t4122 = my_piecewise5(t7, 0, t11, 0, -0.6e1 * t749 - 0.6e1 * t3655);
  t4126 = my_piecewise3(t17, 0, -0.8e1 / 0.27e2 * t3646 * t4115 + 0.4e1 / 0.3e1 * t880 * t966 + 0.4e1 / 0.3e1 * t20 * t4122);
  t4127 = t4126 * t23;
  t4128 = t4127 * t29;
  t4134 = my_piecewise3(t2, 0, -t4128 * t96 / 0.4e1 - t3950 / 0.4e1 + t3849 / 0.6e1 - t3686);
  t4135 = t1014 * t366;
  t4138 = t997 * t333;
  t4140 = 0.1e1 / t998 / t334;
  t4141 = t4138 * t4140;
  t4142 = t3135 * t4141;
  t4143 = t321 * t4142;
  t4145 = 0.1e1 / t1003 / t340;
  t4147 = 0.1e1 / t1005 / t344;
  t4148 = t4145 * t4147;
  t4149 = t1008 * t347;
  t4150 = t4148 * t4149;
  t4151 = t4150 * t169;
  t4154 = t1008 * t348;
  t4155 = t4148 * t4154;
  t4156 = t4155 * t1019;
  t4160 = 0.1e1 / t998 / t136;
  t4161 = t4138 * t4160;
  t4162 = t649 * t4161;
  t4163 = t321 * t4162;
  t4166 = t1065 * t1052;
  t4171 = t349 * t1191;
  t4174 = t1189 * t370;
  t4175 = t369 * t4174;
  t4176 = t321 * t4175;
  t4179 = t1204 * t27;
  t4180 = t4179 * t337;
  t4183 = t4179 * t372;
  t4186 = t364 * t1026;
  t4187 = t369 * t4186;
  t4188 = t321 * t4187;
  t4191 = t1026 * t167;
  t4192 = t145 * t4191;
  t4193 = t4155 * t4192;
  t4200 = t4150 * t1019;
  t4203 = -t1002 * t4135 / 0.2e1 - 0.11e2 / 0.18e2 * t4143 * t4151 + 0.23e2 / 0.36e2 * t4143 * t4156 - 0.2e1 * t4163 * t1020 + t4166 * t350 / 0.2e1 + t1053 * t994 / 0.2e1 - t338 * t4171 / 0.4e1 + 0.3e1 / 0.4e1 * t4176 * t377 - t4180 * t350 / 0.4e1 + 0.3e1 / 0.4e1 * t4183 * t377 - 0.3e1 / 0.2e1 * t4188 * t1035 - 0.3e1 / 0.2e1 * t4143 * t4193 + 0.3e1 / 0.2e1 * t1070 * t1040 + 0.3e1 / 0.2e1 * t1058 * t1040 + 0.7e1 / 0.3e1 * t4143 * t4200;
  t4204 = t1065 * t1028;
  t4208 = t999 * t341;
  t4209 = t4208 * t356;
  t4210 = t374 * t4138 * t4209;
  t4213 = t1030 * t4138;
  t4214 = t4160 * t1004;
  t4215 = t4214 * t1038;
  t4216 = t4213 * t4215;
  t4219 = t4214 * t1033;
  t4220 = t4213 * t4219;
  t4223 = t4138 * t999;
  t4224 = t194 * t4223;
  t4225 = t321 * t4224;
  t4228 = t1009 * t366;
  t4231 = t4155 * t169;
  t4239 = 0.1e1 / t112 / t1113;
  t4243 = my_piecewise3(t129, t322, -0.22e3 / 0.81e2 * lapl[1] * t984 + 0.88e3 / 0.81e2 * t117 * t984 - 0.308e3 / 0.81e2 * t120 * t4239);
  t4244 = t4243 * t335;
  t4245 = t194 * t4244;
  t4246 = t321 * t4245;
  t4252 = t374 * t4243 * t376;
  t4255 = t1065 * t990;
  t4258 = t1065 * t1001;
  t4263 = t365 * t1018;
  t4264 = t1009 * t4263;
  t4268 = -0.3e1 / 0.2e1 * t4204 * t1035 + 0.3e1 / 0.2e1 * t373 * t4210 - 0.3e1 * t373 * t4216 + 0.3e1 * t1029 * t4220 - t4225 * t350 / 0.2e1 - t1002 * t4228 / 0.4e1 - 0.5e1 / 0.36e2 * t4143 * t4231 - t4246 * t350 / 0.12e2 - t991 * t994 / 0.4e1 + t373 * t4252 / 0.4e1 - t4255 * t350 / 0.4e1 - t4258 * t1010 / 0.4e1 + 0.3e1 / 0.4e1 * t1058 * t1062 + t1002 * t4264 + 0.3e1 / 0.4e1 * t1070 * t1062;
  t4274 = t1065 * t1057;
  t4291 = t4163 * t1010 / 0.2e1 - t1066 * t994 / 0.2e1 + 0.3e1 / 0.2e1 * t4274 * t377 - 0.3e1 / 0.2e1 * t1070 * t1048 - 0.3e1 / 0.2e1 * t1058 * t1048 - t3975 / 0.6e1 + t3977 / 0.3e1 - t3979 / 0.12e2 - t3982 / 0.12e2 - t3984 / 0.6e1 - t3988 / 0.6e1 + t3991 / 0.2e1 + t3994 / 0.2e1 + t3996 / 0.4e1 + t3999 / 0.6e1;
  t4297 = t333 * t999;
  t4298 = t1030 * t4297;
  t4300 = t1007 * t1013 * t988;
  t4301 = t4298 * t4300;
  t4304 = t1030 * t1000;
  t4305 = t1004 * t4147;
  t4306 = t1008 * t1082;
  t4307 = t4305 * t4306;
  t4308 = t4304 * t4307;
  t4311 = t1088 * t1160;
  t4312 = t4311 * t1034;
  t4315 = t4311 * t1039;
  t4318 = t1008 * t988;
  t4319 = t1007 * t4318;
  t4320 = t4298 * t4319;
  t4323 = t1013 * t1082;
  t4324 = t4305 * t4323;
  t4325 = t4304 * t4324;
  t4328 = t374 * t1051;
  t4329 = t4328 * t1084;
  t4332 = t1088 * t1156 * t1047;
  t4337 = t333 * t1045;
  t4340 = t346 * t348 * t988;
  t4341 = t374 * t4337 * t4340;
  t4344 = t341 * t4147;
  t4345 = t1082 * t1082;
  t4347 = t4344 * t348 * t4345;
  t4348 = t1075 * t4347;
  t4351 = t4001 / 0.2e1 - t4003 / 0.2e1 - t4006 / 0.2e1 + t3903 / 0.18e2 - t3918 / 0.6e1 + 0.3e1 / 0.2e1 * t373 * t4301 + 0.3e1 / 0.2e1 * t1029 * t4308 - 0.3e1 / 0.2e1 * t1029 * t4312 + 0.3e1 / 0.2e1 * t373 * t4315 - 0.3e1 / 0.2e1 * t1029 * t4320 - 0.3e1 / 0.2e1 * t373 * t4325 + t373 * t4329 - 0.3e1 / 0.2e1 * t373 * t4332 - 0.3e1 / 0.4e1 * t1070 * t1085 - 0.3e1 / 0.2e1 * t373 * t4341 + t373 * t4348 / 0.2e1;
  t4354 = t4344 * t1093;
  t4355 = t167 * t4345;
  t4356 = t1095 * t4355;
  t4357 = t4354 * t4356;
  t4360 = t371 * t1088;
  t4361 = t1430 * t4360;
  t4364 = t1088 * t1153 * t376;
  t4371 = params->at * t1146;
  t4373 = t4371 * t353 * t376;
  t4376 = t4305 * t1429;
  t4377 = t371 * t1096;
  t4378 = t4376 * t4377;
  t4388 = t137 * t648;
  t4389 = t4388 * t997;
  t4392 = t1077 * t336;
  t4405 = 0.2e1 / 0.3e1 * t1172 * t1009 + 0.2e1 * t1077 * t988 * t376 - 0.4e1 * t1077 * t997 * t1047 + 0.4e1 / 0.3e1 * t4389 * t1034 - 0.2e1 * t4392 * t1084 + 0.4e1 * t4389 * t1039 - 0.2e1 * t1177 * t349 + 0.4e1 * t1180 * t349 + 0.2e1 * t359 * t1084 - 0.4e1 * t1172 * t1014;
  t4407 = t1076 * t348 * t4405;
  t4408 = t1075 * t4407;
  t4411 = t374 * t989;
  t4412 = t4411 * t1084;
  t4425 = t194 * t4337;
  t4426 = t321 * t4425;
  t4427 = t167 * t988;
  t4428 = t1095 * t4427;
  t4429 = t1101 * t4428;
  t4432 = -t338 * t4357 / 0.6e1 + t1002 * t4361 + 0.3e1 / 0.4e1 * t373 * t4364 + 0.3e1 / 0.2e1 * t1070 * t1090 + 0.3e1 / 0.2e1 * t1058 * t1090 + 0.3e1 / 0.4e1 * t373 * t4373 - t1002 * t4378 - t373 * t4408 / 0.4e1 - t373 * t4412 / 0.2e1 - 0.3e1 / 0.4e1 * t1058 * t1085 + t1066 * t1098 / 0.4e1 + t991 * t1098 / 0.6e1 + t1053 * t1103 / 0.2e1 - t1053 * t1098 / 0.3e1 + t4426 * t4429 / 0.2e1;
  t4433 = t1430 * t1102;
  t4436 = t1095 * t4371;
  t4437 = t1101 * t4436;
  t4440 = t364 * t146;
  t4441 = t4440 * t1088;
  t4442 = t1101 * t4441;
  t4452 = t4376 * t1097;
  t4455 = t167 * t4405;
  t4456 = t1095 * t4455;
  t4457 = t1094 * t4456;
  t4460 = t365 * t1147;
  t4465 = t159 * t1140;
  t4466 = t1112 * tau[1];
  t4467 = t982 * t982;
  t4468 = 0.1e1 / t4467;
  t4469 = t4466 * t4468;
  t4472 = t161 * t161;
  t4473 = 0.1e1 / t4472;
  t4474 = t160 * t4473;
  t4477 = tau[1] * t984;
  t4480 = t148 * t391;
  t4483 = t152 * t163;
  t4486 = t153 * t399;
  t4491 = t982 * t121;
  t4493 = 0.1e1 / t111 / t4491;
  t4494 = t1112 * t4493;
  t4517 = 0.625e4 / 0.3e1 * t4465 * t4469 + 0.875e4 / 0.9e1 * t4474 * t4469 + 0.44e3 / 0.27e2 * t4477 * t150 - 0.425e4 / 0.9e1 * t4480 * t4469 - 0.65e4 / 0.9e1 * t4483 * t4469 + 0.25e4 / 0.3e1 * t4486 * t4469 - 0.88e3 / 0.9e1 * t388 * t4477 + 0.8e3 / 0.9e1 * t1129 * t4494 - 0.88e3 / 0.9e1 * t392 * t4477 - 0.1e5 / 0.9e1 * t1134 * t4494 + 0.22e4 / 0.27e2 * t395 * t4477 - 0.2e4 / 0.3e1 * t1141 * t4494 + 0.22e4 / 0.27e2 * t400 * t4477 + 0.2e4 / 0.9e1 * t1119 * t4494 + 0.44e3 / 0.27e2 * t385 * t4477 + 0.8e3 * t1124 * t4494 - 0.4e3 / 0.9e1 * t4494 * t384 - 0.25e3 / 0.9e1 * t4469 * t156;
  t4518 = t380 * t4517;
  t4519 = t145 * t4518;
  t4522 = t1190 * t404;
  t4528 = -t1002 * t4433 / 0.4e1 - t338 * t4437 / 0.4e1 - t338 * t4442 / 0.2e1 - t991 * t1103 / 0.4e1 - t1066 * t1103 / 0.2e1 + t3924 / 0.6e1 - 0.3e1 / 0.2e1 * t318 * t1106 + t1002 * t4452 / 0.4e1 + t338 * t4457 / 0.12e2 - 0.3e1 / 0.4e1 * t110 * t4460 - 0.3e1 / 0.4e1 * t318 * t1148 - t110 * t4519 / 0.4e1 - 0.3e1 / 0.4e1 * t110 * t4522 - 0.3e1 / 0.4e1 * t1205 * t405 - t4051 / 0.4e1;
  t4532 = t649 * t4297;
  t4533 = t321 * t4532;
  t4534 = t371 * t4427;
  t4535 = t1430 * t4534;
  t4537 = t4440 * t1096;
  t4538 = t1094 * t4537;
  t4541 = t988 * t999;
  t4542 = t649 * t4541;
  t4543 = t321 * t4542;
  t4550 = t1423 * t1102;
  t4553 = t4305 * t1422;
  t4554 = t4553 * t1097;
  t4559 = t143 * t4405;
  t4560 = t1165 * t4559;
  t4562 = t1153 * t1046;
  t4567 = t648 * t988;
  t4568 = t4567 * t1032;
  t4572 = t4147 * t1008;
  t4573 = t4572 * t1166;
  t4575 = t4147 * t348;
  t4576 = t143 * t4345;
  t4577 = t4575 * t4576;
  t4580 = t648 * t4138;
  t4581 = t4580 * t4160;
  t4584 = t69 * t4138;
  t4585 = t4584 * t4140;
  t4586 = t4154 * t140;
  t4587 = t4148 * t4586;
  t4590 = t4148 * t1173;
  t4595 = t193 * t4138;
  t4596 = t4595 * t999;
  t4599 = t4149 * t140;
  t4600 = t4148 * t4599;
  t4603 = t193 * t4243;
  t4604 = t4603 * t335;
  t4607 = t4140 * t4145;
  t4608 = t4584 * t4607;
  t4609 = t4147 * t4154;
  t4610 = t4609 * t143;
  t4613 = t4572 * t1182;
  t4616 = -t355 * t4560 - 0.6e1 * t4562 * t1472 - 0.2e1 * t1154 * t1167 - t4568 * t1477 + 0.4e1 * t1157 * t1167 + t1161 * t4573 + 0.2e1 * t355 * t4577 - 0.4e1 * t4581 * t1174 + t4585 * t4587 / 0.18e2 - 0.3e1 * t4585 * t4590 + 0.6e1 * t4581 * t1187 - 0.3e1 * t4596 * t361 + 0.1e2 / 0.3e1 * t4585 * t4600 - t4604 * t361 / 0.2e1 - t4608 * t4610 / 0.9e1 - 0.2e1 * t1161 * t4613;
  t4617 = t4603 * t354;
  t4619 = t4147 * t4149;
  t4620 = t4619 * t143;
  t4623 = t4572 * t143;
  t4626 = t4147 * t1013;
  t4627 = t4626 * t1182;
  t4630 = t4580 * t4214;
  t4637 = t140 * t4405;
  t4638 = t1165 * t4637;
  t4648 = t140 * t4345;
  t4649 = t4575 * t4648;
  t4651 = t4595 * t4208;
  t4656 = t4626 * t1166;
  t4659 = t4617 * t357 - 0.2e1 / 0.3e1 * t4608 * t4620 + 0.6e1 * t4608 * t4623 + 0.3e1 * t1161 * t4627 - 0.12e2 * t4630 * t1169 - 0.3e1 * t4568 * t1495 - 0.2e1 * t1157 * t1183 + t355 * t4638 / 0.2e1 + 0.3e1 * t4562 * t1491 + t1154 * t1183 + 0.2e1 * t4568 * t1485 + 0.2e1 * t4630 * t1162 - t355 * t4649 + 0.6e1 * t4651 * t357 + 0.6e1 * t4568 * t1481 - 0.6e1 * t1161 * t4656;
  t4660 = t4616 + t4659;
  t4661 = t139 * t4660;
  t4662 = t4661 * t168;
  t4665 = t1194 * t313;
  t4672 = my_piecewise5(t11, 0, t7, 0, 0.6e1 * t749 - 0.6e1 * t3707);
  t4676 = my_piecewise3(t105, 0, -0.8e1 / 0.27e2 * t3700 * t4665 + 0.4e1 / 0.3e1 * t915 * t1199 + 0.4e1 / 0.3e1 * t106 * t4672);
  t4677 = t4676 * t23;
  t4678 = t4677 * t29;
  t4683 = -t4053 / 0.2e1 - t4055 / 0.2e1 + t4533 * t4535 + t338 * t4538 / 0.4e1 - t4543 * t1457 / 0.4e1 + t4065 / 0.2e1 - t4068 / 0.4e1 + t4070 / 0.12e2 - t4072 / 0.6e1 - t1002 * t4550 / 0.2e1 + t1002 * t4554 / 0.2e1 - t4543 * t1426 / 0.2e1 - t110 * t4662 / 0.4e1 - t4678 * t169 / 0.4e1 - 0.3e1 / 0.4e1 * t1205 * t366;
  t4686 = t110 * t355;
  t4687 = t1165 * t145;
  t4688 = t403 * t1082;
  t4689 = t380 * t4688;
  t4690 = t4687 * t4689;
  t4693 = t370 * params->at;
  t4694 = t145 * t4693;
  t4695 = t110 * t4694;
  t4696 = t403 * t193;
  t4697 = t4696 * t336;
  t4698 = t4697 * t1084;
  t4706 = t4148 * t1008;
  t4707 = t4706 * t169;
  t4714 = t342 * t342;
  t4715 = 0.1e1 / t4714;
  t4716 = t144 * t4715;
  t4717 = t369 * t4716;
  t4718 = t321 * t4717;
  t4719 = t167 * t69;
  t4720 = t4719 * t4138;
  t4721 = t4607 * t4609;
  t4722 = t4720 * t4721;
  t4725 = t4607 * t4619;
  t4726 = t4720 * t4725;
  t4729 = t4607 * t4572;
  t4730 = t4720 * t4729;
  t4733 = -0.3e1 / 0.4e1 * t318 * t1191 + t4686 * t4690 / 0.4e1 - 0.3e1 / 0.4e1 * t4695 * t4698 - t4096 / 0.2e1 - t4098 / 0.4e1 - t4102 / 0.4e1 + t3909 / 0.6e1 + t3889 / 0.6e1 - t3730 - t4143 * t4707 / 0.2e1 - t4258 * t1015 / 0.2e1 + t4258 * t1020 + t4163 * t1015 + 0.3e1 / 0.2e1 * t4718 * t4722 - 0.3e1 * t1029 * t4726 + 0.3e1 / 0.2e1 * t373 * t4730;
  t4737 = my_piecewise3(t100, 0, t4203 + t4268 + t4291 + t4351 + t4432 + t4528 + t4683 + t4733);
  tv3rho33 = 0.3e1 * t977 + 0.3e1 * t1213 + t3 * (t4134 + t4737);

  if(out->v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho3[ip*p->dim.v3rho3 + 3] += tv3rho33;

  t4741 = t1341 * t277;
  t4748 = t426 * t66;
  t4749 = t4748 * t830;
  t4750 = t843 * t4749;
  t4753 = t4748 * t838;
  t4754 = t836 * t4753;
  t4761 = t30 * t1313;
  t4762 = t229 * t65;
  t4763 = t276 * t206;
  t4764 = t253 * t4763;
  t4765 = t4762 * t4764;
  t4768 = t3267 * t415;
  t4769 = t4768 * t826;
  t4772 = t30 * t671;
  t4773 = t206 * t794;
  t4774 = t788 * t4773;
  t4775 = t1313 * t4774;
  t4777 = t3267 * t1278;
  t4778 = t4777 * t1281;
  t4780 = t3556 * t4773;
  t4781 = t1319 * t4780;
  t4784 = t276 * t648;
  t4785 = t4784 * t1250;
  t4786 = t4785 * t1274;
  t4789 = t1237 * t651;
  t4790 = t680 * t4789;
  t4791 = t4790 * t1269;
  t4793 = t660 * t621;
  t4794 = t659 * t4793;
  t4795 = t1267 * t4794;
  t4798 = t626 * t1251;
  t4801 = -t30 * t4741 / 0.2e1 - t182 * t1305 / 0.2e1 - t1247 * t845 / 0.6e1 - t211 * t4750 / 0.6e1 + t211 * t4754 / 0.12e2 - t1228 * t827 / 0.4e1 + t1228 * t832 / 0.2e1 + t4761 * t4765 / 0.3e1 - t3266 * t4769 / 0.2e1 + t4772 * t4775 - t3266 * t4778 - 0.3e1 / 0.2e1 * t4772 * t4781 + t3266 * t4786 - t3061 * t1270 - t679 * t4791 - t679 * t4795 / 0.2e1 - t4798 * t1257 / 0.3e1;
  t4804 = t414 * t3118;
  t4805 = t3135 * t4804;
  t4806 = t191 * t4805;
  t4807 = t3144 * t59;
  t4808 = t3139 * t4807;
  t4809 = t94 * t592;
  t4810 = t244 * t4809;
  t4811 = t4808 * t4810;
  t4815 = t649 * t4789;
  t4816 = t191 * t4815;
  t4819 = t606 * t1255;
  t4820 = t1261 * t4819;
  t4825 = t4790 * t1274;
  t4828 = t659 * t665 * t621;
  t4829 = t1267 * t4828;
  t4837 = t1285 * t3447;
  t4840 = t677 * t4809;
  t4841 = t4808 * t4840;
  t4844 = t3115 * t4804;
  t4845 = t3144 * t592;
  t4846 = t3139 * t4845;
  t4847 = t4844 * t4846;
  t4850 = t3124 * t59;
  t4851 = t3139 * t4850;
  t4852 = t4851 * t4810;
  t4855 = t3124 * t592;
  t4856 = t3139 * t4855;
  t4857 = t4844 * t4856;
  t4860 = t1252 * t3399 / 0.3e1 + 0.23e2 / 0.36e2 * t4806 * t4811 - t3070 * t1270 + 0.2e1 / 0.3e1 * t4816 * t1263 + 0.2e1 / 0.3e1 * t1252 * t4820 + 0.2e1 / 0.3e1 * t4798 * t1263 + t246 * t4825 + t246 * t4829 / 0.2e1 + t608 * t1275 - t630 * t1282 + t630 * t1275 + t630 * t1290 / 0.2e1 - t246 * t4837 / 0.4e1 - 0.3e1 / 0.2e1 * t4806 * t4841 + 0.3e1 / 0.2e1 * t3167 * t4847 + 0.7e1 / 0.3e1 * t4806 * t4852 - 0.3e1 * t679 * t4857;
  t4862 = t660 * t592;
  t4863 = t3139 * t4862;
  t4864 = t4844 * t4863;
  t4867 = t3139 * t1260;
  t4868 = t837 * t4809;
  t4869 = t4867 * t4868;
  t4872 = t30 * t1319;
  t4873 = t683 * t65;
  t4874 = t4873 * t4764;
  t4877 = t3130 * t65;
  t4878 = t95 * t4773;
  t4879 = t4877 * t4878;
  t4882 = t30 * t421;
  t4885 = t3273 * t4878;
  t4890 = t4808 * t4868;
  t4893 = t1261 * t3498;
  t4896 = t247 * t1245;
  t4897 = t4896 * t826;
  t4900 = t414 * t3076;
  t4901 = t680 * t4900;
  t4903 = t659 * t665 * t592;
  t4904 = t4901 * t4903;
  t4907 = t633 * t1251;
  t4908 = t4907 * t1263;
  t4910 = t637 * t1282;
  t4914 = t219 * t221 * t592;
  t4915 = t247 * t1250 * t4914;
  t4918 = t659 * t4862;
  t4919 = t4901 * t4918;
  t4922 = t637 * t1275;
  t4924 = t1218 * t840;
  t4926 = 0.3e1 / 0.2e1 * t246 * t4864 - t4806 * t4869 / 0.2e1 - t4872 * t4874 / 0.6e1 + t4872 * t4879 / 0.4e1 + t4882 * t3276 / 0.6e1 - t4761 * t4885 / 0.3e1 - t1242 * t845 / 0.6e1 - 0.5e1 / 0.36e2 * t4806 * t4890 - t1252 * t4893 / 0.12e2 - t246 * t4897 / 0.2e1 - 0.3e1 * t246 * t4904 + 0.2e1 / 0.9e1 * t4908 - t4910 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t4915 + 0.3e1 * t679 * t4919 + t4922 / 0.3e1 + t4924 / 0.18e2;
  t4927 = t637 * t1290;
  t4929 = t637 * t1286;
  t4931 = t1285 * t3468;
  t4934 = t633 * t1293;
  t4935 = t4934 * t1295;
  t4937 = t194 * t1250;
  t4938 = t191 * t4937;
  t4939 = t843 * t4868;
  t4948 = t626 * t1293;
  t4952 = t830 * t1310 * t249;
  t4958 = t3384 * t420 * t249;
  t4961 = t1237 * t595;
  t4962 = t247 * t4961;
  t4963 = t4962 * t1281;
  t4965 = t1218 * t845;
  t4969 = t4907 * t1300;
  t4971 = t427 * t732;
  t4974 = t188 * t1305;
  t4976 = t4927 / 0.6e1 - t4929 / 0.6e1 + t246 * t4931 / 0.2e1 + t4935 / 0.9e1 - t4938 * t4939 / 0.2e1 - t4798 * t1300 / 0.6e1 + t417 * t3534 / 0.6e1 + t1247 * t840 / 0.6e1 + t4948 * t1295 / 0.3e1 + t246 * t4952 / 0.2e1 + t608 * t1290 / 0.2e1 + t246 * t4958 / 0.4e1 - t246 * t4963 - t4965 / 0.18e2 - t417 * t3464 / 0.6e1 - t4969 / 0.18e2 - t30 * t4971 / 0.4e1 - t4974 / 0.6e1;
  t4983 = t30 * t3157;
  t4984 = t648 * t206;
  t4985 = t4984 * t682;
  t4986 = t414 * t794;
  t4987 = t3130 * t4986;
  t4988 = t4985 * t4987;
  t4991 = t676 * params->at;
  t4992 = t65 * t4991;
  t4993 = t30 * t4992;
  t4994 = t4785 * t1269;
  t4996 = t689 * t65;
  t4997 = t4996 * t4764;
  t5000 = t670 * t4773;
  t5001 = t4877 * t5000;
  t5003 = t3264 * t4763;
  t5004 = t4873 * t5003;
  t5008 = t188 * t1342;
  t5010 = t773 * t428;
  t5014 = t596 * t658;
  t5015 = t420 * t5014;
  t5017 = t62 * t206 * t794;
  t5018 = t233 * t5017;
  t5021 = t682 * t3123;
  t5022 = t1318 * t5021;
  t5023 = t802 * t5017;
  t5025 = t815 * t5017;
  t5028 = t69 * t414;
  t5029 = t5028 * t3121;
  t5030 = t63 * t592;
  t5031 = t3125 * t5030;
  t5034 = t3130 * t5030;
  t5037 = t1318 * t3077;
  t5038 = t689 * t5030;
  t5041 = t1327 * t794;
  t5042 = t788 * t5041;
  t5045 = t63 * t621;
  t5046 = t683 * t5045;
  t5049 = t3168 * t5030;
  t5053 = params->gamma * t617;
  t5055 = my_piecewise3(t49, t195, 0.22e2 / 0.27e2 * t5053);
  t5056 = t193 * t5055;
  t5057 = t5056 * t208;
  t5061 = t60 * t592;
  t5062 = t689 * t5061;
  t5065 = t3130 * t5061;
  t5068 = t648 * t1237;
  t5069 = t5068 * t682;
  t5072 = t3130 * t5041;
  t5075 = t689 * t5045;
  t5078 = t1310 * t596;
  t5083 = 0.4e1 * t5015 * t5018 + t5022 * t5023 - 0.6e1 * t5022 * t5025 - 0.2e1 / 0.3e1 * t5029 * t5031 + 0.6e1 * t5029 * t5034 - 0.12e2 * t5037 * t5038 - 0.2e1 * t1313 * t5042 - t1319 * t5046 / 0.3e1 - t5029 * t5049 / 0.9e1 - t421 * t3546 - t5057 * t234 / 0.2e1 - t421 * t3602 + 0.6e1 * t5037 * t5062 - 0.3e1 * t5029 * t5065 - 0.2e1 * t5069 * t1338 - 0.2e1 * t1319 * t5072 + 0.2e1 * t1319 * t5075 - 0.4e1 * t5078 * t1315 - 0.2e1 * t1311 * t796;
  t5086 = t229 * t5045;
  t5089 = t683 * t5030;
  t5094 = t420 * t3259;
  t5095 = t229 * t5030;
  t5098 = t3556 * t5041;
  t5103 = t60 * t621;
  t5104 = t689 * t5103;
  t5106 = t683 * t5103;
  t5112 = t229 * t5103;
  t5116 = t5056 * t227;
  t5120 = t683 * t5061;
  t5123 = t3168 * t5061;
  t5126 = t3125 * t5061;
  t5129 = t229 * t5061;
  t5132 = -0.2e1 / 0.3e1 * t5069 * t1320 - 0.2e1 * t1313 * t5086 + 0.2e1 * t5037 * t5089 + 0.2e1 * t421 * t3564 + 0.6e1 * t5094 * t5095 + 0.3e1 * t1319 * t5098 + 0.4e1 * t5069 * t1324 - t1319 * t5104 + 0.2e1 / 0.3e1 * t1319 * t5106 + 0.2e1 * t5078 * t1334 + t1311 * t812 + t1313 * t5112 + t421 * t3634 / 0.2e1 + t5116 * t230 + 0.4e1 / 0.3e1 * t5069 * t1328 - 0.4e1 * t5037 * t5120 + t5029 * t5123 / 0.18e2 + 0.1e2 / 0.3e1 * t5029 * t5126 - 0.3e1 * t5094 * t5129;
  t5133 = t5083 + t5132;
  t5134 = t59 * t5133;
  t5135 = t5134 * t95;
  t5143 = t769 * t428 / 0.18e2;
  t5144 = t194 * t4961;
  t5145 = t191 * t5144;
  t5148 = t3389 * t1255;
  t5149 = t843 * t5148;
  t5152 = -t417 * t3386 / 0.12e2 - t417 * t3391 / 0.6e1 + 0.3e1 / 0.2e1 * t4983 * t4988 - t4993 * t4994 - t4872 * t4997 / 0.3e1 - t4872 * t5001 + 0.2e1 / 0.3e1 * t4872 * t5004 - t608 * t1282 - t5008 / 0.6e1 - t5010 / 0.6e1 - t182 * t1342 / 0.2e1 - t30 * t5135 / 0.4e1 - t759 * t428 / 0.4e1 + t1294 * t3499 / 0.6e1 + t5143 + t5145 * t1295 / 0.3e1 + t1294 * t5149 / 0.3e1;
  t5155 = t649 * t4900;
  t5156 = t191 * t5155;
  t5157 = t1261 * t4868;
  t5162 = t1279 * t3492;
  t5167 = t4851 * t4868;
  t5170 = t1254 * t3498;
  t5175 = t3556 * t65;
  t5176 = t5175 * t4878;
  t5179 = t1254 * t4868;
  t5181 = t4907 * t1257;
  t5183 = t3051 * t1270;
  t5185 = t1261 * t4810;
  t5190 = t1261 * t5148;
  t5195 = t1254 * t5148;
  t5198 = t1242 * t840 / 0.6e1 + t5156 * t5157 / 0.2e1 - t608 * t1286 / 0.2e1 - t246 * t5162 / 0.2e1 - t630 * t1286 / 0.2e1 - 0.11e2 / 0.18e2 * t4806 * t5167 - t1252 * t5170 / 0.6e1 + t417 * t3530 / 0.12e2 + t4872 * t5176 / 0.2e1 + t5156 * t5179 - t5181 / 0.9e1 - t5183 / 0.3e1 - 0.2e1 * t5156 * t5185 - t4816 * t1300 / 0.6e1 - t1252 * t5190 / 0.6e1 - t4816 * t1257 / 0.3e1 - t1252 * t5195 / 0.3e1;
  t5200 = t5055 * t208;
  t5201 = t194 * t5200;
  t5202 = t191 * t5201;
  t5208 = t247 * t5055 * t249;
  t5211 = t3209 * t416;
  t5214 = t626 * t1246;
  t5229 = t661 * t428;
  t5234 = t633 * t1227;
  t5235 = t5234 * t250;
  t5239 = t634 * t1223;
  t5241 = t3231 * t416;
  t5243 = t5241 * t223 / 0.54e2;
  t5244 = -t5202 * t223 / 0.12e2 + t608 * t1239 / 0.2e1 + t246 * t5208 / 0.4e1 - t5211 * t223 / 0.12e2 - t5214 * t223 / 0.6e1 + t1228 * t623 / 0.4e1 + t3220 * t432 / 0.4e1 + t3226 * t432 / 0.2e1 + t630 * t1239 / 0.2e1 + t3101 * t432 / 0.4e1 - t642 * t1223 / 0.12e2 - t654 * t5229 / 0.12e2 + t603 * t1223 / 0.6e1 + t5235 / 0.6e1 - t1228 * t598 / 0.2e1 - t5239 / 0.18e2 + t5243;
  t5246 = t3232 * t432 / 0.18e2;
  t5247 = t3238 * t416;
  t5248 = t5247 * t223;
  t5250 = t633 * t1246;
  t5251 = t5250 * t223;
  t5253 = t1218 * t645;
  t5261 = t222 * t1342;
  t5264 = t1340 * t243;
  t5265 = t242 * t5264;
  t5266 = t191 * t5265;
  t5269 = t3242 * t432;
  t5271 = t3247 * t432;
  t5273 = t637 * t1239;
  t5277 = t626 * t1227;
  t5280 = t427 * t670;
  t5281 = t661 * t5280;
  t5284 = t426 * t676;
  t5285 = t242 * t5284;
  t5286 = t191 * t5285;
  t5291 = t666 * t428;
  t5294 = -t5246 - t5248 / 0.18e2 - t5251 / 0.18e2 - t5253 / 0.18e2 - t1242 * t645 / 0.6e1 - t1247 * t645 / 0.6e1 - t417 * t3096 / 0.12e2 - t211 * t5261 / 0.6e1 + t5266 * t250 / 0.2e1 + t5269 / 0.6e1 + t5271 / 0.6e1 + t5273 / 0.6e1 - t627 * t1223 / 0.6e1 + t5277 * t250 / 0.2e1 + t654 * t5281 / 0.3e1 - t5286 * t685 / 0.2e1 + t1228 * t691 / 0.2e1 - t654 * t5291 / 0.6e1;
  t5298 = my_piecewise3(t2, 0, t4801 + t4860 + t4926 + t4976 + t5152 + t5198 + t5244 + t5294);
  tv3rho2sigma0 = t3 * t5298 + 0.2e1 * t1349;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 0] += tv3rho2sigma0;

  tv3rho2sigma1 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 1] += tv3rho2sigma1;

  t5301 = t3893 * t441;
  t5304 = t3897 * t441;
  t5305 = t5304 * t350;
  t5307 = t3901 * t441;
  t5309 = t5307 * t350 / 0.54e2;
  t5312 = t869 * t453;
  t5315 = t873 * t453 / 0.18e2;
  t5318 = t3914 * t457;
  t5321 = t3917 * t457 / 0.18e2;
  t5323 = my_piecewise3(t100, 0, -t5301 * t350 / 0.12e2 - t5305 / 0.18e2 + t5309 - t865 * t453 / 0.4e1 - t5312 / 0.6e1 + t5315 + t3911 * t457 / 0.4e1 + t5318 / 0.6e1 - t5321);
  tv3rho2sigma2 = t3 * t5323 + 0.2e1 * t1366;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 2] += tv3rho2sigma2;

  t5327 = t897 * t1251;
  t5334 = t897 * t1293;
  t5346 = t1368 * t840 / 0.12e2 - t5327 * t1300 / 0.12e2 + t903 * t1290 / 0.4e1 - t1368 * t845 / 0.12e2 + t5334 * t1295 / 0.6e1 - t903 * t1282 / 0.2e1 - t903 * t1286 / 0.4e1 + t4908 / 0.9e1 - t4910 / 0.6e1 + t4922 / 0.6e1 + t4924 / 0.36e2 + t4927 / 0.12e2;
  t5352 = t894 * t428;
  t5364 = -t4929 / 0.12e2 + t4935 / 0.18e2 - t4965 / 0.36e2 - t4969 / 0.36e2 - t4974 / 0.12e2 - t5352 / 0.12e2 - t890 * t428 / 0.4e1 - t307 * t1342 / 0.4e1 - t5008 / 0.12e2 - t5010 / 0.12e2 + t5143 - t3740 * t1270 / 0.2e1 + t903 * t1275 / 0.2e1;
  t5376 = t897 * t1246;
  t5379 = t3750 * t416;
  t5384 = t897 * t1227;
  t5389 = t3757 * t416;
  t5390 = t5389 * t223;
  t5392 = -t5327 * t1257 / 0.6e1 + t5327 * t1263 / 0.3e1 - t307 * t1305 / 0.4e1 - t5181 / 0.18e2 - t5183 / 0.6e1 - t1368 * t645 / 0.12e2 - t5376 * t223 / 0.12e2 - t5379 * t223 / 0.12e2 - t898 * t1223 / 0.12e2 + t5384 * t250 / 0.4e1 + t903 * t1239 / 0.4e1 - t5390 / 0.36e2;
  t5397 = t3761 * t432;
  t5407 = t3754 * t432 / 0.4e1 + t3776 * t432 / 0.4e1 + t5397 / 0.12e2 + t5235 / 0.12e2 - t5239 / 0.36e2 + t5243 - t5246 - t5248 / 0.36e2 - t5251 / 0.36e2 - t5253 / 0.36e2 + t5269 / 0.12e2 + t5271 / 0.12e2 + t5273 / 0.12e2;
  t5410 = my_piecewise3(t2, 0, t5346 + t5364 + t5392 + t5407);
  tv3rho2sigma3 = t3 * t5410 + t1349 + t1376;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 3] += tv3rho2sigma3;

  tv3rho2sigma4 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 4] += tv3rho2sigma4;

  t5412 = t937 * t1420;
  t5413 = t5412 * t1426;
  t5415 = t4005 * t1411;
  t5417 = t948 * t1439;
  t5419 = t948 * t1416;
  t5423 = t294 * t1462;
  t5425 = t933 * t1420;
  t5436 = t294 * t1499;
  t5438 = -t5413 / 0.18e2 - t5415 / 0.6e1 - t5417 / 0.6e1 + t5419 / 0.6e1 - t290 * t1462 / 0.4e1 - t5423 / 0.12e2 - t5425 * t1426 / 0.6e1 - t3971 * t1411 / 0.2e1 + t1351 * t1098 / 0.12e2 - t5425 * t1457 / 0.12e2 - t1351 * t1103 / 0.12e2 - t5436 / 0.12e2;
  t5439 = t929 * t453;
  t5449 = t933 * t1382;
  t5454 = t933 * t1401;
  t5461 = t4021 * t441;
  t5465 = -t5439 / 0.12e2 - t290 * t1499 / 0.4e1 - t925 * t453 / 0.4e1 + t945 * t1394 / 0.4e1 - t934 * t1378 / 0.12e2 + t5449 * t377 / 0.4e1 + t4028 * t457 / 0.4e1 - t5454 * t350 / 0.12e2 - t1351 * t994 / 0.12e2 + t4025 * t457 / 0.4e1 - t5461 * t350 / 0.12e2 - t5312 / 0.12e2 + t5315;
  t5467 = t948 * t1447;
  t5469 = t937 * t1450;
  t5470 = t5469 * t1452;
  t5472 = t948 * t1443;
  t5474 = t5412 * t1432;
  t5476 = t1354 * t1098;
  t5478 = t5412 * t1457;
  t5480 = t1354 * t1103;
  t5482 = t938 * t1378;
  t5484 = t937 * t1382;
  t5485 = t5484 * t377;
  t5487 = t3990 * t457;
  t5489 = t3993 * t457;
  t5491 = t948 * t1394;
  t5493 = t5467 / 0.12e2 + t5470 / 0.18e2 - t5472 / 0.12e2 + t5474 / 0.9e1 + t5476 / 0.36e2 - t5478 / 0.36e2 - t5480 / 0.36e2 - t5482 / 0.36e2 + t5485 / 0.12e2 + t5487 / 0.12e2 + t5489 / 0.12e2 + t5491 / 0.12e2;
  t5494 = t937 * t1401;
  t5495 = t5494 * t350;
  t5497 = t1354 * t994;
  t5499 = t3986 * t441;
  t5500 = t5499 * t350;
  t5509 = t933 * t1450;
  t5517 = -t5495 / 0.36e2 - t5497 / 0.36e2 - t5500 / 0.36e2 + t5318 / 0.12e2 - t5321 - t945 * t1443 / 0.4e1 + t945 * t1416 / 0.2e1 + t945 * t1447 / 0.4e1 + t5509 * t1452 / 0.6e1 + t5425 * t1432 / 0.3e1 - t945 * t1439 / 0.2e1 - t5305 / 0.36e2 + t5309;
  t5520 = my_piecewise3(t100, 0, t5438 + t5465 + t5493 + t5517);
  tv3rho2sigma5 = t3 * t5520 + t1366 + t1504;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 5] += tv3rho2sigma5;

  t5523 = t3952 * t416;
  t5534 = my_piecewise3(t2, 0, -t5523 * t223 / 0.12e2 - t5390 / 0.18e2 + t5243 - t972 * t428 / 0.4e1 - t5352 / 0.6e1 + t5143 + t3958 * t432 / 0.4e1 + t5397 / 0.6e1 - t5246);
  tv3rho2sigma6 = t3 * t5534 + 0.2e1 * t1376;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 6] += tv3rho2sigma6;

  tv3rho2sigma7 = 0.e0;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 7] += tv3rho2sigma7;

  t5541 = t374 * t1400;
  t5542 = t5541 * t1084;
  t5553 = t451 * t146;
  t5554 = t5553 * t1096;
  t5555 = t1094 * t5554;
  t5560 = t439 * t4140;
  t5561 = t3135 * t5560;
  t5562 = t321 * t5561;
  t5563 = t4148 * t1429;
  t5564 = t167 * t997;
  t5565 = t1095 * t5564;
  t5566 = t5563 * t5565;
  t5569 = t4719 * t5560;
  t5570 = t4149 * t997;
  t5571 = t4148 * t5570;
  t5572 = t5569 * t5571;
  t5575 = t1008 * t997;
  t5576 = t4148 * t5575;
  t5577 = t5569 * t5576;
  t5580 = t1436 * t4340;
  t5584 = t1392 * t999;
  t5585 = t1030 * t5584;
  t5586 = t5585 * t1410;
  t5588 = t1408 * t4319;
  t5591 = t997 * t4140;
  t5592 = t3135 * t5591;
  t5593 = t321 * t5592;
  t5594 = t4154 * t139;
  t5595 = t4148 * t5594;
  t5596 = t1027 * t2337;
  t5597 = t5595 * t5596;
  t5600 = -t442 * t4437 / 0.12e2 - t1058 * t1443 / 0.2e1 - t373 * t5542 / 0.2e1 - t1070 * t1443 / 0.2e1 - t442 * t4442 / 0.6e1 - t1397 * t1103 / 0.6e1 - t1402 * t1103 / 0.6e1 + t338 * t5555 / 0.12e2 - t1383 * t1085 / 0.4e1 - t5562 * t5566 / 0.2e1 - 0.3e1 * t1029 * t5572 + 0.3e1 / 0.2e1 * t373 * t5577 - t373 * t5580 / 0.2e1 - t4188 * t1411 - t1029 * t5586 - t1029 * t5588 / 0.2e1 - 0.3e1 / 0.2e1 * t5593 * t5597;
  t5601 = t4154 * t997;
  t5602 = t4148 * t5601;
  t5603 = t5569 * t5602;
  t5606 = t5553 * t1088;
  t5607 = t1101 * t5606;
  t5613 = t649 * t5584;
  t5614 = t321 * t5613;
  t5617 = t4440 * t1424;
  t5618 = t1423 * t5617;
  t5621 = t1423 * t4428;
  t5624 = t452 * t1147;
  t5629 = t439 * t4160;
  t5630 = t649 * t5629;
  t5631 = t321 * t5630;
  t5632 = t1423 * t5565;
  t5634 = t1030 * t5629;
  t5635 = t1007 * t5575;
  t5636 = t5634 * t5635;
  t5639 = t110 * t4192;
  t5640 = t648 * t333;
  t5641 = t5640 * t1032;
  t5642 = t439 * t1082;
  t5643 = t4572 * t5642;
  t5644 = t5641 * t5643;
  t5647 = t1026 * params->at;
  t5648 = t145 * t5647;
  t5649 = t110 * t5648;
  t5650 = t403 * t648;
  t5651 = t5650 * t1407;
  t5652 = t5651 * t1410;
  t5654 = t1065 * t1420;
  t5657 = t1392 * t1045;
  t5658 = t374 * t5657;
  t5659 = t5658 * t1438;
  t5663 = 0.3e1 / 0.2e1 * t4718 * t5603 - t338 * t5607 / 0.6e1 + t1383 * t1090 / 0.2e1 - t4204 * t1411 - t5614 * t1426 / 0.3e1 - t1421 * t5618 / 0.3e1 - t1421 * t5621 / 0.6e1 - t110 * t5624 / 0.4e1 - t318 * t1462 / 0.2e1 + t5631 * t5632 + 0.3e1 * t1029 * t5636 + 0.3e1 / 0.2e1 * t5639 * t5644 - t5649 * t5652 + 0.2e1 / 0.3e1 * t5654 * t1432 - t373 * t5659 - t1058 * t1439 - t1070 * t1439;
  t5665 = t110 * t1019;
  t5666 = t1082 * t333;
  t5667 = t4626 * t5666;
  t5668 = t1476 * t5667;
  t5671 = t5651 * t1415;
  t5673 = t110 * t1476;
  t5674 = t4626 * t145;
  t5675 = t168 * t5666;
  t5676 = t5674 * t5675;
  t5679 = t1038 * t145;
  t5680 = t403 * t333;
  t5681 = t380 * t5680;
  t5682 = t5679 * t5681;
  t5685 = t1165 * t5666;
  t5686 = t1470 * t5685;
  t5688 = t4696 * t1435;
  t5689 = t5688 * t1438;
  t5691 = t4572 * t145;
  t5692 = t1018 * t5666;
  t5693 = t5691 * t5692;
  t5695 = t1033 * t145;
  t5696 = t4693 * t5680;
  t5697 = t5695 * t5696;
  t5702 = t346 * t348 * t997;
  t5703 = t374 * t1407 * t5702;
  t5706 = t371 * t5564;
  t5707 = t1430 * t5706;
  t5710 = t1442 * t4347;
  t5713 = t194 * t1407;
  t5714 = t321 * t5713;
  t5715 = t1101 * t5565;
  t5725 = -0.3e1 / 0.2e1 * t5665 * t5668 + t4695 * t5671 + t5673 * t5676 / 0.2e1 - t5673 * t5682 / 0.3e1 + t5665 * t5686 - t4695 * t5689 - t5673 * t5693 + 0.2e1 / 0.3e1 * t5673 * t5697 + 0.3e1 / 0.2e1 * t373 * t5703 - 0.2e1 * t5631 * t5707 + t373 * t5710 / 0.2e1 - t5714 * t5715 / 0.2e1 - t442 * t4357 / 0.6e1 - t5654 * t1426 / 0.3e1 - t5413 / 0.9e1 - t5415 / 0.3e1 - t5417 / 0.3e1;
  t5728 = t1007 * t1013 * t997;
  t5729 = t5634 * t5728;
  t5732 = t4149 * t139;
  t5733 = t4148 * t5732;
  t5734 = t5733 * t2352;
  t5737 = t1408 * t4300;
  t5740 = t5585 * t1415;
  t5744 = t5595 * t5706;
  t5749 = t4371 * t445 * t376;
  t5756 = t5595 * t5565;
  t5759 = t1430 * t4428;
  t5762 = t1430 * t5617;
  t5771 = t5419 / 0.3e1 - 0.3e1 * t373 * t5729 + 0.7e1 / 0.3e1 * t5593 * t5734 + t373 * t5737 / 0.2e1 + t373 * t5740 + t1058 * t1416 + t1070 * t1416 + 0.23e2 / 0.36e2 * t5562 * t5744 - t5423 / 0.6e1 + t373 * t5749 / 0.4e1 + t1058 * t1447 / 0.2e1 + t1070 * t1447 / 0.2e1 - 0.5e1 / 0.36e2 * t5562 * t5756 - t1421 * t5759 / 0.12e2 - t1421 * t5762 / 0.6e1 - t5614 * t1457 / 0.6e1 - t5654 * t1457 / 0.6e1 + t442 * t4457 / 0.12e2;
  t5780 = t1498 * t404;
  t5783 = t194 * t5657;
  t5784 = t321 * t5783;
  t5787 = t1101 * t5617;
  t5790 = t451 * t1026;
  t5791 = t369 * t5790;
  t5792 = t321 * t5791;
  t5797 = t1065 * t1382;
  t5800 = t1014 * t453;
  t5803 = t452 * t1018;
  t5804 = t1009 * t5803;
  t5809 = t349 * t1499;
  t5812 = t1497 * t370;
  t5813 = t369 * t5812;
  t5814 = t321 * t5813;
  t5819 = t1009 * t453;
  t5824 = t442 * t4538 / 0.6e1 + t1402 * t1098 / 0.6e1 + t1421 * t4535 / 0.3e1 - t110 * t5780 / 0.2e1 + t5784 * t1452 / 0.3e1 + t1451 * t5787 / 0.3e1 - t5792 * t1035 / 0.2e1 + t1383 * t1040 / 0.2e1 + t5797 * t377 / 0.2e1 - t1002 * t5800 / 0.6e1 + t1002 * t5804 / 0.3e1 - t991 * t1378 / 0.12e2 - t338 * t5809 / 0.6e1 + t5814 * t377 / 0.2e1 - t1066 * t1378 / 0.6e1 - t1002 * t5819 / 0.12e2 + t1383 * t1062 / 0.4e1;
  t5835 = params->gamma * t984;
  t5837 = my_piecewise3(t129, t322, 0.22e2 / 0.27e2 * t5835);
  t5838 = t5837 * t335;
  t5839 = t194 * t5838;
  t5840 = t321 * t5839;
  t5847 = t1065 * t1401;
  t5851 = t374 * t5837 * t376;
  t5854 = t4179 * t441;
  t5859 = t69 * t439;
  t5860 = t5859 * t4607;
  t5861 = t143 * t997;
  t5862 = t4619 * t5861;
  t5865 = t4572 * t5861;
  t5868 = t1475 * t4214;
  t5869 = t1038 * t5861;
  t5872 = t648 * t1392;
  t5873 = t5872 * t1032;
  t5876 = t1182 * t333;
  t5877 = t4626 * t5876;
  t5881 = t4572 * t5876;
  t5884 = t143 * t988;
  t5885 = t1038 * t5884;
  t5888 = t1032 * t4147;
  t5889 = t1475 * t5888;
  t5890 = t142 * t1082;
  t5891 = t5890 * t333;
  t5892 = t1186 * t5891;
  t5895 = t1046 * t1006;
  t5896 = t445 * t5895;
  t5897 = t360 * t5891;
  t5900 = t1165 * t5876;
  t5903 = t1467 * t1046;
  t5910 = t356 * t5884;
  t5913 = t1033 * t5861;
  t5916 = t1033 * t5884;
  t5919 = t4609 * t5861;
  t5924 = -0.2e1 / 0.3e1 * t5860 * t5862 + 0.6e1 * t5860 * t5865 - 0.12e2 * t5868 * t5869 + 0.4e1 * t5873 * t1481 + 0.3e1 * t1476 * t5877 - t446 * t4560 - 0.2e1 * t1476 * t5881 + 0.2e1 * t1476 * t5885 - 0.6e1 * t5889 * t5892 + 0.4e1 * t5896 * t5897 - 0.2e1 * t1470 * t5900 - 0.4e1 * t5903 * t1472 - 0.2e1 * t1468 * t1167 - 0.2e1 / 0.3e1 * t5873 * t1477 - 0.2e1 * t1470 * t5910 + 0.2e1 * t5868 * t5913 - t1476 * t5916 / 0.3e1 - t5860 * t5919 / 0.9e1 + 0.2e1 * t446 * t4577;
  t5925 = t445 * t4208;
  t5926 = t356 * t5861;
  t5931 = t140 * t988;
  t5932 = t356 * t5931;
  t5934 = t193 * t5837;
  t5935 = t5934 * t354;
  t5939 = t140 * t997;
  t5940 = t1033 * t5939;
  t5943 = t4609 * t5939;
  t5946 = t1038 * t5939;
  t5949 = t4572 * t5939;
  t5953 = t356 * t5939;
  t5958 = t1038 * t5931;
  t5960 = t4619 * t5939;
  t5963 = t1033 * t5931;
  t5969 = t5934 * t335;
  t5972 = t1173 * t5891;
  t5974 = 0.6e1 * t5925 * t5926 - 0.2e1 * t5873 * t1495 + t1470 * t5932 + t5935 * t357 + 0.4e1 / 0.3e1 * t5873 * t1485 - 0.4e1 * t5868 * t5940 + t5860 * t5943 / 0.18e2 + 0.6e1 * t5868 * t5946 - 0.3e1 * t5860 * t5949 - t446 * t4649 - 0.3e1 * t5925 * t5953 + t446 * t4638 / 0.2e1 - t1476 * t5958 + 0.1e2 / 0.3e1 * t5860 * t5960 + 0.2e1 / 0.3e1 * t1476 * t5963 + 0.2e1 * t5903 * t1491 + t1468 * t1183 - t5969 * t361 / 0.2e1 + t5889 * t5972;
  t5975 = t5924 + t5974;
  t5976 = t139 * t5975;
  t5977 = t5976 * t168;
  t5987 = t1058 * t1394 / 0.2e1 + t1070 * t1394 / 0.2e1 + t4176 * t457 / 0.4e1 + t4183 * t457 / 0.4e1 + t4274 * t457 / 0.2e1 - t5840 * t350 / 0.12e2 - t1402 * t994 / 0.6e1 - t1397 * t994 / 0.6e1 - t5847 * t350 / 0.6e1 + t373 * t5851 / 0.4e1 - t5854 * t350 / 0.12e2 - t442 * t4171 / 0.12e2 - t110 * t5977 / 0.4e1 - t1205 * t453 / 0.4e1 - t318 * t1499 / 0.2e1 + t1397 * t1098 / 0.6e1 - t5436 / 0.6e1;
  t5994 = t1065 * t1450;
  t5998 = t1088 * t1467 * t376;
  t6001 = t5695 * t5681;
  t6004 = t110 * t1470;
  t6005 = t356 * t145;
  t6006 = t6005 * t5681;
  t6009 = t5691 * t5675;
  t6012 = t110 * t446;
  t6015 = t4687 * t5675;
  t6018 = t4696 * t440;
  t6019 = t6018 * t1084;
  t6022 = t5733 * t5565;
  t6025 = t1442 * t4407;
  t6028 = t1430 * t5565;
  t6034 = -t5439 / 0.6e1 + t1053 * t1378 / 0.6e1 - t1383 * t1048 / 0.2e1 + t5315 + t5994 * t1452 / 0.3e1 + t373 * t5998 / 0.2e1 - t5673 * t6001 / 0.6e1 + t6004 * t6006 / 0.3e1 + t5673 * t6009 / 0.4e1 + t6012 * t4690 / 0.6e1 - t6004 * t6015 / 0.3e1 - t4695 * t6019 / 0.2e1 - 0.11e2 / 0.18e2 * t5562 * t6022 - t373 * t6025 / 0.4e1 + t5631 * t6028 / 0.2e1 + t1451 * t4429 / 0.6e1 + t5467 / 0.6e1;
  t6051 = t1056 * t1424;
  t6052 = t1430 * t6051;
  t6055 = t5470 / 0.9e1 - t5472 / 0.6e1 + 0.2e1 / 0.9e1 * t5474 + t5476 / 0.18e2 - t5478 / 0.18e2 - t5480 / 0.18e2 - t5482 / 0.18e2 + t5485 / 0.6e1 + t5487 / 0.6e1 + t5489 / 0.6e1 + t5491 / 0.6e1 - t5495 / 0.18e2 - t5497 / 0.18e2 - t5500 / 0.18e2 - t5321 + 0.2e1 / 0.3e1 * t5614 * t1432 + 0.2e1 / 0.3e1 * t1421 * t6052 + t5309;
  t6059 = my_piecewise3(t100, 0, t5600 + t5663 + t5725 + t5771 + t5824 + t5987 + t6034 + t6055);
  tv3rho2sigma8 = t3 * t6059 + 0.2e1 * t1504;

  if(out->v3rho2sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2sigma[ip*p->dim.v3rho2sigma + 8] += tv3rho2sigma8;

  t6062 = t626 * t1540;
  t6065 = t1524 * t651;
  t6066 = t649 * t6065;
  t6067 = t191 * t6066;
  t6074 = t1506 * t845;
  t6076 = t463 * t3118;
  t6077 = t3115 * t6076;
  t6078 = t6077 * t4846;
  t6085 = t463 * t3076;
  t6086 = t649 * t6085;
  t6087 = t191 * t6086;
  t6092 = t1524 * t595;
  t6093 = t247 * t6092;
  t6094 = t6093 * t1281;
  t6096 = t6077 * t4863;
  t6099 = t3135 * t6076;
  t6100 = t191 * t6099;
  t6105 = t6077 * t4856;
  t6108 = t188 * t1577;
  t6110 = 0.2e1 / 0.3e1 * t6062 * t1263 + 0.2e1 / 0.3e1 * t6067 * t1263 + 0.2e1 / 0.3e1 * t1541 * t4820 - t1516 * t827 / 0.4e1 - t6074 / 0.18e2 + 0.3e1 / 0.2e1 * t3167 * t6078 + t1529 * t840 / 0.6e1 + t1534 * t840 / 0.6e1 + t6087 * t5157 / 0.2e1 - t630 * t1556 - t608 * t1556 - t246 * t6094 + 0.3e1 / 0.2e1 * t246 * t6096 - t6100 * t4869 / 0.2e1 + 0.7e1 / 0.3e1 * t6100 * t4852 - 0.3e1 * t679 * t6105 - t6108 / 0.6e1;
  t6113 = t1607 * t277;
  t6116 = t476 * t732;
  t6119 = t475 * t66;
  t6120 = t6119 * t838;
  t6121 = t836 * t6120;
  t6134 = t680 * t6085;
  t6135 = t6134 * t4918;
  t6138 = t637 * t1551;
  t6140 = t633 * t1540;
  t6141 = t6140 * t1263;
  t6153 = -t182 * t1577 / 0.2e1 - t30 * t6113 / 0.2e1 - t30 * t6116 / 0.4e1 + t211 * t6121 / 0.12e2 - t1529 * t845 / 0.6e1 - t1534 * t845 / 0.6e1 - t466 * t3391 / 0.6e1 - t466 * t3386 / 0.12e2 - 0.2e1 * t6087 * t5185 + 0.3e1 * t679 * t6135 + t6138 / 0.3e1 + 0.2e1 / 0.9e1 * t6141 - 0.3e1 / 0.2e1 * t6100 * t4841 - t6067 * t1257 / 0.3e1 - t1541 * t5195 / 0.3e1 - t1541 * t5170 / 0.6e1 - 0.11e2 / 0.18e2 * t6100 * t5167;
  t6163 = t3267 * t464;
  t6164 = t6163 * t826;
  t6167 = t1587 * t4774;
  t6169 = t3267 * t1554;
  t6170 = t6169 * t1281;
  t6172 = t1591 * t4780;
  t6175 = t4784 * t1539;
  t6176 = t6175 * t1274;
  t6178 = t3051 * t1548;
  t6180 = t6140 * t1257;
  t6183 = t1547 * t4794;
  t6189 = t769 * t477 / 0.18e2;
  t6192 = t466 * t3534 / 0.6e1 + t466 * t3530 / 0.12e2 - t6062 * t1300 / 0.6e1 - t6067 * t1300 / 0.6e1 - t3266 * t6164 / 0.2e1 + t4772 * t6167 - t3266 * t6170 - 0.3e1 / 0.2e1 * t4772 * t6172 + t3266 * t6176 - t6178 / 0.3e1 - t6180 / 0.9e1 + t6087 * t5179 - t679 * t6183 / 0.2e1 + t630 * t1551 + t608 * t1551 + t6189 - t466 * t3096 / 0.12e2;
  t6195 = t637 * t1526;
  t6197 = t3238 * t465;
  t6198 = t6197 * t223;
  t6200 = t633 * t1533;
  t6201 = t6200 * t223;
  t6203 = t1506 * t645;
  t6209 = t626 * t1515;
  t6212 = t222 * t1608;
  t6215 = t1606 * t243;
  t6216 = t242 * t6215;
  t6217 = t191 * t6216;
  t6220 = t3242 * t481;
  t6222 = t3247 * t481;
  t6224 = t634 * t1511;
  t6226 = t633 * t1515;
  t6227 = t6226 * t250;
  t6233 = t661 * t477;
  t6238 = -t642 * t1511 / 0.12e2 + t6195 / 0.6e1 - t6198 / 0.18e2 - t6201 / 0.18e2 - t6203 / 0.18e2 - t1529 * t645 / 0.6e1 - t1534 * t645 / 0.6e1 + t6209 * t250 / 0.2e1 - t211 * t6212 / 0.6e1 + t6217 * t250 / 0.2e1 + t6220 / 0.6e1 + t6222 / 0.6e1 - t6224 / 0.18e2 + t6227 / 0.6e1 - t627 * t1511 / 0.6e1 + t1516 * t623 / 0.4e1 - t654 * t6233 / 0.12e2 + t3226 * t481 / 0.2e1;
  t6248 = my_piecewise3(t49, t195, 0.2e2 / 0.27e2 * t202);
  t6249 = t6248 * t208;
  t6250 = t194 * t6249;
  t6251 = t191 * t6250;
  t6257 = t247 * t6248 * t249;
  t6260 = t3209 * t465;
  t6263 = t626 * t1533;
  t6266 = t1555 * t3492;
  t6273 = t247 * t1532;
  t6274 = t6273 * t826;
  t6277 = t1559 * t3447;
  t6282 = t6140 * t1300;
  t6284 = t633 * t1567;
  t6285 = t6284 * t1295;
  t6287 = t188 * t1608;
  t6289 = t630 * t1526 / 0.2e1 + t3101 * t481 / 0.4e1 + t3220 * t481 / 0.4e1 - t6251 * t223 / 0.12e2 + t608 * t1526 / 0.2e1 + t246 * t6257 / 0.4e1 - t6260 * t223 / 0.12e2 - t6263 * t223 / 0.6e1 - t246 * t6266 / 0.2e1 - t630 * t1560 / 0.2e1 - t608 * t1560 / 0.2e1 - t246 * t6274 / 0.2e1 - t246 * t6277 / 0.4e1 - t466 * t3464 / 0.6e1 - t6282 / 0.18e2 + t6285 / 0.9e1 - t6287 / 0.6e1;
  t6292 = t773 * t477;
  t6296 = t193 * t6248;
  t6297 = t6296 * t208;
  t6300 = t1590 * t3077;
  t6303 = t69 * t463;
  t6304 = t6303 * t3121;
  t6309 = t469 * t3259;
  t6329 = t1584 * t596;
  t6334 = t648 * t1524;
  t6335 = t6334 * t682;
  t6340 = 0.3e1 * t1591 * t5098 - t6297 * t234 / 0.2e1 - 0.12e2 * t6300 * t5038 - 0.2e1 / 0.3e1 * t6304 * t5031 + 0.6e1 * t6304 * t5034 + 0.6e1 * t6309 * t5095 + 0.2e1 * t470 * t3564 + 0.2e1 * t1591 * t5075 - 0.2e1 * t1587 * t5042 - 0.2e1 * t1587 * t5086 + 0.2e1 * t6300 * t5089 - t1591 * t5046 / 0.3e1 - t6304 * t5049 / 0.9e1 - t470 * t3546 - 0.2e1 * t1591 * t5072 - 0.4e1 * t6329 * t1315 - 0.2e1 * t1585 * t796 - 0.2e1 / 0.3e1 * t6335 * t1320 + 0.4e1 * t6335 * t1324;
  t6341 = t1590 * t5021;
  t6344 = t469 * t5014;
  t6369 = t6296 * t227;
  t6376 = -0.6e1 * t6341 * t5025 + 0.4e1 * t6344 * t5018 + t6341 * t5023 + 0.6e1 * t6300 * t5062 - 0.3e1 * t6304 * t5065 - 0.2e1 * t6335 * t1338 - 0.3e1 * t6309 * t5129 - t470 * t3602 + t470 * t3634 / 0.2e1 - t1591 * t5104 + t6304 * t5123 / 0.18e2 + 0.1e2 / 0.3e1 * t6304 * t5126 + 0.2e1 / 0.3e1 * t1591 * t5106 + 0.2e1 * t6329 * t1334 + t1585 * t812 + t6369 * t230 + 0.4e1 / 0.3e1 * t6335 * t1328 - 0.4e1 * t6300 * t5120 + t1587 * t5112;
  t6377 = t6340 + t6376;
  t6378 = t59 * t6377;
  t6379 = t6378 * t95;
  t6384 = t637 * t1564;
  t6386 = t247 * t1539;
  t6387 = t6386 * t4914;
  t6390 = t1506 * t840;
  t6392 = t637 * t1556;
  t6394 = t6134 * t4903;
  t6397 = t637 * t1560;
  t6399 = t1559 * t3468;
  t6402 = t666 * t477;
  t6409 = t475 * t676;
  t6410 = t242 * t6409;
  t6411 = t191 * t6410;
  t6416 = t3231 * t465;
  t6418 = t6416 * t223 / 0.54e2;
  t6419 = -t182 * t1608 / 0.2e1 - t6292 / 0.6e1 - t30 * t6379 / 0.4e1 - t759 * t477 / 0.4e1 + t6384 / 0.6e1 + 0.3e1 / 0.2e1 * t246 * t6387 + t6390 / 0.18e2 - t6392 / 0.3e1 - 0.3e1 * t246 * t6394 - t6397 / 0.6e1 + t246 * t6399 / 0.2e1 - t654 * t6402 / 0.6e1 - t1516 * t598 / 0.2e1 + t1516 * t691 / 0.2e1 - t6411 * t685 / 0.2e1 + t603 * t1511 / 0.6e1 + t6418;
  t6422 = t3232 * t481 / 0.18e2;
  t6423 = t476 * t670;
  t6424 = t661 * t6423;
  t6432 = t463 * t794;
  t6433 = t3130 * t6432;
  t6434 = t4985 * t6433;
  t6437 = t6175 * t1269;
  t6439 = t30 * t1591;
  t6451 = t30 * t470;
  t6454 = t30 * t1587;
  t6460 = t830 * t1584 * t249;
  t6463 = -t6422 + t654 * t6424 / 0.3e1 + t1541 * t3399 / 0.3e1 + 0.23e2 / 0.36e2 * t6100 * t4811 - t3070 * t1548 + 0.3e1 / 0.2e1 * t4983 * t6434 - t4993 * t6437 - t6439 * t4997 / 0.3e1 - t6439 * t5001 + 0.2e1 / 0.3e1 * t6439 * t5004 + t6439 * t5176 / 0.2e1 - t6439 * t4874 / 0.6e1 + t6439 * t4879 / 0.4e1 + t6451 * t3276 / 0.6e1 - t6454 * t4885 / 0.3e1 + t6454 * t4765 / 0.3e1 + t246 * t6460 / 0.2e1;
  t6464 = t626 * t1567;
  t6467 = t194 * t6092;
  t6468 = t191 * t6467;
  t6486 = t3384 * t469 * t249;
  t6489 = t680 * t6065;
  t6490 = t6489 * t1274;
  t6492 = t1547 * t4828;
  t6495 = t194 * t1539;
  t6496 = t191 * t6495;
  t6500 = t6489 * t1269;
  t6502 = t6119 * t830;
  t6503 = t843 * t6502;
  t6510 = t6464 * t1295 / 0.3e1 + t6468 * t1295 / 0.3e1 + t1568 * t5149 / 0.3e1 + t1568 * t3499 / 0.6e1 - t1541 * t5190 / 0.6e1 - t1541 * t4893 / 0.12e2 - 0.5e1 / 0.36e2 * t6100 * t4890 + t630 * t1564 / 0.2e1 + t608 * t1564 / 0.2e1 + t246 * t6486 / 0.4e1 + t246 * t6490 + t246 * t6492 / 0.2e1 - t6496 * t4939 / 0.2e1 - t3061 * t1548 - t679 * t6500 - t211 * t6503 / 0.6e1 + t1516 * t832 / 0.2e1 - t6062 * t1257 / 0.3e1;
  t6514 = my_piecewise3(t2, 0, t6110 + t6153 + t6192 + t6238 + t6289 + t6419 + t6463 + t6510);
  tv3rho2lapl0 = t3 * t6514 + 0.2e1 * t1613;

  if(out->v3rho2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 0] += tv3rho2lapl0;

  t6517 = t3893 * t489;
  t6520 = t3897 * t489;
  t6521 = t6520 * t350;
  t6523 = t3901 * t489;
  t6525 = t6523 * t350 / 0.54e2;
  t6528 = t869 * t501;
  t6531 = t873 * t501 / 0.18e2;
  t6534 = t3914 * t505;
  t6537 = t3917 * t505 / 0.18e2;
  t6539 = my_piecewise3(t100, 0, -t6517 * t350 / 0.12e2 - t6521 / 0.18e2 + t6525 - t865 * t501 / 0.4e1 - t6528 / 0.6e1 + t6531 + t3911 * t505 / 0.4e1 + t6534 / 0.6e1 - t6537);
  tv3rho2lapl1 = t3 * t6539 + 0.2e1 * t1630;

  if(out->v3rho2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 1] += tv3rho2lapl1;

  t6542 = t897 * t1540;
  t6561 = t897 * t1567;
  t6566 = -t6074 / 0.36e2 - t6542 * t1300 / 0.12e2 - t1632 * t845 / 0.12e2 - t903 * t1556 / 0.2e1 - t903 * t1560 / 0.4e1 + t903 * t1564 / 0.4e1 - t3740 * t1548 / 0.2e1 + t903 * t1551 / 0.2e1 - t6542 * t1257 / 0.6e1 + t6542 * t1263 / 0.3e1 + t6561 * t1295 / 0.6e1 + t1632 * t840 / 0.12e2;
  t6578 = t894 * t477;
  t6580 = t897 * t1533;
  t6585 = t897 * t1515;
  t6588 = -t6108 / 0.12e2 - t307 * t1577 / 0.4e1 + t6138 / 0.6e1 + t6141 / 0.9e1 - t6178 / 0.6e1 - t6180 / 0.18e2 - t890 * t477 / 0.4e1 - t307 * t1608 / 0.4e1 - t6578 / 0.12e2 + t6189 - t6580 * t223 / 0.12e2 - t1632 * t645 / 0.12e2 + t6585 * t250 / 0.4e1;
  t6594 = t3750 * t465;
  t6597 = t3761 * t481;
  t6599 = t3757 * t465;
  t6600 = t6599 * t223;
  t6611 = t3754 * t481 / 0.4e1 + t3776 * t481 / 0.4e1 - t6594 * t223 / 0.12e2 + t6597 / 0.12e2 - t6600 / 0.36e2 + t903 * t1526 / 0.4e1 - t898 * t1511 / 0.12e2 + t6195 / 0.12e2 - t6198 / 0.36e2 - t6201 / 0.36e2 - t6203 / 0.36e2 + t6220 / 0.12e2;
  t6623 = t6222 / 0.12e2 - t6224 / 0.36e2 + t6227 / 0.12e2 - t6282 / 0.36e2 + t6285 / 0.18e2 - t6287 / 0.12e2 - t6292 / 0.12e2 + t6384 / 0.12e2 + t6390 / 0.36e2 - t6392 / 0.6e1 - t6397 / 0.12e2 + t6418 - t6422;
  t6626 = my_piecewise3(t2, 0, t6566 + t6588 + t6611 + t6623);
  tv3rho2lapl2 = t3 * t6626 + t1613 + t1640;

  if(out->v3rho2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 2] += tv3rho2lapl2;

  t6628 = t1618 * t1098;
  t6630 = t294 * t1670;
  t6634 = t1618 * t1103;
  t6640 = t933 * t1682;
  t6645 = t948 * t1679;
  t6647 = t937 * t1682;
  t6648 = t6647 * t1426;
  t6650 = t4005 * t1675;
  t6654 = t6628 / 0.36e2 - t6630 / 0.12e2 - t290 * t1670 / 0.4e1 - t6634 / 0.36e2 - t945 * t1690 / 0.2e1 + t945 * t1679 / 0.2e1 - t6640 * t1426 / 0.6e1 - t3971 * t1675 / 0.2e1 + t6645 / 0.6e1 - t6648 / 0.18e2 - t6650 / 0.6e1 + t945 * t1698 / 0.4e1;
  t6657 = t933 * t1701;
  t6664 = t6647 * t1457;
  t6666 = t948 * t1698;
  t6668 = t937 * t1701;
  t6669 = t6668 * t1452;
  t6671 = t948 * t1694;
  t6677 = t294 * t1737;
  t6679 = t929 * t501;
  t6682 = t6640 * t1432 / 0.3e1 + t6657 * t1452 / 0.6e1 + t1615 * t1098 / 0.12e2 - t945 * t1694 / 0.4e1 - t6664 / 0.36e2 + t6666 / 0.12e2 + t6669 / 0.18e2 - t6671 / 0.12e2 - t925 * t501 / 0.4e1 - t290 * t1737 / 0.4e1 - t6677 / 0.12e2 - t6679 / 0.12e2 - t6528 / 0.12e2;
  t6688 = t4021 * t489;
  t6691 = t933 * t1664;
  t6700 = t933 * t1646;
  t6703 = t3986 * t489;
  t6704 = t6703 * t350;
  t6706 = t3993 * t505;
  t6708 = t948 * t1657;
  t6710 = t6531 + t4025 * t505 / 0.4e1 - t934 * t1642 / 0.12e2 - t6688 * t350 / 0.12e2 - t6691 * t350 / 0.12e2 - t1615 * t994 / 0.12e2 + t4028 * t505 / 0.4e1 + t945 * t1657 / 0.4e1 + t6700 * t377 / 0.4e1 - t6704 / 0.36e2 + t6706 / 0.12e2 + t6708 / 0.12e2;
  t6711 = t3990 * t505;
  t6713 = t938 * t1642;
  t6715 = t937 * t1646;
  t6716 = t6715 * t377;
  t6718 = t937 * t1664;
  t6719 = t6718 * t350;
  t6721 = t1618 * t994;
  t6725 = t6647 * t1432;
  t6727 = t948 * t1690;
  t6733 = t6711 / 0.12e2 - t6713 / 0.36e2 + t6716 / 0.12e2 - t6719 / 0.36e2 - t6721 / 0.36e2 + t6534 / 0.12e2 - t6537 - t6521 / 0.36e2 + t6525 + t6725 / 0.9e1 - t6727 / 0.6e1 - t6640 * t1457 / 0.12e2 - t1615 * t1103 / 0.12e2;
  t6736 = my_piecewise3(t100, 0, t6654 + t6682 + t6710 + t6733);
  tv3rho2lapl3 = t3 * t6736 + t1630 + t1742;

  if(out->v3rho2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 3] += tv3rho2lapl3;

  t6739 = t3952 * t465;
  t6750 = my_piecewise3(t2, 0, -t6739 * t223 / 0.12e2 - t6600 / 0.18e2 + t6418 - t972 * t477 / 0.4e1 - t6578 / 0.6e1 + t6189 + t3958 * t481 / 0.4e1 + t6597 / 0.6e1 - t6422);
  tv3rho2lapl4 = t3 * t6750 + 0.2e1 * t1640;

  if(out->v3rho2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 4] += tv3rho2lapl4;

  t6755 = t499 * t146;
  t6756 = t6755 * t1096;
  t6757 = t1094 * t6756;
  t6760 = t4696 * t488;
  t6761 = t6760 * t1084;
  t6764 = t110 * t1716;
  t6769 = t110 * t1720;
  t6772 = t110 * t494;
  t6777 = t1674 * t4319;
  t6780 = t1027 * t2756;
  t6781 = t5595 * t6780;
  t6786 = t487 * t4160;
  t6787 = t649 * t6786;
  t6788 = t321 * t6787;
  t6798 = -t1647 * t1085 / 0.4e1 + t338 * t6757 / 0.12e2 - t4695 * t6761 / 0.2e1 - t6764 * t6015 / 0.3e1 + t6764 * t6006 / 0.3e1 + t6769 * t6009 / 0.4e1 + t6772 * t4690 / 0.6e1 - t6769 * t6001 / 0.6e1 - t1029 * t6777 / 0.2e1 - 0.3e1 / 0.2e1 * t5593 * t6781 + t1070 * t1679 + t1058 * t1679 + t6788 * t6028 / 0.2e1 + t1660 * t1098 / 0.6e1 + t1702 * t5787 / 0.3e1 + t1702 * t4429 / 0.6e1 - t4204 * t1675;
  t6800 = t1655 * t999;
  t6801 = t1030 * t6800;
  t6802 = t6801 * t1410;
  t6804 = t1065 * t1682;
  t6807 = t649 * t6800;
  t6808 = t321 * t6807;
  t6811 = t6755 * t1088;
  t6812 = t1101 * t6811;
  t6824 = t1720 * t5667;
  t6827 = t5650 * t1673;
  t6828 = t6827 * t1415;
  t6832 = t487 * t1082;
  t6833 = t4572 * t6832;
  t6834 = t5641 * t6833;
  t6837 = t6827 * t1410;
  t6839 = t1716 * t5685;
  t6841 = t4696 * t1688;
  t6842 = t6841 * t1438;
  t6844 = -t4188 * t1675 - t1029 * t6802 - t6804 * t1426 / 0.3e1 - t6808 * t1426 / 0.3e1 - t338 * t6812 / 0.6e1 + t1647 * t1090 / 0.2e1 - t490 * t4442 / 0.6e1 - t490 * t4437 / 0.12e2 - t6769 * t5693 + 0.2e1 / 0.3e1 * t6769 * t5697 - 0.3e1 / 0.2e1 * t5665 * t6824 + t4695 * t6828 + t6769 * t5676 / 0.2e1 + 0.3e1 / 0.2e1 * t5639 * t6834 - t5649 * t6837 + t5665 * t6839 - t4695 * t6842;
  t6853 = t487 * t4140;
  t6854 = t3135 * t6853;
  t6855 = t321 * t6854;
  t6869 = t1655 * t1045;
  t6870 = t374 * t6869;
  t6871 = t6870 * t1438;
  t6873 = t1689 * t4340;
  t6880 = t500 * t1147;
  t6883 = -t6769 * t5682 / 0.3e1 + t6628 / 0.18e2 - t6630 / 0.6e1 - t6634 / 0.18e2 + t1683 * t4535 / 0.3e1 + 0.23e2 / 0.36e2 * t6855 * t5744 - t1683 * t5621 / 0.6e1 - 0.11e2 / 0.18e2 * t6855 * t6022 + 0.2e1 / 0.3e1 * t6804 * t1432 + 0.2e1 / 0.3e1 * t6808 * t1432 + 0.2e1 / 0.3e1 * t1683 * t6052 - t1058 * t1690 - t373 * t6871 - t373 * t6873 / 0.2e1 - t1070 * t1694 / 0.2e1 - t1683 * t5618 / 0.3e1 - t110 * t6880 / 0.4e1;
  t6884 = t1736 * t404;
  t6893 = t1088 * t1713 * t376;
  t6896 = t1065 * t1701;
  t6899 = t194 * t6869;
  t6900 = t321 * t6899;
  t6904 = t374 * t1673;
  t6905 = t6904 * t5702;
  t6910 = t6801 * t1415;
  t6912 = t1674 * t4300;
  t6915 = t5733 * t2771;
  t6918 = t4719 * t6853;
  t6919 = t6918 * t5602;
  t6922 = t6918 * t5571;
  t6927 = t194 * t1673;
  t6928 = t321 * t6927;
  t6931 = -t110 * t6884 / 0.2e1 - t318 * t1670 / 0.2e1 + t6645 / 0.3e1 - t6648 / 0.9e1 - t6650 / 0.3e1 + t373 * t6893 / 0.2e1 + t6896 * t1452 / 0.3e1 + t6900 * t1452 / 0.3e1 - t1070 * t1690 + 0.3e1 / 0.2e1 * t373 * t6905 - 0.2e1 * t6788 * t5707 + t373 * t6910 + t373 * t6912 / 0.2e1 + 0.7e1 / 0.3e1 * t5593 * t6915 + 0.3e1 / 0.2e1 * t4718 * t6919 - 0.3e1 * t1029 * t6922 - t6855 * t5566 / 0.2e1 - t6928 * t5715 / 0.2e1;
  t6940 = t1693 * t4347;
  t6946 = t1014 * t501;
  t6949 = t500 * t1018;
  t6950 = t1009 * t6949;
  t6953 = t499 * t1026;
  t6954 = t369 * t6953;
  t6955 = t321 * t6954;
  t6958 = t1735 * t370;
  t6959 = t369 * t6958;
  t6960 = t321 * t6959;
  t6965 = t1065 * t1646;
  t6971 = -t490 * t4357 / 0.6e1 - t6664 / 0.18e2 + t6666 / 0.6e1 + t6669 / 0.9e1 - t6671 / 0.6e1 + t373 * t6940 / 0.2e1 - t6677 / 0.6e1 + t1647 * t1040 / 0.2e1 - t1002 * t6946 / 0.6e1 + t1002 * t6950 / 0.3e1 - t6955 * t1035 / 0.2e1 + t6960 * t377 / 0.2e1 - t1066 * t1642 / 0.6e1 + t6965 * t377 / 0.2e1 - t6679 / 0.6e1 + t6531 - t6804 * t1457 / 0.6e1;
  t6974 = t374 * t1663;
  t6975 = t6974 * t1084;
  t6978 = t1693 * t4407;
  t6993 = t1030 * t6786;
  t6994 = t6993 * t5728;
  t6998 = -t1058 * t1694 / 0.2e1 - t373 * t6975 / 0.2e1 - t373 * t6978 / 0.4e1 - t1647 * t1048 / 0.2e1 + t1053 * t1642 / 0.6e1 - t6704 / 0.18e2 + t6706 / 0.6e1 + t6708 / 0.6e1 + t6711 / 0.6e1 - t6713 / 0.18e2 + t6716 / 0.6e1 - t6719 / 0.18e2 - t6721 / 0.18e2 - t6537 + t6525 - 0.3e1 * t373 * t6994 + t6788 * t5632;
  t7000 = t6993 * t5635;
  t7005 = t6918 * t5576;
  t7018 = t349 * t1737;
  t7021 = t1009 * t501;
  t7036 = 0.3e1 * t1029 * t7000 - t318 * t1737 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t7005 + 0.2e1 / 0.9e1 * t6725 - t6727 / 0.3e1 + t1665 * t1098 / 0.6e1 + t490 * t4538 / 0.6e1 + t490 * t4457 / 0.12e2 - t991 * t1642 / 0.12e2 - t338 * t7018 / 0.6e1 - t1002 * t7021 / 0.12e2 + t4274 * t505 / 0.2e1 + t4183 * t505 / 0.4e1 + t1058 * t1657 / 0.2e1 + t1647 * t1062 / 0.4e1 + t4176 * t505 / 0.4e1 + t1070 * t1657 / 0.2e1;
  t7040 = my_piecewise3(t129, t322, 0.2e2 / 0.27e2 * t329);
  t7041 = t7040 * t335;
  t7042 = t194 * t7041;
  t7043 = t321 * t7042;
  t7048 = t1065 * t1664;
  t7054 = t374 * t7040 * t376;
  t7057 = t4179 * t489;
  t7065 = t4371 * t493 * t376;
  t7075 = t1713 * t1046;
  t7080 = t648 * t1655;
  t7081 = t7080 * t1032;
  t7086 = t493 * t4208;
  t7089 = t1719 * t4214;
  t7092 = t69 * t487;
  t7093 = t7092 * t4607;
  t7114 = t193 * t7040;
  t7115 = t7114 * t335;
  t7118 = -t494 * t4560 - 0.2e1 * t1720 * t5881 - 0.4e1 * t7075 * t1472 - 0.2e1 * t1714 * t1167 - 0.2e1 / 0.3e1 * t7081 * t1477 + 0.2e1 * t494 * t4577 + 0.6e1 * t7086 * t5926 - 0.12e2 * t7089 * t5869 - 0.2e1 / 0.3e1 * t7093 * t5862 + 0.6e1 * t7093 * t5865 + 0.4e1 * t7081 * t1481 + 0.3e1 * t1720 * t5877 + 0.2e1 * t1720 * t5885 - 0.2e1 * t1716 * t5900 - 0.2e1 * t1716 * t5910 + 0.2e1 * t7089 * t5913 - t1720 * t5916 / 0.3e1 - t7093 * t5919 / 0.9e1 - t7115 * t361 / 0.2e1;
  t7125 = t7114 * t354;
  t7147 = t493 * t5895;
  t7150 = t1719 * t5888;
  t7154 = 0.1e2 / 0.3e1 * t7093 * t5960 - 0.4e1 * t7089 * t5940 + t7093 * t5943 / 0.18e2 + t7125 * t357 + 0.4e1 / 0.3e1 * t7081 * t1485 + t494 * t4638 / 0.2e1 - t1720 * t5958 + t1716 * t5932 + 0.2e1 / 0.3e1 * t1720 * t5963 + 0.2e1 * t7075 * t1491 + t1714 * t1183 - 0.3e1 * t7093 * t5949 + 0.6e1 * t7089 * t5946 - 0.3e1 * t7086 * t5953 - t494 * t4649 - 0.2e1 * t7081 * t1495 + 0.4e1 * t7147 * t5897 + t7150 * t5972 - 0.6e1 * t7150 * t5892;
  t7155 = t7118 + t7154;
  t7156 = t139 * t7155;
  t7157 = t7156 * t168;
  t7170 = -t1665 * t994 / 0.6e1 - t7043 * t350 / 0.12e2 - t1660 * t994 / 0.6e1 - t7048 * t350 / 0.6e1 - t490 * t4171 / 0.12e2 + t373 * t7054 / 0.4e1 - t7057 * t350 / 0.12e2 + t1070 * t1698 / 0.2e1 + t1058 * t1698 / 0.2e1 + t373 * t7065 / 0.4e1 - t1660 * t1103 / 0.6e1 - t1665 * t1103 / 0.6e1 - t110 * t7157 / 0.4e1 - t1205 * t501 / 0.4e1 - t1683 * t5759 / 0.12e2 - 0.5e1 / 0.36e2 * t6855 * t5756 - t6808 * t1457 / 0.6e1 - t1683 * t5762 / 0.6e1;
  t7174 = my_piecewise3(t100, 0, t6798 + t6844 + t6883 + t6931 + t6971 + t6998 + t7036 + t7170);
  tv3rho2lapl5 = t3 * t7174 + 0.2e1 * t1742;

  if(out->v3rho2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2lapl[ip*p->dim.v3rho2lapl + 5] += tv3rho2lapl5;

  t7177 = t1760 * t845;
  t7179 = t1760 * t840;
  t7183 = t633 * t1814;
  t7184 = t7183 * t1295;
  t7186 = t194 * t1777;
  t7187 = t191 * t7186;
  t7190 = t637 * t1811;
  t7194 = t512 * t3118;
  t7195 = t3135 * t7194;
  t7196 = t191 * t7195;
  t7199 = t3115 * t7194;
  t7200 = t7199 * t4846;
  t7203 = t7199 * t4856;
  t7206 = t7199 * t4863;
  t7213 = t524 * t66;
  t7214 = t7213 * t838;
  t7215 = t836 * t7214;
  t7219 = t1805 * t776 * t249;
  t7228 = t626 * t1778;
  t7231 = t1745 * t651;
  t7232 = t649 * t7231;
  t7233 = t191 * t7232;
  t7236 = -t7177 / 0.18e2 + t7179 / 0.18e2 - t515 * t3464 / 0.6e1 + t7184 / 0.9e1 - t7187 * t4939 / 0.2e1 + t7190 / 0.6e1 - t1779 * t4893 / 0.12e2 - 0.5e1 / 0.36e2 * t7196 * t4890 + 0.3e1 / 0.2e1 * t3167 * t7200 - 0.3e1 * t679 * t7203 + 0.3e1 / 0.2e1 * t246 * t7206 - t7196 * t4869 / 0.2e1 - t1770 * t827 / 0.4e1 + t211 * t7215 / 0.12e2 + t246 * t7219 / 0.4e1 + t1755 * t840 / 0.6e1 + t515 * t3534 / 0.6e1 + t515 * t3530 / 0.12e2 - t7228 * t1300 / 0.6e1 - t7233 * t1300 / 0.6e1;
  t7241 = t512 * t3076;
  t7242 = t649 * t7241;
  t7243 = t191 * t7242;
  t7248 = t30 * t519;
  t7251 = t30 * t1876;
  t7254 = t30 * t1872;
  t7261 = t7213 * t830;
  t7262 = t843 * t7261;
  t7276 = t633 * t1778;
  t7277 = t7276 * t1300;
  t7279 = t188 * t1818;
  t7281 = t773 * t545;
  t7283 = t188 * t1823;
  t7285 = t188 * t1856;
  t7287 = t238 * t1855;
  t7290 = t1770 * t832 / 0.2e1 - t1779 * t5195 / 0.3e1 - t1779 * t5170 / 0.6e1 - t627 * t1807 / 0.6e1 + t630 * t1811 / 0.2e1 - t7277 / 0.18e2 - t7279 / 0.6e1 - t7281 / 0.6e1 - t7283 / 0.6e1 - t7285 / 0.6e1 - t30 * t7287 / 0.2e1;
  t7293 = t615 * t200;
  t7294 = 0.1e1 / t7293;
  t7295 = t7294 * t697;
  t7316 = t700 * tau[0];
  t7329 = t700 * t257;
  t7332 = t7294 * t83;
  t7335 = 0.85e3 / 0.3e1 * t3331 * t7295 - 0.4e2 / 0.9e1 * t258 * t202 + 0.13e4 / 0.3e1 * t3334 * t7295 + 0.8e2 / 0.3e1 * t261 * t202 - 0.5e3 * t3314 * t7295 + 0.8e2 / 0.3e1 * t265 * t202 - 0.125e4 * t3321 * t7295 - 0.2e3 / 0.9e1 * t268 * t202 - 0.175e4 / 0.3e1 * t3326 * t7295 - 0.2e3 / 0.9e1 * t273 * t202 - 0.1e3 * t704 * t7316 - 0.36e3 * t709 * t7316 - 0.4e2 * t714 * t7316 + 0.5e3 * t719 * t7316 + 0.3e3 * t726 * t7316 - 0.4e2 / 0.9e1 * t202 * t77 + 0.2e2 * t7329 * tau[0] + 0.5e2 / 0.3e1 * t7332 * t697;
  t7336 = t253 * t7335;
  t7337 = t65 * t7336;
  t7340 = t525 * t732;
  t7351 = t543 * t193;
  t7352 = t7351 * t209;
  t7353 = t7352 * t826;
  t7356 = t543 * t794;
  t7357 = t253 * t7356;
  t7358 = t3273 * t7357;
  t7361 = t3267 * t513;
  t7362 = t7361 * t826;
  t7373 = t3389 * t1805;
  t7374 = t843 * t7373;
  t7379 = t1784 * t4828;
  t7384 = t680 * t7231;
  t7385 = t7384 * t1269;
  t7387 = t1784 * t4794;
  t7392 = t1779 * t3399 / 0.3e1 + 0.23e2 / 0.36e2 * t7196 * t4811 - t3070 * t1785 - t211 * t7374 / 0.6e1 + t608 * t1811 / 0.2e1 + t246 * t7379 / 0.2e1 - t630 * t1793 - t3061 * t1785 - t679 * t7385 - t679 * t7387 / 0.2e1 + 0.2e1 / 0.3e1 * t7228 * t1263;
  t7398 = t7384 * t1274;
  t7400 = params->at * t1854;
  t7401 = t837 * t7400;
  t7402 = t843 * t7401;
  t7406 = t7400 * t226 * t249;
  t7413 = t1797 * t3468;
  t7416 = t637 * t1793;
  t7419 = t247 * t1777;
  t7420 = t7419 * t4914;
  t7423 = t680 * t7241;
  t7424 = t7423 * t4903;
  t7427 = t7423 * t4918;
  t7430 = t637 * t1788;
  t7433 = t7276 * t1263;
  t7437 = t3051 * t1785;
  t7439 = t7276 * t1257;
  t7445 = 0.3e1 / 0.2e1 * t246 * t7420 - 0.3e1 * t246 * t7424 + 0.3e1 * t679 * t7427 + t7430 / 0.3e1 + t7243 * t5179 + 0.2e1 / 0.9e1 * t7433 - 0.2e1 * t7243 * t5185 - t7437 / 0.3e1 - t7439 / 0.9e1 - t630 * t1798 / 0.2e1 - t608 * t1798 / 0.2e1;
  t7449 = t3267 * t1791;
  t7450 = t7449 * t1281;
  t7452 = t1872 * t4774;
  t7454 = t1876 * t4780;
  t7457 = t4784 * t1777;
  t7458 = t7457 * t1274;
  t7460 = t512 * t794;
  t7461 = t3130 * t7460;
  t7462 = t4985 * t7461;
  t7465 = t7457 * t1269;
  t7468 = t1805 * t779 * t597;
  t7471 = t634 * t1807;
  t7475 = t637 * t1802;
  t7478 = t637 * t1798;
  t7480 = t1805 * t783;
  t7481 = t7480 * t684;
  t7484 = t7480 * t690;
  t7487 = t1254 * t1806;
  t7490 = t244 * t1805;
  t7491 = t1261 * t7490;
  t7503 = t3384 * t518 * t249;
  t7507 = -t7478 / 0.6e1 - t679 * t7481 / 0.2e1 + t246 * t7484 / 0.2e1 - t654 * t7487 / 0.6e1 + t654 * t7491 / 0.3e1 + 0.7e1 / 0.3e1 * t7196 * t4852 - 0.3e1 / 0.2e1 * t7196 * t4841 + t630 * t1802 / 0.2e1 + t608 * t1802 / 0.2e1 + t246 * t7503 / 0.4e1 - t608 * t1793;
  t7509 = t1745 * t595;
  t7510 = t247 * t7509;
  t7511 = t7510 * t1281;
  t7513 = t1792 * t3492;
  t7516 = t1261 * t1806;
  t7520 = t830 * t1869 * t249;
  t7525 = t247 * t1753;
  t7526 = t7525 * t826;
  t7529 = t1797 * t3447;
  t7532 = t661 * t526;
  t7546 = t626 * t1754;
  t7549 = t3209 * t514;
  t7555 = my_piecewise3(t49, t195, -0.8e2 / 0.27e2 * t1235);
  t7557 = t247 * t7555 * t249;
  t7561 = t3232 * t530 / 0.18e2;
  t7562 = t7555 * t208;
  t7563 = t194 * t7562;
  t7564 = t191 * t7563;
  t7567 = t3231 * t514;
  t7569 = t7567 * t223 / 0.54e2;
  t7572 = t3101 * t530 / 0.4e1 + t3226 * t530 / 0.2e1 + t3220 * t530 / 0.4e1 - t7546 * t223 / 0.6e1 - t7549 * t223 / 0.12e2 + t608 * t1747 / 0.2e1 + t246 * t7557 / 0.4e1 - t7561 - t7564 * t223 / 0.12e2 + t7569 - t1770 * t598 / 0.2e1;
  t7578 = t769 * t526 / 0.18e2;
  t7581 = t525 * t670;
  t7582 = t661 * t7581;
  t7585 = t524 * t676;
  t7586 = t242 * t7585;
  t7587 = t191 * t7586;
  t7592 = t626 * t1769;
  t7595 = t666 * t526;
  t7598 = t1891 * t243;
  t7599 = t242 * t7598;
  t7600 = t191 * t7599;
  t7606 = t222 * t1893;
  t7609 = t637 * t1747;
  t7611 = t633 * t1769;
  t7612 = t7611 * t250;
  t7614 = t3242 * t530;
  t7616 = t3247 * t530;
  t7618 = t634 * t1765;
  t7622 = t1760 * t645;
  t7628 = t3238 * t514;
  t7629 = t7628 * t223;
  t7631 = -t211 * t7606 / 0.6e1 + t7609 / 0.6e1 + t7612 / 0.6e1 + t7614 / 0.6e1 + t7616 / 0.6e1 - t7618 / 0.18e2 - t515 * t3096 / 0.12e2 - t7622 / 0.18e2 - t1750 * t645 / 0.6e1 - t1755 * t645 / 0.6e1 - t7629 / 0.18e2;
  t7633 = t633 * t1754;
  t7634 = t7633 * t223;
  t7639 = t769 * t545 / 0.18e2;
  t7647 = t188 * t1893;
  t7649 = t773 * t526;
  t7651 = t1875 * t5021;
  t7655 = t518 * t5014;
  t7658 = t193 * t7555;
  t7659 = t7658 * t208;
  t7664 = t648 * t1745;
  t7665 = t7664 * t682;
  t7670 = t1869 * t596;
  t7680 = t1875 * t3077;
  t7685 = t69 * t512;
  t7686 = t7685 * t3121;
  t7690 = t518 * t3259;
  t7697 = -0.6e1 * t7651 * t5025 + t7651 * t5023 + 0.4e1 * t7655 * t5018 - t7659 * t234 / 0.2e1 - 0.2e1 * t1870 * t796 - 0.2e1 / 0.3e1 * t7665 * t1320 + 0.4e1 * t7665 * t1324 - 0.4e1 * t7670 * t1315 + 0.3e1 * t1876 * t5098 - t519 * t3546 - 0.2e1 * t1876 * t5072 - 0.2e1 * t1872 * t5086 + 0.2e1 * t7680 * t5089 - t1876 * t5046 / 0.3e1 - t7686 * t5049 / 0.9e1 - t519 * t3602 - 0.3e1 * t7690 * t5129 + 0.6e1 * t7680 * t5062 - 0.3e1 * t7686 * t5065;
  t7715 = t7658 * t227;
  t7733 = -t1876 * t5104 + 0.2e1 * t7670 * t1334 + t1870 * t812 + t1872 * t5112 + t519 * t3634 / 0.2e1 + 0.4e1 / 0.3e1 * t7665 * t1328 - 0.4e1 * t7680 * t5120 + t7686 * t5123 / 0.18e2 + 0.1e2 / 0.3e1 * t7686 * t5126 + 0.2e1 / 0.3e1 * t1876 * t5106 + t7715 * t230 - 0.2e1 * t7665 * t1338 + 0.6e1 * t7686 * t5034 - 0.12e2 * t7680 * t5038 - 0.2e1 / 0.3e1 * t7686 * t5031 + 0.2e1 * t519 * t3564 + 0.6e1 * t7690 * t5095 + 0.2e1 * t1876 * t5075 - 0.2e1 * t1872 * t5042;
  t7734 = t7697 + t7733;
  t7735 = t59 * t7734;
  t7736 = t7735 * t95;
  t7742 = t626 * t1814;
  t7745 = t194 * t7509;
  t7746 = t191 * t7745;
  t7755 = t1892 * t277;
  t7758 = t819 * t544;
  t7767 = -t759 * t526 / 0.4e1 + t7742 * t1295 / 0.3e1 + t7746 * t1295 / 0.3e1 + t1815 * t5149 / 0.3e1 + t1815 * t3499 / 0.6e1 - t182 * t1818 / 0.2e1 - t30 * t7755 / 0.2e1 - t30 * t7758 / 0.4e1 - t1750 * t845 / 0.6e1 - t1755 * t845 / 0.6e1 - t515 * t3391 / 0.6e1;
  t7772 = my_piecewise3(t2, 0, t630 * t1788 + t608 * t1788 + t246 * t7398 - t3266 * t7450 - t30 * t7337 / 0.4e1 - t30 * t7340 / 0.4e1 - t759 * t545 / 0.4e1 - t182 * t1823 / 0.2e1 - t182 * t1856 / 0.2e1 - t7254 * t4885 / 0.3e1 - t3266 * t7353 / 0.4e1 + t3272 * t7358 / 0.12e2 - t3266 * t7362 / 0.2e1 + 0.2e1 / 0.3e1 * t1779 * t4820 - t211 * t7402 / 0.6e1 + t246 * t7406 / 0.2e1 - t7228 * t1257 / 0.3e1 - t7233 * t1257 / 0.3e1 + t246 * t7413 / 0.2e1 - t246 * t7511 - t246 * t7513 / 0.2e1 - t654 * t7516 / 0.12e2 + t246 * t7520 / 0.2e1 + t7254 * t4765 / 0.3e1 + t7251 * t4879 / 0.4e1 - 0.11e2 / 0.18e2 * t7196 * t5167 - t211 * t7262 / 0.6e1 + 0.2e1 / 0.3e1 * t7233 * t1263 + t4772 * t7452 - 0.3e1 / 0.2e1 * t4772 * t7454 + t3266 * t7458 + 0.3e1 / 0.2e1 * t4983 * t7462 - t4993 * t7465 - t246 * t7468 / 0.2e1 - t7251 * t4997 / 0.3e1 - t7251 * t5001 + 0.2e1 / 0.3e1 * t7251 * t5004 + t7251 * t5176 / 0.2e1 + t603 * t1765 / 0.6e1 - t182 * t1893 / 0.2e1 - t30 * t7736 / 0.4e1 - t642 * t1765 / 0.12e2 - t642 * t1807 / 0.12e2 - t246 * t7526 / 0.2e1 - t246 * t7529 / 0.4e1 - t654 * t7532 / 0.12e2 + t1770 * t623 / 0.4e1 + t630 * t1747 / 0.2e1 + t603 * t1807 / 0.6e1 - t1779 * t5190 / 0.6e1 - t515 * t3386 / 0.12e2 + t7243 * t5157 / 0.2e1 + t1750 * t840 / 0.6e1 + t7248 * t3276 / 0.6e1 - t7251 * t4874 / 0.6e1 + t654 * t7582 / 0.3e1 - t7587 * t685 / 0.2e1 + t1770 * t691 / 0.2e1 + t7592 * t250 / 0.2e1 - t654 * t7595 / 0.6e1 + t7600 * t250 / 0.2e1 - t627 * t1765 / 0.6e1 + t7631 + t7572 + t7445 + t7392 - t7416 / 0.3e1 + t7767 + t7578 + t7507 - t7634 / 0.18e2 - t7471 / 0.18e2 - t7647 / 0.6e1 - t7649 / 0.6e1 + t7475 / 0.6e1 + t7290 + t7639 + t7236);
  tv3rho2tau0 = t3 * t7772 + 0.2e1 * t1900;

  if(out->v3rho2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 0] += tv3rho2tau0;

  t7775 = t3893 * t554;
  t7778 = t3897 * t554;
  t7779 = t7778 * t350;
  t7781 = t3901 * t554;
  t7783 = t7781 * t350 / 0.54e2;
  t7786 = t869 * t566;
  t7789 = t873 * t566 / 0.18e2;
  t7792 = t3914 * t570;
  t7795 = t3917 * t570 / 0.18e2;
  t7798 = t869 * t585;
  t7801 = t873 * t585 / 0.18e2;
  t7802 = -t7775 * t350 / 0.12e2 - t7779 / 0.18e2 + t7783 - t865 * t566 / 0.4e1 - t7786 / 0.6e1 + t7789 + t3911 * t570 / 0.4e1 + t7792 / 0.6e1 - t7795 - t865 * t585 / 0.4e1 - t7798 / 0.6e1 + t7801;
  t7803 = my_piecewise3(t100, 0, t7802);
  tv3rho2tau1 = t3 * t7803 + 0.2e1 * t1921;

  if(out->v3rho2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 1] += tv3rho2tau1;

  t7820 = t897 * t1778;
  t7825 = t897 * t1814;
  t7828 = -t7177 / 0.36e2 + t7179 / 0.36e2 + t7184 / 0.18e2 + t7190 / 0.12e2 - t7277 / 0.36e2 - t903 * t1793 / 0.2e1 - t903 * t1798 / 0.4e1 - t7279 / 0.12e2 - t7281 / 0.12e2 - t7283 / 0.12e2 - t7285 / 0.12e2 + t1923 * t840 / 0.12e2 - t7820 * t1300 / 0.12e2 - t1923 * t845 / 0.12e2 + t7825 * t1295 / 0.6e1;
  t7851 = -t898 * t1807 / 0.12e2 + t903 * t1811 / 0.4e1 - t7416 / 0.6e1 + t7430 / 0.6e1 - t3740 * t1785 / 0.2e1 + t903 * t1788 / 0.2e1 - t7820 * t1257 / 0.6e1 + t7820 * t1263 / 0.3e1 + t903 * t1802 / 0.4e1 + t7433 / 0.9e1 - t7437 / 0.6e1 - t7439 / 0.18e2 - t7471 / 0.36e2 + t7475 / 0.12e2 - t7478 / 0.12e2 - t7561;
  t7857 = t894 * t526;
  t7859 = t3750 * t514;
  t7862 = t897 * t1754;
  t7869 = t897 * t1769;
  t7878 = t3761 * t530;
  t7880 = t3757 * t514;
  t7881 = t7880 * t223;
  t7883 = t7569 + t7578 - t890 * t526 / 0.4e1 - t307 * t1893 / 0.4e1 - t7857 / 0.12e2 - t7859 * t223 / 0.12e2 - t7862 * t223 / 0.12e2 - t1923 * t645 / 0.12e2 - t898 * t1765 / 0.12e2 + t7869 * t250 / 0.4e1 + t903 * t1747 / 0.4e1 + t3754 * t530 / 0.4e1 + t3776 * t530 / 0.4e1 + t7878 / 0.12e2 - t7881 / 0.36e2;
  t7892 = t894 * t545;
  t7904 = t7609 / 0.12e2 + t7612 / 0.12e2 + t7614 / 0.12e2 + t7616 / 0.12e2 - t7618 / 0.36e2 - t7622 / 0.36e2 - t7629 / 0.36e2 - t7634 / 0.36e2 - t7892 / 0.12e2 - t307 * t1823 / 0.4e1 - t307 * t1856 / 0.4e1 - t307 * t1818 / 0.4e1 - t890 * t545 / 0.4e1 + t7639 - t7647 / 0.12e2 - t7649 / 0.12e2;
  t7907 = my_piecewise3(t2, 0, t7828 + t7851 + t7883 + t7904);
  tv3rho2tau2 = t3 * t7907 + t1900 + t1933;

  if(out->v3rho2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 2] += tv3rho2tau2;

  t7909 = t4005 * t2026;
  t7911 = t937 * t1980;
  t7912 = t7911 * t1426;
  t7914 = t948 * t2029;
  t7916 = t933 * t1973;
  t7921 = t933 * t1980;
  t7924 = t938 * t1965;
  t7926 = t948 * t1969;
  t7928 = t948 * t2045;
  t7930 = t948 * t2041;
  t7932 = t948 * t2037;
  t7942 = -t7909 / 0.6e1 - t7912 / 0.18e2 + t7914 / 0.6e1 + t7916 * t1452 / 0.6e1 + t1902 * t1098 / 0.12e2 - t7921 * t1457 / 0.12e2 - t7924 / 0.36e2 + t7926 / 0.12e2 + t7928 / 0.12e2 - t7930 / 0.12e2 - t7932 / 0.6e1 - t7921 * t1426 / 0.6e1 + t7921 * t1432 / 0.3e1 - t945 * t2037 / 0.2e1 - t3971 * t2026 / 0.2e1;
  t7945 = t1905 * t1098;
  t7947 = t7911 * t1432;
  t7949 = t7911 * t1457;
  t7951 = t1905 * t1103;
  t7953 = t937 * t1973;
  t7954 = t7953 * t1452;
  t7966 = t929 * t566;
  t7968 = t294 * t2077;
  t7973 = t945 * t2029 / 0.2e1 + t7945 / 0.36e2 + t7947 / 0.9e1 - t7949 / 0.36e2 - t7951 / 0.36e2 + t7954 / 0.18e2 - t945 * t2041 / 0.4e1 + t945 * t2045 / 0.4e1 - t934 * t1965 / 0.12e2 + t945 * t1969 / 0.4e1 - t290 * t2077 / 0.4e1 - t7966 / 0.12e2 - t7968 / 0.12e2 - t925 * t566 / 0.4e1 - t7786 / 0.12e2 + t7789;
  t7979 = t294 * t2048;
  t7981 = t929 * t585;
  t7983 = t294 * t1989;
  t7985 = t294 * t2022;
  t7996 = -t7795 + t7792 / 0.12e2 - t7779 / 0.36e2 + t7783 - t1902 * t1103 / 0.12e2 - t7979 / 0.12e2 - t7981 / 0.12e2 - t7983 / 0.12e2 - t7985 / 0.12e2 - t290 * t2048 / 0.4e1 - t925 * t585 / 0.4e1 - t290 * t1989 / 0.4e1 - t290 * t2022 / 0.4e1 - t7798 / 0.12e2 + t7801;
  t7997 = t937 * t1955;
  t7998 = t7997 * t377;
  t8000 = t938 * t1951;
  t8002 = t3990 * t570;
  t8004 = t3993 * t570;
  t8006 = t937 * t1945;
  t8007 = t8006 * t350;
  t8009 = t948 * t1938;
  t8011 = t3986 * t554;
  t8012 = t8011 * t350;
  t8016 = t933 * t1955;
  t8019 = t1905 * t994;
  t8027 = t933 * t1945;
  t8032 = t4021 * t554;
  t8035 = t7998 / 0.12e2 - t8000 / 0.36e2 + t8002 / 0.12e2 + t8004 / 0.12e2 - t8007 / 0.36e2 + t8009 / 0.12e2 - t8012 / 0.36e2 - t934 * t1951 / 0.12e2 + t8016 * t377 / 0.4e1 - t8019 / 0.36e2 + t4025 * t570 / 0.4e1 + t4028 * t570 / 0.4e1 + t945 * t1938 / 0.4e1 - t8027 * t350 / 0.12e2 - t1902 * t994 / 0.12e2 - t8032 * t350 / 0.12e2;
  t8038 = my_piecewise3(t100, 0, t7942 + t7973 + t7996 + t8035);
  tv3rho2tau3 = t3 * t8038 + t1921 + t2082;

  if(out->v3rho2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 3] += tv3rho2tau3;

  t8041 = t3952 * t514;
  t8054 = -t8041 * t223 / 0.12e2 - t7881 / 0.18e2 + t7569 - t972 * t526 / 0.4e1 - t7857 / 0.6e1 + t7578 + t3958 * t530 / 0.4e1 + t7878 / 0.6e1 - t7561 - t972 * t545 / 0.4e1 - t7892 / 0.6e1 + t7639;
  t8055 = my_piecewise3(t2, 0, t8054);
  tv3rho2tau4 = t3 * t8055 + 0.2e1 * t1933;

  if(out->v3rho2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 4] += tv3rho2tau4;

  t8058 = t2056 * t5685;
  t8060 = t4696 * t1972;
  t8061 = t8060 * t1438;
  t8063 = t110 * t2060;
  t8069 = t2060 * t5667;
  t8072 = t5650 * t1979;
  t8073 = t8072 * t1415;
  t8077 = t4696 * t553;
  t8078 = t8077 * t1084;
  t8081 = t1065 * t1980;
  t8084 = t1936 * t999;
  t8085 = t649 * t8084;
  t8086 = t321 * t8085;
  t8089 = t552 * t4160;
  t8090 = t649 * t8089;
  t8091 = t321 * t8090;
  t8105 = t2040 * t4407;
  t8108 = t5665 * t8058 - t4695 * t8061 - t8063 * t5682 / 0.3e1 - t8063 * t5693 + 0.2e1 / 0.3e1 * t8063 * t5697 - 0.3e1 / 0.2e1 * t5665 * t8069 + t4695 * t8073 + t8063 * t5676 / 0.2e1 - t4695 * t8078 / 0.2e1 - t8081 * t1457 / 0.6e1 - t8086 * t1457 / 0.6e1 + t8091 * t6028 / 0.2e1 + t1941 * t1098 / 0.6e1 + t1946 * t1098 / 0.6e1 + t555 * t4538 / 0.6e1 + t555 * t4457 / 0.12e2 - t7909 / 0.3e1 - t7912 / 0.9e1 + t7914 / 0.3e1 - t373 * t8105 / 0.4e1;
  t8114 = t4371 * t558 * t376;
  t8118 = t1088 * t2053 * t376;
  t8122 = t1963 * t1153 * t376;
  t8125 = t1065 * t1973;
  t8128 = t1936 * t1045;
  t8129 = t194 * t8128;
  t8130 = t321 * t8129;
  t8133 = t374 * t1944;
  t8134 = t8133 * t1084;
  t8140 = t1963 * t1156 * t1047;
  t8144 = t194 * t1979;
  t8145 = t321 * t8144;
  t8150 = t1430 * t1964;
  t8153 = t1423 * t1964;
  t8156 = t371 * t1963;
  t8157 = t1430 * t8156;
  t8160 = t1963 * t1160;
  t8161 = t8160 * t1034;
  t8164 = t8160 * t1039;
  t8167 = t552 * t4140;
  t8168 = t3135 * t8167;
  t8169 = t321 * t8168;
  t8172 = t4719 * t8167;
  t8173 = t8172 * t5602;
  t8176 = t8172 * t5571;
  t8181 = -t8145 * t5715 / 0.2e1 + t1053 * t1965 / 0.6e1 - t1002 * t8150 / 0.12e2 - t1002 * t8153 / 0.6e1 + t1002 * t8157 / 0.3e1 - t1029 * t8161 / 0.2e1 + t373 * t8164 / 0.2e1 - t8169 * t5566 / 0.2e1 + 0.3e1 / 0.2e1 * t4718 * t8173 - 0.3e1 * t1029 * t8176 - t1981 * t5618 / 0.3e1;
  t8190 = t374 * t1979;
  t8191 = t8190 * t5702;
  t8196 = t1030 * t8089;
  t8197 = t8196 * t5728;
  t8201 = t8196 * t5635;
  t8209 = t583 * t1082;
  t8210 = t380 * t8209;
  t8211 = t4687 * t8210;
  t8214 = t110 * t559;
  t8219 = t110 * t2056;
  t8226 = t583 * t193;
  t8227 = t8226 * t336;
  t8228 = t8227 * t1084;
  t8233 = t7928 / 0.6e1 - t7930 / 0.6e1 + t4686 * t8211 / 0.12e2 + t8214 * t4690 / 0.6e1 - t8063 * t6001 / 0.6e1 - t8219 * t6015 / 0.3e1 + t8219 * t6006 / 0.3e1 + t8063 * t6009 / 0.4e1 - t4695 * t8228 / 0.4e1 - t7932 / 0.3e1 + t7945 / 0.18e2;
  t8236 = t552 * t1082;
  t8237 = t4572 * t8236;
  t8238 = t5641 * t8237;
  t8241 = t8072 * t1410;
  t8246 = t1030 * t8084;
  t8247 = t8246 * t1415;
  t8249 = t2025 * t4300;
  t8252 = t167 * t552;
  t8253 = t371 * t8252;
  t8254 = t5733 * t8253;
  t8262 = t564 * t146;
  t8263 = t8262 * t1096;
  t8264 = t1094 * t8263;
  t8271 = t1014 * t566;
  t8274 = t565 * t1018;
  t8275 = t1009 * t8274;
  t8278 = t564 * t1026;
  t8279 = t369 * t8278;
  t8280 = t321 * t8279;
  t8285 = t2075 * t370;
  t8286 = t369 * t8285;
  t8287 = t321 * t8286;
  t8292 = t7954 / 0.9e1 - t1956 * t1085 / 0.4e1 + t338 * t8264 / 0.12e2 - t1981 * t5762 / 0.6e1 - t1981 * t5759 / 0.12e2 - t1002 * t8271 / 0.6e1 + t1002 * t8275 / 0.3e1 - t8280 * t1035 / 0.2e1 + t1956 * t1040 / 0.2e1 + t8287 * t377 / 0.2e1 - t1066 * t1951 / 0.6e1;
  t8296 = t1065 * t1955;
  t8309 = t1009 * t566;
  t8316 = t349 * t2077;
  t8321 = my_piecewise3(t129, t322, -0.8e2 / 0.27e2 * t1390);
  t8322 = t8321 * t335;
  t8323 = t194 * t8322;
  t8324 = t321 * t8323;
  t8334 = t374 * t8321 * t376;
  t8337 = t4179 * t554;
  t8340 = t1065 * t1945;
  t8349 = -t8324 * t350 / 0.12e2 - t1946 * t994 / 0.6e1 - t555 * t4171 / 0.12e2 + t1058 * t1938 / 0.2e1 + t373 * t8334 / 0.4e1 - t8337 * t350 / 0.12e2 - t8340 * t350 / 0.6e1 - t1941 * t994 / 0.6e1 + t4183 * t570 / 0.4e1 - t7966 / 0.6e1 - t7968 / 0.6e1;
  t8351 = t374 * t8128;
  t8352 = t8351 * t1438;
  t8354 = t2036 * t4340;
  t8365 = t1190 * t584;
  t8369 = t2076 * t404;
  t8372 = t565 * t1147;
  t8379 = t365 * t2021;
  t8384 = t1115 * t384;
  t8387 = t982 * t327;
  t8388 = 0.1e1 / t8387;
  t8389 = t8388 * t156;
  t8392 = t8388 * t1112;
  t8413 = t1115 * tau[1];
  t8424 = -0.4e2 / 0.9e1 * t329 * t150 + 0.2e2 * t8384 * tau[1] + 0.5e2 / 0.3e1 * t8389 * t1112 + 0.85e3 / 0.3e1 * t4480 * t8392 - 0.4e2 / 0.9e1 * t385 * t329 + 0.13e4 / 0.3e1 * t4483 * t8392 + 0.8e2 / 0.3e1 * t388 * t329 - 0.5e3 * t4486 * t8392 + 0.8e2 / 0.3e1 * t392 * t329 - 0.125e4 * t4465 * t8392 - 0.2e3 / 0.9e1 * t395 * t329 - 0.175e4 / 0.3e1 * t4474 * t8392 - 0.2e3 / 0.9e1 * t400 * t329 - 0.1e3 * t1119 * t8413 - 0.36e3 * t1124 * t8413 - 0.4e2 * t1129 * t8413 + 0.5e3 * t1134 * t8413 + 0.3e3 * t1141 * t8413;
  t8425 = t380 * t8424;
  t8426 = t145 * t8425;
  t8433 = t193 * t8321;
  t8434 = t8433 * t335;
  t8437 = t69 * t552;
  t8438 = t8437 * t4607;
  t8443 = t558 * t4208;
  t8451 = t2053 * t1046;
  t8456 = t648 * t1936;
  t8457 = t8456 * t1032;
  t8460 = t2059 * t4214;
  t8479 = -t8434 * t361 / 0.2e1 + 0.6e1 * t8438 * t5865 + 0.2e1 * t559 * t4577 + 0.6e1 * t8443 * t5926 - t559 * t4560 - 0.2e1 * t2060 * t5881 + 0.2e1 * t2060 * t5885 - 0.4e1 * t8451 * t1472 - 0.2e1 * t2054 * t1167 - 0.2e1 / 0.3e1 * t8457 * t1477 - 0.12e2 * t8460 * t5869 - 0.2e1 / 0.3e1 * t8438 * t5862 - 0.2e1 * t2056 * t5900 - 0.2e1 * t2056 * t5910 + 0.2e1 * t8460 * t5913 - t2060 * t5916 / 0.3e1 - t8438 * t5919 / 0.9e1 + 0.3e1 * t2060 * t5877 + 0.4e1 * t8457 * t1481;
  t8495 = t8433 * t354;
  t8508 = t2059 * t5888;
  t8511 = t558 * t5895;
  t8515 = -t2060 * t5958 + 0.2e1 * t8451 * t1491 + t2054 * t1183 + t2056 * t5932 + t559 * t4638 / 0.2e1 - 0.4e1 * t8460 * t5940 + t8438 * t5943 / 0.18e2 + 0.1e2 / 0.3e1 * t8438 * t5960 + 0.2e1 / 0.3e1 * t2060 * t5963 + t8495 * t357 + 0.4e1 / 0.3e1 * t8457 * t1485 - 0.2e1 * t8457 * t1495 + 0.6e1 * t8460 * t5946 - 0.3e1 * t8438 * t5949 - 0.3e1 * t8443 * t5953 - t559 * t4649 - 0.6e1 * t8508 * t5892 + 0.4e1 * t8511 * t5897 + t8508 * t5972;
  t8516 = t8479 + t8515;
  t8517 = t139 * t8516;
  t8518 = t8517 * t168;
  t8525 = -t110 * t8369 / 0.2e1 - t110 * t8372 / 0.4e1 - t318 * t2048 / 0.2e1 - t318 * t2022 / 0.2e1 - t110 * t8379 / 0.2e1 - t110 * t8426 / 0.4e1 - t1205 * t585 / 0.4e1 - t318 * t1989 / 0.2e1 - t110 * t8518 / 0.4e1 - t1205 * t566 / 0.4e1 - t318 * t2077 / 0.2e1;
  t8528 = t8172 * t5576;
  t8552 = t8262 * t1088;
  t8553 = t1101 * t8552;
  t8562 = t4440 * t1963;
  t8563 = t1101 * t8562;
  t8567 = -t555 * t4442 / 0.6e1 - t555 * t4437 / 0.12e2 + t1974 * t5787 / 0.3e1 + t1974 * t4429 / 0.6e1 - t8000 / 0.18e2 - t338 * t8553 / 0.6e1 + t1956 * t1090 / 0.2e1 - t1066 * t1965 / 0.6e1 + t1070 * t1969 / 0.2e1 - t338 * t8563 / 0.6e1 + t8002 / 0.6e1;
  t8580 = t8246 * t1410;
  t8583 = t2025 * t4319;
  t8586 = t1027 * t8252;
  t8587 = t5595 * t8586;
  t8600 = params->at * t2020;
  t8601 = t1095 * t8600;
  t8602 = t1101 * t8601;
  t8606 = t8600 * t353 * t376;
  t8609 = t2040 * t4347;
  t8612 = -t1029 * t8583 / 0.2e1 - 0.3e1 / 0.2e1 * t5593 * t8587 - t991 * t1965 / 0.12e2 + t1981 * t4535 / 0.3e1 + 0.23e2 / 0.36e2 * t8169 * t5744 - t1070 * t2037 - t1058 * t2037 + t1058 * t1969 / 0.2e1 - t338 * t8602 / 0.6e1 + t373 * t8606 / 0.2e1 + t373 * t8609 / 0.2e1;
  t8617 = my_piecewise3(t100, 0, -t373 * t8134 / 0.2e1 - t555 * t4357 / 0.6e1 - t373 * t8140 / 0.2e1 - t110 * t8365 / 0.4e1 + 0.3e1 / 0.2e1 * t373 * t8528 - 0.5e1 / 0.36e2 * t8169 * t5756 - t1941 * t1103 / 0.6e1 - t1946 * t1103 / 0.6e1 - t4204 * t2026 - t4188 * t2026 - t1029 * t8580 - t1070 * t2041 / 0.2e1 - t1058 * t2041 / 0.2e1 - t8081 * t1426 / 0.3e1 - t8086 * t1426 / 0.3e1 - t1981 * t5621 / 0.6e1 - 0.11e2 / 0.18e2 * t8169 * t6022 + 0.2e1 / 0.3e1 * t8081 * t1432 + 0.3e1 / 0.2e1 * t373 * t8191 - 0.2e1 * t8091 * t5707 - 0.3e1 * t373 * t8197 + t8091 * t5632 + 0.3e1 * t1029 * t8201 + t1070 * t2045 / 0.2e1 + t1058 * t2045 / 0.2e1 + t373 * t8114 / 0.4e1 + t373 * t8118 / 0.2e1 + t373 * t8122 / 0.4e1 + t8125 * t1452 / 0.3e1 + t8130 * t1452 / 0.3e1 + t4176 * t570 / 0.4e1 + 0.2e1 / 0.3e1 * t8086 * t1432 + 0.2e1 / 0.3e1 * t1981 * t6052 + 0.3e1 / 0.2e1 * t5639 * t8238 - t5649 * t8241 + t1070 * t2029 + t1058 * t2029 + t373 * t8247 - t1002 * t8309 / 0.12e2 + t1956 * t1062 / 0.4e1 - t991 * t1951 / 0.12e2 - t338 * t8316 / 0.6e1 - t373 * t8352 - t373 * t8354 / 0.2e1 + t373 * t8249 / 0.2e1 + 0.7e1 / 0.3e1 * t5593 * t8254 + t8296 * t377 / 0.2e1 - t1956 * t1048 / 0.2e1 + t1053 * t1951 / 0.6e1 + t4274 * t570 / 0.2e1 + t1070 * t1938 / 0.2e1 + t8349 - t8007 / 0.18e2 + t8009 / 0.6e1 + t8181 + t8612 + t7801 + t8233 + t8004 / 0.6e1 - t8012 / 0.18e2 - t7795 + t8567 - t7981 / 0.6e1 - t7983 / 0.6e1 + t7789 + t7783 - t7979 / 0.6e1 + t8108 + t8292 + 0.2e1 / 0.9e1 * t7947 - t7949 / 0.18e2 - t7951 / 0.18e2 + t7998 / 0.6e1 - t7985 / 0.6e1 + t8525 - t7924 / 0.18e2 + t7926 / 0.6e1 - t8019 / 0.18e2);
  tv3rho2tau5 = t3 * t8617 + 0.2e1 * t2082;

  if(out->v3rho2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rho2tau[ip*p->dim.v3rho2tau + 5] += tv3rho2tau5;

  t8619 = t633 * t2092;
  t8621 = t8619 * t223 / 0.18e2;
  t8622 = t633 * t2086;
  t8623 = t8622 * t223;
  t8624 = t8623 / 0.36e2;
  t8625 = t633 * t2097;
  t8627 = t8625 * t667 / 0.18e2;
  t8629 = t8625 * t662 / 0.36e2;
  t8631 = t3051 * t2154 / 0.6e1;
  t8633 = t5234 * t432 / 0.6e1;
  t8635 = t8625 * t672 / 0.9e1;
  t8637 = t1218 * t1223 / 0.18e2;
  t8641 = t637 * t2170 / 0.6e1;
  t8643 = t637 * t2162 / 0.6e1;
  t8644 = t637 * t2158;
  t8645 = t8644 / 0.12e2;
  t8646 = t2087 * t645;
  t8647 = t8646 / 0.12e2;
  t8648 = -t2089 + t2160 + t8621 - t8624 - t8627 - t8629 - t8631 + t8633 + t8635 - t8637 - t2098 * t3175 / 0.12e2 + t8641 - t8643 + t8645 - t8647;
  t8649 = t626 * t2092;
  t8654 = t626 * t2097;
  t8657 = t3389 * t2106;
  t8658 = t836 * t8657;
  t8661 = t4984 * t651;
  t8667 = t789 * t1278;
  t8670 = t3428 * t1250;
  t8673 = t789 * t415;
  t8680 = t420 * t595;
  t8685 = t1318 * t651;
  t8688 = 0.2e1 / 0.3e1 * t8661 * t2318 + 0.2e1 * t789 * t1237 * t249 - 0.4e1 * t8667 * t1281 + 0.4e1 / 0.3e1 * t8670 * t1269 - 0.2e1 * t8673 * t826 + 0.4e1 * t8670 * t1274 - 0.2e1 * t1331 * t222 + 0.4e1 * t8680 * t1281 + 0.2e1 * t423 * t826 - 0.4e1 * t8685 * t1274;
  t8689 = t94 * t8688;
  t8690 = t837 * t8689;
  t8691 = t836 * t8690;
  t8694 = t94 * t1237;
  t8695 = t837 * t8694;
  t8696 = t1254 * t8695;
  t8703 = t1261 * t8695;
  t8708 = t2090 * t3118;
  t8709 = t3135 * t8708;
  t8710 = t191 * t8709;
  t8711 = t4808 * t1256;
  t8716 = t2084 * t651;
  t8717 = t649 * t8716;
  t8718 = t191 * t8717;
  t8719 = t8718 * t1300;
  t8720 = t8719 / 0.12e2;
  t8721 = t247 * t2096;
  t8722 = t8721 * t1281;
  t8725 = t247 * t2091;
  t8726 = t8725 * t826;
  t8729 = t8649 * t223 / 0.6e1 + t2093 * t645 / 0.6e1 - t8654 * t662 / 0.12e2 + t417 * t8658 / 0.12e2 + t417 * t8691 / 0.12e2 - t1252 * t8696 / 0.3e1 + t2098 * t3691 / 0.3e1 + t2093 * t845 / 0.6e1 - t1252 * t8703 / 0.6e1 + t2098 * t3525 / 0.6e1 - 0.5e1 / 0.36e2 * t8710 * t8711 - t2098 * t3380 / 0.12e2 - t8720 + 0.3e1 / 0.2e1 * t246 * t8722 + t246 * t8726 / 0.2e1;
  t8732 = t830 * t2120 * t597;
  t8735 = t680 * t2096;
  t8736 = t8735 * t3362;
  t8738 = t680 * t8716;
  t8739 = t8738 * t1274;
  t8740 = t246 * t8739;
  t8741 = t8740 / 0.2e1;
  t8742 = t4867 * t1256;
  t8745 = t4851 * t1262;
  t8748 = t4748 * t1255;
  t8749 = t1254 * t8748;
  t8752 = t1226 * t1255;
  t8753 = t1261 * t8752;
  t8756 = t414 * t2105;
  t8757 = t3130 * t8756;
  t8758 = t4985 * t8757;
  t8761 = t2105 * t206;
  t8762 = t3556 * t8761;
  t8763 = t1319 * t8762;
  t8766 = t95 * t8761;
  t8767 = t5175 * t8766;
  t8770 = t670 * t8761;
  t8771 = t4877 * t8770;
  t8774 = t788 * t8761;
  t8775 = t1313 * t8774;
  t8778 = t2105 * t794;
  t8779 = t3562 * t8778;
  t8780 = t421 * t8779;
  t8783 = t4768 * t2166;
  t8786 = t3273 * t8766;
  t8789 = -t246 * t8732 / 0.2e1 + t679 * t8736 + t8741 - t8710 * t8742 / 0.2e1 + 0.7e1 / 0.3e1 * t8710 * t8745 - t1252 * t8749 / 0.3e1 + 0.2e1 / 0.3e1 * t1252 * t8753 + t4983 * t8758 / 0.2e1 - t4772 * t8763 / 0.2e1 + t4872 * t8767 / 0.6e1 - t4872 * t8771 / 0.3e1 + t4772 * t8775 / 0.2e1 + t4772 * t8780 / 0.2e1 - t3266 * t8783 / 0.4e1 - t4761 * t8786 / 0.6e1;
  t8790 = t3562 * t65;
  t8791 = t95 * t8778;
  t8792 = t8790 * t8791;
  t8795 = t4877 * t8766;
  t8798 = t276 * t2105;
  t8799 = t253 * t8798;
  t8800 = t3273 * t8799;
  t8809 = t626 * t2086;
  t8810 = t8809 * t223;
  t8811 = t8810 / 0.12e2;
  t8828 = t2087 * t845;
  t8829 = t8828 / 0.12e2;
  t8830 = -t4882 * t8792 / 0.6e1 + t4872 * t8795 / 0.12e2 + t4882 * t8800 / 0.12e2 - t1247 * t1223 / 0.6e1 - t417 * t5261 / 0.6e1 + t8654 * t672 / 0.3e1 - t8811 - t8654 * t667 / 0.6e1 - t2098 * t3056 / 0.6e1 - t1242 * t1223 / 0.6e1 + t2098 * t3091 / 0.3e1 + t1228 * t1239 / 0.2e1 - t3070 * t2154 / 0.2e1 + t5277 * t432 / 0.2e1 + t5266 * t432 / 0.2e1 - t8829;
  t8833 = t843 * t8695;
  t8836 = t194 * t2096;
  t8837 = t191 * t8836;
  t8842 = t2090 * t3076;
  t8843 = t649 * t8842;
  t8844 = t191 * t8843;
  t8847 = t660 * t1237;
  t8848 = t659 * t8847;
  t8849 = t1267 * t8848;
  t8851 = t680 * t8842;
  t8852 = t8851 * t1269;
  t8860 = t637 * t2167 / 0.12e2;
  t8862 = t1218 * t2108 / 0.36e2;
  t8863 = t8735 * t3410;
  t8865 = t830 * t2124;
  t8866 = t8865 * t690;
  t8873 = t630 * t2158;
  t8874 = t8873 / 0.4e1;
  t8875 = t1294 * t8833 / 0.3e1 - t8837 * t1295 / 0.2e1 - t2093 * t840 / 0.6e1 + t8844 * t1300 / 0.2e1 - t679 * t8849 + 0.3e1 * t679 * t8852 + t2098 * t3503 / 0.3e1 - t417 * t4750 / 0.6e1 - t8860 + t8862 - t246 * t8863 + t246 * t8866 / 0.2e1 - t630 * t2167 / 0.4e1 - t608 * t2167 / 0.4e1 + t8874;
  t8876 = t608 * t2158;
  t8877 = t8876 / 0.4e1;
  t8886 = t2147 * t277;
  t8889 = t8865 * t684;
  t8892 = t2084 * t595;
  t8893 = t247 * t8892;
  t8894 = t8893 * t1281;
  t8895 = t246 * t8894;
  t8896 = t8895 / 0.2e1;
  t8897 = t247 * t2085;
  t8898 = t8897 * t826;
  t8899 = t246 * t8898;
  t8900 = t8899 / 0.4e1;
  t8909 = t188 * t2148 / 0.12e2;
  t8910 = t194 * t8892;
  t8911 = t191 * t8910;
  t8912 = t8911 * t1295;
  t8913 = t8912 / 0.6e1;
  t8914 = t2087 * t840;
  t8915 = t8914 / 0.12e2;
  t8916 = t8877 - t630 * t2162 / 0.2e1 - t608 * t2162 / 0.2e1 + t608 * t2170 / 0.2e1 - t3061 * t2154 / 0.2e1 - t30 * t8886 / 0.4e1 - t679 * t8889 / 0.2e1 - t8896 - t8900 - t1228 * t1282 - t1228 * t1286 / 0.2e1 + t1228 * t1290 / 0.2e1 - t182 * t2148 / 0.4e1 - t8909 + t8913 + t8915;
  t8918 = t8851 * t1274;
  t8921 = t3115 * t8708;
  t8922 = t3139 * t1268;
  t8923 = t8921 * t8922;
  t8927 = t3144 * t206;
  t8928 = t3139 * t8927;
  t8929 = t8921 * t8928;
  t8932 = t3124 * t206;
  t8933 = t3139 * t8932;
  t8934 = t8921 * t8933;
  t8937 = t8738 * t1269;
  t8938 = t679 * t8937;
  t8939 = t8938 / 0.2e1;
  t8940 = t4851 * t1256;
  t8943 = t4808 * t1262;
  t8946 = t677 * t1255;
  t8947 = t4808 * t8946;
  t8951 = t8718 * t1257;
  t8952 = t8951 / 0.6e1;
  t8953 = t8718 * t1263;
  t8954 = t8953 / 0.3e1;
  t8958 = t4896 * t2166;
  t8961 = -0.3e1 * t246 * t8918 + 0.3e1 / 0.2e1 * t246 * t8923 + t1228 * t1275 + 0.3e1 / 0.2e1 * t3167 * t8929 - 0.3e1 * t679 * t8934 - t8939 - 0.11e2 / 0.18e2 * t8710 * t8940 + 0.23e2 / 0.36e2 * t8710 * t8943 - 0.3e1 / 0.2e1 * t8710 * t8947 - t5286 * t1270 - t8952 + t8954 + t8844 * t1257 - 0.2e1 * t8844 * t1263 - t246 * t8958 / 0.4e1;
  t8963 = t824 * t221 * t8688;
  t8964 = t1285 * t8963;
  t8968 = t659 * t665 * t1237;
  t8969 = t1267 * t8968;
  t8972 = t830 * t2117 * t249;
  t8973 = t246 * t8972;
  t8974 = t8973 / 0.4e1;
  t8976 = t219 * t221 * t1237;
  t8977 = t1279 * t8976;
  t8979 = t244 * t8694;
  t8980 = t1261 * t8979;
  t8987 = t843 * t8748;
  t8992 = t1261 * t8748;
  t8999 = t62 * t2105;
  t9000 = t8999 * t206;
  t9001 = t815 * t9000;
  t9004 = t60 * t1237;
  t9005 = t689 * t9004;
  t9010 = t229 * t9004;
  t9013 = t2120 * t3259;
  t9016 = t2141 * t206;
  t9017 = t3556 * t9016;
  t9019 = t648 * t2084;
  t9020 = t9019 * t682;
  t9021 = t9020 * t1324;
  t9022 = 0.2e1 * t9021;
  t9023 = t2124 * t3077;
  t9026 = t69 * t2090;
  t9027 = t9026 * t3121;
  t9028 = t3125 * t1314;
  t9031 = t3130 * t1314;
  t9034 = t63 * t1237;
  t9035 = t683 * t9034;
  t9038 = -0.2e1 * t5022 * t9001 - 0.2e1 * t1319 * t9005 + 0.2e1 * t2125 * t3607 + 0.2e1 * t1313 * t9010 - 0.3e1 * t9013 * t1334 + t1319 * t9017 + t9022 - 0.12e2 * t9023 * t1324 - 0.2e1 / 0.3e1 * t9027 * t9028 + 0.6e1 * t9027 * t9031 - 0.2e1 / 0.3e1 * t1319 * t9035;
  t9041 = t3168 * t1314;
  t9045 = t2117 * t596;
  t9046 = t9045 * t1315;
  t9047 = 0.2e1 * t9046;
  t9048 = t2118 * t796;
  t9049 = t9020 * t1320;
  t9050 = t9049 / 0.3e1;
  t9051 = t63 * t8688;
  t9052 = t788 * t9051;
  t9054 = t3130 * t9016;
  t9057 = t689 * t9034;
  t9062 = t788 * t9016;
  t9064 = t2141 * t794;
  t9065 = t3562 * t9064;
  t9067 = 0.2e1 / 0.3e1 * t2125 * t3543 - t9027 * t9041 / 0.9e1 - t1311 * t2129 - t9047 - t9048 - t9050 - t421 * t9052 - 0.2e1 / 0.3e1 * t1319 * t9054 + 0.4e1 * t1319 * t9057 - 0.4e1 * t2125 * t3557 - t1313 * t9062 - t421 * t9065;
  t9069 = t229 * t9034;
  t9078 = t233 * t9000;
  t9081 = t227 * t3123;
  t9082 = t420 * t9081;
  t9083 = t8999 * t794;
  t9084 = t233 * t9083;
  t9087 = t802 * t9000;
  t9090 = t2118 * t812;
  t9091 = t9090 / 0.2e1;
  t9092 = t9020 * t1328;
  t9093 = 0.2e1 / 0.3e1 * t9092;
  t9096 = -0.4e1 * t1313 * t9069 + 0.6e1 * t9013 * t1315 + 0.2e1 * t2121 * t796 + 0.2e1 * t9023 * t1320 + 0.2e1 * t5015 * t9078 + 0.2e1 * t9082 * t9084 + t5022 * t9087 / 0.3e1 - t2138 + t9091 + t9093 - 0.4e1 * t9023 * t1328;
  t9097 = t3168 * t1327;
  t9100 = t9020 * t1338;
  t9103 = t3130 * t1327;
  t9109 = t60 * t8688;
  t9110 = t788 * t9109;
  t9113 = t3125 * t1327;
  t9116 = t683 * t9004;
  t9121 = t9045 * t1334;
  t9122 = t9027 * t9097 / 0.18e2 - t9100 + 0.6e1 * t9023 * t1338 - 0.3e1 * t9027 * t9103 - t2121 * t812 + t1311 * t2142 / 0.2e1 + t421 * t9110 / 0.2e1 + 0.1e2 / 0.3e1 * t9027 * t9113 + 0.4e1 / 0.3e1 * t1319 * t9116 - 0.4e1 / 0.3e1 * t2125 * t3616 + t9121 + t2119;
  t9124 = t9038 + t9067 + t9096 + t9122;
  t9125 = t59 * t9124;
  t9126 = t9125 * t95;
  t9131 = t222 * t2148;
  t9134 = t2146 * t243;
  t9135 = t242 * t9134;
  t9136 = t191 * t9135;
  t9139 = -t246 * t8964 / 0.4e1 + t246 * t8969 + t8974 - t246 * t8977 + 0.2e1 / 0.3e1 * t1252 * t8980 - 0.2e1 / 0.3e1 * t2098 * t3522 - t2098 * t3366 / 0.6e1 + t1294 * t8987 / 0.3e1 + t417 * t4754 / 0.6e1 - t1252 * t8992 / 0.6e1 + t1242 * t2108 / 0.12e2 + t1247 * t2108 / 0.12e2 - t30 * t9126 / 0.4e1 + t630 * t2170 / 0.2e1 - t211 * t9131 / 0.12e2 + t9136 * t250 / 0.4e1;
  t9143 = my_piecewise3(t2, 0, t8648 + t8729 + t8789 + t8830 + t8875 + t8916 + t8961 + t9139);
  tv3rhosigma20 = t3 * t9143 + t2174;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 0] += tv3rhosigma20;

  tv3rhosigma21 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 1] += tv3rhosigma21;

  tv3rhosigma22 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 2] += tv3rhosigma22;

  tv3rhosigma23 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 3] += tv3rhosigma23;

  tv3rhosigma24 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 4] += tv3rhosigma24;

  t9145 = t937 * t2177;
  t9146 = t9145 * t350;
  t9147 = t9146 / 0.36e2;
  t9148 = t937 * t2183;
  t9150 = t9148 * t350 / 0.18e2;
  t9151 = t937 * t2188;
  t9153 = t9151 * t1015 / 0.18e2;
  t9155 = t1354 * t1378 / 0.18e2;
  t9157 = t9151 * t1010 / 0.36e2;
  t9159 = t948 * t2253 / 0.6e1;
  t9161 = t5484 * t457 / 0.6e1;
  t9163 = t4005 * t2245 / 0.6e1;
  t9165 = t9151 * t1020 / 0.9e1;
  t9166 = t933 * t2177;
  t9168 = t9166 * t350 / 0.12e2;
  t9170 = t948 * t2261 / 0.6e1;
  t9171 = t948 * t2249;
  t9172 = t9171 / 0.12e2;
  t9173 = t933 * t2188;
  t9178 = -t9147 + t9150 - t9153 - t9155 - t9157 - t9159 + t9161 - t9163 + t9165 - t9168 + t9170 + t9172 + t9173 * t1020 / 0.3e1 + t5449 * t457 / 0.2e1;
  t9179 = t933 * t2183;
  t9195 = t945 * t2249 / 0.4e1;
  t9199 = t948 * t2258 / 0.12e2;
  t9201 = t1354 * t2199 / 0.36e2;
  t9207 = t294 * t2239 / 0.12e2;
  t9208 = t9179 * t350 / 0.6e1 - t9173 * t1010 / 0.12e2 - t9173 * t1015 / 0.6e1 - t945 * t2253 / 0.2e1 - t1351 * t1378 / 0.6e1 + t945 * t2261 / 0.2e1 - t3971 * t2245 / 0.2e1 + t9195 + t1351 * t2199 / 0.12e2 - t9199 + t9201 - t945 * t2258 / 0.4e1 - t290 * t2239 / 0.4e1 - t9207;
  t9210 = my_piecewise3(t100, 0, t9178 + t9208);
  tv3rhosigma25 = t3 * t9210 + t2265;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 5] += tv3rhosigma25;

  t9214 = t897 * t2092;
  t9217 = t897 * t2097;
  t9222 = t897 * t2086;
  t9224 = t9222 * t223 / 0.12e2;
  t9234 = t903 * t2158 / 0.4e1;
  t9237 = t5384 * t432 / 0.2e1 + t9214 * t223 / 0.6e1 - t9217 * t662 / 0.12e2 - t9217 * t667 / 0.6e1 - t9224 - t903 * t2162 / 0.2e1 - t1368 * t1223 / 0.6e1 + t9217 * t672 / 0.3e1 - t3740 * t2154 / 0.2e1 + t9234 + t903 * t2170 / 0.2e1 + t8621 - t8624 - t8627;
  t9244 = -t8629 - t8631 + t8633 + t8635 - t8637 + t8641 - t8643 + t8645 - t903 * t2167 / 0.4e1 + t1368 * t2108 / 0.12e2 - t8860 + t8862 - t8909 - t307 * t2148 / 0.4e1;
  t9246 = my_piecewise3(t2, 0, t9237 + t9244);
  tv3rhosigma26 = t3 * t9246 + t2174;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 6] += tv3rhosigma26;

  tv3rhosigma27 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 7] += tv3rhosigma27;

  tv3rhosigma28 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 8] += tv3rhosigma28;

  tv3rhosigma29 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 9] += tv3rhosigma29;

  tv3rhosigma210 = 0.e0;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 10] += tv3rhosigma210;

  t9248 = t1381 * t1424;
  t9249 = t1430 * t9248;
  t9252 = t2181 * t4140;
  t9253 = t3135 * t9252;
  t9254 = t321 * t9253;
  t9255 = t1027 * t1424;
  t9256 = t5595 * t9255;
  t9261 = t5733 * t1425;
  t9264 = t5595 * t1431;
  t9267 = t5563 * t1425;
  t9270 = t5733 * t1431;
  t9273 = t5553 * t1424;
  t9274 = t1423 * t9273;
  t9277 = t2175 * t999;
  t9278 = t649 * t9277;
  t9279 = t321 * t9278;
  t9280 = t9279 * t1426;
  t9281 = t9280 / 0.6e1;
  t9282 = t9279 * t1432;
  t9283 = t9282 / 0.3e1;
  t9284 = t194 * t2187;
  t9285 = t321 * t9284;
  t9290 = -t2180 + t2251 + 0.2e1 / 0.3e1 * t1421 * t9249 - 0.3e1 / 0.2e1 * t9254 * t9256 - t5792 * t1411 + t1383 * t1416 - 0.11e2 / 0.18e2 * t9254 * t9261 + 0.23e2 / 0.36e2 * t9254 * t9264 - t9254 * t9267 / 0.2e1 + 0.7e1 / 0.3e1 * t9254 * t9270 - t1421 * t9274 / 0.3e1 - t9281 + t9283 - t9285 * t1452 / 0.2e1 - t2184 * t1098 / 0.6e1;
  t9291 = t2181 * t4160;
  t9292 = t649 * t9291;
  t9293 = t321 * t9292;
  t9298 = t167 * t1392;
  t9299 = t1095 * t9298;
  t9300 = t1430 * t9299;
  t9303 = t2175 * t1045;
  t9304 = t194 * t9303;
  t9305 = t321 * t9304;
  t9306 = t9305 * t1452;
  t9307 = t9306 / 0.6e1;
  t9308 = t9293 * t1457 / 0.2e1 + t2184 * t1103 / 0.6e1 - t1421 * t9300 / 0.6e1 + t9307 - t9147 + t9150 - t9153 - t9155 - t9157 - t9159 + t9161 - t9163 + t9165 + t9170 + t9172;
  t9310 = t1008 * t1392;
  t9311 = t1007 * t9310;
  t9312 = t1408 * t9311;
  t9314 = t1030 * t9291;
  t9315 = t9314 * t1410;
  t9318 = t1030 * t2187;
  t9319 = t9318 * t4307;
  t9321 = t1088 * t2215;
  t9322 = t9321 * t1034;
  t9326 = t2196 * t333;
  t9327 = t1018 * t9326;
  t9328 = t5691 * t9327;
  t9331 = t168 * t9326;
  t9332 = t5674 * t9331;
  t9335 = t4626 * t9326;
  t9336 = t1476 * t9335;
  t9339 = t439 * t2196;
  t9340 = t4572 * t9339;
  t9341 = t5641 * t9340;
  t9346 = t371 * t9298;
  t9347 = t1430 * t9346;
  t9350 = t1423 * t9299;
  t9359 = -t1029 * t9312 + 0.3e1 * t1029 * t9315 + t1029 * t9319 - t1029 * t9322 / 0.2e1 - t1383 * t1439 - t5673 * t9328 / 0.3e1 + t5673 * t9332 / 0.6e1 - t5665 * t9336 / 0.2e1 + t5639 * t9341 / 0.2e1 - t442 * t5607 / 0.6e1 + 0.2e1 / 0.3e1 * t1421 * t9347 - t1421 * t9350 / 0.3e1 + t2189 * t4554 / 0.3e1 - t2189 * t4550 / 0.6e1 + t2189 * t4452 / 0.6e1;
  t9360 = t5595 * t1425;
  t9369 = t5541 * t2257;
  t9372 = t5640 * t999;
  t9378 = t1077 * t1435;
  t9381 = t4388 * t1407;
  t9384 = t1077 * t440;
  t9391 = t445 * t1045;
  t9396 = t1475 * t999;
  t9399 = 0.2e1 / 0.3e1 * t9372 * t2389 + 0.2e1 * t1077 * t1392 * t376 - 0.4e1 * t9378 * t1438 + 0.4e1 / 0.3e1 * t9381 * t1410 - 0.2e1 * t9384 * t1084 + 0.4e1 * t9381 * t1415 - 0.2e1 * t1488 * t349 + 0.4e1 * t9391 * t1438 + 0.2e1 * t448 * t1084 - 0.4e1 * t9396 * t1415;
  t9401 = t1076 * t348 * t9399;
  t9402 = t1442 * t9401;
  t9405 = t374 * t9303;
  t9406 = t9405 * t1438;
  t9407 = t373 * t9406;
  t9408 = t9407 / 0.2e1;
  t9409 = t374 * t2176;
  t9410 = t9409 * t1084;
  t9411 = t373 * t9410;
  t9412 = t9411 / 0.4e1;
  t9414 = t1088 * t2208 * t376;
  t9415 = t373 * t9414;
  t9416 = t9415 / 0.4e1;
  t9421 = t4440 * t2197;
  t9422 = t1094 * t9421;
  t9425 = t167 * t9399;
  t9426 = t1095 * t9425;
  t9427 = t1094 * t9426;
  t9430 = t1101 * t9299;
  t9436 = -0.5e1 / 0.36e2 * t9254 * t9360 - t2189 * t4433 / 0.12e2 - t1070 * t2258 / 0.4e1 - t1058 * t2258 / 0.4e1 - t373 * t9369 / 0.4e1 - t373 * t9402 / 0.4e1 - t9408 - t9412 + t9416 + t1397 * t2199 / 0.12e2 + t1402 * t2199 / 0.12e2 + t442 * t9422 / 0.12e2 + t442 * t9427 / 0.12e2 + t1451 * t9430 / 0.3e1 + t9293 * t1426 - 0.2e1 * t9293 * t1432;
  t9439 = t403 * t2196;
  t9440 = t380 * t9439;
  t9441 = t4687 * t9440;
  t9444 = t4575 * t145;
  t9445 = t2196 * t1082;
  t9446 = t168 * t9445;
  t9447 = t9444 * t9446;
  t9450 = t5691 * t9331;
  t9453 = t1165 * t9326;
  t9454 = t1470 * t9453;
  t9457 = t4687 * t9331;
  t9460 = t6018 * t2257;
  t9463 = t4575 * t9445;
  t9464 = t446 * t9463;
  t9467 = t2237 * t370;
  t9468 = t369 * t9467;
  t9469 = t321 * t9468;
  t9478 = t2238 * t404;
  t9481 = t2178 * t1098;
  t9482 = t9481 / 0.12e2;
  t9483 = -t9199 + t9201 + t6012 * t9441 / 0.12e2 - t6012 * t9447 / 0.6e1 + t5673 * t9450 / 0.12e2 + t5665 * t9454 / 0.2e1 - t6004 * t9457 / 0.6e1 - t4695 * t9460 / 0.4e1 + t5665 * t9464 / 0.2e1 + t9469 * t377 / 0.4e1 + t5797 * t457 / 0.2e1 + t5814 * t457 / 0.2e1 + t1383 * t1394 / 0.2e1 - t110 * t9478 / 0.4e1 + t9482;
  t9484 = t9279 * t1457;
  t9485 = t9484 / 0.12e2;
  t9486 = t2178 * t1103;
  t9487 = t9486 / 0.12e2;
  t9489 = t1007 * t1013 * t1392;
  t9490 = t1408 * t9489;
  t9492 = t9318 * t4324;
  t9494 = t9321 * t1039;
  t9498 = t346 * t348 * t1392;
  t9499 = t1436 * t9498;
  t9501 = t374 * t2187;
  t9502 = t9501 * t1438;
  t9505 = t374 * t2182;
  t9506 = t9505 * t1084;
  t9510 = t1088 * t2211 * t1047;
  t9515 = t1065 * t2188;
  t9522 = t1065 * t2183;
  t9529 = -t9485 - t9487 + t373 * t9490 - t373 * t9492 + t373 * t9494 / 0.2e1 - t373 * t9499 + 0.3e1 / 0.2e1 * t373 * t9502 + t373 * t9506 / 0.2e1 - t373 * t9510 / 0.2e1 + t2184 * t994 / 0.6e1 - t9515 * t1010 / 0.12e2 - t2189 * t4228 / 0.12e2 - t9515 * t1015 / 0.6e1 + t9522 * t350 / 0.6e1 + t1070 * t2261 / 0.2e1 + t1058 * t2261 / 0.2e1;
  t9531 = t349 * t2239;
  t9534 = t1058 * t2249;
  t9535 = t9534 / 0.4e1;
  t9542 = t1070 * t2249;
  t9543 = t9542 / 0.4e1;
  t9544 = t1065 * t2177;
  t9545 = t9544 * t350;
  t9546 = t9545 / 0.12e2;
  t9547 = t2178 * t994;
  t9548 = t9547 / 0.12e2;
  t9563 = -t338 * t9531 / 0.12e2 + t9535 - t1070 * t2253 / 0.2e1 - t1058 * t2253 / 0.2e1 - t4188 * t2245 / 0.2e1 + t9543 - t9546 - t9548 + t2189 * t4264 / 0.3e1 - t4204 * t2245 / 0.2e1 - t2189 * t4135 / 0.6e1 - t1397 * t1378 / 0.6e1 - t1402 * t1378 / 0.6e1 - t442 * t5809 / 0.6e1 + t9515 * t1020 / 0.3e1;
  t9566 = t142 * t2196;
  t9567 = t9566 * t333;
  t9568 = t1186 * t9567;
  t9571 = t1173 * t9567;
  t9574 = t360 * t9567;
  t9577 = t354 * t4147;
  t9578 = t445 * t9577;
  t9579 = t9566 * t1082;
  t9580 = t360 * t9579;
  t9583 = t648 * t2175;
  t9584 = t9583 * t1032;
  t9585 = t9584 * t1477;
  t9586 = t9585 / 0.3e1;
  t9587 = t2211 * t4208;
  t9592 = t2215 * t4214;
  t9595 = t143 * t1392;
  t9596 = t1033 * t9595;
  t9601 = t69 * t2181;
  t9602 = t9601 * t4607;
  t9603 = t4609 * t1471;
  t9606 = -0.2e1 * t5889 * t9568 + t5889 * t9571 / 0.3e1 + 0.2e1 * t5896 * t9574 + 0.2e1 * t9578 * t9580 - t9586 + 0.6e1 * t9587 * t1472 + 0.2e1 * t2212 * t1167 + 0.2e1 * t9592 * t1477 - 0.2e1 / 0.3e1 * t1476 * t9596 + 0.2e1 / 0.3e1 * t2216 * t4573 - t9602 * t9603 / 0.9e1;
  t9608 = t2208 * t1046;
  t9609 = t9608 * t1472;
  t9610 = 0.2e1 * t9609;
  t9611 = t2209 * t1167;
  t9612 = t1038 * t9595;
  t9617 = t2232 * t333;
  t9618 = t1165 * t9617;
  t9620 = t2232 * t1082;
  t9621 = t4575 * t9620;
  t9623 = t356 * t9595;
  t9626 = t143 * t9399;
  t9627 = t1165 * t9626;
  t9629 = t4572 * t9617;
  t9632 = t4626 * t9617;
  t9634 = t9584 * t1481;
  t9635 = 0.2e1 * t9634;
  t9636 = -t1468 * t2220 - t9610 - t9611 + 0.4e1 * t1476 * t9612 - 0.4e1 * t2216 * t4656 - t1470 * t9618 - t446 * t9621 - 0.4e1 * t1470 * t9623 - t446 * t9627 - 0.2e1 / 0.3e1 * t1476 * t9629 + t1476 * t9632 + t9635;
  t9640 = t4619 * t1471;
  t9643 = t4572 * t1471;
  t9651 = t140 * t9399;
  t9652 = t1165 * t9651;
  t9655 = t4609 * t1484;
  t9658 = t4619 * t1484;
  t9661 = t140 * t1392;
  t9662 = t1033 * t9661;
  t9667 = -0.12e2 * t9592 * t1481 - 0.2e1 / 0.3e1 * t9602 * t9640 + 0.6e1 * t9602 * t9643 - 0.3e1 * t9587 * t1491 - t2212 * t1183 + t1468 * t2233 / 0.2e1 + t446 * t9652 / 0.2e1 + t9602 * t9655 / 0.18e2 + 0.1e2 / 0.3e1 * t9602 * t9658 + 0.4e1 / 0.3e1 * t1476 * t9662 - 0.4e1 / 0.3e1 * t2216 * t4613;
  t9668 = t9584 * t1485;
  t9669 = 0.2e1 / 0.3e1 * t9668;
  t9670 = t1038 * t9661;
  t9675 = t9608 * t1491;
  t9676 = t2209 * t1183;
  t9677 = t9676 / 0.2e1;
  t9678 = t356 * t9661;
  t9683 = t9584 * t1495;
  t9686 = t4572 * t1484;
  t9689 = 0.2e1 * t1470 * t9678 - 0.2e1 * t1476 * t9670 - 0.4e1 * t9592 * t1485 + 0.6e1 * t9592 * t1495 + 0.2e1 * t2216 * t4627 - 0.3e1 * t9602 * t9686 + t2210 - t2229 + t9669 + t9675 + t9677 - t9683;
  t9691 = t9606 + t9636 + t9667 + t9689;
  t9692 = t139 * t9691;
  t9693 = t9692 * t168;
  t9696 = t4719 * t9252;
  t9697 = t4154 * t333;
  t9698 = t4148 * t9697;
  t9699 = t9696 * t9698;
  t9702 = t4149 * t333;
  t9703 = t4148 * t9702;
  t9704 = t9696 * t9703;
  t9707 = t1030 * t9277;
  t9708 = t9707 * t1410;
  t9709 = t1029 * t9708;
  t9710 = t9709 / 0.2e1;
  t9711 = t9707 * t1415;
  t9712 = t373 * t9711;
  t9713 = t9712 / 0.2e1;
  t9714 = t9314 * t1415;
  t9717 = t4148 * t1409;
  t9718 = t9696 * t9717;
  t9729 = t1101 * t9273;
  t9734 = t1430 * t9273;
  t9737 = -t318 * t2239 / 0.4e1 - t110 * t9693 / 0.4e1 - t9207 + 0.3e1 / 0.2e1 * t4718 * t9699 - 0.3e1 * t1029 * t9704 - t9710 + t9713 - 0.3e1 * t373 * t9714 + 0.3e1 / 0.2e1 * t373 * t9718 - t1383 * t1443 / 0.2e1 + t1383 * t1447 / 0.2e1 - 0.2e1 / 0.3e1 * t2189 * t4378 + t2189 * t4361 / 0.3e1 + t1451 * t9729 / 0.3e1 + t442 * t5555 / 0.6e1 - t1421 * t9734 / 0.6e1;
  t9741 = my_piecewise3(t100, 0, t9290 + t9308 + t9359 + t9436 + t9483 + t9529 + t9563 + t9737);
  tv3rhosigma211 = t3 * t9741 + t2265;

  if(out->v3rhosigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigma2[ip*p->dim.v3rhosigma2 + 11] += tv3rhosigma211;

  t9743 = t30 * t6304;
  t9744 = t3168 * t65;
  t9745 = t414 * t206;
  t9746 = t95 * t9745;
  t9747 = t9744 * t9746;
  t9756 = t276 * t414;
  t9757 = t253 * t9756;
  t9758 = t4762 * t9757;
  t9761 = t470 * t8779;
  t9764 = t6163 * t2166;
  t9767 = t1587 * t8774;
  t9770 = t3556 * t4986;
  t9771 = t1591 * t9770;
  t9773 = t6175 * t2331;
  t9778 = t6273 * t2166;
  t9781 = -t2089 + t2160 - 0.5e1 / 0.36e2 * t9743 * t9747 + t1228 * t1551 / 0.2e1 - t1541 * t8749 / 0.6e1 + t1541 * t8753 / 0.3e1 + t6454 * t9758 / 0.6e1 - t8624 + t8645 - t8647 + t4772 * t9761 / 0.2e1 - t3266 * t9764 / 0.4e1 + t4772 * t9767 / 0.2e1 - t4772 * t9771 + t3266 * t9773 / 0.2e1 - t8720 - t608 * t2327 / 0.4e1 - t246 * t9778 / 0.4e1;
  t9784 = t3389 * t2266;
  t9785 = t843 * t9784;
  t9796 = t6489 * t2318;
  t9799 = t1547 * t8848;
  t9803 = t637 * t2327 / 0.12e2;
  t9805 = t637 * t2332 / 0.6e1;
  t9807 = t637 * t2324 / 0.6e1;
  t9809 = t3051 * t2319 / 0.6e1;
  t9811 = t6140 * t2282 / 0.9e1;
  t9813 = t6140 * t2276 / 0.18e2;
  t9820 = t6468 * t2268 / 0.6e1 + t1568 * t9785 / 0.6e1 + t1568 * t8833 / 0.6e1 - t6062 * t2271 / 0.12e2 - t6067 * t2271 / 0.12e2 + t8741 - t8811 - t3061 * t2319 / 0.2e1 - t679 * t9796 / 0.2e1 - t679 * t9799 / 0.2e1 - t9803 + t9805 - t9807 - t9809 + t9811 - t9813 + t1516 * t1290 / 0.4e1 - t1228 * t1556 / 0.2e1 - t1228 * t1560 / 0.4e1;
  t9826 = t6119 * t1255;
  t9827 = t1261 * t9826;
  t9836 = t606 * t2266;
  t9837 = t1261 * t9836;
  t9842 = t4873 * t9757;
  t9845 = t3125 * t65;
  t9846 = t670 * t9745;
  t9847 = t9845 * t9846;
  t9854 = t4877 * t9746;
  t9857 = t9744 * t9846;
  t9860 = t9845 * t9746;
  t9863 = t30 * t6300;
  t9864 = t4996 * t9746;
  t9866 = t4873 * t9846;
  t9869 = -t1516 * t1282 / 0.2e1 - t8829 - t1516 * t1286 / 0.4e1 - t1252 * t9827 / 0.12e2 - t417 * t6503 / 0.12e2 + t6062 * t2282 / 0.3e1 + t6067 * t2282 / 0.3e1 + t1541 * t9837 / 0.3e1 + t1541 * t8980 / 0.3e1 - t6439 * t9842 / 0.12e2 + 0.7e1 / 0.3e1 * t9743 * t9847 + t6439 * t8767 / 0.6e1 - t6439 * t8771 / 0.3e1 - t9743 * t9854 / 0.2e1 + 0.23e2 / 0.36e2 * t9743 * t9857 - 0.11e2 / 0.18e2 * t9743 * t9860 + t9863 * t9864 - 0.2e1 * t9863 * t9866;
  t9870 = t463 * t206;
  t9871 = t3125 * t9870;
  t9872 = t5029 * t9871;
  t9875 = t3164 * t94;
  t9876 = t65 * t9875;
  t9877 = t30 * t9876;
  t9878 = t3168 * t9870;
  t9879 = t5029 * t9878;
  t9882 = t1591 * t8762;
  t9885 = t3130 * t9745;
  t9886 = t6304 * t9885;
  t9889 = t3156 * t9745;
  t9890 = t9744 * t9889;
  t9893 = t689 * t9745;
  t9894 = t6300 * t9893;
  t9897 = t463 * t2105;
  t9898 = t3130 * t9897;
  t9899 = t4985 * t9898;
  t9902 = t1559 * t8963;
  t9909 = t6489 * t2331;
  t9912 = t1547 * t8968;
  t9919 = t6093 * t2323;
  t9922 = t1555 * t8976;
  t9931 = -0.3e1 * t4983 * t9872 + 0.3e1 / 0.2e1 * t9877 * t9879 - t4772 * t9882 / 0.2e1 + 0.3e1 / 0.2e1 * t4772 * t9886 - 0.3e1 / 0.2e1 * t9743 * t9890 - 0.3e1 * t4772 * t9894 + t4983 * t9899 / 0.2e1 - t246 * t9902 / 0.4e1 + t630 * t2332 / 0.2e1 + t608 * t2332 / 0.2e1 + t246 * t9909 / 0.2e1 + t246 * t9912 / 0.2e1 - t630 * t2324 / 0.2e1 - t608 * t2324 / 0.2e1 - t246 * t9919 / 0.2e1 - t246 * t9922 / 0.2e1 - t630 * t2327 / 0.4e1 + t1228 * t1564 / 0.4e1 - t3070 * t2319 / 0.2e1;
  t9934 = t95 * t4986;
  t9935 = t3273 * t9934;
  t9939 = t5234 * t481 / 0.12e2;
  t9946 = t2308 * t243;
  t9947 = t242 * t9946;
  t9948 = t191 * t9947;
  t9957 = t4873 * t9746;
  t9960 = t5175 * t9934;
  t9963 = t6175 * t2318;
  t9966 = t670 * t4986;
  t9967 = t4877 * t9966;
  t9970 = t3264 * t9756;
  t9971 = t4873 * t9970;
  t9975 = t1506 * t2108 / 0.36e2;
  t9977 = t6284 * t2268 / 0.18e2;
  t9978 = -t6454 * t9935 / 0.6e1 + t8874 + t8877 + t9939 + t6439 * t8795 / 0.12e2 - t6454 * t8786 / 0.6e1 - t6451 * t8792 / 0.6e1 + t9948 * t250 / 0.4e1 + t6209 * t432 / 0.4e1 + t6217 * t432 / 0.4e1 - t1242 * t1511 / 0.12e2 + t9863 * t9957 / 0.2e1 + t6439 * t9960 / 0.3e1 - t4993 * t9963 / 0.2e1 - 0.2e1 / 0.3e1 * t6439 * t9967 + t6439 * t9971 / 0.3e1 + t9975 + t9977;
  t9980 = t6140 * t2271 / 0.36e2;
  t9981 = t1254 * t9826;
  t9984 = t1514 * t1255;
  t9985 = t1261 * t9984;
  t9994 = t3121 * t3123;
  t9995 = t6303 * t9994;
  t9996 = t62 * t414;
  t9997 = t9996 * t206;
  t9998 = t802 * t9997;
  t10001 = t3077 * t658;
  t10002 = t1590 * t10001;
  t10003 = t815 * t9997;
  t10006 = t3580 * t9997;
  t10011 = t9996 * t794;
  t10012 = t815 * t10011;
  t10017 = t802 * t10011;
  t10022 = 0.6e1 * t9995 * t9998 - 0.12e2 * t10002 * t10003 - 0.2e1 / 0.3e1 * t9995 * t10006 - 0.2e1 * t6341 * t9001 - 0.4e1 * t6341 * t10012 + 0.2e1 * t10002 * t9998 + 0.2e1 / 0.3e1 * t6341 * t10017 + t9022 - t9047 - t9048 - t9050 - t1591 * t9005 + t6329 * t2302;
  t10028 = t2298 * t794;
  t10029 = t3556 * t10028;
  t10038 = t1327 * t414;
  t10039 = t3125 * t10038;
  t10042 = t689 * t10038;
  t10046 = t3130 * t10038;
  t10050 = t1587 * t9010 + t1585 * t2142 / 0.2e1 - t1587 * t9062 - t470 * t9065 + 0.2e1 * t1591 * t10029 - 0.2e1 / 0.3e1 * t1591 * t9054 + 0.2e1 * t6335 * t2295 + 0.2e1 * t1591 * t9057 + 0.1e2 / 0.3e1 * t6304 * t10039 + 0.6e1 * t6300 * t10042 + t1591 * t9017 - 0.3e1 * t6304 * t10046 - t470 * t9052;
  t10052 = t3168 * t10038;
  t10056 = t3130 * t10028;
  t10059 = t229 * t10038;
  t10062 = t788 * t10028;
  t10068 = t683 * t10038;
  t10080 = t6304 * t10052 / 0.18e2 - t1585 * t2129 - 0.4e1 / 0.3e1 * t1591 * t10056 - 0.3e1 * t6309 * t10059 - t1587 * t10062 - 0.2e1 * t6329 * t2288 - 0.2e1 * t1587 * t9069 - 0.4e1 * t6300 * t10068 - t6335 * t2291 / 0.3e1 - t1591 * t9035 / 0.3e1 + t470 * t9110 / 0.2e1 - t6335 * t2306 + 0.2e1 / 0.3e1 * t6335 * t2299;
  t10083 = t3590 * t9997;
  t10088 = t469 * t9081;
  t10093 = t3259 * t218;
  t10094 = t469 * t10093;
  t10095 = t233 * t9997;
  t10098 = t233 * t10011;
  t10101 = 0.2e1 / 0.3e1 * t1591 * t9116 - t2138 + t9091 + t9093 - t9100 + t9121 - t9995 * t10083 / 0.9e1 + 0.2e1 * t6344 * t9078 + 0.2e1 * t10088 * t9084 + t6341 * t9087 / 0.3e1 + 0.6e1 * t10094 * t10095 + 0.2e1 * t6344 * t10098 + t2119;
  t10103 = t10022 + t10050 + t10080 + t10101;
  t10104 = t59 * t10103;
  t10105 = t10104 * t95;
  t10109 = t188 * t2310 / 0.12e2;
  t10110 = t4877 * t9934;
  t10113 = t683 * t9870;
  t10114 = t5037 * t10113;
  t10117 = t1319 * t6433;
  t10119 = t229 * t9745;
  t10120 = t6309 * t10119;
  t10123 = t788 * t4986;
  t10124 = t1587 * t10123;
  t10127 = t6169 * t2323;
  t10130 = -t9980 - t1252 * t9981 / 0.6e1 + t1252 * t9985 / 0.3e1 - t6411 * t1270 / 0.2e1 + t1516 * t1275 / 0.2e1 - t5286 * t1548 / 0.2e1 - t8896 - t8900 - t30 * t10105 / 0.4e1 - t10109 + t6439 * t10110 / 0.6e1 + t8913 + t8915 - t8939 + 0.3e1 * t4983 * t10114 + t4983 * t10117 + 0.3e1 / 0.2e1 * t4772 * t10120 + t4772 * t10124 / 0.2e1 - t3266 * t10127 / 0.2e1;
  t10144 = t1254 * t9784;
  t10155 = t30 * t6309;
  t10156 = t4762 * t9746;
  t10159 = t2309 * t277;
  t10163 = t6226 * t432 / 0.12e2;
  t10165 = t1218 * t1511 / 0.36e2;
  t10167 = t1506 * t1223 / 0.36e2;
  t10168 = -t8952 + t8954 + t8974 + t1529 * t2108 / 0.12e2 + t1534 * t2108 / 0.12e2 + t466 * t8658 / 0.12e2 + t466 * t8691 / 0.12e2 - t6062 * t2276 / 0.6e1 - t6067 * t2276 / 0.6e1 - t1541 * t10144 / 0.6e1 + t6464 * t2268 / 0.6e1 + t1516 * t1239 / 0.4e1 + t5277 * t481 / 0.4e1 - t182 * t2310 / 0.4e1 - t10155 * t10156 / 0.2e1 - t30 * t10159 / 0.4e1 + t10163 - t10165 - t10167;
  t10169 = t4996 * t9757;
  t10172 = t843 * t9826;
  t10187 = t1261 * t9784;
  t10198 = t222 * t2310;
  t10211 = -t6439 * t10169 / 0.6e1 + t1294 * t10172 / 0.6e1 + t417 * t6121 / 0.12e2 - t1541 * t8696 / 0.6e1 + t1568 * t8987 / 0.6e1 + t466 * t4754 / 0.12e2 - t1541 * t8992 / 0.12e2 - t466 * t4750 / 0.12e2 - t1541 * t10187 / 0.12e2 - t1541 * t8703 / 0.12e2 + t6451 * t8800 / 0.12e2 + t5266 * t481 / 0.4e1 + t1228 * t1526 / 0.4e1 - t211 * t10198 / 0.12e2 - t1247 * t1511 / 0.12e2 - t417 * t6212 / 0.12e2 - t1529 * t1223 / 0.12e2 - t1534 * t1223 / 0.12e2 - t466 * t5261 / 0.12e2;
  t10215 = my_piecewise3(t2, 0, t9781 + t9820 + t9869 + t9931 + t9978 + t10130 + t10168 + t10211);
  tv3rhosigmalapl0 = t3 * t10215 + t2336;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 0] += tv3rhosigmalapl0;

  tv3rhosigmalapl1 = 0.e0;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 1] += tv3rhosigmalapl1;

  tv3rhosigmalapl2 = 0.e0;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 2] += tv3rhosigmalapl2;

  tv3rhosigmalapl3 = 0.e0;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 3] += tv3rhosigmalapl3;

  tv3rhosigmalapl4 = 0.e0;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 4] += tv3rhosigmalapl4;

  t10226 = t1354 * t1642 / 0.36e2;
  t10228 = t6715 * t457 / 0.12e2;
  t10230 = t1618 * t1378 / 0.36e2;
  t10232 = t5484 * t505 / 0.12e2;
  t10241 = -t9147 - t9168 + t9172 + t9195 - t945 * t2398 / 0.4e1 + t945 * t2403 / 0.2e1 - t945 * t2395 / 0.2e1 - t3971 * t2390 / 0.2e1 - t10226 + t10228 - t10230 + t10232 + t6700 * t457 / 0.4e1 - t1615 * t1378 / 0.12e2 - t1351 * t1642 / 0.12e2 + t5449 * t505 / 0.4e1;
  t10243 = t948 * t2398 / 0.12e2;
  t10245 = t4005 * t2390 / 0.6e1;
  t10247 = t6647 * t2347 / 0.18e2;
  t10249 = t6647 * t2353 / 0.9e1;
  t10251 = t1618 * t2199 / 0.36e2;
  t10253 = t6668 * t2339 / 0.18e2;
  t10255 = t6647 * t2342 / 0.36e2;
  t10267 = t948 * t2403 / 0.6e1;
  t10269 = t948 * t2395 / 0.6e1;
  t10273 = t294 * t2381 / 0.12e2;
  t10274 = -t10243 - t10245 - t10247 + t10249 + t10251 + t10253 - t10255 + t6640 * t2353 / 0.3e1 + t1615 * t2199 / 0.12e2 - t6640 * t2347 / 0.6e1 + t6657 * t2339 / 0.6e1 - t6640 * t2342 / 0.12e2 + t10267 - t10269 - t290 * t2381 / 0.4e1 - t10273;
  t10276 = my_piecewise3(t100, 0, t10241 + t10274);
  tv3rhosigmalapl5 = t3 * t10276 + t2407;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 5] += tv3rhosigmalapl5;

  t10288 = -t9224 + t9234 - t8624 + t8645 - t9803 + t9805 - t9807 - t9809 + t9811 - t9813 - t1368 * t1511 / 0.12e2 + t6585 * t432 / 0.4e1 + t5384 * t481 / 0.4e1 - t1632 * t1223 / 0.12e2 + t9939 + t6542 * t2282 / 0.3e1;
  t10307 = t1632 * t2108 / 0.12e2 - t6542 * t2276 / 0.6e1 + t6561 * t2268 / 0.6e1 - t6542 * t2271 / 0.12e2 + t9975 + t9977 - t9980 - t10109 - t307 * t2310 / 0.4e1 + t10163 - t10165 - t10167 - t903 * t2327 / 0.4e1 + t903 * t2332 / 0.2e1 - t903 * t2324 / 0.2e1 - t3740 * t2319 / 0.2e1;
  t10309 = my_piecewise3(t2, 0, t10288 + t10307);
  tv3rhosigmalapl6 = t3 * t10309 + t2336;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 6] += tv3rhosigmalapl6;

  tv3rhosigmalapl7 = 0.e0;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 7] += tv3rhosigmalapl7;

  tv3rhosigmalapl8 = 0.e0;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 8] += tv3rhosigmalapl8;

  tv3rhosigmalapl9 = 0.e0;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 9] += tv3rhosigmalapl9;

  tv3rhosigmalapl10 = 0.e0;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 10] += tv3rhosigmalapl10;

  t10321 = t1056 * t2337;
  t10322 = t1430 * t10321;
  t10325 = t6801 * t2389;
  t10328 = t1674 * t9311;
  t10337 = -t2180 + t2251 - t9281 + t9283 + t9307 - t9147 + t9172 - t442 * t6812 / 0.12e2 - t1683 * t9734 / 0.12e2 - t490 * t5607 / 0.12e2 + t6804 * t2353 / 0.3e1 + t6808 * t2353 / 0.3e1 + t1683 * t10322 / 0.3e1 - t1029 * t10325 / 0.2e1 - t1029 * t10328 / 0.2e1 - t1647 * t1439 / 0.2e1 - t1647 * t1443 / 0.4e1 + t1647 * t1447 / 0.4e1;
  t10338 = t6755 * t1424;
  t10339 = t1101 * t10338;
  t10344 = t1430 * t10338;
  t10357 = t110 * t7093;
  t10358 = t4609 * t145;
  t10359 = t439 * t333;
  t10360 = t168 * t10359;
  t10361 = t10358 * t10360;
  t10364 = t403 * t439;
  t10365 = t380 * t10364;
  t10366 = t5695 * t10365;
  t10373 = t168 * t5642;
  t10374 = t5674 * t10373;
  t10377 = t5679 * t10365;
  t10380 = t1716 * t9453;
  t10383 = t487 * t333;
  t10384 = t1033 * t10383;
  t10385 = t5868 * t10384;
  t10388 = t1476 * t6833;
  t10390 = t6827 * t2389;
  t10393 = t1018 * t5642;
  t10394 = t5691 * t10393;
  t10397 = t1451 * t10339 / 0.6e1 + t442 * t6757 / 0.12e2 - t1421 * t10344 / 0.12e2 - t1383 * t1690 / 0.2e1 - t1383 * t1694 / 0.4e1 + t1383 * t1698 / 0.4e1 - t4204 * t2390 / 0.2e1 - t4188 * t2390 / 0.2e1 - 0.5e1 / 0.36e2 * t10357 * t10361 - t6769 * t10366 / 0.12e2 - t6764 * t9457 / 0.6e1 + t6772 * t9441 / 0.12e2 + t6769 * t10374 / 0.3e1 - t6769 * t10377 / 0.6e1 + t5665 * t10380 / 0.2e1 + 0.3e1 * t5639 * t10385 + t5639 * t10388 - t5649 * t10390 / 0.2e1 - 0.2e1 / 0.3e1 * t6769 * t10394;
  t10399 = t4693 * t10364;
  t10400 = t5695 * t10399;
  t10421 = t349 * t2381;
  t10424 = t2379 * t370;
  t10425 = t369 * t10424;
  t10426 = t321 * t10425;
  t10435 = t6769 * t10400 / 0.3e1 - t1660 * t1378 / 0.12e2 - t1665 * t1378 / 0.12e2 - t490 * t5809 / 0.12e2 - t1397 * t1642 / 0.12e2 - t1402 * t1642 / 0.12e2 + t5797 * t505 / 0.4e1 + t5814 * t505 / 0.4e1 - t442 * t7018 / 0.12e2 + t1383 * t1657 / 0.4e1 - t338 * t10421 / 0.12e2 + t10426 * t377 / 0.4e1 + t6965 * t457 / 0.4e1 + t6960 * t457 / 0.4e1 + t1647 * t1394 / 0.4e1 - t9408 - t9412 + t9416;
  t10436 = t4191 * t10359;
  t10437 = t10358 * t10436;
  t10440 = t110 * t7089;
  t10441 = t5679 * t10360;
  t10443 = t1018 * t10359;
  t10444 = t5695 * t10443;
  t10447 = t4619 * t145;
  t10448 = t10447 * t10360;
  t10451 = t10358 * t10443;
  t10456 = -0.3e1 / 0.2e1 * t10357 * t10437 + t10440 * t10441 - 0.2e1 * t10440 * t10444 - 0.11e2 / 0.18e2 * t10357 * t10448 + 0.23e2 / 0.36e2 * t10357 * t10451 - t10226 + t10228 - t10230 + t10232 - t10243 - t10245 - t10247 + t10249 + t10251 + t10253 - t10255 + t10267 - t10269 - t6804 * t2342 / 0.12e2;
  t10461 = t4440 * t2337;
  t10462 = t1430 * t10461;
  t10477 = t6827 * t2402;
  t10480 = t494 * t9463;
  t10483 = t6760 * t2257;
  t10486 = t4626 * t5642;
  t10487 = t1720 * t10486;
  t10489 = t356 * t10359;
  t10490 = t7086 * t10489;
  t10493 = t1165 * t5642;
  t10494 = t1716 * t10493;
  t10497 = t6841 * t2394;
  t10500 = t4687 * t10373;
  t10503 = t1720 * t9335;
  t10506 = t4572 * t10359;
  t10507 = t7093 * t10506;
  t10510 = -t6808 * t2342 / 0.12e2 - t1683 * t10462 / 0.12e2 - t1683 * t9300 / 0.12e2 + t1660 * t2199 / 0.12e2 + t1665 * t2199 / 0.12e2 + t490 * t9422 / 0.12e2 + t6896 * t2339 / 0.6e1 + t6900 * t2339 / 0.6e1 + t4695 * t10477 / 0.2e1 + t5665 * t10480 / 0.2e1 - t4695 * t10483 / 0.4e1 - t5665 * t10487 + 0.3e1 / 0.2e1 * t5665 * t10490 + t5665 * t10494 / 0.2e1 - t4695 * t10497 / 0.2e1 - t6764 * t10500 / 0.6e1 - t5665 * t10503 / 0.2e1 + 0.3e1 / 0.2e1 * t5665 * t10507;
  t10511 = t4715 * t167;
  t10512 = t145 * t10511;
  t10513 = t110 * t10512;
  t10514 = t4609 * t10383;
  t10515 = t5860 * t10514;
  t10518 = t6801 * t2402;
  t10521 = t1674 * t9489;
  t10526 = t4619 * t10383;
  t10527 = t5860 * t10526;
  t10530 = t1038 * t10359;
  t10531 = t7089 * t10530;
  t10534 = t487 * t2196;
  t10535 = t4572 * t10534;
  t10536 = t5641 * t10535;
  t10543 = t5691 * t10360;
  t10546 = t10447 * t10443;
  t10549 = t2380 * t404;
  t10552 = t1423 * t10338;
  t10555 = t1645 * t1424;
  t10556 = t1430 * t10555;
  t10563 = 0.3e1 / 0.2e1 * t10513 * t10515 + t9482 - t9485 - t9487 + t373 * t10518 / 0.2e1 + t373 * t10521 / 0.2e1 - t1058 * t2395 / 0.2e1 - 0.3e1 * t5639 * t10527 - 0.3e1 * t5665 * t10531 + t5639 * t10536 / 0.2e1 + t6769 * t9332 / 0.6e1 - t6769 * t9328 / 0.3e1 - t10357 * t10543 / 0.2e1 + 0.7e1 / 0.3e1 * t10357 * t10546 - t110 * t10549 / 0.4e1 - t1421 * t10552 / 0.6e1 + t1421 * t10556 / 0.3e1 - t6955 * t1411 / 0.2e1 + t1647 * t1416 / 0.2e1;
  t10583 = t1423 * t10461;
  t10592 = t1101 * t10461;
  t10597 = -t5792 * t1675 / 0.2e1 + t1383 * t1679 / 0.2e1 - t1683 * t9274 / 0.6e1 + t1683 * t9249 / 0.3e1 - t318 * t2381 / 0.4e1 + t9535 + t9543 - t9546 - t9548 + t1683 * t9347 / 0.3e1 + t490 * t9427 / 0.12e2 - t6804 * t2347 / 0.6e1 - t6808 * t2347 / 0.6e1 - t1683 * t10583 / 0.6e1 - t1683 * t9350 / 0.6e1 + t1702 * t9729 / 0.6e1 + t490 * t5555 / 0.12e2 + t1702 * t10592 / 0.6e1 + t1702 * t9430 / 0.6e1;
  t10603 = t142 * t439;
  t10604 = t10603 * t1082;
  t10605 = t360 * t10604;
  t10608 = t4214 * t1006;
  t10609 = t1719 * t10608;
  t10610 = t10603 * t333;
  t10611 = t1173 * t10610;
  t10614 = t1173 * t10604;
  t10617 = t4607 * t4147;
  t10618 = t7092 * t10617;
  t10619 = t4599 * t10610;
  t10626 = -t9586 - t9610 - t9611 + t9635 - t494 * t9627 - 0.2e1 / 0.3e1 * t1720 * t9629 + 0.2e1 * t7081 * t2366 + 0.2e1 * t7147 * t10605 + 0.2e1 * t10609 * t10611 + 0.2e1 / 0.3e1 * t7150 * t10614 - 0.2e1 / 0.3e1 * t10618 * t10619 - 0.2e1 * t7150 * t9568 + 0.6e1 * t10618 * t10611;
  t10627 = t1186 * t10610;
  t10636 = t1484 * t439;
  t10637 = t4619 * t10636;
  t10640 = t2369 * t1082;
  t10641 = t4572 * t10640;
  t10644 = t356 * t10636;
  t10651 = t1033 * t10636;
  t10657 = -0.12e2 * t10609 * t10627 + t9669 - t7081 * t2362 / 0.3e1 - t1720 * t9596 / 0.3e1 + 0.2e1 * t1720 * t9612 + 0.1e2 / 0.3e1 * t7093 * t10637 - 0.4e1 / 0.3e1 * t1720 * t10641 - 0.3e1 * t7086 * t10644 - 0.2e1 * t7075 * t2359 - 0.2e1 * t1716 * t9623 - 0.4e1 * t7089 * t10651 + t494 * t9652 / 0.2e1 - t7081 * t2377;
  t10669 = t4586 * t10610;
  t10674 = t493 * t9577;
  t10679 = 0.2e1 / 0.3e1 * t7081 * t2370 + 0.2e1 / 0.3e1 * t1720 * t9662 - t1720 * t9670 + t7075 * t2373 + t1716 * t9678 + t1714 * t2233 / 0.2e1 - t1714 * t2220 + t9675 + t9677 - t10618 * t10669 / 0.9e1 + 0.2e1 * t7147 * t9574 + 0.2e1 * t10674 * t9580 + t7150 * t9571 / 0.3e1;
  t10680 = t1186 * t10604;
  t10683 = t4208 * t345;
  t10684 = t493 * t10683;
  t10685 = t360 * t10610;
  t10688 = t4572 * t10636;
  t10691 = t1038 * t10636;
  t10695 = t1165 * t10640;
  t10699 = t4626 * t10640;
  t10702 = t4609 * t10636;
  t10705 = -0.4e1 * t7150 * t10680 + 0.6e1 * t10684 * t10685 - t9683 - 0.3e1 * t7093 * t10688 + 0.6e1 * t7089 * t10691 + t1720 * t9632 - t1716 * t10695 - t1716 * t9618 - t494 * t9621 + 0.2e1 * t1720 * t10699 + t7093 * t10702 / 0.18e2 - t2229 + t2210;
  t10707 = t10626 + t10657 + t10679 + t10705;
  t10708 = t139 * t10707;
  t10709 = t10708 * t168;
  t10716 = t5695 * t10360;
  t10719 = t6005 * t10365;
  t10722 = t5691 * t10373;
  t10725 = t110 * t7086;
  t10726 = t6005 * t10360;
  t10729 = t6870 * t2394;
  t10732 = t1689 * t9498;
  t10739 = t6974 * t2257;
  t10742 = t1693 * t9401;
  t10751 = -t9710 + t9713 - t110 * t10709 / 0.4e1 - t10273 - t6772 * t9447 / 0.6e1 + t6769 * t9450 / 0.12e2 + t10440 * t10716 / 0.2e1 + t6764 * t10719 / 0.6e1 + t6769 * t10722 / 0.6e1 - t10725 * t10726 / 0.2e1 - t373 * t10729 / 0.2e1 - t373 * t10732 / 0.2e1 - t1070 * t2398 / 0.4e1 - t1058 * t2398 / 0.4e1 - t373 * t10739 / 0.4e1 - t373 * t10742 / 0.4e1 + t1070 * t2403 / 0.2e1 + t1058 * t2403 / 0.2e1 - t1070 * t2395 / 0.2e1;
  t10755 = my_piecewise3(t100, 0, t10337 + t10397 + t10435 + t10456 + t10510 + t10563 + t10597 + t10751);
  tv3rhosigmalapl11 = t3 * t10755 + t2407;

  if(out->v3rhosigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmalapl[ip*p->dim.v3rhosigmalapl + 11] += tv3rhosigmalapl11;

  t10757 = t30 * t7686;
  t10775 = t2435 * t243;
  t10776 = t242 * t10775;
  t10777 = t191 * t10776;
  t10799 = t637 * t2453 / 0.6e1;
  t10800 = t10777 * t250 / 0.4e1 + t7592 * t432 / 0.4e1 + t7600 * t432 / 0.4e1 - t1779 * t10187 / 0.12e2 - t1779 * t8703 / 0.12e2 + t1750 * t2108 / 0.12e2 + t1755 * t2108 / 0.12e2 + t515 * t8658 / 0.12e2 + t7742 * t2268 / 0.6e1 + t7746 * t2268 / 0.6e1 + t10799;
  t10803 = t1218 * t1807 / 0.36e2;
  t10808 = t222 * t2437;
  t10813 = t7213 * t1255;
  t10814 = t1254 * t10813;
  t10817 = t1768 * t1255;
  t10818 = t1261 * t10817;
  t10829 = -t10803 + t5266 * t530 / 0.4e1 + t1228 * t1747 / 0.4e1 - t211 * t10808 / 0.12e2 - 0.2e1 / 0.3e1 * t7251 * t9967 - t1252 * t10814 / 0.6e1 + t1252 * t10818 / 0.3e1 - t7587 * t1270 / 0.2e1 + t1770 * t1275 / 0.2e1 - t5286 * t1785 / 0.2e1 + t1228 * t1788 / 0.2e1;
  t10832 = t1872 * t10123;
  t10835 = t7449 * t2323;
  t10838 = t30 * t7680;
  t10841 = t7690 * t10119;
  t10847 = t188 * t2437 / 0.12e2;
  t10848 = -t1779 * t8749 / 0.6e1 + t4772 * t10832 / 0.2e1 - t3266 * t10835 / 0.2e1 - 0.2e1 * t10838 * t9866 + 0.3e1 / 0.2e1 * t4772 * t10841 - t182 * t2437 / 0.4e1 - t10847 - t8624 + t8645 - t8647 - t8720;
  t10856 = t7351 * t1278;
  t10857 = t10856 * t1281;
  t10860 = t1872 * t8774;
  t10863 = t519 * t8779;
  t10866 = t7361 * t2166;
  t10873 = t10838 * t9864 + 0.7e1 / 0.3e1 * t10757 * t9847 - t10757 * t9854 / 0.2e1 - t3266 * t10857 / 0.2e1 + t8741 + t4772 * t10860 / 0.2e1 + t4772 * t10863 / 0.2e1 - t3266 * t10866 / 0.4e1 - t7251 * t9842 / 0.12e2 - t8811 + t7251 * t9960 / 0.3e1;
  t10878 = t7351 * t415;
  t10879 = t10878 * t826;
  t10882 = t543 * t206;
  t10883 = t253 * t10882;
  t10884 = t4873 * t10883;
  t10890 = t3051 * t2444 / 0.6e1;
  t10892 = t7276 * t2282 / 0.9e1;
  t10894 = t7276 * t2276 / 0.18e2;
  t10896 = t1760 * t2108 / 0.36e2;
  t10898 = t7276 * t2271 / 0.36e2;
  t10899 = t7251 * t10110 / 0.6e1 - 0.5e1 / 0.36e2 * t10757 * t9747 - t3266 * t10879 / 0.4e1 - t8829 - t4872 * t10884 / 0.12e2 + t4882 * t7358 / 0.12e2 - t10890 + t10892 - t10894 + t10896 - t10898;
  t10902 = t7183 * t2268 / 0.18e2;
  t10905 = t1319 * t7461;
  t10907 = t7457 * t2318;
  t10910 = t512 * t206;
  t10911 = t683 * t10910;
  t10912 = t5037 * t10911;
  t10927 = t10902 + t1779 * t8753 / 0.3e1 + t4983 * t10905 - t4993 * t10907 / 0.2e1 + 0.3e1 * t4983 * t10912 + t608 * t2453 / 0.2e1 - t630 * t2447 / 0.2e1 - t1228 * t1793 / 0.2e1 - t1228 * t1798 / 0.4e1 + t1228 * t1802 / 0.4e1 - t3070 * t2444 / 0.2e1;
  t10930 = t7384 * t2318;
  t10933 = t1784 * t8848;
  t10938 = t7510 * t2323;
  t10941 = t1792 * t8976;
  t10948 = t7525 * t2166;
  t10951 = t1797 * t8963;
  t10956 = -t3061 * t2444 / 0.2e1 - t679 * t10930 / 0.2e1 - t679 * t10933 / 0.2e1 - t608 * t2447 / 0.2e1 - t246 * t10938 / 0.2e1 - t246 * t10941 / 0.2e1 - t630 * t2450 / 0.4e1 - t608 * t2450 / 0.4e1 - t246 * t10948 / 0.4e1 - t246 * t10951 / 0.4e1 + t630 * t2453 / 0.2e1;
  t10964 = t4748 * t1805;
  t10965 = t843 * t10964;
  t10975 = t637 * t2462 / 0.12e2;
  t10985 = t843 * t10813;
  t10990 = t1261 * t10813;
  t10994 = t7400 * t420 * t249;
  t10998 = t1805 * t1310 * t249;
  t11001 = t7384 * t2331;
  t11004 = t1784 * t8968;
  t11013 = t1770 * t1290 / 0.4e1 + t1294 * t10985 / 0.6e1 + t417 * t7215 / 0.12e2 - t1252 * t10990 / 0.12e2 + t246 * t10994 / 0.4e1 + t246 * t10998 / 0.4e1 + t246 * t11001 / 0.2e1 + t246 * t11004 / 0.2e1 - t1242 * t1807 / 0.12e2 - t1247 * t1807 / 0.12e2 + t7254 * t9758 / 0.6e1;
  t11019 = t30 * t7690;
  t11034 = -t7254 * t9935 / 0.6e1 + t10838 * t9957 / 0.2e1 - t11019 * t10156 / 0.2e1 - t7254 * t8786 / 0.6e1 - t7248 * t8792 / 0.6e1 + t8874 + t8877 - t1779 * t10144 / 0.6e1 - t1779 * t8696 / 0.6e1 + t1815 * t8987 / 0.6e1 + t515 * t4754 / 0.12e2;
  t11044 = t5234 * t530 / 0.12e2;
  t11046 = t7611 * t432 / 0.12e2;
  t11055 = t2436 * t277;
  t11058 = t1815 * t9785 / 0.6e1 + t1815 * t8833 / 0.6e1 - t7228 * t2271 / 0.12e2 - t7233 * t2271 / 0.12e2 + t11044 + t11046 - t1242 * t1765 / 0.12e2 - t1247 * t1765 / 0.12e2 + t7251 * t8795 / 0.12e2 + t7248 * t8800 / 0.12e2 - t30 * t11055 / 0.4e1;
  t11061 = t427 * t1855;
  t11072 = t7685 * t9994;
  t11079 = t1875 * t10001;
  t11089 = 0.2e1 / 0.3e1 * t7665 * t2299 + 0.2e1 / 0.3e1 * t1876 * t9116 + t7670 * t2302 + t1872 * t9010 + 0.2e1 * t7655 * t10098 - 0.2e1 / 0.3e1 * t11072 * t10006 - 0.2e1 * t7651 * t9001 + 0.6e1 * t11072 * t9998 - 0.12e2 * t11079 * t10003 - t519 * t9052 - 0.2e1 / 0.3e1 * t1876 * t9054 + 0.2e1 * t7665 * t2295 + 0.2e1 * t1876 * t9057;
  t11113 = 0.1e2 / 0.3e1 * t7686 * t10039 - 0.4e1 / 0.3e1 * t1876 * t10056 - 0.2e1 * t7670 * t2288 - 0.3e1 * t7690 * t10059 - t1872 * t10062 - t1872 * t9062 - t519 * t9065 + 0.2e1 * t1876 * t10029 - 0.2e1 * t1872 * t9069 - 0.4e1 * t7680 * t10068 - t7665 * t2291 / 0.3e1 - t1876 * t9035 / 0.3e1 + t7686 * t10052 / 0.18e2;
  t11129 = -t1870 * t2129 - 0.3e1 * t7686 * t10046 + 0.6e1 * t7680 * t10042 + t1876 * t9017 + t1870 * t2142 / 0.2e1 + t519 * t9110 / 0.2e1 - t7665 * t2306 - t1876 * t9005 + t9022 - t9047 - t9048 - t9050 - 0.4e1 * t7651 * t10012;
  t11138 = t518 * t9081;
  t11143 = t518 * t10093;
  t11146 = 0.2e1 * t11079 * t9998 + 0.2e1 / 0.3e1 * t7651 * t10017 - t11072 * t10083 / 0.9e1 + 0.2e1 * t7655 * t9078 + 0.2e1 * t11138 * t9084 + t7651 * t9087 / 0.3e1 + 0.6e1 * t11143 * t10095 - t2138 + t9091 + t9093 - t9100 + t9121 + t2119;
  t11148 = t11089 + t11113 + t11129 + t11146;
  t11149 = t59 * t11148;
  t11150 = t11149 * t95;
  t11153 = t1341 * t544;
  t11159 = t188 * t2458 / 0.12e2;
  t11161 = t637 * t2450 / 0.12e2;
  t11163 = t637 * t2447 / 0.6e1;
  t11164 = t7457 * t2331;
  t11167 = t4762 * t10883;
  t11170 = -t30 * t11061 / 0.4e1 - t30 * t11150 / 0.4e1 - t30 * t11153 / 0.4e1 - t182 * t2458 / 0.4e1 - t11159 - t11161 - t11163 - t8896 - t8900 + t3266 * t11164 / 0.2e1 + t4761 * t11167 / 0.6e1;
  t11171 = t1876 * t9770;
  t11180 = t1218 * t1765 / 0.36e2;
  t11181 = t8913 + t8915 - t8939 - t8952 + t8954 - t4772 * t11171 + t8974 + t7251 * t8767 / 0.6e1 - t7251 * t8771 / 0.3e1 + t7251 * t9971 / 0.3e1 - t11180;
  t11184 = t1760 * t1223 / 0.36e2;
  t11205 = -t11184 - t417 * t7262 / 0.12e2 - t1779 * t8992 / 0.12e2 - t515 * t4750 / 0.12e2 + t7228 * t2282 / 0.3e1 + t7233 * t2282 / 0.3e1 + t1779 * t9837 / 0.3e1 + t1779 * t8980 / 0.3e1 + t515 * t8691 / 0.12e2 - t7228 * t2276 / 0.6e1 - t7233 * t2276 / 0.6e1;
  t11206 = t512 * t2105;
  t11207 = t3130 * t11206;
  t11208 = t4985 * t11207;
  t11211 = t1876 * t8762;
  t11214 = t7686 * t9885;
  t11217 = t4996 * t10883;
  t11220 = t3264 * t10882;
  t11221 = t4873 * t11220;
  t11224 = t543 * t648;
  t11225 = t11224 * t1250;
  t11226 = t11225 * t1269;
  t11231 = t3168 * t10910;
  t11232 = t5029 * t11231;
  t11235 = t3125 * t10910;
  t11236 = t5029 * t11235;
  t11239 = t7680 * t9893;
  t11242 = t11225 * t1274;
  t11245 = t4983 * t11208 / 0.2e1 - t4772 * t11211 / 0.2e1 + 0.3e1 / 0.2e1 * t4772 * t11214 - t4872 * t11217 / 0.6e1 + t4872 * t11221 / 0.3e1 - t4993 * t11226 / 0.2e1 - 0.3e1 / 0.2e1 * t10757 * t9890 + 0.3e1 / 0.2e1 * t9877 * t11232 - 0.3e1 * t4983 * t11236 - 0.3e1 * t4772 * t11239 + t3266 * t11242 / 0.2e1;
  t11250 = my_piecewise3(t2, 0, -t1770 * t1282 / 0.2e1 - t1770 * t1286 / 0.4e1 - t417 * t7374 / 0.12e2 - t417 * t7402 / 0.12e2 - t211 * t10965 / 0.12e2 + t1228 * t1811 / 0.4e1 + t630 * t2462 / 0.4e1 + t5277 * t530 / 0.4e1 - t417 * t7606 / 0.12e2 - t1750 * t1223 / 0.12e2 - t1755 * t1223 / 0.12e2 - t515 * t5261 / 0.12e2 - 0.11e2 / 0.18e2 * t10757 * t9860 + 0.23e2 / 0.36e2 * t10757 * t9857 + t1770 * t1239 / 0.4e1 + t608 * t2462 / 0.4e1 - t7251 * t10169 / 0.6e1 + t10927 + t10848 + t11170 + t10975 + t2160 + t11181 + t10800 + t10956 + t10873 + t11245 + t10829 + t11058 + t11034 + t10899 - t2089 + t11205 + t11013);
  tv3rhosigmatau0 = t3 * t11250 + t2466;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 0] += tv3rhosigmatau0;

  tv3rhosigmatau1 = 0.e0;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 1] += tv3rhosigmatau1;

  tv3rhosigmatau2 = 0.e0;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 2] += tv3rhosigmatau2;

  tv3rhosigmatau3 = 0.e0;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 3] += tv3rhosigmatau3;

  tv3rhosigmatau4 = 0.e0;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 4] += tv3rhosigmatau4;

  t11253 = t1905 * t1378 / 0.36e2;
  t11255 = t7997 * t457 / 0.12e2;
  t11257 = t5484 * t570 / 0.12e2;
  t11259 = t1354 * t1951 / 0.36e2;
  t11273 = t948 * t2512 / 0.6e1;
  t11275 = t948 * t2509 / 0.12e2;
  t11277 = t948 * t2506 / 0.6e1;
  t11279 = t4005 * t2503 / 0.6e1;
  t11281 = t7911 * t2353 / 0.9e1;
  t11282 = -t11253 + t11255 + t11257 - t11259 - t9147 - t9168 + t9172 + t9195 + t945 * t2521 / 0.4e1 + t945 * t2512 / 0.2e1 - t1351 * t1965 / 0.12e2 - t945 * t2506 / 0.2e1 - t945 * t2509 / 0.4e1 - t3971 * t2503 / 0.2e1 + t11273 - t11275 - t11277 - t11279 + t11281;
  t11284 = t1905 * t2199 / 0.36e2;
  t11286 = t7911 * t2347 / 0.18e2;
  t11288 = t7953 * t2339 / 0.18e2;
  t11290 = t7911 * t2342 / 0.36e2;
  t11302 = t948 * t2521 / 0.12e2;
  t11304 = t1354 * t1965 / 0.36e2;
  t11308 = t294 * t2517 / 0.12e2;
  t11310 = t294 * t2496 / 0.12e2;
  t11321 = t11284 - t11286 + t11288 - t11290 + t7921 * t2353 / 0.3e1 - t7921 * t2347 / 0.6e1 - t7921 * t2342 / 0.12e2 + t1902 * t2199 / 0.12e2 + t7916 * t2339 / 0.6e1 + t11302 - t11304 - t290 * t2517 / 0.4e1 - t11308 - t11310 - t290 * t2496 / 0.4e1 + t5449 * t570 / 0.4e1 - t1902 * t1378 / 0.12e2 - t1351 * t1951 / 0.12e2 + t8016 * t457 / 0.4e1;
  t11323 = my_piecewise3(t100, 0, t11282 + t11321);
  tv3rhosigmatau5 = t3 * t11323 + t2525;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 5] += tv3rhosigmatau5;

  t11337 = t10799 - t10803 + t7869 * t432 / 0.4e1 - t10847 - t9224 + t9234 - t8624 + t8645 + t903 * t2453 / 0.2e1 - t1368 * t1807 / 0.12e2 - t903 * t2450 / 0.4e1 - t903 * t2447 / 0.2e1 - t3740 * t2444 / 0.2e1 - t10890 + t10892 - t10894 + t10896 - t10898 + t10902;
  t11360 = t10975 + t5384 * t530 / 0.4e1 - t1923 * t1223 / 0.12e2 - t1368 * t1765 / 0.12e2 + t11044 + t11046 + t7820 * t2282 / 0.3e1 - t7820 * t2276 / 0.6e1 - t7820 * t2271 / 0.12e2 + t1923 * t2108 / 0.12e2 + t7825 * t2268 / 0.6e1 + t903 * t2462 / 0.4e1 - t307 * t2458 / 0.4e1 - t11159 - t11161 - t11163 - t307 * t2437 / 0.4e1 - t11180 - t11184;
  t11362 = my_piecewise3(t2, 0, t11337 + t11360);
  tv3rhosigmatau6 = t3 * t11362 + t2466;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 6] += tv3rhosigmatau6;

  tv3rhosigmatau7 = 0.e0;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 7] += tv3rhosigmatau7;

  tv3rhosigmatau8 = 0.e0;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 8] += tv3rhosigmatau8;

  tv3rhosigmatau9 = 0.e0;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 9] += tv3rhosigmatau9;

  tv3rhosigmatau10 = 0.e0;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 10] += tv3rhosigmatau10;

  t11367 = t5553 * t1963;
  t11368 = t1101 * t11367;
  t11378 = t8600 * t445 * t376;
  t11383 = t1498 * t584;
  t11386 = t2495 * t404;
  t11389 = t452 * t2021;
  t11392 = t9172 - t442 * t8602 / 0.12e2 - t338 * t11368 / 0.12e2 + t1383 * t1969 / 0.4e1 + t1070 * t2521 / 0.4e1 + t1058 * t2521 / 0.4e1 + t373 * t11378 / 0.4e1 - t8219 * t9457 / 0.6e1 - t110 * t11383 / 0.4e1 - t110 * t11386 / 0.4e1 - t110 * t11389 / 0.4e1;
  t11398 = -t318 * t2517 / 0.4e1 + t11273 - t11275 - t11277 - t11279 + t11281 + t11284 - t11286 + t11288 - t11290 + t8063 * t10722 / 0.6e1;
  t11399 = t110 * t8438;
  t11402 = t583 * t648;
  t11403 = t11402 * t1407;
  t11404 = t11403 * t1415;
  t11407 = t8460 * t10530;
  t11422 = t349 * t2496;
  t11427 = -0.5e1 / 0.36e2 * t11399 * t10361 + t4695 * t11404 / 0.2e1 - 0.3e1 * t5665 * t11407 - t1402 * t1951 / 0.12e2 - t442 * t8316 / 0.12e2 + t8287 * t457 / 0.4e1 + t1956 * t1394 / 0.4e1 + t5797 * t570 / 0.4e1 + t5814 * t570 / 0.4e1 - t338 * t11422 / 0.12e2 - t1941 * t1378 / 0.12e2;
  t11436 = t8351 * t2394;
  t11439 = t2036 * t9498;
  t11446 = t8133 * t2257;
  t11449 = t2040 * t9401;
  t11456 = -t1946 * t1378 / 0.12e2 - t555 * t5809 / 0.12e2 - t1397 * t1951 / 0.12e2 - t373 * t11436 / 0.2e1 - t373 * t11439 / 0.2e1 - t1070 * t2509 / 0.4e1 - t1058 * t2509 / 0.4e1 - t373 * t11446 / 0.4e1 - t373 * t11449 / 0.4e1 + t1383 * t2045 / 0.4e1 - t4204 * t2503 / 0.2e1;
  t11459 = t8246 * t2389;
  t11462 = t2025 * t9311;
  t11472 = t1963 * t1467 * t376;
  t11479 = t8246 * t2402;
  t11482 = t2025 * t9489;
  t11485 = -t4188 * t2503 / 0.2e1 - t1029 * t11459 / 0.2e1 - t1029 * t11462 / 0.2e1 - t1383 * t2037 / 0.2e1 - t1383 * t2041 / 0.4e1 - t318 * t2496 / 0.4e1 + t373 * t11472 / 0.4e1 + t1070 * t2512 / 0.2e1 + t1058 * t2512 / 0.2e1 + t373 * t11479 / 0.2e1 + t373 * t11482 / 0.2e1;
  t11499 = t2494 * t370;
  t11500 = t369 * t11499;
  t11501 = t321 * t11500;
  t11510 = t110 * t8460;
  t11512 = -t1397 * t1965 / 0.12e2 - t1402 * t1965 / 0.12e2 - t442 * t8563 / 0.12e2 - t1070 * t2506 / 0.2e1 - t1058 * t2506 / 0.2e1 + t1383 * t1938 / 0.4e1 + t11501 * t377 / 0.4e1 + t8296 * t457 / 0.4e1 - t11399 * t10543 / 0.2e1 + 0.7e1 / 0.3e1 * t11399 * t10546 + t11510 * t10441;
  t11521 = t552 * t333;
  t11522 = t4609 * t11521;
  t11523 = t5860 * t11522;
  t11526 = t4619 * t11521;
  t11527 = t5860 * t11526;
  t11530 = t11403 * t1410;
  t11535 = t552 * t2196;
  t11536 = t4572 * t11535;
  t11537 = t5641 * t11536;
  t11540 = t2060 * t9335;
  t11543 = t8438 * t10506;
  t11546 = -0.11e2 / 0.18e2 * t11399 * t10448 + 0.23e2 / 0.36e2 * t11399 * t10451 + t8063 * t9332 / 0.6e1 - t8063 * t9328 / 0.3e1 + 0.3e1 / 0.2e1 * t10513 * t11523 - 0.3e1 * t5639 * t11527 - t5649 * t11530 / 0.2e1 - 0.3e1 / 0.2e1 * t11399 * t10437 + t5639 * t11537 / 0.2e1 - t5665 * t11540 / 0.2e1 + 0.3e1 / 0.2e1 * t5665 * t11543;
  t11550 = t583 * t333;
  t11551 = t380 * t11550;
  t11552 = t5679 * t11551;
  t11555 = t4693 * t11550;
  t11556 = t5695 * t11555;
  t11561 = t8262 * t1424;
  t11562 = t1423 * t11561;
  t11565 = t1954 * t1424;
  t11566 = t1430 * t11565;
  t11588 = t1430 * t11561;
  t11593 = -t5792 * t2026 / 0.2e1 + t1383 * t2029 / 0.2e1 - t1981 * t9274 / 0.6e1 + t11302 - t11304 - t1956 * t1439 / 0.2e1 - t1956 * t1443 / 0.4e1 + t1956 * t1447 / 0.4e1 + t442 * t8264 / 0.12e2 - t1421 * t11588 / 0.12e2 - t442 * t8553 / 0.12e2;
  t11603 = t1101 * t11561;
  t11618 = t8081 * t2353 / 0.3e1 + t8086 * t2353 / 0.3e1 + t1981 * t10322 / 0.3e1 + t1981 * t9347 / 0.3e1 + t1451 * t11603 / 0.6e1 - t1981 * t9350 / 0.6e1 + t1974 * t9729 / 0.6e1 + t555 * t5555 / 0.12e2 - t1981 * t9734 / 0.12e2 - t555 * t5607 / 0.12e2 + t1941 * t2199 / 0.12e2;
  t11637 = t1946 * t2199 / 0.12e2 + t555 * t9422 / 0.12e2 + t555 * t9427 / 0.12e2 - t8081 * t2347 / 0.6e1 - t8086 * t2347 / 0.6e1 - t1981 * t10583 / 0.6e1 + t1974 * t9430 / 0.6e1 - t8081 * t2342 / 0.12e2 - 0.2e1 * t11510 * t10444 + t9482 - t9485;
  t11646 = t110 * t8443;
  t11651 = t8437 * t10617;
  t11656 = t558 * t9577;
  t11663 = t558 * t10683;
  t11668 = t2059 * t10608;
  t11678 = 0.2e1 / 0.3e1 * t8508 * t10614 - t11651 * t10669 / 0.9e1 + 0.2e1 * t8511 * t9574 + 0.2e1 * t11656 * t9580 + t8508 * t9571 / 0.3e1 - 0.4e1 * t8508 * t10680 + 0.6e1 * t11663 * t10685 + 0.2e1 * t8511 * t10605 + 0.2e1 * t11668 * t10611 - t559 * t9627 - 0.2e1 / 0.3e1 * t2060 * t9629 + 0.2e1 * t8457 * t2366 - 0.2e1 * t8451 * t2359;
  t11702 = -t559 * t9621 + 0.2e1 * t2060 * t10699 + 0.2e1 * t2060 * t9612 + 0.1e2 / 0.3e1 * t8438 * t10637 - 0.4e1 / 0.3e1 * t2060 * t10641 - 0.3e1 * t8443 * t10644 - t2056 * t10695 - t2056 * t9618 - 0.2e1 * t2056 * t9623 - 0.4e1 * t8460 * t10651 - t8457 * t2362 / 0.3e1 - t2060 * t9596 / 0.3e1 + t8438 * t10702 / 0.18e2;
  t11720 = -t2054 * t2220 + 0.6e1 * t8460 * t10691 + t2060 * t9632 - 0.3e1 * t8438 * t10688 - t9586 - t9610 - t9611 + t9635 + 0.6e1 * t11651 * t10611 - 0.2e1 / 0.3e1 * t11651 * t10619 - 0.2e1 * t8508 * t9568 - 0.12e2 * t11668 * t10627 + 0.2e1 / 0.3e1 * t8457 * t2370;
  t11731 = 0.2e1 / 0.3e1 * t2060 * t9662 + t8451 * t2373 + t2056 * t9678 + t2054 * t2233 / 0.2e1 + t559 * t9652 / 0.2e1 - t8457 * t2377 - t2060 * t9670 + t9669 + t9675 + t9677 - t9683 - t2229 + t2210;
  t11733 = t11678 + t11702 + t11720 + t11731;
  t11734 = t139 * t11733;
  t11735 = t11734 * t168;
  t11742 = t8072 * t2402;
  t11745 = -t9487 - t8219 * t10500 / 0.6e1 + t11510 * t10716 / 0.2e1 + t8219 * t10719 / 0.6e1 - t11646 * t10726 / 0.2e1 - t11308 - t11310 - t110 * t11735 / 0.4e1 - t8214 * t9447 / 0.6e1 + t8063 * t9450 / 0.12e2 + t4695 * t11742 / 0.2e1;
  t11746 = t6005 * t11551;
  t11751 = t2060 * t10486;
  t11753 = t2056 * t9453;
  t11756 = t559 * t9463;
  t11759 = t8077 * t2257;
  t11762 = t8443 * t10489;
  t11765 = t2056 * t10493;
  t11768 = t8060 * t2394;
  t11771 = t8072 * t2389;
  t11774 = t6004 * t11746 / 0.6e1 + t6012 * t8211 / 0.12e2 - t5665 * t11751 + t5665 * t11753 / 0.2e1 + t5665 * t11756 / 0.2e1 - t4695 * t11759 / 0.4e1 + 0.3e1 / 0.2e1 * t5665 * t11762 + t5665 * t11765 / 0.2e1 - t4695 * t11768 / 0.2e1 - t5649 * t11771 / 0.2e1 + t9535;
  t11776 = t8226 * t440;
  t11777 = t11776 * t1084;
  t11780 = t5695 * t11551;
  t11783 = t8226 * t1435;
  t11784 = t11783 * t1438;
  t11797 = t9543 - t9546 - t9548 - t4695 * t11777 / 0.4e1 - t5673 * t11780 / 0.12e2 - t4695 * t11784 / 0.2e1 - t8086 * t2342 / 0.12e2 - t1981 * t10462 / 0.12e2 - t1981 * t9300 / 0.12e2 + t8125 * t2339 / 0.6e1 + t8130 * t2339 / 0.6e1;
  t11800 = t1033 * t11521;
  t11801 = t5868 * t11800;
  t11804 = t1476 * t8237;
  t11818 = t1974 * t10592 / 0.6e1 - t9710 + t9713 + 0.3e1 * t5639 * t11801 + t5639 * t11804 - 0.2e1 / 0.3e1 * t8063 * t10394 + t8063 * t10400 / 0.3e1 - t8063 * t10377 / 0.6e1 + t8214 * t9441 / 0.12e2 + t8063 * t10374 / 0.3e1 - t8063 * t10366 / 0.12e2;
  t11823 = my_piecewise3(t100, 0, t1956 * t1416 / 0.2e1 - t5673 * t11552 / 0.6e1 + t5673 * t11556 / 0.3e1 + t1981 * t9249 / 0.3e1 - t1421 * t11562 / 0.6e1 + t1421 * t11566 / 0.3e1 - t8280 * t1411 / 0.2e1 + t11456 - t9147 + t11427 - t2180 + t11398 + t11392 + t11774 + t9307 + t11618 + t11818 - t11259 + t11512 + t11485 - t9281 + t9283 + t11797 + t11745 + t11546 + t11637 + t2251 - t11253 + t11255 + t11257 + t9416 - t9412 - t9408 + t11593);
  tv3rhosigmatau11 = t3 * t11823 + t2525;

  if(out->v3rhosigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhosigmatau[ip*p->dim.v3rhosigmatau + 11] += tv3rhosigmatau11;

  t11825 = t2541 * t206;
  t11826 = t95 * t11825;
  t11827 = t5175 * t11826;
  t11838 = t222 * t2578;
  t11841 = t2576 * t243;
  t11842 = t242 * t11841;
  t11843 = t191 * t11842;
  t11850 = -t2089 + t2160 + t6439 * t11827 / 0.6e1 - t8624 + t8645 - t8647 - t8720 - t608 * t2588 / 0.2e1 + t6217 * t481 / 0.2e1 + t1516 * t1526 / 0.2e1 - t3070 * t2584 / 0.2e1 - t211 * t11838 / 0.12e2 + t11843 * t250 / 0.4e1 + t6209 * t481 / 0.2e1 + t608 * t2596 / 0.2e1;
  t11855 = t633 * t2528;
  t11857 = t11855 * t223 / 0.18e2;
  t11861 = t637 * t2596 / 0.6e1;
  t11863 = t637 * t2588 / 0.6e1;
  t11865 = t3051 * t2584 / 0.6e1;
  t11867 = t6226 * t481 / 0.6e1;
  t11868 = t633 * t2533;
  t11870 = t11868 * t672 / 0.9e1;
  t11872 = t1506 * t1511 / 0.18e2;
  t11874 = t11868 * t667 / 0.18e2;
  t11876 = t11868 * t662 / 0.36e2;
  t11877 = t788 * t11825;
  t11878 = t1587 * t11877;
  t11881 = -t3061 * t2584 / 0.2e1 - t630 * t2588 / 0.2e1 + t11857 + t630 * t2596 / 0.2e1 + t11861 - t11863 - t11865 + t11867 + t11870 - t11872 - t11874 - t11876 + t8741 + t4772 * t11878 / 0.2e1 - t8811;
  t11885 = t670 * t11825;
  t11886 = t4877 * t11885;
  t11889 = t2571 * t206;
  t11890 = t3556 * t11889;
  t11892 = t2557 * t3077;
  t11895 = t69 * t2526;
  t11896 = t11895 * t3121;
  t11901 = t60 * t1524;
  t11902 = t689 * t11901;
  t11909 = t229 * t11901;
  t11912 = t2553 * t3259;
  t11918 = t1591 * t11890 - 0.12e2 * t11892 * t1324 - 0.2e1 / 0.3e1 * t11896 * t9028 + 0.6e1 * t11896 * t9031 - 0.2e1 * t1591 * t11902 + 0.2e1 * t2558 * t3607 - 0.3e1 * t11896 * t9103 + 0.2e1 * t1587 * t11909 - 0.3e1 * t11912 * t1334 - t2554 * t812 + t1585 * t2572 / 0.2e1;
  t11924 = t789 * t1554;
  t11927 = t3428 * t1539;
  t11930 = t789 * t464;
  t11937 = t469 * t595;
  t11942 = t1590 * t651;
  t11945 = 0.2e1 / 0.3e1 * t8661 * t2728 + 0.2e1 * t789 * t1524 * t249 - 0.4e1 * t11924 * t1281 + 0.4e1 / 0.3e1 * t11927 * t1269 - 0.2e1 * t11930 * t826 + 0.4e1 * t11927 * t1274 - 0.2e1 * t1599 * t222 + 0.4e1 * t11937 * t1281 + 0.2e1 * t472 * t826 - 0.4e1 * t11942 * t1274;
  t11946 = t60 * t11945;
  t11947 = t788 * t11946;
  t11952 = t683 * t11901;
  t11963 = t62 * t2541;
  t11964 = t11963 * t206;
  t11965 = t233 * t11964;
  t11968 = t11963 * t794;
  t11969 = t233 * t11968;
  t11972 = t802 * t11964;
  t11975 = t815 * t11964;
  t11978 = t63 * t11945;
  t11979 = t788 * t11978;
  t11981 = t470 * t11947 / 0.2e1 - 0.4e1 / 0.3e1 * t2558 * t3616 + 0.4e1 / 0.3e1 * t1591 * t11952 + t11896 * t9097 / 0.18e2 + 0.1e2 / 0.3e1 * t11896 * t9113 - 0.4e1 * t11892 * t1328 + 0.6e1 * t11892 * t1338 + 0.2e1 * t6344 * t11965 + 0.2e1 * t10088 * t11969 + t6341 * t11972 / 0.3e1 - 0.2e1 * t6341 * t11975 - t470 * t11979;
  t11983 = t3130 * t11889;
  t11986 = t63 * t1524;
  t11987 = t689 * t11986;
  t11990 = t788 * t11889;
  t11992 = t2571 * t794;
  t11993 = t3562 * t11992;
  t11995 = t683 * t11986;
  t12003 = -0.2e1 / 0.3e1 * t1591 * t11983 + 0.4e1 * t1591 * t11987 - t1587 * t11990 - t470 * t11993 - 0.2e1 / 0.3e1 * t1591 * t11995 + 0.2e1 / 0.3e1 * t2558 * t3543 - t11896 * t9041 / 0.9e1 - t1585 * t2562 + t9022 - t9047 - t9048;
  t12006 = t229 * t11986;
  t12015 = 0.2e1 * t11892 * t1320 + 0.6e1 * t11912 * t1315 - 0.4e1 * t1587 * t12006 + 0.2e1 * t2554 * t796 - 0.4e1 * t2558 * t3557 + t2119 - t2138 - t9050 + t9091 + t9093 - t9100 + t9121;
  t12017 = t11918 + t11981 + t12003 + t12015;
  t12018 = t59 * t12017;
  t12019 = t12018 * t95;
  t12023 = t188 * t2578 / 0.12e2;
  t12024 = t94 * t1524;
  t12025 = t837 * t12024;
  t12026 = t843 * t12025;
  t12029 = t194 * t2532;
  t12030 = t191 * t12029;
  t12037 = t2526 * t3118;
  t12038 = t3115 * t12037;
  t12039 = t12038 * t8928;
  t12042 = t12038 * t8933;
  t12045 = t2526 * t3076;
  t12046 = t649 * t12045;
  t12047 = t191 * t12046;
  t12051 = t3135 * t12037;
  t12052 = t191 * t12051;
  t12055 = -t182 * t2578 / 0.4e1 - t8829 - t6439 * t11886 / 0.3e1 - t30 * t12019 / 0.4e1 - t12023 + t1568 * t12026 / 0.3e1 - t12030 * t1295 / 0.2e1 - t2529 * t840 / 0.6e1 - t6411 * t1548 + t1516 * t1551 + 0.3e1 / 0.2e1 * t3167 * t12039 - 0.3e1 * t679 * t12042 + t12047 * t1257 - 0.2e1 * t12047 * t1263 - 0.11e2 / 0.18e2 * t12052 * t8940;
  t12074 = t3389 * t2542;
  t12075 = t836 * t12074;
  t12082 = t1261 * t12025;
  t12087 = t680 * t12045;
  t12088 = t12087 * t1274;
  t12091 = t12038 * t8922;
  t12094 = 0.23e2 / 0.36e2 * t12052 * t8943 - t12052 * t8742 / 0.2e1 + 0.7e1 / 0.3e1 * t12052 * t8745 - t1541 * t9981 / 0.3e1 + t2534 * t3691 / 0.3e1 - 0.5e1 / 0.36e2 * t12052 * t8711 - t2534 * t3380 / 0.12e2 + t1529 * t2544 / 0.12e2 + t1534 * t2544 / 0.12e2 + t466 * t12075 / 0.12e2 + t12047 * t1300 / 0.2e1 + t2529 * t845 / 0.6e1 - t1541 * t12082 / 0.6e1 + t2534 * t3525 / 0.6e1 - 0.3e1 * t246 * t12088 + 0.3e1 / 0.2e1 * t246 * t12091;
  t12109 = t244 * t12024;
  t12110 = t1261 * t12109;
  t12119 = t94 * t11945;
  t12120 = t837 * t12119;
  t12121 = t836 * t12120;
  t12124 = t1254 * t12025;
  t12128 = t219 * t221 * t1524;
  t12129 = t1555 * t12128;
  t12131 = t247 * t2532;
  t12132 = t12131 * t1281;
  t12135 = t247 * t2527;
  t12136 = t12135 * t826;
  t12139 = 0.2e1 / 0.3e1 * t1541 * t9985 - 0.3e1 / 0.2e1 * t12052 * t8947 - 0.2e1 / 0.3e1 * t2534 * t3522 + t2534 * t3503 / 0.3e1 - t1541 * t9827 / 0.6e1 - t466 * t6503 / 0.6e1 + 0.2e1 / 0.3e1 * t1541 * t12110 - t2534 * t3366 / 0.6e1 + t1568 * t10172 / 0.3e1 + t466 * t6121 / 0.6e1 + t466 * t12121 / 0.12e2 - t1541 * t12124 / 0.3e1 - t246 * t12129 + 0.3e1 / 0.2e1 * t246 * t12132 + t246 * t12136 / 0.2e1;
  t12140 = t660 * t1524;
  t12141 = t659 * t12140;
  t12142 = t1547 * t12141;
  t12144 = t12087 * t1269;
  t12147 = t680 * t2532;
  t12148 = t12147 * t3362;
  t12150 = t830 * t2557;
  t12151 = t12150 * t684;
  t12160 = t659 * t665 * t1524;
  t12161 = t1547 * t12160;
  t12163 = t12147 * t3410;
  t12165 = t12150 * t690;
  t12169 = t830 * t2553 * t597;
  t12176 = t6273 * t2592;
  t12180 = t824 * t221 * t11945;
  t12181 = t1559 * t12180;
  t12184 = -t679 * t12142 + 0.3e1 * t679 * t12144 + t679 * t12148 - t679 * t12151 / 0.2e1 - t1516 * t1556 - t1516 * t1560 / 0.2e1 + t1516 * t1564 / 0.2e1 + t246 * t12161 - t246 * t12163 + t246 * t12165 / 0.2e1 - t246 * t12169 / 0.2e1 - t630 * t2593 / 0.4e1 - t608 * t2593 / 0.4e1 - t246 * t12176 / 0.4e1 - t246 * t12181 / 0.4e1 + t8874;
  t12186 = t2541 * t794;
  t12187 = t95 * t12186;
  t12188 = t8790 * t12187;
  t12191 = t4877 * t11826;
  t12194 = t3562 * t12186;
  t12195 = t470 * t12194;
  t12198 = t6163 * t2592;
  t12201 = t3273 * t11826;
  t12204 = t276 * t2541;
  t12205 = t253 * t12204;
  t12206 = t3273 * t12205;
  t12217 = t626 * t2533;
  t12220 = t626 * t2528;
  t12227 = t8877 - t6451 * t12188 / 0.6e1 + t6439 * t12191 / 0.12e2 + t4772 * t12195 / 0.2e1 - t3266 * t12198 / 0.4e1 - t6454 * t12201 / 0.6e1 + t6451 * t12206 / 0.12e2 - t2534 * t3056 / 0.6e1 - t1529 * t1511 / 0.6e1 - t1534 * t1511 / 0.6e1 - t466 * t6212 / 0.6e1 + t12217 * t672 / 0.3e1 + t12220 * t223 / 0.6e1 + t2529 * t645 / 0.6e1 - t12217 * t662 / 0.12e2;
  t12232 = t463 * t2541;
  t12233 = t3130 * t12232;
  t12234 = t4985 * t12233;
  t12239 = t3556 * t11825;
  t12240 = t1591 * t12239;
  t12244 = t637 * t2593 / 0.12e2;
  t12246 = t1506 * t2544 / 0.36e2;
  t12247 = t2577 * t277;
  t12250 = -t2534 * t3175 / 0.12e2 - t12217 * t667 / 0.6e1 - t8896 - t8900 + t8913 + t8915 - t8939 - t8952 + t8954 + t4983 * t12234 / 0.2e1 + t8974 + t2534 * t3091 / 0.3e1 - t4772 * t12240 / 0.2e1 - t12244 + t12246 - t30 * t12247 / 0.4e1;
  t12254 = my_piecewise3(t2, 0, t11850 + t11881 + t12055 + t12094 + t12139 + t12184 + t12227 + t12250);
  tv3rholapl20 = t3 * t12254 + t2600;

  if(out->v3rholapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 0] += tv3rholapl20;

  tv3rholapl21 = 0.e0;

  if(out->v3rholapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 1] += tv3rholapl21;

  t12257 = t948 * t2668 / 0.12e2;
  t12259 = t1618 * t2619 / 0.36e2;
  t12262 = t933 * t2608;
  t12267 = t933 * t2603;
  t12273 = t294 * t2653 / 0.12e2;
  t12278 = -t9147 - t9168 + t9172 + t9195 - t12257 + t12259 - t945 * t2668 / 0.4e1 - t12262 * t1015 / 0.6e1 - t1615 * t1642 / 0.6e1 + t12267 * t350 / 0.6e1 - t12262 * t1010 / 0.12e2 - t12273 - t290 * t2653 / 0.4e1 + t1615 * t2619 / 0.12e2;
  t12289 = t937 * t2608;
  t12291 = t12289 * t1010 / 0.36e2;
  t12292 = t937 * t2603;
  t12294 = t12292 * t350 / 0.18e2;
  t12296 = t4005 * t2659 / 0.6e1;
  t12298 = t12289 * t1020 / 0.9e1;
  t12300 = t1618 * t1642 / 0.18e2;
  t12302 = t12289 * t1015 / 0.18e2;
  t12304 = t948 * t2671 / 0.6e1;
  t12306 = t948 * t2663 / 0.6e1;
  t12308 = t6715 * t505 / 0.6e1;
  t12309 = -t945 * t2663 / 0.2e1 + t945 * t2671 / 0.2e1 - t3971 * t2659 / 0.2e1 + t12262 * t1020 / 0.3e1 + t6700 * t505 / 0.2e1 - t12291 + t12294 - t12296 + t12298 - t12300 - t12302 + t12304 - t12306 + t12308;
  t12311 = my_piecewise3(t100, 0, t12278 + t12309);
  tv3rholapl22 = t3 * t12311 + t2675;

  if(out->v3rholapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 2] += tv3rholapl22;

  t12317 = -t9224 + t9234 - t8624 + t8645 - t903 * t2593 / 0.4e1 + t1632 * t2544 / 0.12e2 + t11857 + t11861 - t11863 - t11865 + t11867 + t11870 - t11872 - t11874;
  t12320 = t897 * t2533;
  t12325 = t897 * t2528;
  t12340 = -t11876 - t307 * t2578 / 0.4e1 - t12320 * t667 / 0.6e1 - t1632 * t1511 / 0.6e1 + t12325 * t223 / 0.6e1 - t12320 * t662 / 0.12e2 - t903 * t2588 / 0.2e1 - t12023 + t903 * t2596 / 0.2e1 - t3740 * t2584 / 0.2e1 + t12320 * t672 / 0.3e1 + t6585 * t481 / 0.2e1 - t12244 + t12246;
  t12342 = my_piecewise3(t2, 0, t12317 + t12340);
  tv3rholapl23 = t3 * t12342 + t2600;

  if(out->v3rholapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 3] += tv3rholapl23;

  tv3rholapl24 = 0.e0;

  if(out->v3rholapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 4] += tv3rholapl24;

  t12344 = t2616 * t333;
  t12345 = t4626 * t12344;
  t12346 = t1720 * t12345;
  t12349 = t487 * t2616;
  t12350 = t4572 * t12349;
  t12351 = t5641 * t12350;
  t12354 = t168 * t12344;
  t12355 = t5674 * t12354;
  t12364 = t167 * t1655;
  t12365 = t1095 * t12364;
  t12366 = t1423 * t12365;
  t12371 = -t2180 + t2251 - t9281 + t9283 + t9307 - t5665 * t12346 / 0.2e1 + t5639 * t12351 / 0.2e1 + t6769 * t12355 / 0.6e1 - t9147 + t9172 - t1683 * t10344 / 0.6e1 + t1702 * t10339 / 0.3e1 - t2609 * t4550 / 0.6e1 - t1683 * t12366 / 0.3e1 + t2609 * t4554 / 0.3e1;
  t12377 = t1077 * t1688;
  t12380 = t4388 * t1673;
  t12383 = t1077 * t488;
  t12390 = t493 * t1045;
  t12395 = t1719 * t999;
  t12398 = 0.2e1 / 0.3e1 * t9372 * t2808 + 0.2e1 * t1077 * t1655 * t376 - 0.4e1 * t12377 * t1438 + 0.4e1 / 0.3e1 * t12380 * t1410 - 0.2e1 * t12383 * t1084 + 0.4e1 * t12380 * t1415 - 0.2e1 * t1728 * t349 + 0.4e1 * t12390 * t1438 + 0.2e1 * t496 * t1084 - 0.4e1 * t12395 * t1415;
  t12399 = t167 * t12398;
  t12400 = t1095 * t12399;
  t12401 = t1094 * t12400;
  t12408 = t4440 * t2617;
  t12409 = t1094 * t12408;
  t12412 = t2601 * t4140;
  t12413 = t3135 * t12412;
  t12414 = t321 * t12413;
  t12419 = t2601 * t4160;
  t12420 = t1030 * t12419;
  t12421 = t12420 * t1410;
  t12424 = t1030 * t2607;
  t12425 = t12424 * t4307;
  t12427 = t1088 * t2632;
  t12428 = t12427 * t1034;
  t12436 = t1008 * t1655;
  t12437 = t1007 * t12436;
  t12438 = t1674 * t12437;
  t12442 = t371 * t12364;
  t12443 = t1430 * t12442;
  t12446 = t490 * t12401 / 0.12e2 + t1660 * t2619 / 0.12e2 + t1665 * t2619 / 0.12e2 + t490 * t12409 / 0.12e2 - 0.5e1 / 0.36e2 * t12414 * t9360 - t2609 * t4433 / 0.12e2 + 0.3e1 * t1029 * t12421 + t1029 * t12425 - t1029 * t12428 / 0.2e1 - t1647 * t1690 - t1647 * t1694 / 0.2e1 + t1647 * t1698 / 0.2e1 - t1029 * t12438 + t2609 * t4361 / 0.3e1 + 0.2e1 / 0.3e1 * t1683 * t12443;
  t12462 = t1065 * t2608;
  t12469 = t349 * t2653;
  t12472 = t2651 * t370;
  t12473 = t369 * t12472;
  t12474 = t321 * t12473;
  t12481 = -0.2e1 / 0.3e1 * t2609 * t4378 - t490 * t6812 / 0.6e1 + t490 * t6757 / 0.6e1 + t2609 * t4264 / 0.3e1 - t1660 * t1642 / 0.6e1 - t1665 * t1642 / 0.6e1 - t490 * t7018 / 0.6e1 + t12462 * t1020 / 0.3e1 - t4204 * t2659 / 0.2e1 - t4188 * t2659 / 0.2e1 - t338 * t12469 / 0.12e2 + t12474 * t377 / 0.4e1 + t6965 * t505 / 0.2e1 + t6960 * t505 / 0.2e1 - t12257;
  t12482 = t12427 * t1039;
  t12489 = t6974 * t2667;
  t12493 = t1076 * t348 * t12398;
  t12494 = t1693 * t12493;
  t12498 = t1007 * t1013 * t1655;
  t12499 = t1674 * t12498;
  t12501 = t12424 * t4324;
  t12504 = t346 * t348 * t1655;
  t12505 = t1689 * t12504;
  t12507 = t374 * t2607;
  t12508 = t12507 * t1438;
  t12511 = t374 * t2602;
  t12512 = t12511 * t1084;
  t12516 = t1088 * t2628 * t1047;
  t12519 = t6760 * t2667;
  t12522 = t1018 * t12344;
  t12523 = t5691 * t12522;
  t12526 = t12259 + t373 * t12482 / 0.2e1 - t1070 * t2668 / 0.4e1 - t1058 * t2668 / 0.4e1 - t373 * t12489 / 0.4e1 - t373 * t12494 / 0.4e1 + t373 * t12499 - t373 * t12501 - t373 * t12505 + 0.3e1 / 0.2e1 * t373 * t12508 + t373 * t12512 / 0.2e1 - t373 * t12516 / 0.2e1 - t4695 * t12519 / 0.4e1 - t6769 * t12523 / 0.3e1 - t9408 - t9412;
  t12529 = t1430 * t12365;
  t12534 = t649 * t12419;
  t12535 = t321 * t12534;
  t12540 = t1101 * t12365;
  t12543 = t194 * t2607;
  t12544 = t321 * t12543;
  t12551 = t2632 * t4214;
  t12554 = t143 * t1655;
  t12555 = t1033 * t12554;
  t12560 = t142 * t2616;
  t12561 = t12560 * t333;
  t12562 = t1173 * t12561;
  t12565 = t360 * t12561;
  t12568 = t12560 * t1082;
  t12569 = t360 * t12568;
  t12572 = t1186 * t12561;
  t12575 = t140 * t12398;
  t12576 = t1165 * t12575;
  t12579 = t69 * t2601;
  t12580 = t12579 * t4607;
  t12583 = t140 * t1655;
  t12584 = t1033 * t12583;
  t12587 = 0.2e1 * t2629 * t1167 + 0.2e1 * t12551 * t1477 - 0.2e1 / 0.3e1 * t1720 * t12555 + 0.2e1 / 0.3e1 * t2633 * t4573 + t7150 * t12562 / 0.3e1 + 0.2e1 * t7147 * t12565 + 0.2e1 * t10674 * t12569 - 0.2e1 * t7150 * t12572 + t494 * t12576 / 0.2e1 + 0.1e2 / 0.3e1 * t12580 * t9658 + 0.4e1 / 0.3e1 * t1720 * t12584;
  t12598 = t1038 * t12583;
  t12603 = t356 * t12583;
  t12606 = t2628 * t4208;
  t12612 = -0.4e1 / 0.3e1 * t2633 * t4613 - 0.4e1 * t12551 * t1485 + t12580 * t9655 / 0.18e2 - 0.3e1 * t12580 * t9686 + 0.6e1 * t12551 * t1495 - 0.2e1 * t1720 * t12598 + 0.2e1 * t2633 * t4627 + 0.2e1 * t1716 * t12603 - 0.3e1 * t12606 * t1491 - t2629 * t1183 + t1714 * t2647 / 0.2e1 - t9586;
  t12616 = t2646 * t333;
  t12617 = t4626 * t12616;
  t12623 = t1165 * t12616;
  t12625 = t2646 * t1082;
  t12626 = t4575 * t12625;
  t12630 = -t9610 - t9611 + t9635 + t9669 + 0.6e1 * t12580 * t9643 + t1720 * t12617 - 0.12e2 * t12551 * t1481 - 0.2e1 / 0.3e1 * t12580 * t9640 - t1716 * t12623 - t494 * t12626 - t12580 * t9603 / 0.9e1;
  t12632 = t143 * t12398;
  t12633 = t1165 * t12632;
  t12635 = t4572 * t12616;
  t12638 = t1038 * t12554;
  t12643 = t356 * t12554;
  t12648 = t9675 + t9677 - t9683 - t2229 - t1714 * t2637 - t494 * t12633 - 0.2e1 / 0.3e1 * t1720 * t12635 + 0.4e1 * t1720 * t12638 - 0.4e1 * t2633 * t4656 - 0.4e1 * t1716 * t12643 + 0.6e1 * t12606 * t1472 + t2210;
  t12650 = t12587 + t12612 + t12630 + t12648;
  t12651 = t139 * t12650;
  t12652 = t12651 * t168;
  t12665 = t9416 - t12273 - t1683 * t12529 / 0.6e1 + t2609 * t4452 / 0.6e1 + t12535 * t1457 / 0.2e1 + t2604 * t1103 / 0.6e1 + t1702 * t12540 / 0.3e1 - t12544 * t1452 / 0.2e1 - t2604 * t1098 / 0.6e1 - t110 * t12652 / 0.4e1 - t318 * t2653 / 0.4e1 + t1058 * t2671 / 0.2e1 - t1070 * t2663 / 0.2e1 - t1058 * t2663 / 0.2e1 + t1647 * t1657 / 0.2e1;
  t12672 = t4719 * t12412;
  t12673 = t12672 * t9698;
  t12685 = t12672 * t9703;
  t12688 = t12420 * t1415;
  t12691 = t12672 * t9717;
  t12700 = t1070 * t2671 / 0.2e1 - 0.3e1 / 0.2e1 * t12414 * t9256 - t6955 * t1675 + t1647 * t1679 + 0.3e1 / 0.2e1 * t4718 * t12673 + t12535 * t1426 - 0.2e1 * t12535 * t1432 - 0.11e2 / 0.18e2 * t12414 * t9261 + 0.23e2 / 0.36e2 * t12414 * t9264 - t12414 * t9267 / 0.2e1 - 0.3e1 * t1029 * t12685 - 0.3e1 * t373 * t12688 + 0.3e1 / 0.2e1 * t373 * t12691 + 0.7e1 / 0.3e1 * t12414 * t9270 - t1683 * t10552 / 0.3e1 + 0.2e1 / 0.3e1 * t1683 * t10556;
  t12712 = t1065 * t2603;
  t12715 = t2604 * t994 / 0.6e1 - t12462 * t1010 / 0.12e2 - t2609 * t4228 / 0.12e2 - t12462 * t1015 / 0.6e1 - t2609 * t4135 / 0.6e1 + t12712 * t350 / 0.6e1 + t9482 - t9485 - t9487 - t12291 + t12294 - t12296 + t12298 - t12300 - t12302;
  t12716 = t2652 * t404;
  t12719 = t1165 * t12344;
  t12720 = t1716 * t12719;
  t12723 = t2616 * t1082;
  t12724 = t4575 * t12723;
  t12725 = t494 * t12724;
  t12728 = t168 * t12723;
  t12729 = t9444 * t12728;
  t12732 = t5691 * t12354;
  t12735 = t403 * t2616;
  t12736 = t380 * t12735;
  t12737 = t4687 * t12736;
  t12740 = t4687 * t12354;
  t12743 = -t110 * t12716 / 0.4e1 + t9535 + t9543 - t9546 - t9548 + t12304 - t12306 + t12308 + t5665 * t12720 / 0.2e1 + t5665 * t12725 / 0.2e1 - t6772 * t12729 / 0.6e1 + t6769 * t12732 / 0.12e2 - t9710 + t9713 + t6772 * t12737 / 0.12e2 - t6764 * t12740 / 0.6e1;
  t12747 = my_piecewise3(t100, 0, t12371 + t12446 + t12481 + t12526 + t12665 + t12700 + t12715 + t12743);
  tv3rholapl25 = t3 * t12747 + t2675;

  if(out->v3rholapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapl2[ip*p->dim.v3rholapl2 + 5] += tv3rholapl25;

  t12753 = t7351 * t464;
  t12754 = t12753 * t826;
  t12757 = t670 * t9870;
  t12758 = t4873 * t12757;
  t12764 = t95 * t9870;
  t12765 = t4996 * t12764;
  t12768 = t637 * t2751 / 0.12e2;
  t12770 = t1506 * t1807 / 0.36e2;
  t12773 = t637 * t2742 / 0.6e1;
  t12775 = t637 * t2737 / 0.12e2;
  t12778 = t3389 * t2676;
  t12779 = t843 * t12778;
  t12784 = t1254 * t12778;
  t12797 = t12773 - t12775 + t7746 * t2678 / 0.6e1 + t1815 * t12779 / 0.6e1 + t1815 * t12026 / 0.6e1 - t1779 * t12784 / 0.6e1 - t1779 * t12124 / 0.6e1 + t1815 * t10172 / 0.6e1 + t515 * t6121 / 0.12e2 - t7228 * t2681 / 0.12e2 - t7233 * t2681 / 0.12e2;
  t12799 = t1261 * t12778;
  t12822 = -t1779 * t12799 / 0.12e2 - t1779 * t12082 / 0.12e2 + t1750 * t2544 / 0.12e2 + t1755 * t2544 / 0.12e2 + t515 * t12075 / 0.12e2 + t515 * t12121 / 0.12e2 + t7742 * t2678 / 0.6e1 - t466 * t7262 / 0.12e2 + t1779 * t12110 / 0.3e1 + t1568 * t10985 / 0.6e1 + t466 * t7215 / 0.12e2;
  t12833 = t606 * t2676;
  t12834 = t1261 * t12833;
  t12841 = -t1541 * t10990 / 0.12e2 - t1779 * t9827 / 0.12e2 - t515 * t6503 / 0.12e2 + t7228 * t2692 / 0.3e1 + t7233 * t2692 / 0.3e1 + t1779 * t12834 / 0.3e1 - t7228 * t2686 / 0.6e1 - t7233 * t2686 / 0.6e1 - t8624 + t8645 - t8647;
  t12852 = t7525 * t2592;
  t12855 = t1797 * t12180;
  t12862 = t7384 * t2741;
  t12865 = t1784 * t12160;
  t12870 = -t1529 * t1807 / 0.12e2 - t1534 * t1807 / 0.12e2 - t466 * t7374 / 0.12e2 - t608 * t2737 / 0.4e1 - t246 * t12852 / 0.4e1 - t246 * t12855 / 0.4e1 + t630 * t2742 / 0.2e1 + t608 * t2742 / 0.2e1 + t246 * t12862 / 0.2e1 + t246 * t12865 / 0.2e1 - t630 * t2734 / 0.2e1;
  t12873 = t7510 * t2733;
  t12876 = t1792 * t12128;
  t12891 = t95 * t6432;
  t12892 = t4877 * t12891;
  t12895 = -t608 * t2734 / 0.2e1 - t246 * t12873 / 0.2e1 - t246 * t12876 / 0.2e1 + t1770 * t1526 / 0.4e1 + t6209 * t530 / 0.4e1 + t6217 * t530 / 0.4e1 - t8720 - t7248 * t12188 / 0.6e1 + t7251 * t12191 / 0.12e2 + t7248 * t12206 / 0.12e2 + t7251 * t12892 / 0.6e1;
  t12900 = t7400 * t469 * t249;
  t12904 = t1805 * t1584 * t249;
  t12909 = t6119 * t1805;
  t12910 = t843 * t12909;
  t12917 = t4762 * t12764;
  t12920 = t3273 * t12891;
  t12923 = t4873 * t12764;
  t12926 = t608 * t2751 / 0.4e1 + t246 * t12900 / 0.4e1 + t246 * t12904 / 0.4e1 - t466 * t7402 / 0.12e2 - t211 * t12910 / 0.12e2 + t1516 * t1811 / 0.4e1 + t630 * t2751 / 0.4e1 + t8741 - t11019 * t12917 / 0.2e1 - t7254 * t12920 / 0.6e1 + t10838 * t12923 / 0.2e1;
  t12927 = t276 * t463;
  t12928 = t253 * t12927;
  t12929 = t4762 * t12928;
  t12932 = t5175 * t12891;
  t12937 = t512 * t2541;
  t12938 = t3130 * t12937;
  t12939 = t4985 * t12938;
  t12942 = t1876 * t12239;
  t12945 = t3156 * t9870;
  t12946 = t9744 * t12945;
  t12949 = t6304 * t11235;
  t12952 = t689 * t9870;
  t12953 = t7680 * t12952;
  t12956 = t6300 * t10911;
  t12959 = t1591 * t7461;
  t12961 = t7254 * t12929 / 0.6e1 + t7251 * t12932 / 0.3e1 - t7254 * t12201 / 0.6e1 + t4983 * t12939 / 0.2e1 - t4772 * t12942 / 0.2e1 - 0.3e1 / 0.2e1 * t10757 * t12946 - 0.3e1 * t4983 * t12949 - 0.3e1 * t4772 * t12953 + 0.3e1 * t4983 * t12956 + t4983 * t12959 - t8811;
  t12971 = t4877 * t12764;
  t12974 = t9744 * t12757;
  t12983 = t9744 * t12764;
  t12987 = t4873 * t12928;
  t12990 = t3130 * t9870;
  t12991 = t7686 * t12990;
  t12998 = t11224 * t1539;
  t12999 = t12998 * t1269;
  t13002 = t12998 * t1274;
  t13010 = t1506 * t1765 / 0.36e2;
  t13012 = t1760 * t1511 / 0.36e2;
  t13013 = -t7251 * t12987 / 0.12e2 + 0.3e1 / 0.2e1 * t4772 * t12991 - t6439 * t11217 / 0.6e1 + t6439 * t11221 / 0.3e1 - t4993 * t12999 / 0.2e1 + t3266 * t13002 / 0.2e1 + t1516 * t1747 / 0.4e1 + t7600 * t481 / 0.4e1 - t13010 - t13012 + t8874;
  t13015 = t1607 * t544;
  t13018 = t476 * t1855;
  t13022 = t188 * t2747 / 0.12e2;
  t13025 = t519 * t12194;
  t13028 = t7361 * t2592;
  t13031 = t7449 * t2733;
  t13034 = t1872 * t11877;
  t13037 = t7457 * t2728;
  t13041 = t6226 * t530 / 0.12e2;
  t13042 = t8877 - t30 * t13015 / 0.4e1 - t30 * t13018 / 0.4e1 - t13022 - t182 * t2747 / 0.4e1 + t4772 * t13025 / 0.2e1 - t3266 * t13028 / 0.4e1 - t3266 * t13031 / 0.2e1 + t4772 * t13034 / 0.2e1 - t4993 * t13037 / 0.2e1 + t13041;
  t13044 = t7611 * t481 / 0.12e2;
  t13045 = t3264 * t12927;
  t13046 = t4873 * t13045;
  t13049 = t4996 * t12928;
  t13052 = t670 * t6432;
  t13053 = t4877 * t13052;
  t13056 = t9845 * t12764;
  t13059 = t6304 * t11231;
  t13080 = t62 * t463;
  t13081 = t13080 * t206;
  t13082 = t233 * t13081;
  t13085 = t13080 * t794;
  t13086 = t233 * t13085;
  t13089 = -t1876 * t11902 + t7670 * t2712 + t1872 * t11909 + t1870 * t2572 / 0.2e1 + t519 * t11947 / 0.2e1 - t7665 * t2716 + 0.2e1 / 0.3e1 * t7665 * t2709 + 0.2e1 / 0.3e1 * t1876 * t11952 + 0.2e1 * t7655 * t11965 + 0.2e1 * t11138 * t11969 + t7651 * t11972 / 0.3e1 + 0.6e1 * t11143 * t13082 + 0.2e1 * t7655 * t13086;
  t13090 = t802 * t13081;
  t13093 = t802 * t13085;
  t13096 = t3590 * t13081;
  t13103 = t815 * t13085;
  t13106 = t815 * t13081;
  t13109 = t3580 * t13081;
  t13113 = t2708 * t206;
  t13114 = t3130 * t13113;
  t13117 = t689 * t13113;
  t13120 = 0.2e1 * t11079 * t13090 + 0.2e1 / 0.3e1 * t7651 * t13093 - t11072 * t13096 / 0.9e1 - 0.2e1 * t7651 * t11975 + 0.6e1 * t11072 * t13090 - 0.4e1 * t7651 * t13103 - 0.12e2 * t11079 * t13106 - 0.2e1 / 0.3e1 * t11072 * t13109 + t1876 * t11890 - 0.3e1 * t7686 * t13114 + 0.6e1 * t7680 * t13117 + t9022 - t9047;
  t13129 = t2708 * t794;
  t13130 = t3556 * t13129;
  t13133 = -t9048 - t9050 + 0.2e1 * t1876 * t11987 - t519 * t11979 - 0.2e1 / 0.3e1 * t1876 * t11983 + 0.2e1 * t7665 * t2705 - t2138 + t9091 + t9093 - t9100 + t9121 + t2119 + 0.2e1 * t1876 * t13130;
  t13134 = t3125 * t13113;
  t13137 = t3130 * t13129;
  t13140 = t229 * t13113;
  t13143 = t788 * t13129;
  t13151 = t683 * t13113;
  t13158 = t3168 * t13113;
  t13162 = 0.1e2 / 0.3e1 * t7686 * t13134 - 0.4e1 / 0.3e1 * t1876 * t13137 - 0.3e1 * t7690 * t13140 - t1872 * t13143 - t1872 * t11990 - t519 * t11993 - 0.2e1 * t7670 * t2698 - 0.2e1 * t1872 * t12006 - 0.4e1 * t7680 * t13151 - t7665 * t2701 / 0.3e1 - t1876 * t11995 / 0.3e1 + t7686 * t13158 / 0.18e2 - t1870 * t2562;
  t13164 = t13089 + t13120 + t13133 + t13162;
  t13165 = t59 * t13164;
  t13166 = t13165 * t95;
  t13170 = t188 * t2720 / 0.12e2;
  t13171 = t229 * t9870;
  t13172 = t7690 * t13171;
  t13175 = t788 * t6432;
  t13176 = t1872 * t13175;
  t13179 = t2719 * t277;
  t13182 = t13044 + t7251 * t13046 / 0.3e1 - t7251 * t13049 / 0.6e1 - 0.2e1 / 0.3e1 * t7251 * t13053 - 0.11e2 / 0.18e2 * t10757 * t13056 + 0.3e1 / 0.2e1 * t9877 * t13059 - t30 * t13166 / 0.4e1 - t13170 + 0.3e1 / 0.2e1 * t4772 * t13172 + t4772 * t13176 / 0.2e1 - t30 * t13179 / 0.4e1;
  t13185 = t7351 * t1554;
  t13186 = t13185 * t1281;
  t13189 = t3556 * t6432;
  t13190 = t1876 * t13189;
  t13192 = t7457 * t2741;
  t13197 = -t8896 - t8900 + t8913 + t8915 - t8939 - t8952 + t8954 - t3266 * t13186 / 0.2e1 - t4772 * t13190 + t3266 * t13192 / 0.2e1 + t6454 * t11167 / 0.6e1;
  t13198 = t222 * t2720;
  t13201 = t2718 * t243;
  t13202 = t242 * t13201;
  t13203 = t191 * t13202;
  t13222 = t8974 - t211 * t13198 / 0.12e2 + t13203 * t250 / 0.4e1 - t466 * t7606 / 0.12e2 - t1750 * t1511 / 0.12e2 - t1755 * t1511 / 0.12e2 - t515 * t6212 / 0.12e2 + t7592 * t481 / 0.4e1 - t1529 * t1765 / 0.12e2 - t1534 * t1765 / 0.12e2 - t630 * t2737 / 0.4e1;
  t13230 = t7384 * t2728;
  t13233 = t1784 * t12141;
  t13247 = t637 * t2734 / 0.6e1;
  t13248 = t1516 * t1802 / 0.4e1 - t3070 * t2729 / 0.2e1 - t3061 * t2729 / 0.2e1 - t679 * t13230 / 0.2e1 - t679 * t13233 / 0.2e1 - t1770 * t1560 / 0.4e1 + t1770 * t1564 / 0.4e1 - t1516 * t1793 / 0.2e1 - t1516 * t1798 / 0.4e1 - t1770 * t1556 / 0.2e1 - t13247;
  t13250 = t3051 * t2729 / 0.6e1;
  t13252 = t7276 * t2692 / 0.9e1;
  t13254 = t7276 * t2686 / 0.18e2;
  t13256 = t1760 * t2544 / 0.36e2;
  t13258 = t7276 * t2681 / 0.36e2;
  t13260 = t7183 * t2678 / 0.18e2;
  t13271 = -t13250 + t13252 - t13254 + t13256 - t13258 + t13260 - t1541 * t10814 / 0.6e1 + t1541 * t10818 / 0.3e1 - t7587 * t1548 / 0.2e1 + t1770 * t1551 / 0.2e1 - t6411 * t1785 / 0.2e1;
  t13276 = my_piecewise3(t2, 0, t1516 * t1788 / 0.2e1 - t1779 * t9981 / 0.6e1 + t1779 * t9985 / 0.3e1 - t10757 * t12971 / 0.2e1 + 0.23e2 / 0.36e2 * t10757 * t12974 + t7251 * t11827 / 0.6e1 - t7251 * t11886 / 0.3e1 - t182 * t2720 / 0.4e1 - 0.5e1 / 0.36e2 * t10757 * t12983 + t10838 * t12765 + t6451 * t7358 / 0.12e2 - t6439 * t10884 / 0.12e2 - t3266 * t12754 / 0.4e1 - 0.2e1 * t10838 * t12758 + 0.7e1 / 0.3e1 * t10757 * t9845 * t12757 + t12870 + t12961 + t12768 + t13182 + t12895 + t13271 + t2160 + t12841 + t12926 + t12822 + t13013 - t8829 + t13042 + t13248 - t12770 + t13197 + t12797 + t13222 - t2089);
  tv3rholapltau0 = t3 * t13276 + t2755;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 0] += tv3rholapltau0;

  tv3rholapltau1 = 0.e0;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 1] += tv3rholapltau1;

  tv3rholapltau2 = 0.e0;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 2] += tv3rholapltau2;

  t13279 = t948 * t2817 / 0.12e2;
  t13281 = t948 * t2822 / 0.6e1;
  t13283 = t948 * t2814 / 0.6e1;
  t13285 = t4005 * t2809 / 0.6e1;
  t13287 = t7911 * t2766 / 0.18e2;
  t13289 = t7911 * t2772 / 0.9e1;
  t13291 = t1905 * t2619 / 0.36e2;
  t13293 = t7953 * t2758 / 0.18e2;
  t13295 = t7911 * t2761 / 0.36e2;
  t13308 = -t9147 - t9168 + t9172 + t9195 - t13279 + t13281 - t13283 - t13285 - t13287 + t13289 + t13291 + t13293 - t13295 - t1615 * t1965 / 0.12e2 + t945 * t2831 / 0.4e1 - t945 * t2817 / 0.4e1 + t945 * t2822 / 0.2e1 - t945 * t2814 / 0.2e1 - t3971 * t2809 / 0.2e1;
  t13310 = t7997 * t505 / 0.12e2;
  t13312 = t1618 * t1951 / 0.36e2;
  t13314 = t1905 * t1642 / 0.36e2;
  t13324 = t294 * t2800 / 0.12e2;
  t13336 = t948 * t2831 / 0.12e2;
  t13338 = t1618 * t1965 / 0.36e2;
  t13342 = t294 * t2827 / 0.12e2;
  t13346 = t6715 * t570 / 0.12e2;
  t13347 = t13310 - t13312 - t13314 + t6700 * t570 / 0.4e1 + t8016 * t505 / 0.4e1 - t1902 * t1642 / 0.12e2 - t1615 * t1951 / 0.12e2 - t13324 + t7921 * t2772 / 0.3e1 - t7921 * t2766 / 0.6e1 + t1902 * t2619 / 0.12e2 - t7921 * t2761 / 0.12e2 + t7916 * t2758 / 0.6e1 + t13336 - t13338 - t290 * t2827 / 0.4e1 - t13342 - t290 * t2800 / 0.4e1 + t13346;
  t13349 = my_piecewise3(t100, 0, t13308 + t13347);
  tv3rholapltau3 = t3 * t13349 + t2835;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 3] += tv3rholapltau3;

  t13373 = t12768 - t12770 + t12773 - t12775 - t9224 + t9234 - t8624 + t8645 + t903 * t2751 / 0.4e1 + t903 * t2742 / 0.2e1 - t1632 * t1807 / 0.12e2 - t903 * t2734 / 0.2e1 - t903 * t2737 / 0.4e1 - t3740 * t2729 / 0.2e1 + t7825 * t2678 / 0.6e1 - t307 * t2720 / 0.4e1 - t7820 * t2681 / 0.12e2 + t1923 * t2544 / 0.12e2 - t7820 * t2686 / 0.6e1;
  t13386 = t7820 * t2692 / 0.3e1 - t13010 - t13012 + t7869 * t481 / 0.4e1 + t6585 * t530 / 0.4e1 - t1632 * t1765 / 0.12e2 - t1923 * t1511 / 0.12e2 - t13022 + t13041 + t13044 - t13170 - t307 * t2747 / 0.4e1 - t13247 - t13250 + t13252 - t13254 + t13256 - t13258 + t13260;
  t13388 = my_piecewise3(t2, 0, t13373 + t13386);
  tv3rholapltau4 = t3 * t13388 + t2755;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 4] += tv3rholapltau4;

  tv3rholapltau5 = 0.e0;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 5] += tv3rholapltau5;

  tv3rholapltau6 = 0.e0;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 6] += tv3rholapltau6;

  t13390 = t142 * t487;
  t13391 = t13390 * t333;
  t13392 = t1186 * t13391;
  t13395 = t4599 * t13391;
  t13400 = t1173 * t13391;
  t13417 = -0.12e2 * t11668 * t13392 - 0.2e1 / 0.3e1 * t11651 * t13395 - 0.2e1 * t8508 * t12572 + 0.6e1 * t11651 * t13400 + t559 * t12576 / 0.2e1 - t8457 * t2796 - t2060 * t12598 + 0.2e1 / 0.3e1 * t8457 * t2789 + 0.2e1 / 0.3e1 * t2060 * t12584 + t8451 * t2792 + t2056 * t12603 + t2054 * t2647 / 0.2e1 - t2060 * t12555 / 0.3e1;
  t13418 = t1484 * t487;
  t13419 = t4609 * t13418;
  t13428 = t1033 * t13418;
  t13437 = t4619 * t13418;
  t13440 = t2788 * t1082;
  t13441 = t4572 * t13440;
  t13444 = t356 * t13418;
  t13447 = t1165 * t13440;
  t13449 = t8438 * t13419 / 0.18e2 - t2054 * t2637 - t559 * t12633 - 0.2e1 * t8451 * t2778 - 0.2e1 * t2056 * t12643 - 0.4e1 * t8460 * t13428 - t8457 * t2781 / 0.3e1 + 0.2e1 * t8457 * t2785 + 0.2e1 * t2060 * t12638 + 0.1e2 / 0.3e1 * t8438 * t13437 - 0.4e1 / 0.3e1 * t2060 * t13441 - 0.3e1 * t8443 * t13444 - t2056 * t13447;
  t13451 = t1038 * t13418;
  t13455 = t4572 * t13418;
  t13460 = t4626 * t13440;
  t13465 = t13390 * t1082;
  t13466 = t1186 * t13465;
  t13469 = t360 * t13391;
  t13472 = t360 * t13465;
  t13477 = t1173 * t13465;
  t13480 = t4586 * t13391;
  t13483 = 0.6e1 * t8460 * t13451 + t2060 * t12617 - 0.3e1 * t8438 * t13455 - t2056 * t12623 - t559 * t12626 + 0.2e1 * t2060 * t13460 - 0.2e1 / 0.3e1 * t2060 * t12635 - 0.4e1 * t8508 * t13466 + 0.6e1 * t11663 * t13469 + 0.2e1 * t8511 * t13472 + 0.2e1 * t11668 * t13400 + 0.2e1 / 0.3e1 * t8508 * t13477 - t11651 * t13480 / 0.9e1;
  t13490 = 0.2e1 * t8511 * t12565 + 0.2e1 * t11656 * t12569 + t8508 * t12562 / 0.3e1 - t9586 - t9610 - t9611 + t9635 + t9669 + t9675 + t9677 - t9683 - t2229 + t2210;
  t13492 = t13417 + t13449 + t13483 + t13490;
  t13493 = t139 * t13492;
  t13494 = t13493 * t168;
  t13505 = t4440 * t2756;
  t13506 = t1430 * t13505;
  t13528 = t1423 * t13505;
  t13531 = -t1981 * t12529 / 0.12e2 + t8125 * t2758 / 0.6e1 + t8130 * t2758 / 0.6e1 + t1941 * t2619 / 0.12e2 + t1946 * t2619 / 0.12e2 + t555 * t12409 / 0.12e2 + t555 * t12401 / 0.12e2 - t8081 * t2766 / 0.6e1 - t8086 * t2766 / 0.6e1 - t1981 * t13528 / 0.6e1 + t9307;
  t13533 = t11402 * t1673;
  t13534 = t13533 * t1415;
  t13537 = t13533 * t1410;
  t13550 = t1038 * t10383;
  t13551 = t8460 * t13550;
  t13554 = t552 * t2616;
  t13555 = t4572 * t13554;
  t13556 = t5641 * t13555;
  t13559 = t4695 * t13534 / 0.2e1 - t5649 * t13537 / 0.2e1 + t555 * t6757 / 0.12e2 - t1981 * t10344 / 0.12e2 - t555 * t6812 / 0.12e2 - t1981 * t12366 / 0.6e1 + t1974 * t10339 / 0.6e1 - t9147 + t9172 - 0.3e1 * t5665 * t13551 + t5639 * t13556 / 0.2e1;
  t13560 = t2060 * t12345;
  t13563 = t168 * t10383;
  t13564 = t10358 * t13563;
  t13567 = t6005 * t13563;
  t13570 = t168 * t6832;
  t13571 = t4687 * t13570;
  t13574 = t5695 * t13563;
  t13579 = t6755 * t1963;
  t13580 = t1101 * t13579;
  t13589 = t2798 * t370;
  t13590 = t369 * t13589;
  t13591 = t321 * t13590;
  t13594 = -t5665 * t13560 / 0.2e1 - 0.5e1 / 0.36e2 * t11399 * t13564 - t11646 * t13567 / 0.2e1 - t8219 * t13571 / 0.6e1 + t11510 * t13574 / 0.2e1 + t1647 * t2029 / 0.2e1 - t338 * t13580 / 0.12e2 + t1647 * t1969 / 0.4e1 + t1070 * t2831 / 0.4e1 - t555 * t7018 / 0.12e2 + t13591 * t377 / 0.4e1;
  t13609 = -t1660 * t1951 / 0.12e2 - t1665 * t1951 / 0.12e2 - t490 * t8316 / 0.12e2 - t1941 * t1642 / 0.12e2 - t1946 * t1642 / 0.12e2 - t13279 + t13281 - t13283 - t13285 - t13287 + t6965 * t570 / 0.4e1;
  t13616 = t349 * t2800;
  t13623 = t1101 * t13505;
  t13634 = t6960 * t570 / 0.4e1 + t8296 * t505 / 0.4e1 + t8287 * t505 / 0.4e1 - t338 * t13616 / 0.12e2 + t1647 * t1938 / 0.4e1 + t1956 * t1657 / 0.4e1 + t1974 * t13623 / 0.6e1 - t1981 * t10552 / 0.6e1 + t1981 * t10556 / 0.3e1 - t1683 * t11562 / 0.6e1 + t1683 * t11566 / 0.3e1;
  t13642 = t559 * t12724;
  t13645 = t8077 * t2667;
  t13652 = t4626 * t6832;
  t13653 = t2060 * t13652;
  t13655 = -t8280 * t1675 / 0.2e1 + t1956 * t1679 / 0.2e1 - t6955 * t2026 / 0.2e1 - t9408 - t9412 + t9416 + t5665 * t13642 / 0.2e1 - t4695 * t13645 / 0.4e1 + t6772 * t8211 / 0.12e2 - t6769 * t11780 / 0.12e2 - t5665 * t13653;
  t13656 = t8072 * t2821;
  t13659 = t8226 * t1688;
  t13660 = t13659 * t1438;
  t13663 = t8226 * t488;
  t13664 = t13663 * t1084;
  t13669 = t403 * t487;
  t13670 = t380 * t13669;
  t13671 = t5679 * t13670;
  t13674 = t1018 * t6832;
  t13675 = t5691 * t13674;
  t13678 = t1720 * t8237;
  t13680 = t4695 * t13656 / 0.2e1 - t4695 * t13660 / 0.2e1 - t4695 * t13664 / 0.4e1 + t6764 * t11746 / 0.6e1 + t13289 + t13291 + t13293 - t13295 - t8063 * t13671 / 0.6e1 - 0.2e1 / 0.3e1 * t8063 * t13675 + t5639 * t13678;
  t13684 = t4693 * t13669;
  t13685 = t5695 * t13684;
  t13688 = t2799 * t404;
  t13691 = t500 * t2021;
  t13702 = t6005 * t13670;
  t13705 = t5691 * t13570;
  t13711 = t5674 * t13570;
  t13714 = t5695 * t13670;
  t13717 = t1165 * t6832;
  t13718 = t2056 * t13717;
  t13721 = t8060 * t2813;
  t13724 = -t13312 - t13314 + t8214 * t12737 / 0.12e2 + t8063 * t13711 / 0.3e1 - t8063 * t13714 / 0.12e2 + t9482 - t9485 - t9487 - t13324 + t5665 * t13718 / 0.2e1 - t4695 * t13721 / 0.2e1;
  t13726 = t2056 * t12719;
  t13729 = t8072 * t2808;
  t13732 = t356 * t10383;
  t13733 = t8443 * t13732;
  t13736 = t7089 * t11800;
  t13739 = t5691 * t13563;
  t13742 = t1018 * t10383;
  t13743 = t10447 * t13742;
  t13746 = t4191 * t10383;
  t13747 = t10358 * t13746;
  t13750 = t5679 * t13563;
  t13752 = t7093 * t11526;
  t13759 = t5665 * t13726 / 0.2e1 - t5649 * t13729 / 0.2e1 + 0.3e1 / 0.2e1 * t5665 * t13733 + 0.3e1 * t5639 * t13736 - t11399 * t13739 / 0.2e1 + 0.7e1 / 0.3e1 * t11399 * t13743 - 0.3e1 / 0.2e1 * t11399 * t13747 + t11510 * t13750 - 0.3e1 * t5639 * t13752 + t8063 * t12355 / 0.6e1 - t8063 * t12523 / 0.3e1;
  t13760 = t4572 * t10383;
  t13761 = t8438 * t13760;
  t13768 = t7093 * t11522;
  t13771 = t1736 * t584;
  t13774 = 0.3e1 / 0.2e1 * t5665 * t13761 - t6769 * t11552 / 0.6e1 + t6769 * t11556 / 0.3e1 + 0.3e1 / 0.2e1 * t10513 * t13768 - t110 * t13771 / 0.4e1 + t13336 - t13338 + t9535 + t9543 - t13342 - t9546;
  t13777 = t8351 * t2813;
  t13780 = t2036 * t12504;
  t13787 = t8133 * t2667;
  t13790 = t2040 * t12493;
  t13797 = -t9548 - t373 * t13777 / 0.2e1 - t373 * t13780 / 0.2e1 - t1070 * t2817 / 0.4e1 - t1058 * t2817 / 0.4e1 - t373 * t13787 / 0.4e1 - t373 * t13790 / 0.4e1 + t1070 * t2822 / 0.2e1 + t1058 * t2822 / 0.2e1 - t9710 + t9713;
  t13798 = t5695 * t13742;
  t13801 = t10447 * t13563;
  t13804 = t10358 * t13742;
  t13810 = t8600 * t493 * t376;
  t13814 = t1963 * t1713 * t376;
  t13817 = t8246 * t2821;
  t13820 = t2025 * t12498;
  t13829 = -0.2e1 * t11510 * t13798 - 0.11e2 / 0.18e2 * t11399 * t13801 + 0.23e2 / 0.36e2 * t11399 * t13804 + t1058 * t2831 / 0.4e1 + t373 * t13810 / 0.4e1 + t373 * t13814 / 0.4e1 + t373 * t13817 / 0.2e1 + t373 * t13820 / 0.2e1 - t1660 * t1965 / 0.12e2 - t1665 * t1965 / 0.12e2 - t490 * t8563 / 0.12e2;
  t13839 = t8246 * t2808;
  t13842 = t2025 * t12437;
  t13853 = -t490 * t8602 / 0.12e2 + t13346 - t1070 * t2814 / 0.2e1 - t1058 * t2814 / 0.2e1 - t4188 * t2809 / 0.2e1 - t1029 * t13839 / 0.2e1 - t1029 * t13842 / 0.2e1 - t1647 * t2041 / 0.4e1 + t1647 * t2045 / 0.4e1 - t4204 * t2809 / 0.2e1 + t1956 * t1698 / 0.4e1;
  t13868 = t1056 * t2756;
  t13869 = t1430 * t13868;
  t13878 = -t1647 * t2037 / 0.2e1 - t1956 * t1690 / 0.2e1 - t1956 * t1694 / 0.4e1 - t1683 * t11588 / 0.12e2 - t490 * t8553 / 0.12e2 + t8081 * t2772 / 0.3e1 + t8086 * t2772 / 0.3e1 + t1981 * t13869 / 0.3e1 + t1981 * t12443 / 0.3e1 + t1702 * t11603 / 0.6e1 + t490 * t8264 / 0.12e2;
  t13883 = my_piecewise3(t100, 0, -t110 * t13691 / 0.4e1 - t318 * t2827 / 0.4e1 - t8219 * t12740 / 0.6e1 - t8214 * t12729 / 0.6e1 + t8063 * t12732 / 0.12e2 + t8219 * t13702 / 0.6e1 + t8063 * t13705 / 0.6e1 - t110 * t13494 / 0.4e1 - t318 * t2800 / 0.4e1 + t1974 * t12540 / 0.6e1 - t8081 * t2761 / 0.12e2 - t8086 * t2761 / 0.12e2 - t1981 * t13506 / 0.12e2 + t8063 * t13685 / 0.3e1 - t110 * t13688 / 0.4e1 + t13724 + t13655 + t13759 + t13797 - t2180 + t13609 + t13594 + t13559 + t13878 + t13680 + t13774 + t13829 + t13310 - t9281 + t9283 + t13853 + t13634 + t13531 + t2251);
  tv3rholapltau7 = t3 * t13883 + t2835;

  if(out->v3rholapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rholapltau[ip*p->dim.v3rholapltau + 7] += tv3rholapltau7;

  t13885 = t680 * t2842;
  t13886 = t13885 * t3410;
  t13888 = t830 * t2869;
  t13889 = t13888 * t690;
  t13892 = t2836 * t3076;
  t13893 = t649 * t13892;
  t13894 = t191 * t13893;
  t13899 = t94 * t1745;
  t13900 = t837 * t13899;
  t13901 = t1261 * t13900;
  t13906 = t2836 * t3118;
  t13907 = t3135 * t13906;
  t13908 = t191 * t13907;
  t13911 = t843 * t13900;
  t13914 = t194 * t2842;
  t13915 = t191 * t13914;
  t13920 = t2889 * t277;
  t13926 = t637 * t2915 / 0.6e1;
  t13927 = -t2089 + t2160 - t246 * t13886 + t246 * t13889 / 0.2e1 - t8624 + t8645 - t8647 + t13894 * t1300 / 0.2e1 + t2839 * t845 / 0.6e1 - t1779 * t13901 / 0.6e1 + t2844 * t3525 / 0.6e1 - 0.5e1 / 0.36e2 * t13908 * t8711 + t1815 * t13911 / 0.3e1 - t13915 * t1295 / 0.2e1 - t2839 * t840 / 0.6e1 - t8720 - t30 * t13920 / 0.4e1 - t182 * t2895 / 0.2e1 + t13926;
  t13929 = t637 * t2907 / 0.6e1;
  t13930 = t2851 * t206;
  t13931 = t788 * t13930;
  t13932 = t1872 * t13931;
  t13935 = t2851 * t794;
  t13936 = t3562 * t13935;
  t13937 = t519 * t13936;
  t13940 = t7361 * t2911;
  t13943 = t633 * t2843;
  t13945 = t13943 * t672 / 0.9e1;
  t13947 = t1760 * t1765 / 0.18e2;
  t13949 = t13943 * t667 / 0.18e2;
  t13951 = t13943 * t662 / 0.36e2;
  t13952 = t633 * t2838;
  t13954 = t13952 * t223 / 0.18e2;
  t13955 = t626 * t2843;
  t13963 = t7611 * t530 / 0.6e1;
  t13966 = t626 * t2838;
  t13975 = -t13929 + t4772 * t13932 / 0.2e1 + t4772 * t13937 / 0.2e1 - t3266 * t13940 / 0.4e1 + t13945 - t13947 - t13949 - t13951 + t13954 - t13955 * t662 / 0.12e2 - t2844 * t3175 / 0.12e2 - t13955 * t667 / 0.6e1 + t13963 - t515 * t7606 / 0.6e1 + t13966 * t223 / 0.6e1 + t2839 * t645 / 0.6e1 + t8741 + t630 * t2903 / 0.2e1 + t608 * t2903 / 0.2e1;
  t13978 = t7400 * t518 * t249;
  t13982 = t1805 * t1869 * t249;
  t13985 = t660 * t1745;
  t13986 = t659 * t13985;
  t13987 = t1784 * t13986;
  t13989 = t680 * t13892;
  t13990 = t13989 * t1269;
  t13993 = t13885 * t3362;
  t13995 = t13888 * t684;
  t14006 = t222 * t2890;
  t14009 = t2888 * t243;
  t14010 = t242 * t14009;
  t14011 = t191 * t14010;
  t14025 = t1760 * t2854 / 0.36e2;
  t14026 = t13989 * t1274;
  t14029 = t246 * t13978 / 0.2e1 + t246 * t13982 / 0.2e1 - t679 * t13987 + 0.3e1 * t679 * t13990 + t679 * t13993 - t679 * t13995 / 0.2e1 + t2844 * t3091 / 0.3e1 - t2844 * t3056 / 0.6e1 - t1750 * t1765 / 0.6e1 - t1755 * t1765 / 0.6e1 - t211 * t14006 / 0.12e2 + t14011 * t250 / 0.4e1 + t7592 * t530 / 0.2e1 + t13955 * t672 / 0.3e1 + t1770 * t1747 / 0.2e1 - t3070 * t2899 / 0.2e1 - t3061 * t2899 / 0.2e1 + t14025 - 0.3e1 * t246 * t14026;
  t14030 = t3115 * t13906;
  t14031 = t14030 * t8922;
  t14038 = t14030 * t8928;
  t14041 = t14030 * t8933;
  t14050 = t637 * t2903 / 0.6e1;
  t14052 = t1760 * t1807 / 0.18e2;
  t14053 = t512 * t2851;
  t14054 = t3130 * t14053;
  t14055 = t4985 * t14054;
  t14058 = t3556 * t13930;
  t14059 = t1876 * t14058;
  t14062 = t7351 * t1791;
  t14063 = t14062 * t1281;
  t14065 = t7351 * t513;
  t14066 = t14065 * t826;
  t14069 = t1892 * t544;
  t14072 = t525 * t1855;
  t14077 = 0.3e1 / 0.2e1 * t246 * t14031 - 0.3e1 / 0.2e1 * t13908 * t8947 - t7587 * t1785 + t1770 * t1788 + 0.3e1 / 0.2e1 * t3167 * t14038 - 0.3e1 * t679 * t14041 + t13894 * t1257 - 0.2e1 * t13894 * t1263 - 0.11e2 / 0.18e2 * t13908 * t8940 - t8811 - t8829 + t14050 - t14052 + t4983 * t14055 / 0.2e1 - t4772 * t14059 / 0.2e1 - t3266 * t14063 - t3266 * t14066 / 0.2e1 - t30 * t14069 / 0.2e1 - t30 * t14072 / 0.2e1 - t182 * t2934 / 0.4e1;
  t14080 = t238 * t2933;
  t14084 = 0.1e1 / t3292;
  t14085 = t14084 * t83;
  t14088 = t14084 * tau[0];
  t14109 = -0.2e2 / 0.3e1 * t1830 - 0.1e2 * t14085 * tau[0] - 0.17e3 * t3331 * t14088 + 0.1e3 / 0.3e1 * t704 * t1829 - 0.26e3 * t3334 * t14088 + 0.12e3 * t709 * t1829 + 0.3e3 * t3314 * t14088 + 0.4e2 / 0.3e1 * t714 * t1829 + 0.75e3 * t3321 * t14088 - 0.5e3 / 0.3e1 * t719 * t1829 + 0.35e3 * t3326 * t14088 - 0.1e3 * t726 * t1829;
  t14110 = t253 * t14109;
  t14111 = t65 * t14110;
  t14115 = t637 * t2912 / 0.12e2;
  t14120 = t11224 * t1777;
  t14121 = t14120 * t1269;
  t14123 = t14120 * t1274;
  t14125 = t95 * t13930;
  t14126 = t5175 * t14125;
  t14129 = t670 * t13930;
  t14130 = t4877 * t14129;
  t14137 = t244 * t13899;
  t14138 = t1261 * t14137;
  t14141 = t1254 * t13900;
  t14154 = t3389 * t2852;
  t14155 = t836 * t14154;
  t14158 = -t30 * t14080 / 0.4e1 - t30 * t14111 / 0.4e1 - t14115 - t7251 * t11217 / 0.3e1 + 0.2e1 / 0.3e1 * t7251 * t11221 - t4993 * t14121 + t3266 * t14123 + t7251 * t14126 / 0.6e1 - t7251 * t14130 / 0.3e1 - t1779 * t10990 / 0.6e1 - t515 * t7262 / 0.6e1 + 0.2e1 / 0.3e1 * t1779 * t14138 - t1779 * t14141 / 0.3e1 + t2844 * t3691 / 0.3e1 - t2844 * t3366 / 0.6e1 - t2844 * t3380 / 0.12e2 + t1750 * t2854 / 0.12e2 + t1755 * t2854 / 0.12e2 + t515 * t14155 / 0.12e2;
  t14160 = t659 * t660 * t512;
  t14166 = t789 * t1791;
  t14169 = t3428 * t1777;
  t14172 = t789 * t513;
  t14179 = t518 * t595;
  t14184 = t1875 * t651;
  t14187 = 0.2e1 / 0.3e1 * t8661 * t14160 + 0.2e1 * t789 * t1745 * t249 - 0.4e1 * t14166 * t1281 + 0.4e1 / 0.3e1 * t14169 * t1269 - 0.2e1 * t14172 * t826 + 0.4e1 * t14169 * t1274 - 0.2e1 * t1884 * t222 + 0.4e1 * t14179 * t1281 + 0.2e1 * t521 * t826 - 0.4e1 * t14184 * t1274;
  t14188 = t94 * t14187;
  t14189 = t837 * t14188;
  t14190 = t836 * t14189;
  t14215 = t3051 * t2899 / 0.6e1;
  t14224 = t515 * t14190 / 0.12e2 + t7254 * t11167 / 0.3e1 + t7248 * t7358 / 0.6e1 - t7251 * t10884 / 0.6e1 + t8874 + t8877 + 0.23e2 / 0.36e2 * t13908 * t8943 - t13908 * t8742 / 0.2e1 + 0.7e1 / 0.3e1 * t13908 * t8745 - t1779 * t10814 / 0.3e1 + 0.2e1 / 0.3e1 * t1779 * t10818 - t1770 * t1793 - t1770 * t1798 / 0.2e1 + t1770 * t1802 / 0.2e1 - t14215 + t630 * t2915 / 0.2e1 + t608 * t2915 / 0.2e1 - t630 * t2907 / 0.2e1 - t608 * t2907 / 0.2e1;
  t14228 = params->at * t2932;
  t14229 = t837 * t14228;
  t14230 = t843 * t14229;
  t14234 = t14228 * t226 * t249;
  t14237 = t7525 * t2911;
  t14241 = t824 * t221 * t14187;
  t14242 = t1797 * t14241;
  t14246 = t659 * t665 * t1745;
  t14247 = t1784 * t14246;
  t14249 = t247 * t2837;
  t14250 = t14249 * t826;
  t14254 = t830 * t2865 * t597;
  t14262 = t219 * t221 * t1745;
  t14263 = t1792 * t14262;
  t14265 = t247 * t2842;
  t14266 = t14265 * t1281;
  t14269 = t276 * t2851;
  t14270 = t253 * t14269;
  t14271 = t3273 * t14270;
  t14274 = t3273 * t14125;
  t14277 = t95 * t13935;
  t14278 = t8790 * t14277;
  t14281 = t4877 * t14125;
  t14285 = t188 * t2934 / 0.12e2;
  t14287 = t188 * t2895 / 0.6e1;
  t14288 = t7600 * t530 / 0.2e1 - t211 * t14230 / 0.12e2 + t246 * t14234 / 0.4e1 - t246 * t14237 / 0.4e1 - t246 * t14242 / 0.4e1 + t246 * t14247 + t246 * t14250 / 0.2e1 - t246 * t14254 / 0.2e1 - t630 * t2912 / 0.4e1 - t608 * t2912 / 0.4e1 - t246 * t14263 + 0.3e1 / 0.2e1 * t246 * t14266 + t7248 * t14271 / 0.12e2 - t7254 * t14274 / 0.6e1 - t7248 * t14278 / 0.6e1 + t7251 * t14281 / 0.12e2 - t14285 - t14287 - t8896;
  t14291 = t2883 * t206;
  t14292 = t788 * t14291;
  t14294 = t2883 * t794;
  t14295 = t3562 * t14294;
  t14298 = t63 * t14187;
  t14299 = t788 * t14298;
  t14301 = t3130 * t14291;
  t14304 = t63 * t1745;
  t14305 = t689 * t14304;
  t14310 = t229 * t14304;
  t14313 = t2865 * t3259;
  t14318 = t2869 * t3077;
  t14321 = -t1872 * t14292 - t519 * t14295 - t1870 * t2874 - t519 * t14299 - 0.2e1 / 0.3e1 * t1876 * t14301 + 0.4e1 * t1876 * t14305 - 0.4e1 * t2870 * t3557 - 0.4e1 * t1872 * t14310 + 0.6e1 * t14313 * t1315 + 0.2e1 * t2866 * t796 + 0.2e1 * t14318 * t1320;
  t14322 = t683 * t14304;
  t14327 = t69 * t2836;
  t14328 = t14327 * t3121;
  t14331 = t3556 * t14291;
  t14339 = t60 * t14187;
  t14340 = t788 * t14339;
  t14345 = t60 * t1745;
  t14346 = t683 * t14345;
  t14353 = -0.2e1 / 0.3e1 * t1876 * t14322 + 0.2e1 / 0.3e1 * t2870 * t3543 - t14328 * t9041 / 0.9e1 + t1876 * t14331 - 0.2e1 / 0.3e1 * t14328 * t9028 + 0.6e1 * t14328 * t9031 - 0.12e2 * t14318 * t1324 + t519 * t14340 / 0.2e1 + 0.1e2 / 0.3e1 * t14328 * t9113 + 0.4e1 / 0.3e1 * t1876 * t14346 - 0.4e1 / 0.3e1 * t2870 * t3616 - 0.4e1 * t14318 * t1328;
  t14357 = t62 * t2851;
  t14358 = t14357 * t206;
  t14359 = t815 * t14358;
  t14362 = t233 * t14358;
  t14365 = t14357 * t794;
  t14366 = t233 * t14365;
  t14369 = t802 * t14358;
  t14372 = t689 * t14345;
  t14377 = t14328 * t9097 / 0.18e2 - 0.2e1 * t7651 * t14359 + 0.2e1 * t7655 * t14362 + 0.2e1 * t11138 * t14366 + t7651 * t14369 / 0.3e1 + t9022 - t9047 - t9048 - t9050 - 0.2e1 * t1876 * t14372 + 0.2e1 * t2870 * t3607;
  t14378 = t229 * t14345;
  t14390 = 0.2e1 * t1872 * t14378 - 0.3e1 * t14313 * t1334 - t2866 * t812 + t1870 * t2884 / 0.2e1 + 0.6e1 * t14318 * t1338 - 0.3e1 * t14328 * t9103 - t2138 + t9091 + t9093 - t9100 + t9121 + t2119;
  t14392 = t14321 + t14353 + t14377 + t14390;
  t14393 = t59 * t14392;
  t14394 = t14393 * t95;
  t14398 = t188 * t2890 / 0.12e2;
  t14399 = t7213 * t1805;
  t14400 = t843 * t14399;
  t14421 = -t8900 + t8913 + t8915 - t8939 - t8952 + t8954 - t182 * t2890 / 0.4e1 - t30 * t14394 / 0.4e1 + t8974 - t14398 - t211 * t14400 / 0.6e1 + t1770 * t1811 / 0.2e1 - t515 * t7402 / 0.6e1 - 0.2e1 / 0.3e1 * t2844 * t3522 + t2844 * t3503 / 0.3e1 - t1750 * t1807 / 0.6e1 - t1755 * t1807 / 0.6e1 - t515 * t7374 / 0.6e1 + t1815 * t10985 / 0.3e1 + t515 * t7215 / 0.6e1;
  t14425 = my_piecewise3(t2, 0, t13927 + t13975 + t14029 + t14077 + t14158 + t14224 + t14288 + t14421);
  tv3rhotau20 = t3 * t14425 + t2938;

  if(out->v3rhotau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 0] += tv3rhotau20;

  tv3rhotau21 = 0.e0;

  if(out->v3rhotau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 1] += tv3rhotau21;

  t14432 = t294 * t2998 / 0.6e1;
  t14433 = t937 * t2946;
  t14435 = t14433 * t1015 / 0.18e2;
  t14437 = t14433 * t1010 / 0.36e2;
  t14438 = t937 * t2941;
  t14440 = t14438 * t350 / 0.18e2;
  t14447 = t933 * t2946;
  t14455 = t948 * t3018 / 0.6e1;
  t14457 = t948 * t3010 / 0.6e1;
  t14458 = -t290 * t2998 / 0.2e1 - t290 * t3037 / 0.4e1 - t14432 - t9147 - t9168 + t9172 + t9195 - t14435 - t14437 + t14440 - t945 * t3010 / 0.2e1 + t945 * t3018 / 0.2e1 - t3971 * t3002 / 0.2e1 + t14447 * t1020 / 0.3e1 + t8016 * t570 / 0.2e1 - t14447 * t1010 / 0.12e2 + t14455 - t14457;
  t14460 = t4005 * t3002 / 0.6e1;
  t14462 = t7997 * t570 / 0.6e1;
  t14464 = t1905 * t1951 / 0.18e2;
  t14466 = t14433 * t1020 / 0.9e1;
  t14468 = t1905 * t2957 / 0.36e2;
  t14470 = t1905 * t1965 / 0.18e2;
  t14472 = t948 * t3006 / 0.6e1;
  t14474 = t948 * t3015 / 0.12e2;
  t14480 = t294 * t2993 / 0.12e2;
  t14485 = t933 * t2941;
  t14495 = t294 * t3037 / 0.12e2;
  t14496 = -t14460 + t14462 - t14464 + t14466 + t14468 - t14470 + t14472 - t14474 + t1902 * t2957 / 0.12e2 - t290 * t2993 / 0.4e1 - t14480 - t14447 * t1015 / 0.6e1 - t1902 * t1951 / 0.6e1 + t14485 * t350 / 0.6e1 - t945 * t3015 / 0.4e1 + t945 * t3006 / 0.2e1 - t1902 * t1965 / 0.6e1 - t14495;
  t14498 = my_piecewise3(t100, 0, t14458 + t14496);
  tv3rhotau22 = t3 * t14498 + t3041;

  if(out->v3rhotau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 2] += tv3rhotau22;

  t14512 = t897 * t2843;
  t14517 = t897 * t2838;
  t14522 = -t903 * t2912 / 0.4e1 + t903 * t2903 / 0.2e1 - t1923 * t1807 / 0.6e1 + t1923 * t2854 / 0.12e2 - t9224 + t9234 - t8624 + t8645 + t7869 * t530 / 0.2e1 - t3740 * t2899 / 0.2e1 - t14512 * t667 / 0.6e1 - t1923 * t1765 / 0.6e1 + t14517 * t223 / 0.6e1 - t14512 * t662 / 0.12e2 + t13926 - t13929 + t13945 - t13947;
  t14535 = -t13949 - t13951 + t13954 + t13963 + t14025 + t14050 - t14052 + t903 * t2915 / 0.2e1 - t903 * t2907 / 0.2e1 + t14512 * t672 / 0.3e1 - t14115 - t307 * t2895 / 0.2e1 - t14215 - t307 * t2934 / 0.4e1 - t14285 - t14287 - t307 * t2890 / 0.4e1 - t14398;
  t14537 = my_piecewise3(t2, 0, t14522 + t14535);
  tv3rhotau23 = t3 * t14537 + t2938;

  if(out->v3rhotau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 3] += tv3rhotau23;

  tv3rhotau24 = 0.e0;

  if(out->v3rhotau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 4] += tv3rhotau24;

  t14541 = t365 * t3036;
  t14545 = 0.1e1 / t4491;
  t14546 = t14545 * t156;
  t14549 = t14545 * tau[1];
  t14570 = -0.2e2 / 0.3e1 * t1996 - 0.1e2 * t14546 * tau[1] - 0.17e3 * t4480 * t14549 + 0.1e3 / 0.3e1 * t1119 * t1995 - 0.26e3 * t4483 * t14549 + 0.12e3 * t1124 * t1995 + 0.3e3 * t4486 * t14549 + 0.4e2 / 0.3e1 * t1129 * t1995 + 0.75e3 * t4465 * t14549 - 0.5e3 / 0.3e1 * t1134 * t1995 + 0.35e3 * t4474 * t14549 - 0.1e3 * t1141 * t1995;
  t14571 = t380 * t14570;
  t14572 = t145 * t14571;
  t14581 = t1065 * t2941;
  t14600 = -t2180 + t2251 - t318 * t3037 / 0.4e1 - t110 * t14541 / 0.4e1 - t110 * t14572 / 0.4e1 - t318 * t2998 / 0.2e1 - t9281 + t9283 - t2947 * t4135 / 0.6e1 - t1941 * t1951 / 0.6e1 + t14581 * t350 / 0.6e1 + t2942 * t994 / 0.6e1 - t1058 * t3010 / 0.2e1 + t1070 * t3018 / 0.2e1 + t1058 * t3018 / 0.2e1 - t4204 * t3002 / 0.2e1 - t4188 * t3002 / 0.2e1 - t1070 * t3010 / 0.2e1 + t1956 * t1938 / 0.2e1;
  t14605 = t8226 * t1972;
  t14606 = t14605 * t1438;
  t14608 = t8226 * t553;
  t14609 = t14608 * t1084;
  t14612 = t2954 * t333;
  t14613 = t1165 * t14612;
  t14614 = t2056 * t14613;
  t14617 = t2954 * t1082;
  t14618 = t4575 * t14617;
  t14619 = t559 * t14618;
  t14622 = t8077 * t3014;
  t14625 = t9307 - t14432 - t318 * t2993 / 0.4e1 - t9147 + t9172 - t8063 * t11780 / 0.6e1 - t4695 * t14606 - t4695 * t14609 / 0.2e1 + t5665 * t14614 / 0.2e1 + t5665 * t14619 / 0.2e1 - t4695 * t14622 / 0.4e1 - t14435 - t14437 + t14440 + t14455 - t14457 - t14460 + t14462 - t14464;
  t14627 = t168 * t14612;
  t14628 = t4687 * t14627;
  t14631 = t168 * t14617;
  t14632 = t9444 * t14631;
  t14635 = t5691 * t14627;
  t14638 = t403 * t2954;
  t14639 = t380 * t14638;
  t14640 = t4687 * t14639;
  t14647 = t2076 * t584;
  t14650 = t565 * t2021;
  t14653 = t2992 * t404;
  t14656 = t1018 * t14612;
  t14657 = t5691 * t14656;
  t14660 = t14466 + t14468 - t14470 + t14472 - t14474 - t8219 * t14628 / 0.6e1 - t8214 * t14632 / 0.6e1 + t8063 * t14635 / 0.12e2 + t8214 * t14640 / 0.12e2 + t8219 * t11746 / 0.3e1 + t8214 * t8211 / 0.6e1 - t9408 - t9412 + t9416 - t14480 - t110 * t14647 / 0.2e1 - t110 * t14650 / 0.2e1 - t110 * t14653 / 0.4e1 - t8063 * t14657 / 0.3e1;
  t14661 = t349 * t2993;
  t14664 = t2991 * t370;
  t14665 = t369 * t14664;
  t14666 = t321 * t14665;
  t14673 = t1088 * t2972;
  t14674 = t14673 * t1039;
  t14678 = t346 * t348 * t1936;
  t14679 = t2036 * t14678;
  t14682 = t1088 * t2968 * t1047;
  t14685 = t374 * t2940;
  t14686 = t14685 * t1084;
  t14695 = t1065 * t2946;
  t14704 = params->at * t3035;
  t14705 = t1095 * t14704;
  t14706 = t1101 * t14705;
  t14709 = t2939 * t4140;
  t14710 = t3135 * t14709;
  t14711 = t321 * t14710;
  t14714 = -t338 * t14661 / 0.12e2 + t14666 * t377 / 0.4e1 + t8296 * t570 / 0.2e1 + t8287 * t570 / 0.2e1 + t373 * t14674 / 0.2e1 - t373 * t14679 - t373 * t14682 / 0.2e1 + t373 * t14686 / 0.2e1 - t14495 + t2947 * t4264 / 0.3e1 - t1946 * t1951 / 0.6e1 - t555 * t8316 / 0.6e1 + t14695 * t1020 / 0.3e1 - t14695 * t1010 / 0.12e2 - t2947 * t4228 / 0.12e2 - t14695 * t1015 / 0.6e1 - t338 * t14706 / 0.12e2 + 0.7e1 / 0.3e1 * t14711 * t9270 + t9482 - t9485;
  t14717 = t8133 * t3014;
  t14721 = t1007 * t1008 * t552;
  t14727 = t1077 * t1972;
  t14730 = t4388 * t1979;
  t14733 = t1077 * t553;
  t14740 = t558 * t1045;
  t14745 = t2059 * t999;
  t14748 = 0.2e1 / 0.3e1 * t9372 * t14721 + 0.2e1 * t1077 * t1936 * t376 - 0.4e1 * t14727 * t1438 + 0.4e1 / 0.3e1 * t14730 * t1410 - 0.2e1 * t14733 * t1084 + 0.4e1 * t14730 * t1415 - 0.2e1 * t2068 * t349 + 0.4e1 * t14740 * t1438 + 0.2e1 * t561 * t1084 - 0.4e1 * t14745 * t1415;
  t14750 = t1076 * t348 * t14748;
  t14751 = t2040 * t14750;
  t14756 = t4440 * t2955;
  t14757 = t1094 * t14756;
  t14770 = t167 * t1936;
  t14771 = t371 * t14770;
  t14772 = t1430 * t14771;
  t14791 = -t9487 - t373 * t14717 / 0.4e1 - t373 * t14751 / 0.4e1 - t1070 * t3015 / 0.4e1 + t555 * t14757 / 0.12e2 - t2947 * t4550 / 0.6e1 + t2947 * t4554 / 0.3e1 - t1981 * t11588 / 0.6e1 + t1974 * t11603 / 0.3e1 + t555 * t8264 / 0.6e1 + 0.2e1 / 0.3e1 * t1981 * t14772 - 0.2e1 / 0.3e1 * t2947 * t4378 - t555 * t8602 / 0.6e1 - t555 * t8553 / 0.6e1 - t555 * t8563 / 0.6e1 - t1941 * t1965 / 0.6e1 - t1946 * t1965 / 0.6e1 + t2947 * t4361 / 0.3e1 + t1956 * t2045 / 0.2e1;
  t14792 = t8262 * t1963;
  t14793 = t1101 * t14792;
  t14799 = t1963 * t2053 * t376;
  t14802 = t1008 * t1936;
  t14803 = t1007 * t14802;
  t14804 = t2025 * t14803;
  t14806 = t2939 * t4160;
  t14807 = t1030 * t14806;
  t14808 = t14807 * t1410;
  t14814 = t11402 * t1979;
  t14815 = t14814 * t1415;
  t14817 = t552 * t2954;
  t14818 = t4572 * t14817;
  t14819 = t5641 * t14818;
  t14822 = t4626 * t14612;
  t14823 = t2060 * t14822;
  t14827 = t14704 * t353 * t376;
  t14830 = t649 * t14806;
  t14831 = t321 * t14830;
  t14840 = -t338 * t14793 / 0.6e1 + t1956 * t1969 / 0.2e1 + t373 * t14799 / 0.2e1 - t1029 * t14804 + 0.3e1 * t1029 * t14808 - t1956 * t2037 - t1956 * t2041 / 0.2e1 + t4695 * t14815 + t5639 * t14819 / 0.2e1 - t5665 * t14823 / 0.2e1 + t373 * t14827 / 0.4e1 + t9535 + t9543 - t9546 - t9548 + t14831 * t1457 / 0.2e1 + t2942 * t1103 / 0.6e1 + t1946 * t2957 / 0.12e2 - t2947 * t4433 / 0.12e2;
  t14847 = t8600 * t558 * t376;
  t14854 = t14673 * t1034;
  t14857 = t1030 * t2945;
  t14858 = t14857 * t4307;
  t14860 = t1095 * t14770;
  t14861 = t1423 * t14860;
  t14864 = t167 * t14748;
  t14865 = t1095 * t14864;
  t14866 = t1094 * t14865;
  t14869 = t374 * t2945;
  t14870 = t14869 * t1438;
  t14873 = t14807 * t1415;
  t14876 = t4719 * t14709;
  t14877 = t14876 * t9717;
  t14888 = t14876 * t9698;
  t14891 = t14876 * t9703;
  t14894 = t1941 * t2957 / 0.12e2 - 0.5e1 / 0.36e2 * t14711 * t9360 + t373 * t14847 / 0.2e1 + t1070 * t3006 / 0.2e1 + t1058 * t3006 / 0.2e1 - t1029 * t14854 / 0.2e1 + t1029 * t14858 - t1981 * t14861 / 0.3e1 + t555 * t14866 / 0.12e2 + 0.3e1 / 0.2e1 * t373 * t14870 - 0.3e1 * t373 * t14873 + 0.3e1 / 0.2e1 * t373 * t14877 - t1981 * t11562 / 0.3e1 + 0.2e1 / 0.3e1 * t1981 * t11566 - 0.3e1 / 0.2e1 * t14711 * t9256 - t8280 * t2026 + t1956 * t2029 + 0.3e1 / 0.2e1 * t4718 * t14888 - 0.3e1 * t1029 * t14891;
  t14907 = t1007 * t1013 * t1936;
  t14908 = t2025 * t14907;
  t14910 = t14857 * t4324;
  t14916 = t14814 * t1410;
  t14918 = t5674 * t14627;
  t14922 = t143 * t14748;
  t14923 = t1165 * t14922;
  t14925 = t2986 * t333;
  t14926 = t4626 * t14925;
  t14928 = t2972 * t4214;
  t14931 = t69 * t2939;
  t14932 = t14931 * t4607;
  t14937 = t4572 * t14925;
  t14940 = t143 * t1936;
  t14941 = t1038 * t14940;
  t14946 = t1165 * t14925;
  t14948 = t2986 * t1082;
  t14949 = t4575 * t14948;
  t14951 = -t2054 * t2977 - t559 * t14923 + t2060 * t14926 - 0.12e2 * t14928 * t1481 - 0.2e1 / 0.3e1 * t14932 * t9640 + 0.6e1 * t14932 * t9643 - 0.2e1 / 0.3e1 * t2060 * t14937 + 0.4e1 * t2060 * t14941 - 0.4e1 * t2973 * t4656 - t2056 * t14946 - t559 * t14949;
  t14952 = t356 * t14940;
  t14955 = t2968 * t4208;
  t14962 = t1033 * t14940;
  t14969 = t142 * t2954;
  t14970 = t14969 * t333;
  t14971 = t360 * t14970;
  t14974 = t14969 * t1082;
  t14975 = t360 * t14974;
  t14978 = t1173 * t14970;
  t14981 = t1186 * t14970;
  t14984 = -0.4e1 * t2056 * t14952 + 0.6e1 * t14955 * t1472 + 0.2e1 * t2969 * t1167 + 0.2e1 * t14928 * t1477 - 0.2e1 / 0.3e1 * t2060 * t14962 + 0.2e1 / 0.3e1 * t2973 * t4573 - t14932 * t9603 / 0.9e1 + 0.2e1 * t8511 * t14971 + 0.2e1 * t11656 * t14975 + t8508 * t14978 / 0.3e1 - 0.2e1 * t8508 * t14981 - t9586;
  t14986 = t140 * t14748;
  t14987 = t1165 * t14986;
  t14990 = t140 * t1936;
  t14991 = t1038 * t14990;
  t14996 = -t9610 - t9611 + t9635 + t9669 + t9675 + t9677 - t9683 - t2229 + t559 * t14987 / 0.2e1 - 0.2e1 * t2060 * t14991 + 0.2e1 * t2973 * t4627;
  t14997 = t356 * t14990;
  t15009 = t1033 * t14990;
  t15020 = 0.2e1 * t2056 * t14997 - 0.3e1 * t14955 * t1491 - t2969 * t1183 + t2054 * t2987 / 0.2e1 + t14932 * t9655 / 0.18e2 + 0.1e2 / 0.3e1 * t14932 * t9658 + 0.4e1 / 0.3e1 * t2060 * t15009 - 0.4e1 / 0.3e1 * t2973 * t4613 - 0.4e1 * t14928 * t1485 + 0.6e1 * t14928 * t1495 - 0.3e1 * t14932 * t9686 + t2210;
  t15022 = t14951 + t14984 + t14996 + t15020;
  t15023 = t139 * t15022;
  t15024 = t15023 * t168;
  t15027 = t1430 * t14860;
  t15032 = t1101 * t14860;
  t15035 = t194 * t2945;
  t15036 = t321 * t15035;
  t15041 = t14831 * t1426 - 0.2e1 * t14831 * t1432 - 0.11e2 / 0.18e2 * t14711 * t9261 + 0.23e2 / 0.36e2 * t14711 * t9264 - t14711 * t9267 / 0.2e1 - t9710 + t9713 - t1058 * t3015 / 0.4e1 + t373 * t14908 - t373 * t14910 - t8063 * t11552 / 0.3e1 + 0.2e1 / 0.3e1 * t8063 * t11556 - t5649 * t14916 + t8063 * t14918 / 0.6e1 - t110 * t15024 / 0.4e1 - t1981 * t15027 / 0.6e1 + t2947 * t4452 / 0.6e1 + t1974 * t15032 / 0.3e1 - t15036 * t1452 / 0.2e1 - t2942 * t1098 / 0.6e1;
  t15045 = my_piecewise3(t100, 0, t14600 + t14625 + t14660 + t14714 + t14791 + t14840 + t14894 + t15041);
  tv3rhotau25 = t3 * t15045 + t3041;

  if(out->v3rhotau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3rhotau2[ip*p->dim.v3rhotau2 + 5] += tv3rhotau25;

  t15047 = t2090 * t414;
  t15048 = t15047 * t3118;
  t15049 = t3135 * t15048;
  t15050 = t191 * t15049;
  t15057 = t3115 * t15047;
  t15058 = t15057 * t3169;
  t15061 = t15047 * t3076;
  t15062 = t649 * t15061;
  t15063 = t191 * t15062;
  t15071 = t15047 * t651;
  t15072 = t194 * t15071;
  t15073 = t191 * t15072;
  t15076 = t2105 * t2105;
  t15078 = t3459 * t221 * t15076;
  t15079 = t1285 * t15078;
  t15082 = t94 * t15076;
  t15083 = t837 * t15082;
  t15084 = t3460 * t15083;
  t15087 = -t2089 + t2160 - 0.3e1 / 0.2e1 * t15050 * t3158 - 0.3e1 / 0.2e1 * t5286 * t2154 + 0.3e1 / 0.2e1 * t1228 * t2170 + 0.3e1 / 0.2e1 * t3167 * t15058 + t15063 * t667 - 0.2e1 * t15063 * t672 - 0.11e2 / 0.18e2 * t15050 * t3141 + 0.23e2 / 0.36e2 * t15050 * t3146 - t15073 * t223 / 0.2e1 + t246 * t15079 / 0.2e1 - t417 * t15084 / 0.6e1;
  t15090 = t2087 * t2108;
  t15091 = t15090 / 0.6e1;
  t15092 = t8718 * t2271;
  t15093 = t15092 / 0.4e1;
  t15094 = t3520 * t2107;
  t15097 = t8911 * t2268;
  t15098 = t15097 / 0.2e1;
  t15099 = t8718 * t2276;
  t15100 = t15099 / 0.2e1;
  t15101 = t8718 * t2282;
  t15102 = t8738 * t2331;
  t15103 = t246 * t15102;
  t15104 = 0.3e1 / 0.2e1 * t15103;
  t15109 = 0.2e1 * t789 * t2084 * t249;
  t15113 = t3428 * t2090;
  t15121 = 0.2e1 * t2136 * t222;
  t15128 = 0.2e1 / 0.3e1 * t2133 * t661 + t15109 - 0.4e1 * t789 * t2090 * t597 + 0.4e1 / 0.3e1 * t15113 * t684 - 0.2e1 * t8673 * t2166 + 0.4e1 * t15113 * t690 - t15121 + 0.4e1 * t2139 * t222 + 0.2e1 * t423 * t2166 - 0.4e1 * t2133 * t666;
  t15129 = t94 * t15128;
  t15130 = t837 * t15129;
  t15131 = t836 * t15130;
  t15136 = t4748 * t2106;
  t15137 = t836 * t15136;
  t15142 = t1228 * t2158;
  t15143 = 0.3e1 / 0.4e1 * t15142;
  t15144 = -t2093 * t2108 / 0.3e1 + t15091 - t15093 + t2098 * t15094 / 0.4e1 + t15098 - t15100 + t15101 + t15104 + t417 * t15131 / 0.12e2 - 0.3e1 / 0.4e1 * t1228 * t2167 + t417 * t15137 / 0.4e1 + 0.3e1 / 0.4e1 * t9136 * t432 + t15143;
  t15150 = t2087 * t1223;
  t15151 = t15150 / 0.4e1;
  t15156 = t8897 * t2166;
  t15157 = t246 * t15156;
  t15158 = t15157 / 0.2e1;
  t15159 = t8893 * t2323;
  t15160 = t246 * t15159;
  t15161 = 0.3e1 / 0.2e1 * t15160;
  t15162 = t660 * t2105;
  t15163 = t3360 * t15162;
  t15164 = t8735 * t15163;
  t15167 = t8725 * t2166;
  t15169 = t660 * t2084;
  t15170 = t659 * t15169;
  t15171 = t1267 * t15170;
  t15172 = t679 * t15171;
  t15173 = 0.3e1 / 0.2e1 * t15172;
  t15179 = t247 * t15047 * t3260;
  t15182 = -t2098 * t5291 / 0.2e1 - t417 * t9131 / 0.4e1 - t15151 + t2093 * t1223 / 0.2e1 + t15063 * t662 / 0.2e1 - t15158 - t15161 + 0.3e1 / 0.2e1 * t679 * t15164 + t246 * t15167 - t15173 - t2098 * t5229 / 0.4e1 - 0.5e1 / 0.36e2 * t15050 * t3178 + 0.3e1 / 0.2e1 * t246 * t15179;
  t15183 = t680 * t15047;
  t15184 = t15183 * t3078;
  t15189 = t15057 * t3126;
  t15192 = t15183 * t3082;
  t15195 = t15057 * t3131;
  t15204 = t824 * t221 * t15128;
  t15205 = t1285 * t15204;
  t15208 = t244 * t2106;
  t15209 = t3520 * t15208;
  t15211 = t3690 * t2107;
  t15214 = t665 * t2105;
  t15215 = t3360 * t15214;
  t15216 = t8735 * t15215;
  t15219 = t193 * t15047;
  t15220 = t15219 * t651;
  t15223 = t69 * t15047;
  t15224 = t15223 * t3118;
  t15227 = t648 * t15047;
  t15228 = t15227 * t3076;
  t15237 = t9045 * t2288;
  t15238 = 0.6e1 * t15237;
  t15239 = t2118 * t2129;
  t15240 = 0.2e1 * t15239;
  t15241 = t9020 * t2291;
  t15244 = t9020 * t2295;
  t15245 = 0.6e1 * t15244;
  t15246 = t3556 * t2128;
  t15249 = t63 * t15076;
  t15250 = t3562 * t15249;
  t15253 = t3130 * t2128;
  t15255 = t63 * t15128;
  t15256 = t788 * t15255;
  t15258 = t60 * t15128;
  t15259 = t788 * t15258;
  t15262 = -0.3e1 * t15220 * t234 - 0.3e1 * t15224 * t3573 + 0.6e1 * t15228 * t816 + 0.1e2 / 0.3e1 * t15224 * t3581 - 0.4e1 * t15228 * t803 + t15224 * t3591 / 0.18e2 - t15238 - t15240 - t15241 + 0.4e1 * t2121 * t2129 + t15245 - 0.6e1 * t2125 * t15246 + 0.2e1 * t421 * t15250 + t2125 * t15253 - t421 * t15256 + t421 * t15259 / 0.2e1;
  t15263 = t3130 * t2141;
  t15266 = t9020 * t2299;
  t15267 = 0.2e1 * t15266;
  t15268 = t15227 * t3077;
  t15271 = t15223 * t3121;
  t15274 = t9020 * t2306;
  t15275 = 0.3e1 * t15274;
  t15282 = t9045 * t2302;
  t15283 = 0.3e1 * t15282;
  t15284 = t2118 * t2142;
  t15287 = t60 * t15076;
  t15288 = t3562 * t15287;
  t15290 = t15219 * t3259;
  t15293 = t3556 * t2141;
  t15296 = -0.2e1 * t2125 * t15263 + t15267 + 0.2e1 * t15268 * t785 - t15271 * t3628 / 0.9e1 - t15275 - 0.12e2 * t15268 * t798 - 0.2e1 / 0.3e1 * t15271 * t3613 + 0.6e1 * t15271 * t3596 + t15283 + t15284 - 0.2e1 * t2121 * t2142 - t2138 + t2119 - t421 * t15288 + 0.6e1 * t15290 * t230 + 0.3e1 * t2125 * t15293;
  t15297 = t15262 + t15296;
  t15298 = t59 * t15297;
  t15299 = t15298 * t95;
  t15302 = 0.3e1 * t679 * t15184 - 0.3e1 / 0.2e1 * t1228 * t2162 - 0.3e1 * t679 * t15189 - 0.3e1 * t246 * t15192 + 0.3e1 / 0.2e1 * t246 * t15195 - t15050 * t3150 / 0.2e1 + 0.7e1 / 0.3e1 * t15050 * t3153 + t2098 * t5281 - t246 * t15205 / 0.4e1 - t2098 * t15209 + t2098 * t15211 / 0.2e1 - 0.3e1 / 0.2e1 * t246 * t15216 - t30 * t15299 / 0.4e1;
  t15305 = my_piecewise3(t2, 0, t15087 + t15144 + t15182 + t15302);
  tv3sigma30 = t3 * t15305;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 0] += tv3sigma30;

  tv3sigma31 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 1] += tv3sigma31;

  tv3sigma32 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 2] += tv3sigma32;

  tv3sigma33 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 3] += tv3sigma33;

  tv3sigma34 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 4] += tv3sigma34;

  tv3sigma35 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 5] += tv3sigma35;

  tv3sigma36 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 6] += tv3sigma36;

  tv3sigma37 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 7] += tv3sigma37;

  tv3sigma38 = 0.e0;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 8] += tv3sigma38;

  t15306 = t1383 * t2249;
  t15307 = 0.3e1 / 0.4e1 * t15306;
  t15312 = t2196 * t2196;
  t15313 = t167 * t15312;
  t15314 = t1095 * t15313;
  t15315 = t4354 * t15314;
  t15319 = t4344 * t348 * t15312;
  t15320 = t1442 * t15319;
  t15323 = t9279 * t2353;
  t15324 = t9279 * t2347;
  t15325 = t15324 / 0.2e1;
  t15326 = t9707 * t2402;
  t15327 = t373 * t15326;
  t15328 = 0.3e1 / 0.2e1 * t15327;
  t15331 = t9305 * t2339;
  t15332 = t15331 / 0.2e1;
  t15333 = t9279 * t2342;
  t15334 = t15333 / 0.4e1;
  t15335 = -t2180 + t2251 + t15307 + 0.3e1 / 0.4e1 * t9469 * t457 - t2189 * t5800 / 0.2e1 - t442 * t15315 / 0.6e1 + t373 * t15320 / 0.2e1 + t15323 - t15325 + t15328 - t2184 * t2199 / 0.3e1 + t15332 - t15334;
  t15340 = 0.2e1 * t1077 * t2175 * t376;
  t15344 = t4388 * t2181;
  t15352 = 0.2e1 * t2227 * t349;
  t15359 = 0.2e1 / 0.3e1 * t2224 * t1009 + t15340 - 0.4e1 * t1077 * t2181 * t1047 + 0.4e1 / 0.3e1 * t15344 * t1034 - 0.2e1 * t9384 * t2257 + 0.4e1 * t15344 * t1039 - t15352 + 0.4e1 * t2230 * t349 + 0.2e1 * t448 * t2257 - 0.4e1 * t2224 * t1014;
  t15360 = t167 * t15359;
  t15361 = t1095 * t15360;
  t15362 = t1094 * t15361;
  t15365 = t4376 * t2198;
  t15368 = t2178 * t2199;
  t15369 = t15368 / 0.6e1;
  t15370 = t1008 * t2175;
  t15371 = t1007 * t15370;
  t15372 = t1408 * t15371;
  t15373 = t1029 * t15372;
  t15374 = 0.3e1 / 0.2e1 * t15373;
  t15375 = t5553 * t2197;
  t15376 = t1094 * t15375;
  t15381 = t9405 * t2394;
  t15382 = t373 * t15381;
  t15383 = 0.3e1 / 0.2e1 * t15382;
  t15384 = t9409 * t2257;
  t15385 = t373 * t15384;
  t15386 = t15385 / 0.2e1;
  t15387 = t1008 * t2196;
  t15388 = t4305 * t15387;
  t15389 = t9318 * t15388;
  t15392 = t9505 * t2257;
  t15395 = t1076 * t348 * t15359;
  t15396 = t1442 * t15395;
  t15403 = t442 * t15362 / 0.12e2 + t2189 * t15365 / 0.4e1 + t15369 - t15374 + t442 * t15376 / 0.4e1 - 0.3e1 / 0.4e1 * t1383 * t2258 - t15383 - t15386 + 0.3e1 / 0.2e1 * t1029 * t15389 + t373 * t15392 - t373 * t15396 / 0.4e1 - t442 * t9531 / 0.4e1 - t2189 * t5819 / 0.4e1;
  t15405 = t2181 * t439;
  t15406 = t15405 * t4140;
  t15407 = t3135 * t15406;
  t15408 = t321 * t15407;
  t15411 = t2178 * t1378;
  t15412 = t15411 / 0.4e1;
  t15415 = t15405 * t4160;
  t15416 = t649 * t15415;
  t15417 = t321 * t15416;
  t15421 = t374 * t15405 * t4209;
  t15424 = t1030 * t15405;
  t15425 = t15424 * t4219;
  t15430 = t15405 * t999;
  t15431 = t194 * t15430;
  t15432 = t321 * t15431;
  t15435 = t4719 * t15405;
  t15436 = t15435 * t4729;
  t15441 = t15435 * t4721;
  t15444 = t15435 * t4725;
  t15447 = t371 * t2197;
  t15448 = t4376 * t15447;
  t15450 = -0.5e1 / 0.36e2 * t15408 * t4231 - t15412 + t2184 * t1378 / 0.2e1 + t15417 * t1010 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t15421 + 0.3e1 * t1029 * t15425 - 0.3e1 / 0.2e1 * t1383 * t2253 - t15432 * t350 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t15436 + 0.3e1 / 0.2e1 * t1383 * t2261 + 0.3e1 / 0.2e1 * t4718 * t15441 - 0.3e1 * t1029 * t15444 - t2189 * t15448;
  t15451 = t4553 * t2198;
  t15454 = t1013 * t2196;
  t15455 = t4305 * t15454;
  t15456 = t9318 * t15455;
  t15459 = t15424 * t4215;
  t15478 = t9608 * t2359;
  t15479 = 0.6e1 * t15478;
  t15480 = t2209 * t2220;
  t15481 = 0.2e1 * t15480;
  t15482 = t9584 * t2362;
  t15483 = t143 * t15312;
  t15484 = t4575 * t15483;
  t15487 = t9584 * t2366;
  t15488 = 0.6e1 * t15487;
  t15489 = t4626 * t2219;
  t15494 = t4572 * t2219;
  t15496 = t143 * t15359;
  t15497 = t1165 * t15496;
  t15499 = t648 * t15405;
  t15500 = t15499 * t4214;
  t15503 = t69 * t15405;
  t15504 = t15503 * t4607;
  t15509 = t140 * t15312;
  t15510 = t4575 * t15509;
  t15512 = t193 * t15405;
  t15513 = t15512 * t4208;
  t15516 = t9584 * t2377;
  t15517 = 0.3e1 * t15516;
  t15518 = t2209 * t2233;
  t15519 = -t15479 - t15481 - t15482 + 0.2e1 * t446 * t15484 + t15488 - 0.6e1 * t2216 * t15489 + 0.4e1 * t2212 * t2220 + t2216 * t15494 - t446 * t15497 - 0.12e2 * t15500 * t1169 - 0.2e1 / 0.3e1 * t15504 * t4620 + 0.6e1 * t15504 * t4623 - t446 * t15510 + 0.6e1 * t15513 * t357 - t15517 + t15518;
  t15522 = t140 * t15359;
  t15523 = t1165 * t15522;
  t15528 = t4572 * t2232;
  t15531 = t9584 * t2370;
  t15532 = 0.2e1 * t15531;
  t15535 = t4626 * t2232;
  t15538 = t9608 * t2373;
  t15539 = 0.3e1 * t15538;
  t15540 = t15499 * t4160;
  t15543 = t15503 * t4140;
  t15546 = t15512 * t999;
  t15555 = -0.2e1 * t2212 * t2233 + t446 * t15523 / 0.2e1 - t15504 * t4610 / 0.9e1 - 0.2e1 * t2216 * t15528 + t15532 + 0.2e1 * t15500 * t1162 + 0.3e1 * t2216 * t15535 + t15539 - t2229 + 0.6e1 * t15540 * t1187 - 0.3e1 * t15543 * t4590 - 0.3e1 * t15546 * t361 + 0.1e2 / 0.3e1 * t15543 * t4600 - 0.4e1 * t15540 * t1174 + t15543 * t4587 / 0.18e2 + t2210;
  t15556 = t15519 + t15555;
  t15557 = t139 * t15556;
  t15558 = t15557 * t168;
  t15561 = t2189 * t15451 / 0.2e1 - 0.3e1 / 0.2e1 * t373 * t15456 - 0.3e1 * t373 * t15459 - 0.11e2 / 0.18e2 * t15408 * t4151 + 0.23e2 / 0.36e2 * t15408 * t4156 - t15408 * t4707 / 0.2e1 + 0.7e1 / 0.3e1 * t15408 * t4200 + t2189 * t5804 - 0.3e1 / 0.2e1 * t15408 * t4193 - 0.3e1 / 0.2e1 * t5792 * t2245 + t15417 * t1015 - 0.2e1 * t15417 * t1020 - t110 * t15558 / 0.4e1;
  t15564 = my_piecewise3(t100, 0, t15335 + t15403 + t15450 + t15561);
  tv3sigma39 = t3 * t15564;

  if(out->v3sigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma3[ip*p->dim.v3sigma3 + 9] += tv3sigma39;

  t15565 = t94 * t2090;
  t15566 = t837 * t15565;
  t15567 = t1254 * t15566;
  t15569 = t244 * t15565;
  t15570 = t1261 * t15569;
  t15573 = t4851 * t15566;
  t15576 = t4867 * t15566;
  t15579 = t4851 * t15569;
  t15582 = t677 * t15565;
  t15583 = t4808 * t15582;
  t15586 = t3144 * t2090;
  t15587 = t3139 * t15586;
  t15588 = t6077 * t15587;
  t15592 = t659 * t665 * t2090;
  t15593 = t6134 * t15592;
  t15596 = t3124 * t2090;
  t15597 = t3139 * t15596;
  t15598 = t6077 * t15597;
  t15601 = t660 * t2090;
  t15602 = t3139 * t15601;
  t15603 = t6077 * t15602;
  t15606 = t1261 * t15566;
  t15609 = t94 * t2084;
  t15610 = t837 * t15609;
  t15611 = t843 * t15610;
  t15612 = t1568 * t15611;
  t15613 = t15612 / 0.6e1;
  t15614 = t4748 * t2266;
  t15615 = t843 * t15614;
  t15622 = t1261 * t15610;
  t15623 = t1541 * t15622;
  t15624 = t15623 / 0.12e2;
  t15625 = -t2089 + t2160 + t6087 * t15567 - 0.2e1 * t6087 * t15570 - 0.11e2 / 0.18e2 * t6100 * t15573 - t6100 * t15576 / 0.2e1 + 0.7e1 / 0.3e1 * t6100 * t15579 - 0.3e1 / 0.2e1 * t6100 * t15583 + 0.3e1 / 0.2e1 * t3167 * t15588 - 0.3e1 * t246 * t15593 - 0.3e1 * t679 * t15598 + 0.3e1 / 0.2e1 * t246 * t15603 + t6087 * t15606 / 0.2e1 + t15613 + t1568 * t15615 / 0.3e1 + t466 * t15131 / 0.12e2 + t466 * t15137 / 0.6e1 - t15624;
  t15626 = t4808 * t15566;
  t15629 = t1261 * t15614;
  t15632 = t1254 * t15610;
  t15633 = t1541 * t15632;
  t15634 = t15633 / 0.6e1;
  t15635 = t1254 * t15614;
  t15638 = t244 * t15609;
  t15639 = t1261 * t15638;
  t15640 = t1541 * t15639;
  t15641 = t15640 / 0.3e1;
  t15642 = t95 * t8756;
  t15643 = t3273 * t15642;
  t15646 = t4877 * t15642;
  t15649 = t670 * t8756;
  t15650 = t4877 * t15649;
  t15652 = t15092 / 0.6e1;
  t15653 = t15097 / 0.3e1;
  t15654 = t15099 / 0.3e1;
  t15655 = 0.2e1 / 0.3e1 * t15101;
  t15656 = t3556 * t8756;
  t15657 = t1591 * t15656;
  t15661 = t1516 * t2158;
  t15662 = t15661 / 0.4e1;
  t15665 = -0.5e1 / 0.36e2 * t6100 * t15626 - t1541 * t15629 / 0.6e1 - t15634 - t1541 * t15635 / 0.3e1 + t15641 - t6454 * t15643 / 0.3e1 + t6439 * t15646 / 0.4e1 - t6439 * t15650 + t15091 - t15652 + t15653 - t15654 + t15655 + t15103 - 0.3e1 / 0.2e1 * t4772 * t15657 - t5286 * t2319 + t15662 + t9136 * t481 / 0.4e1;
  t15669 = t1559 * t15204;
  t15673 = t659 * t665 * t2084;
  t15674 = t1547 * t15673;
  t15675 = t246 * t15674;
  t15676 = t15675 / 0.2e1;
  t15678 = t219 * t221 * t2084;
  t15679 = t1555 * t15678;
  t15680 = t246 * t15679;
  t15681 = t15680 / 0.2e1;
  t15682 = t1547 * t15170;
  t15683 = t679 * t15682;
  t15684 = t15683 / 0.2e1;
  t15690 = t6119 * t2106;
  t15691 = t836 * t15690;
  t15694 = t1559 * t15078;
  t15697 = t843 * t15566;
  t15702 = t659 * t15601;
  t15703 = t6134 * t15702;
  t15707 = t219 * t221 * t2090;
  t15708 = t6386 * t15707;
  t15712 = t5175 * t15642;
  t15715 = t15142 / 0.2e1;
  t15716 = t15150 / 0.6e1;
  t15717 = t9948 * t432 / 0.2e1 - t246 * t15669 / 0.4e1 + t15676 - t15681 - t15684 - t1228 * t2327 / 0.2e1 - t1228 * t2324 - t1516 * t2167 / 0.4e1 + t417 * t15691 / 0.12e2 + t246 * t15694 / 0.2e1 - t6496 * t15697 / 0.2e1 - t466 * t15084 / 0.6e1 + 0.3e1 * t679 * t15703 + 0.3e1 / 0.2e1 * t246 * t15708 + t1228 * t2332 + t6439 * t15712 / 0.2e1 + t15715 - t15716;
  t15718 = t4808 * t15569;
  t15723 = t1226 * t2266;
  t15724 = t1261 * t15723;
  t15733 = t2087 * t1511;
  t15734 = t15733 / 0.12e2;
  t15745 = t8999 * t414;
  t15746 = t815 * t15745;
  t15749 = t63 * t2090;
  t15750 = t229 * t15749;
  t15755 = t2298 * t2105;
  t15756 = t788 * t15755;
  t15759 = t63 * t2084;
  t15760 = t689 * t15759;
  t15761 = t1591 * t15760;
  t15762 = 0.2e1 * t15761;
  t15763 = 0.4e1 * t15237;
  t15764 = 0.2e1 / 0.3e1 * t15241;
  t15765 = 0.4e1 * t15244;
  t15766 = t229 * t15759;
  t15767 = t1587 * t15766;
  t15768 = 0.2e1 * t15767;
  t15769 = t683 * t15749;
  t15772 = t683 * t15759;
  t15773 = t1591 * t15772;
  t15774 = t15773 / 0.3e1;
  t15775 = t3168 * t15749;
  t15779 = t3130 * t15755;
  t15782 = t689 * t15749;
  t15785 = t3125 * t15749;
  t15788 = t3130 * t15749;
  t15791 = t3556 * t15755;
  t15794 = -0.6e1 * t6341 * t15746 + 0.6e1 * t6309 * t15750 + 0.2e1 * t470 * t15250 - 0.2e1 * t1587 * t15756 + t15762 - t15763 - t15240 - t15764 + t15765 - t15768 + 0.2e1 * t6300 * t15769 - t15774 - t6304 * t15775 / 0.9e1 - t470 * t15256 - 0.2e1 * t1591 * t15779 - 0.12e2 * t6300 * t15782 - 0.2e1 / 0.3e1 * t6304 * t15785 + 0.6e1 * t6304 * t15788 + 0.3e1 * t1591 * t15791;
  t15795 = t60 * t2090;
  t15796 = t3125 * t15795;
  t15799 = t60 * t2084;
  t15800 = t683 * t15799;
  t15801 = t1591 * t15800;
  t15802 = 0.2e1 / 0.3e1 * t15801;
  t15803 = t683 * t15795;
  t15806 = t229 * t15795;
  t15810 = t689 * t15799;
  t15811 = t1591 * t15810;
  t15812 = t229 * t15799;
  t15813 = t1587 * t15812;
  t15816 = t3168 * t15795;
  t15819 = t689 * t15795;
  t15822 = t3130 * t15795;
  t15825 = t233 * t15745;
  t15828 = t802 * t15745;
  t15830 = 0.4e1 / 0.3e1 * t15266;
  t15831 = 0.2e1 * t15274;
  t15832 = 0.2e1 * t15282;
  t15833 = 0.1e2 / 0.3e1 * t6304 * t15796 + t15802 - 0.4e1 * t6300 * t15803 - 0.3e1 * t6309 * t15806 - t470 * t15288 - t15811 + t15813 + t470 * t15259 / 0.2e1 + t6304 * t15816 / 0.18e2 + 0.6e1 * t6300 * t15819 - 0.3e1 * t6304 * t15822 + 0.4e1 * t6344 * t15825 + t6341 * t15828 + t15830 - t15831 + t15832 + t15284 - t2138 + t2119;
  t15834 = t15794 + t15833;
  t15835 = t59 * t15834;
  t15836 = t15835 * t95;
  t15839 = t1319 * t9898;
  t15842 = t788 * t8756;
  t15843 = t1587 * t15842;
  t15845 = 0.23e2 / 0.36e2 * t6100 * t15718 - t1516 * t2162 / 0.2e1 + 0.2e1 / 0.3e1 * t1541 * t15724 - t15158 - t15160 - t15172 - t417 * t10198 / 0.6e1 - t2098 * t6233 / 0.12e2 - t466 * t9131 / 0.12e2 - t15734 - t2098 * t6402 / 0.6e1 + t2098 * t6424 / 0.3e1 - t6411 * t2154 / 0.2e1 + t1516 * t2170 / 0.2e1 + t2093 * t1511 / 0.6e1 - t30 * t15836 / 0.4e1 + 0.3e1 / 0.2e1 * t4983 * t15839 + t4772 * t15843;
  t15848 = my_piecewise3(t2, 0, t15625 + t15665 + t15717 + t15845);
  tv3sigma2lapl0 = t3 * t15848;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 0] += tv3sigma2lapl0;

  tv3sigma2lapl1 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 1] += tv3sigma2lapl1;

  tv3sigma2lapl2 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 2] += tv3sigma2lapl2;

  tv3sigma2lapl3 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 3] += tv3sigma2lapl3;

  tv3sigma2lapl4 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 4] += tv3sigma2lapl4;

  tv3sigma2lapl5 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 5] += tv3sigma2lapl5;

  tv3sigma2lapl6 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 6] += tv3sigma2lapl6;

  tv3sigma2lapl7 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 7] += tv3sigma2lapl7;

  tv3sigma2lapl8 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 8] += tv3sigma2lapl8;

  tv3sigma2lapl9 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 9] += tv3sigma2lapl9;

  tv3sigma2lapl10 = 0.e0;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 10] += tv3sigma2lapl10;

  t15849 = t15306 / 0.2e1;
  t15850 = 0.2e1 / 0.3e1 * t15323;
  t15851 = t15324 / 0.3e1;
  t15852 = t15331 / 0.3e1;
  t15853 = t15333 / 0.6e1;
  t15854 = t1476 * t10535;
  t15857 = t1165 * t9339;
  t15858 = t1716 * t15857;
  t15861 = t346 * t348 * t2181;
  t15862 = t6904 * t15861;
  t15865 = t1008 * t2181;
  t15866 = t1007 * t15865;
  t15867 = t6993 * t15866;
  t15870 = t15411 / 0.6e1;
  t15871 = t167 * t2181;
  t15872 = t1095 * t15871;
  t15873 = t5563 * t15872;
  t15876 = -t2180 + t2251 + t15849 + t15850 - t15851 + t15327 + t15852 - t15853 + t15369 - t15373 + 0.3e1 / 0.2e1 * t5639 * t15854 + t5665 * t15858 - t15382 - t15386 + 0.3e1 / 0.2e1 * t373 * t15862 + 0.3e1 * t1029 * t15867 - t15870 - t6855 * t15873 / 0.2e1;
  t15877 = t371 * t15871;
  t15878 = t5733 * t15877;
  t15881 = t1027 * t15871;
  t15882 = t5595 * t15881;
  t15885 = t4154 * t2181;
  t15886 = t4148 * t15885;
  t15887 = t6918 * t15886;
  t15890 = t168 * t9339;
  t15891 = t4687 * t15890;
  t15894 = t5691 * t15890;
  t15897 = t4626 * t9339;
  t15898 = t1720 * t15897;
  t15903 = t1693 * t15319;
  t15906 = t167 * t2175;
  t15907 = t1095 * t15906;
  t15908 = t1423 * t15907;
  t15909 = t1683 * t15908;
  t15910 = t15909 / 0.6e1;
  t15911 = t371 * t15906;
  t15912 = t1430 * t15911;
  t15913 = t1683 * t15912;
  t15914 = t15913 / 0.3e1;
  t15915 = t5553 * t2337;
  t15916 = t1423 * t15915;
  t15919 = t5674 * t15890;
  t15922 = t1018 * t9339;
  t15923 = t5691 * t15922;
  t15925 = t6755 * t2197;
  t15926 = t1094 * t15925;
  t15935 = 0.7e1 / 0.3e1 * t6855 * t15878 - 0.3e1 / 0.2e1 * t6855 * t15882 + 0.3e1 / 0.2e1 * t4718 * t15887 - t6764 * t15891 / 0.3e1 + t6769 * t15894 / 0.4e1 - 0.3e1 / 0.2e1 * t5665 * t15898 - t5792 * t2390 + t1383 * t2403 + t373 * t15903 / 0.2e1 - t15910 + t15914 - t1683 * t15916 / 0.3e1 + t6769 * t15919 / 0.2e1 - t6769 * t15923 + t442 * t15926 / 0.12e2 + t1647 * t2261 / 0.2e1 - t2189 * t6946 / 0.6e1 + t2189 * t6950 / 0.3e1;
  t15945 = t1647 * t2249;
  t15946 = t15945 / 0.4e1;
  t15947 = t1101 * t15907;
  t15948 = t1702 * t15947;
  t15949 = t15948 / 0.6e1;
  t15950 = t1381 * t2337;
  t15951 = t1430 * t15950;
  t15954 = t1101 * t15915;
  t15966 = t5595 * t15877;
  t15969 = t1430 * t15877;
  t15972 = t5733 * t15872;
  t15975 = t1423 * t15872;
  t15979 = -t6955 * t2245 / 0.2e1 + t2184 * t1642 / 0.6e1 - t1647 * t2253 / 0.2e1 + t9469 * t505 / 0.4e1 + t15946 + t15949 + 0.2e1 / 0.3e1 * t1683 * t15951 + t1702 * t15954 / 0.3e1 + t490 * t15376 / 0.6e1 + t490 * t15362 / 0.12e2 - t1383 * t2395 - t1383 * t2398 / 0.2e1 - t1647 * t2258 / 0.4e1 + 0.23e2 / 0.36e2 * t6855 * t15966 - 0.2e1 * t6788 * t15969 - 0.11e2 / 0.18e2 * t6855 * t15972 + t6788 * t15975 - t490 * t15315 / 0.6e1;
  t15980 = t4148 * t15865;
  t15981 = t6918 * t15980;
  t15984 = t4149 * t2181;
  t15985 = t4148 * t15984;
  t15986 = t6918 * t15985;
  t15993 = t2178 * t1642;
  t15994 = t15993 / 0.12e2;
  t15999 = 0.4e1 * t15478;
  t16000 = 0.2e1 / 0.3e1 * t15482;
  t16001 = t9566 * t439;
  t16002 = t1186 * t16001;
  t16005 = t1173 * t16001;
  t16007 = t360 * t16001;
  t16010 = t2369 * t2196;
  t16011 = t1165 * t16010;
  t16014 = t4626 * t16010;
  t16017 = t143 * t2181;
  t16018 = t1038 * t16017;
  t16021 = t4619 * t16017;
  t16024 = t4572 * t16017;
  t16027 = t143 * t2175;
  t16028 = t356 * t16027;
  t16029 = t1716 * t16028;
  t16030 = 0.2e1 * t16029;
  t16031 = t1033 * t16017;
  t16034 = t1033 * t16027;
  t16035 = t1720 * t16034;
  t16036 = t16035 / 0.3e1;
  t16037 = t4609 * t16017;
  t16041 = t4572 * t16010;
  t16044 = t1038 * t16027;
  t16045 = t1720 * t16044;
  t16046 = 0.2e1 * t16045;
  t16049 = -t15999 - t15481 - t16000 - 0.6e1 * t7150 * t16002 + t7150 * t16005 + 0.4e1 * t7147 * t16007 - 0.2e1 * t1716 * t16011 + 0.3e1 * t1720 * t16014 - 0.12e2 * t7089 * t16018 - 0.2e1 / 0.3e1 * t7093 * t16021 + 0.6e1 * t7093 * t16024 - t16030 + 0.2e1 * t7089 * t16031 - t16036 - t7093 * t16037 / 0.9e1 - t494 * t15497 - 0.2e1 * t1720 * t16041 + t16046 + 0.2e1 * t494 * t15484;
  t16050 = t356 * t16017;
  t16053 = 0.4e1 * t15487;
  t16054 = t140 * t2181;
  t16055 = t356 * t16054;
  t16059 = t1038 * t16054;
  t16062 = t4572 * t16054;
  t16067 = t140 * t2175;
  t16068 = t1038 * t16067;
  t16069 = t1720 * t16068;
  t16070 = t4619 * t16054;
  t16073 = t1033 * t16067;
  t16074 = t1720 * t16073;
  t16075 = 0.2e1 / 0.3e1 * t16074;
  t16076 = t1033 * t16054;
  t16079 = t4609 * t16054;
  t16082 = t356 * t16067;
  t16083 = t1716 * t16082;
  t16084 = 0.2e1 * t15516;
  t16085 = 0.4e1 / 0.3e1 * t15531;
  t16086 = 0.2e1 * t15538;
  t16087 = 0.6e1 * t7086 * t16050 + t16053 - 0.3e1 * t7086 * t16055 - t494 * t15510 + 0.6e1 * t7089 * t16059 - 0.3e1 * t7093 * t16062 + t494 * t15523 / 0.2e1 - t16069 + 0.1e2 / 0.3e1 * t7093 * t16070 + t16075 - 0.4e1 * t7089 * t16076 + t7093 * t16079 / 0.18e2 + t16083 - t16084 + t15518 + t16085 + t16086 - t2229 + t2210;
  t16088 = t16049 + t16087;
  t16089 = t139 * t16088;
  t16090 = t16089 * t168;
  t16093 = t5595 * t15872;
  t16096 = t1430 * t15872;
  t16099 = t1430 * t15915;
  t16102 = t1430 * t15907;
  t16103 = t1683 * t16102;
  t16104 = t16103 / 0.12e2;
  t16106 = t1007 * t1013 * t2181;
  t16107 = t6993 * t16106;
  t16110 = t1101 * t15872;
  t16113 = t1674 * t15371;
  t16114 = t1029 * t16113;
  t16115 = t16114 / 0.2e1;
  t16117 = t346 * t348 * t2175;
  t16118 = t1689 * t16117;
  t16119 = t373 * t16118;
  t16120 = t16119 / 0.2e1;
  t16121 = t1693 * t15395;
  t16125 = t1007 * t1013 * t2175;
  t16126 = t1674 * t16125;
  t16127 = t373 * t16126;
  t16128 = t16127 / 0.2e1;
  t16129 = 0.3e1 / 0.2e1 * t373 * t15981 - 0.3e1 * t1029 * t15986 + t10426 * t457 / 0.2e1 - t2189 * t7021 / 0.12e2 - t15994 - t442 * t10421 / 0.6e1 - t490 * t9531 / 0.12e2 - t110 * t16090 / 0.4e1 - 0.5e1 / 0.36e2 * t6855 * t16093 + t6788 * t16096 / 0.2e1 - t1683 * t16099 / 0.6e1 - t16104 - 0.3e1 * t373 * t16107 - t6928 * t16110 / 0.2e1 - t16115 - t16120 - t373 * t16121 / 0.4e1 + t16128;
  t16132 = my_piecewise3(t100, 0, t15876 + t15935 + t15979 + t16129);
  tv3sigma2lapl11 = t3 * t16132;

  if(out->v3sigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2lapl[ip*p->dim.v3sigma2lapl + 11] += tv3sigma2lapl11;

  t16133 = t2087 * t1807;
  t16134 = t16133 / 0.12e2;
  t16135 = t1797 * t15204;
  t16142 = t1784 * t15673;
  t16143 = t246 * t16142;
  t16144 = t16143 / 0.2e1;
  t16146 = t2147 * t544;
  t16149 = t7423 * t15702;
  t16162 = t1779 * t15632;
  t16163 = t16162 / 0.6e1;
  t16164 = t1779 * t15639;
  t16165 = t16164 / 0.3e1;
  t16166 = t7213 * t2106;
  t16167 = t836 * t16166;
  t16170 = t1779 * t15622;
  t16171 = t16170 / 0.12e2;
  t16173 = t1805 * t2120 * t597;
  t16178 = -0.11e2 / 0.18e2 * t7196 * t15573 - t1770 * t2167 / 0.4e1 + t7243 * t15567 - 0.2e1 * t7243 * t15570 - t1779 * t15635 / 0.3e1 - t16163 + t16165 + t417 * t16167 / 0.12e2 - t16171 - t246 * t16173 / 0.2e1 + t2093 * t1807 / 0.6e1;
  t16180 = t1797 * t15078;
  t16183 = t7419 * t15707;
  t16189 = t1805 * t2117 * t249;
  t16190 = t246 * t16189;
  t16191 = t16190 / 0.4e1;
  t16198 = t1770 * t2158;
  t16199 = t16198 / 0.4e1;
  t16202 = t2087 * t1765;
  t16203 = t16202 / 0.12e2;
  t16206 = t246 * t16180 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t16183 + 0.23e2 / 0.36e2 * t7196 * t15718 + t16191 - t417 * t10965 / 0.6e1 + t7251 * t15646 / 0.4e1 - t7254 * t15643 / 0.3e1 + t16199 + t10777 * t432 / 0.2e1 - t16203 - t417 * t10808 / 0.6e1;
  t16219 = -t2098 * t7532 / 0.12e2 - t515 * t9131 / 0.12e2 + t515 * t15137 / 0.6e1 + t515 * t15131 / 0.12e2 - 0.5e1 / 0.36e2 * t7196 * t15626 - t515 * t15084 / 0.6e1 + t15091 - t15652 + t15653 - t15654 + t15655;
  t16224 = t10878 * t2166;
  t16227 = t543 * t2105;
  t16228 = t253 * t16227;
  t16229 = t3273 * t16228;
  t16232 = t1872 * t15842;
  t16234 = t1319 * t11207;
  t16241 = t7199 * t15597;
  t16247 = t7423 * t15592;
  t16250 = t7199 * t15587;
  t16253 = t1805 * t2124;
  t16254 = t16253 * t684;
  t16257 = t16253 * t690;
  t16260 = t7199 * t15602;
  t16270 = -0.3e1 * t246 * t16247 + 0.3e1 / 0.2e1 * t3167 * t16250 - t679 * t16254 / 0.2e1 + t246 * t16257 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t16260 - t2098 * t7487 / 0.6e1 + 0.2e1 / 0.3e1 * t1779 * t15724 + t15715 - t15716 - t5286 * t2444 + t1815 * t15615 / 0.3e1;
  t16272 = t1815 * t15611;
  t16273 = t16272 / 0.6e1;
  t16278 = t1792 * t15678;
  t16279 = t246 * t16278;
  t16280 = t16279 / 0.2e1;
  t16281 = t1784 * t15170;
  t16282 = t679 * t16281;
  t16283 = t16282 / 0.2e1;
  t16287 = t1876 * t15656;
  t16291 = t16273 + t7243 * t15606 / 0.2e1 - t1779 * t15629 / 0.6e1 - t16280 - t16283 - t1228 * t2447 - t1228 * t2450 / 0.2e1 - t15158 - t15160 - 0.3e1 / 0.2e1 * t4772 * t16287 - t7251 * t15650;
  t16304 = t1872 * t15766;
  t16305 = 0.2e1 * t16304;
  t16308 = t1876 * t15772;
  t16309 = t16308 / 0.3e1;
  t16317 = t1876 * t15760;
  t16318 = 0.2e1 * t16317;
  t16323 = 0.2e1 * t519 * t15250 + 0.6e1 * t7690 * t15750 - 0.12e2 * t7680 * t15782 - 0.2e1 / 0.3e1 * t7686 * t15785 + 0.6e1 * t7686 * t15788 - t16305 + 0.2e1 * t7680 * t15769 - t16309 - t7686 * t15775 / 0.9e1 - t519 * t15256 - 0.6e1 * t7651 * t15746 - t15763 - t15240 - t15764 + t15765 - 0.2e1 * t1876 * t15779 + t16318 - 0.2e1 * t1872 * t15756 + 0.3e1 * t1876 * t15791;
  t16335 = t1876 * t15800;
  t16336 = 0.2e1 / 0.3e1 * t16335;
  t16337 = t1872 * t15812;
  t16340 = t1876 * t15810;
  t16346 = -t519 * t15288 - 0.3e1 * t7686 * t15822 + 0.6e1 * t7680 * t15819 - 0.4e1 * t7680 * t15803 + t7686 * t15816 / 0.18e2 + 0.1e2 / 0.3e1 * t7686 * t15796 + t16336 + t16337 + t519 * t15259 / 0.2e1 - t16340 - 0.3e1 * t7690 * t15806 + t15830 - t15831 + t15832 + t15284 - t2138 + t7651 * t15828 + 0.4e1 * t7655 * t15825 + t2119;
  t16347 = t16323 + t16346;
  t16348 = t59 * t16347;
  t16349 = t16348 * t95;
  t16368 = -t15172 + t2098 * t7491 / 0.3e1 - t30 * t16349 / 0.4e1 + t1770 * t2170 / 0.2e1 - t2098 * t7595 / 0.6e1 + t2098 * t7582 / 0.3e1 - t7587 * t2154 / 0.2e1 + t2093 * t1765 / 0.6e1 - t1770 * t2162 / 0.2e1 + t9136 * t530 / 0.4e1 - t7187 * t15697 / 0.2e1;
  t16372 = my_piecewise3(t2, 0, -t246 * t16135 / 0.4e1 - t2098 * t7516 / 0.12e2 + t1228 * t2462 / 0.2e1 + t1228 * t2453 - t30 * t16146 / 0.4e1 + 0.3e1 * t679 * t16149 + t7251 * t15712 / 0.2e1 - t3266 * t16224 / 0.4e1 + t4882 * t16229 / 0.12e2 + t4772 * t16232 + 0.3e1 / 0.2e1 * t4983 * t16234 + 0.7e1 / 0.3e1 * t7196 * t15579 - 0.3e1 / 0.2e1 * t7196 * t15583 - 0.3e1 * t679 * t16241 - t7196 * t15576 / 0.2e1 + t16206 + t16178 + t16144 + t16368 + t16270 + t15103 - t16134 + t2160 + t16291 + t16219 - t2089);
  tv3sigma2tau0 = t3 * t16372;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 0] += tv3sigma2tau0;

  tv3sigma2tau1 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 1] += tv3sigma2tau1;

  tv3sigma2tau2 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 2] += tv3sigma2tau2;

  tv3sigma2tau3 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 3] += tv3sigma2tau3;

  tv3sigma2tau4 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 4] += tv3sigma2tau4;

  tv3sigma2tau5 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 5] += tv3sigma2tau5;

  tv3sigma2tau6 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 6] += tv3sigma2tau6;

  tv3sigma2tau7 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 7] += tv3sigma2tau7;

  tv3sigma2tau8 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 8] += tv3sigma2tau8;

  tv3sigma2tau9 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 9] += tv3sigma2tau9;

  tv3sigma2tau10 = 0.e0;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 10] += tv3sigma2tau10;

  t16373 = t1974 * t15947;
  t16374 = t16373 / 0.6e1;
  t16382 = t8196 * t15866;
  t16385 = t1963 * t2215;
  t16386 = t16385 * t1039;
  t16389 = t8172 * t15980;
  t16394 = t2040 * t15319;
  t16397 = -t15373 + t8063 * t15894 / 0.4e1 - t8219 * t15891 / 0.3e1 - t15382 - t15386 - 0.11e2 / 0.18e2 * t8169 * t15972 + 0.3e1 * t1029 * t16382 + t373 * t16386 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t16389 + t2184 * t1965 / 0.6e1 + t373 * t16394 / 0.2e1;
  t16399 = t8190 * t15861;
  t16402 = t8172 * t15985;
  t16406 = t8196 * t16106;
  t16409 = t8172 * t15886;
  t16413 = t1963 * t2211 * t1047;
  t16418 = t1981 * t16102;
  t16419 = t16418 / 0.12e2;
  t16424 = 0.3e1 / 0.2e1 * t373 * t16399 - 0.3e1 * t1029 * t16402 + t1383 * t2512 - t15870 - 0.3e1 * t373 * t16406 + 0.3e1 / 0.2e1 * t4718 * t16409 - t373 * t16413 / 0.2e1 - t1981 * t16099 / 0.6e1 - t16419 - 0.5e1 / 0.36e2 * t8169 * t16093 + t8091 * t16096 / 0.2e1;
  t16425 = t16385 * t1034;
  t16432 = t2238 * t584;
  t16439 = t1956 * t2249;
  t16440 = t16439 / 0.4e1;
  t16445 = t2040 * t15395;
  t16448 = t2060 * t15897;
  t16451 = -t1029 * t16425 / 0.2e1 - t555 * t15315 / 0.6e1 + t2189 * t8157 / 0.3e1 - t110 * t16432 / 0.4e1 - t1956 * t2253 / 0.2e1 + t9469 * t570 / 0.4e1 + t16440 + t11501 * t457 / 0.2e1 - t2189 * t8309 / 0.12e2 - t373 * t16445 / 0.4e1 - 0.3e1 / 0.2e1 * t5665 * t16448;
  t16457 = t2056 * t15857;
  t16459 = t1476 * t11536;
  t16462 = t2025 * t16125;
  t16463 = t373 * t16462;
  t16464 = t16463 / 0.2e1;
  t16465 = t2036 * t16117;
  t16466 = t373 * t16465;
  t16467 = t16466 / 0.2e1;
  t16472 = t2178 * t1951;
  t16473 = t16472 / 0.12e2;
  t16491 = t2025 * t15371;
  t16492 = t1029 * t16491;
  t16493 = t16492 / 0.2e1;
  t16498 = -t555 * t9531 / 0.12e2 + t2189 * t8275 / 0.3e1 - t8280 * t2245 / 0.2e1 + t1956 * t2261 / 0.2e1 - t2189 * t8271 / 0.6e1 + t2184 * t1951 / 0.6e1 - 0.2e1 * t8091 * t15969 - t16493 - t1383 * t2506 - t1383 * t2509 / 0.2e1 + t8091 * t15975;
  t16505 = t1981 * t15908;
  t16506 = t16505 / 0.6e1;
  t16509 = t8262 * t2197;
  t16510 = t1094 * t16509;
  t16513 = t1981 * t15912;
  t16514 = t16513 / 0.3e1;
  t16526 = t2060 * t16034;
  t16527 = t16526 / 0.3e1;
  t16545 = t2060 * t16044;
  t16546 = 0.2e1 * t16545;
  t16549 = 0.4e1 * t8511 * t16007 + t8508 * t16005 - 0.6e1 * t8508 * t16002 - t15999 - t15481 - t16000 + 0.2e1 * t8460 * t16031 - t16527 - t8438 * t16037 / 0.9e1 - t559 * t15497 - 0.2e1 * t2060 * t16041 - 0.12e2 * t8460 * t16018 - 0.2e1 / 0.3e1 * t8438 * t16021 + 0.6e1 * t8443 * t16050 + 0.2e1 * t559 * t15484 + 0.6e1 * t8438 * t16024 + 0.3e1 * t2060 * t16014 + t16546 - 0.2e1 * t2056 * t16011;
  t16550 = t2056 * t16028;
  t16551 = 0.2e1 * t16550;
  t16558 = t2060 * t16068;
  t16559 = t2060 * t16073;
  t16560 = 0.2e1 / 0.3e1 * t16559;
  t16561 = t2056 * t16082;
  t16571 = -t16551 + t16053 + t8438 * t16079 / 0.18e2 + 0.1e2 / 0.3e1 * t8438 * t16070 + t559 * t15523 / 0.2e1 - t16558 + t16560 + t16561 - 0.4e1 * t8460 * t16076 - t559 * t15510 - 0.3e1 * t8443 * t16055 - 0.3e1 * t8438 * t16062 + 0.6e1 * t8460 * t16059 - t16084 + t15518 + t16085 + t16086 - t2229 + t2210;
  t16572 = t16549 + t16571;
  t16573 = t139 * t16572;
  t16574 = t16573 * t168;
  t16579 = 0.2e1 / 0.3e1 * t1981 * t15951 - t5792 * t2503 + t555 * t15362 / 0.12e2 - t16506 + t555 * t15376 / 0.6e1 + t442 * t16510 / 0.12e2 + t16514 - t1981 * t15916 / 0.3e1 - t2189 * t8150 / 0.12e2 - t110 * t16574 / 0.4e1 + 0.7e1 / 0.3e1 * t8169 * t15878;
  t16584 = t11776 * t2257;
  t16587 = t583 * t2196;
  t16588 = t380 * t16587;
  t16589 = t4687 * t16588;
  t16592 = t2178 * t1965;
  t16593 = t16592 / 0.12e2;
  t16603 = t1963 * t2208 * t376;
  t16604 = t373 * t16603;
  t16605 = t16604 / 0.4e1;
  t16608 = -0.3e1 / 0.2e1 * t8169 * t15882 + 0.23e2 / 0.36e2 * t8169 * t15966 - t4695 * t16584 / 0.4e1 + t6012 * t16589 / 0.12e2 - t16593 - t442 * t11368 / 0.6e1 - t8169 * t15873 / 0.2e1 - t1956 * t2258 / 0.4e1 - t8145 * t16110 / 0.2e1 + t16605 + t1383 * t2521 / 0.2e1;
  t16612 = my_piecewise3(t100, 0, -t8063 * t15923 + t5665 * t16457 + 0.3e1 / 0.2e1 * t5639 * t16459 - t2189 * t8153 / 0.6e1 + t1974 * t15954 / 0.3e1 - t442 * t11422 / 0.6e1 + t8063 * t15919 / 0.2e1 + t15369 - t2180 + t16579 + t15327 - t16473 + t16374 + t16608 + t16451 + t16424 + t15849 + t16397 + t2251 + t16464 - t16467 + t15850 - t15851 + t15852 - t15853 + t16498);
  tv3sigma2tau11 = t3 * t16612;

  if(out->v3sigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigma2tau[ip*p->dim.v3sigma2tau + 11] += tv3sigma2tau11;

  t16613 = t4808 * t2267;
  t16622 = t15612 / 0.3e1;
  t16623 = t15623 / 0.6e1;
  t16624 = t15633 / 0.3e1;
  t16625 = 0.2e1 / 0.3e1 * t15640;
  t16629 = t4808 * t2281;
  t16632 = t6119 * t2266;
  t16633 = t1254 * t16632;
  t16636 = t1514 * t2266;
  t16637 = t1261 * t16636;
  t16640 = t4851 * t2267;
  t16645 = t3144 * t414;
  t16646 = t3139 * t16645;
  t16647 = t12038 * t16646;
  t16650 = t3124 * t414;
  t16651 = t3139 * t16650;
  t16652 = t12038 * t16651;
  t16655 = -t2089 + t2160 - 0.5e1 / 0.36e2 * t12052 * t16613 + t2534 * t15211 / 0.3e1 + t2534 * t15094 / 0.6e1 - t2529 * t2108 / 0.6e1 + t16622 - t16623 - t16624 + t16625 + t12047 * t2276 - 0.2e1 * t12047 * t2282 + 0.23e2 / 0.36e2 * t12052 * t16629 - t1541 * t16633 / 0.3e1 + 0.2e1 / 0.3e1 * t1541 * t16637 - 0.11e2 / 0.18e2 * t12052 * t16640 - t6411 * t2319 + t1516 * t2332 + 0.3e1 / 0.2e1 * t3167 * t16647 - 0.3e1 * t679 * t16652;
  t16656 = t4867 * t2267;
  t16659 = t4851 * t2281;
  t16662 = t1319 * t12233;
  t16665 = t2541 * t414;
  t16666 = t95 * t16665;
  t16667 = t5175 * t16666;
  t16670 = t670 * t16665;
  t16671 = t4877 * t16670;
  t16678 = t12147 * t15163;
  t16685 = t12147 * t15215;
  t16687 = t12131 * t2323;
  t16690 = t12135 * t2166;
  t16695 = t12087 * t2318;
  t16698 = t15090 / 0.12e2;
  t16699 = t15092 / 0.12e2;
  t16700 = t15097 / 0.6e1;
  t16701 = t15099 / 0.6e1;
  t16702 = -t12052 * t16656 / 0.2e1 + 0.7e1 / 0.3e1 * t12052 * t16659 + t4983 * t16662 / 0.2e1 + t6439 * t16667 / 0.6e1 - t6439 * t16671 / 0.3e1 + t12047 * t2271 / 0.2e1 - t12030 * t2268 / 0.2e1 + t679 * t16678 - t1516 * t2327 / 0.2e1 - t1516 * t2324 - 0.2e1 / 0.3e1 * t2534 * t15209 - t246 * t16685 + 0.3e1 / 0.2e1 * t246 * t16687 + t246 * t16690 / 0.2e1 - t1228 * t2593 / 0.4e1 + 0.3e1 * t679 * t16695 + t16698 - t16699 + t16700 - t16701;
  t16704 = t15101 / 0.3e1;
  t16705 = t15103 / 0.2e1;
  t16706 = t15661 / 0.2e1;
  t16729 = t4748 * t2542;
  t16730 = t836 * t16729;
  t16749 = 0.2e1 / 0.3e1 * t8685 * t2728 + t15109 - 0.4e1 * t11924 * t2323 + 0.4e1 / 0.3e1 * t11927 * t2318 - 0.2e1 * t11930 * t2166 + 0.4e1 * t11927 * t2331 - t15121 + 0.4e1 * t11937 * t2323 + 0.2e1 * t472 * t2166 - 0.4e1 * t11942 * t2331;
  t16750 = t94 * t16749;
  t16751 = t837 * t16750;
  t16752 = t836 * t16751;
  t16755 = t8897 * t2592;
  t16756 = t246 * t16755;
  t16757 = t16756 / 0.4e1;
  t16758 = t16704 + t16705 + t16706 + t15675 - t15680 - t15683 + t1228 * t2596 / 0.2e1 - t1228 * t2588 / 0.2e1 - t5286 * t2584 / 0.2e1 - t417 * t11838 / 0.12e2 + t11843 * t432 / 0.4e1 + t9948 * t481 / 0.2e1 + t2534 * t5281 / 0.3e1 - t2534 * t5291 / 0.6e1 - t466 * t10198 / 0.6e1 + t2529 * t1223 / 0.6e1 - t2534 * t5229 / 0.12e2 + t466 * t16730 / 0.12e2 + t466 * t16752 / 0.12e2 - t16757;
  t16760 = t824 * t221 * t16749;
  t16761 = t1559 * t16760;
  t16764 = t15142 / 0.4e1;
  t16765 = t15150 / 0.12e2;
  t16766 = t788 * t16665;
  t16767 = t1587 * t16766;
  t16770 = t2541 * t2105;
  t16771 = t3562 * t16770;
  t16772 = t470 * t16771;
  t16775 = t3273 * t16666;
  t16778 = t95 * t16770;
  t16779 = t8790 * t16778;
  t16782 = t4877 * t16666;
  t16785 = t3556 * t16665;
  t16786 = t1591 * t16785;
  t16789 = t15157 / 0.4e1;
  t16791 = t2571 * t414;
  t16792 = t3556 * t16791;
  t16796 = t3125 * t2287;
  t16799 = t3130 * t2287;
  t16802 = t788 * t16791;
  t16804 = t2571 * t2105;
  t16805 = t3562 * t16804;
  t16807 = t2118 * t2562;
  t16808 = 0.4e1 * t15761;
  t16809 = 0.2e1 * t15237;
  t16810 = t15241 / 0.3e1;
  t16811 = t1591 * t16792 - 0.12e2 * t11892 * t2295 - 0.2e1 / 0.3e1 * t11896 * t16796 + 0.6e1 * t11896 * t16799 - t1587 * t16802 - t470 * t16805 - t16807 + t16808 - t16809 - t15239 - t16810;
  t16812 = 0.2e1 * t15244;
  t16813 = 0.4e1 * t15767;
  t16814 = 0.2e1 / 0.3e1 * t15773;
  t16815 = t63 * t16749;
  t16816 = t788 * t16815;
  t16818 = t3130 * t16791;
  t16831 = t3168 * t2287;
  t16836 = t16812 - t16813 - t16814 - t470 * t16816 - 0.2e1 / 0.3e1 * t1591 * t16818 - 0.4e1 * t2558 * t15246 + 0.6e1 * t11912 * t2288 + 0.2e1 * t2554 * t2129 + 0.2e1 * t11892 * t2291 + 0.2e1 / 0.3e1 * t2558 * t15253 - t11896 * t16831 / 0.9e1 + 0.6e1 * t11892 * t2306;
  t16838 = t3130 * t2298;
  t16841 = t3168 * t2298;
  t16849 = t2118 * t2572;
  t16850 = t16849 / 0.2e1;
  t16851 = t60 * t16749;
  t16852 = t788 * t16851;
  t16855 = t3125 * t2298;
  t16862 = 0.4e1 / 0.3e1 * t15801;
  t16863 = -0.3e1 * t11896 * t16838 + t11896 * t16841 / 0.18e2 + 0.2e1 * t2558 * t15293 - 0.3e1 * t11912 * t2302 - t2554 * t2142 + t16850 + t470 * t16852 / 0.2e1 + 0.1e2 / 0.3e1 * t11896 * t16855 - 0.4e1 / 0.3e1 * t2558 * t15263 - 0.4e1 * t11892 * t2299 + t16862;
  t16864 = 0.2e1 * t15811;
  t16865 = 0.2e1 * t15813;
  t16866 = t11963 * t414;
  t16867 = t233 * t16866;
  t16870 = t11963 * t2105;
  t16871 = t233 * t16870;
  t16874 = t802 * t16866;
  t16877 = t815 * t16866;
  t16880 = 0.2e1 / 0.3e1 * t15266;
  t16881 = t15284 / 0.2e1;
  t16882 = -t16864 + t16865 + 0.2e1 * t6344 * t16867 + 0.2e1 * t10088 * t16871 + t6341 * t16874 / 0.3e1 - 0.2e1 * t6341 * t16877 + t16880 - t15274 + t15282 + t16881 - t2138 + t2119;
  t16884 = t16811 + t16836 + t16863 + t16882;
  t16885 = t59 * t16884;
  t16886 = t16885 * t95;
  t16889 = t15160 / 0.2e1;
  t16890 = t15172 / 0.2e1;
  t16891 = t15733 / 0.6e1;
  t16894 = t1261 * t16632;
  t16897 = t843 * t16632;
  t16900 = t2087 * t2544;
  t16901 = t16900 / 0.12e2;
  t16902 = t12087 * t2331;
  t16905 = t3139 * t2317;
  t16906 = t12038 * t16905;
  t16909 = t677 * t2266;
  t16910 = t4808 * t16909;
  t16913 = -t30 * t16886 / 0.4e1 - t16889 - t16890 - t16891 + t466 * t15691 / 0.6e1 - t1541 * t16894 / 0.6e1 + t1568 * t16897 / 0.3e1 + t16901 - 0.3e1 * t246 * t16902 + 0.3e1 / 0.2e1 * t246 * t16906 - 0.3e1 / 0.2e1 * t12052 * t16910;
  t16917 = my_piecewise3(t2, 0, t16655 + t16702 + t16758 - t246 * t16761 / 0.4e1 + t16764 - t16765 + t4772 * t16767 / 0.2e1 + t4772 * t16772 / 0.2e1 - t6454 * t16775 / 0.6e1 - t6451 * t16779 / 0.6e1 + t6439 * t16782 / 0.12e2 - t4772 * t16786 / 0.2e1 - t16789 + t16913);
  tv3sigmalapl20 = t3 * t16917;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 0] += tv3sigmalapl20;

  tv3sigmalapl21 = 0.e0;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 1] += tv3sigmalapl21;

  tv3sigmalapl22 = 0.e0;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 2] += tv3sigmalapl22;

  tv3sigmalapl23 = 0.e0;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 3] += tv3sigmalapl23;

  tv3sigmalapl24 = 0.e0;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 4] += tv3sigmalapl24;

  tv3sigmalapl25 = 0.e0;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 5] += tv3sigmalapl25;

  tv3sigmalapl26 = 0.e0;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 6] += tv3sigmalapl26;

  tv3sigmalapl27 = 0.e0;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 7] += tv3sigmalapl27;

  t16918 = t15306 / 0.4e1;
  t16919 = t15323 / 0.3e1;
  t16920 = t15324 / 0.6e1;
  t16921 = t15327 / 0.2e1;
  t16922 = t15331 / 0.6e1;
  t16923 = t15333 / 0.12e2;
  t16924 = t15368 / 0.12e2;
  t16925 = t15373 / 0.2e1;
  t16926 = t15382 / 0.2e1;
  t16927 = t15385 / 0.4e1;
  t16944 = -t2180 + t2251 + t16918 + t16919 - t16920 + t16921 + t16922 - t16923 + t16924 - t16925 - t16926 - t16927 - t1383 * t2663 / 0.2e1 + t1383 * t2671 / 0.2e1 + t10426 * t505 / 0.2e1 - t5792 * t2659 / 0.2e1 - t442 * t12469 / 0.12e2 + t12474 * t457 / 0.4e1 + t2609 * t5804 / 0.3e1 - t490 * t10421 / 0.6e1;
  t16951 = t15411 / 0.12e2;
  t16968 = 0.2e1 / 0.3e1 * t9396 * t2808 + t15340 - 0.4e1 * t12377 * t2394 + 0.4e1 / 0.3e1 * t12380 * t2389 - 0.2e1 * t12383 * t2257 + 0.4e1 * t12380 * t2402 - t15352 + 0.4e1 * t12390 * t2394 + 0.2e1 * t496 * t2257 - 0.4e1 * t12395 * t2402;
  t16970 = t1076 * t348 * t16968;
  t16971 = t1693 * t16970;
  t16974 = t12420 * t2389;
  t16977 = t12424 * t15388;
  t16982 = t12424 * t15455;
  t16984 = t12507 * t2394;
  t16987 = t12511 * t2257;
  t16992 = t9409 * t2667;
  t16993 = t373 * t16992;
  t16994 = t16993 / 0.4e1;
  t16997 = t167 * t16968;
  t16998 = t1095 * t16997;
  t16999 = t1094 * t16998;
  t17002 = t2178 * t2619;
  t17003 = t17002 / 0.12e2;
  t17004 = t5595 * t2338;
  t17011 = -t2609 * t5800 / 0.6e1 + t2604 * t1378 / 0.6e1 - t2609 * t5819 / 0.12e2 - t16951 - t373 * t16971 / 0.4e1 + 0.3e1 * t1029 * t16974 + t1029 * t16977 - t1647 * t2395 - t1647 * t2398 / 0.2e1 - t373 * t16982 + 0.3e1 / 0.2e1 * t373 * t16984 + t373 * t16987 / 0.2e1 - t1383 * t2668 / 0.4e1 - t16994 - t12544 * t2339 / 0.2e1 + t490 * t16999 / 0.12e2 + t17003 - 0.5e1 / 0.36e2 * t12414 * t17004 + t2609 * t15365 / 0.6e1 + t12535 * t2342 / 0.2e1;
  t17015 = t4148 * t2388;
  t17016 = t12672 * t17015;
  t17019 = t12420 * t2402;
  t17024 = t6755 * t2337;
  t17025 = t1430 * t17024;
  t17028 = t1101 * t17024;
  t17035 = t5553 * t2617;
  t17036 = t1094 * t17035;
  t17041 = t2616 * t2196;
  t17042 = t168 * t17041;
  t17043 = t9444 * t17042;
  t17046 = t2616 * t439;
  t17047 = t168 * t17046;
  t17048 = t5691 * t17047;
  t17051 = t4687 * t17047;
  t17054 = t1476 * t12350;
  t17057 = t4626 * t17046;
  t17058 = t1720 * t17057;
  t17061 = t5674 * t17047;
  t17064 = t1018 * t17046;
  t17065 = t5691 * t17064;
  t17070 = t15909 / 0.3e1;
  t17071 = -t6955 * t2390 + t1647 * t2403 + 0.3e1 / 0.2e1 * t373 * t17016 - 0.3e1 * t373 * t17019 - 0.3e1 / 0.2e1 * t12414 * t5597 - t1683 * t17025 / 0.6e1 + t1702 * t17028 / 0.3e1 + t490 * t15926 / 0.6e1 + t2609 * t15451 / 0.3e1 + t490 * t17036 / 0.12e2 - 0.2e1 / 0.3e1 * t2609 * t15448 - t6772 * t17043 / 0.6e1 + t6769 * t17048 / 0.12e2 - t6764 * t17051 / 0.6e1 + t5639 * t17054 / 0.2e1 - t5665 * t17058 / 0.2e1 + t6769 * t17061 / 0.6e1 - t6769 * t17065 / 0.3e1 - t2604 * t2199 / 0.6e1 - t17070;
  t17072 = 0.2e1 / 0.3e1 * t15913;
  t17073 = t15945 / 0.2e1;
  t17074 = 0.2e1 * t15478;
  t17075 = t15482 / 0.3e1;
  t17076 = t143 * t16968;
  t17077 = t1165 * t17076;
  t17079 = t2369 * t2616;
  t17080 = t4572 * t17079;
  t17089 = 0.4e1 * t16029;
  t17090 = 0.2e1 / 0.3e1 * t16035;
  t17091 = 0.4e1 * t16045;
  t17092 = -t17074 - t15480 - t17075 - t494 * t17077 - 0.2e1 / 0.3e1 * t1720 * t17080 + 0.6e1 * t12606 * t2359 + 0.2e1 * t2629 * t2220 + 0.2e1 * t12551 * t2362 - t17089 - t17090 + t17091;
  t17095 = t4572 * t2369;
  t17098 = t2209 * t2647;
  t17099 = t17098 / 0.2e1;
  t17100 = t140 * t16968;
  t17101 = t1165 * t17100;
  t17108 = t4609 * t2369;
  t17111 = t4619 * t2369;
  t17119 = 0.2e1 * t15487;
  t17120 = 0.6e1 * t12551 * t2377 - 0.3e1 * t12580 * t17095 + t17099 + t494 * t17101 / 0.2e1 - 0.4e1 / 0.3e1 * t2633 * t15528 - 0.3e1 * t12606 * t2373 + t12580 * t17108 / 0.18e2 + 0.1e2 / 0.3e1 * t12580 * t17111 - 0.4e1 * t12551 * t2370 + 0.2e1 * t2633 * t15535 - t2629 * t2233 + t17119;
  t17122 = t4626 * t17079;
  t17126 = t4619 * t2358;
  t17129 = t4572 * t2358;
  t17134 = t1165 * t17079;
  t17136 = t2646 * t2196;
  t17137 = t4575 * t17136;
  t17141 = t4609 * t2358;
  t17144 = t2209 * t2637;
  t17145 = 0.2e1 * t16069;
  t17146 = t1720 * t17122 - 0.12e2 * t12551 * t2366 - 0.2e1 / 0.3e1 * t12580 * t17126 + 0.6e1 * t12580 * t17129 - 0.4e1 * t2633 * t15489 - t1716 * t17134 - t494 * t17137 + 0.2e1 / 0.3e1 * t2633 * t15494 - t12580 * t17141 / 0.9e1 - t17144 - t17145;
  t17147 = 0.4e1 / 0.3e1 * t16074;
  t17148 = 0.2e1 * t16083;
  t17149 = t15518 / 0.2e1;
  t17150 = 0.2e1 / 0.3e1 * t15531;
  t17151 = t12560 * t439;
  t17152 = t1186 * t17151;
  t17155 = t360 * t17151;
  t17158 = t12560 * t2196;
  t17159 = t360 * t17158;
  t17162 = t1173 * t17151;
  t17165 = t17147 + t17148 - t15516 + t17149 + t17150 + t15538 - t2229 - 0.2e1 * t7150 * t17152 + 0.2e1 * t7147 * t17155 + 0.2e1 * t10674 * t17159 + t7150 * t17162 / 0.3e1 + t2210;
  t17167 = t17092 + t17120 + t17146 + t17165;
  t17168 = t139 * t17167;
  t17169 = t17168 * t168;
  t17172 = t15948 / 0.3e1;
  t17173 = t4154 * t439;
  t17174 = t4148 * t17173;
  t17175 = t12672 * t17174;
  t17178 = t15993 / 0.6e1;
  t17179 = t16103 / 0.6e1;
  t17183 = t5733 * t2338;
  t17187 = t5595 * t2352;
  t17190 = t1165 * t17046;
  t17191 = t1716 * t17190;
  t17194 = t4575 * t17041;
  t17195 = t494 * t17194;
  t17198 = t4149 * t439;
  t17199 = t4148 * t17198;
  t17200 = t12672 * t17199;
  t17203 = t5563 * t2338;
  t17208 = t1423 * t17024;
  t17211 = t1645 * t2337;
  t17212 = t1430 * t17211;
  t17215 = 0.23e2 / 0.36e2 * t12414 * t17187 - t16114 - t16119 + t16127 + t5665 * t17191 / 0.2e1 + t5665 * t17195 / 0.2e1 - 0.3e1 * t1029 * t17200 - t12414 * t17203 / 0.2e1 + 0.7e1 / 0.3e1 * t12414 * t5734 - t1683 * t17208 / 0.3e1 + 0.2e1 / 0.3e1 * t1683 * t17212;
  t17219 = my_piecewise3(t100, 0, t16944 + t17011 + t17071 + t17072 + t17073 - t110 * t17169 / 0.4e1 + t17172 + 0.3e1 / 0.2e1 * t4718 * t17175 - t17178 - t17179 + t12535 * t2347 - 0.2e1 * t12535 * t2353 - 0.11e2 / 0.18e2 * t12414 * t17183 + t17215);
  tv3sigmalapl28 = t3 * t17219;

  if(out->v3sigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapl2[ip*p->dim.v3sigmalapl2 + 8] += tv3sigmalapl28;

  t17220 = t2309 * t544;
  t17223 = t4748 * t2676;
  t17224 = t843 * t17223;
  t17227 = t1254 * t17223;
  t17230 = t1261 * t17223;
  t17241 = -t2089 + t2160 - t16134 + t16144 - t30 * t17220 / 0.4e1 + t1815 * t17224 / 0.6e1 - t1779 * t17227 / 0.6e1 - t1779 * t17230 / 0.12e2 + t515 * t16730 / 0.12e2 - t16163 + t16165 - t1516 * t2450 / 0.4e1 - t1770 * t2324 / 0.2e1 - t1770 * t2327 / 0.4e1;
  t17242 = t7213 * t2266;
  t17243 = t1261 * t17242;
  t17260 = t843 * t17242;
  t17263 = t1226 * t2676;
  t17264 = t1261 * t17263;
  t17267 = -t1541 * t17243 / 0.12e2 + t466 * t16167 / 0.12e2 - t515 * t10198 / 0.12e2 + t9948 * t530 / 0.4e1 - t417 * t13198 / 0.12e2 + t13203 * t432 / 0.4e1 + t10777 * t481 / 0.4e1 - t466 * t10808 / 0.12e2 + t15613 - t15624 - t15634 + t15641 - t16171 + t1568 * t17260 / 0.6e1 + t1779 * t17264 / 0.3e1;
  t17273 = t1254 * t17242;
  t17276 = t13185 * t2323;
  t17279 = t12753 * t2166;
  t17286 = t463 * t414;
  t17287 = t3156 * t17286;
  t17288 = t9744 * t17287;
  t17291 = t95 * t17286;
  t17292 = t9845 * t17291;
  t17295 = t670 * t17286;
  t17296 = t9744 * t17295;
  t17301 = -t1779 * t16894 / 0.12e2 + t1815 * t16897 / 0.6e1 + t16191 - t1541 * t17273 / 0.6e1 + t16199 - t16203 - t3266 * t17276 / 0.2e1 - t3266 * t17279 / 0.4e1 - t5286 * t2729 / 0.2e1 - t1516 * t2447 / 0.2e1 - 0.3e1 / 0.2e1 * t10757 * t17288 - 0.11e2 / 0.18e2 * t10757 * t17292 + 0.23e2 / 0.36e2 * t10757 * t17296 + t7251 * t16667 / 0.6e1;
  t17304 = t4996 * t17291;
  t17306 = t4873 * t17295;
  t17313 = t1797 * t16760;
  t17320 = -t7251 * t16671 / 0.3e1 + t10838 * t17304 - 0.2e1 * t10838 * t17306 + t16698 - t16699 + t16700 - t16701 + t16704 + t16705 + t1516 * t2462 / 0.4e1 - t1228 * t2737 / 0.4e1 - t246 * t17313 / 0.4e1 + t1228 * t2742 / 0.2e1 - t1228 * t2734 / 0.2e1 + t15662;
  t17333 = t15676 - t15681 - t15684 - t16757 + t16764 - t16765 + t515 * t15691 / 0.12e2 + t515 * t16752 / 0.12e2 + t16273 - t16280 - t16283 + t1228 * t2751 / 0.4e1 - t466 * t10965 / 0.12e2 - t417 * t12910 / 0.12e2;
  t17334 = t543 * t414;
  t17335 = t253 * t17334;
  t17336 = t4762 * t17335;
  t17341 = t4873 * t17335;
  t17344 = t3556 * t9897;
  t17345 = t1876 * t17344;
  t17347 = t1872 * t16766;
  t17350 = t519 * t16771;
  t17353 = t229 * t17286;
  t17354 = t7690 * t17353;
  t17357 = t788 * t9897;
  t17358 = t1872 * t17357;
  t17361 = t512 * t414;
  t17363 = t6300 * t683 * t17361;
  t17366 = t1591 * t11207;
  t17368 = -t16789 - t16889 - t16890 - t15734 + t16901 + t6454 * t17336 / 0.6e1 + t6451 * t16229 / 0.12e2 - t6439 * t17341 / 0.12e2 - t4772 * t17345 + t4772 * t17347 / 0.2e1 + t4772 * t17350 / 0.2e1 + 0.3e1 / 0.2e1 * t4772 * t17354 + t4772 * t17358 / 0.2e1 + 0.3e1 * t4983 * t17363 + t4983 * t17366;
  t17370 = t1319 * t12938;
  t17373 = t1876 * t16785;
  t17377 = t6304 * t3168 * t17361;
  t17381 = t6304 * t3125 * t17361;
  t17384 = t4877 * t17291;
  t17387 = t9845 * t17295;
  t17390 = t2298 * t463;
  t17391 = t683 * t17390;
  t17394 = t3168 * t17390;
  t17402 = t13080 * t2105;
  t17403 = t815 * t17402;
  t17406 = t13080 * t414;
  t17407 = t3590 * t17406;
  t17416 = -0.4e1 * t7680 * t17391 + t7686 * t17394 / 0.18e2 - t519 * t16816 - 0.2e1 / 0.3e1 * t1876 * t16818 - t16305 - t16309 - 0.2e1 * t7651 * t16877 - t16807 - 0.4e1 * t7651 * t17403 - t11072 * t17407 / 0.9e1 + 0.2e1 * t7655 * t16867 + 0.2e1 * t11138 * t16871 + t7651 * t16874 / 0.3e1;
  t17417 = t233 * t17406;
  t17420 = t233 * t17402;
  t17423 = t802 * t17406;
  t17426 = t802 * t17402;
  t17431 = t2708 * t2105;
  t17432 = t3556 * t17431;
  t17435 = t3125 * t17390;
  t17438 = 0.6e1 * t11143 * t17417 + 0.2e1 * t7655 * t17420 + 0.2e1 * t11079 * t17423 + 0.2e1 / 0.3e1 * t7651 * t17426 + t15762 - t16809 - t15239 - t16810 + t16812 - t1872 * t16802 - t519 * t16805 + 0.2e1 * t1876 * t17432 + 0.1e2 / 0.3e1 * t7686 * t17435;
  t17440 = t3130 * t17431;
  t17443 = t229 * t17390;
  t17446 = t788 * t17431;
  t17450 = -0.4e1 / 0.3e1 * t1876 * t17440 - 0.3e1 * t7690 * t17443 - t1872 * t17446 - t15768 - t15774 + t16318 + t16850 + t16336 + t16337 - t16340 + t519 * t16852 / 0.2e1 + t15802 - t15811;
  t17453 = t3580 * t17406;
  t17456 = t815 * t17406;
  t17459 = t3130 * t17390;
  t17462 = t689 * t17390;
  t17466 = t15813 + 0.6e1 * t11072 * t17423 - 0.2e1 / 0.3e1 * t11072 * t17453 - 0.12e2 * t11079 * t17456 + t16880 - t15274 + t15282 + t16881 - 0.3e1 * t7686 * t17459 + 0.6e1 * t7680 * t17462 + t1876 * t16792 - t2138 + t2119;
  t17468 = t17416 + t17438 + t17450 + t17466;
  t17469 = t59 * t17468;
  t17470 = t17469 * t95;
  t17473 = t670 * t9897;
  t17474 = t4877 * t17473;
  t17477 = t95 * t9897;
  t17478 = t5175 * t17477;
  t17487 = t4873 * t17291;
  t17490 = t4877 * t17477;
  t17493 = t9744 * t17291;
  t17496 = t4983 * t17370 / 0.2e1 - t4772 * t17373 / 0.2e1 + 0.3e1 / 0.2e1 * t9877 * t17377 - 0.3e1 * t4983 * t17381 - t10757 * t17384 / 0.2e1 + 0.7e1 / 0.3e1 * t10757 * t17387 - t30 * t17470 / 0.4e1 - 0.2e1 / 0.3e1 * t7251 * t17474 + t7251 * t17478 / 0.3e1 + t7251 * t16782 / 0.12e2 - t7254 * t16775 / 0.6e1 - t7248 * t16779 / 0.6e1 + t10838 * t17487 / 0.2e1 + t7251 * t17490 / 0.6e1 - 0.5e1 / 0.36e2 * t10757 * t17493;
  t17497 = t4762 * t17291;
  t17500 = t3273 * t17477;
  t17503 = t3264 * t17334;
  t17504 = t4873 * t17503;
  t17507 = t12998 * t2318;
  t17510 = t12998 * t2331;
  t17513 = t3130 * t17286;
  t17514 = t7686 * t17513;
  t17517 = t4996 * t17335;
  t17520 = t689 * t17286;
  t17521 = t7680 * t17520;
  t17524 = t1768 * t2266;
  t17525 = t1261 * t17524;
  t17540 = -t11019 * t17497 / 0.2e1 - t7254 * t17500 / 0.6e1 + t6439 * t17504 / 0.3e1 - t4993 * t17507 / 0.2e1 + t3266 * t17510 / 0.2e1 + 0.3e1 / 0.2e1 * t4772 * t17514 - t6439 * t17517 / 0.6e1 - 0.3e1 * t4772 * t17521 + t1541 * t17525 / 0.3e1 - t7587 * t2319 / 0.2e1 + t1770 * t2332 / 0.2e1 - t6411 * t2444 / 0.2e1 + t1516 * t2453 / 0.2e1 - t1779 * t16633 / 0.6e1 + t1779 * t16637 / 0.3e1;
  t17544 = my_piecewise3(t2, 0, t17241 + t17267 + t17301 + t17320 + t17333 + t17368 + t17496 + t17540);
  tv3sigmalapltau0 = t3 * t17544;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 0] += tv3sigmalapltau0;

  tv3sigmalapltau1 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 1] += tv3sigmalapltau1;

  tv3sigmalapltau2 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 2] += tv3sigmalapltau2;

  tv3sigmalapltau3 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 3] += tv3sigmalapltau3;

  tv3sigmalapltau4 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 4] += tv3sigmalapltau4;

  tv3sigmalapltau5 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 5] += tv3sigmalapltau5;

  tv3sigmalapltau6 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 6] += tv3sigmalapltau6;

  tv3sigmalapltau7 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 7] += tv3sigmalapltau7;

  tv3sigmalapltau8 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 8] += tv3sigmalapltau8;

  tv3sigmalapltau9 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 9] += tv3sigmalapltau9;

  tv3sigmalapltau10 = 0.e0;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 10] += tv3sigmalapltau10;

  t17547 = -t2180 + t2251 + t16374 + t16918 + t16919 - t16920 + t16921 + t16922 - t16923 + t16924 - t16925 - t16926 - t16927 - t8280 * t2390 / 0.2e1;
  t17550 = t8262 * t2337;
  t17551 = t1101 * t17550;
  t17568 = t1430 * t17550;
  t17571 = t1381 * t2756;
  t17572 = t1430 * t17571;
  t17579 = t1956 * t2403 / 0.2e1 + t1702 * t17551 / 0.6e1 + t490 * t16510 / 0.12e2 + t11501 * t505 / 0.4e1 + t10426 * t570 / 0.4e1 - t442 * t13616 / 0.12e2 + t13591 * t457 / 0.4e1 - t1956 * t2398 / 0.4e1 - t1956 * t2395 / 0.2e1 - t1683 * t17568 / 0.12e2 + t1981 * t17572 / 0.3e1 - t16951 - t16419 - t6955 * t2503 / 0.2e1 + t1647 * t2512 / 0.2e1;
  t17585 = t1423 * t17550;
  t17588 = t13659 * t2394;
  t17591 = t13663 * t2257;
  t17596 = t583 * t439;
  t17597 = t380 * t17596;
  t17598 = t5695 * t17597;
  t17601 = t1720 * t11536;
  t17603 = t13533 * t2402;
  t17606 = -t1981 * t17208 / 0.6e1 + t1981 * t17212 / 0.3e1 - t1683 * t17585 / 0.6e1 - t16994 + t16440 - t4695 * t17588 / 0.2e1 - t4695 * t17591 / 0.4e1 + t6772 * t16589 / 0.12e2 - t6769 * t17598 / 0.12e2 + t17003 + t16464 - t16467 + t5639 * t17601 + t4695 * t17603 / 0.2e1;
  t17607 = t1476 * t13555;
  t17610 = t2060 * t17057;
  t17613 = t487 * t439;
  t17614 = t4572 * t17613;
  t17615 = t8438 * t17614;
  t17618 = t5679 * t17597;
  t17621 = t4693 * t17596;
  t17622 = t5695 * t17621;
  t17637 = t5553 * t2756;
  t17638 = t1423 * t17637;
  t17641 = t1101 * t17637;
  t17644 = t1430 * t17637;
  t17647 = t5639 * t17607 / 0.2e1 - t5665 * t17610 / 0.2e1 + 0.3e1 / 0.2e1 * t5665 * t17615 - t6769 * t17618 / 0.6e1 + t6769 * t17622 / 0.3e1 - t16473 - t1647 * t2509 / 0.4e1 + t1974 * t17028 / 0.6e1 + t555 * t15926 / 0.12e2 - t1981 * t17025 / 0.12e2 + t555 * t17036 / 0.12e2 + t555 * t16999 / 0.12e2 - t1981 * t17638 / 0.6e1 + t1974 * t17641 / 0.6e1 - t1981 * t17644 / 0.12e2;
  t17654 = t2040 * t16970;
  t17663 = t1954 * t2337;
  t17664 = t1430 * t17663;
  t17667 = -t16493 - t15910 + t15914 + t15946 + t15949 - t16506 + t16514 + t1383 * t2822 / 0.2e1 - t1383 * t2817 / 0.4e1 - t373 * t17654 / 0.4e1 - t1383 * t2814 / 0.2e1 - t5792 * t2809 / 0.2e1 - t1647 * t2506 / 0.2e1 + t1683 * t17664 / 0.3e1;
  t17676 = t13533 * t2389;
  t17679 = t4191 * t17613;
  t17680 = t10358 * t17679;
  t17683 = t552 * t439;
  t17685 = t7093 * t4609 * t17683;
  t17689 = t7093 * t4619 * t17683;
  t17692 = t1038 * t17613;
  t17693 = t8460 * t17692;
  t17696 = t4626 * t10534;
  t17697 = t2060 * t17696;
  t17699 = t6005 * t17597;
  t17702 = t2056 * t17190;
  t17705 = t559 * t17194;
  t17708 = t356 * t17613;
  t17709 = t8443 * t17708;
  t17712 = t1165 * t10534;
  t17713 = t2056 * t17712;
  t17716 = -t442 * t13580 / 0.12e2 + t1647 * t2521 / 0.4e1 + t1383 * t2831 / 0.4e1 - t490 * t11368 / 0.12e2 - t5649 * t17676 / 0.2e1 - 0.3e1 / 0.2e1 * t11399 * t17680 + 0.3e1 / 0.2e1 * t10513 * t17685 - 0.3e1 * t5639 * t17689 - 0.3e1 * t5665 * t17693 - t5665 * t17697 + t6764 * t17699 / 0.6e1 + t5665 * t17702 / 0.2e1 + t5665 * t17705 / 0.2e1 + 0.3e1 / 0.2e1 * t5665 * t17709 + t5665 * t17713 / 0.2e1;
  t17719 = t7089 * t1033 * t17683;
  t17726 = t2788 * t2196;
  t17727 = t4626 * t17726;
  t17730 = t2788 * t439;
  t17731 = t356 * t17730;
  t17734 = t1165 * t17726;
  t17738 = t13390 * t2196;
  t17739 = t1186 * t17738;
  t17744 = -t2056 * t17134 - t559 * t17137 - 0.2e1 * t8508 * t17152 + 0.2e1 * t2060 * t17727 - 0.3e1 * t8443 * t17731 - t2056 * t17734 - 0.4e1 * t8508 * t17739 - t15480 - t16527 + t16546 - t16551 - t17074 - t17075;
  t17745 = t13390 * t439;
  t17746 = t1173 * t17745;
  t17749 = t1186 * t17745;
  t17752 = t4599 * t17745;
  t17755 = t1173 * t17738;
  t17758 = t4586 * t17745;
  t17767 = t360 * t17745;
  t17770 = t360 * t17738;
  t17775 = 0.6e1 * t11651 * t17746 - 0.12e2 * t11668 * t17749 - 0.2e1 / 0.3e1 * t11651 * t17752 + 0.2e1 / 0.3e1 * t8508 * t17755 - t11651 * t17758 / 0.9e1 + 0.2e1 * t8511 * t17155 + 0.2e1 * t11656 * t17159 + t8508 * t17162 / 0.3e1 + 0.6e1 * t11663 * t17767 + 0.2e1 * t8511 * t17770 + 0.2e1 * t11668 * t17746 - t16030 - t16036;
  t17777 = t1038 * t17730;
  t17781 = t4572 * t17730;
  t17784 = t2060 * t17122 + 0.6e1 * t8460 * t17777 - 0.3e1 * t8438 * t17781 + t16046 - t16069 + t16075 + t16083 - t16558 + t16560 + t16561 + t17099 + t17119 - t17144;
  t17790 = t4619 * t17730;
  t17793 = t4572 * t17726;
  t17796 = t1033 * t17730;
  t17799 = t4609 * t17730;
  t17802 = t559 * t17101 / 0.2e1 - t559 * t17077 - 0.2e1 / 0.3e1 * t2060 * t17080 + 0.1e2 / 0.3e1 * t8438 * t17790 - 0.4e1 / 0.3e1 * t2060 * t17793 - 0.4e1 * t8460 * t17796 + t8438 * t17799 / 0.18e2 - t15516 + t17149 + t17150 + t15538 - t2229 + t2210;
  t17804 = t17744 + t17775 + t17784 + t17802;
  t17805 = t139 * t17804;
  t17806 = t17805 * t168;
  t17809 = t168 * t10534;
  t17810 = t5674 * t17809;
  t17819 = t5691 * t17809;
  t17822 = t168 * t17613;
  t17823 = t10358 * t17822;
  t17826 = t4687 * t17809;
  t17829 = t5695 * t17822;
  t17832 = t6005 * t17822;
  t17835 = 0.3e1 * t5639 * t17719 - t15994 - t16104 - t490 * t11422 / 0.12e2 - t555 * t10421 / 0.12e2 - t110 * t17806 / 0.4e1 + t8063 * t17810 / 0.3e1 - t8219 * t17051 / 0.6e1 - t8214 * t17043 / 0.6e1 + t8063 * t17048 / 0.12e2 + t8063 * t17819 / 0.6e1 - 0.5e1 / 0.36e2 * t11399 * t17823 - t8219 * t17826 / 0.6e1 + t11510 * t17829 / 0.2e1 - t11646 * t17832 / 0.2e1;
  t17836 = t10447 * t17822;
  t17839 = t1018 * t17613;
  t17840 = t10358 * t17839;
  t17847 = t5691 * t17822;
  t17850 = t10447 * t17839;
  t17853 = t5679 * t17822;
  t17855 = t5695 * t17839;
  t17858 = t1018 * t10534;
  t17859 = t5691 * t17858;
  t17862 = t2380 * t584;
  t17865 = -0.11e2 / 0.18e2 * t11399 * t17836 + 0.23e2 / 0.36e2 * t11399 * t17840 + t8063 * t17061 / 0.6e1 - t8063 * t17065 / 0.3e1 - t11399 * t17847 / 0.2e1 + 0.7e1 / 0.3e1 * t11399 * t17850 + t11510 * t17853 - 0.2e1 * t11510 * t17855 - 0.2e1 / 0.3e1 * t8063 * t17859 - t16593 - t110 * t17862 / 0.4e1 - t16115 - t16120 + t16128 + t16605;
  t17869 = my_piecewise3(t100, 0, t17547 + t17579 + t17606 + t17647 + t17667 + t17716 + t17835 + t17865);
  tv3sigmalapltau11 = t3 * t17869;

  if(out->v3sigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmalapltau[ip*p->dim.v3sigmalapltau + 11] += tv3sigmalapltau11;

  t17872 = t16133 / 0.6e1;
  t17873 = t2851 * t414;
  t17874 = t95 * t17873;
  t17875 = t5175 * t17874;
  t17878 = t670 * t17873;
  t17879 = t4877 * t17878;
  t17882 = t14030 * t16905;
  t17885 = t13989 * t2331;
  t17888 = t14030 * t16651;
  t17895 = -t2089 + t2160 + t1228 * t2903 / 0.2e1 - t17872 + t16143 + t7251 * t17875 / 0.6e1 - t7251 * t17879 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t17882 - 0.3e1 * t246 * t17885 - 0.3e1 * t679 * t17888 - 0.3e1 / 0.2e1 * t13908 * t16910 - t2844 * t5229 / 0.12e2;
  t17902 = t16162 / 0.3e1;
  t17903 = 0.2e1 / 0.3e1 * t16164;
  t17904 = t16170 / 0.6e1;
  t17905 = t427 * t2933;
  t17908 = t2436 * t544;
  t17911 = t3556 * t17873;
  t17912 = t1876 * t17911;
  t17919 = t14120 * t2318;
  t17921 = t14120 * t2331;
  t17923 = -t2844 * t5291 / 0.6e1 - t515 * t10808 / 0.6e1 + t2839 * t1223 / 0.6e1 - t17902 + t17903 - t17904 - t30 * t17905 / 0.4e1 - t30 * t17908 / 0.2e1 - t4772 * t17912 / 0.2e1 - t7251 * t17517 / 0.3e1 + 0.2e1 / 0.3e1 * t7251 * t17504 - t4993 * t17919 + t3266 * t17921;
  t17925 = t2851 * t2105;
  t17926 = t3562 * t17925;
  t17927 = t519 * t17926;
  t17930 = t14062 * t2323;
  t17932 = t14065 * t2166;
  t17941 = t95 * t17925;
  t17942 = t8790 * t17941;
  t17945 = t4877 * t17874;
  t17948 = t3273 * t17874;
  t17951 = t1319 * t14054;
  t17954 = t16190 / 0.2e1;
  t17955 = t16198 / 0.2e1;
  t17956 = t4772 * t17927 / 0.2e1 - t3266 * t17930 - t3266 * t17932 / 0.2e1 - t7251 * t17341 / 0.6e1 + t7254 * t17336 / 0.3e1 + t7248 * t16229 / 0.6e1 - t7248 * t17942 / 0.6e1 + t7251 * t17945 / 0.12e2 - t7254 * t17948 / 0.6e1 + t4983 * t17951 / 0.2e1 + t17954 + t17955;
  t17957 = t16202 / 0.6e1;
  t17972 = t2087 * t2854;
  t17973 = t17972 / 0.12e2;
  t17982 = -t17957 - 0.2e1 * t13894 * t2282 - t515 * t10965 / 0.6e1 - 0.2e1 / 0.3e1 * t2844 * t15209 - t1779 * t17243 / 0.6e1 + t1815 * t17260 / 0.3e1 + t515 * t16167 / 0.6e1 + t2844 * t15211 / 0.3e1 + t17973 - t13915 * t2268 / 0.2e1 - t2839 * t2108 / 0.6e1 + t13894 * t2271 / 0.2e1 + t1770 * t2462 / 0.2e1;
  t17985 = t13989 * t2318;
  t17988 = t13885 * t15163;
  t17997 = 0.3e1 * t679 * t17985 + t679 * t17988 - t1770 * t2447 + t2844 * t15094 / 0.6e1 - 0.5e1 / 0.36e2 * t13908 * t16613 - t1770 * t2450 / 0.2e1 + t16698 - t16699 + t16700 - t16701 + t16704 + t16705;
  t17998 = t4748 * t2852;
  t17999 = t836 * t17998;
  t18018 = 0.2e1 / 0.3e1 * t8685 * t14160 + t15109 - 0.4e1 * t14166 * t2323 + 0.4e1 / 0.3e1 * t14169 * t2318 - 0.2e1 * t14172 * t2166 + 0.4e1 * t14169 * t2331 - t15121 + 0.4e1 * t14179 * t2323 + 0.2e1 * t521 * t2166 - 0.4e1 * t14184 * t2331;
  t18019 = t94 * t18018;
  t18020 = t837 * t18019;
  t18021 = t836 * t18020;
  t18026 = t14030 * t16646;
  t18042 = t515 * t17999 / 0.12e2 + t515 * t18021 / 0.12e2 - t7587 * t2444 + t1770 * t2453 + 0.3e1 / 0.2e1 * t3167 * t18026 - 0.11e2 / 0.18e2 * t13908 * t16640 + 0.23e2 / 0.36e2 * t13908 * t16629 - t13908 * t16656 / 0.2e1 + 0.7e1 / 0.3e1 * t13908 * t16659 - t1779 * t17273 / 0.3e1 + 0.2e1 / 0.3e1 * t1779 * t17525 + t13894 * t2276 + t16764;
  t18044 = t16272 / 0.3e1;
  t18048 = t14228 * t420 * t249;
  t18051 = t8897 * t2911;
  t18052 = t246 * t18051;
  t18053 = t18052 / 0.4e1;
  t18055 = t824 * t221 * t18018;
  t18056 = t1797 * t18055;
  t18059 = t13885 * t15215;
  t18061 = t14249 * t2166;
  t18066 = t14265 * t2323;
  t18069 = -t16765 + t18044 - t16279 - t16282 - t417 * t14230 / 0.12e2 + t246 * t18048 / 0.4e1 - t18053 - t246 * t18056 / 0.4e1 - t246 * t18059 + t246 * t18061 / 0.2e1 - t1228 * t2912 / 0.4e1 + 0.3e1 / 0.2e1 * t246 * t18066;
  t18070 = 0.4e1 * t16304;
  t18071 = 0.2e1 / 0.3e1 * t16308;
  t18076 = t2883 * t414;
  t18077 = t3556 * t18076;
  t18083 = t788 * t18076;
  t18085 = t2883 * t2105;
  t18086 = t3562 * t18085;
  t18088 = -t18070 - t18071 - 0.2e1 / 0.3e1 * t14328 * t16796 + 0.6e1 * t14328 * t16799 + t1876 * t18077 - 0.12e2 * t14318 * t2295 - 0.4e1 * t2870 * t15246 - t1872 * t18083 - t519 * t18086 - t16809 - t15239;
  t18089 = 0.4e1 * t16317;
  t18094 = t60 * t18018;
  t18095 = t788 * t18094;
  t18109 = -t16810 + t16812 + t18089 + 0.6e1 * t14318 * t2306 - 0.3e1 * t14328 * t16838 + t519 * t18095 / 0.2e1 + 0.2e1 * t2870 * t15293 - 0.4e1 / 0.3e1 * t2870 * t15263 - 0.3e1 * t14313 * t2302 - t2866 * t2142 - 0.4e1 * t14318 * t2299 + t14328 * t16841 / 0.18e2;
  t18113 = t2118 * t2884;
  t18114 = t18113 / 0.2e1;
  t18115 = t14357 * t414;
  t18116 = t815 * t18115;
  t18119 = t802 * t18115;
  t18122 = t233 * t18115;
  t18125 = t14357 * t2105;
  t18126 = t233 * t18125;
  t18129 = t63 * t18018;
  t18130 = t788 * t18129;
  t18132 = t3130 * t18076;
  t18135 = 0.4e1 / 0.3e1 * t16335;
  t18136 = 0.2e1 * t16337;
  t18137 = 0.2e1 * t16340;
  t18138 = 0.1e2 / 0.3e1 * t14328 * t16855 + t18114 - 0.2e1 * t7651 * t18116 + t7651 * t18119 / 0.3e1 + 0.2e1 * t7655 * t18122 + 0.2e1 * t11138 * t18126 - t519 * t18130 - 0.2e1 / 0.3e1 * t1876 * t18132 + t18135 + t18136 - t18137;
  t18149 = t2118 * t2874;
  t18150 = 0.6e1 * t14313 * t2288 + 0.2e1 * t2866 * t2129 + 0.2e1 * t14318 * t2291 + 0.2e1 / 0.3e1 * t2870 * t15253 - t14328 * t16831 / 0.9e1 - t18149 + t16880 - t15274 + t15282 + t16881 - t2138 + t2119;
  t18152 = t18088 + t18109 + t18138 + t18150;
  t18153 = t59 * t18152;
  t18154 = t18153 * t95;
  t18173 = t788 * t17873;
  t18174 = t1872 * t18173;
  t18177 = -t30 * t18154 / 0.4e1 - t16789 - t16889 - t16890 - t1228 * t2907 / 0.2e1 + t1228 * t2915 / 0.2e1 - t5286 * t2899 / 0.2e1 + t10777 * t530 / 0.2e1 - t417 * t14006 / 0.12e2 + t14011 * t432 / 0.4e1 + t2844 * t5281 / 0.3e1 - t417 * t14400 / 0.6e1 + t4772 * t18174 / 0.2e1;
  t18181 = my_piecewise3(t2, 0, t17895 + t17923 + t17956 + t17982 + t17997 + t18042 + t18069 + t18177);
  tv3sigmatau20 = t3 * t18181;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 0] += tv3sigmatau20;

  tv3sigmatau21 = 0.e0;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 1] += tv3sigmatau21;

  tv3sigmatau22 = 0.e0;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 2] += tv3sigmatau22;

  tv3sigmatau23 = 0.e0;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 3] += tv3sigmatau23;

  tv3sigmatau24 = 0.e0;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 4] += tv3sigmatau24;

  tv3sigmatau25 = 0.e0;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 5] += tv3sigmatau25;

  tv3sigmatau26 = 0.e0;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 6] += tv3sigmatau26;

  tv3sigmatau27 = 0.e0;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 7] += tv3sigmatau27;

  t18182 = t16373 / 0.3e1;
  t18185 = -t2180 + t2251 + t18182 + t16918 + t16919 - t16920 + t16921 + t16922 - t16923 + t16924 - t16925 - t1981 * t17585 / 0.3e1;
  t18186 = t2954 * t2196;
  t18187 = t168 * t18186;
  t18188 = t9444 * t18187;
  t18191 = t2954 * t439;
  t18192 = t168 * t18191;
  t18193 = t5691 * t18192;
  t18196 = t1476 * t14818;
  t18199 = t4626 * t18191;
  t18200 = t2060 * t18199;
  t18207 = t14814 * t2389;
  t18209 = t14814 * t2402;
  t18211 = t5674 * t18192;
  t18214 = t1018 * t18191;
  t18215 = t5691 * t18214;
  t18220 = -t16926 - t16927 - t8214 * t18188 / 0.6e1 + t8063 * t18193 / 0.12e2 + t5639 * t18196 / 0.2e1 - t5665 * t18200 / 0.2e1 - t8063 * t17618 / 0.3e1 + 0.2e1 / 0.3e1 * t8063 * t17622 - t5649 * t18207 + t4695 * t18209 + t8063 * t18211 / 0.6e1 - t8063 * t18215 / 0.3e1 - t1383 * t3010 / 0.2e1;
  t18237 = t16418 / 0.6e1;
  t18238 = t2495 * t584;
  t18241 = t16439 / 0.2e1;
  t18242 = t1383 * t3018 / 0.2e1 - t5792 * t3002 / 0.2e1 + 0.2e1 / 0.3e1 * t1981 * t17664 - 0.2e1 * t14831 * t2353 - 0.11e2 / 0.18e2 * t14711 * t17183 + 0.23e2 / 0.36e2 * t14711 * t17187 - t14711 * t17203 / 0.2e1 + t14831 * t2347 - t16951 - t18237 - t110 * t18238 / 0.2e1 + t18241;
  t18243 = t14857 * t15455;
  t18248 = t14704 * t445 * t376;
  t18253 = t9409 * t3014;
  t18254 = t373 * t18253;
  t18255 = t18254 / 0.4e1;
  t18272 = 0.2e1 / 0.3e1 * t9396 * t14721 + t15340 - 0.4e1 * t14727 * t2394 + 0.4e1 / 0.3e1 * t14730 * t2389 - 0.2e1 * t14733 * t2257 + 0.4e1 * t14730 * t2402 - t15352 + 0.4e1 * t14740 * t2394 + 0.2e1 * t561 * t2257 - 0.4e1 * t14745 * t2402;
  t18274 = t1076 * t348 * t18272;
  t18275 = t2040 * t18274;
  t18278 = t14869 * t2394;
  t18281 = t1165 * t18191;
  t18282 = t2056 * t18281;
  t18285 = t4575 * t18186;
  t18286 = t559 * t18285;
  t18289 = t14605 * t2394;
  t18291 = t14608 * t2257;
  t18298 = -t373 * t18243 - t442 * t14706 / 0.12e2 + t373 * t18248 / 0.4e1 - t1383 * t3015 / 0.4e1 - t18255 - t373 * t18275 / 0.4e1 + 0.3e1 / 0.2e1 * t373 * t18278 + t5665 * t18282 / 0.2e1 + t5665 * t18286 / 0.2e1 - t4695 * t18289 - t4695 * t18291 / 0.2e1 + t8219 * t17699 / 0.3e1 + t8214 * t16589 / 0.6e1;
  t18303 = t4687 * t18192;
  t18306 = t452 * t3036;
  t18321 = t2178 * t2957;
  t18322 = t18321 / 0.12e2;
  t18323 = -t8063 * t17598 / 0.6e1 - t8219 * t18303 / 0.6e1 - t110 * t18306 / 0.4e1 + t16463 - t16466 - t555 * t11368 / 0.6e1 + t1974 * t17551 / 0.3e1 + t555 * t16510 / 0.6e1 - t1981 * t17568 / 0.6e1 + t2947 * t15451 / 0.3e1 - 0.5e1 / 0.36e2 * t14711 * t17004 + t18322;
  t18324 = t5553 * t2955;
  t18325 = t1094 * t18324;
  t18328 = t167 * t18272;
  t18329 = t1095 * t18328;
  t18330 = t1094 * t18329;
  t18339 = t16472 / 0.6e1;
  t18340 = t16505 / 0.3e1;
  t18341 = 0.2e1 / 0.3e1 * t16513;
  t18349 = t555 * t18325 / 0.12e2 + t555 * t18330 / 0.12e2 + t14831 * t2342 / 0.2e1 + t1956 * t2521 / 0.2e1 - 0.2e1 / 0.3e1 * t2947 * t15448 - t18339 - t16492 - t18340 + t18341 - t15036 * t2339 / 0.2e1 - t2942 * t2199 / 0.6e1 - 0.3e1 / 0.2e1 * t14711 * t5597 - t8280 * t2503;
  t18352 = t14876 * t17174;
  t18355 = t14876 * t17199;
  t18360 = t2986 * t439;
  t18361 = t4626 * t18360;
  t18369 = 0.2e1 / 0.3e1 * t16526;
  t18370 = 0.4e1 * t16545;
  t18371 = 0.4e1 * t16550;
  t18372 = t2986 * t2196;
  t18373 = t4575 * t18372;
  t18375 = -t17074 - t15480 - t17075 + t2060 * t18361 - 0.12e2 * t14928 * t2366 - 0.2e1 / 0.3e1 * t14932 * t17126 + 0.6e1 * t14932 * t17129 - t18369 + t18370 - t18371 - t559 * t18373;
  t18380 = t2209 * t2977;
  t18381 = t143 * t18272;
  t18382 = t1165 * t18381;
  t18384 = t4572 * t18360;
  t18395 = t1165 * t18360;
  t18397 = t14969 * t439;
  t18398 = t1186 * t18397;
  t18401 = t360 * t18397;
  t18404 = 0.2e1 / 0.3e1 * t2973 * t15494 - t14932 * t17141 / 0.9e1 - t18380 - t559 * t18382 - 0.2e1 / 0.3e1 * t2060 * t18384 - 0.4e1 * t2973 * t15489 + 0.6e1 * t14955 * t2359 + 0.2e1 * t2969 * t2220 + 0.2e1 * t14928 * t2362 - t2056 * t18395 - 0.2e1 * t8508 * t18398 + 0.2e1 * t8511 * t18401;
  t18406 = t14969 * t2196;
  t18407 = t360 * t18406;
  t18410 = t1173 * t18397;
  t18423 = t140 * t18272;
  t18424 = t1165 * t18423;
  t18431 = 0.2e1 * t11656 * t18407 + t8508 * t18410 / 0.3e1 + t17119 + 0.6e1 * t14928 * t2377 - 0.3e1 * t14932 * t17095 - 0.4e1 * t14928 * t2370 + t14932 * t17108 / 0.18e2 + 0.1e2 / 0.3e1 * t14932 * t17111 + t559 * t18424 / 0.2e1 + 0.2e1 * t2973 * t15535 - 0.4e1 / 0.3e1 * t2973 * t15528;
  t18435 = t2209 * t2987;
  t18436 = t18435 / 0.2e1;
  t18437 = 0.2e1 * t16558;
  t18438 = 0.4e1 / 0.3e1 * t16559;
  t18439 = 0.2e1 * t16561;
  t18440 = -0.3e1 * t14955 * t2373 - t2969 * t2233 - t15516 + t15538 + t17149 + t17150 + t18436 - t18437 + t18438 + t18439 + t2210 - t2229;
  t18442 = t18375 + t18404 + t18431 + t18440;
  t18443 = t139 * t18442;
  t18444 = t18443 * t168;
  t18461 = t1956 * t2512 + 0.3e1 / 0.2e1 * t4718 * t18352 - 0.3e1 * t1029 * t18355 + 0.7e1 / 0.3e1 * t14711 * t5734 - t110 * t18444 / 0.4e1 + t2947 * t15365 / 0.6e1 + t11501 * t570 / 0.2e1 - t442 * t14661 / 0.12e2 + t14666 * t457 / 0.4e1 + t2947 * t5804 / 0.3e1 - t2947 * t5800 / 0.6e1 - t555 * t11422 / 0.6e1;
  t18466 = t14685 * t2257;
  t18471 = t14807 * t2389;
  t18474 = t14857 * t15388;
  t18481 = t16592 / 0.6e1;
  t18482 = t14876 * t17015;
  t18485 = t14807 * t2402;
  t18488 = t16604 / 0.2e1;
  t18489 = t2942 * t1378 / 0.6e1 - t2947 * t5819 / 0.12e2 + t373 * t18466 / 0.2e1 + t1383 * t3006 / 0.2e1 + 0.3e1 * t1029 * t18471 + t1029 * t18474 - t1956 * t2506 - t1956 * t2509 / 0.2e1 - t442 * t14793 / 0.6e1 - t18481 + 0.3e1 / 0.2e1 * t373 * t18482 - 0.3e1 * t373 * t18485 + t18488;
  t18493 = my_piecewise3(t100, 0, t18185 + t18220 + t18242 + t18298 + t18323 + t18349 + t18461 + t18489);
  tv3sigmatau28 = t3 * t18493;

  if(out->v3sigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3sigmatau2[ip*p->dim.v3sigmatau2 + 8] += tv3sigmatau28;

  t18496 = t2541 * t2541;
  t18498 = t3459 * t221 * t18496;
  t18499 = t1559 * t18498;
  t18502 = t94 * t18496;
  t18503 = t837 * t18502;
  t18504 = t3460 * t18503;
  t18507 = t2526 * t463;
  t18508 = t18507 * t651;
  t18509 = t194 * t18508;
  t18510 = t191 * t18509;
  t18513 = t3115 * t18507;
  t18514 = t18513 * t3169;
  t18517 = t18513 * t3126;
  t18520 = t680 * t18507;
  t18521 = t18520 * t3082;
  t18524 = t18513 * t3131;
  t18527 = t18507 * t3118;
  t18528 = t3135 * t18527;
  t18529 = t191 * t18528;
  t18536 = -t2089 + t2160 - t2529 * t2544 / 0.3e1 + t246 * t18499 / 0.2e1 - t466 * t18504 / 0.6e1 - t18510 * t223 / 0.2e1 + 0.3e1 / 0.2e1 * t3167 * t18514 - 0.3e1 * t679 * t18517 - 0.3e1 * t246 * t18521 + 0.3e1 / 0.2e1 * t246 * t18524 - 0.3e1 / 0.2e1 * t18529 * t3158 - 0.3e1 / 0.2e1 * t6411 * t2584 + 0.3e1 / 0.2e1 * t1516 * t2596;
  t18537 = t18507 * t3076;
  t18538 = t649 * t18537;
  t18539 = t191 * t18538;
  t18565 = t3428 * t2526;
  t18578 = 0.2e1 / 0.3e1 * t2566 * t661 + t15109 - 0.4e1 * t789 * t2526 * t597 + 0.4e1 / 0.3e1 * t18565 * t684 - 0.2e1 * t11930 * t2592 + 0.4e1 * t18565 * t690 - t15121 + 0.4e1 * t2569 * t222 + 0.2e1 * t472 * t2592 - 0.4e1 * t2566 * t666;
  t18579 = t94 * t18578;
  t18580 = t837 * t18579;
  t18581 = t836 * t18580;
  t18585 = t824 * t221 * t18578;
  t18586 = t1559 * t18585;
  t18589 = t12135 * t2592;
  t18591 = -0.2e1 * t18539 * t672 - 0.11e2 / 0.18e2 * t18529 * t3141 + 0.23e2 / 0.36e2 * t18529 * t3146 + 0.3e1 / 0.4e1 * t11843 * t481 - t2534 * t6402 / 0.2e1 - t466 * t11838 / 0.4e1 + t2529 * t1511 / 0.2e1 + t18539 * t662 / 0.2e1 - t2534 * t6233 / 0.4e1 - 0.5e1 / 0.36e2 * t18529 * t3178 + t466 * t18581 / 0.12e2 - t246 * t18586 / 0.4e1 + t246 * t18589;
  t18593 = t660 * t2541;
  t18594 = t3360 * t18593;
  t18595 = t12147 * t18594;
  t18600 = t15612 / 0.2e1;
  t18601 = t15623 / 0.4e1;
  t18602 = t15633 / 0.2e1;
  t18603 = 0.3e1 / 0.4e1 * t15661;
  t18604 = 0.3e1 / 0.2e1 * t15675;
  t18605 = 0.3e1 / 0.2e1 * t15680;
  t18606 = 0.3e1 / 0.2e1 * t15683;
  t18607 = t244 * t2542;
  t18608 = t3520 * t18607;
  t18610 = t665 * t2541;
  t18611 = t3360 * t18610;
  t18612 = t12147 * t18611;
  t18615 = t3690 * t2543;
  t18618 = 0.3e1 / 0.2e1 * t679 * t18595 - 0.3e1 / 0.4e1 * t1516 * t2593 + t18600 - t18601 - t18602 + t15640 + t18603 + t18604 - t18605 - t18606 - t2534 * t18608 - 0.3e1 / 0.2e1 * t246 * t18612 + t2534 * t18615 / 0.2e1;
  t18619 = t6119 * t2542;
  t18620 = t836 * t18619;
  t18623 = t3520 * t2543;
  t18626 = t16756 / 0.2e1;
  t18627 = t15733 / 0.4e1;
  t18628 = t16900 / 0.6e1;
  t18629 = 0.2e1 * t16807;
  t18630 = t63 * t18496;
  t18631 = t3562 * t18630;
  t18634 = t3130 * t2561;
  t18636 = t63 * t18578;
  t18637 = t788 * t18636;
  t18639 = 0.6e1 * t15761;
  t18640 = 0.6e1 * t15767;
  t18641 = t69 * t18507;
  t18642 = t18641 * t3118;
  t18645 = t648 * t18507;
  t18646 = t18645 * t3076;
  t18655 = t18645 * t3077;
  t18658 = t18641 * t3121;
  t18661 = t193 * t18507;
  t18662 = t18661 * t3259;
  t18665 = -t18629 + 0.2e1 * t470 * t18631 + t2558 * t18634 - t470 * t18637 + t18639 - t18640 - t15773 - 0.3e1 * t18642 * t3573 + 0.6e1 * t18646 * t816 - 0.4e1 * t18646 * t803 + t18642 * t3591 / 0.18e2 + 0.1e2 / 0.3e1 * t18642 * t3581 + t16849 + 0.2e1 * t18655 * t785 - t18658 * t3628 / 0.9e1 + 0.6e1 * t18662 * t230;
  t18666 = 0.2e1 * t15801;
  t18667 = 0.3e1 * t15811;
  t18668 = 0.3e1 * t15813;
  t18671 = t3556 * t2561;
  t18674 = t60 * t18496;
  t18675 = t3562 * t18674;
  t18679 = t60 * t18578;
  t18680 = t788 * t18679;
  t18683 = t3130 * t2571;
  t18686 = t3556 * t2571;
  t18695 = t18661 * t651;
  t18698 = t18666 - t18667 + t18668 + 0.4e1 * t2554 * t2562 - 0.6e1 * t2558 * t18671 - t2138 - t470 * t18675 - 0.2e1 * t2554 * t2572 + t470 * t18680 / 0.2e1 - 0.2e1 * t2558 * t18683 + 0.3e1 * t2558 * t18686 - 0.12e2 * t18655 * t798 - 0.2e1 / 0.3e1 * t18658 * t3613 + 0.6e1 * t18658 * t3596 - 0.3e1 * t18695 * t234 + t2119;
  t18699 = t18665 + t18698;
  t18700 = t59 * t18699;
  t18701 = t18700 * t95;
  t18711 = t247 * t18507 * t3260;
  t18714 = t18520 * t3078;
  t18719 = t466 * t18620 / 0.4e1 + t2534 * t18623 / 0.4e1 - t18626 - t18627 + t18628 - t30 * t18701 / 0.4e1 - t18529 * t3150 / 0.2e1 + 0.7e1 / 0.3e1 * t18529 * t3153 + t2534 * t6424 + t18539 * t667 + 0.3e1 / 0.2e1 * t246 * t18711 + 0.3e1 * t679 * t18714 - 0.3e1 / 0.2e1 * t1516 * t2588;
  t18722 = my_piecewise3(t2, 0, t18536 + t18591 + t18618 + t18719);
  tv3lapl30 = t3 * t18722;

  if(out->v3lapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 0] += tv3lapl30;

  tv3lapl31 = 0.e0;

  if(out->v3lapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 1] += tv3lapl31;

  tv3lapl32 = 0.e0;

  if(out->v3lapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 2] += tv3lapl32;

  t18723 = t2601 * t487;
  t18725 = t374 * t18723 * t4209;
  t18728 = t1030 * t18723;
  t18729 = t18728 * t4219;
  t18734 = t18723 * t999;
  t18735 = t194 * t18734;
  t18736 = t321 * t18735;
  t18739 = t6755 * t2617;
  t18740 = t1094 * t18739;
  t18748 = t4388 * t2601;
  t18761 = 0.2e1 / 0.3e1 * t2641 * t1009 + t15340 - 0.4e1 * t1077 * t2601 * t1047 + 0.4e1 / 0.3e1 * t18748 * t1034 - 0.2e1 * t12383 * t2667 + 0.4e1 * t18748 * t1039 - t15352 + 0.4e1 * t2644 * t349 + 0.2e1 * t496 * t2667 - 0.4e1 * t2641 * t1014;
  t18762 = t167 * t18761;
  t18763 = t1095 * t18762;
  t18764 = t1094 * t18763;
  t18767 = t4376 * t2618;
  t18772 = t2616 * t2616;
  t18774 = t4344 * t348 * t18772;
  t18775 = t1693 * t18774;
  t18778 = t167 * t18772;
  t18779 = t1095 * t18778;
  t18780 = t4354 * t18779;
  t18783 = t16993 / 0.2e1;
  t18784 = -t2180 + t2251 + 0.3e1 / 0.2e1 * t373 * t18725 + 0.3e1 * t1029 * t18729 - 0.3e1 / 0.2e1 * t1647 * t2663 - t18736 * t350 / 0.2e1 + t490 * t18740 / 0.4e1 + t490 * t18764 / 0.12e2 + t2609 * t18767 / 0.4e1 - t2604 * t2619 / 0.3e1 + t373 * t18775 / 0.2e1 - t490 * t18780 / 0.6e1 - t18783;
  t18785 = t17002 / 0.6e1;
  t18787 = t1076 * t348 * t18761;
  t18788 = t1693 * t18787;
  t18791 = t1008 * t2616;
  t18792 = t4305 * t18791;
  t18793 = t12424 * t18792;
  t18798 = t12511 * t2667;
  t18800 = 0.6e1 * t16029;
  t18801 = 0.6e1 * t16045;
  t18804 = t140 * t18761;
  t18805 = t1165 * t18804;
  t18808 = t4572 * t2646;
  t18811 = t648 * t18723;
  t18812 = t18811 * t4214;
  t18815 = t69 * t18723;
  t18816 = t18815 * t4607;
  t18819 = t143 * t18772;
  t18820 = t4575 * t18819;
  t18823 = t143 * t18761;
  t18824 = t1165 * t18823;
  t18828 = t4572 * t2636;
  t18830 = t18815 * t4140;
  t18833 = t18811 * t4160;
  t18838 = -t18800 - t16035 + t18801 - 0.2e1 * t2629 * t2647 + t494 * t18805 / 0.2e1 - 0.2e1 * t2633 * t18808 + 0.2e1 * t18812 * t1162 - t18816 * t4610 / 0.9e1 + t17098 + 0.2e1 * t494 * t18820 - t494 * t18824 + 0.4e1 * t2629 * t2637 + t2633 * t18828 + 0.1e2 / 0.3e1 * t18830 * t4600 - 0.4e1 * t18833 * t1174 + t18830 * t4587 / 0.18e2;
  t18839 = 0.2e1 * t17144;
  t18844 = t193 * t18723;
  t18845 = t18844 * t999;
  t18848 = t4626 * t2636;
  t18851 = 0.3e1 * t16069;
  t18852 = 0.2e1 * t16074;
  t18853 = 0.3e1 * t16083;
  t18854 = t140 * t18772;
  t18855 = t4575 * t18854;
  t18857 = t18844 * t4208;
  t18866 = t4626 * t2646;
  t18869 = -t18839 + 0.6e1 * t18833 * t1187 - 0.3e1 * t18830 * t4590 - 0.3e1 * t18845 * t361 - 0.6e1 * t2633 * t18848 - t18851 + t18852 + t18853 - t494 * t18855 + 0.6e1 * t18857 * t357 - 0.12e2 * t18812 * t1169 - 0.2e1 / 0.3e1 * t18816 * t4620 + 0.6e1 * t18816 * t4623 + 0.3e1 * t2633 * t18866 - t2229 + t2210;
  t18870 = t18838 + t18869;
  t18871 = t139 * t18870;
  t18872 = t18871 * t168;
  t18875 = t15909 / 0.2e1;
  t18876 = t1013 * t2616;
  t18877 = t4305 * t18876;
  t18878 = t12424 * t18877;
  t18881 = t4553 * t2618;
  t18884 = t371 * t2617;
  t18885 = t4376 * t18884;
  t18887 = 0.3e1 / 0.4e1 * t15945;
  t18888 = t15948 / 0.2e1;
  t18889 = t18785 - t373 * t18788 / 0.4e1 + 0.3e1 / 0.2e1 * t1029 * t18793 - 0.3e1 / 0.4e1 * t1647 * t2668 + t373 * t18798 - t110 * t18872 / 0.4e1 - t18875 + t15913 - 0.3e1 / 0.2e1 * t373 * t18878 + t2609 * t18881 / 0.2e1 - t2609 * t18885 + t18887 + t18888;
  t18891 = t18728 * t4215;
  t18894 = t4719 * t18723;
  t18895 = t18894 * t4729;
  t18899 = t18723 * t4140;
  t18900 = t3135 * t18899;
  t18901 = t321 * t18900;
  t18908 = t18894 * t4721;
  t18911 = t18894 * t4725;
  t18914 = t18723 * t4160;
  t18915 = t649 * t18914;
  t18916 = t321 * t18915;
  t18926 = -0.3e1 * t373 * t18891 + 0.3e1 / 0.2e1 * t373 * t18895 + t2609 * t6950 - 0.3e1 / 0.2e1 * t18901 * t4193 - 0.3e1 / 0.2e1 * t6955 * t2659 + 0.3e1 / 0.2e1 * t1647 * t2671 + 0.3e1 / 0.2e1 * t4718 * t18908 - 0.3e1 * t1029 * t18911 + t18916 * t1015 - 0.2e1 * t18916 * t1020 - 0.11e2 / 0.18e2 * t18901 * t4151 + 0.23e2 / 0.36e2 * t18901 * t4156 - t18901 * t4707 / 0.2e1;
  t18929 = t15993 / 0.4e1;
  t18930 = t16103 / 0.4e1;
  t18931 = 0.3e1 / 0.2e1 * t16114;
  t18932 = 0.3e1 / 0.2e1 * t16119;
  t18933 = 0.3e1 / 0.2e1 * t16127;
  t18948 = 0.7e1 / 0.3e1 * t18901 * t4200 - t18929 - t18930 - t18931 - t18932 + t18933 + 0.3e1 / 0.4e1 * t12474 * t505 - t490 * t12469 / 0.4e1 - t2609 * t7021 / 0.4e1 - 0.5e1 / 0.36e2 * t18901 * t4231 - t2609 * t6946 / 0.2e1 + t2604 * t1642 / 0.2e1 + t18916 * t1010 / 0.2e1;
  t18951 = my_piecewise3(t100, 0, t18784 + t18889 + t18926 + t18948);
  tv3lapl33 = t3 * t18951;

  if(out->v3lapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl3[ip*p->dim.v3lapl3 + 3] += tv3lapl33;

  t18962 = t2577 * t544;
  t18966 = t95 * t12232;
  t18967 = t5175 * t18966;
  t18970 = t94 * t2526;
  t18971 = t837 * t18970;
  t18972 = t843 * t18971;
  t18977 = t660 * t2526;
  t18978 = t659 * t18977;
  t18979 = t7423 * t18978;
  t18983 = t219 * t221 * t2526;
  t18984 = t7419 * t18983;
  t18987 = t1797 * t18498;
  t18992 = t7251 * t18967 / 0.2e1 - t7187 * t18972 / 0.2e1 - t515 * t18504 / 0.6e1 + 0.3e1 * t679 * t18979 + 0.3e1 / 0.2e1 * t246 * t18984 + t246 * t18987 / 0.2e1 + t2529 * t1807 / 0.6e1 - t16163 + t16165 + t16622 - t16623;
  t18994 = t3273 * t18966;
  t19002 = t7213 * t2542;
  t19003 = t836 * t19002;
  t19006 = -t16624 + t16625 - t16171 - t7254 * t18994 / 0.3e1 - t1516 * t2734 - t1516 * t2737 / 0.2e1 - t1770 * t2593 / 0.4e1 + t16191 + t16199 - t16203 + t466 * t19003 / 0.12e2;
  t19007 = t4808 * t18971;
  t19014 = t6119 * t2676;
  t19015 = t1254 * t19014;
  t19018 = t843 * t19014;
  t19021 = t1261 * t18971;
  t19024 = t1261 * t19014;
  t19027 = -0.5e1 / 0.36e2 * t7196 * t19007 + t515 * t18620 / 0.6e1 + t515 * t18581 / 0.12e2 - t1779 * t19015 / 0.3e1 + t1815 * t19018 / 0.3e1 + t7243 * t19021 / 0.2e1 - t1779 * t19024 / 0.6e1 + t16706 + t15675 - t15680 - t15683;
  t19032 = t1514 * t2676;
  t19033 = t1261 * t19032;
  t19042 = t1797 * t18585;
  t19045 = t677 * t18970;
  t19046 = t4808 * t19045;
  t19049 = t1254 * t18971;
  t19051 = t244 * t18970;
  t19052 = t1261 * t19051;
  t19056 = t4851 * t18971;
  t19059 = t4808 * t19051;
  t19062 = t3139 * t18977;
  t19063 = t7199 * t19062;
  t19070 = t1805 * t2557;
  t19071 = t19070 * t684;
  t19074 = t19070 * t690;
  t19077 = t3144 * t2526;
  t19078 = t3139 * t19077;
  t19079 = t7199 * t19078;
  t19082 = t3124 * t2526;
  t19083 = t3139 * t19082;
  t19084 = t7199 * t19083;
  t19088 = t659 * t665 * t2526;
  t19089 = t7423 * t19088;
  t19092 = t4867 * t18971;
  t19095 = -0.11e2 / 0.18e2 * t7196 * t19056 + 0.23e2 / 0.36e2 * t7196 * t19059 + 0.3e1 / 0.2e1 * t246 * t19063 - t2534 * t7487 / 0.6e1 + t2534 * t7491 / 0.3e1 - t679 * t19071 / 0.2e1 + t246 * t19074 / 0.2e1 + 0.3e1 / 0.2e1 * t3167 * t19079 - 0.3e1 * t679 * t19084 - 0.3e1 * t246 * t19089 - t7196 * t19092 / 0.2e1;
  t19097 = t4851 * t19051;
  t19101 = t1805 * t2553 * t597;
  t19104 = t3556 * t12232;
  t19105 = t1876 * t19104;
  t19108 = t670 * t12232;
  t19109 = t4877 * t19108;
  t19111 = t4877 * t18966;
  t19114 = t1591 * t12938;
  t19117 = t788 * t12232;
  t19118 = t1872 * t19117;
  t19120 = 0.7e1 / 0.3e1 * t7196 * t19097 - t18626 - t246 * t19101 / 0.2e1 - 0.3e1 / 0.2e1 * t4772 * t19105 - t7251 * t19109 + t16273 - t16280 - t16283 + t7251 * t19111 / 0.4e1 + 0.3e1 / 0.2e1 * t4983 * t19114 + t4772 * t19118;
  t19121 = t543 * t2541;
  t19122 = t253 * t19121;
  t19123 = t3273 * t19122;
  t19126 = t12753 * t2592;
  t19143 = t63 * t2526;
  t19144 = t229 * t19143;
  t19148 = t13080 * t2541;
  t19149 = t233 * t19148;
  t19152 = t802 * t19148;
  t19155 = t60 * t2526;
  t19156 = t229 * t19155;
  t19159 = t689 * t19155;
  t19162 = t3130 * t19155;
  t19165 = 0.2e1 * t519 * t18631 - t519 * t18637 - t519 * t18675 + 0.6e1 * t7690 * t19144 + 0.4e1 * t7655 * t19149 + t7651 * t19152 - 0.3e1 * t7690 * t19156 + 0.6e1 * t7680 * t19159 - 0.3e1 * t7686 * t19162 - t16305 - t16309 + t16318 + t16336 + t16337 + t16808 - t16813 - t16814 + t16849 - t18629;
  t19168 = t3125 * t19155;
  t19171 = t683 * t19155;
  t19174 = t3168 * t19155;
  t19177 = t3125 * t19143;
  t19180 = t3130 * t19143;
  t19183 = t689 * t19143;
  t19186 = t2571 * t463;
  t19187 = t3556 * t19186;
  t19190 = t3168 * t19143;
  t19193 = t3130 * t19186;
  t19196 = t788 * t19186;
  t19199 = t683 * t19143;
  t19202 = t815 * t19148;
  t19205 = -t16340 + t519 * t18680 / 0.2e1 + 0.1e2 / 0.3e1 * t7686 * t19168 - 0.4e1 * t7680 * t19171 + t7686 * t19174 / 0.18e2 + t16862 - t16864 + t16865 - t2138 - 0.2e1 / 0.3e1 * t7686 * t19177 + 0.6e1 * t7686 * t19180 - 0.12e2 * t7680 * t19183 + 0.3e1 * t1876 * t19187 - t7686 * t19190 / 0.9e1 - 0.2e1 * t1876 * t19193 - 0.2e1 * t1872 * t19196 + 0.2e1 * t7680 * t19199 - 0.6e1 * t7651 * t19202 + t2119;
  t19206 = t19165 + t19205;
  t19207 = t59 * t19206;
  t19208 = t19207 * t95;
  t19211 = t6451 * t19123 / 0.12e2 - t3266 * t19126 / 0.4e1 - t16891 + t18628 + t2534 * t7582 / 0.3e1 - t7587 * t2584 / 0.2e1 + t1770 * t2596 / 0.2e1 - t2534 * t7595 / 0.6e1 - t1770 * t2588 / 0.2e1 + t2529 * t1765 / 0.6e1 - t30 * t19208 / 0.4e1;
  t19215 = my_piecewise3(t2, 0, -t246 * t19042 / 0.4e1 - 0.3e1 / 0.2e1 * t7196 * t19046 + t7243 * t19049 - 0.2e1 * t7243 * t19052 - t6411 * t2729 + t1516 * t2742 + 0.2e1 / 0.3e1 * t1779 * t19033 - t466 * t12910 / 0.6e1 - t2534 * t7516 / 0.12e2 + t1516 * t2751 / 0.2e1 + t11843 * t530 / 0.4e1 - t2534 * t7532 / 0.12e2 + t13203 * t481 / 0.2e1 - t515 * t11838 / 0.12e2 - t466 * t13198 / 0.6e1 - t30 * t18962 / 0.4e1 + t19027 + t19211 + t19095 + t18992 + t16144 + t19120 - t16134 + t19006 + t2160 - t2089);
  tv3lapl2tau0 = t3 * t19215;

  if(out->v3lapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 0] += tv3lapl2tau0;

  tv3lapl2tau1 = 0.e0;

  if(out->v3lapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 1] += tv3lapl2tau1;

  tv3lapl2tau2 = 0.e0;

  if(out->v3lapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 2] += tv3lapl2tau2;

  tv3lapl2tau3 = 0.e0;

  if(out->v3lapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 3] += tv3lapl2tau3;

  tv3lapl2tau4 = 0.e0;

  if(out->v3lapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 4] += tv3lapl2tau4;

  t19226 = t6755 * t2756;
  t19227 = t1423 * t19226;
  t19230 = t8262 * t2617;
  t19231 = t1094 * t19230;
  t19240 = t140 * t2601;
  t19241 = t1033 * t19240;
  t19244 = t4609 * t19240;
  t19247 = t4619 * t19240;
  t19253 = t1038 * t19240;
  t19256 = t4572 * t19240;
  t19259 = t356 * t19240;
  t19262 = t12560 * t487;
  t19263 = t1186 * t19262;
  t19266 = t1173 * t19262;
  t19268 = t360 * t19262;
  t19271 = -0.4e1 * t8460 * t19241 + t8438 * t19244 / 0.18e2 + 0.1e2 / 0.3e1 * t8438 * t19247 + t559 * t18805 / 0.2e1 - t559 * t18855 + 0.6e1 * t8460 * t19253 - 0.3e1 * t8438 * t19256 - 0.3e1 * t8443 * t19259 - 0.6e1 * t8508 * t19263 - t16527 + t16546 - t16551 + t8508 * t19266 - t17089 - t17090 + t17091 + 0.4e1 * t8511 * t19268 + t17098 - t18839;
  t19272 = t143 * t2601;
  t19273 = t1038 * t19272;
  t19276 = t4619 * t19272;
  t19279 = t4572 * t19272;
  t19282 = t2646 * t487;
  t19283 = t4626 * t19282;
  t19287 = t4572 * t19282;
  t19290 = t1033 * t19272;
  t19293 = t4609 * t19272;
  t19298 = t356 * t19272;
  t19301 = t1165 * t19282;
  t19304 = -t16558 + t16560 + t16561 - 0.12e2 * t8460 * t19273 - 0.2e1 / 0.3e1 * t8438 * t19276 + 0.6e1 * t8438 * t19279 + 0.3e1 * t2060 * t19283 - t559 * t18824 - 0.2e1 * t2060 * t19287 - t17145 + t17147 + 0.2e1 * t8460 * t19290 - t8438 * t19293 / 0.9e1 + 0.2e1 * t559 * t18820 + 0.6e1 * t8443 * t19298 - 0.2e1 * t2056 * t19301 + t17148 - t2229 + t2210;
  t19305 = t19271 + t19304;
  t19306 = t139 * t19305;
  t19307 = t19306 * t168;
  t19314 = t2040 * t18787;
  t19319 = t1008 * t2601;
  t19320 = t1007 * t19319;
  t19321 = t8196 * t19320;
  t19325 = t346 * t348 * t2601;
  t19326 = t8190 * t19325;
  t19329 = t2040 * t18774;
  t19332 = -t1956 * t2668 / 0.4e1 - t1647 * t2814 - t1647 * t2817 / 0.2e1 - t110 * t19307 / 0.4e1 - t2609 * t8150 / 0.12e2 + t1647 * t2831 / 0.2e1 - t373 * t19314 / 0.4e1 - t490 * t13580 / 0.6e1 + 0.3e1 * t1029 * t19321 + 0.3e1 / 0.2e1 * t373 * t19326 + t373 * t19329 / 0.2e1;
  t19339 = t1963 * t2628 * t1047;
  t19342 = t4148 * t19319;
  t19343 = t8172 * t19342;
  t19350 = t1963 * t2632;
  t19351 = t19350 * t1034;
  t19354 = t19350 * t1039;
  t19357 = t4149 * t2601;
  t19358 = t4148 * t19357;
  t19359 = t8172 * t19358;
  t19362 = t2604 * t1965 / 0.6e1 - t1956 * t2663 / 0.2e1 - t16419 - t18783 - t373 * t19339 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t19343 - t2609 * t8153 / 0.6e1 + t2609 * t8157 / 0.3e1 - t1029 * t19351 / 0.2e1 + t373 * t19354 / 0.2e1 - 0.3e1 * t1029 * t19359;
  t19364 = t1007 * t1013 * t2601;
  t19365 = t8196 * t19364;
  t19368 = t167 * t2601;
  t19369 = t1095 * t19368;
  t19370 = t5563 * t19369;
  t19373 = t371 * t19368;
  t19374 = t5733 * t19373;
  t19377 = t583 * t2616;
  t19378 = t380 * t19377;
  t19379 = t4687 * t19378;
  t19382 = t13663 * t2667;
  t19385 = t1720 * t13555;
  t19388 = t1165 * t12349;
  t19389 = t2056 * t19388;
  t19391 = -0.3e1 * t373 * t19365 - t8169 * t19370 / 0.2e1 + 0.7e1 / 0.3e1 * t8169 * t19374 + t6772 * t19379 / 0.12e2 - t4695 * t19382 / 0.4e1 + t16440 + t18785 + t16464 - t16467 + 0.3e1 / 0.2e1 * t5639 * t19385 + t5665 * t19389;
  t19394 = t1027 * t19368;
  t19395 = t5595 * t19394;
  t19398 = t168 * t12349;
  t19399 = t4687 * t19398;
  t19402 = t5691 * t19398;
  t19405 = t1101 * t19369;
  t19413 = t1645 * t2756;
  t19414 = t1430 * t19413;
  t19417 = t1430 * t19226;
  t19420 = t5595 * t19369;
  t19427 = t1101 * t19226;
  t19430 = t1430 * t19369;
  t19433 = t4626 * t12349;
  t19434 = t2060 * t19433;
  t19437 = t1647 * t2822 + 0.2e1 / 0.3e1 * t1981 * t19414 - t1981 * t19417 / 0.6e1 - 0.5e1 / 0.36e2 * t8169 * t19420 + t555 * t18740 / 0.6e1 + t555 * t18764 / 0.12e2 + t1974 * t19427 / 0.3e1 + t8091 * t19430 / 0.2e1 + t17073 + t17172 - 0.3e1 / 0.2e1 * t5665 * t19434;
  t19439 = t5674 * t19398;
  t19442 = t1018 * t12349;
  t19443 = t5691 * t19442;
  t19455 = t8063 * t19439 / 0.2e1 - t8063 * t19443 - t16506 + t16514 - t17178 + t13591 * t505 / 0.2e1 + t12474 * t570 / 0.4e1 - t2609 * t8309 / 0.12e2 - t555 * t12469 / 0.12e2 - t490 * t13616 / 0.6e1 - t17179;
  t19456 = t4154 * t2601;
  t19457 = t4148 * t19456;
  t19458 = t8172 * t19457;
  t19461 = t1423 * t19369;
  t19463 = t1430 * t19373;
  t19466 = t5733 * t19369;
  t19469 = t5595 * t19373;
  t19472 = t2652 * t584;
  t19475 = 0.3e1 / 0.2e1 * t4718 * t19458 + t8091 * t19461 - 0.2e1 * t8091 * t19463 - 0.11e2 / 0.18e2 * t8169 * t19466 + 0.23e2 / 0.36e2 * t8169 * t19469 - t110 * t19472 / 0.4e1 - t16593 - t16114 - t16119 + t16127 + t16605;
  t19479 = my_piecewise3(t100, 0, -t8145 * t19405 / 0.2e1 - t555 * t18780 / 0.6e1 - t6955 * t2809 - 0.3e1 / 0.2e1 * t8169 * t19395 - t8219 * t19399 / 0.3e1 + t8063 * t19402 / 0.4e1 - t2609 * t8271 / 0.6e1 + t2609 * t8275 / 0.3e1 - t8280 * t2659 / 0.2e1 + t1956 * t2671 / 0.2e1 + t2604 * t1951 / 0.6e1 - t1981 * t19227 / 0.3e1 + t490 * t19231 / 0.12e2 + t19332 - t16493 - t17070 + t17072 - t2180 + t19455 + t19475 + t19362 - t16473 + t16374 + t19391 + t19437 + t2251);
  tv3lapl2tau5 = t3 * t19479;

  if(out->v3lapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapl2tau[ip*p->dim.v3lapl2tau + 5] += tv3lapl2tau5;

  t19480 = t4808 * t2677;
  t19487 = t7213 * t2676;
  t19488 = t843 * t19487;
  t19493 = t1261 * t19487;
  t19500 = -t2089 + t2160 - 0.5e1 / 0.36e2 * t13908 * t19480 - t13915 * t2678 / 0.2e1 - t2839 * t2544 / 0.6e1 + t1815 * t19488 / 0.3e1 + t515 * t19003 / 0.6e1 - t1779 * t19493 / 0.6e1 - t17872 + t16143 + t13894 * t2681 / 0.2e1 + t2844 * t18623 / 0.6e1;
  t19501 = t2851 * t463;
  t19502 = t670 * t19501;
  t19503 = t4877 * t19502;
  t19506 = t543 * t463;
  t19507 = t253 * t19506;
  t19508 = t4996 * t19507;
  t19511 = t3264 * t19506;
  t19512 = t4873 * t19511;
  t19517 = t13989 * t2741;
  t19520 = t3139 * t2727;
  t19521 = t14030 * t19520;
  t19524 = -t7251 * t19503 / 0.3e1 - t7251 * t19508 / 0.3e1 + 0.2e1 / 0.3e1 * t7251 * t19512 - t17902 + t17903 + t15613 - t15624 - t15634 + t15641 - t17904 - 0.2e1 / 0.3e1 * t2844 * t18608 - 0.3e1 * t246 * t19517 + 0.3e1 / 0.2e1 * t246 * t19521;
  t19548 = -t1516 * t2907 / 0.2e1 + t1516 * t2915 / 0.2e1 - t6411 * t2899 / 0.2e1 - t466 * t14006 / 0.12e2 + t14011 * t481 / 0.4e1 + t13203 * t530 / 0.2e1 + t2844 * t6424 / 0.3e1 - t2844 * t6233 / 0.12e2 - t2844 * t6402 / 0.6e1 - t515 * t13198 / 0.6e1 + t2839 * t1511 / 0.6e1 + t17954;
  t19550 = t3144 * t463;
  t19551 = t3139 * t19550;
  t19552 = t14030 * t19551;
  t19555 = t3124 * t463;
  t19556 = t3139 * t19555;
  t19557 = t14030 * t19556;
  t19563 = t4851 * t2677;
  t19566 = t4808 * t2691;
  t19569 = t4867 * t2677;
  t19572 = t4851 * t2691;
  t19575 = t6119 * t2852;
  t19576 = t836 * t19575;
  t19579 = t17955 - t17957 + t1770 * t2742 + 0.3e1 / 0.2e1 * t3167 * t19552 - 0.3e1 * t679 * t19557 + t13894 * t2686 - 0.2e1 * t13894 * t2692 - 0.11e2 / 0.18e2 * t13908 * t19563 + 0.23e2 / 0.36e2 * t13908 * t19566 - t13908 * t19569 / 0.2e1 + 0.7e1 / 0.3e1 * t13908 * t19572 + t17973 + t515 * t19576 / 0.12e2;
  t19598 = 0.2e1 / 0.3e1 * t11942 * t14160 + t15109 - 0.4e1 * t14166 * t2733 + 0.4e1 / 0.3e1 * t14169 * t2728 - 0.2e1 * t14172 * t2592 + 0.4e1 * t14169 * t2741 - t15121 + 0.4e1 * t14179 * t2733 + 0.2e1 * t521 * t2592 - 0.4e1 * t14184 * t2741;
  t19599 = t94 * t19598;
  t19600 = t837 * t19599;
  t19601 = t836 * t19600;
  t19606 = t14265 * t2733;
  t19609 = t14249 * t2592;
  t19614 = t95 * t19501;
  t19615 = t3273 * t19614;
  t19618 = t2851 * t2541;
  t19619 = t95 * t19618;
  t19620 = t8790 * t19619;
  t19623 = t4877 * t19614;
  t19626 = t14120 * t2728;
  t19628 = t14120 * t2741;
  t19630 = t1591 * t14054;
  t19633 = t3556 * t19501;
  t19634 = t1876 * t19633;
  t19637 = t515 * t19601 / 0.12e2 + t2844 * t18615 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t19606 + t246 * t19609 / 0.2e1 - t1516 * t2912 / 0.4e1 - t7254 * t19615 / 0.6e1 - t7248 * t19620 / 0.6e1 + t7251 * t19623 / 0.12e2 - t4993 * t19626 + t3266 * t19628 + t4983 * t19630 / 0.2e1 - t4772 * t19634 / 0.2e1;
  t19638 = t5175 * t19614;
  t19641 = t1254 * t19487;
  t19644 = t1768 * t2676;
  t19645 = t1261 * t19644;
  t19648 = t677 * t2676;
  t19649 = t4808 * t19648;
  t19653 = t7251 * t19638 / 0.6e1 + t15662 + t15676 - t15681 - t15684 - t1779 * t19641 / 0.3e1 + 0.2e1 / 0.3e1 * t1779 * t19645 - 0.3e1 / 0.2e1 * t13908 * t19649 - t7587 * t2729 - t16757 + t18044 - t16279 - t16282;
  t19660 = t14228 * t469 * t249;
  t19664 = t824 * t221 * t19598;
  t19665 = t1797 * t19664;
  t19668 = t13885 * t18611;
  t19670 = t2719 * t544;
  t19673 = t476 * t2933;
  t19676 = t788 * t19501;
  t19677 = t1872 * t19676;
  t19680 = t3562 * t19618;
  t19681 = t519 * t19680;
  t19684 = -t18053 - t515 * t12910 / 0.6e1 - t466 * t14230 / 0.12e2 + t246 * t19660 / 0.4e1 - t246 * t19665 / 0.4e1 - t246 * t19668 - t15734 - t30 * t19670 / 0.2e1 - t30 * t19673 / 0.4e1 + t16901 + t4772 * t19677 / 0.2e1 + t4772 * t19681 / 0.2e1;
  t19685 = t14062 * t2733;
  t19687 = t14065 * t2592;
  t19690 = t4762 * t19507;
  t19695 = t4873 * t19507;
  t19698 = t13989 * t2728;
  t19701 = t13885 * t18594;
  t19712 = t14357 * t463;
  t19713 = t802 * t19712;
  t19716 = t3168 * t2697;
  t19719 = -t18070 - t18071 - t16807 + t15762 - t15768 - t15774 + t18089 + t18114 + t16850 + t7651 * t19713 / 0.3e1 - t14328 * t19716 / 0.9e1;
  t19720 = t3130 * t2697;
  t19723 = t2883 * t463;
  t19724 = t3556 * t19723;
  t19728 = t3125 * t2697;
  t19731 = t3130 * t19723;
  t19736 = t788 * t19723;
  t19746 = t63 * t19598;
  t19747 = t788 * t19746;
  t19749 = 0.6e1 * t14328 * t19720 + t1876 * t19724 - 0.12e2 * t14318 * t2705 - 0.2e1 / 0.3e1 * t14328 * t19728 - 0.2e1 / 0.3e1 * t1876 * t19731 - 0.4e1 * t2870 * t18671 - t1872 * t19736 + 0.6e1 * t14313 * t2698 + 0.2e1 * t2866 * t2562 + 0.2e1 * t14318 * t2701 + 0.2e1 / 0.3e1 * t2870 * t18634 - t519 * t19747;
  t19751 = t2883 * t2541;
  t19752 = t3562 * t19751;
  t19757 = t3168 * t2708;
  t19760 = t3125 * t2708;
  t19765 = t815 * t19712;
  t19768 = t233 * t19712;
  t19771 = -t519 * t19752 - 0.3e1 * t14313 * t2712 - t2866 * t2572 + t14328 * t19757 / 0.18e2 + 0.1e2 / 0.3e1 * t14328 * t19760 - 0.4e1 / 0.3e1 * t2870 * t18683 + t18135 + t18136 - t18137 - 0.2e1 * t7651 * t19765 + 0.2e1 * t7655 * t19768;
  t19772 = t14357 * t2541;
  t19773 = t233 * t19772;
  t19778 = t3130 * t2708;
  t19783 = t60 * t19598;
  t19784 = t788 * t19783;
  t19789 = 0.2e1 * t11138 * t19773 + t15802 - t15811 + t15813 - t18149 - t2138 + 0.6e1 * t14318 * t2716 - 0.3e1 * t14328 * t19778 - 0.4e1 * t14318 * t2709 + t519 * t19784 / 0.2e1 + 0.2e1 * t2870 * t18686 + t2119;
  t19791 = t19719 + t19749 + t19771 + t19789;
  t19792 = t59 * t19791;
  t19793 = t19792 * t95;
  t19796 = -t3266 * t19685 - t3266 * t19687 / 0.2e1 + t7254 * t19690 / 0.3e1 + t7248 * t19123 / 0.6e1 - t7251 * t19695 / 0.6e1 + 0.3e1 * t679 * t19698 + t679 * t19701 + t1516 * t2903 / 0.2e1 - t1770 * t2734 - t1770 * t2737 / 0.2e1 - t466 * t14400 / 0.6e1 + t1770 * t2751 / 0.2e1 - t30 * t19793 / 0.4e1;
  t19800 = my_piecewise3(t2, 0, t19500 + t19524 + t19548 + t19579 + t19637 + t19653 + t19684 + t19796);
  tv3lapltau20 = t3 * t19800;

  if(out->v3lapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 0] += tv3lapltau20;

  tv3lapltau21 = 0.e0;

  if(out->v3lapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 1] += tv3lapltau21;

  tv3lapltau22 = 0.e0;

  if(out->v3lapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 2] += tv3lapltau22;

  tv3lapltau23 = 0.e0;

  if(out->v3lapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 3] += tv3lapltau23;

  tv3lapltau24 = 0.e0;

  if(out->v3lapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 4] += tv3lapltau24;

  t19811 = t14807 * t2808;
  t19816 = t14704 * t493 * t376;
  t19819 = -t2180 + t2251 + t18182 - t8280 * t2809 + t1956 * t2822 + t14831 * t2761 / 0.2e1 - t1956 * t2817 / 0.2e1 - t490 * t14793 / 0.6e1 + t1956 * t2831 / 0.2e1 + 0.3e1 * t1029 * t19811 - t1956 * t2814 + t373 * t19816 / 0.4e1;
  t19820 = t14857 * t18877;
  t19827 = t5733 * t2757;
  t19836 = t14857 * t18792;
  t19840 = t4154 * t487;
  t19841 = t4148 * t19840;
  t19842 = t14876 * t19841;
  t19845 = -t373 * t19820 - t490 * t14706 / 0.12e2 + t14831 * t2766 - 0.2e1 * t14831 * t2772 - 0.11e2 / 0.18e2 * t14711 * t19827 - t1647 * t3010 / 0.2e1 - t18237 - t16994 - t15036 * t2758 / 0.2e1 - t2942 * t2619 / 0.6e1 + t1029 * t19836 + t1647 * t3006 / 0.2e1 + 0.3e1 / 0.2e1 * t4718 * t19842;
  t19865 = 0.2e1 / 0.3e1 * t12395 * t14721 + t15340 - 0.4e1 * t14727 * t2813 + 0.4e1 / 0.3e1 * t14730 * t2808 - 0.2e1 * t14733 * t2667 + 0.4e1 * t14730 * t2821 - t15352 + 0.4e1 * t14740 * t2813 + 0.2e1 * t561 * t2667 - 0.4e1 * t14745 * t2821;
  t19867 = t1076 * t348 * t19865;
  t19868 = t2040 * t19867;
  t19871 = t14869 * t2813;
  t19874 = t14685 * t2667;
  t19877 = t2954 * t487;
  t19878 = t1018 * t19877;
  t19879 = t5691 * t19878;
  t19884 = t18241 + t17003 - t18255 + t16463 - t16466 - t1647 * t3015 / 0.4e1 - t373 * t19868 / 0.4e1 + 0.3e1 / 0.2e1 * t373 * t19871 + t373 * t19874 / 0.2e1 - t8063 * t19879 / 0.3e1 + t18322 + t2947 * t18881 / 0.3e1;
  t19887 = t5595 * t2757;
  t19890 = t6755 * t2955;
  t19891 = t1094 * t19890;
  t19894 = t167 * t19865;
  t19895 = t1095 * t19894;
  t19896 = t1094 * t19895;
  t19899 = t4626 * t19877;
  t19900 = t2060 * t19899;
  t19911 = t2947 * t18767 / 0.6e1 - 0.5e1 / 0.36e2 * t14711 * t19887 + t555 * t19891 / 0.12e2 + t555 * t19896 / 0.12e2 - t18339 - t16492 - t15910 + t15914 - t5665 * t19900 / 0.2e1 + t1647 * t3018 / 0.2e1 - t6955 * t3002 / 0.2e1 - t490 * t14661 / 0.12e2 + t14666 * t505 / 0.4e1;
  t19926 = t583 * t487;
  t19927 = t380 * t19926;
  t19928 = t5679 * t19927;
  t19931 = t5595 * t2771;
  t19934 = t4693 * t19926;
  t19935 = t5695 * t19934;
  t19938 = t13591 * t570 / 0.2e1 - t555 * t13616 / 0.6e1 + t2947 * t6950 / 0.3e1 - t2947 * t6946 / 0.6e1 + t2942 * t1642 / 0.6e1 - t2947 * t7021 / 0.12e2 - t8063 * t19928 / 0.3e1 + t15946 + t15949 + 0.23e2 / 0.36e2 * t14711 * t19931 + 0.2e1 / 0.3e1 * t8063 * t19935 - t18340;
  t19939 = t2799 * t584;
  t19942 = t500 * t3036;
  t19945 = t4149 * t487;
  t19946 = t4148 * t19945;
  t19947 = t14876 * t19946;
  t19950 = t14807 * t2821;
  t19953 = t4148 * t2807;
  t19954 = t14876 * t19953;
  t19957 = t5563 * t2757;
  t19962 = t8262 * t2756;
  t19963 = t1423 * t19962;
  t19966 = t1954 * t2756;
  t19967 = t1430 * t19966;
  t19972 = t6005 * t19927;
  t19975 = t14608 * t2667;
  t19978 = t18341 - t110 * t19939 / 0.2e1 - t110 * t19942 / 0.4e1 - 0.3e1 * t1029 * t19947 - 0.3e1 * t373 * t19950 + 0.3e1 / 0.2e1 * t373 * t19954 - t14711 * t19957 / 0.2e1 + 0.7e1 / 0.3e1 * t14711 * t6915 - t1981 * t19963 / 0.3e1 + 0.2e1 / 0.3e1 * t1981 * t19967 - 0.3e1 / 0.2e1 * t14711 * t6781 + t8219 * t19972 / 0.3e1 - t4695 * t19975 / 0.2e1;
  t19980 = t14605 * t2813;
  t19982 = t1165 * t19877;
  t19983 = t2056 * t19982;
  t19986 = t2954 * t2616;
  t19987 = t4575 * t19986;
  t19988 = t559 * t19987;
  t19991 = t14969 * t487;
  t19992 = t1186 * t19991;
  t19995 = t360 * t19991;
  t19998 = t14969 * t2616;
  t19999 = t360 * t19998;
  t20002 = t1173 * t19991;
  t20005 = -t18369 + t18370 - t18371 - t18380 - 0.2e1 * t8508 * t19992 + 0.2e1 * t8511 * t19995 + 0.2e1 * t11656 * t19999 + t8508 * t20002 / 0.3e1 - t16030 - t16036 + t16046;
  t20006 = t143 * t19865;
  t20007 = t1165 * t20006;
  t20009 = t2788 * t2954;
  t20010 = t4572 * t20009;
  t20023 = t4626 * t20009;
  t20025 = t4619 * t2777;
  t20028 = t4572 * t2777;
  t20033 = t17099 - t559 * t20007 - 0.2e1 / 0.3e1 * t2060 * t20010 - 0.4e1 * t2973 * t18848 + 0.6e1 * t14955 * t2778 + 0.2e1 * t2969 * t2637 + 0.2e1 * t14928 * t2781 + 0.2e1 / 0.3e1 * t2973 * t18828 + t2060 * t20023 - 0.2e1 / 0.3e1 * t14932 * t20025 + 0.6e1 * t14932 * t20028 - 0.12e2 * t14928 * t2785;
  t20035 = t1165 * t20009;
  t20037 = t2986 * t2616;
  t20038 = t4575 * t20037;
  t20040 = t4609 * t2777;
  t20044 = t140 * t19865;
  t20045 = t1165 * t20044;
  t20050 = -t2056 * t20035 - t559 * t20038 - t14932 * t20040 / 0.9e1 - t2969 * t2647 + t559 * t20045 / 0.2e1 + 0.2e1 * t2973 * t18866 + t18436 - t17144 - t18437 + t18438 + t18439;
  t20053 = t4572 * t2788;
  t20058 = t4609 * t2788;
  t20061 = t4619 * t2788;
  t20068 = -t16069 + t16075 + t16083 + 0.6e1 * t14928 * t2796 - 0.3e1 * t14932 * t20053 - 0.4e1 * t14928 * t2789 + t14932 * t20058 / 0.18e2 + 0.1e2 / 0.3e1 * t14932 * t20061 - 0.4e1 / 0.3e1 * t2973 * t18808 - 0.3e1 * t14955 * t2792 - t2229 + t2210;
  t20070 = t20005 + t20033 + t20050 + t20068;
  t20071 = t139 * t20070;
  t20072 = t20071 * t168;
  t20079 = t1101 * t19962;
  t20084 = t1430 * t19962;
  t20089 = -t4695 * t19980 + t5665 * t19983 / 0.2e1 + t5665 * t19988 / 0.2e1 - t110 * t20072 / 0.4e1 - t15994 - t16104 - 0.2e1 / 0.3e1 * t2947 * t18885 - t555 * t13580 / 0.6e1 + t1974 * t20079 / 0.3e1 + t555 * t19231 / 0.6e1 - t1981 * t20084 / 0.6e1 + t8214 * t19379 / 0.6e1;
  t20090 = t5695 * t19927;
  t20093 = t168 * t19986;
  t20094 = t9444 * t20093;
  t20097 = t168 * t19877;
  t20098 = t5691 * t20097;
  t20101 = t4687 * t20097;
  t20104 = t5674 * t20097;
  t20107 = t14814 * t2821;
  t20109 = t14814 * t2808;
  t20111 = t1720 * t14818;
  t20114 = -t8063 * t20090 / 0.6e1 - t8214 * t20094 / 0.6e1 + t8063 * t20098 / 0.12e2 - t8219 * t20101 / 0.6e1 + t8063 * t20104 / 0.6e1 + t4695 * t20107 - t5649 * t20109 + t5639 * t20111 / 0.2e1 - t18481 - t16115 - t16120 + t16128 + t18488;
  t20118 = my_piecewise3(t100, 0, t19819 + t19845 + t19884 + t19911 + t19938 + t19978 + t20089 + t20114);
  tv3lapltau25 = t3 * t20118;

  if(out->v3lapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3lapltau2[ip*p->dim.v3lapltau2 + 5] += tv3lapltau25;

  t20119 = t16133 / 0.4e1;
  t20120 = 0.3e1 / 0.2e1 * t16143;
  t20121 = t2836 * t512;
  t20122 = t193 * t20121;
  t20123 = t20122 * t3259;
  t20133 = t3428 * t2836;
  t20146 = 0.2e1 / 0.3e1 * t2878 * t661 + t15109 - 0.4e1 * t789 * t2836 * t597 + 0.4e1 / 0.3e1 * t20133 * t684 - 0.2e1 * t14172 * t2911 + 0.4e1 * t20133 * t690 - t15121 + 0.4e1 * t2881 * t222 + 0.2e1 * t521 * t2911 - 0.4e1 * t2878 * t666;
  t20147 = t60 * t20146;
  t20148 = t788 * t20147;
  t20151 = t3130 * t2883;
  t20154 = t648 * t20121;
  t20155 = t20154 * t3077;
  t20158 = t69 * t20121;
  t20159 = t20158 * t3121;
  t20162 = t2851 * t2851;
  t20163 = t60 * t20162;
  t20164 = t3562 * t20163;
  t20166 = 0.6e1 * t16304;
  t20167 = t20122 * t651;
  t20170 = t20154 * t3076;
  t20173 = t20158 * t3118;
  t20182 = 0.6e1 * t16317;
  t20183 = 0.6e1 * t20123 * t230 - 0.2e1 * t2866 * t2884 + t519 * t20148 / 0.2e1 - 0.2e1 * t2870 * t20151 + 0.2e1 * t20155 * t785 - t20159 * t3628 / 0.9e1 - t519 * t20164 - t20166 - t16308 - 0.3e1 * t20167 * t234 - 0.4e1 * t20170 * t803 + t20173 * t3591 / 0.18e2 + 0.1e2 / 0.3e1 * t20173 * t3581 - 0.3e1 * t20173 * t3573 + 0.6e1 * t20170 * t816 + t20182;
  t20184 = t3130 * t2873;
  t20186 = t63 * t20146;
  t20187 = t788 * t20186;
  t20191 = t63 * t20162;
  t20192 = t3562 * t20191;
  t20195 = t3556 * t2873;
  t20198 = 0.2e1 * t16335;
  t20199 = 0.3e1 * t16337;
  t20200 = 0.3e1 * t16340;
  t20203 = t3556 * t2883;
  t20210 = 0.2e1 * t18149;
  t20211 = t2870 * t20184 - t519 * t20187 + 0.4e1 * t2866 * t2874 + 0.2e1 * t519 * t20192 - 0.6e1 * t2870 * t20195 + t18113 + t20198 + t20199 - t20200 + 0.6e1 * t20159 * t3596 + 0.3e1 * t2870 * t20203 - 0.12e2 * t20155 * t798 - 0.2e1 / 0.3e1 * t20159 * t3613 - t20210 - t2138 + t2119;
  t20212 = t20183 + t20211;
  t20213 = t59 * t20212;
  t20214 = t20213 * t95;
  t20217 = t7213 * t2852;
  t20218 = t836 * t20217;
  t20221 = t94 * t20146;
  t20222 = t837 * t20221;
  t20223 = t836 * t20222;
  t20228 = t3520 * t2853;
  t20235 = t16162 / 0.2e1;
  t20236 = t16170 / 0.4e1;
  t20237 = t14249 * t2911;
  t20239 = t660 * t2851;
  t20240 = t3360 * t20239;
  t20241 = t13885 * t20240;
  t20244 = t1805 * t2869;
  t20245 = t20244 * t684;
  t20248 = -t2089 + t2160 - t20119 + t20120 - t30 * t20214 / 0.4e1 + t515 * t20218 / 0.4e1 + t515 * t20223 / 0.12e2 - t2844 * t7516 / 0.4e1 + t2844 * t20228 / 0.4e1 + t2839 * t1807 / 0.2e1 - t2839 * t2854 / 0.3e1 - t20235 + t16164 - t20236 + t246 * t20237 + 0.3e1 / 0.2e1 * t679 * t20241 - 0.3e1 / 0.2e1 * t679 * t20245;
  t20250 = t14228 * t518 * t249;
  t20265 = t824 * t221 * t20146;
  t20266 = t1797 * t20265;
  t20269 = t665 * t2851;
  t20270 = t3360 * t20269;
  t20271 = t13885 * t20270;
  t20274 = t3690 * t2853;
  t20277 = t244 * t2852;
  t20278 = t3520 * t20277;
  t20280 = 0.3e1 / 0.4e1 * t16190;
  t20281 = 0.3e1 / 0.4e1 * t16198;
  t20282 = t16202 / 0.4e1;
  t20283 = t20121 * t3076;
  t20284 = t649 * t20283;
  t20285 = t191 * t20284;
  t20292 = t247 * t20121 * t3260;
  t20295 = 0.3e1 / 0.4e1 * t246 * t20250 + 0.3e1 / 0.2e1 * t1770 * t2903 - 0.3e1 / 0.4e1 * t1770 * t2912 + t2844 * t7491 - t515 * t14230 / 0.4e1 - t515 * t14400 / 0.2e1 - t2844 * t7487 / 0.2e1 - t246 * t20266 / 0.4e1 - 0.3e1 / 0.2e1 * t246 * t20271 + t2844 * t20274 / 0.2e1 - t2844 * t20278 + t20280 + t20281 - t20282 + t20285 * t667 - 0.2e1 * t20285 * t672 + 0.3e1 / 0.4e1 * t14011 * t530 + 0.3e1 / 0.2e1 * t246 * t20292;
  t20297 = t680 * t20121;
  t20298 = t20297 * t3078;
  t20303 = t20121 * t651;
  t20304 = t194 * t20303;
  t20305 = t191 * t20304;
  t20316 = t17972 / 0.6e1;
  t20317 = t20121 * t3118;
  t20318 = t3135 * t20317;
  t20319 = t191 * t20318;
  t20324 = t3115 * t20121;
  t20325 = t20324 * t3131;
  t20332 = t20324 * t3169;
  t20335 = t20324 * t3126;
  t20338 = t20297 * t3082;
  t20343 = 0.3e1 * t679 * t20298 - 0.3e1 / 0.2e1 * t1770 * t2907 - t20305 * t223 / 0.2e1 - t2844 * t7595 / 0.2e1 - t515 * t14006 / 0.4e1 + t20285 * t662 / 0.2e1 - t2844 * t7532 / 0.4e1 + t20316 - 0.5e1 / 0.36e2 * t20319 * t3178 + t2839 * t1765 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t20325 - 0.3e1 / 0.2e1 * t7587 * t2899 + 0.3e1 / 0.2e1 * t1770 * t2915 + 0.3e1 / 0.2e1 * t3167 * t20332 - 0.3e1 * t679 * t20335 - 0.3e1 * t246 * t20338 - 0.11e2 / 0.18e2 * t20319 * t3141;
  t20354 = t3459 * t221 * t20162;
  t20355 = t1797 * t20354;
  t20359 = t1805 * t2865 * t597;
  t20362 = t94 * t20162;
  t20363 = t837 * t20362;
  t20364 = t3460 * t20363;
  t20367 = t20244 * t690;
  t20370 = t16272 / 0.2e1;
  t20371 = 0.3e1 / 0.2e1 * t16279;
  t20372 = 0.3e1 / 0.2e1 * t16282;
  t20373 = t525 * t2933;
  t20376 = 0.1e1 / t698;
  t20389 = -0.18e3 * t3314 * t20376 - 0.45e3 * t3321 * t20376 - 0.21e3 * t3326 * t20376 + 0.102e3 * t3331 * t20376 + 0.156e3 * t3334 * t20376 + 0.6e1 * t20376 * t83;
  t20390 = t253 * t20389;
  t20391 = t65 * t20390;
  t20394 = t2889 * t544;
  t20397 = t18052 / 0.2e1;
  t20398 = t543 * t2851;
  t20399 = t253 * t20398;
  t20400 = t3273 * t20399;
  t20403 = t14065 * t2911;
  t20406 = 0.23e2 / 0.36e2 * t20319 * t3146 - t20319 * t3150 / 0.2e1 + 0.7e1 / 0.3e1 * t20319 * t3153 + t2844 * t7582 - 0.3e1 / 0.2e1 * t20319 * t3158 + t246 * t20355 / 0.2e1 - 0.3e1 / 0.2e1 * t246 * t20359 - t515 * t20364 / 0.6e1 + 0.3e1 / 0.2e1 * t246 * t20367 + t20370 - t20371 - t20372 - 0.3e1 / 0.4e1 * t30 * t20373 - t30 * t20391 / 0.4e1 - 0.3e1 / 0.4e1 * t30 * t20394 - t20397 + t7248 * t20400 / 0.4e1 - 0.3e1 / 0.4e1 * t3266 * t20403;
  t20409 = my_piecewise3(t2, 0, t20248 + t20295 + t20343 + t20406);
  tv3tau30 = t3 * t20409;

  if(out->v3tau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 0] += tv3tau30;

  tv3tau31 = 0.e0;

  if(out->v3tau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 1] += tv3tau31;

  tv3tau32 = 0.e0;

  if(out->v3tau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 2] += tv3tau32;

  t20410 = t16373 / 0.2e1;
  t20413 = t2939 * t552;
  t20414 = t20413 * t4160;
  t20415 = t649 * t20414;
  t20416 = t321 * t20415;
  t20420 = t20413 * t4140;
  t20421 = t3135 * t20420;
  t20422 = t321 * t20421;
  t20427 = t20413 * t999;
  t20428 = t194 * t20427;
  t20429 = t321 * t20428;
  t20449 = t4388 * t2939;
  t20462 = 0.2e1 / 0.3e1 * t2981 * t1009 + t15340 - 0.4e1 * t1077 * t2939 * t1047 + 0.4e1 / 0.3e1 * t20449 * t1034 - 0.2e1 * t14733 * t3014 + 0.4e1 * t20449 * t1039 - t15352 + 0.4e1 * t2984 * t349 + 0.2e1 * t561 * t3014 - 0.4e1 * t2981 * t1014;
  t20463 = t140 * t20462;
  t20464 = t1165 * t20463;
  t20467 = t69 * t20413;
  t20468 = t20467 * t4607;
  t20471 = t4572 * t2986;
  t20474 = t648 * t20413;
  t20475 = t20474 * t4214;
  t20478 = t4626 * t2986;
  t20487 = t2954 * t2954;
  t20488 = t140 * t20487;
  t20489 = t4575 * t20488;
  t20491 = t193 * t20413;
  t20492 = t20491 * t4208;
  t20495 = t20467 * t4140;
  t20498 = t20474 * t4160;
  t20501 = t20491 * t999;
  t20508 = -0.2e1 * t2969 * t2987 + t559 * t20464 / 0.2e1 - t20468 * t4610 / 0.9e1 - 0.2e1 * t2973 * t20471 + 0.2e1 * t20475 * t1162 + 0.3e1 * t2973 * t20478 - 0.12e2 * t20475 * t1169 - 0.2e1 / 0.3e1 * t20468 * t4620 + 0.6e1 * t20468 * t4623 - t559 * t20489 + 0.6e1 * t20492 * t357 - 0.3e1 * t20495 * t4590 + 0.6e1 * t20498 * t1187 - 0.3e1 * t20501 * t361 + 0.1e2 / 0.3e1 * t20495 * t4600 - 0.4e1 * t20498 * t1174;
  t20511 = 0.6e1 * t16545;
  t20512 = 0.6e1 * t16550;
  t20513 = 0.2e1 * t18380;
  t20514 = t4572 * t2976;
  t20516 = t143 * t20462;
  t20517 = t1165 * t20516;
  t20521 = t143 * t20487;
  t20522 = t4575 * t20521;
  t20525 = t4626 * t2976;
  t20528 = 0.3e1 * t16558;
  t20529 = 0.2e1 * t16559;
  t20530 = 0.3e1 * t16561;
  t20531 = t20495 * t4587 / 0.18e2 - t16526 + t20511 - t20512 - t20513 + t2973 * t20514 - t559 * t20517 + 0.4e1 * t2969 * t2977 + 0.2e1 * t559 * t20522 - 0.6e1 * t2973 * t20525 + t18435 - t20528 + t20529 + t20530 - t2229 + t2210;
  t20532 = t20508 + t20531;
  t20533 = t139 * t20532;
  t20534 = t20533 * t168;
  t20538 = t4344 * t348 * t20487;
  t20539 = t2040 * t20538;
  t20542 = t16418 / 0.4e1;
  t20543 = -t2180 + t2251 + t20410 + 0.3e1 / 0.2e1 * t1956 * t3018 + t20416 * t1015 - 0.2e1 * t20416 * t1020 - 0.11e2 / 0.18e2 * t20422 * t4151 + 0.23e2 / 0.36e2 * t20422 * t4156 - t20429 * t350 / 0.2e1 - t555 * t14661 / 0.4e1 - t2947 * t8271 / 0.2e1 + t20416 * t1010 / 0.2e1 - t2947 * t8309 / 0.4e1 - 0.5e1 / 0.36e2 * t20422 * t4231 - t110 * t20534 / 0.4e1 + t373 * t20539 / 0.2e1 - t20542;
  t20546 = 0.3e1 / 0.4e1 * t16439;
  t20547 = t18254 / 0.2e1;
  t20550 = t4719 * t20413;
  t20551 = t20550 * t4721;
  t20554 = t20550 * t4725;
  t20557 = t1030 * t20413;
  t20558 = t20557 * t4215;
  t20561 = t20550 * t4729;
  t20576 = t374 * t20413 * t4209;
  t20579 = t20557 * t4219;
  t20582 = t167 * t20487;
  t20583 = t1095 * t20582;
  t20584 = t4354 * t20583;
  t20587 = 0.3e1 / 0.2e1 * t16463;
  t20588 = t2942 * t1965 / 0.2e1 + t20546 - t20547 - 0.3e1 / 0.2e1 * t1956 * t3010 + 0.3e1 / 0.2e1 * t4718 * t20551 - 0.3e1 * t1029 * t20554 - 0.3e1 * t373 * t20558 + 0.3e1 / 0.2e1 * t373 * t20561 - t20422 * t4707 / 0.2e1 + 0.7e1 / 0.3e1 * t20422 * t4200 + t2947 * t8275 - 0.3e1 / 0.2e1 * t20422 * t4193 - 0.3e1 / 0.2e1 * t8280 * t3002 + 0.3e1 / 0.4e1 * t14666 * t570 + 0.3e1 / 0.2e1 * t373 * t20576 + 0.3e1 * t1029 * t20579 - t555 * t20584 / 0.6e1 + t20587;
  t20590 = 0.3e1 / 0.2e1 * t16466;
  t20591 = t583 * t2954;
  t20592 = t380 * t20591;
  t20593 = t4687 * t20592;
  t20603 = t167 * t20462;
  t20604 = t1095 * t20603;
  t20605 = t1094 * t20604;
  t20610 = t8262 * t2955;
  t20611 = t1094 * t20610;
  t20614 = t4376 * t2956;
  t20620 = t1963 * t2968 * t1047;
  t20623 = t18321 / 0.6e1;
  t20624 = t1963 * t2972;
  t20625 = t20624 * t1034;
  t20629 = t14704 * t558 * t376;
  t20636 = -t20590 + t8214 * t20593 / 0.4e1 - t555 * t14706 / 0.4e1 + t2947 * t8157 - t555 * t14793 / 0.2e1 - t2947 * t8153 / 0.2e1 + t555 * t20605 / 0.12e2 - t2947 * t8150 / 0.4e1 + t555 * t20611 / 0.4e1 + t2947 * t20614 / 0.4e1 - t2942 * t2957 / 0.3e1 - 0.3e1 / 0.2e1 * t373 * t20620 + t20623 - 0.3e1 / 0.2e1 * t1029 * t20625 + 0.3e1 / 0.4e1 * t373 * t20629 - 0.3e1 / 0.4e1 * t1956 * t3015 + 0.3e1 / 0.2e1 * t1956 * t3006;
  t20637 = t1013 * t2954;
  t20638 = t4305 * t20637;
  t20639 = t14857 * t20638;
  t20642 = t20624 * t1039;
  t20645 = t4553 * t2956;
  t20648 = t371 * t2955;
  t20649 = t4376 * t20648;
  t20651 = t16472 / 0.4e1;
  t20652 = 0.3e1 / 0.2e1 * t16492;
  t20655 = t2992 * t584;
  t20658 = 0.1e1 / t1113;
  t20671 = 0.6e1 * t20658 * t156 - 0.45e3 * t4465 * t20658 - 0.21e3 * t4474 * t20658 + 0.102e3 * t4480 * t20658 + 0.156e3 * t4483 * t20658 - 0.18e3 * t4486 * t20658;
  t20672 = t380 * t20671;
  t20673 = t145 * t20672;
  t20676 = t565 * t3036;
  t20679 = t16505 / 0.2e1;
  t20680 = t14608 * t3014;
  t20684 = t1076 * t348 * t20462;
  t20685 = t2040 * t20684;
  t20688 = t14685 * t3014;
  t20690 = t1008 * t2954;
  t20691 = t4305 * t20690;
  t20692 = t14857 * t20691;
  t20695 = t16592 / 0.4e1;
  t20696 = 0.3e1 / 0.4e1 * t16604;
  t20697 = -0.3e1 / 0.2e1 * t373 * t20639 + 0.3e1 / 0.2e1 * t373 * t20642 + t2947 * t20645 / 0.2e1 - t2947 * t20649 - t20651 - t20652 + t2942 * t1951 / 0.2e1 - 0.3e1 / 0.4e1 * t110 * t20655 - t110 * t20673 / 0.4e1 - 0.3e1 / 0.4e1 * t110 * t20676 - t20679 + t16513 - 0.3e1 / 0.4e1 * t4695 * t20680 - t373 * t20685 / 0.4e1 + t373 * t20688 + 0.3e1 / 0.2e1 * t1029 * t20692 - t20695 + t20696;
  t20700 = my_piecewise3(t100, 0, t20543 + t20588 + t20636 + t20697);
  tv3tau33 = t3 * t20700;

  if(out->v3tau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_KXC))
    out->v3tau3[ip*p->dim.v3tau3 + 3] += tv3tau33;

  t20703 = t182 * t228;
  t20705 = t30 * t3548;
  t20708 = t30 * t4985;
  t20709 = t621 * t794;
  t20711 = t4877 * t670 * t20709;
  t20714 = t276 * t621;
  t20716 = t4873 * t3264 * t20714;
  t20721 = t3273 * t253 * t731 * t794;
  t20724 = t788 * t238;
  t20725 = t20724 * t3275;
  t20727 = t30 * t777;
  t20730 = t3190 * t651;
  t20732 = t191 * t649 * t20730;
  t20737 = t680 * t20730;
  t20744 = t633 * t3405;
  t20745 = t20744 * t1257;
  t20750 = t592 * t3118;
  t20751 = t3115 * t20750;
  t20752 = t3139 * t4793;
  t20756 = t20703 * t3276 + 0.2e1 * t20705 * t4765 - 0.14e2 / 0.3e1 * t20708 * t20711 + 0.4e1 * t20708 * t20716 + t3272 * t20721 / 0.2e1 + t3272 * t20725 + 0.2e1 / 0.3e1 * t20727 * t3276 - 0.2e1 / 0.3e1 * t20732 * t1257 - 0.2e1 * t3406 * t5195 - 0.2e1 * t679 * t20737 * t1269 + 0.2e1 * t246 * t20737 * t1274 - 0.2e1 / 0.3e1 * t20745 - 0.7e1 * t4772 * t3554 * t4780 + 0.9e1 * t246 * t20751 * t20752;
  t20757 = t3115 * t3136;
  t20758 = t657 * t657;
  t20759 = 0.1e1 / t20758;
  t20760 = t3120 * t20759;
  t20761 = t20760 * t3361;
  t20770 = t621 * t595;
  t20779 = t226 * t596;
  t20780 = t788 * t20709;
  t20784 = t626 * t3405;
  t20787 = t3389 * t3397;
  t20788 = t843 * t20787;
  t20791 = t94 * t3190;
  t20792 = t837 * t20791;
  t20793 = t843 * t20792;
  t20804 = -0.9e1 * t246 * t20757 * t20761 + t627 * t3534 + t627 * t3530 / 0.3e1 + 0.3e1 / 0.2e1 * t3252 * t840 - 0.6e1 * t3266 * t3267 * t20770 * t1281 - 0.2e1 * t3266 * t3267 * t640 * t826 + 0.9e1 / 0.2e1 * t4772 * t20779 * t20780 - 0.2e1 * t20784 * t1257 + 0.2e1 * t3497 * t20788 + 0.2e1 / 0.3e1 * t3497 * t20793 - 0.7e1 / 0.3e1 * t3088 * t3525 + t3210 * t840 / 0.2e1 - 0.4e1 / 0.3e1 * t603 * t3534 - t603 * t3530 / 0.2e1;
  t20807 = t3046 * t3366;
  t20809 = t592 * t592;
  t20811 = 0.1e1 / t650 / t594;
  t20814 = t191 * t3135 * t20809 * t20811;
  t20817 = t633 * t3137;
  t20818 = t20817 * t3153;
  t20820 = t20817 * t3150;
  t20822 = t193 * t69;
  t20823 = t28 * t20822;
  t20824 = t650 * t650;
  t20825 = 0.1e1 / t20824;
  t20828 = t191 * t20823 * t20809 * t20825;
  t20829 = t655 * t655;
  t20830 = 0.1e1 / t20829;
  t20831 = t20830 * t20759;
  t20832 = t660 * t660;
  t20833 = t20831 * t20832;
  t20834 = t20833 * t9876;
  t20838 = 0.1e1 / t3163 / t57;
  t20841 = t191 * t242 * t64 * t20838;
  t20842 = t94 * t20822;
  t20843 = t20842 * t20809;
  t20844 = t20825 * t20830;
  t20845 = t20759 * t20832;
  t20846 = t20844 * t20845;
  t20851 = t20831 * t3124 * t96;
  t20854 = t660 * t665;
  t20855 = t20831 * t20854;
  t20856 = t20855 * t671;
  t20859 = t20833 * t3157;
  t20862 = t20759 * t3124;
  t20863 = t20844 * t20862;
  t20867 = t20831 * t3144;
  t20868 = t20867 * t96;
  t20871 = t20759 * t20854;
  t20872 = t20844 * t20871;
  t20876 = t20759 * t3144;
  t20877 = t20844 * t20876;
  t20881 = t3066 * t3525 - 0.2e1 / 0.3e1 * t20807 + 0.6e1 * t20814 * t3150 + 0.28e2 / 0.9e1 * t20818 - 0.2e1 / 0.3e1 * t20820 + 0.8e1 * t20828 * t20834 - 0.6e1 * t20841 * t20843 * t20846 - 0.2e1 * t20828 * t20851 + 0.89e2 / 0.9e1 * t20828 * t20856 - 0.43e2 / 0.9e1 * t20828 * t20859 + 0.6e1 * t246 * t20843 * t20863 - 0.38e2 / 0.9e1 * t20828 * t20868 + 0.18e2 * t3167 * t20843 * t20872 - 0.18e2 * t679 * t20843 * t20877;
  t20882 = t637 * t3132;
  t20884 = t3115 * t20809;
  t20885 = t20811 * t3120;
  t20886 = t20885 * t3130;
  t20890 = t20885 * t3125;
  t20895 = t1261 * t606 * t3397;
  t20903 = t634 * t3534;
  t20906 = t3460 * t3389 * t3462;
  t20913 = t637 * t3515;
  t20915 = t3247 * t827;
  t20916 = 0.2e1 * t20882 - 0.18e2 * t246 * t20884 * t20886 + 0.36e2 * t679 * t20884 * t20890 + 0.4e1 * t3396 * t20895 - t3066 * t3380 - t3213 * t845 - t3193 * t845 / 0.3e1 - t642 * t3391 + t20903 / 0.3e1 - 0.2e1 / 0.3e1 * t211 * t20906 - t642 * t3464 / 0.2e1 - 0.2e1 / 0.3e1 * t627 * t3464 + 0.2e1 * t20913 - t20915;
  t20919 = t4808 * t844;
  t20922 = t3051 * t3371;
  t20924 = t188 * t3348;
  t20925 = t3135 * t20750;
  t20926 = t191 * t20925;
  t20927 = t4867 * t3498;
  t20930 = t20760 * t1260;
  t20931 = t20930 * t839;
  t20934 = t4867 * t844;
  t20938 = t3139 * t3144 * t621;
  t20943 = t20760 * t3144 * t794;
  t20947 = t637 * t3448;
  t20956 = t637 * t3483;
  t20958 = t637 * t3487;
  t20960 = -0.5e1 / 0.9e1 * t3138 * t20919 - 0.2e1 * t20922 - t20924 - 0.3e1 * t20926 * t20927 + 0.3e1 * t3138 * t20931 - 0.2e1 * t3138 * t20934 + 0.9e1 * t3167 * t20751 * t20938 - 0.9e1 * t3167 * t20757 * t20943 - t20947 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t3451 * t3468 + 0.2e1 * t608 * t3469 + 0.2e1 * t630 * t3469 - 0.2e1 * t20956 + 0.4e1 / 0.3e1 * t20958;
  t20964 = t3238 * t653;
  t20965 = t20964 * t662;
  t20967 = t3232 * t623;
  t20969 = t3231 * t653;
  t20970 = t20969 * t672;
  t20973 = t3231 * t641 * t223;
  t20975 = t634 * t3096;
  t20977 = t633 * t3100;
  t20978 = t20977 * t250;
  t20980 = t626 * t3100;
  t20983 = t222 * t3640;
  t20988 = t191 * t242 * t3638 * t243;
  t20991 = t3209 * t607;
  t20994 = t3239 * t845;
  t20996 = -0.3e1 * t246 * t3486 * t3468 - t20965 / 0.3e1 - t20967 / 0.3e1 - 0.4e1 / 0.9e1 * t20970 + t20973 / 0.9e1 - t20975 / 0.3e1 + t20978 - t627 * t3096 + 0.3e1 * t20980 * t250 - t211 * t20983 / 0.3e1 + t20988 * t250 - t3210 * t645 + 0.3e1 * t20991 * t250 - 0.2e1 / 0.3e1 * t20994;
  t20998 = t3242 * t832;
  t21000 = t3232 * t832;
  t21005 = t843 * t3389 * t3384;
  t21009 = params->at * t3341;
  t21011 = t843 * t837 * t21009;
  t21017 = t3242 * t827;
  t21018 = t1261 * t3385;
  t21021 = t637 * t3452;
  t21023 = t633 * t3395;
  t21024 = t21023 * t3399;
  t21026 = t637 * t3506;
  t21029 = 0.2e1 * t20998 - 0.2e1 / 0.3e1 * t21000 - 0.2e1 * t627 * t3391 - t211 * t21005 + 0.3e1 * t608 * t3510 - t211 * t21011 / 0.3e1 + 0.3e1 * t3220 * t832 - t3210 * t845 - t21017 - t654 * t21018 / 0.2e1 - 0.2e1 / 0.3e1 * t21021 + 0.4e1 / 0.3e1 * t21024 + t21026 - 0.4e1 / 0.3e1 * t3110 * t840;
  t21034 = t626 * t3087;
  t21037 = t3140 * t3090;
  t21040 = t238 * t3156;
  t21041 = t3145 * t21040;
  t21044 = t666 * t820;
  t21048 = t191 * t242 * t818 * t676;
  t21053 = t3209 * t678;
  t21062 = t626 * t3060;
  t21067 = -0.2e1 * t3252 * t845 - t642 * t3386 / 0.2e1 + 0.4e1 * t21034 * t667 + 0.28e2 / 0.3e1 * t3138 * t21037 - 0.6e1 * t3138 * t21041 - t654 * t21044 - 0.3e1 * t21048 * t685 + 0.3e1 * t3101 * t691 - 0.3e1 * t21053 * t685 + 0.3e1 * t3220 * t691 + 0.22e2 / 0.3e1 * t20814 * t3141 - 0.23e2 / 0.3e1 * t20814 * t3146 - 0.6e1 * t21062 * t685 + 0.6e1 * t3226 * t691;
  t21071 = t1261 * t3390;
  t21073 = t4784 * t3369;
  t21080 = t830 * t3571;
  t21091 = t3051 * t3363;
  t21093 = t3051 * t3127;
  t21100 = t1261 * t244 * t20791;
  t21103 = t626 * t3395;
  t21106 = t637 * t3493;
  t21108 = -t654 * t21071 - 0.6e1 * t4993 * t21073 * t1269 + 0.6e1 * t3266 * t21073 * t1274 - 0.12e2 * t679 * t21080 * t3126 + 0.4e1 * t630 * t3487 + 0.4e1 * t608 * t3487 + 0.3e1 / 0.2e1 * t246 * t3486 * t3447 + 0.2e1 * t21091 - 0.4e1 * t21093 - 0.3e1 * t3101 * t598 + 0.4e1 * t3088 * t3056 + 0.4e1 / 0.3e1 * t3396 * t21100 + 0.4e1 * t21103 * t3399 - 0.2e1 * t21106;
  t21109 = t20817 * t3141;
  t21111 = t20817 * t3146;
  t21113 = t3140 * t239;
  t21116 = t3145 * t3090;
  t21119 = t20855 * t96;
  t21122 = t20833 * t671;
  t21127 = t191 * t649 * t20809 * t3118;
  t21132 = t633 * t3087;
  t21133 = t21132 * t667;
  t21135 = t21132 * t672;
  t21137 = t680 * t20809;
  t21138 = t3118 * t656;
  t21139 = t21138 * t683;
  t21143 = t21138 * t689;
  t21147 = t3051 * t3079;
  t21149 = t637 * t3083;
  t21151 = -0.22e2 / 0.27e2 * t21109 + 0.23e2 / 0.27e2 * t21111 - 0.22e2 / 0.9e1 * t3138 * t21113 + 0.23e2 / 0.9e1 * t3138 * t21116 - 0.61e2 / 0.27e2 * t20828 * t21119 + 0.44e2 / 0.27e2 * t20828 * t21122 - 0.6e1 * t21127 * t667 + 0.12e2 * t21127 * t672 + 0.4e1 / 0.3e1 * t21133 - 0.8e1 / 0.3e1 * t21135 - 0.18e2 * t679 * t21137 * t21139 + 0.18e2 * t246 * t21137 * t21143 + 0.4e1 * t21147 - 0.4e1 * t21149;
  t21164 = t219 * t221 * t3190;
  t21179 = t3445 * t794;
  t21180 = t3562 * t21179;
  t21186 = t3046 * t3691;
  t21188 = t20964 * t667;
  t21190 = t20964 * t672;
  t21192 = t3238 * t678;
  t21193 = t21192 * t685;
  t21195 = -0.9e1 / 0.2e1 * t246 * t247 * t3250 * t826 + 0.6e1 * t246 * t830 * t3576 * t3260 - 0.6e1 * t608 * t3493 - 0.2e1 * t246 * t3490 * t21164 + 0.2e1 * t626 * t3496 * t3499 + 0.6e1 * t608 * t3515 - 0.6e1 * t3061 * t3371 + 0.4e1 * t3266 * t3267 * t601 * t826 + 0.3e1 / 0.2e1 * t4772 * t228 * t21180 - t3266 * t3268 * t3447 + 0.2e1 / 0.3e1 * t21186 - 0.2e1 / 0.3e1 * t21188 + 0.4e1 / 0.3e1 * t21190 - 0.2e1 * t21193;
  t21196 = t3242 * t691;
  t21198 = t633 * t3060;
  t21199 = t21198 * t685;
  t21201 = t3247 * t691;
  t21203 = t3231 * t678;
  t21204 = t21203 * t685;
  t21206 = t3232 * t691;
  t21208 = t20969 * t667;
  t21210 = t3232 * t598;
  t21212 = t621 * t621;
  t21215 = t191 * t649 * t21212 * t651;
  t21218 = t680 * t21212;
  t21230 = t3239 * t840;
  t21232 = 0.2e1 * t21196 - 0.2e1 * t21199 + 0.2e1 * t21201 + 0.2e1 / 0.3e1 * t21204 - 0.2e1 / 0.3e1 * t21206 + 0.2e1 / 0.9e1 * t21208 + 0.2e1 / 0.3e1 * t21210 - t21215 * t662 / 0.4e1 + 0.3e1 / 0.2e1 * t246 * t21218 * t690 + 0.2e1 / 0.3e1 * t3213 * t840 - 0.6e1 * t3070 * t3371 + 0.6e1 * t630 * t3515 + t642 * t3530 / 0.4e1 + t21230 / 0.3e1;
  t21235 = t3235 * t840;
  t21237 = t214 * t20759;
  t21238 = t21237 * t835;
  t21239 = t3461 * t794;
  t21242 = t21238 * t837 * t94 * t21239;
  t21245 = t3520 * t3529;
  t21248 = t637 * t3687;
  t21259 = t3428 * t652;
  t21262 = t3428 * t3369;
  t21288 = 0.12e2 * t776 * t595 * t1281 + 0.4e1 * t806 * t826 - 0.8e1 * t809 * t826 + 0.4e1 * t3432 * t3468 - 0.12e2 * t21259 * t3410 + 0.12e2 * t21262 * t1274 + 0.8e1 * t789 * t601 * t826 - 0.4e1 * t21259 * t3362 - 0.2e1 * t3432 * t3447 - 0.12e2 * t789 * t20770 * t1281 - 0.4e1 * t789 * t640 * t826 + 0.4e1 * t21262 * t1269 + 0.24e2 * t3568 * t666 - 0.12e2 * t3572 * t3149 + 0.4e1 / 0.3e1 * t3572 * t3140 - 0.2e1 * t3585 * t222;
  t21295 = t3553 * t651;
  t21298 = t57 * t69;
  t21299 = t21298 * t3073;
  t21306 = t3428 * t3073;
  t21327 = 0.2e2 / 0.9e1 * t3572 * t3145 - 0.12e2 * t3577 * t222 - 0.4e1 * t3568 * t661 - 0.12e2 * t21295 * t1274 + 0.32e2 / 0.3e1 * t21299 * t3126 + 0.12e2 * t21299 * t3131 + 0.12e2 * t801 * t3410 - 0.24e2 * t21306 * t3082 + 0.2e1 * t232 * t3447 - 0.2e1 * t801 * t3362 + 0.2e1 * t789 * t3190 * t249 - 0.8e1 * t21306 * t3078 + 0.16e2 / 0.9e1 * t21299 * t3169 + 0.2e1 * t8661 * t4794 - 0.4e1 * t232 * t3468 + 0.12e2 * t789 * t3073 * t3260;
  t21328 = t21288 + t21327;
  t21331 = t836 * t837 * t94 * t21328;
  t21334 = t637 * t3411;
  t21336 = t656 * t20759;
  t21338 = t21336 * t660 * t3461;
  t21345 = t21336 * t665 * t3461;
  t21350 = t818 * t66;
  t21352 = t843 * t21350 * t830;
  t21359 = t191 * t3135 * t621 * t3118;
  t21362 = -t21235 / 0.9e1 + t211 * t21242 / 0.2e1 + t654 * t21245 / 0.3e1 + 0.2e1 * t21248 + t211 * t21331 / 0.12e2 - 0.2e1 * t21334 - 0.11e2 / 0.2e1 * t679 * t3359 * t21338 + 0.3e1 * t3101 * t832 + 0.11e2 / 0.2e1 * t246 * t3359 * t21345 - t3406 * t5190 - t211 * t21352 - t20732 * t1300 / 0.3e1 - t20784 * t1300 - 0.5e1 / 0.6e1 * t21359 * t4890;
  t21363 = t21336 * t1253;
  t21364 = t21363 * t3463;
  t21367 = t3232 * t827;
  t21369 = t637 * t3469;
  t21372 = t21237 * t221 * t21239;
  t21376 = t634 * t3464;
  t21378 = t3235 * t645;
  t21380 = t3231 * t607;
  t21381 = t21380 * t250;
  t21383 = t3669 * t27;
  t21385 = t21383 * t210 * t223;
  t21387 = t21383 * t245;
  t21388 = t21387 * t250;
  t21389 = t3663 * t27;
  t21393 = t21389 * t245;
  t21395 = t3683 * t27;
  t21396 = t21395 * t245;
  t21397 = t21396 * t250;
  t21399 = t3239 * t645;
  t21401 = t3238 * t607;
  t21402 = t21401 * t250;
  t21404 = -0.11e2 / 0.6e1 * t654 * t21364 + t21367 / 0.3e1 + 0.2e1 / 0.3e1 * t21369 - 0.3e1 / 0.2e1 * t246 * t823 * t21372 - 0.2e1 / 0.9e1 * t21376 + 0.2e1 / 0.9e1 * t21378 - 0.2e1 / 0.3e1 * t21381 - t21385 / 0.3e1 + t21388 - t21389 * t210 * t223 / 0.3e1 + t21393 * t250 + 0.1e2 / 0.27e2 * t21397 - 0.2e1 / 0.3e1 * t21399 + 0.2e1 * t21402;
  t21406 = t3677 * t27;
  t21407 = t21406 * t245;
  t21408 = t21407 * t250;
  t21411 = t21395 * t210 * t223;
  t21414 = t21406 * t210 * t223;
  t21416 = t830 * t3567;
  t21422 = t3384 * t783;
  t21426 = t4851 * t3502;
  t21430 = t4808 * t677 * t830;
  t21433 = t592 * t3076;
  t21434 = t649 * t21433;
  t21435 = t191 * t21434;
  t21440 = t634 * t3386;
  t21445 = t3198 * t845;
  t21447 = -0.2e1 / 0.3e1 * t21408 - 0.1e2 / 0.81e2 * t21411 + 0.2e1 / 0.9e1 * t21414 - 0.12e2 * t246 * t21416 * t3082 + 0.6e1 * t3070 * t3363 + 0.3e1 * t246 * t21422 * t690 + 0.28e2 / 0.3e1 * t3138 * t21426 - 0.6e1 * t3138 * t21430 + 0.6e1 * t21435 * t5170 + 0.2e1 * t3088 * t3380 - t21440 / 0.3e1 + t603 * t3386 + 0.2e1 * t603 * t3391 - t21445 / 0.3e1;
  t21452 = t680 * t21433;
  t21459 = t680 * t3086;
  t21469 = t3198 * t840;
  t21472 = t3255 * t845;
  t21474 = t3255 * t840;
  t21476 = t3046 * t3380;
  t21479 = t3360 * t665 * t3445;
  t21484 = t3360 * t660 * t3445;
  t21488 = 0.2e1 * t3110 * t845 - 0.12e2 * t21435 * t3399 + 0.18e2 * t679 * t21452 * t4794 - 0.18e2 * t246 * t21452 * t4828 - 0.14e2 * t679 * t21459 * t3362 + 0.14e2 * t246 * t21459 * t3410 + 0.12e2 * t679 * t21416 * t3078 + 0.2e1 / 0.9e1 * t21469 + t603 * t3464 + 0.2e1 / 0.3e1 * t21472 - 0.4e1 / 0.9e1 * t21474 - t21476 / 0.3e1 - 0.2e1 * t246 * t3359 * t21479 + 0.2e1 * t679 * t3359 * t21484;
  t21514 = t3198 * t645;
  t21517 = t633 * t3192 * t223;
  t21519 = t20817 * t3178;
  t21521 = 0.6e1 * t3226 * t832 - 0.6e1 * t630 * t3411 + 0.6e1 * t3061 * t3363 - 0.6e1 * t608 * t3411 + t603 * t3096 - 0.8e1 * t3088 * t3091 - 0.6e1 * t3226 * t598 - 0.3e1 * t3220 * t598 + 0.2e1 * t21034 * t662 + 0.2e1 * t3110 * t645 + t3209 * t602 * t223 - t21514 / 0.3e1 - t21517 / 0.9e1 - 0.5e1 / 0.27e2 * t21519;
  t21524 = t626 * t3166;
  t21529 = t191 * t242 * t237 * t3164;
  t21532 = t3149 * t239;
  t21535 = t30 * t3554;
  t21542 = t3139 * t3124 * t621;
  t21547 = t20760 * t3124 * t794;
  t21553 = t3046 * t3091;
  t21562 = t3247 * t623;
  t21563 = 0.5e1 / 0.3e1 * t20814 * t3178 + 0.6e1 * t21524 * t3170 + 0.6e1 * t21529 * t3170 - 0.2e1 * t3138 * t21532 + 0.7e1 / 0.3e1 * t21535 * t5176 + 0.6e1 * t246 * t21080 * t3131 - 0.18e2 * t679 * t20751 * t21542 + 0.18e2 * t679 * t20757 * t21547 + 0.6e1 * t608 * t3261 + 0.4e1 / 0.3e1 * t21553 - 0.2e1 * t626 * t3251 * t223 - 0.2e1 * t3252 * t645 - 0.3e1 * t21127 * t662 + t21562;
  t21565 = t637 * t3206;
  t21567 = t3242 * t623;
  t21568 = t20969 * t662;
  t21571 = t3238 * t641 * t223;
  t21577 = t661 * t820;
  t21580 = t3145 * t239;
  t21583 = t626 * t3137;
  t21586 = t3255 * t645;
  t21588 = t21132 * t662;
  t21594 = t21565 / 0.3e1 + t21567 + t21568 / 0.9e1 - t21571 / 0.3e1 - t3193 * t645 / 0.3e1 - t3213 * t645 - t3066 * t3175 - t654 * t21577 / 0.2e1 - 0.5e1 / 0.9e1 * t3138 * t21580 - 0.5e1 / 0.9e1 * t21583 * t3178 + 0.2e1 / 0.3e1 * t21586 + 0.2e1 / 0.3e1 * t21588 + 0.6e1 * t630 * t3261 + t3193 * t840 / 0.4e1;
  t21596 = t95 * t20709;
  t21597 = t3273 * t21596;
  t21600 = t30 * t784;
  t21601 = t4877 * t3275;
  t21607 = t3046 * t3503;
  t21609 = t1254 * t3390;
  t21624 = t20760 * t4807;
  t21625 = t21624 * t3521;
  t21628 = t20760 * t4850;
  t21629 = t21628 * t839;
  t21632 = t30 * t780;
  t21635 = -0.3e1 / 0.2e1 * t30 * t20779 * t21597 + t21600 * t21601 + 0.9e1 * t246 * t247 * t652 * t3492 + 0.4e1 / 0.3e1 * t21607 - 0.2e1 * t654 * t21609 - 0.4e1 * t3066 * t3522 + 0.2e1 * t3066 * t3691 - 0.8e1 * t3088 * t3503 + 0.4e1 * t3088 * t3366 + 0.28e2 / 0.3e1 * t3088 * t3522 - 0.14e2 / 0.3e1 * t3088 * t3691 - 0.23e2 / 0.6e1 * t3138 * t21625 + 0.11e2 / 0.3e1 * t3138 * t21629 - 0.4e1 / 0.3e1 * t21632 * t3276;
  t21639 = t4808 * t677 * t3397;
  t21648 = t3209 * t653;
  t21660 = t3046 * t3056;
  t21665 = t661 * t819 * t670;
  t21670 = -0.9e1 * t20926 * t21639 - 0.2e1 * t3066 * t3366 + 0.4e1 * t3066 * t3503 - 0.11e2 / 0.3e1 * t21359 * t5167 - t21648 * t667 + 0.2e1 * t21648 * t672 - 0.2e1 * t3066 * t3056 + 0.4e1 * t3066 * t3091 - 0.22e2 / 0.9e1 * t21583 * t3141 + 0.23e2 / 0.9e1 * t21583 * t3146 - 0.2e1 / 0.3e1 * t21660 + 0.2e1 / 0.3e1 * t642 * t3534 + 0.2e1 * t654 * t21665 + 0.3e1 * t3226 * t623;
  t21686 = 0.1e1 / t32 / t3292;
  t21690 = my_piecewise3(t49, t195, 0.308e4 / 0.243e3 * lapl[0] * t3186 - 0.1232e5 / 0.243e3 * t37 * t3186 + 0.5236e4 / 0.243e3 * t40 * t21686);
  t21698 = t20833 * t96;
  t21711 = t3046 * t3175;
  t21714 = t3076 * t214;
  t21715 = t21714 * t229;
  t21719 = 0.3e1 / 0.2e1 * t3101 * t623 + 0.3e1 / 0.2e1 * t3220 * t623 - t3209 * t641 * t223 / 0.2e1 - t21648 * t662 / 0.2e1 + t608 * t3206 + t246 * t247 * t21690 * t249 / 0.4e1 + t630 * t3206 - t642 * t3096 / 0.2e1 - 0.35e2 / 0.108e3 * t20828 * t21698 - t626 * t3192 * t223 / 0.3e1 - t191 * t194 * t21690 * t208 * t223 / 0.12e2 + 0.2e1 * t3088 * t3175 - t21711 / 0.3e1 - 0.6e1 * t246 * t247 * t20809 * t21715;
  t21725 = t637 * t3261;
  t21735 = t836 * t3389 * t3528;
  t21738 = t3520 * t3533;
  t21741 = t836 * t21350 * t838;
  t21744 = t182 * t3265;
  t21748 = t30 * t238 * t3264;
  t21752 = t4877 * t3264 * t3274;
  t21755 = t21336 * t1260;
  t21757 = t21755 * t244 * t3462;
  t21760 = t3046 * t3525;
  t21762 = t21755 * t3463;
  t21765 = t634 * t3530;
  t21767 = -0.3e1 / 0.2e1 * t246 * t247 * t21212 * t597 + 0.2e1 * t21725 + t191 * t194 * t21212 * t595 * t223 / 0.2e1 - 0.8e1 * t21034 * t672 + t211 * t21735 / 0.3e1 + t654 * t21738 + t211 * t21741 / 0.2e1 - 0.3e1 * t21744 * t3269 - 0.3e1 * t21748 * t3269 - 0.4e1 * t21600 * t21752 + 0.11e2 / 0.3e1 * t654 * t21757 + t21760 / 0.3e1 - 0.11e2 / 0.12e2 * t654 * t21762 + t21765 / 0.9e1;
  t21774 = t637 * t3510;
  t21777 = t3046 * t3522;
  t21784 = tau[0] * t3186;
  t21789 = t697 / t31 / t7293;
  t21804 = t3316 * rho[0];
  t21806 = t3315 / t21804;
  t21811 = t697 * t697;
  t21815 = t21811 / t32 / t3316 / t41;
  t21820 = -0.616e4 / 0.81e2 * t258 * t21784 - 0.544e5 / 0.9e1 * t709 * t21789 + 0.1232e5 / 0.27e2 * t261 * t21784 - 0.544e5 / 0.81e2 * t714 * t21789 + 0.1232e5 / 0.27e2 * t265 * t21784 - 0.308e5 / 0.81e2 * t268 * t21784 - 0.308e5 / 0.81e2 * t273 * t21784 - 0.136e6 / 0.81e2 * t704 * t21789 + 0.4e4 / 0.9e1 * t21806 * t83 + 0.272e5 / 0.81e2 * t21789 * t257 - 0.25e5 / 0.27e2 * t21815 * t264 + 0.104e6 / 0.9e1 * t3334 * t21806;
  t21827 = t79 * t272;
  t21830 = t80 * t725;
  t21833 = t86 * t3325;
  t21838 = t87 / t3324 / t76;
  t21843 = t75 * t90;
  t21852 = -0.4e5 / 0.3e1 * t3314 * t21806 - 0.1e6 / 0.3e1 * t3321 * t21806 - 0.14e6 / 0.9e1 * t3326 * t21806 - 0.5e5 / 0.27e2 * t21827 * t21815 + 0.2e6 / 0.9e1 * t21830 * t21815 + 0.875e6 / 0.27e2 * t21833 * t21815 + 0.35e6 / 0.27e2 * t21838 * t21815 - 0.616e4 / 0.81e2 * t21784 * t77 - 0.5e5 / 0.9e1 * t21843 * t21815 + 0.68e6 / 0.81e2 * t719 * t21789 + 0.136e6 / 0.27e2 * t726 * t21789 + 0.68e5 / 0.9e1 * t3331 * t21806;
  t21858 = t188 * t3286;
  t21864 = t3678 * t278;
  t21866 = t773 * t738;
  t21868 = -0.3e1 * t246 * t3384 * t779 * t597 - 0.6e1 * t608 * t3483 + t21774 - 0.6e1 * t630 * t3483 - 0.4e1 / 0.3e1 * t21777 - 0.3e1 / 0.2e1 * t30 * t819 * t732 - t30 * t238 * t3342 - t30 * t65 * t253 * (t21820 + t21852) / 0.4e1 - t21858 - 0.3e1 / 0.2e1 * t759 * t733 - 0.3e1 * t182 * t3286 - t182 * t3343 + 0.2e1 / 0.3e1 * t21864 - 0.2e1 * t21866;
  t21872 = t4784 * t652;
  t21879 = t5175 * t3275;
  t21882 = t4808 * t3502;
  t21885 = t4851 * t3398;
  t21889 = t1261 * t606 * t830;
  t21892 = t1254 * t3385;
  t21895 = t1261 * t244 * t3384;
  t21898 = t4851 * t844;
  t21905 = t824 * t221 * t21328;
  t21916 = -0.6e1 * t3266 * t21872 * t3410 + 0.6e1 * t4993 * t21872 * t3362 + 0.2e1 * t21600 * t21879 + 0.23e2 / 0.9e1 * t3138 * t21882 + 0.14e2 * t20926 * t21885 + 0.4e1 * t654 * t21889 - t654 * t21892 + 0.2e1 * t654 * t21895 - 0.22e2 / 0.9e1 * t3138 * t21898 + 0.7e1 / 0.6e1 * t21535 * t4879 - t21535 * t4874 - t246 * t823 * t21905 / 0.4e1 - 0.3e1 / 0.4e1 * t246 * t247 * t3191 * t826 - 0.3e1 / 0.4e1 * t246 * t3451 * t3447;
  t21930 = t3520 * t244 * t3528;
  t21933 = t3684 * t278;
  t21935 = t769 * t733;
  t21937 = t3670 * t278;
  t21943 = -0.3e1 / 0.2e1 * t3101 * t827 - 0.2e1 * t608 * t3452 - t608 * t3448 - 0.2e1 * t630 * t3452 - t630 * t3448 - 0.3e1 / 0.2e1 * t3220 * t827 - 0.3e1 * t3226 * t827 - 0.4e1 / 0.3e1 * t654 * t21930 - 0.1e2 / 0.27e2 * t21933 + t21935 / 0.3e1 - t21937 - 0.3e1 * t182 * t3348 - t3664 * t278 - 0.3e1 * t759 * t738;
  t21947 = t3130 * t4773;
  t21953 = t21628 * t3521;
  t21956 = t3690 * t3529;
  t21960 = t3520 * t606 * t838;
  t21963 = t3690 * t3533;
  t21975 = t633 * t3251 * t223;
  t21982 = t3247 * t598;
  t21985 = -0.2e1 * t21535 * t4997 + 0.7e1 * t4983 * t3554 * t21947 + 0.23e2 / 0.6e1 * t21359 * t4811 - 0.14e2 * t3138 * t21953 + 0.2e1 / 0.3e1 * t654 * t21956 - 0.4e1 * t654 * t21960 + 0.2e1 * t654 * t21963 - 0.3e1 * t679 * t21422 * t684 - 0.3e1 / 0.2e1 * t679 * t21218 * t684 - t21215 * t667 / 0.2e1 - 0.2e1 / 0.3e1 * t21975 + 0.2e1 * t191 * t194 * t20809 * t3076 * t223 - 0.2e1 * t21982 + t21215 * t672;
  t21986 = t3242 * t598;
  t21989 = t3238 * t602 * t223;
  t21992 = t3231 * t602 * t223;
  t21994 = t633 * t3166;
  t21995 = t21994 * t3170;
  t21997 = t20885 * t3168;
  t22001 = t20817 * t3158;
  t22004 = t8790 * t95 * t21179;
  t22009 = t3273 * t253 * t276 * t3445;
  t22014 = t180 * t3682 * t29 * t96;
  t22019 = t633 * t3496 * t3499;
  t22030 = -0.2e1 * t21986 + 0.2e1 / 0.3e1 * t21989 - 0.2e1 / 0.9e1 * t21992 + 0.2e1 * t21995 - 0.18e2 * t3167 * t20884 * t21997 - 0.2e1 * t22001 - t3272 * t22004 / 0.2e1 + t3272 * t22009 / 0.3e1 - 0.1e2 / 0.27e2 * t22014 - 0.6e1 * t630 * t3493 + 0.2e1 / 0.3e1 * t22019 + t246 * t830 * t3584 * t249 + 0.3e1 / 0.2e1 * t246 * t3384 * t776 * t249 + 0.3e1 * t608 * t3506;
  t22035 = t21624 * t839;
  t22038 = t20744 * t1300;
  t22045 = t634 * t3391;
  t22047 = t3247 * t832;
  t22052 = t188 * t3265;
  t22053 = t22052 * t3269;
  t22063 = t21624 * t677 * t838;
  t22066 = 0.3e1 * t630 * t3506 + 0.5e1 / 0.6e1 * t3138 * t22035 - t22038 / 0.3e1 + 0.3e1 * t191 * t649 * t621 * t3076 * t5157 - 0.2e1 / 0.3e1 * t22045 + 0.2e1 * t22047 - t627 * t3386 + 0.3e1 * t630 * t3510 - t22053 + 0.6e1 * t608 * t3687 - 0.6e1 * t3061 * t3415 + 0.6e1 * t630 * t3687 - 0.6e1 * t3070 * t3415 + 0.9e1 * t3138 * t22063;
  t22069 = t773 * t733;
  t22070 = t188 * t3343;
  t22072 = t769 * t738;
  t22074 = t3051 * t3415;
  t22079 = t3235 * t845;
  t22091 = t20855 * t3157;
  t22096 = -t30 * t3639 * t277 - t22069 - t22070 / 0.3e1 + 0.2e1 / 0.3e1 * t22072 - 0.2e1 * t22074 + t246 * t21009 * t226 * t249 + 0.2e1 / 0.9e1 * t22079 + 0.28e2 / 0.3e1 * t21583 * t3153 - 0.6e1 * t21583 * t3158 - 0.2e1 * t21583 * t3150 - 0.12e2 * t3070 * t3127 - 0.12e2 * t3061 * t3127 - 0.62e2 / 0.3e1 * t20828 * t22091 + 0.6e1 * t630 * t3132;
  t22100 = t20867 * t671;
  t22115 = t3684 * t239;
  t22119 = t757 * t767 * t29 * t96;
  t22121 = t3678 * t239;
  t22123 = t769 * t820;
  t22125 = t3670 * t239;
  t22126 = t773 * t820;
  t22127 = 0.6e1 * t608 * t3132 + 0.47e2 / 0.3e1 * t20828 * t22100 + 0.12e2 * t3070 * t3079 - 0.12e2 * t630 * t3083 + 0.12e2 * t3061 * t3079 - 0.12e2 * t608 * t3083 - 0.28e2 * t20814 * t3153 + 0.18e2 * t20814 * t3158 - 0.1e2 / 0.27e2 * t22115 + t22119 / 0.3e1 + 0.2e1 / 0.3e1 * t22121 + t22123 / 0.3e1 - t22125 - t22126;
  t22132 = t3662 * t186 * t29 * t96;
  t22136 = 0.1e1 / t185 / t748;
  t22140 = 0.2e2 / 0.81e2 * t22 * t22136 * t29 * t96;
  t22141 = t16 * t16;
  t22143 = 0.1e1 / t743 / t22141;
  t22144 = t745 * t745;
  t22150 = t753 * t753;
  t22156 = 0.1e1 / t3653 / t3;
  t22157 = t13 * t22156;
  t22160 = my_piecewise5(t7, 0, t11, 0, -0.24e2 * t3654 + 0.24e2 * t22157);
  t22164 = my_piecewise3(t17, 0, 0.4e2 / 0.81e2 * t22143 * t22144 - 0.16e2 / 0.9e1 * t3646 * t745 * t753 + 0.4e1 / 0.3e1 * t744 * t22150 + 0.16e2 / 0.9e1 * t3650 * t3658 + 0.4e1 / 0.3e1 * t20 * t22160);
  t22169 = t188 * t3640;
  t22179 = t731 * t193;
  t22184 = t69 * t20809;
  t22185 = t22184 * t20811;
  t22188 = t20822 * t20809;
  t22189 = t22188 * t20825;
  t22190 = t20854 * t60;
  t22191 = t20831 * t22190;
  t22194 = t193 * t21690;
  t22198 = t648 * t20809;
  t22199 = t22198 * t3118;
  t22203 = t62 * t3445;
  t22205 = t233 * t22203 * t794;
  t22209 = t62 * t794;
  t22210 = t22209 * t621;
  t22211 = t233 * t22210;
  t22215 = t802 * t22210;
  t22218 = t648 * t21212;
  t22219 = t22218 * t651;
  t22222 = t193 * t20809;
  t22231 = t193 * t21212;
  t22237 = t20831 * t3580;
  t22240 = t20831 * t3590;
  t22245 = t3584 * t596;
  t22251 = t648 * t3190 * t682;
  t22254 = t811 * t621;
  t22255 = t3130 * t22254;
  t22259 = t3562 * t3633 * t794;
  t22262 = 0.2e1 * t22219 * t803 + 0.3e1 * t22231 * t595 * t234 + 0.36e2 * t22185 * t3573 - 0.12e2 * t22189 * t22237 + 0.5e2 / 0.3e1 * t22189 * t22240 - 0.36e2 * t22199 * t816 - 0.8e1 * t22245 * t1315 - 0.3e1 * t3622 * t796 - 0.4e1 / 0.3e1 * t22251 * t1320 - 0.28e2 / 0.3e1 * t4985 * t22255 - 0.3e1 * t228 * t22259;
  t22264 = t788 * t22254;
  t22267 = t783 * t3077;
  t22272 = t69 * t592;
  t22273 = t22272 * t3121;
  t22274 = t3168 * t5045;
  t22277 = t20876 * t795;
  t22280 = t3130 * t3545;
  t22286 = t788 * t63 * t21328;
  t22290 = t20759 * t660;
  t22291 = t22290 * t3563;
  t22297 = -0.9e1 * t20779 * t22264 + 0.12e2 * t22267 * t5046 - 0.28e2 / 0.3e1 * t3610 * t3543 - 0.2e1 / 0.3e1 * t22273 * t22274 + 0.2e1 / 0.3e1 * t3595 * t22277 + 0.4e1 / 0.3e1 * t784 * t22280 - 0.3e1 * t777 * t3546 - t228 * t22286 + 0.6e1 * t780 * t3546 - 0.11e2 / 0.3e1 * t784 * t22291 + 0.36e2 * t776 * t3259 * t5095;
  t22302 = t20759 * t221;
  t22304 = t22302 * t63 * t21239;
  t22309 = t20759 * t665;
  t22310 = t22309 * t3563;
  t22317 = t22290 * t795;
  t22321 = t69 * t621 * t3121;
  t22324 = t3553 * t3077;
  t22329 = 0.8e1 * t22251 * t1324 - 0.6e1 * t228 * t22304 + 0.22e2 * t784 * t22310 - 0.36e2 * t3595 * t22317 - 0.4e1 * t22321 * t5031 + 0.36e2 * t22321 * t5034 - 0.72e2 * t22324 * t5038 + 0.14e2 * t3554 * t5098 + 0.6e1 * t777 * t3564 - 0.12e2 * t780 * t3564 - 0.18e2 * t3604 * t796;
  t22334 = t20862 * t795;
  t22337 = t3556 * t3545;
  t22343 = t22184 * t20885;
  t22346 = t22188 * t20844;
  t22347 = t20845 * t63;
  t22356 = t3130 * t3633;
  t22359 = t20876 * t811;
  t22362 = 0.56e2 * t3610 * t3557 + 0.4e1 * t3595 * t22334 - 0.8e1 * t784 * t22337 - 0.28e2 * t3553 * t5021 * t5025 + 0.4e1 / 0.3e1 * t22343 * t3628 - t22346 * t22347 / 0.9e1 + t22194 * t227 * t230 + 0.8e1 / 0.3e1 * t22251 * t1328 + t22321 * t5123 / 0.3e1 - 0.8e1 / 0.3e1 * t784 * t22356 - t3595 * t22359 / 0.3e1;
  t22369 = t22218 * t682;
  t22379 = t22198 * t21138;
  t22383 = t22302 * t60 * t21239;
  t22390 = 0.4e1 * t22245 * t1334 - 0.24e2 * t22324 * t5120 + 0.3e1 / 0.2e1 * t3622 * t812 + 0.6e1 * t22369 * t798 - t22369 * t785 - 0.24e2 * t22222 * t21714 * t230 - 0.6e1 * t22231 * t596 * t230 - 0.12e2 * t22379 * t785 + 0.3e1 * t228 * t22383 + 0.56e2 / 0.3e1 * t3610 * t3616 + 0.3e1 / 0.2e1 * t777 * t3634;
  t22393 = t788 * t60 * t21328;
  t22405 = t22290 * t3601;
  t22410 = t20876 * t63;
  t22413 = t20862 * t63;
  t22418 = t22309 * t3601;
  t22421 = t228 * t22393 / 0.2e1 - 0.18e2 * t779 * t3259 * t5112 + 0.9e1 * t3604 * t812 - 0.3e1 * t780 * t3634 - 0.3e1 * t777 * t3602 + 0.22e2 / 0.3e1 * t784 * t22405 + 0.6e1 * t780 * t3602 + 0.8e1 / 0.3e1 * t22346 * t22410 + 0.24e2 * t22346 * t22413 - 0.18e2 * t22321 * t5065 - 0.11e2 * t784 * t22418;
  t22424 = t22290 * t811;
  t22433 = t20871 * t63;
  t22436 = t3556 * t3633;
  t22439 = t20862 * t811;
  t22448 = 0.72e2 * t22379 * t798 + 0.18e2 * t3595 * t22424 - 0.72e2 * t22343 * t3596 + 0.2e2 * t22321 * t5126 + 0.8e1 * t22343 * t3613 - 0.4e1 / 0.3e1 * t22346 * t22433 + 0.4e1 * t784 * t22436 - 0.2e2 * t3595 * t22439 + 0.36e2 * t22324 * t5062 - 0.28e2 * t3610 * t3607 - 0.4e1 * t22251 * t1338;
  t22458 = t8790 * t253 * t276 * t3461;
  t22461 = t188 * t228;
  t22462 = t22461 * t3276;
  t22467 = -0.3e1 / 0.2e1 * t759 * t820 - t22132 / 0.3e1 - t3664 * t239 + t22140 - t22164 * t23 * t29 * t96 / 0.4e1 - t22169 / 0.3e1 - 0.3e1 * t191 * t194 * t652 * t3499 - t182 * t3640 + 0.6e1 * t3167 * t21080 * t3169 - 0.3e1 / 0.2e1 * t3266 * t22179 * t209 * t826 - t30 * t59 * (-0.2e1 / 0.3e1 * t22185 * t3591 + 0.1e2 / 0.3e1 * t22189 * t22191 - t22194 * t208 * t234 / 0.2e1 + 0.24e2 * t22199 * t803 + 0.6e1 * t226 * t9081 * t22205 + 0.18e2 * t226 * t5014 * t22211 + 0.14e2 / 0.3e1 * t4984 * t5021 * t22215 - 0.3e1 * t22219 * t816 + 0.12e2 * t22222 * t3076 * t234 - 0.4e2 * t22185 * t3581 + t22262 + t22297 + t22329 + t22362 + t22390 + t22421 + t22448) * t95 / 0.4e1 - 0.2e1 / 0.3e1 * t3272 * t22458 + t22462 / 0.3e1 + 0.2e1 * t3266 * t3268 * t3468;
  t22473 = my_piecewise3(t2, 0, t22467 + t22127 + t22096 + t22066 + t22030 + t21985 + t21943 + t21916 + t21868 + t21767 + t21719 + t21670 + t21635 + t21594 + t21563 + t21521 + t21488 + t21447 + t21404 + t21362 + t21232 + t20756 + t20916 + t20804 + t21067 + t20881 + t21195 + t21151 + t20960 + t20996 + t21029 + t21108);
  t22474 = t104 * t104;
  t22476 = 0.1e1 / t851 / t22474;
  t22477 = t853 * t853;
  t22483 = t859 * t859;
  t22488 = t101 * t22156;
  t22491 = my_piecewise5(t11, 0, t7, 0, 0.24e2 * t3654 + 0.24e2 * t22488);
  t22495 = my_piecewise3(t105, 0, 0.4e2 / 0.81e2 * t22476 * t22477 - 0.16e2 / 0.9e1 * t3700 * t853 * t859 + 0.4e1 / 0.3e1 * t852 * t22483 + 0.16e2 / 0.9e1 * t3704 * t3710 + 0.4e1 / 0.3e1 * t106 * t22491);
  t22502 = t3714 * t186 * t29 * t169;
  t22506 = t863 * t767 * t29 * t169;
  t22510 = t288 * t3682 * t29 * t169;
  t22515 = 0.2e2 / 0.81e2 * t108 * t22136 * t29 * t169;
  t22517 = my_piecewise3(t100, 0, -t22495 * t23 * t29 * t169 / 0.4e1 - t22502 / 0.3e1 + t22506 / 0.3e1 - 0.1e2 / 0.27e2 * t22510 + t22515);
  tv4rho40 = 0.4e1 * t3698 + 0.4e1 * t3732 + t3 * (t22473 + t22517);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 0] += tv4rho40;

  t22522 = t307 * t3265;
  t22525 = t307 * t228;
  t22529 = t894 * t733;
  t22531 = t3852 * t278;
  t22544 = t3848 * t278;
  t22545 = t22544 / 0.6e1;
  t22546 = t894 * t738;
  t22552 = -0.3e1 / 0.4e1 * t22522 * t3269 + t22525 * t3276 / 0.4e1 - t20745 / 0.6e1 - t22529 / 0.4e1 - t22531 / 0.2e1 + t3764 * t840 / 0.6e1 - 0.3e1 / 0.4e1 * t3776 * t827 + 0.3e1 / 0.2e1 * t3776 * t832 - t20807 / 0.6e1 - t903 * t3448 / 0.4e1 - 0.3e1 / 0.4e1 * t307 * t3348 + t22545 - t22546 / 0.2e1 - 0.3e1 / 0.4e1 * t307 * t3286 - 0.3e1 / 0.4e1 * t3840 * t278;
  t22562 = t3761 * t827;
  t22575 = -0.3e1 / 0.2e1 * t890 * t738 - 0.3e1 / 0.4e1 * t890 * t733 - t307 * t3343 / 0.4e1 + 0.7e1 / 0.9e1 * t20818 - t20820 / 0.6e1 + t20882 / 0.2e1 - t22562 / 0.4e1 + t903 * t3469 / 0.2e1 + t20903 / 0.12e2 + t20913 / 0.2e1 - t20915 / 0.4e1 - t20922 / 0.2e1 - t20924 / 0.4e1 - 0.3e1 / 0.2e1 * t3740 * t3371 + 0.3e1 / 0.2e1 * t903 * t3515;
  t22577 = t897 * t3405;
  t22600 = -t22577 * t1257 / 0.2e1 - t20947 / 0.12e2 - t20956 / 0.2e1 + t20958 / 0.3e1 + 0.3e1 / 0.2e1 * t3740 * t3363 - 0.3e1 / 0.2e1 * t903 * t3411 - t3737 * t3522 - t3737 * t3366 / 0.2e1 - 0.3e1 / 0.2e1 * t3740 * t3415 + 0.3e1 / 0.2e1 * t903 * t3687 + t3737 * t3691 / 0.2e1 - t20965 / 0.12e2 - t20967 / 0.6e1 - 0.2e1 / 0.9e1 * t20970 + t20973 / 0.18e2;
  t22610 = t3758 * t845;
  t22612 = t3761 * t832;
  t22616 = t3758 * t840;
  t22622 = t897 * t3137;
  t22629 = -t20975 / 0.12e2 + t20978 / 0.4e1 - t20994 / 0.6e1 + t20998 / 0.2e1 - t21000 / 0.3e1 - t3747 * t840 / 0.3e1 - t898 * t3464 / 0.6e1 - t22610 / 0.6e1 + t22612 / 0.2e1 - 0.3e1 / 0.2e1 * t903 * t3483 + t22616 / 0.12e2 - t22577 * t1300 / 0.4e1 + 0.3e1 / 0.2e1 * t903 * t3132 - t22622 * t3150 / 0.2e1 + 0.7e1 / 0.3e1 * t22622 * t3153 - 0.3e1 / 0.2e1 * t22622 * t3158;
  t22632 = t897 * t3166;
  t22639 = t897 * t3087;
  t22654 = t3750 * t607;
  t22657 = t897 * t3100;
  t22662 = 0.3e1 / 0.2e1 * t22632 * t3170 - t21017 / 0.4e1 - t21021 / 0.6e1 + t21024 / 0.3e1 + t21026 / 0.4e1 + t22639 * t662 / 0.2e1 + t3737 * t3091 + 0.3e1 / 0.4e1 * t3754 * t623 + t903 * t3206 / 0.4e1 - 0.3e1 / 0.2e1 * t3754 * t598 - 0.2e1 * t22639 * t672 + t3750 * t602 * t223 / 0.2e1 + 0.3e1 / 0.2e1 * t22654 * t250 + 0.3e1 / 0.4e1 * t22657 * t250 + 0.3e1 / 0.4e1 * t3776 * t623;
  t22667 = t3758 * t645;
  t22669 = t3847 * t27;
  t22671 = t22669 * t210 * t223;
  t22672 = t22671 / 0.18e2;
  t22673 = t22669 * t245;
  t22674 = t22673 * t250;
  t22675 = t22674 / 0.6e1;
  t22676 = t3851 * t27;
  t22678 = t22676 * t210 * t223;
  t22680 = t22676 * t245;
  t22681 = t22680 * t250;
  t22685 = t3839 * t27;
  t22689 = t22685 * t245;
  t22698 = t3757 * t602 * t223;
  t22700 = -0.3e1 / 0.2e1 * t903 * t3493 - t903 * t3452 / 0.2e1 - t22667 / 0.6e1 + t22672 - t22675 - t22678 / 0.6e1 + t22681 / 0.2e1 - t898 * t3096 / 0.4e1 - t22685 * t210 * t223 / 0.4e1 + 0.3e1 / 0.4e1 * t22689 * t250 - t3751 * t645 / 0.2e1 + t3747 * t645 / 0.2e1 + t21091 / 0.2e1 - t21093 + t22698 / 0.6e1;
  t22707 = t3761 * t598;
  t22720 = -t897 * t3251 * t223 / 0.2e1 + 0.3e1 / 0.2e1 * t903 * t3261 - t22707 / 0.2e1 - 0.3e1 / 0.2e1 * t3776 * t598 - t21106 / 0.2e1 - 0.11e2 / 0.54e2 * t21109 + 0.23e2 / 0.108e3 * t21111 + t21133 / 0.3e1 - 0.2e1 / 0.3e1 * t21135 + t21147 - t21149 + t21186 / 0.6e1 - t21188 / 0.6e1 + t21190 / 0.3e1 - t21193 / 0.2e1;
  t22740 = t21196 / 0.2e1 - t21199 / 0.2e1 + t21201 / 0.2e1 + t21204 / 0.3e1 - t21206 / 0.3e1 + t21208 / 0.9e1 + t21210 / 0.3e1 + t898 * t3530 / 0.12e2 + t3737 * t3525 / 0.4e1 - t3751 * t845 / 0.2e1 + t21230 / 0.12e2 - t21235 / 0.18e2 + t21248 / 0.2e1 - t21334 / 0.2e1 + t21367 / 0.6e1 + t21369 / 0.6e1;
  t22759 = -t21376 / 0.18e2 + t21378 / 0.9e1 - t21381 / 0.3e1 - t21385 / 0.12e2 + t21388 / 0.4e1 + 0.5e1 / 0.18e2 * t21397 - t21399 / 0.6e1 + t21402 / 0.2e1 - t21408 / 0.3e1 - 0.5e1 / 0.54e2 * t21411 + t21414 / 0.9e1 - t21440 / 0.12e2 - t21445 / 0.12e2 + t21469 / 0.18e2 + t21472 / 0.6e1;
  t22773 = t897 * t3060;
  t22786 = -t21474 / 0.9e1 - t21476 / 0.12e2 - 0.3e1 / 0.4e1 * t3754 * t827 + t898 * t3534 / 0.4e1 + t903 * t3487 + t897 * t3496 * t3499 / 0.2e1 - t21514 / 0.12e2 - t21517 / 0.36e2 - 0.5e1 / 0.108e3 * t21519 - 0.3e1 / 0.2e1 * t22773 * t685 + 0.3e1 / 0.2e1 * t3776 * t691 - t3737 * t3175 / 0.4e1 - 0.3e1 * t3740 * t3127 - t3737 * t3056 / 0.2e1 - 0.11e2 / 0.18e2 * t22622 * t3141;
  t22790 = t3761 * t691;
  t22792 = t3750 * t653;
  t22796 = t3750 * t678;
  t22801 = t3757 * t653;
  t22802 = t22801 * t667;
  t22804 = t22801 * t672;
  t22806 = t3757 * t678;
  t22807 = t22806 * t685;
  t22817 = 0.23e2 / 0.36e2 * t22622 * t3146 + t22790 / 0.2e1 - t22792 * t667 / 0.2e1 + t22792 * t672 - 0.3e1 / 0.2e1 * t22796 * t685 + 0.3e1 / 0.2e1 * t3754 * t691 - t22802 / 0.6e1 + t22804 / 0.3e1 - t22807 / 0.2e1 - 0.3e1 * t903 * t3083 + t22639 * t667 + 0.3e1 * t3740 * t3079 + t21553 / 0.3e1 + t21562 / 0.4e1 + t21565 / 0.12e2;
  t22831 = t888 * t767 * t29 * t96;
  t22832 = t22831 / 0.6e1;
  t22849 = 0.12e2 * t3654;
  t22850 = 0.24e2 * t22157;
  t22852 = my_piecewise5(t7, 0, t11, 0, -t22849 + t22850);
  t22856 = my_piecewise3(t17, 0, 0.4e2 / 0.81e2 * t22143 * t302 * t3647 - 0.8e1 / 0.9e1 * t3646 * t884 * t745 - 0.8e1 / 0.9e1 * t3823 * t177 * t753 + 0.4e1 / 0.3e1 * t744 * t3834 * t177 + 0.4e1 / 0.3e1 * t3826 * t753 + 0.4e1 / 0.9e1 * t880 * t3658 + 0.4e1 / 0.3e1 * t20 * t22852);
  t22868 = t21567 / 0.4e1 + t21568 / 0.18e2 - t21571 / 0.12e2 + t21586 / 0.6e1 + t21588 / 0.6e1 + t3747 * t845 / 0.2e1 + t21607 / 0.3e1 - t21660 / 0.6e1 - t21711 / 0.12e2 + t21725 / 0.2e1 + t22832 - t22856 * t23 * t29 * t96 / 0.4e1 - 0.3e1 / 0.4e1 * t3840 * t239 - t307 * t3640 / 0.4e1 - 0.3e1 / 0.4e1 * t890 * t820 + t21760 / 0.12e2;
  t22877 = t897 * t3395;
  t22891 = t21765 / 0.36e2 + t21774 / 0.4e1 - t21777 / 0.3e1 + t3737 * t3503 + t3751 * t840 / 0.4e1 + t22877 * t3399 + 0.3e1 / 0.4e1 * t903 * t3506 + 0.3e1 / 0.2e1 * t3754 * t832 + 0.3e1 / 0.4e1 * t903 * t3510 - t21858 / 0.4e1 + t21864 / 0.3e1 - t21866 / 0.2e1 - 0.5e1 / 0.18e2 * t21933 + t21935 / 0.6e1 - t21937 / 0.4e1;
  t22894 = t3838 * t186 * t29 * t96;
  t22896 = t894 * t820;
  t22900 = t305 * t3682 * t29 * t96;
  t22902 = t3852 * t239;
  t22904 = t3848 * t239;
  t22905 = t22904 / 0.6e1;
  t22920 = -t22894 / 0.4e1 - t22896 / 0.4e1 - 0.5e1 / 0.54e2 * t22900 - t22902 / 0.2e1 + t22905 - t3764 * t845 / 0.4e1 - t898 * t3391 / 0.2e1 - t898 * t3386 / 0.4e1 - t3737 * t3380 / 0.4e1 - t21975 / 0.6e1 - t21982 / 0.2e1 - t21986 / 0.2e1 + t21989 / 0.6e1 - t21992 / 0.9e1 + t21995 / 0.2e1;
  t22929 = t3761 * t623;
  t22931 = t3757 * t607;
  t22932 = t22931 * t250;
  t22944 = -t22001 / 0.2e1 - 0.5e1 / 0.18e2 * t22014 + t22019 / 0.6e1 - t22038 / 0.12e2 - t22045 / 0.6e1 + t22047 / 0.2e1 - t22053 / 0.4e1 + t22929 / 0.4e1 + t22932 / 0.2e1 - t22069 / 0.4e1 - t22070 / 0.12e2 + t22072 / 0.3e1 - 0.5e1 / 0.36e2 * t22622 * t3178 - t897 * t3192 * t223 / 0.12e2 - t3764 * t645 / 0.4e1;
  t22946 = t3757 * t641 * t223;
  t22948 = t22801 * t662;
  t22966 = -t22946 / 0.12e2 - t22948 / 0.12e2 - t22792 * t662 / 0.4e1 - t3750 * t641 * t223 / 0.4e1 - t22074 / 0.2e1 + t22079 / 0.9e1 - 0.5e1 / 0.18e2 * t22115 + t22119 / 0.6e1 + t22121 / 0.3e1 + t22123 / 0.6e1 - t22125 / 0.4e1 - t22126 / 0.4e1 - t22132 / 0.12e2 + t22140 - t22169 / 0.12e2 + t22462 / 0.12e2;
  t22971 = my_piecewise3(t2, 0, t22552 + t22575 + t22600 + t22629 + t22662 + t22700 + t22720 + t22740 + t22759 + t22786 + t22817 + t22868 + t22891 + t22920 + t22944 + t22966);
  t22972 = t3728 * t405;
  t22974 = t3720 * t405;
  t22976 = t3724 * t405;
  t22977 = t22976 / 0.6e1;
  t22978 = t3727 * t27;
  t22979 = t22978 * t372;
  t22980 = t22979 * t377;
  t22982 = t3723 * t27;
  t22983 = t22982 * t372;
  t22984 = t22983 * t377;
  t22985 = t22984 / 0.6e1;
  t22986 = t3719 * t27;
  t22987 = t22986 * t372;
  t22988 = t22987 * t377;
  t22991 = t22982 * t337 * t350;
  t22992 = t22991 / 0.18e2;
  t22994 = t22978 * t337 * t350;
  t22997 = t22986 * t337 * t350;
  t23002 = -0.5e1 / 0.54e2 * t22972 - t22974 / 0.4e1 + t22977 + 0.5e1 / 0.54e2 * t22980 - t22985 + t22988 / 0.4e1 + t22992 - 0.5e1 / 0.162e3 * t22994 - t22997 / 0.12e2 - t22502 / 0.12e2 + t22506 / 0.6e1 - 0.5e1 / 0.18e2 * t22510;
  t23003 = t3715 * t27;
  t23004 = t23003 * t372;
  t23010 = t3724 * t366;
  t23011 = t23010 / 0.6e1;
  t23012 = t3728 * t366;
  t23016 = t3720 * t366;
  t23020 = t3878 * t186 * t29 * t169;
  t23024 = t923 * t767 * t29 * t169;
  t23025 = t23024 / 0.6e1;
  t23028 = t316 * t3682 * t29 * t169;
  t23046 = 0.24e2 * t22488;
  t23048 = my_piecewise5(t11, 0, t7, 0, t22849 + t23046);
  t23052 = my_piecewise3(t105, 0, 0.4e2 / 0.81e2 * t22476 * t313 * t3701 - 0.8e1 / 0.9e1 * t3700 * t919 * t853 - 0.8e1 / 0.9e1 * t3864 * t285 * t859 + 0.4e1 / 0.3e1 * t852 * t3874 * t285 + 0.4e1 / 0.3e1 * t3867 * t859 + 0.4e1 / 0.9e1 * t915 * t3710 + 0.4e1 / 0.3e1 * t106 * t23048);
  t23059 = t22515 + t23004 * t377 / 0.4e1 - t23003 * t337 * t350 / 0.12e2 + t23011 - 0.5e1 / 0.54e2 * t23012 - t3716 * t405 / 0.4e1 - t23016 / 0.4e1 - t23020 / 0.4e1 + t23025 - 0.5e1 / 0.54e2 * t23028 - t23052 * t23 * t29 * t169 / 0.4e1 - t3716 * t366 / 0.4e1;
  t23061 = my_piecewise3(t100, 0, t23002 + t23059);
  tv4rho41 = t3698 + t3732 + 0.3e1 * t3863 + 0.3e1 * t3927 + t3 * (t22971 + t23061);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 1] += tv4rho41;

  t23096 = t20973 / 0.54e2 - t21000 / 0.9e1 - t22610 / 0.9e1 + t22612 / 0.3e1 + t22616 / 0.18e2 - t3958 * t598 / 0.2e1 + t3952 * t602 * t223 / 0.6e1 - t22667 / 0.9e1 + 0.2e1 / 0.27e2 * t22671 - 0.2e1 / 0.9e1 * t22674 - t22678 / 0.9e1;
  t23109 = t22681 / 0.3e1 + t22698 / 0.9e1 - t22707 / 0.3e1 + t21204 / 0.9e1 - t21206 / 0.9e1 + t21208 / 0.27e2 + t21210 / 0.9e1 - t21235 / 0.54e2 + t21367 / 0.18e2 + t21378 / 0.27e2 - t21381 / 0.9e1;
  t23123 = 0.5e1 / 0.27e2 * t21397 - t21408 / 0.9e1 - 0.5e1 / 0.81e2 * t21411 + t21414 / 0.27e2 + t22790 / 0.3e1 - t22802 / 0.9e1 + 0.2e1 / 0.9e1 * t22804 - t22807 / 0.3e1 + t21568 / 0.54e2 - t3945 * t239 / 0.2e1 - t972 * t820 / 0.4e1;
  t23126 = t3949 * t239;
  t23136 = t884 * t884;
  t23149 = my_piecewise5(t7, 0, t11, 0, t22850);
  t23153 = my_piecewise3(t17, 0, 0.4e2 / 0.81e2 * t22143 * t961 * t745 - 0.32e2 / 0.27e2 * t3823 * t177 * t884 - 0.8e1 / 0.27e2 * t3930 * t753 + 0.8e1 / 0.9e1 * t744 * t23136 + 0.8e1 / 0.9e1 * t880 * t3834 - 0.8e1 / 0.27e2 * t3646 * t966 * t745 + 0.8e1 / 0.9e1 * t744 * t3939 * t177 + 0.4e1 / 0.9e1 * t3935 * t753 + 0.4e1 / 0.3e1 * t20 * t23149);
  t23160 = t970 * t767 * t29 * t96;
  t23164 = t3943 * t186 * t29 * t96;
  t23171 = t3952 * t653;
  t23174 = t3952 * t607;
  t23177 = t3944 * t27;
  t23181 = t23177 * t245;
  t23184 = -t23126 / 0.6e1 - t23153 * t23 * t29 * t96 / 0.4e1 + t23160 / 0.18e2 - t23164 / 0.6e1 + 0.2e1 / 0.9e1 * t22831 + t3958 * t832 / 0.2e1 + t3958 * t623 / 0.4e1 - t23171 * t662 / 0.12e2 + t23174 * t250 / 0.2e1 - t23177 * t210 * t223 / 0.6e1 + t23181 * t250 / 0.2e1;
  t23185 = t3948 * t27;
  t23187 = t23185 * t210 * t223;
  t23197 = t23185 * t245;
  t23198 = t23197 * t250;
  t23203 = -t23187 / 0.18e2 + t21864 / 0.9e1 - 0.5e1 / 0.27e2 * t21933 + t21935 / 0.18e2 - t22894 / 0.6e1 - t22896 / 0.6e1 - 0.5e1 / 0.27e2 * t22900 - t22902 / 0.3e1 + 0.2e1 / 0.9e1 * t22904 + t23198 / 0.6e1 - t3952 * t641 * t223 / 0.12e2;
  t23213 = t3952 * t678;
  t23222 = t3949 * t278;
  t23226 = -t3953 * t645 / 0.6e1 + t3958 * t691 / 0.2e1 - t23171 * t667 / 0.6e1 + t23171 * t672 / 0.3e1 - t23213 * t685 / 0.2e1 - t972 * t733 / 0.4e1 - t972 * t738 / 0.2e1 - t3945 * t278 / 0.2e1 - t23222 / 0.6e1 - t21992 / 0.27e2 - 0.5e1 / 0.27e2 * t22014;
  t23237 = t22929 / 0.6e1 + t22932 / 0.3e1 + t22072 / 0.9e1 - t22946 / 0.18e2 - t22948 / 0.18e2 + t22079 / 0.27e2 - 0.5e1 / 0.27e2 * t22115 + t22119 / 0.18e2 + t22121 / 0.9e1 + t22123 / 0.18e2 + t22140;
  t23241 = my_piecewise3(t2, 0, -t22529 / 0.6e1 - t22531 / 0.3e1 + 0.2e1 / 0.9e1 * t22544 - t22546 / 0.3e1 + t3953 * t840 / 0.12e2 - t3953 * t845 / 0.6e1 - t3958 * t827 / 0.4e1 - t22562 / 0.6e1 - t20967 / 0.18e2 - 0.2e1 / 0.27e2 * t20970 + t23096 + t23109 + t23123 + t23184 + t23203 + t23226 + t23237);
  t23244 = t869 * t1148;
  t23246 = t3884 * t405;
  t23253 = t873 * t1148;
  t23255 = t3888 * t405;
  t23257 = t873 * t1106;
  t23259 = t869 * t1106;
  t23262 = t3914 * t1040;
  t23264 = t3914 * t1062;
  t23266 = t3897 * t1057;
  t23267 = t23266 * t377;
  t23269 = t3883 * t27;
  t23270 = t23269 * t372;
  t23271 = t23270 * t377;
  t23274 = t23269 * t337 * t350;
  t23276 = t3897 * t1001;
  t23277 = t23276 * t1010;
  t23279 = t3898 * t994;
  t23282 = t3897 * t990 * t350;
  t23284 = t23276 * t1020;
  t23286 = t23276 * t1015;
  t23288 = t3893 * t1028;
  t23291 = t23262 / 0.3e1 + t23264 / 0.6e1 + t23267 / 0.3e1 + t23271 / 0.3e1 - t23274 / 0.9e1 - t23277 / 0.18e2 - t23279 / 0.9e1 - t23282 / 0.18e2 + 0.2e1 / 0.9e1 * t23284 - t23286 / 0.9e1 - t23288 * t1035 / 0.2e1;
  t23300 = t3893 * t1057;
  t23305 = t3887 * t27;
  t23306 = t23305 * t372;
  t23307 = t23306 * t377;
  t23309 = t3902 * t994;
  t23312 = t23305 * t337 * t350;
  t23315 = t3901 * t990 * t350;
  t23317 = t3901 * t1001;
  t23318 = t23317 * t1010;
  t23320 = t23317 * t1020;
  t23322 = t3893 * t1052 * t350 / 0.6e1 + t3911 * t1040 / 0.2e1 - t3911 * t1048 / 0.2e1 + t23300 * t377 / 0.2e1 + t3911 * t1062 / 0.4e1 - t23307 / 0.9e1 + t23309 / 0.27e2 + t23312 / 0.27e2 + t23315 / 0.54e2 + t23318 / 0.54e2 - 0.2e1 / 0.27e2 * t23320;
  t23323 = t23317 * t1015;
  t23325 = t3897 * t1028;
  t23326 = t23325 * t1035;
  t23328 = t3914 * t1048;
  t23331 = t3897 * t1052 * t350;
  t23333 = t869 * t1191;
  t23335 = t873 * t1191;
  t23339 = t1203 * t767 * t29 * t169;
  t23341 = t3888 * t366;
  t23351 = t919 * t919;
  t23364 = my_piecewise5(t11, 0, t7, 0, t23046);
  t23368 = my_piecewise3(t105, 0, 0.4e2 / 0.81e2 * t22476 * t1194 * t853 - 0.32e2 / 0.27e2 * t3864 * t285 * t919 - 0.8e1 / 0.27e2 * t4076 * t859 + 0.8e1 / 0.9e1 * t852 * t23351 + 0.8e1 / 0.9e1 * t915 * t3874 - 0.8e1 / 0.27e2 * t3700 * t1199 * t853 + 0.8e1 / 0.9e1 * t852 * t4085 * t285 + 0.4e1 / 0.9e1 * t4081 * t859 + 0.4e1 / 0.3e1 * t106 * t23364);
  t23375 = t3914 * t1085;
  t23377 = t23323 / 0.27e2 - t23326 / 0.3e1 - t23328 / 0.3e1 + t23331 / 0.9e1 - t23333 / 0.6e1 + t23335 / 0.18e2 + t23339 / 0.18e2 + t23341 / 0.9e1 - t23368 * t23 * t29 * t169 / 0.4e1 - t3880 * t366 / 0.2e1 - t23375 / 0.6e1;
  t23380 = t3914 * t1090;
  t23382 = t3898 * t1103;
  t23384 = t3898 * t1098;
  t23388 = t3917 * t1090;
  t23390 = t3917 * t1085;
  t23398 = t3902 * t1098;
  t23400 = t3902 * t1103;
  t23402 = t23380 / 0.3e1 - t23382 / 0.9e1 + t23384 / 0.18e2 - t3911 * t1085 / 0.4e1 - t23388 / 0.9e1 + t23390 / 0.18e2 + t3894 * t1098 / 0.12e2 - t3894 * t1103 / 0.6e1 + t3911 * t1090 / 0.2e1 - t23398 / 0.54e2 + t23400 / 0.27e2;
  t23412 = t3901 * t1052 * t350;
  t23414 = t3917 * t1040;
  t23416 = t3917 * t1048;
  t23418 = -0.5e1 / 0.27e2 * t23028 + 0.2e1 / 0.9e1 * t23010 - 0.5e1 / 0.27e2 * t23012 - t23016 / 0.6e1 - t23020 / 0.6e1 + 0.2e1 / 0.9e1 * t23024 - t22974 / 0.6e1 + 0.2e1 / 0.9e1 * t22976 - t23412 / 0.27e2 - t23414 / 0.9e1 + t23416 / 0.9e1;
  t23420 = t3901 * t1028;
  t23421 = t23420 * t1035;
  t23425 = t3879 * t27;
  t23429 = t23425 * t372;
  t23432 = t3893 * t1001;
  t23444 = t23421 / 0.9e1 + t22506 / 0.18e2 - 0.5e1 / 0.27e2 * t22510 + t22515 - t23425 * t337 * t350 / 0.6e1 + t23429 * t377 / 0.2e1 - t23432 * t1010 / 0.12e2 + t23432 * t1020 / 0.3e1 - t3893 * t990 * t350 / 0.12e2 - t3894 * t994 / 0.6e1 - t23432 * t1015 / 0.6e1;
  t23445 = t3901 * t1057;
  t23446 = t23445 * t377;
  t23448 = t3917 * t1062;
  t23454 = t4089 * t186 * t29 * t169;
  t23456 = t3884 * t366;
  t23464 = -t23446 / 0.9e1 - t23448 / 0.18e2 - t865 * t1191 / 0.4e1 - t23454 / 0.6e1 - t23456 / 0.3e1 + 0.5e1 / 0.27e2 * t22980 - 0.2e1 / 0.9e1 * t22984 + t22988 / 0.6e1 + 0.2e1 / 0.27e2 * t22991 - 0.5e1 / 0.81e2 * t22994 - t22997 / 0.18e2;
  t23468 = my_piecewise3(t100, 0, -t865 * t1106 / 0.2e1 - t23244 / 0.6e1 - t23246 / 0.3e1 - t865 * t1148 / 0.4e1 - t3880 * t405 / 0.2e1 - 0.5e1 / 0.27e2 * t22972 + t23253 / 0.18e2 + t23255 / 0.9e1 + t23257 / 0.9e1 - t23259 / 0.3e1 + t23291 + t23322 + t23377 + t23402 + t23418 + t23444 + t23464);
  tv4rho42 = 0.2e1 * t3863 + 0.2e1 * t3927 + 0.2e1 * t3970 + 0.2e1 * t4110 + t3 * (t23241 + t23468);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 2] += tv4rho42;

  t23489 = my_piecewise5(t7, 0, t11, 0, t22849 + t22850);
  t23493 = my_piecewise3(t17, 0, 0.4e2 / 0.81e2 * t22143 * t4115 * t177 - 0.8e1 / 0.9e1 * t3930 * t884 - 0.8e1 / 0.9e1 * t3823 * t966 * t177 + 0.4e1 / 0.3e1 * t3826 * t966 + 0.4e1 / 0.3e1 * t880 * t3939 + 0.4e1 / 0.9e1 * t744 * t4122 * t177 + 0.4e1 / 0.3e1 * t20 * t23489);
  t23500 = t4126 * t186 * t29 * t96;
  t23502 = t4127 * t27;
  t23508 = t23502 * t245;
  t23519 = -t23493 * t23 * t29 * t96 / 0.4e1 - t23500 / 0.12e2 - t23502 * t210 * t223 / 0.12e2 - t4128 * t239 / 0.4e1 + t23508 * t250 / 0.4e1 - t4128 * t278 / 0.4e1 - t23164 / 0.4e1 + t23160 / 0.6e1 - t23187 / 0.12e2 - t23126 / 0.4e1 + t23198 / 0.4e1 - t23222 / 0.4e1;
  t23526 = t22832 - 0.5e1 / 0.18e2 * t22900 + t22672 + t22905 - t22675 + t22545 - 0.5e1 / 0.54e2 * t22014 + t22140 - 0.5e1 / 0.162e3 * t21411 - 0.5e1 / 0.54e2 * t22115 + 0.5e1 / 0.54e2 * t21397 - 0.5e1 / 0.54e2 * t21933;
  t23528 = my_piecewise3(t2, 0, t23519 + t23526);
  t23529 = t3974 * t4550;
  t23531 = t3974 * t4554;
  t23533 = t937 * t4542;
  t23534 = t23533 * t1426;
  t23548 = t290 * t4694;
  t23556 = -t23529 / 0.6e1 + t23531 / 0.6e1 - t23534 / 0.6e1 + 0.3e1 / 0.2e1 * t945 * t4301 + 0.3e1 / 0.2e1 * t3971 * t4308 - 0.3e1 / 0.2e1 * t3971 * t4312 - 0.3e1 / 0.2e1 * t3971 * t4320 - 0.3e1 / 0.2e1 * t945 * t4325 + 0.3e1 / 0.2e1 * t945 * t4315 - 0.3e1 / 0.4e1 * t23548 * t4698 - t23244 / 0.4e1 - t23246 / 0.2e1 - 0.5e1 / 0.18e2 * t22972 + t23253 / 0.6e1 + t23255 / 0.3e1;
  t23559 = t948 * t4412;
  t23561 = t3993 * t1085;
  t23573 = t3993 * t1090;
  t23575 = t23257 / 0.3e1 - t23259 / 0.2e1 - t23559 / 0.6e1 - t23561 / 0.4e1 + t23262 / 0.2e1 + t23264 / 0.4e1 + t23267 / 0.2e1 + t23271 / 0.2e1 - t23274 / 0.6e1 - t23277 / 0.12e2 - t23279 / 0.6e1 - t23282 / 0.12e2 + t23284 / 0.3e1 - t23286 / 0.6e1 + t23573 / 0.2e1;
  t23589 = t933 * t4542;
  t23592 = t3974 * t4452;
  t23594 = t938 * t4457;
  t23596 = t938 * t4538;
  t23599 = t937 * t4532 * t4535;
  t23601 = t23533 * t1457;
  t23609 = -t4014 * t1103 / 0.4e1 - t4022 * t1103 / 0.2e1 + t4009 * t4452 / 0.4e1 + t934 * t4538 / 0.4e1 + t934 * t4457 / 0.12e2 + t933 * t4532 * t4535 - t23589 * t1457 / 0.4e1 + t23592 / 0.12e2 + t23594 / 0.36e2 + t23596 / 0.12e2 + t23599 / 0.3e1 - t23601 / 0.12e2 - t4009 * t4433 / 0.4e1 - t934 * t4437 / 0.4e1 - t934 * t4442 / 0.2e1;
  t23621 = t3990 * t1090;
  t23623 = t3974 * t4378;
  t23625 = t948 * t4408;
  t23627 = t948 * t4325;
  t23629 = t3990 * t1085;
  t23631 = t948 * t4332;
  t23633 = t948 * t4329;
  t23635 = t937 * t4142;
  t23636 = t23635 * t4156;
  t23638 = t23635 * t4707;
  t23640 = t3986 * t1001;
  t23641 = t23640 * t1015;
  t23643 = t4014 * t1098 / 0.6e1 + t4037 * t1103 / 0.2e1 + t4022 * t1098 / 0.4e1 - t4037 * t1098 / 0.3e1 + t4009 * t4361 + 0.3e1 / 0.4e1 * t945 * t4364 + t23621 / 0.2e1 - t23623 / 0.3e1 - t23625 / 0.12e2 - t23627 / 0.2e1 - t23629 / 0.4e1 - t23631 / 0.2e1 + t23633 / 0.3e1 + 0.23e2 / 0.108e3 * t23636 - t23638 / 0.6e1 - t23641 / 0.6e1;
  t23646 = t23640 * t1020;
  t23648 = t937 * t4162;
  t23649 = t23648 * t1015;
  t23651 = t937 * t4717;
  t23652 = t23651 * t4722;
  t23654 = t4005 * t4726;
  t23655 = t948 * t4730;
  t23658 = t937 * t4224 * t350;
  t23660 = t4005 * t4308;
  t23662 = t948 * t4315;
  t23664 = t4005 * t4320;
  t23666 = t3987 * t1103;
  t23668 = t3981 * t1098;
  t23670 = t3987 * t1098;
  t23672 = t3998 * t1103;
  t23674 = t3998 * t1098;
  t23677 = t937 * t4425 * t4429;
  t23679 = t23646 / 0.3e1 + t23649 / 0.3e1 + t23652 / 0.2e1 - t23654 + t23655 / 0.2e1 - t23658 / 0.6e1 + t23660 / 0.2e1 + t23662 / 0.2e1 - t23664 / 0.2e1 - t23666 / 0.6e1 + t23668 / 0.18e2 + t23670 / 0.12e2 + t23672 / 0.6e1 - t23674 / 0.9e1 + t23677 / 0.6e1;
  t23680 = t3974 * t4433;
  t23682 = t938 * t4437;
  t23684 = t938 * t4442;
  t23686 = t3981 * t1103;
  t23688 = t3993 * t1062;
  t23690 = t23640 * t1010;
  t23693 = t3986 * t990 * t350;
  t23695 = t3981 * t994;
  t23697 = t948 * t4252;
  t23700 = t937 * t4245 * t350;
  t23702 = t23635 * t4231;
  t23704 = t3974 * t4228;
  t23706 = t23648 * t1020;
  t23708 = t3993 * t1048;
  t23710 = t3974 * t4135;
  t23712 = -t23680 / 0.12e2 - t23682 / 0.12e2 - t23684 / 0.6e1 - t23686 / 0.12e2 + t23688 / 0.4e1 - t23690 / 0.12e2 - t23693 / 0.12e2 - t23695 / 0.12e2 + t23697 / 0.12e2 - t23700 / 0.36e2 - 0.5e1 / 0.108e3 * t23702 - t23704 / 0.12e2 - 0.2e1 / 0.3e1 * t23706 - t23708 / 0.2e1 - t23710 / 0.6e1;
  t23714 = t23635 * t4151;
  t23716 = t948 * t4341;
  t23718 = t948 * t4348;
  t23720 = t938 * t4357;
  t23722 = t3974 * t4361;
  t23724 = t948 * t4364;
  t23726 = t948 * t4373;
  t23732 = t290 * t355;
  t23740 = -0.11e2 / 0.54e2 * t23714 - t23716 / 0.2e1 + t23718 / 0.6e1 - t23720 / 0.18e2 + t23722 / 0.3e1 + t23724 / 0.4e1 + t23726 / 0.4e1 - t945 * t4412 / 0.2e1 - 0.3e1 / 0.4e1 * t4028 * t1085 + t23732 * t4690 / 0.4e1 - t23307 / 0.3e1 + t23309 / 0.9e1 + t23312 / 0.9e1 + t23315 / 0.18e2 + t23318 / 0.18e2;
  t23758 = -0.2e1 / 0.9e1 * t23320 + t23323 / 0.9e1 - t23326 / 0.2e1 - t23328 / 0.2e1 + t23331 / 0.6e1 - t23333 / 0.4e1 + t23335 / 0.6e1 + t23339 / 0.6e1 + t23341 / 0.3e1 - t23375 / 0.4e1 + t23380 / 0.2e1 - t23382 / 0.6e1 + t23384 / 0.12e2 - t934 * t4357 / 0.6e1 - t23388 / 0.3e1 + t23390 / 0.6e1;
  t23766 = t929 * t1191;
  t23768 = t294 * t4662;
  t23772 = t4676 * t186 * t29 * t169;
  t23774 = t4101 * t366;
  t23776 = t937 * t4187;
  t23777 = t23776 * t1035;
  t23779 = t4100 * t27;
  t23781 = t23779 * t337 * t350;
  t23783 = t23779 * t372;
  t23784 = t23783 * t377;
  t23786 = t937 * t4175;
  t23787 = t23786 * t377;
  t23789 = t938 * t4171;
  t23791 = -t23398 / 0.18e2 + t23400 / 0.9e1 - 0.5e1 / 0.18e2 * t23028 + t23011 - 0.5e1 / 0.18e2 * t23012 + t23025 - t23766 / 0.4e1 - t23768 / 0.12e2 - t23772 / 0.12e2 - t23774 / 0.4e1 - t23777 / 0.2e1 - t23781 / 0.12e2 + t23784 / 0.4e1 + t23787 / 0.4e1 - t23789 / 0.12e2;
  t23793 = t3986 * t1052 * t350;
  t23795 = t3998 * t994;
  t23797 = t3986 * t1057;
  t23798 = t23797 * t377;
  t23800 = t3990 * t1048;
  t23802 = t3987 * t994;
  t23804 = t23648 * t1010;
  t23806 = t3974 * t4264;
  t23808 = t3990 * t1062;
  t23815 = t933 * t4175;
  t23818 = t4090 * t27;
  t23827 = t23793 / 0.6e1 + t23795 / 0.6e1 + t23798 / 0.2e1 - t23800 / 0.2e1 - t23802 / 0.6e1 + t23804 / 0.6e1 + t23806 / 0.3e1 + t23808 / 0.4e1 + t945 * t4329 - 0.3e1 / 0.2e1 * t945 * t4341 - t934 * t4171 / 0.4e1 + 0.3e1 / 0.4e1 * t23815 * t377 - t23818 * t337 * t350 / 0.4e1 + t4021 * t1052 * t350 / 0.2e1 + t4037 * t994 / 0.2e1;
  t23831 = t933 * t4162;
  t23834 = t4021 * t1057;
  t23853 = -0.3e1 / 0.2e1 * t4028 * t1048 - 0.2e1 * t23831 * t1020 + 0.3e1 / 0.2e1 * t23834 * t377 - 0.3e1 / 0.2e1 * t4025 * t1048 + t23831 * t1010 / 0.2e1 - t4022 * t994 / 0.2e1 + t4009 * t4264 + t22977 - t23412 / 0.9e1 - t23414 / 0.3e1 + t23416 / 0.3e1 + t23421 / 0.3e1 + t945 * t4348 / 0.2e1 - 0.3e1 / 0.4e1 * t290 * t4522 - 0.5e1 / 0.54e2 * t22510;
  t23856 = t294 * t4460;
  t23858 = t929 * t1148;
  t23860 = t294 * t4519;
  t23862 = t294 * t4522;
  t23864 = t4101 * t405;
  t23866 = t929 * t1106;
  t23870 = t4021 * t1028;
  t23873 = t933 * t4142;
  t23880 = t23818 * t372;
  t23883 = t933 * t4187;
  t23886 = t22515 - 0.3e1 / 0.4e1 * t290 * t4460 - t23856 / 0.4e1 - t23858 / 0.4e1 - t23860 / 0.12e2 - t23862 / 0.4e1 - t23864 / 0.4e1 - t23866 / 0.2e1 - t23446 / 0.3e1 - t23448 / 0.6e1 - 0.3e1 / 0.2e1 * t23870 * t1035 - 0.3e1 / 0.2e1 * t23873 * t4193 + 0.3e1 / 0.2e1 * t4025 * t1040 + 0.3e1 / 0.2e1 * t4028 * t1040 + 0.3e1 / 0.4e1 * t23880 * t377 - 0.3e1 / 0.2e1 * t23883 * t1035;
  t23889 = t4005 * t4220;
  t23890 = t948 * t4216;
  t23891 = t948 * t4210;
  t23893 = t23635 * t4200;
  t23895 = t3986 * t1028;
  t23896 = t23895 * t1035;
  t23898 = t3993 * t1040;
  t23900 = t3990 * t1040;
  t23902 = t23635 * t4193;
  t23915 = t23889 - t23890 + t23891 / 0.2e1 + 0.7e1 / 0.9e1 * t23893 - t23896 / 0.2e1 + t23898 / 0.2e1 + t23900 / 0.2e1 - t23902 / 0.2e1 + 0.3e1 / 0.4e1 * t945 * t4373 + 0.3e1 / 0.2e1 * t4028 * t1090 + 0.3e1 / 0.2e1 * t4025 * t1090 - t945 * t4408 / 0.4e1 - t4009 * t4378 - t23454 / 0.4e1 - t23456 / 0.2e1;
  t23928 = t948 * t4301;
  t23930 = t4005 * t4312;
  t23939 = t4021 * t1001;
  t23942 = -0.3e1 / 0.2e1 * t925 * t1106 - 0.3e1 / 0.4e1 * t925 * t1148 - t290 * t4519 / 0.4e1 - 0.3e1 / 0.4e1 * t4091 * t405 - 0.3e1 / 0.2e1 * t945 * t4332 - 0.3e1 / 0.4e1 * t4025 * t1085 + t23928 / 0.2e1 - t23930 / 0.2e1 + 0.5e1 / 0.18e2 * t22980 - t22985 + t22992 - 0.5e1 / 0.54e2 * t22994 + 0.3e1 / 0.4e1 * t4025 * t1062 - t4021 * t990 * t350 / 0.4e1 - t23939 * t1010 / 0.4e1;
  t23978 = my_piecewise5(t11, 0, t7, 0, -t22849 + t23046);
  t23982 = my_piecewise3(t105, 0, 0.4e2 / 0.81e2 * t22476 * t4665 * t285 - 0.8e1 / 0.9e1 * t4076 * t919 - 0.8e1 / 0.9e1 * t3864 * t1199 * t285 + 0.4e1 / 0.3e1 * t3867 * t1199 + 0.4e1 / 0.3e1 * t915 * t4085 + 0.4e1 / 0.9e1 * t852 * t4672 * t285 + 0.4e1 / 0.3e1 * t106 * t23978);
  t24000 = 0.3e1 / 0.4e1 * t4028 * t1062 - t4014 * t994 / 0.4e1 + t945 * t4252 / 0.4e1 - 0.5e1 / 0.36e2 * t23873 * t4231 - t933 * t4245 * t350 / 0.12e2 - t933 * t4224 * t350 / 0.2e1 - 0.3e1 / 0.4e1 * t925 * t1191 - t290 * t4662 / 0.4e1 - t23982 * t23 * t29 * t169 / 0.4e1 - 0.3e1 / 0.4e1 * t4091 * t366 - t23589 * t1426 / 0.2e1 + t4009 * t4554 / 0.2e1 - t4009 * t4550 / 0.2e1 + t933 * t4425 * t4429 / 0.2e1 - t4009 * t4228 / 0.4e1;
  t24004 = t933 * t4717;
  t24028 = t294 * t4694;
  t24029 = t24028 * t4698;
  t24031 = t294 * t355;
  t24032 = t24031 * t4690;
  t24034 = 0.3e1 / 0.2e1 * t945 * t4730 + t23831 * t1015 + 0.3e1 / 0.2e1 * t24004 * t4722 - 0.3e1 * t3971 * t4726 - t23873 * t4707 / 0.2e1 - t23939 * t1015 / 0.2e1 + t23939 * t1020 - t4009 * t4135 / 0.2e1 - 0.11e2 / 0.18e2 * t23873 * t4151 + 0.23e2 / 0.36e2 * t23873 * t4156 + 0.3e1 * t3971 * t4220 + 0.3e1 / 0.2e1 * t945 * t4210 - 0.3e1 * t945 * t4216 + 0.7e1 / 0.3e1 * t23873 * t4200 - t24029 / 0.4e1 + t24032 / 0.12e2;
  t24039 = my_piecewise3(t100, 0, t23556 + t23575 + t23609 + t23643 + t23679 + t23712 + t23740 + t23758 + t23791 + t23827 + t23853 + t23886 + t23915 + t23942 + t24000 + t24034);
  tv4rho43 = 0.3e1 * t3970 + 0.3e1 * t4110 + t4134 + t4737 + t3 * (t23528 + t24039);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 3] += tv4rho43;

  t24044 = t961 * t961;
  t24049 = t966 * t966;
  t24056 = my_piecewise5(t7, 0, t11, 0, 0.24e2 * t3654 + 0.24e2 * t22157);
  t24060 = my_piecewise3(t17, 0, 0.4e2 / 0.81e2 * t22143 * t24044 - 0.16e2 / 0.9e1 * t3930 * t966 + 0.4e1 / 0.3e1 * t744 * t24049 + 0.16e2 / 0.9e1 * t880 * t4122 + 0.4e1 / 0.3e1 * t20 * t24056);
  t24069 = my_piecewise3(t2, 0, -t24060 * t23 * t29 * t96 / 0.4e1 - t23500 / 0.3e1 + t23160 / 0.3e1 - 0.1e2 / 0.27e2 * t22900 + t22140);
  t24073 = t4572 * t5666;
  t24085 = t997 * t997;
  t24087 = 0.1e1 / t998 / t1044;
  t24090 = t321 * t3135 * t24085 * t24087;
  t24097 = params->at * t4517;
  t24105 = t1146 * t193;
  t24110 = t988 * t1045;
  t24116 = -0.7e1 * t5665 * t4568 * t5667 + 0.7e1 * t5639 * t4568 * t24073 - 0.2e1 / 0.3e1 * t1066 * t4357 - t991 * t4357 / 0.2e1 + 0.2e1 * t1058 * t4348 - 0.6e1 * t1058 * t4341 + 0.5e1 / 0.3e1 * t24090 * t4231 + 0.3e1 * t1058 * t4373 + 0.3e1 * t1058 * t4364 + t373 * t24097 * t353 * t376 + 0.3e1 / 0.2e1 * t373 * t4371 * t1153 * t376 - 0.3e1 / 0.2e1 * t4695 * t24105 * t336 * t1084 - 0.6e1 * t4695 * t4696 * t24110 * t1438 - 0.2e1 / 0.3e1 * t23529;
  t24120 = t988 * t988;
  t24126 = t4160 * t341;
  t24127 = t24126 * t356;
  t24139 = t1005 * t1005;
  t24140 = 0.1e1 / t24139;
  t24141 = t1004 * t24140;
  t24142 = t24141 * t1429;
  t24144 = t24142 * t371 * t4355;
  t24147 = t4145 * t24140;
  t24148 = t24147 * t5594;
  t24149 = t24148 * t4377;
  t24152 = t110 * t4568;
  t24155 = t24142 * t4356;
  t24158 = t4719 * t5591;
  t24159 = t4148 * t4318;
  t24163 = t4243 * t999;
  t24165 = t321 * t649 * t24163;
  t24168 = 0.2e1 / 0.3e1 * t23531 - 0.2e1 / 0.3e1 * t23534 - t991 * t4442 - 0.3e1 / 0.2e1 * t373 * t374 * t24120 * t1047 - 0.6e1 * t373 * t374 * t24085 * t24127 + 0.4e1 * t1058 * t4329 + 0.3e1 / 0.2e1 * t373 * t4328 * t4407 + 0.3e1 / 0.2e1 * t373 * t4411 * t4347 + 0.11e2 / 0.3e1 * t1002 * t24144 - 0.23e2 / 0.6e1 * t4143 * t24149 + 0.7e1 / 0.3e1 * t24152 * t5676 - 0.11e2 / 0.12e2 * t1002 * t24155 + 0.9e1 * t373 * t24158 * t24159 - 0.2e1 / 0.3e1 * t24165 * t1426;
  t24176 = t9444 * t380 * t403 * t4345;
  t24186 = t5595 * t1027 * t4427;
  t24191 = t4388 * t4541;
  t24205 = t137 * t69;
  t24206 = t24205 * t4138;
  t24216 = t4388 * t4138;
  t24227 = t4567 * t999;
  t24230 = 0.4e1 * t24191 * t1410 + 0.8e1 * t1077 * t1051 * t1084 + 0.12e2 * t24191 * t1415 + 0.4e1 * t4392 * t4347 + 0.4e1 * t1177 * t1084 - 0.8e1 * t1180 * t1084 + 0.16e2 / 0.9e1 * t24206 * t4721 + 0.2e1 * t9372 * t4319 - 0.2e1 * t1172 * t4307 + 0.2e1 * t1077 * t4243 * t376 - 0.8e1 * t24216 * t4219 + 0.32e2 / 0.3e1 * t24206 * t4725 + 0.12e2 * t24206 * t4729 + 0.12e2 * t1172 * t4324 - 0.24e2 * t24216 * t4215 - 0.12e2 * t24227 * t1415;
  t24255 = t4388 * t1000;
  t24268 = 0.2e1 * t359 * t4407 + 0.12e2 * t1153 * t1045 * t1438 - 0.4e1 * t359 * t4347 + 0.12e2 * t1077 * t4138 * t4209 - 0.12e2 * t4585 * t4706 + 0.4e1 / 0.3e1 * t4585 * t4150 + 0.24e2 * t4581 * t1014 - 0.12e2 * t4596 * t349 - 0.4e1 * t4581 * t1009 - 0.2e1 * t4604 * t349 + 0.2e2 / 0.9e1 * t4585 * t4155 - 0.4e1 * t24255 * t4307 - 0.2e1 * t4392 * t4407 - 0.12e2 * t1077 * t24110 * t1438 - 0.4e1 * t1077 * t989 * t1084 - 0.12e2 * t24255 * t4324;
  t24269 = t24230 + t24268;
  t24271 = t1076 * t348 * t24269;
  t24275 = t24147 * t5732;
  t24276 = t24275 * t1097;
  t24280 = t4376 * t1056 * t1096;
  t24283 = -0.1e2 / 0.27e2 * t22972 + 0.2e1 * t4695 * t4697 * t4347 - 0.2e1 / 0.3e1 * t4686 * t24176 + t23253 / 0.3e1 + 0.2e1 / 0.3e1 * t23255 + 0.2e1 / 0.3e1 * t23257 - t110 * t4661 * t404 - 0.2e1 / 0.3e1 * t23559 - t23561 - 0.9e1 * t5593 * t24186 - 0.3e1 * t4274 * t1085 - t373 * t1075 * t24271 / 0.4e1 + 0.11e2 / 0.3e1 * t4143 * t24276 - 0.4e1 * t1002 * t24280;
  t24284 = t4553 * t4456;
  t24288 = t4376 * t371 * t4455;
  t24291 = t4553 * t4537;
  t24296 = t321 * t3135 * t988 * t4140;
  t24301 = t5733 * t4534;
  t24306 = t4405 * t1082;
  t24308 = t9444 * t168 * t24306;
  t24312 = t1430 * t1056 * t4427;
  t24315 = t167 * t4243;
  t24317 = t1430 * t371 * t24315;
  t24323 = t1189 * t146;
  t24325 = t1094 * t24323 * t1096;
  t24328 = t4376 * t4537;
  t24330 = 0.2e1 / 0.3e1 * t1002 * t24284 - 0.4e1 / 0.3e1 * t1002 * t24288 + 0.2e1 * t1002 * t24291 - 0.11e2 / 0.3e1 * t24296 * t6022 + 0.23e2 / 0.6e1 * t24296 * t5744 + 0.14e2 * t5593 * t24301 + 0.4e1 * t1070 * t4329 - t4686 * t24308 / 0.2e1 + 0.4e1 * t4533 * t24312 + 0.4e1 / 0.3e1 * t4533 * t24317 + t1066 * t4538 + 0.2e1 / 0.3e1 * t991 * t4538 + t338 * t24325 / 0.2e1 + t1002 * t24328;
  t24339 = t1094 * t1095 * t167 * t24269;
  t24342 = t4376 * t4456;
  t24346 = t1065 * t4532;
  t24349 = t1065 * t4542;
  t24357 = t1430 * t4436;
  t24360 = t5595 * t1102;
  t24366 = t1066 * t4457 / 0.3e1 + t991 * t4457 / 0.4e1 + t338 * t24339 / 0.12e2 + t1002 * t24342 / 0.3e1 + t4258 * t4452 + 0.4e1 * t24346 * t4535 - t24349 * t1457 - t24165 * t1457 / 0.3e1 - t4543 * t5762 - 0.5e1 / 0.6e1 * t24296 * t5756 + 0.2e1 * t23573 - t1002 * t24357 / 0.2e1 - 0.5e1 / 0.9e1 * t4143 * t24360 + 0.2e1 * t1065 * t4425 * t4429;
  t24371 = t4440 * t4427;
  t24372 = t1101 * t24371;
  t24375 = t1095 * t24315;
  t24376 = t1101 * t24375;
  t24382 = t1101 * t1095 * t24097;
  t24385 = t110 * t1161;
  t24386 = t5691 * t4689;
  t24404 = -0.2e1 * t4225 * t1103 - 0.4e1 / 0.3e1 * t4166 * t1098 + 0.2e1 * t4426 * t24372 + 0.2e1 / 0.3e1 * t4426 * t24376 + 0.3e1 / 0.2e1 * t4225 * t1098 - t338 * t24382 / 0.3e1 + t24385 * t24386 - 0.3e1 / 0.2e1 * t4176 * t1085 - 0.2e1 * t1058 * t4412 - t1058 * t4408 - 0.2e1 * t1070 * t4412 + t373 * t1088 * t4603 * t376 + 0.3e1 * t4176 * t1090 - 0.3e1 * t373 * t4371 * t1156 * t1047;
  t24418 = t24140 * t4149;
  t24419 = t24418 * t1182;
  t24422 = t648 * t24120;
  t24423 = t24422 * t1032;
  t24429 = t193 * t24085;
  t24435 = t24140 * t1008;
  t24436 = t24435 * t4576;
  t24442 = t69 * t988 * t4607;
  t24448 = t4572 * t4559;
  t24452 = t4575 * t1182 * t4405;
  t24455 = t4603 * t1046;
  t24458 = t24140 * t348;
  t24459 = t4345 * t1082;
  t24461 = t24458 * t143 * t24459;
  t24464 = t4567 * t4214;
  t24472 = t648 * t4243 * t1032;
  t24477 = t24140 * t4154;
  t24478 = t24477 * t1166;
  t24481 = -0.18e2 * t4651 * t1167 + 0.4e1 / 0.3e1 * t1161 * t24448 - 0.3e1 * t355 * t24452 - 0.8e1 * t24455 * t1472 - 0.6e1 * t355 * t24461 + 0.12e2 * t24464 * t5913 - 0.3e1 * t4617 * t1167 - 0.28e2 / 0.3e1 * t4568 * t5881 - 0.4e1 / 0.3e1 * t24472 * t1477 - 0.28e2 / 0.3e1 * t4630 * t4573 + 0.2e1 / 0.3e1 * t4608 * t24478;
  t24483 = t353 * t1046;
  t24484 = t1182 * t988;
  t24485 = t1165 * t24484;
  t24491 = t4567 * t5888;
  t24496 = t1153 * t4208;
  t24502 = t24458 * t140 * t24459;
  t24505 = t193 * t24120;
  t24509 = t4626 * t4637;
  t24516 = -0.9e1 * t24483 * t24485 + 0.18e2 * t1153 * t5895 * t5897 + 0.14e2 / 0.3e1 * t24491 * t5972 - 0.28e2 * t24491 * t5892 + 0.36e2 * t24496 * t5926 + 0.6e1 * t1157 * t4649 + 0.3e1 * t355 * t24502 - 0.6e1 * t24505 * t1046 * t357 + 0.4e1 * t1161 * t24509 + 0.36e2 * t24464 * t5946 - 0.4e1 * t24472 * t1495;
  t24518 = t1165 * t140 * t24269;
  t24521 = t648 * t24085;
  t24522 = t4140 * t1004;
  t24523 = t24521 * t24522;
  t24528 = t24435 * t4648;
  t24535 = t20822 * t24085;
  t24536 = t998 * t998;
  t24537 = 0.1e1 / t24536;
  t24538 = t1003 * t1003;
  t24539 = 0.1e1 / t24538;
  t24540 = t24537 * t24539;
  t24541 = t24535 * t24540;
  t24542 = t24477 * t143;
  t24545 = t24418 * t143;
  t24548 = t24435 * t1182;
  t24551 = t69 * t24085;
  t24552 = t24087 * t4145;
  t24553 = t24551 * t24552;
  t24556 = t1008 * t1013;
  t24557 = t24140 * t24556;
  t24558 = t24557 * t143;
  t24561 = t355 * t24518 / 0.2e1 - 0.12e2 * t24523 * t1162 + 0.56e2 / 0.3e1 * t4630 * t4613 + 0.22e2 / 0.3e1 * t1161 * t24528 - 0.24e2 * t24464 * t5940 + t24442 * t5943 / 0.3e1 + 0.8e1 / 0.3e1 * t24541 * t24542 + 0.24e2 * t24541 * t24545 + 0.18e2 * t4608 * t24548 + 0.8e1 * t24553 * t4620 - 0.4e1 / 0.3e1 * t24541 * t24558;
  t24564 = t24140 * t1013;
  t24565 = t24564 * t4648;
  t24576 = t69 * t997;
  t24577 = t24576 * t4607;
  t24578 = t4572 * t5931;
  t24581 = t1008 * t1008;
  t24582 = t24140 * t24581;
  t24583 = t24582 * t143;
  t24591 = 0.1e1 / t112 / t4491;
  t24595 = my_piecewise3(t129, t322, 0.308e4 / 0.243e3 * lapl[1] * t4239 - 0.1232e5 / 0.243e3 * t117 * t4239 + 0.5236e4 / 0.243e3 * t120 * t24591);
  t24596 = t193 * t24595;
  t24601 = t24477 * t1182;
  t24605 = t1165 * t143 * t24269;
  t24607 = -0.11e2 * t1161 * t24565 + 0.72e2 * t24523 * t1169 - 0.28e2 * t4630 * t4627 - 0.3e1 * t1157 * t4638 + 0.3e1 / 0.2e1 * t1154 * t4638 - 0.18e2 * t24577 * t24578 - t24541 * t24583 / 0.9e1 + t24596 * t354 * t357 + 0.4e1 / 0.3e1 * t24553 * t4610 - t4608 * t24601 / 0.3e1 - t355 * t24605;
  t24608 = t4572 * t5884;
  t24611 = t24435 * t1166;
  t24622 = t24418 * t1166;
  t24625 = t24564 * t4576;
  t24634 = -0.3e1 * t1154 * t4560 + 0.22e2 * t1161 * t24625 + 0.8e1 * t24472 * t1481 - 0.4e1 * t24442 * t5862 - 0.72e2 * t24464 * t5869 - 0.18e2 * t24496 * t5953 - 0.72e2 * t24553 * t4623 + 0.36e2 * t24577 * t24608 - 0.36e2 * t4608 * t24611 + 0.4e1 * t4608 * t24622 + 0.56e2 * t4630 * t4656;
  t24636 = t4626 * t4559;
  t24641 = t24422 * t999;
  t24644 = t24551 * t24087;
  t24659 = t4572 * t4637;
  t24664 = -0.8e1 * t1161 * t24636 + 0.6e1 * t1157 * t4560 - 0.3e1 * t24641 * t1187 + 0.36e2 * t24644 * t4590 + 0.12e2 * t24429 * t4160 * t361 + 0.2e1 * t24641 * t1174 + 0.3e1 * t24505 * t1045 * t361 - 0.4e2 * t24644 * t4600 - 0.2e1 / 0.3e1 * t24644 * t4587 - 0.8e1 / 0.3e1 * t1161 * t24659 - 0.3e1 * t1154 * t4649;
  t24671 = t4619 * t5931;
  t24674 = t24521 * t4140;
  t24677 = t24535 * t24537;
  t24678 = t24539 * t24140;
  t24679 = t24678 * t4586;
  t24682 = t24556 * t140;
  t24683 = t24678 * t24682;
  t24689 = t24678 * t4599;
  t24693 = t142 * t4405;
  t24695 = t360 * t24693 * t1082;
  t24700 = 0.4e1 * t24455 * t1491 + 0.3e1 / 0.2e1 * t4617 * t1183 + 0.8e1 / 0.3e1 * t24472 * t1485 + 0.2e2 * t24577 * t24671 + 0.24e2 * t24674 * t1174 + 0.5e2 / 0.3e1 * t24677 * t24679 + 0.1e2 / 0.3e1 * t24677 * t24683 - t24596 * t335 * t361 / 0.2e1 - 0.12e2 * t24677 * t24689 + 0.6e1 * t353 * t9577 * t24695 - 0.36e2 * t24674 * t1187;
  t24708 = t4155 * t4263;
  t24713 = t321 * t20823 * t24085 * t24537;
  t24714 = t24678 * t24556;
  t24715 = t24714 * t169;
  t24718 = t24678 * t24581;
  t24719 = t24718 * t1019;
  t24726 = t321 * t649 * t24085 * t4140;
  t24729 = t4150 * t366;
  t24732 = 0.2e1 * t1070 * t4348 + t23592 / 0.3e1 + t23594 / 0.9e1 + t23596 / 0.3e1 + 0.4e1 / 0.3e1 * t23599 - t23601 / 0.3e1 + 0.2e1 * t110 * t4562 * t6006 - t110 * t139 * (0.14e2 * t4568 * t5877 - 0.2e2 * t4608 * t24419 + 0.6e1 * t24423 * t1169 + 0.9e1 * t4651 * t1183 - t24423 * t1162 - 0.24e2 * t24429 * t24126 * t357 - 0.12e2 * t1157 * t4577 - 0.11e2 / 0.3e1 * t1161 * t24436 + 0.6e1 * t1154 * t4577 - 0.2e1 / 0.3e1 * t24442 * t5919 + t24481 + t24516 + t24561 + t24607 + t24634 + t24664 + t24700) * t168 / 0.4e1 + 0.23e2 / 0.9e1 * t4143 * t24708 - 0.61e2 / 0.27e2 * t24713 * t24715 + 0.44e2 / 0.27e2 * t24713 * t24719 + 0.2e1 * t4163 * t4228 + 0.12e2 * t24726 * t1020 - 0.22e2 / 0.9e1 * t4143 * t24729;
  t24733 = t110 * t1157;
  t24736 = t110 * t24483;
  t24737 = t988 * t1082;
  t24738 = t168 * t24737;
  t24739 = t4687 * t24738;
  t24742 = t5674 * t4689;
  t24745 = t5650 * t1000;
  t24752 = t5563 * t4428;
  t24756 = t4148 * t4149 * t988;
  t24760 = t4719 * t4141;
  t24762 = t24147 * t4154 * t1082;
  t24766 = t1088 * t4584;
  t24777 = t4148 * t4154 * t988;
  t24785 = -0.4e1 / 0.3e1 * t24733 * t4690 - 0.3e1 / 0.2e1 * t24736 * t24739 + 0.2e1 * t24385 * t24742 + 0.6e1 * t5649 * t24745 * t4307 - 0.6e1 * t4695 * t24745 * t4324 - 0.3e1 * t5593 * t24752 - 0.18e2 * t1029 * t24158 * t24756 - 0.9e1 * t4718 * t24760 * t24762 + 0.6e1 * t4718 * t24766 * t4721 - 0.12e2 * t1029 * t24766 * t4725 + 0.6e1 * t373 * t24766 * t4729 + 0.9e1 * t4718 * t24158 * t24777 - 0.6e1 * t24726 * t1015 + 0.6e1 * t4274 * t1090;
  t24790 = t1094 * t4440 * t4455;
  t24798 = t1101 * t24323 * t1088;
  t24801 = t1101 * t4440 * t4371;
  t24803 = t1430 * t4441;
  t24805 = t24148 * t1097;
  t24808 = t4677 * t27;
  t24809 = t24808 * t372;
  t24812 = t4179 * t1057;
  t24815 = t1065 * t4142;
  t24820 = t4150 * t4263;
  t24826 = t338 * t24790 / 0.3e1 - 0.6e1 * t1058 * t4332 - t991 * t4437 / 0.2e1 - t338 * t24798 - t338 * t24801 - t1002 * t24803 + 0.5e1 / 0.6e1 * t4143 * t24805 + t24809 * t377 - t4180 * t994 + 0.3e1 * t24812 * t377 - 0.22e2 / 0.9e1 * t24815 * t4151 + 0.23e2 / 0.9e1 * t24815 * t4156 + 0.28e2 / 0.3e1 * t4143 * t24820 - t24808 * t337 * t350 / 0.3e1;
  t24835 = t365 * t4191;
  t24836 = t4155 * t24835;
  t24841 = t1065 * t4175;
  t24854 = t1430 * t1056 * t1088;
  t24861 = t4687 * t380 * t1146 * t1082;
  t24864 = -0.2e1 * t4695 * t4696 * t989 * t1084 - 0.23e2 / 0.3e1 * t24090 * t4156 - 0.2e1 * t4258 * t4135 - 0.6e1 * t4143 * t24836 + 0.22e2 / 0.3e1 * t24090 * t4151 + 0.3e1 * t24841 * t377 + 0.12e2 * t4188 * t4220 - t1066 * t4171 + 0.12e2 * t4204 * t4220 - 0.12e2 * t1070 * t4216 + 0.4e1 * t4258 * t4361 + 0.4e1 * t1002 * t24854 - 0.2e1 * t4258 * t4550 + t4686 * t24861 / 0.2e1;
  t24866 = t4575 * t24306;
  t24878 = t1194 * t1194;
  t24883 = t1199 * t1199;
  t24890 = my_piecewise5(t11, 0, t7, 0, -0.24e2 * t3654 + 0.24e2 * t22488);
  t24894 = my_piecewise3(t105, 0, 0.4e2 / 0.81e2 * t22476 * t24878 - 0.16e2 / 0.9e1 * t4076 * t1199 + 0.4e1 / 0.3e1 * t852 * t24883 + 0.16e2 / 0.9e1 * t915 * t4672 + 0.4e1 / 0.3e1 * t106 * t24890);
  t24901 = t5733 * t1102;
  t24904 = t1423 * t4441;
  t24908 = t1430 * t371 * t4371;
  t24911 = 0.3e1 / 0.2e1 * t5665 * t355 * t24866 - t4695 * t4697 * t4407 + 0.2e1 * t23621 - 0.4e1 / 0.3e1 * t23623 - t23625 / 0.3e1 - 0.2e1 * t23627 - t23629 - 0.2e1 * t23631 + 0.4e1 / 0.3e1 * t23633 - t24894 * t23 * t29 * t169 / 0.4e1 - 0.2e1 * t24152 * t5682 - 0.22e2 / 0.9e1 * t4143 * t24901 - 0.2e1 * t1002 * t24904 + 0.2e1 * t1002 * t24908;
  t24912 = t997 * t4160;
  t24914 = t321 * t649 * t24912;
  t24917 = t5595 * t4360;
  t24920 = t1423 * t4436;
  t24936 = t1088 * t4580;
  t24945 = 0.6e1 * t24914 * t5621 + 0.23e2 / 0.9e1 * t4143 * t24917 - t1002 * t24920 + 0.4e1 * t4163 * t4550 - 0.4e1 * t4258 * t4378 - 0.8e1 * t4163 * t4361 - 0.14e2 / 0.3e1 * t4163 * t4554 + 0.28e2 / 0.3e1 * t4163 * t4378 + 0.2e1 * t4258 * t4554 - 0.6e1 * t1058 * t4325 + 0.12e2 * t1029 * t24936 * t4219 - 0.12e2 * t373 * t24936 * t4215 + 0.23e2 / 0.27e2 * t23636 - 0.2e1 / 0.3e1 * t23638;
  t24957 = t1030 * t24163;
  t24970 = t318 * t355;
  t24972 = -0.2e1 / 0.3e1 * t23641 + 0.4e1 / 0.3e1 * t23646 + 0.4e1 / 0.3e1 * t23649 + 0.2e1 * t23652 - 0.4e1 * t23654 + 0.2e1 * t23655 - 0.2e1 / 0.3e1 * t23658 - 0.2e1 * t4543 * t5618 - 0.2e1 * t1029 * t24957 * t1410 - 0.6e1 * t4188 * t4320 + 0.6e1 * t1058 * t4301 + 0.2e1 * t373 * t24957 * t1415 - 0.2e1 * t24349 * t1426 + t24970 * t4690;
  t24973 = t110 * t5641;
  t24975 = t5691 * t1018 * t24737;
  t24978 = t403 * t988;
  t24980 = t5695 * t4693 * t24978;
  t24988 = t4687 * t380 * t403 * t4405;
  t25000 = t110 * t1154;
  t25008 = -0.14e2 / 0.3e1 * t24973 * t24975 + 0.4e1 * t24973 * t24980 - t24152 * t6001 + 0.7e1 / 0.6e1 * t24152 * t6009 + t4686 * t24988 / 0.3e1 + 0.2e1 * t4163 * t4433 - 0.6e1 * t1070 * t4341 - 0.3e1 * t1205 * t1106 + 0.2e1 * t23660 + 0.2e1 * t23662 - 0.2e1 * t23664 + 0.2e1 / 0.3e1 * t25000 * t4690 - 0.3e1 * t318 * t4460 - 0.3e1 / 0.2e1 * t110 * t1190 * t1147;
  t25015 = tau[1] * t4239;
  t25018 = t4467 * rho[1];
  t25020 = t4466 / t25018;
  t25035 = t1112 / t111 / t8387;
  t25046 = -0.616e4 / 0.81e2 * t385 * t25015 - 0.1e6 / 0.3e1 * t4465 * t25020 - 0.14e6 / 0.9e1 * t4474 * t25020 + 0.68e5 / 0.9e1 * t4480 * t25020 + 0.104e6 / 0.9e1 * t4483 * t25020 - 0.4e5 / 0.3e1 * t4486 * t25020 + 0.1232e5 / 0.27e2 * t388 * t25015 - 0.544e5 / 0.81e2 * t1129 * t25035 + 0.1232e5 / 0.27e2 * t392 * t25015 + 0.68e6 / 0.81e2 * t1134 * t25035 - 0.308e5 / 0.81e2 * t395 * t25015 + 0.136e6 / 0.27e2 * t1141 * t25035;
  t25049 = t153 * t1140;
  t25050 = t1112 * t1112;
  t25054 = t25050 / t112 / t4467 / t121;
  t25057 = t159 * t4473;
  t25062 = t160 / t4472 / t149;
  t25067 = t148 * t163;
  t25070 = t152 * t399;
  t25083 = -0.308e5 / 0.81e2 * t400 * t25015 + 0.2e6 / 0.9e1 * t25049 * t25054 + 0.875e6 / 0.27e2 * t25057 * t25054 + 0.35e6 / 0.27e2 * t25062 * t25054 - 0.616e4 / 0.81e2 * t25015 * t150 - 0.5e5 / 0.9e1 * t25067 * t25054 - 0.5e5 / 0.27e2 * t25070 * t25054 - 0.136e6 / 0.81e2 * t1119 * t25035 - 0.544e5 / 0.9e1 * t1124 * t25035 + 0.272e5 / 0.81e2 * t25035 * t384 - 0.25e5 / 0.27e2 * t25054 * t391 + 0.4e4 / 0.9e1 * t25020 * t156;
  t25100 = -t110 * t365 * t4518 - 0.3e1 / 0.2e1 * t1205 * t1148 - t318 * t4519 - t110 * t145 * t380 * (t25046 + t25083) / 0.4e1 - 0.3e1 * t318 * t4522 - 0.2e1 / 0.3e1 * t23666 + 0.2e1 / 0.9e1 * t23668 + t23670 / 0.3e1 + 0.2e1 / 0.3e1 * t23672 - 0.4e1 / 0.9e1 * t23674 + 0.2e1 / 0.3e1 * t23677 - t23680 / 0.3e1 - t23682 / 0.3e1 - 0.2e1 / 0.3e1 * t23684;
  t25115 = -t23686 / 0.3e1 + t23688 - t23690 / 0.3e1 - t23693 / 0.3e1 - t23695 / 0.3e1 + t23697 / 0.3e1 - t23700 / 0.9e1 - 0.5e1 / 0.27e2 * t23702 - t23704 / 0.3e1 - 0.8e1 / 0.3e1 * t23706 - 0.2e1 * t23708 - 0.2e1 / 0.3e1 * t23710 - 0.22e2 / 0.27e2 * t23714 + 0.3e1 * t1070 * t4373;
  t25122 = t1165 * t365;
  t25123 = t25122 * t4689;
  t25146 = 0.3e1 * t1070 * t4364 + t4686 * t25123 + 0.9e1 * t373 * t374 * t1000 * t4340 - 0.6e1 * t1070 * t4332 - 0.2e1 * t373 * t374 * t4243 * t1045 * t1438 + 0.6e1 * t4204 * t4308 - 0.2e1 * t23716 + 0.2e1 / 0.3e1 * t23718 - 0.2e1 / 0.9e1 * t23720 + 0.4e1 / 0.3e1 * t23722 + t23724 + t23726 - t1053 * t4457 / 0.2e1 - 0.4e1 / 0.3e1 * t1053 * t4538;
  t25148 = t4354 * t4440 * t4355;
  t25175 = -0.2e1 / 0.3e1 * t338 * t25148 - 0.12e2 * t24914 * t4535 + 0.2e1 * t4166 * t1103 + 0.6e1 * t373 * t1088 * t4595 * t4209 - 0.9e1 / 0.2e1 * t373 * t374 * t4223 * t1084 + 0.9e1 / 0.2e1 * t5665 * t4562 * t5685 + 0.3e1 * t4183 * t1090 - 0.2e1 / 0.3e1 * t23307 + 0.2e1 / 0.9e1 * t23309 + 0.2e1 / 0.9e1 * t23312 + t23315 / 0.9e1 + t23318 / 0.9e1 - 0.4e1 / 0.9e1 * t23320 + 0.2e1 / 0.9e1 * t23323;
  t25183 = t341 * t24140;
  t25185 = t25183 * t348 * t24459;
  t25200 = t349 * t4662;
  t25209 = t23335 / 0.3e1 + t23339 / 0.3e1 + 0.2e1 / 0.3e1 * t23341 - 0.3e1 * t373 * t4328 * t4347 - 0.3e1 / 0.2e1 * t373 * t1075 * t25185 - 0.2e1 * t24815 * t4707 + 0.3e1 * t321 * t649 * t988 * t4160 * t6028 - t318 * t4662 - t4678 * t366 - 0.3e1 / 0.2e1 * t1205 * t1191 - t338 * t25200 / 0.3e1 - 0.12e2 * t1058 * t4216 - 0.28e2 * t24090 * t4200 + 0.18e2 * t24090 * t4193;
  t25221 = t1009 * t1191;
  t25224 = t4155 * t366;
  t25229 = t1014 * t1191;
  t25233 = t321 * t369 * t1189 * t1026;
  t25236 = -0.6e1 * t4204 * t4320 + 0.6e1 * t1070 * t4301 - 0.2e1 / 0.3e1 * t23388 + t23390 / 0.3e1 - t23398 / 0.9e1 + 0.2e1 / 0.9e1 * t23400 - 0.1e2 / 0.27e2 * t23028 - 0.1e2 / 0.27e2 * t23012 - t4258 * t4228 - t1002 * t25221 / 0.2e1 - 0.5e1 / 0.9e1 * t4143 * t25224 + 0.4e1 * t4163 * t4135 - t1002 * t25229 - 0.3e1 * t25233 * t1035;
  t25241 = t321 * t369 * t4660 * t370;
  t25243 = t4179 * t1028;
  t25246 = t4179 * t1001;
  t25268 = t1009 * t1190 * t1018;
  t25273 = t25241 * t377 - 0.3e1 * t25243 * t1035 - t25246 * t1015 + 0.2e1 * t25246 * t1020 + 0.3e1 * t4176 * t1040 - 0.3e1 / 0.2e1 * t4183 * t1085 - 0.3e1 * t321 * t194 * t1000 * t4429 - 0.6e1 * t1070 * t4325 + t1070 * t4252 + 0.3e1 / 0.2e1 * t4176 * t1062 - t25246 * t1010 / 0.2e1 + 0.3e1 * t4274 * t1062 + 0.2e1 * t1002 * t25268 + 0.3e1 / 0.2e1 * t4183 * t1062;
  t25280 = t24714 * t4192;
  t25283 = t24718 * t10512;
  t25286 = t24678 * t4154;
  t25287 = t25286 * t1019;
  t25290 = t1065 * t4717;
  t25297 = t4719 * t24085;
  t25298 = t24552 * t4609;
  t25302 = t24552 * t4619;
  t25306 = t24552 * t4572;
  t25313 = -0.12e2 * t4204 * t4726 + 0.4e1 * t4258 * t4264 - 0.12e2 * t4188 * t4726 - 0.62e2 / 0.3e1 * t24713 * t25280 + 0.8e1 * t24713 * t25283 + 0.47e2 / 0.3e1 * t24713 * t25287 + 0.6e1 * t25290 * t4722 + 0.6e1 * t1070 * t4730 + 0.6e1 * t1058 * t4730 - 0.18e2 * t4718 * t25297 * t25298 + 0.36e2 * t1029 * t25297 * t25302 - 0.18e2 * t373 * t25297 * t25306 + 0.2e1 * t1053 * t4442 + t1053 * t4437;
  t25327 = t24275 * t4377;
  t25331 = t24148 * t1027 * t1096;
  t25336 = -0.2e1 * t1066 * t4442 - t1066 * t4437 - t4258 * t4433 - t4246 * t1103 / 0.3e1 - t23766 - t23768 / 0.3e1 - t23772 / 0.3e1 - t23774 + 0.2e1 / 0.3e1 * t4255 * t1098 + t4246 * t1098 / 0.4e1 - 0.14e2 * t4143 * t25327 + 0.9e1 * t4143 * t25331 - 0.2e1 * t23777 - t23781 / 0.3e1;
  t25349 = t4371 * t1160;
  t25353 = t23784 + t23787 - t23789 / 0.3e1 + 0.2e1 / 0.3e1 * t23793 + 0.2e1 / 0.3e1 * t23795 + 0.2e1 * t23798 - 0.2e1 * t23800 - 0.2e1 / 0.3e1 * t23802 + 0.2e1 / 0.3e1 * t23804 + 0.4e1 / 0.3e1 * t23806 + t23808 - 0.6e1 * t4188 * t4312 + 0.6e1 * t1058 * t4315 - 0.3e1 * t1029 * t25349 * t1034;
  t25361 = t5733 * t4360;
  t25373 = t5691 * t4693 * t4688;
  t25376 = t318 * t4694;
  t25391 = t321 * t649 * t24120 * t999;
  t25393 = 0.6e1 * t1070 * t4315 - 0.6e1 * t4204 * t4312 + 0.28e2 / 0.3e1 * t4143 * t25361 - 0.7e1 / 0.3e1 * t4163 * t4452 + 0.6e1 * t4188 * t4308 - 0.2e1 / 0.9e1 * t23412 - 0.2e1 / 0.3e1 * t23414 + 0.2e1 / 0.3e1 * t23416 + 0.2e1 / 0.3e1 * t23421 - 0.4e1 * t24385 * t25373 - 0.3e1 * t25376 * t4698 + t321 * t194 * t24120 * t1045 * t350 / 0.2e1 + 0.2e1 * t321 * t194 * t24085 * t4160 * t350 + t25391 * t1020;
  t25402 = t1030 * t24085;
  t25403 = t24522 * t1033;
  t25407 = t24522 * t1038;
  t25411 = t25183 * t1093;
  t25414 = t25411 * t1095 * t167 * t24459;
  t25418 = t4305 * t1013 * t4405;
  t25422 = t1030 * t24912;
  t25427 = t24147 * t4149 * t1082;
  t25431 = t1030 * t4161;
  t25436 = t1065 * t4162;
  t25439 = t5650 * t4541;
  t25443 = -t4179 * t990 * t350 / 0.2e1 + t373 * t374 * t24595 * t376 / 0.4e1 + t1058 * t4252 - 0.18e2 * t1029 * t25402 * t25403 + 0.18e2 * t373 * t25402 * t25407 + t338 * t25414 / 0.2e1 - 0.2e1 * t373 * t4304 * t25418 - 0.18e2 * t373 * t25422 * t4300 + t22515 + 0.18e2 * t1029 * t24760 * t25427 + 0.14e2 * t373 * t25431 * t4324 + t1053 * t4357 + 0.2e1 * t25436 * t1010 - 0.6e1 * t5649 * t25439 * t1410;
  t25451 = t24678 * t4149 * t169;
  t25454 = t25286 * t169;
  t25457 = t4706 * t366;
  t25460 = t167 * t20822;
  t25461 = t25460 * t24085;
  t25462 = t24540 * t24477;
  t25466 = t24540 * t24418;
  t25471 = 0.1e1 / t4714 / t137;
  t25474 = t321 * t369 * t144 * t25471;
  t25475 = t24540 * t24582;
  t25479 = t24540 * t24557;
  t25483 = t1030 * t24120;
  t25496 = 0.6e1 * t4695 * t25439 * t1415 + 0.6e1 * t24090 * t4707 - 0.2e1 * t24713 * t25451 - 0.38e2 / 0.9e1 * t24713 * t25454 - 0.2e1 * t4143 * t25457 - 0.18e2 * t1029 * t25461 * t25462 + 0.6e1 * t373 * t25461 * t25466 - 0.6e1 * t25474 * t25461 * t25475 + 0.18e2 * t4718 * t25461 * t25479 + 0.3e1 / 0.2e1 * t373 * t25483 * t1039 - 0.3e1 / 0.2e1 * t1029 * t25483 * t1034 - t25391 * t1015 / 0.2e1 - 0.8e1 * t4163 * t4264 + 0.2e1 * t4166 * t994;
  t25509 = t24718 * t169;
  t25517 = -t23856 - t23858 - t23860 / 0.3e1 - t23862 - t23864 - 0.2e1 * t23866 - t321 * t194 * t24595 * t335 * t350 / 0.12e2 - t4246 * t994 / 0.3e1 - t4255 * t994 - t991 * t4171 / 0.2e1 - 0.35e2 / 0.108e3 * t24713 * t25509 - t1065 * t4245 * t350 / 0.3e1 - t4678 * t405 - 0.2e1 / 0.3e1 * t23446;
  t25530 = t4305 * t1008 * t4405;
  t25543 = t321 * t369 * t364 * t4715;
  t25546 = -t23448 / 0.3e1 + 0.4e1 * t23889 - 0.4e1 * t23890 + 0.2e1 * t23891 + 0.28e2 / 0.9e1 * t23893 - 0.2e1 * t23896 + 0.2e1 * t23898 + 0.2e1 * t23900 - 0.2e1 * t23902 + 0.2e1 * t1029 * t4304 * t25530 + 0.3e1 * t373 * t25349 * t1039 - 0.5e1 / 0.9e1 * t24815 * t4231 + 0.3e1 * t4183 * t1040 + 0.6e1 * t25543 * t4722;
  t25548 = t24141 * t1013 * t4345;
  t25561 = t110 * t365 * t4693;
  t25567 = t5595 * t1027 * t1088;
  t25570 = t24141 * t1422;
  t25571 = t25570 * t4356;
  t25575 = t24141 * t1008 * t4345;
  t25587 = 0.11e2 / 0.2e1 * t373 * t4304 * t25548 + 0.4e1 * t4695 * t4696 * t1051 * t1084 + 0.2e1 * t23928 - 0.2e1 * t23930 + 0.1e2 / 0.27e2 * t22980 - 0.1e2 / 0.81e2 * t22994 - 0.3e1 * t25561 * t4698 + t4180 * t1098 / 0.2e1 - 0.6e1 * t4143 * t25567 - 0.11e2 / 0.6e1 * t1002 * t25571 - 0.11e2 / 0.2e1 * t1029 * t4304 * t25575 - 0.14e2 * t1029 * t25431 * t4307 + 0.18e2 * t1029 * t25422 * t4319 + 0.6e1 * t1070 * t4210;
  t25609 = t24718 * t4192;
  t25617 = 0.6e1 * t1058 * t4210 - 0.6e1 * t4274 * t1048 - 0.3e1 * t4176 * t1048 - 0.3e1 * t4183 * t1048 + t1053 * t4171 - 0.8e1 * t25436 * t1020 - 0.3e1 * t24726 * t1010 + t4179 * t1052 * t350 - 0.2e1 * t1065 * t4224 * t350 - 0.2e1 * t4225 * t994 - 0.43e2 / 0.9e1 * t24713 * t25609 + 0.28e2 / 0.3e1 * t24815 * t4200 - t25391 * t1010 / 0.4e1 - t4180 * t1103;
  t25628 = t24147 * t1429;
  t25629 = t25628 * t1097;
  t25632 = t5563 * t1102;
  t25635 = t24147 * t4306;
  t25641 = t1065 * t4187;
  t25646 = t24714 * t1019;
  t25651 = -t4255 * t1103 - 0.3e1 / 0.4e1 * t373 * t374 * t4244 * t1084 - 0.3e1 / 0.4e1 * t373 * t4411 * t4407 - t1070 * t4408 - t24029 + t24032 / 0.3e1 + 0.3e1 * t4143 * t25629 - 0.2e1 * t4143 * t25632 - 0.9e1 * t373 * t24760 * t25635 + 0.4e1 * t25436 * t1015 - 0.6e1 * t25641 * t1035 + 0.6e1 * t4274 * t1040 + 0.89e2 / 0.9e1 * t24713 * t25646 - 0.6e1 * t24815 * t4193;
  t25657 = my_piecewise3(t100, 0, t25651 + t25617 + t25587 + t25546 + t25517 + t25496 + t25443 + t25393 + t25353 + t25336 + t25313 + t25273 + t25236 + t25209 + t25175 + t25146 + t25115 + t25100 + t25008 + t24972 + t24945 + t24911 + t24864 + t24826 + t24785 + t24732 + t24404 + t24366 + t24330 + t24283 + t24168 + t24116);
  tv4rho44 = 0.4e1 * t4134 + 0.4e1 * t4737 + t3 * (t24069 + t25657);

  if(out->v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho4[ip*p->dim.v4rho4 + 4] += tv4rho44;

  t25671 = t21350 * t1255;
  t25672 = t843 * t25671;
  t25696 = -0.3e1 / 0.4e1 * t630 * t4837 - 0.3e1 / 0.4e1 * t608 * t4837 + t4948 * t5149 + t4948 * t3499 / 0.2e1 + t5145 * t5149 + t5145 * t3499 / 0.2e1 + t1294 * t25672 / 0.2e1 + t1294 * t20788 / 0.2e1 + t1294 * t20793 / 0.6e1 - 0.3e1 / 0.2e1 * t608 * t5162 - 0.3e1 / 0.2e1 * t246 * t4962 * t3492 - 0.3e1 / 0.2e1 * t630 * t5162 - t246 * t1279 * t21164 / 0.2e1 + t1252 * t21100 / 0.3e1 + t1252 * t20895 + t4816 * t3399 + t4798 * t3399 + 0.3e1 / 0.2e1 * t630 * t4829;
  t25697 = t626 * t20925;
  t25708 = t191 * t20823 * t3073 * t20825;
  t25709 = t20831 * t4807;
  t25714 = t20831 * t20854 * t59;
  t25718 = t3232 * t1275;
  t25720 = t21203 * t1270;
  t25722 = t3231 * t1251;
  t25723 = t25722 * t1257;
  t25725 = t25722 * t1263;
  t25727 = t633 * t4805;
  t25728 = t25727 * t5167;
  t25730 = t1218 * t3464;
  t25735 = t633 * t4937 * t4939;
  t25739 = t94 * t3073;
  t25740 = t837 * t25739;
  t25741 = t843 * t25740;
  t25744 = t637 * t4931;
  t25749 = t1254 * t20792;
  t25752 = t1254 * t25671;
  t25755 = t1254 * t20787;
  t25758 = 0.7e1 * t25697 * t16659 - 0.3e1 / 0.4e1 * t246 * t4896 * t3447 - t246 * t1285 * t21905 / 0.4e1 + 0.47e2 / 0.3e1 * t25708 * t25709 * t2281 - 0.62e2 / 0.3e1 * t25708 * t25714 * t16909 - t25718 / 0.3e1 + t25720 / 0.3e1 + t25723 / 0.9e1 - 0.2e1 / 0.9e1 * t25725 - 0.11e2 / 0.18e2 * t25728 - t25730 / 0.6e1 + t417 * t21242 / 0.2e1 - t25735 / 0.2e1 + 0.2e1 * t191 * t194 * t4900 * t25741 + t25744 / 0.2e1 - 0.3e1 / 0.2e1 * t246 * t1285 * t21372 - t1252 * t25749 / 0.6e1 - t1252 * t25752 / 0.2e1 - t1252 * t25755 / 0.2e1;
  t25764 = t659 * t660 * t3190;
  t25780 = t4851 * t9836;
  t25783 = t25727 * t4890;
  t25785 = t4907 * t4893;
  t25787 = t3389 * t4809;
  t25788 = t1261 * t25787;
  t25791 = t4907 * t5190;
  t25793 = t1237 * t3076;
  t25795 = t191 * t649 * t25793;
  t25798 = t633 * t4815;
  t25799 = t25798 * t1300;
  t25801 = t626 * t5155;
  t25804 = t3238 * t1251;
  t25805 = t25804 * t1300;
  t25807 = -t4816 * t5195 - t4816 * t5170 / 0.2e1 - t679 * t1267 * t25764 / 0.2e1 - t4798 * t5195 - t4798 * t5170 / 0.2e1 - 0.3e1 / 0.2e1 * t679 * t4790 * t4794 - 0.3e1 / 0.2e1 * t3061 * t4795 - 0.3e1 / 0.2e1 * t3070 * t4795 + 0.3e1 / 0.2e1 * t608 * t4829 + 0.7e1 * t20926 * t25780 - 0.5e1 / 0.36e2 * t25783 - t25785 / 0.12e2 + 0.3e1 / 0.2e1 * t5156 * t25788 - t25791 / 0.6e1 + 0.3e1 / 0.2e1 * t25795 * t5157 - t25799 / 0.6e1 + 0.3e1 / 0.2e1 * t25801 * t5157 - t25805 / 0.6e1;
  t25810 = t626 * t4815;
  t25820 = t5055 * t651;
  t25821 = t680 * t25820;
  t25828 = t3209 * t1251;
  t25833 = t191 * t649 * t25820;
  t25837 = t25804 * t1257;
  t25839 = t25798 * t1257;
  t25841 = t4907 * t5195;
  t25843 = t4907 * t5170;
  t25851 = -0.3e1 * t3070 * t4791 + 0.2e1 * t25810 * t1263 - 0.3e1 / 0.2e1 * t5286 * t3371 - t25810 * t1257 - 0.3e1 * t3061 * t4791 + 0.3e1 * t608 * t4825 - 0.3e1 / 0.2e1 * t679 * t25821 * t1269 + 0.3e1 / 0.2e1 * t246 * t25821 * t1274 - t25828 * t1257 / 0.2e1 + t25828 * t1263 - t25833 * t1257 / 0.2e1 + t25833 * t1263 - t25837 / 0.3e1 - t25839 / 0.3e1 - t25841 / 0.3e1 - t25843 / 0.6e1 + 0.3e1 * t630 * t4825 - 0.3e1 / 0.2e1 * t21048 * t1270 + 0.3e1 / 0.2e1 * t3101 * t1275;
  t25871 = t633 * t5144 * t1295;
  t25878 = t3238 * t1293 * t1295;
  t25883 = t637 * t4952;
  t25885 = t637 * t4958;
  t25887 = t3247 * t1290;
  t25889 = t5247 * t845;
  t25891 = t414 * t20811;
  t25893 = t191 * t3135 * t25891;
  t25894 = t4808 * t25740;
  t25898 = t659 * t665 * t3190;
  t25902 = -t3406 * t8749 / 0.2e1 + 0.3e1 / 0.2e1 * t1228 * t3515 - 0.3e1 / 0.2e1 * t21053 * t1270 + 0.3e1 / 0.2e1 * t3220 * t1275 - 0.3e1 * t21062 * t1270 + 0.3e1 * t3226 * t1275 + 0.3e1 * t25801 * t5179 - 0.6e1 * t25801 * t5185 + t25871 / 0.3e1 - 0.3e1 / 0.2e1 * t191 * t194 * t4789 * t4939 + t25878 / 0.3e1 - 0.3e1 / 0.2e1 * t626 * t4937 * t4939 + t25883 / 0.2e1 + t25885 / 0.4e1 + t25887 / 0.2e1 - t25889 / 0.6e1 + 0.5e1 / 0.3e1 * t25893 * t25894 + t246 * t1267 * t25898 / 0.2e1;
  t25903 = t4851 * t8979;
  t25916 = t1261 * t606 * t8694;
  t25927 = t5055 * t595;
  t25936 = t219 * t221 * t3073;
  t25940 = t637 * t4915;
  t25942 = t414 * t20825;
  t25943 = t20842 * t25942;
  t25945 = t20831 * t20854 * t3073;
  t25950 = t1261 * t1226 * t3397;
  t25960 = 0.7e1 * t20926 * t25903 + 0.3e1 / 0.2e1 * t246 * t4790 * t4828 + 0.3e1 / 0.4e1 * t246 * t830 * t5056 * t249 - 0.3e1 / 0.2e1 * t608 * t4897 + 0.2e1 * t3396 * t25916 + 0.3e1 / 0.2e1 * t608 * t4952 - 0.3e1 * t608 * t4963 - t5202 * t845 / 0.4e1 - t25833 * t1300 / 0.4e1 + t191 * t194 * t25927 * t1295 / 0.2e1 + t5202 * t840 / 0.4e1 - 0.6e1 * t246 * t247 * t4900 * t25936 + 0.3e1 / 0.2e1 * t25940 + 0.18e2 * t3167 * t25943 * t25945 + t3396 * t25950 + 0.3e1 / 0.4e1 * t1228 * t3506 - 0.3e1 / 0.2e1 * t3220 * t1282 - t25810 * t1300 / 0.2e1 - t5214 * t845 / 0.2e1;
  t25979 = t247 * t5200;
  t26003 = -t5211 * t845 / 0.4e1 + t626 * t5144 * t1295 + t5214 * t840 / 0.2e1 + t3209 * t1293 * t1295 / 0.2e1 + t5211 * t840 / 0.4e1 - t25828 * t1300 / 0.4e1 - 0.3e1 / 0.2e1 * t246 * t247 * t25927 * t1281 - 0.3e1 / 0.4e1 * t246 * t25979 * t826 + 0.3e1 / 0.4e1 * t3101 * t1290 - 0.3e1 / 0.2e1 * t630 * t4897 + 0.3e1 / 0.2e1 * t630 * t4952 - 0.3e1 / 0.2e1 * t3226 * t1286 + 0.2e1 * t21103 * t9837 + 0.3e1 / 0.2e1 * t3226 * t1290 - 0.3e1 * t630 * t4963 - 0.3e1 / 0.4e1 * t3220 * t1286 + 0.3e1 / 0.4e1 * t3220 * t1290 - 0.3e1 * t3226 * t1282;
  t26009 = t191 * t20823 * t25942;
  t26011 = t20831 * t20832 * t59;
  t26012 = t26011 * t25740;
  t26015 = t1261 * t20792;
  t26018 = t626 * t4805;
  t26021 = t1254 * t4749;
  t26024 = t3690 * t4753;
  t26045 = t182 * t1313;
  t26047 = t182 * t421;
  t26050 = t30 * t5029;
  t26051 = t276 * t592;
  t26052 = t253 * t26051;
  t26053 = t9744 * t26052;
  t26056 = t3130 * t238;
  t26057 = t26056 * t4878;
  t26060 = t30 * t5069;
  t26063 = -0.3e1 / 0.2e1 * t1228 * t3493 - t1228 * t3452 / 0.2e1 - 0.35e2 / 0.108e3 * t26009 * t26012 - t1252 * t26015 / 0.12e2 - 0.11e2 / 0.6e1 * t26018 * t5167 - t654 * t26021 / 0.2e1 + t654 * t26024 / 0.2e1 + 0.3e1 / 0.2e1 * t1228 * t3687 + 0.3e1 / 0.4e1 * t630 * t4958 + t246 * t21009 * t420 * t249 / 0.4e1 + 0.3e1 / 0.4e1 * t246 * t3384 * t1310 * t249 + 0.3e1 / 0.4e1 * t608 * t4958 - 0.3e1 * t21748 * t4778 - 0.3e1 / 0.2e1 * t21748 * t4769 + t26045 * t4765 + t26047 * t3276 / 0.2e1 - 0.5e1 / 0.12e2 * t26050 * t26053 + 0.3e1 / 0.4e1 * t4872 * t26057 + 0.3e1 / 0.4e1 * t26060 * t4879;
  t26067 = t3445 * t206;
  t26068 = t95 * t26067;
  t26069 = t3273 * t26068;
  t26072 = t20724 * t4878;
  t26078 = t5234 * t827;
  t26082 = t206 * t3461;
  t26083 = t3562 * t26082;
  t26092 = t3231 * t1293 * t1295;
  t26094 = t621 * t206;
  t26095 = t95 * t26094;
  t26096 = t4877 * t26095;
  t26099 = t188 * t1319;
  t26100 = t26099 * t4997;
  t26102 = t253 * t20714;
  t26103 = t4873 * t26102;
  t26106 = t30 * t5037;
  t26107 = t4873 * t26095;
  t26110 = t4877 * t21596;
  t26113 = t3046 * t5281;
  t26117 = t3238 * t1227;
  t26118 = t26117 * t250;
  t26120 = t633 * t5265;
  t26121 = t26120 * t250;
  t26123 = -t4761 * t26069 / 0.2e1 - t4761 * t26072 + 0.3e1 / 0.2e1 * t5277 * t832 + 0.3e1 / 0.2e1 * t5266 * t832 - t26078 / 0.4e1 + 0.23e2 / 0.12e2 * t26018 * t4811 - 0.3e1 * t4772 * t1313 * t26083 + 0.9e1 / 0.2e1 * t3266 * t3267 * t1250 * t4914 - t26092 / 0.9e1 - 0.3e1 / 0.2e1 * t26050 * t26096 - t26100 / 0.3e1 - t4872 * t26103 / 0.4e1 + 0.3e1 / 0.2e1 * t26106 * t26107 + 0.5e1 / 0.12e2 * t4872 * t26110 + t26113 / 0.3e1 - 0.3e1 / 0.2e1 * t5277 * t598 + t26118 / 0.2e1 + t26121 / 0.2e1;
  t26124 = t5241 * t645;
  t26128 = t3239 * t1223;
  t26130 = t634 * t5261;
  t26132 = t5247 * t645;
  t26134 = t21407 * t432;
  t26136 = t21380 * t432;
  t26138 = t3232 * t1239;
  t26141 = t21406 * t416 * t223;
  t26144 = t3231 * t1246 * t223;
  t26154 = t1218 * t3096;
  t26156 = t5250 * t645;
  t26158 = t25714 * t25740;
  t26161 = t244 * t25739;
  t26162 = t26011 * t26161;
  t26165 = t606 * t4809;
  t26166 = t4808 * t26165;
  t26169 = t26124 / 0.18e2 - 0.3e1 / 0.2e1 * t5266 * t598 - t26128 / 0.6e1 - t26130 / 0.6e1 - t26132 / 0.6e1 - t26134 / 0.6e1 - t26136 / 0.6e1 - t26138 / 0.6e1 + t26141 / 0.18e2 + t26144 / 0.18e2 - t3252 * t1223 / 0.2e1 - t417 * t20983 / 0.12e2 - t1247 * t3096 / 0.4e1 - t1242 * t3096 / 0.4e1 - t26154 / 0.12e2 - t26156 / 0.6e1 - 0.61e2 / 0.27e2 * t26009 * t26158 + 0.44e2 / 0.27e2 * t26009 * t26162 + 0.23e2 / 0.12e2 * t4806 * t26166;
  t26171 = t4851 * t25787;
  t26182 = t30 * t22273;
  t26184 = t9744 * t4991 * t9756;
  t26187 = t26099 * t4879;
  t26189 = t20876 * t65;
  t26191 = t26189 * t3156 * t4986;
  t26194 = t4784 * t4900;
  t26202 = 0.5e1 / 0.54e2 * t21396 * t432;
  t26203 = t3130 * t26067;
  t26207 = t3556 * t26067;
  t26211 = t182 * t4992;
  t26216 = t592 * t794;
  t26217 = t670 * t26216;
  t26218 = t4877 * t26217;
  t26221 = t4996 * t26052;
  t26224 = t3264 * t26051;
  t26225 = t4873 * t26224;
  t26228 = -0.11e2 / 0.6e1 * t4806 * t26171 - t5214 * t645 / 0.2e1 + 0.3e1 / 0.4e1 * t5277 * t623 + 0.3e1 / 0.4e1 * t608 * t5208 + 0.3e1 / 0.4e1 * t630 * t5208 - 0.9e1 / 0.2e1 * t26182 * t26184 + t26187 / 0.4e1 + 0.9e1 * t26182 * t26191 + 0.9e1 * t4993 * t26194 * t4918 - 0.9e1 * t3266 * t26194 * t4903 + t26202 + 0.2e1 * t4983 * t1319 * t26203 - 0.2e1 * t4772 * t1319 * t26207 - 0.3e1 * t26211 * t4994 + 0.3e1 * t21744 * t4786 + 0.28e2 / 0.3e1 * t26106 * t26218 + 0.3e1 * t26106 * t26221 - 0.6e1 * t26106 * t26225;
  t26229 = t3130 * t26216;
  t26233 = t3556 * t26216;
  t26242 = t3267 * t1245;
  t26246 = t22179 * t415;
  t26254 = t9845 * t9970;
  t26257 = t182 * t3157;
  t26260 = t182 * t671;
  t26263 = t30 * t21040;
  t26266 = t30 * t3090;
  t26277 = t637 * t4897;
  t26279 = t3247 * t1286;
  t26281 = t3242 * t1286;
  t26285 = -0.14e2 * t4983 * t5037 * t26229 + 0.14e2 * t4772 * t5037 * t26233 - t26045 * t4885 - 0.3e1 * t3266 * t3267 * t4961 * t1281 - 0.3e1 / 0.2e1 * t3266 * t26242 * t826 - 0.3e1 / 0.4e1 * t3266 * t26246 * t826 - 0.3e1 / 0.2e1 * t3266 * t22179 * t1278 * t1281 + 0.7e1 * t26182 * t26254 + 0.9e1 / 0.2e1 * t26257 * t4988 - 0.9e1 / 0.2e1 * t26260 * t4781 + 0.9e1 / 0.2e1 * t26263 * t4988 - 0.9e1 / 0.2e1 * t26266 * t4781 + 0.9e1 / 0.2e1 * t4983 * t5069 * t21947 - 0.9e1 / 0.2e1 * t4772 * t5069 * t4780 + 0.3e1 / 0.2e1 * t608 * t4931 - t26277 / 0.2e1 - t26279 / 0.2e1 - t26281 / 0.2e1 + 0.3e1 / 0.2e1 * t630 * t4931;
  t26288 = t1261 * t4749;
  t26292 = t843 * t4748 * t3384;
  t26297 = t634 * t4750;
  t26299 = t5234 * t832;
  t26303 = t4996 * t26095;
  t26306 = t670 * t26094;
  t26307 = t4873 * t26306;
  t26314 = my_piecewise3(t49, t195, -0.308e3 / 0.81e2 * params->gamma * t3186);
  t26322 = t5241 * t840;
  t26324 = t25722 * t1300;
  t26336 = t824 * t825 * t206;
  t26340 = -t654 * t26288 / 0.4e1 - t211 * t26292 / 0.4e1 + 0.3e1 / 0.4e1 * t1228 * t3510 - t26297 / 0.6e1 + t26299 / 0.2e1 - t642 * t4750 / 0.4e1 + 0.3e1 * t26106 * t26303 - 0.6e1 * t26106 * t26307 - 0.3e1 / 0.2e1 * t21744 * t4769 - t191 * t194 * t26314 * t208 * t223 / 0.12e2 - t5202 * t645 / 0.4e1 - t26322 / 0.18e2 + t26324 / 0.18e2 - t4798 * t5190 / 0.2e1 - t4798 * t4893 / 0.4e1 - 0.5e1 / 0.12e2 * t26018 * t4890 - 0.3e1 / 0.4e1 * t30 * t5134 * t277 + 0.3e1 * t3266 * t4777 * t26336;
  t26342 = t20831 * t20832 * t3073;
  t26346 = t1237 * t3118;
  t26348 = t191 * t3135 * t26346;
  t26351 = t4763 * t794;
  t26352 = t253 * t26351;
  t26353 = t4877 * t26352;
  t26362 = t773 * t1305;
  t26364 = t188 * t4741;
  t26387 = 0.5e1 / 0.162e3 * t21395 * t416 * t223;
  t26390 = t5234 * t598;
  t26392 = t3255 * t1223;
  t26394 = -0.6e1 * t20841 * t25943 * t26342 + 0.23e2 / 0.12e2 * t26348 * t4811 + 0.3e1 / 0.4e1 * t4872 * t26353 - 0.3e1 / 0.4e1 * t30 * t1341 * t732 - t30 * t427 * t3342 / 0.4e1 - t26362 / 0.2e1 - t26364 / 0.2e1 - 0.3e1 / 0.4e1 * t182 * t4971 - t1242 * t3386 / 0.4e1 - t417 * t21352 / 0.4e1 - t417 * t21005 / 0.4e1 - t626 * t5201 * t223 / 0.4e1 + t246 * t247 * t26314 * t249 / 0.4e1 + 0.3e1 / 0.2e1 * t3226 * t1239 + 0.3e1 / 0.4e1 * t3101 * t1239 - t26387 + 0.3e1 / 0.2e1 * t1228 * t3261 - t26390 / 0.2e1 + t26392 / 0.6e1;
  t26396 = t188 * t4992;
  t26397 = t26396 * t4994;
  t26398 = t26099 * t5004;
  t26400 = t22309 * t65;
  t26401 = t95 * t26082;
  t26402 = t26400 * t26401;
  t26405 = t22290 * t65;
  t26407 = t26405 * t670 * t26082;
  t26410 = t683 * t238;
  t26411 = t26410 * t5003;
  t26414 = t731 * t206;
  t26415 = t253 * t26414;
  t26416 = t4996 * t26415;
  t26420 = t4873 * t3264 * t26414;
  t26425 = t689 * t238;
  t26426 = t26425 * t4764;
  t26428 = t188 * t4971;
  t26430 = t769 * t1305;
  t26432 = t3140 * t428;
  t26443 = t3209 * t1227;
  t26446 = t222 * t5135;
  t26449 = -t26397 + 0.2e1 / 0.3e1 * t26398 - 0.11e2 / 0.6e1 * t4872 * t26402 + 0.11e2 / 0.3e1 * t4872 * t26407 + 0.2e1 * t4872 * t26411 - t4872 * t26416 / 0.2e1 + t4872 * t26420 - t26060 * t4997 + 0.2e1 * t26060 * t5004 - t4872 * t26426 - t26428 / 0.4e1 + t26430 / 0.6e1 - 0.11e2 / 0.18e2 * t3138 * t26432 - t21389 * t416 * t223 / 0.12e2 - t3209 * t1246 * t223 / 0.4e1 - t5211 * t645 / 0.4e1 + 0.3e1 / 0.4e1 * t26443 * t250 - t211 * t26446 / 0.4e1;
  t26452 = t191 * t242 * t5133 * t243;
  t26455 = t3235 * t1223;
  t26457 = t3231 * t1227;
  t26458 = t26457 * t250;
  t26462 = t22052 * t4769;
  t26467 = t188 * t671;
  t26468 = t26467 * t4775;
  t26469 = t788 * t26216;
  t26473 = t95 * t26216;
  t26474 = t26405 * t26473;
  t26478 = t3238 * t1246 * t223;
  t26481 = t21383 * t416 * t223;
  t26483 = t637 * t5208;
  t26485 = t3247 * t1239;
  t26488 = t633 * t5201 * t223;
  t26492 = t626 * t5265;
  t26495 = t4907 * t4820;
  t26497 = t25798 * t1263;
  t26499 = t25804 * t1263;
  t26501 = 0.3e1 / 0.4e1 * t26452 * t250 + t26455 / 0.18e2 - t26458 / 0.6e1 - t3210 * t1223 / 0.4e1 - t26462 / 0.2e1 + 0.3e1 / 0.2e1 * t3266 * t4768 * t3468 + t26468 - 0.9e1 / 0.2e1 * t4772 * t5094 * t26469 + 0.3e1 * t26050 * t26474 - t26478 / 0.6e1 - t26481 / 0.12e2 + t26483 / 0.4e1 + t26485 / 0.2e1 - t26488 / 0.12e2 - t627 * t5261 / 0.2e1 + 0.3e1 / 0.2e1 * t26492 * t250 + 0.2e1 / 0.3e1 * t26495 + 0.2e1 / 0.3e1 * t26497 + 0.2e1 / 0.3e1 * t26499;
  t26507 = t836 * t4748 * t3528;
  t26512 = t1340 * t66;
  t26514 = t843 * t26512 * t830;
  t26522 = t836 * t26512 * t838;
  t26526 = t1261 * t1226 * t830;
  t26530 = t731 * t648;
  t26531 = t26530 * t1250;
  t26535 = t188 * t3157;
  t26536 = t26535 * t4988;
  t26538 = t26467 * t4781;
  t26540 = t22290 * t26082;
  t26544 = t22309 * t26082;
  t26550 = t30 * t65 * t3164 * params->at;
  t26551 = t276 * t69;
  t26552 = t26551 * t4804;
  t26556 = t4877 * t26052;
  t26559 = t20862 * t26216;
  t26563 = t22290 * t26216;
  t26570 = t211 * t26507 / 0.12e2 - t627 * t4750 / 0.2e1 - t211 * t26514 / 0.2e1 + t603 * t4750 / 0.2e1 + t627 * t4754 / 0.4e1 + t211 * t26522 / 0.4e1 + t654 * t26526 - t603 * t4754 / 0.3e1 + 0.3e1 / 0.2e1 * t3266 * t26531 * t1274 + 0.3e1 / 0.2e1 * t26536 - 0.3e1 / 0.2e1 * t26538 - 0.11e2 / 0.2e1 * t4983 * t1319 * t26540 + 0.11e2 / 0.2e1 * t4772 * t1319 * t26544 + 0.9e1 / 0.2e1 * t26550 * t26552 * t4846 - 0.3e1 / 0.2e1 * t26050 * t26556 + 0.18e2 * t4983 * t5029 * t26559 - 0.9e1 * t4772 * t5029 * t26563 - 0.9e1 * t4993 * t26552 * t4856;
  t26574 = t20876 * t26216;
  t26578 = t26099 * t5176;
  t26580 = t26099 * t5001;
  t26581 = t229 * t238;
  t26582 = t26581 * t4764;
  t26586 = t30 * t5078;
  t26588 = t20977 * t432;
  t26590 = t3242 * t1239;
  t26592 = t21401 * t432;
  t26594 = t21387 * t432;
  t26596 = t5234 * t623;
  t26598 = t3198 * t1223;
  t26600 = t3051 * t4795;
  t26602 = t3051 * t4791;
  t26609 = t633 * t20925;
  t26610 = t26609 * t16659;
  t26612 = 0.9e1 / 0.2e1 * t3266 * t26552 * t4863 - 0.9e1 * t9877 * t5029 * t26574 + t26578 / 0.2e1 - t26580 + t4761 * t26582 + t4882 * t20725 / 0.2e1 + t26586 * t4765 + t26588 / 0.4e1 + t26590 / 0.2e1 + t26592 / 0.2e1 + t26594 / 0.4e1 + t26596 / 0.4e1 - t26598 / 0.12e2 - t26600 / 0.2e1 - t26602 - 0.3e1 / 0.2e1 * t5286 * t3415 + 0.3e1 / 0.2e1 * t5286 * t3363 - 0.3e1 / 0.2e1 * t1228 * t3411 + 0.7e1 / 0.3e1 * t26610;
  t26616 = t191 * t3135 * t3073 * t20811;
  t26624 = t26011 * t3165 * t25739;
  t26627 = t1261 * t20787;
  t26630 = t4808 * t25787;
  t26635 = t1261 * t25671;
  t26642 = t30 * t1311;
  t26645 = t788 * t427;
  t26646 = t26645 * t3275;
  t26650 = t30 * t427 * t3264;
  t26653 = t689 * t26094;
  t26662 = t9845 * t26095;
  t26665 = t9744 * t26306;
  t26668 = -0.28e2 * t26616 * t16659 + 0.18e2 * t26616 * t16910 - t1247 * t3391 / 0.2e1 + 0.8e1 * t26009 * t26624 - t1252 * t26627 / 0.4e1 - 0.5e1 / 0.12e2 * t4806 * t26630 - 0.5e1 / 0.12e2 * t26348 * t4890 - t1252 * t26635 / 0.4e1 - t4816 * t5190 / 0.2e1 - t4816 * t4893 / 0.4e1 + t26642 * t3276 / 0.2e1 + t3272 * t26646 / 0.4e1 - 0.3e1 / 0.4e1 * t26650 * t3269 - 0.9e1 * t4772 * t5037 * t26653 + 0.3e1 * t4772 * t5078 * t4774 + 0.3e1 * t26266 * t4775 - 0.11e2 / 0.6e1 * t26050 * t26662 + 0.23e2 / 0.12e2 * t26050 * t26665;
  t26670 = t4877 * t670 * t26067;
  t26673 = t4877 * t26068;
  t26678 = t26099 * t4874;
  t26680 = t683 * t26094;
  t26692 = t788 * t26067;
  t26696 = t182 * t1319;
  t26701 = t30 * t5094;
  t26702 = t4762 * t26095;
  t26708 = t9744 * t3156 * t26094;
  t26711 = t3125 * t26094;
  t26715 = t3130 * t26094;
  t26725 = -0.4e1 / 0.3e1 * t4872 * t26670 + t4872 * t26673 / 0.3e1 + t4882 * t22009 / 0.4e1 - t26678 / 0.6e1 + 0.9e1 * t4983 * t5037 * t26680 - 0.3e1 * t21744 * t4778 + 0.3e1 / 0.2e1 * t4772 * t421 * t21180 - 0.3e1 / 0.4e1 * t3266 * t4768 * t3447 + 0.3e1 / 0.2e1 * t4772 * t1313 * t26692 + 0.3e1 / 0.2e1 * t26696 * t5176 - 0.3e1 * t26696 * t5001 - 0.3e1 / 0.2e1 * t26701 * t26702 - t4761 * t21597 / 0.2e1 - 0.9e1 / 0.2e1 * t26050 * t26708 - 0.9e1 * t4983 * t5029 * t26711 + 0.9e1 / 0.2e1 * t4772 * t5029 * t26715 - t26696 * t4874 / 0.2e1 + 0.3e1 / 0.4e1 * t26696 * t4879 - t4882 * t22004 / 0.2e1;
  t26730 = t229 * t26094;
  t26759 = t1261 * t3099 * t2266;
  t26761 = t21198 * t1270;
  t26762 = t21192 * t1270;
  t26763 = t25727 * t4811;
  t26765 = t4907 * t3399;
  t26767 = 0.3e1 * t26260 * t4775 + 0.9e1 / 0.2e1 * t4772 * t5094 * t26730 + 0.3e1 / 0.2e1 * t4772 * t1313 * t20780 - 0.3e1 / 0.2e1 * t3266 * t4777 * t3492 + t1242 * t3530 / 0.4e1 + t417 * t21331 / 0.12e2 + t1247 * t3530 / 0.4e1 + t1242 * t3534 / 0.2e1 + t417 * t21741 / 0.4e1 + t642 * t4754 / 0.6e1 - t3406 * t8992 / 0.4e1 - 0.3e1 / 0.2e1 * t3101 * t1282 - 0.3e1 / 0.4e1 * t3101 * t1286 + t3396 * t26759 - t26761 - t26762 + 0.23e2 / 0.36e2 * t26763 + t26765 / 0.3e1;
  t26768 = t26056 * t5000;
  t26771 = t5175 * t26068;
  t26778 = t3556 * t238;
  t26779 = t26778 * t4878;
  t26784 = t191 * t242 * t426 * t3164;
  t26791 = t5241 * t845;
  t26795 = t3149 * t428;
  t26802 = t3556 * t20709;
  t26806 = t69 * t206;
  t26807 = t26806 * t3121;
  t26808 = t30 * t26807;
  t26809 = t414 * t621;
  t26810 = t670 * t26809;
  t26811 = t9845 * t26810;
  t26819 = t26189 * t26217;
  t26822 = t9744 * t26224;
  t26825 = -0.3e1 * t4872 * t26768 + 0.2e1 / 0.3e1 * t4872 * t26771 + 0.3e1 / 0.2e1 * t26060 * t5176 - 0.3e1 * t26060 * t5001 + 0.3e1 / 0.2e1 * t4872 * t26779 + 0.3e1 / 0.2e1 * t26784 * t3170 - t3066 * t5291 / 0.2e1 - t1242 * t3391 / 0.2e1 + t26791 / 0.18e2 + 0.3e1 / 0.4e1 * t5266 * t623 - t3138 * t26795 / 0.2e1 - 0.3e1 * t5286 * t3127 + 0.3e1 / 0.4e1 * t20991 * t432 - 0.5e1 / 0.2e1 * t4772 * t1319 * t26802 + 0.7e1 * t26808 * t26811 + 0.3e1 / 0.2e1 * t3266 * t4785 * t4828 - 0.5e1 / 0.3e1 * t4872 * t20711 - 0.23e2 / 0.6e1 * t26050 * t26819 + 0.23e2 / 0.12e2 * t26050 * t26822;
  t26828 = t8790 * t26401;
  t26830 = t26405 * t26401;
  t26835 = t188 * t1313;
  t26836 = t26835 * t4885;
  t26838 = t3273 * t26473;
  t26841 = t5175 * t21596;
  t26844 = t4996 * t26102;
  t26847 = t20862 * t65;
  t26848 = t26847 * t26473;
  t26851 = t9845 * t26052;
  t26854 = t26835 * t4765;
  t26856 = t188 * t421;
  t26857 = t26856 * t3276;
  t26863 = t3145 * t428;
  t26868 = t661 * t1342;
  t26873 = t4872 * t20716 + t4761 * t26828 - 0.11e2 / 0.12e2 * t4872 * t26830 - t4882 * t22458 / 0.2e1 - t26836 / 0.3e1 + 0.3e1 / 0.2e1 * t26701 * t26838 + 0.5e1 / 0.6e1 * t4872 * t26841 - t4872 * t26844 / 0.2e1 + 0.11e2 / 0.3e1 * t26050 * t26848 - 0.11e2 / 0.6e1 * t26050 * t26851 + t26854 / 0.3e1 + t26857 / 0.6e1 - t642 * t5261 / 0.4e1 + t20988 * t432 / 0.4e1 - 0.5e1 / 0.36e2 * t3138 * t26863 - t3066 * t5229 / 0.4e1 - t654 * t26868 / 0.4e1 - t3213 * t1223 / 0.4e1;
  t26876 = t4873 * t26052;
  t26879 = t4877 * t26473;
  t26882 = t4762 * t26102;
  t26885 = t4784 * t4789;
  t26896 = t30 * t238 * t4991;
  t26901 = t3046 * t5291;
  t26909 = t634 * t4754;
  t26911 = t1218 * t3391;
  t26913 = t5250 * t845;
  t26916 = t3460 * t4748 * t3462;
  t26919 = t1218 * t3534;
  t26921 = -t3193 * t1223 / 0.12e2 + 0.3e1 / 0.2e1 * t26106 * t26876 - 0.7e1 / 0.3e1 * t26106 * t26879 + t4761 * t26882 / 0.2e1 - 0.3e1 * t4993 * t26885 * t1269 - 0.3e1 / 0.2e1 * t4993 * t26531 * t1269 - t26696 * t4997 + 0.2e1 * t26696 * t5004 - 0.3e1 * t26896 * t4994 + 0.3e1 * t21748 * t4786 - t26901 / 0.6e1 - 0.3e1 * t1228 * t3083 - 0.2e1 * t3088 * t5281 - 0.3e1 / 0.2e1 * t1228 * t3483 + t26909 / 0.12e2 - t26911 / 0.6e1 - t26913 / 0.6e1 - t211 * t26916 / 0.6e1 + t26919 / 0.6e1;
  t26927 = t5250 * t840;
  t26929 = t1218 * t3386;
  t26932 = t626 * t5285;
  t26948 = t3520 * t1226 * t838;
  t26954 = t20831 * t4850;
  t26955 = t26954 * t25740;
  t26958 = t3144 * t3073;
  t26959 = t20831 * t26958;
  t26963 = t3124 * t3073;
  t26964 = t20831 * t26963;
  t26968 = t21994 * t4847;
  t26970 = -t1247 * t3464 / 0.2e1 + t26927 / 0.6e1 - t26929 / 0.12e2 + t3066 * t5281 - 0.3e1 / 0.2e1 * t26932 * t685 + 0.3e1 / 0.2e1 * t5266 * t691 - 0.11e2 / 0.6e1 * t26348 * t5167 + 0.3e1 / 0.4e1 * t3220 * t1239 + 0.3e1 / 0.4e1 * t20980 * t432 + t1228 * t3206 / 0.4e1 + t21393 * t432 / 0.4e1 - t654 * t26948 - 0.3e1 / 0.4e1 * t5277 * t827 - 0.3e1 / 0.4e1 * t5266 * t827 - 0.2e1 * t26009 * t26955 - 0.18e2 * t679 * t25943 * t26959 + 0.6e1 * t246 * t25943 * t26964 + 0.3e1 / 0.2e1 * t26968;
  t26971 = t25727 * t4869;
  t26973 = t4867 * t25740;
  t26976 = t25727 * t4841;
  t26978 = t637 * t4864;
  t26980 = t3115 * t25891;
  t26981 = t660 * t3073;
  t26982 = t3139 * t26981;
  t26986 = t3139 * t26963;
  t26990 = t3051 * t4857;
  t26992 = t3051 * t4919;
  t26994 = t637 * t4904;
  t26996 = t680 * t4804;
  t26997 = t659 * t26981;
  t27002 = t659 * t665 * t3073;
  t27006 = t3139 * t26958;
  t27010 = t633 * t5155;
  t27011 = t27010 * t5179;
  t27013 = 0.5e1 / 0.54e2 * t3684 * t428;
  t27014 = t3046 * t5229;
  t27018 = t26410 * t4764;
  t27021 = t4762 * t26415;
  t27026 = -t26971 / 0.2e1 + 0.6e1 * t25893 * t26973 - 0.3e1 / 0.2e1 * t26976 + 0.3e1 / 0.2e1 * t26978 - 0.18e2 * t246 * t26980 * t26982 + 0.36e2 * t679 * t26980 * t26986 - 0.3e1 * t26990 + 0.3e1 * t26992 - 0.3e1 * t26994 - 0.18e2 * t679 * t26996 * t26997 + 0.18e2 * t246 * t26996 * t27002 - 0.18e2 * t3167 * t26980 * t27006 + t27011 - t27013 - t27014 / 0.12e2 + t3088 * t5229 / 0.2e1 - t4872 * t27018 / 0.2e1 + t4761 * t27021 / 0.2e1 - t26060 * t4874 / 0.2e1;
  t27031 = t191 * t649 * t4804;
  t27032 = t1261 * t25740;
  t27035 = t27010 * t5157;
  t27037 = t4934 * t3499;
  t27039 = t4934 * t5149;
  t27041 = t843 * t25787;
  t27044 = t4851 * t25740;
  t27047 = t4808 * t26161;
  t27052 = t1254 * t25787;
  t27055 = t1261 * t26165;
  t27070 = t3115 * t26346;
  t27074 = -t1242 * t3464 / 0.2e1 - 0.3e1 * t27031 * t27032 + t27035 / 0.2e1 + t27037 / 0.6e1 + t27039 / 0.3e1 - 0.3e1 / 0.2e1 * t4938 * t27041 + 0.22e2 / 0.3e1 * t25893 * t27044 - 0.23e2 / 0.3e1 * t25893 * t27047 + 0.9e1 * t3061 * t4919 + 0.3e1 * t5156 * t27052 - 0.6e1 * t5156 * t27055 + 0.3e1 * t25795 * t5179 - 0.6e1 * t25795 * t5185 - 0.9e1 * t3070 * t4857 + 0.9e1 / 0.2e1 * t630 * t4864 - 0.9e1 * t3061 * t4857 + 0.9e1 / 0.2e1 * t608 * t4864 - 0.9e1 * t679 * t27070 * t4856;
  t27081 = t680 * t25793;
  t27092 = t637 * t5162;
  t27096 = t637 * t4963;
  t27097 = t3247 * t1282;
  t27098 = t5247 * t840;
  t27100 = t3121 * t20759;
  t27101 = t5028 * t27100;
  t27102 = t22209 * t592;
  t27103 = t802 * t27102;
  t27106 = t1310 * t5014;
  t27109 = t3590 * t27102;
  t27112 = t22203 * t206;
  t27113 = t233 * t27112;
  t27118 = t5068 * t5021;
  t27121 = t3580 * t27102;
  t27124 = t1318 * t10001;
  t27126 = t62 * t621 * t206;
  t27127 = t802 * t27126;
  t27132 = t5028 * t9994;
  t27133 = t3590 * t27126;
  t27136 = t3580 * t27126;
  t27141 = t815 * t27112;
  t27144 = -0.36e2 * t27101 * t27103 + 0.12e2 * t27106 * t5018 + 0.2e1 / 0.3e1 * t27101 * t27109 + 0.6e1 * t5015 * t27113 + 0.6e1 * t9082 * t22205 + 0.3e1 * t27118 * t5023 + 0.4e1 * t27101 * t27121 + 0.6e1 * t27124 * t27127 + 0.5e1 / 0.3e1 * t5022 * t22215 - t27132 * t27133 / 0.3e1 - 0.2e1 * t27132 * t27136 - 0.18e2 * t27118 * t5025 - 0.8e1 * t5022 * t27141;
  t27145 = t815 * t22210;
  t27151 = t20822 * t414 * t20844;
  t27152 = t63 * t3073;
  t27153 = t20876 * t27152;
  t27156 = t20862 * t27152;
  t27159 = t3601 * t206;
  t27160 = t22309 * t27159;
  t27163 = t3633 * t206;
  t27164 = t3556 * t27163;
  t27168 = t648 * t5055 * t682;
  t27171 = t5103 * t206;
  t27172 = t3130 * t27171;
  t27176 = t22290 * t27159;
  t27179 = t5068 * t3077;
  t27182 = t5061 * t794;
  t27183 = t788 * t27182;
  t27186 = t20871 * t27152;
  t27190 = t69 * t1237 * t3121;
  t27193 = -0.1e2 * t5022 * t27145 + 0.18e2 * t27132 * t27127 + 0.8e1 / 0.3e1 * t27151 * t27153 + 0.24e2 * t27151 * t27156 - 0.11e2 * t1319 * t27160 + 0.4e1 * t1319 * t27164 + 0.6e1 * t27168 * t1324 - 0.9e1 * t5029 * t27172 - t421 * t22286 + 0.22e2 / 0.3e1 * t1319 * t27176 - 0.36e2 * t27179 * t5038 + 0.9e1 * t5094 * t27183 - 0.4e1 / 0.3e1 * t27151 * t27186 + 0.18e2 * t27190 * t5034;
  t27195 = t20862 * t27182;
  t27200 = t3130 * t27182;
  t27203 = t20876 * t27182;
  t27206 = t420 * t21714;
  t27207 = t229 * t27152;
  t27210 = t1318 * t21138;
  t27211 = t683 * t27152;
  t27218 = t3077 * t3123;
  t27219 = t1318 * t27218;
  t27220 = t815 * t27102;
  t27223 = t1310 * t3259;
  t27226 = t5028 * t20885;
  t27227 = t3168 * t27152;
  t27230 = t689 * t27152;
  t27233 = t3562 * t27159;
  t27236 = t3130 * t27152;
  t27239 = -0.2e2 * t5029 * t27195 - 0.2e1 * t27190 * t5031 + 0.56e2 / 0.3e1 * t5037 * t27200 - t5029 * t27203 / 0.3e1 - 0.24e2 * t27206 * t27207 - 0.12e2 * t27210 * t27211 - 0.6e1 * t421 * t22304 + 0.6e1 * t1311 * t3564 + 0.56e2 * t27219 * t27220 + 0.18e2 * t27223 * t5095 + 0.4e1 / 0.3e1 * t27226 * t27227 + 0.72e2 * t27210 * t27230 + 0.6e1 * t1313 * t27233 - 0.72e2 * t27226 * t27236;
  t27240 = t3125 * t27152;
  t27243 = t22290 * t27182;
  t27246 = t3556 * t27182;
  t27249 = t3130 * t27163;
  t27252 = t5056 * t596;
  t27260 = t229 * t27171;
  t27265 = t788 * t27163;
  t27270 = t683 * t27171;
  t27275 = 0.8e1 * t27226 * t27240 + 0.18e2 * t5029 * t27243 - 0.28e2 * t5037 * t27246 - 0.8e1 / 0.3e1 * t1319 * t27249 - 0.6e1 * t27252 * t1315 - 0.3e1 * t5116 * t796 - t27168 * t1320 - 0.6e1 * t5069 * t5072 - 0.9e1 * t5094 * t27260 - 0.3e1 * t1313 * t22264 - 0.3e1 * t1313 * t27265 - 0.3e1 * t421 * t22259 - 0.12e2 * t5037 * t27270 - 0.1e2 / 0.3e1 * t1319 * t22255;
  t27278 = t3168 * t27171;
  t27283 = t689 * t27171;
  t27286 = t3556 * t22254;
  t27289 = t3125 * t27171;
  t27292 = t802 * t27112;
  t27295 = t815 * t27126;
  t27310 = t60 * t3190;
  t27311 = t229 * t27310;
  t27313 = t5029 * t27278 / 0.6e1 - 0.6e1 * t5078 * t5042 + 0.18e2 * t5037 * t27283 + 0.5e1 * t1319 * t27286 + 0.1e2 * t5029 * t27289 + 0.4e1 / 0.3e1 * t5022 * t27292 - 0.36e2 * t27124 * t27295 - 0.12e2 * t27179 * t5120 + 0.3e1 * t27252 * t1334 + 0.3e1 / 0.2e1 * t5116 * t812 - 0.3e1 * t27168 * t1338 + 0.3e1 * t5078 * t5112 + 0.3e1 / 0.2e1 * t1311 * t3634 + t1313 * t27311;
  t27318 = t689 * t27310;
  t27322 = t683 * t27310;
  t27329 = t60 * t3073;
  t27330 = t3168 * t27329;
  t27333 = t193 * t26314;
  t27340 = t63 * t3190;
  t27341 = t229 * t27340;
  t27344 = t689 * t27340;
  t27349 = 0.2e1 * t27168 * t1328 - 0.3e1 * t5069 * t5104 - t1319 * t27318 + 0.2e1 * t5069 * t5106 + 0.2e1 / 0.3e1 * t1319 * t27322 + t421 * t22393 / 0.2e1 - 0.9e1 * t27223 * t5129 - 0.2e1 / 0.3e1 * t27226 * t27330 + t27333 * t227 * t230 + t27190 * t5123 / 0.6e1 + 0.9e1 * t5069 * t5098 - 0.2e1 * t1313 * t27341 + 0.2e1 * t1319 * t27344 - 0.6e1 * t5078 * t5086;
  t27356 = t683 * t27340;
  t27361 = t20845 * t27152;
  t27370 = t229 * t27329;
  t27373 = t683 * t27329;
  t27378 = t3130 * t27329;
  t27381 = t20862 * t27329;
  t27384 = 0.6e1 * t27179 * t5089 + 0.6e1 * t5069 * t5075 - t5069 * t5046 - t1319 * t27356 / 0.3e1 - t27190 * t5049 / 0.3e1 - t27151 * t27361 / 0.9e1 - 0.3e1 * t1311 * t3546 - 0.3e1 * t1311 * t3602 + 0.3e1 * t421 * t22383 + 0.12e2 * t27206 * t27370 + 0.24e2 * t27210 * t27373 - 0.9e1 * t27190 * t5065 + 0.36e2 * t27226 * t27378 - 0.12e2 * t27151 * t27381;
  t27387 = t3125 * t27329;
  t27390 = t20871 * t27329;
  t27393 = t20876 * t27329;
  t27396 = t689 * t27329;
  t27404 = t682 * t20759;
  t27405 = t1318 * t27404;
  t27407 = t62 * t3461 * t206;
  t27408 = t815 * t27407;
  t27411 = t3259 * t658;
  t27412 = t420 * t27411;
  t27413 = t233 * t27102;
  t27418 = t596 * t3123;
  t27419 = t420 * t27418;
  t27420 = t233 * t27407;
  t27423 = t802 * t27407;
  t27426 = t420 * t10093;
  t27427 = t233 * t27126;
  t27432 = 0.1e2 * t27190 * t5126 - 0.4e2 * t27226 * t27387 + 0.1e2 / 0.3e1 * t27151 * t27390 + 0.5e2 / 0.3e1 * t27151 * t27393 - 0.36e2 * t27210 * t27396 + 0.18e2 * t27179 * t5062 - t27333 * t208 * t234 / 0.2e1 + 0.22e2 * t27405 * t27408 - 0.18e2 * t27412 * t27413 - 0.28e2 / 0.3e1 * t27219 * t27103 - 0.12e2 * t27419 * t27420 - 0.11e2 / 0.3e1 * t27405 * t27423 + 0.18e2 * t27426 * t27427 + 0.6e1 * t5015 * t22211;
  t27440 = t3678 * t428;
  t27442 = t769 * t1342;
  t27444 = t22052 * t4786;
  t27445 = t3130 * t20709;
  t27454 = t191 * t242 * t1340 * t676;
  t27457 = t666 * t1342;
  t27460 = 0.9e1 * t3070 * t4919 - 0.9e1 * t630 * t4904 - 0.9e1 * t608 * t4904 + 0.9e1 * t679 * t27081 * t4918 - 0.9e1 * t246 * t27081 * t4903 + 0.9e1 / 0.2e1 * t246 * t247 * t4789 * t4914 - t27092 / 0.2e1 + 0.9e1 / 0.2e1 * t608 * t4915 - t27096 - t27097 + t27098 / 0.6e1 - t30 * t59 * (t27144 + t27193 + t27239 + t27275 + t27313 + t27349 + t27384 + t27432) * t95 / 0.4e1 + t27440 / 0.6e1 + t27442 / 0.6e1 + t27444 + 0.5e1 / 0.2e1 * t4983 * t1319 * t27445 - 0.3e1 / 0.2e1 * t4993 * t4785 * t4794 - 0.3e1 / 0.2e1 * t27454 * t685 - t654 * t27457 / 0.2e1;
  t27464 = t661 * t1341 * t670;
  t27468 = t5175 * t26473;
  t27471 = t188 * t5135;
  t27477 = t26189 * t26473;
  t27480 = t9744 * t26095;
  t27483 = t27010 * t5185;
  t27485 = t1254 * t25740;
  t27488 = t1261 * t26161;
  t27491 = t25709 * t25740;
  t27496 = t4867 * t25787;
  t27504 = t25714 * t26161;
  t27507 = t677 * t25739;
  t27508 = t26011 * t27507;
  t27511 = t654 * t27464 - 0.3e1 / 0.4e1 * t182 * t5135 - 0.14e2 / 0.3e1 * t26106 * t27468 - t27471 / 0.4e1 + t3110 * t1223 / 0.2e1 + t603 * t5261 / 0.2e1 + 0.5e1 / 0.6e1 * t26050 * t27477 - 0.5e1 / 0.12e2 * t26050 * t27480 - 0.2e1 * t27483 - 0.6e1 * t27031 * t27485 + 0.12e2 * t27031 * t27488 - 0.38e2 / 0.9e1 * t26009 * t27491 - 0.3e1 / 0.2e1 * t26348 * t4869 - 0.3e1 / 0.2e1 * t4806 * t27496 + 0.9e1 / 0.2e1 * t3167 * t27070 * t4846 - 0.3e1 / 0.2e1 * t26018 * t4869 + 0.89e2 / 0.9e1 * t26009 * t27504 - 0.43e2 / 0.9e1 * t26009 * t27508;
  t27519 = t4808 * t3059 * t4809;
  t27527 = t3168 * t26094;
  t27536 = t3360 * t3361 * t206;
  t27541 = t3360 * t3409 * t206;
  t27545 = t5175 * t26352;
  t27549 = t4877 * t3264 * t26351;
  t27552 = t633 * t5285;
  t27553 = t27552 * t685;
  t27555 = t5234 * t691;
  t27559 = t3145 * t5280;
  t27565 = 0.9e1 / 0.2e1 * t21524 * t4847 + 0.9e1 / 0.2e1 * t21529 * t4847 - 0.9e1 / 0.2e1 * t26348 * t4841 - 0.9e1 / 0.2e1 * t4806 * t27519 + 0.9e1 / 0.2e1 * t246 * t27070 * t4863 - 0.9e1 / 0.2e1 * t26018 * t4841 + 0.9e1 / 0.2e1 * t9877 * t5029 * t27527 - t3664 * t428 / 0.4e1 - 0.3e1 / 0.4e1 * t759 * t1342 + 0.9e1 / 0.2e1 * t4993 * t4785 * t27536 - 0.9e1 / 0.2e1 * t3266 * t4785 * t27541 + 0.3e1 / 0.2e1 * t4872 * t27545 - 0.3e1 * t4872 * t27549 - t27553 / 0.2e1 + t27555 / 0.2e1 + 0.3e1 * t5286 * t3079 + 0.23e2 / 0.36e2 * t3138 * t27559 + t3088 * t5291 - t1228 * t3448 / 0.4e1;
  t27570 = t3232 * t1282;
  t27576 = t3232 * t1290;
  t27580 = t3232 * t1286;
  t27584 = t3520 * t4753;
  t27591 = t4762 * t26052;
  t27594 = t22052 * t4778;
  t27595 = t26847 * t9966;
  t27598 = t1218 * t3530;
  t27605 = t4873 * t26415;
  t27610 = 0.3e1 * t3266 * t26885 * t1274 + t27570 / 0.3e1 - t417 * t21011 / 0.12e2 + t417 * t21735 / 0.4e1 - t27576 / 0.6e1 + t1247 * t3534 / 0.2e1 + t27580 / 0.6e1 + 0.3e1 / 0.2e1 * t1228 * t3132 + t654 * t27584 / 0.4e1 + t191 * t194 * t20770 * t8987 / 0.2e1 - 0.3e1 / 0.2e1 * t26701 * t27591 - t27594 - 0.14e2 * t26182 * t27595 + t27598 / 0.12e2 - t417 * t20906 / 0.2e1 - t26586 * t4885 + t4882 * t20721 / 0.4e1 - t4872 * t27605 / 0.4e1 - 0.3e1 / 0.2e1 * t182 * t4741;
  t27613 = t637 * t4829;
  t27615 = t637 * t4825;
  t27616 = t3247 * t1275;
  t27619 = t3242 * t1275;
  t27620 = t3242 * t1282;
  t27621 = t3242 * t1290;
  t27626 = t637 * t4837;
  t27631 = t3670 * t428;
  t27633 = t773 * t1342;
  t27637 = t3140 * t5280;
  t27640 = t427 * t3156;
  t27641 = t3145 * t27640;
  t27646 = t3273 * t26352;
  t27648 = -0.3e1 / 0.4e1 * t759 * t1305 + t27613 / 0.2e1 + t27615 + t27616 + 0.9e1 / 0.2e1 * t630 * t4915 + t27619 - t27620 + t27621 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t4896 * t3468 - t27626 / 0.4e1 + t1228 * t3469 / 0.2e1 + t1228 * t3487 - t27631 / 0.4e1 - t27633 / 0.2e1 + 0.3e1 / 0.2e1 * t5277 * t691 + 0.7e1 / 0.3e1 * t3138 * t27637 - 0.3e1 / 0.2e1 * t3138 * t27641 - t1247 * t3386 / 0.4e1 - t4761 * t27646;
  t27654 = my_piecewise3(t2, 0, t26003 + t25960 + t25902 + t25851 + t25807 + t25758 + t25696 + t26725 + t26825 + t26970 + t26063 + t26501 + t27565 + t26285 + t27511 + t27648 + t26394 + t26921 + t26612 + t26169 + t27074 + t26449 + t27460 + t26123 + t26668 + t26228 + t26873 + t26570 + t26767 + t27610 + t26340 + t27026);
  tv4rho3sigma0 = t3 * t27654 + 0.3e1 * t5298;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 0] += tv4rho3sigma0;

  tv4rho3sigma1 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 1] += tv4rho3sigma1;

  t27661 = t22986 * t441 * t350;
  t27664 = t22982 * t441 * t350;
  t27668 = 0.5e1 / 0.162e3 * t22978 * t441 * t350;
  t27671 = t3720 * t453;
  t27673 = t3724 * t453;
  t27676 = 0.5e1 / 0.54e2 * t3728 * t453;
  t27679 = t22987 * t457;
  t27681 = t22983 * t457;
  t27684 = 0.5e1 / 0.54e2 * t22979 * t457;
  t27685 = -t23003 * t441 * t350 / 0.12e2 - t27661 / 0.12e2 + t27664 / 0.18e2 - t27668 - t3716 * t453 / 0.4e1 - t27671 / 0.4e1 + t27673 / 0.6e1 - t27676 + t23004 * t457 / 0.4e1 + t27679 / 0.4e1 - t27681 / 0.6e1 + t27684;
  t27686 = my_piecewise3(t100, 0, t27685);
  tv4rho3sigma2 = t3 * t27686 + 0.3e1 * t5323;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 2] += tv4rho3sigma2;

  t27688 = 0.2e1 * t5410;
  t27697 = t897 * t4805;
  t27702 = t897 * t5155;
  t27712 = t3750 * t1251;
  t27715 = t897 * t4815;
  t27726 = t5379 * t840 / 0.6e1 + t5376 * t840 / 0.6e1 + t1368 * t3534 / 0.6e1 + t1368 * t3530 / 0.12e2 - t27697 * t4869 / 0.2e1 + 0.7e1 / 0.3e1 * t27697 * t4852 + t27702 * t5179 - 0.11e2 / 0.18e2 * t27697 * t5167 + 0.23e2 / 0.36e2 * t27697 * t4811 + 0.3e1 * t3740 * t4919 - 0.3e1 * t903 * t4904 - t27712 * t1300 / 0.6e1 - t27715 * t1300 / 0.6e1 - t5327 * t5190 / 0.6e1 - t5327 * t4893 / 0.12e2 - 0.5e1 / 0.36e2 * t27697 * t4890 + t5334 * t5149 / 0.3e1;
  t27743 = t5389 * t845 / 0.18e2;
  t27752 = t3750 * t3395;
  t27759 = t5334 * t3499 / 0.6e1 + t27702 * t5157 / 0.2e1 + 0.2e1 / 0.3e1 * t22877 * t8980 + 0.2e1 / 0.3e1 * t22877 * t9837 + t903 * t4931 / 0.2e1 + 0.3e1 / 0.2e1 * t903 * t4915 - t897 * t4937 * t4939 / 0.2e1 - t27743 - 0.3e1 / 0.2e1 * t27697 * t4841 + 0.3e1 / 0.2e1 * t22632 * t4847 - 0.3e1 * t3740 * t4857 + 0.3e1 / 0.2e1 * t903 * t4864 + 0.2e1 / 0.3e1 * t27752 * t2282 - 0.2e1 / 0.9e1 * t25718 + 0.2e1 / 0.9e1 * t25720 + 0.2e1 / 0.27e2 * t25723 - 0.4e1 / 0.27e2 * t25725;
  t27778 = -0.11e2 / 0.54e2 * t25728 - t25730 / 0.18e2 - t25735 / 0.6e1 + t25744 / 0.6e1 - 0.5e1 / 0.108e3 * t25783 - t25785 / 0.36e2 - t25791 / 0.18e2 - t25799 / 0.18e2 - t25805 / 0.18e2 - t25837 / 0.9e1 - t25839 / 0.9e1 - t25841 / 0.9e1 - t25843 / 0.18e2 + t25871 / 0.9e1 + t25878 / 0.9e1 + t25883 / 0.6e1 + t25885 / 0.12e2;
  t27786 = t3750 * t1227;
  t27790 = t3761 * t1239 / 0.6e1;
  t27792 = t22931 * t432 / 0.6e1;
  t27794 = t307 * t1319;
  t27797 = t307 * t1313;
  t27800 = t307 * t4985;
  t27818 = t25887 / 0.6e1 - t25889 / 0.18e2 + t25940 / 0.2e1 + t3754 * t1239 / 0.2e1 - t3751 * t1223 / 0.6e1 + t27786 * t250 / 0.2e1 + t27790 + t27792 - t26078 / 0.12e2 - t27794 * t4874 / 0.6e1 - t27797 * t4885 / 0.3e1 + 0.2e1 / 0.3e1 * t27800 * t9971 - t5379 * t645 / 0.6e1 - t897 * t5201 * t223 / 0.12e2 - t5376 * t645 / 0.6e1 + t5384 * t623 / 0.4e1 - t22685 * t416 * t223 / 0.12e2 - t3750 * t1246 * t223 / 0.6e1;
  t27851 = t3757 * t1293 * t1295 / 0.9e1;
  t27853 = t5389 * t840 / 0.18e2;
  t27854 = -t3737 * t5229 / 0.12e2 + t3776 * t1239 / 0.2e1 - 0.2e1 / 0.27e2 * t26092 - t26100 / 0.9e1 - t1368 * t3464 / 0.6e1 - t903 * t4897 / 0.2e1 - t903 * t4837 / 0.4e1 + t3754 * t1290 / 0.2e1 + t3776 * t1290 / 0.2e1 + t903 * t4958 / 0.4e1 + t903 * t4952 / 0.2e1 - t5379 * t845 / 0.6e1 - t5376 * t845 / 0.6e1 - t1368 * t3391 / 0.6e1 - t1368 * t3386 / 0.12e2 + t27851 + t27853;
  t27855 = t3757 * t1251;
  t27857 = t27855 * t1300 / 0.18e2;
  t27865 = t3761 * t1282 / 0.3e1;
  t27867 = t3761 * t1286 / 0.6e1;
  t27868 = t3757 * t3395;
  t27870 = 0.2e1 / 0.9e1 * t27868 * t2282;
  t27872 = t3761 * t1290 / 0.6e1;
  t27878 = t897 * t21434;
  t27890 = -t27857 + t3750 * t1293 * t1295 / 0.3e1 + t897 * t5144 * t1295 / 0.3e1 - t27865 - t27867 + t27870 + t27872 - t3754 * t1282 - t3776 * t1282 - t903 * t4963 - t903 * t5162 / 0.2e1 - 0.2e1 * t27878 * t2282 - t3754 * t1286 / 0.2e1 - t3776 * t1286 / 0.2e1 - t5384 * t598 / 0.2e1 - t1368 * t3096 / 0.12e2 + t26113 / 0.9e1;
  t27911 = t897 * t5285;
  t27914 = t26118 / 0.6e1 + t26121 / 0.6e1 + t26124 / 0.27e2 - t26128 / 0.18e2 - t26130 / 0.18e2 - t26132 / 0.18e2 - t26134 / 0.9e1 - t26136 / 0.9e1 - t26138 / 0.9e1 + t26141 / 0.27e2 + t26144 / 0.27e2 - t26154 / 0.36e2 - t26156 / 0.18e2 + t5384 * t691 / 0.2e1 - t3737 * t5291 / 0.6e1 + t3737 * t5281 / 0.3e1 - t27911 * t685 / 0.2e1;
  t27915 = t22673 * t432;
  t27918 = t3758 * t1223 / 0.18e2;
  t27921 = t3757 * t1227;
  t27923 = t27921 * t250 / 0.6e1;
  t27934 = t22806 * t1270 / 0.3e1;
  t27936 = t3761 * t1275 / 0.3e1;
  t27938 = t27855 * t1257 / 0.9e1;
  t27941 = -t27915 / 0.18e2 - t27918 + t3747 * t1223 / 0.6e1 + t27923 + t26187 / 0.12e2 + t26202 - t27712 * t1257 / 0.3e1 + t903 * t4825 + t3776 * t1275 - t3740 * t4791 + t3754 * t1275 - t22773 * t1270 - t22796 * t1270 - t27934 + t27936 - t27938 - t26277 / 0.6e1 - t26279 / 0.6e1;
  t27950 = t307 * t3157;
  t27964 = -t26281 / 0.6e1 - t26297 / 0.18e2 + t26299 / 0.6e1 + t27794 * t5176 / 0.2e1 + 0.3e1 / 0.2e1 * t27950 * t4988 - t26322 / 0.27e2 + t26324 / 0.27e2 - t26362 / 0.6e1 - t26364 / 0.6e1 - t26387 - t26390 / 0.6e1 + t26392 / 0.18e2 - t26397 / 0.3e1 + 0.2e1 / 0.9e1 * t26398 - t26428 / 0.12e2 + t26430 / 0.9e1 + t26455 / 0.27e2;
  t27984 = -t26458 / 0.9e1 - t26462 / 0.6e1 + t26468 / 0.3e1 - t26478 / 0.18e2 - t26481 / 0.36e2 + t26483 / 0.12e2 + t26485 / 0.6e1 - t26488 / 0.36e2 + 0.2e1 / 0.9e1 * t26495 + 0.2e1 / 0.9e1 * t26497 + 0.2e1 / 0.9e1 * t26499 + t26536 / 0.2e1 - t26538 / 0.2e1 + t26578 / 0.6e1 - t26580 / 0.3e1 + t903 * t4829 / 0.2e1 - t3740 * t4795 / 0.2e1;
  t28007 = -t5327 * t5170 / 0.6e1 + t5327 * t3399 / 0.3e1 - t27715 * t1257 / 0.3e1 - t5327 * t5195 / 0.3e1 + t26588 / 0.12e2 + t26590 / 0.6e1 + t26592 / 0.6e1 + t26594 / 0.12e2 + t26596 / 0.12e2 - t26598 / 0.36e2 - t26600 / 0.6e1 - t26602 / 0.3e1 + 0.7e1 / 0.9e1 * t26610 - t26678 / 0.18e2 - t26761 / 0.3e1 - t26762 / 0.3e1 + 0.23e2 / 0.108e3 * t26763;
  t28015 = t22676 * t416 * t223 / 0.18e2;
  t28018 = t3757 * t1246 * t223 / 0.18e2;
  t28020 = t5389 * t645 / 0.18e2;
  t28022 = t22680 * t432 / 0.6e1;
  t28035 = t894 * t1305 / 0.6e1;
  t28038 = t26765 / 0.9e1 + t26791 / 0.27e2 - t26836 / 0.9e1 + t26854 / 0.9e1 + t26857 / 0.18e2 - t28015 - t28018 - t28020 + t28022 - t307 * t4971 / 0.4e1 - t5384 * t827 / 0.4e1 + t5384 * t832 / 0.2e1 + t898 * t4754 / 0.12e2 - t898 * t4750 / 0.6e1 - t26901 / 0.18e2 - t28035 + t26909 / 0.36e2 - t26911 / 0.18e2;
  t28053 = t897 * t5265;
  t28063 = t307 * t671;
  t28067 = t3852 * t428 / 0.6e1;
  t28070 = -t26913 / 0.18e2 + t26919 / 0.18e2 + t26927 / 0.18e2 - t26929 / 0.36e2 + t903 * t5208 / 0.4e1 - t3764 * t1223 / 0.12e2 + t22657 * t432 / 0.4e1 - t898 * t5261 / 0.6e1 + t28053 * t250 / 0.2e1 + t22689 * t432 / 0.4e1 + t22654 * t432 / 0.2e1 - t27800 * t9967 - t22522 * t4769 / 0.2e1 + t28063 * t4775 - t22522 * t4778 - t28067 - t307 * t5135 / 0.4e1;
  t28084 = t26968 / 0.2e1 - t26971 / 0.6e1 - t26976 / 0.2e1 + t26978 / 0.2e1 - t26990 + t26992 - t26994 + t27011 / 0.3e1 - t27013 - t27014 / 0.36e2 + t27035 / 0.6e1 + t27037 / 0.18e2 + t27039 / 0.9e1 - t27092 / 0.6e1 - t27096 / 0.3e1 - t27097 / 0.3e1 + t27098 / 0.18e2;
  t28093 = t3848 * t428;
  t28099 = t307 * t4992;
  t28105 = t22669 * t416 * t223;
  t28110 = t27440 / 0.9e1 + t27442 / 0.9e1 + t27444 / 0.3e1 - t27471 / 0.12e2 - 0.2e1 / 0.3e1 * t27483 - t307 * t4741 / 0.2e1 + t28093 / 0.18e2 - t27553 / 0.6e1 + t27555 / 0.6e1 - 0.3e1 / 0.2e1 * t28063 * t4781 - t28099 * t4994 + t22522 * t4786 - t27794 * t4997 / 0.3e1 + t28105 / 0.54e2 + 0.2e1 / 0.9e1 * t27570 - t27576 / 0.9e1 + t27580 / 0.9e1;
  t28114 = t894 * t1342 / 0.6e1;
  t28130 = t307 * t421;
  t28137 = -t27594 / 0.3e1 + t27598 / 0.36e2 - t28114 - t3840 * t428 / 0.4e1 - t890 * t1342 / 0.2e1 + t27613 / 0.6e1 + t27615 / 0.3e1 + t27616 / 0.3e1 + t27619 / 0.3e1 - t27620 / 0.3e1 + t27621 / 0.6e1 - t27626 / 0.12e2 - t27631 / 0.12e2 - t27633 / 0.6e1 + t27797 * t4765 / 0.3e1 + t28130 * t3276 / 0.6e1 - t890 * t1305 / 0.2e1 + t27794 * t4879 / 0.4e1;
  t28142 = my_piecewise3(t2, 0, t27726 + t27759 + t27778 + t27818 + t27854 + t27890 + t27914 + t27941 + t27964 + t27984 + t28007 + t28038 + t28070 + t28084 + t28110 + t28137);
  tv4rho3sigma3 = t3 * t28142 + t27688 + t5298;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 3] += tv4rho3sigma3;

  tv4rho3sigma4 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 4] += tv4rho3sigma4;

  t28144 = 0.2e1 * t5520;
  t28145 = t5307 * t1103;
  t28147 = t3901 * t1420;
  t28148 = t28147 * t1457;
  t28151 = t5304 * t1103 / 0.18e2;
  t28152 = t3897 * t1420;
  t28154 = 0.2e1 / 0.9e1 * t28152 * t1432;
  t28156 = t28152 * t1457 / 0.18e2;
  t28158 = t3914 * t1447 / 0.6e1;
  t28160 = t5304 * t1098 / 0.18e2;
  t28163 = t3897 * t1450 * t1452 / 0.9e1;
  t28165 = t23266 * t457 / 0.6e1;
  t28166 = t23306 * t457;
  t28168 = t3902 * t1378;
  t28170 = t3901 * t1382;
  t28171 = t28170 * t377;
  t28173 = t3917 * t1394;
  t28175 = t23445 * t457;
  t28178 = t3914 * t1394 / 0.6e1;
  t28179 = t3897 * t1382;
  t28181 = t28179 * t377 / 0.6e1;
  t28187 = t28145 / 0.54e2 + t28148 / 0.54e2 - t28151 + t28154 - t28156 + t28158 + t28160 + t28163 + t28165 - t28166 / 0.18e2 + t28168 / 0.54e2 - t28171 / 0.18e2 - t28173 / 0.18e2 - t28175 / 0.18e2 + t28178 + t28181 - t3893 * t1401 * t350 / 0.12e2 - t5301 * t994 / 0.12e2;
  t28192 = t3898 * t1378 / 0.18e2;
  t28194 = t28152 * t1426 / 0.9e1;
  t28196 = t23325 * t1411 / 0.3e1;
  t28198 = t3914 * t1443 / 0.6e1;
  t28200 = t3914 * t1416 / 0.3e1;
  t28202 = t3914 * t1439 / 0.3e1;
  t28203 = t3917 * t1439;
  t28205 = t3917 * t1443;
  t28211 = t23420 * t1411;
  t28215 = t3893 * t1420;
  t28227 = t28147 * t1432;
  t28229 = -t23425 * t441 * t350 / 0.12e2 - t28192 - t28194 - t28196 - t28198 + t28200 - t28202 + t28203 / 0.9e1 + t28205 / 0.18e2 + t23429 * t457 / 0.4e1 + t23300 * t457 / 0.4e1 + t28211 / 0.9e1 + t3911 * t1447 / 0.4e1 - t28215 * t1457 / 0.12e2 + t5301 * t1098 / 0.12e2 - t5301 * t1103 / 0.12e2 + t3893 * t1450 * t1452 / 0.6e1 + t28215 * t1432 / 0.3e1 - 0.2e1 / 0.27e2 * t28227;
  t28231 = t3917 * t1447;
  t28233 = t3917 * t1416;
  t28256 = t3901 * t1450 * t1452;
  t28258 = -t28231 / 0.18e2 - t28233 / 0.9e1 - t23288 * t1411 / 0.2e1 - t28215 * t1426 / 0.6e1 - t27661 / 0.36e2 + t27664 / 0.27e2 - t27668 + t27679 / 0.12e2 - t27681 / 0.9e1 + t27684 + t3911 * t1416 / 0.2e1 - t3911 * t1439 / 0.2e1 - t27671 / 0.12e2 + t27673 / 0.9e1 - t27676 - t3911 * t1443 / 0.4e1 - t865 * t1499 / 0.4e1 - t3880 * t453 / 0.4e1 - t28256 / 0.27e2;
  t28259 = t5307 * t1098;
  t28263 = t873 * t1462;
  t28266 = t869 * t1462 / 0.6e1;
  t28268 = t23305 * t441 * t350;
  t28270 = t5307 * t994;
  t28273 = t3901 * t1401 * t350;
  t28277 = t3897 * t1401 * t350 / 0.18e2;
  t28279 = t5304 * t994 / 0.18e2;
  t28280 = t3893 * t1382;
  t28288 = t869 * t1499 / 0.6e1;
  t28289 = t873 * t1499;
  t28291 = t3888 * t453;
  t28294 = t3884 * t453 / 0.6e1;
  t28295 = t28147 * t1426;
  t28298 = t23270 * t457 / 0.6e1;
  t28301 = t23269 * t441 * t350 / 0.18e2;
  t28302 = -t28259 / 0.54e2 - t865 * t1462 / 0.4e1 + t28263 / 0.18e2 - t28266 + t28268 / 0.54e2 + t28270 / 0.54e2 + t28273 / 0.54e2 - t28277 - t28279 + t28280 * t377 / 0.4e1 + t3911 * t1394 / 0.4e1 - t3894 * t1378 / 0.12e2 - t28288 + t28289 / 0.18e2 + t28291 / 0.18e2 - t28294 + t28295 / 0.27e2 + t28298 - t28301;
  t28305 = my_piecewise3(t100, 0, t28187 + t28229 + t28258 + t28302);
  tv4rho3sigma5 = t3 * t28305 + t28144 + t5323;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 5] += tv4rho3sigma5;

  t28311 = t3952 * t1227;
  t28323 = -t27743 - t25718 / 0.9e1 + t25720 / 0.9e1 + t25723 / 0.27e2 - 0.2e1 / 0.27e2 * t25725 + t27790 + t27792 + t28311 * t250 / 0.4e1 - t23177 * t416 * t223 / 0.12e2 - t3952 * t1246 * t223 / 0.12e2 - t5523 * t645 / 0.12e2 - t26092 / 0.27e2 + t27851 + t27853 - t27857 - t27865 - t27867 + t27870;
  t28331 = t23197 * t432;
  t28336 = t27872 + t26124 / 0.54e2 - t26134 / 0.18e2 - t26136 / 0.18e2 - t26138 / 0.18e2 + t26141 / 0.54e2 + t26144 / 0.54e2 - t27915 / 0.9e1 - t27918 + t27923 + t26202 - t27934 + t27936 - t27938 + t28331 / 0.12e2 - t26322 / 0.54e2 + t26324 / 0.54e2 - t26387 + t26430 / 0.18e2;
  t28343 = t23185 * t416 * t223;
  t28349 = t3952 * t1251;
  t28357 = t3949 * t428;
  t28361 = t26455 / 0.54e2 - t26458 / 0.18e2 + t23181 * t432 / 0.4e1 - t28343 / 0.36e2 - t23213 * t1270 / 0.2e1 + t3958 * t1275 / 0.2e1 - t28349 * t1257 / 0.6e1 + t28349 * t1263 / 0.3e1 + t26791 / 0.54e2 - t28015 - t28018 - t28020 + t28022 - t28035 - t28067 - t27013 - t972 * t1342 / 0.4e1 - t28357 / 0.12e2 - t3945 * t428 / 0.4e1;
  t28392 = t3958 * t1290 / 0.4e1 - t3958 * t1282 / 0.2e1 - t3958 * t1286 / 0.4e1 + t27440 / 0.18e2 + t27442 / 0.18e2 - t972 * t1305 / 0.4e1 - t3953 * t1223 / 0.12e2 + t28093 / 0.9e1 + t23174 * t432 / 0.4e1 + t3958 * t1239 / 0.4e1 + t28105 / 0.27e2 + t27570 / 0.9e1 - t27576 / 0.18e2 + t27580 / 0.18e2 - t28114 + t5523 * t840 / 0.12e2 - t28349 * t1300 / 0.12e2 - t5523 * t845 / 0.12e2 + t3952 * t1293 * t1295 / 0.6e1;
  t28395 = my_piecewise3(t2, 0, t28323 + t28336 + t28361 + t28392);
  tv4rho3sigma6 = t3 * t28395 + t27688 + t5534;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 6] += tv4rho3sigma6;

  tv4rho3sigma7 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 7] += tv4rho3sigma7;

  t28397 = t938 * t5555;
  t28399 = t5499 * t1103;
  t28401 = t1354 * t4538;
  t28403 = t5494 * t1098;
  t28405 = t5499 * t1098;
  t28407 = t1354 * t4437;
  t28409 = t1354 * t4457;
  t28411 = t948 * t5577;
  t28413 = t937 * t5561;
  t28414 = t28413 * t5566;
  t28416 = t5412 * t5759;
  t28418 = t5412 * t5762;
  t28420 = t937 * t5613;
  t28421 = t28420 * t1457;
  t28423 = t3986 * t1420;
  t28424 = t28423 * t1457;
  t28428 = t28397 / 0.36e2 - t28399 / 0.18e2 + t28401 / 0.18e2 + t28403 / 0.18e2 + t28405 / 0.18e2 - t28407 / 0.36e2 + t28409 / 0.36e2 + t28411 / 0.2e1 - t28414 / 0.6e1 - t28416 / 0.36e2 - t28418 / 0.18e2 - t28421 / 0.18e2 - t28424 / 0.18e2 + t28145 / 0.27e2 + t28148 / 0.27e2 - t28151 + t28154;
  t28430 = t937 * t5713 * t5715;
  t28432 = t933 * t5561;
  t28439 = t294 * t1476;
  t28440 = t28439 * t6001;
  t28442 = t294 * t1470;
  t28443 = t28442 * t6006;
  t28445 = t290 * t5648;
  t28452 = -t28156 + t28158 + t28160 + t28163 - t28430 / 0.6e1 + 0.23e2 / 0.36e2 * t28432 * t5744 + t5425 * t4535 / 0.3e1 + 0.2e1 / 0.3e1 * t5425 * t6052 - t28440 / 0.18e2 + t28443 / 0.9e1 - t28445 * t5652 + t28165 - t28166 / 0.9e1 + t28168 / 0.27e2 - t28171 / 0.9e1 - t28173 / 0.9e1 - t28175 / 0.9e1;
  t28454 = t28442 * t6015;
  t28456 = t294 * t446;
  t28457 = t28456 * t4690;
  t28461 = t290 * t1019;
  t28464 = t290 * t1476;
  t28476 = t933 * t5630;
  t28483 = -t28454 / 0.9e1 + t28457 / 0.18e2 + t28178 + t28181 - t28192 - t23548 * t6019 / 0.2e1 + t28461 * t5686 - t23548 * t5689 - t28464 * t5693 + 0.2e1 / 0.3e1 * t28464 * t5697 - t5454 * t1103 / 0.6e1 - t5461 * t1103 / 0.6e1 + t934 * t5555 / 0.12e2 - t5449 * t1085 / 0.4e1 - 0.2e1 * t28476 * t5707 - t1351 * t4437 / 0.12e2 - t1351 * t4442 / 0.6e1;
  t28486 = t24028 * t6019;
  t28491 = t933 * t5613;
  t28494 = t4021 * t1420;
  t28497 = t933 * t5592;
  t28503 = t3993 * t1443;
  t28509 = -t28194 - t28196 - t28198 + t28200 - t28202 + 0.2e1 / 0.9e1 * t28203 + t28205 / 0.9e1 - t28486 / 0.6e1 + 0.2e1 / 0.9e1 * t28211 - t5425 * t5618 / 0.3e1 - t28491 * t1426 / 0.3e1 - t28494 * t1426 / 0.3e1 + 0.7e1 / 0.3e1 * t28497 * t5734 + t945 * t5737 / 0.2e1 + t945 * t5740 - t28503 / 0.6e1 - t5425 * t5759 / 0.12e2 + t945 * t5851 / 0.4e1;
  t28525 = t3981 * t1378;
  t28527 = t3974 * t5819;
  t28529 = t3993 * t1394;
  t28531 = t23786 * t457;
  t28533 = t3990 * t1394;
  t28535 = t23783 * t457;
  t28537 = t23797 * t457;
  t28541 = t28439 * t5676;
  t28543 = -t1351 * t4171 / 0.12e2 - t5449 * t1048 / 0.2e1 - t3971 * t5586 - t23883 * t1411 + t5449 * t1090 / 0.2e1 - t23870 * t1411 - t934 * t5607 / 0.6e1 - t5425 * t5621 / 0.6e1 - t28525 / 0.36e2 - t28527 / 0.36e2 + t28529 / 0.6e1 + t28531 / 0.12e2 + t28533 / 0.6e1 + t28535 / 0.12e2 + t28537 / 0.6e1 + t28464 * t5676 / 0.2e1 + t28541 / 0.6e1;
  t28544 = t28439 * t5682;
  t28546 = t24028 * t5671;
  t28548 = t294 * t1019;
  t28549 = t28548 * t5668;
  t28551 = t28439 * t5697;
  t28553 = t28439 * t5693;
  t28555 = t28548 * t5686;
  t28565 = t24028 * t5689;
  t28573 = t5412 * t5621;
  t28575 = t938 * t5607;
  t28577 = t5484 * t1090;
  t28579 = -t28544 / 0.9e1 + t28546 / 0.3e1 - t28549 / 0.2e1 + 0.2e1 / 0.9e1 * t28551 - t28553 / 0.3e1 + t28555 / 0.3e1 + t5449 * t1062 / 0.4e1 - t4014 * t1378 / 0.12e2 + t4028 * t1394 / 0.2e1 - t4009 * t5819 / 0.12e2 - t28565 / 0.3e1 - 0.3e1 / 0.2e1 * t28461 * t5668 + 0.2e1 / 0.3e1 * t28491 * t1432 + 0.2e1 / 0.3e1 * t28494 * t1432 - t28573 / 0.18e2 - t28575 / 0.18e2 + t28577 / 0.6e1;
  t28581 = t23895 * t1411;
  t28583 = t23776 * t1411;
  t28585 = t4005 * t5586;
  t28587 = t4005 * t5588;
  t28589 = t937 * t5592;
  t28590 = t28589 * t5597;
  t28592 = t23651 * t5603;
  t28594 = t4005 * t5572;
  t28599 = t933 * t5813;
  t28613 = -t28581 / 0.3e1 - t28583 / 0.3e1 - t28585 / 0.3e1 - t28587 / 0.6e1 - t28590 / 0.2e1 + t28592 / 0.2e1 - t28594 - t4022 * t1378 / 0.6e1 - t934 * t5809 / 0.6e1 + t28599 * t377 / 0.2e1 - 0.5e1 / 0.36e2 * t28432 * t5756 + t4025 * t1447 / 0.2e1 - t5425 * t5762 / 0.6e1 - 0.4e1 / 0.27e2 * t28227 - t28231 / 0.9e1 - 0.2e1 / 0.9e1 * t28233 + t4025 * t1394 / 0.2e1;
  t28633 = t948 * t5542;
  t28635 = t948 * t6025;
  t28637 = t28413 * t6022;
  t28639 = t28423 * t1432;
  t28641 = t28420 * t1432;
  t28643 = t5412 * t6052;
  t28645 = t5412 * t4535;
  t28647 = t28413 * t5744;
  t28649 = t3990 * t1416;
  t28651 = t3993 * t1416;
  t28653 = t23815 * t457 / 0.4e1 + t23834 * t457 / 0.2e1 + t23880 * t457 / 0.4e1 - t5454 * t994 / 0.6e1 - t933 * t5839 * t350 / 0.12e2 - t4021 * t1401 * t350 / 0.6e1 - t5461 * t994 / 0.6e1 - t23818 * t441 * t350 / 0.12e2 - t28633 / 0.6e1 - t28635 / 0.12e2 - 0.11e2 / 0.54e2 * t28637 + 0.2e1 / 0.9e1 * t28639 + 0.2e1 / 0.9e1 * t28641 + 0.2e1 / 0.9e1 * t28643 + t28645 / 0.9e1 + 0.23e2 / 0.108e3 * t28647 + t28649 / 0.3e1 + t28651 / 0.3e1;
  t28657 = t948 * t5740;
  t28659 = t948 * t5737;
  t28661 = t28589 * t5734;
  t28663 = t28423 * t1426;
  t28665 = t28420 * t1426;
  t28667 = t5412 * t5618;
  t28690 = t28657 / 0.3e1 + t28659 / 0.6e1 + 0.7e1 / 0.9e1 * t28661 - t28663 / 0.9e1 - t28665 / 0.9e1 - t28667 / 0.9e1 - t945 * t5580 / 0.2e1 - t4025 * t1443 / 0.2e1 - t4028 * t1439 - t945 * t5659 - t4025 * t1439 + t5509 * t4429 / 0.6e1 + t28476 * t6028 / 0.2e1 + t5509 * t5787 / 0.3e1 + t4021 * t1450 * t1452 / 0.3e1 + t933 * t5783 * t1452 / 0.3e1 + t945 * t5749 / 0.4e1;
  t28697 = t28439 * t6009;
  t28699 = t5484 * t1085;
  t28701 = t937 * t5630;
  t28702 = t28701 * t5707;
  t28709 = t948 * t5703;
  t28711 = t948 * t5710;
  t28713 = t290 * t4192;
  t28718 = t28701 * t5632;
  t28720 = t945 * t5998 / 0.2e1 + t4028 * t1447 / 0.2e1 + t27664 / 0.54e2 - t27668 - t27681 / 0.18e2 + t27684 + t28697 / 0.12e2 - t28699 / 0.12e2 - 0.2e1 / 0.3e1 * t28702 - 0.3e1 * t945 * t5729 + t28476 * t5632 + 0.3e1 * t3971 * t5636 + t28709 / 0.2e1 + t28711 / 0.6e1 + 0.3e1 / 0.2e1 * t28713 * t5644 - t28464 * t5682 / 0.3e1 + t28718 / 0.3e1;
  t28723 = t5494 * t994;
  t28726 = t937 * t5839 * t350;
  t28729 = t23779 * t441 * t350;
  t28731 = t948 * t5851;
  t28733 = t1354 * t4171;
  t28735 = t5499 * t994;
  t28738 = t3986 * t1401 * t350;
  t28749 = t948 * t5729;
  t28758 = t23548 * t5671 - t28723 / 0.18e2 - t28726 / 0.36e2 - t28729 / 0.36e2 + t28731 / 0.12e2 - t28733 / 0.36e2 - t28735 / 0.18e2 - t28738 / 0.18e2 + 0.3e1 / 0.2e1 * t945 * t5703 - t933 * t5713 * t5715 / 0.2e1 + t945 * t5710 / 0.2e1 - t1351 * t4357 / 0.6e1 - t28749 + 0.3e1 / 0.2e1 * t945 * t5577 - t28432 * t5566 / 0.2e1 + 0.3e1 / 0.2e1 * t24004 * t5603 - 0.3e1 * t3971 * t5572;
  t28763 = t294 * t4192;
  t28764 = t28763 * t5644;
  t28773 = t1354 * t4357;
  t28789 = t3974 * t5800;
  t28791 = t3974 * t5804;
  t28793 = -0.3e1 / 0.2e1 * t28497 * t5597 - t3971 * t5588 / 0.2e1 + t28764 / 0.2e1 + t27673 / 0.18e2 - t27676 - t290 * t5624 / 0.4e1 - t925 * t1462 / 0.2e1 - t290 * t5780 / 0.2e1 - t28773 / 0.18e2 + t5454 * t1098 / 0.6e1 + t1351 * t4538 / 0.6e1 + t5461 * t1098 / 0.6e1 - 0.11e2 / 0.18e2 * t28432 * t6022 - t945 * t6025 / 0.4e1 - t4028 * t1443 / 0.2e1 - t945 * t5542 / 0.2e1 - t28789 / 0.18e2 + t28791 / 0.9e1;
  t28796 = t937 * t5791;
  t28797 = t28796 * t1035;
  t28799 = t5484 * t1040;
  t28801 = t1354 * t4442;
  t28803 = t5494 * t1103;
  t28807 = t3986 * t1382;
  t28808 = t28807 * t377;
  t28810 = t3987 * t1378;
  t28812 = t937 * t5813;
  t28813 = t28812 * t377;
  t28815 = t938 * t5809;
  t28817 = t5484 * t1062;
  t28819 = t929 * t1462;
  t28821 = t294 * t5780;
  t28823 = t294 * t5624;
  t28827 = t948 * t5659;
  t28829 = t3993 * t1439;
  t28831 = -t28797 / 0.6e1 + t28799 / 0.6e1 - t28801 / 0.18e2 - t28803 / 0.18e2 + t4037 * t1378 / 0.6e1 + t28808 / 0.6e1 - t28810 / 0.18e2 + t28813 / 0.6e1 - t28815 / 0.18e2 + t28817 / 0.12e2 - t28819 / 0.6e1 - t28821 / 0.6e1 - t28823 / 0.12e2 - 0.2e1 / 0.27e2 * t28256 - t28259 / 0.27e2 - t28827 / 0.3e1 - t28829 / 0.3e1;
  t28832 = t3990 * t1439;
  t28834 = t28701 * t6028;
  t28836 = t5469 * t4429;
  t28838 = t5469 * t5787;
  t28841 = t937 * t5783 * t1452;
  t28844 = t3986 * t1450 * t1452;
  t28846 = t948 * t5998;
  t28848 = t948 * t5749;
  t28850 = t3993 * t1447;
  t28852 = t3990 * t1447;
  t28854 = t28413 * t5756;
  t28860 = t3998 * t1378;
  t28862 = -t28832 / 0.3e1 + t28834 / 0.6e1 + t28836 / 0.18e2 + t28838 / 0.9e1 + t28841 / 0.9e1 + t28844 / 0.9e1 + t28846 / 0.6e1 + t28848 / 0.12e2 + t28850 / 0.6e1 + t28852 / 0.6e1 - 0.5e1 / 0.108e3 * t28854 + t28263 / 0.9e1 - t28266 + t28268 / 0.27e2 + t28270 / 0.27e2 + t28273 / 0.27e2 + t28860 / 0.18e2;
  t28864 = t5484 * t1048;
  t28872 = t933 * t5791;
  t28875 = t4021 * t1382;
  t28885 = t3990 * t1443;
  t28887 = t948 * t5580;
  t28889 = t294 * t5977;
  t28891 = t4101 * t453;
  t28893 = t4005 * t5636;
  t28894 = -t28864 / 0.6e1 + t5449 * t1040 / 0.2e1 - t4009 * t5800 / 0.6e1 + t4009 * t5804 / 0.3e1 - t28872 * t1035 / 0.2e1 + t28875 * t377 / 0.2e1 - t28277 - t28279 + t4025 * t1416 - t28491 * t1457 / 0.6e1 - t28494 * t1457 / 0.6e1 + t1351 * t4457 / 0.12e2 - t28885 / 0.6e1 - t28887 / 0.6e1 - t28889 / 0.12e2 - t28891 / 0.12e2 + t28893;
  t28899 = t294 * t5648;
  t28900 = t28899 * t5652;
  t28902 = t290 * t1470;
  t28905 = t290 * t446;
  t28920 = t929 * t1499;
  t28922 = t4028 * t1416 - t28288 + t28289 / 0.9e1 + t28291 / 0.9e1 - t28294 + 0.2e1 / 0.27e2 * t28295 - t28900 / 0.3e1 - t28902 * t6015 / 0.3e1 + t28905 * t4690 / 0.6e1 + t28464 * t6009 / 0.4e1 + t28902 * t6006 / 0.3e1 - t28464 * t6001 / 0.6e1 - t290 * t5977 / 0.4e1 - t4091 * t453 / 0.4e1 - t925 * t1499 / 0.2e1 + t28298 - t28301 - t28920 / 0.6e1;
  t28927 = my_piecewise3(t100, 0, t28428 + t28452 + t28483 + t28509 + t28543 + t28579 + t28613 + t28653 + t28690 + t28720 + t28758 + t28793 + t28831 + t28862 + t28894 + t28922);
  tv4rho3sigma8 = t3 * t28927 + t28144 + t6059;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 8] += tv4rho3sigma8;

  t28943 = -t23502 * t416 * t223 / 0.12e2 - t28343 / 0.12e2 + t28105 / 0.18e2 - t26387 - t4128 * t428 / 0.4e1 - t28357 / 0.4e1 + t28093 / 0.6e1 - t27013 + t23508 * t432 / 0.4e1 + t28331 / 0.4e1 - t27915 / 0.6e1 + t26202;
  t28944 = my_piecewise3(t2, 0, t28943);
  tv4rho3sigma9 = t3 * t28944 + 0.3e1 * t5534;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 9] += tv4rho3sigma9;

  tv4rho3sigma10 = 0.e0;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 10] += tv4rho3sigma10;

  t28950 = t5837 * t1045;
  t28987 = t4440 * t5564;
  t28988 = t5595 * t28987;
  t28991 = t1430 * t24375;
  t28994 = t5994 * t5787 + t5994 * t4429 / 0.2e1 + t321 * t194 * t28950 * t1452 / 0.2e1 + t5784 * t5787 + t5784 * t4429 / 0.2e1 + t373 * t24097 * t445 * t376 / 0.4e1 + 0.3e1 / 0.4e1 * t373 * t4371 * t1467 * t376 + 0.3e1 / 0.4e1 * t373 * t1088 * t5934 * t376 + t4179 * t1450 * t1452 / 0.2e1 + 0.3e1 / 0.4e1 * t4183 * t1447 + 0.3e1 / 0.2e1 * t4274 * t1447 + 0.3e1 / 0.4e1 * t1070 * t5749 + 0.3e1 / 0.2e1 * t1070 * t5998 + 0.3e1 / 0.4e1 * t4176 * t1447 + 0.3e1 / 0.4e1 * t1058 * t5749 + 0.3e1 / 0.2e1 * t1058 * t5998 - 0.5e1 / 0.12e2 * t5562 * t28988 - t1421 * t28991 / 0.12e2;
  t28995 = t439 * t24537;
  t28997 = t321 * t20823 * t28995;
  t28999 = t24678 * t24581 * t139;
  t29000 = t167 * t4138;
  t29001 = t1095 * t29000;
  t29002 = t28999 * t29001;
  t29005 = t5837 * t999;
  t29007 = t321 * t649 * t29005;
  t29014 = t1392 * t4140;
  t29016 = t321 * t3135 * t29014;
  t29019 = t24323 * t1424;
  t29020 = t1430 * t29019;
  t29023 = t1430 * t24371;
  t29028 = t4179 * t1420;
  t29031 = t1065 * t5613;
  t29038 = t1065 * t5561;
  t29052 = -0.35e2 / 0.108e3 * t28997 * t29002 - t29007 * t1457 / 0.4e1 - t5614 * t5762 / 0.2e1 - t5614 * t5759 / 0.4e1 - 0.5e1 / 0.12e2 * t29016 * t5756 - t1421 * t29020 / 0.4e1 - t1421 * t29023 / 0.4e1 + t442 * t24339 / 0.12e2 - t29028 * t1457 / 0.4e1 - t29031 * t1457 / 0.2e1 - t5654 * t5762 / 0.2e1 - t5654 * t5759 / 0.4e1 - 0.5e1 / 0.12e2 * t29038 * t5756 + t5840 * t1098 / 0.4e1 - t4255 * t1378 / 0.4e1 - t4246 * t1378 / 0.12e2 - t991 * t5809 / 0.4e1 + 0.3e1 * t5792 * t4220 + t4163 * t5800;
  t29057 = t1009 * t1498 * t1018;
  t29059 = t4150 * t453;
  t29062 = t4155 * t5803;
  t29068 = t1065 * t5791;
  t29073 = t1014 * t1499;
  t29078 = t321 * t369 * t1497 * t1026;
  t29083 = t452 * t4191;
  t29084 = t4155 * t29083;
  t29089 = t321 * t369 * t451 * t4715;
  t29092 = t4706 * t453;
  t29095 = t4150 * t5803;
  t29103 = -0.3e1 * t1383 * t4216 + t1002 * t29057 - 0.11e2 / 0.18e2 * t4143 * t29059 + 0.23e2 / 0.36e2 * t4143 * t29062 - t4258 * t5800 / 0.2e1 + t4258 * t5804 - 0.3e1 / 0.2e1 * t29068 * t1035 + 0.3e1 / 0.2e1 * t5797 * t1040 - t1002 * t29073 / 0.2e1 - 0.3e1 / 0.2e1 * t29078 * t1035 + 0.3e1 / 0.2e1 * t5814 * t1040 - 0.3e1 / 0.2e1 * t4143 * t29084 + 0.3e1 / 0.2e1 * t29089 * t4722 - t4143 * t29092 / 0.2e1 + 0.7e1 / 0.3e1 * t4143 * t29095 - 0.3e1 * t5792 * t4726 + 0.3e1 / 0.2e1 * t1383 * t4730 + t28397 / 0.12e2;
  t29105 = t1056 * t5564;
  t29106 = t5733 * t29105;
  t29110 = t5595 * t4186 * t5564;
  t29113 = t24678 * t5594;
  t29114 = t29113 * t29001;
  t29118 = t24678 * t24556 * t139;
  t29119 = t371 * t29000;
  t29120 = t29118 * t29119;
  t29123 = t5733 * t5706;
  t29126 = t1392 * t4160;
  t29127 = t1030 * t29126;
  t29131 = t439 * t24087;
  t29133 = t321 * t3135 * t29131;
  t29134 = t5733 * t29001;
  t29154 = t1065 * t5630;
  t29158 = t321 * t649 * t29126;
  t29161 = t1430 * t29105;
  t29164 = -t28399 / 0.6e1 + 0.7e1 * t5562 * t29106 - 0.9e1 / 0.2e1 * t5562 * t29110 - 0.38e2 / 0.9e1 * t28997 * t29114 + 0.89e2 / 0.9e1 * t28997 * t29120 + 0.7e1 * t29038 * t29123 - 0.9e1 * t373 * t29127 * t5728 + 0.22e2 / 0.3e1 * t29133 * t29134 + 0.9e1 * t4204 * t5636 - 0.9e1 * t1070 * t5729 + t1383 * t4329 - 0.3e1 / 0.2e1 * t1383 * t4332 - 0.3e1 / 0.4e1 * t5797 * t1085 - 0.3e1 / 0.4e1 * t5814 * t1085 + 0.9e1 / 0.2e1 * t1058 * t5703 + 0.9e1 / 0.2e1 * t373 * t374 * t5584 * t5702 - 0.6e1 * t29154 * t5707 - 0.6e1 * t29158 * t5707 - 0.6e1 * t5631 * t29161;
  t29167 = t5595 * t29119;
  t29177 = t1101 * t28987;
  t29181 = t321 * t649 * t5560;
  t29182 = t1430 * t29001;
  t29195 = t1497 * t146;
  t29197 = t1094 * t29195 * t1096;
  t29201 = t1094 * t5553 * t4455;
  t29204 = t4376 * t5554;
  t29216 = t4376 * t1381 * t1096;
  t29218 = -0.23e2 / 0.3e1 * t29133 * t29167 - 0.3e1 / 0.2e1 * t1065 * t5713 * t5715 - 0.3e1 / 0.2e1 * t321 * t194 * t5584 * t5715 - 0.3e1 / 0.2e1 * t5714 * t29177 - 0.3e1 * t29181 * t29182 + 0.3e1 / 0.2e1 * t1070 * t5710 + 0.3e1 / 0.2e1 * t1058 * t5710 + t1053 * t5607 / 0.2e1 + t1066 * t5555 / 0.4e1 + t991 * t5555 / 0.6e1 + t338 * t29197 / 0.4e1 + t338 * t29201 / 0.12e2 + t1002 * t29204 / 0.4e1 - t5854 * t1103 / 0.4e1 - t5847 * t1103 / 0.2e1 - t1383 * t4412 / 0.2e1 - t1383 * t4408 / 0.4e1 - t1002 * t29216;
  t29219 = t5553 * t4427;
  t29220 = t1101 * t29219;
  t29259 = t4426 * t29220 / 0.2e1 - t1053 * t5555 / 0.3e1 - 0.3e1 / 0.2e1 * t1383 * t4341 + t1402 * t4538 / 0.2e1 + t1402 * t4457 / 0.4e1 + t442 * t24325 / 0.4e1 + t442 * t24790 / 0.4e1 - t442 * t24801 / 0.4e1 - t442 * t24382 / 0.12e2 + t5854 * t1098 / 0.4e1 + t5847 * t1098 / 0.2e1 + t1397 * t4538 / 0.2e1 + t1397 * t4457 / 0.4e1 - t1397 * t4442 / 0.2e1 - t1397 * t4437 / 0.4e1 - t5840 * t1103 / 0.4e1 - t1402 * t4442 / 0.2e1 - t1402 * t4437 / 0.4e1 - t442 * t24798 / 0.4e1;
  t29276 = t321 * t20823 * t4138 * t24537;
  t29280 = t29118 * t5596;
  t29287 = t1027 * t29000;
  t29288 = t28999 * t29287;
  t29293 = t28401 / 0.6e1 + t28403 / 0.6e1 + t28405 / 0.6e1 - t28407 / 0.12e2 + t28409 / 0.12e2 + 0.3e1 / 0.2e1 * t28411 - t28414 / 0.2e1 - t28416 / 0.12e2 - t28418 / 0.6e1 - t28421 / 0.6e1 - t28424 / 0.6e1 - 0.3e1 / 0.2e1 * t5792 * t4312 + 0.47e2 / 0.3e1 * t29276 * t29113 * t2352 - 0.62e2 / 0.3e1 * t29276 * t29280 - 0.3e1 / 0.2e1 * t29038 * t5566 - 0.3e1 / 0.2e1 * t29016 * t5566 - 0.43e2 / 0.9e1 * t28997 * t29288 - 0.9e1 * t4204 * t5572;
  t29300 = t4719 * t29014;
  t29307 = t1027 * t5564;
  t29308 = t5595 * t29307;
  t29330 = t5563 * t28987;
  t29333 = t1423 * t5606;
  t29337 = t1430 * t1381 * t1088;
  t29339 = t110 * t24835;
  t29342 = 0.9e1 / 0.2e1 * t1070 * t5577 - 0.9e1 * t4188 * t5572 + 0.9e1 / 0.2e1 * t1058 * t5577 - 0.9e1 * t1029 * t29300 * t5571 + 0.9e1 / 0.2e1 * t373 * t29300 * t5576 - 0.9e1 / 0.2e1 * t29038 * t29308 + 0.7e1 * t29016 * t29123 - 0.9e1 / 0.2e1 * t29016 * t29308 - t4543 * t9274 / 0.2e1 - 0.3e1 / 0.2e1 * t5792 * t4320 + 0.3e1 / 0.2e1 * t1383 * t4301 + 0.3e1 / 0.2e1 * t1383 * t4315 + 0.9e1 / 0.2e1 * t25290 * t5603 + 0.9e1 / 0.2e1 * t25543 * t5603 + 0.9e1 / 0.2e1 * t4718 * t29300 * t5602 - 0.3e1 / 0.2e1 * t5562 * t29330 - t1002 * t29333 / 0.2e1 + t1002 * t29337 + 0.9e1 / 0.2e1 * t29339 * t5644;
  t29346 = t110 * t4263;
  t29349 = t318 * t1019;
  t29352 = t110 * t5860;
  t29353 = t403 * t997;
  t29354 = t380 * t29353;
  t29355 = t10447 * t29354;
  t29358 = t4693 * t29353;
  t29359 = t10358 * t29358;
  t29362 = t25460 * t28995;
  t29364 = t24678 * t24556 * t4138;
  t29368 = t4719 * t29131;
  t29369 = t1008 * t4138;
  t29370 = t4148 * t29369;
  t29374 = t4154 * t4138;
  t29375 = t4148 * t29374;
  t29379 = t4149 * t4138;
  t29380 = t4148 * t29379;
  t29385 = t1007 * t1008 * t4243;
  t29389 = t1030 * t29005;
  t29409 = t1101 * t5553 * t4371;
  t29412 = -0.9e1 / 0.2e1 * t29346 * t5668 - 0.9e1 / 0.2e1 * t29349 * t5668 - 0.11e2 / 0.6e1 * t29352 * t29355 + 0.23e2 / 0.12e2 * t29352 * t29359 + 0.18e2 * t4718 * t29362 * t29364 - 0.18e2 * t373 * t29368 * t29370 - 0.18e2 * t4718 * t29368 * t29375 + 0.36e2 * t1029 * t29368 * t29380 - t1029 * t1408 * t29385 / 0.2e1 - 0.3e1 / 0.2e1 * t1029 * t29389 * t1410 - 0.3e1 / 0.2e1 * t1029 * t5585 * t4319 - 0.3e1 * t25641 * t1411 - 0.3e1 * t4204 * t5586 - 0.3e1 / 0.2e1 * t4204 * t5588 - 0.3e1 / 0.2e1 * t25233 * t1411 - 0.3e1 * t4188 * t5586 - 0.3e1 / 0.2e1 * t4188 * t5588 - t338 * t29409 / 0.4e1;
  t29413 = t1430 * t5606;
  t29422 = t25122 * t5675;
  t29424 = t4405 * t333;
  t29425 = t168 * t29424;
  t29426 = t5691 * t29425;
  t29436 = t318 * t4192;
  t29439 = t988 * t333;
  t29440 = t1038 * t29439;
  t29446 = t1146 * t333;
  t29447 = t380 * t29446;
  t29448 = t5679 * t29447;
  t29451 = t1038 * t365;
  t29452 = t29451 * t5681;
  t29456 = -t1002 * t29413 / 0.4e1 + 0.3e1 / 0.2e1 * t5797 * t1090 + 0.3e1 / 0.2e1 * t5814 * t1090 + t28145 / 0.18e2 + t28148 / 0.18e2 - t6004 * t29422 + t5673 * t29426 / 0.3e1 - t28430 / 0.2e1 - 0.3e1 / 0.2e1 * t318 * t5780 - 0.3e1 / 0.4e1 * t1205 * t1462 - 0.3e1 / 0.4e1 * t318 * t5977 + 0.9e1 / 0.2e1 * t29436 * t5644 - 0.9e1 * t5665 * t5868 * t29440 - t28440 / 0.6e1 + t28443 / 0.3e1 - t5673 * t29448 / 0.2e1 - t5673 * t29452 - t28166 / 0.6e1 + t28168 / 0.18e2;
  t29461 = t110 * t5868;
  t29462 = t5679 * t29354;
  t29465 = t5695 * t29358;
  t29468 = t24418 * t145;
  t29469 = t1082 * t997;
  t29470 = t168 * t29469;
  t29471 = t29468 * t29470;
  t29474 = t24477 * t145;
  t29475 = t1018 * t29469;
  t29476 = t29474 * t29475;
  t29479 = t5674 * t29470;
  t29482 = t5691 * t29475;
  t29485 = t4572 * t29469;
  t29489 = t4626 * t29469;
  t29493 = t110 * t5925;
  t29494 = t6005 * t29354;
  t29501 = t110 * t5903;
  t29503 = t356 * t365;
  t29504 = t29503 * t5681;
  t29506 = -t28171 / 0.6e1 - t28173 / 0.6e1 - t28175 / 0.6e1 + 0.3e1 * t29461 * t29462 - 0.6e1 * t29461 * t29465 + 0.11e2 / 0.3e1 * t29352 * t29471 - 0.23e2 / 0.6e1 * t29352 * t29476 - 0.14e2 / 0.3e1 * t29461 * t29479 + 0.28e2 / 0.3e1 * t29461 * t29482 - 0.14e2 * t5639 * t5868 * t29485 + 0.14e2 * t5665 * t5868 * t29489 - 0.3e1 / 0.2e1 * t29493 * t29494 - t28454 / 0.3e1 + t28457 / 0.6e1 + t28203 / 0.3e1 + t28205 / 0.6e1 + t29501 * t6006 + t6004 * t29504;
  t29507 = t318 * t1470;
  t29524 = t4354 * t5553 * t4355;
  t29531 = t346 * t348 * t4138;
  t29540 = t1101 * t29001;
  t29545 = t24678 * t5732;
  t29546 = t29545 * t29001;
  t29549 = t24678 * t29379;
  t29556 = t356 * t29439;
  t29560 = t29507 * t6006 - t28486 / 0.2e1 + t28211 / 0.3e1 - t28503 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t5541 * t4347 + 0.9e1 / 0.2e1 * t1070 * t5703 - t1397 * t4357 / 0.2e1 - t1402 * t4357 / 0.2e1 - t442 * t25148 / 0.2e1 - t338 * t29524 / 0.6e1 + t1383 * t4348 / 0.2e1 - 0.6e1 * t373 * t374 * t5629 * t29531 - 0.3e1 / 0.2e1 * t373 * t1442 * t25185 + 0.2e1 * t321 * t194 * t5629 * t29540 + t442 * t25414 / 0.2e1 - 0.2e1 * t28997 * t29546 + 0.6e1 * t373 * t29362 * t29549 + 0.3e1 * t5665 * t5903 * t5685 + 0.9e1 / 0.2e1 * t5665 * t5925 * t29556;
  t29571 = t110 * t5873;
  t29575 = t28999 * t4716 * t2337;
  t29589 = 0.9e1 / 0.2e1 * t4695 * t4696 * t1407 * t5702 + 0.3e1 * t29349 * t5686 + 0.3e1 * t29346 * t5686 + 0.3e1 / 0.4e1 * t29571 * t6009 + 0.8e1 * t29276 * t29575 - t28525 / 0.12e2 - t28527 / 0.12e2 + t28529 / 0.2e1 + t28531 / 0.4e1 + t28533 / 0.2e1 + t28535 / 0.4e1 + t28537 / 0.2e1 + t28541 / 0.2e1 - t28544 / 0.3e1 + t28546 - 0.3e1 / 0.2e1 * t28549 + 0.2e1 / 0.3e1 * t28551 - t28553;
  t29591 = t69 * t1392 * t4607;
  t29594 = t5859 * t24552;
  t29595 = t140 * t4138;
  t29596 = t4609 * t29595;
  t29599 = t140 * t4243;
  t29600 = t356 * t29599;
  t29604 = my_piecewise3(t129, t322, -0.308e3 / 0.81e2 * params->gamma * t4239);
  t29605 = t193 * t29604;
  t29608 = t445 * t24126;
  t29609 = t356 * t29595;
  t29618 = t1033 * t29599;
  t29623 = t5872 * t4214;
  t29627 = t20822 * t439 * t24540;
  t29628 = t24557 * t29595;
  t29631 = t24477 * t29595;
  t29634 = t29591 * t5943 / 0.6e1 - 0.2e1 / 0.3e1 * t29594 * t29596 + t1470 * t29600 + t29605 * t354 * t357 + 0.12e2 * t29608 * t29609 + t446 * t24518 / 0.2e1 + 0.3e1 / 0.2e1 * t1468 * t4638 + 0.2e1 * t5873 * t5963 + 0.2e1 / 0.3e1 * t1476 * t29618 + 0.3e1 * t5903 * t5932 - 0.12e2 * t29623 * t5940 + 0.1e2 / 0.3e1 * t29627 * t29628 + 0.5e2 / 0.3e1 * t29627 * t29631;
  t29635 = t4619 * t29595;
  t29642 = t1038 * t29599;
  t29644 = t5934 * t1046;
  t29650 = t648 * t5837 * t1032;
  t29653 = t24418 * t29595;
  t29656 = t4572 * t29595;
  t29661 = t4648 * t333;
  t29662 = t24564 * t29661;
  t29665 = t1475 * t24522;
  t29666 = t143 * t4138;
  t29667 = t1038 * t29666;
  t29670 = t143 * t4243;
  t29671 = t1033 * t29670;
  t29674 = t24582 * t29666;
  t29677 = -0.4e2 * t29594 * t29635 + 0.1e2 * t29591 * t5960 - 0.3e1 * t5873 * t5958 - t1476 * t29642 + 0.3e1 * t29644 * t1491 + 0.3e1 / 0.2e1 * t5935 * t1183 + 0.2e1 * t29650 * t1485 - 0.12e2 * t29627 * t29653 + 0.36e2 * t29594 * t29656 + 0.18e2 * t29623 * t5946 - 0.11e2 * t1476 * t29662 + 0.72e2 * t29665 * t29667 - t1476 * t29671 / 0.3e1 - t29627 * t29674 / 0.9e1;
  t29679 = t4572 * t29666;
  t29682 = t4619 * t29666;
  t29687 = t1033 * t29666;
  t29692 = t1467 * t4208;
  t29695 = t4626 * t24484;
  t29698 = t5931 * t333;
  t29699 = t4619 * t29698;
  t29704 = t4637 * t333;
  t29705 = t1165 * t29704;
  t29710 = t356 * t29666;
  t29717 = 0.6e1 * t1468 * t4577 - 0.3e1 * t1470 * t29705 + 0.5e1 * t1476 * t29695 - 0.3e1 * t446 * t24452 - 0.6e1 * t446 * t24461 - 0.2e1 * t29591 * t5862 + 0.18e2 * t29591 * t5865 - 0.72e2 * t29594 * t29679 + 0.8e1 * t29594 * t29682 - 0.24e2 * t29608 * t29710 - 0.36e2 * t29623 * t5869 - 0.12e2 * t29665 * t29687 + 0.18e2 * t29692 * t5926 + 0.1e2 * t5860 * t29699;
  t29718 = t4572 * t29704;
  t29721 = t1038 * t29698;
  t29727 = t356 * t29698;
  t29734 = t1033 * t29698;
  t29737 = t4572 * t24484;
  t29740 = t4609 * t29698;
  t29743 = t24557 * t29666;
  t29746 = t5939 * t1082;
  t29747 = t24418 * t29746;
  t29751 = t4575 * t29661;
  t29754 = -0.8e1 / 0.3e1 * t1476 * t29718 + 0.18e2 * t5868 * t29721 - t29650 * t1477 - 0.6e1 * t5873 * t5881 - 0.9e1 * t5925 * t29727 - 0.3e1 * t1470 * t24485 - 0.6e1 * t5903 * t5900 - 0.12e2 * t5868 * t29734 - 0.1e2 / 0.3e1 * t1476 * t29737 + t5860 * t29740 / 0.6e1 - 0.4e1 / 0.3e1 * t29627 * t29743 - 0.2e2 * t5860 * t29747 - t446 * t24605 + 0.6e1 * t1470 * t29751;
  t29757 = t24435 * t29661;
  t29764 = t4626 * t29746;
  t29767 = t4572 * t29746;
  t29770 = t24477 * t29746;
  t29781 = t1038 * t29670;
  t29784 = t1165 * t29746;
  t29790 = 0.22e2 / 0.3e1 * t1476 * t29757 - 0.3e1 * t1468 * t4560 + 0.6e1 * t5873 * t5885 - 0.28e2 * t5868 * t29764 + 0.56e2 / 0.3e1 * t5868 * t29767 - t5860 * t29770 / 0.3e1 - 0.6e1 * t29644 * t1472 - 0.3e1 * t5935 * t1167 - 0.6e1 * t5903 * t5910 + 0.6e1 * t29623 * t5913 + 0.2e1 * t1476 * t29781 + 0.9e1 * t5925 * t29784 - t5873 * t5916 - t29591 * t5919 / 0.3e1;
  t29791 = t356 * t29670;
  t29794 = t4609 * t29666;
  t29797 = t4626 * t29704;
  t29800 = t4572 * t29698;
  t29807 = t4607 * t24140;
  t29808 = t5859 * t29807;
  t29809 = t5890 * t997;
  t29810 = t1173 * t29809;
  t29815 = t4208 * t1006;
  t29816 = t445 * t29815;
  t29817 = t360 * t29809;
  t29820 = t1046 * t4147;
  t29821 = t445 * t29820;
  t29823 = t142 * t4345 * t333;
  t29824 = t360 * t29823;
  t29827 = t142 * t988;
  t29828 = t29827 * t1082;
  t29829 = t1173 * t29828;
  t29832 = t5859 * t10617;
  t29833 = t29827 * t333;
  t29834 = t4586 * t29833;
  t29837 = t4586 * t29809;
  t29840 = t445 * t10683;
  t29841 = t360 * t29833;
  t29844 = -0.2e1 * t1470 * t29791 + 0.4e1 / 0.3e1 * t29594 * t29794 + 0.4e1 * t1476 * t29797 - 0.9e1 * t5860 * t29800 + 0.9e1 * t5873 * t5877 + 0.6e1 * t29650 * t1481 - 0.36e2 * t29808 * t29810 - 0.3e1 * t29650 * t1495 - 0.18e2 * t29816 * t29817 - 0.12e2 * t29821 * t29824 + 0.5e1 / 0.3e1 * t5889 * t29829 - t29832 * t29834 / 0.3e1 + 0.2e1 / 0.3e1 * t29808 * t29837 + 0.18e2 * t29840 * t29841;
  t29846 = t360 * t29828;
  t29849 = t1475 * t10608;
  t29850 = t1173 * t29833;
  t29853 = t4214 * t4147;
  t29854 = t1475 * t29853;
  t29857 = t5872 * t5888;
  t29860 = t1467 * t5895;
  t29863 = t24693 * t333;
  t29864 = t1186 * t29863;
  t29867 = t1186 * t29828;
  t29872 = t4599 * t29809;
  t29875 = t4599 * t29833;
  t29882 = t1173 * t29863;
  t29885 = t1186 * t29833;
  t29888 = 0.6e1 * t5896 * t29846 + 0.6e1 * t29849 * t29850 - 0.28e2 / 0.3e1 * t29854 * t29810 + 0.3e1 * t29857 * t5972 + 0.12e2 * t29860 * t5897 - 0.8e1 * t5889 * t29864 - 0.1e2 * t5889 * t29867 + 0.18e2 * t29832 * t29850 + 0.4e1 * t29808 * t29872 - 0.2e1 * t29832 * t29875 - 0.18e2 * t29857 * t5892 + 0.6e1 * t9578 * t24695 + 0.4e1 / 0.3e1 * t5889 * t29882 - 0.36e2 * t29849 * t29885;
  t29889 = t1186 * t29809;
  t29892 = t1032 * t24140;
  t29893 = t1475 * t29892;
  t29894 = t1186 * t29823;
  t29897 = t1173 * t29823;
  t29900 = t24477 * t29666;
  t29903 = t24435 * t29746;
  t29906 = t24418 * t29666;
  t29913 = t1038 * t29595;
  t29916 = t1033 * t29595;
  t29926 = t360 * t29863;
  t29929 = 0.56e2 * t29854 * t29889 + 0.22e2 * t29893 * t29894 - 0.11e2 / 0.3e1 * t29893 * t29897 + 0.8e1 / 0.3e1 * t29627 * t29900 + 0.18e2 * t5860 * t29903 + 0.24e2 * t29627 * t29906 - 0.9e1 * t29692 * t5953 - 0.3e1 * t1468 * t4649 - 0.36e2 * t29665 * t29913 + 0.24e2 * t29665 * t29916 + 0.3e1 * t446 * t24502 - 0.9e1 * t29591 * t5949 - t29605 * t335 * t361 / 0.2e1 + 0.6e1 * t5896 * t29926;
  t29937 = t4345 * t333;
  t29938 = t24564 * t29937;
  t29942 = t1033 * t29439;
  t29947 = t1430 * t4174 * t1424;
  t29959 = t374 * t5838;
  t29977 = t28555 - t110 * t139 * (t29634 + t29677 + t29717 + t29754 + t29790 + t29844 + t29888 + t29929) * t168 / 0.4e1 + 0.11e2 / 0.2e1 * t5665 * t1476 * t29938 + 0.9e1 * t5639 * t5868 * t29942 + t1421 * t29947 + t1421 * t24312 + t29028 * t1432 + 0.2e1 * t29031 * t1432 + 0.2e1 * t5654 * t6052 + t5654 * t4535 + t29007 * t1432 + 0.2e1 * t5614 * t6052 - 0.3e1 / 0.4e1 * t373 * t29959 * t1084 - 0.3e1 / 0.4e1 * t373 * t5541 * t4407 - t373 * t1442 * t24271 / 0.4e1 - 0.3e1 / 0.2e1 * t1070 * t5542 - 0.3e1 / 0.4e1 * t1070 * t6025 - 0.3e1 / 0.4e1 * t4176 * t1443 - 0.3e1 / 0.2e1 * t1058 * t5542;
  t29981 = t10358 * t29354;
  t29985 = t110 * t452 * t4693;
  t29988 = t1165 * t452;
  t29989 = t29988 * t4689;
  t29993 = t1018 * t29439;
  t29994 = t5695 * t29993;
  t30004 = t4626 * t29424;
  t30008 = -0.3e1 / 0.4e1 * t1058 * t6025 - 0.5e1 / 0.12e2 * t29352 * t29981 - t28565 - 0.3e1 / 0.4e1 * t29985 * t4698 + t4686 * t29989 / 0.4e1 + t5673 * t24980 - 0.6e1 * t29461 * t29994 - t28573 / 0.6e1 - t28575 / 0.6e1 + t28577 / 0.2e1 - t28581 - t28583 - t28585 - t28587 / 0.2e1 - 0.3e1 / 0.2e1 * t28590 + 0.3e1 / 0.2e1 * t28592 - 0.3e1 * t28594 - 0.2e1 * t5665 * t1476 * t30004;
  t30011 = t4572 * t365;
  t30012 = t30011 * t5692;
  t30015 = t1165 * t29424;
  t30019 = t30011 * t5675;
  t30022 = t4626 * t365;
  t30023 = t30022 * t5675;
  t30026 = t5674 * t29425;
  t30040 = -0.3e1 * t29571 * t5693 - 0.3e1 * t5673 * t30012 + 0.3e1 / 0.2e1 * t5665 * t1470 * t30015 + 0.3e1 / 0.4e1 * t5673 * t30019 + 0.3e1 / 0.2e1 * t5673 * t30023 + 0.2e1 / 0.3e1 * t5673 * t30026 - 0.2e1 / 0.9e1 * t28227 - t28231 / 0.6e1 - t28233 / 0.3e1 - t28633 / 0.2e1 - t28635 / 0.4e1 - 0.11e2 / 0.18e2 * t28637 + 0.2e1 / 0.3e1 * t28639 + 0.2e1 / 0.3e1 * t28641 + 0.2e1 / 0.3e1 * t28643 + t28645 / 0.3e1 + 0.23e2 / 0.36e2 * t28647 + t28649 + t28651;
  t30050 = t318 * t1476;
  t30053 = t4687 * t29425;
  t30056 = t4575 * t29937;
  t30065 = t10447 * t29358;
  t30069 = t10358 * t5647 * t29353;
  t30072 = t4609 * t29439;
  t30076 = t24418 * t29469;
  t30080 = t4572 * t24737;
  t30087 = t5691 * t29470;
  t30090 = t28657 + t28659 / 0.2e1 + 0.7e1 / 0.3e1 * t28661 - t28663 / 0.3e1 - t28665 / 0.3e1 - t28667 / 0.3e1 - 0.3e1 * t30050 * t5693 - t6004 * t30053 / 0.2e1 - 0.3e1 * t5665 * t1470 * t30056 - 0.3e1 / 0.4e1 * t4695 * t6018 * t4407 - t6004 * t24739 / 0.2e1 + 0.7e1 * t29352 * t30065 - 0.9e1 / 0.2e1 * t29352 * t30069 + 0.9e1 / 0.2e1 * t10513 * t5860 * t30072 + 0.18e2 * t5639 * t5860 * t30076 + 0.5e1 / 0.2e1 * t5639 * t1476 * t30080 - 0.3e1 / 0.2e1 * t5649 * t5651 * t4319 - 0.7e1 / 0.3e1 * t29461 * t30087;
  t30098 = t1430 * t1381 * t4427;
  t30100 = t1430 * t29219;
  t30103 = t5563 * t29001;
  t30115 = t5695 * t4693 * t29446;
  t30121 = t1033 * t365;
  t30122 = t30121 * t5696;
  t30126 = t5691 * t1018 * t29424;
  t30129 = t24678 * t29374;
  t30134 = t24564 * t145;
  t30135 = t168 * t29937;
  t30136 = t30134 * t30135;
  t30139 = -t24808 * t441 * t350 / 0.12e2 - t4179 * t1401 * t350 / 0.4e1 + t4533 * t30098 - t4533 * t30100 / 0.4e1 + 0.6e1 * t29133 * t30103 - t30050 * t6001 / 0.2e1 - t29571 * t6001 / 0.2e1 + 0.3e1 / 0.2e1 * t30050 * t5676 + 0.3e1 / 0.2e1 * t29571 * t5676 + t5673 * t30115 + 0.2e1 * t30050 * t5697 + 0.2e1 * t29571 * t5697 + 0.2e1 * t5673 * t30122 - 0.4e1 / 0.3e1 * t5673 * t30126 - t27668 + t27684 - 0.18e2 * t1029 * t29362 * t30129 + t28697 / 0.4e1 - 0.11e2 / 0.6e1 * t5673 * t30136;
  t30141 = t24435 * t145;
  t30143 = t30141 * t1018 * t29937;
  t30146 = t5695 * t29447;
  t30149 = t30121 * t5681;
  t30169 = t4572 * t29424;
  t30177 = 0.11e2 / 0.3e1 * t5673 * t30143 - t5673 * t30146 / 0.4e1 - t5673 * t30149 / 0.2e1 - t28699 / 0.4e1 - 0.2e1 * t28702 + 0.3e1 / 0.2e1 * t28709 + t28711 / 0.2e1 - t5847 * t994 / 0.2e1 + 0.3e1 / 0.4e1 * t1070 * t5851 + 0.3e1 / 0.4e1 * t1058 * t5851 + t373 * t374 * t29604 * t376 / 0.4e1 + t28718 - 0.9e1 / 0.2e1 * t5665 * t5873 * t5667 + 0.2e1 * t5639 * t1476 * t30169 - t28723 / 0.6e1 - t28726 / 0.12e2 - t28729 / 0.12e2 + t28731 / 0.4e1;
  t30182 = t4687 * t29470;
  t30185 = t168 * t29439;
  t30186 = t6005 * t30185;
  t30196 = t24435 * t29469;
  t30209 = t5680 * t1082;
  t30210 = t380 * t30209;
  t30211 = t4687 * t30210;
  t30215 = t30141 * t30135;
  t30222 = -t28733 / 0.12e2 - t28735 / 0.6e1 - t28738 / 0.6e1 - t30050 * t5682 + 0.3e1 / 0.2e1 * t29493 * t30182 - 0.3e1 / 0.2e1 * t29493 * t30186 + 0.3e1 / 0.2e1 * t5665 * t446 * t24866 - t4225 * t1378 / 0.2e1 + 0.3e1 / 0.2e1 * t1383 * t4210 - 0.9e1 * t5665 * t5860 * t30196 - 0.3e1 / 0.4e1 * t110 * t5976 * t404 - 0.3e1 / 0.4e1 * t318 * t5624 - 0.3e1 * t28749 - 0.3e1 / 0.4e1 * t110 * t1498 * t1147 - t6004 * t30211 - t6012 * t24308 / 0.2e1 - 0.11e2 / 0.12e2 * t5673 * t30215 + t6012 * t25123 / 0.2e1 + t6012 * t24861 / 0.4e1;
  t30231 = t4155 * t453;
  t30242 = t1009 * t1499;
  t30264 = t24435 * t29937;
  t30268 = t6012 * t24988 / 0.4e1 - 0.3e1 / 0.2e1 * t5797 * t1048 - 0.3e1 / 0.2e1 * t5814 * t1048 - 0.5e1 / 0.36e2 * t4143 * t30231 + 0.3e1 / 0.4e1 * t5797 * t1062 + 0.3e1 / 0.4e1 * t5814 * t1062 + t1383 * t4252 / 0.4e1 - t4258 * t5819 / 0.4e1 - t1002 * t30242 / 0.4e1 + 0.3e1 / 0.4e1 * t4176 * t1394 + t25241 * t457 / 0.4e1 + 0.3e1 / 0.4e1 * t24841 * t457 + 0.3e1 / 0.2e1 * t4274 * t1394 + t24809 * t457 / 0.4e1 + 0.3e1 / 0.4e1 * t24812 * t457 + 0.3e1 / 0.4e1 * t4183 * t1394 - t321 * t194 * t29604 * t335 * t350 / 0.12e2 - 0.11e2 / 0.2e1 * t5639 * t1476 * t30264;
  t30269 = t30141 * t29470;
  t30272 = t5691 * t29354;
  t30275 = t403 * t69;
  t30276 = t30275 * t5560;
  t30284 = t5691 * t30185;
  t30287 = t4553 * t5554;
  t30290 = t1030 * t5560;
  t30291 = t1007 * t29369;
  t30296 = t1007 * t1013 * t4138;
  t30300 = t5733 * t29119;
  t30303 = t5595 * t29287;
  t30310 = t1423 * t29001;
  t30313 = t1430 * t29119;
  t30323 = 0.3e1 * t29352 * t30269 - 0.3e1 / 0.2e1 * t29352 * t30272 - 0.9e1 * t5649 * t30276 * t5571 + 0.9e1 / 0.2e1 * t4695 * t30276 * t5576 + 0.3e1 / 0.2e1 * t28764 - 0.3e1 / 0.2e1 * t29352 * t30284 - t27676 + t1002 * t30287 / 0.2e1 - 0.18e2 * t1029 * t30290 * t30291 + 0.18e2 * t373 * t30290 * t30296 - 0.28e2 * t29133 * t30300 + 0.18e2 * t29133 * t30303 + 0.3e1 / 0.2e1 * t5792 * t4308 - 0.3e1 / 0.2e1 * t1383 * t4325 - 0.6e1 * t29181 * t30310 + 0.12e2 * t29181 * t30313 + 0.3e1 / 0.2e1 * t4695 * t6018 * t4347 - 0.3e1 / 0.2e1 * t25376 * t6019 - 0.3e1 / 0.2e1 * t25561 * t6019;
  t30325 = t5650 * t5584;
  t30329 = t1146 * t648;
  t30330 = t30329 * t1407;
  t30344 = t10447 * t29993;
  t30348 = t10358 * t4191 * t29439;
  t30358 = t380 * t24978;
  t30359 = t6005 * t30358;
  t30362 = t9444 * t30135;
  t30364 = t6005 * t29447;
  t30369 = 0.3e1 * t4695 * t30325 * t1415 - 0.3e1 / 0.2e1 * t5649 * t30330 * t1410 + 0.3e1 / 0.2e1 * t4695 * t30330 * t1415 - 0.3e1 * t5649 * t30325 * t1410 - t110 * t452 * t4518 / 0.4e1 - t28773 / 0.6e1 + 0.7e1 * t29352 * t30344 - 0.9e1 / 0.2e1 * t29352 * t30348 + 0.9e1 / 0.2e1 * t5639 * t5873 * t24073 - t28789 / 0.6e1 + t28791 / 0.3e1 - t28797 / 0.2e1 + t28799 / 0.2e1 + t6004 * t30359 / 0.2e1 + t6004 * t30362 + t6004 * t30364 / 0.2e1 - t28801 / 0.6e1 - t28803 / 0.6e1;
  t30370 = t10447 * t30185;
  t30373 = t10358 * t29993;
  t30389 = t1423 * t24371;
  t30392 = t1423 * t24375;
  t30400 = t1101 * t29195 * t1088;
  t30408 = t1423 * t29019;
  t30414 = -0.11e2 / 0.6e1 * t29352 * t30370 + 0.23e2 / 0.12e2 * t29352 * t30373 - t5840 * t994 / 0.4e1 - t5854 * t994 / 0.4e1 - t1065 * t5839 * t350 / 0.4e1 + 0.3e1 / 0.4e1 * t1383 * t4373 + 0.3e1 / 0.4e1 * t1383 * t4364 - 0.3e1 / 0.2e1 * t25243 * t1411 - t1421 * t30389 / 0.2e1 - t1421 * t30392 / 0.6e1 - t1066 * t5607 / 0.2e1 - t991 * t5607 / 0.4e1 - t338 * t30400 / 0.2e1 - t29007 * t1426 / 0.2e1 - t5614 * t5618 - t5614 * t5621 / 0.2e1 - t1421 * t30408 / 0.2e1 - t29028 * t1426 / 0.2e1 - t29031 * t1426;
  t30421 = t4179 * t1382;
  t30424 = t349 * t5977;
  t30429 = t321 * t369 * t5975 * t370;
  t30445 = t1165 * t24737;
  t30451 = t110 * t145 * t4715 * params->at;
  t30457 = -t5654 * t5618 - t5654 * t5621 / 0.2e1 + 0.3e1 / 0.4e1 * t30421 * t377 - t338 * t30424 / 0.4e1 + 0.3e1 / 0.4e1 * t30429 * t377 + t4163 * t5819 / 0.2e1 + t4166 * t1378 / 0.2e1 + t1053 * t5809 / 0.2e1 - 0.2e1 * t4163 * t5804 + t28808 / 0.2e1 - t28810 / 0.6e1 + t28813 / 0.2e1 - t28815 / 0.6e1 + t28817 / 0.4e1 + 0.3e1 / 0.2e1 * t5665 * t1470 * t30445 + 0.9e1 / 0.2e1 * t30451 * t30276 * t5602 - t28819 / 0.2e1 - t28821 / 0.2e1;
  t30473 = t318 * t5648;
  t30482 = -t28823 / 0.4e1 - t29507 * t6015 - t29501 * t6015 - 0.3e1 * t25561 * t5689 - 0.3e1 / 0.2e1 * t4695 * t24105 * t1435 * t1438 - 0.3e1 * t25376 * t5689 + 0.3e1 / 0.4e1 * t30050 * t6009 - t28256 / 0.9e1 - t28259 / 0.18e2 - 0.3e1 * t30473 * t5652 - t29571 * t5682 - t28827 - t28829 - t28832 + t28834 / 0.2e1 + t28836 / 0.6e1 + t28838 / 0.3e1 + t28841 / 0.3e1 + t28844 / 0.3e1;
  t30490 = t24477 * t29469;
  t30494 = t5595 * t29001;
  t30497 = t1430 * t28987;
  t30511 = t1007 * t1013 * t4243;
  t30523 = t28846 / 0.2e1 + t28848 / 0.4e1 + t28850 / 0.2e1 + t28852 / 0.2e1 - 0.5e1 / 0.36e2 * t28854 + t28263 / 0.6e1 - 0.9e1 * t10513 * t5860 * t30490 + 0.5e1 / 0.3e1 * t29133 * t30494 + 0.3e1 / 0.2e1 * t5631 * t30497 + 0.3e1 / 0.2e1 * t29158 * t6028 + 0.3e1 / 0.2e1 * t29154 * t6028 + 0.3e1 / 0.2e1 * t373 * t29389 * t1415 + 0.3e1 / 0.2e1 * t373 * t5585 * t4300 + t373 * t1408 * t30511 / 0.2e1 + 0.3e1 * t1070 * t5740 + 0.3e1 / 0.2e1 * t1070 * t5737 + 0.3e1 / 0.2e1 * t4176 * t1416 + 0.3e1 * t1058 * t5740;
  t30544 = t1423 * t28987;
  t30549 = t5733 * t28987;
  t30552 = t5595 * t29105;
  t30555 = t29118 * t29001;
  t30558 = t28999 * t29119;
  t30567 = 0.3e1 / 0.2e1 * t1058 * t5737 + t1421 * t24317 / 0.3e1 + 0.3e1 / 0.2e1 * t4183 * t1416 + 0.3e1 * t4274 * t1416 + t5614 * t4535 + 0.9e1 * t4188 * t5636 - 0.9e1 * t1058 * t5729 + 0.9e1 * t1029 * t29127 * t5635 + 0.3e1 * t29154 * t5632 + 0.3e1 * t29158 * t5632 + 0.3e1 * t5631 * t30544 + 0.23e2 / 0.12e2 * t29016 * t5744 - 0.11e2 / 0.6e1 * t5562 * t30549 + 0.23e2 / 0.12e2 * t5562 * t30552 - 0.61e2 / 0.27e2 * t28997 * t30555 + 0.44e2 / 0.27e2 * t28997 * t30558 - 0.11e2 / 0.6e1 * t29038 * t6022 + 0.23e2 / 0.12e2 * t29038 * t5744 - 0.11e2 / 0.6e1 * t29016 * t6022;
  t30570 = t1165 * t29469;
  t30578 = t24678 * t24581 * t4138;
  t30585 = t5691 * t4693 * t30209;
  t30589 = t4305 * t4306 * t333;
  t30594 = t4305 * t4323 * t333;
  t30606 = t1065 * t5813;
  t30611 = t318 * t446;
  t30614 = t110 * t1468;
  t30617 = t24105 * t440;
  t30621 = -0.9e1 / 0.2e1 * t5665 * t5925 * t30570 + t28268 / 0.18e2 + t28270 / 0.18e2 + t28273 / 0.18e2 - 0.6e1 * t25474 * t29362 * t30578 - 0.5e1 / 0.3e1 * t5673 * t24975 - 0.3e1 * t5673 * t30585 + 0.9e1 / 0.2e1 * t5649 * t5651 * t30589 - 0.9e1 / 0.2e1 * t4695 * t5651 * t30594 - t1397 * t4171 / 0.4e1 - t1402 * t4171 / 0.4e1 - t442 * t25200 / 0.12e2 - t1066 * t5809 / 0.2e1 + 0.3e1 / 0.2e1 * t30606 * t377 - t4180 * t1378 / 0.4e1 + t30611 * t4690 / 0.2e1 + t30614 * t4690 / 0.2e1 - 0.3e1 / 0.4e1 * t4695 * t30617 * t1084;
  t30622 = t4696 * t1400;
  t30627 = t1076 * t1083 * t333;
  t30631 = t5674 * t30210;
  t30634 = t5691 * t30210;
  t30652 = t346 * t348 * t4243;
  t30676 = -0.3e1 / 0.2e1 * t4695 * t30622 * t1084 + 0.3e1 * t4695 * t5688 * t30627 + 0.3e1 / 0.2e1 * t5673 * t30631 + 0.3e1 / 0.4e1 * t5673 * t30634 - 0.3e1 * t4695 * t4696 * t5657 * t1438 - 0.3e1 / 0.2e1 * t4695 * t5688 * t4340 - 0.3e1 / 0.2e1 * t373 * t374 * t28950 * t1438 - 0.3e1 / 0.2e1 * t373 * t5658 * t4340 - t373 * t1436 * t30652 / 0.2e1 - 0.3e1 / 0.4e1 * t4183 * t1443 - 0.3e1 / 0.2e1 * t4274 * t1443 - 0.3e1 / 0.2e1 * t4176 * t1439 - 0.3e1 * t1058 * t5659 - 0.3e1 / 0.2e1 * t1058 * t5580 + t1451 * t24376 / 0.6e1 - 0.3e1 / 0.2e1 * t4183 * t1439 - 0.3e1 * t4274 * t1439 - 0.3e1 * t1070 * t5659 - 0.3e1 / 0.2e1 * t1070 * t5580;
  t30678 = t1101 * t29019;
  t30687 = t5679 * t30185;
  t30693 = t110 * t365 * t5647;
  t30700 = t5691 * t24738;
  t30703 = t29474 * t29470;
  t30710 = t5695 * t29354;
  t30715 = t1451 * t30678 / 0.2e1 + t1451 * t24372 / 0.2e1 + t1065 * t5783 * t1452 + t28860 / 0.6e1 - t28864 / 0.2e1 + 0.3e1 * t29461 * t30687 + 0.3e1 * t25376 * t5671 - 0.3e1 * t30693 * t5652 + 0.3e1 * t25561 * t5671 - t6012 * t24176 / 0.2e1 + 0.5e1 / 0.12e2 * t5673 * t30700 + 0.5e1 / 0.6e1 * t29352 * t30703 - t28885 / 0.2e1 - t28887 / 0.2e1 - t28889 / 0.4e1 - t28891 / 0.4e1 + 0.3e1 / 0.2e1 * t29461 * t30710 + 0.3e1 * t28893 + t28289 / 0.6e1;
  t30718 = t4572 * t29439;
  t30722 = t4619 * t29439;
  t30726 = t5650 * t5629;
  t30733 = t29468 * t29475;
  t30737 = t29474 * t4191 * t29469;
  t30740 = t5674 * t24738;
  t30743 = t5679 * t30358;
  t30746 = t4626 * t24737;
  t30753 = t10358 * t30185;
  t30756 = t5695 * t30185;
  t30763 = t5695 * t30358;
  t30767 = t28291 / 0.6e1 + t28295 / 0.9e1 + 0.9e1 / 0.2e1 * t5665 * t5860 * t30718 - 0.9e1 * t5639 * t5860 * t30722 + 0.9e1 * t5649 * t30726 * t5635 - 0.9e1 * t4695 * t30726 * t5728 - 0.14e2 * t29352 * t30733 + 0.9e1 * t29352 * t30737 - t28900 + 0.5e1 / 0.6e1 * t5673 * t30740 - t5673 * t30743 / 0.2e1 - 0.5e1 / 0.2e1 * t5665 * t1476 * t30746 + 0.3e1 / 0.2e1 * t4695 * t5651 * t4300 - 0.5e1 / 0.12e2 * t29352 * t30753 + 0.3e1 / 0.2e1 * t29461 * t30756 - t4678 * t453 / 0.4e1 - 0.3e1 / 0.4e1 * t1205 * t1499 - t5673 * t30763 / 0.4e1 - t28920 / 0.2e1;
  t30773 = my_piecewise3(t100, 0, t29977 + t30177 + t29342 + t30482 + t30676 + t30369 + t30457 + t30414 + t30323 + t30715 + t29259 + t30268 + t29052 + t28994 + t29456 + t30090 + t30567 + t29589 + t29293 + t30008 + t29506 + t30621 + t29164 + t29412 + t30139 + t30040 + t30523 + t29103 + t29560 + t29218 + t30222 + t30767);
  tv4rho3sigma11 = t3 * t30773 + 0.3e1 * t6059;

  if(out->v4rho3sigma != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3sigma[ip*p->dim.v4rho3sigma + 11] += tv4rho3sigma11;

  t30776 = t3247 * t1526;
  t30779 = t633 * t6250 * t223;
  t30781 = t6226 * t598;
  t30785 = t3046 * t6402;
  t30789 = t6226 * t691;
  t30793 = t633 * t6410;
  t30794 = t30793 * t685;
  t30796 = t3046 * t6424;
  t30806 = t637 * t6257;
  t30809 = t3238 * t1533 * t223;
  t30811 = t3242 * t1526;
  t30813 = t21401 * t481;
  t30815 = t30776 / 0.2e1 - t30779 / 0.12e2 - t30781 / 0.2e1 + 0.3e1 / 0.2e1 * t1516 * t3261 - t30785 / 0.6e1 + 0.3e1 * t6411 * t3079 + t30789 / 0.2e1 - 0.3e1 * t1516 * t3083 - t30794 / 0.2e1 + t30796 / 0.3e1 - t3193 * t1511 / 0.12e2 - t466 * t20983 / 0.12e2 - t1529 * t3096 / 0.4e1 - t1534 * t3096 / 0.4e1 + t30806 / 0.4e1 - t30809 / 0.6e1 + t30811 / 0.2e1 + t30813 / 0.2e1;
  t30817 = t21383 * t465 * t223;
  t30819 = t3046 * t6233;
  t30821 = t6226 * t623;
  t30823 = t21387 * t481;
  t30825 = t20977 * t481;
  t30829 = t6416 * t845;
  t30831 = t3690 * t6120;
  t30835 = t3520 * t1514 * t838;
  t30837 = t633 * t6099;
  t30838 = t30837 * t4869;
  t30840 = t463 * t20811;
  t30842 = t191 * t3135 * t30840;
  t30845 = t21994 * t6078;
  t30853 = t6248 * t595;
  t30854 = t247 * t30853;
  t30866 = -t30817 / 0.12e2 - t30819 / 0.12e2 + t30821 / 0.4e1 + t30823 / 0.4e1 + t30825 / 0.4e1 + t466 * t21242 / 0.2e1 + t30829 / 0.18e2 + t654 * t30831 / 0.2e1 - t654 * t30835 - t30838 / 0.2e1 + 0.6e1 * t30842 * t26973 + 0.3e1 / 0.2e1 * t30845 - 0.3e1 / 0.4e1 * t3101 * t1560 - 0.3e1 / 0.2e1 * t608 * t6274 - 0.3e1 / 0.4e1 * t608 * t6277 - 0.3e1 / 0.2e1 * t246 * t30854 * t1281 - 0.3e1 / 0.2e1 * t246 * t6093 * t3492 - t246 * t1555 * t21164 / 0.2e1 - 0.3e1 * t3226 * t1556;
  t30896 = t247 * t6249;
  t30910 = -0.3e1 * t630 * t6094 - 0.3e1 / 0.2e1 * t630 * t6266 - 0.3e1 / 0.2e1 * t3101 * t1556 - 0.3e1 * t608 * t6094 - 0.3e1 / 0.2e1 * t608 * t6266 - 0.3e1 / 0.4e1 * t630 * t6277 - 0.3e1 / 0.2e1 * t679 * t6489 * t4794 - t679 * t1547 * t25764 / 0.2e1 + 0.3e1 / 0.2e1 * t3220 * t1551 + 0.3e1 * t3226 * t1551 + 0.3e1 * t630 * t6490 + 0.3e1 / 0.2e1 * t630 * t6492 + 0.7e1 * t25697 * t19572 - 0.3e1 / 0.4e1 * t246 * t30896 * t826 - 0.3e1 / 0.4e1 * t246 * t6273 * t3447 - t246 * t1559 * t21905 / 0.4e1 - 0.3e1 / 0.2e1 * t3070 * t6183 - 0.3e1 / 0.4e1 * t3220 * t1560;
  t30916 = t191 * t649 * t6076;
  t30921 = t30837 * t5167;
  t30923 = t30837 * t4811;
  t30925 = t633 * t6086;
  t30926 = t30925 * t5179;
  t30927 = t30925 * t5185;
  t30931 = t637 * t6096;
  t30933 = t30837 * t4841;
  t30935 = t3115 * t30840;
  t30939 = t3051 * t6105;
  t30944 = t3051 * t6135;
  t30949 = t680 * t6076;
  t30956 = t633 * t6495;
  t30957 = t30956 * t4939;
  t30959 = -0.3e1 / 0.2e1 * t3226 * t1560 - 0.3e1 / 0.2e1 * t630 * t6274 - 0.6e1 * t30916 * t27485 + 0.12e2 * t30916 * t27488 - 0.11e2 / 0.18e2 * t30921 + 0.23e2 / 0.36e2 * t30923 + t30926 - 0.2e1 * t30927 - 0.3e1 / 0.2e1 * t3061 * t6183 + 0.3e1 / 0.2e1 * t30931 - 0.3e1 / 0.2e1 * t30933 - 0.18e2 * t3167 * t30935 * t27006 - 0.3e1 * t30939 - 0.18e2 * t246 * t30935 * t26982 + 0.3e1 * t30944 + 0.36e2 * t679 * t30935 * t26986 + 0.18e2 * t246 * t30949 * t27002 - 0.18e2 * t679 * t30949 * t26997 - t30957 / 0.2e1;
  t30962 = t3231 * t1540;
  t30963 = t30962 * t1300;
  t30965 = t30925 * t5157;
  t30967 = t1506 * t3464;
  t30969 = t3232 * t1556;
  t30971 = t637 * t6394;
  t30973 = t1506 * t3386;
  t30975 = t3232 * t1560;
  t30977 = t637 * t6399;
  t30979 = t637 * t6387;
  t30981 = t247 * t6085;
  t30985 = t3232 * t1564;
  t30987 = t6416 * t840;
  t30990 = t191 * t194 * t6085;
  t30993 = t3231 * t1567;
  t30994 = t30993 * t1295;
  t30997 = t3460 * t6119 * t3462;
  t31000 = t30962 * t1257;
  t31002 = t21203 * t1548;
  t31004 = t30962 * t1263;
  t31006 = t30963 / 0.18e2 + t30965 / 0.2e1 - t30967 / 0.6e1 + t30969 / 0.3e1 - 0.3e1 * t30971 - t30973 / 0.12e2 + t30975 / 0.6e1 + t30977 / 0.2e1 + 0.3e1 / 0.2e1 * t30979 - 0.6e1 * t246 * t30981 * t25936 - t30985 / 0.6e1 - t30987 / 0.18e2 + 0.2e1 * t30990 * t25741 - t30994 / 0.9e1 - t211 * t30997 / 0.6e1 + t31000 / 0.9e1 + t31002 / 0.3e1 - 0.2e1 / 0.9e1 * t31004;
  t31007 = t3232 * t1551;
  t31009 = t1524 * t3118;
  t31011 = t191 * t3135 * t31009;
  t31016 = t1524 * t3076;
  t31018 = t191 * t649 * t31016;
  t31023 = t626 * t6086;
  t31026 = t634 * t6121;
  t31031 = t6140 * t4893;
  t31033 = t30837 * t4890;
  t31035 = t3238 * t1567;
  t31036 = t31035 * t1295;
  t31038 = t6197 * t845;
  t31040 = t6200 * t845;
  t31042 = t1506 * t3391;
  t31046 = t463 * t20825;
  t31048 = t191 * t20823 * t31046;
  t31053 = t3115 * t31009;
  t31060 = -t31007 / 0.3e1 + 0.23e2 / 0.12e2 * t31011 * t4811 + 0.5e1 / 0.3e1 * t30842 * t25894 + 0.3e1 / 0.2e1 * t31018 * t5157 + 0.3e1 / 0.2e1 * t6087 * t25788 + 0.3e1 / 0.2e1 * t31023 * t5157 + t31026 / 0.12e2 - 0.3e1 / 0.2e1 * t246 * t1559 * t21372 - t31031 / 0.12e2 - 0.5e1 / 0.36e2 * t31033 + t31036 / 0.3e1 - t31038 / 0.6e1 - t31040 / 0.6e1 - t31042 / 0.6e1 - 0.9e1 / 0.2e1 * t6100 * t27519 + 0.89e2 / 0.9e1 * t31048 * t27504 + 0.9e1 / 0.2e1 * t608 * t6096 - 0.9e1 * t679 * t31053 * t4856 + 0.9e1 / 0.2e1 * t246 * t31053 * t4863;
  t31062 = t626 * t6099;
  t31085 = t188 * t1591;
  t31086 = t31085 * t4997;
  t31088 = t31085 * t5004;
  t31096 = t26551 * t6076;
  t31102 = -0.9e1 / 0.2e1 * t31062 * t4841 - 0.9e1 * t3070 * t6105 + 0.9e1 / 0.2e1 * t630 * t6096 - 0.9e1 * t3061 * t6105 - 0.11e2 / 0.6e1 * t6100 * t26171 + 0.23e2 / 0.12e2 * t6100 * t26166 - 0.61e2 / 0.27e2 * t31048 * t26158 + 0.44e2 / 0.27e2 * t31048 * t26162 - 0.11e2 / 0.6e1 * t31062 * t5167 + 0.23e2 / 0.12e2 * t31062 * t4811 - 0.11e2 / 0.6e1 * t31011 * t5167 - t31086 / 0.3e1 + 0.2e1 / 0.3e1 * t31088 - 0.11e2 / 0.6e1 * t6439 * t26402 + 0.11e2 / 0.3e1 * t6439 * t26407 + 0.3e1 * t9743 * t26474 + 0.9e1 / 0.2e1 * t26550 * t31096 * t4846 - t3252 * t1511 / 0.2e1;
  t31104 = t843 * t6119 * t3384;
  t31107 = t1261 * t6502;
  t31112 = t6248 * t651;
  t31113 = t680 * t31112;
  t31131 = t191 * t649 * t31112;
  t31139 = t191 * t242 * t1606 * t676;
  t31146 = t26530 * t1539;
  t31150 = t4784 * t6065;
  t31154 = -t211 * t31104 / 0.4e1 - t654 * t31107 / 0.4e1 - 0.3e1 * t3061 * t6500 - 0.3e1 / 0.2e1 * t679 * t31113 * t1269 - t627 * t6503 / 0.2e1 - 0.3e1 / 0.2e1 * t21053 * t1548 - 0.3e1 * t21062 * t1548 - 0.3e1 * t3070 * t6500 - 0.3e1 / 0.2e1 * t21048 * t1548 + t1541 * t20895 + t1541 * t21100 / 0.3e1 + t31131 * t1263 + 0.3e1 / 0.2e1 * t6209 * t691 - 0.3e1 / 0.2e1 * t6217 * t598 - 0.3e1 / 0.2e1 * t31139 * t685 - 0.3e1 / 0.2e1 * t6209 * t598 - 0.3e1 * t26896 * t6437 - 0.3e1 / 0.2e1 * t4993 * t31146 * t1269 - 0.3e1 * t4993 * t31150 * t1269;
  t31161 = t30 * t1585;
  t31172 = t182 * t1591;
  t31175 = t30 * t6335;
  t31187 = t6416 * t645;
  t31189 = t21407 * t481;
  t31191 = t21380 * t481;
  t31200 = -0.3e1 / 0.2e1 * t4993 * t6175 * t4794 + t31161 * t3276 / 0.2e1 + t6451 * t20725 / 0.2e1 + t6451 * t20721 / 0.4e1 + t6451 * t22009 / 0.4e1 - t6451 * t22458 / 0.2e1 + 0.3e1 / 0.4e1 * t31172 * t4879 + 0.3e1 / 0.4e1 * t31175 * t4879 + 0.3e1 / 0.4e1 * t6439 * t26057 + 0.3e1 / 0.2e1 * t3266 * t31146 * t1274 + 0.3e1 * t21744 * t6176 + 0.3e1 * t21748 * t6176 + t31187 / 0.18e2 - t31189 / 0.6e1 - t31191 / 0.6e1 - 0.3e1 * t26211 * t6437 + 0.9e1 * t4983 * t6300 * t26680 - 0.3e1 * t31172 * t5001;
  t31217 = 0.5e1 / 0.54e2 * t21396 * t481;
  t31220 = 0.5e1 / 0.162e3 * t21395 * t465 * t223;
  t31223 = t22179 * t1554;
  t31227 = t3267 * t6092;
  t31239 = t9744 * t4991 * t12927;
  t31243 = t3209 * t1540;
  t31246 = t626 * t6066;
  t31251 = 0.3e1 / 0.4e1 * t20991 * t481 - 0.9e1 * t4993 * t31096 * t4856 + 0.9e1 / 0.2e1 * t3266 * t31096 * t4863 - 0.11e2 / 0.2e1 * t4983 * t1591 * t26540 + t603 * t6212 / 0.2e1 + t3088 * t6233 / 0.2e1 + t31217 - t31220 + 0.2e1 * t6067 * t4820 - 0.3e1 / 0.2e1 * t3266 * t31223 * t1281 - 0.3e1 * t3266 * t31227 * t1281 - 0.3e1 / 0.2e1 * t3266 * t6169 * t3492 - t6439 * t26416 / 0.2e1 - t6439 * t26844 / 0.2e1 - 0.9e1 / 0.2e1 * t26182 * t31239 - t31172 * t4997 - t31243 * t1300 / 0.4e1 - t31246 * t1300 / 0.2e1 - t6062 * t5190 / 0.2e1;
  t31275 = t9845 * t13045;
  t31284 = t6119 * t3397;
  t31285 = t1254 * t31284;
  t31294 = t1529 * t3534 / 0.2e1 + t1529 * t3530 / 0.4e1 + t6251 * t840 / 0.4e1 + t1534 * t3534 / 0.2e1 + t1534 * t3530 / 0.4e1 + t466 * t21741 / 0.4e1 - 0.9e1 / 0.2e1 * t26260 * t6172 - 0.9e1 / 0.2e1 * t26266 * t6172 + 0.3e1 * t3266 * t31150 * t1274 + 0.3e1 / 0.2e1 * t3266 * t6175 * t4828 + 0.7e1 * t26182 * t31275 - t1534 * t3464 / 0.2e1 + 0.3e1 / 0.2e1 * t6411 * t3363 - t466 * t20906 / 0.2e1 - t3396 * t31285 / 0.2e1 - 0.3e1 / 0.2e1 * t6411 * t3371 + t466 * t21331 / 0.12e2 - t31131 * t1300 / 0.4e1;
  t31303 = t3247 * t1556;
  t31314 = t1506 * t3530;
  t31316 = t6197 * t840;
  t31318 = t6200 * t840;
  t31320 = t1506 * t3534;
  t31326 = t21192 * t1548;
  t31327 = t21198 * t1548;
  t31328 = t3051 * t6500;
  t31329 = t3051 * t6183;
  t31331 = -t6067 * t5190 / 0.2e1 - t6067 * t4893 / 0.4e1 - 0.5e1 / 0.12e2 * t31011 * t4890 + t466 * t21735 / 0.4e1 - t31303 + 0.3e1 / 0.2e1 * t6439 * t27545 - 0.3e1 * t6439 * t27549 + 0.9e1 / 0.2e1 * t4993 * t6175 * t27536 - 0.9e1 / 0.2e1 * t3266 * t6175 * t27541 + t31314 / 0.12e2 + t31316 / 0.6e1 + t31318 / 0.6e1 + t31320 / 0.6e1 - 0.6e1 * t6087 * t27055 - 0.23e2 / 0.3e1 * t30842 * t27047 - t31326 - t31327 - t31328 - t31329 / 0.2e1;
  t31334 = t3238 * t1540;
  t31335 = t31334 * t1257;
  t31337 = t637 * t6490;
  t31343 = t633 * t6216;
  t31344 = t31343 * t250;
  t31354 = t3267 * t1539;
  t31360 = t22179 * t464;
  t31364 = t3267 * t1532;
  t31380 = -t31335 / 0.3e1 + t31337 + 0.9e1 / 0.2e1 * t3167 * t31053 * t4846 + 0.3e1 / 0.2e1 * t1516 * t3687 + t31344 / 0.2e1 + t3110 * t1511 / 0.2e1 - 0.9e1 / 0.2e1 * t4772 * t6309 * t26469 + 0.9e1 / 0.2e1 * t4772 * t6309 * t26730 + 0.9e1 / 0.2e1 * t3266 * t31354 * t4914 - 0.3e1 / 0.2e1 * t21748 * t6164 - 0.3e1 / 0.4e1 * t3266 * t31360 * t826 - 0.3e1 / 0.2e1 * t3266 * t31364 * t826 - t1541 * t26635 / 0.4e1 - t1541 * t26627 / 0.4e1 - 0.5e1 / 0.12e2 * t6100 * t26630 - t1541 * t26015 / 0.12e2 - t6062 * t4893 / 0.4e1 - 0.5e1 / 0.12e2 * t31062 * t4890;
  t31387 = t633 * t6066;
  t31388 = t31387 * t1257;
  t31390 = t6140 * t5195;
  t31392 = t6140 * t5170;
  t31404 = t31334 * t1300;
  t31406 = t463 * t621;
  t31407 = t670 * t31406;
  t31408 = t9845 * t31407;
  t31412 = t9744 * t3156 * t31406;
  t31415 = t188 * t1587;
  t31416 = t31415 * t4885;
  t31424 = t603 * t6503 / 0.2e1 + t627 * t6121 / 0.4e1 + t642 * t6121 / 0.6e1 - t31388 / 0.3e1 - t31390 / 0.3e1 - t31392 / 0.6e1 + 0.3e1 * t31023 * t5179 + 0.3e1 * t31018 * t5179 + 0.3e1 * t6087 * t27052 + 0.22e2 / 0.3e1 * t30842 * t27044 + 0.3e1 / 0.2e1 * t1516 * t3515 - t31404 / 0.6e1 + 0.7e1 * t26808 * t31408 - 0.9e1 / 0.2e1 * t26808 * t31412 - t31416 / 0.3e1 - 0.6e1 * t9863 * t26307 - t31175 * t4997 - t6439 * t26426 - 0.3e1 * t31175 * t5001;
  t31440 = t637 * t6274;
  t31459 = t3140 * t477;
  t31462 = t1261 * t31284;
  t31465 = -0.3e1 * t6439 * t26768 - 0.5e1 / 0.3e1 * t6439 * t20711 - 0.4e1 / 0.3e1 * t6439 * t26670 + 0.2e1 * t31172 * t5004 + 0.2e1 * t31175 * t5004 + 0.3e1 / 0.2e1 * t9863 * t26107 - 0.5e1 / 0.12e2 * t9743 * t27480 - t31440 / 0.2e1 + 0.3e1 * t9863 * t26303 + 0.3e1 / 0.2e1 * t31172 * t5176 + 0.3e1 / 0.2e1 * t31175 * t5176 + 0.5e1 / 0.6e1 * t6439 * t26841 - 0.9e1 * t4983 * t6304 * t26711 - 0.3e1 / 0.2e1 * t31062 * t4869 - 0.3e1 / 0.2e1 * t31011 * t4869 - 0.43e2 / 0.9e1 * t31048 * t27508 - 0.11e2 / 0.18e2 * t3138 * t31459 - t3396 * t31462 / 0.4e1;
  t31466 = t3242 * t1564;
  t31470 = t3140 * t6423;
  t31473 = t476 * t3156;
  t31474 = t3145 * t31473;
  t31478 = t788 * t476;
  t31479 = t31478 * t3275;
  t31482 = t637 * t6277;
  t31484 = t188 * t6113;
  t31487 = t1261 * t1514 * t3397;
  t31489 = t637 * t6492;
  t31491 = t26609 * t19572;
  t31493 = t31334 * t1263;
  t31495 = t31387 * t1263;
  t31497 = t6140 * t4820;
  t31499 = t6140 * t3399;
  t31512 = t31466 / 0.2e1 - 0.3e1 * t6411 * t3127 + 0.7e1 / 0.3e1 * t3138 * t31470 - 0.3e1 / 0.2e1 * t3138 * t31474 + t3088 * t6402 + t3272 * t31479 / 0.4e1 - t31482 / 0.4e1 - t31484 / 0.2e1 + t3396 * t31487 + t31489 / 0.2e1 + 0.7e1 / 0.3e1 * t31491 + 0.2e1 / 0.3e1 * t31493 + 0.2e1 / 0.3e1 * t31495 + 0.2e1 / 0.3e1 * t31497 + t31499 / 0.3e1 - 0.3e1 / 0.4e1 * t30 * t6378 * t277 - 0.3e1 / 0.2e1 * t9743 * t26556 + 0.18e2 * t4983 * t6304 * t26559 - 0.9e1 * t4772 * t6304 * t26563;
  t31544 = t6284 * t5149;
  t31555 = 0.2e1 / 0.3e1 * t6439 * t26771 + t6439 * t20716 + 0.3e1 / 0.4e1 * t608 * t6486 + 0.3e1 / 0.2e1 * t608 * t6460 + t246 * t21009 * t469 * t249 / 0.4e1 + 0.3e1 / 0.4e1 * t246 * t3384 * t1584 * t249 - 0.35e2 / 0.108e3 * t31048 * t26012 + 0.3e1 / 0.4e1 * t3220 * t1564 + 0.3e1 / 0.2e1 * t3226 * t1564 + 0.3e1 / 0.4e1 * t630 * t6486 + 0.3e1 / 0.2e1 * t630 * t6460 + 0.3e1 / 0.4e1 * t3101 * t1564 + t31544 / 0.3e1 - 0.3e1 * t30916 * t27032 + t1516 * t3487 - 0.3e1 / 0.4e1 * t6209 * t827 - 0.3e1 / 0.2e1 * t21744 * t6164 - t6454 * t21597 / 0.2e1;
  t31558 = t182 * t1587;
  t31560 = t6284 * t3499;
  t31562 = t626 * t6495;
  t31572 = t191 * t194 * t6065;
  t31585 = t22052 * t6170;
  t31586 = t30 * t6329;
  t31597 = -t6454 * t26069 / 0.2e1 + t31558 * t4765 + t31560 / 0.6e1 - 0.3e1 / 0.2e1 * t31562 * t4939 - 0.3e1 / 0.4e1 * t6217 * t827 - t1516 * t3452 / 0.2e1 - t1516 * t3448 / 0.4e1 - 0.3e1 / 0.2e1 * t31572 * t4939 + 0.9e1 / 0.2e1 * t9877 * t6304 * t27527 + 0.3e1 / 0.2e1 * t630 * t6399 + 0.3e1 / 0.2e1 * t608 * t6399 - 0.3e1 / 0.4e1 * t3266 * t6163 * t3447 - t31585 - t31586 * t4885 - t6454 * t26072 + t6454 * t26882 / 0.2e1 + 0.3e1 / 0.2e1 * t10155 * t26838 - 0.3e1 / 0.2e1 * t10155 * t26702 - 0.3e1 / 0.2e1 * t10155 * t27591;
  t31625 = t637 * t6266;
  t31631 = t680 * t31016;
  t31637 = -t31558 * t4885 + t31243 * t1263 + 0.2e1 * t31246 * t1263 + 0.2e1 * t6062 * t4820 + t6062 * t3399 + 0.3e1 / 0.2e1 * t3101 * t1551 + 0.3e1 * t4772 * t6329 * t4774 + 0.3e1 / 0.2e1 * t4772 * t1587 * t20780 + 0.3e1 / 0.2e1 * t4772 * t1587 * t26692 - 0.3e1 * t21744 * t6170 - 0.3e1 * t21748 * t6170 - 0.6e1 * t31023 * t5185 - 0.6e1 * t31018 * t5185 - t31625 / 0.2e1 + 0.9e1 * t3070 * t6135 + 0.9e1 * t3061 * t6135 + 0.9e1 * t679 * t31631 * t4918 + 0.18e2 * t26616 * t19649;
  t31638 = t3242 * t1551;
  t31639 = t3247 * t1551;
  t31651 = t30 * t476 * t3264;
  t31654 = t247 * t6065;
  t31658 = t637 * t6094;
  t31665 = t3255 * t1511;
  t31669 = t3247 * t1560;
  t31671 = t3242 * t1560;
  t31673 = t31415 * t4765;
  t31675 = t188 * t470;
  t31676 = t31675 * t3276;
  t31680 = t31638 + t31639 + 0.3e1 / 0.2e1 * t246 * t6273 * t3468 - 0.9e1 * t630 * t6394 - 0.9e1 * t608 * t6394 - 0.9e1 * t246 * t31631 * t4903 - 0.3e1 / 0.4e1 * t31651 * t3269 + 0.9e1 / 0.2e1 * t246 * t31654 * t4914 - t31658 + 0.9e1 / 0.2e1 * t608 * t6387 - 0.3e1 / 0.2e1 * t6496 * t27041 - 0.3e1 / 0.2e1 * t1516 * t3493 + t31665 / 0.6e1 - t627 * t6212 / 0.2e1 - t31669 / 0.2e1 - t31671 / 0.2e1 + t31673 / 0.3e1 + t31676 / 0.6e1 - t31172 * t4874 / 0.2e1;
  t31685 = t26467 * t6167;
  t31689 = t22052 * t6164;
  t31694 = t31085 * t4879;
  t31698 = t31085 * t4874;
  t31720 = -t31175 * t4874 / 0.2e1 + t31685 - 0.3e1 * t4772 * t1587 * t26083 - t31689 / 0.2e1 + 0.3e1 / 0.2e1 * t3266 * t6163 * t3468 + t31694 / 0.4e1 - 0.7e1 / 0.3e1 * t9863 * t26879 - t31698 / 0.6e1 + 0.3e1 / 0.2e1 * t9863 * t26876 + 0.2e1 * t6439 * t26411 + 0.3e1 / 0.2e1 * t6439 * t26779 + t6260 * t840 / 0.4e1 + t6263 * t840 / 0.2e1 - t1534 * t3386 / 0.4e1 - t466 * t21352 / 0.4e1 - t466 * t21005 / 0.4e1 - t466 * t21011 / 0.12e2 - t6260 * t845 / 0.4e1;
  t31735 = t188 * t6116;
  t31741 = t25714 * t27507;
  t31744 = t1254 * t6502;
  t31748 = t1261 * t1514 * t830;
  t31752 = t20842 * t31046;
  t31767 = -t6263 * t845 / 0.2e1 - t1529 * t3391 / 0.2e1 + 0.3e1 / 0.4e1 * t1516 * t3506 - 0.3e1 / 0.4e1 * t30 * t1607 * t732 - t30 * t476 * t3342 / 0.4e1 - 0.3e1 / 0.4e1 * t182 * t6116 - t31735 / 0.4e1 - t31131 * t1257 / 0.2e1 - 0.2e1 * t3088 * t6424 - 0.62e2 / 0.3e1 * t31048 * t31741 - t654 * t31744 / 0.2e1 + t654 * t31748 - 0.3e1 / 0.2e1 * t6411 * t3415 + 0.6e1 * t246 * t31752 * t26964 - 0.3e1 / 0.2e1 * t6100 * t27496 - 0.38e2 / 0.9e1 * t31048 * t27491 - 0.18e2 * t679 * t31752 * t26959 - 0.2e1 * t31048 * t26955 + 0.8e1 * t31048 * t26624;
  t31775 = t634 * t6503;
  t31779 = t6226 * t832;
  t31786 = t4851 * t12109;
  t31789 = t6226 * t827;
  t31799 = t773 * t1577;
  t31807 = -0.6e1 * t20841 * t31752 * t26342 + 0.18e2 * t3167 * t31752 * t25945 - t31775 / 0.6e1 + t1516 * t3469 / 0.2e1 + t31779 / 0.2e1 - 0.3e1 / 0.2e1 * t1516 * t3483 + 0.3e1 / 0.2e1 * t246 * t6489 * t4828 + 0.7e1 * t20926 * t31786 - t31789 / 0.4e1 + 0.3e1 / 0.2e1 * t6209 * t832 + 0.3e1 / 0.2e1 * t6217 * t832 + 0.3e1 / 0.4e1 * t1516 * t3510 - 0.3e1 / 0.2e1 * t182 * t6113 - t31799 / 0.2e1 - 0.3e1 / 0.4e1 * t759 * t1577 - t6067 * t5195 - t6062 * t5195 - t6062 * t5170 / 0.2e1;
  t31811 = t26535 * t6434;
  t31813 = t26467 * t6172;
  t31815 = t26396 * t6437;
  t31816 = t22052 * t6176;
  t31817 = t31085 * t5176;
  t31819 = t31085 * t5001;
  t31824 = t3247 * t1564;
  t31842 = t3209 * t1567;
  t31845 = 0.11e2 / 0.2e1 * t4772 * t1591 * t26544 + 0.3e1 / 0.2e1 * t31811 - 0.3e1 / 0.2e1 * t31813 - t31815 + t31816 + t31817 / 0.2e1 - t31819 + t31586 * t4765 + t6454 * t26582 + t6454 * t27021 / 0.2e1 + t31824 / 0.2e1 + 0.3e1 / 0.4e1 * t608 * t6257 + t1568 * t20793 / 0.6e1 - 0.3e1 / 0.2e1 * t3220 * t1556 + t6468 * t3499 / 0.2e1 + t1568 * t25672 / 0.2e1 + t1568 * t20788 / 0.2e1 + 0.3e1 / 0.4e1 * t246 * t830 * t6296 * t249 + t31842 * t1295 / 0.2e1;
  t31849 = t626 * t6467;
  t31855 = t191 * t194 * t30853;
  t31861 = t1261 * t3099 * t1255;
  t31872 = t1606 * t66;
  t31874 = t836 * t31872 * t838;
  t31878 = t836 * t6119 * t3528;
  t31881 = t3520 * t6120;
  t31884 = t843 * t31284;
  t31894 = t31849 * t1295 + t6464 * t5149 + t6464 * t3499 / 0.2e1 + t31855 * t1295 / 0.2e1 + t6468 * t5149 + t6067 * t3399 + t1541 * t31861 + t246 * t1547 * t25898 / 0.2e1 - t1529 * t3386 / 0.4e1 - t6251 * t845 / 0.4e1 - t1534 * t3391 / 0.2e1 + t211 * t31874 / 0.4e1 + t211 * t31878 / 0.12e2 + t654 * t31881 / 0.4e1 + t3497 * t31884 / 0.2e1 - t603 * t6121 / 0.3e1 - t6263 * t645 / 0.2e1 - t3209 * t1533 * t223 / 0.4e1;
  t31898 = t843 * t31872 * t830;
  t31915 = t182 * t470;
  t31931 = t3235 * t1511;
  t31935 = -t6260 * t645 / 0.4e1 - t211 * t31898 / 0.2e1 + 0.3e1 / 0.4e1 * t6217 * t623 + t1516 * t3206 / 0.4e1 + 0.3e1 / 0.4e1 * t3220 * t1526 + t20988 * t481 / 0.4e1 + t6439 * t26673 / 0.3e1 + 0.5e1 / 0.12e2 * t6439 * t26110 + 0.5e1 / 0.6e1 * t9743 * t27477 + t31915 * t3276 / 0.2e1 + t6454 * t26828 - t6451 * t22004 / 0.2e1 - 0.11e2 / 0.12e2 * t6439 * t26830 - t6439 * t27018 / 0.2e1 - t6439 * t27605 / 0.4e1 - t6439 * t26103 / 0.4e1 - 0.5e1 / 0.12e2 * t9743 * t26053 + t31931 / 0.18e2 - t3213 * t1511 / 0.4e1;
  t31937 = t634 * t6212;
  t31939 = t3209 * t1515;
  t31942 = t222 * t6379;
  t31947 = t191 * t242 * t6377 * t243;
  t31954 = t666 * t1608;
  t31960 = t3242 * t1556;
  t31961 = t769 * t1577;
  t31967 = t661 * t1608;
  t31970 = t3145 * t477;
  t31979 = t3670 * t477;
  t31981 = -t31937 / 0.6e1 + 0.3e1 / 0.4e1 * t31939 * t250 - t211 * t31942 / 0.4e1 + 0.3e1 / 0.4e1 * t31947 * t250 + 0.3e1 / 0.2e1 * t1516 * t3132 - t3066 * t6402 / 0.2e1 - t654 * t31954 / 0.2e1 - t21389 * t465 * t223 / 0.12e2 - t31960 + t31961 / 0.6e1 - 0.3e1 / 0.4e1 * t182 * t6379 - t3066 * t6233 / 0.4e1 - t654 * t31967 / 0.4e1 - 0.5e1 / 0.36e2 * t3138 * t31970 + t21393 * t481 / 0.4e1 + 0.3e1 / 0.4e1 * t6209 * t623 - 0.3e1 / 0.4e1 * t759 * t1608 - t31979 / 0.4e1;
  t31990 = t626 * t6410;
  t31993 = t3232 * t1526;
  t31999 = t661 * t1607 * t670;
  t32001 = t3145 * t6423;
  t32019 = t6296 * t596;
  t32025 = t648 * t6248 * t682;
  t32039 = t6303 * t20885;
  t32042 = t20822 * t463;
  t32043 = t32042 * t20844;
  t32046 = -t9995 * t27133 / 0.3e1 + 0.6e1 * t10002 * t27127 - 0.6e1 * t32019 * t1315 - 0.3e1 * t6369 * t796 - t32025 * t1320 + 0.56e2 / 0.3e1 * t6300 * t27200 + t6304 * t27278 / 0.6e1 - 0.2e2 * t6304 * t27195 - 0.1e2 / 0.3e1 * t1591 * t22255 + 0.18e2 * t6304 * t27243 - 0.28e2 * t6300 * t27246 - 0.72e2 * t32039 * t27236 + 0.8e1 / 0.3e1 * t32043 * t27153;
  t32049 = t6334 * t3077;
  t32054 = t69 * t1524;
  t32055 = t32054 * t3121;
  t32062 = t1584 * t3259;
  t32067 = t6303 * t27100;
  t32080 = 0.24e2 * t32043 * t27156 - 0.36e2 * t32049 * t5038 + 0.8e1 * t32039 * t27240 - 0.2e1 * t32055 * t5031 - 0.4e1 / 0.3e1 * t32043 * t27186 + 0.18e2 * t32055 * t5034 + 0.18e2 * t32062 * t5095 - 0.6e1 * t6335 * t5072 - 0.36e2 * t32067 * t27103 - t32055 * t5049 / 0.3e1 - t32043 * t27361 / 0.9e1 - 0.3e1 * t1585 * t3546 + 0.9e1 * t6309 * t27183 - 0.6e1 * t6329 * t5086;
  t32082 = t1590 * t21138;
  t32105 = t469 * t27418;
  t32108 = t1590 * t27404;
  t32111 = -0.12e2 * t32082 * t27211 + 0.6e1 * t1585 * t3564 + 0.22e2 / 0.3e1 * t1591 * t27176 + 0.6e1 * t6335 * t5075 + 0.2e1 * t1591 * t27344 - t470 * t22286 - 0.2e1 * t1587 * t27341 + 0.6e1 * t32049 * t5089 + 0.4e1 / 0.3e1 * t32039 * t27227 - t6335 * t5046 - t1591 * t27356 / 0.3e1 - 0.2e1 * t9995 * t27136 - 0.12e2 * t32105 * t27420 - 0.11e2 / 0.3e1 * t32108 * t27423;
  t32116 = t1584 * t5014;
  t32123 = t6334 * t5021;
  t32130 = t1590 * t27218;
  t32143 = 0.22e2 * t32108 * t27408 + 0.18e2 * t10094 * t27427 + 0.12e2 * t32116 * t5018 + 0.6e1 * t6344 * t22211 + 0.6e1 * t6344 * t27113 - 0.18e2 * t32123 * t5025 - 0.8e1 * t6341 * t27141 - 0.1e2 * t6341 * t27145 + 0.56e2 * t32130 * t27220 - 0.36e2 * t10002 * t27295 + 0.4e1 * t32067 * t27121 + 0.6e1 * t1587 * t27233 - 0.6e1 * t6329 * t5042 - 0.8e1 / 0.3e1 * t1591 * t27249;
  t32174 = 0.5e1 * t1591 * t27286 + 0.1e2 * t6304 * t27289 - t6304 * t27203 / 0.3e1 - 0.9e1 * t6309 * t27260 - 0.3e1 * t1587 * t22264 - 0.12e2 * t6300 * t27270 - 0.3e1 * t1587 * t27265 - 0.3e1 * t470 * t22259 - 0.11e2 * t1591 * t27160 - 0.9e1 * t6304 * t27172 + 0.9e1 * t6335 * t5098 + 0.6e1 * t32025 * t1324 + 0.18e2 * t6300 * t27283 + 0.4e1 * t1591 * t27164;
  t32177 = t469 * t21714;
  t32204 = -0.6e1 * t470 * t22304 - 0.24e2 * t32177 * t27207 + 0.72e2 * t32082 * t27230 - 0.28e2 / 0.3e1 * t32130 * t27103 + 0.1e2 / 0.3e1 * t32043 * t27390 + 0.5e2 / 0.3e1 * t32043 * t27393 + 0.18e2 * t32049 * t5062 - 0.9e1 * t32055 * t5065 - 0.36e2 * t32082 * t27396 + 0.36e2 * t32039 * t27378 - 0.12e2 * t32043 * t27381 - 0.2e1 / 0.3e1 * t32039 * t27330 - 0.3e1 * t1585 * t3602 + 0.24e2 * t32082 * t27373;
  t32215 = my_piecewise3(t49, t195, -0.22e3 / 0.81e2 * t617);
  t32216 = t193 * t32215;
  t32232 = t469 * t27411;
  t32239 = -0.4e2 * t32039 * t27387 - 0.9e1 * t32062 * t5129 + t470 * t22393 / 0.2e1 + 0.3e1 * t6329 * t5112 - t32216 * t208 * t234 / 0.2e1 + 0.3e1 * t32123 * t5023 + 0.5e1 / 0.3e1 * t6341 * t22215 + 0.4e1 / 0.3e1 * t6341 * t27292 + 0.2e1 / 0.3e1 * t32067 * t27109 + 0.6e1 * t10088 * t22205 + 0.18e2 * t9995 * t27127 - 0.18e2 * t32232 * t27413 + 0.12e2 * t32177 * t27370 + 0.3e1 * t470 * t22383;
  t32266 = -0.3e1 * t32025 * t1338 + t32216 * t227 * t230 + 0.2e1 * t32025 * t1328 + 0.2e1 * t6335 * t5106 + 0.2e1 / 0.3e1 * t1591 * t27322 + 0.3e1 * t32019 * t1334 - 0.12e2 * t32049 * t5120 + 0.3e1 / 0.2e1 * t6369 * t812 - 0.3e1 * t6335 * t5104 - t1591 * t27318 + t32055 * t5123 / 0.6e1 + 0.1e2 * t32055 * t5126 + t1587 * t27311 + 0.3e1 / 0.2e1 * t1585 * t3634;
  t32274 = t31387 * t1300;
  t32280 = t26189 * t3156 * t6432;
  t32285 = -t3664 * t477 / 0.4e1 + 0.3e1 / 0.4e1 * t20980 * t481 + 0.3e1 / 0.2e1 * t3226 * t1526 + 0.3e1 / 0.4e1 * t3101 * t1526 - 0.3e1 / 0.2e1 * t31990 * t685 - t31993 / 0.6e1 + 0.3e1 / 0.2e1 * t6217 * t691 + t3066 * t6424 + t654 * t31999 + 0.23e2 / 0.36e2 * t3138 * t32001 - 0.9e1 * t4772 * t6300 * t26653 + 0.3e1 / 0.2e1 * t4772 * t470 * t21180 - 0.9e1 / 0.2e1 * t31011 * t4841 + 0.9e1 / 0.2e1 * t4772 * t6304 * t26715 - t30 * t59 * (t32046 + t32080 + t32111 + t32143 + t32174 + t32204 + t32239 + t32266) * t95 / 0.4e1 - t32274 / 0.6e1 + 0.2e1 * t4983 * t1591 * t26203 + 0.9e1 * t26182 * t32280 + 0.9e1 / 0.2e1 * t26263 * t6434;
  t32294 = t3231 * t1515;
  t32295 = t32294 * t250;
  t32297 = t3198 * t1511;
  t32301 = t1506 * t3096;
  t32314 = t633 * t6467;
  t32315 = t32314 * t1295;
  t32317 = t188 * t6379;
  t32322 = t626 * t6216;
  t32325 = t3239 * t1511;
  t32327 = t3238 * t1515;
  t32328 = t32327 * t250;
  t32332 = 0.9e1 / 0.2e1 * t4983 * t6335 * t21947 + 0.5e1 / 0.2e1 * t4983 * t1591 * t27445 - t32295 / 0.6e1 - t32297 / 0.12e2 - t642 * t6212 / 0.4e1 - t32301 / 0.12e2 - t31246 * t1257 - 0.28e2 * t26616 * t19572 + 0.3e1 / 0.4e1 * t630 * t6257 + t246 * t247 * t32215 * t249 / 0.4e1 + 0.9e1 / 0.2e1 * t630 * t6387 + t32315 / 0.3e1 - t32317 / 0.4e1 + 0.3e1 * t3266 * t6169 * t26336 + 0.3e1 / 0.2e1 * t32322 * t250 - t32325 / 0.6e1 + t32328 / 0.2e1 - t3210 * t1511 / 0.4e1;
  t32347 = t637 * t6486;
  t32349 = t637 * t6460;
  t32351 = t3149 * t477;
  t32356 = t191 * t242 * t475 * t3164;
  t32364 = 0.5e1 / 0.54e2 * t3684 * t477;
  t32374 = t4784 * t6085;
  t32385 = -0.11e2 / 0.6e1 * t9743 * t26662 + 0.23e2 / 0.12e2 * t9743 * t26665 - t626 * t6250 * t223 / 0.4e1 - t191 * t194 * t32215 * t208 * t223 / 0.12e2 - t6251 * t645 / 0.4e1 + t32347 / 0.4e1 + t32349 / 0.2e1 - t3138 * t32351 / 0.2e1 + 0.3e1 / 0.2e1 * t32356 * t3170 + 0.3e1 * t26260 * t6167 + 0.3e1 * t26266 * t6167 - t32364 - 0.9e1 * t9877 * t6304 * t26574 - 0.14e2 * t4983 * t6300 * t26229 + 0.14e2 * t4772 * t6300 * t26233 + 0.9e1 * t4993 * t32374 * t4918 - 0.9e1 * t3266 * t32374 * t4903 - 0.14e2 / 0.3e1 * t9863 * t27468 + 0.28e2 / 0.3e1 * t9863 * t26218;
  t32399 = t773 * t1608;
  t32401 = t769 * t1608;
  t32403 = t3678 * t477;
  t32418 = t26847 * t13052;
  t32424 = t21406 * t465 * t223;
  t32427 = t3231 * t1533 * t223;
  t32429 = 0.3e1 * t9863 * t26221 - 0.6e1 * t9863 * t26225 - 0.11e2 / 0.6e1 * t9743 * t26851 + 0.23e2 / 0.12e2 * t9743 * t26822 + 0.11e2 / 0.3e1 * t9743 * t26848 - 0.23e2 / 0.6e1 * t9743 * t26819 - t32399 / 0.2e1 + t32401 / 0.6e1 + t32403 / 0.6e1 + t6439 * t26420 - t6454 * t27646 + 0.3e1 / 0.4e1 * t6439 * t26353 - 0.9e1 / 0.2e1 * t4772 * t6335 * t4780 - 0.5e1 / 0.2e1 * t4772 * t1591 * t26802 - 0.2e1 * t4772 * t1591 * t26207 - 0.14e2 * t26182 * t32418 - 0.3e1 / 0.2e1 * t9743 * t26096 + t32424 / 0.18e2 + t32427 / 0.18e2;
  t32434 = t4851 * t12833;
  t32452 = t6140 * t5190;
  t32454 = t25709 * t2691;
  t32467 = t6197 * t645;
  t32469 = t6200 * t645;
  t32471 = 0.3e1 * t608 * t6490 + 0.3e1 / 0.2e1 * t608 * t6492 + 0.7e1 * t20926 * t32434 + 0.3e1 / 0.2e1 * t246 * t31113 * t1274 - t642 * t6503 / 0.4e1 + 0.9e1 / 0.2e1 * t21524 * t6078 + 0.9e1 / 0.2e1 * t21529 * t6078 + 0.9e1 / 0.2e1 * t26257 * t6434 - 0.3e1 / 0.2e1 * t1516 * t3411 - t1529 * t3464 / 0.2e1 - t32452 / 0.6e1 + 0.47e2 / 0.3e1 * t25708 * t32454 - t1541 * t25749 / 0.6e1 - t6067 * t5170 / 0.2e1 - t1541 * t25752 / 0.2e1 - t1541 * t25755 / 0.2e1 - t31243 * t1257 / 0.2e1 - t32467 / 0.6e1 - t32469 / 0.6e1;
  t32477 = my_piecewise3(t2, 0, t31380 + t32471 + t32385 + t32332 + t32429 + t31935 + t31981 + t31845 + t32285 + t31720 + t31807 + t31680 + t31894 + t31637 + t31597 + t31767 + t31555 + t31512 + t31465 + t31424 + t31331 + t31294 + t31251 + t31200 + t31154 + t31102 + t31060 + t31006 + t30959 + t30910 + t30866 + t30815);
  tv4rho3lapl0 = t3 * t32477 + 0.3e1 * t6514;

  if(out->v4rho3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 0] += tv4rho3lapl0;

  t32484 = t22986 * t489 * t350;
  t32487 = t22982 * t489 * t350;
  t32491 = 0.5e1 / 0.162e3 * t22978 * t489 * t350;
  t32494 = t3720 * t501;
  t32496 = t3724 * t501;
  t32499 = 0.5e1 / 0.54e2 * t3728 * t501;
  t32502 = t22987 * t505;
  t32504 = t22983 * t505;
  t32507 = 0.5e1 / 0.54e2 * t22979 * t505;
  t32508 = -t23003 * t489 * t350 / 0.12e2 - t32484 / 0.12e2 + t32487 / 0.18e2 - t32491 - t3716 * t501 / 0.4e1 - t32494 / 0.4e1 + t32496 / 0.6e1 - t32499 + t23004 * t505 / 0.4e1 + t32502 / 0.4e1 - t32504 / 0.6e1 + t32507;
  t32509 = my_piecewise3(t100, 0, t32508);
  tv4rho3lapl1 = t3 * t32509 + 0.3e1 * t6539;

  if(out->v4rho3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 1] += tv4rho3lapl1;

  t32511 = 0.2e1 * t6626;
  t32530 = t30776 / 0.6e1 - t30779 / 0.36e2 - t30781 / 0.6e1 - t30785 / 0.18e2 + t30789 / 0.6e1 - t30794 / 0.6e1 + t30796 / 0.9e1 + t30806 / 0.12e2 - t30809 / 0.18e2 + t30811 / 0.6e1 + t30813 / 0.6e1 - t30817 / 0.36e2 - t30819 / 0.36e2 + t30821 / 0.12e2 + t30823 / 0.12e2 + t30825 / 0.12e2 + t6585 * t623 / 0.4e1;
  t32545 = t3761 * t1560 / 0.6e1;
  t32548 = t30829 / 0.27e2 - t30838 / 0.6e1 + t30845 / 0.2e1 - 0.11e2 / 0.54e2 * t30921 + 0.23e2 / 0.108e3 * t30923 + t30926 / 0.3e1 - 0.2e1 / 0.3e1 * t30927 + t30931 / 0.2e1 - t30933 / 0.2e1 - t30939 + t30944 - t30957 / 0.6e1 + t30963 / 0.27e2 + t30965 / 0.6e1 - t30967 / 0.18e2 - t32545 + t903 * t6399 / 0.2e1;
  t32553 = t3761 * t1556 / 0.3e1;
  t32568 = -0.3e1 * t903 * t6394 - t32553 + 0.2e1 / 0.9e1 * t30969 - t30971 - t30973 / 0.36e2 + t30975 / 0.9e1 + t30977 / 0.6e1 + t30979 / 0.2e1 - t30985 / 0.9e1 - t30987 / 0.27e2 - 0.2e1 / 0.27e2 * t30994 + 0.2e1 / 0.27e2 * t31000 + 0.2e1 / 0.9e1 * t31002 - 0.4e1 / 0.27e2 * t31004 - 0.2e1 / 0.9e1 * t31007 + t31026 / 0.36e2 - t31031 / 0.36e2;
  t32592 = t897 * t6099;
  t32598 = -0.5e1 / 0.108e3 * t31033 + t31036 / 0.9e1 - t31038 / 0.18e2 - t31040 / 0.18e2 - t31042 / 0.18e2 - t3776 * t1556 - t903 * t6094 - t903 * t6266 / 0.2e1 - t3754 * t1560 / 0.2e1 - t3776 * t1560 / 0.2e1 - t903 * t6274 / 0.2e1 - t903 * t6277 / 0.4e1 + t3754 * t1564 / 0.2e1 - 0.3e1 * t3740 * t6105 + 0.3e1 / 0.2e1 * t903 * t6096 - t32592 * t4869 / 0.2e1 + 0.7e1 / 0.3e1 * t32592 * t4852 - t3740 * t6500;
  t32609 = t3750 * t1567;
  t32612 = t897 * t6467;
  t32633 = -t3740 * t6183 / 0.2e1 + t3754 * t1551 + t3776 * t1551 + t903 * t6490 + t903 * t6492 / 0.2e1 - t3754 * t1556 + t32609 * t1295 / 0.3e1 + t32612 * t1295 / 0.3e1 + t6561 * t5149 / 0.3e1 + t6561 * t3499 / 0.6e1 + t6594 * t840 / 0.6e1 + t6580 * t840 / 0.6e1 + t1632 * t3534 / 0.6e1 + t1632 * t3530 / 0.12e2 - t1632 * t3386 / 0.12e2 + 0.3e1 / 0.2e1 * t22632 * t6078 - 0.3e1 / 0.2e1 * t32592 * t4841;
  t32645 = t897 * t6410;
  t32657 = -t31086 / 0.9e1 + 0.2e1 / 0.9e1 * t31088 + t31187 / 0.27e2 - t31189 / 0.9e1 - t31191 / 0.9e1 - t307 * t6116 / 0.4e1 - t890 * t1577 / 0.2e1 - t307 * t6113 / 0.2e1 + t31217 - t31220 - t32645 * t685 / 0.2e1 + t6585 * t691 / 0.2e1 - t3737 * t6402 / 0.6e1 + t3737 * t6424 / 0.3e1 - t31303 / 0.3e1 + t31314 / 0.36e2 + t31316 / 0.18e2;
  t32673 = t3852 * t477 / 0.6e1;
  t32675 = t894 * t1608 / 0.6e1;
  t32677 = t307 * t1587;
  t32680 = t31318 / 0.18e2 + t31320 / 0.18e2 - t31326 / 0.3e1 - t31327 / 0.3e1 - t31328 / 0.3e1 - t31329 / 0.6e1 - t31335 / 0.9e1 + t31337 / 0.3e1 + t31344 / 0.6e1 - t31388 / 0.9e1 - t31390 / 0.9e1 - t31392 / 0.18e2 - t31404 / 0.18e2 - t32673 - t32675 - t31416 / 0.9e1 + t32677 * t4765 / 0.3e1;
  t32681 = t307 * t470;
  t32691 = t894 * t1577 / 0.6e1;
  t32695 = t3757 * t1515;
  t32697 = t32695 * t250 / 0.6e1;
  t32701 = t3758 * t1511 / 0.18e2;
  t32702 = t22673 * t481;
  t32705 = t6599 * t645 / 0.18e2;
  t32714 = t32681 * t3276 / 0.6e1 + t28063 * t6167 - t22522 * t6170 - 0.3e1 / 0.2e1 * t28063 * t6172 + t22522 * t6176 - t31440 / 0.6e1 - t32691 + t31466 / 0.6e1 + t3747 * t1511 / 0.6e1 + t32697 - t6585 * t598 / 0.2e1 - t32701 - t32702 / 0.18e2 - t32705 + t3754 * t1526 / 0.2e1 + t3776 * t1526 / 0.2e1 + t903 * t6257 / 0.4e1 - t3751 * t1511 / 0.6e1;
  t32728 = t3757 * t1567;
  t32730 = t32728 * t1295 / 0.9e1;
  t32732 = t6599 * t840 / 0.18e2;
  t32733 = t3750 * t1540;
  t32736 = t897 * t6066;
  t32747 = -t3764 * t1511 / 0.12e2 - t31482 / 0.12e2 - t31484 / 0.6e1 + t31489 / 0.6e1 + 0.7e1 / 0.9e1 * t31491 + 0.2e1 / 0.9e1 * t31493 + 0.2e1 / 0.9e1 * t31495 + 0.2e1 / 0.9e1 * t31497 + t31499 / 0.9e1 + t32730 + t32732 - t32733 * t1300 / 0.6e1 - t32736 * t1300 / 0.6e1 - t6542 * t5190 / 0.6e1 - t6542 * t4893 / 0.12e2 - 0.5e1 / 0.36e2 * t32592 * t4890 - t6594 * t845 / 0.6e1;
  t32761 = t3750 * t1515;
  t32764 = t897 * t6216;
  t32775 = -t6580 * t845 / 0.6e1 - t1632 * t3391 / 0.6e1 + t31544 / 0.9e1 + t31560 / 0.18e2 - t22522 * t6164 / 0.2e1 - t22685 * t465 * t223 / 0.12e2 - t3737 * t6233 / 0.12e2 + t32761 * t250 / 0.2e1 + t32764 * t250 / 0.2e1 - t31585 / 0.3e1 - t31625 / 0.6e1 + t31638 / 0.3e1 + t31639 / 0.3e1 - t31658 / 0.3e1 + t31665 / 0.18e2 - t31669 / 0.6e1 - t31671 / 0.6e1;
  t32783 = t3757 * t1540;
  t32785 = t32783 * t1257 / 0.9e1;
  t32786 = t897 * t6086;
  t32806 = t31673 / 0.9e1 + t31676 / 0.18e2 + t31685 / 0.3e1 - t31689 / 0.6e1 + t31694 / 0.12e2 - t31698 / 0.18e2 - t32785 + t32786 * t5179 + t3776 * t1564 / 0.2e1 + t903 * t6486 / 0.4e1 + t903 * t6460 / 0.2e1 - t6542 * t5170 / 0.6e1 - 0.11e2 / 0.18e2 * t32592 * t5167 + 0.2e1 / 0.3e1 * t32733 * t1263 + 0.2e1 / 0.3e1 * t32736 * t1263 + 0.2e1 / 0.3e1 * t6542 * t4820 + t6542 * t3399 / 0.3e1;
  t32821 = t32783 * t1300 / 0.18e2;
  t32825 = t6599 * t845 / 0.18e2;
  t32834 = 0.23e2 / 0.36e2 * t32592 * t4811 - t22796 * t1548 + 0.3e1 / 0.2e1 * t903 * t6387 - t6585 * t827 / 0.4e1 + t6585 * t832 / 0.2e1 + t898 * t6121 / 0.12e2 - t898 * t6503 / 0.6e1 - t32821 + t32786 * t5157 / 0.2e1 - t32825 - t31735 / 0.12e2 - t31775 / 0.18e2 + t31779 / 0.6e1 - t31789 / 0.12e2 - t31799 / 0.6e1 + t31811 / 0.2e1 - t31813 / 0.2e1 - t31815 / 0.3e1;
  t32865 = t31816 / 0.3e1 + t31817 / 0.6e1 - t31819 / 0.3e1 + t22654 * t481 / 0.2e1 + t22657 * t481 / 0.4e1 + t31824 / 0.6e1 - t6594 * t645 / 0.6e1 - t897 * t6250 * t223 / 0.12e2 - t6580 * t645 / 0.6e1 - t1632 * t3096 / 0.12e2 + t22689 * t481 / 0.4e1 - t890 * t1608 / 0.2e1 - t307 * t6379 / 0.4e1 - t3840 * t477 / 0.4e1 + t31931 / 0.27e2 - t31937 / 0.18e2 - t31960 / 0.3e1;
  t32872 = t22680 * t481 / 0.6e1;
  t32879 = t307 * t1591;
  t32892 = t22931 * t481 / 0.6e1;
  t32893 = t31961 / 0.9e1 - t31979 / 0.12e2 - t31993 / 0.9e1 - t898 * t6212 / 0.6e1 + t32872 - t32274 / 0.18e2 - t32295 / 0.9e1 - t32297 / 0.36e2 - t32301 / 0.36e2 - t32677 * t4885 / 0.3e1 + 0.2e1 / 0.3e1 * t32879 * t5004 + 0.3e1 / 0.2e1 * t27950 * t6434 - t28099 * t6437 + t32879 * t5176 / 0.2e1 + t32879 * t4879 / 0.4e1 - t32879 * t4874 / 0.6e1 + t32892;
  t32896 = t3761 * t1526 / 0.6e1;
  t32899 = t22676 * t465 * t223 / 0.18e2;
  t32902 = t3757 * t1533 * t223 / 0.18e2;
  t32904 = t22669 * t465 * t223;
  t32921 = t3761 * t1564 / 0.6e1;
  t32922 = t897 * t6495;
  t32928 = t22806 * t1548 / 0.3e1;
  t32929 = t32896 - t32899 - t32902 + t32904 / 0.54e2 - t3750 * t1533 * t223 / 0.6e1 + t32315 / 0.9e1 - t32317 / 0.12e2 - t32325 / 0.18e2 + t32328 / 0.6e1 - t22773 * t1548 - t32733 * t1257 / 0.3e1 - t32736 * t1257 / 0.3e1 - t6542 * t5195 / 0.3e1 + t32921 - t32922 * t4939 / 0.2e1 - t1632 * t3464 / 0.6e1 - t32928;
  t32933 = t3761 * t1551 / 0.3e1;
  t32935 = 0.2e1 / 0.9e1 * t32783 * t1263;
  t32943 = t3848 * t477;
  t32953 = 0.3e1 * t3740 * t6135 + t32933 + t32935 - 0.2e1 * t32786 * t5185 + t32347 / 0.12e2 + t32349 / 0.6e1 - t32879 * t4997 / 0.3e1 - t32879 * t5001 + t32943 / 0.18e2 - t32364 - t32399 / 0.6e1 + t32401 / 0.9e1 + t32403 / 0.9e1 + t32424 / 0.27e2 + t32427 / 0.27e2 - t32452 / 0.18e2 - t32467 / 0.18e2 - t32469 / 0.18e2;
  t32958 = my_piecewise3(t2, 0, t32530 + t32548 + t32568 + t32598 + t32633 + t32657 + t32680 + t32714 + t32747 + t32775 + t32806 + t32834 + t32865 + t32893 + t32929 + t32953);
  tv4rho3lapl2 = t3 * t32958 + t32511 + t6514;

  if(out->v4rho3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 2] += tv4rho3lapl2;

  t32960 = 0.2e1 * t6736;
  t32962 = t23266 * t505 / 0.6e1;
  t32964 = t3914 * t1657 / 0.6e1;
  t32966 = t23270 * t505 / 0.6e1;
  t32967 = t3902 * t1642;
  t32969 = t23306 * t505;
  t32971 = t3917 * t1657;
  t32973 = t23445 * t505;
  t32976 = t23305 * t489 * t350;
  t32978 = t6523 * t994;
  t32981 = t3901 * t1664 * t350;
  t32984 = t3898 * t1642 / 0.18e2;
  t32985 = t3897 * t1646;
  t32987 = t32985 * t377 / 0.6e1;
  t32995 = t3893 * t1646;
  t32998 = t3901 * t1646;
  t32999 = t32998 * t377;
  t33004 = t32962 + t32964 + t32966 + t32967 / 0.54e2 - t32969 / 0.18e2 - t32971 / 0.18e2 - t32973 / 0.18e2 + t32976 / 0.54e2 + t32978 / 0.54e2 + t32981 / 0.54e2 - t32984 + t32987 - t3893 * t1664 * t350 / 0.12e2 - t6517 * t994 / 0.12e2 + t3911 * t1657 / 0.4e1 + t32995 * t377 / 0.4e1 - t32999 / 0.18e2 - t23425 * t489 * t350 / 0.12e2;
  t33013 = t3897 * t1664 * t350 / 0.18e2;
  t33014 = t3897 * t1682;
  t33016 = t33014 * t1426 / 0.9e1;
  t33018 = t23325 * t1675 / 0.3e1;
  t33020 = t3914 * t1679 / 0.3e1;
  t33022 = t3914 * t1690 / 0.3e1;
  t33024 = 0.2e1 / 0.9e1 * t33014 * t1432;
  t33026 = t3914 * t1694 / 0.6e1;
  t33027 = t3897 * t1701;
  t33029 = t33027 * t1452 / 0.9e1;
  t33031 = t869 * t1737 / 0.6e1;
  t33033 = t3901 * t1682;
  t33034 = t33033 * t1432;
  t33036 = t3917 * t1694;
  t33038 = t3901 * t1701;
  t33039 = t33038 * t1452;
  t33041 = t3917 * t1698;
  t33043 = t33033 * t1457;
  t33045 = t23300 * t505 / 0.4e1 + t23429 * t505 / 0.4e1 - t3894 * t1642 / 0.12e2 - t33013 - t33016 - t33018 + t33020 - t33022 + t33024 - t33026 + t33029 - t33031 - t32504 / 0.9e1 + t32507 - 0.2e1 / 0.27e2 * t33034 + t33036 / 0.18e2 - t33039 / 0.27e2 - t33041 / 0.18e2 + t33043 / 0.54e2;
  t33047 = t6523 * t1098;
  t33049 = t6523 * t1103;
  t33052 = t869 * t1670 / 0.6e1;
  t33056 = t6520 * t994 / 0.18e2;
  t33059 = t23269 * t489 * t350 / 0.18e2;
  t33060 = t3893 * t1682;
  t33077 = t3893 * t1701;
  t33084 = t3888 * t501;
  t33086 = t873 * t1737;
  t33088 = -t33047 / 0.54e2 + t33049 / 0.54e2 - t33052 - t865 * t1670 / 0.4e1 - t33056 - t33059 - t33060 * t1426 / 0.6e1 - t23288 * t1675 / 0.2e1 + t3911 * t1679 / 0.2e1 + t33060 * t1432 / 0.3e1 - t3911 * t1690 / 0.2e1 + t3911 * t1698 / 0.4e1 - t3911 * t1694 / 0.4e1 + t6517 * t1098 / 0.12e2 + t33077 * t1452 / 0.6e1 - t33060 * t1457 / 0.12e2 - t6517 * t1103 / 0.12e2 + t33084 / 0.18e2 + t33086 / 0.18e2;
  t33089 = t873 * t1670;
  t33095 = t3914 * t1698 / 0.6e1;
  t33097 = t6520 * t1098 / 0.18e2;
  t33099 = t33014 * t1457 / 0.18e2;
  t33101 = t6520 * t1103 / 0.18e2;
  t33105 = t3884 * t501 / 0.6e1;
  t33106 = t23420 * t1675;
  t33108 = t33033 * t1426;
  t33110 = t3917 * t1679;
  t33112 = t3917 * t1690;
  t33118 = t33089 / 0.18e2 + t32502 / 0.12e2 - t32484 / 0.36e2 + t32487 / 0.27e2 - t32491 + t33095 + t33097 - t33099 - t33101 - t865 * t1737 / 0.4e1 - t33105 + t33106 / 0.9e1 + t33108 / 0.27e2 - t33110 / 0.9e1 + t33112 / 0.9e1 + t32496 / 0.9e1 - t32499 - t32494 / 0.12e2 - t3880 * t501 / 0.4e1;
  t33121 = my_piecewise3(t100, 0, t33004 + t33045 + t33088 + t33118);
  tv4rho3lapl3 = t3 * t33121 + t32960 + t6539;

  if(out->v4rho3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 3] += tv4rho3lapl3;

  t33137 = t30829 / 0.54e2 + t30963 / 0.54e2 - t32545 - t32553 + t30969 / 0.9e1 + t30975 / 0.18e2 - t30985 / 0.18e2 - t30987 / 0.54e2 - t30994 / 0.27e2 + t31000 / 0.27e2 + t31002 / 0.9e1 - 0.2e1 / 0.27e2 * t31004 - t31007 / 0.9e1 + t31187 / 0.54e2 - t31189 / 0.18e2 - t31191 / 0.18e2 + t31217 - t31220;
  t33139 = t23185 * t465 * t223;
  t33152 = t3952 * t1540;
  t33155 = t3952 * t1567;
  t33160 = t3949 * t477;
  t33162 = -t32673 - t32675 - t32691 - t33139 / 0.36e2 + t23181 * t481 / 0.4e1 + t23174 * t481 / 0.4e1 + t3958 * t1526 / 0.4e1 - t3953 * t1511 / 0.12e2 + t32697 - t32701 - t32702 / 0.9e1 - t32705 + t32730 + t32732 - t6739 * t845 / 0.12e2 - t33152 * t1300 / 0.12e2 + t33155 * t1295 / 0.6e1 + t6739 * t840 / 0.12e2 - t33160 / 0.12e2;
  t33188 = -t3945 * t477 / 0.4e1 - t972 * t1608 / 0.4e1 - t32785 - t32821 - t32825 - t23213 * t1548 / 0.2e1 + t3958 * t1551 / 0.2e1 - t33152 * t1257 / 0.6e1 + t33152 * t1263 / 0.3e1 - t3958 * t1556 / 0.2e1 - t3958 * t1560 / 0.4e1 + t3958 * t1564 / 0.4e1 + t31931 / 0.54e2 + t31961 / 0.18e2 - t31993 / 0.18e2 + t32872 - t972 * t1577 / 0.4e1 - t32295 / 0.18e2 + t32892;
  t33195 = t3952 * t1515;
  t33206 = t23197 * t481;
  t33208 = t32896 - t32899 - t32902 + t32904 / 0.27e2 + t32921 - t32928 + t32933 + t32935 + t32943 / 0.9e1 - t32364 + t32401 / 0.18e2 + t32403 / 0.18e2 + t32424 / 0.54e2 + t32427 / 0.54e2 + t33195 * t250 / 0.4e1 - t23177 * t465 * t223 / 0.12e2 - t3952 * t1533 * t223 / 0.12e2 - t6739 * t645 / 0.12e2 + t33206 / 0.12e2;
  t33211 = my_piecewise3(t2, 0, t33137 + t33162 + t33188 + t33208);
  tv4rho3lapl4 = t3 * t33211 + t32511 + t6750;

  if(out->v4rho3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 4] += tv4rho3lapl4;

  t33221 = t933 * t6787;
  t33240 = t933 * t6854;
  t33249 = -t945 * t6978 / 0.4e1 + t1615 * t4457 / 0.12e2 + t6691 * t1098 / 0.6e1 + t1615 * t4538 / 0.6e1 + t33221 * t6028 / 0.2e1 + t6688 * t1098 / 0.6e1 + t6657 * t4429 / 0.6e1 - t1615 * t4437 / 0.12e2 + t6657 * t5787 / 0.3e1 - t1615 * t4442 / 0.6e1 - t6688 * t1103 / 0.6e1 - t6691 * t1103 / 0.6e1 - t6640 * t5759 / 0.12e2 - 0.5e1 / 0.36e2 * t33240 * t5756 - t6640 * t5762 / 0.6e1 + t934 * t6757 / 0.12e2 + t4025 * t1657 / 0.2e1;
  t33267 = t3998 * t1642;
  t33269 = t6715 * t1048;
  t33276 = -t6691 * t994 / 0.6e1 - t933 * t7042 * t350 / 0.12e2 - t6688 * t994 / 0.6e1 - t4021 * t1664 * t350 / 0.6e1 - t23818 * t489 * t350 / 0.12e2 + t945 * t7054 / 0.4e1 - t1615 * t4171 / 0.12e2 + t33267 / 0.18e2 - t33269 / 0.6e1 + t32962 + t32964 + t32966 + t32967 / 0.27e2 - t32969 / 0.9e1 - t32971 / 0.9e1 - t32973 / 0.9e1 + t32976 / 0.27e2;
  t33287 = t6715 * t1040;
  t33299 = t933 * t6807;
  t33304 = t32978 / 0.27e2 + t32981 / 0.27e2 - t32984 + t32987 - t32999 / 0.9e1 - t33013 - t934 * t7018 / 0.6e1 - t4014 * t1642 / 0.12e2 - t4009 * t7021 / 0.12e2 + t33287 / 0.6e1 + t23834 * t505 / 0.2e1 + t23880 * t505 / 0.4e1 + t6700 * t1062 / 0.4e1 + t4028 * t1657 / 0.2e1 + t23815 * t505 / 0.4e1 - t33299 * t1457 / 0.6e1 - t6700 * t1085 / 0.4e1;
  t33311 = t4021 * t1682;
  t33320 = t6647 * t6052;
  t33322 = t6647 * t4535;
  t33339 = -0.3e1 * t3971 * t6922 - t4028 * t1694 / 0.2e1 - t945 * t6975 / 0.2e1 - t33311 * t1457 / 0.6e1 + 0.3e1 / 0.2e1 * t24004 * t6919 - t33240 * t5566 / 0.2e1 + 0.3e1 / 0.2e1 * t945 * t7005 + 0.2e1 / 0.9e1 * t33320 + t33322 / 0.9e1 - t33299 * t1426 / 0.3e1 + 0.7e1 / 0.3e1 * t28497 * t6915 - t33311 * t1426 / 0.3e1 + t945 * t6910 + t945 * t6912 / 0.2e1 + t4028 * t1679 - 0.3e1 / 0.2e1 * t28497 * t6781 + t4025 * t1679 + 0.23e2 / 0.36e2 * t33240 * t5744;
  t33350 = t938 * t6757;
  t33352 = t6715 * t1085;
  t33354 = t1618 * t4538;
  t33356 = t6718 * t1098;
  t33358 = t4005 * t6922;
  t33359 = t948 * t7005;
  t33361 = -t3971 * t6777 / 0.2e1 + 0.2e1 / 0.3e1 * t6640 * t6052 + t6640 * t4535 / 0.3e1 + 0.2e1 / 0.3e1 * t33299 * t1432 - t33016 - t33018 + t33020 - t33022 + t33024 - t33026 + t33029 + t33350 / 0.36e2 - t33352 / 0.12e2 + t33354 / 0.18e2 + t33356 / 0.18e2 - t33358 + t33359 / 0.2e1;
  t33362 = t948 * t6975;
  t33364 = t948 * t6978;
  t33366 = t3993 * t1694;
  t33368 = t937 * t6854;
  t33369 = t33368 * t5756;
  t33371 = t6703 * t1103;
  t33373 = t948 * t6873;
  t33375 = t3993 * t1690;
  t33377 = t948 * t6871;
  t33383 = t933 * t6927;
  t33386 = t1618 * t4442;
  t33388 = t1618 * t4437;
  t33390 = t6718 * t1103;
  t33397 = -t33362 / 0.6e1 - t33364 / 0.12e2 - t33366 / 0.6e1 - 0.5e1 / 0.108e3 * t33369 - t33371 / 0.18e2 - t33373 / 0.6e1 - t33375 / 0.3e1 - t33377 / 0.3e1 - t1615 * t4357 / 0.6e1 + t945 * t6940 / 0.2e1 - t33383 * t5715 / 0.2e1 - t33386 / 0.18e2 - t33388 / 0.36e2 - t33390 / 0.18e2 - t934 * t6812 / 0.6e1 + t6700 * t1090 / 0.2e1 - t23870 * t1675;
  t33401 = t6668 * t5787;
  t33403 = t948 * t6994;
  t33404 = t937 * t6787;
  t33405 = t33404 * t5632;
  t33407 = t4005 * t7000;
  t33408 = t937 * t6807;
  t33409 = t33408 * t1432;
  t33411 = t33368 * t6022;
  t33413 = t3986 * t1682;
  t33414 = t33413 * t1432;
  t33416 = t6647 * t5621;
  t33418 = t3990 * t1694;
  t33420 = t6647 * t5618;
  t33422 = t33408 * t1457;
  t33424 = t1618 * t4457;
  t33426 = t33413 * t1457;
  t33428 = t6647 * t5759;
  t33430 = t948 * t6905;
  t33432 = -t23883 * t1675 - t3971 * t6802 + t33401 / 0.9e1 - t33403 + t33405 / 0.3e1 + t33407 + 0.2e1 / 0.9e1 * t33409 - 0.11e2 / 0.54e2 * t33411 + 0.2e1 / 0.9e1 * t33414 - t33416 / 0.18e2 - t33418 / 0.6e1 - t33420 / 0.9e1 - t33422 / 0.18e2 + t33424 / 0.36e2 - t33426 / 0.18e2 - t33428 / 0.36e2 + t33430 / 0.2e1;
  t33433 = t33404 * t5707;
  t33435 = t1618 * t4171;
  t33437 = t948 * t7054;
  t33440 = t23779 * t489 * t350;
  t33443 = t3986 * t1664 * t350;
  t33445 = t6703 * t994;
  t33448 = t937 * t7042 * t350;
  t33450 = t6718 * t994;
  t33452 = t3990 * t1657;
  t33454 = t23786 * t505;
  t33456 = t3993 * t1657;
  t33458 = t6715 * t1062;
  t33460 = t23783 * t505;
  t33462 = t23797 * t505;
  t33464 = t3974 * t7021;
  t33466 = t3981 * t1642;
  t33472 = -0.2e1 / 0.3e1 * t33433 - t33435 / 0.36e2 + t33437 / 0.12e2 - t33440 / 0.36e2 - t33443 / 0.18e2 - t33445 / 0.18e2 - t33448 / 0.36e2 - t33450 / 0.18e2 + t33452 / 0.6e1 + t33454 / 0.12e2 + t33456 / 0.6e1 + t33458 / 0.12e2 + t33460 / 0.12e2 + t33462 / 0.6e1 - t33464 / 0.36e2 - t33466 / 0.36e2 + t4037 * t1642 / 0.6e1 - t6700 * t1048 / 0.2e1;
  t33478 = t290 * t1716;
  t33483 = t290 * t1720;
  t33486 = t290 * t494;
  t33491 = t28548 * t6839;
  t33493 = t294 * t7157;
  t33495 = t294 * t1720;
  t33496 = t33495 * t5697;
  t33498 = t24028 * t6828;
  t33500 = t28548 * t6824;
  t33503 = t33495 * t5676;
  t33507 = -t23548 * t6761 / 0.2e1 - t33478 * t6015 / 0.3e1 + t33478 * t6006 / 0.3e1 + t33483 * t6009 / 0.4e1 + t33486 * t4690 / 0.6e1 - t33483 * t6001 / 0.6e1 + t33491 / 0.3e1 - t33493 / 0.12e2 - t33031 + 0.2e1 / 0.9e1 * t33496 + t33498 / 0.3e1 - t33500 / 0.2e1 - t32504 / 0.18e2 + t32507 + t33503 / 0.6e1 - 0.4e1 / 0.27e2 * t33034 + t33036 / 0.9e1;
  t33513 = t28763 * t6834;
  t33515 = t28899 * t6837;
  t33517 = t24028 * t6761;
  t33519 = t33495 * t6009;
  t33521 = t294 * t1716;
  t33522 = t33521 * t6015;
  t33524 = t33521 * t6006;
  t33526 = t294 * t494;
  t33527 = t33526 * t4690;
  t33529 = t33495 * t6001;
  t33531 = t23651 * t6919;
  t33533 = t6703 * t1098;
  t33535 = t6668 * t4429;
  t33537 = t33404 * t6028;
  t33539 = -0.2e1 / 0.27e2 * t33039 - t33041 / 0.9e1 + t33043 / 0.27e2 - t33047 / 0.27e2 + t33049 / 0.27e2 + t33513 / 0.2e1 - t33515 / 0.3e1 - t33517 / 0.6e1 + t33519 / 0.12e2 - t33522 / 0.9e1 + t33524 / 0.9e1 + t33527 / 0.18e2 - t33529 / 0.18e2 + t33531 / 0.2e1 + t33533 / 0.18e2 + t33535 / 0.18e2 + t33537 / 0.6e1;
  t33541 = t3990 * t1690;
  t33543 = t3986 * t1701;
  t33544 = t33543 * t1452;
  t33546 = t937 * t6899;
  t33547 = t33546 * t1452;
  t33549 = t948 * t6893;
  t33551 = t3993 * t1698;
  t33553 = t948 * t7065;
  t33555 = t3990 * t1698;
  t33557 = t33368 * t5566;
  t33559 = t24028 * t6842;
  t33561 = t33495 * t5693;
  t33563 = t33495 * t5682;
  t33565 = t3986 * t1646;
  t33566 = t33565 * t377;
  t33568 = t3974 * t6946;
  t33570 = t3987 * t1642;
  t33572 = -t33541 / 0.3e1 + t33544 / 0.9e1 + t33547 / 0.9e1 + t33549 / 0.6e1 + t33551 / 0.6e1 + t33553 / 0.12e2 + t33555 / 0.6e1 - t33557 / 0.6e1 - t33052 - t33056 - t33059 - t33559 / 0.3e1 - t33561 / 0.3e1 - t33563 / 0.9e1 + t33566 / 0.6e1 - t33568 / 0.18e2 - t33570 / 0.18e2;
  t33573 = t937 * t6954;
  t33574 = t33573 * t1035;
  t33576 = t3974 * t6950;
  t33578 = t937 * t6959;
  t33579 = t33578 * t377;
  t33581 = t938 * t7018;
  t33583 = t933 * t6954;
  t33590 = t4021 * t1646;
  t33597 = t933 * t6959;
  t33600 = t23895 * t1675;
  t33602 = t938 * t6812;
  t33604 = t33408 * t1426;
  t33606 = t33413 * t1426;
  t33608 = t28589 * t6915;
  t33610 = t948 * t6912;
  t33612 = t948 * t6910;
  t33614 = -t33574 / 0.6e1 + t33576 / 0.9e1 + t33579 / 0.6e1 - t33581 / 0.18e2 - t33583 * t1035 / 0.2e1 + t6700 * t1040 / 0.2e1 + t4009 * t6950 / 0.3e1 + t33590 * t377 / 0.2e1 - t4009 * t6946 / 0.6e1 - t4022 * t1642 / 0.6e1 + t33597 * t377 / 0.2e1 - t33600 / 0.3e1 - t33602 / 0.18e2 - t33604 / 0.9e1 - t33606 / 0.9e1 + 0.7e1 / 0.9e1 * t33608 + t33610 / 0.6e1 + t33612 / 0.3e1;
  t33617 = t3993 * t1679;
  t33619 = t3990 * t1679;
  t33621 = t28589 * t6781;
  t33623 = t4005 * t6777;
  t33625 = t33368 * t5744;
  t33632 = t6647 * t5762;
  t33646 = t33617 / 0.3e1 + t33619 / 0.3e1 - t33621 / 0.2e1 - t33623 / 0.6e1 + 0.23e2 / 0.108e3 * t33625 + t33084 / 0.9e1 + t33086 / 0.9e1 + t33089 / 0.9e1 + 0.2e1 / 0.3e1 * t33311 * t1432 - t33632 / 0.18e2 - t6640 * t5621 / 0.6e1 - 0.11e2 / 0.18e2 * t33240 * t6022 - t4025 * t1694 / 0.2e1 - t6640 * t5618 / 0.3e1 - t945 * t6873 / 0.2e1 - t945 * t6871 - t4025 * t1690;
  t33648 = t933 * t6899;
  t33651 = t4021 * t1701;
  t33678 = -t4028 * t1690 + t33648 * t1452 / 0.3e1 + t33651 * t1452 / 0.3e1 + t945 * t7065 / 0.4e1 + t945 * t6893 / 0.2e1 + t4028 * t1698 / 0.2e1 + t4025 * t1698 / 0.2e1 + 0.3e1 * t3971 * t7000 + t33221 * t5632 - 0.3e1 * t945 * t6994 - 0.2e1 * t33221 * t5707 + 0.3e1 / 0.2e1 * t945 * t6905 + t32487 / 0.54e2 - t32491 - t290 * t7157 / 0.4e1 - t4091 * t501 / 0.4e1 - t925 * t1737 / 0.2e1;
  t33680 = t929 * t1737;
  t33682 = t4101 * t501;
  t33688 = t1618 * t4357;
  t33690 = t937 * t6927;
  t33691 = t33690 * t5715;
  t33693 = t948 * t6940;
  t33695 = t4005 * t6802;
  t33697 = t23776 * t1675;
  t33699 = t6715 * t1090;
  t33705 = -t33680 / 0.6e1 - t33682 / 0.12e2 + t33095 + t33097 - t33099 - t33101 + t28461 * t6839 - t23548 * t6842 - t33483 * t5682 / 0.3e1 - t33688 / 0.18e2 - t33691 / 0.6e1 + t33693 / 0.6e1 - t33695 / 0.3e1 - t33697 / 0.3e1 + t33699 / 0.6e1 + 0.2e1 / 0.3e1 * t33483 * t5697 - 0.3e1 / 0.2e1 * t28461 * t6824;
  t33714 = t294 * t6880;
  t33716 = t294 * t6884;
  t33718 = t929 * t1670;
  t33730 = t23548 * t6828 - t33105 - t290 * t6884 / 0.2e1 + 0.2e1 / 0.9e1 * t33106 + 0.2e1 / 0.27e2 * t33108 - 0.2e1 / 0.9e1 * t33110 + 0.2e1 / 0.9e1 * t33112 + t32496 / 0.18e2 - t32499 - t33714 / 0.12e2 - t33716 / 0.6e1 - t33718 / 0.6e1 - t925 * t1670 / 0.2e1 - t290 * t6880 / 0.4e1 + t33483 * t5676 / 0.2e1 + 0.3e1 / 0.2e1 * t28713 * t6834 - t28445 * t6837 - t33483 * t5693;
  t33735 = my_piecewise3(t100, 0, t33249 + t33276 + t33304 + t33339 + t33361 + t33397 + t33432 + t33472 + t33507 + t33539 + t33572 + t33614 + t33646 + t33678 + t33705 + t33730);
  tv4rho3lapl5 = t3 * t33735 + t32960 + t7174;

  if(out->v4rho3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 5] += tv4rho3lapl5;

  t33751 = -t23502 * t465 * t223 / 0.12e2 - t33139 / 0.12e2 + t32904 / 0.18e2 - t31220 - t4128 * t477 / 0.4e1 - t33160 / 0.4e1 + t32943 / 0.6e1 - t32364 + t23508 * t481 / 0.4e1 + t33206 / 0.4e1 - t32702 / 0.6e1 + t31217;
  t33752 = my_piecewise3(t2, 0, t33751);
  tv4rho3lapl6 = t3 * t33752 + 0.3e1 * t6750;

  if(out->v4rho3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 6] += tv4rho3lapl6;

  t33778 = t33267 / 0.6e1 - t33269 / 0.2e1 + t32967 / 0.18e2 - t32969 / 0.6e1 - t32971 / 0.6e1 - t32973 / 0.6e1 + t32976 / 0.18e2 + t32978 / 0.18e2 + t32981 / 0.18e2 - t32999 / 0.6e1 + t33287 / 0.2e1 + 0.2e1 / 0.3e1 * t33320 + t33322 / 0.3e1 + 0.3e1 / 0.4e1 * t4183 * t1698 + 0.3e1 / 0.2e1 * t4274 * t1698 + 0.3e1 / 0.4e1 * t1070 * t7065 + 0.3e1 / 0.2e1 * t1070 * t6893 + 0.3e1 / 0.4e1 * t4176 * t1698;
  t33787 = t374 * t7041;
  t33798 = t4179 * t1682;
  t33821 = -0.3e1 / 0.4e1 * t4176 * t1694 - 0.3e1 / 0.2e1 * t1058 * t6975 - 0.3e1 / 0.4e1 * t1058 * t6978 - 0.3e1 / 0.2e1 * t1070 * t6975 - 0.3e1 / 0.4e1 * t373 * t33787 * t1084 - 0.3e1 / 0.4e1 * t373 * t6974 * t4407 - 0.3e1 / 0.4e1 * t1070 * t6978 + t490 * t24339 / 0.12e2 - t33798 * t1457 / 0.4e1 - 0.3e1 / 0.2e1 * t4274 * t1694 + t490 * t24325 / 0.4e1 + t490 * t24790 / 0.4e1 + t7043 * t1098 / 0.4e1 + t1665 * t4538 / 0.2e1 + t1665 * t4457 / 0.4e1 + t7057 * t1098 / 0.4e1 + t7048 * t1098 / 0.2e1 + t1660 * t4538 / 0.2e1 + t1660 * t4457 / 0.4e1;
  t33829 = t1065 * t6787;
  t33848 = t6896 * t4429 / 0.2e1 + t6900 * t4429 / 0.2e1 + t1702 * t24376 / 0.6e1 + 0.3e1 / 0.2e1 * t33829 * t6028 - t490 * t24382 / 0.12e2 + t6896 * t5787 + t6900 * t5787 + t1702 * t30678 / 0.2e1 + t33350 / 0.12e2 - t33352 / 0.4e1 + t33354 / 0.6e1 + t33356 / 0.6e1 - 0.3e1 * t33358 + 0.3e1 / 0.2e1 * t33359 - t33362 / 0.2e1 - t33364 / 0.4e1 - t33366 / 0.2e1 - 0.5e1 / 0.36e2 * t33369;
  t33869 = t1065 * t6854;
  t33872 = t487 * t24537;
  t33874 = t321 * t20823 * t33872;
  t33885 = -t33371 / 0.6e1 - t33373 / 0.2e1 - t33375 - t33377 + t1702 * t24372 / 0.2e1 - t490 * t24798 / 0.4e1 - t490 * t24801 / 0.4e1 - t1660 * t4442 / 0.2e1 - t1660 * t4437 / 0.4e1 - t7043 * t1103 / 0.4e1 - t1665 * t4442 / 0.2e1 - t1665 * t4437 / 0.4e1 - t1683 * t28991 / 0.12e2 - 0.5e1 / 0.12e2 * t33869 * t5756 - 0.35e2 / 0.108e3 * t33874 * t29002 - t7057 * t1103 / 0.4e1 - t7048 * t1103 / 0.2e1 - t1683 * t29020 / 0.4e1 - t1683 * t29023 / 0.4e1;
  t33892 = t1065 * t6807;
  t33895 = t7040 * t999;
  t33897 = t321 * t649 * t33895;
  t33904 = t1655 * t4140;
  t33906 = t321 * t3135 * t33904;
  t33917 = t1735 * t146;
  t33919 = t1094 * t33917 * t1096;
  t33923 = t1094 * t6755 * t4455;
  t33930 = t4553 * t6756;
  t33937 = -0.5e1 / 0.12e2 * t6855 * t28988 - t6804 * t5759 / 0.4e1 - t33892 * t1457 / 0.2e1 - t33897 * t1457 / 0.4e1 - t6808 * t5762 / 0.2e1 - t6808 * t5759 / 0.4e1 - 0.5e1 / 0.12e2 * t33906 * t5756 - t6804 * t5762 / 0.2e1 + t1053 * t6812 / 0.2e1 + t1066 * t6757 / 0.4e1 + t991 * t6757 / 0.6e1 + t338 * t33919 / 0.4e1 + t338 * t33923 / 0.12e2 + 0.23e2 / 0.12e2 * t6855 * t30552 - 0.3e1 / 0.2e1 * t1647 * t4325 + t1002 * t33930 / 0.2e1 - 0.11e2 / 0.6e1 * t33906 * t6022 + 0.3e1 / 0.2e1 * t6955 * t4308;
  t33940 = t25460 * t33872;
  t33976 = t321 * t649 * t6853;
  t33981 = -0.2e1 * t33874 * t29546 - 0.6e1 * t25474 * t33940 * t30578 + 0.18e2 * t4718 * t33940 * t29364 - 0.18e2 * t1029 * t33940 * t30129 + 0.6e1 * t373 * t33940 * t29549 + 0.7e1 * t6855 * t29106 - 0.11e2 / 0.6e1 * t33869 * t6022 + 0.23e2 / 0.12e2 * t33869 * t5744 - 0.61e2 / 0.27e2 * t33874 * t30555 + 0.44e2 / 0.27e2 * t33874 * t30558 + 0.23e2 / 0.12e2 * t33906 * t5744 - 0.11e2 / 0.6e1 * t6855 * t30549 + 0.7e1 * t33906 * t29123 + 0.89e2 / 0.9e1 * t33874 * t29120 + 0.7e1 * t33869 * t29123 - 0.9e1 / 0.2e1 * t33869 * t29308 - 0.6e1 * t33976 * t30310 - t33386 / 0.6e1 - t33388 / 0.12e2;
  t33999 = t1423 * t6811;
  t34002 = -t33390 / 0.6e1 + t33401 / 0.3e1 - 0.3e1 * t33403 + t33405 + 0.3e1 * t33407 + 0.2e1 / 0.3e1 * t33409 - 0.11e2 / 0.18e2 * t33411 + 0.2e1 / 0.3e1 * t33414 - t33416 / 0.6e1 - t33418 / 0.2e1 - t33420 / 0.3e1 - t33422 / 0.6e1 + t33424 / 0.12e2 - t33426 / 0.6e1 - t33428 / 0.12e2 + 0.3e1 / 0.2e1 * t33430 - 0.2e1 * t33433 - t1002 * t33999 / 0.2e1;
  t34004 = t1430 * t1645 * t1088;
  t34019 = t5650 * t6786;
  t34028 = t29118 * t6780;
  t34043 = t4719 * t33904;
  t34051 = t1002 * t34004 - 0.3e1 / 0.2e1 * t6955 * t4312 + 0.3e1 / 0.2e1 * t1647 * t4315 - 0.43e2 / 0.9e1 * t33874 * t29288 - 0.9e1 / 0.2e1 * t6855 * t29110 - 0.9e1 / 0.2e1 * t33906 * t29308 - 0.3e1 / 0.4e1 * t4695 * t6760 * t4407 + 0.9e1 * t5649 * t34019 * t5635 - 0.9e1 * t4695 * t34019 * t5728 - 0.9e1 / 0.2e1 * t10357 * t30348 - 0.62e2 / 0.3e1 * t29276 * t34028 - 0.3e1 / 0.2e1 * t33869 * t5566 - 0.3e1 / 0.2e1 * t33906 * t5566 - 0.3e1 / 0.2e1 * t6855 * t29330 - 0.38e2 / 0.9e1 * t33874 * t29114 + 0.9e1 / 0.2e1 * t25290 * t6919 + 0.9e1 / 0.2e1 * t25543 * t6919 + 0.9e1 / 0.2e1 * t4718 * t34043 * t5602 + 0.8e1 * t29276 * t28999 * t4716 * t2756;
  t34062 = t29113 * t2771;
  t34065 = t1655 * t4160;
  t34066 = t1030 * t34065;
  t34072 = t487 * t24087;
  t34074 = t321 * t3135 * t34072;
  t34077 = t24105 * t488;
  t34104 = 0.9e1 / 0.2e1 * t1070 * t7005 + 0.9e1 / 0.2e1 * t1058 * t7005 + 0.9e1 / 0.2e1 * t373 * t34043 * t5576 + 0.47e2 / 0.3e1 * t29276 * t34062 + 0.9e1 * t1029 * t34066 * t5635 + 0.3e1 * t6788 * t30544 + 0.22e2 / 0.3e1 * t34074 * t29134 - 0.3e1 / 0.4e1 * t4695 * t34077 * t1084 - 0.3e1 * t5665 * t1716 * t30056 + 0.3e1 * t4274 * t1679 + 0.3e1 * t1070 * t6910 + 0.3e1 / 0.2e1 * t1070 * t6912 + 0.3e1 / 0.2e1 * t4183 * t1679 - 0.3e1 / 0.2e1 * t4204 * t6777 - 0.3e1 / 0.2e1 * t4188 * t6777 - 0.3e1 / 0.2e1 * t1029 * t6801 * t4319 - t1029 * t1674 * t29385 / 0.2e1 + t1683 * t24317 / 0.3e1;
  t34133 = t1683 * t29947 + t1683 * t24312 + 0.2e1 * t6808 * t6052 + t6808 * t4535 + t33798 * t1432 + 0.2e1 * t33892 * t1432 + 0.2e1 * t6804 * t6052 - 0.3e1 / 0.4e1 * t1205 * t1670 - t110 * t500 * t4518 / 0.4e1 - 0.3e1 / 0.2e1 * t318 * t6884 + t6769 * t29426 / 0.3e1 + t6772 * t24988 / 0.4e1 - t33435 / 0.12e2 + t33437 / 0.4e1 - t33440 / 0.12e2 - t33443 / 0.6e1 - t33445 / 0.6e1 - t33448 / 0.12e2 - t33450 / 0.6e1;
  t34151 = t30275 * t6853;
  t34156 = t33452 / 0.2e1 + t33454 / 0.4e1 + t33456 / 0.2e1 + t33458 / 0.4e1 + t33460 / 0.4e1 + t33462 / 0.2e1 - t33464 / 0.12e2 - t33466 / 0.12e2 + t33491 - t33493 / 0.4e1 + 0.2e1 / 0.3e1 * t33496 + t33498 - 0.3e1 / 0.2e1 * t33500 + t32507 + 0.3e1 * t10440 * t29462 - 0.9e1 * t10513 * t7093 * t30490 + 0.9e1 / 0.2e1 * t30451 * t34151 * t5602 + t33503 / 0.2e1;
  t34160 = t321 * t194 * t6800;
  t34163 = t1065 * t6927;
  t34186 = t4354 * t6755 * t4355;
  t34190 = t321 * t649 * t34065;
  t34200 = -0.3e1 / 0.4e1 * t4183 * t1694 - 0.3e1 / 0.2e1 * t34160 * t5715 - 0.3e1 / 0.2e1 * t34163 * t5715 + 0.3e1 / 0.2e1 * t1058 * t6940 + 0.3e1 / 0.2e1 * t373 * t6974 * t4347 - t490 * t25148 / 0.2e1 - t1665 * t4357 / 0.2e1 - t1660 * t4357 / 0.2e1 - 0.3e1 * t33976 * t29182 - 0.3e1 / 0.2e1 * t6928 * t29177 + 0.5e1 / 0.3e1 * t34074 * t30494 + 0.3e1 / 0.2e1 * t6788 * t30497 - t338 * t34186 / 0.6e1 + 0.3e1 / 0.2e1 * t34190 * t6028 + t1647 * t4348 / 0.2e1 - 0.3e1 / 0.2e1 * t4176 * t1690 - 0.2e1 / 0.9e1 * t33034 + t33036 / 0.6e1 - t33039 / 0.9e1;
  t34212 = t4696 * t1663;
  t34216 = t318 * t1720;
  t34222 = t318 * t1716;
  t34231 = t4696 * t1673;
  t34238 = -t33041 / 0.6e1 + t33043 / 0.18e2 - t33047 / 0.18e2 + t33049 / 0.18e2 + 0.3e1 / 0.2e1 * t5665 * t494 * t24866 - 0.3e1 / 0.2e1 * t25376 * t6761 - 0.3e1 / 0.2e1 * t4695 * t34212 * t1084 - t34216 * t6001 / 0.2e1 - t6769 * t30146 / 0.4e1 + t6764 * t29504 + t34222 * t6006 + t6772 * t25123 / 0.2e1 + 0.3e1 * t29346 * t6839 + 0.9e1 / 0.2e1 * t5665 * t7086 * t29556 + 0.9e1 / 0.2e1 * t4695 * t34231 * t5702 + 0.3e1 * t29349 * t6839 + 0.3e1 / 0.2e1 * t33513 - t33515;
  t34256 = t500 * t4191;
  t34257 = t4155 * t34256;
  t34260 = -t33517 / 0.2e1 + t33519 / 0.4e1 - t33522 / 0.3e1 + t33524 / 0.3e1 + t33527 / 0.6e1 - t33529 / 0.6e1 + 0.3e1 / 0.2e1 * t33531 + t33533 / 0.6e1 + t33535 / 0.6e1 + t33537 / 0.2e1 - t33541 + t33544 / 0.3e1 + t33547 / 0.3e1 + t33549 / 0.2e1 + t33551 / 0.2e1 + t33553 / 0.4e1 + t33555 / 0.2e1 - t33557 / 0.2e1 - 0.3e1 / 0.2e1 * t4143 * t34257;
  t34264 = t321 * t369 * t499 * t4715;
  t34276 = t1065 * t6954;
  t34283 = t1165 * t500;
  t34284 = t34283 * t4689;
  t34296 = t1101 * t33917 * t1088;
  t34300 = t1101 * t6755 * t4371;
  t34303 = t1430 * t6811;
  t34308 = 0.3e1 / 0.2e1 * t34264 * t4722 - 0.3e1 * t6955 * t4726 + 0.3e1 / 0.2e1 * t1647 * t4730 + 0.3e1 / 0.2e1 * t6960 * t1040 - t4258 * t6946 / 0.2e1 + t4258 * t6950 - 0.3e1 / 0.2e1 * t34276 * t1035 + 0.3e1 / 0.2e1 * t6965 * t1040 + 0.3e1 / 0.4e1 * t6769 * t30019 + t4686 * t34284 / 0.4e1 + 0.3e1 / 0.4e1 * t1647 * t4364 - 0.3e1 / 0.2e1 * t25243 * t1675 - t1066 * t6812 / 0.2e1 - t991 * t6812 / 0.4e1 - t338 * t34296 / 0.2e1 - t338 * t34300 / 0.4e1 - t1002 * t34303 / 0.4e1 - t33897 * t1426 / 0.2e1;
  t34315 = t1030 * t33895;
  t34345 = -t33798 * t1426 / 0.2e1 - t33892 * t1426 + t373 * t1674 * t30511 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t34315 * t1415 + 0.3e1 / 0.2e1 * t373 * t6801 * t4300 + 0.3e1 / 0.2e1 * t4176 * t1679 + 0.3e1 * t1058 * t6910 + 0.3e1 / 0.2e1 * t1058 * t6912 + 0.3e1 / 0.2e1 * t5665 * t1716 * t30015 + 0.3e1 * t5665 * t7075 * t5685 + 0.3e1 / 0.2e1 * t5665 * t1716 * t30445 - t33559 - t33561 - t33563 / 0.3e1 - 0.11e2 / 0.6e1 * t10357 * t30370 + 0.23e2 / 0.12e2 * t10357 * t30373 + t33566 / 0.2e1 - t33568 / 0.6e1 - t33570 / 0.6e1;
  t34365 = t110 * t1160 * t4214;
  t34368 = -t33574 / 0.2e1 + t33576 / 0.3e1 + t33579 / 0.2e1 - t33581 / 0.6e1 - t33600 - t33602 / 0.6e1 - t33604 / 0.3e1 - t33606 / 0.3e1 + 0.7e1 / 0.3e1 * t33608 + t33610 / 0.2e1 + t33612 + t33617 + t33619 - 0.3e1 / 0.2e1 * t33621 - t33623 / 0.2e1 + 0.23e2 / 0.36e2 * t33625 - 0.3e1 * t25376 * t6842 + 0.28e2 / 0.3e1 * t34365 * t13675;
  t34387 = my_piecewise3(t129, t322, -0.22e3 / 0.81e2 * t984);
  t34418 = -t34216 * t5682 - 0.9e1 / 0.2e1 * t5665 * t7086 * t30570 + 0.3e1 / 0.2e1 * t6769 * t30023 - 0.11e2 / 0.2e1 * t5639 * t1720 * t30264 + t25241 * t505 / 0.4e1 + 0.3e1 / 0.4e1 * t24841 * t505 + 0.3e1 / 0.4e1 * t4183 * t1657 + 0.3e1 / 0.2e1 * t4274 * t1657 - t321 * t194 * t34387 * t335 * t350 / 0.12e2 - t7043 * t994 / 0.4e1 - t1065 * t7042 * t350 / 0.4e1 - t7048 * t994 / 0.2e1 - t7057 * t994 / 0.4e1 + 0.3e1 / 0.4e1 * t1070 * t7054 + 0.3e1 / 0.4e1 * t1058 * t7054 + t373 * t374 * t34387 * t376 / 0.4e1 - t24808 * t489 * t350 / 0.12e2 - t4179 * t1664 * t350 / 0.4e1 - t490 * t25200 / 0.12e2;
  t34452 = t24105 * t1688;
  t34456 = t4706 * t501;
  t34459 = -t1660 * t4171 / 0.4e1 - t1665 * t4171 / 0.4e1 + t33084 / 0.6e1 + t33086 / 0.6e1 - 0.5e1 / 0.12e2 * t10357 * t29981 - t6769 * t30149 / 0.2e1 - 0.11e2 / 0.6e1 * t6769 * t30136 + 0.9e1 / 0.2e1 * t29339 * t6834 + 0.9e1 / 0.2e1 * t5639 * t7081 * t24073 + 0.5e1 / 0.2e1 * t5639 * t1720 * t30080 + 0.2e1 * t5639 * t1720 * t30169 - 0.3e1 * t30473 * t6837 - t4543 * t10552 / 0.2e1 + t33089 / 0.6e1 - t33632 / 0.6e1 + 0.3e1 / 0.2e1 * t4695 * t6760 * t4347 - 0.3e1 / 0.2e1 * t4695 * t34452 * t1438 - t4143 * t34456 / 0.2e1;
  t34460 = t4150 * t6949;
  t34463 = t4150 * t501;
  t34466 = t4155 * t6949;
  t34469 = t1014 * t1737;
  t34473 = t1009 * t1736 * t1018;
  t34477 = t321 * t369 * t1735 * t1026;
  t34506 = 0.7e1 / 0.3e1 * t4143 * t34460 - 0.11e2 / 0.18e2 * t4143 * t34463 + 0.23e2 / 0.36e2 * t4143 * t34466 - t1002 * t34469 / 0.2e1 + t1002 * t34473 - 0.3e1 / 0.2e1 * t34477 * t1035 + 0.3e1 * t6955 * t4220 - 0.3e1 * t1647 * t4216 + t4163 * t6946 - t4225 * t1642 / 0.2e1 + 0.3e1 / 0.2e1 * t1647 * t4210 + 0.3e1 / 0.4e1 * t34216 * t6009 + 0.7e1 * t10357 * t30344 - t6772 * t24176 / 0.2e1 - 0.11e2 / 0.12e2 * t6769 * t30215 + 0.3e1 * t10357 * t30269 - 0.3e1 / 0.2e1 * t10357 * t30272 + 0.7e1 * t10357 * t30065 + 0.18e2 * t5639 * t7093 * t30076;
  t34520 = t318 * t494;
  t34529 = t110 * t7081;
  t34545 = -0.9e1 * t5665 * t7093 * t30196 - 0.9e1 * t5649 * t34151 * t5571 + 0.9e1 / 0.2e1 * t4695 * t34151 * t5576 - 0.3e1 * t34216 * t5693 + t34520 * t4690 / 0.2e1 - t32491 - 0.5e1 / 0.3e1 * t6769 * t24975 - 0.3e1 * t6769 * t30012 - t6769 * t30763 / 0.4e1 + 0.3e1 / 0.4e1 * t34529 * t6009 - t34529 * t6001 / 0.2e1 - 0.5e1 / 0.12e2 * t10357 * t30753 - t33680 / 0.2e1 - t33682 / 0.4e1 - 0.11e2 / 0.6e1 * t10357 * t29355 - t6769 * t29448 / 0.2e1 - t6769 * t30743 / 0.2e1 - t6769 * t29452;
  t34553 = t30329 * t1673;
  t34557 = t5650 * t6800;
  t34564 = t4696 * t6869;
  t34583 = -t34529 * t5682 + 0.5e1 / 0.6e1 * t6769 * t30740 + 0.2e1 / 0.3e1 * t6769 * t30026 + 0.11e2 / 0.3e1 * t10357 * t29471 - 0.3e1 / 0.2e1 * t5649 * t34553 * t1410 - 0.3e1 * t5649 * t34557 * t1410 - 0.3e1 / 0.2e1 * t5649 * t6827 * t4319 - 0.3e1 * t4695 * t34564 * t1438 + 0.3e1 / 0.2e1 * t6769 * t30631 + t6764 * t30364 / 0.2e1 - t33688 / 0.6e1 - t33691 / 0.2e1 + t33693 / 0.2e1 - t33695 - t33697 + t33699 / 0.2e1 + 0.9e1 * t5639 * t7089 * t29942 + 0.9e1 / 0.2e1 * t29436 * t6834 + t4166 * t1642 / 0.2e1;
  t34595 = t4179 * t1646;
  t34600 = t1065 * t6959;
  t34605 = t321 * t369 * t7155 * t370;
  t34608 = t349 * t7157;
  t34611 = t4155 * t501;
  t34630 = t1053 * t7018 / 0.2e1 + t4163 * t7021 / 0.2e1 - 0.2e1 * t4163 * t6950 - 0.3e1 / 0.2e1 * t6965 * t1048 - 0.3e1 / 0.2e1 * t6960 * t1048 + 0.3e1 / 0.4e1 * t34595 * t377 - t4180 * t1642 / 0.4e1 + 0.3e1 / 0.2e1 * t34600 * t377 + 0.3e1 / 0.4e1 * t34605 * t377 - t338 * t34608 / 0.4e1 - 0.5e1 / 0.36e2 * t4143 * t34611 - 0.14e2 * t10357 * t30733 + 0.9e1 * t10357 * t30737 - 0.9e1 / 0.2e1 * t10357 * t30069 - 0.14e2 * t5639 * t7089 * t29485 + 0.14e2 * t5665 * t7089 * t29489 - 0.3e1 / 0.2e1 * t10725 * t30186 + 0.3e1 / 0.2e1 * t10440 * t30710;
  t34634 = t4376 * t6756;
  t34637 = t6755 * t4427;
  t34638 = t1101 * t34637;
  t34654 = t4376 * t1645 * t1096;
  t34669 = t110 * t7075;
  t34671 = t110 * t1714;
  t34674 = -0.3e1 / 0.2e1 * t4695 * t6841 * t4340 + t1002 * t34634 / 0.4e1 + t4426 * t34638 / 0.2e1 - t1053 * t6757 / 0.3e1 - 0.3e1 / 0.2e1 * t1647 * t4332 - 0.3e1 / 0.4e1 * t6965 * t1085 - 0.3e1 / 0.4e1 * t6960 * t1085 - t1647 * t4412 / 0.2e1 - t1647 * t4408 / 0.4e1 - t1002 * t34654 - 0.3e1 / 0.2e1 * t1647 * t4341 + t1647 * t4329 - 0.9e1 * t4204 * t6922 - 0.9e1 * t4188 * t6922 - 0.9e1 * t1029 * t34043 * t5571 - 0.7e1 / 0.3e1 * t10440 * t30087 - t6764 * t29422 + t34669 * t6006 + t34671 * t4690 / 0.2e1;
  t34692 = t1009 * t1737;
  t34714 = -t6764 * t24739 / 0.2e1 + t6764 * t30359 / 0.2e1 - t4255 * t1642 / 0.4e1 - t4246 * t1642 / 0.12e2 - t991 * t7018 / 0.4e1 - t1066 * t7018 / 0.2e1 - t4258 * t7021 / 0.4e1 - t1002 * t34692 / 0.4e1 + 0.3e1 / 0.4e1 * t24812 * t505 + t1647 * t4252 / 0.4e1 + t24809 * t505 / 0.4e1 + 0.3e1 / 0.4e1 * t6965 * t1062 + 0.3e1 / 0.4e1 * t6960 * t1062 + 0.3e1 / 0.4e1 * t4176 * t1657 - t34222 * t6015 - 0.3e1 / 0.2e1 * t25561 * t6761 - t6764 * t30053 / 0.2e1 - t6772 * t24308 / 0.2e1;
  t34755 = 0.5e1 / 0.6e1 * t10357 * t30703 - 0.4e1 / 0.3e1 * t6769 * t30126 - 0.3e1 * t6769 * t30585 - 0.6e1 * t34365 * t13685 + 0.3e1 / 0.2e1 * t10440 * t30756 + 0.2e1 * t34529 * t5697 + 0.2e1 * t6769 * t30122 + t6769 * t30115 - 0.9e1 / 0.2e1 * t29346 * t6824 - 0.9e1 / 0.2e1 * t5665 * t7081 * t5667 - t6764 * t30211 + 0.3e1 / 0.2e1 * t4695 * t34553 * t1415 + 0.3e1 * t4695 * t34557 * t1415 + 0.3e1 / 0.2e1 * t4695 * t6827 * t4300 - 0.14e2 / 0.3e1 * t10440 * t29479 - 0.3e1 * t1058 * t6871 - 0.3e1 / 0.2e1 * t1058 * t6873 - 0.3e1 / 0.2e1 * t4183 * t1690 - 0.3e1 * t4274 * t1690;
  t34765 = t4179 * t1701;
  t34768 = t1065 * t6899;
  t34770 = t7040 * t1045;
  t34772 = t321 * t194 * t34770;
  t34804 = -0.3e1 * t1070 * t6871 - 0.3e1 / 0.2e1 * t1070 * t6873 + 0.3e1 / 0.4e1 * t373 * t1088 * t7114 * t376 + t34765 * t1452 / 0.2e1 + t34768 * t1452 + t34772 * t1452 / 0.2e1 + 0.3e1 / 0.4e1 * t1058 * t7065 + 0.3e1 / 0.2e1 * t1058 * t6893 + t373 * t24097 * t493 * t376 / 0.4e1 + 0.3e1 / 0.4e1 * t373 * t4371 * t1713 * t376 - t373 * t1693 * t24271 / 0.4e1 - 0.3e1 * t30693 * t6837 - t34669 * t6015 + t6764 * t30362 - 0.3e1 / 0.4e1 * t110 * t1736 * t1147 - 0.3e1 / 0.4e1 * t318 * t6880 - 0.3e1 / 0.4e1 * t110 * t7156 * t404 + 0.6e1 * t34074 * t30103;
  t34805 = t4719 * t34072;
  t34819 = t1030 * t6853;
  t34833 = t110 * t500 * t4693;
  t34848 = -0.18e2 * t4718 * t34805 * t29375 - 0.18e2 * t373 * t34805 * t29370 + 0.18e2 * t34074 * t30303 + 0.36e2 * t1029 * t34805 * t29380 - 0.28e2 * t34074 * t30300 + 0.18e2 * t373 * t34819 * t30296 - 0.18e2 * t1029 * t34819 * t30291 + t33106 / 0.3e1 + t33108 / 0.9e1 - t33110 / 0.3e1 + t33112 / 0.3e1 - 0.3e1 / 0.4e1 * t1205 * t1737 - 0.3e1 / 0.4e1 * t34833 * t4698 - 0.9e1 * t5639 * t7093 * t30722 - 0.3e1 / 0.2e1 * t10357 * t30284 + 0.9e1 / 0.2e1 * t10513 * t7093 * t30072 - t32499 + t6772 * t24861 / 0.4e1 + 0.11e2 / 0.3e1 * t6769 * t30143;
  t34867 = t193 * t34387;
  t34871 = t1719 * t29892;
  t34874 = t493 * t29815;
  t34877 = t493 * t29820;
  t34882 = t7092 * t29807;
  t34885 = t1719 * t29853;
  t34896 = t7092 * t24552;
  t34899 = t69 * t1655;
  t34900 = t34899 * t4607;
  t34903 = -t34867 * t335 * t361 / 0.2e1 - 0.11e2 / 0.3e1 * t34871 * t29897 - 0.18e2 * t34874 * t29817 - 0.12e2 * t34877 * t29824 + 0.22e2 * t34871 * t29894 - 0.36e2 * t34882 * t29810 + 0.56e2 * t34885 * t29889 + 0.4e1 * t34882 * t29872 - t10618 * t29834 / 0.3e1 + 0.6e1 * t10609 * t29850 + 0.18e2 * t10618 * t29850 + 0.8e1 * t34896 * t29682 - 0.2e1 * t34900 * t5862;
  t34904 = t20822 * t487;
  t34905 = t34904 * t24540;
  t34914 = t1719 * t24522;
  t34927 = t493 * t24126;
  t34936 = -0.4e1 / 0.3e1 * t34905 * t29743 - 0.2e2 * t7093 * t29747 + 0.18e2 * t34900 * t5865 + 0.18e2 * t7093 * t29903 + 0.72e2 * t34914 * t29667 - 0.72e2 * t34896 * t29679 + 0.8e1 / 0.3e1 * t34905 * t29900 - 0.3e1 * t494 * t24452 - 0.6e1 * t7075 * t5910 - 0.6e1 * t494 * t24461 - 0.24e2 * t34927 * t29710 + 0.24e2 * t34905 * t29906 + 0.56e2 / 0.3e1 * t7089 * t29767 - t7093 * t29770 / 0.3e1;
  t34942 = t1713 * t4208;
  t34947 = t7080 * t4214;
  t34954 = t1713 * t5895;
  t34959 = t7080 * t5888;
  t34970 = 0.6e1 * t1714 * t4577 + 0.22e2 / 0.3e1 * t1720 * t29757 + 0.18e2 * t34942 * t5926 - 0.12e2 * t34914 * t29687 - 0.36e2 * t34947 * t5869 + 0.4e1 / 0.3e1 * t7150 * t29882 + 0.2e1 / 0.3e1 * t34882 * t29837 + 0.12e2 * t34954 * t5897 + 0.5e1 / 0.3e1 * t7150 * t29829 + 0.3e1 * t34959 * t5972 - 0.28e2 / 0.3e1 * t34885 * t29810 + 0.6e1 * t7147 * t29926 + 0.6e1 * t10674 * t24695 + 0.18e2 * t10684 * t29841;
  t34998 = -0.36e2 * t10609 * t29885 + 0.6e1 * t7147 * t29846 + 0.1e2 * t7093 * t29699 + 0.9e1 * t7086 * t29784 - 0.9e1 * t7086 * t29727 - 0.6e1 * t7075 * t5900 - 0.3e1 * t1716 * t24485 - 0.3e1 * t1716 * t29705 - 0.2e1 * t1716 * t29791 - 0.12e2 * t7089 * t29734 + 0.6e1 * t34947 * t5913 + 0.4e1 / 0.3e1 * t34896 * t29794 - t7081 * t5916 + 0.2e1 * t1720 * t29781;
  t35006 = t648 * t7040 * t1032;
  t35031 = -0.9e1 * t34942 * t5953 - 0.3e1 * t1714 * t4649 - 0.3e1 * t35006 * t1495 - 0.9e1 * t34900 * t5949 + 0.1e2 * t34900 * t5960 + 0.18e2 * t34947 * t5946 + 0.24e2 * t34914 * t29916 - 0.4e2 * t34896 * t29635 + 0.1e2 / 0.3e1 * t34905 * t29628 + 0.5e2 / 0.3e1 * t34905 * t29631 + 0.36e2 * t34896 * t29656 + t494 * t24518 / 0.2e1 - 0.12e2 * t34947 * t5940 - 0.2e1 / 0.3e1 * t34896 * t29596;
  t35059 = -t35006 * t1477 - 0.8e1 / 0.3e1 * t1720 * t29718 - 0.6e1 * t7081 * t5881 + 0.6e1 * t1716 * t29751 - 0.11e2 * t1720 * t29662 + 0.6e1 * t35006 * t1481 + 0.6e1 * t7081 * t5885 - 0.28e2 * t7089 * t29764 + 0.18e2 * t7089 * t29721 + 0.9e1 * t7081 * t5877 + 0.4e1 * t1720 * t29797 + 0.5e1 * t1720 * t29695 - 0.9e1 * t7093 * t29800 - 0.1e2 / 0.3e1 * t1720 * t29737;
  t35061 = t7114 * t1046;
  t35087 = -0.6e1 * t35061 * t1472 - 0.3e1 * t7125 * t1167 - t1720 * t29671 / 0.3e1 + t7093 * t29740 / 0.6e1 - t34900 * t5919 / 0.3e1 - t34905 * t29674 / 0.9e1 - 0.3e1 * t1714 * t4560 - t494 * t24605 - t1720 * t29642 + 0.3e1 * t7075 * t5932 + t1716 * t29600 + 0.2e1 * t7081 * t5963 + 0.2e1 / 0.3e1 * t1720 * t29618 + t34900 * t5943 / 0.6e1;
  t35116 = -0.3e1 * t7081 * t5958 + 0.3e1 / 0.2e1 * t1714 * t4638 + 0.12e2 * t34927 * t29609 + 0.3e1 * t494 * t24502 - 0.2e1 * t10618 * t29875 - 0.18e2 * t34959 * t5892 - 0.8e1 * t7150 * t29864 - 0.1e2 * t7150 * t29867 + t34867 * t354 * t357 - 0.36e2 * t34914 * t29913 + 0.3e1 * t35061 * t1491 + 0.3e1 / 0.2e1 * t7125 * t1183 + 0.2e1 * t35006 * t1485 - 0.12e2 * t34905 * t29653;
  t35128 = t1430 * t34637;
  t35132 = t1430 * t1645 * t4427;
  t35134 = t374 * t6786;
  t35147 = -t33714 / 0.4e1 - t33716 / 0.2e1 - t33718 / 0.2e1 - t4678 * t501 / 0.4e1 - 0.3e1 * t25561 * t6842 + 0.9e1 / 0.2e1 * t5665 * t7093 * t30718 - 0.5e1 / 0.2e1 * t5665 * t1720 * t30746 - 0.2e1 * t5665 * t1720 * t30004 - t110 * t139 * (t34903 + t34936 + t34970 + t34998 + t35031 + t35059 + t35087 + t35116) * t168 / 0.4e1 - 0.3e1 / 0.2e1 * t6955 * t4320 + 0.3e1 / 0.2e1 * t1647 * t4301 - t4533 * t35128 / 0.4e1 + t4533 * t35132 - 0.6e1 * t373 * t35134 * t29531 - 0.3e1 / 0.2e1 * t1029 * t34315 * t1410 - 0.3e1 / 0.2e1 * t25233 * t1675 - 0.3e1 * t4188 * t6802 - 0.3e1 * t25641 * t1675;
  t35190 = -0.3e1 * t4204 * t6802 + 0.3e1 / 0.2e1 * t6965 * t1090 + 0.3e1 / 0.2e1 * t6960 * t1090 + 0.3e1 / 0.4e1 * t1647 * t4373 - 0.3e1 * t34529 * t5693 + 0.3e1 * t10440 * t30687 + 0.3e1 / 0.2e1 * t34216 * t5676 + 0.3e1 / 0.2e1 * t34529 * t5676 + 0.3e1 / 0.2e1 * t10725 * t30182 - 0.3e1 / 0.2e1 * t10725 * t29494 + 0.9e1 / 0.2e1 * t5649 * t6827 * t30589 + 0.3e1 / 0.4e1 * t6769 * t30634 + 0.3e1 * t4695 * t6841 * t30627 - 0.9e1 / 0.2e1 * t4695 * t6827 * t30594 + 0.5e1 / 0.12e2 * t6769 * t30700 + 0.11e2 / 0.2e1 * t5665 * t1720 * t29938 + 0.9e1 * t4204 * t7000 + 0.9e1 * t4188 * t7000 - 0.9e1 * t1070 * t6994;
  t35213 = t374 * t6800;
  t35231 = t321 * t194 * t6786;
  t35234 = -0.9e1 * t1058 * t6994 - 0.9e1 * t373 * t34066 * t5728 + 0.3e1 * t33829 * t5632 + 0.3e1 * t34190 * t5632 - 0.6e1 * t33829 * t5707 - 0.6e1 * t34190 * t5707 - 0.6e1 * t6788 * t29161 - 0.23e2 / 0.3e1 * t34074 * t29167 + 0.9e1 / 0.2e1 * t1070 * t6905 + 0.9e1 / 0.2e1 * t1058 * t6905 + 0.9e1 / 0.2e1 * t373 * t35213 * t5702 + 0.12e2 * t321 * t649 * t4141 * t2772 + t6769 * t24980 + 0.23e2 / 0.12e2 * t10357 * t29359 - 0.6e1 * t10440 * t29994 + t6804 * t4535 + t33897 * t1432 + t490 * t25414 / 0.2e1 + 0.2e1 * t35231 * t29540;
  t35252 = t374 * t34770;
  t35277 = -0.3e1 / 0.2e1 * t373 * t1693 * t25185 + 0.3e1 / 0.2e1 * t1070 * t6940 - t6804 * t5621 / 0.2e1 - t6808 * t5621 / 0.2e1 - t1683 * t30392 / 0.6e1 - t6804 * t5618 - t6808 * t5618 - t1683 * t30408 / 0.2e1 - t1683 * t30389 / 0.2e1 - 0.3e1 / 0.2e1 * t373 * t35252 * t1438 - 0.3e1 / 0.2e1 * t373 * t6870 * t4340 - t373 * t1689 * t30652 / 0.2e1 + 0.3e1 * t25376 * t6828 + 0.3e1 * t25561 * t6828 - 0.9e1 * t5665 * t7089 * t29440 - 0.9e1 / 0.2e1 * t29349 * t6824 - 0.23e2 / 0.6e1 * t10357 * t29476 + 0.2e1 * t34216 * t5697 - 0.3e1 / 0.4e1 * t318 * t7157;
  t35283 = my_piecewise3(t100, 0, t34804 + t35190 + t33885 + t33778 + t34051 + t34104 + t34002 + t34156 + t34506 + t34308 + t34545 + t34260 + t34459 + t34200 + t33848 + t34133 + t35277 + t34674 + t35147 + t34848 + t33821 + t34714 + t34238 + t33981 + t34583 + t34368 + t34418 + t34630 + t35234 + t34755 + t34345 + t33937);
  tv4rho3lapl7 = t3 * t35283 + 0.3e1 * t7174;

  if(out->v4rho3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3lapl[ip*p->dim.v4rho3lapl + 7] += tv4rho3lapl7;

  t35288 = t3239 * t1807;
  t35292 = t3242 * t1811;
  t35294 = t7611 * t832;
  t35296 = t634 * t7262;
  t35298 = t512 * t20825;
  t35300 = t191 * t20823 * t35298;
  t35304 = t1805 * t3571;
  t35311 = t4867 * t1806;
  t35317 = -0.3e1 / 0.2e1 * t630 * t7468 - t35288 / 0.6e1 + t3110 * t1807 / 0.2e1 + t35292 / 0.2e1 + t35294 / 0.2e1 - t35296 / 0.6e1 + 0.47e2 / 0.3e1 * t35300 * t25709 * t26161 - 0.3e1 * t679 * t35304 * t3126 + 0.3e1 / 0.2e1 * t246 * t35304 * t3131 - t3138 * t35311 / 0.2e1 + 0.3e1 / 0.2e1 * t3167 * t35304 * t3169;
  t35318 = t7276 * t5170;
  t35320 = t633 * t7195;
  t35321 = t35320 * t5167;
  t35329 = t3238 * t1778;
  t35330 = t35329 * t1263;
  t35332 = t3051 * t7387;
  t35334 = t21198 * t1785;
  t35335 = t3051 * t7385;
  t35336 = t3242 * t1793;
  t35339 = -t35318 / 0.6e1 - 0.11e2 / 0.18e2 * t35321 - 0.3e1 / 0.4e1 * t7592 * t827 - 0.3e1 / 0.4e1 * t7600 * t827 + 0.9e1 / 0.2e1 * t630 * t7206 + 0.2e1 / 0.3e1 * t35330 - t35332 / 0.2e1 - t35334 - t35335 - t35336 - t1779 * t26627 / 0.4e1;
  t35347 = t1891 * t66;
  t35349 = t836 * t35347 * t838;
  t35353 = t1261 * t1768 * t3397;
  t35355 = t7213 * t3397;
  t35356 = t1261 * t35355;
  t35359 = t7276 * t5195;
  t35361 = t634 * t7374;
  t35365 = t3247 * t1811;
  t35367 = t7555 * t651;
  t35369 = t191 * t649 * t35367;
  t35371 = t603 * t7262 / 0.2e1 + t627 * t7215 / 0.4e1 + t642 * t7215 / 0.6e1 + t211 * t35349 / 0.4e1 + t3396 * t35353 - t3396 * t35356 / 0.4e1 - t35359 / 0.3e1 - t35361 / 0.6e1 + t603 * t7374 / 0.2e1 + t35365 / 0.2e1 + t35369 * t1263;
  t35385 = t3232 * t1788;
  t35387 = t3231 * t1778;
  t35388 = t35387 * t1257;
  t35390 = t35387 * t1263;
  t35392 = 0.2e1 * t7233 * t4820 + t7233 * t3399 + t1779 * t31861 + 0.3e1 / 0.2e1 * t1770 * t3515 - t3406 * t10814 / 0.2e1 - 0.3e1 / 0.2e1 * t7587 * t3371 + t1779 * t20895 + t1779 * t21100 / 0.3e1 - t35385 / 0.3e1 + t35388 / 0.9e1 - 0.2e1 / 0.9e1 * t35390;
  t35395 = t21203 * t1785;
  t35399 = t637 * t7379;
  t35401 = t3247 * t1788;
  t35402 = t637 * t7398;
  t35405 = t3242 * t1788;
  t35410 = t1760 * t3464;
  t35412 = t35320 * t4890;
  t35414 = t35395 / 0.3e1 + 0.9e1 / 0.2e1 * t630 * t7420 + t35399 / 0.2e1 + t35401 + t35402 + 0.3e1 / 0.2e1 * t608 * t7413 + t35405 - 0.9e1 * t630 * t7424 + t515 * t21242 / 0.2e1 - t35410 / 0.6e1 - 0.5e1 / 0.36e2 * t35412;
  t35415 = t512 * t20811;
  t35417 = t191 * t3135 * t35415;
  t35421 = t3460 * t7213 * t3462;
  t35424 = t7276 * t4893;
  t35426 = t3051 * t7427;
  t35428 = t637 * t7424;
  t35430 = t680 * t7194;
  t35438 = t191 * t649 * t7194;
  t35441 = t633 * t7242;
  t35442 = t35441 * t5179;
  t35443 = t35441 * t5185;
  t35447 = 0.5e1 / 0.3e1 * t35417 * t25894 - t211 * t35421 / 0.6e1 - t35424 / 0.12e2 + 0.3e1 * t35426 - 0.3e1 * t35428 - 0.18e2 * t679 * t35430 * t26997 + 0.18e2 * t246 * t35430 * t27002 + 0.12e2 * t35438 * t27488 + t35442 - 0.2e1 * t35443 - 0.6e1 * t35438 * t27485;
  t35449 = t7567 * t845;
  t35461 = t247 * t7562;
  t35472 = t1261 * t7373;
  t35475 = t35449 / 0.18e2 - t7228 * t4893 / 0.4e1 - t7233 * t4893 / 0.4e1 - t642 * t7402 / 0.4e1 - 0.3e1 / 0.2e1 * t630 * t7526 - 0.3e1 / 0.2e1 * t608 * t7526 - 0.3e1 / 0.4e1 * t246 * t35461 * t826 - 0.3e1 / 0.4e1 * t246 * t7525 * t3447 - 0.3e1 / 0.4e1 * t630 * t7529 - 0.3e1 / 0.4e1 * t608 * t7529 - t654 * t35472 / 0.4e1;
  t35476 = t1261 * t7401;
  t35479 = t637 * t7406;
  t35485 = t35329 * t1257;
  t35487 = t21192 * t1785;
  t35488 = t3235 * t1807;
  t35490 = t637 * t7468;
  t35496 = t3232 * t1811;
  t35499 = t191 * t194 * t7241;
  t35502 = t633 * t7186;
  t35503 = t35502 * t4939;
  t35505 = t1745 * t3118;
  t35507 = t191 * t3135 * t35505;
  t35510 = -t654 * t35476 / 0.4e1 + t35479 / 0.2e1 - 0.3e1 / 0.2e1 * t246 * t7400 * t779 * t597 - t35485 / 0.3e1 - t35487 + t35488 / 0.18e2 - t35490 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t1805 * t3576 * t3260 - t35496 / 0.6e1 + 0.2e1 * t35499 * t25741 - t35503 / 0.2e1 - 0.11e2 / 0.6e1 * t35507 * t5167;
  t35520 = t3690 * t7214;
  t35527 = t20842 * t35298;
  t35533 = t634 * t7402;
  t35538 = t843 * t3389 * t7400;
  t35541 = 0.23e2 / 0.12e2 * t35507 * t4811 + 0.22e2 / 0.3e1 * t35417 * t27044 - 0.23e2 / 0.3e1 * t35417 * t27047 + t654 * t35520 / 0.2e1 - 0.61e2 / 0.27e2 * t35300 * t26158 + 0.44e2 / 0.27e2 * t35300 * t26162 + 0.6e1 * t246 * t35527 * t26964 - 0.3e1 / 0.2e1 * t608 * t7468 - t35533 / 0.6e1 + t603 * t7402 / 0.2e1 - t211 * t35538 / 0.2e1;
  t35550 = params->at * t7335;
  t35552 = t843 * t837 * t35550;
  t35561 = t3209 * t1778;
  t35564 = t626 * t7232;
  t35569 = 0.3e1 / 0.2e1 * t3226 * t1811 + 0.3e1 / 0.4e1 * t3101 * t1811 + 0.3e1 / 0.2e1 * t608 * t7406 - t627 * t7402 / 0.2e1 - t211 * t35552 / 0.4e1 + 0.3e1 / 0.2e1 * t630 * t7406 + 0.3e1 / 0.4e1 * t246 * t35550 * t226 * t249 - t35561 * t1257 / 0.2e1 - t35564 * t1257 - t7228 * t5195 + t7564 * t840 / 0.4e1;
  t35577 = t3232 * t1802;
  t35579 = t626 * t7242;
  t35582 = t1745 * t3076;
  t35584 = t191 * t649 * t35582;
  t35595 = t247 * t7241;
  t35599 = t1755 * t3534 / 0.2e1 + t1755 * t3530 / 0.4e1 + t515 * t21741 / 0.4e1 - t35577 / 0.6e1 + 0.3e1 / 0.2e1 * t35579 * t5157 + 0.3e1 / 0.2e1 * t35584 * t5157 + 0.3e1 / 0.2e1 * t7243 * t25788 + t7549 * t840 / 0.4e1 + t7546 * t840 / 0.2e1 + t1750 * t3534 / 0.2e1 - 0.6e1 * t246 * t35595 * t25936;
  t35611 = t680 * t35367;
  t35626 = t246 * t1784 * t25898 / 0.2e1 - 0.3e1 / 0.2e1 * t3220 * t1793 - 0.3e1 * t21062 * t1785 + 0.3e1 * t608 * t7398 + 0.3e1 / 0.2e1 * t608 * t7379 + 0.3e1 / 0.2e1 * t246 * t35611 * t1274 + 0.3e1 / 0.2e1 * t246 * t7384 * t4828 + 0.3e1 / 0.2e1 * t3220 * t1788 + 0.3e1 * t3226 * t1788 + 0.3e1 * t630 * t7398 + 0.3e1 / 0.2e1 * t630 * t7379;
  t35631 = t633 * t7232;
  t35632 = t35631 * t1257;
  t35647 = t1261 * t244 * t7400;
  t35649 = t4808 * t7490;
  t35654 = 0.3e1 / 0.2e1 * t3101 * t1788 - t35632 / 0.3e1 - t7564 * t845 / 0.4e1 - t1755 * t3391 / 0.2e1 - t1755 * t3386 / 0.4e1 - t515 * t21352 / 0.4e1 - t515 * t21005 / 0.4e1 - t1779 * t26015 / 0.12e2 + t654 * t35647 + 0.23e2 / 0.36e2 * t3138 * t35649 - 0.3e1 / 0.2e1 * t3070 * t7481;
  t35659 = t35441 * t5157;
  t35663 = t1760 * t3386;
  t35665 = t7633 * t845;
  t35667 = t1760 * t3391;
  t35669 = t7628 * t845;
  t35679 = -0.3e1 / 0.2e1 * t3061 * t7481 - t1750 * t3464 / 0.2e1 + t35659 / 0.2e1 - 0.3e1 * t35438 * t27032 - t35663 / 0.12e2 - t35665 / 0.6e1 - t35667 / 0.6e1 - t35669 / 0.6e1 + 0.3e1 / 0.4e1 * t20980 * t530 - t21389 * t514 * t223 / 0.12e2 - t3209 * t1754 * t223 / 0.4e1;
  t35694 = my_piecewise3(t49, t195, 0.88e3 / 0.81e2 * t5053);
  t35711 = -t7549 * t645 / 0.4e1 - t7546 * t645 / 0.2e1 + t21393 * t530 / 0.4e1 + 0.3e1 / 0.4e1 * t3101 * t1747 + 0.3e1 / 0.4e1 * t608 * t7557 + 0.3e1 / 0.4e1 * t630 * t7557 + t246 * t247 * t35694 * t249 / 0.4e1 - t626 * t7563 * t223 / 0.4e1 - t191 * t194 * t35694 * t208 * t223 / 0.12e2 - t7564 * t645 / 0.4e1 + 0.3e1 / 0.2e1 * t3226 * t1747;
  t35713 = t21406 * t514 * t223;
  t35716 = t3231 * t1754 * t223;
  t35718 = t7567 * t645;
  t35732 = t3247 * t1802;
  t35734 = t637 * t7529;
  t35736 = t3242 * t1802;
  t35738 = t35713 / 0.18e2 + t35716 / 0.18e2 + t35718 / 0.18e2 - t1779 * t25749 / 0.6e1 - t627 * t7262 / 0.2e1 - t642 * t7262 / 0.4e1 - t7233 * t5170 / 0.2e1 - t1779 * t25752 / 0.2e1 - t1779 * t25755 / 0.2e1 + t35732 / 0.2e1 - t35734 / 0.4e1 + t35736 / 0.2e1;
  t35743 = t637 * t7526;
  t35748 = t3198 * t1807;
  t35752 = t637 * t7520;
  t35754 = t7183 * t3499;
  t35756 = t3046 * t7516;
  t35758 = t7183 * t5149;
  t35762 = t247 * t7231;
  t35766 = t637 * t7513;
  t35768 = -t35743 / 0.2e1 + 0.3e1 / 0.2e1 * t246 * t7525 * t3468 - t35748 / 0.12e2 + t3088 * t7516 / 0.2e1 + t35752 / 0.2e1 + t35754 / 0.6e1 - t35756 / 0.12e2 + t35758 / 0.3e1 - 0.3e1 / 0.2e1 * t7187 * t27041 + 0.9e1 / 0.2e1 * t246 * t35762 * t4914 - t35766 / 0.2e1;
  t35774 = t843 * t35347 * t830;
  t35778 = t843 * t7213 * t3384;
  t35781 = t1261 * t7261;
  t35792 = t3046 * t7491;
  t35796 = -t3210 * t1807 / 0.4e1 + 0.3e1 / 0.4e1 * t3220 * t1811 - t211 * t35774 / 0.2e1 - t211 * t35778 / 0.4e1 - t654 * t35781 / 0.4e1 + 0.3e1 / 0.2e1 * t7592 * t832 + 0.3e1 / 0.2e1 * t7600 * t832 + 0.3e1 / 0.4e1 * t1770 * t3510 + 0.3e1 / 0.4e1 * t1770 * t3506 + t35792 / 0.3e1 - 0.2e1 * t3088 * t7491;
  t35798 = t35320 * t4852;
  t35800 = t1805 * t3567;
  t35804 = t3046 * t7487;
  t35810 = t637 * t7484;
  t35812 = t3051 * t7481;
  t35814 = t626 * t7195;
  t35823 = 0.7e1 / 0.3e1 * t35798 - 0.3e1 * t246 * t35800 * t3082 - t35804 / 0.6e1 + t3088 * t7487 + 0.3e1 * t679 * t35800 * t3078 + t35810 / 0.2e1 - t35812 / 0.2e1 - 0.3e1 / 0.2e1 * t35814 * t4869 - 0.3e1 / 0.2e1 * t35507 * t4869 - 0.3e1 / 0.2e1 * t7196 * t27496 - 0.38e2 / 0.9e1 * t35300 * t27491;
  t35828 = t3115 * t35505;
  t35835 = t637 * t7420;
  t35837 = t637 * t7413;
  t35839 = t3255 * t1807;
  t35848 = t843 * t21350 * t1805;
  t35851 = 0.9e1 / 0.2e1 * t21524 * t7200 + 0.9e1 / 0.2e1 * t608 * t7206 + 0.9e1 / 0.2e1 * t246 * t35828 * t4863 - 0.3e1 / 0.2e1 * t246 * t1797 * t21372 + 0.3e1 / 0.2e1 * t35835 + t35837 / 0.2e1 + t35839 / 0.6e1 - t3252 * t1807 / 0.2e1 - 0.3e1 / 0.2e1 * t21053 * t1785 - t627 * t7374 / 0.2e1 - t211 * t35848 / 0.4e1;
  t35876 = -0.3e1 / 0.2e1 * t3070 * t7387 - t679 * t1784 * t25764 / 0.2e1 + t35561 * t1263 + 0.2e1 * t35564 * t1263 + 0.2e1 * t7228 * t4820 + t7228 * t3399 - 0.3e1 / 0.2e1 * t21048 * t1785 - 0.3e1 * t3061 * t7385 - 0.3e1 / 0.2e1 * t3061 * t7387 - 0.3e1 * t3070 * t7385 - 0.3e1 / 0.2e1 * t679 * t35611 * t1269;
  t35880 = t7276 * t4820;
  t35882 = t7276 * t3399;
  t35884 = t35631 * t1263;
  t35886 = t35320 * t4811;
  t35889 = t836 * t7213 * t3528;
  t35892 = t3520 * t7214;
  t35900 = t3520 * t1768 * t838;
  t35902 = t843 * t35355;
  t35905 = -0.3e1 / 0.2e1 * t679 * t7384 * t4794 + 0.2e1 / 0.3e1 * t35880 + t35882 / 0.3e1 + 0.2e1 / 0.3e1 * t35884 + 0.23e2 / 0.36e2 * t35886 + t211 * t35889 / 0.12e2 + t654 * t35892 / 0.4e1 - t1770 * t3452 / 0.2e1 - t1770 * t3448 / 0.4e1 - t654 * t35900 + t3497 * t35902 / 0.2e1;
  t35914 = t3115 * t35415;
  t35918 = t35320 * t4869;
  t35920 = t3051 * t7203;
  t35925 = t21994 * t7200;
  t35933 = -t603 * t7215 / 0.3e1 - 0.3e1 / 0.2e1 * t1770 * t3493 + t1770 * t3487 - 0.3e1 / 0.2e1 * t1770 * t3483 - 0.18e2 * t246 * t35914 * t26982 - t35918 / 0.2e1 - 0.3e1 * t35920 + 0.36e2 * t679 * t35914 * t26986 + 0.3e1 / 0.2e1 * t35925 - 0.18e2 * t3167 * t35914 * t27006 - 0.28e2 * t35417 * t4851 * t26161;
  t35934 = t35320 * t4841;
  t35941 = t1760 * t3530;
  t35943 = t7633 * t840;
  t35947 = t7628 * t840;
  t35952 = t11224 * t3394;
  t35956 = t543 * t621;
  t35958 = t4873 * t3264 * t35956;
  t35961 = t4877 * t3264 * t7356;
  t35963 = t769 * t1818;
  t35965 = -0.3e1 / 0.2e1 * t35934 + 0.18e2 * t35417 * t4808 * t27507 - t515 * t20906 / 0.2e1 + t35941 / 0.12e2 + t35943 / 0.6e1 - t1755 * t3464 / 0.2e1 + t35947 / 0.6e1 - 0.3e1 / 0.4e1 * t30 * t7735 * t277 + 0.3e1 / 0.2e1 * t3266 * t35952 * t4828 + t20708 * t35958 - t21600 * t35961 + t35963 / 0.6e1;
  t35969 = t3678 * t545;
  t35971 = t769 * t1823;
  t35984 = t26551 * t7194;
  t35996 = t35969 / 0.6e1 + t35971 / 0.6e1 - t7254 * t27646 - t21632 * t7358 / 0.3e1 + t3266 * t7352 * t3468 / 0.2e1 - 0.3e1 / 0.2e1 * t182 * t7755 + 0.9e1 / 0.2e1 * t9877 * t7686 * t27527 + 0.9e1 / 0.2e1 * t3266 * t35984 * t4863 + 0.9e1 / 0.2e1 * t4772 * t7686 * t26715 - 0.9e1 * t4772 * t7686 * t26563 - 0.23e2 / 0.6e1 * t10757 * t26819;
  t36004 = t30 * t525 * t3264;
  t36012 = t191 * t242 * t524 * t3164;
  t36019 = t21401 * t530;
  t36021 = t525 * t3156;
  t36022 = t3145 * t36021;
  t36027 = 0.23e2 / 0.12e2 * t10757 * t26822 + 0.3e1 * t10757 * t26474 - 0.3e1 / 0.2e1 * t10757 * t26096 - 0.3e1 / 0.4e1 * t36004 * t3269 + 0.3e1 * t3266 * t7449 * t26336 + 0.3e1 / 0.2e1 * t36012 * t3170 - 0.3e1 * t7587 * t3127 + 0.3e1 / 0.2e1 * t1770 * t3132 + t36019 / 0.2e1 - 0.3e1 / 0.2e1 * t3138 * t36022 + 0.3e1 / 0.2e1 * t7592 * t691;
  t36029 = t3149 * t526;
  t36032 = t3140 * t7581;
  t36038 = t626 * t7586;
  t36044 = t661 * t1892 * t670;
  t36048 = t191 * t242 * t1891 * t676;
  t36051 = t666 * t1893;
  t36054 = t7611 * t691;
  t36056 = t3046 * t7595;
  t36058 = -t3138 * t36029 / 0.2e1 + 0.7e1 / 0.3e1 * t3138 * t36032 - t3066 * t7595 / 0.2e1 + t3066 * t7582 - 0.3e1 / 0.2e1 * t36038 * t685 + 0.3e1 / 0.2e1 * t7600 * t691 + t654 * t36044 - 0.3e1 / 0.2e1 * t36048 * t685 - t654 * t36051 / 0.2e1 + t36054 / 0.2e1 - t36056 / 0.6e1;
  t36061 = t193 * t35694;
  t36069 = t1869 * t5014;
  t36074 = t20822 * t512;
  t36075 = t36074 * t20844;
  t36081 = t648 * t7555 * t682;
  t36084 = t1875 * t21138;
  t36087 = t7685 * t20885;
  t36092 = t7685 * t27100;
  t36097 = -t36061 * t208 * t234 / 0.2e1 - t11072 * t27133 / 0.3e1 + 0.6e1 * t11079 * t27127 + 0.12e2 * t36069 * t5018 - 0.28e2 * t7680 * t27246 + 0.24e2 * t36075 * t27156 + t519 * t22393 / 0.2e1 - 0.3e1 * t36081 * t1338 - 0.36e2 * t36084 * t27396 + 0.36e2 * t36087 * t27378 + 0.4e1 / 0.3e1 * t7651 * t27292 + 0.2e1 / 0.3e1 * t36092 * t27109 + 0.6e1 * t7655 * t22211;
  t36100 = t518 * t27418;
  t36105 = t518 * t27411;
  t36114 = t7664 * t5021;
  t36129 = 0.6e1 * t7655 * t27113 - 0.12e2 * t36100 * t27420 + 0.6e1 * t11138 * t22205 - 0.18e2 * t36105 * t27413 + 0.18e2 * t11143 * t27427 + 0.4e1 * t36092 * t27121 - 0.2e1 * t11072 * t27136 - 0.18e2 * t36114 * t5025 - 0.8e1 * t7651 * t27141 - 0.1e2 * t7651 * t27145 + 0.3e1 * t36114 * t5023 + 0.5e1 / 0.3e1 * t7651 * t22215 + 0.1e2 * t7686 * t27289 + 0.9e1 * t7690 * t27183;
  t36145 = t69 * t1745;
  t36146 = t36145 * t3121;
  t36159 = -0.9e1 * t7690 * t27260 - 0.6e1 * t7670 * t5042 - 0.3e1 * t1872 * t22264 - 0.3e1 * t1872 * t27265 - 0.11e2 * t1876 * t27160 - t1876 * t27356 / 0.3e1 + t7686 * t27278 / 0.6e1 - t36146 * t5049 / 0.3e1 - t36075 * t27361 / 0.9e1 - 0.3e1 * t1870 * t3546 - t519 * t22286 - t7686 * t27203 / 0.3e1 + 0.6e1 * t1870 * t3564 - t36081 * t1320;
  t36166 = t7658 * t596;
  t36188 = 0.5e1 * t1876 * t27286 - 0.9e1 * t7686 * t27172 + 0.6e1 * t36081 * t1324 - 0.6e1 * t36166 * t1315 - 0.3e1 * t7715 * t796 - 0.8e1 / 0.3e1 * t1876 * t27249 - 0.6e1 * t7665 * t5072 - 0.1e2 / 0.3e1 * t1876 * t22255 + 0.18e2 * t7680 * t27283 + 0.9e1 * t7665 * t5098 + 0.4e1 * t1876 * t27164 + 0.4e1 / 0.3e1 * t36087 * t27227 - t7665 * t5046 - 0.12e2 * t36075 * t27381;
  t36191 = t1875 * t27404;
  t36194 = t1875 * t27218;
  t36211 = t518 * t21714;
  t36220 = -0.11e2 / 0.3e1 * t36191 * t27423 - 0.28e2 / 0.3e1 * t36194 * t27103 + 0.22e2 * t36191 * t27408 - 0.36e2 * t11079 * t27295 + 0.56e2 * t36194 * t27220 + 0.18e2 * t11072 * t27127 - t1876 * t27318 + 0.3e1 * t7670 * t5112 + 0.3e1 / 0.2e1 * t1870 * t3634 + t1872 * t27311 - 0.24e2 * t36211 * t27207 + 0.18e2 * t7686 * t27243 - 0.72e2 * t36087 * t27236 + 0.72e2 * t36084 * t27230;
  t36223 = t7664 * t3077;
  t36250 = 0.12e2 * t36211 * t27370 + 0.18e2 * t36223 * t5062 - 0.9e1 * t36146 * t5065 + 0.1e2 * t36146 * t5126 - 0.12e2 * t36223 * t5120 + t36146 * t5123 / 0.6e1 - 0.3e1 * t7665 * t5104 + 0.3e1 * t519 * t22383 - 0.6e1 * t519 * t22304 - 0.6e1 * t7670 * t5086 - 0.2e1 * t1872 * t27341 - 0.12e2 * t7680 * t27270 + 0.6e1 * t36223 * t5089 + 0.22e2 / 0.3e1 * t1876 * t27176;
  t36252 = t1869 * t3259;
  t36281 = 0.18e2 * t36252 * t5095 - 0.12e2 * t36084 * t27211 + 0.56e2 / 0.3e1 * t7680 * t27200 + 0.6e1 * t1872 * t27233 - 0.3e1 * t519 * t22259 + 0.6e1 * t7665 * t5075 + 0.2e1 * t1876 * t27344 + 0.18e2 * t36146 * t5034 + 0.8e1 / 0.3e1 * t36075 * t27153 - 0.36e2 * t36223 * t5038 + 0.8e1 * t36087 * t27240 - 0.2e1 * t36146 * t5031 - 0.4e1 / 0.3e1 * t36075 * t27186 - 0.2e2 * t7686 * t27195;
  t36310 = -0.36e2 * t36092 * t27103 + 0.2e1 / 0.3e1 * t1876 * t27322 + t36061 * t227 * t230 + 0.2e1 * t7665 * t5106 - 0.2e1 / 0.3e1 * t36087 * t27330 - 0.9e1 * t36252 * t5129 + 0.24e2 * t36084 * t27373 + 0.3e1 * t36166 * t1334 + 0.3e1 / 0.2e1 * t7715 * t812 + 0.2e1 * t36081 * t1328 - 0.3e1 * t1870 * t3602 + 0.1e2 / 0.3e1 * t36075 * t27390 + 0.5e2 / 0.3e1 * t36075 * t27393 - 0.4e2 * t36087 * t27387;
  t36318 = t3670 * t526;
  t36342 = 0.3e1 / 0.2e1 * t630 * t7413 - t30 * t59 * (t36097 + t36129 + t36159 + t36188 + t36220 + t36250 + t36281 + t36310) * t95 / 0.4e1 - t36318 / 0.4e1 - 0.3e1 / 0.2e1 * t246 * t7510 * t3492 - 0.3e1 / 0.2e1 * t630 * t7513 + t246 * t21009 * t518 * t249 / 0.4e1 - 0.3e1 * t3226 * t1793 - 0.3e1 / 0.2e1 * t3101 * t1793 - 0.3e1 * t608 * t7511 - 0.3e1 / 0.2e1 * t608 * t7513 - t246 * t1797 * t21905 / 0.4e1 + 0.3e1 / 0.4e1 * t3220 * t1802;
  t36345 = t637 * t7511;
  t36346 = t3247 * t1793;
  t36349 = t637 * t7503;
  t36356 = t3273 * t253 * t1854 * t794;
  t36369 = -t36345 - t36346 + 0.9e1 / 0.2e1 * t608 * t7420 + t36349 / 0.4e1 - 0.5e1 / 0.3e1 * t7251 * t20711 + t7251 * t20716 + t3272 * t36356 / 0.4e1 - 0.6e1 * t10838 * t26225 + 0.5e1 / 0.2e1 * t4983 * t1876 * t27445 - 0.3e1 / 0.2e1 * t4993 * t7457 * t4794 - 0.3e1 / 0.4e1 * t759 * t1818;
  t36372 = t3232 * t1793;
  t36374 = t3232 * t1798;
  t36376 = t20724 * t7357;
  t36381 = t22052 * t7353;
  t36391 = t21407 * t530;
  t36393 = -t515 * t21011 / 0.12e2 + t36372 / 0.3e1 + t36374 / 0.6e1 + t3272 * t36376 / 0.4e1 + 0.3e1 / 0.4e1 * t7251 * t26353 - t36381 / 0.4e1 - t7254 * t26069 / 0.2e1 - t7248 * t22004 / 0.2e1 + t7251 * t26673 / 0.3e1 + t7248 * t22009 / 0.4e1 - t36391 / 0.6e1;
  t36395 = t21380 * t530;
  t36397 = t3232 * t1747;
  t36408 = 0.5e1 / 0.54e2 * t21396 * t530;
  t36411 = 0.5e1 / 0.162e3 * t21395 * t514 * t223;
  t36412 = t3255 * t1765;
  t36418 = -t36395 / 0.6e1 - t36397 / 0.6e1 + t603 * t7606 / 0.2e1 + t3088 * t7532 / 0.2e1 - 0.2e1 * t3088 * t7582 + t3110 * t1765 / 0.2e1 + t36408 - t36411 + t36412 / 0.6e1 - t3252 * t1765 / 0.2e1 + 0.3e1 / 0.2e1 * t1770 * t3261;
  t36419 = t7611 * t598;
  t36425 = t1760 * t3096;
  t36429 = t30 * t7665;
  t36442 = -t36419 / 0.2e1 - 0.3e1 / 0.2e1 * t7592 * t598 - 0.3e1 / 0.2e1 * t7600 * t598 - t36425 / 0.12e2 - t1750 * t3096 / 0.4e1 + 0.2e1 * t36429 * t5004 - t7251 * t26426 + 0.2e1 * t7251 * t26411 - t7251 * t26416 / 0.2e1 + t7251 * t26420 - 0.11e2 / 0.6e1 * t10757 * t26662 + 0.23e2 / 0.12e2 * t10757 * t26665;
  t36448 = t182 * t1876;
  t36451 = 0.5e1 / 0.54e2 * t3684 * t545;
  t36452 = t3267 * t1777;
  t36464 = t788 * t525;
  t36465 = t36464 * t3275;
  t36472 = t26396 * t7465;
  t36473 = -t36448 * t4997 - t36451 + 0.9e1 / 0.2e1 * t3266 * t36452 * t4914 - t35561 * t1300 / 0.4e1 - t35564 * t1300 / 0.2e1 - t7228 * t5190 / 0.2e1 + t1750 * t3530 / 0.4e1 + t3272 * t36465 / 0.4e1 + 0.3e1 / 0.2e1 * t10838 * t26107 + 0.5e1 / 0.12e2 * t7251 * t26110 - t36472;
  t36474 = t22052 * t7458;
  t36475 = t26535 * t7462;
  t36483 = t26530 * t1777;
  t36490 = t11224 * t652;
  t36502 = t36474 + 0.3e1 / 0.2e1 * t36475 + 0.3e1 * t21744 * t7458 - 0.3e1 * t26896 * t7465 + 0.3e1 * t21748 * t7458 - 0.3e1 / 0.2e1 * t4993 * t36483 * t1269 + 0.3e1 / 0.2e1 * t3266 * t36483 * t1274 + 0.3e1 / 0.2e1 * t4993 * t36490 * t3362 - 0.9e1 / 0.2e1 * t26266 * t7454 + 0.9e1 * t4983 * t7680 * t26680 - 0.9e1 * t4772 * t7680 * t26653;
  t36527 = 0.9e1 / 0.2e1 * t26257 * t7462 - 0.9e1 / 0.2e1 * t26260 * t7454 + 0.9e1 / 0.2e1 * t26263 * t7462 + 0.3e1 / 0.2e1 * t3226 * t1802 + 0.3e1 / 0.4e1 * t630 * t7503 + 0.3e1 / 0.4e1 * t3101 * t1802 + 0.3e1 / 0.4e1 * t608 * t7503 - t642 * t7374 / 0.4e1 + 0.9e1 / 0.2e1 * t21529 * t7200 + 0.9e1 / 0.2e1 * t3167 * t35828 * t4846 - 0.9e1 * t3070 * t7203;
  t36552 = -0.9e1 * t3061 * t7203 - 0.9e1 * t679 * t35828 * t4856 + 0.7e1 * t35814 * t4852 + 0.7e1 * t35507 * t4852 + 0.7e1 * t7196 * t4851 * t26165 + 0.89e2 / 0.9e1 * t35300 * t27504 - 0.9e1 / 0.2e1 * t35814 * t4841 - 0.9e1 / 0.2e1 * t35507 * t4841 - 0.9e1 / 0.2e1 * t7196 * t27519 - 0.43e2 / 0.9e1 * t35300 * t27508 - t3066 * t7487 / 0.2e1;
  t36555 = t1254 * t7373;
  t36579 = -t654 * t36555 / 0.2e1 - 0.2e1 * t35300 * t26955 + 0.3e1 / 0.2e1 * t7587 * t3363 - 0.3e1 / 0.2e1 * t1770 * t3411 - 0.62e2 / 0.3e1 * t35300 * t31741 + 0.8e1 * t35300 * t26624 - 0.6e1 * t20841 * t35527 * t26342 + 0.3e1 / 0.2e1 * t7251 * t27545 - 0.3e1 * t7251 * t27549 + t1815 * t20788 / 0.2e1 + t1815 * t20793 / 0.6e1;
  t36584 = t7555 * t595;
  t36586 = t191 * t194 * t36584;
  t36604 = t3209 * t1814;
  t36610 = -t3066 * t7516 / 0.4e1 + t7742 * t3499 / 0.2e1 + t36586 * t1295 / 0.2e1 + t7746 * t5149 + t7746 * t3499 / 0.2e1 + 0.3e1 / 0.4e1 * t630 * t7219 + 0.3e1 / 0.4e1 * t608 * t7219 + 0.3e1 / 0.4e1 * t246 * t7400 * t776 * t249 + t246 * t1805 * t3584 * t249 / 0.4e1 + t36604 * t1295 / 0.2e1 + 0.3e1 / 0.2e1 * t3266 * t7361 * t3468;
  t36638 = -0.3e1 / 0.2e1 * t3266 * t7351 * t20770 * t1281 - t3266 * t7351 * t640 * t826 / 0.2e1 - 0.9e1 * t608 * t7424 + 0.3e1 * t7243 * t27052 - 0.6e1 * t7243 * t27055 - 0.11e2 / 0.6e1 * t7196 * t26171 + 0.23e2 / 0.12e2 * t7196 * t26166 + 0.3e1 * t35579 * t5179 - 0.6e1 * t35579 * t5185 + 0.3e1 * t35584 * t5179 - 0.6e1 * t35584 * t5185;
  t36660 = t247 * t36584;
  t36664 = t1254 * t7261;
  t36668 = t1261 * t1768 * t830;
  t36670 = -0.11e2 / 0.6e1 * t35814 * t5167 + 0.23e2 / 0.12e2 * t35814 * t4811 + 0.18e2 * t3167 * t35527 * t25945 - 0.18e2 * t679 * t35527 * t26959 - t246 * t1792 * t21164 / 0.2e1 - 0.3e1 / 0.4e1 * t3220 * t1798 - 0.3e1 / 0.2e1 * t3226 * t1798 - 0.3e1 / 0.4e1 * t3101 * t1798 - 0.3e1 * t630 * t7511 - 0.3e1 / 0.2e1 * t246 * t36660 * t1281 - t654 * t36664 / 0.2e1 + t654 * t36668;
  t36680 = t680 * t35582;
  t36699 = -0.3e1 / 0.2e1 * t7587 * t3415 + 0.3e1 / 0.2e1 * t1770 * t3687 + 0.9e1 * t3070 * t7427 + 0.9e1 * t679 * t36680 * t4918 - 0.9e1 * t246 * t36680 * t4903 + 0.9e1 * t3061 * t7427 + 0.11e2 / 0.3e1 * t10757 * t26848 - 0.11e2 / 0.6e1 * t10757 * t26851 - 0.5e1 / 0.12e2 * t35814 * t4890 - 0.5e1 / 0.12e2 * t35507 * t4890 - 0.5e1 / 0.12e2 * t7196 * t26630;
  t36710 = t3231 * t1814;
  t36711 = t36710 * t1295;
  t36713 = t7567 * t840;
  t36715 = t35387 * t1300;
  t36717 = t188 * t7755;
  t36724 = -0.35e2 / 0.108e3 * t35300 * t26012 - t7549 * t845 / 0.4e1 - t7546 * t845 / 0.2e1 - t1750 * t3391 / 0.2e1 - t1750 * t3386 / 0.4e1 - t36711 / 0.9e1 - t36713 / 0.18e2 + t36715 / 0.18e2 - t36717 / 0.2e1 - t3266 * t7352 * t3447 / 0.4e1 + 0.3e1 / 0.2e1 * t11019 * t26838;
  t36732 = t22179 * t1791;
  t36740 = t3235 * t1765;
  t36742 = t3231 * t1769;
  t36743 = t36742 * t250;
  t36751 = 0.3e1 * t26266 * t7452 - 0.3e1 * t21748 * t7450 - 0.3e1 / 0.2e1 * t21748 * t7362 - 0.3e1 / 0.2e1 * t3266 * t36732 * t1281 - 0.3e1 * t21744 * t7450 - 0.3e1 / 0.2e1 * t21744 * t7362 + t36740 / 0.18e2 - t36743 / 0.6e1 + t1770 * t3206 / 0.4e1 - t3213 * t1765 / 0.4e1 - t3193 * t1765 / 0.12e2;
  t36756 = t661 * t1893;
  t36759 = t3145 * t526;
  t36776 = t4784 * t7231;
  t36780 = -t642 * t7606 / 0.4e1 - t3066 * t7532 / 0.4e1 - t654 * t36756 / 0.4e1 - 0.5e1 / 0.36e2 * t3138 * t36759 + 0.3e1 / 0.4e1 * t7592 * t623 + 0.3e1 / 0.4e1 * t7600 * t623 + t20988 * t530 / 0.4e1 + 0.3e1 / 0.4e1 * t20991 * t530 + 0.3e1 / 0.4e1 * t3220 * t1747 + 0.3e1 * t10838 * t26303 - 0.6e1 * t10838 * t26307 - 0.3e1 * t4993 * t36776 * t1269;
  t36791 = t188 * t1872;
  t36792 = t36791 * t4885;
  t36798 = t253 * t35956;
  t36799 = t4873 * t36798;
  t36802 = t4877 * t7357;
  t36805 = t22461 * t7358;
  t36809 = t3273 * t253 * t543 * t3445;
  t36812 = -0.3e1 * t7251 * t26768 + 0.2e1 / 0.3e1 * t7251 * t26771 - 0.4e1 / 0.3e1 * t7251 * t26670 - 0.11e2 / 0.12e2 * t7251 * t26830 - t36792 / 0.3e1 + t20705 * t11167 / 0.2e1 + t20727 * t7358 / 0.6e1 - t20708 * t36799 / 0.4e1 + t21600 * t36802 / 0.4e1 + t36805 / 0.12e2 + t3272 * t36809 / 0.12e2;
  t36813 = t4808 * t1806;
  t36834 = t626 * t7745;
  t36839 = -0.5e1 / 0.36e2 * t3138 * t36813 + 0.3e1 / 0.2e1 * t630 * t7520 + 0.3e1 / 0.2e1 * t608 * t7520 + 0.3e1 / 0.4e1 * t246 * t3384 * t1869 * t249 + 0.3e1 / 0.4e1 * t246 * t830 * t7658 * t249 - t3213 * t1807 / 0.4e1 - t3193 * t1807 / 0.12e2 + t1815 * t25672 / 0.2e1 + t36834 * t1295 + t7742 * t5149 - t35369 * t1300 / 0.4e1;
  t36849 = t3267 * t7509;
  t36867 = -t7233 * t5190 / 0.2e1 - t1779 * t26635 / 0.4e1 + t515 * t21735 / 0.4e1 + t515 * t21331 / 0.12e2 - 0.3e1 * t3266 * t36849 * t1281 - 0.3e1 / 0.2e1 * t11019 * t26702 - t7254 * t21597 / 0.2e1 + t7254 * t26882 / 0.2e1 - t7248 * t22458 / 0.2e1 + 0.7e1 * t10757 * t9845 * t26224 - 0.14e2 * t10757 * t26847 * t26217;
  t36878 = t4996 * t36798;
  t36881 = t5175 * t7357;
  t36887 = t3247 * t1798;
  t36889 = t3242 * t1798;
  t36891 = t7400 * t783;
  t36896 = t4808 * t677 * t1805;
  t36899 = t769 * t1856;
  t36901 = 0.7e1 * t10757 * t9845 * t26306 + 0.5e1 / 0.6e1 * t7251 * t26841 - t7251 * t26844 / 0.2e1 - 0.3e1 / 0.2e1 * t3266 * t36490 * t3410 - t20708 * t36878 / 0.2e1 + t21600 * t36881 / 0.2e1 - 0.3e1 / 0.2e1 * t4993 * t35952 * t4794 - t36887 / 0.2e1 - t36889 / 0.2e1 - 0.3e1 / 0.2e1 * t679 * t36891 * t684 - 0.3e1 / 0.2e1 * t3138 * t36896 + t36899 / 0.6e1;
  t36906 = t22052 * t7362;
  t36908 = t1854 * t193;
  t36919 = t8790 * t253 * t543 * t3461;
  t36923 = t191 * t194 * t7231;
  t36926 = t637 * t7219;
  t36928 = t3238 * t1814;
  t36929 = t36928 * t1295;
  t36931 = t7276 * t5190;
  t36933 = t35631 * t1300;
  t36935 = t35329 * t1300;
  t36937 = -t36906 / 0.2e1 - 0.3e1 / 0.4e1 * t3266 * t36908 * t209 * t826 + 0.28e2 / 0.3e1 * t10838 * t26218 + 0.3e1 * t10838 * t26221 - t3272 * t36919 / 0.6e1 - 0.3e1 / 0.2e1 * t36923 * t4939 + t36926 / 0.4e1 + t36929 / 0.3e1 - t36931 / 0.6e1 - t36933 / 0.6e1 - t36935 / 0.6e1;
  t36938 = t1760 * t3534;
  t36964 = 0.5e1 / 0.54e2 * t3684 * t526;
  t36965 = t36938 / 0.6e1 + 0.9e1 * t10757 * t26189 * t3156 * t26216 - 0.9e1 * t4983 * t7686 * t26711 - t7228 * t5170 / 0.2e1 - t35369 * t1257 / 0.2e1 - t7233 * t5195 - 0.9e1 / 0.2e1 * t4772 * t7690 * t26469 - t30 * t3639 * t544 / 0.4e1 - 0.3e1 / 0.4e1 * t182 * t7340 - 0.3e1 * t4772 * t1872 * t26083 - t36964;
  t36969 = t222 * t7736;
  t36973 = t3238 * t1754 * t223;
  t36975 = t637 * t7557;
  t36978 = t21383 * t514 * t223;
  t36980 = t3247 * t1747;
  t36983 = t633 * t7563 * t223;
  t36985 = t7628 * t645;
  t36987 = t7633 * t645;
  t36993 = -t627 * t7606 / 0.2e1 - t211 * t36969 / 0.4e1 - t36973 / 0.6e1 + t36975 / 0.4e1 - t36978 / 0.12e2 + t36980 / 0.2e1 - t36983 / 0.12e2 - t36985 / 0.6e1 - t36987 / 0.6e1 - t515 * t20983 / 0.12e2 - t1755 * t3096 / 0.4e1;
  t36994 = t3238 * t1769;
  t36995 = t36994 * t250;
  t36997 = t633 * t7599;
  t36998 = t36997 * t250;
  t37000 = t3239 * t1765;
  t37002 = t634 * t7606;
  t37006 = t3209 * t1769;
  t37019 = 0.1e1 / t32 / t21804 * t3315;
  t37024 = t3294 * tau[0];
  t37029 = t3317 * t697;
  t37046 = 0.1e5 / 0.3e1 * t21843 * t37019 + 0.44e3 / 0.27e2 * t258 * t617 + 0.164e5 / 0.27e2 * t704 * t37024 + 0.1e5 / 0.9e1 * t21827 * t37019 - 0.1105e5 / 0.3e1 * t3331 * t37029 - 0.169e5 / 0.3e1 * t3334 * t37029 + 0.65e4 * t3314 * t37029 + 0.1625e5 * t3321 * t37029 + 0.2275e5 / 0.3e1 * t3326 * t37029 - 0.88e3 / 0.9e1 * t261 * t617 + 0.656e4 / 0.3e1 * t709 * t37024 - 0.4e5 / 0.3e1 * t21830 * t37019;
  t37071 = -0.88e3 / 0.9e1 * t265 * t617 + 0.656e4 / 0.27e2 * t714 * t37024 - 0.175e6 / 0.9e1 * t21833 * t37019 + 0.22e4 / 0.27e2 * t268 * t617 - 0.82e5 / 0.27e2 * t719 * t37024 - 0.7e5 / 0.9e1 * t21838 * t37019 + 0.22e4 / 0.27e2 * t273 * t617 - 0.164e5 / 0.9e1 * t726 * t37024 + 0.5e4 / 0.9e1 * t37019 * t264 - 0.328e4 / 0.27e2 * t37024 * t257 - 0.65e3 / 0.3e1 * t37029 * t83 + 0.44e3 / 0.27e2 * t617 * t77;
  t37077 = t36995 / 0.2e1 + t36998 / 0.2e1 - t37000 / 0.6e1 - t37002 / 0.6e1 - t3210 * t1765 / 0.4e1 + 0.3e1 / 0.4e1 * t37006 * t250 - t7254 * t26072 + 0.3e1 / 0.4e1 * t7251 * t26057 - 0.3e1 / 0.4e1 * t30 * t238 * t7336 - 0.3e1 / 0.4e1 * t182 * t7337 - t30 * t65 * t253 * (t37046 + t37071) / 0.4e1;
  t37082 = t188 * t519;
  t37083 = t37082 * t3276;
  t37096 = t1261 * t606 * t1805;
  t37106 = -0.3e1 / 0.2e1 * t182 * t7287 + t37083 / 0.6e1 + 0.3e1 * t3266 * t36776 * t1274 + 0.9e1 / 0.2e1 * t4983 * t7665 * t21947 + t20703 * t7358 / 0.4e1 - 0.3e1 / 0.4e1 * t21744 * t7353 + t654 * t37096 + 0.3e1 / 0.2e1 * t36448 * t5176 - 0.3e1 * t36448 * t5001 + 0.3e1 / 0.2e1 * t36429 * t5176 - 0.3e1 * t36429 * t5001;
  t37114 = t188 * t7736;
  t37121 = t4851 * t7490;
  t37126 = t634 * t7215;
  t37130 = 0.3e1 / 0.2e1 * t7251 * t26779 + 0.2e1 * t36448 * t5004 - t36429 * t4997 - 0.3e1 / 0.2e1 * t10757 * t26556 - t37114 / 0.4e1 + 0.3e1 / 0.2e1 * t608 * t7484 + 0.3e1 / 0.2e1 * t246 * t36891 * t690 + 0.7e1 / 0.3e1 * t3138 * t37121 + t1770 * t3469 / 0.2e1 + t37126 / 0.12e2 + 0.6e1 * t35417 * t26973;
  t37132 = t7611 * t827;
  t37134 = t637 * t7206;
  t37136 = t626 * t7186;
  t37139 = t633 * t7745;
  t37140 = t37139 * t1295;
  t37145 = t188 * t7287;
  t37147 = t188 * t7337;
  t37149 = t188 * t7340;
  t37151 = t3670 * t545;
  t37153 = t773 * t1823;
  t37155 = t773 * t1856;
  t37157 = -t37132 / 0.4e1 + 0.3e1 / 0.2e1 * t37134 - 0.3e1 / 0.2e1 * t37136 * t4939 + t37140 / 0.3e1 - 0.3e1 / 0.4e1 * t30 * t819 * t1855 - t37145 / 0.2e1 - t37147 / 0.4e1 - t37149 / 0.4e1 - t37151 / 0.4e1 - t37153 / 0.2e1 - t37155 / 0.2e1;
  t37162 = t26467 * t7454;
  t37177 = t36791 * t4765;
  t37181 = t3046 * t7582;
  t37183 = t633 * t7586;
  t37184 = t37183 * t685;
  t37186 = -0.3e1 / 0.4e1 * t759 * t1893 - t3664 * t526 / 0.4e1 - 0.3e1 / 0.2e1 * t37162 - 0.11e2 / 0.2e1 * t4983 * t1876 * t26540 + 0.11e2 / 0.2e1 * t4772 * t1876 * t26544 - 0.9e1 / 0.2e1 * t10757 * t26708 - 0.9e1 / 0.2e1 * t10757 * t9744 * t4991 * t26051 + t7254 * t26828 + t37177 / 0.3e1 - 0.3e1 / 0.4e1 * t21748 * t7353 + t37181 / 0.3e1 - t37184 / 0.2e1;
  t37190 = t3145 * t7581;
  t37193 = t3140 * t526;
  t37196 = t21387 * t530;
  t37203 = t7611 * t623;
  t37205 = t3198 * t1765;
  t37207 = t3046 * t7532;
  t37209 = t3242 * t1747;
  t37211 = t20977 * t530;
  t37213 = 0.23e2 / 0.36e2 * t3138 * t37190 - 0.11e2 / 0.18e2 * t3138 * t37193 + t37196 / 0.4e1 + t3088 * t7595 - 0.3e1 * t1770 * t3083 + 0.3e1 * t7587 * t3079 + t37203 / 0.4e1 - t37205 / 0.12e2 - t37207 / 0.12e2 + t37209 / 0.2e1 + t37211 / 0.4e1;
  t37214 = t626 * t7599;
  t37219 = t191 * t242 * t7734 * t243;
  t37235 = t22179 * t513;
  t37247 = 0.3e1 / 0.2e1 * t37214 * t250 + 0.3e1 / 0.4e1 * t37219 * t250 - 0.3e1 / 0.2e1 * t11019 * t27591 + 0.3e1 * t26260 * t7452 + 0.9e1 / 0.2e1 * t4772 * t7690 * t26730 + 0.3e1 / 0.2e1 * t4772 * t1872 * t20780 - 0.3e1 / 0.2e1 * t3266 * t7449 * t3492 - 0.3e1 / 0.4e1 * t3266 * t37235 * t826 - 0.5e1 / 0.2e1 * t4772 * t1876 * t26802 + 0.3e1 / 0.2e1 * t3266 * t7457 * t4828 - 0.3e1 / 0.4e1 * t182 * t7758;
  t37249 = t1254 * t7401;
  t37252 = t4851 * t1806;
  t37258 = t188 * t7758;
  t37260 = t773 * t1818;
  t37272 = -t654 * t37249 / 0.2e1 - 0.11e2 / 0.18e2 * t3138 * t37252 + t3066 * t7491 - 0.3e1 / 0.4e1 * t182 * t7736 - t37258 / 0.4e1 - t37260 / 0.2e1 - 0.9e1 * t9877 * t7686 * t26574 - 0.7e1 / 0.3e1 * t10838 * t26879 + t7254 * t26582 + t7248 * t20725 / 0.2e1 - t7251 * t27018 / 0.2e1;
  t37275 = t30 * t7670;
  t37277 = t30 * t1870;
  t37284 = t182 * t1872;
  t37296 = t7254 * t27021 / 0.2e1 + t37275 * t4765 + t37277 * t3276 / 0.2e1 - t36429 * t4874 / 0.2e1 - 0.5e1 / 0.12e2 * t10757 * t26053 + t37284 * t4765 - t37275 * t4885 + 0.3e1 / 0.4e1 * t36429 * t4879 + 0.3e1 / 0.2e1 * t10838 * t26876 - t37284 * t4885 + 0.3e1 / 0.4e1 * t36448 * t4879 + t7248 * t20721 / 0.4e1;
  t37301 = t182 * t519;
  t37326 = -t7251 * t27605 / 0.4e1 + t37301 * t3276 / 0.2e1 - t36448 * t4874 / 0.2e1 - 0.5e1 / 0.12e2 * t10757 * t27480 - t7251 * t26103 / 0.4e1 + 0.5e1 / 0.6e1 * t10757 * t27477 + t3266 * t7351 * t601 * t826 + 0.9e1 / 0.2e1 * t4993 * t7457 * t27536 - 0.9e1 / 0.2e1 * t3266 * t7457 * t27541 - 0.3e1 * t26211 * t7465 - 0.9e1 / 0.2e1 * t4772 * t7665 * t4780;
  t37339 = t4784 * t7241;
  t37348 = t3678 * t526;
  t37350 = t769 * t1893;
  t37352 = t773 * t1893;
  t37354 = t26467 * t7452;
  t37355 = 0.2e1 * t4983 * t1876 * t26203 - 0.2e1 * t4772 * t1876 * t26207 - 0.14e2 * t4983 * t7680 * t26229 + 0.14e2 * t4772 * t7680 * t26233 + 0.9e1 * t4993 * t37339 * t4918 - 0.9e1 * t3266 * t37339 * t4903 - 0.14e2 / 0.3e1 * t10838 * t27468 + t37348 / 0.6e1 + t37350 / 0.6e1 - t37352 / 0.2e1 + t37354;
  t37357 = t188 * t1876;
  t37358 = t37357 * t5176;
  t37360 = t37357 * t5001;
  t37365 = t37357 * t4997;
  t37367 = t37357 * t5004;
  t37369 = t37357 * t4879;
  t37371 = t37357 * t4874;
  t37381 = t37358 / 0.2e1 - t37360 - 0.11e2 / 0.6e1 * t7251 * t26402 + 0.11e2 / 0.3e1 * t7251 * t26407 - t37365 / 0.3e1 + 0.2e1 / 0.3e1 * t37367 + t37369 / 0.4e1 - t37371 / 0.6e1 - 0.9e1 * t4993 * t35984 * t4856 + 0.3e1 / 0.2e1 * t630 * t7484 + 0.3e1 / 0.2e1 * t4772 * t1872 * t26692;
  t37391 = t3267 * t1753;
  t37413 = t22052 * t7450;
  t37414 = 0.3e1 / 0.2e1 * t4772 * t519 * t21180 - 0.3e1 / 0.4e1 * t3266 * t7361 * t3447 + 0.3e1 * t4772 * t7670 * t4774 - 0.3e1 / 0.2e1 * t3266 * t37391 * t826 + 0.9e1 / 0.2e1 * t26550 * t35984 * t4846 + 0.18e2 * t4983 * t7686 * t26559 - 0.3e1 / 0.4e1 * t30 * t1892 * t732 - t30 * t525 * t3342 / 0.4e1 - t3664 * t545 / 0.4e1 - 0.3e1 / 0.4e1 * t759 * t1823 - 0.3e1 / 0.4e1 * t759 * t1856 - t37413;
  t37421 = my_piecewise3(t2, 0, t36418 + t37381 + t35626 + t36393 + t35392 + t36751 + t37157 + t35339 + t35414 + t35823 + t35905 + t36812 + t35933 + t36442 + t35317 + t36867 + t37106 + t37355 + t36993 + t35768 + t36839 + t35796 + t35711 + t35510 + t35996 + t35654 + t35679 + t37414 + t37186 + t36699 + t36502 + t36670 + t35569 + t36527 + t35447 + t35876 + t37247 + t36780 + t36058 + t37130 + t35475 + t35599 + t36552 + t35965 + t35738 + t36638 + t36901 + t35851 + t36579 + t35541 + t37296 + t36473 + t37326 + t37272 + t36027 + t36610 + t37077 + t36965 + t36724 + t36937 + t36369 + t37213 + t35371 + t36342);
  tv4rho3tau0 = t3 * t37421 + 0.3e1 * t7772;

  if(out->v4rho3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 0] += tv4rho3tau0;

  t37428 = t22986 * t554 * t350;
  t37431 = t22982 * t554 * t350;
  t37435 = 0.5e1 / 0.162e3 * t22978 * t554 * t350;
  t37438 = t3720 * t566;
  t37440 = t3724 * t566;
  t37443 = 0.5e1 / 0.54e2 * t3728 * t566;
  t37446 = t22987 * t570;
  t37448 = t22983 * t570;
  t37451 = 0.5e1 / 0.54e2 * t22979 * t570;
  t37454 = t3720 * t585;
  t37456 = t3724 * t585;
  t37459 = 0.5e1 / 0.54e2 * t3728 * t585;
  t37460 = -t23003 * t554 * t350 / 0.12e2 - t37428 / 0.12e2 + t37431 / 0.18e2 - t37435 - t3716 * t566 / 0.4e1 - t37438 / 0.4e1 + t37440 / 0.6e1 - t37443 + t23004 * t570 / 0.4e1 + t37446 / 0.4e1 - t37448 / 0.6e1 + t37451 - t3716 * t585 / 0.4e1 - t37454 / 0.4e1 + t37456 / 0.6e1 - t37459;
  t37461 = my_piecewise3(t100, 0, t37460);
  tv4rho3tau1 = t3 * t37461 + 0.3e1 * t7803;

  if(out->v4rho3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 1] += tv4rho3tau1;

  t37463 = 0.2e1 * t7907;
  t37476 = t94 * t512;
  t37483 = t244 * t37476;
  t37484 = t1261 * t37483;
  t37491 = t3750 * t1814;
  t37494 = t897 * t7745;
  t37504 = -t35288 / 0.18e2 + t35292 / 0.6e1 + t35294 / 0.6e1 - t35296 / 0.18e2 - t35318 / 0.18e2 - 0.11e2 / 0.54e2 * t35321 - t7869 * t827 / 0.4e1 + 0.2e1 / 0.3e1 * t22877 * t14138 + t903 * t7520 / 0.2e1 + 0.2e1 / 0.3e1 * t22877 * t1261 * t606 * t37476 + t3776 * t1802 / 0.2e1 + 0.2e1 / 0.3e1 * t27752 * t37484 + t3754 * t1802 / 0.2e1 + t1923 * t3530 / 0.12e2 + t37491 * t1295 / 0.3e1 + t37494 * t1295 / 0.3e1 + t7825 * t5149 / 0.3e1 + t7825 * t3499 / 0.6e1 + t7859 * t840 / 0.6e1 + 0.2e1 / 0.9e1 * t35330;
  t37525 = 0.2e1 / 0.9e1 * t35395 + t35399 / 0.6e1 + t35401 / 0.3e1 + t35402 / 0.3e1 + t35405 / 0.3e1 - t35410 / 0.18e2 - 0.5e1 / 0.108e3 * t35412 - t35424 / 0.36e2 + t35426 - t35428 + t35442 / 0.3e1;
  t37555 = t3757 * t1814;
  t37557 = t37555 * t1295 / 0.9e1;
  t37559 = t7880 * t840 / 0.18e2;
  t37561 = 0.2e1 / 0.9e1 * t27868 * t37484;
  t37563 = t3761 * t1802 / 0.6e1;
  t37564 = t3750 * t1778;
  t37567 = t897 * t7232;
  t37570 = t7862 * t840 / 0.6e1 + t1923 * t3534 / 0.6e1 - t7862 * t845 / 0.6e1 - t1923 * t3391 / 0.6e1 - t1923 * t3386 / 0.12e2 + t37557 + t37559 + t37561 + t37563 - t37564 * t1300 / 0.6e1 - t37567 * t1300 / 0.6e1;
  t37576 = t897 * t7195;
  t37606 = -t35496 / 0.9e1 - t35503 / 0.6e1 - t35533 / 0.18e2 - t898 * t7374 / 0.6e1 + t3776 * t1811 / 0.2e1 - t898 * t7402 / 0.6e1 + t903 * t7406 / 0.2e1 + t7869 * t832 / 0.2e1 + t898 * t7215 / 0.12e2 - t898 * t7262 / 0.6e1 - t35577 / 0.9e1;
  t37610 = t897 * t7186;
  t37613 = t3757 * t1778;
  t37615 = t37613 * t1300 / 0.18e2;
  t37616 = t897 * t7242;
  t37620 = t7880 * t845 / 0.18e2;
  t37622 = t3761 * t1798 / 0.6e1;
  t37626 = t3761 * t1793 / 0.3e1;
  t37643 = -t35663 / 0.36e2 - t35665 / 0.18e2 - t35667 / 0.18e2 - t35669 / 0.18e2 + t35713 / 0.27e2 + t35716 / 0.27e2 + t35718 / 0.27e2 + t35732 / 0.6e1 - t35734 / 0.12e2 + t35736 / 0.6e1 - t35743 / 0.6e1;
  t37666 = -t35812 / 0.6e1 + t35835 / 0.2e1 + t35837 / 0.6e1 + t35839 / 0.18e2 + 0.2e1 / 0.9e1 * t35880 + t35882 / 0.9e1 + 0.2e1 / 0.9e1 * t35884 + 0.23e2 / 0.108e3 * t35886 - t35918 / 0.6e1 - t35920 + t35925 / 0.2e1;
  t37678 = t3761 * t1788 / 0.3e1;
  t37680 = t37613 * t1257 / 0.9e1;
  t37683 = t22806 * t1785 / 0.3e1;
  t37688 = t307 * t1876;
  t37697 = t3852 * t526 / 0.6e1;
  t37699 = t894 * t1893 / 0.6e1;
  t37702 = -t37683 - t22522 * t7353 / 0.4e1 - t22522 * t7362 / 0.2e1 + t37688 * t4879 / 0.4e1 - t37688 * t4874 / 0.6e1 + t35963 / 0.9e1 + t35969 / 0.9e1 + t35971 / 0.9e1 - t37697 - t37699 - t890 * t1893 / 0.2e1;
  t37730 = t37688 * t5176 / 0.2e1 + 0.3e1 / 0.2e1 * t27950 * t7462 - t890 * t1823 / 0.2e1 + 0.2e1 / 0.9e1 * t36372 + t36374 / 0.9e1 - t36381 / 0.12e2 - t36391 / 0.9e1 - t36395 / 0.9e1 - t36397 / 0.9e1 + t36408 - t36411;
  t37747 = t307 * t519;
  t37752 = t897 * t7586;
  t37767 = t36412 / 0.18e2 - t36419 / 0.6e1 - t36425 / 0.36e2 - t36451 - t307 * t7755 / 0.2e1 - t307 * t7340 / 0.4e1 - t3840 * t545 / 0.4e1 - t36472 / 0.3e1 + t36474 / 0.3e1 + t36475 / 0.2e1 + t37747 * t3276 / 0.6e1 + t3737 * t7582 / 0.3e1 - t37752 * t685 / 0.2e1 + t7869 * t691 / 0.2e1 - t3737 * t7595 / 0.6e1 - t3737 * t7487 / 0.6e1 + t3737 * t7491 / 0.3e1 - t28099 * t7465 + t22522 * t7458 + t22525 * t7358 / 0.12e2;
  t37809 = -0.3e1 * t3740 * t7203 + 0.3e1 / 0.2e1 * t903 * t7206 - t37576 * t4869 / 0.2e1 + 0.3e1 / 0.2e1 * t22632 * t7200 + t37616 * t5179 - 0.3e1 * t903 * t7424 - 0.11e2 / 0.18e2 * t37576 * t5167 + 0.23e2 / 0.36e2 * t37576 * t4811 + 0.3e1 * t3740 * t7427 - t1923 * t3464 / 0.6e1 - t22685 * t514 * t223 / 0.12e2;
  t37826 = t3750 * t1769;
  t37829 = t897 * t7599;
  t37855 = t903 * t7557 / 0.4e1 - t3751 * t1765 / 0.6e1 - t3764 * t1765 / 0.12e2 - t898 * t7606 / 0.6e1 + t22689 * t530 / 0.4e1 - 0.2e1 / 0.27e2 * t36711 - t36713 / 0.27e2 + t36715 / 0.27e2 - t36717 / 0.6e1 - t3740 * t7387 / 0.2e1 + t903 * t7219 / 0.4e1;
  t37876 = t307 * t1872;
  t37885 = t36926 / 0.12e2 + t36929 / 0.9e1 - t36931 / 0.18e2 - t36933 / 0.18e2 - t36935 / 0.18e2 + t36938 / 0.18e2 - t37876 * t4885 / 0.3e1 + t37876 * t4765 / 0.3e1 + t28063 * t7452 - t22522 * t7450 + t22654 * t530 / 0.2e1;
  t37894 = t7880 * t645 / 0.18e2;
  t37896 = t22680 * t530 / 0.6e1;
  t37898 = t22931 * t530 / 0.6e1;
  t37900 = t3761 * t1747 / 0.6e1;
  t37903 = t22676 * t514 * t223 / 0.18e2;
  t37906 = t3757 * t1754 * t223 / 0.18e2;
  t37907 = t3757 * t1769;
  t37909 = t37907 * t250 / 0.6e1;
  t37914 = t3758 * t1765 / 0.18e2;
  t37918 = t22669 * t514 * t223;
  t37920 = t22673 * t530;
  t37928 = -t37914 + t3747 * t1765 / 0.6e1 + t37918 / 0.54e2 - t37920 / 0.18e2 - t36964 - t36973 / 0.18e2 + t36975 / 0.12e2 - t36978 / 0.36e2 + t36980 / 0.6e1 - t36983 / 0.36e2 - t36985 / 0.18e2;
  t37940 = t3758 * t1807 / 0.18e2;
  t37942 = t3761 * t1811 / 0.6e1;
  t37943 = t897 * t20925;
  t37944 = t677 * t37476;
  t37951 = t4851 * t37483;
  t37960 = t894 * t1856 / 0.6e1;
  t37962 = t894 * t1818 / 0.6e1;
  t37964 = t3852 * t545 / 0.6e1;
  t37965 = t3848 * t545;
  t37967 = t3848 * t526;
  t37970 = t903 * t7379 / 0.2e1 + 0.7e1 / 0.3e1 * t37943 * t37951 - t3751 * t1807 / 0.6e1 + t3754 * t1811 / 0.2e1 + t37083 / 0.18e2 - t37960 - t37962 - t37964 + t37965 / 0.18e2 + t37967 / 0.18e2 - t37114 / 0.12e2;
  t37973 = t670 * t7460;
  t37977 = t894 * t1823 / 0.6e1;
  t38000 = -t37149 / 0.12e2 - t37151 / 0.12e2 - t37153 / 0.6e1 - t37155 / 0.6e1 - t37162 / 0.2e1 + t37177 / 0.9e1 + t37181 / 0.9e1 - t37184 / 0.6e1 + t37196 / 0.12e2 + t37203 / 0.12e2 - t37205 / 0.36e2;
  t38029 = -t890 * t1856 / 0.2e1 - t307 * t7287 / 0.2e1 - t307 * t7758 / 0.4e1 + t37354 / 0.3e1 + t37358 / 0.6e1 - t37360 / 0.3e1 - t37365 / 0.9e1 + 0.2e1 / 0.9e1 * t37367 + t37369 / 0.12e2 - t37371 / 0.18e2 - t37413 / 0.3e1;
  t38035 = my_piecewise3(t2, 0, -t3840 * t526 / 0.4e1 + 0.2e1 / 0.3e1 * t37688 * t5004 + t3754 * t1747 / 0.2e1 + t22657 * t530 / 0.4e1 - t7869 * t598 / 0.2e1 - t7859 * t845 / 0.6e1 - t307 * t7337 / 0.4e1 - t890 * t1818 / 0.2e1 - t22773 * t1785 + t3776 * t1788 - t3740 * t7481 / 0.2e1 + t903 * t7484 / 0.2e1 - t3737 * t7532 / 0.12e2 + t37826 * t250 / 0.2e1 + t37829 * t250 / 0.2e1 + t7869 * t623 / 0.4e1 + t3776 * t1747 / 0.2e1 - t3740 * t7385 + t903 * t7398 - t22796 * t1785 + t3754 * t1788 - t7820 * t5170 / 0.6e1 + t7820 * t3399 / 0.3e1 - t903 * t7468 / 0.2e1 + t3747 * t1807 / 0.6e1 - 0.3e1 / 0.2e1 * t28063 * t7454 - t307 * t7736 / 0.4e1 - t1923 * t3096 / 0.12e2 - t37610 * t4939 / 0.2e1 + t37616 * t5157 / 0.2e1 + t903 * t7413 / 0.2e1 + 0.3e1 / 0.2e1 * t903 * t7420 - t37688 * t4997 / 0.3e1 - t7820 * t5190 / 0.6e1 - t7820 * t4893 / 0.12e2 - 0.5e1 / 0.36e2 * t37576 * t4890 - t3776 * t1793 - t903 * t7511 - t903 * t7513 / 0.2e1 - 0.2e1 * t27878 * t37484 - t3754 * t1798 / 0.2e1 - t3776 * t1798 / 0.2e1 - t903 * t7526 / 0.2e1 - t903 * t7529 / 0.4e1 - t3754 * t1793 + t903 * t7503 / 0.4e1 - t3764 * t1807 / 0.12e2 - t3737 * t7516 / 0.12e2 - t7820 * t5195 / 0.3e1 - t37564 * t1257 / 0.3e1 - t37567 * t1257 / 0.3e1 - t7859 * t645 / 0.6e1 - t7862 * t645 / 0.6e1 - t3750 * t1754 * t223 / 0.6e1 - t897 * t7563 * t223 / 0.12e2 - 0.3e1 / 0.2e1 * t37943 * t4808 * t37944 - t27800 * t4877 * t37973 - t36987 / 0.18e2 + t37348 / 0.9e1 + t37350 / 0.9e1 + t37767 - t37615 + t37730 - t35485 / 0.9e1 - t35487 / 0.3e1 - t35934 / 0.2e1 - 0.4e1 / 0.27e2 * t35390 - t37145 / 0.6e1 + t37570 + t37885 + t36054 / 0.6e1 - t36056 / 0.18e2 - 0.2e1 / 0.9e1 * t35385 + t37809 + t37140 / 0.9e1 + t37928 - t36889 / 0.6e1 + t36349 / 0.12e2 - 0.2e1 / 0.3e1 * t35443 + t37606 + t37898 + t37900 - t35632 / 0.9e1 - t35332 / 0.6e1 - t35334 / 0.3e1 + t37702 - t37147 / 0.12e2 - t36887 / 0.6e1 - t37352 / 0.6e1 - t35335 / 0.3e1 - t35336 / 0.3e1 - t37977 - t35766 / 0.6e1 + t36899 / 0.9e1 + t37678 - t37680 + t36998 / 0.6e1 - t37000 / 0.18e2 + t35754 / 0.18e2 - t35756 / 0.36e2 - t37260 / 0.6e1 + t38029 - t37626 + t35943 / 0.18e2 - t37620 - t36345 / 0.3e1 - t36346 / 0.3e1 + t35758 / 0.9e1 - t37894 + t37896 - t37940 + t37942 + t38000 + t35449 / 0.27e2 + t37970 + t35941 / 0.36e2 + t35479 / 0.6e1 - t37132 / 0.12e2 + t37134 / 0.2e1 - t37622 - t36318 / 0.12e2 - t37258 / 0.12e2 - t36792 / 0.9e1 + 0.7e1 / 0.9e1 * t35798 + t37666 - t35804 / 0.18e2 + t37855 - t36743 / 0.9e1 - t37903 + t36805 / 0.36e2 + t36019 / 0.6e1 + t35752 / 0.6e1 + t35810 / 0.6e1 - t35359 / 0.9e1 - t35361 / 0.18e2 + t36740 / 0.27e2 + t35659 / 0.6e1 - t35748 / 0.36e2 + t35488 / 0.27e2 - t35490 / 0.6e1 - t37207 / 0.36e2 + t37126 / 0.36e2 + t36995 / 0.6e1 + 0.2e1 / 0.27e2 * t35388 + t37504 + t37643 + t35792 / 0.9e1 - t37906 + t37909 - t37002 / 0.18e2 + t35947 / 0.18e2 + t37525 + t37209 / 0.6e1 + t37211 / 0.12e2 + t35365 / 0.6e1 - t36906 / 0.6e1);
  tv4rho3tau2 = t3 * t38035 + t37463 + t7772;

  if(out->v4rho3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 2] += tv4rho3tau2;

  t38037 = 0.2e1 * t8038;
  t38038 = t7781 * t1098;
  t38040 = t3901 * t1973;
  t38041 = t38040 * t1452;
  t38043 = t7781 * t1103;
  t38045 = t3901 * t1980;
  t38046 = t38045 * t1457;
  t38048 = t23420 * t2026;
  t38050 = t3917 * t2029;
  t38052 = t38045 * t1426;
  t38054 = t3917 * t2037;
  t38058 = t3893 * t1980;
  t38063 = -t38038 / 0.54e2 - t38041 / 0.27e2 + t38043 / 0.54e2 + t38046 / 0.54e2 + t38048 / 0.9e1 - t38050 / 0.9e1 + t38052 / 0.27e2 + t38054 / 0.9e1 - t7775 * t1103 / 0.12e2 - t38058 * t1457 / 0.12e2 + t7775 * t1098 / 0.12e2;
  t38066 = t23445 * t570;
  t38068 = t23306 * t570;
  t38071 = t23305 * t554 * t350;
  t38073 = t3917 * t1938;
  t38076 = t3901 * t1945 * t350;
  t38078 = t7781 * t994;
  t38080 = t3897 * t1955;
  t38082 = t38080 * t377 / 0.6e1;
  t38084 = t3898 * t1951 / 0.18e2;
  t38086 = t3914 * t1938 / 0.6e1;
  t38088 = t23266 * t570 / 0.6e1;
  t38090 = t23270 * t570 / 0.6e1;
  t38091 = t3911 * t1969 / 0.4e1 - t38066 / 0.18e2 - t38068 / 0.18e2 + t38071 / 0.54e2 - t38073 / 0.18e2 + t38076 / 0.54e2 + t38078 / 0.54e2 + t38082 - t38084 + t38086 + t38088 + t38090;
  t38095 = t23269 * t554 * t350 / 0.18e2;
  t38097 = t7778 * t994 / 0.18e2;
  t38100 = t3897 * t1945 * t350 / 0.18e2;
  t38107 = t3893 * t1955;
  t38110 = t873 * t2077;
  t38114 = -t38095 - t38097 - t38100 + t23300 * t570 / 0.4e1 + t3911 * t1938 / 0.4e1 - t3894 * t1951 / 0.12e2 + t38107 * t377 / 0.4e1 + t38110 / 0.18e2 - t37454 / 0.12e2 + t37456 / 0.9e1 - t37459;
  t38115 = t3893 * t1973;
  t38134 = t38045 * t1432;
  t38136 = t3917 * t2041;
  t38138 = t3917 * t2045;
  t38140 = t38115 * t1452 / 0.6e1 - t3894 * t1965 / 0.12e2 + t3911 * t2045 / 0.4e1 - t3911 * t2041 / 0.4e1 - t3911 * t2037 / 0.2e1 + t38058 * t1432 / 0.3e1 - t38058 * t1426 / 0.6e1 + t3911 * t2029 / 0.2e1 - t23288 * t2026 / 0.2e1 - 0.2e1 / 0.27e2 * t38134 + t38136 / 0.18e2 - t38138 / 0.18e2;
  t38143 = t3917 * t1969;
  t38145 = t3902 * t1965;
  t38151 = t869 * t1989 / 0.6e1;
  t38153 = t869 * t2022 / 0.6e1;
  t38154 = t873 * t2048;
  t38156 = t3888 * t585;
  t38158 = -t38143 / 0.18e2 + t38145 / 0.54e2 + t37431 / 0.27e2 - t37435 + t37446 / 0.12e2 - t37448 / 0.9e1 + t37451 - t38151 - t38153 + t38154 / 0.18e2 + t38156 / 0.18e2;
  t38159 = t873 * t1989;
  t38161 = t873 * t2022;
  t38173 = t3901 * t1955;
  t38174 = t38173 * t377;
  t38176 = t3902 * t1951;
  t38186 = t38159 / 0.18e2 + t38161 / 0.18e2 - t7775 * t994 / 0.12e2 - t23425 * t554 * t350 / 0.12e2 + t23429 * t570 / 0.4e1 - t3893 * t1945 * t350 / 0.12e2 - t38174 / 0.18e2 + t38176 / 0.54e2 - t865 * t2048 / 0.4e1 - t3880 * t585 / 0.4e1 - t865 * t1989 / 0.4e1 - t865 * t2022 / 0.4e1;
  t38189 = t869 * t2048 / 0.6e1;
  t38191 = t3884 * t585 / 0.6e1;
  t38193 = t869 * t2077 / 0.6e1;
  t38194 = t3888 * t566;
  t38197 = t23325 * t2026 / 0.3e1;
  t38199 = t3914 * t2029 / 0.3e1;
  t38200 = t3897 * t1980;
  t38202 = t38200 * t1426 / 0.9e1;
  t38204 = t3914 * t2037 / 0.3e1;
  t38206 = 0.2e1 / 0.9e1 * t38200 * t1432;
  t38208 = t3914 * t2041 / 0.6e1;
  t38210 = t3914 * t2045 / 0.6e1;
  t38212 = t3914 * t1969 / 0.6e1;
  t38213 = -t38189 - t38191 - t38193 + t38194 / 0.18e2 - t38197 + t38199 - t38202 - t38204 + t38206 - t38208 + t38210 + t38212;
  t38215 = t3898 * t1965 / 0.18e2;
  t38223 = t3884 * t566 / 0.6e1;
  t38225 = t7778 * t1098 / 0.18e2;
  t38226 = t3897 * t1973;
  t38228 = t38226 * t1452 / 0.9e1;
  t38230 = t7778 * t1103 / 0.18e2;
  t38232 = t38200 * t1457 / 0.18e2;
  t38234 = -t38215 - t37438 / 0.12e2 + t37440 / 0.9e1 - t37443 - t3880 * t566 / 0.4e1 - t865 * t2077 / 0.4e1 - t38223 + t38225 + t38228 - t38230 - t38232 - t37428 / 0.36e2;
  t38238 = my_piecewise3(t100, 0, t38063 + t38091 + t38114 + t38140 + t38158 + t38186 + t38213 + t38234);
  tv4rho3tau3 = t3 * t38238 + t38037 + t7803;

  if(out->v4rho3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 3] += tv4rho3tau3;

  t38258 = -t8041 * t845 / 0.12e2 + t3958 * t1788 / 0.2e1 - t35385 / 0.9e1 + t35388 / 0.27e2 - 0.2e1 / 0.27e2 * t35390 + t35395 / 0.9e1 - t3953 * t1807 / 0.12e2 + t3958 * t1811 / 0.4e1 - t3958 * t1793 / 0.2e1 - t3958 * t1798 / 0.4e1 + t3958 * t1802 / 0.4e1;
  t38263 = t37557 + t37559 + t37561 + t37563 + t35449 / 0.54e2 + t35488 / 0.54e2 - t35496 / 0.18e2 - t35577 / 0.18e2 - t37615 - t37620 - t37622 - t37626;
  t38270 = t3952 * t1778;
  t38273 = t3952 * t1814;
  t38282 = t35713 / 0.54e2 + t35716 / 0.54e2 + t35718 / 0.54e2 + t8041 * t840 / 0.12e2 - t38270 * t1300 / 0.12e2 + t38273 * t1295 / 0.6e1 - t23213 * t1785 / 0.2e1 - t38270 * t1257 / 0.6e1 + t38270 * t1263 / 0.3e1 + t37678 - t37680;
  t38287 = t23185 * t514 * t223;
  t38297 = t3952 * t1769;
  t38300 = -t37683 + t35963 / 0.18e2 + t35969 / 0.18e2 + t35971 / 0.18e2 - t37697 - t37699 - t38287 / 0.36e2 + t23181 * t530 / 0.4e1 + t23174 * t530 / 0.4e1 + t3958 * t1747 / 0.4e1 - t3953 * t1765 / 0.12e2 + t38297 * t250 / 0.4e1;
  t38311 = t23197 * t530;
  t38313 = t3949 * t526;
  t38323 = -t8041 * t645 / 0.12e2 - t23177 * t514 * t223 / 0.12e2 - t3952 * t1754 * t223 / 0.12e2 + t38311 / 0.12e2 - t38313 / 0.12e2 + t36372 / 0.9e1 + t36374 / 0.18e2 - t972 * t1893 / 0.4e1 - t3945 * t526 / 0.4e1 - t36391 / 0.18e2 - t36395 / 0.18e2;
  t38335 = -t36397 / 0.18e2 + t36408 - t36411 - t36451 - t36711 / 0.27e2 - t36713 / 0.54e2 + t36715 / 0.54e2 + t36740 / 0.54e2 - t36743 / 0.18e2 + t36899 / 0.18e2 - t3945 * t545 / 0.4e1 - t972 * t1818 / 0.4e1;
  t38337 = t3949 * t545;
  t38344 = -t38337 / 0.12e2 - t972 * t1823 / 0.4e1 - t972 * t1856 / 0.4e1 - t37894 + t37896 + t37898 + t37900 - t37903 - t37906 + t37909 - t37914 + t37918 / 0.27e2;
  t38350 = -t37920 / 0.9e1 - t36964 - t37940 + t37942 - t37960 - t37962 - t37964 + t37965 / 0.9e1 + t37967 / 0.9e1 - t37977 + t37348 / 0.18e2 + t37350 / 0.18e2;
  t38354 = my_piecewise3(t2, 0, t38258 + t38263 + t38282 + t38300 + t38323 + t38335 + t38344 + t38350);
  tv4rho3tau4 = t3 * t38354 + t37463 + t8055;

  if(out->v4rho3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 4] += tv4rho3tau4;

  t38363 = t4021 * t1980;
  t38366 = t933 * t8085;
  t38373 = t933 * t8168;
  t38387 = t1905 * t4442;
  t38389 = t1905 * t4437;
  t38391 = t8006 * t1103;
  t38393 = t8011 * t1103;
  t38395 = -t945 * t8352 - t945 * t8354 / 0.2e1 - t4025 * t2041 / 0.2e1 - t4028 * t2041 / 0.2e1 - t38363 * t1426 / 0.3e1 - t38366 * t1426 / 0.3e1 - t7921 * t5618 / 0.3e1 - t7921 * t5621 / 0.6e1 - 0.11e2 / 0.18e2 * t38373 * t6022 + 0.2e1 / 0.3e1 * t38363 * t1432 + 0.2e1 / 0.3e1 * t38366 * t1432 + 0.2e1 / 0.3e1 * t7921 * t6052 - t23870 * t2026 - t23883 * t2026 - t3971 * t8580 - t3971 * t8583 / 0.2e1 - t38387 / 0.18e2 - t38389 / 0.36e2 - t38391 / 0.18e2 - t38393 / 0.18e2;
  t38396 = t937 * t8168;
  t38397 = t38396 * t5756;
  t38399 = t7911 * t5759;
  t38401 = t1905 * t4457;
  t38403 = t1905 * t4538;
  t38405 = t8011 * t1098;
  t38407 = t8006 * t1098;
  t38409 = t937 * t8090;
  t38410 = t38409 * t6028;
  t38412 = t7953 * t5787;
  t38414 = t7953 * t4429;
  t38425 = t937 * t8085;
  t38426 = t38425 * t1457;
  t38428 = t3986 * t1980;
  t38429 = t38428 * t1457;
  t38431 = t3974 * t8150;
  t38433 = t948 * t8122;
  t38435 = -0.2e1 / 0.27e2 * t38041 + t38043 / 0.27e2 + t38046 / 0.27e2 + 0.2e1 / 0.9e1 * t38048 - 0.2e1 / 0.9e1 * t38050 + 0.2e1 / 0.27e2 * t38052 + 0.2e1 / 0.9e1 * t38054 - t38426 / 0.18e2 - t38429 / 0.18e2 - t38431 / 0.36e2 + t38433 / 0.12e2;
  t38442 = t7911 * t5621;
  t38444 = t7911 * t5618;
  t38448 = t7911 * t5762;
  t38450 = t7997 * t1085;
  t38459 = t4021 * t1973;
  t38466 = t933 * t8144;
  t38475 = t3998 * t1965;
  t38477 = t38428 * t1426;
  t38479 = t38425 * t1426;
  t38481 = t3993 * t2041;
  t38483 = t38459 * t1452 / 0.3e1 - t4009 * t8150 / 0.12e2 + t945 * t8122 / 0.4e1 - t38466 * t5715 / 0.2e1 + t4037 * t1965 / 0.6e1 - t945 * t8140 / 0.2e1 - t1902 * t4357 / 0.6e1 + t38475 / 0.18e2 - t38477 / 0.9e1 - t38479 / 0.9e1 - t38481 / 0.6e1;
  t38485 = t3990 * t2041;
  t38487 = t948 * t8354;
  t38489 = t3993 * t2037;
  t38491 = t948 * t8352;
  t38493 = t3990 * t2037;
  t38495 = t38396 * t5744;
  t38499 = t933 * t8129;
  t38524 = t4025 * t2045 / 0.2e1 + t4028 * t2045 / 0.2e1 + t945 * t8114 / 0.4e1 + t945 * t8118 / 0.2e1 - t4014 * t1965 / 0.12e2 + t7921 * t4535 / 0.3e1 - t38066 / 0.9e1 - t38068 / 0.9e1 + t38071 / 0.27e2 - t38073 / 0.9e1 + t38076 / 0.27e2;
  t38536 = t933 * t8090;
  t38542 = t23779 * t554 * t350;
  t38544 = t948 * t8334;
  t38554 = t290 * t2060;
  t38556 = t945 * t8609 / 0.2e1 - t934 * t8602 / 0.6e1 + t38536 * t6028 / 0.2e1 + t8032 * t1098 / 0.6e1 - t38542 / 0.36e2 + t38544 / 0.12e2 + 0.3e1 / 0.2e1 * t945 * t8528 - 0.3e1 * t3971 * t8176 + 0.3e1 / 0.2e1 * t24004 * t8173 + t945 * t8164 / 0.2e1 - t38554 * t5693;
  t38570 = t294 * t2060;
  t38571 = t38570 * t5693;
  t38573 = t38570 * t5676;
  t38575 = t28763 * t8238;
  t38578 = t24028 * t8073;
  t38580 = t24028 * t8061;
  t38582 = t38570 * t5682;
  t38584 = t28548 * t8058;
  t38586 = t24028 * t8078;
  t38588 = t290 * t559;
  t38593 = t38570 * t5697;
  t38595 = t28548 * t8069;
  t38601 = t38578 / 0.3e1 - t38580 / 0.3e1 - t38582 / 0.9e1 + t38584 / 0.3e1 - t38586 / 0.6e1 + t38588 * t4690 / 0.6e1 - t38554 * t6001 / 0.6e1 + 0.2e1 / 0.9e1 * t38593 - t38595 / 0.2e1 - t38373 * t5566 / 0.2e1 - t3971 * t8161 / 0.2e1;
  t38614 = t4005 * t8580;
  t38620 = t4101 * t566;
  t38623 = t7997 * t1062;
  t38625 = t3974 * t8309;
  t38627 = t23786 * t570;
  t38629 = t3990 * t1938;
  t38631 = t933 * t8279;
  t38642 = t4021 * t1955;
  t38647 = t38623 / 0.12e2 - t38625 / 0.36e2 + t38627 / 0.12e2 + t38629 / 0.6e1 - t38631 * t1035 / 0.2e1 + t8016 * t1040 / 0.2e1 + t4009 * t8275 / 0.3e1 - t4009 * t8271 / 0.6e1 + t4037 * t1951 / 0.6e1 + t38642 * t377 / 0.2e1 - t8016 * t1048 / 0.2e1;
  t38649 = t933 * t8286;
  t38666 = t3981 * t1951;
  t38669 = t937 * t8323 * t350;
  t38672 = t23783 * t570;
  t38674 = t8011 * t994;
  t38676 = t3974 * t8271;
  t38678 = t3993 * t1938;
  t38680 = t1905 * t4171;
  t38682 = t8006 * t994;
  t38684 = t7997 * t1048;
  t38686 = t7997 * t1040;
  t38688 = t937 * t8279;
  t38689 = t38688 * t1035;
  t38691 = t3974 * t8275;
  t38693 = t3986 * t1955;
  t38694 = t38693 * t377;
  t38696 = t38672 / 0.12e2 - t38674 / 0.18e2 - t38676 / 0.18e2 + t38678 / 0.6e1 - t38680 / 0.36e2 - t38682 / 0.18e2 - t38684 / 0.6e1 + t38686 / 0.6e1 - t38689 / 0.6e1 + t38691 / 0.9e1 + t38694 / 0.6e1;
  t38701 = t937 * t8286;
  t38702 = t38701 * t377;
  t38704 = t3987 * t1951;
  t38706 = t938 * t8316;
  t38732 = t7911 * t6052;
  t38734 = t38425 * t1432;
  t38736 = t38396 * t6022;
  t38738 = t38428 * t1432;
  t38740 = t937 * t8144;
  t38741 = t38740 * t5715;
  t38743 = t3981 * t1965;
  t38745 = t38702 / 0.6e1 - t38704 / 0.18e2 - t38706 / 0.18e2 + t38110 / 0.9e1 + t23834 * t570 / 0.2e1 + t23880 * t570 / 0.4e1 - t8032 * t994 / 0.6e1 - t23818 * t554 * t350 / 0.12e2 - t4021 * t1945 * t350 / 0.6e1 + t4028 * t1938 / 0.2e1 + t945 * t8334 / 0.4e1 - t8027 * t994 / 0.6e1 - t1902 * t4171 / 0.12e2 - t933 * t8323 * t350 / 0.12e2 + 0.2e1 / 0.9e1 * t38732 + 0.2e1 / 0.9e1 * t38734 - 0.11e2 / 0.54e2 * t38736 + 0.2e1 / 0.9e1 * t38738 - t38741 / 0.6e1 - t38743 / 0.36e2;
  t38746 = t7911 * t4535;
  t38759 = t937 * t8129;
  t38760 = t38759 * t1452;
  t38762 = t3986 * t1973;
  t38763 = t38762 * t1452;
  t38765 = t929 * t2077;
  t38769 = t948 * t8140;
  t38771 = t948 * t8118;
  t38773 = t948 * t8114;
  t38787 = t37456 / 0.18e2 - t37459 - t38769 / 0.6e1 + t38771 / 0.6e1 + t38773 / 0.12e2 - t4022 * t1965 / 0.6e1 - t934 * t8553 / 0.6e1 + t8016 * t1090 / 0.2e1 - t38366 * t1457 / 0.6e1 - t38363 * t1457 / 0.6e1 + t1902 * t4538 / 0.6e1;
  t38796 = t1905 * t4357;
  t38798 = t3993 * t2045;
  t38800 = t3990 * t2045;
  t38802 = t294 * t8518;
  t38822 = t28899 * t8241;
  t38824 = t24031 * t8211;
  t38828 = -t38143 / 0.9e1 + t38145 / 0.27e2 - t1902 * t4442 / 0.6e1 - 0.5e1 / 0.36e2 * t38373 * t5756 - t8032 * t1103 / 0.6e1 + 0.3e1 * t3971 * t8201 - t290 * t8518 / 0.4e1 - t23548 * t8228 / 0.4e1 - t38822 / 0.3e1 + t38824 / 0.36e2 - t925 * t2077 / 0.2e1;
  t38832 = t3998 * t1951;
  t38842 = t948 * t8134;
  t38844 = t948 * t8105;
  t38846 = t3974 * t8153;
  t38848 = t3974 * t8157;
  t38850 = t4005 * t8161;
  t38852 = t948 * t8164;
  t38854 = t38396 * t5566;
  t38856 = t23651 * t8173;
  t38858 = t4005 * t8176;
  t38859 = t948 * t8528;
  t38861 = t23895 * t2026;
  t38863 = -t38842 / 0.6e1 - t38844 / 0.12e2 - t38846 / 0.18e2 + t38848 / 0.9e1 - t38850 / 0.6e1 + t38852 / 0.6e1 - t38854 / 0.6e1 + t38856 / 0.2e1 - t38858 + t38859 / 0.2e1 - t38861 / 0.3e1;
  t38867 = t23776 * t2026;
  t38873 = t938 * t8264;
  t38875 = t4005 * t8201;
  t38876 = t38409 * t5632;
  t38879 = t948 * t8197;
  t38880 = t38409 * t5707;
  t38882 = t948 * t8191;
  t38884 = t948 * t8609;
  t38886 = t938 * t8602;
  t38888 = t948 * t8606;
  t38890 = t3993 * t1969;
  t38892 = t938 * t8563;
  t38894 = t3987 * t1965;
  t38896 = t3990 * t1969;
  t38900 = -t38879 - 0.2e1 / 0.3e1 * t38880 + t38882 / 0.2e1 + t38884 / 0.6e1 - t38886 / 0.18e2 + t38888 / 0.6e1 + t38890 / 0.6e1 - t38892 / 0.18e2 - t38894 / 0.18e2 + t38896 / 0.6e1 - t4091 * t566 / 0.4e1;
  t38909 = -t38204 + t38206 - t38208 + t38210 + t38212 - t38215 + t37440 / 0.18e2 - t37443 - t38223 + t38225 + t38228;
  t38912 = t7997 * t1090;
  t38914 = t938 * t8553;
  t38916 = t28589 * t8254;
  t38918 = t948 * t8249;
  t38920 = t948 * t8247;
  t38922 = t3993 * t2029;
  t38924 = t3990 * t2029;
  t38926 = t28589 * t8587;
  t38929 = t4005 * t8583;
  t38931 = t38570 * t6009;
  t38933 = t24028 * t8228;
  t38935 = t294 * t2056;
  t38936 = t38935 * t6006;
  t38938 = t38570 * t6001;
  t38940 = t38935 * t6015;
  t38942 = t294 * t559;
  t38943 = t38942 * t4690;
  t38947 = t294 * t8379;
  t38949 = t294 * t8426;
  t38951 = t294 * t8369;
  t38953 = -t38929 / 0.6e1 + t38931 / 0.12e2 - t38933 / 0.12e2 + t38936 / 0.9e1 - t38938 / 0.18e2 - t38940 / 0.9e1 + t38943 / 0.18e2 - t925 * t2048 / 0.2e1 - t38947 / 0.6e1 - t38949 / 0.12e2 - t38951 / 0.6e1;
  t38955 = t294 * t8372;
  t38957 = t929 * t2048;
  t38959 = t4101 * t585;
  t38961 = t929 * t1989;
  t38963 = t929 * t2022;
  t38965 = t294 * t8365;
  t38984 = t290 * t2056;
  t38989 = t23797 * t570;
  t38992 = t3986 * t1945 * t350;
  t38998 = -t925 * t1989 / 0.2e1 - t290 * t8379 / 0.2e1 - t290 * t8365 / 0.4e1 - t925 * t2022 / 0.2e1 + t38984 * t6006 / 0.3e1 - t38984 * t6015 / 0.3e1 + t38989 / 0.6e1 - t38992 / 0.18e2 - t23548 * t8061 + t28461 * t8058 - t23548 * t8078 / 0.2e1;
  t39004 = my_piecewise3(t100, 0, 0.23e2 / 0.36e2 * t38373 * t5744 + t8027 * t1098 / 0.6e1 + 0.2e1 / 0.3e1 * t38554 * t5697 - t38554 * t5682 / 0.3e1 - t28445 * t8241 + 0.3e1 / 0.2e1 * t28713 * t8238 + t38554 * t5676 / 0.2e1 + t23548 * t8073 - 0.3e1 / 0.2e1 * t28461 * t8069 - t4025 * t2037 - t4028 * t2037 - t945 * t8105 / 0.4e1 + t945 * t8606 / 0.2e1 - t8016 * t1085 / 0.4e1 + t1902 * t4457 / 0.12e2 + t4009 * t8157 / 0.3e1 - t4009 * t8153 / 0.6e1 + t7916 * t4429 / 0.6e1 - t1902 * t4437 / 0.12e2 + t7916 * t5787 / 0.3e1 - 0.3e1 / 0.2e1 * t28497 * t8587 + t4025 * t2029 + t4028 * t2029 + t23732 * t8211 / 0.12e2 - t7921 * t5762 / 0.6e1 - t7921 * t5759 / 0.12e2 - 0.3e1 * t945 * t8197 + t38536 * t5632 + 0.3e1 / 0.2e1 * t945 * t8191 - 0.2e1 * t38536 * t5707 - t290 * t8369 / 0.2e1 - t290 * t8372 / 0.4e1 - t290 * t8426 / 0.4e1 - t4091 * t585 / 0.4e1 - t4009 * t8309 / 0.12e2 + t4025 * t1938 / 0.2e1 + t23815 * t570 / 0.4e1 + t945 * t8247 + t934 * t8264 / 0.12e2 + t38499 * t1452 / 0.3e1 - t945 * t8134 / 0.2e1 + t38649 * t377 / 0.2e1 - t4022 * t1951 / 0.6e1 - t4014 * t1951 / 0.12e2 - t934 * t8316 / 0.6e1 + t8016 * t1062 / 0.4e1 + t945 * t8249 / 0.2e1 + 0.7e1 / 0.3e1 * t28497 * t8254 - t8027 * t1103 / 0.6e1 + t4028 * t1969 / 0.2e1 + t4025 * t1969 / 0.2e1 - t934 * t8563 / 0.6e1 + t38554 * t6009 / 0.4e1 - t38669 / 0.36e2 + t38194 / 0.9e1 - t38197 + t38900 - t38153 + t38154 / 0.9e1 - t38493 / 0.3e1 + t38407 / 0.18e2 + t38410 / 0.6e1 + t38078 / 0.27e2 - t38802 / 0.12e2 + t38136 / 0.9e1 - t38138 / 0.9e1 + t38403 / 0.18e2 + t38405 / 0.18e2 + t38086 + t38088 - t38230 - t38232 + t38918 / 0.6e1 + t38920 / 0.3e1 + t38161 / 0.9e1 + t38090 + t38953 - t38955 / 0.12e2 - t38189 + t38798 / 0.6e1 + t38800 / 0.6e1 - t38914 / 0.18e2 + 0.7e1 / 0.9e1 * t38916 + t38176 / 0.27e2 + t38575 / 0.2e1 + t38082 - t38084 - t38614 / 0.3e1 + t38556 - t38450 / 0.12e2 - t38620 / 0.12e2 - 0.4e1 / 0.27e2 * t38134 + t38647 + t38696 + t38875 + t38876 / 0.3e1 - t38867 / 0.3e1 - t38038 / 0.27e2 + t38873 / 0.36e2 - t38399 / 0.36e2 + t38401 / 0.36e2 - t38796 / 0.18e2 + t38828 + t38763 / 0.9e1 - t38957 / 0.6e1 - t38959 / 0.12e2 + t38395 + t38863 + t38912 / 0.6e1 - t38666 / 0.36e2 + t38199 + t38760 / 0.9e1 - t38485 / 0.6e1 - t38487 / 0.6e1 - t38151 + t38832 / 0.18e2 + t38524 + t38787 + t38909 - t38174 / 0.9e1 + t38483 - t38191 - t38193 - t38100 + t37431 / 0.54e2 - t38765 / 0.6e1 - t38489 / 0.3e1 - t38491 / 0.3e1 - t38571 / 0.3e1 + t38573 / 0.6e1 - t38095 - t38097 + 0.23e2 / 0.108e3 * t38495 - t38448 / 0.18e2 + t38746 / 0.9e1 + t38601 - t38961 / 0.6e1 + t38156 / 0.9e1 + t38159 / 0.9e1 + t38745 + t38412 / 0.9e1 + t38414 / 0.18e2 - t38963 / 0.6e1 - t38965 / 0.12e2 + t38998 - 0.5e1 / 0.108e3 * t38397 + t38922 / 0.3e1 + t38924 / 0.3e1 - t38202 - t37435 - t38926 / 0.2e1 - t37448 / 0.18e2 + t37451 + t38435 - t38442 / 0.18e2 - t38444 / 0.9e1);
  tv4rho3tau5 = t3 * t39004 + t38037 + t8617;

  if(out->v4rho3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 5] += tv4rho3tau5;

  t39024 = -t23502 * t514 * t223 / 0.12e2 - t38287 / 0.12e2 + t37918 / 0.18e2 - t36411 - t4128 * t526 / 0.4e1 - t38313 / 0.4e1 + t37967 / 0.6e1 - t36964 + t23508 * t530 / 0.4e1 + t38311 / 0.4e1 - t37920 / 0.6e1 + t36408 - t4128 * t545 / 0.4e1 - t38337 / 0.4e1 + t37965 / 0.6e1 - t36451;
  t39025 = my_piecewise3(t2, 0, t39024);
  tv4rho3tau6 = t3 * t39025 + 0.3e1 * t8055;

  if(out->v4rho3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 6] += tv4rho3tau6;

  t39032 = my_piecewise3(t129, t322, 0.88e3 / 0.81e2 * t5835);
  t39044 = t4150 * t8274;
  t39047 = t565 * t4191;
  t39048 = t4155 * t39047;
  t39051 = t4179 * t1980;
  t39053 = t8321 * t999;
  t39054 = t1030 * t39053;
  t39061 = t349 * t8518;
  t39064 = -t1065 * t8323 * t350 / 0.4e1 - t321 * t194 * t39032 * t335 * t350 / 0.12e2 - t8324 * t994 / 0.4e1 + 0.3e1 / 0.2e1 * t1956 * t4730 - 0.3e1 * t8280 * t4726 + 0.7e1 / 0.3e1 * t4143 * t39044 - 0.3e1 / 0.2e1 * t4143 * t39048 + t39051 * t1432 + 0.3e1 / 0.2e1 * t373 * t39054 * t1415 - 0.3e1 / 0.2e1 * t1029 * t39054 * t1410 - t338 * t39061 / 0.4e1;
  t39069 = t1065 * t8286;
  t39074 = t321 * t369 * t8516 * t370;
  t39084 = -t4255 * t1951 / 0.4e1 - t4246 * t1951 / 0.12e2 + 0.3e1 / 0.2e1 * t39069 * t377 + 0.3e1 / 0.4e1 * t39074 * t377 - t38387 / 0.6e1 - t38389 / 0.12e2 - t38391 / 0.6e1 - t38393 / 0.6e1 - 0.5e1 / 0.36e2 * t38397 - t38399 / 0.12e2 + t38401 / 0.12e2;
  t39097 = t38403 / 0.6e1 + t38405 / 0.6e1 + t38407 / 0.6e1 + t38410 / 0.2e1 + t38412 / 0.3e1 + t38414 / 0.6e1 - t38038 / 0.18e2 - t38041 / 0.9e1 + t38043 / 0.18e2 + t38046 / 0.18e2 + t38048 / 0.3e1;
  t39103 = t1430 * t8562;
  t39106 = t1430 * t8601;
  t39118 = -t38050 / 0.3e1 + t38052 / 0.9e1 + t38054 / 0.3e1 - t4258 * t8150 / 0.4e1 - t1002 * t39103 / 0.4e1 - t1002 * t39106 / 0.4e1 + t4166 * t1965 / 0.2e1 + t1053 * t8563 / 0.2e1 + t1053 * t8602 / 0.2e1 + t4163 * t8150 / 0.2e1 - t38426 / 0.6e1;
  t39124 = t1065 * t8090;
  t39127 = t5595 * t1964;
  t39149 = -t38429 / 0.6e1 + t8125 * t4429 / 0.2e1 + 0.3e1 / 0.2e1 * t39124 * t6028 - 0.5e1 / 0.36e2 * t4143 * t39127 + 0.3e1 / 0.4e1 * t1070 * t8122 + 0.3e1 / 0.4e1 * t1058 * t8122 + 0.3e1 / 0.4e1 * t373 * t8600 * t1153 * t376 + t373 * t1963 * t4603 * t376 / 0.4e1 + 0.3e1 / 0.4e1 * t1058 * t8114 - 0.3e1 / 0.4e1 * t1058 * t8105 - t373 * t2040 * t24271 / 0.4e1;
  t39164 = t1065 * t8085;
  t39173 = 0.3e1 / 0.4e1 * t1070 * t8114 - 0.3e1 / 0.4e1 * t373 * t8133 * t4407 - 0.3e1 / 0.4e1 * t1070 * t8105 + t8125 * t5787 + t1941 * t4538 / 0.2e1 - t8081 * t5762 / 0.2e1 - t1941 * t4442 / 0.2e1 - t39164 * t1457 / 0.2e1 - t8340 * t1103 / 0.2e1 - t39051 * t1457 / 0.4e1 - t8337 * t1103 / 0.4e1;
  t39175 = t1065 * t8129;
  t39183 = t4179 * t1973;
  t39190 = t8321 * t1045;
  t39191 = t374 * t39190;
  t39195 = t374 * t8322;
  t39202 = t39175 * t1452 + t8340 * t1098 / 0.2e1 + 0.3e1 / 0.4e1 * t373 * t1088 * t8433 * t376 + t39183 * t1452 / 0.2e1 + t8337 * t1098 / 0.4e1 + 0.3e1 / 0.2e1 * t1058 * t8118 - 0.3e1 / 0.2e1 * t373 * t39191 * t1438 - 0.3e1 / 0.4e1 * t373 * t39195 * t1084 - t38431 / 0.12e2 + t38433 / 0.4e1 - t38442 / 0.6e1;
  t39214 = t1101 * t8262 * t4371;
  t39220 = t1101 * t24323 * t1963;
  t39227 = -t38444 / 0.3e1 + t1981 * t29947 - 0.3e1 / 0.2e1 * t8280 * t4320 + 0.3e1 / 0.2e1 * t1956 * t4301 - t4543 * t11562 / 0.2e1 - t38448 / 0.6e1 - t38450 / 0.4e1 - t338 * t39214 / 0.4e1 + 0.3e1 / 0.4e1 * t1956 * t4373 - t338 * t39220 / 0.4e1 + 0.3e1 / 0.4e1 * t4176 * t1969 + 0.3e1 / 0.2e1 * t4274 * t1969;
  t39238 = t1101 * t4440 * t8600;
  t39243 = params->at * t8424;
  t39245 = t1101 * t1095 * t39243;
  t39260 = -t1066 * t8602 / 0.2e1 + 0.3e1 / 0.2e1 * t1070 * t8606 + 0.3e1 / 0.2e1 * t8296 * t1090 - t338 * t39238 / 0.2e1 + 0.3e1 / 0.2e1 * t1058 * t8606 - t338 * t39245 / 0.4e1 + 0.3e1 / 0.4e1 * t373 * t39243 * t353 * t376 - t4180 * t1965 / 0.4e1 - t1941 * t4357 / 0.2e1 - t1946 * t4357 / 0.2e1 - t555 * t25148 / 0.2e1;
  t39263 = t552 * t24087;
  t39264 = t4719 * t39263;
  t39290 = -t39051 * t1426 / 0.2e1 - 0.18e2 * t4718 * t39264 * t29375 + t373 * t2025 * t30511 / 0.2e1 + 0.3e1 / 0.2e1 * t1058 * t8249 + 0.3e1 / 0.2e1 * t373 * t8246 * t4300 + 0.3e1 / 0.2e1 * t1070 * t8249 - 0.3e1 / 0.2e1 * t1029 * t8246 * t4319 - t1029 * t2025 * t29385 / 0.2e1 - 0.3e1 / 0.2e1 * t4188 * t8583 - 0.3e1 / 0.2e1 * t4204 * t8583 + 0.9e1 / 0.2e1 * t1070 * t8191;
  t39293 = t321 * t3135 * t39263;
  t39302 = t321 * t194 * t8089;
  t39313 = t4553 * t8263;
  t39318 = t1030 * t8167;
  t39325 = -0.23e2 / 0.3e1 * t39293 * t29167 + 0.3e1 / 0.2e1 * t373 * t8133 * t4347 - t4225 * t1965 / 0.2e1 + 0.2e1 * t39302 * t29540 + 0.3e1 / 0.2e1 * t373 * t1963 * t4595 * t4209 + t555 * t25414 / 0.2e1 - 0.3e1 / 0.2e1 * t1956 * t4325 + t1002 * t39313 / 0.2e1 + 0.3e1 / 0.2e1 * t8280 * t4308 + 0.18e2 * t373 * t39318 * t30296 - 0.18e2 * t1029 * t39318 * t30291;
  t39350 = -0.3e1 / 0.2e1 * t8280 * t4312 + 0.3e1 / 0.2e1 * t1956 * t4315 - 0.18e2 * t373 * t39264 * t29370 + 0.36e2 * t1029 * t39264 * t29380 - t555 * t24798 / 0.4e1 - 0.3e1 * t1058 * t8352 - 0.3e1 / 0.2e1 * t1058 * t8134 - t1981 * t29020 / 0.4e1 - t1946 * t4442 / 0.2e1 + t1974 * t30678 / 0.2e1 + t555 * t24325 / 0.4e1;
  t39359 = t321 * t194 * t39190;
  t39365 = t321 * t649 * t39053;
  t39372 = t1936 * t4140;
  t39373 = t4719 * t39372;
  t39379 = t8130 * t5787 + t1946 * t4538 / 0.2e1 - t8086 * t5762 / 0.2e1 + t39359 * t1452 / 0.2e1 + t8324 * t1098 / 0.4e1 - t39365 * t1457 / 0.4e1 - t8324 * t1103 / 0.4e1 + 0.9e1 / 0.2e1 * t1058 * t8528 + 0.9e1 / 0.2e1 * t373 * t39373 * t5576 + t38475 / 0.6e1 - t38477 / 0.3e1;
  t39391 = -t38479 / 0.3e1 - t38481 / 0.2e1 - t38485 / 0.2e1 - t38487 / 0.2e1 - t38489 - t38491 - t38493 + 0.23e2 / 0.36e2 * t38495 + 0.3e1 / 0.2e1 * t4183 * t2029 - 0.3e1 * t25641 * t2026 + 0.3e1 * t4274 * t2029;
  t39403 = t1963 * t4580;
  t39412 = -t39164 * t1426 + 0.2e1 * t39164 * t1432 - t8081 * t5618 + 0.2e1 * t8081 * t6052 + t555 * t24790 / 0.4e1 + t555 * t24339 / 0.12e2 - 0.3e1 * t373 * t39403 * t4215 - 0.2e1 * t4163 * t8157 + t4163 * t8153 - t38066 / 0.6e1 - t38068 / 0.6e1;
  t39421 = t4696 * t1979;
  t39430 = t583 * t988;
  t39431 = t380 * t39430;
  t39432 = t6005 * t39431;
  t39435 = t110 * t24577;
  t39436 = t403 * t552;
  t39437 = t4693 * t39436;
  t39442 = t38071 / 0.18e2 - t38073 / 0.6e1 + t38076 / 0.18e2 + t38078 / 0.18e2 + t1941 * t4457 / 0.4e1 + t1946 * t4457 / 0.4e1 + 0.9e1 / 0.2e1 * t4695 * t39421 * t5702 - t8063 * t29448 / 0.2e1 - t4695 * t8227 * t4407 / 0.4e1 + t24736 * t39432 / 0.2e1 + 0.7e1 * t39435 * t10447 * t39437 - t38542 / 0.12e2;
  t39450 = t321 * t3135 * t4138 * t24087;
  t39455 = t1963 * t4584;
  t39459 = t552 * t24537;
  t39461 = t321 * t20823 * t39459;
  t39467 = t25460 * t39459;
  t39481 = t38544 / 0.4e1 - 0.28e2 * t39450 * t8254 + 0.18e2 * t39450 * t8587 + 0.3e1 / 0.2e1 * t373 * t39455 * t4729 - 0.2e1 * t39461 * t29546 + 0.47e2 / 0.3e1 * t39461 * t29113 * t29119 - 0.6e1 * t25474 * t39467 * t30578 + t1974 * t24376 / 0.6e1 - 0.3e1 / 0.2e1 * t1070 * t8140 - 0.3e1 / 0.2e1 * t1058 * t8140 - 0.3e1 / 0.2e1 * t373 * t8600 * t1156 * t1047;
  t39482 = t1065 * t8144;
  t39486 = t321 * t194 * t8084;
  t39492 = t321 * t649 * t8167;
  t39497 = t318 * t559;
  t39505 = t29118 * t8586;
  t39512 = -0.3e1 / 0.2e1 * t39482 * t5715 - 0.3e1 / 0.2e1 * t39486 * t5715 - 0.3e1 / 0.2e1 * t8145 * t29177 - 0.3e1 * t39492 * t29182 - 0.5e1 / 0.12e2 * t11399 * t29981 + t39497 * t4690 / 0.2e1 - 0.9e1 * t4188 * t8176 - 0.9e1 * t1029 * t39373 * t5571 - 0.62e2 / 0.3e1 * t29276 * t39505 + 0.9e1 / 0.2e1 * t1070 * t8528 + 0.9e1 / 0.2e1 * t25543 * t8173;
  t39518 = t28999 * t4716 * t8252;
  t39523 = t1065 * t8168;
  t39527 = t321 * t3135 * t39372;
  t39540 = t8600 * t1160;
  t39544 = 0.9e1 / 0.2e1 * t4718 * t39373 * t5602 + 0.8e1 * t29276 * t39518 - 0.9e1 * t4204 * t8176 - 0.3e1 / 0.2e1 * t39523 * t5566 - 0.3e1 / 0.2e1 * t39527 * t5566 - 0.3e1 / 0.2e1 * t8169 * t29330 - 0.38e2 / 0.9e1 * t39461 * t29114 + 0.9e1 / 0.2e1 * t25290 * t8173 + 0.3e1 / 0.2e1 * t1070 * t8164 + 0.3e1 / 0.2e1 * t1058 * t8164 + 0.3e1 / 0.2e1 * t373 * t39540 * t1039;
  t39550 = t5695 * t39431;
  t39556 = t1094 * t8262 * t4455;
  t39562 = t4376 * t1954 * t1096;
  t39573 = 0.3e1 * t11399 * t30269 + 0.9e1 / 0.2e1 * t10513 * t8438 * t30072 - t24973 * t39550 / 0.4e1 - t1981 * t29023 / 0.4e1 + t338 * t39556 / 0.12e2 - t1956 * t4408 / 0.4e1 - t1002 * t39562 - t1053 * t8264 / 0.3e1 + t1053 * t8553 / 0.2e1 + 0.3e1 * t5665 * t8451 * t5685 - 0.3e1 / 0.2e1 * t25376 * t8078;
  t39587 = t5650 * t8084;
  t39601 = t30329 * t1979;
  t39605 = 0.3e1 / 0.2e1 * t5665 * t2056 * t30015 + 0.3e1 / 0.2e1 * t5665 * t559 * t24866 - 0.3e1 * t25376 * t8061 - 0.3e1 / 0.4e1 * t4695 * t8077 * t4407 - 0.3e1 * t5649 * t39587 * t1410 + 0.3e1 * t4695 * t39587 * t1415 + 0.9e1 * t5639 * t8460 * t29942 + 0.7e1 * t11399 * t30344 - 0.9e1 / 0.2e1 * t11399 * t30348 + 0.3e1 / 0.2e1 * t4695 * t39601 * t1415 - t38571;
  t39616 = t38573 / 0.2e1 + 0.3e1 / 0.2e1 * t38575 + t38578 - t38580 - t38582 / 0.3e1 + t38584 - t38586 / 0.2e1 + t8214 * t24988 / 0.4e1 + t8214 * t24861 / 0.4e1 + 0.2e1 / 0.3e1 * t38593 - 0.3e1 / 0.2e1 * t38595;
  t39637 = t1981 * t24317 / 0.3e1 + 0.23e2 / 0.12e2 * t39523 * t5744 + 0.23e2 / 0.12e2 * t39527 * t5744 + 0.23e2 / 0.12e2 * t8169 * t30552 + 0.44e2 / 0.27e2 * t39461 * t30558 - t4246 * t1965 / 0.12e2 - t991 * t8563 / 0.4e1 - t991 * t8602 / 0.4e1 + t8081 * t4535 + t8086 * t4535 + t1981 * t24312;
  t39659 = t373 * t24097 * t558 * t376 / 0.4e1 + 0.3e1 / 0.4e1 * t373 * t4371 * t2053 * t376 - t4255 * t1965 / 0.4e1 - t38614 - t38620 / 0.4e1 + t38623 / 0.4e1 - t38625 / 0.12e2 + t38627 / 0.4e1 + t38629 / 0.2e1 - 0.61e2 / 0.27e2 * t39461 * t30555 - t1981 * t30392 / 0.6e1 - t1981 * t30389 / 0.2e1;
  t39689 = -0.11e2 / 0.6e1 * t8169 * t30549 - 0.11e2 / 0.6e1 * t39527 * t6022 - 0.11e2 / 0.6e1 * t39523 * t6022 - t8086 * t5621 / 0.2e1 - t8081 * t5621 / 0.2e1 - t373 * t2036 * t30652 / 0.2e1 - 0.3e1 / 0.2e1 * t373 * t8351 * t4340 - 0.3e1 / 0.2e1 * t1058 * t8354 - 0.6e1 * t24914 * t1430 * t1056 * t8252 - 0.3e1 / 0.2e1 * t1070 * t8354 + 0.6e1 * t39293 * t30103;
  t39697 = t1018 * t8236;
  t39703 = t1936 * t4160;
  t39705 = t321 * t649 * t39703;
  t39716 = t1430 * t1954 * t4427;
  t39720 = 0.3e1 * t1029 * t39403 * t4219 - t38666 / 0.12e2 + 0.3e1 / 0.2e1 * t4695 * t8072 * t4300 - 0.14e2 * t39435 * t29468 * t39697 + t8130 * t4429 / 0.2e1 + 0.3e1 / 0.2e1 * t39705 * t6028 - 0.9e1 * t5665 * t8438 * t30196 - 0.3e1 / 0.2e1 * t1956 * t4341 - t1956 * t4412 / 0.2e1 + t4533 * t39716 + 0.3e1 / 0.4e1 * t1956 * t4364;
  t39722 = t4376 * t8263;
  t39725 = t1430 * t8552;
  t39732 = t8262 * t4427;
  t39733 = t1430 * t39732;
  t39748 = t1002 * t39722 / 0.4e1 - t1002 * t39725 / 0.4e1 - 0.3e1 / 0.4e1 * t4176 * t2041 + 0.3e1 / 0.4e1 * t4176 * t2045 - t4533 * t39733 / 0.4e1 - 0.3e1 / 0.2e1 * t4176 * t2037 - 0.3e1 * t1070 * t8352 - 0.3e1 / 0.2e1 * t1070 * t8134 + 0.3e1 / 0.2e1 * t1070 * t8118 - 0.3e1 * t4274 * t2037 - 0.3e1 / 0.2e1 * t4274 * t2041;
  t39751 = t11402 * t4297;
  t39769 = t2075 * t146;
  t39771 = t1101 * t39769 * t1088;
  t39777 = t1094 * t39769 * t1096;
  t39780 = -0.3e1 / 0.2e1 * t11399 * t30284 - 0.3e1 / 0.2e1 * t5649 * t39751 * t4319 + 0.3e1 / 0.4e1 * t4183 * t1969 - t1066 * t8563 / 0.2e1 - t1066 * t8553 / 0.2e1 - 0.3e1 / 0.4e1 * t8296 * t1085 + 0.3e1 / 0.2e1 * t8287 * t1090 + t1066 * t8264 / 0.4e1 - 0.3e1 / 0.4e1 * t8287 * t1085 - t338 * t39771 / 0.2e1 - t991 * t8553 / 0.4e1 + t338 * t39777 / 0.4e1;
  t39801 = t321 * t194 * t24110 * t11603 / 0.2e1 + t991 * t8264 / 0.6e1 - t38669 / 0.12e2 + t38672 / 0.4e1 - t38674 / 0.6e1 - t38676 / 0.6e1 + t38678 / 0.2e1 - t38680 / 0.12e2 - t38682 / 0.6e1 - 0.3e1 / 0.4e1 * t318 * t8365 - 0.9e1 / 0.2e1 * t5665 * t8443 * t30570;
  t39807 = t321 * t369 * t564 * t4715;
  t39810 = t4706 * t566;
  t39825 = t30275 * t8167;
  t39831 = 0.3e1 / 0.2e1 * t4695 * t8077 * t4347 + 0.3e1 / 0.2e1 * t39807 * t4722 - t4143 * t39810 / 0.2e1 + t4163 * t8271 + 0.3e1 / 0.2e1 * t8296 * t1040 + 0.3e1 * t8280 * t4220 - 0.3e1 * t1956 * t4216 - 0.3e1 / 0.2e1 * t11399 * t30272 - 0.9e1 * t5639 * t8438 * t30722 - 0.9e1 * t5649 * t39825 * t5571 + t1053 * t8316 / 0.2e1;
  t39839 = t4354 * t8262 * t4355;
  t39856 = 0.3e1 / 0.4e1 * t8063 * t30634 - t8219 * t30211 + 0.5e1 / 0.3e1 * t39293 * t30494 - t338 * t39839 / 0.6e1 + 0.3e1 / 0.2e1 * t8091 * t30497 + t1956 * t4348 / 0.2e1 - 0.5e1 / 0.12e2 * t8169 * t28988 - t8081 * t5759 / 0.4e1 - t8086 * t5759 / 0.4e1 - t1981 * t28991 / 0.12e2 - 0.5e1 / 0.12e2 * t39523 * t5756;
  t39872 = -0.5e1 / 0.12e2 * t39527 * t5756 - t38684 / 0.2e1 + t38686 / 0.2e1 - t38689 / 0.2e1 + t38691 / 0.3e1 + t38694 / 0.2e1 + t38702 / 0.2e1 - t38704 / 0.6e1 - t38706 / 0.6e1 + t38110 / 0.6e1 + 0.2e1 / 0.3e1 * t8063 * t30026 - t991 * t8316 / 0.4e1;
  t39880 = t4155 * t566;
  t39891 = t1009 * t2077;
  t39904 = -t1066 * t8316 / 0.2e1 - 0.5e1 / 0.36e2 * t4143 * t39880 + 0.3e1 / 0.4e1 * t8296 * t1062 + 0.3e1 / 0.4e1 * t8287 * t1062 + t1956 * t4252 / 0.4e1 - t4258 * t8309 / 0.4e1 - t1002 * t39891 / 0.4e1 + t25241 * t570 / 0.4e1 + t24809 * t570 / 0.4e1 + 0.5e1 / 0.2e1 * t5639 * t2060 * t30080 - 0.3e1 / 0.2e1 * t5649 * t8072 * t4319;
  t39906 = t110 * t565 * t4693;
  t39921 = t1423 * t8552;
  t39925 = t1430 * t1954 * t1088;
  t39931 = -0.3e1 / 0.4e1 * t39906 * t4698 + 0.3e1 / 0.2e1 * t11646 * t30182 - t8340 * t994 / 0.2e1 - t1946 * t4171 / 0.4e1 - t1941 * t4171 / 0.4e1 + 0.3e1 / 0.2e1 * t4274 * t2045 + 0.3e1 / 0.4e1 * t4183 * t2045 - t1002 * t39921 / 0.2e1 + t1002 * t39925 - 0.9e1 / 0.2e1 * t39527 * t29308 - 0.9e1 / 0.2e1 * t8169 * t29110;
  t39943 = t1030 * t39703;
  t39958 = -0.9e1 / 0.2e1 * t39523 * t29308 + 0.7e1 * t8169 * t29106 + 0.7e1 * t39523 * t29123 + 0.7e1 * t39527 * t29123 - 0.9e1 * t1058 * t8197 + 0.9e1 * t1029 * t39943 * t5635 - 0.9e1 * t373 * t39943 * t5728 + 0.89e2 / 0.9e1 * t39461 * t29120 - 0.43e2 / 0.9e1 * t39461 * t29288 + 0.9e1 * t4204 * t8201 - 0.3e1 / 0.2e1 * t11646 * t29494;
  t39976 = t318 * t2060;
  t39979 = t110 * t8457;
  t39988 = 0.3e1 * t25561 * t8073 - 0.3e1 / 0.2e1 * t5649 * t39601 * t1410 + 0.11e2 / 0.2e1 * t5665 * t2060 * t29938 - 0.11e2 / 0.2e1 * t5639 * t2060 * t30264 + 0.5e1 / 0.6e1 * t11399 * t30703 - 0.3e1 / 0.2e1 * t4695 * t8226 * t4337 * t4340 + 0.3e1 / 0.4e1 * t39976 * t6009 + 0.3e1 / 0.4e1 * t39979 * t6009 + 0.3e1 / 0.4e1 * t8063 * t30019 + t8063 * t29426 / 0.3e1 - 0.3e1 / 0.4e1 * t25561 * t8228;
  t39991 = t2020 * t193;
  t40012 = -0.3e1 / 0.4e1 * t4695 * t39991 * t336 * t1084 - t4695 * t8226 * t989 * t1084 / 0.2e1 + 0.5e1 / 0.12e2 * t8063 * t30700 + 0.3e1 / 0.2e1 * t1956 * t4210 - 0.2e1 * t4163 * t8275 + 0.2e1 / 0.3e1 * t38732 + 0.2e1 / 0.3e1 * t38734 - 0.11e2 / 0.18e2 * t38736 + 0.2e1 / 0.3e1 * t38738 - t38741 / 0.2e1 - t38743 / 0.12e2;
  t40023 = t5691 * t8210;
  t40031 = t38746 / 0.3e1 + t38760 / 0.3e1 + t38763 / 0.3e1 - 0.3e1 * t30473 * t8241 + 0.3e1 * t25376 * t8073 - 0.3e1 * t30693 * t8241 - t38765 / 0.2e1 + t24385 * t40023 / 0.4e1 - 0.3e1 / 0.4e1 * t25376 * t8228 - 0.3e1 / 0.2e1 * t8296 * t1048 - t8063 * t29452;
  t40037 = t4696 * t1944;
  t40050 = t24105 * t1972;
  t40054 = t318 * t5641;
  t40062 = t4696 * t8128;
  t40066 = 0.3e1 * t11510 * t30687 + 0.5e1 / 0.6e1 * t8063 * t30740 - t37459 - 0.3e1 / 0.2e1 * t4695 * t40037 * t1084 - 0.3e1 * t25561 * t8061 - 0.3e1 / 0.2e1 * t25561 * t8078 - 0.4e1 / 0.3e1 * t24973 * t5691 * t1018 * t552 * t4405 - 0.3e1 / 0.2e1 * t4695 * t40050 * t1438 + 0.2e1 * t40054 * t5695 * t39437 + t24973 * t5695 * t4693 * t1146 * t552 - 0.3e1 * t4695 * t40062 * t1438;
  t40083 = t1014 * t2077;
  t40087 = t1009 * t2076 * t1018;
  t40091 = t321 * t369 * t2075 * t1026;
  t40094 = 0.2e1 * t24973 * t30121 * t39437 - 0.3e1 * t4204 * t8580 + 0.3e1 * t1070 * t8247 - 0.3e1 / 0.2e1 * t25233 * t2026 - t38769 / 0.2e1 + t38771 / 0.2e1 + t38773 / 0.4e1 + 0.3e1 / 0.2e1 * t4176 * t2029 - 0.3e1 / 0.2e1 * t25243 * t2026 - t1002 * t40083 / 0.2e1 + t1002 * t40087 - 0.3e1 / 0.2e1 * t40091 * t1035;
  t40112 = t9444 * t380 * t583 * t4345;
  t40124 = 0.3e1 / 0.2e1 * t8287 * t1040 - t4258 * t8271 / 0.2e1 - 0.6e1 * t39705 * t5707 - 0.6e1 * t39492 * t30310 + 0.12e2 * t39492 * t30313 - 0.11e2 / 0.6e1 * t11399 * t30370 - t4686 * t40112 / 0.6e1 + t4695 * t8227 * t4347 / 0.2e1 - 0.3e1 * t24973 * t30011 * t39697 + 0.3e1 / 0.2e1 * t39979 * t5676 - t39976 * t5682;
  t40145 = t1165 * t565;
  t40146 = t40145 * t4689;
  t40149 = 0.3e1 / 0.2e1 * t8063 * t30023 + 0.3e1 / 0.2e1 * t39976 * t5676 - t39979 * t5682 - t38796 / 0.6e1 + t38798 / 0.2e1 + t38800 / 0.2e1 + 0.9e1 * t39435 * t29474 * t4191 * t8236 - 0.9e1 / 0.2e1 * t39435 * t10358 * t5647 * t39436 - 0.5e1 / 0.2e1 * t5665 * t2060 * t30746 - t38802 / 0.4e1 + t4686 * t40146 / 0.4e1;
  t40161 = t110 * t8451;
  t40168 = -0.3e1 * t5665 * t2056 * t30056 - t8219 * t24739 / 0.2e1 - 0.2e1 / 0.9e1 * t38134 + t38136 / 0.6e1 - t38138 / 0.6e1 - t38143 / 0.6e1 + t38145 / 0.18e2 - t40161 * t6015 - t8219 * t29422 - 0.3e1 * t4188 * t8580 + 0.3e1 * t1058 * t8247;
  t40195 = -t1981 * t30408 / 0.2e1 + 0.2e1 * t8086 * t6052 + t39365 * t1432 - t8086 * t5618 - t39365 * t1426 / 0.2e1 + 0.3e1 * t39124 * t5632 - 0.6e1 * t39124 * t5707 + 0.3e1 * t39705 * t5632 - 0.9e1 / 0.2e1 * t5665 * t8457 * t5667 + 0.2e1 * t5639 * t2060 * t30169 - 0.2e1 * t5665 * t2060 * t30004 - 0.3e1 / 0.4e1 * t110 * t8517 * t404;
  t40220 = -t8063 * t30763 / 0.4e1 - t8063 * t30146 / 0.4e1 + t4163 * t8309 / 0.2e1 - t4225 * t1951 / 0.2e1 - t4180 * t1951 / 0.4e1 - t38822 + 0.9e1 / 0.2e1 * t30451 * t39825 * t5602 + t38824 / 0.12e2 + 0.11e2 / 0.3e1 * t11399 * t29471 + 0.14e2 * t5665 * t8460 * t29489 - 0.14e2 * t5639 * t8460 * t29485;
  t40223 = t1065 * t8279;
  t40226 = t4150 * t566;
  t40229 = t4155 * t8274;
  t40236 = t4687 * t380 * t2020 * t1082;
  t40241 = t4687 * t380 * t583 * t4405;
  t40245 = t25122 * t8210;
  t40250 = t8063 * t24980 + t4258 * t8275 - 0.3e1 / 0.2e1 * t40223 * t1035 - 0.11e2 / 0.18e2 * t4143 * t40226 + 0.23e2 / 0.36e2 * t4143 * t40229 - 0.3e1 / 0.2e1 * t11646 * t30186 + t4686 * t40236 / 0.4e1 + t4686 * t40241 / 0.12e2 + t38832 / 0.6e1 + t4686 * t40245 / 0.4e1 - t8219 * t30053 / 0.2e1;
  t40266 = t4695 * t8226 * t1051 * t1084 - t37435 + t37451 + 0.23e2 / 0.12e2 * t11399 * t30373 - 0.5e1 / 0.3e1 * t8063 * t24975 - 0.3e1 / 0.4e1 * t318 * t8518 - t38842 / 0.2e1 - t38844 / 0.4e1 - t38846 / 0.6e1 + t38848 / 0.3e1 - t38850 / 0.2e1;
  t40284 = t38852 / 0.2e1 - t38854 / 0.2e1 + 0.3e1 / 0.2e1 * t38856 - 0.3e1 * t38858 + 0.3e1 / 0.2e1 * t38859 - t38861 - t38867 + 0.22e2 / 0.3e1 * t39293 * t29134 + 0.6e1 * t373 * t39467 * t29549 - 0.18e2 * t1029 * t39467 * t30129 + 0.18e2 * t4718 * t39467 * t29364 + t38154 / 0.6e1;
  t40301 = t38156 / 0.6e1 + t38159 / 0.6e1 + t38161 / 0.6e1 + 0.3e1 * t29349 * t8058 - 0.6e1 * t11510 * t29994 + t38873 / 0.12e2 + 0.3e1 * t38875 + t38876 - 0.3e1 * t38879 - 0.2e1 * t38880 + 0.3e1 / 0.2e1 * t38882;
  t40315 = t8437 * t29807;
  t40318 = t2059 * t29853;
  t40323 = t20822 * t552;
  t40324 = t40323 * t24540;
  t40329 = t2059 * t24522;
  t40336 = t8437 * t24552;
  t40345 = t69 * t1936;
  t40346 = t40345 * t4607;
  t40349 = -0.36e2 * t40315 * t29810 + 0.56e2 * t40318 * t29889 + 0.4e1 * t40315 * t29872 + 0.8e1 / 0.3e1 * t40324 * t29900 + 0.24e2 * t40324 * t29906 + 0.72e2 * t40329 * t29667 + 0.6e1 * t2054 * t4577 - 0.11e2 * t2060 * t29662 - 0.72e2 * t40336 * t29679 + 0.8e1 * t40336 * t29682 - 0.4e1 / 0.3e1 * t40324 * t29743 + 0.18e2 * t8438 * t29903 + 0.18e2 * t40346 * t5865;
  t40350 = t558 * t24126;
  t40355 = t193 * t39032;
  t40367 = t8456 * t4214;
  t40371 = t648 * t8321 * t1032;
  t40384 = -0.24e2 * t40350 * t29710 - 0.6e1 * t559 * t24461 - t40355 * t335 * t361 / 0.2e1 + 0.22e2 / 0.3e1 * t2060 * t29757 - 0.6e1 * t8451 * t5910 - 0.2e1 * t2056 * t29791 - 0.12e2 * t8460 * t29734 + 0.6e1 * t40367 * t5913 + 0.6e1 * t40371 * t1481 + 0.6e1 * t8457 * t5885 - 0.2e1 * t40346 * t5862 + 0.9e1 * t8443 * t29784 - 0.9e1 * t8443 * t29727 - 0.6e1 * t8451 * t5900;
  t40394 = t8433 * t1046;
  t40413 = -0.3e1 * t2056 * t24485 - 0.3e1 * t2056 * t29705 + 0.2e1 * t2060 * t29781 + 0.1e2 * t8438 * t29699 - 0.6e1 * t40394 * t1472 - t559 * t24605 + 0.56e2 / 0.3e1 * t8460 * t29767 - 0.3e1 * t559 * t24452 - 0.8e1 * t8508 * t29864 + 0.18e2 * t11651 * t29850 - 0.36e2 * t11668 * t29885 - 0.2e1 * t11651 * t29875 - 0.3e1 * t8495 * t1167 - t40371 * t1477;
  t40428 = t2053 * t4208;
  t40443 = -0.28e2 * t8460 * t29764 + 0.18e2 * t8460 * t29721 + 0.9e1 * t8457 * t5877 + 0.4e1 * t2060 * t29797 + 0.5e1 * t2060 * t29695 - 0.2e2 * t8438 * t29747 - 0.9e1 * t8438 * t29800 + 0.18e2 * t40428 * t5926 - 0.12e2 * t40329 * t29687 - 0.36e2 * t40367 * t5869 + 0.6e1 * t2056 * t29751 + 0.6e1 * t11668 * t29850 - 0.28e2 / 0.3e1 * t40318 * t29810 + 0.5e1 / 0.3e1 * t8508 * t29829;
  t40448 = t8456 * t5888;
  t40455 = t2059 * t29892;
  t40458 = t558 * t29815;
  t40461 = t558 * t29820;
  t40478 = -t11651 * t29834 / 0.3e1 - 0.18e2 * t40448 * t5892 + 0.18e2 * t11663 * t29841 + 0.6e1 * t8511 * t29846 + 0.22e2 * t40455 * t29894 - 0.18e2 * t40458 * t29817 - 0.12e2 * t40461 * t29824 - 0.11e2 / 0.3e1 * t40455 * t29897 + 0.6e1 * t11656 * t24695 + 0.4e1 / 0.3e1 * t8508 * t29882 + t40355 * t354 * t357 + 0.2e1 * t40371 * t1485 + 0.2e1 * t8457 * t5963 + 0.2e1 / 0.3e1 * t2060 * t29618;
  t40505 = -0.8e1 / 0.3e1 * t2060 * t29718 - 0.6e1 * t8457 * t5881 - 0.1e2 / 0.3e1 * t2060 * t29737 - t8438 * t29770 / 0.3e1 + 0.4e1 / 0.3e1 * t40336 * t29794 - t8457 * t5916 - t2060 * t29671 / 0.3e1 + t8438 * t29740 / 0.6e1 - t40346 * t5919 / 0.3e1 - t40324 * t29674 / 0.9e1 - 0.3e1 * t2054 * t4560 - 0.3e1 * t8457 * t5958 - t2060 * t29642 + 0.3e1 * t40394 * t1491;
  t40535 = 0.3e1 * t8451 * t5932 + 0.3e1 / 0.2e1 * t8495 * t1183 - 0.12e2 * t40367 * t5940 - 0.2e1 / 0.3e1 * t40336 * t29596 - 0.3e1 * t2054 * t4649 - 0.9e1 * t40346 * t5949 + 0.5e2 / 0.3e1 * t40324 * t29631 + 0.1e2 * t40346 * t5960 - 0.9e1 * t40428 * t5953 + 0.24e2 * t40329 * t29916 + 0.18e2 * t40367 * t5946 - 0.4e2 * t40336 * t29635 - 0.3e1 * t40371 * t1495 + t559 * t24518 / 0.2e1;
  t40540 = t2053 * t5895;
  t40564 = t40346 * t5943 / 0.6e1 - 0.1e2 * t8508 * t29867 + 0.12e2 * t40540 * t5897 + 0.3e1 / 0.2e1 * t2054 * t4638 + t2056 * t29600 + 0.1e2 / 0.3e1 * t40324 * t29628 - 0.12e2 * t40324 * t29653 + 0.36e2 * t40336 * t29656 + 0.12e2 * t40350 * t29609 - 0.36e2 * t40329 * t29913 + 0.3e1 * t559 * t24502 + 0.3e1 * t40448 * t5972 + 0.2e1 / 0.3e1 * t40315 * t29837 + 0.6e1 * t8511 * t29926;
  t40575 = t38884 / 0.2e1 - t38886 / 0.6e1 + t38888 / 0.2e1 + t38890 / 0.2e1 - t38892 / 0.6e1 - t38894 / 0.6e1 + t38896 / 0.2e1 + 0.9e1 / 0.2e1 * t5665 * t8438 * t30718 + 0.9e1 / 0.2e1 * t4695 * t39825 * t5576 - t110 * t139 * (t40349 + t40384 + t40413 + t40443 + t40478 + t40505 + t40535 + t40564) * t168 / 0.4e1 - t110 * t565 * t4518 / 0.4e1;
  t40594 = t4468 * t1112;
  t40606 = 0.1e1 / t112 / t25018;
  t40607 = t40606 * t4466;
  t40612 = t4493 * tau[1];
  t40623 = 0.1625e5 * t4465 * t40594 + 0.2275e5 / 0.3e1 * t4474 * t40594 - 0.1105e5 / 0.3e1 * t4480 * t40594 - 0.169e5 / 0.3e1 * t4483 * t40594 + 0.65e4 * t4486 * t40594 + 0.1e5 / 0.3e1 * t25067 * t40607 + 0.44e3 / 0.27e2 * t385 * t984 + 0.164e5 / 0.27e2 * t1119 * t40612 + 0.1e5 / 0.9e1 * t25070 * t40607 - 0.88e3 / 0.9e1 * t388 * t984 + 0.656e4 / 0.3e1 * t1124 * t40612 - 0.4e5 / 0.3e1 * t25049 * t40607;
  t40651 = -0.88e3 / 0.9e1 * t392 * t984 + 0.656e4 / 0.27e2 * t1129 * t40612 - 0.175e6 / 0.9e1 * t25057 * t40607 + 0.22e4 / 0.27e2 * t395 * t984 - 0.82e5 / 0.27e2 * t1134 * t40612 - 0.7e5 / 0.9e1 * t25062 * t40607 + 0.22e4 / 0.27e2 * t400 * t984 - 0.164e5 / 0.9e1 * t1141 * t40612 + 0.44e3 / 0.27e2 * t984 * t150 - 0.328e4 / 0.27e2 * t4493 * t384 * tau[1] - 0.65e3 / 0.3e1 * t4468 * t156 * t1112 + 0.5e4 / 0.9e1 * t40606 * t391 * t4466;
  t40663 = -0.3e1 / 0.4e1 * t1205 * t2048 - 0.3e1 / 0.4e1 * t110 * t2076 * t1147 - 0.3e1 / 0.4e1 * t318 * t8372 - 0.3e1 / 0.2e1 * t318 * t8379 - 0.3e1 / 0.4e1 * t110 * t1190 * t2021 - 0.3e1 / 0.4e1 * t110 * t365 * t8425 - 0.3e1 / 0.4e1 * t318 * t8426 - t110 * t145 * t380 * (t40623 + t40651) / 0.4e1 - t4678 * t585 / 0.4e1 - 0.3e1 / 0.4e1 * t1205 * t1989 - 0.3e1 / 0.4e1 * t1205 * t2022;
  t40666 = t4179 * t1955;
  t40682 = t5650 * t8089;
  t40689 = -t8063 * t30743 / 0.2e1 + 0.3e1 / 0.4e1 * t40666 * t377 - 0.7e1 / 0.3e1 * t11510 * t30087 - t39976 * t6001 / 0.2e1 - 0.11e2 / 0.12e2 * t8063 * t30215 - t38174 / 0.6e1 + t38176 / 0.18e2 - 0.3e1 / 0.2e1 * t318 * t8369 - t110 * t4661 * t584 / 0.4e1 - 0.9e1 * t4695 * t40682 * t5728 + 0.9e1 * t5649 * t40682 * t5635;
  t40714 = t24105 * t553;
  t40718 = -0.3e1 / 0.2e1 * t1956 * t4332 + 0.9e1 / 0.2e1 * t5649 * t8072 * t30589 - 0.9e1 / 0.2e1 * t4695 * t8072 * t30594 + 0.3e1 / 0.2e1 * t8063 * t30631 - 0.3e1 * t8063 * t30585 - 0.6e1 * t11510 * t29465 + 0.3e1 * t11510 * t29462 + 0.28e2 / 0.3e1 * t11510 * t29482 + 0.3e1 * t4695 * t8060 * t30627 + t38194 / 0.6e1 - 0.3e1 / 0.4e1 * t4695 * t40714 * t1084;
  t40719 = t11402 * t1000;
  t40730 = t318 * t2056;
  t40744 = 0.3e1 / 0.2e1 * t5649 * t40719 * t4307 + 0.3e1 / 0.2e1 * t4695 * t39751 * t4300 + t1956 * t4329 + 0.9e1 / 0.2e1 * t5665 * t8443 * t29556 + t40730 * t6006 + t8219 * t30359 / 0.2e1 - t40730 * t6015 + t8219 * t30364 / 0.2e1 - 0.11e2 / 0.6e1 * t8063 * t30136 + 0.11e2 / 0.3e1 * t8063 * t30143 - 0.3e1 * t40054 * t5691 * t39697;
  t40755 = t403 * t1936;
  t40757 = t5695 * t4693 * t40755;
  t40764 = t5679 * t39431;
  t40767 = t5674 * t8210;
  t40773 = 0.3e1 / 0.2e1 * t5665 * t2056 * t30445 - 0.3e1 / 0.2e1 * t4695 * t8060 * t4340 - t37443 + 0.18e2 * t5639 * t8438 * t30076 + 0.2e1 * t24973 * t40757 + 0.23e2 / 0.12e2 * t11399 * t29359 - 0.14e2 / 0.3e1 * t11510 * t29479 - t24973 * t40764 / 0.2e1 + t24385 * t40767 / 0.2e1 - 0.11e2 / 0.6e1 * t11399 * t29355 + t38912 / 0.2e1;
  t40779 = t374 * t8089;
  t40787 = t5695 * t4693 * t39430;
  t40790 = t5691 * t4693 * t8209;
  t40792 = -t38914 / 0.6e1 + 0.7e1 / 0.3e1 * t38916 + t38918 / 0.2e1 + t38920 + t38922 + t38924 - 0.3e1 / 0.2e1 * t38926 - t38929 / 0.2e1 - 0.6e1 * t373 * t40779 * t29531 - 0.3e1 / 0.2e1 * t373 * t2040 * t25185 + t24973 * t40787 - t24385 * t40790;
  t40819 = -0.9e1 * t5665 * t8460 * t29440 + 0.9e1 / 0.2e1 * t29436 * t8238 - 0.9e1 / 0.2e1 * t29349 * t8069 + 0.9e1 / 0.2e1 * t29339 * t8238 - 0.9e1 / 0.2e1 * t29346 * t8069 - 0.23e2 / 0.6e1 * t11399 * t29476 + t25000 * t8211 / 0.6e1 + t24970 * t8211 / 0.4e1 - 0.9e1 * t1070 * t8197 + 0.9e1 * t4188 * t8201 - 0.3e1 / 0.2e1 * t4183 * t2037;
  t40837 = -0.3e1 / 0.4e1 * t4183 * t2041 + t38931 / 0.4e1 - t38933 / 0.4e1 + t38936 / 0.3e1 - t38938 / 0.6e1 - t38940 / 0.3e1 + t38943 / 0.6e1 + 0.3e1 / 0.2e1 * t11510 * t30756 - 0.5e1 / 0.12e2 * t11399 * t30753 - 0.3e1 / 0.2e1 * t4695 * t40719 * t4324 + t4166 * t1951 / 0.2e1;
  t40852 = -0.3e1 / 0.2e1 * t8287 * t1048 - t38947 / 0.2e1 - t38949 / 0.4e1 - t38951 / 0.2e1 - t38955 / 0.4e1 - t38957 / 0.2e1 - t38959 / 0.4e1 - t38961 / 0.2e1 - t38963 / 0.2e1 - t38965 / 0.4e1 + 0.3e1 * t29346 * t8058;
  t40865 = t1430 * t1056 * t1963;
  t40868 = t1430 * t371 * t8600;
  t40870 = t5595 * t8156;
  t40876 = t1423 * t8562;
  t40879 = t1423 * t8601;
  t40882 = -t4678 * t566 / 0.4e1 - 0.3e1 / 0.4e1 * t1205 * t2077 - 0.3e1 / 0.2e1 * t4204 * t8161 - 0.3e1 / 0.2e1 * t4188 * t8161 - 0.3e1 / 0.2e1 * t1029 * t39540 * t1034 + t1002 * t40865 + t1002 * t40868 + 0.23e2 / 0.36e2 * t4143 * t40870 + t4258 * t8157 - t4258 * t8153 / 0.2e1 - t1002 * t40876 / 0.2e1 - t1002 * t40879 / 0.2e1;
  t40885 = t5733 * t1964;
  t40894 = t374 * t8084;
  t40905 = t1936 * t1082;
  t40907 = t5691 * t1018 * t40905;
  t40912 = -0.11e2 / 0.18e2 * t4143 * t40885 + 0.3e1 * t8091 * t30544 + 0.3e1 / 0.2e1 * t1058 * t8609 + 0.3e1 / 0.2e1 * t1070 * t8609 + 0.9e1 / 0.2e1 * t373 * t40894 * t5702 + 0.9e1 / 0.2e1 * t1058 * t8191 + t38989 / 0.2e1 - t38992 / 0.6e1 + 0.9e1 / 0.2e1 * t5639 * t8457 * t24073 - 0.3e1 * t24973 * t40907 - t39979 * t6001 / 0.2e1;
  t40920 = t110 * t2054;
  t40931 = t5595 * t1027 * t1963;
  t40937 = -t8063 * t30149 / 0.2e1 + t8219 * t30362 - t8214 * t24176 / 0.2e1 + 0.3e1 / 0.2e1 * t11510 * t30710 + t40920 * t4690 / 0.2e1 + t8214 * t25123 / 0.2e1 + t40161 * t6006 + t8219 * t29504 - 0.9e1 * t10513 * t8438 * t30490 - 0.3e1 / 0.2e1 * t4143 * t40931 + 0.3e1 / 0.2e1 * t4718 * t39455 * t4721;
  t40942 = t5563 * t1964;
  t40945 = t5733 * t8156;
  t40964 = -0.3e1 * t1029 * t39455 * t4725 - t4143 * t40942 / 0.2e1 + 0.7e1 / 0.3e1 * t4143 * t40945 - t555 * t24382 / 0.12e2 + t1974 * t24372 / 0.2e1 - t1946 * t4437 / 0.4e1 - t555 * t24801 / 0.4e1 - 0.35e2 / 0.108e3 * t39461 * t29002 - t1941 * t4437 / 0.4e1 - t8214 * t24308 / 0.2e1 - t24733 * t8211 / 0.3e1;
  t40993 = 0.3e1 / 0.4e1 * t24812 * t570 + 0.3e1 / 0.4e1 * t4183 * t1938 + 0.3e1 / 0.4e1 * t24841 * t570 + 0.3e1 / 0.4e1 * t1070 * t8334 + t373 * t374 * t39032 * t376 / 0.4e1 - t24808 * t554 * t350 / 0.12e2 - t4179 * t1945 * t350 / 0.4e1 - t8337 * t994 / 0.4e1 + 0.3e1 / 0.2e1 * t4274 * t1938 + 0.3e1 / 0.4e1 * t4176 * t1938 + 0.3e1 / 0.4e1 * t1058 * t8334 - t555 * t25200 / 0.12e2;
  t41000 = my_piecewise3(t100, 0, t39637 + t39412 + t39988 + t39149 + t40819 + t40195 + t39573 + t39350 + t40882 + t39831 + t40250 + t40773 + t40301 + t40993 + t39325 + t39118 + t39856 + t39202 + t40718 + t40124 + t39260 + t39748 + t39616 + t39659 + t39084 + t40284 + t39904 + t39512 + t40220 + t39801 + t39173 + t39689 + t40744 + t40837 + t40937 + t40689 + t40094 + t40066 + t39931 + t39227 + t39442 + t39097 + t39544 + t40663 + t40149 + t40012 + t39290 + t40031 + t40575 + t39780 + t40266 + t39605 + t39064 + t40852 + t39391 + t39379 + t39872 + t40912 + t40168 + t40792 + t39958 + t39720 + t40964 + t39481);
  tv4rho3tau7 = t3 * t41000 + 0.3e1 * t8617;

  if(out->v4rho3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho3tau[ip*p->dim.v4rho3tau + 7] += tv4rho3tau7;

  t41003 = t4808 * t4819;
  t41008 = t1261 * t1226 * t8694;
  t41016 = t2084 * t3118;
  t41018 = t191 * t3135 * t41016;
  t41020 = t41018 * t4869 / 0.2e1;
  t41022 = t4808 * t5284 * t4809;
  t41027 = t3115 * t41016;
  t41030 = 0.3e1 / 0.2e1 * t246 * t41027 * t4863;
  t41032 = t2090 * t20825;
  t41034 = t191 * t20823 * t41032;
  t41035 = t26954 * t4868;
  t41038 = t4748 * t4809;
  t41039 = t4867 * t41038;
  t41043 = t20842 * t41032;
  t41045 = t20831 * t20832 * t592;
  t41050 = t20831 * t20854 * t592;
  t41056 = t1237 * t1237;
  t41059 = t191 * t649 * t41056 * t651;
  t41062 = t666 * t2148;
  t41066 = t661 * t2147 * t670;
  t41069 = -0.2e1 * t41034 * t41035 - t4806 * t41039 + 0.3e1 * t1228 * t4864 - 0.6e1 * t20841 * t41043 * t41045 + 0.18e2 * t3167 * t41043 * t41050 - t2089 + t2160 + t3101 * t2170 / 0.2e1 - t41059 * t662 / 0.6e1 - t654 * t41062 / 0.6e1 + t654 * t41066 / 0.3e1;
  t41073 = t191 * t242 * t2146 * t676;
  t41078 = t206 * t3118;
  t41079 = t3135 * t41078;
  t41080 = t191 * t41079;
  t41082 = t4808 * t3059 * t15565;
  t41095 = t191 * t20823 * t592 * t20825;
  t41097 = t26011 * t3165 * t15565;
  t41105 = t191 * t3135 * t592 * t20811;
  t41115 = t4808 * t3398;
  t41120 = t4851 * t3498;
  t41123 = t637 * t8739;
  t41124 = t41123 / 0.3e1;
  t41125 = t21994 * t8929;
  t41126 = t27552 * t1270;
  t41128 = t3051 * t8934;
  t41130 = t626 * t8717;
  t41132 = t41130 * t1257 / 0.3e1;
  t41134 = t8718 * t5195 / 0.3e1;
  t41135 = 0.3e1 / 0.2e1 * t246 * t8921 * t20752 + 0.47e2 / 0.3e1 * t41095 * t25709 * t15569 + 0.23e2 / 0.36e2 * t8710 * t41115 - 0.2e1 * t8844 * t3399 - 0.11e2 / 0.18e2 * t8710 * t41120 + t41124 + t41125 - 0.2e1 / 0.3e1 * t41126 - 0.2e1 * t41128 - t41132 - t41134;
  t41138 = t4867 * t5148;
  t41144 = t26512 * t1255;
  t41145 = t1254 * t41144;
  t41156 = t626 * t8709;
  t41161 = t3389 * t8694;
  t41162 = t1254 * t41161;
  t41169 = t4851 * t5148;
  t41178 = t626 * t8843;
  t41185 = t626 * t41079;
  t41188 = -0.2e1 / 0.3e1 * t1252 * t41162 + 0.2e1 * t8844 * t5195 + 0.2e1 / 0.3e1 * t2098 * t21963 - 0.11e2 / 0.9e1 * t8710 * t41169 - t2098 * t21609 / 0.3e1 + 0.2e1 / 0.3e1 * t2098 * t21889 - 0.2e1 / 0.3e1 * t4798 * t8696 + 0.2e1 * t41178 * t1257 + 0.2e1 / 0.3e1 * t8654 * t3691 - 0.11e2 / 0.9e1 * t41156 * t8940 - 0.3e1 * t41185 * t15583;
  t41197 = t843 * t41144;
  t41212 = -t3070 * t8889 + 0.4e1 / 0.3e1 * t1252 * t25916 - 0.4e1 / 0.3e1 * t2098 * t21960 + 0.4e1 / 0.3e1 * t4798 * t8980 + 0.2e1 / 0.3e1 * t1294 * t41197 + t417 * t26522 / 0.3e1 + 0.2e1 / 0.3e1 * t5145 * t8987 + t1247 * t4754 / 0.3e1 - t4816 * t8992 / 0.3e1 - t1247 * t4750 / 0.3e1 + 0.2e1 / 0.3e1 * t4948 * t8987;
  t41222 = t4808 * t677 * t15609;
  t41224 = 0.3e1 / 0.2e1 * t20926 * t41222;
  t41227 = t246 * t8738 * t4828 / 0.2e1;
  t41228 = t4851 * t15638;
  t41230 = 0.7e1 / 0.3e1 * t20926 * t41228;
  t41234 = t25714 * t15582;
  t41239 = t679 * t8738 * t4794 / 0.2e1;
  t41240 = t2090 * t20811;
  t41242 = t191 * t3135 * t41240;
  t41245 = t1242 * t4754 / 0.3e1 - t4798 * t8992 / 0.3e1 - t1242 * t4750 / 0.3e1 - t8654 * t3366 / 0.3e1 - t41224 + t41227 + t41230 - 0.3e1 * t679 * t8921 * t21542 - 0.62e2 / 0.3e1 * t41095 * t41234 - t41239 + 0.6e1 * t41242 * t4869;
  t41249 = t633 * t8717;
  t41250 = t41249 * t1257;
  t41251 = t41250 / 0.9e1;
  t41252 = t5234 * t1275;
  t41254 = t4907 * t8749;
  t41256 = t633 * t8709;
  t41257 = t41256 * t8742;
  t41259 = t637 * t8923;
  t41260 = t3051 * t8852;
  t41262 = t3051 * t8937;
  t41263 = t41262 / 0.3e1;
  t41265 = t8718 * t4893 / 0.12e2;
  t41267 = 0.5e1 / 0.36e2 * t41018 * t4890;
  t41268 = t94 * t5055;
  t41269 = t837 * t41268;
  t41270 = t843 * t41269;
  t41274 = t2146 * t66;
  t41276 = t843 * t41274 * t830;
  t41287 = t2084 * t3076;
  t41289 = t191 * t649 * t41287;
  t41291 = t41289 * t5157 / 0.2e1;
  t41292 = t8622 * t845;
  t41293 = t41292 / 0.18e2;
  t41294 = t637 * t8894;
  t41295 = t41294 / 0.3e1;
  t41296 = t637 * t8898;
  t41297 = t41296 / 0.6e1;
  t41298 = t21023 * t15639;
  t41299 = 0.2e1 / 0.9e1 * t41298;
  t41307 = -t211 * t41276 / 0.6e1 + t9136 * t832 / 0.2e1 + t2093 * t3464 / 0.3e1 + 0.2e1 * t191 * t194 * t8842 * t4939 + t41291 - t41293 - t41295 - t41297 + t41299 + t246 * t8725 * t3447 / 0.2e1 - t246 * t3384 * t2120 * t597 / 0.2e1;
  t41312 = t219 * t221 * t5055;
  t41319 = t191 * t649 * t20750;
  t41322 = t637 * t8977;
  t41324 = t637 * t8722;
  t41325 = t637 * t8726;
  t41328 = t649 * t206 * t3076;
  t41329 = t633 * t41328;
  t41330 = t41329 * t15570;
  t41332 = t637 * t8732;
  t41339 = t637 * t8972;
  t41340 = t41339 / 0.6e1;
  t41341 = t637 * t8866;
  t41349 = t836 * t41274 * t838;
  t41354 = t3247 * t2170;
  t41361 = 0.3e1 / 0.2e1 * t246 * t247 * t8716 * t4914;
  t41362 = t3051 * t8889;
  t41364 = t41340 + t41341 / 0.3e1 - 0.2e1 * t630 * t8863 + 0.14e2 / 0.3e1 * t41185 * t15579 + t630 * t8866 + t211 * t41349 / 0.12e2 + 0.3e1 * t608 * t8722 + t41354 / 0.3e1 + 0.3e1 * t1228 * t4915 + t41361 - t41362 / 0.3e1;
  t41367 = t3051 * t8736;
  t41374 = t1254 * t41269;
  t41381 = t4907 * t8696;
  t41383 = t191 * t41328;
  t41384 = t606 * t15565;
  t41385 = t1261 * t41384;
  t41393 = t1261 * t244 * t41268;
  t41400 = t4907 * t8980;
  t41402 = t8625 * t3522;
  t41404 = t41256 * t8943;
  t41406 = t21023 * t15724;
  t41408 = t633 * t8843;
  t41409 = t41408 * t1257;
  t41411 = t8625 * t3691;
  t41413 = t41256 * t8940;
  t41416 = t836 * t21350 * t2106;
  t41419 = 0.2e1 / 0.3e1 * t1252 * t41393 - 0.2e1 / 0.3e1 * t2098 * t21930 - t417 * t26292 / 0.6e1 + 0.4e1 / 0.9e1 * t41400 - 0.4e1 / 0.9e1 * t41402 + 0.23e2 / 0.54e2 * t41404 + 0.4e1 / 0.9e1 * t41406 + 0.2e1 / 0.3e1 * t41409 + 0.2e1 / 0.9e1 * t41411 - 0.11e2 / 0.27e2 * t41413 + t417 * t41416 / 0.12e2;
  t41422 = t836 * t3389 * t8689;
  t41431 = t5068 * t651;
  t41441 = t22272 * t3118;
  t41444 = t783 * t3076;
  t41471 = 0.8e1 * t8667 * t26336 - 0.4e1 * t8670 * t27536 - 0.4e1 * t423 * t3468 - 0.8e1 * t41431 * t1274 + 0.2e1 * t789 * t5055 * t249 + 0.2e1 / 0.3e1 * t21295 * t2318 + 0.4e1 / 0.3e1 * t8661 * t8848 + 0.2e2 / 0.9e1 * t41441 * t16646 - 0.4e1 * t41444 * t2318 - 0.12e2 * t5028 * t3118 * t4863 + 0.4e1 / 0.3e1 * t41441 * t16651 + 0.24e2 * t1318 * t3076 * t4903 - 0.4e1 * t8685 * t4828 + 0.4e1 * t8680 * t3492 + 0.2e1 * t423 * t3447 + 0.8e1 * t1310 * t595 * t1281 + 0.4e1 * t1331 * t826 - 0.12e2 * t420 * t651 * t4914 + 0.4e1 * t8670 * t4828;
  t41478 = t789 * t1245;
  t41481 = t3428 * t4789;
  t41486 = t3428 * t4900;
  t41491 = t21298 * t4804;
  t41513 = -0.8e1 * t4775 + 0.4e1 * t8673 * t3468 + 0.12e2 * t789 * t1250 * t4914 - 0.4e1 * t41478 * t826 + 0.8e1 / 0.3e1 * t41481 * t1269 - 0.4e1 * t8667 * t3492 - 0.8e1 * t41486 * t4918 + 0.4e1 / 0.3e1 * t8670 * t4794 + 0.12e2 * t41491 * t4863 - 0.24e2 * t41486 * t4903 + 0.32e2 / 0.3e1 * t41491 * t4856 + 0.12e2 * t4781 + 0.8e1 * t41481 * t1274 + 0.16e2 / 0.9e1 * t41491 * t4846 - 0.2e1 * t8673 * t3447 - 0.2e1 * t4988 - 0.8e1 * t789 * t4961 * t1281 - 0.12e2 * t8670 * t27541 - 0.2e1 * t5057 * t222;
  t41514 = t41471 + t41513;
  t41517 = t836 * t837 * t94 * t41514;
  t41538 = t417 * t41422 / 0.6e1 + t417 * t41517 / 0.12e2 + t5211 * t2108 / 0.12e2 + t5214 * t2108 / 0.6e1 + t1242 * t8658 / 0.6e1 + t1242 * t8691 / 0.6e1 + t5202 * t2108 / 0.12e2 + t1247 * t8658 / 0.6e1 + t1247 * t8691 / 0.6e1 + 0.2e1 * t608 * t8969 - 0.6e1 * t608 * t8918;
  t41541 = t4851 * t41384;
  t41551 = t8619 * t845;
  t41555 = t8911 * t3499 / 0.6e1;
  t41557 = t2087 * t3530 / 0.12e2;
  t41558 = t633 * t8910;
  t41559 = t41558 * t1295;
  t41560 = t41559 / 0.9e1;
  t41561 = -0.2e1 * t608 * t8863 + 0.14e2 / 0.3e1 * t41080 * t41541 + t608 * t8866 - 0.2e1 * t26932 * t1270 + 0.2e1 * t5277 * t1275 - 0.2e1 * t27454 * t1270 + t41551 / 0.9e1 - t2098 * t21364 + t41555 + t41557 + t41560;
  t41566 = t8622 * t840;
  t41567 = t41566 / 0.18e2;
  t41569 = t2087 * t3464 / 0.6e1;
  t41571 = t26457 * t432 / 0.9e1;
  t41572 = t680 * t41056;
  t41576 = t21203 * t2154 / 0.9e1;
  t41577 = t1226 * t4809;
  t41578 = t4808 * t41577;
  t41581 = t3115 * t41240;
  t41590 = t680 * t41287;
  t41593 = 0.3e1 * t679 * t41590 * t4918;
  t41597 = 0.3e1 * t246 * t41590 * t4903;
  t41600 = t680 * t8708;
  t41608 = t191 * t194 * t8716;
  t41610 = t41608 * t4939 / 0.2e1;
  t41612 = t2087 * t3386 / 0.12e2;
  t41613 = t4934 * t8833;
  t41616 = t633 * t8836 * t1295;
  t41618 = t8619 * t840;
  t41624 = 0.3e1 / 0.2e1 * t3167 * t41027 * t4846;
  t41625 = -t41597 + 0.6e1 * t5286 * t4919 + 0.18e2 * t246 * t41600 * t4903 - 0.18e2 * t679 * t41600 * t4918 - t41610 - t41612 + 0.2e1 / 0.9e1 * t41613 - t41616 / 0.3e1 - t41618 / 0.9e1 - t2098 * t21018 / 0.12e2 + t41624;
  t41629 = 0.3e1 * t679 * t41027 * t4856;
  t41633 = t20831 * t4845;
  t41637 = t20831 * t4855;
  t41644 = t191 * t649 * t8708;
  t41651 = t41289 * t5179;
  t41653 = 0.11e2 / 0.18e2 * t41018 * t5167;
  t41656 = 0.23e2 / 0.36e2 * t41018 * t4811;
  t41657 = t25714 * t4868;
  t41660 = t26011 * t4810;
  t41663 = t1254 * t41038;
  t41666 = t4851 * t41038;
  t41669 = t3384 * t2124;
  t41675 = t843 * t41038;
  t41679 = t8625 * t3366;
  t41681 = t1218 * t4750;
  t41683 = t41656 - 0.61e2 / 0.27e2 * t41034 * t41657 + 0.44e2 / 0.27e2 * t41034 * t41660 + 0.2e1 * t5156 * t41663 - 0.11e2 / 0.9e1 * t4806 * t41666 - t679 * t41669 * t684 / 0.2e1 - t417 * t26916 / 0.3e1 - t4938 * t41675 + 0.2e1 * t2098 * t21757 - t41679 / 0.9e1 - t41681 / 0.9e1;
  t41686 = t30 * t9027;
  t41687 = t9744 * t4764;
  t41692 = t8688 * t206;
  t41693 = t788 * t41692;
  t41697 = t3130 * t427;
  t41698 = t41697 * t9966;
  t41701 = t414 * t1237;
  t41703 = t9744 * t3156 * t41701;
  t41706 = t9744 * t5003;
  t41709 = t1237 * t206;
  t41710 = t95 * t41709;
  t41711 = t4877 * t41710;
  t41714 = t26405 * t4878;
  t41717 = t8623 / 0.18e2;
  t41719 = t8644 / 0.6e1;
  t41720 = t8646 / 0.6e1;
  t41721 = t633 * t41079;
  t41722 = t41721 * t15583;
  t41729 = t246 * t8897 * t3447 / 0.4e1;
  t41735 = t246 * t8893 * t3492 / 0.2e1;
  t41737 = 0.2e1 * t21435 * t15639;
  t41738 = t4784 * t8842;
  t41742 = t41719 - t41720 - t41722 - t1228 * t4837 / 0.2e1 + t1228 * t4958 / 0.2e1 - t41729 - t1228 * t5162 - 0.4e1 * t21435 * t15724 - t41735 - t41737 - 0.6e1 * t3266 * t41738 * t1274;
  t41744 = t20724 * t8799;
  t41751 = t30 * t9013;
  t41753 = t4762 * t41710;
  t41756 = t1237 * t794;
  t41757 = t95 * t41756;
  t41758 = t3273 * t41757;
  t41761 = t30 * t9020;
  t41763 = t41761 * t4879 / 0.4e1;
  t41765 = t41761 * t4874 / 0.6e1;
  t41766 = t8625 * t3503;
  t41768 = t5234 * t1290;
  t41770 = t5234 * t1286;
  t41772 = t4882 * t41744 / 0.6e1 + t26047 * t8800 / 0.6e1 + t26642 * t8800 / 0.6e1 + t41751 * t4885 - 0.2e1 * t26701 * t41753 - 0.2e1 / 0.3e1 * t4761 * t41758 + t41763 - t41765 + 0.2e1 / 0.9e1 * t41766 + t41768 / 0.3e1 - t41770 / 0.3e1;
  t41776 = t246 * t8897 * t3468 / 0.2e1;
  t41777 = t8719 / 0.6e1;
  t41778 = t276 * t1237;
  t41779 = t253 * t41778;
  t41780 = t4762 * t41779;
  t41784 = t30 * t2121;
  t41787 = t30 * t9023;
  t41789 = t9845 * t41710;
  t41794 = t4996 * t41710;
  t41797 = t5175 * t41757;
  t41800 = t1228 * t4931 + t41776 - t41777 + 0.2e1 / 0.3e1 * t4761 * t41780 - t41751 * t4765 - t41784 * t3276 / 0.3e1 + t41787 * t4874 - 0.22e2 / 0.9e1 * t26050 * t41789 - 0.11e2 / 0.3e1 * t41787 * t5176 + 0.4e1 * t26106 * t41794 + 0.4e1 / 0.3e1 * t4872 * t41797;
  t41813 = t3232 * t2158 / 0.18e2;
  t41818 = t3232 * t2162 / 0.9e1;
  t41822 = t3232 * t2170 / 0.9e1;
  t41823 = t3238 * t2097;
  t41824 = t41823 * t662;
  t41827 = t8625 * t3175;
  t41829 = t8619 * t645;
  t41832 = t3238 * t2092 * t223;
  t41834 = t8622 * t645;
  t41835 = t41834 / 0.18e2;
  t41837 = t3238 * t2086 * t223;
  t41838 = t41837 / 0.18e2;
  t41839 = t41823 * t672;
  t41841 = t1218 * t5261;
  t41843 = t30 * t2125;
  t41847 = t4873 * t3264 * t41778;
  t41850 = t683 * t427;
  t41851 = t41850 * t4764;
  t41854 = t5247 * t1223;
  t41856 = -t41827 / 0.18e2 + t41829 / 0.9e1 + t41832 / 0.9e1 - t41835 - t41838 + 0.2e1 / 0.9e1 * t41839 - t41841 / 0.9e1 - 0.4e1 / 0.3e1 * t41843 * t21752 + 0.4e1 / 0.3e1 * t4872 * t41847 - t4872 * t41851 / 0.3e1 - t41854 / 0.9e1;
  t41858 = t5250 * t1223;
  t41860 = t8625 * t3056;
  t41862 = t41823 * t667;
  t41864 = t8625 * t3091;
  t41866 = t21192 * t2154;
  t41870 = t3231 * t2092 * t223 / 0.27e2;
  t41871 = t3562 * t238;
  t41872 = t41871 * t8791;
  t41875 = t8688 * t794;
  t41877 = t8790 * t95 * t41875;
  t41881 = t659 * t665 * t5055;
  t41887 = t246 * t3384 * t2117 * t249 / 0.4e1;
  t41890 = t824 * t221 * t41514;
  t41894 = t637 * t8969;
  t41896 = t637 * t8918;
  t41898 = t41721 * t15579;
  t41917 = -t246 * t1285 * t41890 / 0.4e1 + 0.2e1 / 0.3e1 * t41894 - 0.2e1 * t41896 + 0.14e2 / 0.9e1 * t41898 - t3101 * t2167 / 0.4e1 - t608 * t8958 / 0.2e1 - t608 * t8964 / 0.2e1 - t246 * t25979 * t2166 / 0.4e1 - t246 * t4896 * t8963 / 0.2e1 - t246 * t8735 * t21479 + t246 * t41669 * t690 / 0.2e1;
  t41926 = t637 * t8863;
  t41932 = t5241 * t2108 / 0.54e2;
  t41934 = t3232 * t2167 / 0.18e2;
  t41938 = t2087 * t3096 / 0.12e2;
  t41939 = t4877 * t4764;
  t41942 = t26535 * t8758;
  t41944 = t26835 * t8786;
  t41948 = t41249 * t1300;
  t41949 = t41948 / 0.18e2;
  t41950 = t1261 * t41269;
  t41955 = t4808 * t3498;
  t41958 = t26011 * t4868;
  t41961 = t4907 * t8703;
  t41963 = t41408 * t1300;
  t41965 = t8625 * t3525;
  t41967 = t41942 / 0.3e1 - t41944 / 0.9e1 + t26696 * t8795 / 0.6e1 - t41949 - t1252 * t41950 / 0.6e1 + t2098 * t21245 / 0.6e1 - 0.5e1 / 0.36e2 * t8710 * t41955 - 0.35e2 / 0.108e3 * t41034 * t41958 - t41961 / 0.9e1 + t41963 / 0.3e1 + t41965 / 0.9e1;
  t41969 = t41256 * t8711;
  t41971 = t8625 * t3380;
  t41973 = t8798 * t206;
  t41974 = t253 * t41973;
  t41975 = t3273 * t41974;
  t41978 = t8778 * t206;
  t41979 = t95 * t41978;
  t41980 = t26405 * t41979;
  t41985 = t8790 * t253 * t8798 * t794;
  t41988 = t8790 * t41979;
  t41991 = t4877 * t41974;
  t41998 = -0.5e1 / 0.54e2 * t41969 - t41971 / 0.18e2 + t8740 - t4761 * t41975 / 0.3e1 - 0.5e1 / 0.12e2 * t4872 * t41980 - t4882 * t41985 / 0.3e1 + 0.2e1 / 0.3e1 * t4761 * t41988 + t4872 * t41991 / 0.6e1 + t26266 * t8775 - t21748 * t8783 / 0.2e1 + t26260 * t8775;
  t42000 = t659 * t660 * t5055;
  t42010 = t3051 * t8849;
  t42016 = t5241 * t1223 / 0.27e2;
  t42021 = -t679 * t1267 * t42000 + 0.3e1 * t679 * t8851 * t4794 + 0.18e2 * t41105 * t15583 + t2098 * t21895 / 0.3e1 - 0.2e1 / 0.3e1 * t42010 - t21062 * t2154 - t21048 * t2154 / 0.2e1 + t42016 + t26443 * t432 / 0.2e1 + t26492 * t432 + t5277 * t1239;
  t42029 = t222 * t9126;
  t42034 = t191 * t242 * t9124 * t243;
  t42037 = t2105 * t592;
  t42038 = t20876 * t42037;
  t42042 = t20862 * t42037;
  t42046 = t22290 * t42037;
  t42050 = t95 * t42037;
  t42051 = t26405 * t42050;
  t42056 = t26847 * t42050;
  t42064 = t2105 * t621;
  t42065 = t95 * t42064;
  t42066 = t5175 * t42065;
  t42069 = t22052 * t8783;
  t42071 = t26467 * t8780;
  t42073 = t2105 * t3461;
  t42074 = t22302 * t42073;
  t42078 = t26467 * t8775;
  t42080 = t788 * t42037;
  t42084 = t26778 * t8766;
  t42096 = -0.2e1 / 0.3e1 * t26060 * t8771 + t4872 * t42066 / 0.6e1 - t42069 / 0.6e1 + t42071 / 0.3e1 - 0.3e1 / 0.2e1 * t4772 * t421 * t42074 + t42078 / 0.3e1 - 0.3e1 / 0.2e1 * t4772 * t5094 * t42080 + t4872 * t42084 / 0.3e1 + t26060 * t8767 / 0.3e1 + t191 * t194 * t41056 * t595 * t223 / 0.3e1 - t3220 * t2162 / 0.2e1;
  t42102 = t3220 * t2158 / 0.4e1;
  t42104 = t3226 * t2158 / 0.2e1;
  t42106 = t3101 * t2158 / 0.4e1;
  t42109 = t3273 * t253 * t276 * t8688;
  t42116 = t41761 * t4997 / 0.3e1;
  t42120 = t3130 * t8761;
  t42123 = t3130 * t41692;
  t42132 = t3209 * t2097;
  t42146 = t4983 * t5069 * t42120 + t4983 * t1319 * t42123 - t21053 * t2154 / 0.2e1 + 0.2e1 / 0.3e1 * t8654 * t3091 + t2098 * t21665 / 0.3e1 - t42132 * t662 / 0.12e2 - t8654 * t3175 / 0.6e1 - t2098 * t21577 / 0.12e2 + t3209 * t2092 * t223 / 0.6e1 + t8649 * t645 / 0.3e1 - t5211 * t1223 / 0.6e1;
  t42153 = t5234 * t1282;
  t42155 = t8810 / 0.6e1;
  t42156 = t188 * t9126;
  t42162 = t3209 * t2086 * t223 / 0.12e2;
  t42164 = t8809 * t645 / 0.6e1;
  t42167 = t4748 * t3397;
  t42168 = t1261 * t42167;
  t42172 = t4808 * t41038;
  t42175 = t4907 * t8992;
  t42177 = t843 * t42167;
  t42180 = t1261 * t41038;
  t42184 = t4934 * t8987;
  t42186 = t1218 * t4754;
  t42190 = t8828 / 0.6e1;
  t42191 = t788 * t42064;
  t42199 = -0.5e1 / 0.18e2 * t4806 * t42172 - t42175 / 0.9e1 + t1294 * t42177 / 0.3e1 + t5156 * t42180 - t2098 * t21892 / 0.6e1 + 0.2e1 / 0.9e1 * t42184 + t42186 / 0.9e1 + t4882 * t26646 / 0.3e1 - t42190 + t4772 * t1313 * t42191 / 0.2e1 + 0.3e1 / 0.2e1 * t26182 * t26189 * t3156 * t8756;
  t42201 = t3130 * t42064;
  t42213 = t843 * t41161;
  t42223 = t2087 * t3391 / 0.6e1;
  t42224 = t4983 * t1319 * t42201 / 0.2e1 + t8654 * t3525 / 0.3e1 - 0.5e1 / 0.18e2 * t41156 * t8711 - t8654 * t3380 / 0.6e1 + t8649 * t845 / 0.3e1 + 0.2e1 / 0.3e1 * t1294 * t42213 - t8837 * t5149 - t2093 * t3534 / 0.3e1 + t8844 * t5190 + t2093 * t3391 / 0.3e1 - t42223;
  t42231 = t4877 * t42050;
  t42234 = t773 * t2148;
  t42236 = t3273 * t42065;
  t42241 = t95 * t41692;
  t42242 = t3273 * t42241;
  t42245 = t276 * t2090;
  t42246 = t3264 * t42245;
  t42247 = t9845 * t42246;
  t42250 = t670 * t41701;
  t42251 = t9845 * t42250;
  t42254 = t3130 * t42037;
  t42258 = 0.2e1 / 0.3e1 * t4948 * t8833 - t626 * t8836 * t1295 - t8649 * t840 / 0.3e1 - t26106 * t42231 / 0.2e1 - t42234 / 0.6e1 - t4761 * t42236 / 0.6e1 + t4772 * t1311 * t8779 - t4761 * t42242 / 0.3e1 + 0.14e2 / 0.3e1 * t26808 * t42247 + 0.28e2 / 0.3e1 * t26808 * t42251 - 0.3e1 * t4983 * t5037 * t42254;
  t42262 = t26467 * t8763;
  t42264 = t3556 * t42037;
  t42268 = t26099 * t8767;
  t42270 = t276 * t2084;
  t42272 = t4873 * t3264 * t42270;
  t42274 = 0.2e1 / 0.3e1 * t20708 * t42272;
  t42275 = t229 * t41709;
  t42279 = t689 * t41709;
  t42283 = t3267 * t8892;
  t42285 = t3266 * t42283 * t1281;
  t42286 = t3267 * t2085;
  t42289 = t3266 * t42286 * t826 / 0.2e1;
  t42297 = t630 * t8739;
  t42298 = t3061 * t8937;
  t42299 = t608 * t8739;
  t42304 = t3070 * t8937;
  t42307 = t788 * t41756;
  t42311 = t4984 * t3077;
  t42312 = t30 * t42311;
  t42313 = t4873 * t42250;
  t42319 = 0.2e1 * t4772 * t1313 * t42307 - 0.2e1 * t3266 * t4777 * t8976 + 0.3e1 * t21529 * t8929 - 0.6e1 * t3061 * t8934 - 0.6e1 * t3070 * t8934 - 0.8e1 * t42312 * t42313 + 0.3e1 * t608 * t8923 + t42297 - t42298 + t42299 - t42304;
  t42321 = t229 * t427;
  t42322 = t42321 * t4764;
  t42325 = t4873 * t42246;
  t42335 = t3267 * t2091;
  t42338 = t26551 * t8708;
  t42342 = t30 * t9045;
  t42344 = t42342 * t4885 / 0.3e1;
  t42346 = t4877 * t42065;
  t42351 = t3273 * t253 * t731 * t2105;
  t42358 = t20724 * t8766;
  t42363 = t670 * t42037;
  t42364 = t26189 * t42363;
  t42372 = 0.3e1 / 0.2e1 * t4983 * t9020 * t21947;
  t42375 = 0.3e1 / 0.2e1 * t4772 * t9020 * t4780;
  t42379 = t3231 * t2097;
  t42381 = t42379 * t662 / 0.54e2;
  t42382 = -t26260 * t8763 - t26586 * t8786 / 0.3e1 - t4761 * t42358 / 0.3e1 - t26045 * t8786 / 0.3e1 - 0.23e2 / 0.36e2 * t26050 * t42364 - t26266 * t8763 - t26047 * t8792 / 0.3e1 + t42372 - t42375 - 0.11e2 * t4983 * t9023 * t21947 + t42381;
  t42387 = t26856 * t8800;
  t42389 = t22302 * t65;
  t42391 = t42389 * t95 * t42073;
  t42394 = t26099 * t8795;
  t42396 = t3273 * t42050;
  t42399 = t26856 * t8792;
  t42401 = t3130 * t41709;
  t42407 = t42342 * t4765 / 0.3e1;
  t42408 = t30 * t2118;
  t42410 = t42408 * t3276 / 0.6e1;
  t42412 = t26847 * t4878;
  t42415 = t8873 / 0.2e1;
  t42416 = t8876 / 0.2e1;
  t42420 = t4877 * t670 * t41756;
  t42424 = t9744 * t4991 * t42245;
  t42427 = t4784 * t8716;
  t42429 = t4993 * t42427 * t1269;
  t42431 = t3266 * t42427 * t1274;
  t42432 = t683 * t41709;
  t42436 = t20862 * t4773;
  t42440 = t22290 * t4773;
  t42444 = 0.55e2 / 0.18e2 * t41686 * t42412 + t42415 + t42416 + t9136 * t691 / 0.2e1 - 0.8e1 / 0.3e1 * t4872 * t42420 - 0.3e1 * t26808 * t42424 - t42429 + t42431 + 0.12e2 * t4983 * t5037 * t42432 + 0.15e2 * t4983 * t9027 * t42436 - 0.15e2 / 0.2e1 * t4772 * t9027 * t42440;
  t42453 = t3247 * t2167;
  t42455 = t637 * t8958;
  t42457 = t637 * t8964;
  t42459 = t5247 * t2108;
  t42461 = t5250 * t2108;
  t42463 = t1218 * t8658;
  t42465 = t1218 * t8691;
  t42467 = t1261 * t41161;
  t42470 = -0.6e1 * t4993 * t42338 * t8933 - t630 * t8958 / 0.2e1 - t630 * t8964 / 0.2e1 - t42453 / 0.6e1 - t42455 / 0.6e1 - t42457 / 0.6e1 + t42459 / 0.18e2 + t42461 / 0.18e2 + t42463 / 0.18e2 + t42465 / 0.18e2 - t1252 * t42467 / 0.3e1;
  t42473 = t4808 * t5148;
  t42478 = t3242 * t2167;
  t42482 = t26056 * t8766;
  t42485 = t4877 * t42241;
  t42488 = t3556 * t41692;
  t42491 = t3556 * t42064;
  t42498 = t3556 * t41756;
  t42502 = t2098 * t21738 / 0.3e1 - 0.5e1 / 0.18e2 * t8710 * t42473 - t2098 * t21071 / 0.6e1 - t42478 / 0.6e1 - t4798 * t8703 / 0.3e1 + t4872 * t42482 / 0.6e1 + t4872 * t42485 / 0.6e1 - t4772 * t1319 * t42488 - t4772 * t1319 * t42491 / 0.2e1 - 0.7e1 / 0.3e1 * t26182 * t26847 * t15649 - 0.4e1 * t4772 * t1319 * t42498;
  t42508 = t3459 * t2165 * t794;
  t42511 = t3562 * t41978;
  t42516 = t824 * t2165 * t206;
  t42521 = t608 * t8894;
  t42523 = t608 * t8898 / 0.2e1;
  t42525 = t1261 * t606 * t15609;
  t42527 = 0.2e1 / 0.3e1 * t3396 * t42525;
  t42529 = t608 * t8972 / 0.2e1;
  t42530 = t630 * t8894;
  t42532 = t630 * t8898 / 0.2e1;
  t42535 = 0.2e1 / 0.3e1 * t21103 * t15639;
  t42537 = t630 * t8972 / 0.2e1;
  t42543 = t42379 * t667 / 0.27e2;
  t42544 = t634 * t9131;
  t42546 = t633 * t9135;
  t42547 = t42546 * t250;
  t42549 = t3247 * t2162;
  t42551 = t3242 * t2162;
  t42553 = t3242 * t2158;
  t42554 = t42553 / 0.6e1;
  t42555 = t3247 * t2158;
  t42556 = t42555 / 0.6e1;
  t42557 = t42535 + t42537 - 0.2e1 * t3061 * t8849 + 0.6e1 * t3061 * t8852 + t42543 - t42544 / 0.18e2 + t42547 / 0.6e1 - t42549 / 0.3e1 - t42551 / 0.3e1 + t42554 + t42556;
  t42559 = t21198 * t2154;
  t42563 = t26189 * t42050;
  t42576 = t3231 * t2086 * t223 / 0.54e2;
  t42579 = t626 * t9135;
  t42583 = t661 * t2148;
  t42586 = t670 * t41709;
  t42587 = t9744 * t42586;
  t42593 = t4873 * t41779;
  t42598 = t26189 * t4878;
  t42603 = t3562 * t41875;
  t42610 = t41130 * t1300 / 0.6e1;
  t42611 = -t654 * t42583 / 0.12e2 + 0.23e2 / 0.9e1 * t26050 * t42587 + 0.2e1 * t3266 * t4785 * t8968 - t4872 * t42593 / 0.3e1 - 0.11e2 / 0.6e1 * t41787 * t4879 + 0.25e2 / 0.36e2 * t41686 * t42598 + t41843 * t21601 / 0.3e1 + t4772 * t421 * t42603 - t21744 * t8783 / 0.2e1 + t41178 * t1300 - t42610;
  t42615 = t8809 * t845 / 0.6e1;
  t42617 = t8911 * t5149 / 0.3e1;
  t42619 = t2087 * t3534 / 0.6e1;
  t42621 = t8718 * t5190 / 0.6e1;
  t42628 = t626 * t8910;
  t42630 = t42628 * t1295 / 0.3e1;
  t42632 = t8809 * t840 / 0.6e1;
  t42633 = t1261 * t41144;
  t42645 = t25709 * t4868;
  t42650 = t25714 * t4810;
  t42653 = t1254 * t42167;
  t42660 = t26011 * t4840;
  t42663 = -t417 * t26514 / 0.3e1 - t26642 * t8792 / 0.3e1 + t1228 * t5208 / 0.2e1 - t8710 * t20927 / 0.2e1 - 0.38e2 / 0.9e1 * t41034 * t42645 + 0.7e1 / 0.3e1 * t8710 * t21885 + 0.89e2 / 0.9e1 * t41034 * t42650 - t1252 * t42653 / 0.3e1 + 0.2e1 / 0.3e1 * t1252 * t25950 - 0.3e1 / 0.2e1 * t8710 * t21639 - 0.43e2 / 0.9e1 * t41034 * t42660;
  t42667 = t8718 * t5170 / 0.6e1;
  t42669 = t8718 * t3399 / 0.3e1;
  t42671 = t2105 * t3445;
  t42673 = t8790 * t95 * t42671;
  t42682 = t5234 * t1239;
  t42684 = t26120 * t432;
  t42688 = -t5286 * t4795 - t42667 + t42669 + t8844 * t5170 - t4882 * t42673 / 0.6e1 - t42132 * t667 / 0.6e1 - t8654 * t3056 / 0.3e1 - t2098 * t21044 / 0.6e1 + t42682 / 0.3e1 + t42684 / 0.3e1 - t9136 * t598 / 0.2e1;
  t42689 = t26117 * t432;
  t42693 = t3242 * t2170;
  t42698 = 0.2e1 / 0.27e2 * t42379 * t672;
  t42699 = t2084 * t794;
  t42701 = t4877 * t670 * t42699;
  t42702 = t20708 * t42701;
  t42703 = t2090 * t794;
  t42704 = t670 * t42703;
  t42705 = t4877 * t42704;
  t42708 = t30 * t5280;
  t42712 = t769 * t2148 / 0.18e2;
  t42715 = t41697 * t4878;
  t42718 = t42689 / 0.3e1 + t603 * t9131 / 0.6e1 + t42693 / 0.3e1 + 0.2e1 / 0.3e1 * t41059 * t672 - t42698 - t42702 + 0.22e2 / 0.3e1 * t42312 * t42705 + 0.2e1 * t42708 * t4775 + t42712 + 0.2e1 / 0.3e1 * t41843 * t21879 + t4872 * t42715 / 0.2e1;
  t42722 = t4996 * t41779;
  t42726 = t20822 * t2090 * t20844;
  t42727 = t20876 * t5061;
  t42730 = t2124 * t21138;
  t42733 = t9026 * t20885;
  t42738 = t2117 * t3259;
  t42740 = 0.3e1 * t42738 * t5129;
  t42741 = t2118 * t3602;
  t42744 = t9019 * t5021;
  t42746 = 0.6e1 * t42744 * t5025;
  t42747 = t8999 * t592;
  t42748 = t802 * t42747;
  t42752 = t233 * t8999 * t3445;
  t42756 = t8999 * t621;
  t42757 = t233 * t42756;
  t42761 = 0.2e1 * t9045 * t5042;
  t42764 = t3125 * t5045;
  t42767 = t2141 * t621;
  t42768 = t3556 * t42767;
  t42771 = 0.2e1 * t9020 * t5075;
  t42772 = t5061 * t2105;
  t42773 = t3130 * t42772;
  t42776 = t42744 * t5023;
  t42777 = t9109 * t206;
  t42778 = t3556 * t42777;
  t42781 = t9004 * t206;
  t42782 = t3130 * t42781;
  t42785 = t22290 * t5041;
  t42788 = 0.2e1 * t5015 * t42757 - t42761 - 0.12e2 * t9023 * t5075 - 0.2e1 / 0.3e1 * t9027 * t42764 + t1319 * t42768 + t42771 + 0.4e1 * t5037 * t42773 + t42776 + 0.2e1 * t1319 * t42778 - 0.12e2 * t5029 * t42782 + 0.15e2 * t9027 * t42785;
  t42790 = t3130 * t5045;
  t42795 = t62 * t8688;
  t42797 = t233 * t42795 * t794;
  t42800 = t42795 * t206;
  t42801 = t802 * t42800;
  t42804 = t2124 * t27218;
  t42807 = t62 * t1237;
  t42808 = t42807 * t794;
  t42809 = t802 * t42808;
  t42812 = t42807 * t206;
  t42813 = t3590 * t42812;
  t42816 = t233 * t42812;
  t42819 = t233 * t42808;
  t42822 = t802 * t42812;
  t42825 = t2120 * t27411;
  t42828 = 0.6e1 * t9027 * t42790 + 0.2e1 * t5069 * t9017 + 0.4e1 * t9082 * t42797 + 0.2e1 / 0.3e1 * t5022 * t42801 - 0.22e2 / 0.3e1 * t42804 * t5023 + 0.8e1 / 0.3e1 * t5022 * t42809 - 0.4e1 / 0.9e1 * t27132 * t42813 + 0.24e2 * t27426 * t42816 + 0.8e1 * t5015 * t42819 + 0.8e1 * t27124 * t42822 - 0.12e2 * t42825 * t5018;
  t42829 = t233 * t41978;
  t42832 = t3580 * t42812;
  t42837 = t9026 * t27100;
  t42838 = t3580 * t5017;
  t42841 = t227 * t20759;
  t42842 = t420 * t42841;
  t42844 = t233 * t8999 * t3461;
  t42847 = t233 * t42747;
  t42850 = t815 * t42812;
  t42853 = t815 * t42808;
  t42856 = t802 * t41978;
  t42860 = t2118 * t3634 / 0.2e1;
  t42861 = t3125 * t5103;
  t42864 = 0.4e1 * t27419 * t42829 - 0.8e1 / 0.3e1 * t27132 * t42832 + 0.44e2 * t42804 * t5025 + 0.1e2 / 0.3e1 * t42837 * t42838 - 0.6e1 * t42842 * t42844 - 0.6e1 * t27412 * t42847 - 0.48e2 * t27124 * t42850 - 0.16e2 * t5022 * t42853 + 0.1e2 / 0.3e1 * t27405 * t42856 + t42860 + 0.1e2 / 0.3e1 * t9027 * t42861;
  t42867 = t20871 * t5061;
  t42870 = t60 * t5055;
  t42871 = t683 * t42870;
  t42874 = t9020 * t5104;
  t42877 = t3130 * t5103;
  t42887 = t2117 * t5014;
  t42889 = 0.4e1 * t42887 * t5018;
  t42890 = t69 * t2084;
  t42891 = t42890 * t3121;
  t42893 = 0.3e1 * t42891 * t5065;
  t42897 = t20862 * t5061;
  t42900 = t9019 * t3077;
  t42902 = 0.6e1 * t42900 * t5062;
  t42904 = 0.1e2 / 0.3e1 * t42891 * t5126;
  t42906 = 0.2e1 / 0.3e1 * t9020 * t5106;
  t42909 = t3168 * t5103;
  t42914 = t9045 * t5112;
  t42919 = 0.36e2 * t42733 * t5065 - 0.12e2 * t42726 * t42897 + t42902 + t42904 + t42906 - 0.4e1 * t9023 * t5106 + t9027 * t42909 / 0.18e2 - 0.4e1 / 0.3e1 * t2125 * t22356 + t42914 - 0.4e1 * t2121 * t3564 - 0.2e1 * t2125 * t22291;
  t42922 = 0.6e1 * t42738 * t5095;
  t42924 = 0.2e1 * t2118 * t3564;
  t42927 = t788 * t42772;
  t42931 = t22302 * t2141 * t3461;
  t42934 = t2120 * t21714;
  t42937 = t9004 * t794;
  t42938 = t3130 * t42937;
  t42945 = t3590 * t5017;
  t42948 = t42922 + t42924 + 0.12e2 * t2125 * t22310 + 0.3e1 * t5094 * t42927 + 0.3e1 * t421 * t42931 - 0.24e2 * t42934 * t5095 - 0.16e2 / 0.3e1 * t1319 * t42938 - t2121 * t3634 + t5116 * t2142 / 0.2e1 + t1311 * t9110 + 0.5e1 / 0.9e1 * t42837 * t42945;
  t42950 = t788 * t60 * t41514;
  t42959 = t648 * t41056;
  t42960 = t42959 * t651;
  t42965 = t815 * t42747;
  t42968 = t3580 * t42747;
  t42972 = t22290 * t42772;
  t42976 = 0.6e1 * t42891 * t5034;
  t42977 = t421 * t42950 / 0.2e1 + 0.12e2 * t42934 * t5129 + 0.2e1 * t2121 * t3602 - 0.6e1 * t2125 * t22418 + 0.4e1 / 0.3e1 * t42960 * t803 - 0.6e1 * t27101 * t42748 + 0.12e2 * t27219 * t42965 + 0.2e1 / 0.3e1 * t27101 * t42968 - t5116 * t2129 + 0.3e1 * t5029 * t42972 + t42976;
  t42983 = t20876 * t5030;
  t42986 = t193 * t41056;
  t42992 = t20876 * t5041;
  t42997 = t20845 * t5030;
  t43004 = t63 * t5055;
  t43005 = t683 * t43004;
  t43009 = t3168 * t42781;
  t43013 = t788 * t63 * t41514;
  t43016 = 0.2e1 * t42900 * t5089;
  t43017 = t2118 * t3546;
  t43019 = 0.2e1 * t9020 * t5072;
  t43021 = t9020 * t5046 / 0.3e1;
  t43023 = t42891 * t5049 / 0.9e1;
  t43025 = 0.3e1 * t9020 * t5098;
  t43028 = t689 * t42781;
  t43031 = t3556 * t42937;
  t43034 = 0.2e1 / 0.9e1 * t5029 * t43009 - t421 * t43013 + t43016 - t43017 - t43019 - t43021 - t43023 + t43025 + 0.6e1 * t9013 * t5042 + 0.24e2 * t5037 * t43028 + 0.8e1 * t1319 * t43031;
  t43038 = t229 * t42781;
  t43041 = t788 * t42937;
  t43045 = 0.2e1 * t9045 * t5086;
  t43046 = t20862 * t42772;
  t43049 = t3556 * t42772;
  t43052 = t20862 * t5030;
  t43055 = t20871 * t5030;
  t43059 = 0.12e2 * t42900 * t5038;
  t43061 = 0.2e1 / 0.3e1 * t42891 * t5031;
  t43064 = -0.22e2 * t9023 * t5098 - 0.12e2 * t5094 * t43038 - 0.4e1 * t1313 * t43041 - t43045 - 0.1e2 / 0.3e1 * t5029 * t43046 - 0.6e1 * t5037 * t43049 + 0.24e2 * t42726 * t43052 - 0.4e1 / 0.3e1 * t42726 * t43055 - t43059 - t43061 + 0.72e2 * t42730 * t5038;
  t43067 = t802 * t62;
  t43068 = t43067 * t41978;
  t43071 = t233 * t62;
  t43072 = t43071 * t41978;
  t43075 = t815 * t62;
  t43076 = t43075 * t41978;
  t43079 = 0.4e1 * t9021;
  t43080 = 0.4e1 * t9046;
  t43081 = 0.2e1 * t9048;
  t43082 = 0.2e1 / 0.3e1 * t9049;
  t43085 = t229 * t42870;
  t43090 = 0.8e1 * t42733 * t5031 - 0.5e1 / 0.3e1 * t27405 * t43068 - 0.8e1 * t27419 * t43072 + 0.1e2 * t27405 * t43076 + t43079 - t43080 - t43081 - t43082 + 0.2e1 * t2125 * t22436 + 0.2e1 * t1313 * t43085 - 0.3e1 * t9013 * t5112;
  t43094 = 0.4e1 * t42900 * t5120;
  t43096 = t42891 * t5123 / 0.18e2;
  t43097 = t689 * t42870;
  t43109 = t3130 * t42777;
  t43116 = t788 * t42777;
  t43119 = -t43094 + t43096 - 0.2e1 * t1319 * t43097 - 0.2e1 / 0.3e1 * t42733 * t5123 + 0.24e2 * t42730 * t5120 + 0.2e1 * t42986 * t595 * t234 - 0.2e1 * t42960 * t816 - 0.4e1 / 0.3e1 * t1319 * t43109 - 0.4e1 / 0.3e1 * t5069 * t9054 - 0.2e1 * t1311 * t9052 - 0.2e1 * t1313 * t43116;
  t43120 = t788 * t42767;
  t43122 = t689 * t43004;
  t43125 = t3125 * t42781;
  t43130 = t20862 * t5041;
  t43139 = t815 * t42800;
  t43142 = t20876 * t42772;
  t43145 = t42959 * t682;
  t43148 = -t1313 * t43120 + 0.4e1 * t1319 * t43122 + 0.4e2 / 0.3e1 * t5029 * t43125 - 0.4e1 * t2125 * t22337 - 0.5e2 / 0.3e1 * t9027 * t43130 - 0.2e1 * t5078 * t9062 + 0.24e2 * t27132 * t42822 - 0.3e2 * t42837 * t5023 - 0.4e1 * t5022 * t43139 - t5029 * t43142 / 0.18e2 + 0.4e1 * t43145 * t798;
  t43150 = t802 * t42756;
  t43153 = t3590 * t42747;
  t43156 = t815 * t41978;
  t43159 = t815 * t42756;
  t43165 = t3562 * t9109 * t794;
  t43169 = t3562 * t2141 * t3445;
  t43171 = t229 * t43004;
  t43174 = t683 * t42781;
  t43181 = t5022 * t43150 / 0.3e1 + t27101 * t43153 / 0.9e1 - 0.5e1 * t27405 * t43156 - 0.2e1 * t5022 * t43159 - 0.2e1 * t1311 * t9065 - 0.2e1 * t421 * t43165 - t421 * t43169 - 0.4e1 * t1313 * t43171 - 0.16e2 * t5037 * t43174 + 0.6e1 * t9013 * t5086 - 0.12e2 * t42730 * t5089;
  t43186 = t3130 * t42767;
  t43189 = 0.4e1 / 0.3e1 * t9092;
  t43190 = 0.2e1 * t9100;
  t43191 = 0.2e1 * t9121;
  t43194 = t233 * t42800;
  t43197 = 0.2e1 * t2121 * t3546 + 0.44e2 / 0.3e1 * t9023 * t5072 - 0.2e1 / 0.3e1 * t1319 * t43186 - t2138 + t9090 + t43189 - t43190 + t43191 - 0.2e1 / 0.3e1 * t43145 * t785 + 0.4e1 * t5015 * t43194 + t2119;
  t43206 = t9845 * t4764;
  t43209 = t5175 * t42050;
  t43214 = t4772 * t9045 * t4774;
  t43215 = t8899 / 0.2e1;
  t43216 = t26189 * t5000;
  t43220 = t41761 * t5176 / 0.2e1;
  t43223 = t4877 * t3264 * t41973;
  t43226 = t5175 * t41974;
  t43230 = t26405 * t670 * t41978;
  t43233 = t26847 * t42704;
  t43236 = t3562 * t42671;
  t43240 = t8912 / 0.3e1;
  t43241 = t8914 / 0.6e1;
  t43248 = -0.2e1 / 0.3e1 * t4872 * t43223 + t4872 * t43226 / 0.3e1 + 0.5e1 / 0.3e1 * t4872 * t43230 - 0.35e2 / 0.3e1 * t26808 * t43233 + t4772 * t421 * t43236 / 0.2e1 + t43240 + t43241 - t8938 - t8837 * t3499 / 0.2e1 - 0.3e1 * t41644 * t5157 - t2093 * t3530 / 0.6e1;
  t43261 = t626 * t41328;
  t43265 = t8951 / 0.3e1;
  t43266 = 0.2e1 / 0.3e1 * t8953;
  t43270 = t8973 / 0.2e1;
  t43271 = t4784 * t2096;
  t43276 = t26189 * t3156 * t42703;
  t43279 = t3130 * t41756;
  t43287 = t1261 * t5264 * t2266;
  t43295 = -t4772 * t5069 * t8762 + t43270 + 0.2e1 * t4993 * t43271 * t3362 + 0.15e2 / 0.2e1 * t26808 * t43276 + 0.4e1 * t4983 * t1319 * t43279 - t182 * t9126 / 0.2e1 - t5266 * t1286 + 0.4e1 / 0.3e1 * t3396 * t43287 + t5266 * t1290 - 0.2e1 * t1228 * t4963 - 0.2e1 * t5277 * t1282;
  t43304 = t22309 * t41978;
  t43309 = t3360 * t15214 * t206;
  t43312 = t26400 * t41979;
  t43315 = t22290 * t41978;
  t43320 = t3360 * t15162 * t206;
  t43323 = t4873 * t41710;
  t43327 = t4877 * t41757;
  t43330 = t9744 * t41710;
  t43333 = t26056 * t8770;
  t43337 = t4877 * t670 * t41692;
  t43341 = t4877 * t670 * t42064;
  t43348 = t41850 * t9970;
  t43351 = t30 * t27640;
  t43357 = t30 * t427 * t4991;
  t43360 = 0.2e1 / 0.3e1 * t4872 * t43327 - 0.5e1 / 0.9e1 * t26050 * t43330 - 0.2e1 / 0.3e1 * t4872 * t43333 - 0.2e1 / 0.3e1 * t4872 * t43337 - t4872 * t43341 / 0.3e1 + t4772 * t5078 * t8774 - 0.2e1 * t26650 * t4778 + 0.4e1 / 0.3e1 * t20708 * t43348 + 0.3e1 * t43351 * t4988 - 0.3e1 * t42708 * t4781 - 0.2e1 * t43357 * t4994;
  t43364 = t3168 * t41709;
  t43371 = t689 * t427;
  t43372 = t43371 * t4764;
  t43383 = t26645 * t4878;
  t43386 = t188 * t8886;
  t43388 = t26099 * t8771;
  t43390 = t4877 * t42363;
  t43393 = 0.2e1 * t26650 * t4786 + 0.6e1 * t9877 * t5029 * t43364 + 0.3e1 * t26550 * t42338 * t8928 - 0.2e1 / 0.3e1 * t4872 * t43372 - t30 * t9125 * t277 / 0.2e1 - 0.2e1 * t4993 * t4785 * t8848 - t182 * t8886 / 0.2e1 - 0.2e1 / 0.3e1 * t4761 * t43383 - t43386 / 0.6e1 - 0.2e1 / 0.9e1 * t43388 + 0.2e1 * t26106 * t43390;
  t43406 = t3556 * t427;
  t43407 = t43406 * t4878;
  t43411 = t5175 * t42241;
  t43417 = t20876 * t4773;
  t43421 = t3125 * t41709;
  t43425 = -0.2e1 * t3266 * t43271 * t3410 - t3266 * t26246 * t2166 / 0.4e1 - t3266 * t26242 * t2166 / 0.2e1 - t3266 * t4768 * t8963 / 0.2e1 + t4872 * t43407 + t26260 * t8780 + t26266 * t8780 + t4872 * t43411 / 0.3e1 + 0.6e1 * t4993 * t41738 * t1269 - 0.15e2 / 0.2e1 * t9877 * t9027 * t43417 - 0.12e2 * t4983 * t5029 * t43421;
  t43432 = my_piecewise3(t2, 0, t2093 * t3386 / 0.6e1 - 0.4e1 * t41383 * t41385 - t608 * t8732 + 0.2e1 * t630 * t8969 + 0.12e2 * t41319 * t15570 + t1294 * t41270 / 0.3e1 - t41156 * t8742 + 0.3e1 * t630 * t8923 - t8710 * t41138 - 0.2e1 / 0.3e1 * t4798 * t8749 - 0.2e1 / 0.3e1 * t4816 * t8749 - 0.2e1 / 0.3e1 * t1252 * t41145 + 0.2e1 * t5266 * t1275 - 0.2e1 * t5286 * t4791 + 0.2e1 * t1228 * t4825 + 0.3e1 * t21524 * t8929 + 0.8e1 * t41095 * t41097 - 0.28e2 * t41105 * t15579 - t41073 * t685 / 0.2e1 + 0.2e1 * t3061 * t8736 - 0.3e1 * t41080 * t41082 - t3061 * t8889 + t1228 * t4829 - 0.2e1 * t3070 * t8849 + 0.2e1 * t3070 * t8736 - 0.3e1 * t4806 * t41022 + 0.3e1 * t26784 * t4847 + 0.23e2 / 0.18e2 * t8710 * t41003 - t1228 * t4897 + 0.4e1 / 0.3e1 * t3396 * t41008 + t1228 * t4952 + t4882 * t42109 / 0.6e1 + t26050 * t42051 / 0.2e1 + t26060 * t8795 / 0.6e1 + 0.11e2 / 0.18e2 * t26050 * t42056 - 0.2e1 / 0.3e1 * t26696 * t8771 - t211 * t42029 / 0.6e1 + t42034 * t250 / 0.2e1 + t26452 * t432 / 0.2e1 - t41686 * t41939 - t3220 * t2167 / 0.4e1 - t3226 * t2167 / 0.2e1 - 0.2e1 * t5266 * t1282 + t2093 * t3096 / 0.6e1 - t4882 * t41872 / 0.3e1 - t4882 * t41877 / 0.3e1 + t608 * t8726 + t3220 * t2170 / 0.2e1 - t642 * t9131 / 0.12e2 - 0.2e1 * t20708 * t41698 - 0.6e1 * t26808 * t41703 + 0.23e2 / 0.18e2 * t41686 * t41706 - 0.2e1 * t26050 * t41711 + 0.5e1 / 0.2e1 * t41686 * t41714 - 0.5e1 / 0.18e2 * t41686 * t41687 - t759 * t2148 / 0.4e1 - t26650 * t4769 - 0.6e1 * t5286 * t4857 - 0.6e1 * t41644 * t5179 + 0.22e2 / 0.3e1 * t41242 * t5167 - 0.23e2 / 0.3e1 * t41242 * t4811 - 0.6e1 * t1228 * t4904 + 0.23e2 / 0.18e2 * t4806 * t41578 - t1252 * t41374 / 0.3e1 + t2098 * t21956 / 0.3e1 + t26701 * t42396 / 0.2e1 + t5266 * t1239 + t4872 * t42346 / 0.12e2 + t4882 * t42351 / 0.12e2 + 0.2e1 / 0.3e1 * t4761 * t42322 - 0.4e1 * t42312 * t42325 + 0.6e1 * t3070 * t8852 - 0.6e1 * t630 * t8918 + t417 * t26507 / 0.6e1 - t1252 * t42168 / 0.6e1 - t5214 * t1223 / 0.3e1 - t1242 * t5261 / 0.3e1 + t42132 * t672 / 0.3e1 + t26257 * t8758 + t26263 * t8758 - t3226 * t2162 - t3101 * t2162 / 0.2e1 - t26106 * t43209 + t26696 * t8767 / 0.3e1 - 0.115e3 / 0.36e2 * t41686 * t43216 - 0.2e1 / 0.3e1 * t4872 * t42722 - 0.4e1 / 0.3e1 * t8654 * t3522 + 0.23e2 / 0.18e2 * t41156 * t8943 + 0.2e1 / 0.3e1 * t8654 * t3503 - t1252 * t42633 / 0.3e1 - t1247 * t5261 / 0.3e1 + 0.2e1 * t41787 * t4997 - t627 * t9131 / 0.6e1 + t42579 * t250 / 0.2e1 + t9136 * t623 / 0.4e1 + 0.5e1 / 0.36e2 * t26050 * t42563 - t417 * t26446 / 0.6e1 - t5202 * t1223 / 0.6e1 - 0.2e1 * t608 * t8977 + t3226 * t2170 - t41059 * t667 / 0.3e1 + t4882 * t42391 / 0.2e1 - 0.5e1 / 0.6e1 * t4872 * t43312 + 0.2e1 * t26106 * t43323 - t5277 * t1286 + 0.4e1 / 0.3e1 * t21103 * t15724 + t5277 * t1290 - t9136 * t827 / 0.4e1 + t8844 * t4893 / 0.2e1 - t2098 * t21762 / 0.2e1 + 0.5e1 / 0.3e1 * t41242 * t4890 - 0.2e1 * t630 * t8977 + 0.3e1 * t630 * t8722 + t630 * t8726 - 0.4e1 * t43261 * t15570 - t630 * t8732 - 0.11e2 / 0.9e1 * t41686 * t43206 + 0.14e2 / 0.3e1 * t20926 * t4851 * t15723 + 0.3e1 / 0.2e1 * t3167 * t8921 * t20938 - 0.3e1 * t246 * t8851 * t4828 + t679 * t8735 * t21484 - t246 * t1279 * t41312 + 0.3e1 / 0.2e1 * t246 * t8721 * t3492 - 0.3e1 * t679 * t8735 * t21338 - t246 * t8725 * t3468 - t679 * t41572 * t684 - 0.18e2 * t3167 * t41581 * t4846 + 0.36e2 * t679 * t41581 * t4856 - 0.18e2 * t246 * t41581 * t4863 - 0.18e2 * t679 * t41043 * t41633 + 0.6e1 * t246 * t41043 * t41637 + t4772 * t1313 * t41693 - t30 * t2147 * t732 / 0.4e1 + t246 * t41572 * t690 + t246 * t1267 * t41881 + 0.3e1 * t246 * t8735 * t21345 - 0.3e1 / 0.2e1 * t9877 * t5029 * t42038 + 0.3e1 * t4983 * t5029 * t42042 - 0.3e1 / 0.2e1 * t4772 * t5029 * t42046 + 0.11e2 * t4772 * t9023 * t4780 + 0.3e1 * t4772 * t5037 * t42264 + 0.6e1 * t4772 * t5094 * t42275 - 0.12e2 * t4772 * t5037 * t42279 - 0.3e1 * t4772 * t9013 * t4774 + t3266 * t42335 * t826 + 0.3e1 * t3266 * t42338 * t8922 + 0.6e1 * t4772 * t5029 * t42401 + t3266 * t4768 * t42508 - 0.2e1 * t4772 * t1313 * t42511 + t3266 * t4777 * t42516 + 0.5e1 / 0.2e1 * t4772 * t1319 * t43304 - t3266 * t4785 * t43309 - 0.5e1 / 0.2e1 * t4983 * t1319 * t43315 + t4993 * t4785 * t43320 + t43425 + t43393 + t43360 + t43295 + t43266 - t43265 + t43248 + t43220 - t43215 + t43214 + t42718 + t42688 + t42663 + t42630 + t42632 - t42621 + t42617 + t42619 - t42615 + t42611 + t42576 + t42557 - t42559 / 0.3e1 - t42532 + t42527 + t42529 - t42530 - t42523 - t42521 + t42502 + t42470 + t42444 + t42410 + t42407 - t42399 / 0.9e1 + t42394 / 0.18e2 + t42387 / 0.18e2 + t42382 - t42344 + t42319 - t42289 - t42285 + t42274 + t42268 / 0.9e1 - t42262 / 0.3e1 + t42258 + t42224 + t42199 - t42164 - t42162 - t42155 - t42156 / 0.6e1 - 0.2e1 / 0.3e1 * t42153 + t42146 - t42116 + t42104 + t42106 + t42102 + t42096 + t42021 + t41998 + t41967 - t41938 + t41934 - t41932 - 0.2e1 / 0.3e1 * t41926 + t41917 + t41887 - t41870 - t41866 / 0.3e1 - t41862 / 0.9e1 + 0.2e1 / 0.9e1 * t41864 - t41858 / 0.9e1 - t41860 / 0.9e1 + t41856 - t41824 / 0.18e2 - t41822 + t41818 - t41813 + t41800 + t41772 + t41742 - 0.2e1 / 0.9e1 * t41254 + t41683 + t41419 - t41251 + 0.2e1 / 0.3e1 * t41252 + 0.2e1 * t41260 - t41263 + 0.2e1 / 0.3e1 * t41367 - t41020 + t41561 + t41212 + t41538 - t41571 - t41717 + t41325 / 0.3e1 + t41188 - t41257 / 0.3e1 + t41259 - 0.2e1 / 0.3e1 * t41322 + t41324 - t41265 - t41267 + t41567 + t41364 - t8895 - t41629 - t41569 + t41135 + t41625 + t41069 + t41651 - t41653 + t41576 + t41030 - 0.4e1 / 0.3e1 * t41330 + t41307 + t41593 - 0.2e1 / 0.9e1 * t41381 - t30 * t59 * (0.2e1 / 0.3e1 * t2125 * t22280 - 0.5e1 / 0.18e2 * t9027 * t42992 - t9027 * t22274 / 0.9e1 - t42726 * t42997 / 0.9e1 + 0.6e1 * t9023 * t5104 - 0.3e1 * t9027 * t42877 + 0.4e1 * t27106 * t9078 + 0.2e1 / 0.3e1 * t27118 * t9087 + 0.1e2 / 0.3e1 * t42726 * t42867 + 0.4e1 / 0.3e1 * t1319 * t42871 - 0.4e1 * t27118 * t9001 - 0.2e1 * t27219 * t42748 + 0.2e1 * t9082 * t42752 + 0.5e2 / 0.3e1 * t42726 * t42727 - 0.36e2 * t42730 * t5062 - 0.4e2 * t42733 * t5126 + 0.4e1 * t2125 * t22405 + 0.2e1 * t9023 * t5046 + 0.4e1 / 0.3e1 * t42733 * t5049 - 0.2e1 / 0.3e1 * t1319 * t43005 - 0.72e2 * t42733 * t5034 + 0.8e1 / 0.3e1 * t42726 * t42983 + 0.4e1 * t1310 * t9081 * t9084 - 0.4e1 * t42986 * t596 * t230 + t43197 + t43181 + t43148 + t43119 + t43090 + t43064 + t43034 + t42977 + t42948 + t42919 - t42893 + t42889 - t42874 + t42864 + t42828 + t42788 - t42746 - t42740 - t42741) * t95 / 0.4e1 - 0.6e1 * t246 * t247 * t8842 * t4914 - t246 * t247 * t41056 * t597 + 0.3e1 * t3266 * t3267 * t2096 * t1281 + t41245 - t41332 / 0.3e1);
  tv4rho2sigma20 = t3 * t43432 + 0.2e1 * t9143;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 0] += tv4rho2sigma20;

  tv4rho2sigma21 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 1] += tv4rho2sigma21;

  tv4rho2sigma22 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 2] += tv4rho2sigma22;

  tv4rho2sigma23 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 3] += tv4rho2sigma23;

  tv4rho2sigma24 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 4] += tv4rho2sigma24;

  t43435 = t3893 * t2188;
  t43440 = t3893 * t2177 * t350 / 0.12e2;
  t43451 = t3911 * t2249 / 0.4e1;
  t43463 = t3901 * t2183 * t350 / 0.27e2;
  t43466 = t3901 * t2177 * t350 / 0.54e2;
  t43467 = t3901 * t2188;
  t43469 = t43467 * t1010 / 0.54e2;
  t43471 = t43467 * t1015 / 0.27e2;
  t43473 = t5307 * t1378 / 0.27e2;
  t43475 = t3917 * t2258 / 0.18e2;
  t43477 = t5307 * t2199 / 0.54e2;
  t43482 = t3914 * t2258;
  t43484 = -t23288 * t2245 / 0.2e1 - t43463 + t43466 + t43469 + t43471 + t43473 + t43475 - t43477 + t5301 * t2199 / 0.12e2 - t3911 * t2258 / 0.4e1 - t43482 / 0.6e1;
  t43486 = t5304 * t2199;
  t43489 = 0.2e1 / 0.27e2 * t43467 * t1020;
  t43491 = t28170 * t457 / 0.9e1;
  t43493 = t23420 * t2245 / 0.9e1;
  t43495 = t3917 * t2249 / 0.18e2;
  t43497 = t3917 * t2253 / 0.9e1;
  t43499 = t3917 * t2261 / 0.9e1;
  t43501 = t3897 * t2177 * t350;
  t43502 = t43501 / 0.18e2;
  t43503 = t3897 * t2188;
  t43504 = t43503 * t1010;
  t43506 = t43503 * t1015;
  t43509 = t3914 * t2261;
  t43511 = t28179 * t457;
  t43514 = t3897 * t2183 * t350;
  t43516 = t43503 * t1020;
  t43518 = t3914 * t2253;
  t43520 = t5304 * t1378;
  t43522 = t23325 * t2245;
  t43524 = t3914 * t2249;
  t43525 = t43524 / 0.6e1;
  t43528 = t869 * t2239;
  t43531 = t873 * t2239 / 0.18e2;
  t43532 = t43509 / 0.3e1 + t43511 / 0.3e1 + t43514 / 0.9e1 + 0.2e1 / 0.9e1 * t43516 - t43518 / 0.3e1 - t43520 / 0.9e1 - t43522 / 0.3e1 + t43525 - t865 * t2239 / 0.4e1 - t43528 / 0.6e1 + t43531;
  t43535 = my_piecewise3(t100, 0, -t43435 * t1015 / 0.6e1 - t43440 + t43435 * t1020 / 0.3e1 + t28280 * t457 / 0.2e1 + t3893 * t2183 * t350 / 0.6e1 - t43435 * t1010 / 0.12e2 + t43451 - t3911 * t2253 / 0.2e1 - t5301 * t1378 / 0.6e1 + t3911 * t2261 / 0.2e1 + t43484 + t43486 / 0.18e2 - t43489 - t43491 + t43493 - t43495 + t43497 - t43499 - t43502 - t43504 / 0.18e2 - t43506 / 0.9e1 + t43532);
  tv4rho2sigma25 = t3 * t43535 + 0.2e1 * t9210;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 5] += tv4rho2sigma25;

  t43537 = t41123 / 0.6e1;
  t43540 = t41250 / 0.18e2;
  t43545 = t41262 / 0.6e1;
  t43546 = t41292 / 0.36e2;
  t43547 = t41294 / 0.6e1;
  t43548 = t41296 / 0.12e2;
  t43549 = t41298 / 0.9e1;
  t43550 = t43537 + t41125 / 0.2e1 - t41126 / 0.3e1 - t41128 - t43540 + t41252 / 0.3e1 - t41254 / 0.9e1 - t41257 / 0.6e1 + t41259 / 0.2e1 + t41260 - t43545 - t43546 - t43547 - t43548 + t43549;
  t43556 = t41339 / 0.12e2;
  t43563 = t897 * t8910;
  t43565 = t43563 * t1295 / 0.6e1;
  t43567 = t9222 * t840 / 0.12e2;
  t43568 = t897 * t8717;
  t43570 = t43568 * t1300 / 0.12e2;
  t43572 = t9222 * t845 / 0.12e2;
  t43573 = -t41322 / 0.3e1 + t41324 / 0.2e1 + t41325 / 0.6e1 - 0.2e1 / 0.3e1 * t41330 - t41332 / 0.6e1 + t43556 + t41341 / 0.6e1 + t41354 / 0.6e1 - t41362 / 0.6e1 + t41367 / 0.3e1 - t9217 * t3366 / 0.6e1 + t43565 + t43567 - t43570 - t43572;
  t43587 = t3761 * t2162;
  t43589 = t22806 * t2154;
  t43591 = t3761 * t2170;
  t43594 = t41559 / 0.18e2;
  t43595 = -t9217 * t3380 / 0.12e2 - t41381 / 0.9e1 + 0.3e1 / 0.2e1 * t903 * t8923 + 0.2e1 / 0.9e1 * t41400 - 0.2e1 / 0.9e1 * t41402 + 0.23e2 / 0.108e3 * t41404 + 0.2e1 / 0.9e1 * t41406 + t41409 / 0.3e1 + t41411 / 0.9e1 - 0.11e2 / 0.54e2 * t41413 - t43587 / 0.6e1 - t43589 / 0.6e1 + t43591 / 0.6e1 + t41551 / 0.18e2 + t43594;
  t43596 = t41566 / 0.36e2;
  t43616 = t43596 - t41571 + t41576 + t27794 * t8795 / 0.12e2 + t28130 * t8800 / 0.12e2 + t28063 * t8775 / 0.2e1 - t27797 * t8786 / 0.6e1 - t28130 * t8792 / 0.6e1 + t41613 / 0.9e1 - t41616 / 0.6e1 - t41618 / 0.18e2 - t5327 * t8749 / 0.3e1 - 0.3e1 * t3740 * t8934 - t41679 / 0.18e2 - t41681 / 0.18e2 - t9224;
  t43621 = t3740 * t8937 / 0.2e1;
  t43623 = t903 * t8739 / 0.2e1;
  t43630 = t9234 - t8624 + t8645 - t41722 / 0.2e1 - t43621 + t43623 + t41766 / 0.9e1 + t41768 / 0.6e1 - t41770 / 0.6e1 - t41813 + t41818 - t41822 - t41824 / 0.36e2 - t41827 / 0.36e2 + t41829 / 0.18e2;
  t43632 = t41834 / 0.36e2;
  t43633 = t41837 / 0.36e2;
  t43647 = t41832 / 0.18e2 - t43632 - t43633 + t41839 / 0.9e1 - t41841 / 0.18e2 - t41854 / 0.18e2 - t41858 / 0.18e2 - t41860 / 0.18e2 - t41862 / 0.18e2 + t41864 / 0.9e1 - t41866 / 0.6e1 - t41870 - t307 * t8886 / 0.4e1 - t22522 * t8783 / 0.4e1 + t41894 / 0.3e1 - t41896;
  t43653 = t41948 / 0.36e2;
  t43662 = 0.7e1 / 0.9e1 * t41898 - t41926 / 0.3e1 - t41932 + t41934 + t41942 / 0.6e1 - t41944 / 0.18e2 - t43653 - t41961 / 0.18e2 + t41963 / 0.6e1 + t41965 / 0.18e2 - 0.5e1 / 0.108e3 * t41969 - t41971 / 0.36e2 + 0.3e1 / 0.2e1 * t22632 * t8929 - t42010 / 0.3e1 + t42016;
  t43684 = -t42069 / 0.12e2 + t42071 / 0.6e1 + t42078 / 0.6e1 - t42153 / 0.3e1 - t42156 / 0.12e2 + t27794 * t8767 / 0.6e1 - t42175 / 0.18e2 + t42184 / 0.9e1 + t42186 / 0.18e2 - t42234 / 0.12e2 + t27950 * t8758 / 0.2e1 - t28063 * t8763 / 0.2e1 - t42262 / 0.6e1 + t42268 / 0.18e2 - t5327 * t8696 / 0.3e1 + t9217 * t3691 / 0.3e1;
  t43688 = t897 * t8843;
  t43697 = t897 * t8709;
  t43717 = t43688 * t1300 / 0.2e1 + t9214 * t845 / 0.6e1 - t5327 * t8703 / 0.6e1 + t9217 * t3525 / 0.6e1 - 0.5e1 / 0.36e2 * t43697 * t8711 - t5384 * t1286 / 0.2e1 + t5384 * t1290 / 0.2e1 + t5334 * t8833 / 0.3e1 - t897 * t8836 * t1295 / 0.2e1 - t9214 * t840 / 0.6e1 - 0.2e1 / 0.3e1 * t9217 * t3522 + 0.23e2 / 0.36e2 * t43697 * t8943 + t42381 + t42387 / 0.36e2 + t42394 / 0.36e2;
  t43731 = t42553 / 0.12e2;
  t43732 = -t42399 / 0.18e2 - t42453 / 0.12e2 - t42455 / 0.12e2 - t42457 / 0.12e2 + t42459 / 0.36e2 + t42461 / 0.36e2 + t42463 / 0.36e2 + t42465 / 0.36e2 - t42478 / 0.12e2 + t42543 - t42544 / 0.36e2 + t42547 / 0.12e2 - t42549 / 0.6e1 - t42551 / 0.6e1 + t43731;
  t43734 = t42555 / 0.12e2;
  t43736 = t3750 * t2097;
  t43743 = t3750 * t2086 * t223 / 0.12e2;
  t43745 = t9222 * t645 / 0.12e2;
  t43765 = t43734 - t42559 / 0.6e1 - t43736 * t667 / 0.6e1 - t9217 * t3056 / 0.6e1 - t43743 - t43745 + t28053 * t432 / 0.2e1 + t5384 * t1239 / 0.2e1 + t3750 * t2092 * t223 / 0.6e1 + t9214 * t645 / 0.6e1 - t43736 * t662 / 0.12e2 - t9217 * t3175 / 0.12e2 - t5379 * t1223 / 0.6e1 - t5376 * t1223 / 0.6e1 - t1368 * t5261 / 0.6e1;
  t43793 = t5389 * t2108;
  t43795 = t43736 * t672 / 0.3e1 + t9217 * t3091 / 0.3e1 + t27786 * t432 / 0.2e1 - t22796 * t2154 / 0.2e1 + t42576 - t27800 * t15650 / 0.3e1 - t903 * t8863 + t1368 * t8658 / 0.12e2 + t1368 * t8691 / 0.12e2 - t3754 * t2167 / 0.4e1 - t3776 * t2167 / 0.4e1 - t903 * t8958 / 0.4e1 - t903 * t8964 / 0.4e1 + t5379 * t2108 / 0.12e2 + t5376 * t2108 / 0.12e2 + t43793 / 0.36e2;
  t43798 = t3761 * t2167;
  t43818 = t897 * t41328;
  t43826 = -t43798 / 0.12e2 + t9217 * t3503 / 0.3e1 - t5384 * t1282 + t5334 * t8987 / 0.3e1 + t1368 * t4754 / 0.6e1 - t5327 * t8992 / 0.6e1 - t1368 * t4750 / 0.6e1 + 0.2e1 / 0.3e1 * t5327 * t8980 - t903 * t8977 + 0.3e1 / 0.2e1 * t903 * t8722 + t903 * t8726 / 0.2e1 - 0.2e1 * t43818 * t15570 - t903 * t8732 / 0.2e1 - t3740 * t8889 / 0.2e1 + t42682 / 0.6e1;
  t43833 = t3754 * t2158 / 0.4e1;
  t43835 = t3776 * t2158 / 0.4e1;
  t43846 = t897 * t9135;
  t43850 = t3757 * t2086 * t223;
  t43851 = t43850 / 0.36e2;
  t43852 = t3757 * t2097;
  t43853 = t43852 * t667;
  t43855 = t42684 / 0.6e1 + t42689 / 0.6e1 + t42693 / 0.6e1 - t42698 + t42712 - t22773 * t2154 / 0.2e1 + t43833 + t43835 - t3754 * t2162 / 0.2e1 - t3776 * t2162 / 0.2e1 + t3754 * t2170 / 0.2e1 + t3776 * t2170 / 0.2e1 - t898 * t9131 / 0.12e2 + t43846 * t250 / 0.4e1 - t43851 - t43853 / 0.18e2;
  t43857 = t43852 * t662;
  t43860 = t3757 * t2092 * t223;
  t43862 = t27921 * t432;
  t43864 = t43852 * t672;
  t43866 = t5389 * t1223;
  t43868 = t3761 * t2158;
  t43869 = t43868 / 0.12e2;
  t43875 = t903 * t8894 / 0.2e1;
  t43877 = t903 * t8898 / 0.4e1;
  t43879 = t22877 * t15639 / 0.3e1;
  t43881 = t903 * t8972 / 0.4e1;
  t43882 = t897 * t41079;
  t43887 = -t43857 / 0.36e2 + t43860 / 0.18e2 + t43862 / 0.6e1 + t43864 / 0.9e1 - t43866 / 0.18e2 + t43869 + t5384 * t1275 + t43688 * t1257 - 0.11e2 / 0.18e2 * t43697 * t8940 - t43875 - t43877 + t43879 + t43881 + 0.7e1 / 0.3e1 * t43882 * t15579 + t903 * t8866 / 0.2e1;
  t43902 = t43568 * t1257 / 0.6e1;
  t43912 = t894 * t2148;
  t43914 = -t3740 * t8849 + 0.3e1 * t3740 * t8852 + t3740 * t8736 - 0.3e1 / 0.2e1 * t43882 * t15583 + t903 * t8969 - 0.3e1 * t903 * t8918 + t28063 * t8780 / 0.2e1 - t43697 * t8742 / 0.2e1 - t43902 + 0.2e1 / 0.3e1 * t5327 * t8753 - t27911 * t1270 - t307 * t9126 / 0.4e1 - t890 * t2148 / 0.4e1 - t43386 / 0.12e2 - t43388 / 0.9e1 - t43912 / 0.12e2;
  t43919 = my_piecewise3(t2, 0, t43550 + t43573 + t43595 + t43616 + t43630 + t43647 + t43662 + t43684 + t43717 + t43732 + t43765 + t43795 + t43826 + t43855 + t43887 + t43914);
  tv4rho2sigma26 = t3 * t43919 + t9143 + t9246;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 6] += tv4rho2sigma26;

  tv4rho2sigma27 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 7] += tv4rho2sigma27;

  tv4rho2sigma28 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 8] += tv4rho2sigma28;

  tv4rho2sigma29 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 9] += tv4rho2sigma29;

  tv4rho2sigma210 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 10] += tv4rho2sigma210;

  t43921 = t937 * t9292;
  t43922 = t43921 * t1426;
  t43924 = t43921 * t1432;
  t43931 = t945 * t9414 / 0.4e1;
  t43933 = t945 * t9410 / 0.4e1;
  t43935 = t945 * t9406 / 0.2e1;
  t43942 = t3986 * t2188;
  t43943 = t43942 * t1015;
  t43945 = t9151 * t4228;
  t43947 = t43942 * t1010;
  t43949 = t9148 * t994;
  t43951 = t43922 / 0.3e1 - 0.2e1 / 0.3e1 * t43924 + t3971 * t9319 + 0.3e1 * t3971 * t9315 - t3971 * t9312 + t43931 - t43933 - t43935 - t945 * t9369 / 0.4e1 - t945 * t9402 / 0.4e1 + 0.2e1 / 0.3e1 * t5425 * t9347 - t43943 / 0.18e2 - t43945 / 0.36e2 - t43947 / 0.36e2 + t43949 / 0.18e2;
  t43953 = t3986 * t2183 * t350;
  t43955 = t9145 * t994;
  t43956 = t43955 / 0.36e2;
  t43958 = t3986 * t2177 * t350;
  t43959 = t43958 / 0.36e2;
  t43960 = t9151 * t4264;
  t43962 = t43942 * t1020;
  t43964 = t1354 * t5809;
  t43966 = t937 * t9253;
  t43967 = t43966 * t9261;
  t43969 = t5484 * t1416;
  t43971 = t28796 * t1411;
  t43973 = t43966 * t9256;
  t43975 = t5412 * t9249;
  t43977 = t948 * t9718;
  t43979 = t948 * t9714;
  t43980 = t948 * t9711;
  t43981 = t43980 / 0.6e1;
  t43982 = t4005 * t9708;
  t43983 = t43982 / 0.6e1;
  t43984 = t43953 / 0.18e2 - t43956 - t43959 + t43960 / 0.9e1 + t43962 / 0.9e1 - t43964 / 0.18e2 - 0.11e2 / 0.54e2 * t43967 + t43969 / 0.3e1 - t43971 / 0.3e1 - t43973 / 0.2e1 + 0.2e1 / 0.9e1 * t43975 + t43977 / 0.2e1 - t43979 + t43981 - t43983;
  t43986 = t4005 * t9704;
  t43987 = t23651 * t9699;
  t43990 = t9166 * t1103 / 0.12e2;
  t43991 = t933 * t9278;
  t43993 = t43991 * t1457 / 0.12e2;
  t43995 = t9166 * t1098 / 0.12e2;
  t43996 = t9151 * t4550;
  t44000 = t5499 * t2199;
  t44002 = t9151 * t4433;
  t44004 = t43966 * t9360;
  t44006 = t9151 * t4452;
  t44008 = t4005 * t9315;
  t44010 = t933 * t9253;
  t44015 = -t43986 + t43987 / 0.2e1 - t43990 - t43993 + t43995 - t43996 / 0.18e2 - t5425 * t9350 / 0.3e1 + t44000 / 0.36e2 - t44002 / 0.36e2 - 0.5e1 / 0.108e3 * t44004 + t44006 / 0.18e2 + t44008 - t28872 * t1411 - 0.3e1 / 0.2e1 * t44010 * t9256 + 0.2e1 / 0.3e1 * t5425 * t9249;
  t44021 = t945 * t9711 / 0.2e1;
  t44025 = t3971 * t9708 / 0.2e1;
  t44028 = t937 * t9278;
  t44029 = t44028 * t1432;
  t44030 = t44029 / 0.9e1;
  t44031 = t44028 * t1426;
  t44032 = t44031 / 0.18e2;
  t44033 = t5412 * t9274;
  t44035 = t43966 * t9270;
  t44037 = t43966 * t9267;
  t44039 = t43966 * t9264;
  t44049 = 0.3e1 / 0.2e1 * t945 * t9718 - 0.3e1 * t945 * t9714 + t44021 - 0.3e1 * t3971 * t9704 - t44025 + 0.3e1 / 0.2e1 * t24004 * t9699 + t44030 - t44032 - t44033 / 0.9e1 + 0.7e1 / 0.9e1 * t44035 - t44037 / 0.6e1 + 0.23e2 / 0.108e3 * t44039 - t5425 * t9734 / 0.6e1 + t1351 * t5555 / 0.6e1 + t5509 * t9729 / 0.3e1 + t9173 * t4361 / 0.3e1;
  t44058 = t937 * t9304;
  t44059 = t44058 * t1452;
  t44060 = t44059 / 0.18e2;
  t44061 = t5412 * t9300;
  t44073 = -0.2e1 / 0.3e1 * t9173 * t4378 + t5449 * t1447 / 0.2e1 - t5449 * t1443 / 0.2e1 + t44060 - t44061 / 0.18e2 - t43463 + t43466 + t43469 + t43471 + t43473 + t5461 * t2199 / 0.12e2 + t5454 * t2199 / 0.12e2 + t1351 * t9422 / 0.12e2 + t1351 * t9427 / 0.12e2 + t5509 * t9430 / 0.3e1;
  t44074 = t9151 * t4554;
  t44076 = t5412 * t9350;
  t44078 = t5412 * t9347;
  t44080 = t1354 * t5607;
  t44082 = t5412 * t9734;
  t44084 = t1354 * t5555;
  t44086 = t5469 * t9729;
  t44088 = t9151 * t4361;
  t44090 = t9151 * t4378;
  t44092 = t5484 * t1447;
  t44094 = t5484 * t1443;
  t44096 = t5484 * t1439;
  t44098 = t4005 * t9322;
  t44100 = t4005 * t9319;
  t44102 = t933 * t9304;
  t44104 = t44102 * t1452 / 0.6e1;
  t44107 = t44074 / 0.9e1 - t44076 / 0.9e1 + 0.2e1 / 0.9e1 * t44078 - t44080 / 0.18e2 - t44082 / 0.18e2 + t44084 / 0.18e2 + t44086 / 0.9e1 + t44088 / 0.9e1 - 0.2e1 / 0.9e1 * t44090 + t44092 / 0.6e1 - t44094 / 0.6e1 - t44096 / 0.3e1 - t44098 / 0.6e1 + t44100 / 0.3e1 + t44104 - t5425 * t9300 / 0.6e1;
  t44113 = t933 * t9292;
  t44120 = t43991 * t1432 / 0.3e1;
  t44122 = t43991 * t1426 / 0.6e1;
  t44136 = t9179 * t1103 / 0.6e1 - t9179 * t1098 / 0.6e1 + t44113 * t1457 / 0.2e1 - 0.2e1 * t44113 * t1432 + t44113 * t1426 + t44120 - t44122 - t5425 * t9274 / 0.3e1 + 0.7e1 / 0.3e1 * t44010 * t9270 + 0.23e2 / 0.36e2 * t44010 * t9264 - t44010 * t9267 / 0.2e1 - 0.11e2 / 0.18e2 * t44010 * t9261 + t5449 * t1416 - t1351 * t5607 / 0.6e1 - t9147;
  t44137 = t5494 * t1378;
  t44139 = t5499 * t1378;
  t44141 = t9151 * t4135;
  t44154 = t4025 * t2249 / 0.4e1;
  t44156 = t4028 * t2249 / 0.4e1;
  t44157 = t23776 * t2245;
  t44159 = t23895 * t2245;
  t44161 = t5484 * t1394;
  t44163 = -t9168 + t9172 + t9195 - t44137 / 0.18e2 - t44139 / 0.18e2 - t44141 / 0.18e2 - t4025 * t2253 / 0.2e1 - t4028 * t2253 / 0.2e1 + t4025 * t2261 / 0.2e1 + t4028 * t2261 / 0.2e1 - t23883 * t2245 / 0.2e1 + t44154 + t44156 - t44157 / 0.6e1 - t44159 / 0.6e1 + t44161 / 0.6e1;
  t44167 = t9148 * t1103;
  t44169 = t28456 * t9447;
  t44171 = t28548 * t9454;
  t44173 = t28442 * t9457;
  t44175 = t24028 * t9460;
  t44177 = t28548 * t9464;
  t44179 = t28439 * t9332;
  t44181 = t28439 * t9328;
  t44183 = t28548 * t9336;
  t44185 = t28763 * t9341;
  t44193 = t43475 - t43477 + t44167 / 0.18e2 - t44169 / 0.18e2 + t44171 / 0.6e1 - t44173 / 0.18e2 - t44175 / 0.12e2 + t44177 / 0.6e1 + t44179 / 0.18e2 - t44181 / 0.9e1 - t44183 / 0.6e1 + t44185 / 0.6e1 + t28461 * t9464 / 0.2e1 - t28905 * t9447 / 0.6e1 - t28902 * t9457 / 0.6e1;
  t44216 = t948 * t9406;
  t44217 = t44216 / 0.6e1;
  t44218 = t948 * t9410;
  t44219 = t44218 / 0.12e2;
  t44220 = t948 * t9414;
  t44221 = t44220 / 0.12e2;
  t44222 = t28461 * t9454 / 0.2e1 - t23548 * t9460 / 0.4e1 - t4028 * t2258 / 0.4e1 - t4025 * t2258 / 0.4e1 - t945 * t9510 / 0.2e1 + t945 * t9506 / 0.2e1 + 0.3e1 / 0.2e1 * t945 * t9502 - t945 * t9499 + t945 * t9494 / 0.2e1 - t945 * t9492 + t945 * t9490 - t933 * t9284 * t1452 / 0.2e1 - t44217 - t44219 + t44221;
  t44224 = t4005 * t9312;
  t44239 = t9148 * t1098;
  t44242 = t937 * t9284 * t1452;
  t44244 = t5469 * t9430;
  t44252 = -t44224 / 0.3e1 + t9173 * t4554 / 0.3e1 - t9173 * t4550 / 0.6e1 + t9173 * t4452 / 0.6e1 - 0.5e1 / 0.36e2 * t44010 * t9360 - t9173 * t4433 / 0.12e2 - t5449 * t1439 - t3971 * t9322 / 0.2e1 - t44239 / 0.18e2 - t44242 / 0.6e1 + t44244 / 0.9e1 + t28464 * t9332 / 0.6e1 - t43482 / 0.12e2 + t43486 / 0.36e2 + t28599 * t457 / 0.2e1;
  t44263 = t28439 * t9450;
  t44265 = t28456 * t9441;
  t44267 = t43921 * t1457;
  t44269 = t948 * t9402;
  t44271 = t3993 * t2258;
  t44273 = t948 * t9369;
  t44275 = t3990 * t2258;
  t44277 = t948 * t9506;
  t44279 = t948 * t9510;
  t44281 = t948 * t9499;
  t44283 = t948 * t9502;
  t44285 = t5449 * t1394 / 0.2e1 - t23870 * t2245 / 0.2e1 - t28464 * t9328 / 0.3e1 + t28713 * t9341 / 0.2e1 - t28461 * t9336 / 0.2e1 + t44263 / 0.36e2 + t44265 / 0.36e2 + t44267 / 0.6e1 - t44269 / 0.12e2 - t44271 / 0.12e2 - t44273 / 0.12e2 - t44275 / 0.12e2 + t44277 / 0.6e1 - t44279 / 0.6e1 - t44281 / 0.3e1 + t44283 / 0.2e1;
  t44288 = t948 * t9494;
  t44290 = t948 * t9490;
  t44292 = t948 * t9492;
  t44294 = t1354 * t9427;
  t44296 = t1354 * t9422;
  t44298 = t5494 * t2199;
  t44300 = t294 * t9693;
  t44302 = t28812 * t457;
  t44304 = t28807 * t457;
  t44306 = t937 * t9468;
  t44307 = t44306 * t377;
  t44309 = t938 * t9531;
  t44311 = t3993 * t2261;
  t44313 = t3990 * t2261;
  t44315 = t3993 * t2253;
  t44317 = t3990 * t2253;
  t44319 = t44288 / 0.6e1 + t44290 / 0.3e1 - t44292 / 0.3e1 + t44294 / 0.36e2 + t44296 / 0.36e2 + t44298 / 0.36e2 - t44300 / 0.12e2 + t44302 / 0.6e1 + t44304 / 0.6e1 + t44307 / 0.12e2 - t44309 / 0.36e2 + t44311 / 0.6e1 + t44313 / 0.6e1 - t44315 / 0.6e1 - t44317 / 0.6e1;
  t44320 = t3993 * t2249;
  t44321 = t44320 / 0.12e2;
  t44322 = t3990 * t2249;
  t44323 = t44322 / 0.12e2;
  t44328 = t929 * t2239;
  t44332 = t9145 * t1103;
  t44333 = t44332 / 0.36e2;
  t44334 = t44028 * t1457;
  t44335 = t44334 / 0.36e2;
  t44336 = t9145 * t1098;
  t44337 = t44336 / 0.36e2;
  t44340 = t4021 * t2188;
  t44353 = t9166 * t994 / 0.12e2;
  t44354 = t44321 + t44323 + t28905 * t9441 / 0.12e2 + t28464 * t9450 / 0.12e2 - t44328 / 0.12e2 - t290 * t9693 / 0.4e1 - t44333 - t44335 + t44337 - t925 * t2239 / 0.4e1 - t44340 * t1015 / 0.6e1 - t44340 * t1010 / 0.12e2 - t9173 * t4228 / 0.12e2 + t9179 * t994 / 0.6e1 + t4021 * t2183 * t350 / 0.6e1 - t44353;
  t44360 = t4021 * t2177 * t350 / 0.12e2;
  t44373 = t933 * t9468;
  t44378 = t9173 * t4264 / 0.3e1 - t44360 + t44340 * t1020 / 0.3e1 - t1351 * t5809 / 0.6e1 - t5454 * t1378 / 0.6e1 - t9173 * t4135 / 0.6e1 - t5461 * t1378 / 0.6e1 - t934 * t9531 / 0.12e2 + t44373 * t377 / 0.4e1 + t28875 * t457 / 0.2e1 - t43489 - t43491 + t43493 - t43495 + t43497;
  t44379 = t43501 / 0.36e2;
  t44389 = t43524 / 0.12e2;
  t44390 = t294 * t9478;
  t44395 = -t43499 - t44379 - t43504 / 0.36e2 - t43506 / 0.18e2 + t43509 / 0.6e1 + t43511 / 0.6e1 + t43514 / 0.18e2 + t43516 / 0.9e1 - t43518 / 0.6e1 - t43520 / 0.18e2 - t43522 / 0.6e1 + t44389 - t44390 / 0.12e2 - t290 * t9478 / 0.4e1 - t43528 / 0.12e2 + t43531;
  t44400 = my_piecewise3(t100, 0, t43951 + t43984 + t44015 + t44049 + t44073 + t44107 + t44136 + t44163 + t44193 + t44222 + t44252 + t44285 + t44319 + t44354 + t44378 + t44395);
  tv4rho2sigma211 = t3 * t44400 + t9210 + t9741;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 11] += tv4rho2sigma211;

  t44415 = -t41870 - t41932 + t41934 + t42016 + t42381 + t42543 + t42576 + t43793 / 0.18e2 - t43798 / 0.6e1 - t42698 - t972 * t2148 / 0.4e1;
  t44417 = t43850 / 0.18e2;
  t44424 = t43868 / 0.6e1;
  t44427 = t3952 * t2086 * t223 / 0.12e2;
  t44432 = t3952 * t2097;
  t44448 = t3958 * t2158 / 0.4e1;
  t44452 = t3952 * t2092 * t223 / 0.6e1 - t44432 * t662 / 0.12e2 - t44432 * t667 / 0.6e1 + t28311 * t432 / 0.2e1 + t44432 * t672 / 0.3e1 - t5523 * t1223 / 0.6e1 - t3958 * t2162 / 0.2e1 - t23213 * t2154 / 0.2e1 + t44448 + t3958 * t2170 / 0.2e1 - t43912 / 0.6e1;
  t44455 = my_piecewise3(t2, 0, -t3958 * t2167 / 0.4e1 + t5523 * t2108 / 0.12e2 - t43587 / 0.3e1 - t43589 / 0.3e1 + t43591 / 0.3e1 - t41571 + t41576 - t41813 + t41818 - t41822 + t44415 + t42712 - t44417 - t43853 / 0.9e1 - t43857 / 0.18e2 + t43860 / 0.9e1 + t43862 / 0.3e1 + 0.2e1 / 0.9e1 * t43864 - t43866 / 0.9e1 + t44424 - t44427 + t44452);
  tv4rho2sigma212 = t3 * t44455 + 0.2e1 * t9246;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 12] += tv4rho2sigma212;

  tv4rho2sigma213 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 13] += tv4rho2sigma213;

  tv4rho2sigma214 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 14] += tv4rho2sigma214;

  tv4rho2sigma215 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 15] += tv4rho2sigma215;

  tv4rho2sigma216 = 0.e0;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 16] += tv4rho2sigma216;

  t44460 = t1082 * t1392;
  t44461 = t168 * t44460;
  t44462 = t5691 * t44461;
  t44465 = t110 * t9592;
  t44470 = t110 * t9602;
  t44471 = t10447 * t5681;
  t44474 = t110 * t2216;
  t44483 = t43955 / 0.18e2;
  t44484 = t43958 / 0.18e2;
  t44488 = t110 * t9587;
  t44492 = t43949 / 0.9e1 + t43953 / 0.9e1 - t44483 - t44484 + 0.2e1 / 0.9e1 * t43960 + 0.2e1 / 0.9e1 * t43962 - t43964 / 0.9e1 - t44488 * t6006 - t1065 * t9284 * t1452 - t2180 + t2251;
  t44496 = t9399 * t333;
  t44497 = t168 * t44496;
  t44498 = t5674 * t44497;
  t44501 = t2196 * t988;
  t44502 = t168 * t44501;
  t44503 = t5674 * t44502;
  t44506 = t2196 * t997;
  t44507 = t168 * t44506;
  t44508 = t29468 * t44507;
  t44517 = t4626 * t44496;
  t44520 = t4626 * t44501;
  t44532 = t30022 * t9331;
  t44540 = t43980 / 0.3e1;
  t44541 = t30050 * t9332 / 0.3e1 + t29571 * t9332 / 0.3e1 + t5673 * t44532 / 0.3e1 - 0.11e2 / 0.27e2 * t43967 + 0.2e1 / 0.3e1 * t43969 - 0.2e1 / 0.3e1 * t43971 - t43973 + 0.4e1 / 0.9e1 * t43975 + t43977 - 0.2e1 * t43979 + t44540;
  t44544 = t43982 / 0.3e1;
  t44546 = t29988 * t5675;
  t44549 = t356 * t452;
  t44550 = t44549 * t5681;
  t44555 = t4440 * t9298;
  t44556 = t1430 * t44555;
  t44559 = t167 * t5837;
  t44560 = t1095 * t44559;
  t44561 = t1430 * t44560;
  t44569 = t321 * t20823 * t997 * t24537;
  t44570 = t29118 * t15881;
  t44578 = t28999 * t4716 * t15871;
  t44581 = t5595 * t6051;
  t44585 = t2178 * t4357 / 0.6e1;
  t44589 = t321 * t194 * t9277 * t5715 / 0.2e1;
  t44590 = t2181 * t24087;
  t44592 = t321 * t3135 * t44590;
  t44595 = t1065 * t9253;
  t44600 = t9279 * t5618 / 0.3e1;
  t44601 = t1065 * t9292;
  t44606 = 0.3e1 / 0.2e1 * t4718 * t9696 * t24777 + 0.8e1 * t44569 * t44578 + 0.23e2 / 0.18e2 * t9254 * t44581 - t44585 - t44589 + 0.6e1 * t44592 * t5566 + 0.23e2 / 0.18e2 * t44595 * t9264 - t44595 * t9267 - t44600 + 0.2e1 * t44601 * t1426 - 0.11e2 / 0.9e1 * t44595 * t9261;
  t44608 = t29195 * t1424;
  t44609 = t1423 * t44608;
  t44612 = t1065 * t9278;
  t44614 = t44612 * t1426 / 0.3e1;
  t44617 = t349 * t9693;
  t44620 = t1392 * t1392;
  t44623 = t321 * t649 * t44620 * t999;
  t44628 = t1014 * t2239;
  t44638 = -0.2e1 / 0.3e1 * t1421 * t44609 - t44614 + 0.2e1 * t1383 * t5740 - t338 * t44617 / 0.6e1 - t44623 * t1015 / 0.3e1 + 0.2e1 / 0.3e1 * t44623 * t1020 - t1002 * t44628 / 0.6e1 - t1066 * t9531 / 0.6e1 + t4274 * t2261 + t4176 * t2261 / 0.2e1 - t4176 * t2253 / 0.2e1;
  t44645 = t4176 * t2249 / 0.4e1;
  t44647 = t4183 * t2249 / 0.4e1;
  t44649 = t4274 * t2249 / 0.2e1;
  t44659 = t4183 * t2261 / 0.2e1 - t4183 * t2253 / 0.2e1 - t4274 * t2253 + t44645 + t44647 + t44649 - t25641 * t2245 - t1397 * t5809 / 0.3e1 - t5854 * t1378 / 0.6e1 - t5847 * t1378 / 0.3e1 - t9515 * t4135 / 0.3e1;
  t44678 = t1065 * t9468;
  t44684 = t321 * t369 * t9691 * t370;
  t44687 = t1009 * t2239;
  t44699 = t373 * t9409 * t4407 / 0.4e1;
  t44701 = t1070 * t9414 / 0.2e1;
  t44703 = t1058 * t9414 / 0.2e1;
  t44704 = t44684 * t377 / 0.2e1 - t1002 * t44687 / 0.12e2 - t991 * t9531 / 0.12e2 - t43996 / 0.9e1 + t44000 / 0.18e2 - t44002 / 0.18e2 - 0.5e1 / 0.54e2 * t44004 + t44006 / 0.9e1 - t44699 + t44701 + t44703;
  t44706 = t24418 * t5666;
  t44710 = t24435 * t5666;
  t44714 = t30275 * t9252;
  t44721 = t1392 * t333;
  t44722 = t1033 * t44721;
  t44726 = t4619 * t44721;
  t44736 = 0.2e1 / 0.9e1 * t44029;
  t44737 = t44031 / 0.9e1;
  t44746 = t4204 * t9708;
  t44747 = t1070 * t9711;
  t44748 = t4188 * t9708;
  t44749 = t44736 - t44737 - 0.2e1 / 0.9e1 * t44033 + 0.14e2 / 0.9e1 * t44035 - t44037 / 0.3e1 + 0.23e2 / 0.54e2 * t44039 + 0.3e1 * t25543 * t9699 - 0.6e1 * t4188 * t9704 - t44746 + t44747 - t44748;
  t44752 = t1058 * t9711;
  t44760 = t1009 * t2238 * t1018;
  t44765 = t321 * t369 * t2237 * t1026;
  t44785 = t44059 / 0.9e1;
  t44789 = t1430 * t44608;
  t44794 = t5553 * t5564;
  t44795 = t5595 * t44794;
  t44804 = -t4183 * t2258 / 0.4e1 + 0.3e1 * t4695 * t4696 * t2187 * t1438 + t44785 - t44061 / 0.9e1 - t5614 * t9734 / 0.3e1 - t1421 * t44789 / 0.3e1 - t1421 * t30100 / 0.6e1 - 0.5e1 / 0.18e2 * t5562 * t44795 - t1397 * t5607 / 0.3e1 + 0.2e1 / 0.3e1 * t5994 * t9729 + 0.2e1 / 0.3e1 * t5784 * t9729;
  t44806 = t1101 * t44608;
  t44811 = t1430 * t44794;
  t44826 = t1101 * t44555;
  t44829 = 0.2e1 / 0.3e1 * t1451 * t44806 + t1451 * t29220 / 0.3e1 + t5631 * t44811 + t1397 * t5555 / 0.3e1 + t1402 * t5555 / 0.3e1 + t442 * t29197 / 0.3e1 + t1383 * t5749 / 0.2e1 + t1383 * t5998 - 0.4e1 / 0.3e1 * t9515 * t4378 + 0.2e1 / 0.3e1 * t5994 * t9430 + 0.2e1 / 0.3e1 * t1451 * t44826;
  t44839 = t4371 * t2215;
  t44845 = t2175 * t4140;
  t44847 = t321 * t3135 * t44845;
  t44849 = t44847 * t5566 / 0.2e1;
  t44850 = -t5797 * t1443 - t5814 * t1443 - t1383 * t5542 - t1383 * t6025 / 0.2e1 + t5797 * t1447 + t5814 * t1447 - t4204 * t9322 - t4188 * t9322 - t1029 * t44839 * t1034 / 0.2e1 - 0.2e1 * t5797 * t1439 - t44849;
  t44858 = t1094 * t24323 * t2197;
  t44861 = t5595 * t4428;
  t44864 = t2181 * t24537;
  t44866 = t321 * t20823 * t44864;
  t44867 = t28999 * t5565;
  t44880 = t1094 * t4440 * t9425;
  t44895 = t1077 * t1400;
  t44908 = t1160 * t4160;
  t44915 = t24576 * t4140;
  t44923 = t5872 * t999;
  t44926 = -0.2e1 * t5969 * t349 + 0.8e1 * t9378 * t30627 - 0.4e1 * t9381 * t30589 - 0.2e1 * t9384 * t4407 - 0.2e1 * t5644 - 0.8e1 * t1077 * t5657 * t1438 - 0.4e1 * t44895 * t1084 + 0.4e1 * t9384 * t4347 + 0.12e2 * t1077 * t1407 * t5702 - 0.12e2 * t9381 * t30594 + 0.12e2 * t5668 - 0.4e1 * t9396 * t4300 - 0.4e1 * t44908 * t2389 + 0.2e1 / 0.3e1 * t24227 * t2389 + 0.4e1 / 0.3e1 * t9372 * t9311 + 0.2e2 / 0.9e1 * t44915 * t17174 + 0.2e1 * t1077 * t5837 * t376 + 0.2e1 * t448 * t4407 - 0.8e1 * t44923 * t1415;
  t44947 = t4388 * t5584;
  t44950 = t24205 * t5560;
  t44953 = t4388 * t5629;
  t44971 = 0.24e2 * t1475 * t4160 * t5728 - 0.12e2 * t5859 * t4140 * t5576 + 0.4e1 / 0.3e1 * t44915 * t17199 + 0.8e1 * t1467 * t1045 * t1438 + 0.4e1 * t1488 * t1084 - 0.12e2 * t445 * t999 * t5702 - 0.4e1 * t448 * t4347 + 0.4e1 * t9391 * t4340 + 0.8e1 * t44947 * t1415 + 0.12e2 * t44950 * t5576 - 0.24e2 * t44953 * t5728 + 0.32e2 / 0.3e1 * t44950 * t5571 + 0.4e1 * t9381 * t4300 - 0.8e1 * t5686 + 0.8e1 / 0.3e1 * t44947 * t1410 - 0.4e1 * t9378 * t4340 - 0.8e1 * t44953 * t5635 + 0.4e1 / 0.3e1 * t9381 * t4319 + 0.16e2 / 0.9e1 * t44950 * t5602;
  t44972 = t44926 + t44971;
  t44975 = t1094 * t1095 * t167 * t44972;
  t44984 = t43469 + t43471 + t43473 + t442 * t44880 / 0.6e1 + t442 * t44975 / 0.12e2 + 0.2e1 / 0.9e1 * t44074 - 0.2e1 / 0.9e1 * t44076 + 0.4e1 / 0.9e1 * t44078 - t44080 / 0.9e1 - t44082 / 0.9e1 + t44084 / 0.9e1;
  t45008 = t346 * t348 * t5837;
  t45019 = t321 * t649 * t5591;
  t45026 = -t1058 * t9510 + t373 * t44839 * t1039 / 0.2e1 - 0.2e1 * t1070 * t9499 - 0.2e1 * t1058 * t9499 - t373 * t1436 * t45008 + 0.3e1 * t1070 * t9502 + 0.3e1 * t1058 * t9502 + 0.3e1 / 0.2e1 * t373 * t9501 * t4340 + 0.12e2 * t45019 * t15969 - 0.23e2 / 0.3e1 * t44592 * t5744 + 0.22e2 / 0.3e1 * t44592 * t6022;
  t45030 = 0.11e2 / 0.18e2 * t44847 * t6022;
  t45032 = 0.23e2 / 0.36e2 * t44847 * t5744;
  t45033 = t2175 * t4160;
  t45035 = t321 * t649 * t45033;
  t45036 = t45035 * t5632;
  t45040 = 0.3e1 / 0.2e1 * t373 * t374 * t9277 * t5702;
  t45052 = t9305 * t4429 / 0.6e1;
  t45055 = t45035 * t6028 / 0.2e1;
  t45057 = t9544 * t1098 / 0.6e1;
  t45059 = t2178 * t4538 / 0.6e1;
  t45061 = t2178 * t4457 / 0.12e2;
  t45063 = t44612 * t1457 / 0.6e1;
  t45074 = t1165 * t44506;
  t45078 = t45055 + t45057 + t45059 + t45061 - t45063 - 0.6e1 * t1070 * t9714 - 0.6e1 * t1058 * t9714 - 0.6e1 * t4204 * t9704 + 0.3e1 * t1070 * t9718 + 0.3e1 * t1058 * t9718 - 0.3e1 / 0.2e1 * t5665 * t5925 * t45074;
  t45080 = t4687 * t44507;
  t45083 = t24458 * t145;
  t45084 = t2196 * t4345;
  t45086 = t45083 * t168 * t45084;
  t45091 = t2237 * t146;
  t45093 = t1101 * t45091 * t1088;
  t45097 = t1094 * t45091 * t1096;
  t45100 = t333 * t4140;
  t45101 = t3135 * t45100;
  t45102 = t321 * t45101;
  t45103 = t1056 * t15871;
  t45104 = t5733 * t45103;
  t45107 = t1065 * t45101;
  t45111 = t649 * t333 * t4160;
  t45112 = t321 * t45111;
  t45113 = t1430 * t45103;
  t45116 = t1065 * t45111;
  t45120 = t1430 * t1056 * t15906;
  t45122 = 0.2e1 / 0.3e1 * t4533 * t45120;
  t45124 = 0.2e1 / 0.3e1 * t24346 * t15912;
  t45125 = t29493 * t45080 / 0.2e1 + t6012 * t45086 / 0.2e1 + t9469 * t1090 / 0.2e1 - t338 * t45093 / 0.6e1 + t338 * t45097 / 0.12e2 + 0.14e2 / 0.3e1 * t45102 * t45104 + 0.14e2 / 0.3e1 * t45107 * t15878 - 0.4e1 * t45112 * t45113 - 0.4e1 * t45116 * t15969 + t45122 + t45124;
  t45127 = t5595 * t4186 * t15871;
  t45131 = t9279 * t5762 / 0.6e1;
  t45133 = t9279 * t5759 / 0.12e2;
  t45135 = 0.5e1 / 0.36e2 * t44847 * t5756;
  t45137 = t9544 * t1103 / 0.6e1;
  t45142 = t321 * t649 * t9252;
  t45150 = t2178 * t4442 / 0.6e1;
  t45151 = -0.3e1 * t45102 * t45127 - t45131 - t45133 - t45135 - t45137 - t9285 * t5787 - t9285 * t4429 / 0.2e1 - 0.3e1 * t45142 * t6028 - t9522 * t1098 / 0.3e1 - t2184 * t4538 / 0.3e1 - t45150;
  t45156 = t2178 * t4437 / 0.12e2;
  t45164 = t29118 * t5565;
  t45167 = t28999 * t5706;
  t45170 = t1423 * t44794;
  t45173 = t5733 * t44794;
  t45176 = t1381 * t5564;
  t45177 = t5595 * t45176;
  t45183 = t4719 * t44590;
  t45192 = t1030 * t45033;
  t45195 = 0.3e1 * t373 * t45192 * t5728;
  t45198 = 0.3e1 * t1029 * t45192 * t5635;
  t45199 = t1030 * t9252;
  t45212 = -0.6e1 * t1383 * t5729 - 0.18e2 * t4718 * t45183 * t5602 + 0.36e2 * t1029 * t45183 * t5571 + 0.6e1 * t5792 * t5636 - t45195 + t45198 - 0.18e2 * t1029 * t45199 * t5635 + 0.18e2 * t373 * t45199 * t5728 + t9522 * t1103 / 0.3e1 + t2184 * t4442 / 0.3e1 + t2184 * t4437 / 0.6e1;
  t45214 = t1101 * t44560;
  t45228 = t321 * t3135 * t997 * t24087;
  t45233 = t373 * t9707 * t4300 / 0.2e1;
  t45234 = t5733 * t15911;
  t45236 = 0.7e1 / 0.3e1 * t5593 * t45234;
  t45239 = t1029 * t9707 * t4319 / 0.2e1;
  t45241 = t5595 * t1027 * t15906;
  t45243 = 0.3e1 / 0.2e1 * t5593 * t45241;
  t45244 = t1423 * t29219;
  t45249 = t9279 * t5621 / 0.6e1;
  t45252 = t5595 * t4534;
  t45257 = t5733 * t4428;
  t45264 = t28999 * t29307;
  t45269 = t1038 * t452;
  t45270 = t45269 * t5681;
  t45273 = -t45249 + 0.7e1 / 0.3e1 * t9254 * t24301 + 0.23e2 / 0.36e2 * t9254 * t45252 - t9254 * t24752 / 0.2e1 - 0.11e2 / 0.18e2 * t9254 * t45257 - t5792 * t5588 + t1383 * t5737 - 0.3e1 / 0.2e1 * t9254 * t24186 - 0.43e2 / 0.9e1 * t44866 * t45264 + 0.2e1 / 0.3e1 * t1421 * t30098 - 0.2e1 / 0.3e1 * t5673 * t45270;
  t45276 = t168 * t44721;
  t45277 = t5691 * t45276;
  t45280 = t30141 * t5675;
  t45283 = t4626 * t452;
  t45284 = t45283 * t5675;
  t45286 = t110 * t29083;
  t45289 = t110 * t5803;
  t45293 = t110 * t452 * t5647;
  t45309 = t29113 * t5565;
  t45315 = t9280 / 0.3e1;
  t45316 = 0.2e1 / 0.3e1 * t9282;
  t45317 = t9306 / 0.3e1;
  t45325 = -t4176 * t2258 / 0.4e1 + t1070 * t9506 + t1058 * t9506 - 0.38e2 / 0.9e1 * t44866 * t45309 + 0.14e2 / 0.3e1 * t5562 * t5733 * t45176 - t45315 + t45316 + t45317 + t5665 * t5903 * t9453 + t5665 * t1468 * t9463 - t4695 * t30622 * t2257 / 0.2e1;
  t45330 = t69 * t333;
  t45332 = t110 * t45330 * t4607;
  t45333 = t403 * t2181;
  t45335 = t10358 * t5647 * t45333;
  t45338 = t2181 * t1082;
  t45340 = t29474 * t4191 * t45338;
  t45343 = t5650 * t2187;
  t45347 = t4572 * t44460;
  t45351 = t439 * t1392;
  t45353 = t10358 * t4191 * t45351;
  t45359 = t1038 * t44721;
  t45363 = t4626 * t44460;
  t45367 = t1018 * t45351;
  t45368 = t10447 * t45367;
  t45371 = t29346 * t9464 - t25561 * t9460 / 0.2e1 - 0.3e1 * t45332 * t45335 + 0.15e2 / 0.2e1 * t45332 * t45340 + 0.2e1 * t5649 * t45343 * t4307 + 0.4e1 * t5639 * t1476 * t45347 - 0.6e1 * t45332 * t45353 - 0.2e1 * t5649 * t5651 * t9311 - 0.12e2 * t5665 * t5868 * t45359 - 0.4e1 * t5665 * t1476 * t45363 + 0.28e2 / 0.3e1 * t45332 * t45368;
  t45376 = t110 * t9584;
  t45378 = t45376 * t6009 / 0.4e1;
  t45379 = t110 * t2209;
  t45381 = t45379 * t4690 / 0.6e1;
  t45385 = t1430 * t1381 * t9298;
  t45391 = t1430 * t5812 * t2337;
  t45399 = t45376 * t6001 / 0.6e1;
  t45400 = t5847 * t2199 / 0.6e1 + t1397 * t9422 / 0.6e1 + t45378 + t45381 - 0.3e1 * t45107 * t15882 + 0.4e1 / 0.3e1 * t4533 * t45385 + 0.5e1 / 0.3e1 * t44592 * t5756 + 0.4e1 / 0.3e1 * t4533 * t45391 + 0.4e1 / 0.3e1 * t24346 * t15951 - t9469 * t1085 / 0.4e1 - t45399;
  t45406 = t9146 / 0.18e2;
  t45407 = t9171 / 0.6e1;
  t45414 = t30011 * t9327;
  t45418 = t5691 * t1018 * t44496;
  t45423 = t5691 * t1018 * t44501;
  t45426 = t1018 * t44506;
  t45427 = t29474 * t45426;
  t45430 = t403 * t2175;
  t45432 = t5695 * t4693 * t45430;
  t45434 = 0.2e1 / 0.3e1 * t24973 * t45432;
  t45435 = t2175 * t1082;
  t45437 = t5691 * t1018 * t45435;
  t45438 = t24973 * t45437;
  t45439 = t4696 * t2176;
  t45442 = t4695 * t45439 * t1084 / 0.2e1;
  t45444 = t110 * t5640 * t4214;
  t45445 = t1018 * t45338;
  t45446 = t5691 * t45445;
  t45449 = t4696 * t2182;
  t45452 = t4572 * t452;
  t45453 = t45452 * t10393;
  t45459 = -t5673 * t45423 / 0.3e1 - 0.23e2 / 0.36e2 * t29352 * t45427 + t45434 - t45438 - t45442 + 0.22e2 / 0.3e1 * t45444 * t45446 + t4695 * t45449 * t1084 - 0.2e1 * t24973 * t45453 - t29985 * t6019 + 0.2e1 * t45289 * t5686 + t43475;
  t45468 = t10358 * t5696;
  t45471 = t29474 * t5692;
  t45476 = t403 * t1392;
  t45478 = t5695 * t4693 * t45476;
  t45481 = t1033 * t452;
  t45482 = t45481 * t10399;
  t45487 = t5691 * t1018 * t44460;
  t45490 = t356 * t44721;
  t45494 = t1165 * t44460;
  t45498 = t5695 * t45367;
  t45502 = t5665 * t9608 * t5685;
  t45503 = t4696 * t9303;
  t45505 = t4695 * t45503 * t1438;
  t45509 = t1030 * t44620;
  t45517 = -0.8e1 / 0.3e1 * t5673 * t45487 + 0.6e1 * t5665 * t5925 * t45490 + 0.2e1 * t5665 * t1470 * t45494 - 0.8e1 * t45444 * t45498 + t45502 - t45505 - 0.3e1 * t5665 * t9587 * t5685 - t1029 * t45509 * t1034 - t373 * t374 * t44620 * t1047 + t29349 * t9454 + t29349 * t9464;
  t45520 = t4693 * t45333;
  t45521 = t5695 * t45520;
  t45524 = t9445 * t333;
  t45525 = t168 * t45524;
  t45526 = t30141 * t45525;
  t45531 = t9444 * t380 * t9439 * t1082;
  t45534 = t1058 * t9406;
  t45537 = t373 * t9405 * t4340 / 0.2e1;
  t45539 = 0.2e1 * t24914 * t15912;
  t45541 = t1070 * t9410 / 0.2e1;
  t45543 = t1058 * t9410 / 0.2e1;
  t45544 = t1101 * t44794;
  t45547 = t1007 * t1008 * t5837;
  t45576 = 0.6e1 * t4204 * t9315 + 0.6e1 * t4188 * t9315 + 0.3e1 * t1029 * t9314 * t4319 + 0.18e2 * t45228 * t15882 + 0.2e1 * t4204 * t9319 + 0.2e1 * t4188 * t9319 + t1029 * t9318 * t25530 + t44167 / 0.9e1 - t25233 * t2245 / 0.2e1 + t373 * t45509 * t1039 + t321 * t194 * t44620 * t1045 * t350 / 0.3e1;
  t45578 = t4179 * t2188;
  t45595 = t2178 * t4171 / 0.12e2;
  t45598 = t4179 * t2177 * t350 / 0.12e2;
  t45600 = t9544 * t994 / 0.6e1;
  t45603 = -t45578 * t1015 / 0.6e1 - t2189 * t25221 / 0.12e2 - t45578 * t1010 / 0.12e2 - t9515 * t4228 / 0.6e1 + t4179 * t2183 * t350 / 0.6e1 + t9522 * t994 / 0.3e1 + t2184 * t4171 / 0.6e1 - t45595 - t45598 - t45600 + 0.2e1 / 0.3e1 * t9515 * t4264;
  t45606 = t9439 * t333;
  t45607 = t380 * t45606;
  t45608 = t5691 * t45607;
  t45611 = t9444 * t45525;
  t45614 = t4687 * t45607;
  t45631 = t4626 * t44506;
  t45635 = t2189 * t25268 / 0.3e1 + t5673 * t45608 / 0.6e1 + 0.2e1 / 0.3e1 * t6004 * t45611 - t6004 * t45614 / 0.3e1 + t9293 * t5759 / 0.2e1 + 0.2e1 * t2189 * t24144 - t1058 * t9369 / 0.2e1 - t1058 * t9402 / 0.2e1 - t373 * t29959 * t2257 / 0.4e1 - t373 * t5541 * t9401 / 0.2e1 + 0.3e1 * t5665 * t5868 * t45631;
  t45643 = t10358 * t45276;
  t45656 = t25122 * t9331;
  t45659 = t4575 * t365;
  t45660 = t45659 * t9446;
  t45663 = t30011 * t9331;
  t45678 = -t44183 / 0.3e1 + t44185 / 0.3e1 - t6004 * t45656 / 0.3e1 - t6012 * t45660 / 0.3e1 + t5673 * t45663 / 0.6e1 - t29501 * t9457 / 0.3e1 - t30614 * t9447 / 0.3e1 + t29571 * t9450 / 0.6e1 + t30614 * t9441 / 0.6e1 - t30611 * t9447 / 0.3e1 + t30050 * t9450 / 0.6e1;
  t45684 = t10358 * t5681;
  t45687 = t380 * t45476;
  t45688 = t5695 * t45687;
  t45692 = t29474 * t5675;
  t45697 = t29468 * t5675;
  t45700 = t10447 * t45276;
  t45703 = t5679 * t45687;
  t45707 = t5679 * t45276;
  t45710 = t5674 * t44461;
  t45713 = t1018 * t44721;
  t45714 = t10358 * t45713;
  t45717 = t45481 * t5681;
  t45720 = t45452 * t5675;
  t45725 = t5691 * t5681;
  t45728 = t6005 * t45276;
  t45731 = t4687 * t44461;
  t45734 = t5695 * t45276;
  t45737 = 0.4e1 * t29461 * t45707 + 0.4e1 / 0.3e1 * t5673 * t45710 + 0.23e2 / 0.9e1 * t29352 * t45714 - t5673 * t45717 / 0.3e1 + t5673 * t45720 / 0.2e1 + t6012 * t29989 / 0.3e1 - t44470 * t45725 + t44488 * t6015 - 0.2e1 * t29493 * t45728 - 0.2e1 / 0.3e1 * t6004 * t45731 + 0.2e1 * t29461 * t45734;
  t45740 = t6005 * t45687;
  t45743 = t5691 * t44497;
  t45748 = t4687 * t380 * t403 * t9399;
  t45751 = t25122 * t9440;
  t45754 = t4687 * t44497;
  t45757 = t9399 * t1082;
  t45759 = t9444 * t168 * t45757;
  t45762 = t24435 * t45524;
  t45767 = t4305 * t15387 * t333;
  t45771 = t30141 * t1018 * t45524;
  t45775 = t5691 * t4693 * t45606;
  t45779 = t30134 * t45525;
  t45782 = t5674 * t45607;
  t45785 = t24564 * t45524;
  t45790 = t4305 * t15454 * t333;
  t45794 = t9279 * t4535 / 0.3e1;
  t45798 = t9411 / 0.2e1;
  t45799 = t9415 / 0.2e1;
  t45805 = t373 * t9409 * t4347 / 0.2e1;
  t45806 = -0.5e1 / 0.6e1 * t5673 * t45779 + t5673 * t45782 / 0.3e1 + 0.5e1 / 0.2e1 * t5665 * t1476 * t45785 - t4695 * t5651 * t45790 + t45794 - 0.2e1 * t4695 * t5688 * t9498 - t9407 - t45798 + t45799 - 0.3e1 * t1029 * t9318 * t25575 + t45805;
  t45825 = t5595 * t5617;
  t45830 = -t373 * t9505 * t4347 + t1383 * t5710 + 0.3e1 * t1383 * t5703 - t2189 * t24904 / 0.3e1 - t2189 * t24920 / 0.6e1 + t9515 * t4452 / 0.3e1 + t2189 * t24328 / 0.3e1 + t2189 * t24342 / 0.6e1 - 0.5e1 / 0.18e2 * t44595 * t9360 - 0.5e1 / 0.18e2 * t9254 * t45825 - 0.2e1 / 0.3e1 * t5654 * t9350;
  t45831 = t44216 / 0.3e1;
  t45832 = t44218 / 0.6e1;
  t45833 = t44220 / 0.6e1;
  t45837 = t4572 * t9326;
  t45843 = t373 * t4371 * t2208 * t376 / 0.4e1;
  t45850 = -t45831 - t45832 + t45833 - 0.2e1 / 0.3e1 * t44224 + t29436 * t9341 + t29339 * t9341 + t5639 * t5873 * t45837 + t45843 - 0.2e1 * t4204 * t9312 - 0.2e1 * t4188 * t9312 + t45578 * t1020 / 0.3e1;
  t45858 = t1076 * t2256 * t333;
  t45861 = t4575 * t45524;
  t45866 = t4344 * t2256 * t1082;
  t45872 = t5563 * t44794;
  t45874 = t29118 * t5706;
  t45877 = t29545 * t5565;
  t45893 = t5563 * t5617;
  t45903 = -0.6e1 * t5792 * t5572 + 0.3e1 * t1383 * t5577 + t1397 * t9427 / 0.6e1 + t5840 * t2199 / 0.12e2 + t1402 * t9422 / 0.6e1 + 0.3e1 * t25290 * t9699 - t9254 * t45893 - 0.2e1 / 0.3e1 * t5654 * t9274 - 0.2e1 / 0.3e1 * t5614 * t9274 - 0.2e1 * t29068 * t1411 + 0.2e1 * t5797 * t1416;
  t45917 = t5733 * t5617;
  t45922 = t4572 * t44496;
  t45925 = t4572 * t44501;
  t45936 = t24458 * t45084;
  t45946 = t110 * t9608;
  t45948 = t45946 * t6015 / 0.3e1;
  t45950 = t45946 * t6006 / 0.3e1;
  t45951 = t110 * t2212;
  t45954 = t5674 * t44507;
  t45956 = t5691 * t45426;
  t45959 = -t29349 * t9336 - t29346 * t9336 - 0.3e1 / 0.2e1 * t5665 * t446 * t45936 + 0.3e1 * t373 * t9318 * t25548 + t9293 * t5621 - 0.2e1 * t9293 * t4535 - t45948 + t45950 - t45951 * t4690 / 0.3e1 - t29461 * t45954 + 0.2e1 * t29461 * t45956;
  t45962 = t1423 * t44555;
  t45965 = t1423 * t44560;
  t45986 = t1430 * t1056 * t9298;
  t45990 = t1430 * t371 * t44559;
  t46000 = t1065 * t9304;
  t46002 = t46000 * t1452 / 0.3e1;
  t46004 = t9305 * t5787 / 0.3e1;
  t46005 = t4572 * t44506;
  t46012 = 0.4e1 / 0.3e1 * t1421 * t45986 + 0.2e1 / 0.3e1 * t1421 * t45990 + t442 * t29201 / 0.6e1 - t5654 * t9734 / 0.3e1 - t110 * t2238 * t1147 / 0.4e1 + t46002 + t46004 - 0.3e1 * t5639 * t5868 * t46005 + t44263 / 0.18e2 + t44265 / 0.18e2 + t44267 / 0.3e1;
  t46024 = -t44269 / 0.6e1 - t44271 / 0.6e1 - t44273 / 0.6e1 - t44275 / 0.6e1 + t44277 / 0.3e1 - t44279 / 0.3e1 - 0.2e1 / 0.3e1 * t44281 + t44283 + t44288 / 0.3e1 + 0.2e1 / 0.3e1 * t44290 - 0.2e1 / 0.3e1 * t44292;
  t46025 = t1070 * t9406;
  t46029 = t9481 / 0.6e1;
  t46030 = t9484 / 0.6e1;
  t46031 = t9486 / 0.6e1;
  t46032 = t2232 * t997;
  t46033 = t1165 * t46032;
  t46037 = t24458 * t2232 * t4345;
  t46042 = t4626 * t46032;
  t46045 = t9583 * t4214;
  t46047 = 0.12e2 * t46045 * t5869;
  t46048 = t2215 * t24522;
  t46051 = t2209 * t4560;
  t46053 = t9584 * t5916 / 0.3e1;
  t46054 = t69 * t2175;
  t46055 = t46054 * t4607;
  t46057 = t46055 * t5919 / 0.9e1;
  t46065 = t2211 * t24126;
  t46073 = t9651 * t333;
  t46074 = t1165 * t46073;
  t46078 = t4575 * t9651 * t1082;
  t46081 = t9661 * t1082;
  t46082 = t1165 * t46081;
  t46085 = t140 * t5837;
  t46086 = t356 * t46085;
  t46091 = -0.2e1 * t1468 * t9621 - 0.4e1 / 0.3e1 * t5873 * t9629 + 0.12e2 * t46065 * t5953 + 0.2e1 * t2212 * t4649 + t5935 * t2233 / 0.2e1 + t1468 * t9652 - 0.2e1 * t1470 * t46074 - 0.2e1 * t446 * t46078 - 0.4e1 * t1470 * t46082 + 0.2e1 * t1470 * t46086 - 0.3e1 * t9587 * t5932;
  t46100 = t4626 * t46073;
  t46103 = t2232 * t988;
  t46104 = t4626 * t46103;
  t46106 = t1165 * t46103;
  t46109 = t4575 * t2232 * t4405;
  t46112 = t20822 * t2181 * t24540;
  t46113 = t24477 * t5861;
  t46116 = t24418 * t5861;
  t46119 = t24435 * t46032;
  t46122 = 0.24e2 * t46048 * t5940 - t2212 * t4638 + 0.6e1 * t9587 * t5900 + 0.44e2 / 0.3e1 * t9592 * t5881 + 0.2e1 * t1476 * t46100 + t1476 * t46104 - t1470 * t46106 - t446 * t46109 + 0.8e1 / 0.3e1 * t46112 * t46113 + 0.24e2 * t46112 * t46116 + 0.3e1 * t5860 * t46119;
  t46124 = 0.6e1 * t46055 * t5865;
  t46125 = t9601 * t24552;
  t46128 = t2215 * t29853;
  t46131 = t360 * t45524;
  t46134 = t142 * t1392;
  t46135 = t46134 * t333;
  t46136 = t360 * t46135;
  t46139 = t46134 * t1082;
  t46140 = t360 * t46139;
  t46143 = t1173 * t46135;
  t46146 = t354 * t24140;
  t46147 = t445 * t46146;
  t46149 = t360 * t9566 * t4345;
  t46152 = t9566 * t997;
  t46153 = t1173 * t46152;
  t46156 = t9601 * t29807;
  t46157 = t4586 * t5891;
  t46160 = t1173 * t46139;
  t46163 = t46124 - 0.72e2 * t46125 * t5865 - 0.22e2 / 0.3e1 * t46128 * t5972 + 0.4e1 * t29821 * t46131 + 0.24e2 * t29840 * t46136 + 0.8e1 * t5896 * t46140 + 0.8e1 * t29849 * t46143 - 0.6e1 * t46147 * t46149 - 0.2e1 * t29854 * t46153 + 0.5e1 / 0.9e1 * t46156 * t46157 + 0.8e1 / 0.3e1 * t5889 * t46160;
  t46166 = t4586 * t46135;
  t46169 = t2211 * t29815;
  t46172 = t9566 * t988;
  t46173 = t1186 * t46172;
  t46176 = t4599 * t46152;
  t46181 = t142 * t9399;
  t46183 = t360 * t46181 * t1082;
  t46187 = t360 * t9566 * t4405;
  t46190 = t1173 * t45524;
  t46195 = t46181 * t333;
  t46196 = t1186 * t46195;
  t46200 = t360 * t46172;
  t46206 = t4586 * t46152;
  t46211 = t360 * t46195;
  t46214 = t9583 * t5888;
  t46216 = 0.6e1 * t46214 * t5892;
  t46217 = t1186 * t46135;
  t46222 = t1173 * t46195;
  t46225 = t1173 * t46172;
  t46228 = t1186 * t45524;
  t46231 = 0.2e1 * t5896 * t46200 + 0.4e1 * t1467 * t9577 * t9580 + t29808 * t46206 / 0.9e1 + 0.4e1 * t29860 * t9574 + 0.4e1 * t5896 * t46211 - t46216 - 0.48e2 * t29849 * t46217 + 0.44e2 * t46128 * t5892 + 0.2e1 / 0.3e1 * t5889 * t46222 + t5889 * t46225 / 0.3e1 - 0.5e1 * t29893 * t46228;
  t46233 = t9661 * t333;
  t46234 = t1033 * t46233;
  t46238 = 0.2e1 * t2209 * t4577;
  t46239 = t2208 * t4208;
  t46241 = 0.6e1 * t46239 * t5926;
  t46248 = t1186 * t142;
  t46249 = t46248 * t45524;
  t46252 = t1173 * t142;
  t46253 = t46252 * t45524;
  t46256 = t360 * t142;
  t46257 = t46256 * t45524;
  t46260 = 0.2e1 / 0.3e1 * t9585;
  t46261 = 0.4e1 * t9609;
  t46262 = -0.16e2 * t5868 * t46234 + t46238 + t46241 - 0.2e1 * t2216 * t24436 - 0.24e2 * t46065 * t5926 - 0.4e1 * t2212 * t4577 + 0.1e2 * t29893 * t46249 - 0.5e1 / 0.3e1 * t29893 * t46253 - 0.8e1 * t29821 * t46257 - t46260 - t46261;
  t46263 = 0.2e1 * t9611;
  t46264 = 0.4e1 * t9634;
  t46265 = t4572 * t46233;
  t46268 = t24435 * t5876;
  t46272 = 0.3e1 * t9584 * t5877;
  t46273 = t360 * t46152;
  t46276 = t1186 * t46152;
  t46279 = t1186 * t46139;
  t46282 = t4599 * t46135;
  t46285 = t4599 * t5891;
  t46288 = t4619 * t5884;
  t46291 = -t46263 + t46264 - 0.12e2 * t5860 * t46265 + 0.15e2 * t9602 * t46268 + t46272 - 0.6e1 * t29816 * t46273 + 0.12e2 * t29854 * t46276 - 0.16e2 * t5889 * t46279 - 0.8e1 / 0.3e1 * t29832 * t46282 + 0.1e2 / 0.3e1 * t46156 * t46285 - 0.2e1 / 0.3e1 * t9602 * t46288;
  t46295 = t24557 * t5861;
  t46301 = 0.2e1 * t9584 * t5885;
  t46303 = 0.2e1 / 0.3e1 * t46055 * t5862;
  t46308 = t24418 * t46032;
  t46311 = t24477 * t46032;
  t46314 = t4572 * t46032;
  t46318 = 0.2e1 * t9608 * t5900;
  t46321 = 0.2e1 * t9584 * t5881;
  t46322 = t356 * t46233;
  t46325 = t1038 * t46233;
  t46328 = t4626 * t46081;
  t46331 = t4619 * t46233;
  t46335 = t1165 * t140 * t44972;
  t46338 = 0.4e1 / 0.3e1 * t9668;
  t46339 = t143 * t5837;
  t46340 = t356 * t46339;
  t46345 = t4572 * t46103;
  t46348 = t1038 * t46339;
  t46351 = -t46321 - 0.12e2 * t5925 * t46322 + 0.24e2 * t5868 * t46325 + 0.8e1 * t1476 * t46328 + 0.4e2 / 0.3e1 * t5860 * t46331 + t446 * t46335 / 0.2e1 + t46338 - 0.4e1 * t1470 * t46340 + 0.6e1 * t9587 * t5910 - 0.2e1 / 0.3e1 * t1476 * t46345 + 0.4e1 * t1476 * t46348;
  t46357 = t193 * t44620;
  t46363 = t46214 * t5972;
  t46364 = t2208 * t5895;
  t46366 = 0.4e1 * t46364 * t5897;
  t46374 = t1033 * t46085;
  t46379 = -0.4e1 * t2216 * t24636 - 0.2e1 * t1468 * t9627 + 0.2e1 * t46357 * t1045 * t361 - 0.6e1 * t29808 * t46153 + t46363 + t46366 - 0.4e1 * t46357 * t1046 * t357 + 0.6e1 * t9592 * t5958 - 0.3e1 * t9602 * t24578 + 0.4e1 / 0.3e1 * t1476 * t46374 - 0.4e1 / 0.3e1 * t2216 * t24659;
  t46381 = 0.2e1 / 0.3e1 * t9584 * t5963;
  t46382 = t4609 * t5931;
  t46392 = 0.3e1 * t46239 * t5953;
  t46393 = t2209 * t4649;
  t46396 = t648 * t44620;
  t46397 = t46396 * t1032;
  t46404 = t46381 + t9602 * t46382 / 0.18e2 + 0.1e2 / 0.3e1 * t9602 * t24671 - 0.3e2 * t46156 * t5972 - 0.6e1 * t2216 * t24565 - t46392 - t46393 + 0.2e1 * t5873 * t9632 - 0.2e1 / 0.3e1 * t46397 * t1162 - 0.2e1 / 0.3e1 * t46125 * t5943 + 0.4e1 * t2216 * t24528;
  t46409 = t46396 * t999;
  t46413 = t2209 * t4638 / 0.2e1;
  t46414 = t1038 * t46085;
  t46418 = 0.3e1 * t46055 * t5949;
  t46421 = t24418 * t5939;
  t46427 = 0.6e1 * t46045 * t5946;
  t46428 = t9608 * t5932;
  t46430 = 0.4e1 * t46045 * t5940;
  t46431 = -0.2e1 * t46409 * t1187 - 0.2e1 * t1476 * t46414 + 0.24e2 * t29832 * t46143 - 0.36e2 * t46048 * t5946 - 0.12e2 * t46112 * t46421 + 0.36e2 * t46125 * t5949 + t46413 - t46418 + t46427 + t46428 - t46430;
  t46432 = 0.2e1 * t9675;
  t46433 = 0.2e1 * t9683;
  t46438 = t24418 * t5876;
  t46447 = t1033 * t46339;
  t46452 = t46432 + t9676 - t46433 + 0.4e1 / 0.3e1 * t46409 * t1174 - 0.22e2 * t9592 * t5877 - 0.5e2 / 0.3e1 * t9602 * t46438 + 0.2e1 * t2212 * t4560 + 0.2e1 * t9592 * t5916 + 0.4e1 / 0.3e1 * t46125 * t5919 - 0.2e1 / 0.3e1 * t1476 * t46447 + 0.2e1 / 0.3e1 * t2216 * t24448;
  t46454 = t4609 * t5884;
  t46457 = t24582 * t5861;
  t46462 = 0.2e1 * t9608 * t5910;
  t46464 = 0.2e1 * t46045 * t5913;
  t46468 = 0.1e2 / 0.3e1 * t46055 * t5960;
  t46471 = t24557 * t5939;
  t46474 = t24477 * t5939;
  t46478 = t46055 * t5943 / 0.18e2;
  t46479 = -t9602 * t46454 / 0.9e1 - t46112 * t46457 / 0.9e1 - t5935 * t2220 - t46462 + t46464 + 0.2e1 * t2216 * t24509 + t46468 - 0.4e2 * t46125 * t5960 + 0.1e2 / 0.3e1 * t46112 * t46471 + 0.5e2 / 0.3e1 * t46112 * t46474 + t46478;
  t46482 = t9584 * t5958;
  t46486 = t1165 * t143 * t44972;
  t46488 = t4572 * t46081;
  t46491 = t4572 * t46073;
  t46494 = t4609 * t46233;
  t46497 = t24477 * t5876;
  t46502 = -0.4e1 * t9592 * t5963 - t46482 - t2229 + 0.4e1 * t46397 * t1169 - t446 * t46486 - 0.16e2 / 0.3e1 * t1476 * t46488 - 0.4e1 / 0.3e1 * t1476 * t46491 + 0.2e1 / 0.9e1 * t5860 * t46494 - 0.5e1 / 0.18e2 * t9602 * t46497 - 0.12e2 * t46048 * t5913 + t2210;
  t46511 = t4575 * t45757;
  t46517 = t29468 * t45445;
  t46520 = -t46025 + t44294 / 0.18e2 + t44296 / 0.18e2 + t44298 / 0.18e2 + t46029 - t46030 - t46031 - t110 * t139 * (-0.4e1 / 0.3e1 * t46112 * t46295 + 0.6e1 * t9602 * t24608 + 0.2e1 * t9578 * t46187 + 0.1e2 / 0.3e1 * t29893 * t46190 - 0.4e1 * t29857 * t9568 - 0.4e1 * t5889 * t46196 - 0.2e1 * t5903 * t9618 - 0.4e1 / 0.9e1 * t29832 * t46166 - 0.12e2 * t46169 * t5897 - 0.2e1 * t5889 * t46173 + 0.2e1 / 0.3e1 * t29808 * t46176 + 0.2e1 / 0.3e1 * t29857 * t9571 + 0.4e1 * t9578 * t46183 + 0.3e1 * t5925 * t46033 + 0.3e1 * t446 * t46037 + 0.12e2 * t2216 * t24625 - 0.6e1 * t5868 * t46042 + 0.72e2 * t46048 * t5869 - 0.12e2 * t9592 * t5885 + 0.8e1 * t46125 * t5862 - 0.1e2 / 0.3e1 * t5860 * t46308 - t5860 * t46311 / 0.18e2 + 0.4e1 * t5868 * t46314 + t46163 + t46122 + t46091 - t46053 - t46057 - t46051 - t46047 + t46301 + t46404 - t46303 + t46431 + t46262 - t46318 + t46231 + t46452 + t46351 + t46502 + t46291 + t46479 + t46379) * t168 / 0.4e1 + t5665 * t446 * t46511 + 0.11e2 * t5665 * t9592 * t5667 - 0.35e2 / 0.3e1 * t45332 * t46517;
  t46533 = t1007 * t1013 * t5837;
  t46548 = t5595 * t5790 * t5564;
  t46553 = t25460 * t44864;
  t46554 = t24678 * t5570;
  t46561 = t4719 * t44845;
  t46564 = 0.3e1 / 0.2e1 * t373 * t46561 * t5576;
  t46567 = 0.3e1 * t1029 * t46561 * t5571;
  t46576 = -0.3e1 * t5562 * t46548 + 0.3e1 * t29089 * t5603 + 0.6e1 * t373 * t46553 * t46554 - 0.18e2 * t373 * t45183 * t5576 + t46564 - t46567 - t44300 / 0.6e1 - 0.6e1 * t373 * t374 * t9291 * t5702 + t44302 / 0.3e1 + t44304 / 0.3e1 + t44307 / 0.6e1;
  t46583 = t44320 / 0.6e1;
  t46584 = t44322 / 0.6e1;
  t46585 = t24477 * t5666;
  t46594 = 0.3e1 / 0.2e1 * t5639 * t9584 * t24073;
  t46598 = 0.3e1 / 0.2e1 * t5665 * t9584 * t5667;
  t46599 = t5650 * t9277;
  t46601 = t5649 * t46599 * t1410;
  t46603 = t4695 * t46599 * t1415;
  t46604 = t4609 * t44721;
  t46611 = t5650 * t9291;
  t46615 = t4572 * t44721;
  t46620 = t44332 / 0.18e2;
  t46621 = t44334 / 0.18e2;
  t46622 = t44336 / 0.18e2;
  t46623 = -t46598 - t46601 + t46603 + 0.6e1 * t10513 * t5860 * t46604 - 0.11e2 * t5639 * t9592 * t24073 + 0.6e1 * t5649 * t46611 * t1410 + 0.6e1 * t5665 * t5860 * t46615 - t44328 / 0.6e1 - t46620 - t46621 + t46622;
  t46631 = t9534 / 0.2e1;
  t46632 = t9542 / 0.2e1;
  t46633 = t24678 * t5601;
  t46639 = 0.3e1 / 0.2e1 * t4718 * t46561 * t5602;
  t46641 = t24678 * t24581 * t997;
  t46646 = t24678 * t24556 * t997;
  t46650 = t9545 / 0.6e1;
  t46651 = t9547 / 0.6e1;
  t46654 = t45376 * t5682 / 0.3e1;
  t46656 = t45376 * t5676 / 0.2e1;
  t46657 = t10447 * t45520;
  t46666 = -t43489 - t43491 + t43493 - t43495 + t43497 - t43499 - t46654 + t46656 + 0.14e2 / 0.3e1 * t45332 * t46657 - 0.6e1 * t4695 * t46611 * t1415 - t4695 * t6018 * t9401 / 0.2e1;
  t46668 = t1165 * t44496;
  t46674 = t4687 * t44502;
  t46677 = t5691 * t44507;
  t46683 = t1165 * t44501;
  t46687 = t2196 * t4405;
  t46688 = t4575 * t46687;
  t46692 = t24477 * t44506;
  t46696 = t5665 * t1470 * t46668 - t9709 + t9712 - t44390 / 0.6e1 - t318 * t9478 / 0.2e1 - t6004 * t46674 / 0.6e1 - t29461 * t46677 / 0.2e1 - t4695 * t30617 * t2257 / 0.4e1 + t5665 * t1470 * t46683 / 0.2e1 + t5665 * t446 * t46688 / 0.2e1 - 0.3e1 / 0.2e1 * t10513 * t5860 * t46692;
  t46697 = t24418 * t44506;
  t46701 = t24435 * t44506;
  t46705 = t30141 * t44507;
  t46708 = t5691 * t44502;
  t46711 = t29474 * t44507;
  t46716 = t4687 * t380 * t1146 * t2196;
  t46720 = t9444 * t168 * t46687;
  t46727 = t1076 * t348 * t44972;
  t46731 = 0.3e1 * t5639 * t5860 * t46697 + t43531 - 0.3e1 / 0.2e1 * t5665 * t5860 * t46701 + t29352 * t46705 / 0.2e1 + t5673 * t46708 / 0.12e2 + 0.5e1 / 0.36e2 * t29352 * t46711 + t6012 * t46716 / 0.12e2 - t6012 * t46720 / 0.6e1 - t1383 * t5580 - 0.4e1 * t24914 * t15951 - t373 * t1442 * t46727 / 0.4e1;
  t46738 = my_piecewise3(t100, 0, -t373 * t9318 * t25418 - 0.15e2 / 0.2e1 * t10513 * t9602 * t46585 + 0.3e1 * t30451 * t44714 * t9698 - t110 * t9692 * t404 / 0.2e1 - 0.18e2 * t1029 * t46553 * t46633 - 0.6e1 * t25474 * t46553 * t46641 + 0.18e2 * t4718 * t46553 * t46646 - t1029 * t1408 * t45547 - 0.5e1 / 0.2e1 * t5639 * t1476 * t45762 + t5649 * t5651 * t45767 + t4695 * t5688 * t45858 - 0.2e1 * t5665 * t1470 * t45861 + t4695 * t6018 * t45866 - t5665 * t5873 * t9335 - t5665 * t1476 * t44517 - t5665 * t1476 * t44520 / 0.2e1 - 0.7e1 / 0.3e1 * t39435 * t29468 * t15922 - 0.3e1 * t1029 * t9696 * t24756 + 0.15e2 * t5639 * t9602 * t44706 - 0.15e2 / 0.2e1 * t5665 * t9602 * t44710 - 0.6e1 * t5649 * t44714 * t9703 + 0.3e1 * t4695 * t44714 * t9717 + 0.12e2 * t5639 * t5868 * t44722 - 0.12e2 * t5639 * t5860 * t44726 + t373 * t9505 * t4407 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t9696 * t24159 + 0.47e2 / 0.3e1 * t44569 * t29113 * t15877 - 0.3e1 * t373 * t9314 * t4300 + t5639 * t1476 * t45922 + t5639 * t1476 * t45925 / 0.2e1 - 0.2e1 * t4695 * t45343 * t4324 + 0.2e1 * t4695 * t5651 * t9489 + t373 * t1408 * t46533 - 0.2e1 / 0.3e1 * t1421 * t45962 - t1421 * t45965 / 0.3e1 + 0.2e1 / 0.3e1 * t9515 * t4554 + 0.2e1 / 0.3e1 * t2189 * t24291 + t2189 * t24284 / 0.3e1 - t9515 * t4550 / 0.3e1 - t1402 * t5607 / 0.3e1 - t442 * t30400 / 0.3e1 - t442 * t29409 / 0.6e1 + 0.4e1 / 0.3e1 * t5654 * t9347 + t1058 * t9494 + 0.2e1 * t1070 * t9490 + 0.2e1 * t1058 * t9490 - 0.2e1 * t1070 * t9492 - 0.2e1 * t1058 * t9492 + t1070 * t9494 - t6012 * t45759 / 0.3e1 + 0.5e1 / 0.3e1 * t5673 * t45771 - 0.2e1 / 0.3e1 * t5673 * t45775 - t5562 * t45872 + 0.89e2 / 0.9e1 * t44866 * t45874 - 0.2e1 * t44866 * t45877 - t44623 * t1010 / 0.6e1 + 0.2e1 / 0.3e1 * t6004 * t45740 + t5673 * t45743 / 0.6e1 + t6012 * t45748 / 0.6e1 + t6012 * t45751 / 0.6e1 - t6004 * t45754 / 0.3e1 - 0.2e1 * t29078 * t1411 + 0.2e1 * t5814 * t1416 - 0.2e1 * t5792 * t5586 + t2184 * t4357 / 0.3e1 - 0.11e2 / 0.9e1 * t9254 * t45917 - t1205 * t2239 / 0.4e1 + 0.2e1 * t9293 * t5618 + t30606 * t457 + t9469 * t1062 / 0.4e1 + t44678 * t377 / 0.2e1 - t2189 * t25229 / 0.6e1 - t25243 * t2245 / 0.2e1 + t1383 * t5851 / 0.2e1 + t5814 * t1394 + t5797 * t1394 + t30429 * t457 / 0.2e1 + t30421 * t457 / 0.2e1 - t1421 * t44561 / 0.6e1 - 0.62e2 / 0.3e1 * t44569 * t44570 - 0.2e1 / 0.3e1 * t6004 * t44546 + 0.2e1 / 0.3e1 * t6004 * t44550 - t5654 * t9300 / 0.3e1 - t1421 * t44556 / 0.3e1 + t5673 * t44498 / 0.3e1 + t5673 * t44503 / 0.6e1 + 0.11e2 / 0.18e2 * t29352 * t44508 - 0.2e1 / 0.3e1 * t30050 * t9328 - 0.2e1 / 0.3e1 * t29571 * t9328 - 0.11e2 / 0.9e1 * t44470 * t44471 + 0.2e1 / 0.3e1 * t44474 * t24742 - 0.2e1 * t29985 * t5689 + 0.2e1 / 0.3e1 * t5673 * t44462 - 0.11e2 / 0.6e1 * t44465 * t6009 + 0.2e1 * t44465 * t5682 - t442 * t29524 / 0.3e1 - 0.6e1 * t45142 * t5632 - 0.61e2 / 0.27e2 * t44866 * t45164 + 0.44e2 / 0.27e2 * t44866 * t45167 + 0.2e1 * t5631 * t45170 - 0.11e2 / 0.9e1 * t5562 * t45173 - 0.2e1 / 0.3e1 * t2189 * t24288 + 0.2e1 / 0.3e1 * t9515 * t4361 + 0.2e1 / 0.3e1 * t2189 * t24854 + t2189 * t24908 / 0.3e1 - 0.4e1 / 0.3e1 * t2189 * t24280 - t1070 * t9510 + t442 * t44858 / 0.12e2 - 0.5e1 / 0.36e2 * t9254 * t44861 - 0.35e2 / 0.108e3 * t44866 * t44867 - t9515 * t4433 / 0.6e1 - t2189 * t24803 / 0.6e1 - t2189 * t24357 / 0.12e2 + t5854 * t2199 / 0.12e2 + t1402 * t9427 / 0.6e1 + t9469 * t1040 / 0.2e1 - t9469 * t1048 / 0.2e1 + t1053 * t9531 / 0.6e1 - t442 * t30424 / 0.6e1 - t1402 * t5809 / 0.3e1 - t5840 * t1378 / 0.6e1 + t1002 * t44760 / 0.3e1 - t44765 * t1035 / 0.2e1 - t2184 * t4457 / 0.6e1 + t44601 * t1457 + t9293 * t5762 - 0.5e1 / 0.12e2 * t5673 * t45526 - t6012 * t45531 / 0.3e1 + 0.4e1 / 0.3e1 * t24973 * t45482 - 0.2e1 * t5814 * t1439 - 0.2e1 * t1383 * t5659 - t25376 * t9460 / 0.2e1 + t29346 * t9454 + 0.23e2 / 0.18e2 * t44470 * t45468 - 0.115e3 / 0.36e2 * t44470 * t45471 - 0.4e1 / 0.3e1 * t44474 * t25373 + 0.4e1 / 0.3e1 * t5673 * t45478 - 0.2e1 / 0.3e1 * t5673 * t45414 - 0.2e1 / 0.3e1 * t5673 * t45418 - 0.2e1 * t45293 * t5652 + 0.2e1 * t29985 * t5671 - t4274 * t2258 / 0.2e1 - t1070 * t9369 / 0.2e1 - t1070 * t9402 / 0.2e1 - 0.2e1 * t29352 * t45277 + 0.5e1 / 0.2e1 * t44470 * t45280 + t5673 * t45284 + 0.3e1 * t45286 * t5644 - 0.3e1 * t45289 * t5668 - t1421 * t45244 / 0.3e1 - 0.28e2 * t45228 * t15878 + t1451 * t45214 / 0.3e1 + 0.23e2 / 0.18e2 * t5562 * t45177 - t2189 * t24155 / 0.2e1 - t2189 * t25571 - 0.22e2 / 0.9e1 * t29352 * t45700 - 0.2e1 / 0.3e1 * t5673 * t45703 - t29507 * t9457 / 0.3e1 - 0.5e1 / 0.18e2 * t44470 * t45684 - t5673 * t45688 / 0.3e1 + t44465 * t6001 + 0.25e2 / 0.36e2 * t44470 * t45692 - 0.11e2 / 0.3e1 * t44465 * t5676 + 0.55e2 / 0.18e2 * t44470 * t45697 + t30611 * t9441 / 0.6e1 - t318 * t9693 / 0.2e1 + t44474 * t24386 / 0.3e1 - 0.5e1 / 0.9e1 * t29352 * t45643 - t5714 * t45544 - 0.4e1 * t45444 * t45521 + t46024 + t46012 + t45959 + t45903 + t45850 + t45830 + t45806 + t45737 + t45678 + t45635 + t45603 + t45576 - t45541 - t45543 - t45537 - t45539 - t45534 + t45517 + t45459 - t45406 + t45407 + t45400 + t45371 + t45325 + t45273 - t45243 - t45239 + t45236 + t45233 + t45212 - t45156 + t45151 + t45125 + t45078 + t45052 + t45040 + t45032 + t45036 - t45030 + t45026 + t44984 + t44850 + t44829 + t44804 + t44752 + t44749 + t44704 + t44659 + t44638 + t44606 - t44544 + t44541 + t44492 - t44317 / 0.3e1 + t44313 / 0.3e1 - t44315 / 0.3e1 - t44309 / 0.18e2 + t44311 / 0.3e1 - t44242 / 0.3e1 + 0.2e1 / 0.9e1 * t44244 - t44239 / 0.9e1 - 0.2e1 / 0.9e1 * t44181 - t44175 / 0.6e1 + t44177 / 0.3e1 + t44179 / 0.9e1 + t44171 / 0.3e1 - t44173 / 0.9e1 - t44169 / 0.9e1 - t44159 / 0.3e1 + t44161 / 0.3e1 - t44157 / 0.3e1 - t44141 / 0.9e1 - t44137 / 0.9e1 - t44139 / 0.9e1 + 0.2e1 / 0.3e1 * t44100 - 0.2e1 / 0.3e1 * t44096 - t44098 / 0.3e1 + t44092 / 0.3e1 - t44094 / 0.3e1 + 0.2e1 / 0.9e1 * t44088 - 0.4e1 / 0.9e1 * t44090 + 0.2e1 / 0.9e1 * t44086 + 0.2e1 * t44008 - 0.2e1 * t43986 + t43987 - t43945 / 0.18e2 - t43947 / 0.18e2 - t43943 / 0.9e1 - 0.4e1 / 0.3e1 * t43924 + 0.2e1 / 0.3e1 * t43922 - t43477 - t43463 + t43466 + t46631 + t46632 + t46731 + t46583 + t46584 - t46650 + t46666 + t46594 + t46696 + t46576 + t46623 + 0.2e1 * t321 * t194 * t9291 * t5715 + 0.3e1 / 0.2e1 * t39435 * t29474 * t4191 * t9339 - t373 * t4371 * t2211 * t1047 / 0.2e1 + t46639 - t46651 + t46520);
  tv4rho2sigma217 = t3 * t46738 + 0.2e1 * t9741;

  if(out->v4rho2sigma2 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigma2[ip*p->dim.v4rho2sigma2 + 17] += tv4rho2sigma217;

  t46744 = t1261 * t1514 * t8694;
  t46767 = t5277 * t1564 / 0.2e1 + 0.2e1 / 0.3e1 * t3396 * t46744 + t608 * t9909 + t608 * t9912 + t246 * t31113 * t2331 / 0.2e1 + t246 * t6489 * t8968 + t3226 * t2332 + t630 * t9909 + t630 * t9912 + t3101 * t2332 / 0.2e1 - t246 * t30896 * t2166 / 0.4e1 - t246 * t6273 * t8963 / 0.2e1 - t630 * t9902 / 0.2e1;
  t46771 = t31085 * t10169;
  t46773 = t31085 * t8795;
  t46775 = t31675 * t8792;
  t46779 = t31415 * t8786;
  t46783 = t3168 * t238;
  t46784 = t46783 * t9746;
  t46787 = t26410 * t9757;
  t46791 = t26410 * t9746;
  t46793 = -t246 * t1559 * t41890 / 0.4e1 - t41020 + t41030 - t46771 / 0.9e1 + t46773 / 0.18e2 - t46775 / 0.9e1 + t6451 * t42391 / 0.2e1 - t46779 / 0.9e1 + t10155 * t42396 / 0.2e1 - 0.5e1 / 0.18e2 * t9743 * t46784 - t6439 * t46787 / 0.6e1 + t9863 * t43323 + t9863 * t46791;
  t46795 = t26056 * t9934;
  t46798 = t26467 * t9894;
  t46818 = t6439 * t46795 / 0.3e1 - 0.2e1 * t46798 + t6439 * t43327 / 0.3e1 - 0.5e1 / 0.18e2 * t9743 * t43330 - t6439 * t42593 / 0.6e1 - t2089 + t2160 + t1228 * t6460 / 0.2e1 - t1541 * t42168 / 0.12e2 - 0.5e1 / 0.36e2 * t6100 * t42172 + t6464 * t8987 / 0.3e1 + t6468 * t8987 / 0.3e1 + t1568 * t41197 / 0.3e1;
  t46847 = t1568 * t42177 / 0.6e1 + t6087 * t42180 / 0.2e1 + t1529 * t4754 / 0.6e1 + t1534 * t4754 / 0.6e1 + t31842 * t2268 / 0.6e1 + t31849 * t2268 / 0.3e1 + t6464 * t9785 / 0.3e1 + t6464 * t8833 / 0.3e1 + t31855 * t2268 / 0.6e1 + t6468 * t9785 / 0.3e1 - t31131 * t2276 / 0.6e1 - 0.3e1 / 0.2e1 * t4772 * t470 * t42074 + 0.3e1 * t4772 * t6300 * t42264;
  t46850 = t26467 * t9886;
  t46868 = t46850 - t31172 * t10169 / 0.3e1 + 0.2e1 / 0.3e1 * t31175 * t9960 - t31586 * t8786 / 0.3e1 - t31161 * t8792 / 0.3e1 + t31175 * t8795 / 0.6e1 + 0.23e2 / 0.36e2 * t6100 * t41578 + t6087 * t41663 - t21053 * t2319 / 0.2e1 + t41124 - t41132 - t41134 - t31172 * t9842 / 0.6e1;
  t46871 = t414 * t592;
  t46872 = t229 * t46871;
  t46876 = t3556 * t476;
  t46877 = t46876 * t4878;
  t46880 = t6119 * t4809;
  t46881 = t1254 * t46880;
  t46901 = t31175 * t10110 / 0.3e1 - 0.6e1 * t4772 * t32177 * t46872 + t4872 * t46877 / 0.2e1 + t5156 * t46881 + t417 * t31874 / 0.6e1 + t417 * t31878 / 0.12e2 - t6062 * t8696 / 0.3e1 - t6067 * t8696 / 0.3e1 - t1541 * t41162 / 0.3e1 - t1541 * t41374 / 0.6e1 - t6067 * t8703 / 0.6e1 - t1541 * t41950 / 0.12e2 + t6260 * t2108 / 0.12e2;
  t46911 = t26467 * t9771;
  t46915 = t6263 * t2108 / 0.6e1 + t1529 * t8658 / 0.6e1 - t41224 + t41227 + t41230 - t41239 - t41251 - t41263 + t6454 * t41780 / 0.3e1 + t31172 * t10110 / 0.3e1 - 0.2e1 / 0.3e1 * t46911 - t6454 * t42358 / 0.3e1 - t41265;
  t46930 = t31872 * t1255;
  t46931 = t1254 * t46930;
  t46934 = -t41267 + t41291 - t41293 - t41295 - t41297 + t41299 + t6209 * t1290 / 0.2e1 + t6217 * t1290 / 0.2e1 + t1516 * t4958 / 0.4e1 + t1516 * t4952 / 0.2e1 - t1541 * t41145 / 0.3e1 - t6067 * t8749 / 0.3e1 - t6062 * t8749 / 0.3e1 - t1252 * t46931 / 0.3e1;
  t46954 = t3232 * t2332 / 0.9e1;
  t46956 = t3232 * t2327 / 0.18e2;
  t46959 = t4851 * t17263;
  t46962 = t41340 - t3061 * t9796 - t3061 * t9799 - t679 * t31113 * t2318 / 0.2e1 - t679 * t6489 * t8848 - t3220 * t2324 / 0.2e1 - t3226 * t2324 - t679 * t1547 * t42000 / 0.2e1 - t21048 * t2319 / 0.2e1 - t46954 + t46956 + t1541 * t25950 / 0.3e1 + 0.7e1 / 0.3e1 * t20926 * t46959;
  t46963 = t26117 * t481;
  t46965 = t26120 * t481;
  t46967 = t5234 * t1526;
  t46970 = t5241 * t1511 / 0.54e2;
  t46972 = t6416 * t1223 / 0.54e2;
  t46974 = t26457 * t481 / 0.18e2;
  t46977 = t6197 * t1223;
  t46979 = t6200 * t1223;
  t46981 = t1506 * t5261;
  t46983 = t1218 * t6212;
  t46985 = t5247 * t1511;
  t46987 = t5250 * t1511;
  t46989 = t46963 / 0.6e1 + t46965 / 0.6e1 + t46967 / 0.6e1 + t46970 + t46972 - t46974 + t6209 * t1239 / 0.2e1 - t46977 / 0.18e2 - t46979 / 0.18e2 - t46981 / 0.18e2 - t46983 / 0.18e2 - t46985 / 0.18e2 - t46987 / 0.18e2;
  t46991 = t6226 * t1239;
  t46995 = t633 * t9947;
  t46996 = t46995 * t250;
  t46998 = t634 * t10198;
  t47003 = t661 * t2309 * t670;
  t47008 = t191 * t242 * t2308 * t676;
  t47013 = t666 * t2310;
  t47017 = t32294 * t432 / 0.18e2;
  t47018 = t32327 * t432;
  t47020 = t31343 * t432;
  t47022 = t46991 / 0.6e1 - t9948 * t598 / 0.2e1 + t46996 / 0.6e1 - t46998 / 0.18e2 + t603 * t10198 / 0.6e1 + t654 * t47003 / 0.3e1 - t47008 * t685 / 0.2e1 + t9948 * t691 / 0.2e1 - t654 * t47013 / 0.6e1 - t47017 + t47018 / 0.6e1 + t47020 / 0.6e1 + t41361;
  t47023 = t31334 * t2282;
  t47025 = t1218 * t6503;
  t47027 = t4907 * t9827;
  t47029 = t1261 * t46880;
  t47040 = t6226 * t1290;
  t47044 = t2308 * t66;
  t47046 = t836 * t47044 * t838;
  t47050 = t1261 * t1226 * t12024;
  t47057 = 0.2e1 / 0.9e1 * t47023 - t47025 / 0.18e2 - t47027 / 0.18e2 + t5156 * t47029 / 0.2e1 + t1516 * t4931 / 0.2e1 + 0.3e1 / 0.2e1 * t1516 * t4915 + t1228 * t6399 / 0.2e1 + 0.3e1 / 0.2e1 * t1228 * t6387 + t47040 / 0.6e1 + 0.3e1 / 0.2e1 * t26784 * t6078 + t211 * t47046 / 0.12e2 + 0.2e1 / 0.3e1 * t3396 * t47050 + 0.2e1 / 0.3e1 * t21103 * t17264 - t417 * t31104 / 0.12e2;
  t47060 = t41850 * t5003;
  t47063 = t26535 * t9899;
  t47067 = t683 * t46871;
  t47073 = t30 * t32043;
  t47074 = t95 * t46871;
  t47075 = t26847 * t47074;
  t47090 = 0.2e1 / 0.3e1 * t6439 * t47060 + t47063 / 0.3e1 + t6439 * t43407 / 0.2e1 - 0.18e2 * t4983 * t32082 * t47067 + t9743 * t42051 / 0.2e1 - 0.2e1 * t47073 * t47075 + 0.2e1 * t26257 * t10117 + t26260 * t9761 - t21744 * t9764 / 0.2e1 + t4772 * t1587 * t42307 - t3266 * t6169 * t8976 + t26260 * t9767 + t31243 * t2282 / 0.3e1;
  t47097 = t4934 * t10172;
  t47099 = t1218 * t6121;
  t47117 = 0.3e1 * t6411 * t4919 - 0.3e1 * t1228 * t6394 + 0.3e1 * t5286 * t6135 + t47097 / 0.9e1 + t47099 / 0.18e2 + t1541 * t26759 / 0.3e1 + 0.2e1 / 0.3e1 * t1541 * t25916 + t1541 * t41393 / 0.3e1 + 0.2e1 / 0.3e1 * t6062 * t9837 + 0.2e1 / 0.3e1 * t6062 * t8980 + t31131 * t2282 / 0.3e1 - t1516 * t5162 / 0.2e1 - 0.2e1 * t21435 * t16637;
  t47121 = t27552 * t1548;
  t47123 = t5234 * t1551;
  t47125 = t30793 * t1270;
  t47127 = t6226 * t1275;
  t47129 = t4907 * t9981;
  t47131 = t689 * t46871;
  t47135 = t188 * t6304;
  t47136 = t47135 * t9847;
  t47140 = t47135 * t9854;
  t47142 = t31085 * t8767;
  t47145 = t31085 * t8771;
  t47147 = -t6209 * t1286 / 0.2e1 - t47121 / 0.3e1 + t47123 / 0.3e1 - t47125 / 0.3e1 + t47127 / 0.3e1 - t47129 / 0.9e1 + 0.18e2 * t4772 * t32082 * t47131 + 0.14e2 / 0.9e1 * t47136 + 0.2e1 * t9863 * t43390 - t47140 / 0.3e1 + t47142 / 0.9e1 - t9863 * t43209 - 0.2e1 / 0.9e1 * t47145;
  t47148 = t47135 * t9857;
  t47150 = t47135 * t9860;
  t47154 = t637 * t9778;
  t47156 = t5234 * t1556;
  t47158 = t5234 * t1560;
  t47160 = t21023 * t17264;
  t47162 = t5234 * t1564;
  t47167 = t4851 * t46880;
  t47170 = t1514 * t4809;
  t47171 = t4808 * t47170;
  t47176 = t3051 * t9799;
  t47178 = 0.23e2 / 0.54e2 * t47148 - 0.11e2 / 0.27e2 * t47150 - t6439 * t43372 / 0.3e1 - t47154 / 0.6e1 - t47156 / 0.3e1 - t47158 / 0.6e1 + 0.2e1 / 0.9e1 * t47160 + t47162 / 0.6e1 - t5277 * t1556 - 0.3e1 * t1516 * t4904 - 0.11e2 / 0.18e2 * t4806 * t47167 + 0.23e2 / 0.36e2 * t4806 * t47171 + t1228 * t6492 / 0.2e1 - t47176 / 0.3e1;
  t47183 = t3051 * t9796;
  t47185 = t21198 * t2319;
  t47198 = t4808 * t5284 * t2676;
  t47201 = t414 * t3461;
  t47203 = t26405 * t670 * t47201;
  t47214 = -t47183 / 0.3e1 - t47185 / 0.3e1 + t1516 * t4829 / 0.2e1 - t6411 * t4795 / 0.2e1 + t1252 * t31487 / 0.3e1 - t1541 * t42653 / 0.6e1 - t5286 * t6183 / 0.2e1 - 0.3e1 / 0.2e1 * t20926 * t47198 + 0.2e1 * t6439 * t47203 - t31558 * t8786 / 0.3e1 - t31915 * t8792 / 0.3e1 + t31172 * t8795 / 0.6e1 + t31915 * t8800 / 0.6e1;
  t47215 = t26056 * t9746;
  t47218 = t95 * t26809;
  t47219 = t4877 * t47218;
  t47224 = t41555 + t41557 + t41560 + t41567 - t41569 - t9743 * t47215 - t9743 * t41711 - t9743 * t47219 / 0.2e1 + t42708 * t6167 - t26650 * t6170 + t41593 - t41597 - t41610;
  t47232 = t182 * t6304;
  t47234 = t9756 * t794;
  t47235 = t253 * t47234;
  t47236 = t5175 * t47235;
  t47240 = t3360 * t2330 * t794;
  t47245 = t3360 * t2317 * t794;
  t47249 = -t41612 + t41624 - t41629 + t41651 - t41653 + t41656 - 0.2e1 / 0.3e1 * t6439 * t43333 - 0.2e1 / 0.3e1 * t6439 * t43337 - 0.23e2 / 0.36e2 * t9743 * t42364 - t47232 * t9854 + 0.2e1 / 0.3e1 * t6439 * t47236 - 0.2e1 * t3266 * t6175 * t47240 + 0.2e1 * t4993 * t6175 * t47245;
  t47251 = t824 * t2322 * t794;
  t47258 = t414 * t3445;
  t47259 = t95 * t47258;
  t47260 = t5175 * t47259;
  t47263 = t731 * t414;
  t47264 = t253 * t47263;
  t47265 = t4996 * t47264;
  t47286 = t3266 * t6169 * t47251 + t6439 * t41991 / 0.6e1 - t9863 * t42231 / 0.2e1 + t6439 * t47260 / 0.3e1 - t6439 * t47265 / 0.6e1 - t6454 * t43383 / 0.3e1 - t246 * t30854 * t2323 / 0.2e1 - t246 * t6093 * t8976 - t630 * t9919 - t630 * t9922 + 0.5e1 / 0.2e1 * t4772 * t1591 * t43304 - t3266 * t6175 * t43309 + t9948 * t623 / 0.4e1 + t31939 * t432 / 0.4e1;
  t47291 = t626 * t9947;
  t47296 = t191 * t242 * t10103 * t243;
  t47299 = t661 * t2310;
  t47308 = t222 * t10105;
  t47321 = t32322 * t432 / 0.2e1 + t47291 * t250 / 0.2e1 + t47296 * t250 / 0.2e1 - t654 * t47299 / 0.12e2 + t1228 * t6257 / 0.4e1 - t627 * t10198 / 0.6e1 - t642 * t10198 / 0.12e2 - t211 * t47308 / 0.6e1 + t5266 * t1526 / 0.2e1 + t5277 * t1526 / 0.2e1 + t26452 * t481 / 0.4e1 + t6217 * t1239 / 0.2e1 + t1516 * t5208 / 0.4e1;
  t47336 = t21350 * t2266;
  t47337 = t843 * t47336;
  t47342 = t637 * t9909;
  t47344 = t3247 * t2332;
  t47346 = t3242 * t2332;
  t47348 = t637 * t9902;
  t47350 = t26443 * t481 / 0.4e1 + t26492 * t481 / 0.2e1 + t4772 * t1587 * t41693 - t31243 * t2271 / 0.12e2 - t31246 * t2271 / 0.6e1 - t31131 * t2271 / 0.12e2 + t6468 * t8833 / 0.3e1 + t1568 * t47337 / 0.6e1 + t1568 * t42213 / 0.3e1 + t47342 / 0.3e1 + t47344 / 0.3e1 + t47346 / 0.3e1 - t47348 / 0.6e1;
  t47352 = t773 * t2310;
  t47356 = t30 * t32039;
  t47357 = t4877 * t47074;
  t47368 = -t47352 / 0.6e1 + t6451 * t26646 / 0.6e1 + 0.6e1 * t47356 * t47357 - 0.2e1 * t26266 * t9771 + t21748 * t9773 - 0.2e1 * t26260 * t9771 + t21744 * t9773 + t6439 * t42485 / 0.6e1 - t41717 + t41719 - t41720 - t41729 - t41735;
  t47374 = t30 * t476 * t4991;
  t47377 = t689 * t476;
  t47378 = t47377 * t4764;
  t47381 = t30 * t31473;
  t47384 = t30 * t6423;
  t47387 = t31085 * t9842;
  t47389 = t95 * t47201;
  t47390 = t26405 * t47389;
  t47393 = t47135 * t9747;
  t47395 = t31085 * t10110;
  t47397 = t182 * t6300;
  t47400 = t30 * t32049;
  t47403 = -t41737 - 0.3e1 / 0.2e1 * t42708 * t6172 + 0.3e1 / 0.2e1 * t43351 * t6434 - t47374 * t4994 + t31651 * t4786 - t4872 * t47378 / 0.3e1 + 0.3e1 / 0.2e1 * t47381 * t4988 - 0.3e1 / 0.2e1 * t47384 * t4781 - t47387 / 0.18e2 - t6439 * t47390 / 0.2e1 - 0.5e1 / 0.54e2 * t47393 + t47395 / 0.9e1 - 0.4e1 * t47397 * t9866 - 0.4e1 * t47400 * t9866;
  t47407 = t26410 * t9846;
  t47410 = t4873 * t42586;
  t47414 = t8790 * t47389;
  t47417 = t30 * t32177;
  t47418 = t4762 * t47074;
  t47421 = t9744 * t47074;
  t47424 = t9745 * t794;
  t47425 = t3556 * t47424;
  t47430 = t659 * t2330 * t206;
  t47438 = t6284 * t8833;
  t47440 = -0.4e1 * t9863 * t47407 - 0.4e1 * t9863 * t47410 - t21744 * t10127 + t6454 * t47414 / 0.3e1 + 0.2e1 * t47417 * t47418 + 0.5e1 / 0.3e1 * t47356 * t47421 + 0.11e2 * t4772 * t6300 * t47425 - 0.6e1 * t3266 * t32374 * t47430 + t41763 - t41765 - t6439 * t42722 / 0.3e1 + t6454 * t42322 / 0.3e1 + t47438 / 0.9e1;
  t47441 = t6284 * t9785;
  t47443 = t32314 * t2268;
  t47445 = t31035 * t2268;
  t47447 = t6140 * t10144;
  t47453 = t843 * t46930;
  t47456 = t46783 * t9846;
  t47461 = t9744 * t26810;
  t47467 = t47441 / 0.9e1 + t47443 / 0.9e1 + t47445 / 0.9e1 - t47447 / 0.9e1 + t4948 * t10172 / 0.3e1 + t5145 * t10172 / 0.3e1 + t1294 * t47453 / 0.3e1 + 0.23e2 / 0.18e2 * t9743 * t47456 + 0.23e2 / 0.18e2 * t9743 * t42587 + t41776 - t41777 + 0.23e2 / 0.36e2 * t9743 * t47461 - 0.2e1 * t4772 * t1587 * t42511;
  t47471 = t95 * t47424;
  t47472 = t26847 * t47471;
  t47497 = t31161 * t8800 / 0.6e1 + 0.55e2 / 0.18e2 * t9743 * t47472 - t6251 * t1223 / 0.12e2 - t1534 * t5261 / 0.6e1 - t466 * t26446 / 0.12e2 - t6260 * t1223 / 0.12e2 - t6263 * t1223 / 0.6e1 - t1529 * t5261 / 0.6e1 - t1247 * t6212 / 0.6e1 - t417 * t31942 / 0.12e2 - t5211 * t1511 / 0.12e2 - t5214 * t1511 / 0.6e1 - t1242 * t6212 / 0.6e1;
  t47510 = t26425 * t9746;
  t47513 = t670 * t46871;
  t47514 = t9744 * t47513;
  t47520 = -t5202 * t1511 / 0.12e2 + t31947 * t432 / 0.4e1 - t41813 - t41835 - t41838 - t6451 * t41872 / 0.3e1 + t6439 * t42482 / 0.6e1 - t31651 * t4769 / 0.2e1 + 0.2e1 * t47400 * t9864 + 0.2e1 * t9863 * t47510 - 0.23e2 / 0.3e1 * t47356 * t47514 + 0.2e1 * t47397 * t9864 + t41887 + t26263 * t9899;
  t47547 = t26581 * t9757;
  t47551 = t4983 * t6335 * t42120 + t4983 * t1591 * t42123 - 0.6e1 * t26260 * t9894 - 0.6e1 * t26266 * t9894 - 0.6e1 * t4772 * t32049 * t9893 - 0.2e1 * t4772 * t1591 * t42498 + t6439 * t42084 / 0.3e1 - t6451 * t41985 / 0.3e1 - t6454 * t41975 / 0.3e1 - 0.5e1 / 0.12e2 * t6439 * t41980 + t6451 * t42351 / 0.12e2 + t6454 * t47547 / 0.3e1 - t10155 * t41753;
  t47554 = t26581 * t9746;
  t47556 = t20724 * t9934;
  t47576 = -t6454 * t41758 / 0.3e1 - t10155 * t47554 - t6454 * t47556 / 0.3e1 - t30 * t32062 * t10156 - t31586 * t9935 / 0.3e1 + t47400 * t9957 - t5266 * t1556 - t1228 * t6094 - t1228 * t6266 / 0.2e1 - 0.2e1 * t21435 * t17264 - t5277 * t1560 / 0.2e1 - t5266 * t1560 / 0.2e1 - t1228 * t6274 / 0.2e1;
  t47580 = t6226 * t1282;
  t47582 = t6226 * t1286;
  t47584 = t21023 * t16637;
  t47589 = t188 * t6300;
  t47590 = t47589 * t9866;
  t47592 = t30 * t32082;
  t47593 = t4873 * t47513;
  t47596 = t47589 * t9864;
  t47598 = t4996 * t47074;
  t47601 = t26535 * t9872;
  t47603 = t188 * t9876;
  t47604 = t47603 * t9879;
  t47605 = t670 * t47424;
  t47606 = t26847 * t47605;
  t47609 = -t1228 * t6277 / 0.4e1 - t47580 / 0.3e1 - t47582 / 0.6e1 + 0.2e1 / 0.9e1 * t47584 - t6209 * t1282 + t3266 * t6175 * t8968 - 0.4e1 / 0.3e1 * t47590 + 0.12e2 * t47592 * t47593 + 0.2e1 / 0.3e1 * t47596 - 0.6e1 * t47592 * t47598 - 0.2e1 * t47601 + t47604 - 0.35e2 / 0.3e1 * t9743 * t47606;
  t47610 = t9756 * t206;
  t47611 = t3264 * t47610;
  t47612 = t9845 * t47611;
  t47615 = t26405 * t47471;
  t47618 = t253 * t47610;
  t47619 = t4877 * t47618;
  t47622 = t30 * t32055;
  t47625 = t4873 * t47264;
  t47629 = t9744 * t3156 * t41709;
  t47640 = 0.14e2 / 0.3e1 * t9743 * t47612 + 0.5e1 / 0.2e1 * t9743 * t47615 - t9743 * t47619 - t31651 * t4778 + 0.14e2 / 0.3e1 * t47622 * t9847 - t41938 - t6439 * t47625 / 0.12e2 - 0.3e1 * t9743 * t47629 - t41949 - t417 * t31898 / 0.6e1 + t8740 - t6439 * t43341 / 0.3e1 - 0.5e1 / 0.6e1 * t6439 * t43312 + t6439 * t43226 / 0.3e1;
  t47655 = t4762 * t47264;
  t47662 = t26535 * t10117;
  t47664 = t26396 * t9963;
  t47669 = t788 * t47258;
  t47678 = 0.5e1 / 0.3e1 * t6439 * t43230 - 0.2e1 / 0.3e1 * t6439 * t43223 - t3266 * t31360 * t2166 / 0.4e1 + 0.14e2 / 0.3e1 * t47232 * t9847 + t6454 * t47655 / 0.6e1 - t6454 * t42242 / 0.3e1 - t6451 * t41877 / 0.3e1 + 0.2e1 / 0.3e1 * t47662 - t47664 / 0.3e1 - t3266 * t31223 * t2323 / 0.2e1 + t4772 * t1587 * t47669 / 0.2e1 + 0.3e1 * t26260 * t9886 - t30 * t2309 * t732 / 0.4e1;
  t47679 = t31085 * t9960;
  t47681 = t26400 * t47389;
  t47683 = t31085 * t9971;
  t47685 = t31085 * t9967;
  t47693 = t26778 * t9934;
  t47696 = t26425 * t9757;
  t47699 = t683 * t9745;
  t47705 = t26189 * t47074;
  t47708 = 0.2e1 / 0.9e1 * t47679 - t6439 * t47681 + 0.2e1 / 0.9e1 * t47683 - 0.4e1 / 0.9e1 * t47685 + t47384 * t4775 - t31175 * t10169 / 0.3e1 + t47397 * t9957 + t31558 * t9758 / 0.3e1 + 0.2e1 / 0.3e1 * t6439 * t47693 - t6439 * t47696 / 0.3e1 + 0.6e1 * t4983 * t32049 * t47699 + 0.6e1 * t26263 * t10114 - 0.38e2 / 0.9e1 * t47073 * t47705;
  t47722 = t31334 * t2276;
  t47724 = t1506 * t8691;
  t47732 = t6451 * t42109 / 0.6e1 + 0.2e1 / 0.3e1 * t31172 * t9960 + t6451 * t41744 / 0.6e1 + t6439 * t43411 / 0.3e1 + t6439 * t42066 / 0.6e1 + 0.11e2 / 0.18e2 * t9743 * t42056 - t47722 / 0.9e1 + t47724 / 0.18e2 + t1529 * t8691 / 0.6e1 + t6251 * t2108 / 0.12e2 + t3266 * t6169 * t42516 + t42102 + t42104;
  t47738 = t4877 * t3264 * t47234;
  t47748 = t843 * t47044 * t830;
  t47757 = t42106 - 0.4e1 / 0.3e1 * t31175 * t9967 - 0.4e1 / 0.3e1 * t31172 * t9967 - t42116 - 0.4e1 / 0.3e1 * t6439 * t47738 - t42155 + 0.2e1 / 0.3e1 * t21103 * t16637 - t9948 * t827 / 0.4e1 + t9948 * t832 / 0.2e1 - t211 * t47748 / 0.6e1 + t1534 * t8658 / 0.6e1 + t1534 * t8691 / 0.6e1 + t466 * t41416 / 0.12e2 - t42162;
  t47774 = t1254 * t47336;
  t47778 = t1261 * t6215 * t2266;
  t47781 = t31387 * t2276;
  t47783 = t1506 * t8658;
  t47785 = t31334 * t2271;
  t47787 = -t42164 + t3220 * t2332 / 0.2e1 - t3226 * t2327 / 0.2e1 - t3101 * t2327 / 0.4e1 - t608 * t9778 / 0.2e1 - t608 * t9902 / 0.2e1 - t630 * t9778 / 0.2e1 - t6067 * t10144 / 0.3e1 - t1541 * t47774 / 0.6e1 + 0.2e1 / 0.3e1 * t3396 * t47778 - t47781 / 0.9e1 + t47783 / 0.18e2 - t47785 / 0.18e2;
  t47795 = t3130 * t476;
  t47796 = t47795 * t9966;
  t47798 = t20862 * t46871;
  t47804 = t9845 * t47218;
  t47807 = t20871 * t65;
  t47808 = t47807 * t47074;
  t47815 = t31415 * t9935;
  t47817 = 0.23e2 / 0.18e2 * t47622 * t9857 - t182 * t10159 / 0.2e1 - 0.2e1 * t4772 * t6335 * t9770 - t42190 - t42223 - t20708 * t47796 + 0.6e1 * t4772 * t32043 * t47798 - 0.11e2 / 0.9e1 * t9743 * t41789 - 0.11e2 / 0.18e2 * t9743 * t47804 - 0.61e2 / 0.27e2 * t47073 * t47808 - 0.11e2 / 0.9e1 * t47232 * t9860 + t3266 * t31150 * t2331 - t47815 / 0.9e1;
  t47821 = t4877 * t670 * t47258;
  t47824 = t3130 * t47258;
  t47827 = t683 * t26809;
  t47831 = t20871 * t46871;
  t47840 = t26410 * t9970;
  t47843 = -t43357 * t6437 - 0.2e1 / 0.3e1 * t6439 * t47821 + t4983 * t1591 * t47824 + 0.3e1 * t4983 * t6300 * t47827 + 0.18e2 * t9877 * t32043 * t47831 - t21748 * t9764 / 0.2e1 - 0.3e1 / 0.2e1 * t4772 * t6309 * t42080 + t42274 - t42285 - t42289 + 0.2e1 / 0.3e1 * t6439 * t47840 + t42297 - t42298;
  t47848 = t188 * t6309 * t10156;
  t47852 = t46783 * t9889;
  t47855 = t31415 * t9758;
  t47857 = t47589 * t9957;
  t47859 = t4762 * t47218;
  t47862 = t4873 * t47074;
  t47865 = t683 * t476;
  t47866 = t47865 * t9970;
  t47873 = t42299 - t42304 - t608 * t9922 + 0.2e1 / 0.3e1 * t6439 * t41847 - t47848 / 0.3e1 - 0.6e1 * t26257 * t9872 - 0.3e1 * t9743 * t47852 + t47855 / 0.9e1 + t47857 / 0.3e1 - t10155 * t47859 / 0.2e1 - 0.3e1 * t47592 * t47862 + 0.2e1 / 0.3e1 * t20708 * t47866 - 0.3e1 * t5286 * t6105 + 0.3e1 / 0.2e1 * t1228 * t6096;
  t47878 = t9744 * t3156 * t26809;
  t47881 = t20845 * t65;
  t47882 = t3156 * t46871;
  t47883 = t47881 * t47882;
  t47897 = t26189 * t3156 * t9897;
  t47905 = t689 * t26809;
  t47910 = t30 * t22272 * t20885;
  t47913 = -0.3e1 / 0.2e1 * t9743 * t47878 - 0.43e2 / 0.9e1 * t47073 * t47883 + t4772 * t470 * t43236 / 0.2e1 - t42344 - t1252 * t31285 / 0.6e1 + 0.3e1 * t26266 * t9886 + t4983 * t1591 * t42201 / 0.2e1 + 0.3e1 / 0.2e1 * t26182 * t47897 - t26260 * t9882 - t26266 * t9882 - 0.6e1 * t4772 * t6300 * t42279 - 0.3e1 * t4772 * t6300 * t47905 - 0.28e2 * t47910 * t17387;
  t47919 = t41697 * t13052;
  t47932 = t26847 * t17473;
  t47941 = t26257 * t9899 + t31175 * t8767 / 0.3e1 - t26650 * t6164 / 0.2e1 - t20708 * t47919 - 0.3e1 * t47232 * t9890 - 0.3e1 * t47622 * t9890 - t4772 * t6335 * t8762 - t4772 * t1591 * t42488 - t4772 * t1591 * t42491 / 0.2e1 - 0.7e1 / 0.3e1 * t26182 * t47932 + 0.2e1 / 0.3e1 * t6067 * t9837 + 0.2e1 / 0.3e1 * t6067 * t8980 + t466 * t41422 / 0.6e1;
  t47951 = t6140 * t8703;
  t47953 = t6140 * t10187;
  t47955 = t6197 * t2108;
  t47957 = t637 * t9912;
  t47967 = t21192 * t2319;
  t47969 = t466 * t41517 / 0.12e2 - t31243 * t2276 / 0.6e1 - t31246 * t2276 / 0.3e1 - t6062 * t10144 / 0.3e1 - t47951 / 0.18e2 - t47953 / 0.18e2 + t47955 / 0.18e2 + t47957 / 0.3e1 + t1294 * t31884 / 0.6e1 + t1242 * t6121 / 0.6e1 + t1247 * t6121 / 0.6e1 + t1568 * t41270 / 0.6e1 - t47967 / 0.3e1;
  t47970 = t3242 * t2327;
  t47976 = t6140 * t8696;
  t47980 = t843 * t46880;
  t47983 = t6140 * t8980;
  t47985 = t6140 * t9837;
  t47987 = t31387 * t2282;
  t47998 = -t47970 / 0.6e1 - t466 * t26916 / 0.6e1 - t6496 * t41675 / 0.2e1 - t47976 / 0.9e1 - t417 * t30997 / 0.6e1 - t4938 * t47980 / 0.2e1 + 0.2e1 / 0.9e1 * t47983 + 0.2e1 / 0.9e1 * t47985 + 0.2e1 / 0.9e1 * t47987 + t4772 * t470 * t42603 - t3266 * t6163 * t8963 / 0.2e1 - t1541 * t42467 / 0.6e1 - t6062 * t8703 / 0.6e1 + t42372;
  t48016 = t31675 * t8800;
  t48018 = t3168 * t9745;
  t48025 = t3168 * t26809;
  t48029 = t3125 * t9745;
  t48033 = -t42375 + 0.2e1 * t4983 * t1591 * t43279 - t26896 * t9963 + 0.2e1 * t4983 * t6335 * t4987 + t4772 * t6329 * t8774 + t4772 * t1585 * t8779 - t3266 * t31364 * t2166 / 0.2e1 + t26266 * t9761 + t48016 / 0.18e2 + 0.3e1 * t9877 * t32055 * t48018 + 0.3e1 * t9877 * t6304 * t43364 + 0.3e1 / 0.2e1 * t9877 * t6304 * t48025 - 0.6e1 * t4983 * t32055 * t48029;
  t48037 = t3125 * t26809;
  t48042 = t30 * t238 * t9875;
  t48047 = t4996 * t47218;
  t48049 = t9845 * t47074;
  t48054 = t4762 * t47618;
  t48056 = t4873 * t47618;
  t48058 = t9744 * t47618;
  t48061 = t26189 * t47471;
  t48064 = -0.6e1 * t4983 * t6304 * t43421 - 0.3e1 * t4983 * t6304 * t48037 + 0.3e1 * t48042 * t9879 + 0.2e1 * t9863 * t41794 + t9863 * t48047 + 0.22e2 / 0.3e1 * t47356 * t48049 - 0.6e1 * t26263 * t9872 + t42407 + t42410 - t10155 * t48054 + t9863 * t48056 - 0.5e1 / 0.18e2 * t9743 * t48058 + 0.25e2 / 0.36e2 * t9743 * t48061;
  t48066 = t4877 * t47235;
  t48069 = t3273 * t47235;
  t48072 = t3273 * t47471;
  t48083 = t6439 * t48066 / 0.3e1 - t6454 * t48069 / 0.3e1 + t10155 * t48072 + t42415 + t42416 - 0.2e1 / 0.3e1 * t31172 * t8771 + t31172 * t8767 / 0.3e1 - t42429 + t42431 - t30 * t10104 * t277 / 0.2e1 - t6217 * t1286 / 0.2e1 - t42521 - t42523;
  t48095 = t42527 + t42529 - t1516 * t4897 / 0.2e1 - t1516 * t4837 / 0.4e1 - t42530 - t42532 + t42535 + t42537 - t4798 * t9827 / 0.6e1 - 0.11e2 / 0.18e2 * t6100 * t41666 + t42554 + t42556 - t4816 * t9981 / 0.3e1 + t6217 * t1275;
  t48110 = t188 * t10105;
  t48117 = -t4798 * t9981 / 0.3e1 - t31139 * t1270 - t31990 * t1270 + t6209 * t1275 + t1228 * t6490 + t5266 * t1551 - t5286 * t6500 + t5277 * t1551 - t27454 * t1548 - t48110 / 0.6e1 + t42576 + 0.2e1 / 0.3e1 * t31175 * t9971 - 0.3e1 * t4983 * t6300 * t42254;
  t48118 = t26467 * t9882;
  t48120 = t3130 * t46871;
  t48129 = t788 * t47424;
  t48134 = t219 * t2322 * t206;
  t48138 = t3130 * t47424;
  t48142 = t2317 * t206;
  t48143 = t659 * t48142;
  t48149 = t26535 * t10114;
  t48155 = -t48118 / 0.3e1 - 0.18e2 * t4772 * t32039 * t48120 + 0.3e1 * t4772 * t32062 * t10119 + t4882 * t31479 / 0.6e1 - 0.3e1 * t4772 * t6309 * t48129 + 0.3e1 * t3266 * t31354 * t48134 - 0.11e2 * t4983 * t6300 * t48138 + 0.6e1 * t4993 * t32374 * t48143 + t3266 * t6163 * t42508 + 0.2e1 * t48149 + t26650 * t6176 + 0.6e1 * t4983 * t6300 * t42432 - t42610;
  t48159 = t3125 * t238;
  t48160 = t48159 * t9746;
  t48163 = t22309 * t47201;
  t48169 = t3125 * t46871;
  t48177 = -t42615 + t42617 + t42619 - t42621 + t42630 + t42632 - 0.11e2 / 0.9e1 * t47622 * t9860 - 0.11e2 / 0.9e1 * t9743 * t48160 + 0.3e1 * t4772 * t1591 * t48163 - t3266 * t31227 * t2323 + 0.36e2 * t4983 * t32039 * t48169 + 0.3e1 * t4772 * t6309 * t42275 - t21748 * t10127;
  t48178 = t637 * t9922;
  t48180 = t637 * t9919;
  t48182 = t3247 * t2324;
  t48184 = t3242 * t2324;
  t48191 = t4808 * t6409 * t4809;
  t48198 = t1261 * t46930;
  t48203 = -t48178 / 0.3e1 - t48180 / 0.3e1 - t48182 / 0.3e1 - t48184 / 0.3e1 + 0.23e2 / 0.18e2 * t47232 * t9857 - t6100 * t41039 / 0.2e1 - 0.3e1 / 0.2e1 * t4806 * t48191 + 0.3e1 / 0.2e1 * t32356 * t4847 - t4816 * t9827 / 0.6e1 - t42667 + t42669 - t1252 * t48198 / 0.6e1 - t6217 * t1282 - t1516 * t4963;
  t48218 = t22052 * t9764;
  t48220 = t26467 * t9767;
  t48222 = t26467 * t9761;
  t48224 = t6200 * t2108;
  t48226 = t3247 * t2327;
  t48228 = t31387 * t2271;
  t48230 = -t42702 - 0.3e1 / 0.2e1 * t9877 * t6304 * t42038 + 0.3e1 * t26266 * t10120 + t26266 * t10124 + 0.3e1 * t26260 * t10120 + t26260 * t10124 + t4772 * t1587 * t42191 / 0.2e1 - t48218 / 0.6e1 + t48220 / 0.3e1 + t48222 / 0.3e1 + t48224 / 0.18e2 - t48226 / 0.6e1 - t48228 / 0.18e2;
  t48231 = t6284 * t8987;
  t48233 = t1506 * t4754;
  t48235 = t6140 * t8992;
  t48237 = t1506 * t4750;
  t48241 = t4996 * t47618;
  t48244 = t4877 * t47605;
  t48248 = t3139 * t16650 * t206;
  t48254 = t182 * t9876;
  t48263 = t3130 * t26809;
  t48267 = t48231 / 0.9e1 + t48233 / 0.18e2 - t48235 / 0.18e2 - t48237 / 0.18e2 + t6439 * t42715 / 0.4e1 + 0.2e1 * t9863 * t48241 + 0.22e2 / 0.3e1 * t9863 * t48244 - 0.6e1 * t4993 * t31096 * t48248 - t6439 * t41851 / 0.6e1 + 0.3e1 * t48254 * t9879 + 0.3e1 * t4772 * t32055 * t9885 + 0.3e1 * t4772 * t6304 * t42401 + 0.3e1 / 0.2e1 * t4772 * t6304 * t48263;
  t48271 = t30 * t20822 * t592 * t20844;
  t48275 = t4877 * t47471;
  t48279 = t769 * t2310 / 0.18e2;
  t48280 = t3168 * t46871;
  t48284 = t47135 * t9890;
  t48285 = t9744 * t47882;
  t48295 = t4873 * t3264 * t47263;
  t48307 = 0.47e2 / 0.3e1 * t48271 * t26189 * t17295 - 0.11e2 / 0.6e1 * t9863 * t48275 + t48279 - 0.18e2 * t9877 * t32039 * t48280 - t48284 + 0.18e2 * t47356 * t48285 + t31586 * t9758 / 0.3e1 - t182 * t6309 * t10156 - t31558 * t9935 / 0.3e1 + t6439 * t48295 / 0.3e1 - t4993 * t31146 * t2318 / 0.2e1 - 0.3e1 / 0.2e1 * t4772 * t6304 * t42046 - t246 * t1555 * t41312 / 0.2e1;
  t48315 = t47881 * t9875 * t46871;
  t48325 = t22052 * t9773;
  t48327 = t22290 * t47201;
  t48331 = t3562 * t47201;
  t48334 = -t3220 * t2327 / 0.4e1 + 0.6e1 * t26257 * t10114 + t4772 * t6329 * t10123 + t43214 + 0.8e1 * t47073 * t48315 - t8895 - t43215 + t26266 * t9767 - 0.5e1 / 0.18e2 * t47622 * t9747 - t31175 * t9842 / 0.6e1 - 0.5e1 / 0.18e2 * t47232 * t9747 + t48325 / 0.3e1 - 0.3e1 * t4983 * t1591 * t48327 - t4772 * t1587 * t48331;
  t48338 = t229 * t26809;
  t48342 = t26467 * t10124;
  t48344 = t22052 * t10127;
  t48346 = t26467 * t10120;
  t48351 = t4867 * t46880;
  t48354 = t4851 * t47170;
  t48358 = 0.3e1 / 0.2e1 * t4772 * t6309 * t48338 + t48342 / 0.3e1 - t48344 / 0.3e1 + t48346 + t43220 - 0.3e1 * t6411 * t4857 + 0.3e1 / 0.2e1 * t1516 * t4864 - t4806 * t48351 / 0.2e1 + 0.7e1 / 0.3e1 * t4806 * t48354 + t43240 + t43241 - t8938 - t26211 * t9963;
  t48365 = t4808 * t46880;
  t48375 = t1261 * t5264 * t2676;
  t48381 = t30962 * t2271 / 0.54e2;
  t48383 = t30993 * t2268 / 0.27e2;
  t48384 = 0.2e1 * t26263 * t10117 + 0.2e1 / 0.3e1 * t31246 * t2282 - t1252 * t31462 / 0.12e2 - 0.5e1 / 0.36e2 * t4806 * t48365 - t1242 * t6503 / 0.6e1 - t1247 * t6503 / 0.6e1 - t182 * t10105 / 0.2e1 - t43265 + t43266 + 0.2e1 / 0.3e1 * t3396 * t48375 + t5266 * t1564 / 0.2e1 + t48381 - t48383;
  t48387 = t6416 * t2108 / 0.54e2;
  t48389 = t30962 * t2276 / 0.27e2;
  t48391 = 0.2e1 / 0.27e2 * t30962 * t2282;
  t48393 = t21203 * t2319 / 0.9e1;
  t48395 = t3232 * t2324 / 0.9e1;
  t48396 = t4873 * t26810;
  t48402 = t188 * t10159;
  t48404 = t229 * t476;
  t48405 = t48404 * t4764;
  t48410 = t20844 * t20759;
  t48411 = t32042 * t48410;
  t48412 = t9996 * t592;
  t48413 = t3580 * t48412;
  t48416 = t20885 * t3123;
  t48417 = t6303 * t48416;
  t48420 = t32054 * t9994;
  t48425 = t9996 * t621;
  t48426 = t3580 * t48425;
  t48429 = t22190 * t48412;
  t48434 = t3580 * t47424;
  t48437 = t6334 * t10001;
  t48442 = t802 * t48425;
  t48445 = -0.6e1 * t32067 * t42748 + 0.24e2 * t48411 * t48413 + 0.8e1 * t48417 * t48413 - 0.4e1 / 0.3e1 * t48420 * t10006 - 0.4e1 / 0.3e1 * t9995 * t42832 - 0.2e1 / 0.3e1 * t9995 * t48426 - 0.4e1 / 0.3e1 * t48411 * t48429 - 0.4e1 * t32123 * t9001 - 0.5e2 / 0.3e1 * t32067 * t48434 + 0.4e1 * t48437 * t9998 + 0.4e1 * t10002 * t42822 + 0.2e1 * t10002 * t48442;
  t48446 = t3590 * t48412;
  t48462 = t233 * t48425;
  t48465 = t9996 * t3445;
  t48466 = t802 * t48465;
  t48469 = t3590 * t47424;
  t48476 = 0.4e1 / 0.3e1 * t48417 * t48446 + 0.4e1 / 0.3e1 * t32123 * t10017 + 0.4e1 / 0.3e1 * t6341 * t42809 + t6341 * t43150 / 0.3e1 + t32067 * t43153 / 0.9e1 + 0.12e2 * t1584 * t10093 * t10095 + 0.12e2 * t10094 * t42816 + 0.6e1 * t10094 * t48462 + 0.2e1 / 0.3e1 * t6341 * t48466 - 0.5e1 / 0.18e2 * t32067 * t48469 - 0.2e1 / 0.9e1 * t48420 * t10083 - 0.2e1 / 0.9e1 * t9995 * t42813;
  t48478 = t3590 * t48425;
  t48481 = t20832 * t60;
  t48482 = t48481 * t48412;
  t48493 = t469 * t42841;
  t48496 = t9996 * t3461;
  t48497 = t802 * t48496;
  t48506 = t815 * t48465;
  t48509 = -t9995 * t48478 / 0.9e1 - t48411 * t48482 / 0.9e1 + 0.4e1 * t32116 * t9078 + 0.4e1 * t6344 * t43194 + 0.2e1 * t6344 * t42757 - 0.2e1 * t32130 * t42748 - 0.6e1 * t48493 * t42844 - 0.2e1 * t32108 * t48497 - 0.6e1 * t32232 * t42847 - 0.8e1 * t32123 * t10012 - 0.8e1 * t6341 * t42853 - 0.4e1 * t6341 * t48506;
  t48518 = t802 * t47424;
  t48521 = t21714 * t218;
  t48522 = t469 * t48521;
  t48523 = t233 * t48412;
  t48526 = t233 * t48496;
  t48529 = t233 * t47424;
  t48532 = 0.4e1 * t1591 * t43031 + 0.2e2 / 0.3e1 * t6304 * t43125 - 0.6e1 * t32062 * t10059 - t42740 - t42741 - t42746 - t42761 + t42771 - 0.5e1 * t32108 * t43156 + 0.15e2 * t32067 * t48518 - 0.24e2 * t48522 * t48523 - 0.4e1 * t32105 * t48526 + 0.6e1 * t32232 * t48529;
  t48551 = t43071 * t47424;
  t48556 = t3590 * t62;
  t48557 = t48556 * t47424;
  t48560 = t42776 - 0.2e1 * t6329 * t9062 - 0.2e1 * t1585 * t9065 - 0.4e1 / 0.3e1 * t6335 * t9054 + 0.2e2 / 0.3e1 * t32055 * t10039 - 0.8e1 / 0.3e1 * t6335 * t10056 + t32055 * t10052 / 0.9e1 - 0.8e1 / 0.3e1 * t1591 * t42938 + t6304 * t43009 / 0.9e1 - 0.12e2 * t32232 * t48551 - 0.5e1 / 0.3e1 * t32108 * t43068 + 0.5e1 / 0.9e1 * t32067 * t48557;
  t48563 = t2298 * t592;
  t48564 = t689 * t48563;
  t48571 = t2298 * t621;
  t48572 = t3130 * t48571;
  t48575 = t2298 * t3461;
  t48576 = t22290 * t48575;
  t48579 = t229 * t48563;
  t48582 = t3562 * t48575;
  t48585 = t43067 * t47424;
  t48588 = t43075 * t47424;
  t48591 = t3580 * t62;
  t48592 = t48591 * t47424;
  t48597 = -0.8e1 * t32105 * t43072 - 0.36e2 * t32082 * t48564 - 0.6e1 * t6300 * t43049 - 0.6e1 * t6304 * t42782 - 0.3e1 * t6304 * t48572 + 0.4e1 * t1591 * t48576 + 0.12e2 * t32177 * t48579 + 0.2e1 * t1587 * t48582 - 0.22e2 / 0.3e1 * t32130 * t48585 + 0.44e2 * t32130 * t48588 + 0.1e2 / 0.3e1 * t32067 * t48592 + 0.1e2 * t32108 * t43076;
  t48605 = -0.3e2 * t32067 * t48585 + t42860 - t42874 + t42889 - t42893 + t42902 + t42904 + t42906 + t42914 - 0.4e1 / 0.3e1 * t1591 * t43109 - t1587 * t43120 - t470 * t43169;
  t48606 = t2298 * t3445;
  t48607 = t3556 * t48606;
  t48617 = t3168 * t48563;
  t48624 = t683 * t48563;
  t48631 = t689 * t48571;
  t48636 = 0.2e1 * t1591 * t48607 + 0.4e1 * t6335 * t10029 + 0.2e1 * t1591 * t42778 + t1591 * t42768 - 0.6e1 * t32055 * t10046 - 0.2e1 / 0.3e1 * t32039 * t48617 + 0.4e1 * t6300 * t42773 - t6304 * t43142 / 0.18e2 + 0.24e2 * t32082 * t48624 + 0.12e2 * t32049 * t10042 + 0.12e2 * t6300 * t43028 + 0.6e1 * t6300 * t48631 + 0.2e1 * t6335 * t9017;
  t48640 = t20871 * t48563;
  t48653 = t3125 * t48571;
  t48656 = t20876 * t48563;
  t48659 = t3125 * t48563;
  t48662 = t229 * t48571;
  t48665 = t788 * t48606;
  t48669 = 0.1e2 / 0.3e1 * t32043 * t48640 - 0.1e2 / 0.3e1 * t6304 * t43046 - 0.2e1 / 0.3e1 * t1591 * t43186 + 0.2e1 * t32025 * t2295 + 0.4e1 * t6335 * t9057 + 0.2e1 * t1591 * t43122 + 0.1e2 / 0.3e1 * t6304 * t48653 + 0.5e2 / 0.3e1 * t32043 * t48656 - 0.4e2 * t32039 * t48659 - 0.3e1 * t6309 * t48662 - t1587 * t48665 - 0.2e1 * t32019 * t2288;
  t48670 = t683 * t48571;
  t48679 = t3130 * t48606;
  t48691 = t20862 * t48563;
  t48694 = t3130 * t48563;
  t48697 = -0.4e1 * t6300 * t48670 - t32025 * t2291 / 0.3e1 - 0.2e1 / 0.3e1 * t6335 * t9035 - t1591 * t43005 / 0.3e1 - 0.4e1 / 0.3e1 * t1591 * t48679 - t470 * t43013 - 0.4e1 * t6329 * t9069 - 0.2e1 * t1587 * t43171 - 0.2e1 * t1585 * t9052 + 0.3e1 * t6304 * t42972 - 0.12e2 * t32043 * t48691 + 0.36e2 * t32039 * t48694;
  t48699 = t3168 * t48571;
  t48703 = t815 * t48496;
  t48706 = t21138 * t658;
  t48707 = t1590 * t48706;
  t48708 = t802 * t48412;
  t48711 = t815 * t48412;
  t48724 = t6304 * t48699 / 0.18e2 - t6369 * t2129 + t42922 + t42924 + 0.12e2 * t32108 * t48703 - 0.12e2 * t48707 * t48708 + 0.72e2 * t48707 * t48711 + 0.12e2 * t32130 * t42965 - 0.72e2 * t48417 * t48708 + 0.4e1 * t32105 * t42829 + 0.12e2 * t48420 * t9998 + 0.12e2 * t9995 * t42822;
  t48733 = t815 * t48425;
  t48740 = t233 * t48465;
  t48745 = t815 * t47424;
  t48754 = 0.6e1 * t9995 * t48442 + 0.8e1 / 0.3e1 * t48411 * t48446 - 0.24e2 * t48437 * t10003 - 0.24e2 * t10002 * t42850 - 0.12e2 * t10002 * t48733 + 0.4e1 * t32116 * t10098 + 0.4e1 * t6344 * t42819 + 0.2e1 * t6344 * t48740 + 0.44e2 / 0.3e1 * t32130 * t48518 - 0.22e2 * t32130 * t48745 - 0.2e1 * t6329 * t10062 - 0.8e1 * t32049 * t10068 - 0.6e1 * t6309 * t43038;
  t48765 = t22309 * t48575;
  t48772 = -0.2e1 * t1587 * t43041 - 0.2e1 * t1587 * t43116 - 0.6e1 * t1591 * t48765 + 0.3e1 * t6309 * t42927 + 0.3e1 * t470 * t42931 - 0.2e1 * t470 * t43165 - 0.8e1 * t6300 * t43174 + t42976 + t43016 - t43017 - t43019 - t43021;
  t48776 = t1585 * t9110 - 0.2e1 * t6335 * t9005 - t43023 + t43025 - t43045 - t43059 - t43061 + t43079 - t43080 - t43081 - t43082 - t43094 + t43096;
  t48793 = t1584 * t9081;
  t48800 = t1587 * t43085 + t6369 * t2142 / 0.2e1 + t470 * t42950 / 0.2e1 - t1591 * t43097 + t32019 * t2302 + 0.2e1 * t6329 * t9010 - 0.4e1 * t6341 * t43139 - 0.2e1 * t6341 * t43159 + 0.2e1 / 0.3e1 * t32067 * t42968 + 0.4e1 * t48793 * t9084 + 0.4e1 * t10088 * t42797 + 0.2e1 * t10088 * t42752;
  t48814 = 0.1e2 / 0.3e1 * t32108 * t42856 + 0.2e1 / 0.3e1 * t32123 * t9087 + 0.2e1 / 0.3e1 * t6341 * t42801 + 0.2e1 / 0.3e1 * t1591 * t42871 - t32025 * t2306 + 0.2e1 / 0.3e1 * t32025 * t2299 + 0.4e1 / 0.3e1 * t6335 * t9116 - t2138 + t9090 + t43189 - t43190 + t43191 + t2119;
  t48825 = -t48387 + t48389 - t48391 + t48393 + t48395 - 0.2e1 * t9863 * t48396 - t47622 * t9854 - 0.2e1 / 0.3e1 * t31175 * t8771 - t48402 / 0.6e1 + t4761 * t48405 / 0.3e1 - t30 * t59 * (t48445 + t48476 + t48509 + t48532 + t48560 + t48597 + t48605 + t48636 + t48669 + t48697 + t48724 + t48754 + t48772 + t48776 + t48800 + t48814) * t95 / 0.4e1 - t759 * t2310 / 0.4e1 + t43270;
  t48833 = t20876 * t46871;
  t48845 = t3273 * t47259;
  t48848 = t4873 * t47218;
  t48852 = t9744 * t4991 * t47610;
  t48855 = t22290 * t47424;
  t48859 = -0.4e1 / 0.3e1 * t6439 * t42420 - t21062 * t2319 - t3070 * t9796 - t3070 * t9799 + t1228 * t6486 / 0.4e1 - 0.18e2 * t4983 * t32043 * t48833 + t6439 * t42346 / 0.12e2 + 0.5e1 / 0.36e2 * t9743 * t42563 - t6451 * t42673 / 0.6e1 - t6454 * t42236 / 0.6e1 - t6454 * t48845 / 0.6e1 + t9863 * t48848 / 0.2e1 - 0.3e1 * t9743 * t48852 - 0.15e2 / 0.2e1 * t4772 * t6304 * t48855;
  t48862 = t3139 * t48142;
  t48866 = t5175 * t47471;
  t48869 = t20876 * t47424;
  t48874 = t3139 * t16645 * t206;
  t48878 = t20862 * t47424;
  t48883 = t26189 * t3156 * t47424;
  t48892 = t47795 * t4878;
  t48895 = t47865 * t4764;
  t48902 = t30 * t65 * t20838 * t94;
  t48903 = t20845 * t46871;
  t48907 = 0.3e1 * t3266 * t31096 * t48862 - 0.11e2 / 0.3e1 * t9863 * t48866 - 0.15e2 / 0.2e1 * t9877 * t6304 * t48869 + 0.3e1 * t26550 * t31096 * t48874 + 0.15e2 * t4983 * t6304 * t48878 + 0.15e2 / 0.2e1 * t9743 * t48883 - t3101 * t2324 / 0.2e1 - t608 * t9919 + t246 * t1547 * t41881 / 0.2e1 + t4872 * t48892 / 0.4e1 - t4872 * t48895 / 0.6e1 + 0.2e1 / 0.3e1 * t31172 * t9971 - 0.6e1 * t48902 * t32043 * t48903;
  t48908 = t47807 * t47882;
  t48916 = t6140 * t8749;
  t48930 = t1261 * t47336;
  t48933 = -0.62e2 / 0.3e1 * t47073 * t48908 + 0.2e1 / 0.3e1 * t6439 * t41797 + t1516 * t4825 - t26932 * t1548 - t6411 * t4791 - t48916 / 0.9e1 - t1529 * t4750 / 0.6e1 - t1534 * t4750 / 0.6e1 - t466 * t26514 / 0.6e1 - t466 * t26292 / 0.12e2 - t6062 * t10187 / 0.6e1 - t6067 * t10187 / 0.6e1 - t1541 * t48930 / 0.12e2;
  t48950 = t31478 * t4878;
  t48953 = t4877 * t47259;
  t48956 = t9744 * t47218;
  t48959 = t47881 * t47074;
  t48964 = t9845 * t47618;
  t48967 = t466 * t26522 / 0.6e1 + t466 * t26507 / 0.12e2 - t6062 * t8992 / 0.6e1 - t6067 * t8992 / 0.6e1 - t1541 * t42633 / 0.6e1 - 0.5e1 / 0.2e1 * t4983 * t1591 * t43315 + t4993 * t6175 * t43320 - t4761 * t48950 / 0.3e1 + t6439 * t48953 / 0.6e1 - 0.5e1 / 0.36e2 * t9743 * t48956 - 0.35e2 / 0.108e3 * t47073 * t48959 + 0.2e1 / 0.3e1 * t6454 * t41988 - 0.11e2 / 0.9e1 * t9743 * t48964;
  t48968 = t26189 * t47605;
  t48971 = t9744 * t47611;
  t48974 = t4873 * t47611;
  t48977 = t48159 * t9846;
  t48980 = t9845 * t42586;
  t48985 = t47807 * t47513;
  t48991 = t47881 * t47513;
  t48996 = t3556 * t47258;
  t49001 = t26056 * t9966;
  t49007 = -0.115e3 / 0.36e2 * t9743 * t48968 + 0.23e2 / 0.18e2 * t9743 * t48971 - 0.4e1 * t9863 * t48974 + 0.14e2 / 0.3e1 * t9743 * t48977 + 0.14e2 / 0.3e1 * t9743 * t48980 + 0.7e1 / 0.3e1 * t9743 * t26811 + 0.89e2 / 0.9e1 * t47073 * t48985 + t3266 * t31146 * t2331 / 0.2e1 + 0.44e2 / 0.27e2 * t47073 * t48991 - t4993 * t6175 * t8848 - t4772 * t1591 * t48996 - t4993 * t31150 * t2318 - 0.4e1 / 0.3e1 * t6439 * t49001 + 0.3e1 * t4983 * t6304 * t42042;
  t49014 = my_piecewise3(t2, 0, t48859 + t47757 + t47286 + t47249 + t48358 + t47941 + t47057 + t47913 + t47969 + t47998 + t46934 + t47551 + t47640 + t47178 + t48064 + t48083 + t47022 + t47214 + t47467 + t47873 + t47224 + t47117 + t48933 + t48267 + t47520 + t48967 + t47678 + t46818 + t48230 + t46793 + t47732 + t46847 + t47843 + t48384 + t47147 + t47817 + t47787 + t46868 + t46901 + t47321 + t48033 + t47609 + t47440 + t48095 + t48907 + t48334 + t46962 + t48117 + t47403 + t47576 + t48825 + t46767 + t46989 + t47497 + t46915 + t48307 + t47090 + t48203 + t48177 + t48155 + t47368 + t47708 + t49007 + t47350);
  tv4rho2sigmalapl0 = t3 * t49014 + 0.2e1 * t10215;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 0] += tv4rho2sigmalapl0;

  tv4rho2sigmalapl1 = 0.e0;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 1] += tv4rho2sigmalapl1;

  tv4rho2sigmalapl2 = 0.e0;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 2] += tv4rho2sigmalapl2;

  tv4rho2sigmalapl3 = 0.e0;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 3] += tv4rho2sigmalapl3;

  tv4rho2sigmalapl4 = 0.e0;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 4] += tv4rho2sigmalapl4;

  t49032 = t33038 * t2339 / 0.27e2;
  t49034 = t33033 * t2342 / 0.54e2;
  t49035 = -t43440 + t43451 + t43466 + t32995 * t457 / 0.4e1 - t5301 * t1642 / 0.12e2 + t28280 * t505 / 0.4e1 - t6517 * t1378 / 0.12e2 + t3911 * t2403 / 0.2e1 - t3911 * t2395 / 0.2e1 - t3911 * t2398 / 0.4e1 - t49032 + t49034;
  t49037 = 0.2e1 / 0.27e2 * t33033 * t2353;
  t49039 = t6523 * t2199 / 0.54e2;
  t49041 = t33033 * t2347 / 0.27e2;
  t49043 = t3917 * t2398 / 0.18e2;
  t49045 = t23420 * t2390 / 0.9e1;
  t49046 = t33014 * t2353;
  t49048 = t6520 * t2199;
  t49050 = t23325 * t2390;
  t49052 = t3914 * t2403;
  t49054 = t3914 * t2395;
  t49056 = t3914 * t2398;
  t49060 = -t49037 - t49039 + t49041 + t49043 + t49045 + 0.2e1 / 0.9e1 * t49046 + t49048 / 0.18e2 - t49050 / 0.3e1 + t49052 / 0.3e1 - t49054 / 0.3e1 - t49056 / 0.6e1 - t33060 * t2342 / 0.12e2;
  t49065 = t3917 * t2403 / 0.9e1;
  t49067 = t3917 * t2395 / 0.9e1;
  t49068 = t33014 * t2342;
  t49070 = t33014 * t2347;
  t49072 = t33027 * t2339;
  t49083 = t32998 * t457 / 0.18e2;
  t49085 = t6523 * t1378 / 0.54e2;
  t49086 = t33077 * t2339 / 0.6e1 - t49065 + t49067 - t49068 / 0.18e2 - t49070 / 0.9e1 + t49072 / 0.9e1 - t33060 * t2347 / 0.6e1 + t33060 * t2353 / 0.3e1 + t6517 * t2199 / 0.12e2 - t23288 * t2390 / 0.2e1 - t49083 + t49085;
  t49088 = t5307 * t1642 / 0.54e2;
  t49090 = t28170 * t505 / 0.18e2;
  t49091 = t5304 * t1642;
  t49093 = t32985 * t457;
  t49095 = t28179 * t505;
  t49097 = t6520 * t1378;
  t49099 = t869 * t2381;
  t49102 = t873 * t2381 / 0.18e2;
  t49105 = t49088 - t49090 - t49091 / 0.18e2 + t49093 / 0.6e1 + t49095 / 0.6e1 - t49097 / 0.18e2 - t43495 - t43502 + t43525 - t49099 / 0.6e1 + t49102 - t865 * t2381 / 0.4e1;
  t49108 = my_piecewise3(t100, 0, t49035 + t49060 + t49086 + t49105);
  tv4rho2sigmalapl5 = t3 * t49108 + 0.2e1 * t10276;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 5] += tv4rho2sigmalapl5;

  t49115 = t307 * t6304;
  t49136 = t32783 * t2271;
  t49138 = -t46771 / 0.18e2 + t46773 / 0.36e2 - t46775 / 0.18e2 - t32879 * t9842 / 0.12e2 - 0.5e1 / 0.36e2 * t49115 * t9747 + t32879 * t10110 / 0.6e1 + t32677 * t9758 / 0.6e1 - t46779 / 0.18e2 - t46798 + t46850 / 0.2e1 + t43537 + t5384 * t1551 / 0.2e1 - t6542 * t8749 / 0.6e1 - t5327 * t9981 / 0.6e1 + t6585 * t1275 / 0.2e1 - t27911 * t1548 / 0.2e1 - t32645 * t1270 / 0.2e1 - t49136 / 0.36e2;
  t49139 = t307 * t6300;
  t49157 = t307 * t26807;
  t49165 = t49139 * t9864 + t32879 * t9960 / 0.3e1 + t32879 * t8795 / 0.12e2 + t32681 * t8800 / 0.12e2 - t32677 * t8786 / 0.6e1 - t32681 * t8792 / 0.6e1 + 0.23e2 / 0.36e2 * t49115 * t9857 + t32879 * t9971 / 0.3e1 - 0.2e1 / 0.3e1 * t32879 * t9967 - 0.3e1 / 0.2e1 * t49157 * t17288 - t28099 * t9963 / 0.2e1 - t43540 - t43545 - t46911 / 0.3e1 - t43546 - t43547 - t43548 + t43549 - t1368 * t6503 / 0.12e2;
  t49184 = -t5327 * t9827 / 0.12e2 + t5334 * t10172 / 0.6e1 + t1368 * t6121 / 0.12e2 - t6542 * t8992 / 0.12e2 - t1632 * t4750 / 0.12e2 + t43556 - t46954 + t46956 + t46963 / 0.12e2 + t46965 / 0.12e2 + t46967 / 0.12e2 + t46970 + t46972 - t46974 - t46977 / 0.36e2 - t46979 / 0.36e2 - t46981 / 0.36e2 - t46983 / 0.36e2;
  t49199 = -t46985 / 0.36e2 - t46987 / 0.36e2 + t46991 / 0.12e2 + t46996 / 0.12e2 - t46998 / 0.36e2 - t47017 + t47018 / 0.12e2 + t47020 / 0.12e2 + t47023 / 0.9e1 - t47025 / 0.36e2 - t47027 / 0.36e2 + t47040 / 0.12e2 + t43565 + t43567 - t43570 - t43572 + t47063 / 0.6e1 + t47097 / 0.18e2 + t47099 / 0.36e2;
  t49220 = -t47121 / 0.6e1 + t47123 / 0.6e1 - t47125 / 0.6e1 + t47127 / 0.6e1 - t47129 / 0.18e2 + 0.7e1 / 0.9e1 * t47136 - t47140 / 0.6e1 + t47142 / 0.18e2 - t47145 / 0.9e1 + 0.23e2 / 0.108e3 * t47148 - 0.11e2 / 0.54e2 * t47150 - t47154 / 0.12e2 - t47156 / 0.6e1 - t47158 / 0.12e2 + t47160 / 0.9e1 + t47162 / 0.12e2 - t47176 / 0.6e1 - t47183 / 0.6e1;
  t49254 = -t47185 / 0.6e1 + t43594 + t43596 + t1632 * t8658 / 0.12e2 + t1632 * t8691 / 0.12e2 - t32733 * t2276 / 0.6e1 - t32736 * t2276 / 0.6e1 - t6542 * t10144 / 0.6e1 - t6542 * t8696 / 0.6e1 + t32609 * t2268 / 0.6e1 + t32612 * t2268 / 0.6e1 + t6561 * t9785 / 0.6e1 + t6561 * t8833 / 0.6e1 - t32733 * t2271 / 0.12e2 - t32736 * t2271 / 0.12e2 - t6542 * t10187 / 0.12e2 - t6542 * t8703 / 0.12e2 + t32879 * t8767 / 0.6e1 - t49115 * t9854 / 0.2e1;
  t49258 = t307 * t9876;
  t49285 = 0.3e1 * t27950 * t10114 + 0.3e1 / 0.2e1 * t49258 * t9879 + t27950 * t9899 / 0.2e1 - t28063 * t9882 / 0.2e1 - 0.3e1 * t27950 * t9872 + 0.3e1 / 0.2e1 * t28063 * t9886 - t32677 * t9935 / 0.6e1 + t49139 * t9957 / 0.2e1 - t307 * t6309 * t10156 / 0.2e1 - t32879 * t10169 / 0.6e1 - 0.11e2 / 0.18e2 * t49115 * t9860 + t47342 / 0.6e1 + t47344 / 0.6e1 + t47346 / 0.6e1 - t47348 / 0.12e2 - t47352 / 0.12e2 - t9224 + t9234 - t8624;
  t49304 = t8645 - t43621 + t43623 - t307 * t10159 / 0.4e1 - t47387 / 0.36e2 - 0.5e1 / 0.108e3 * t47393 + t47395 / 0.18e2 + t47438 / 0.18e2 + t47441 / 0.18e2 + t47443 / 0.18e2 + t47445 / 0.18e2 - t47447 / 0.18e2 - t41813 - t43632 - t43633 - t3776 * t2324 / 0.2e1 + t903 * t9909 / 0.2e1 + t903 * t9912 / 0.2e1 + t3754 * t2332 / 0.2e1;
  t49329 = t3776 * t2332 / 0.2e1 - t3776 * t2327 / 0.4e1 - t903 * t9778 / 0.4e1 - t903 * t9902 / 0.4e1 - t3754 * t2327 / 0.4e1 - t47580 / 0.6e1 - t47582 / 0.12e2 + t47584 / 0.9e1 - 0.2e1 / 0.3e1 * t47590 + t47596 / 0.3e1 - t47601 + t47604 / 0.2e1 - t43653 + t47662 / 0.3e1 - t47664 / 0.6e1 + t47679 / 0.9e1 + t47683 / 0.9e1 - 0.2e1 / 0.9e1 * t47685;
  t49331 = t307 * t42311;
  t49365 = t27950 * t10117 - 0.2e1 * t49331 * t17306 - t22522 * t10127 / 0.2e1 + 0.3e1 / 0.2e1 * t28063 * t10120 + t28063 * t10124 / 0.2e1 - t28063 * t9771 + 0.7e1 / 0.3e1 * t49157 * t17387 + t22522 * t9773 / 0.2e1 - 0.3e1 * t28063 * t9894 - t22522 * t9764 / 0.4e1 - t27800 * t17474 / 0.3e1 + t28063 * t9767 / 0.2e1 + t28063 * t9761 / 0.2e1 - t47722 / 0.18e2 + t47724 / 0.36e2 - t5376 * t1511 / 0.12e2 - t6580 * t1223 / 0.12e2 - t1632 * t5261 / 0.12e2 + t5384 * t1526 / 0.4e1;
  t49400 = -t6594 * t1223 / 0.12e2 + t27786 * t481 / 0.4e1 + t28053 * t481 / 0.4e1 + t6585 * t1239 / 0.4e1 + t32761 * t432 / 0.4e1 + t32764 * t432 / 0.4e1 - t47781 / 0.18e2 + t47783 / 0.36e2 - t47785 / 0.36e2 + t1632 * t4754 / 0.12e2 + t6561 * t8987 / 0.6e1 + t22877 * t17264 / 0.3e1 + t5384 * t1564 / 0.4e1 - t5384 * t1556 / 0.2e1 - t5384 * t1560 / 0.4e1 + t22877 * t16637 / 0.3e1 + t6585 * t1290 / 0.4e1 - t6585 * t1282 / 0.2e1;
  t49434 = -t6585 * t1286 / 0.4e1 - t47815 / 0.18e2 + t6542 * t9837 / 0.3e1 + t6542 * t8980 / 0.3e1 + t6594 * t2108 / 0.12e2 + t6580 * t2108 / 0.12e2 - t3740 * t9796 / 0.2e1 - t3740 * t9799 / 0.2e1 + t32733 * t2282 / 0.3e1 + t32736 * t2282 / 0.3e1 - t903 * t9919 / 0.2e1 - t903 * t9922 / 0.2e1 - t22796 * t2319 / 0.2e1 - t22773 * t2319 / 0.2e1 - t3754 * t2324 / 0.2e1 - t47848 / 0.6e1 + t47855 / 0.18e2 + t47857 / 0.6e1 - t47951 / 0.36e2;
  t49446 = t6599 * t1223;
  t49448 = t27921 * t481;
  t49450 = t32695 * t432;
  t49454 = t897 * t9947;
  t49461 = t32728 * t2268;
  t49463 = t32783 * t2276;
  t49465 = -t47953 / 0.36e2 + t47955 / 0.36e2 + t47957 / 0.6e1 - t47967 / 0.6e1 - t47970 / 0.12e2 - t47976 / 0.18e2 + t47983 / 0.9e1 + t47985 / 0.9e1 + t47987 / 0.9e1 - t49446 / 0.36e2 + t49448 / 0.12e2 + t49450 / 0.12e2 - t898 * t10198 / 0.12e2 + t49454 * t250 / 0.4e1 - t1368 * t6212 / 0.12e2 - t5379 * t1511 / 0.12e2 + t49461 / 0.18e2 - t49463 / 0.18e2;
  t49466 = t6599 * t2108;
  t49468 = t32783 * t2282;
  t49470 = t22806 * t2319;
  t49472 = t3761 * t2324;
  t49474 = t3761 * t2332;
  t49476 = t3761 * t2327;
  t49481 = t894 * t2310;
  t49487 = t49466 / 0.36e2 + t49468 / 0.9e1 - t49470 / 0.6e1 - t49472 / 0.6e1 + t49474 / 0.6e1 - t49476 / 0.12e2 + t48016 / 0.36e2 + t43731 + t43734 - t43743 - t43745 - t48110 / 0.12e2 + t42576 - t48118 / 0.6e1 - t49481 / 0.12e2 - t307 * t10105 / 0.4e1 + t48149 - t48178 / 0.6e1 - t48180 / 0.6e1;
  t49503 = -t48182 / 0.6e1 - t48184 / 0.6e1 - t48218 / 0.12e2 + t48220 / 0.6e1 + t48222 / 0.6e1 + t43833 + t43835 - t43851 + t43869 + t48224 / 0.36e2 - t48226 / 0.12e2 - t48228 / 0.36e2 + t48231 / 0.18e2 + t48233 / 0.36e2 - t48235 / 0.36e2 - t48237 / 0.36e2 + t48279 - t48284 / 0.2e1 + t48325 / 0.6e1;
  t49511 = t5389 * t1511;
  t49513 = t48342 / 0.6e1 - t48344 / 0.6e1 + t48346 / 0.2e1 - t43875 - t43877 + t43879 + t43881 + t48381 - t48383 - t48387 + t48389 - t48391 + t48393 + t48395 - t48402 / 0.12e2 - t43902 - t890 * t2310 / 0.4e1 - t48916 / 0.18e2 - t49511 / 0.36e2;
  t49518 = my_piecewise3(t2, 0, t49138 + t49165 + t49184 + t49199 + t49220 + t49254 + t49285 + t49304 + t49329 + t49365 + t49400 + t49434 + t49465 + t49487 + t49503 + t49513);
  tv4rho2sigmalapl6 = t3 * t49518 + t10215 + t10309;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 6] += tv4rho2sigmalapl6;

  tv4rho2sigmalapl7 = 0.e0;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 7] += tv4rho2sigmalapl7;

  tv4rho2sigmalapl8 = 0.e0;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 8] += tv4rho2sigmalapl8;

  tv4rho2sigmalapl9 = 0.e0;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 9] += tv4rho2sigmalapl9;

  tv4rho2sigmalapl10 = 0.e0;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 10] += tv4rho2sigmalapl10;

  t49520 = t290 * t7093;
  t49523 = t28763 * t10388;
  t49535 = t6715 * t1394;
  t49537 = t33578 * t457;
  t49539 = t33565 * t457;
  t49541 = t937 * t10425;
  t49542 = t49541 * t377;
  t49544 = t938 * t10421;
  t49546 = t5484 * t1657;
  t49548 = 0.23e2 / 0.36e2 * t49520 * t10451 + t49523 / 0.3e1 + t6688 * t2199 / 0.12e2 + t6691 * t2199 / 0.12e2 + t1615 * t9422 / 0.12e2 + t33651 * t2339 / 0.6e1 + t33648 * t2339 / 0.6e1 + t43931 - t43933 - t43935 + t49535 / 0.12e2 + t49537 / 0.12e2 + t49539 / 0.12e2 + t49542 / 0.12e2 - t49544 / 0.36e2 + t49546 / 0.12e2 - t43956 - t43959;
  t49549 = t33495 * t10377;
  t49551 = t294 * t7093;
  t49552 = t49551 * t10361;
  t49562 = t33495 * t10366;
  t49564 = t33521 * t9457;
  t49566 = t33526 * t9441;
  t49568 = t33495 * t10394;
  t49570 = -t49549 / 0.18e2 - 0.5e1 / 0.108e3 * t49552 - t6688 * t1378 / 0.12e2 - t1351 * t7018 / 0.12e2 + t28875 * t505 / 0.4e1 + t28599 * t505 / 0.4e1 + t43981 - t43983 - t43990 - t43993 + t43995 - t49562 / 0.36e2 - t49564 / 0.18e2 + t44021 - t44025 + t44030 - t44032 + t49566 / 0.36e2 - 0.2e1 / 0.9e1 * t49568;
  t49572 = t33495 * t10400;
  t49574 = t28899 * t10390;
  t49586 = t6715 * t1447;
  t49592 = t948 * t10518;
  t49594 = t6715 * t1439;
  t49596 = t4005 * t10328;
  t49598 = t49572 / 0.9e1 - t49574 / 0.6e1 + t44060 + t945 * t10521 / 0.2e1 - t4028 * t2395 / 0.2e1 + t945 * t10518 / 0.2e1 + t6640 * t9249 / 0.3e1 - t5449 * t1690 / 0.2e1 + t43466 + t49586 / 0.12e2 - t4028 * t2398 / 0.4e1 - t945 * t10739 / 0.4e1 + t44104 + t44120 - t44122 + t49592 / 0.6e1 - t49594 / 0.6e1 - t49596 / 0.6e1;
  t49599 = t33413 * t2353;
  t49601 = t1618 * t5607;
  t49603 = t6647 * t9734;
  t49605 = t1354 * t6812;
  t49607 = t5412 * t10344;
  t49609 = t1354 * t6757;
  t49611 = t1618 * t9422;
  t49613 = t6718 * t2199;
  t49615 = t6703 * t2199;
  t49617 = t6647 * t9300;
  t49619 = t6647 * t10462;
  t49621 = t33408 * t2342;
  t49623 = t33413 * t2342;
  t49625 = t6668 * t9430;
  t49627 = t6668 * t10592;
  t49629 = t1618 * t5555;
  t49631 = t6668 * t9729;
  t49633 = t6647 * t9350;
  t49635 = t948 * t10729;
  t49637 = t49599 / 0.9e1 - t49601 / 0.36e2 - t49603 / 0.36e2 - t49605 / 0.36e2 - t49607 / 0.36e2 + t49609 / 0.36e2 + t49611 / 0.36e2 + t49613 / 0.36e2 + t49615 / 0.36e2 - t49617 / 0.36e2 - t49619 / 0.36e2 - t49621 / 0.36e2 - t49623 / 0.36e2 + t49625 / 0.18e2 + t49627 / 0.18e2 + t49629 / 0.36e2 + t49631 / 0.18e2 - t49633 / 0.18e2 - t49635 / 0.6e1;
  t49640 = t6715 * t1443;
  t49648 = t33521 * t10500;
  t49656 = t23776 * t2390;
  t49658 = t23895 * t2390;
  t49672 = t5494 * t1642;
  t49674 = t5499 * t1642;
  t49676 = -t49640 / 0.12e2 + t6700 * t1416 / 0.2e1 + t5425 * t10556 / 0.3e1 - t33583 * t1411 / 0.2e1 - t49648 / 0.18e2 - t33311 * t2342 / 0.12e2 - t5449 * t1694 / 0.4e1 - t4025 * t2395 / 0.2e1 - t49656 / 0.6e1 - t49658 / 0.6e1 - t4025 * t2398 / 0.4e1 + t1615 * t5555 / 0.12e2 + t6657 * t10592 / 0.6e1 + t6657 * t9430 / 0.6e1 - t934 * t10421 / 0.12e2 + t5449 * t1657 / 0.4e1 - t49672 / 0.36e2 - t49674 / 0.36e2;
  t49677 = t1618 * t5809;
  t49679 = t6718 * t1378;
  t49681 = t6703 * t1378;
  t49683 = t1354 * t7018;
  t49685 = t28812 * t505;
  t49687 = t28807 * t505;
  t49689 = t6647 * t9249;
  t49691 = t6647 * t9274;
  t49693 = t5484 * t1679;
  t49695 = t28796 * t1675;
  t49697 = t6715 * t1416;
  t49699 = t33573 * t1411;
  t49701 = t5412 * t10556;
  t49703 = t5412 * t10552;
  t49705 = t3990 * t2395;
  t49707 = t3993 * t2403;
  t49709 = t948 * t10742;
  t49711 = t3990 * t2403;
  t49713 = t948 * t10739;
  t49715 = -t49677 / 0.36e2 - t49679 / 0.36e2 - t49681 / 0.36e2 - t49683 / 0.36e2 + t49685 / 0.12e2 + t49687 / 0.12e2 + t49689 / 0.9e1 - t49691 / 0.18e2 + t49693 / 0.6e1 - t49695 / 0.6e1 + t49697 / 0.6e1 - t49699 / 0.6e1 + t49701 / 0.9e1 - t49703 / 0.18e2 - t49705 / 0.6e1 + t49707 / 0.6e1 - t49709 / 0.12e2 + t49711 / 0.6e1 - t49713 / 0.12e2;
  t49717 = t3993 * t2398;
  t49719 = t33546 * t2339;
  t49721 = t33543 * t2339;
  t49724 = t294 * t7086 * t10726;
  t49726 = t33495 * t10722;
  t49732 = t290 * t10512;
  t49737 = t28548 * t10380;
  t49739 = t28763 * t10385;
  t49740 = t24028 * t10497;
  t49742 = t28548 * t10490;
  t49744 = t28548 * t10494;
  t49752 = -t49717 / 0.12e2 + t49719 / 0.18e2 + t49721 / 0.18e2 - t49724 / 0.6e1 + t49726 / 0.18e2 - t28461 * t10503 / 0.2e1 + 0.3e1 / 0.2e1 * t28461 * t10507 + 0.3e1 / 0.2e1 * t49732 * t10515 - 0.3e1 * t28713 * t10527 + t49737 / 0.6e1 + t49739 - t49740 / 0.6e1 + t49742 / 0.2e1 + t49744 / 0.6e1 - 0.3e1 * t28461 * t10531 + t28713 * t10536 / 0.2e1 + t33483 * t9332 / 0.6e1 - t9147 - t9168;
  t49753 = t49551 * t10451;
  t49755 = t294 * t7089;
  t49756 = t49755 * t10444;
  t49758 = t49551 * t10437;
  t49760 = t49755 * t10441;
  t49762 = t49551 * t10543;
  t49764 = t49551 * t10546;
  t49766 = t33495 * t9328;
  t49768 = t28763 * t10536;
  t49770 = t33495 * t9332;
  t49772 = t28548 * t10531;
  t49773 = t9172 + t9195 + t44154 + t44156 - t49032 + t49034 - t49037 - t49039 + t49041 + 0.23e2 / 0.108e3 * t49753 - 0.2e1 / 0.3e1 * t49756 - t49758 / 0.2e1 + t49760 / 0.3e1 - t49762 / 0.6e1 + 0.7e1 / 0.9e1 * t49764 - t49766 / 0.9e1 + t49768 / 0.6e1 + t49770 / 0.18e2 - t49772;
  t49777 = t294 * t10512;
  t49778 = t49777 * t10515;
  t49780 = t28763 * t10527;
  t49781 = t28548 * t10507;
  t49783 = t28548 * t10503;
  t49787 = t33521 * t10719;
  t49797 = t290 * t7089;
  t49813 = t49778 / 0.2e1 - t49780 + t49781 / 0.2e1 - t49783 / 0.6e1 - t33483 * t10366 / 0.12e2 + t49787 / 0.18e2 - t33483 * t9328 / 0.3e1 - t49520 * t10543 / 0.2e1 + 0.7e1 / 0.3e1 * t49520 * t10546 - 0.3e1 / 0.2e1 * t49520 * t10437 + t49797 * t10441 - 0.2e1 * t49797 * t10444 - 0.11e2 / 0.18e2 * t49520 * t10448 - t945 * t10729 / 0.2e1 - t945 * t10732 / 0.2e1 - t6640 * t9350 / 0.6e1 + t6657 * t9729 / 0.6e1 - t6640 * t10583 / 0.6e1;
  t49836 = t4005 * t10325;
  t49838 = t33408 * t2347;
  t49842 = -t33299 * t2347 / 0.6e1 - t33311 * t2347 / 0.6e1 + t6640 * t9347 / 0.3e1 + t1615 * t9427 / 0.12e2 + t6640 * t10322 / 0.3e1 + t33299 * t2353 / 0.3e1 + t33311 * t2353 / 0.3e1 - t6640 * t9734 / 0.12e2 - t33299 * t2342 / 0.12e2 - t6640 * t10462 / 0.12e2 - t6640 * t9300 / 0.12e2 - t49836 / 0.6e1 - t49838 / 0.18e2 - t44217 - t44219 + t44221 + t5449 * t1698 / 0.4e1 + t49043 + t49045;
  t49864 = t5484 * t1694;
  t49866 = t49046 / 0.9e1 + t49048 / 0.36e2 - t49050 / 0.6e1 + t49052 / 0.6e1 - t49054 / 0.6e1 - t49056 / 0.12e2 - t49065 + t49067 - t49068 / 0.36e2 - t49070 / 0.18e2 + t49072 / 0.18e2 - t23548 * t10483 / 0.4e1 - t28461 * t10487 + t28461 * t10480 / 0.2e1 + t23548 * t10477 / 0.2e1 + t33590 * t457 / 0.4e1 - t1615 * t5607 / 0.12e2 - t49864 / 0.12e2;
  t49893 = t933 * t10425;
  t49897 = -t1351 * t6812 / 0.12e2 - t5425 * t10344 / 0.12e2 + t1351 * t6757 / 0.12e2 + t5509 * t10339 / 0.6e1 + t6700 * t1447 / 0.4e1 - t6700 * t1443 / 0.4e1 - t6700 * t1439 / 0.2e1 - t3971 * t10328 / 0.2e1 - t3971 * t10325 / 0.2e1 - t23883 * t2390 / 0.2e1 - t23870 * t2390 / 0.2e1 - t290 * t10549 / 0.4e1 + t33597 * t457 / 0.4e1 + t49893 * t377 / 0.4e1 - t49083 + t49085 + t49088 - t49090 - t49091 / 0.36e2;
  t49913 = t33526 * t9447;
  t49915 = t6647 * t10583;
  t49919 = t294 * t10709;
  t49923 = t33495 * t9450;
  t49925 = t49755 * t10716;
  t49927 = t49093 / 0.12e2 + t49095 / 0.12e2 - t49097 / 0.36e2 + t6700 * t1394 / 0.4e1 - t5454 * t1642 / 0.12e2 - t1615 * t5809 / 0.12e2 - t5461 * t1642 / 0.12e2 - t6691 * t1378 / 0.12e2 - t49913 / 0.18e2 - t49915 / 0.18e2 - t290 * t10709 / 0.4e1 + t44321 + t44323 - t49919 / 0.12e2 - t925 * t2381 / 0.4e1 + t49923 / 0.36e2 + t49925 / 0.6e1 - t44333;
  t49928 = t33413 * t2347;
  t49930 = t1618 * t9427;
  t49932 = t6647 * t9347;
  t49934 = t5484 * t1690;
  t49936 = t33495 * t10374;
  t49938 = t929 * t2381;
  t49940 = t294 * t10549;
  t49942 = t948 * t10521;
  t49953 = -t44335 + t44337 - t49928 / 0.18e2 + t49930 / 0.36e2 + t49932 / 0.9e1 - t49934 / 0.6e1 + t49936 / 0.9e1 - t49938 / 0.12e2 - t49940 / 0.12e2 + t49942 / 0.6e1 - t44353 - t44360 - t43495 - t44379 + t44389 - t33478 * t10500 / 0.6e1 - t290 * t7086 * t10726 / 0.2e1 + t33483 * t10722 / 0.6e1 + t33478 * t10719 / 0.6e1;
  t49963 = t24028 * t10483;
  t49965 = t28548 * t10487;
  t49967 = t28548 * t10480;
  t49969 = t24028 * t10477;
  t49971 = t49551 * t10448;
  t49973 = t5469 * t10339;
  t49981 = t5484 * t1698;
  t49985 = t6647 * t10322;
  t49987 = t33408 * t2353;
  t49993 = t49797 * t10716 / 0.2e1 + t33483 * t9450 / 0.12e2 - t33478 * t9457 / 0.6e1 - t33486 * t9447 / 0.6e1 - t49963 / 0.12e2 - t49965 / 0.3e1 + t49967 / 0.6e1 + t49969 / 0.6e1 - 0.11e2 / 0.54e2 * t49971 + t49973 / 0.18e2 - t6640 * t9274 / 0.6e1 - t28872 * t1675 / 0.2e1 + t5449 * t1679 / 0.2e1 + t49981 / 0.12e2 - t5425 * t10552 / 0.6e1 + t49985 / 0.9e1 + t49987 / 0.9e1 + t4028 * t2403 / 0.2e1 - t945 * t10742 / 0.4e1;
  t49996 = t3993 * t2395;
  t50024 = t948 * t10732;
  t50026 = t3990 * t2398;
  t50028 = t4025 * t2403 / 0.2e1 - t49996 / 0.6e1 - 0.5e1 / 0.36e2 * t49520 * t10361 - t33483 * t10377 / 0.6e1 + t33483 * t10374 / 0.3e1 + t33486 * t9441 / 0.12e2 + t33483 * t10400 / 0.3e1 - 0.2e1 / 0.3e1 * t33483 * t10394 - t28445 * t10390 / 0.2e1 + t28713 * t10388 + 0.3e1 * t28713 * t10385 + t28461 * t10380 / 0.2e1 - t23548 * t10497 / 0.2e1 + t28461 * t10494 / 0.2e1 + 0.3e1 / 0.2e1 * t28461 * t10490 - t49099 / 0.12e2 + t49102 - t50024 / 0.6e1 - t50026 / 0.12e2;
  t50033 = my_piecewise3(t100, 0, t49548 + t49570 + t49598 + t49637 + t49676 + t49715 + t49752 + t49773 + t49813 + t49842 + t49866 + t49897 + t49927 + t49953 + t49993 + t50028);
  tv4rho2sigmalapl11 = t3 * t50033 + t10276 + t10755;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 11] += tv4rho2sigmalapl11;

  t50045 = -t49136 / 0.18e2 - t46954 + t46956 + t46970 + t46972 - t46974 - t47017 - t41813 - t3958 * t2327 / 0.4e1 - t33152 * t2271 / 0.12e2 + t33155 * t2268 / 0.6e1 + t33152 * t2282 / 0.3e1;
  t50062 = -t23213 * t2319 / 0.2e1 + t3958 * t2332 / 0.2e1 - t3958 * t2324 / 0.2e1 + t6739 * t2108 / 0.12e2 - t49446 / 0.18e2 + t49448 / 0.6e1 + t49450 / 0.6e1 + t49461 / 0.9e1 - t49463 / 0.9e1 + t49466 / 0.18e2 + 0.2e1 / 0.9e1 * t49468 - t49470 / 0.3e1;
  t50074 = -t49472 / 0.3e1 + t49474 / 0.3e1 - t49476 / 0.6e1 - t5523 * t1511 / 0.12e2 - t6739 * t1223 / 0.12e2 - t33152 * t2276 / 0.6e1 + t42576 - t49481 / 0.6e1 - t44417 + t44424 - t44427 + t44448;
  t50082 = t48279 + t33195 * t432 / 0.4e1 + t28311 * t481 / 0.4e1 + t48381 - t48383 - t48387 + t48389 - t48391 + t48393 + t48395 - t49511 / 0.18e2 - t972 * t2310 / 0.4e1;
  t50085 = my_piecewise3(t2, 0, t50045 + t50062 + t50074 + t50082);
  tv4rho2sigmalapl12 = t3 * t50085 + 0.2e1 * t10309;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 12] += tv4rho2sigmalapl12;

  tv4rho2sigmalapl13 = 0.e0;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 13] += tv4rho2sigmalapl13;

  tv4rho2sigmalapl14 = 0.e0;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 14] += tv4rho2sigmalapl14;

  tv4rho2sigmalapl15 = 0.e0;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 15] += tv4rho2sigmalapl15;

  tv4rho2sigmalapl16 = 0.e0;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 16] += tv4rho2sigmalapl16;

  t50097 = 0.2e1 / 0.3e1 * t49523 + t49535 / 0.6e1 + t49537 / 0.6e1 + t49539 / 0.6e1 + t49542 / 0.6e1 - t49544 / 0.18e2 + t49546 / 0.6e1 - t44483 - t44484 - t2180 + t2251 - t49549 / 0.9e1 - 0.5e1 / 0.54e2 * t49552;
  t50098 = t439 * t4345;
  t50099 = t24435 * t50098;
  t50113 = t110 * t34900;
  t50116 = t29451 * t10360;
  t50121 = t439 * t988;
  t50122 = t168 * t50121;
  t50123 = t5679 * t50122;
  t50125 = t110 * t34896;
  t50126 = t439 * t997;
  t50127 = t168 * t50126;
  t50128 = t10447 * t50127;
  t50131 = -0.3e1 * t5639 * t1720 * t50099 + t44540 - t44544 - 0.4e1 / 0.3e1 * t34216 * t10394 + 0.2e1 / 0.3e1 * t34216 * t10400 + t6772 * t29989 / 0.6e1 + t6769 * t45720 / 0.4e1 - t6769 * t45717 / 0.6e1 - 0.11e2 / 0.9e1 * t50113 * t10448 + 0.2e1 * t10440 * t50116 + 0.2e1 * t10440 * t45707 + t10440 * t50123 + 0.22e2 / 0.3e1 * t50125 * t50128;
  t50133 = t318 * t7089;
  t50136 = t110 * t34947;
  t50140 = t10358 * t4191 * t50121;
  t50143 = t110 * t34905;
  t50144 = t24582 * t145;
  t50145 = t4191 * t50126;
  t50146 = t50144 * t50145;
  t50165 = t6755 * t5564;
  t50166 = t5563 * t50165;
  t50169 = -0.4e1 * t50133 * t10444 - 0.4e1 * t50136 * t10444 - 0.3e1 / 0.2e1 * t10357 * t50140 - 0.43e2 / 0.9e1 * t50143 * t50146 + 0.2e1 * t50133 * t10441 + 0.2e1 * t50136 * t10441 - 0.3e1 * t5792 * t6922 + 0.3e1 / 0.2e1 * t1383 * t7005 + 0.3e1 / 0.2e1 * t1647 * t5577 + 0.3e1 / 0.2e1 * t29089 * t6919 + 0.3e1 / 0.2e1 * t34264 * t5603 - 0.3e1 * t6955 * t5572 - t5562 * t50166 / 0.2e1;
  t50170 = t1645 * t5564;
  t50171 = t5733 * t50170;
  t50175 = t5595 * t6953 * t5564;
  t50191 = t1430 * t4174 * t2337;
  t50200 = 0.7e1 / 0.3e1 * t5562 * t50171 - 0.3e1 / 0.2e1 * t5562 * t50175 + t1683 * t45990 / 0.3e1 + t1660 * t9427 / 0.6e1 + t1665 * t9427 / 0.6e1 + t490 * t44880 / 0.6e1 + t490 * t44975 / 0.12e2 + 0.2e1 / 0.3e1 * t6808 * t9347 + t1683 * t50191 / 0.3e1 - t6764 * t45731 / 0.3e1 + t10440 * t45734 + t6764 * t45740 / 0.3e1 + t50133 * t10716;
  t50217 = -t49562 / 0.18e2 - t49564 / 0.9e1 - t6804 * t9300 / 0.6e1 - t33897 * t2342 / 0.12e2 - t6808 * t10462 / 0.6e1 - t6808 * t9300 / 0.6e1 - t44585 - t44589 - t44600 - t44614 - t1665 * t5809 / 0.6e1 - t7057 * t1378 / 0.12e2 + t44645;
  t50220 = t45481 * t13684;
  t50223 = t45452 * t13674;
  t50225 = t44647 + t44649 - t44699 + t44701 + t44703 + 0.2e1 * t29436 * t10388 + 0.2e1 / 0.3e1 * t24973 * t50220 - t24973 * t50223 + t44736 - t44737 - t44746 + t44747 - t44748;
  t50230 = t1146 * t439;
  t50232 = t5695 * t4693 * t50230;
  t50255 = t44752 - 0.3e1 / 0.2e1 * t5665 * t494 * t45936 + t6769 * t50232 / 0.3e1 + t6772 * t46716 / 0.12e2 + t5797 * t1657 / 0.2e1 + t5814 * t1657 / 0.2e1 - t5840 * t1642 / 0.12e2 - t5854 * t1642 / 0.12e2 - t5847 * t1642 / 0.6e1 - t490 * t30424 / 0.12e2 - t7043 * t1378 / 0.12e2 + t34605 * t457 / 0.4e1 + t6965 * t1394 / 0.2e1;
  t50262 = t1065 * t10425;
  t50267 = t321 * t369 * t10707 * t370;
  t50270 = t1009 * t2381;
  t50279 = t349 * t10709;
  t50286 = t34600 * t457 / 0.2e1 + t34595 * t457 / 0.4e1 + t10426 * t1062 / 0.4e1 + t50262 * t377 / 0.2e1 + t50267 * t377 / 0.2e1 - t1002 * t50270 / 0.12e2 + t1383 * t7054 / 0.4e1 - t1066 * t10421 / 0.6e1 - t991 * t10421 / 0.12e2 - t338 * t50279 / 0.6e1 + t49566 / 0.18e2 - 0.4e1 / 0.9e1 * t49568 + 0.2e1 / 0.9e1 * t49572 - t49574 / 0.3e1;
  t50292 = t1033 * t500;
  t50293 = t50292 * t5681;
  t50296 = t4572 * t500;
  t50297 = t50296 * t5675;
  t50302 = t34283 * t5675;
  t50305 = t356 * t500;
  t50306 = t50305 * t5681;
  t50309 = t50292 * t10399;
  t50312 = t318 * t7093;
  t50318 = t24557 * t145;
  t50319 = t1018 * t50126;
  t50320 = t50318 * t50319;
  t50327 = t6764 * t44550 / 0.3e1 - t5673 * t50293 / 0.6e1 + t5673 * t50297 / 0.4e1 + t6012 * t34284 / 0.6e1 - t6004 * t50302 / 0.3e1 + t6004 * t50306 / 0.3e1 + 0.2e1 / 0.3e1 * t24973 * t50309 - 0.5e1 / 0.18e2 * t50312 * t10361 - t34216 * t10366 / 0.6e1 + t50136 * t10716 + 0.89e2 / 0.9e1 * t50143 * t50320 - 0.3e1 * t50312 * t10437 - 0.3e1 * t50113 * t10437;
  t50328 = t4609 * t365;
  t50329 = t50328 * t10436;
  t50333 = t10358 * t4191 * t44721;
  t50336 = t29474 * t50127;
  t50343 = t4619 * t365;
  t50344 = t50343 * t10443;
  t50347 = t10447 * t45713;
  t50350 = t1018 * t50121;
  t50351 = t10447 * t50350;
  t50361 = -0.3e1 * t10357 * t50329 - 0.3e1 * t10357 * t50333 - 0.38e2 / 0.9e1 * t50143 * t50336 + 0.14e2 / 0.3e1 * t50312 * t10546 + 0.14e2 / 0.3e1 * t50113 * t10546 + 0.14e2 / 0.3e1 * t10357 * t50344 + 0.14e2 / 0.3e1 * t10357 * t50347 + 0.7e1 / 0.3e1 * t10357 * t50351 - 0.2e1 / 0.3e1 * t6769 * t45418 + t44785 - t1647 * t5542 / 0.2e1 - t6960 * t1439 - t6960 * t1443 / 0.2e1;
  t50364 = t1430 * t6958 * t2337;
  t50380 = t2379 * t146;
  t50382 = t1101 * t50380 * t1088;
  t50386 = t1094 * t50380 * t1096;
  t50390 = t25122 * t10373;
  t50395 = 0.2e1 / 0.3e1 * t4533 * t50364 + t6960 * t1447 / 0.2e1 - t6965 * t1439 - t6965 * t1443 / 0.2e1 + 0.2e1 / 0.3e1 * t24346 * t17212 + t6965 * t1447 / 0.2e1 - t10426 * t1085 / 0.4e1 + t10426 * t1090 / 0.2e1 - t338 * t50382 / 0.6e1 + t338 * t50386 / 0.12e2 - t1383 * t6871 - t6764 * t50390 / 0.3e1 - t490 * t29524 / 0.6e1;
  t50398 = t24323 * t2337;
  t50399 = t1430 * t50398;
  t50404 = t4619 * t10359;
  t50411 = t4619 * t50121;
  t50417 = t110 * t20822 * t997 * t24540;
  t50424 = t1430 * t1645 * t9298;
  t50434 = -t6928 * t45544 / 0.2e1 - t1683 * t50399 / 0.12e2 - 0.6e1 * t29339 * t10527 - 0.6e1 * t5639 * t34900 * t50404 - 0.6e1 * t5639 * t7093 * t44726 - 0.3e1 * t5639 * t7093 * t50411 - 0.62e2 / 0.3e1 * t50417 * t50318 * t17679 + t5797 * t1698 / 0.2e1 + 0.2e1 / 0.3e1 * t4533 * t50424 + t1647 * t5998 / 0.2e1 - t1647 * t5659 + t29436 * t10536 + t29339 * t10536 + t5639 * t7081 * t45837;
  t50443 = t29474 * t4191 * t10534;
  t50460 = t1038 * t50121;
  t50465 = t110 * t24576 * t24552;
  t50470 = t5639 * t1720 * t45922 + t5639 * t1720 * t45925 / 0.2e1 + 0.3e1 / 0.2e1 * t39435 * t50443 + t34216 * t9332 / 0.3e1 + t34529 * t9332 / 0.3e1 - 0.6e1 * t29349 * t10531 - 0.6e1 * t29346 * t10531 - 0.6e1 * t5665 * t34947 * t10530 - 0.6e1 * t5665 * t7089 * t45359 - 0.3e1 * t5665 * t7089 * t50460 - 0.28e2 * t50465 * t17850 - 0.6e1 * t29436 * t10527 - t44849;
  t50477 = t4572 * t50121;
  t50487 = t29468 * t17858;
  t50501 = 0.3e1 * t5665 * t34900 * t10506 + 0.3e1 * t5665 * t7093 * t46615 + 0.3e1 / 0.2e1 * t5665 * t7093 * t50477 + 0.47e2 / 0.3e1 * t50417 * t29474 * t17839 - t5665 * t1720 * t44520 / 0.2e1 - 0.7e1 / 0.3e1 * t39435 * t50487 + 0.3e1 * t29349 * t10507 + 0.3e1 * t29346 * t10507 - t29346 * t10503 - t5665 * t7081 * t9335 - t5665 * t1720 * t44517 - t29349 * t10503 + t29985 * t6828;
  t50503 = t4626 * t500;
  t50504 = t50503 * t5675;
  t50525 = t5673 * t50504 / 0.2e1 - t373 * t1693 * t46727 / 0.4e1 + t4183 * t2403 / 0.2e1 + t4274 * t2403 + t4176 * t2403 / 0.2e1 - t34276 * t1411 - t5792 * t6802 + t1383 * t6910 + 0.3e1 * t5792 * t7000 - 0.3e1 * t1383 * t6994 + t43466 + t49586 / 0.6e1 + t1683 * t30098 / 0.3e1;
  t50535 = t24418 * t50126;
  t50541 = t110 * t145 * t25471 * t167;
  t50542 = t24582 * t50126;
  t50546 = t24557 * t50126;
  t50552 = t1038 * t500;
  t50553 = t50552 * t5681;
  t50556 = t49592 / 0.3e1 - t49594 / 0.3e1 - t49596 / 0.3e1 + 0.2e1 / 0.9e1 * t49599 - t49601 / 0.18e2 - t49603 / 0.18e2 - t49605 / 0.18e2 - t49607 / 0.18e2 + t49609 / 0.18e2 + 0.6e1 * t5665 * t34905 * t50535 - 0.6e1 * t50541 * t34905 * t50542 + 0.18e2 * t10513 * t34905 * t50546 - t6769 * t45270 / 0.3e1 - t5673 * t50553 / 0.3e1;
  t50574 = t49611 / 0.18e2 + t49613 / 0.18e2 + t49615 / 0.18e2 - t49617 / 0.18e2 - t49619 / 0.18e2 - t49621 / 0.18e2 - t49623 / 0.18e2 + t49625 / 0.9e1 + t49627 / 0.9e1 + t49629 / 0.18e2 + t49631 / 0.9e1 - t49633 / 0.9e1 - t49635 / 0.3e1;
  t50600 = -t49640 / 0.6e1 + 0.2e1 / 0.3e1 * t1683 * t45986 + t33798 * t2353 / 0.3e1 + 0.2e1 / 0.3e1 * t33892 * t2353 + 0.2e1 / 0.3e1 * t6804 * t10322 + 0.2e1 / 0.3e1 * t6804 * t9347 + t33897 * t2353 / 0.3e1 + 0.2e1 / 0.3e1 * t6808 * t10322 - t490 * t29409 / 0.12e2 - t1683 * t30100 / 0.12e2 - 0.5e1 / 0.36e2 * t6855 * t44795 - t442 * t34300 / 0.12e2 - t1421 * t35128 / 0.12e2;
  t50602 = t5595 * t50165;
  t50609 = t1430 * t50165;
  t50618 = t380 * t50230;
  t50619 = t5695 * t50618;
  t50630 = -0.5e1 / 0.36e2 * t5562 * t50602 + t442 * t33923 / 0.12e2 + t1451 * t34638 / 0.6e1 + t5631 * t50609 / 0.2e1 - t6772 * t46720 / 0.6e1 + t6769 * t46708 / 0.12e2 + 0.5e1 / 0.36e2 * t10357 * t46711 - t6769 * t50619 / 0.12e2 - t6764 * t46674 / 0.6e1 - t10440 * t46677 / 0.2e1 - t49648 / 0.9e1 + 0.2e1 * t29339 * t10388 - t30693 * t10390;
  t50632 = t1423 * t50165;
  t50634 = t1423 * t34637;
  t50651 = -t30473 * t10390 + t5631 * t50632 - t1421 * t50634 / 0.6e1 - t1402 * t6812 / 0.6e1 - t1683 * t44561 / 0.12e2 + t7057 * t2199 / 0.12e2 + t7048 * t2199 / 0.6e1 + t1660 * t9422 / 0.6e1 + t7043 * t2199 / 0.12e2 + t1665 * t9422 / 0.6e1 - t45030 + t45032 + t45036 + t45040;
  t50662 = t45052 + t45055 + t45057 + t45059 + t45061 - t45063 + t45289 * t6839 - t29985 * t6842 + 0.2e1 * t5639 * t7081 * t5643 - t5649 * t34557 * t2389 - t49656 / 0.3e1 + t45122 + t45124;
  t50671 = -t45131 - t45133 - t45135 - t45137 - t45150 - t45156 - t49658 / 0.3e1 - t45195 + t45198 - t45293 * t6837 + t34529 * t10722 / 0.3e1 - 0.5e1 / 0.18e2 * t50113 * t10361 - t34529 * t10366 / 0.6e1;
  t50683 = t6772 * t45748 / 0.6e1 + 0.2e1 / 0.3e1 * t34216 * t10374 + t45233 + t45236 - t45239 - t45243 - t45249 - t49672 / 0.18e2 - t49674 / 0.18e2 - t49677 / 0.18e2 - t49679 / 0.18e2 - t49681 / 0.18e2 - t49683 / 0.18e2;
  t50698 = t49685 / 0.6e1 + t49687 / 0.6e1 + t6788 * t45170 + 0.2e1 / 0.9e1 * t49689 - t49691 / 0.9e1 + t49693 / 0.3e1 - t49695 / 0.3e1 + t49697 / 0.3e1 - t49699 / 0.3e1 + 0.2e1 / 0.9e1 * t49701 - t49703 / 0.9e1 - t49705 / 0.3e1 + t49707 / 0.3e1 - t49709 / 0.6e1;
  t50715 = t49711 / 0.3e1 - t49713 / 0.6e1 - t49717 / 0.6e1 + t49719 / 0.9e1 + t49721 / 0.9e1 - t318 * t10549 / 0.2e1 - t45315 + t45316 + 0.6e1 * t29339 * t10385 + 0.6e1 * t29436 * t10385 + t45317 - t49724 / 0.3e1 + t49726 / 0.9e1;
  t50722 = t30121 * t10360;
  t50724 = t29503 * t10365;
  t50728 = t29503 * t10360;
  t50736 = t49737 / 0.3e1 + 0.2e1 * t49739 - t49740 / 0.3e1 + t49742 + t49744 / 0.3e1 + t10725 * t45080 / 0.2e1 + t10440 * t50722 + t6764 * t50724 / 0.3e1 - t10725 * t45728 - t10725 * t50728 - t6764 * t44546 / 0.3e1 - t6769 * t45703 / 0.3e1 + t34222 * t10719 / 0.3e1;
  t50748 = t10364 * t1082;
  t50749 = t380 * t50748;
  t50750 = t5691 * t50749;
  t50753 = t10359 * t1082;
  t50754 = t168 * t50753;
  t50755 = t29474 * t50754;
  t50758 = t5674 * t50749;
  t50763 = t10364 * t333;
  t50764 = t380 * t50763;
  t50765 = t5695 * t50764;
  t50767 = -t6764 * t45656 / 0.3e1 - t6772 * t45660 / 0.3e1 + t6769 * t45663 / 0.6e1 + t6772 * t45751 / 0.6e1 - t6764 * t45614 / 0.3e1 + t6769 * t50750 / 0.3e1 + 0.25e2 / 0.36e2 * t10357 * t50755 + 0.2e1 / 0.3e1 * t6769 * t50758 + t6769 * t45608 / 0.6e1 + t10440 * t50765 + t45378 + t45381 - t45399;
  t50768 = t24477 * t50753;
  t50772 = t110 * t34914;
  t50773 = t5679 * t50127;
  t50779 = t5691 * t50127;
  t50785 = t10358 * t50127;
  t50788 = t168 * t50098;
  t50789 = t30134 * t50788;
  t50792 = t30141 * t1018 * t50098;
  t50795 = -t45406 + t45407 - 0.15e2 / 0.2e1 * t10513 * t7093 * t50768 - 0.6e1 * t50772 * t50773 + 0.18e2 * t50125 * t10358 * t50145 + 0.6e1 * t50125 * t50779 + 0.2e1 * t10440 * t45956 - t10440 * t45954 + t45434 + 0.5e1 / 0.3e1 * t50125 * t50785 - t45438 - t45442 - t6769 * t50789 + 0.2e1 * t6769 * t50792;
  t50814 = t439 * t4405;
  t50815 = t4626 * t50814;
  t50825 = t1038 * t50126;
  t50829 = -t373 * t1689 * t45008 / 0.2e1 - t4183 * t2398 / 0.4e1 - t4274 * t2398 / 0.2e1 - t1070 * t10739 / 0.2e1 - t1070 * t10742 / 0.2e1 - t4176 * t2398 / 0.4e1 - 0.2e1 * t5665 * t1720 * t45363 - t5665 * t1720 * t50815 + 0.3e1 * t29349 * t10490 + t29349 * t10480 + t29346 * t10480 - 0.3e1 * t5639 * t7089 * t46005 + 0.18e2 * t5665 * t34914 * t50825;
  t50830 = t4619 * t50126;
  t50834 = t4609 * t50126;
  t50851 = 0.36e2 * t5639 * t34896 * t50830 - 0.18e2 * t10513 * t34896 * t50834 + t6769 * t45284 / 0.2e1 - t6955 * t5586 + t1647 * t5740 - t29068 * t1675 - t1683 * t44789 / 0.6e1 - t490 * t30400 / 0.6e1 + t1702 * t44806 / 0.3e1 + t490 * t29197 / 0.6e1 - t49032 + t49034 - t49037;
  t50853 = t50296 * t10393;
  t50860 = t110 * t6949;
  t50868 = t1033 * t10359;
  t50872 = t4572 * t50753;
  t50876 = -t49039 + t49041 + t45502 - t45505 - t24973 * t50853 - t34833 * t6019 / 0.2e1 - t34833 * t5689 - t5649 * t6827 * t9311 + t50860 * t5686 + 0.6e1 * t5639 * t7089 * t44722 + 0.2e1 * t5639 * t1720 * t45347 + 0.6e1 * t5639 * t34947 * t50868 - 0.11e2 * t5639 * t7089 * t50872;
  t50877 = t2388 * t333;
  t50878 = t1007 * t50877;
  t50887 = t1165 * t50753;
  t50894 = t4148 * t17173 * t333;
  t50898 = t24418 * t50753;
  t50904 = t4626 * t50753;
  t50909 = t1007 * t2401 * t333;
  t50914 = t4148 * t17198 * t333;
  t50921 = t1430 * t1381 * t12364;
  t50926 = 0.6e1 * t5649 * t34019 * t50878 - 0.2e1 * t5665 * t1716 * t45861 + t4695 * t6760 * t45866 - 0.3e1 * t5665 * t7086 * t50887 + t4695 * t6841 * t45858 + 0.3e1 * t30451 * t34151 * t50894 + 0.15e2 * t5639 * t7093 * t50898 + t5649 * t6827 * t45767 + 0.11e2 * t5665 * t7089 * t50904 - 0.6e1 * t4695 * t34019 * t50909 - 0.6e1 * t5649 * t34151 * t50914 - t1383 * t6975 / 0.2e1 + 0.2e1 / 0.3e1 * t4533 * t50921 + t1383 * t6893 / 0.2e1;
  t50936 = t33917 * t1424;
  t50937 = t1101 * t50936;
  t50948 = -t6855 * t45872 / 0.2e1 - t45534 - t45537 - t45539 - t45541 - t45543 + t5814 * t1698 / 0.2e1 + t1451 * t50937 / 0.3e1 + t442 * t33919 / 0.6e1 - t5814 * t1690 - t5797 * t1690 - t5797 * t1694 / 0.2e1 + 0.2e1 / 0.3e1 * t24346 * t17572;
  t50973 = -t1647 * t6025 / 0.4e1 + t1647 * t5749 / 0.4e1 - t1647 * t5580 / 0.2e1 - 0.2e1 * t24914 * t17212 - t1029 * t1674 * t45547 / 0.2e1 - t1029 * t34315 * t2389 / 0.2e1 - t1029 * t6801 * t9311 - t4204 * t10325 - t4204 * t10328 - t25233 * t2390 / 0.2e1 - t4188 * t10325 - t4188 * t10328 + t1383 * t7065 / 0.4e1;
  t50989 = t5595 * t50170;
  t50996 = t5733 * t50165;
  t51005 = -t25243 * t2390 / 0.2e1 + t34772 * t2339 / 0.6e1 - t1058 * t10739 / 0.2e1 - t1058 * t10742 / 0.2e1 - t373 * t33787 * t2257 / 0.4e1 - t373 * t6974 * t9401 / 0.2e1 + 0.23e2 / 0.36e2 * t5562 * t50989 - 0.11e2 / 0.18e2 * t6855 * t45173 + 0.23e2 / 0.36e2 * t6855 * t45177 - 0.11e2 / 0.18e2 * t5562 * t50996 - t1683 * t44556 / 0.6e1 + t490 * t29201 / 0.12e2 + t6896 * t10592 / 0.3e1;
  t51008 = t1101 * t50398;
  t51032 = t6900 * t10592 / 0.3e1 + t1702 * t51008 / 0.6e1 + t1702 * t44826 / 0.3e1 + t1070 * t10518 + t1058 * t10518 + t373 * t34315 * t2402 / 0.2e1 + t373 * t6801 * t9489 + t1070 * t10521 + t1058 * t10521 + 0.3e1 * t6955 * t5636 - 0.3e1 * t1647 * t5729 + t1702 * t29220 / 0.6e1 - t7048 * t1378 / 0.6e1 - t1660 * t5809 / 0.6e1;
  t51044 = -t45595 - t45598 - t45600 + 0.23e2 / 0.54e2 * t49753 - 0.4e1 / 0.3e1 * t49756 - t49758 + 0.2e1 / 0.3e1 * t49760 - t49762 / 0.3e1 + 0.14e2 / 0.9e1 * t49764 - 0.2e1 / 0.9e1 * t49766 + t49768 / 0.3e1 + t49770 / 0.9e1 - 0.2e1 * t49772;
  t51065 = t49778 - 0.2e1 * t49780 + t49781 - t49783 / 0.3e1 - t110 * t2380 * t1147 / 0.4e1 + t25561 * t10477 + t4695 * t34553 * t2402 / 0.2e1 + t4695 * t34557 * t2402 + t49787 / 0.9e1 - t6764 * t45754 / 0.3e1 - t6772 * t45759 / 0.3e1 + t6769 * t45743 / 0.6e1 - 0.4e1 / 0.3e1 * t6769 * t45487;
  t51069 = t30011 * t10393;
  t51072 = t30121 * t10399;
  t51075 = t10358 * t50122;
  t51078 = t50144 * t50127;
  t51081 = t168 * t50814;
  t51082 = t5674 * t51081;
  t51085 = t5679 * t50618;
  t51088 = t4575 * t50098;
  t51101 = 0.2e1 / 0.3e1 * t6769 * t45478 - 0.4e1 / 0.3e1 * t6769 * t51069 + 0.2e1 / 0.3e1 * t6769 * t51072 - 0.5e1 / 0.36e2 * t10357 * t51075 - 0.35e2 / 0.108e3 * t50143 * t51078 + t6769 * t51082 / 0.3e1 - t6769 * t51085 / 0.6e1 - t5665 * t1716 * t51088 + t29346 * t10380 + t5665 * t7075 * t9453 + t5665 * t1716 * t46668 + t5665 * t1716 * t46683 / 0.2e1 + t5665 * t1714 * t9463;
  t51123 = t30141 * t50754;
  t51126 = t5691 * t50764;
  t51128 = t5674 * t50754;
  t51131 = t1018 * t50753;
  t51135 = t5665 * t494 * t46511 + t5665 * t494 * t46688 / 0.2e1 - t25376 * t10483 / 0.2e1 - t25561 * t10483 / 0.2e1 + t25376 * t10477 - 0.5e1 / 0.2e1 * t5639 * t1720 * t45762 - 0.5e1 / 0.6e1 * t6769 * t45779 + t6769 * t45782 / 0.3e1 + 0.5e1 / 0.3e1 * t6769 * t45771 - 0.2e1 / 0.3e1 * t6769 * t45775 + 0.5e1 / 0.2e1 * t10357 * t51123 - t10357 * t51126 - 0.11e2 / 0.3e1 * t10440 * t51128 - 0.35e2 / 0.3e1 * t10357 * t29468 * t51131;
  t51139 = t4693 * t50763;
  t51151 = t5679 * t50764;
  t51157 = t29468 * t50754;
  t51160 = t10447 * t50764;
  t51163 = t29474 * t51131;
  t51166 = t10358 * t51139;
  t51173 = t110 * t500 * t5647;
  t51176 = t110 * t34256;
  t51179 = 0.14e2 / 0.3e1 * t10357 * t10447 * t51139 + 0.15e2 / 0.2e1 * t10357 * t29474 * t4191 * t50753 - 0.3e1 * t10357 * t10358 * t5647 * t50763 + 0.2e1 * t10440 * t51151 + 0.22e2 / 0.3e1 * t10440 * t5691 * t51131 + 0.55e2 / 0.18e2 * t10357 * t51157 - 0.11e2 / 0.9e1 * t10357 * t51160 - 0.115e3 / 0.36e2 * t10357 * t51163 + 0.23e2 / 0.18e2 * t10357 * t51166 - 0.4e1 * t10440 * t5695 * t51139 - t51173 * t5652 + t34833 * t5671 + 0.3e1 / 0.2e1 * t51176 * t5644;
  t51182 = t30022 * t10373;
  t51185 = t29451 * t10365;
  t51195 = t29468 * t50127;
  t51210 = -0.3e1 / 0.2e1 * t50860 * t5668 + 0.2e1 / 0.3e1 * t6769 * t51182 - t6769 * t51185 / 0.3e1 + 0.2e1 / 0.3e1 * t6769 * t45710 - 0.3e1 / 0.2e1 * t10513 * t7093 * t46692 + t10357 * t46705 / 0.2e1 - 0.2e1 * t50143 * t51195 + t5784 * t10339 / 0.3e1 + t1402 * t6757 / 0.6e1 - t5614 * t10344 / 0.6e1 + t5994 * t10339 / 0.3e1 + t1397 * t6757 / 0.6e1 - t5654 * t10344 / 0.6e1;
  t51223 = t346 * t2393 * t333;
  t51230 = t4305 * t2401 * t1082;
  t51234 = t50328 * t10443;
  t51239 = t10358 * t50350;
  t51242 = t50144 * t50319;
  t51245 = t50343 * t10360;
  t51248 = -t1397 * t6812 / 0.6e1 - t4183 * t2395 / 0.2e1 - t34669 * t10500 / 0.3e1 + t34669 * t10719 / 0.3e1 - t110 * t34942 * t10726 + 0.3e1 * t4695 * t34231 * t51223 - t29985 * t6761 / 0.2e1 - 0.2e1 * t4695 * t6827 * t51230 + 0.23e2 / 0.18e2 * t10357 * t51234 + 0.23e2 / 0.18e2 * t10357 * t45714 + 0.23e2 / 0.36e2 * t10357 * t51239 + 0.44e2 / 0.27e2 * t50143 * t51242 - 0.11e2 / 0.9e1 * t10357 * t51245;
  t51251 = t10447 * t50122;
  t51254 = t50318 * t50127;
  t51261 = t30121 * t10443;
  t51264 = t5695 * t45713;
  t51267 = t5695 * t50350;
  t51270 = t10358 * t50319;
  t51275 = t50328 * t10360;
  t51278 = t30121 * t10365;
  t51283 = -0.11e2 / 0.9e1 * t10357 * t45700 - 0.11e2 / 0.18e2 * t10357 * t51251 - 0.61e2 / 0.27e2 * t50143 * t51254 + 0.23e2 / 0.18e2 * t50312 * t10451 + 0.23e2 / 0.18e2 * t50113 * t10451 - 0.4e1 * t10440 * t51261 - 0.4e1 * t10440 * t51264 - 0.2e1 * t10440 * t51267 - 0.23e2 / 0.3e1 * t50125 * t51270 - 0.11e2 / 0.9e1 * t50312 * t10448 + t45794 - 0.5e1 / 0.18e2 * t10357 * t51275 - t6769 * t51278 / 0.6e1 - 0.4e1 / 0.3e1 * t34529 * t10394;
  t51289 = t1076 * t2393 * t1082;
  t51298 = 0.2e1 / 0.3e1 * t34529 * t10400 - t9407 - t45798 + t45799 + t4695 * t6841 * t51289 - t49836 / 0.3e1 - t49838 / 0.9e1 + t45805 - t45831 - t45832 + t45833 - t6769 * t45688 / 0.6e1 - t34222 * t9457 / 0.3e1;
  t51301 = t4572 * t50126;
  t51308 = t30011 * t10373;
  t51326 = t1009 * t2380 * t1018;
  t51329 = -t34520 * t9447 / 0.3e1 - 0.18e2 * t5665 * t34896 * t51301 + 0.3e1 * t5665 * t7089 * t45631 + t6769 * t51308 / 0.3e1 + t45843 - t1397 * t7018 / 0.6e1 - t1402 * t7018 / 0.6e1 - t442 * t34608 / 0.12e2 + t30429 * t505 / 0.4e1 + t30421 * t505 / 0.4e1 + t30606 * t505 / 0.2e1 + t10426 * t1040 / 0.2e1 + t1002 * t51326 / 0.3e1;
  t51333 = t321 * t369 * t2379 * t1026;
  t51336 = t1014 * t2381;
  t51345 = t24477 * t50126;
  t51354 = t1430 * t5812 * t2756;
  t51364 = -t51333 * t1035 / 0.2e1 - t1002 * t51336 / 0.6e1 + 0.3e1 * t5639 * t7093 * t46697 - 0.3e1 / 0.2e1 * t5665 * t7093 * t46701 - 0.18e2 * t5639 * t34905 * t51345 - t442 * t34296 / 0.6e1 - t5814 * t1694 / 0.2e1 + 0.2e1 / 0.3e1 * t4533 * t51354 - t25641 * t2390 - t1383 * t6978 / 0.4e1 - t1383 * t6873 / 0.2e1 - 0.2e1 * t24914 * t17572 + t49043;
  t51369 = t1165 * t50814;
  t51388 = t49045 + t6900 * t9729 / 0.3e1 - t49065 + t49067 + t5665 * t1716 * t45494 + t5665 * t1716 * t51369 / 0.2e1 - t25376 * t10497 - t25561 * t10497 - t4695 * t34452 * t2394 / 0.2e1 - t4695 * t34564 * t2394 - t4695 * t6841 * t9498 - t33897 * t2347 / 0.6e1 - t5614 * t10552 / 0.3e1 - t6808 * t9274 / 0.3e1;
  t51400 = t1423 * t50936;
  t51414 = -t1683 * t44609 / 0.3e1 - t5654 * t10552 / 0.3e1 + t5797 * t1679 - t29078 * t1675 + t5814 * t1679 - t1421 * t51400 / 0.3e1 - t6804 * t9274 / 0.3e1 + t6965 * t1416 - t34477 * t1411 + t6960 * t1416 - t34669 * t9457 / 0.3e1 - t34671 * t9447 / 0.3e1 + t34529 * t9450 / 0.6e1;
  t51433 = t34671 * t9441 / 0.6e1 + t34216 * t9450 / 0.6e1 + t34520 * t9441 / 0.6e1 + t6769 * t44462 / 0.3e1 - 0.5e1 / 0.18e2 * t10357 * t45643 - t45948 + t45950 + t46002 + t46004 + t1665 * t5555 / 0.6e1 - t6808 * t9734 / 0.6e1 - t1665 * t5607 / 0.6e1 + t6896 * t9729 / 0.3e1;
  t51441 = t1430 * t50936;
  t51455 = t30011 * t10360;
  t51458 = t1660 * t5555 / 0.6e1 - t6804 * t9734 / 0.6e1 - t1660 * t5607 / 0.6e1 - t1421 * t51441 / 0.6e1 - t49864 / 0.6e1 - t10426 * t1048 / 0.2e1 + t1053 * t10421 / 0.6e1 - t6769 * t45423 / 0.3e1 - 0.23e2 / 0.36e2 * t10357 * t45427 - t50312 * t10543 - t50113 * t10543 - t10357 * t51455 - t10357 * t45277;
  t51459 = t5691 * t50122;
  t51489 = -t10357 * t51459 / 0.2e1 + t6769 * t44532 / 0.3e1 + t6769 * t44498 / 0.3e1 + t6769 * t44503 / 0.6e1 + 0.11e2 / 0.18e2 * t10357 * t44508 - 0.2e1 / 0.3e1 * t34216 * t9328 - 0.2e1 / 0.3e1 * t34529 * t9328 - 0.2e1 / 0.3e1 * t6769 * t45414 + t29349 * t10494 + t29346 * t10494 + t5665 * t7075 * t10493 - t4695 * t34077 * t2257 / 0.4e1 - t4695 * t34212 * t2257 / 0.2e1 - t4695 * t6760 * t9401 / 0.2e1;
  t51499 = t10358 * t50764;
  t51506 = t4687 * t50754;
  t51510 = t10603 * t4405;
  t51511 = t360 * t51510;
  t51514 = t1173 * t50753;
  t51517 = t7080 * t10608;
  t51522 = t10603 * t988;
  t51523 = t1173 * t51522;
  t51529 = -t46047 + 0.4e1 * t7147 * t46140 + 0.2e1 * t7147 * t51511 + 0.44e2 / 0.3e1 * t34885 * t51514 + 0.4e1 * t51517 * t10611 + 0.4e1 * t10609 * t46143 + 0.2e1 * t10609 * t51523 - t46051 - t46053 - t46057 - t494 * t46486 - 0.4e1 * t7075 * t9623;
  t51532 = t5931 * t439;
  t51533 = t1033 * t51532;
  t51536 = t2369 * t4405;
  t51537 = t4572 * t51536;
  t51540 = t356 * t51532;
  t51543 = t2369 * t4345;
  t51544 = t24564 * t51543;
  t51547 = t4575 * t51543;
  t51552 = t24540 * t24140;
  t51553 = t34904 * t51552;
  t51554 = t10603 * t997;
  t51555 = t4599 * t51554;
  t51558 = t24552 * t4147;
  t51559 = t7092 * t51558;
  t51562 = t4586 * t51554;
  t51567 = t24522 * t1006;
  t51568 = t1719 * t51567;
  t51569 = t1186 * t51554;
  t51572 = -0.2e1 * t1716 * t46340 - 0.4e1 * t7089 * t51533 - 0.4e1 / 0.3e1 * t1720 * t51537 - 0.3e1 * t7086 * t51540 - 0.6e1 * t1720 * t51544 + 0.2e1 * t1716 * t51547 + 0.4e1 * t34877 * t46131 + 0.24e2 * t51553 * t51555 + 0.8e1 * t51559 * t51555 + 0.8e1 / 0.3e1 * t51553 * t51562 - 0.6e1 * t34882 * t46153 + 0.72e2 * t51568 * t51569;
  t51574 = t24682 * t51554;
  t51581 = t2369 * t997;
  t51582 = t356 * t51581;
  t51585 = t24435 * t51543;
  t51596 = t493 * t46146;
  t51599 = t10603 * t4345;
  t51600 = t1186 * t51599;
  t51603 = t24126 * t345;
  t51604 = t493 * t51603;
  t51605 = t360 * t51554;
  t51608 = -0.4e1 / 0.3e1 * t51553 * t51574 + 0.12e2 * t34885 * t46276 + 0.2e1 / 0.3e1 * t34882 * t46176 + 0.12e2 * t34927 * t51582 + 0.4e1 * t1720 * t51585 + 0.3e1 * t7086 * t46033 + 0.3e1 * t494 * t46037 + 0.4e1 / 0.3e1 * t51559 * t51562 - 0.6e1 * t34874 * t46273 - 0.6e1 * t51596 * t46149 + 0.12e2 * t34871 * t51600 - 0.24e2 * t51604 * t51605;
  t51609 = t360 * t51599;
  t51612 = t1173 * t51599;
  t51615 = t1173 * t51554;
  t51632 = t34899 * t10617;
  t51637 = t4586 * t51522;
  t51640 = -0.4e1 * t34877 * t51609 - 0.2e1 * t34871 * t51612 - 0.72e2 * t51559 * t51615 + 0.2e1 * t35006 * t2366 + 0.4e1 * t7081 * t9612 - 0.2e1 / 0.3e1 * t1720 * t46345 + 0.4e1 * t10674 * t46183 + 0.2e1 * t10674 * t46187 + 0.1e2 / 0.3e1 * t34871 * t46190 + 0.2e1 / 0.3e1 * t34959 * t9571 - 0.2e1 / 0.9e1 * t51632 * t10669 - 0.2e1 / 0.9e1 * t10618 * t46166 - t10618 * t51637 / 0.9e1;
  t51643 = t24581 * t140;
  t51644 = t51643 * t51554;
  t51649 = t1186 * t50753;
  t51658 = t360 * t51522;
  t51667 = t1713 * t9577;
  t51670 = t1165 * t51536;
  t51672 = -t51553 * t51644 / 0.9e1 + 0.4e1 * t34954 * t9574 - 0.22e2 * t34885 * t51649 - 0.5e1 * t34871 * t46228 + 0.15e2 * t34882 * t51514 + 0.12e2 * t10684 * t46136 + 0.6e1 * t10684 * t51658 + 0.4e1 * t7147 * t46211 + 0.2e1 * t7147 * t46200 - 0.2e1 * t34885 * t46153 + 0.4e1 * t51667 * t9580 - t1716 * t51670;
  t51675 = t4626 * t51536;
  t51678 = t24557 * t51581;
  t51691 = t4572 * t51532;
  t51694 = t24477 * t51581;
  t51699 = -t1716 * t46106 - t494 * t46109 + 0.2e1 * t1720 * t51675 + 0.1e2 / 0.3e1 * t34905 * t51678 + t34900 * t10702 / 0.9e1 - 0.8e1 / 0.3e1 * t1720 * t46488 + t7093 * t46494 / 0.9e1 - 0.6e1 * t34900 * t10688 - 0.6e1 * t7093 * t46265 - 0.3e1 * t7093 * t51691 + 0.5e2 / 0.3e1 * t34905 * t51694 + 0.12e2 * t34947 * t10691;
  t51703 = t1038 * t51532;
  t51706 = t4619 * t51581;
  t51713 = t24418 * t51581;
  t51727 = 0.12e2 * t7089 * t46325 + 0.6e1 * t7089 * t51703 - 0.4e2 * t34896 * t51706 - 0.4e1 / 0.3e1 * t1720 * t46491 + 0.3e1 * t7093 * t46119 - 0.12e2 * t34905 * t51713 + 0.2e1 * t7081 * t9632 + 0.2e1 * t1720 * t46100 + t1720 * t46104 - 0.1e2 / 0.3e1 * t7093 * t46308 + 0.4e1 * t7089 * t46314 - t7093 * t46311 / 0.18e2;
  t51728 = t1033 * t51581;
  t51731 = t4609 * t51581;
  t51748 = t4599 * t51522;
  t51755 = 0.24e2 * t34914 * t51728 - 0.2e1 / 0.3e1 * t34896 * t51731 + 0.4e1 * t1720 * t46328 + 0.2e2 / 0.3e1 * t7093 * t46331 - 0.6e1 * t34942 * t10644 - 0.2e1 * t7075 * t10695 - 0.8e1 * t34947 * t10651 + t46124 - 0.4e1 / 0.3e1 * t51632 * t10619 - 0.4e1 / 0.3e1 * t10618 * t46282 - 0.2e1 / 0.3e1 * t10618 * t51748 - 0.4e1 * t34959 * t9568 + 0.4e1 / 0.3e1 * t34959 * t10614;
  t51761 = t1173 * t51510;
  t51764 = t4586 * t50753;
  t51783 = 0.4e1 / 0.3e1 * t7150 * t46160 + 0.2e1 / 0.3e1 * t7150 * t51761 - 0.5e1 / 0.18e2 * t34882 * t51764 - 0.12e2 * t51568 * t51615 + 0.4e1 * t34954 * t10605 - 0.4e1 * t7150 * t46196 - 0.2e1 * t7150 * t46173 + 0.12e2 * t51632 * t10611 + 0.12e2 * t10618 * t46143 + 0.6e1 * t10618 * t51523 - t46216 + 0.2e2 / 0.3e1 * t34900 * t10637;
  t51790 = t4619 * t51532;
  t51797 = t4609 * t51532;
  t51805 = -0.8e1 / 0.3e1 * t7081 * t10641 + t46238 + t46241 - 0.2e1 * t35061 * t2359 + 0.2e1 * t1720 * t46348 + 0.1e2 / 0.3e1 * t7093 * t51790 - 0.2e1 / 0.3e1 * t7081 * t9596 - t1720 * t46447 / 0.3e1 + t7093 * t51797 / 0.18e2 - t7125 * t2220 - 0.2e1 * t1714 * t9627 + 0.4e1 * t7081 * t10699;
  t51825 = t4572 * t51581;
  t51828 = t1038 * t51581;
  t51831 = -0.6e1 * t7086 * t46322 - 0.2e1 * t1716 * t46082 - 0.8e1 * t7089 * t46234 - 0.2e1 * t7075 * t9618 - 0.2e1 * t1714 * t9621 - 0.4e1 / 0.3e1 * t7081 * t9629 - 0.2e1 * t1716 * t46074 - 0.2e1 * t494 * t46078 - 0.6e1 * t7089 * t46042 + 0.36e2 * t34896 * t51825 - 0.36e2 * t34914 * t51828 - t46260;
  t51832 = t1186 * t51510;
  t51835 = t4599 * t50753;
  t51841 = -t46261 - t46263 + t46264 + t46272 - 0.4e1 * t7150 * t51832 - 0.5e2 / 0.3e1 * t34882 * t51835 + 0.12e2 * t1713 * t10683 * t10685 + t46301 - t46303 - t46318 - t46321 + t46338 + t46363;
  t51857 = t46366 + t46381 + t494 * t46335 / 0.2e1 - 0.2e1 * t7081 * t9670 - t1720 * t46414 + t35061 * t2373 + 0.2e1 * t7075 * t9678 + t1716 * t46086 + t7125 * t2233 / 0.2e1 - t46392 - t46393 + 0.2e1 / 0.3e1 * t35006 * t2370;
  t51868 = t1714 * t9652 + 0.4e1 / 0.3e1 * t7081 * t9662 + 0.2e1 / 0.3e1 * t1720 * t46374 - t35006 * t2377 + t46413 - t46418 + t46427 + t46428 - t46430 + t46432 + t9676 + 0.2e1 / 0.3e1 * t7150 * t46222 + t7150 * t46225 / 0.3e1;
  t51878 = t4586 * t142;
  t51879 = t51878 * t50753;
  t51886 = t46248 * t50753;
  t51889 = t4599 * t142;
  t51890 = t51889 * t50753;
  t51893 = t46256 * t50753;
  t51896 = t46252 * t50753;
  t51899 = t34882 * t46206 / 0.9e1 - 0.8e1 * t34959 * t10680 - 0.8e1 * t7150 * t46279 - t46433 + 0.1e2 * t34871 * t46249 + 0.5e1 / 0.9e1 * t34882 * t51879 - 0.8e1 * t34877 * t46257 - 0.5e1 / 0.3e1 * t34871 * t46253 + 0.44e2 * t34885 * t51886 + 0.1e2 / 0.3e1 * t34882 * t51890 - 0.12e2 * t34874 * t51893 - 0.22e2 / 0.3e1 * t34885 * t51896;
  t51904 = t360 * t50753;
  t51911 = t1186 * t51522;
  t51914 = -t35006 * t2362 / 0.3e1 - 0.3e2 * t34882 * t51896 - t46462 + t46464 + t46468 + t46478 - t46482 - t2229 + 0.6e1 * t34874 * t51904 - 0.24e2 * t51517 * t10627 - 0.24e2 * t10609 * t46217 - 0.12e2 * t10609 * t51911 + t2210;
  t51923 = -0.2e1 * t29349 * t10487 - 0.2e1 * t29346 * t10487 - 0.2e1 * t5665 * t7081 * t10486 - 0.5e1 / 0.18e2 * t10357 * t51499 - t49083 + t49085 + t49088 - t49090 - t1070 * t10729 - t373 * t35252 * t2394 / 0.2e1 + t10725 * t51506 - t110 * t139 * (t51529 + t51572 + t51608 + t51640 + t51672 + t51699 + t51727 + t51755 + t51783 + t51805 + t51831 + t51841 + t51857 + t51868 + t51899 + t51914) * t168 / 0.4e1 - t46025;
  t51934 = t5691 * t4693 * t50748;
  t51938 = t4305 * t2388 * t1082;
  t51946 = t6005 * t50764;
  t51948 = -t110 * t10708 * t404 / 0.2e1 - t318 * t7086 * t10726 - t34222 * t10500 / 0.3e1 - t6772 * t45531 / 0.3e1 - 0.4e1 / 0.3e1 * t6769 * t51934 + 0.2e1 * t5649 * t6827 * t51938 + t46029 - t46030 - t46031 - t49913 / 0.9e1 - t49915 / 0.9e1 + 0.2e1 / 0.3e1 * t6764 * t45611 - t10725 * t51946;
  t51950 = t4687 * t50749;
  t51959 = t6005 * t50122;
  t51962 = t110 * t34927;
  t51963 = t6005 * t50127;
  t51966 = t30141 * t50788;
  t51969 = t5695 * t50127;
  t51978 = -t6764 * t51950 / 0.3e1 - t34216 * t10377 / 0.3e1 + 0.2e1 / 0.3e1 * t34529 * t10374 - t34529 * t10377 / 0.3e1 - t10725 * t51959 / 0.2e1 + 0.2e1 * t51962 * t51963 - t6769 * t51966 / 0.2e1 - 0.3e1 * t50772 * t51969 + t6772 * t45086 / 0.2e1 + t46564 - t46567 - t1683 * t45965 / 0.6e1 - t6808 * t10583 / 0.3e1;
  t51981 = t1423 * t50398;
  t52000 = -t6808 * t9350 / 0.3e1 - t1683 * t51981 / 0.6e1 - t1683 * t45962 / 0.3e1 - t33798 * t2347 / 0.6e1 - t33892 * t2347 / 0.3e1 - t6804 * t10583 / 0.3e1 - t6804 * t9350 / 0.3e1 + t1647 * t5851 / 0.4e1 + t6960 * t1394 / 0.2e1 + t4695 * t6827 * t9489 + t46583 + t46584 + t46594 - t46598;
  t52007 = t4687 * t51081;
  t52010 = t1033 * t50121;
  t52014 = t4572 * t50814;
  t52021 = t5691 * t1018 * t50814;
  t52024 = t5695 * t50122;
  t52027 = t6005 * t50618;
  t52030 = t5691 * t51081;
  t52033 = -t46601 + t46603 - t49919 / 0.6e1 + t49923 / 0.18e2 + t49925 / 0.3e1 - t6764 * t52007 / 0.6e1 + 0.3e1 * t5639 * t7089 * t52010 + t5639 * t1720 * t52014 - t5649 * t34553 * t2389 / 0.2e1 - 0.2e1 / 0.3e1 * t6769 * t52021 + t10440 * t52024 / 0.2e1 + t6764 * t52027 / 0.6e1 + t6769 * t52030 / 0.6e1;
  t52038 = t4148 * t50877;
  t52050 = -t46620 - t46621 + t46622 - t49928 / 0.9e1 + t49930 / 0.18e2 + 0.2e1 / 0.9e1 * t49932 - t49934 / 0.3e1 + 0.3e1 * t4695 * t34151 * t52038 - t4695 * t6827 * t45790 + 0.5e1 / 0.2e1 * t5665 * t1720 * t45785 + 0.2e1 / 0.9e1 * t49936 - t49938 / 0.6e1 - t49940 / 0.6e1;
  t52058 = t1101 * t50165;
  t52071 = t5733 * t17571;
  t52077 = t5595 * t5790 * t2756;
  t52082 = -t1683 * t45244 / 0.6e1 + t6788 * t44811 / 0.2e1 - t442 * t34186 / 0.6e1 - t5714 * t52058 / 0.2e1 + t1647 * t5710 / 0.2e1 + 0.3e1 / 0.2e1 * t1647 * t5703 + t1383 * t6940 / 0.2e1 + 0.3e1 / 0.2e1 * t1383 * t6905 + t1383 * t6912 / 0.2e1 + 0.7e1 / 0.3e1 * t5593 * t52071 - t5792 * t6777 / 0.2e1 - 0.3e1 / 0.2e1 * t5593 * t52077 + t1647 * t5737 / 0.2e1;
  t52099 = -t6955 * t5588 / 0.2e1 + t1421 * t35132 / 0.3e1 + t46631 + t46632 - t318 * t10709 / 0.2e1 - t1205 * t2381 / 0.4e1 + t46639 + t49942 / 0.3e1 - t46650 - t46651 - t373 * t6870 * t9498 - t1070 * t10732 + t373 * t1674 * t46533 / 0.2e1 - t4274 * t2395;
  t52118 = t318 * t10512;
  t52122 = t110 * t365 * t10511;
  t52125 = t4609 * t10359;
  t52132 = -t4176 * t2395 / 0.2e1 - t1058 * t10729 - t1058 * t10732 + t6896 * t9430 / 0.3e1 + t6900 * t9430 / 0.3e1 + t1702 * t45214 / 0.6e1 - t33798 * t2342 / 0.12e2 - t33892 * t2342 / 0.6e1 - t6804 * t10462 / 0.6e1 + 0.3e1 * t52118 * t10515 + 0.3e1 * t52122 * t10515 + 0.3e1 * t10513 * t34900 * t52125 + 0.3e1 * t10513 * t7093 * t46604;
  t52133 = t4609 * t50121;
  t52148 = t1033 * t50126;
  t52152 = t356 * t50126;
  t52156 = t24564 * t50098;
  t52171 = 0.3e1 / 0.2e1 * t10513 * t7093 * t52133 + 0.8e1 * t50417 * t50144 * t10511 * t17613 - 0.3e1 / 0.2e1 * t5665 * t7086 * t45074 + 0.3e1 / 0.2e1 * t45286 * t6834 - 0.3e1 / 0.2e1 * t45289 * t6824 - 0.18e2 * t5639 * t34914 * t52148 - 0.6e1 * t5665 * t34927 * t52152 + 0.3e1 * t5665 * t1720 * t52156 + t34216 * t10722 / 0.3e1 + 0.12e2 * t50772 * t5695 * t50319 + t29349 * t10380 + 0.3e1 * t29346 * t10490 + 0.3e1 * t5665 * t34942 * t10489;
  t52176 = t356 * t50121;
  t52186 = t5691 * t50754;
  t52189 = t9444 * t50788;
  t52195 = 0.3e1 * t5665 * t7086 * t45490 + 0.3e1 / 0.2e1 * t5665 * t7086 * t52176 + t34765 * t2339 / 0.6e1 + t34768 * t2339 / 0.3e1 + t490 * t44858 / 0.12e2 - t43495 - 0.11e2 / 0.6e1 * t10440 * t52186 - t46654 + t46656 + t6764 * t52189 / 0.3e1 - t49963 / 0.6e1 - 0.2e1 / 0.3e1 * t49965 + t49967 / 0.3e1;
  t52198 = t24435 * t50753;
  t52211 = t49969 / 0.3e1 - 0.11e2 / 0.27e2 * t49971 - t9709 + t9712 - 0.15e2 / 0.2e1 * t5665 * t7093 * t52198 + t49973 / 0.9e1 + t49981 / 0.6e1 + 0.2e1 / 0.9e1 * t49985 + 0.2e1 / 0.9e1 * t49987 - t49996 / 0.3e1 - 0.5e1 / 0.12e2 * t6769 * t45526 + t49102 - t50024 / 0.3e1 - t50026 / 0.6e1;
  t52218 = my_piecewise3(t100, 0, t52211 + t50525 + t50255 + t50217 + t50286 + t50131 + t50327 + t50361 + t52195 + t50097 + t50225 + t50470 + t52171 + t51948 + t52050 + t52000 + t50434 + t52099 + t52033 + t50501 + t51923 + t51458 + t51433 + t52082 + t51414 + t51978 + t51388 + t51489 + t51364 + t50395 + t51329 + t50169 + t51298 + t51283 + t51248 + t51210 + t51179 + t51135 + t51101 + t51065 + t51044 + t51032 + t51005 + t50973 + t50948 + t50926 + t50876 + t50851 + t50829 + t50795 + t52132 + t50767 + t50200 + t50736 + t50715 + t50698 + t50683 + t50671 + t50662 + t50651 + t50630 + t50600 + t50556 + t50574);
  tv4rho2sigmalapl17 = t3 * t52218 + 0.2e1 * t10755;

  if(out->v4rho2sigmalapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmalapl[ip*p->dim.v4rho2sigmalapl + 17] += tv4rho2sigmalapl17;

  t52229 = t37357 * t9842;
  t52233 = t188 * t7686;
  t52234 = t52233 * t9747;
  t52236 = t30 * t36087;
  t52239 = t26099 * t11221;
  t52241 = t543 * t592;
  t52242 = t3264 * t52241;
  t52243 = t4873 * t52242;
  t52246 = t26396 * t11226;
  t52248 = t26099 * t11217;
  t52250 = t253 * t52241;
  t52251 = t4996 * t52250;
  t52253 = t7213 * t4809;
  t52254 = t4808 * t52253;
  t52259 = -t26650 * t7362 / 0.2e1 + 0.3e1 * t26260 * t10841 - t3266 * t36849 * t2323 - t3266 * t7449 * t8976 - t52229 / 0.18e2 - t7251 * t47390 / 0.2e1 - 0.5e1 / 0.54e2 * t52234 + 0.5e1 / 0.3e1 * t52236 * t47421 + 0.2e1 / 0.9e1 * t52239 - 0.2e1 * t26106 * t52243 - t52246 / 0.3e1 - t52248 / 0.9e1 + t26106 * t52251 - 0.5e1 / 0.36e2 * t4806 * t52254 - t417 * t35778 / 0.12e2;
  t52266 = t182 * t7686;
  t52268 = t30 * t36146;
  t52281 = t1294 * t35902 / 0.6e1 - t41020 + t41030 - t7251 * t43341 / 0.3e1 - 0.23e2 / 0.36e2 * t10757 * t42364 - t52266 * t9854 - t52268 * t9854 - t10757 * t47215 - t10757 * t41711 - t5211 * t1765 / 0.12e2 + t7251 * t42715 / 0.4e1 - t7251 * t41851 / 0.6e1 - 0.11e2 / 0.9e1 * t52268 * t9860 + t21744 * t11164 - t2089;
  t52301 = t182 * t7680;
  t52303 = t30 * t36223;
  t52309 = t30 * t36075;
  t52312 = t2160 + 0.3e1 * t26266 * t10841 + 0.3e1 * t4772 * t36252 * t10119 + 0.3e1 * t4772 * t7690 * t42275 + 0.3e1 / 0.2e1 * t4772 * t7690 * t48338 + t26260 * t10832 - t7254 * t47556 / 0.3e1 - t7254 * t41758 / 0.3e1 - t7254 * t48845 / 0.6e1 + t52301 * t9957 + t52303 * t9957 + t10838 * t46791 + t10838 * t43323 + t10838 * t48848 / 0.2e1 - 0.38e2 / 0.9e1 * t52309 * t47705;
  t52324 = t36464 * t4878;
  t52327 = t229 * t525;
  t52328 = t52327 * t4764;
  t52331 = t3130 * t525;
  t52332 = t52331 * t4878;
  t52338 = t26535 * t10912;
  t52340 = t26535 * t10905;
  t52355 = 0.89e2 / 0.9e1 * t52309 * t48985 + t417 * t35889 / 0.12e2 + t4983 * t1876 * t47824 - t4772 * t1876 * t48996 + t3266 * t36483 * t2331 / 0.2e1 - t4761 * t52324 / 0.3e1 + t4761 * t52328 / 0.3e1 + t4872 * t52332 / 0.4e1 + t4772 * t1872 * t42191 / 0.2e1 + 0.2e1 * t52338 + 0.2e1 / 0.3e1 * t52340 + 0.6e1 * t26263 * t10912 + 0.6e1 * t4983 * t36223 * t47699 + 0.6e1 * t4983 * t7680 * t42432 + 0.3e1 * t4983 * t7680 * t47827 + 0.2e1 * t26257 * t10905;
  t52375 = t37357 * t8767;
  t52379 = t3232 * t2462 / 0.18e2;
  t52380 = t1254 * t10964;
  t52384 = t1261 * t1226 * t1805;
  t52393 = 0.2e1 * t26263 * t10905 + 0.2e1 * t4983 * t7665 * t4987 + 0.2e1 * t4983 * t1876 * t43279 + t26586 * t11167 / 0.3e1 + t26642 * t7358 / 0.6e1 - t26060 * t10884 / 0.6e1 + 0.3e1 * t4772 * t1876 * t48163 + t52375 / 0.9e1 - t10838 * t43209 - t52379 - t654 * t52380 / 0.6e1 + t654 * t52384 / 0.3e1 - t5286 * t7481 / 0.2e1 + t1228 * t7484 / 0.2e1 + t7600 * t1290 / 0.2e1;
  t52416 = -t36038 * t1270 + t7592 * t1275 - t36048 * t1270 + t7600 * t1275 - t7587 * t4791 + t41124 - t41132 - t41134 - t5202 * t1807 / 0.12e2 - t1247 * t7374 / 0.6e1 - t1247 * t7402 / 0.6e1 + t608 * t10998 / 0.2e1 + t246 * t1805 * t5056 * t249 / 0.4e1 + t630 * t11001 + t608 * t11001 + t246 * t35611 * t2331 / 0.2e1;
  t52448 = t246 * t7384 * t8968 - t7228 * t10187 / 0.6e1 - t7228 * t8703 / 0.6e1 - t35369 * t2271 / 0.12e2 - t7233 * t10187 / 0.6e1 - t7233 * t8703 / 0.6e1 + t515 * t26507 / 0.12e2 + t7742 * t9785 / 0.3e1 + t7746 * t9785 / 0.3e1 + t1815 * t47337 / 0.6e1 + t1815 * t42213 / 0.3e1 + t7742 * t8833 / 0.3e1 + t7746 * t8833 / 0.3e1 + t1815 * t41270 / 0.6e1 + t1815 * t42177 / 0.6e1;
  t52464 = t52233 * t9854;
  t52468 = t52233 * t9847;
  t52470 = t37357 * t8771;
  t52477 = t37357 * t8795;
  t52479 = t37357 * t10169;
  t52481 = -t1779 * t41374 / 0.6e1 + t36429 * t8767 / 0.3e1 + t7251 * t42084 / 0.3e1 + t7251 * t43411 / 0.3e1 + t7251 * t42066 / 0.6e1 + 0.11e2 / 0.18e2 * t10757 * t42056 - 0.2e1 * t4772 * t1876 * t42498 - t52464 / 0.3e1 + 0.6e1 * t52236 * t47357 + 0.14e2 / 0.9e1 * t52468 - 0.2e1 / 0.9e1 * t52470 + 0.2e1 * t10838 * t43390 + t26266 * t10832 + 0.2e1 * t7251 * t47203 + t52477 / 0.18e2 - t52479 / 0.9e1;
  t52501 = t633 * t10776;
  t52502 = t52501 * t250;
  t52504 = t26856 * t7358;
  t52506 = t26099 * t10884;
  t52508 = t4772 * t7670 * t10123 + t4772 * t1872 * t42307 + t4772 * t1872 * t47669 / 0.2e1 - t21744 * t10835 - t1755 * t5261 / 0.6e1 - t7549 * t1223 / 0.12e2 - t7546 * t1223 / 0.6e1 - t1750 * t5261 / 0.6e1 + t52502 / 0.6e1 + t52504 / 0.18e2 - t52506 / 0.18e2 - t41224 + t41227 + t41230 - t41239;
  t52511 = t1254 * t52253;
  t52513 = t35347 * t1255;
  t52514 = t843 * t52513;
  t52519 = t4907 * t10818;
  t52522 = -t41251 - t41263 - t41265 - t41267 + t41291 - t41293 - t41295 - t41297 + t41299 + t5277 * t1802 / 0.2e1 + t5156 * t52511 + t1294 * t52514 / 0.3e1 + t417 * t35349 / 0.6e1 + 0.2e1 / 0.9e1 * t52519 - t5277 * t1793;
  t52527 = t7567 * t2108 / 0.54e2;
  t52529 = t35387 * t2276 / 0.27e2;
  t52531 = 0.2e1 / 0.27e2 * t35387 * t2282;
  t52533 = t21203 * t2444 / 0.9e1;
  t52534 = t1768 * t4809;
  t52535 = t1261 * t52534;
  t52538 = t37183 * t1270;
  t52542 = t7611 * t1275;
  t52546 = t637 * t10938;
  t52548 = t637 * t10941;
  t52557 = -t5277 * t1798 / 0.2e1 - t52527 + t52529 - t52531 + t52533 - 0.2e1 * t5156 * t52535 - t52538 / 0.3e1 + 0.3e1 * t7587 * t4919 + t52542 / 0.3e1 - 0.3e1 * t1770 * t4904 - t52546 / 0.3e1 - t52548 / 0.3e1 + t10757 * t42051 / 0.2e1 + 0.8e1 * t52309 * t48315 - 0.6e1 * t48902 * t36075 * t48903;
  t52565 = t683 * t525;
  t52566 = t52565 * t4764;
  t52569 = t4877 * t52250;
  t52582 = t7276 * t8753;
  t52593 = t4907 * t10814;
  t52595 = 0.18e2 * t9877 * t36075 * t47831 - t36004 * t4769 / 0.2e1 + t4882 * t36465 / 0.6e1 - t4872 * t52566 / 0.6e1 - t26050 * t52569 / 0.2e1 + t1815 * t41197 / 0.3e1 + t515 * t26522 / 0.6e1 + t1755 * t4754 / 0.6e1 - t7233 * t8992 / 0.6e1 - t1755 * t4750 / 0.6e1 + 0.2e1 / 0.9e1 * t52582 - t7228 * t8992 / 0.6e1 - t1750 * t4750 / 0.6e1 - 0.2e1 * t7243 * t1261 * t41577 + t7746 * t8987 / 0.3e1 - t52593 / 0.9e1;
  t52602 = t1261 * t52513;
  t52608 = t1261 * t1226 * t37476;
  t52613 = t7611 * t1290;
  t52615 = t7276 * t8992;
  t52619 = t4907 * t10990;
  t52621 = t1218 * t7262;
  t52631 = t7742 * t8987 / 0.3e1 + t1750 * t4754 / 0.6e1 - t1252 * t52602 / 0.6e1 - t417 * t35774 / 0.6e1 + 0.2e1 / 0.3e1 * t21103 * t52608 + t1770 * t4931 / 0.2e1 + t52613 / 0.6e1 - t52615 / 0.18e2 + t7243 * t42180 / 0.2e1 - t52619 / 0.18e2 - t52621 / 0.18e2 - t515 * t26916 / 0.6e1 + 0.3e1 / 0.2e1 * t1228 * t7206 - t7196 * t41039 / 0.2e1 - 0.3e1 * t7587 * t4857;
  t52663 = 0.2e1 * t10838 * t47510 + 0.2e1 * t10838 * t41794 + t10838 * t48047 - 0.4e1 * t52301 * t9866 - 0.4e1 * t52303 * t9866 - 0.4e1 * t10838 * t47407 - t1242 * t7262 / 0.6e1 + t36604 * t2268 / 0.6e1 + t36834 * t2268 / 0.3e1 + t36586 * t2268 / 0.6e1 + t1750 * t8658 / 0.6e1 + t7564 * t2108 / 0.12e2 + t1755 * t8658 / 0.6e1 + t515 * t41416 / 0.12e2 - t1779 * t48930 / 0.12e2 - t1779 * t42467 / 0.6e1;
  t52676 = t36710 * t2268 / 0.27e2;
  t52677 = t7276 * t10187;
  t52679 = t7276 * t8703;
  t52681 = t36928 * t2268;
  t52683 = t3051 * t10930;
  t52685 = t3051 * t10933;
  t52687 = t35329 * t2282;
  t52689 = t35631 * t2282;
  t52691 = t7276 * t9837;
  t52693 = t7276 * t8980;
  t52695 = -t1779 * t41950 / 0.12e2 + t7549 * t2108 / 0.12e2 + t7546 * t2108 / 0.6e1 - t1779 * t42633 / 0.6e1 - t515 * t26514 / 0.6e1 - t52676 - t52677 / 0.18e2 - t52679 / 0.18e2 + t52681 / 0.9e1 - t52683 / 0.3e1 - t52685 / 0.3e1 + 0.2e1 / 0.9e1 * t52687 + 0.2e1 / 0.9e1 * t52689 + 0.2e1 / 0.9e1 * t52691 + 0.2e1 / 0.9e1 * t52693;
  t52696 = t35329 * t2276;
  t52698 = t35631 * t2276;
  t52700 = t7276 * t10144;
  t52725 = -t52696 / 0.9e1 - t52698 / 0.9e1 - t52700 / 0.9e1 + t41340 + 0.2e1 / 0.3e1 * t35564 * t2282 + 0.2e1 / 0.3e1 * t7228 * t9837 + 0.2e1 / 0.3e1 * t7228 * t8980 - t21748 * t10835 - t37284 * t8786 / 0.3e1 - t37275 * t8786 / 0.3e1 - t7254 * t42358 / 0.3e1 - t7254 * t42242 / 0.3e1 - t7254 * t42236 / 0.6e1 - t37301 * t8792 / 0.3e1 - t37277 * t8792 / 0.3e1 - t7248 * t41872 / 0.3e1;
  t52735 = t36791 * t8786;
  t52737 = t37082 * t8792;
  t52746 = t1854 * t206;
  t52748 = t4873 * t3264 * t52746;
  t52753 = t9744 * t52242;
  t52758 = t1854 * t648;
  t52759 = t52758 * t1250;
  t52762 = t11224 * t4789;
  t52768 = -t7251 * t42593 / 0.6e1 - t3266 * t36732 * t2323 / 0.2e1 - t52735 / 0.9e1 - t52737 / 0.9e1 - 0.5e1 / 0.18e2 * t52268 * t9747 - 0.5e1 / 0.18e2 * t10757 * t46784 + t3266 * t10878 * t3468 / 0.2e1 + 0.2e1 / 0.3e1 * t4872 * t52748 + t4872 * t35958 / 0.3e1 + 0.23e2 / 0.36e2 * t26050 * t52753 - t26211 * t11226 - t26896 * t11226 - t4993 * t52759 * t1269 - t4993 * t52762 * t1269 - t4993 * t11225 * t4794 / 0.2e1;
  t52771 = t47603 * t11232;
  t52775 = t3242 * t2453;
  t52780 = t2435 * t66;
  t52782 = t836 * t52780 * t838;
  t52788 = t1261 * t1226 * t13899;
  t52799 = t5241 * t1807 / 0.54e2;
  t52800 = 0.18e2 * t52236 * t48285 + t52771 - 0.18e2 * t9877 * t36087 * t48280 + t52775 / 0.3e1 + t5266 * t1788 - t5286 * t7385 + t1228 * t7398 + t211 * t52782 / 0.12e2 - t1228 * t7526 / 0.2e1 + 0.2e1 / 0.3e1 * t3396 * t52788 + t1228 * t7520 / 0.2e1 - t4816 * t10814 / 0.3e1 - t4798 * t10814 / 0.3e1 + t5277 * t1788 + t52799;
  t52802 = t4934 * t10985;
  t52804 = t843 * t52253;
  t52807 = t1218 * t7215;
  t52811 = t7611 * t1282;
  t52814 = t35387 * t2271 / 0.54e2;
  t52832 = t52802 / 0.9e1 - t4938 * t52804 / 0.2e1 + t52807 / 0.18e2 - t417 * t35421 / 0.6e1 - t52811 / 0.3e1 + t52814 + t5145 * t10985 / 0.3e1 + t1247 * t7215 / 0.6e1 + t4948 * t10985 / 0.3e1 + t1242 * t7215 / 0.6e1 - t4798 * t10990 / 0.6e1 + t1779 * t26759 / 0.3e1 + 0.2e1 / 0.3e1 * t1779 * t25916 + t1779 * t41393 / 0.3e1 + t21744 * t11242;
  t52850 = t7183 * t8987;
  t52852 = t1760 * t4754;
  t52860 = t5234 * t1793;
  t52864 = t5234 * t1798;
  t52866 = t21748 * t11242 + t3266 * t52759 * t1274 + t3266 * t52762 * t1274 + t3266 * t11225 * t4828 / 0.2e1 - 0.2e1 * t4772 * t7665 * t9770 + t3266 * t36776 * t2331 - t1770 * t4837 / 0.4e1 + t1770 * t4958 / 0.4e1 + t52850 / 0.9e1 + t52852 / 0.18e2 - t7233 * t8696 / 0.3e1 - t1779 * t47774 / 0.6e1 - t1779 * t41162 / 0.3e1 - t52860 / 0.3e1 + 0.3e1 / 0.2e1 * t1228 * t7420 - t52864 / 0.6e1;
  t52885 = t5250 * t1765;
  t52887 = t5247 * t1765;
  t52889 = t1760 * t5261;
  t52891 = t7633 * t1223;
  t52893 = t7628 * t1223;
  t52895 = t1218 * t7606;
  t52897 = t515 * t41422 / 0.6e1 + t515 * t41517 / 0.12e2 - t35561 * t2276 / 0.6e1 - t35564 * t2276 / 0.3e1 - t7228 * t10144 / 0.3e1 - t7228 * t8696 / 0.3e1 - t35369 * t2276 / 0.6e1 - t7233 * t10144 / 0.3e1 - t52885 / 0.18e2 - t52887 / 0.18e2 - t52889 / 0.18e2 - t52891 / 0.18e2 - t52893 / 0.18e2 - t52895 / 0.18e2 + t41361;
  t52899 = t1261 * t7598 * t2266;
  t52929 = t52331 * t5000;
  t52931 = 0.2e1 / 0.3e1 * t3396 * t52899 - t630 * t10948 / 0.2e1 - t630 * t10951 / 0.2e1 - t3101 * t2450 / 0.4e1 - t608 * t10948 / 0.2e1 - t608 * t10951 / 0.2e1 - t246 * t36660 * t2323 / 0.2e1 - t246 * t7510 * t8976 - t630 * t10941 - t246 * t1792 * t41312 / 0.2e1 - t3220 * t2450 / 0.4e1 - t3226 * t2450 / 0.2e1 - t3226 * t2447 - t3101 * t2447 / 0.2e1 - t608 * t10938 - t4872 * t52929;
  t52933 = t52565 * t5003;
  t52936 = t30 * t36021;
  t52940 = t30 * t525 * t4991;
  t52942 = t30 * t7581;
  t52946 = t22052 * t10879;
  t52951 = t26835 * t11167;
  t52953 = t37139 * t2268;
  t52955 = t7183 * t9785;
  t52957 = t7183 * t8833;
  t52963 = t7628 * t2108;
  t52965 = t7633 * t2108;
  t52967 = 0.2e1 / 0.3e1 * t4872 * t52933 + 0.3e1 / 0.2e1 * t52936 * t4988 - t52940 * t4994 - 0.3e1 / 0.2e1 * t52942 * t4781 + t36004 * t4786 - t52946 / 0.6e1 - t3266 * t10856 * t3492 / 0.2e1 + t52951 / 0.9e1 + t52953 / 0.9e1 + t52955 / 0.9e1 + t52957 / 0.9e1 + t1779 * t25950 / 0.3e1 + 0.23e2 / 0.36e2 * t7196 * t41578 + t52963 / 0.18e2 + t52965 / 0.18e2;
  t52971 = t670 * t11206;
  t52972 = t26847 * t52971;
  t52988 = t9845 * t17503;
  t53007 = -t4772 * t1876 * t42491 / 0.2e1 - 0.7e1 / 0.3e1 * t26182 * t52972 + 0.3e1 * t26260 * t11214 + 0.3e1 * t26266 * t11214 + 0.3e1 * t4772 * t36146 * t9885 + 0.3e1 * t4772 * t7686 * t42401 + 0.3e1 / 0.2e1 * t4772 * t7686 * t48263 + 0.7e1 / 0.3e1 * t26182 * t52988 + t26257 * t11208 + t26263 * t11208 + t4983 * t7665 * t42120 + t4983 * t1876 * t42123 + t4983 * t1876 * t42201 / 0.2e1 + 0.3e1 / 0.2e1 * t26182 * t26189 * t3156 * t11206 - t26260 * t11211 - t515 * t26292 / 0.12e2;
  t53027 = t3556 * t525;
  t53028 = t53027 * t4878;
  t53031 = t689 * t525;
  t53032 = t53031 * t4764;
  t53037 = t188 * t7690;
  t53038 = t53037 * t10156;
  t53040 = t30 * t36211;
  t53043 = t36791 * t9935;
  t53047 = t35561 * t2282 / 0.3e1 + t37284 * t9758 / 0.3e1 + t37275 * t9758 / 0.3e1 + t7254 * t47547 / 0.3e1 + t7254 * t47655 / 0.6e1 + t7254 * t41780 / 0.3e1 - t7251 * t41697 * t5000 + 0.2e1 / 0.3e1 * t7251 * t47060 + t4872 * t53028 / 0.2e1 - t4872 * t53032 / 0.3e1 + t11019 * t42396 / 0.2e1 - t53038 / 0.3e1 + 0.2e1 * t53040 * t47418 - t53043 / 0.9e1 + t7248 * t42391 / 0.2e1;
  t53048 = t26410 * t11220;
  t53077 = t4808 * t52534;
  t53082 = t1254 * t35355;
  t53085 = 0.2e1 / 0.3e1 * t4872 * t53048 + t630 * t10994 / 0.2e1 + t608 * t10994 / 0.2e1 + t246 * t35550 * t420 * t249 / 0.4e1 + t246 * t7400 * t1310 * t249 / 0.2e1 + t630 * t10998 / 0.2e1 - t1779 * t42653 / 0.6e1 - 0.11e2 / 0.18e2 * t7196 * t41666 + t1228 * t7379 / 0.2e1 + t1770 * t4829 / 0.2e1 - t5286 * t7387 / 0.2e1 + t1252 * t35353 / 0.3e1 + 0.23e2 / 0.36e2 * t4806 * t53077 - t7587 * t4795 / 0.2e1 - t1252 * t53082 / 0.6e1;
  t53087 = t4851 * t52253;
  t53094 = t670 * t17361;
  t53102 = t26425 * t10883;
  t53105 = t253 * t52746;
  t53106 = t4996 * t53105;
  t53111 = t9845 * t52250;
  t53121 = -0.11e2 / 0.18e2 * t4806 * t53087 + t26260 * t10860 + t26260 * t10863 - t21744 * t10866 / 0.2e1 + 0.47e2 / 0.3e1 * t48271 * t26189 * t53094 - t26696 * t11217 / 0.3e1 - t26060 * t11217 / 0.3e1 - t4872 * t53102 / 0.3e1 - t4872 * t53106 / 0.3e1 - t4872 * t36878 / 0.6e1 - 0.11e2 / 0.18e2 * t26050 * t53111 + 0.2e1 / 0.3e1 * t26696 * t11221 + 0.2e1 / 0.3e1 * t26060 * t11221 - t26266 * t11211 - t4772 * t7665 * t8762;
  t53132 = t7276 * t8749;
  t53137 = t5234 * t1788;
  t53140 = t3232 * t2447 / 0.9e1;
  t53146 = t3232 * t2453 / 0.9e1;
  t53151 = -t4772 * t1876 * t42488 - t21748 * t10879 / 0.2e1 - t21744 * t10857 - t21744 * t10879 / 0.2e1 - t21748 * t10857 - 0.3e1 * t1228 * t7424 - t53132 / 0.9e1 + t7243 * t41663 + 0.3e1 * t5286 * t7427 + t53137 / 0.3e1 + t53140 - t10777 * t827 / 0.4e1 + t10777 * t832 / 0.2e1 - t53146 + 0.2e1 / 0.3e1 * t7233 * t9837 - t7254 * t43383 / 0.3e1;
  t53157 = t7351 * t1245;
  t53164 = t36908 * t415;
  t53179 = t36997 * t432;
  t53187 = t1254 * t52513;
  t53192 = -t3266 * t7351 * t4961 * t1281 - t3266 * t53157 * t826 / 0.2e1 - t3266 * t36908 * t1278 * t1281 - t3266 * t53164 * t826 / 0.2e1 - t679 * t1784 * t42000 / 0.2e1 - t10757 * t47219 / 0.2e1 + 0.44e2 / 0.27e2 * t52309 * t48991 + t7600 * t1239 / 0.2e1 + t1770 * t5208 / 0.4e1 + t53179 / 0.6e1 - t1779 * t41145 / 0.3e1 - t7233 * t8749 / 0.3e1 - t7228 * t8749 / 0.3e1 - t1252 * t53187 / 0.3e1 - t1228 * t7513 / 0.2e1;
  t53215 = t3101 * t2453 / 0.2e1 - t3220 * t2447 / 0.2e1 - t246 * t35461 * t2166 / 0.4e1 - t246 * t7525 * t8963 / 0.2e1 - t246 * t1797 * t41890 / 0.4e1 + t3220 * t2453 / 0.2e1 + t3226 * t2453 + t41555 + t41557 + t41560 + t41567 - t41569 + t630 * t11004 + t608 * t11004 + 0.6e1 * t26257 * t10912 - 0.35e2 / 0.108e3 * t52309 * t48959;
  t53217 = t11224 * t4900;
  t53229 = t26467 * t10860;
  t53231 = t41593 - t41597 - t41610 - t41612 + t41624 - t41629 + t41651 - t41653 + t41656 + 0.3e1 * t4993 * t53217 * t4918 + t7248 * t41744 / 0.6e1 + 0.5e1 / 0.36e2 * t10757 * t42563 + t37301 * t8800 / 0.6e1 + t37277 * t8800 / 0.6e1 + t53229 / 0.3e1;
  t53232 = t26467 * t10863;
  t53257 = t9744 * t4991 * t52241;
  t53260 = t543 * t69;
  t53261 = t53260 * t4804;
  t53276 = t53232 / 0.3e1 + 0.11e2 * t4772 * t7680 * t47425 - 0.6e1 * t4993 * t35984 * t48248 - t7254 * t41975 / 0.3e1 - 0.11e2 * t4983 * t7680 * t48138 + 0.6e1 * t4993 * t37339 * t48143 - 0.5e1 / 0.12e2 * t7251 * t41980 + t7251 * t41991 / 0.6e1 - t7248 * t41985 / 0.3e1 - 0.11e2 / 0.9e1 * t10757 * t48964 - 0.3e1 / 0.2e1 * t26050 * t53257 + 0.3e1 / 0.2e1 * t26550 * t53261 * t4846 - 0.62e2 / 0.3e1 * t52309 * t48908 + 0.3e1 / 0.2e1 * t3266 * t53261 * t4863 - 0.3e1 / 0.2e1 * t9877 * t7686 * t42038 + 0.3e1 * t4983 * t7686 * t42042;
  t53291 = t26535 * t11236;
  t53310 = t26396 * t10907;
  t53316 = -0.3e1 / 0.2e1 * t4772 * t7686 * t42046 - 0.18e2 * t4983 * t36075 * t48833 + 0.6e1 * t4772 * t36075 * t47798 - 0.2e1 * t53291 + 0.36e2 * t4983 * t36087 * t48169 + t52942 * t4775 - t36004 * t4778 - 0.2e1 / 0.3e1 * t7251 * t43223 - t30 * t11149 * t277 / 0.2e1 + t36448 * t8795 / 0.6e1 + t36429 * t8795 / 0.6e1 - 0.3e1 * t4983 * t1876 * t48327 - t53310 / 0.3e1 - 0.11e2 / 0.18e2 * t10757 * t47804 - 0.61e2 / 0.27e2 * t52309 * t47808;
  t53345 = 0.23e2 / 0.18e2 * t52266 * t9857 + 0.23e2 / 0.18e2 * t52268 * t9857 + 0.23e2 / 0.18e2 * t10757 * t47456 + 0.23e2 / 0.18e2 * t10757 * t42587 + 0.23e2 / 0.36e2 * t10757 * t47461 - 0.6e1 * t26260 * t11239 - 0.6e1 * t26266 * t11239 - 0.6e1 * t4772 * t36223 * t9893 - 0.6e1 * t4772 * t7680 * t42279 - 0.3e1 * t4772 * t7680 * t47905 - 0.28e2 * t47910 * t9845 * t53094 - 0.11e2 / 0.9e1 * t52266 * t9860 - t41717 + t41719 - t41720;
  t53347 = t10882 * t794;
  t53348 = t253 * t53347;
  t53349 = t3273 * t53348;
  t53361 = t4877 * t53348;
  t53372 = t26535 * t11208;
  t53374 = -t41729 - t41735 - t41737 - t4761 * t53349 / 0.3e1 - 0.2e1 * t26260 * t11171 - 0.11e2 / 0.9e1 * t10757 * t48160 - 0.11e2 / 0.9e1 * t10757 * t41789 - t3266 * t7361 * t8963 / 0.2e1 + t4872 * t53361 / 0.4e1 + t3266 * t10856 * t26336 + 0.15e2 / 0.2e1 * t10757 * t48883 - 0.3e1 * t10757 * t48852 - t759 * t2437 / 0.4e1 + t53372 / 0.3e1 + t41763;
  t53391 = t843 * t52780 * t830;
  t53394 = t26467 * t11171;
  t53396 = t22052 * t11164;
  t53398 = t26467 * t11239;
  t53409 = t36074 * t48410;
  t53412 = -t42740 - t42741 - t42746 - t42761 + t42771 + t42776 + 0.2e1 / 0.3e1 * t36081 * t2299 + 0.4e1 / 0.3e1 * t7665 * t9116 + 0.2e1 / 0.3e1 * t1876 * t42871 + t36166 * t2302 + t519 * t42950 / 0.2e1 + 0.8e1 / 0.3e1 * t53409 * t48446;
  t53421 = t1875 * t48706;
  t53424 = t7685 * t48416;
  t53439 = -0.6e1 * t36092 * t42748 + 0.24e2 * t53409 * t48413 + 0.12e2 * t36194 * t42965 + 0.2e1 / 0.3e1 * t36092 * t42968 + 0.72e2 * t53421 * t48711 + 0.8e1 * t53424 * t48413 - 0.4e1 / 0.3e1 * t53409 * t48429 + 0.12e2 * t11143 * t42816 + 0.6e1 * t11143 * t48462 + 0.4e1 * t36069 * t10098 + 0.4e1 * t7655 * t42819 + 0.2e1 * t7655 * t48740;
  t53457 = t1869 * t9081;
  t53466 = 0.44e2 / 0.3e1 * t36194 * t48518 - 0.2e1 / 0.9e1 * t11072 * t42813 - t11072 * t48478 / 0.9e1 - t53409 * t48482 / 0.9e1 + 0.4e1 * t36069 * t9078 + 0.4e1 * t7655 * t43194 + 0.2e1 * t7655 * t42757 - 0.2e1 * t36194 * t42748 + 0.4e1 * t53457 * t9084 + 0.4e1 * t11138 * t42797 + 0.2e1 * t11138 * t42752 + 0.1e2 / 0.3e1 * t36191 * t42856;
  t53473 = t518 * t42841;
  t53484 = 0.2e1 / 0.3e1 * t36114 * t9087 - 0.8e1 * t36114 * t10012 - 0.8e1 * t7651 * t42853 - 0.6e1 * t53473 * t42844 - 0.2e1 * t36191 * t48497 - 0.6e1 * t36105 * t42847 + 0.12e2 * t36191 * t48703 - 0.12e2 * t53421 * t48708 + t42860 - t42874 + t42889 - t42893 + t42902;
  t53500 = t42904 + t42906 + t42914 + t42922 + t42924 + 0.12e2 * t36223 * t10042 + 0.2e1 * t1876 * t42778 + t1876 * t42768 - 0.1e2 / 0.3e1 * t7686 * t43046 - 0.6e1 * t36146 * t10046 - 0.6e1 * t7686 * t42782 - 0.3e1 * t7686 * t48572;
  t53518 = t518 * t48521;
  t53523 = 0.5e2 / 0.3e1 * t36075 * t48656 - t36081 * t2306 - 0.2e1 * t7665 * t9005 - t1876 * t43097 + 0.2e1 * t7670 * t9010 + t1872 * t43085 + t7715 * t2142 / 0.2e1 - 0.2e1 * t1870 * t9052 - 0.4e1 / 0.3e1 * t7665 * t9054 - 0.72e2 * t53424 * t48708 - 0.24e2 * t53518 * t48523 - 0.4e1 * t36100 * t48526;
  t53547 = -0.2e1 / 0.3e1 * t1876 * t43186 + t7686 * t48699 / 0.18e2 - t7715 * t2129 + 0.36e2 * t36087 * t48694 - 0.36e2 * t36084 * t48564 - 0.6e1 * t7680 * t43049 - 0.4e1 / 0.3e1 * t1876 * t43109 - t1872 * t43120 - 0.2e1 * t1870 * t9065 + t36146 * t10052 / 0.9e1 - t1876 * t43005 / 0.3e1 + t7686 * t43009 / 0.9e1;
  t53570 = -0.2e1 * t1872 * t43041 - t1872 * t48665 - 0.2e1 * t7670 * t9062 - 0.2e1 * t1872 * t43116 - t519 * t43013 - 0.4e1 * t7670 * t9069 - 0.2e1 * t1872 * t43171 - 0.8e1 * t7680 * t43174 - 0.8e1 * t36223 * t10068 - 0.4e1 * t7680 * t48670 - t36081 * t2291 / 0.3e1 - 0.2e1 / 0.3e1 * t7665 * t9035 + t42976;
  t53574 = t43016 - t43017 - t43019 - t43021 - t43023 + t43025 - t43045 - t43059 - t43061 + t43079 - t43080 - t43081;
  t53579 = t7664 * t10001;
  t53596 = t36145 * t9994;
  t53599 = -t43082 - 0.4e1 * t7651 * t48506 - 0.5e2 / 0.3e1 * t36092 * t48434 + 0.4e1 * t53579 * t9998 + 0.4e1 * t11079 * t42822 + 0.2e1 * t11079 * t48442 + 0.4e1 / 0.3e1 * t53424 * t48446 + 0.4e1 / 0.3e1 * t36114 * t10017 + 0.4e1 / 0.3e1 * t7651 * t42809 + 0.2e1 / 0.3e1 * t7651 * t48466 - 0.5e1 / 0.18e2 * t36092 * t48469 - 0.2e1 / 0.9e1 * t53596 * t10083;
  t53620 = t1870 * t9110 + 0.2e1 * t1876 * t48607 - 0.6e1 * t1876 * t48765 + 0.15e2 * t36092 * t48518 - 0.3e2 * t36092 * t48585 + 0.1e2 * t36191 * t43076 - 0.5e1 * t36191 * t43156 - 0.22e2 * t36194 * t48745 + 0.3e1 * t7690 * t42927 + 0.3e1 * t519 * t42931 - t43094 + t43096;
  t53647 = 0.12e2 * t36211 * t48579 + 0.2e2 / 0.3e1 * t7686 * t43125 + 0.1e2 / 0.3e1 * t7686 * t48653 - 0.8e1 / 0.3e1 * t7665 * t10056 - 0.8e1 / 0.3e1 * t1876 * t42938 - 0.4e1 / 0.3e1 * t1876 * t48679 + 0.4e1 * t1876 * t48576 + 0.2e1 * t1872 * t48582 + 0.4e1 * t7665 * t9057 + 0.2e2 / 0.3e1 * t36146 * t10039 + 0.2e1 * t1876 * t43122 - 0.2e1 * t36166 * t2288 + 0.2e1 * t36081 * t2295;
  t53673 = -0.12e2 * t36075 * t48691 + 0.3e1 * t7686 * t42972 - 0.2e1 / 0.3e1 * t36087 * t48617 - 0.6e1 * t36252 * t10059 - 0.6e1 * t7690 * t43038 - 0.3e1 * t7690 * t48662 - 0.2e1 * t7670 * t10062 + 0.1e2 / 0.3e1 * t36075 * t48640 + 0.4e1 * t7665 * t10029 + 0.4e1 * t1876 * t43031 - t519 * t43169 + 0.44e2 * t36194 * t48588;
  t53700 = 0.1e2 / 0.3e1 * t36092 * t48592 - 0.22e2 / 0.3e1 * t36194 * t48585 + 0.4e1 * t7680 * t42773 - t7686 * t43142 / 0.18e2 + 0.24e2 * t36084 * t48624 + 0.12e2 * t7680 * t43028 + 0.6e1 * t7680 * t48631 - 0.4e2 * t36087 * t48659 + 0.2e1 * t7665 * t9017 - 0.12e2 * t36105 * t48551 - 0.8e1 * t36100 * t43072 - 0.5e1 / 0.3e1 * t36191 * t43068 + 0.5e1 / 0.9e1 * t36092 * t48557;
  t53726 = 0.4e1 * t36100 * t42829 + 0.12e2 * t11072 * t42822 + 0.6e1 * t11072 * t48442 - 0.24e2 * t53579 * t10003 - 0.24e2 * t11079 * t42850 - 0.12e2 * t11079 * t48733 + 0.6e1 * t36105 * t48529 - 0.4e1 / 0.3e1 * t53596 * t10006 - 0.4e1 / 0.3e1 * t11072 * t42832 - 0.2e1 / 0.3e1 * t11072 * t48426 - 0.4e1 * t36114 * t9001 - 0.4e1 * t7651 * t43139;
  t53737 = t1869 * t10093;
  t53742 = -0.2e1 * t7651 * t43159 + 0.12e2 * t53596 * t9998 + 0.2e1 / 0.3e1 * t7651 * t42801 + t7651 * t43150 / 0.3e1 + t36092 * t43153 / 0.9e1 + 0.12e2 * t53737 * t10095 - t2138 + t9090 + t43189 - t43190 + t43191 + t2119 - 0.2e1 * t519 * t43165;
  t53753 = -t41765 - 0.3e1 * t4983 * t7680 * t42254 - t5214 * t1765 / 0.6e1 - 0.5e1 / 0.18e2 * t10757 * t43330 + 0.2e1 / 0.3e1 * t7233 * t8980 - t1779 * t42168 / 0.12e2 - 0.5e1 / 0.36e2 * t7196 * t42172 - t1252 * t35356 / 0.12e2 + t41776 - t41777 - t211 * t53391 / 0.6e1 - 0.2e1 / 0.3e1 * t53394 + t53396 / 0.3e1 - 0.2e1 * t53398 - t30 * t59 * (t53412 + t53439 + t53466 + t53484 + t53500 + t53523 + t53547 + t53570 + t53574 + t53599 + t53620 + t53647 + t53673 + t53700 + t53726 + t53742) * t95 / 0.4e1 + 0.22e2 / 0.3e1 * t10838 * t48244;
  t53768 = t188 * t11061;
  t53770 = t773 * t2458;
  t53772 = t21192 * t2444;
  t53774 = t21198 * t2444;
  t53778 = t5234 * t1802;
  t53781 = -0.35e2 / 0.3e1 * t10757 * t47606 + 0.14e2 / 0.3e1 * t10757 * t47612 - t41813 - t41835 - t41838 + 0.2e1 * t10838 * t48241 - t30 * t1341 * t1855 / 0.2e1 - t30 * t427 * t7336 / 0.4e1 - t53768 / 0.6e1 - t53770 / 0.6e1 - t53772 / 0.3e1 - t53774 / 0.3e1 + t1228 * t7413 / 0.2e1 + t53778 / 0.6e1 - t7592 * t1282;
  t53788 = t3242 * t2450;
  t53803 = t52233 * t9860;
  t53807 = t52233 * t9890;
  t53808 = -t7592 * t1286 / 0.2e1 + 0.2e1 / 0.3e1 * t21103 * t17525 + t7592 * t1290 / 0.2e1 + t41887 - t53788 / 0.6e1 + t7251 * t42346 / 0.12e2 - t7187 * t41675 / 0.2e1 + 0.2e1 / 0.3e1 * t7251 * t47693 - t41938 - t7251 * t47265 / 0.6e1 - t7251 * t42722 / 0.3e1 + 0.18e2 * t4772 * t36084 * t47131 - 0.11e2 / 0.27e2 * t53803 + 0.2e1 / 0.3e1 * t36429 * t9960 - t41949 - t53807;
  t53814 = t4873 * t53105;
  t53817 = t26645 * t7357;
  t53826 = t36791 * t9758;
  t53830 = t188 * t7680;
  t53831 = t53830 * t9957;
  t53835 = t37357 * t9960;
  t53839 = -t26650 * t7353 / 0.4e1 + t4882 * t36356 / 0.6e1 - t4872 * t53814 / 0.6e1 + t3272 * t53817 / 0.12e2 + t8740 - t11019 * t48054 + t11019 * t48072 + 0.2e1 / 0.3e1 * t7254 * t41988 - t7254 * t48069 / 0.3e1 + t53826 / 0.9e1 + t7254 * t47414 / 0.3e1 + t53831 / 0.3e1 + 0.2e1 / 0.3e1 * t7251 * t41847 + 0.2e1 / 0.9e1 * t53835 + 0.2e1 / 0.3e1 * t36448 * t9960;
  t53840 = t7276 * t8696;
  t53842 = t3247 * t2450;
  t53844 = t637 * t10948;
  t53878 = -t53840 / 0.9e1 - t53842 / 0.6e1 - t53844 / 0.6e1 + 0.3e1 * t48042 * t11232 + 0.3e1 * t9877 * t36146 * t48018 + 0.3e1 * t9877 * t7686 * t43364 + 0.3e1 / 0.2e1 * t9877 * t7686 * t48025 - 0.6e1 * t26257 * t11236 - 0.6e1 * t26263 * t11236 - 0.6e1 * t4983 * t36146 * t48029 - 0.6e1 * t4983 * t7686 * t43421 - 0.3e1 * t4983 * t7686 * t48037 - 0.2e1 / 0.3e1 * t7251 * t43333 - 0.2e1 / 0.3e1 * t7251 * t43337 - 0.23e2 / 0.3e1 * t52236 * t47514 - 0.4e1 / 0.3e1 * t36429 * t9967;
  t53884 = t7611 * t1286;
  t53900 = 0.3e1 / 0.2e1 * t1770 * t4915 - t53884 / 0.6e1 - 0.5e1 / 0.36e2 * t10757 * t48956 - 0.2e1 * t26266 * t11171 + t42102 + t42104 + t42106 - t43357 * t7465 - t26211 * t10907 - t26896 * t10907 - t4993 * t36483 * t2318 / 0.2e1 - 0.4e1 / 0.3e1 * t7251 * t42420 - 0.2e1 / 0.3e1 * t7251 * t47821 - t42116 - t42155;
  t53901 = t1261 * t52253;
  t53908 = t182 * t7690;
  t53910 = t30 * t36252;
  t53916 = t30 * t36084;
  t53925 = t5156 * t53901 / 0.2e1 - t42162 - t42164 - t7248 * t41877 / 0.3e1 - t7248 * t42673 / 0.6e1 - t53908 * t10156 - t53910 * t10156 - t11019 * t47554 - t11019 * t41753 - t11019 * t47859 / 0.2e1 - 0.3e1 * t53916 * t47862 - t37284 * t9935 / 0.3e1 - t37275 * t9935 / 0.3e1 + t26266 * t10860 + t26266 * t10863;
  t53929 = t4851 * t52534;
  t53933 = t4808 * t7585 * t4809;
  t53947 = t634 * t10808;
  t53951 = t7611 * t1239;
  t53953 = t1760 * t4750;
  t53958 = -t21748 * t10866 / 0.2e1 + 0.7e1 / 0.3e1 * t4806 * t53929 - 0.3e1 / 0.2e1 * t4806 * t53933 + 0.3e1 / 0.2e1 * t36012 * t4847 + 0.7e1 / 0.3e1 * t7196 * t4851 * t41577 - 0.3e1 / 0.2e1 * t7196 * t41022 + t35369 * t2282 / 0.3e1 - t42190 + t603 * t10808 / 0.6e1 - t53947 / 0.18e2 - t5202 * t1765 / 0.12e2 + t53951 / 0.6e1 - t42223 - t53953 / 0.18e2 + t246 * t1784 * t41881 / 0.2e1;
  t53991 = -t5211 * t1807 / 0.12e2 - t5214 * t1807 / 0.6e1 - t1242 * t7374 / 0.6e1 - t1242 * t7402 / 0.6e1 + 0.55e2 / 0.18e2 * t10757 * t47472 - 0.2e1 * t4772 * t1872 * t42511 - 0.4e1 * t10838 * t47410 - 0.2e1 * t10838 * t48396 + 0.14e2 / 0.3e1 * t52266 * t9847 + 0.14e2 / 0.3e1 * t52268 * t9847 + 0.14e2 / 0.3e1 * t10757 * t48977 + 0.14e2 / 0.3e1 * t10757 * t48980 + 0.7e1 / 0.3e1 * t10757 * t26811 + 0.2e1 * t52301 * t9864 + 0.2e1 * t52303 * t9864 - t7251 * t47681;
  t53994 = t37357 * t10110;
  t54000 = t3247 * t2462;
  t54004 = t3242 * t2462;
  t54008 = t1218 * t7402;
  t54010 = t5250 * t1807;
  t54012 = t1218 * t7374;
  t54020 = t53994 / 0.9e1 + t4772 * t519 * t42603 - 0.4e1 / 0.3e1 * t36448 * t9967 + t54000 / 0.6e1 - t1228 * t7468 / 0.2e1 + t54004 / 0.6e1 + t603 * t10965 / 0.6e1 - t54008 / 0.18e2 - t54010 / 0.18e2 - t54012 / 0.18e2 - t7600 * t1282 - t7600 * t1286 / 0.2e1 - 0.3e1 / 0.2e1 * t4772 * t519 * t42074 + t42274 - t42285;
  t54021 = t188 * t11055;
  t54030 = t3247 * t2453;
  t54033 = t843 * t4748 * t7400;
  t54036 = t1261 * t10964;
  t54045 = -t42289 + t42297 - t42298 + t42299 - t42304 - t54021 / 0.6e1 - t36448 * t9842 / 0.6e1 - 0.18e2 * t4772 * t36087 * t48120 - t42344 - t1770 * t5162 / 0.2e1 + t54030 / 0.3e1 - t211 * t54033 / 0.6e1 - t654 * t54036 / 0.12e2 + t5277 * t1811 / 0.2e1 + t5266 * t1811 / 0.2e1 + t1228 * t7406 / 0.2e1;
  t54057 = t634 * t10965;
  t54059 = t5234 * t1811;
  t54061 = t637 * t11001;
  t54063 = t637 * t10998;
  t54065 = t637 * t10994;
  t54072 = -t417 * t35848 / 0.12e2 - t417 * t35538 / 0.6e1 - t417 * t35552 / 0.12e2 - t4816 * t10990 / 0.6e1 - t1247 * t7262 / 0.6e1 - t54057 / 0.18e2 + t54059 / 0.6e1 + t54061 / 0.3e1 + t54063 / 0.6e1 + t54065 / 0.6e1 + 0.2e1 / 0.3e1 * t7251 * t47236 - 0.4e1 / 0.3e1 * t7251 * t47738 - t27454 * t1785 + t42372 - t42375;
  t54080 = t26467 * t10841;
  t54084 = t637 * t10951;
  t54086 = t3242 * t2447;
  t54088 = t3247 * t2447;
  t54090 = t26467 * t11211;
  t54092 = t22052 * t11242;
  t54097 = t22052 * t10866;
  t54099 = t666 * t2437;
  t54103 = t661 * t2436 * t670;
  t54106 = 0.2e1 / 0.3e1 * t36429 * t9971 + 0.2e1 / 0.3e1 * t7251 * t47840 - 0.3e1 / 0.2e1 * t4772 * t7690 * t42080 + t54080 - 0.6e1 * t4772 * t36211 * t46872 - t54084 / 0.6e1 - t54086 / 0.3e1 - t54088 / 0.3e1 + t42407 + t42410 - t54090 / 0.3e1 + t54092 / 0.3e1 - 0.3e1 * t3266 * t53217 * t4903 - t54097 / 0.6e1 - t654 * t54099 / 0.6e1 + t654 * t54103 / 0.3e1;
  t54113 = t191 * t242 * t2435 * t676;
  t54124 = t188 * t11153;
  t54128 = t773 * t2437;
  t54132 = -t54113 * t685 / 0.2e1 + t10777 * t691 / 0.2e1 - t1247 * t7606 / 0.6e1 - t417 * t36969 / 0.12e2 + t26443 * t530 / 0.4e1 - t54124 / 0.6e1 - t182 * t11150 / 0.2e1 - t54128 / 0.6e1 + t42415 + t42416 - t42429 + t42431 + t7251 * t48295 / 0.3e1 - t42521 - t42523;
  t54139 = t4867 * t52253;
  t54142 = t26117 * t530;
  t54148 = t42527 + t42529 - t42530 - t42532 + t42535 + t42537 + t42554 + t42556 + 0.3e1 / 0.2e1 * t1770 * t4864 + 0.3e1 / 0.2e1 * t26784 * t7200 - 0.3e1 * t5286 * t7203 - t4806 * t54139 / 0.2e1 + t54142 / 0.6e1 + t10777 * t623 / 0.4e1 + t37006 * t432 / 0.4e1;
  t54156 = t191 * t242 * t11148 * t243;
  t54159 = t661 * t2437;
  t54162 = t626 * t10776;
  t54170 = t26467 * t11214;
  t54173 = t5247 * t1807;
  t54182 = t37214 * t432 / 0.2e1 + t7592 * t1239 / 0.2e1 + t54156 * t250 / 0.2e1 - t654 * t54159 / 0.12e2 + t54162 * t250 / 0.2e1 - t642 * t10808 / 0.12e2 + 0.3e1 * t4772 * t7680 * t42264 + t54170 + t1770 * t4825 - t26932 * t1785 - t54173 / 0.18e2 - t21048 * t2444 / 0.2e1 - t3061 * t10930 - t3061 * t10933 - t679 * t35611 * t2318 / 0.2e1;
  t54206 = -t679 * t7384 * t8848 - t1228 * t7529 / 0.4e1 + t1228 * t7503 / 0.4e1 - t21053 * t2444 / 0.2e1 - t21062 * t2444 - t3070 * t10930 - t3070 * t10933 + t42576 + 0.3e1 / 0.2e1 * t4993 * t11225 * t27536 + 0.5e1 / 0.2e1 * t10757 * t47615 - t10757 * t47619 - t36429 * t9842 / 0.6e1 - t7251 * t46787 / 0.6e1 - t7251 * t47625 / 0.12e2 - t42610 - t42615;
  t54216 = t53830 * t9866;
  t54220 = t53830 * t9864;
  t54224 = t42617 + t42619 - t42621 + t42630 + t42632 - 0.5e1 / 0.6e1 * t7251 * t43312 - 0.3e1 / 0.2e1 * t3266 * t11225 * t27541 - t42667 + t42669 - t42702 + 0.5e1 / 0.3e1 * t7251 * t43230 - 0.4e1 / 0.3e1 * t54216 + 0.12e2 * t53916 * t47593 + 0.2e1 / 0.3e1 * t54220 - 0.6e1 * t53916 * t47598;
  t54225 = t26467 * t10832;
  t54229 = t22052 * t10835;
  t54256 = t843 * t26512 * t1805;
  t54259 = t54225 / 0.3e1 - t4772 * t1872 * t48331 - t54229 / 0.3e1 + 0.3e1 * t48254 * t11232 - t182 * t11055 / 0.2e1 - 0.6e1 * t3266 * t37339 * t47430 - 0.5e1 / 0.18e2 * t10757 * t48058 + t10838 * t48056 + 0.25e2 / 0.36e2 * t10757 * t48061 + t1228 * t7219 / 0.4e1 + t3220 * t2462 / 0.4e1 + t3226 * t2462 / 0.2e1 + t3101 * t2462 / 0.4e1 - t627 * t10965 / 0.6e1 - t642 * t10965 / 0.12e2 - t211 * t54256 / 0.6e1;
  t54280 = t4762 * t36798;
  t54283 = t4873 * t52250;
  t54298 = -0.5e1 / 0.2e1 * t4983 * t1876 * t43315 + t4993 * t7457 * t43320 + 0.5e1 / 0.2e1 * t4772 * t1876 * t43304 - t3266 * t7457 * t43309 - t1242 * t7606 / 0.6e1 - t515 * t26446 / 0.12e2 - t7564 * t1223 / 0.12e2 - t3266 * t10878 * t3447 / 0.4e1 + t4761 * t54280 / 0.6e1 + t26106 * t54283 / 0.2e1 + t4882 * t36809 / 0.12e2 + t3266 * t7449 * t42516 + t3266 * t7361 * t42508 - 0.3e1 * t4772 * t7690 * t48129 + 0.3e1 * t3266 * t36452 * t48134;
  t54300 = t769 * t2437 / 0.18e2;
  t54323 = t5234 * t1747;
  t54325 = t54300 + 0.2e1 / 0.3e1 * t7251 * t41797 + t7251 * t47260 / 0.3e1 + t36448 * t10110 / 0.3e1 + t36429 * t10110 / 0.3e1 + t7251 * t46795 / 0.3e1 + t7251 * t43327 / 0.3e1 + t7251 * t48953 / 0.6e1 - 0.5e1 / 0.18e2 * t52266 * t9747 + t7248 * t42351 / 0.12e2 + t7248 * t42109 / 0.6e1 - t7251 * t43372 / 0.3e1 + t43214 - t8895 - t43215 + t54323 / 0.6e1;
  t54329 = t26120 * t530;
  t54335 = t36994 * t432;
  t54351 = t54329 / 0.6e1 + t37219 * t432 / 0.4e1 - t10777 * t598 / 0.2e1 + t54335 / 0.6e1 + t36448 * t8767 / 0.3e1 - 0.4e1 / 0.3e1 * t7251 * t49001 + t43220 + t3266 * t7457 * t8968 + t26045 * t11167 / 0.3e1 + t26047 * t7358 / 0.6e1 - t26696 * t10884 / 0.6e1 + t43240 + t43241 - t8938 + 0.22e2 / 0.3e1 * t52236 * t48049;
  t54352 = t52233 * t9857;
  t54357 = t4877 * t3264 * t53347;
  t54359 = t26581 * t10883;
  t54364 = t26410 * t10883;
  t54367 = t4762 * t53105;
  t54376 = t37357 * t9971;
  t54388 = 0.23e2 / 0.54e2 * t54352 - t43265 + t43266 - 0.11e2 / 0.6e1 * t10838 * t48275 - t4872 * t54357 + t4761 * t54359 / 0.3e1 + t4882 * t36376 / 0.6e1 - t4872 * t54364 / 0.6e1 + t4761 * t54367 / 0.3e1 + t4772 * t519 * t43236 / 0.2e1 - t3266 * t37235 * t2166 / 0.4e1 + 0.2e1 / 0.9e1 * t54376 - 0.3e1 * t4993 * t53261 * t4856 + t4772 * t7670 * t8774 + t4772 * t1870 * t8779 - t3266 * t37391 * t2166 / 0.2e1;
  t54398 = t5175 * t53348;
  t54409 = t188 * t11150;
  t54411 = t637 * t11004;
  t54414 = t3232 * t2450 / 0.18e2;
  t54417 = t9744 * t52250;
  t54420 = t22052 * t10857;
  t54422 = t4772 * t1872 * t41693 - 0.15e2 / 0.2e1 * t4772 * t7686 * t48855 + 0.3e1 * t3266 * t35984 * t48862 + t4872 * t54398 / 0.2e1 - t608 * t10941 - t30 * t5134 * t544 / 0.4e1 + t43270 + t1750 * t8691 / 0.6e1 + t1755 * t8691 / 0.6e1 - t54409 / 0.6e1 + t54411 / 0.3e1 + t54414 - t4872 * t36799 / 0.12e2 - 0.5e1 / 0.36e2 * t26050 * t54417 - t54420 / 0.3e1;
  t54429 = t4762 * t52250;
  t54451 = t37357 * t9967;
  t54456 = 0.3e1 / 0.2e1 * t3266 * t7351 * t1250 * t4914 - t4882 * t36919 / 0.6e1 - t26701 * t54429 / 0.2e1 - t182 * t11061 / 0.2e1 - t182 * t11153 / 0.2e1 + t42708 * t7452 - t26650 * t7450 + t21748 * t11164 - 0.4e1 * t10838 * t48974 + 0.2e1 * t4993 * t7457 * t47245 + 0.15e2 * t4983 * t7686 * t48878 - t36429 * t10169 / 0.3e1 + 0.2e1 / 0.3e1 * t36448 * t9971 - 0.4e1 / 0.9e1 * t54451 - t36448 * t10169 / 0.3e1 - t630 * t10938;
  t54480 = t222 * t11150;
  t54491 = 0.2e1 / 0.3e1 * t3396 * t1261 * t5264 * t37476 + t5266 * t1802 / 0.2e1 - t1228 * t7511 - t5266 * t1793 - t5266 * t1798 / 0.2e1 + t7251 * t42482 / 0.6e1 + t7251 * t42485 / 0.6e1 + 0.23e2 / 0.18e2 * t10757 * t48971 - 0.2e1 * t3266 * t7457 * t47240 - 0.115e3 / 0.36e2 * t10757 * t48968 - t211 * t54480 / 0.6e1 + t1228 * t7557 / 0.4e1 - t627 * t10808 / 0.6e1 + t5266 * t1747 / 0.2e1 + t5277 * t1747 / 0.2e1;
  t54497 = t7567 * t1223 / 0.54e2;
  t54499 = t5241 * t1765 / 0.54e2;
  t54501 = t26457 * t530 / 0.18e2;
  t54503 = t36742 * t432 / 0.18e2;
  t54504 = t27552 * t1785;
  t54510 = t1261 * t1768 * t8694;
  t54525 = t26492 * t530 / 0.2e1 + t26452 * t530 / 0.4e1 + t54497 + t54499 - t54501 - t54503 - t54504 / 0.3e1 - t1770 * t4963 - t1770 * t4897 / 0.2e1 + 0.2e1 / 0.3e1 * t3396 * t54510 + t1770 * t4952 / 0.2e1 - t35561 * t2271 / 0.12e2 - t35564 * t2271 / 0.6e1 - 0.2e1 / 0.3e1 * t36448 * t8771 - 0.2e1 / 0.3e1 * t36429 * t8771 - 0.3e1 * t52266 * t9890;
  t54542 = t769 * t2458 / 0.18e2;
  t54557 = -0.3e1 * t52268 * t9890 - 0.3e1 * t10757 * t47852 - 0.3e1 * t10757 * t47629 - 0.3e1 / 0.2e1 * t10757 * t47878 - 0.43e2 / 0.9e1 * t52309 * t47883 + t7254 * t42322 / 0.3e1 + t7251 * t43226 / 0.3e1 + t54542 - 0.11e2 / 0.3e1 * t10838 * t48866 - 0.3e1 / 0.2e1 * t42708 * t7454 + t26650 * t7458 + t7251 * t43407 / 0.2e1 + 0.3e1 / 0.2e1 * t43351 * t7462 + t7251 * t48066 / 0.3e1 - t30 * t2436 * t732 / 0.4e1;
  t54560 = t1760 * t8658;
  t54562 = t1760 * t8691;
  t54564 = t35329 * t2271;
  t54566 = t35631 * t2271;
  t54576 = t37082 * t8800;
  t54593 = t3266 * t7449 * t47251 + t54560 / 0.18e2 + t54562 / 0.18e2 - t54564 / 0.18e2 - t54566 / 0.18e2 + t7248 * t26646 / 0.6e1 - t7251 * t47696 / 0.3e1 - t759 * t2458 / 0.4e1 - t10838 * t42231 / 0.2e1 + t54576 / 0.18e2 - 0.18e2 * t4983 * t36084 * t47067 - 0.2e1 * t52309 * t47075 - t4993 * t36776 * t2318 - t4993 * t7457 * t8848 - 0.15e2 / 0.2e1 * t9877 * t7686 * t48869 + 0.3e1 * t26550 * t35984 * t48874;
  t54600 = my_piecewise3(t2, 0, t54351 + t52768 + t52832 + t52355 + t53047 + t53276 + t53151 + t53316 + t52259 + t54045 + t53958 + t54525 + t53374 + t53192 + t53753 + t54206 + t52312 + t52800 + t54020 + t52866 + t53085 + t52281 + t54148 + t52481 + t53808 + t52695 + t54072 + t53231 + t54593 + t53839 + t52725 + t52595 + t52557 + t54298 + t52931 + t54106 + t52508 + t54491 + t53991 + t54557 + t54388 + t53215 + t54182 + t53781 + t52448 + t52393 + t52522 + t54132 + t53925 + t54456 + t53121 + t52663 + t52416 + t54422 + t53900 + t53007 + t54224 + t54325 + t52897 + t54259 + t52631 + t53878 + t53345 + t52967);
  tv4rho2sigmatau0 = t3 * t54600 + 0.2e1 * t11250;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 0] += tv4rho2sigmatau0;

  tv4rho2sigmatau1 = 0.e0;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 1] += tv4rho2sigmatau1;

  tv4rho2sigmatau2 = 0.e0;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 2] += tv4rho2sigmatau2;

  tv4rho2sigmatau3 = 0.e0;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 3] += tv4rho2sigmatau3;

  tv4rho2sigmatau4 = 0.e0;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 4] += tv4rho2sigmatau4;

  t54620 = t38045 * t2342 / 0.54e2;
  t54622 = t3917 * t2512 / 0.9e1;
  t54624 = t3917 * t2509 / 0.18e2;
  t54625 = t38115 * t2339 / 0.6e1 + t7775 * t2199 / 0.12e2 - t38058 * t2342 / 0.12e2 - t38058 * t2347 / 0.6e1 + t38058 * t2353 / 0.3e1 - t3911 * t2509 / 0.4e1 - t23288 * t2503 / 0.2e1 - t3911 * t2506 / 0.2e1 + t54620 - t54622 + t54624 - t43440 + t43451 + t43466;
  t54627 = t3917 * t2506 / 0.9e1;
  t54629 = t23420 * t2503 / 0.9e1;
  t54631 = 0.2e1 / 0.27e2 * t38045 * t2353;
  t54633 = t7781 * t2199 / 0.54e2;
  t54635 = t3917 * t2521 / 0.18e2;
  t54637 = t5307 * t1965 / 0.54e2;
  t54638 = t3914 * t2521;
  t54640 = t28179 * t570;
  t54642 = t7778 * t1378;
  t54645 = t7781 * t1378 / 0.54e2;
  t54647 = t5307 * t1951 / 0.54e2;
  t54649 = t28170 * t570 / 0.18e2;
  t54651 = t38173 * t457 / 0.18e2;
  t54654 = t54627 + t54629 - t54631 - t54633 - t54635 + t54637 + t54638 / 0.6e1 + t54640 / 0.6e1 - t54642 / 0.18e2 + t54645 + t54647 - t54649 - t54651 - t7775 * t1378 / 0.12e2;
  t54662 = t38200 * t2353;
  t54664 = t7778 * t2199;
  t54666 = t5304 * t1965;
  t54668 = t3914 * t2512;
  t54670 = t3914 * t2509;
  t54672 = t3914 * t2506;
  t54674 = t23325 * t2503;
  t54680 = t38200 * t2342;
  t54684 = -t5301 * t1951 / 0.12e2 + t38107 * t457 / 0.4e1 + t28280 * t570 / 0.4e1 + 0.2e1 / 0.9e1 * t54662 + t54664 / 0.18e2 - t54666 / 0.18e2 + t54668 / 0.3e1 - t54670 / 0.6e1 - t54672 / 0.3e1 - t54674 / 0.3e1 + t3911 * t2512 / 0.2e1 - t5301 * t1965 / 0.12e2 - t54680 / 0.18e2 + t3911 * t2521 / 0.4e1;
  t54685 = t38200 * t2347;
  t54687 = t38226 * t2339;
  t54689 = t869 * t2496;
  t54694 = t873 * t2496 / 0.18e2;
  t54695 = t5304 * t1951;
  t54697 = t38080 * t457;
  t54700 = t38045 * t2347 / 0.27e2;
  t54702 = t38040 * t2339 / 0.27e2;
  t54706 = t873 * t2517 / 0.18e2;
  t54707 = t869 * t2517;
  t54709 = -t54685 / 0.9e1 + t54687 / 0.9e1 - t54689 / 0.6e1 - t865 * t2496 / 0.4e1 + t54694 - t43495 - t43502 + t43525 - t54695 / 0.18e2 + t54697 / 0.6e1 + t54700 - t54702 - t865 * t2517 / 0.4e1 + t54706 - t54707 / 0.6e1;
  t54712 = my_piecewise3(t100, 0, t54625 + t54654 + t54684 + t54709);
  tv4rho2sigmatau5 = t3 * t54712 + 0.2e1 * t11323;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 5] += tv4rho2sigmatau5;

  t54722 = t307 * t7686;
  t54753 = -t52246 / 0.6e1 - t52248 / 0.18e2 - t1368 * t7262 / 0.12e2 - t5327 * t10990 / 0.12e2 + t5334 * t10985 / 0.6e1 + t1368 * t7215 / 0.12e2 - t1923 * t4750 / 0.12e2 - t7820 * t8992 / 0.12e2 + t7825 * t8987 / 0.6e1 + t1923 * t4754 / 0.12e2 + t22877 * t52608 / 0.3e1;
  t54774 = t5384 * t1802 / 0.4e1 - t5384 * t1798 / 0.4e1 - t5384 * t1793 / 0.2e1 + t7869 * t1290 / 0.4e1 + t52338 + t52340 / 0.3e1 - t5376 * t1807 / 0.12e2 - t1368 * t7374 / 0.12e2 - t5379 * t1807 / 0.12e2 + t3754 * t2453 / 0.2e1 + t3776 * t2453 / 0.2e1;
  t54796 = t903 * t11001 / 0.2e1 + t903 * t11004 / 0.2e1 + t903 * t10994 / 0.4e1 + t903 * t10998 / 0.4e1 + t3776 * t2462 / 0.4e1 + t3754 * t2462 / 0.4e1 + t7825 * t8833 / 0.6e1 + t52375 / 0.18e2 + t1923 * t8691 / 0.12e2 + t37491 * t2268 / 0.6e1 + t37494 * t2268 / 0.6e1;
  t54815 = t3761 * t2462;
  t54817 = t3761 * t2453;
  t54819 = t5389 * t1807;
  t54821 = t7825 * t9785 / 0.6e1 - t7820 * t8703 / 0.12e2 + t7859 * t2108 / 0.12e2 + t7862 * t2108 / 0.12e2 + t1923 * t8658 / 0.12e2 - t37564 * t2271 / 0.12e2 - t37567 * t2271 / 0.12e2 - t7820 * t10187 / 0.12e2 + t54815 / 0.12e2 + t54817 / 0.6e1 - t54819 / 0.36e2;
  t54838 = -t52379 + t43537 + t27950 * t11208 / 0.2e1 - t28063 * t11211 / 0.2e1 + 0.3e1 * t27950 * t10912 + 0.3e1 / 0.2e1 * t49258 * t11232 - t28099 * t11226 / 0.2e1 + t22522 * t11242 / 0.2e1 - 0.3e1 * t27950 * t11236 - t52464 / 0.6e1 + 0.7e1 / 0.9e1 * t52468;
  t54846 = t897 * t10776;
  t54857 = -t52470 / 0.9e1 + t52477 / 0.36e2 - t52479 / 0.18e2 + t52502 / 0.12e2 - t898 * t10808 / 0.12e2 + t54846 * t250 / 0.4e1 - t5379 * t1765 / 0.12e2 - t5376 * t1765 / 0.12e2 - t1368 * t7606 / 0.12e2 + t52504 / 0.36e2 - t52506 / 0.36e2;
  t54859 = -t43540 - t43545 - t43546 - t43547 - t43548 + t43549 + t52519 / 0.9e1 - t52527 + t52529 - t52531 + t52533;
  t54884 = -t52676 - t52677 / 0.36e2 - t52679 / 0.36e2 + t52681 / 0.18e2 - t52683 / 0.6e1 - t52685 / 0.6e1 + t52687 / 0.9e1 + t52689 / 0.9e1 + t52691 / 0.9e1 + t52693 / 0.9e1 - t52696 / 0.18e2;
  t54905 = -t52698 / 0.18e2 - t52700 / 0.18e2 - t22522 * t10857 / 0.2e1 - t22522 * t10879 / 0.4e1 + t27800 * t17504 / 0.3e1 - 0.3e1 * t28063 * t11239 - t28063 * t11171 + t22522 * t11164 / 0.2e1 + t27797 * t11167 / 0.6e1 + t28130 * t7358 / 0.12e2 - t27794 * t10884 / 0.12e2;
  t54926 = t28063 * t10860 / 0.2e1 + t28063 * t10863 / 0.2e1 + t43556 - t898 * t10965 / 0.12e2 + t5384 * t1811 / 0.4e1 - t3740 * t10933 / 0.2e1 - t22796 * t2444 / 0.2e1 - t22773 * t2444 / 0.2e1 - t3740 * t10930 / 0.2e1 - t3776 * t2447 / 0.2e1 - t903 * t10938 / 0.2e1;
  t54947 = -t903 * t10941 / 0.2e1 - t3754 * t2450 / 0.4e1 - t3776 * t2450 / 0.4e1 - t903 * t10948 / 0.4e1 - t903 * t10951 / 0.4e1 - t3754 * t2447 / 0.2e1 - t1368 * t7402 / 0.12e2 - t52735 / 0.18e2 - t52737 / 0.18e2 + t52771 / 0.2e1 + t52775 / 0.6e1;
  t54951 = t37907 * t432;
  t54963 = t52799 + t52802 / 0.18e2 + t52807 / 0.36e2 - t52811 / 0.6e1 + t52814 + t54951 / 0.12e2 + t37826 * t432 / 0.4e1 + t37829 * t432 / 0.4e1 + t7869 * t1239 / 0.4e1 + t27786 * t530 / 0.4e1 + 0.23e2 / 0.36e2 * t54722 * t9857;
  t54967 = t307 * t7680;
  t54980 = t37688 * t9971 / 0.3e1 - 0.2e1 * t54967 * t9866 - 0.2e1 / 0.3e1 * t37688 * t9967 + t52850 / 0.18e2 + t52852 / 0.36e2 - t52860 / 0.6e1 - t52864 / 0.12e2 - t52885 / 0.36e2 - t52887 / 0.36e2 - t52889 / 0.36e2 - t52891 / 0.36e2;
  t54988 = -t52893 / 0.36e2 - t52895 / 0.36e2 + t43565 + t43567 - t43570 - t43572 - t52946 / 0.12e2 + t52951 / 0.18e2 + t52953 / 0.18e2 + t52955 / 0.18e2 + t52957 / 0.18e2;
  t55004 = t43596 + t53229 / 0.6e1 + t53232 / 0.6e1 - t53291 - t53310 / 0.6e1 - t9224 + t9234 - t8624 + t8645 - t43621 + t43623;
  t55020 = -t22522 * t10866 / 0.4e1 + 0.3e1 / 0.2e1 * t28063 * t10841 + t28063 * t10832 / 0.2e1 - t22522 * t10835 / 0.2e1 + t27950 * t10905 - t28099 * t10907 / 0.2e1 + t53372 / 0.6e1 - t53394 / 0.3e1 + t53396 / 0.6e1 - t53398 - t41813;
  t55032 = -t43632 - t43633 - t53768 / 0.12e2 - t53770 / 0.12e2 - t53772 / 0.6e1 - t53774 / 0.6e1 + t53778 / 0.12e2 - t53788 / 0.12e2 - t37876 * t9935 / 0.6e1 + t37876 * t9758 / 0.6e1 - 0.11e2 / 0.54e2 * t53803;
  t55047 = -t43653 - t53807 / 0.2e1 + t53826 / 0.18e2 + t53831 / 0.6e1 + t53835 / 0.9e1 - t53840 / 0.18e2 - t53842 / 0.12e2 - t53844 / 0.12e2 - t53884 / 0.12e2 + t28053 * t530 / 0.4e1 + t5384 * t1747 / 0.4e1;
  t55054 = t3761 * t2450;
  t55056 = t3761 * t2447;
  t55058 = t22806 * t2444;
  t55070 = t37564 * t2282 / 0.3e1 + t37567 * t2282 / 0.3e1 + t7820 * t9837 / 0.3e1 - t55054 / 0.12e2 - t55056 / 0.6e1 - t55058 / 0.6e1 + t7820 * t8980 / 0.3e1 - t37564 * t2276 / 0.6e1 - t37567 * t2276 / 0.6e1 - t7820 * t10144 / 0.6e1 - t7820 * t8696 / 0.6e1;
  t55083 = -t53947 / 0.36e2 + t53951 / 0.12e2 - t53953 / 0.36e2 + t53994 / 0.18e2 + t54000 / 0.12e2 + t54004 / 0.12e2 - t54008 / 0.36e2 - t54010 / 0.36e2 - t54012 / 0.36e2 - t54021 / 0.12e2 + t54030 / 0.6e1;
  t55095 = -t54057 / 0.36e2 + t54059 / 0.12e2 + t54061 / 0.6e1 + t54063 / 0.12e2 + t54065 / 0.12e2 + t54080 / 0.2e1 - t54084 / 0.12e2 - t54086 / 0.6e1 - t54088 / 0.6e1 - t54090 / 0.6e1 + t54092 / 0.6e1;
  t55118 = t5389 * t1765;
  t55120 = t7880 * t1223;
  t55122 = t27921 * t530;
  t55124 = t894 * t2458;
  t55126 = t54142 / 0.12e2 + t54170 / 0.2e1 - t54173 / 0.36e2 + t42576 - t7859 * t1223 / 0.12e2 - t7862 * t1223 / 0.12e2 - t1923 * t5261 / 0.12e2 - t55118 / 0.36e2 - t55120 / 0.36e2 + t55122 / 0.12e2 - t55124 / 0.12e2;
  t55128 = t307 * t7690;
  t55150 = -t55128 * t10156 / 0.2e1 - t37876 * t8786 / 0.6e1 - t37747 * t8792 / 0.6e1 + t37688 * t8795 / 0.12e2 - 0.5e1 / 0.36e2 * t54722 * t9747 - t37688 * t9842 / 0.12e2 + t54967 * t9957 / 0.2e1 + t37688 * t10110 / 0.6e1 - t37688 * t10169 / 0.6e1 - 0.11e2 / 0.18e2 * t54722 * t9860 + t54967 * t9864;
  t55161 = t37688 * t9960 / 0.3e1 - 0.2e1 / 0.3e1 * t54216 + t54220 / 0.3e1 + t54225 / 0.6e1 - t54229 / 0.6e1 + t43833 + t43835 - t43851 + t43869 + t7869 * t1275 / 0.2e1 - t27911 * t1785 / 0.2e1;
  t55170 = t37555 * t2268;
  t55172 = t7880 * t2108;
  t55174 = t37613 * t2271;
  t55176 = t37613 * t2276;
  t55178 = t37613 * t2282;
  t55184 = t5384 * t1788 / 0.2e1 - t7820 * t8749 / 0.6e1 - t37752 * t1270 / 0.2e1 + t55170 / 0.18e2 + t55172 / 0.36e2 - t55174 / 0.36e2 - t55176 / 0.18e2 + t55178 / 0.9e1 + t37747 * t8800 / 0.12e2 - t307 * t11055 / 0.4e1 + t54300;
  t55191 = t54323 / 0.12e2 + t54329 / 0.12e2 + t54335 / 0.12e2 - t43875 - t43877 + t43879 + t43881 + 0.23e2 / 0.108e3 * t54352 + t54376 / 0.9e1 - t43902 - t54409 / 0.12e2;
  t55199 = t54411 / 0.6e1 + t54414 - t54420 / 0.6e1 - 0.2e1 / 0.9e1 * t54451 + t54497 + t54499 - t54501 - t54503 - t54504 / 0.6e1 - t5327 * t10814 / 0.6e1 + t54542;
  t55202 = t894 * t2437;
  t55217 = -t307 * t11150 / 0.4e1 - t55202 / 0.12e2 - t890 * t2437 / 0.4e1 + t54560 / 0.36e2 + t54562 / 0.36e2 - t54564 / 0.36e2 - t54566 / 0.36e2 - t7869 * t1286 / 0.4e1 + t22877 * t17525 / 0.3e1 - t7869 * t1282 / 0.2e1 + t54576 / 0.36e2;
  t55223 = my_piecewise3(t2, 0, 0.3e1 / 0.2e1 * t28063 * t11214 - t27794 * t11217 / 0.6e1 + t37688 * t8767 / 0.6e1 - t37688 * t8771 / 0.3e1 + 0.7e1 / 0.3e1 * t54722 * t9847 - 0.3e1 / 0.2e1 * t54722 * t9890 - t54722 * t9854 / 0.2e1 - t307 * t11153 / 0.4e1 - t307 * t11061 / 0.4e1 - t890 * t2458 / 0.4e1 - t43745 - t43743 + t43734 + t43731 + t43594 + t55020 + t55191 - t53043 / 0.18e2 + t52239 / 0.9e1 - 0.5e1 / 0.108e3 * t52234 - t52229 / 0.36e2 + t55070 - t54124 / 0.12e2 + t55032 - t52538 / 0.6e1 + t55184 + t54884 - t52621 / 0.36e2 + t54905 - t54128 / 0.12e2 + t54796 + t54774 + t53137 / 0.6e1 + t52582 / 0.9e1 + t55126 - t53132 / 0.18e2 - t53038 / 0.6e1 + t55004 + t55047 - t52593 / 0.18e2 + t53140 + t55150 + t53179 / 0.12e2 - t52619 / 0.36e2 + t54926 + t52542 / 0.6e1 + t54988 + t52963 / 0.36e2 - t52546 / 0.6e1 - t52548 / 0.6e1 + t54857 + t54859 + t54963 + t52613 / 0.12e2 - t54097 / 0.12e2 + t54838 + t54980 + t55217 + t54821 + t54947 + t55161 - t52615 / 0.36e2 + t55199 + t54753 + t55095 + t55083 - t53146 + t52965 / 0.36e2);
  tv4rho2sigmatau6 = t3 * t55223 + t11250 + t11362;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 6] += tv4rho2sigmatau6;

  tv4rho2sigmatau7 = 0.e0;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 7] += tv4rho2sigmatau7;

  tv4rho2sigmatau8 = 0.e0;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 8] += tv4rho2sigmatau8;

  tv4rho2sigmatau9 = 0.e0;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 9] += tv4rho2sigmatau9;

  tv4rho2sigmatau10 = 0.e0;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 10] += tv4rho2sigmatau10;

  t55225 = t28763 * t11527;
  t55226 = t49777 * t11523;
  t55228 = t294 * t8438;
  t55229 = t55228 * t10437;
  t55231 = t294 * t8460;
  t55232 = t55231 * t10441;
  t55235 = t28763 * t11801;
  t55237 = t55228 * t10546;
  t55239 = t7911 * t9350;
  t55241 = t5469 * t11603;
  t55243 = t7911 * t9347;
  t55245 = t7911 * t10322;
  t55247 = t38425 * t2353;
  t55249 = t38428 * t2353;
  t55251 = -t43959 + 0.7e1 / 0.9e1 * t55237 + t54620 - t54622 + t54624 - t55239 / 0.18e2 + t55241 / 0.18e2 + t55243 / 0.9e1 + t55245 / 0.9e1 + t55247 / 0.9e1 + t55249 / 0.9e1;
  t55253 = t1354 * t8553;
  t55255 = t5412 * t11588;
  t55257 = t1354 * t8264;
  t55259 = t4005 * t11459;
  t55261 = t23776 * t2503;
  t55263 = t5484 * t2045;
  t55265 = t23895 * t2503;
  t55267 = t948 * t11449;
  t55269 = t3993 * t2509;
  t55271 = t948 * t11446;
  t55273 = -t55253 / 0.36e2 - t55255 / 0.36e2 + t55257 / 0.36e2 - t55259 / 0.6e1 - t55261 / 0.6e1 + t55263 / 0.12e2 - t55265 / 0.6e1 - t55267 / 0.12e2 - t55269 / 0.12e2 - t55271 / 0.12e2 + t43981;
  t55278 = t55228 * t10448;
  t55288 = -t43983 - t43990 - t43993 + t43995 + t28902 * t11746 / 0.6e1 + t23548 * t11742 / 0.2e1 - 0.11e2 / 0.54e2 * t55278 - t1902 * t5607 / 0.12e2 + t8032 * t2199 / 0.12e2 + t1902 * t5555 / 0.12e2 - t7921 * t9734 / 0.12e2;
  t55313 = -t7921 * t9350 / 0.6e1 + t7916 * t9729 / 0.6e1 + t7921 * t9347 / 0.3e1 + t5509 * t11603 / 0.6e1 + t7921 * t10322 / 0.3e1 - t38363 * t2347 / 0.6e1 + t1902 * t9422 / 0.12e2 + t1902 * t9427 / 0.12e2 + t8027 * t2199 / 0.12e2 - t5449 * t2037 / 0.2e1 - t5449 * t2041 / 0.4e1;
  t55336 = -t5454 * t1951 / 0.12e2 - t1351 * t8316 / 0.12e2 - t5461 * t1951 / 0.12e2 - t8027 * t1378 / 0.12e2 - t1902 * t5809 / 0.12e2 - t8032 * t1378 / 0.12e2 - t934 * t11422 / 0.12e2 + t28599 * t570 / 0.4e1 + t28875 * t570 / 0.4e1 + t8016 * t1394 / 0.4e1 + t38649 * t457 / 0.4e1;
  t55340 = t933 * t11500;
  t55345 = t1354 * t8316;
  t55347 = t5494 * t1951;
  t55349 = t5499 * t1951;
  t55351 = t24028 * t11759;
  t55353 = t38642 * t457 / 0.4e1 + t55340 * t377 / 0.4e1 + t5449 * t1938 / 0.4e1 - t55345 / 0.36e2 - t55347 / 0.36e2 - t55349 / 0.36e2 - t55351 / 0.12e2 + t44021 - t44025 + t44030 - t44032;
  t55354 = t290 * t8443;
  t55357 = t28763 * t11537;
  t55359 = t28548 * t11540;
  t55361 = t28548 * t11407;
  t55362 = t24028 * t11404;
  t55364 = t55228 * t10361;
  t55366 = t38570 * t10722;
  t55368 = t38570 * t9450;
  t55370 = t38942 * t9447;
  t55372 = t38935 * t9457;
  t55374 = t38570 * t10366;
  t55376 = -t55354 * t10726 / 0.2e1 + t55357 / 0.6e1 - t55359 / 0.6e1 - t55361 + t55362 / 0.6e1 - 0.5e1 / 0.108e3 * t55364 + t55366 / 0.18e2 + t55368 / 0.36e2 - t55370 / 0.18e2 - t55372 / 0.18e2 - t55374 / 0.36e2;
  t55380 = t38570 * t10374;
  t55382 = t38942 * t9441;
  t55384 = t28548 * t11765;
  t55394 = t7911 * t9300;
  t55396 = t290 * t8438;
  t55420 = -t28445 * t11530 / 0.2e1 + t28464 * t11556 / 0.3e1 - t28464 * t11552 / 0.6e1 + 0.3e1 / 0.2e1 * t28461 * t11543 - t28461 * t11540 / 0.2e1 + t28713 * t11537 / 0.2e1 - 0.3e1 * t28461 * t11407 + t23548 * t11404 / 0.2e1 + t38554 * t10722 / 0.6e1 - 0.5e1 / 0.36e2 * t55396 * t10361 + t43466;
  t55422 = t3990 * t2521;
  t55424 = t938 * t11368;
  t55426 = t1354 * t8602;
  t55428 = t28796 * t2026;
  t55430 = t7997 * t1416;
  t55432 = t38688 * t1411;
  t55434 = t5412 * t11562;
  t55436 = t5412 * t11566;
  t55438 = t7911 * t9249;
  t55440 = t7911 * t9274;
  t55442 = t7997 * t1447;
  t55444 = t55422 / 0.12e2 - t55424 / 0.36e2 - t55426 / 0.36e2 - t55428 / 0.6e1 + t55430 / 0.6e1 - t55432 / 0.6e1 - t55434 / 0.18e2 + t55436 / 0.9e1 + t55438 / 0.9e1 - t55440 / 0.18e2 + t55442 / 0.12e2;
  t55445 = t7997 * t1443;
  t55447 = t7997 * t1439;
  t55449 = t5484 * t2041;
  t55451 = t4005 * t11462;
  t55453 = t5484 * t2037;
  t55455 = -t55445 / 0.12e2 - t55447 / 0.6e1 - t55449 / 0.12e2 - t55451 / 0.6e1 - t55453 / 0.6e1 + t54627 + t54629 - t54631 - t54633 - t54635 + t54637;
  t55461 = t24028 * t11768;
  t55463 = t54638 / 0.12e2 + t54640 / 0.12e2 - t54642 / 0.36e2 + t54645 + t54647 - t54649 - t54651 + t44104 + t44120 - t44122 - t55461 / 0.6e1;
  t55464 = t28439 * t11556;
  t55466 = t24028 * t11742;
  t55468 = t24028 * t11784;
  t55470 = t28456 * t8211;
  t55472 = t28548 * t11751;
  t55474 = t28442 * t11746;
  t55476 = t28439 * t11552;
  t55484 = t38762 * t2339;
  t55486 = t55464 / 0.9e1 + t55466 / 0.6e1 - t55468 / 0.6e1 + t55470 / 0.36e2 - t55472 / 0.3e1 + t55474 / 0.18e2 - t55476 / 0.18e2 + t38459 * t2339 / 0.6e1 - t7921 * t10462 / 0.12e2 - t7921 * t9300 / 0.12e2 + t55484 / 0.18e2;
  t55510 = t5449 * t2029 / 0.2e1 - t7921 * t9274 / 0.6e1 + t7921 * t9249 / 0.3e1 - t5425 * t11562 / 0.6e1 + t5425 * t11566 / 0.3e1 - t38631 * t1411 / 0.2e1 + t8016 * t1416 / 0.2e1 - t28872 * t2026 / 0.2e1 - t38363 * t2342 / 0.12e2 + t7916 * t9430 / 0.6e1 - t290 * t11383 / 0.4e1;
  t55515 = t38759 * t2339;
  t55529 = t1905 * t5809;
  t55531 = t8006 * t1378;
  t55533 = -t7921 * t10583 / 0.6e1 - t38366 * t2347 / 0.6e1 + t55515 / 0.18e2 + t945 * t11479 / 0.2e1 + t945 * t11482 / 0.2e1 - t1351 * t8602 / 0.12e2 - t8016 * t1439 / 0.2e1 - t8016 * t1443 / 0.4e1 + t4028 * t2512 / 0.2e1 - t55529 / 0.36e2 - t55531 / 0.36e2;
  t55538 = t8011 * t1378;
  t55540 = t938 * t11422;
  t55542 = t28812 * t570;
  t55544 = t28807 * t570;
  t55546 = t7997 * t1394;
  t55548 = t38701 * t457;
  t55550 = t38693 * t457;
  t55552 = t937 * t11500;
  t55553 = t55552 * t377;
  t55555 = t5484 * t1938;
  t55570 = t7953 * t10592;
  t55578 = 0.3e1 * t28713 * t11801 - t28445 * t11771 / 0.2e1 + t945 * t11378 / 0.4e1 + t4025 * t2521 / 0.4e1 + t4028 * t2521 / 0.4e1 + t55570 / 0.18e2 - t945 * t11439 / 0.2e1 + t945 * t11472 / 0.4e1 + t4025 * t2512 / 0.2e1 - t9147 - t9168;
  t55588 = t5484 * t2029;
  t55594 = t9172 + t9195 + t28461 * t11753 / 0.2e1 + t28461 * t11756 / 0.2e1 + t44154 + t44156 + t7916 * t10592 / 0.6e1 + t38499 * t2339 / 0.6e1 + t55588 / 0.6e1 - t4028 * t2506 / 0.2e1 - t945 * t11436 / 0.2e1;
  t55599 = t28548 * t11762;
  t55601 = t28548 * t11756;
  t55611 = t38935 * t10500;
  t55613 = t55231 * t10444;
  t55615 = t38570 * t10400;
  t55617 = -t4025 * t2506 / 0.2e1 - t38366 * t2342 / 0.12e2 + t55599 / 0.2e1 + t55601 / 0.6e1 + t38554 * t9450 / 0.12e2 - t38588 * t9447 / 0.6e1 - t38984 * t9457 / 0.6e1 - t38554 * t10366 / 0.12e2 - t55611 / 0.18e2 - 0.2e1 / 0.3e1 * t55613 + t55615 / 0.9e1;
  t55620 = t28439 * t11780;
  t55622 = t28548 * t11753;
  t55628 = t24028 * t11777;
  t55630 = t28899 * t11530;
  t55640 = -t55620 / 0.36e2 + t55622 / 0.6e1 + t38554 * t10374 / 0.3e1 + t38588 * t9441 / 0.12e2 - t55628 / 0.12e2 - t55630 / 0.6e1 - t23548 * t11777 / 0.4e1 - t23548 * t11784 / 0.2e1 - t28464 * t11780 / 0.12e2 - t38554 * t10377 / 0.6e1 - t44217;
  t55649 = t38570 * t9328;
  t55651 = t55228 * t10451;
  t55653 = t38935 * t10719;
  t55655 = t294 * t8443;
  t55656 = t55655 * t10726;
  t55658 = t55231 * t10716;
  t55660 = -t44219 + t44221 - t290 * t11386 / 0.4e1 - t23548 * t11768 / 0.2e1 + t28461 * t11765 / 0.2e1 + 0.3e1 / 0.2e1 * t28461 * t11762 - t55649 / 0.9e1 + 0.23e2 / 0.108e3 * t55651 + t55653 / 0.18e2 - t55656 / 0.6e1 + t55658 / 0.6e1;
  t55672 = t294 * t11386;
  t55674 = t54662 / 0.9e1 + t54664 / 0.36e2 - t54666 / 0.36e2 + t54668 / 0.6e1 - t54670 / 0.12e2 - t54672 / 0.6e1 - t54674 / 0.6e1 - t54680 / 0.36e2 - t54685 / 0.18e2 + t54687 / 0.18e2 - t55672 / 0.12e2;
  t55675 = t294 * t11389;
  t55677 = t929 * t2517;
  t55697 = -t55675 / 0.12e2 - t55677 / 0.12e2 + t38363 * t2353 / 0.3e1 + t38366 * t2353 / 0.3e1 - t1351 * t8553 / 0.12e2 - t5425 * t11588 / 0.12e2 + t1351 * t8264 / 0.12e2 + t8016 * t1447 / 0.4e1 - t3971 * t11462 / 0.2e1 - t23883 * t2503 / 0.2e1 - t23870 * t2503 / 0.2e1;
  t55711 = t7911 * t10462;
  t55713 = t38425 * t2342;
  t55717 = t38570 * t10377;
  t55722 = t290 * t8460;
  t55742 = t38428 * t2342;
  t55744 = t55722 * t10716 / 0.2e1 - t38984 * t10500 / 0.6e1 - 0.2e1 * t55722 * t10444 + t55722 * t10441 - t55396 * t10543 / 0.2e1 + 0.7e1 / 0.3e1 * t55396 * t10546 - t38554 * t9328 / 0.3e1 + t38554 * t9332 / 0.6e1 - 0.11e2 / 0.18e2 * t55396 * t10448 + 0.23e2 / 0.36e2 * t55396 * t10451 - t55742 / 0.36e2;
  t55746 = t7953 * t9430;
  t55748 = t7911 * t10583;
  t55750 = t38425 * t2347;
  t55752 = t38428 * t2347;
  t55754 = t1905 * t9427;
  t55756 = t1905 * t9422;
  t55758 = t8006 * t2199;
  t55760 = t8011 * t2199;
  t55762 = t1905 * t5607;
  t55764 = t7911 * t9734;
  t55766 = t1905 * t5555;
  t55768 = t55746 / 0.18e2 - t55748 / 0.18e2 - t55750 / 0.18e2 - t55752 / 0.18e2 + t55754 / 0.36e2 + t55756 / 0.36e2 + t55758 / 0.36e2 + t55760 / 0.36e2 - t55762 / 0.36e2 - t55764 / 0.36e2 + t55766 / 0.36e2;
  t55769 = t7953 * t9729;
  t55771 = t294 * t11383;
  t55773 = t28899 * t11771;
  t55786 = t55769 / 0.18e2 - t55771 / 0.12e2 - t55773 / 0.6e1 - t23548 * t11759 / 0.4e1 - t290 * t11735 / 0.4e1 - t925 * t2496 / 0.4e1 - t54689 / 0.12e2 + t44321 + t44323 + t38554 * t10400 / 0.3e1 - 0.2e1 / 0.3e1 * t38554 * t10394;
  t55789 = t28548 * t11543;
  t55793 = t929 * t2496;
  t55795 = t294 * t11735;
  t55803 = -t44333 - t44335 + t44337 + t55789 / 0.2e1 + t28905 * t8211 / 0.12e2 + t54694 - t55793 / 0.12e2 - t55795 / 0.12e2 - 0.3e1 * t28713 * t11527 + 0.3e1 / 0.2e1 * t49732 * t11523 - t290 * t11389 / 0.4e1;
  t55809 = -t925 * t2517 / 0.4e1 + t28713 * t11804 - t44353 - t44360 - t43495 - t44379 + t44389 - t54695 / 0.36e2 + t54697 / 0.12e2 + t54700 - t54702;
  t55811 = t55228 * t10543;
  t55814 = t38570 * t10394;
  t55816 = t28763 * t11804;
  t55818 = t38570 * t9332;
  t55820 = t3990 * t2509;
  t55822 = t948 * t11439;
  t55824 = t948 * t11436;
  t55826 = t3993 * t2506;
  t55828 = t3990 * t2506;
  t55830 = -t55811 / 0.6e1 + t54706 - t54707 / 0.12e2 - 0.2e1 / 0.9e1 * t55814 + t55816 / 0.3e1 + t55818 / 0.18e2 - t55820 / 0.12e2 - t55822 / 0.6e1 - t55824 / 0.6e1 - t55826 / 0.6e1 - t55828 / 0.6e1;
  t55831 = t1354 * t8563;
  t55833 = t5494 * t1965;
  t55835 = t948 * t11482;
  t55837 = t5499 * t1965;
  t55839 = t948 * t11479;
  t55841 = t3990 * t2512;
  t55843 = t3993 * t2512;
  t55845 = t948 * t11472;
  t55847 = t948 * t11378;
  t55849 = t3993 * t2521;
  t55851 = t5484 * t1969;
  t55853 = -t55831 / 0.36e2 - t55833 / 0.36e2 + t55835 / 0.6e1 - t55837 / 0.36e2 + t55839 / 0.6e1 + t55841 / 0.6e1 + t55843 / 0.6e1 + t55845 / 0.12e2 + t55847 / 0.12e2 + t55849 / 0.12e2 + t55851 / 0.12e2;
  t55859 = my_piecewise3(t100, 0, -t945 * t11446 / 0.4e1 - t4025 * t2509 / 0.4e1 - t4028 * t2509 / 0.4e1 - t5454 * t1965 / 0.12e2 + t38984 * t10719 / 0.6e1 - t945 * t11449 / 0.4e1 + t5449 * t2045 / 0.4e1 - t1351 * t8563 / 0.12e2 - t5461 * t1965 / 0.12e2 - t934 * t11368 / 0.12e2 + t5449 * t1969 / 0.4e1 - 0.3e1 / 0.2e1 * t55396 * t10437 - t28461 * t11751 - t3971 * t11459 / 0.2e1 + t44060 - t43956 - t43933 - t43935 + t43931 + t55697 + t55768 + t55617 + t55594 + t55376 - t55540 / 0.36e2 + t55542 / 0.12e2 + t55786 - t55225 + t55226 / 0.2e1 + t55553 / 0.12e2 + t55555 / 0.12e2 + t55640 + t55744 + t55455 + t55830 + t55463 + t55544 / 0.12e2 + t55546 / 0.12e2 + t55384 / 0.6e1 + t55660 + t55273 + t55486 + t55232 / 0.3e1 + t55235 + t55578 + t55336 + t55444 - t55538 / 0.36e2 + t55288 + t55353 - t55711 / 0.36e2 + t55548 / 0.12e2 + t55550 / 0.12e2 + t55510 + t55380 / 0.9e1 + t55382 / 0.36e2 + t55803 + t55251 - t55229 / 0.2e1 + t55853 + t55420 + t55809 - t55713 / 0.36e2 - t55717 / 0.18e2 - t55394 / 0.36e2 + t55674 + t55313 + t55533);
  tv4rho2sigmatau11 = t3 * t55859 + t11323 + t11823;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 11] += tv4rho2sigmatau11;

  t55885 = t54815 / 0.6e1 + t54817 / 0.3e1 - t54819 / 0.18e2 - t52379 - t3958 * t2447 / 0.2e1 - t3958 * t2450 / 0.4e1 - t5523 * t1807 / 0.12e2 + t3958 * t2453 / 0.2e1 + t3958 * t2462 / 0.4e1 + t38273 * t2268 / 0.6e1 - t5523 * t1765 / 0.12e2 - t8041 * t1223 / 0.12e2 + t28311 * t530 / 0.4e1 + t38297 * t432 / 0.4e1;
  t55895 = -t52527 + t52529 - t52531 + t52533 + t8041 * t2108 / 0.12e2 - t38270 * t2271 / 0.12e2 - t38270 * t2276 / 0.6e1 + t38270 * t2282 / 0.3e1 - t52676 + t52799 + t52814 + t54951 / 0.6e1 + t53140 - t53146;
  t55910 = -t41813 - t55054 / 0.6e1 - t55056 / 0.3e1 - t55058 / 0.3e1 - t972 * t2458 / 0.4e1 + t42576 - t55118 / 0.18e2 - t55120 / 0.18e2 + t55122 / 0.6e1 - t55124 / 0.6e1 - t972 * t2437 / 0.4e1 - t44417 + t44424 - t23213 * t2444 / 0.2e1;
  t55917 = t55170 / 0.9e1 + t55172 / 0.18e2 - t55174 / 0.18e2 - t55176 / 0.9e1 + 0.2e1 / 0.9e1 * t55178 - t44427 + t44448 + t54300 + t54414 + t54497 + t54499 - t54501 - t54503 + t54542 - t55202 / 0.6e1;
  t55920 = my_piecewise3(t2, 0, t55885 + t55895 + t55910 + t55917);
  tv4rho2sigmatau12 = t3 * t55920 + 0.2e1 * t11362;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 12] += tv4rho2sigmatau12;

  tv4rho2sigmatau13 = 0.e0;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 13] += tv4rho2sigmatau13;

  tv4rho2sigmatau14 = 0.e0;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 14] += tv4rho2sigmatau14;

  tv4rho2sigmatau15 = 0.e0;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 15] += tv4rho2sigmatau15;

  tv4rho2sigmatau16 = 0.e0;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 16] += tv4rho2sigmatau16;

  t55952 = -t1956 * t5580 / 0.2e1 - t1383 * t8354 / 0.2e1 - t1029 * t39054 * t2389 / 0.2e1 - t1029 * t8246 * t9311 - t1029 * t2025 * t45547 / 0.2e1 - t25233 * t2503 / 0.2e1 - t4188 * t11459 - t4188 * t11462 - t25243 * t2503 / 0.2e1 - t25641 * t2503 - t4204 * t11459 - t4204 * t11462 - t373 * t2040 * t46727 / 0.4e1 + t1383 * t8114 / 0.4e1 - t373 * t39195 * t2257 / 0.4e1;
  t55976 = -t373 * t8133 * t9401 / 0.2e1 + t11510 * t45734 - 0.2e1 * t55225 + t55226 - t55229 + 0.2e1 / 0.3e1 * t55232 - t40730 * t10500 / 0.3e1 - t40161 * t10500 / 0.3e1 - t8219 * t50390 / 0.3e1 + 0.2e1 * t8063 * t50792 + 0.2e1 * t55235 + t8063 * t46708 / 0.12e2 + 0.5e1 / 0.36e2 * t11399 * t46711 + t39976 * t10722 / 0.3e1 + t39979 * t10722 / 0.3e1;
  t55984 = t318 * t8438;
  t55987 = t110 * t40336;
  t55994 = t110 * t40324;
  t56003 = t110 * t40346;
  t56009 = t8063 * t51308 / 0.3e1 + t8063 * t44462 / 0.3e1 + t8063 * t52030 / 0.6e1 - 0.5e1 / 0.18e2 * t55984 * t10361 + 0.5e1 / 0.3e1 * t55987 * t50785 - 0.23e2 / 0.3e1 * t55987 * t51270 - 0.3e1 / 0.2e1 * t11399 * t50140 - 0.43e2 / 0.9e1 * t55994 * t50146 + 0.3e1 * t52118 * t11523 + 0.3e1 * t52122 * t11523 + 0.14e2 / 0.3e1 * t55984 * t10546 + 0.14e2 / 0.3e1 * t56003 * t10546 + 0.14e2 / 0.3e1 * t11399 * t50344 - t55984 * t10543 - t44483;
  t56022 = -t44484 + 0.14e2 / 0.9e1 * t55237 + t54620 - t54622 + t54624 - t55239 / 0.9e1 + t55241 / 0.9e1 + 0.2e1 / 0.9e1 * t55243 + 0.2e1 / 0.9e1 * t55245 + 0.2e1 / 0.9e1 * t55247 + 0.2e1 / 0.9e1 * t55249 - t55253 / 0.18e2 - t55255 / 0.18e2 + t55257 / 0.18e2 - t55259 / 0.3e1 - t55261 / 0.3e1;
  t56036 = t1014 * t2496;
  t56050 = t55263 / 0.6e1 - t55265 / 0.3e1 - t55267 / 0.6e1 - t55269 / 0.6e1 - t55271 / 0.6e1 + t1956 * t5851 / 0.4e1 + t30421 * t570 / 0.4e1 + t8287 * t1394 / 0.2e1 - t1002 * t56036 / 0.6e1 - t2180 + t2251 - t4695 * t39991 * t1435 * t1438 - t4695 * t8226 * t5657 * t1438 - t4695 * t11783 * t4340 / 0.2e1 - 0.2e1 * t34365 * t17622;
  t56071 = t321 * t369 * t2494 * t1026;
  t56076 = t29503 * t11551;
  t56079 = t2020 * t333;
  t56080 = t380 * t56079;
  t56081 = t6005 * t56080;
  t56084 = t25376 * t11742 + t25561 * t11742 + 0.3e1 / 0.2e1 * t10513 * t8438 * t52133 - 0.6e1 * t29436 * t11527 - 0.5e1 / 0.18e2 * t11399 * t51275 - 0.5e1 / 0.18e2 * t11399 * t45643 - 0.5e1 / 0.36e2 * t11399 * t51075 - 0.35e2 / 0.108e3 * t55994 * t51078 + t25376 * t11404 + t44540 - t44544 + t11501 * t1040 / 0.2e1 - t56071 * t1035 / 0.2e1 + t1053 * t11422 / 0.6e1 + t6004 * t56076 / 0.3e1 + t6004 * t56081 / 0.3e1;
  t56112 = t6004 * t39432 / 0.6e1 - t25561 * t11784 - t8063 * t45423 / 0.3e1 - 0.2e1 / 0.3e1 * t39976 * t9328 - 0.2e1 / 0.3e1 * t39979 * t9328 - 0.2e1 / 0.3e1 * t8063 * t45414 + t39976 * t9332 / 0.3e1 + t39979 * t9332 / 0.3e1 + t8063 * t44532 / 0.3e1 + t8063 * t44498 / 0.3e1 - t56003 * t10543 - t11399 * t51455 - t11399 * t45277 - t11399 * t51459 / 0.2e1 - 0.2e1 / 0.3e1 * t8063 * t45418;
  t56113 = t110 * t40329;
  t56146 = -0.6e1 * t56113 * t50773 - t29349 * t11540 - t29346 * t11540 + 0.3e1 * t10513 * t40346 * t52125 + 0.3e1 * t10513 * t8438 * t46604 - t8063 * t51966 / 0.2e1 + t8063 * t45284 / 0.2e1 - t8063 * t45270 / 0.3e1 + t39365 * t2353 / 0.3e1 + 0.2e1 / 0.3e1 * t8086 * t10322 + 0.2e1 / 0.3e1 * t8086 * t9347 + t1981 * t50191 / 0.3e1 + 0.2e1 / 0.3e1 * t1981 * t45986 - t442 * t39214 / 0.12e2 + t39051 * t2353 / 0.3e1 + 0.2e1 / 0.3e1 * t39164 * t2353;
  t56156 = t8262 * t5564;
  t56157 = t5595 * t56156;
  t56170 = t318 * t8443;
  t56172 = t110 * t40428;
  t56180 = 0.2e1 / 0.3e1 * t8081 * t10322 + 0.2e1 / 0.3e1 * t8081 * t9347 - t1421 * t39733 / 0.12e2 - 0.5e1 / 0.36e2 * t5562 * t56157 + t1956 * t5749 / 0.4e1 + t442 * t39556 / 0.12e2 - t1956 * t6025 / 0.4e1 - t1383 * t8105 / 0.4e1 + t8219 * t45740 / 0.3e1 - t56170 * t10726 - t56172 * t10726 - t11646 * t50728 - t11646 * t45728 - t11646 * t51959 / 0.2e1 - t29985 * t8228 / 0.4e1;
  t56181 = t1423 * t39732;
  t56184 = t5733 * t56156;
  t56195 = t1101 * t56156;
  t56201 = t583 * t997;
  t56202 = t380 * t56201;
  t56203 = t5691 * t56202;
  t56207 = t10358 * t5647 * t56201;
  t56210 = t583 * t69;
  t56211 = t56210 * t5560;
  t56226 = -t1421 * t56181 / 0.6e1 - 0.11e2 / 0.18e2 * t5562 * t56184 + t1981 * t30098 / 0.3e1 + 0.23e2 / 0.36e2 * t8169 * t45177 - t1981 * t44556 / 0.6e1 - t1981 * t44561 / 0.12e2 - t5714 * t56195 / 0.2e1 + 0.6e1 * t5665 * t40324 * t50535 - t29352 * t56203 / 0.2e1 - 0.3e1 / 0.2e1 * t29352 * t56207 + 0.3e1 / 0.2e1 * t30451 * t56211 * t5602 + 0.3e1 * t5639 * t8438 * t46697 - 0.3e1 / 0.2e1 * t5665 * t8438 * t46701 - 0.18e2 * t5639 * t40324 * t51345 + t30611 * t8211 / 0.6e1;
  t56237 = t318 * t8460;
  t56239 = t110 * t40367;
  t56255 = t30614 * t8211 / 0.6e1 + t6012 * t40245 / 0.6e1 - 0.11e2 / 0.27e2 * t55278 - t8219 * t45731 / 0.3e1 - t8219 * t52007 / 0.6e1 + t56237 * t10716 + t56239 * t10716 + t11510 * t50722 + t1383 * t8609 / 0.2e1 - t1070 * t11439 - t442 * t39220 / 0.12e2 - t5847 * t1965 / 0.6e1 - t1397 * t8563 / 0.6e1 - t5840 * t1965 / 0.12e2 - t1402 * t8563 / 0.6e1;
  t56278 = t373 * t8246 * t9489 + t373 * t2025 * t46533 / 0.2e1 - t5854 * t1965 / 0.12e2 + t1058 * t11479 + t1058 * t11482 + t373 * t39054 * t2402 / 0.2e1 + t4183 * t2512 / 0.2e1 + t4274 * t2512 + t1070 * t11479 + t1070 * t11482 - t44585 - t44589 - t44600 - t44614 + 0.3e1 / 0.2e1 * t4695 * t56211 * t5576 + 0.11e2 / 0.18e2 * t11399 * t44508;
  t56298 = -0.23e2 / 0.36e2 * t11399 * t45427 - 0.6e1 * t29339 * t11527 - 0.6e1 * t5639 * t40346 * t50404 - 0.6e1 * t5639 * t8438 * t44726 + t44645 + t44647 + t44649 - t55345 / 0.18e2 - t55347 / 0.18e2 - t55349 / 0.18e2 - t44699 + t44701 + t44703 - t8214 * t45660 / 0.3e1 - t8214 * t45759 / 0.3e1;
  t56322 = -t8214 * t46720 / 0.6e1 + t39976 * t9450 / 0.6e1 + t39979 * t9450 / 0.6e1 + t8063 * t45663 / 0.6e1 + t8063 * t45743 / 0.6e1 - t55351 / 0.6e1 + t44736 - t44737 - t44746 + t44747 - t44748 + t44752 + 0.8e1 * t55994 * t50144 * t10511 * t50126 - 0.6e1 * t50541 * t40324 * t50542 + 0.18e2 * t10513 * t40324 * t50546 - 0.38e2 / 0.9e1 * t55994 * t50336;
  t56355 = 0.22e2 / 0.3e1 * t55987 * t50128 + 0.89e2 / 0.9e1 * t55994 * t50320 - t39906 * t6019 / 0.2e1 - t11501 * t1048 / 0.2e1 + t39074 * t457 / 0.4e1 + t8296 * t1394 / 0.2e1 + t39069 * t457 / 0.2e1 + t40666 * t457 / 0.4e1 + 0.7e1 / 0.3e1 * t11399 * t50351 - 0.3e1 / 0.2e1 * t45289 * t8069 + t29985 * t8073 - 0.2e1 * t55994 * t51195 - 0.3e1 * t5639 * t2060 * t50099 - t5665 * t2056 * t51088 - 0.6e1 * t5665 * t40350 * t52152;
  t56367 = t6005 * t56202;
  t56392 = -0.3e1 / 0.2e1 * t5665 * t559 * t45936 - 0.3e1 / 0.2e1 * t5665 * t8443 * t45074 + 0.3e1 * t5665 * t2060 * t52156 - t6012 * t40112 / 0.6e1 - t29493 * t56367 / 0.2e1 + t29346 * t11765 + t5665 * t8451 * t10493 + t5665 * t2056 * t45494 + t5665 * t2056 * t51369 / 0.2e1 - t25376 * t11768 - t25561 * t11768 - t4695 * t40050 * t2394 / 0.2e1 - t4695 * t40062 * t2394 - t4695 * t8077 * t9401 / 0.2e1 + 0.3e1 * t29349 * t11762 + 0.3e1 * t29346 * t11762;
  t56418 = 0.3e1 * t5665 * t40428 * t10489 + 0.3e1 * t5665 * t8443 * t45490 + 0.3e1 / 0.2e1 * t5665 * t8443 * t52176 + t55357 / 0.3e1 - t55359 / 0.3e1 - 0.2e1 * t55361 + t55362 / 0.3e1 - 0.5e1 / 0.54e2 * t55364 + t55366 / 0.9e1 + t55368 / 0.18e2 - t55370 / 0.9e1 - t55372 / 0.9e1 - t55374 / 0.18e2 + 0.2e1 / 0.9e1 * t55380 + t55382 / 0.18e2;
  t56422 = t2020 * t648;
  t56423 = t56422 * t1407;
  t56426 = t11402 * t5584;
  t56429 = t4626 * t565;
  t56430 = t56429 * t5675;
  t56433 = t1038 * t565;
  t56434 = t56433 * t5681;
  t56457 = t55384 / 0.3e1 - t55394 / 0.18e2 + t44785 + t25561 * t11404 + t4695 * t56423 * t1415 + t4695 * t56426 * t1415 + t5673 * t56430 / 0.2e1 - t5673 * t56434 / 0.3e1 + t4176 * t2512 / 0.2e1 + t373 * t39243 * t445 * t376 / 0.4e1 + t373 * t8600 * t1467 * t376 / 0.2e1 + t373 * t1963 * t5934 * t376 / 0.4e1 + t1058 * t11378 / 0.2e1 + t1058 * t11472 / 0.2e1 + t1070 * t11378 / 0.2e1;
  t56476 = t1101 * t29195 * t1963;
  t56490 = t1070 * t11472 / 0.2e1 + t4176 * t2521 / 0.4e1 + t1383 * t8122 / 0.4e1 + t4183 * t2521 / 0.4e1 + t4274 * t2521 / 0.2e1 + t5797 * t1969 / 0.2e1 + t5814 * t1969 / 0.2e1 + t1383 * t8606 / 0.2e1 - t338 * t56476 / 0.6e1 - 0.6e1 * t29349 * t11407 - 0.6e1 * t29346 * t11407 - 0.6e1 * t5665 * t40367 * t10530 - t44849 + t6012 * t40236 / 0.6e1 + t6012 * t40241 / 0.12e2;
  t56504 = t4191 * t17683;
  t56530 = -0.2e1 * t29349 * t11751 + 0.6e1 * t29339 * t11801 + 0.6e1 * t5639 * t40367 * t50868 + 0.6e1 * t5639 * t8460 * t44722 + 0.3e1 * t5639 * t8460 * t52010 + 0.18e2 * t50465 * t10358 * t56504 + 0.2e1 * t29436 * t11804 + 0.2e1 * t29339 * t11804 + 0.2e1 * t5639 * t8457 * t5643 + 0.2e1 * t5639 * t2060 * t45347 - 0.4e1 * t11510 * t51264 - 0.2e1 * t11510 * t51267 - t5649 * t39587 * t2389 - t5649 * t8072 * t9311 + 0.6e1 * t29436 * t11801 + t1956 * t5710 / 0.2e1;
  t56536 = t1430 * t1381 * t14770;
  t56552 = 0.3e1 / 0.2e1 * t1956 * t5703 + 0.2e1 / 0.3e1 * t4533 * t56536 + t1383 * t8118 / 0.2e1 + t43466 + t55422 / 0.6e1 - t55424 / 0.18e2 - t55426 / 0.18e2 - t55428 / 0.3e1 + t55430 / 0.3e1 - t55432 / 0.3e1 - t55434 / 0.9e1 + 0.2e1 / 0.9e1 * t55436 + 0.2e1 / 0.9e1 * t55438 - t55440 / 0.9e1 + t55442 / 0.6e1;
  t56568 = -t55445 / 0.6e1 - t55447 / 0.3e1 - t55449 / 0.6e1 - t55451 / 0.3e1 - t55453 / 0.3e1 + t54627 + t54629 - t54631 - t54633 - t54635 + t54637 - 0.4e1 * t56239 * t10444 - 0.4e1 * t11510 * t51261 + 0.2e1 * t56237 * t10441 + 0.2e1 * t56239 * t10441 + 0.2e1 * t11510 * t50116;
  t56589 = t1018 * t17683;
  t56594 = 0.2e1 * t11510 * t45707 + t11510 * t50123 + 0.14e2 / 0.3e1 * t11399 * t50347 - 0.3e1 * t1383 * t8197 + t54645 + t54647 - t54649 - t54651 - 0.11e2 / 0.9e1 * t55984 * t10448 - 0.11e2 / 0.9e1 * t56003 * t10448 - 0.11e2 / 0.9e1 * t11399 * t51245 - 0.11e2 / 0.9e1 * t11399 * t45700 - 0.11e2 / 0.18e2 * t11399 * t51251 + 0.12e2 * t110 * t1160 * t24522 * t5695 * t56589 + t29349 * t11765;
  t56628 = t29349 * t11756 + t29346 * t11756 + t5665 * t2054 * t9463 + t5665 * t559 * t46511 + t5665 * t559 * t46688 / 0.2e1 - t25376 * t11759 / 0.2e1 - t25561 * t11759 / 0.2e1 - t4695 * t40714 * t2257 / 0.4e1 - t4695 * t40037 * t2257 / 0.2e1 + t8063 * t44503 / 0.6e1 + 0.23e2 / 0.18e2 * t55984 * t10451 + 0.23e2 / 0.18e2 * t56003 * t10451 + 0.23e2 / 0.18e2 * t11399 * t51234 + 0.23e2 / 0.18e2 * t11399 * t45714 + 0.23e2 / 0.36e2 * t11399 * t51239 - t4695 * t8060 * t9498;
  t56637 = t1033 * t565;
  t56638 = t56637 * t5681;
  t56641 = t356 * t565;
  t56642 = t56641 * t5681;
  t56645 = t4572 * t565;
  t56646 = t56645 * t5675;
  t56651 = t40145 * t5675;
  t56669 = -t30473 * t11771 - t30693 * t11771 - t5649 * t39601 * t2389 / 0.2e1 - t5673 * t56638 / 0.6e1 + t6004 * t56642 / 0.3e1 + t5673 * t56646 / 0.4e1 + t6012 * t40146 / 0.6e1 - t6004 * t56651 / 0.3e1 - t55461 / 0.3e1 - 0.2e1 * t29346 * t11751 - 0.2e1 * t5665 * t8457 * t10486 + t4695 * t39601 * t2402 / 0.2e1 + t4695 * t39587 * t2402 + t4695 * t8072 * t9489 + t29507 * t11746 / 0.3e1;
  t56686 = t1430 * t8285 * t2337;
  t56697 = 0.2e1 / 0.9e1 * t55464 + t29501 * t11746 / 0.3e1 - 0.3e1 * t11399 * t50329 - 0.3e1 * t11399 * t50333 + 0.6e1 * t55987 * t50779 + t11646 * t45080 / 0.2e1 + t55466 / 0.3e1 - t55468 / 0.3e1 - t8287 * t1443 / 0.2e1 + 0.2e1 / 0.3e1 * t4533 * t56686 + t8287 * t1447 / 0.2e1 - t8287 * t1439 + 0.2e1 / 0.3e1 * t24346 * t17664 + t8296 * t1447 / 0.2e1 - t8296 * t1439;
  t56712 = t1018 * t11535;
  t56713 = t29468 * t56712;
  t56724 = -t8296 * t1443 / 0.2e1 - t11501 * t1085 / 0.4e1 + t11501 * t1090 / 0.2e1 - t5665 * t8457 * t9335 - t5665 * t2060 * t44517 - t5665 * t2060 * t44520 / 0.2e1 - 0.7e1 / 0.3e1 * t39435 * t56713 - t45030 + t45032 + t45036 + t45040 + t11510 * t52024 / 0.2e1 + t40730 * t10719 / 0.3e1 + t40161 * t10719 / 0.3e1 + t8219 * t50724 / 0.3e1;
  t56745 = t8219 * t52027 / 0.6e1 - t40161 * t9457 / 0.3e1 - t8219 * t45656 / 0.3e1 - t8219 * t45754 / 0.3e1 - t8219 * t46674 / 0.6e1 - t11510 * t46677 / 0.2e1 - t39497 * t9447 / 0.3e1 - t40920 * t9447 / 0.3e1 + 0.2e1 / 0.3e1 * t8063 * t45710 + t45052 + t45055 + t45057 + t45059 + t45061 - t45063 + t39497 * t9441 / 0.6e1;
  t56776 = t40920 * t9441 / 0.6e1 + t8214 * t45751 / 0.6e1 + t8214 * t46716 / 0.12e2 + t8214 * t45748 / 0.6e1 + 0.2e1 / 0.3e1 * t39976 * t10374 + 0.2e1 / 0.3e1 * t39979 * t10374 + 0.2e1 / 0.3e1 * t8063 * t51182 + 0.2e1 / 0.3e1 * t8063 * t51072 + t8063 * t50232 / 0.3e1 + 0.2e1 / 0.3e1 * t8063 * t45478 - t39976 * t10377 / 0.3e1 - t39979 * t10377 / 0.3e1 - t8063 * t51185 / 0.3e1 + t55470 / 0.18e2 - 0.2e1 / 0.3e1 * t55472;
  t56782 = t30121 * t11555;
  t56786 = t5695 * t4693 * t56079;
  t56800 = t39769 * t1424;
  t56801 = t1430 * t56800;
  t56806 = t55474 / 0.9e1 - t30473 * t11530 - t30693 * t11530 - t5649 * t56423 * t1410 + 0.2e1 / 0.3e1 * t5673 * t56782 + 0.2e1 / 0.3e1 * t5673 * t56786 + t5673 * t40787 / 0.3e1 - t55476 / 0.9e1 + t5994 * t11603 / 0.3e1 + t1397 * t8264 / 0.6e1 - t555 * t30400 / 0.6e1 - t1981 * t44789 / 0.6e1 - t1421 * t56801 / 0.6e1 - t442 * t39771 / 0.6e1 + t45122 + t45124;
  t56808 = t29988 * t8210;
  t56818 = -t45131 - t45133 - t45135 - t45137 - t45150 - t45156 - t45195 + t45198 + t4686 * t56808 / 0.12e2 + t5639 * t8457 * t45837 + t5639 * t2060 * t45922 + t5639 * t2060 * t45925 / 0.2e1 + t45233 + t45236 - t45239;
  t56831 = t1954 * t5564;
  t56832 = t5595 * t56831;
  t56840 = -t45243 - t45249 + t55484 / 0.9e1 - 0.2e1 * t8091 * t1430 * t45176 - 0.3e1 * t1956 * t5729 + 0.3e1 * t5792 * t8201 + 0.3e1 * t8280 * t5636 + t1421 * t39716 / 0.3e1 + 0.23e2 / 0.36e2 * t5562 * t56832 - t45315 + t45316 + t55515 / 0.9e1 - t55529 / 0.18e2 - t55531 / 0.18e2 - t55538 / 0.18e2 - t55540 / 0.18e2;
  t56867 = t55542 / 0.6e1 + t55544 / 0.6e1 + t55546 / 0.6e1 + t55548 / 0.6e1 + t55550 / 0.6e1 + t55553 / 0.6e1 + t55555 / 0.6e1 + t45317 - 0.5e1 / 0.6e1 * t8063 * t45779 - 0.11e2 / 0.6e1 * t11510 * t52186 + 0.25e2 / 0.36e2 * t11399 * t50755 - t1205 * t2517 / 0.4e1 - t318 * t11383 / 0.2e1 - t4176 * t2509 / 0.4e1 - t1058 * t11446 / 0.2e1;
  t56898 = -t1058 * t11449 / 0.2e1 - t373 * t2036 * t45008 / 0.2e1 - t4183 * t2509 / 0.4e1 - t4274 * t2509 / 0.2e1 - t1070 * t11446 / 0.2e1 - t1070 * t11449 / 0.2e1 - t373 * t39191 * t2394 / 0.2e1 - t373 * t8351 * t9498 - t4176 * t2506 / 0.2e1 - t1058 * t11436 - t1058 * t11439 - t4183 * t2506 / 0.2e1 - t4274 * t2506 - t1070 * t11436 + 0.3e1 / 0.2e1 * t4695 * t8226 * t1407 * t5702;
  t56900 = t5695 * t56202;
  t56904 = t5695 * t56080;
  t56909 = t10358 * t56202;
  t56917 = t39991 * t440;
  t56921 = t8226 * t1400;
  t56925 = t29461 * t56900 / 0.2e1 + t45378 + t45381 + t55570 / 0.9e1 - t45399 - t45406 + t45407 - t5673 * t56904 / 0.6e1 - t5673 * t39550 / 0.12e2 - 0.5e1 / 0.36e2 * t29352 * t56909 - t25376 * t11784 - t25376 * t11777 / 0.2e1 - t25561 * t11777 / 0.2e1 - t4695 * t56917 * t1084 / 0.2e1 - t4695 * t56921 * t1084 / 0.2e1;
  t56930 = t110 * t40350;
  t56940 = t30121 * t11551;
  t56955 = -t11510 * t45954 + t45434 - t45438 - t45442 - t110 * t2495 * t1147 / 0.4e1 + 0.2e1 * t56930 * t51963 - t4695 * t11776 * t4407 / 0.4e1 - t30050 * t11780 / 0.6e1 - t29571 * t11780 / 0.6e1 - t5673 * t56940 / 0.6e1 - t5854 * t1951 / 0.12e2 - t5847 * t1951 / 0.6e1 - t1397 * t8316 / 0.6e1 - t555 * t30424 / 0.12e2 - t1946 * t5809 / 0.6e1 - t1941 * t5809 / 0.6e1;
  t56960 = t1009 * t2496;
  t56967 = t349 * t11735;
  t56983 = -t8324 * t1378 / 0.12e2 - t1002 * t56960 / 0.12e2 - t8337 * t1378 / 0.12e2 - t8340 * t1378 / 0.6e1 - t338 * t56967 / 0.6e1 - t1066 * t11422 / 0.6e1 - t991 * t11422 / 0.12e2 + t30429 * t570 / 0.4e1 + t30606 * t570 / 0.2e1 + t55588 / 0.3e1 + t45502 - t45505 + t8219 * t52189 / 0.3e1 - 0.3e1 * t56113 * t51969 + t55599;
  t57004 = t55601 / 0.3e1 - t45534 - t45537 - t45539 - t45541 - t45543 - 0.11e2 * t5639 * t8460 * t50872 - 0.15e2 / 0.2e1 * t5665 * t8438 * t52198 - 0.5e1 / 0.2e1 * t5639 * t2060 * t45762 + 0.3e1 * t4695 * t39825 * t52038 + 0.5e1 / 0.2e1 * t5665 * t2060 * t45785 + t5649 * t8072 * t45767 - t4695 * t8072 * t45790 - t45595 - t45598 - t45600;
  t57025 = t29474 * t4191 * t11535;
  t57034 = -t55611 / 0.9e1 - 0.4e1 / 0.3e1 * t55613 + t5639 * t2060 * t52014 - 0.4e1 / 0.3e1 * t39976 * t10394 - 0.4e1 / 0.3e1 * t39979 * t10394 - 0.4e1 / 0.3e1 * t8063 * t51069 - 0.4e1 / 0.3e1 * t8063 * t45487 - 0.2e1 / 0.3e1 * t8063 * t52021 + 0.2e1 / 0.3e1 * t39976 * t10400 + 0.2e1 / 0.3e1 * t39979 * t10400 + 0.3e1 / 0.2e1 * t39435 * t57025 + t29436 * t11537 + t29339 * t11537 - t8086 * t10583 / 0.3e1 - t1981 * t51981 / 0.6e1;
  t57063 = t8091 * t45170 - t5797 * t2037 - t5797 * t2041 / 0.2e1 + 0.2e1 / 0.9e1 * t55615 + t1974 * t45214 / 0.6e1 - t39051 * t2342 / 0.12e2 - t39164 * t2342 / 0.6e1 - t8081 * t10462 / 0.6e1 - t8081 * t9300 / 0.6e1 + t8125 * t9430 / 0.3e1 + t8130 * t9430 / 0.3e1 + t1974 * t44826 / 0.3e1 - t55620 / 0.18e2 + 0.2e1 * t11510 * t51151 + 0.2e1 / 0.3e1 * t8063 * t50758 - 0.11e2 / 0.9e1 * t11399 * t51160;
  t57078 = t56645 * t5692;
  t57080 = t56637 * t5696;
  t57097 = 0.23e2 / 0.18e2 * t11399 * t51166 - 0.115e3 / 0.36e2 * t11399 * t51163 - t11399 * t51126 + t8063 * t45782 / 0.3e1 + 0.5e1 / 0.2e1 * t11399 * t51123 - 0.5e1 / 0.12e2 * t8063 * t45526 - t5673 * t57078 + 0.2e1 / 0.3e1 * t5673 * t57080 + t8091 * t44811 / 0.2e1 - 0.11e2 / 0.18e2 * t8169 * t45173 + t5797 * t2045 / 0.2e1 + t8130 * t9729 / 0.3e1 + t1946 * t5555 / 0.6e1 - t8086 * t9734 / 0.6e1 + t1941 * t5555 / 0.6e1;
  t57102 = t2494 * t146;
  t57104 = t1101 * t57102 * t1088;
  t57109 = t1101 * t56800;
  t57116 = t1381 * t8252;
  t57124 = t1430 * t1954 * t9298;
  t57135 = -t8081 * t9734 / 0.6e1 - t1941 * t5607 / 0.6e1 - t338 * t57104 / 0.6e1 + t8125 * t9729 / 0.3e1 + t1451 * t57109 / 0.3e1 + t442 * t39777 / 0.6e1 - t8280 * t5588 / 0.2e1 + 0.2e1 / 0.3e1 * t24346 * t1430 * t57116 - t1956 * t5659 - t1956 * t5542 / 0.2e1 + 0.2e1 / 0.3e1 * t4533 * t57124 + t1956 * t5998 / 0.2e1 - t39051 * t2347 / 0.6e1 - t39164 * t2347 / 0.3e1 - t8081 * t10583 / 0.3e1;
  t57151 = -t39365 * t2347 / 0.6e1 + t55622 / 0.3e1 - t318 * t11389 / 0.2e1 + t45794 - t11646 * t51946 - t55628 / 0.6e1 - t55630 / 0.3e1 + t5797 * t2029 + t1956 * t5740 - t29068 * t2026 - t9407 - t45798 + t45799 - t8219 * t51950 / 0.3e1 + t11646 * t51506;
  t57152 = t11402 * t5629;
  t57158 = t11550 * t1082;
  t57159 = t380 * t57158;
  t57160 = t5691 * t57159;
  t57166 = t1430 * t1381 * t1963;
  t57181 = t5733 * t56831;
  t57184 = t45805 - 0.3e1 * t4695 * t57152 * t5728 - 0.4e1 * t56237 * t10444 - t45831 - t45832 + t45833 + t5673 * t57160 / 0.4e1 + t4695 * t11783 * t30627 + t1002 * t57166 / 0.3e1 - t5792 * t8161 / 0.2e1 + t1383 * t8164 / 0.2e1 + 0.3e1 / 0.2e1 * t1956 * t5577 + 0.3e1 / 0.2e1 * t29089 * t8173 + 0.3e1 / 0.2e1 * t39807 * t5603 - 0.3e1 * t8280 * t5572 + 0.7e1 / 0.3e1 * t5562 * t57181;
  t57188 = t5595 * t8278 * t5564;
  t57193 = t5563 * t56156;
  t57206 = t29451 * t11551;
  t57224 = -0.3e1 / 0.2e1 * t5562 * t57188 - 0.3e1 / 0.2e1 * t8169 * t46548 - t5562 * t57193 / 0.2e1 - t8169 * t45872 / 0.2e1 + 0.3e1 / 0.2e1 * t1383 * t8528 - 0.3e1 * t5792 * t8176 + t45843 - t30050 * t11552 / 0.3e1 - t29571 * t11552 / 0.3e1 - t5673 * t57206 / 0.3e1 + 0.3e1 * t5665 * t40346 * t10506 + 0.3e1 * t5665 * t8438 * t46615 + 0.3e1 / 0.2e1 * t5665 * t8438 * t50477 + 0.47e2 / 0.3e1 * t50417 * t29474 * t56589 - 0.18e2 * t5665 * t40336 * t51301;
  t57259 = -0.3e1 / 0.2e1 * t10513 * t8438 * t46692 - 0.61e2 / 0.27e2 * t55994 * t51254 + 0.44e2 / 0.27e2 * t55994 * t51242 - 0.3e1 * t5649 * t56211 * t5571 - t1383 * t8140 / 0.2e1 - t1946 * t5607 / 0.6e1 + t1974 * t44806 / 0.3e1 - t5792 * t8583 / 0.2e1 - t39365 * t2342 / 0.12e2 - t8086 * t10462 / 0.6e1 - t8086 * t9300 / 0.6e1 - t1981 * t50399 / 0.12e2 + t8214 * t45086 / 0.2e1 + t8063 * t51082 / 0.3e1 - t39976 * t10366 / 0.6e1 - t39979 * t10366 / 0.6e1;
  t57283 = t1423 * t56800;
  t57292 = -t8063 * t51278 / 0.6e1 - t8063 * t50619 / 0.12e2 - t8063 * t45688 / 0.6e1 - t40730 * t9457 / 0.3e1 - 0.62e2 / 0.3e1 * t55994 * t50318 * t50145 + 0.3e1 / 0.2e1 * t5649 * t11403 * t30589 - 0.3e1 / 0.2e1 * t4695 * t11403 * t30594 + t45289 * t8058 - t29985 * t8061 - t29985 * t8078 / 0.2e1 - t8063 * t50789 - t1421 * t57283 / 0.3e1 - t5614 * t11562 / 0.3e1 - t5654 * t11562 / 0.3e1 - t1981 * t44609 / 0.3e1;
  t57316 = -t8086 * t9274 / 0.3e1 - t8081 * t9274 / 0.3e1 - t29078 * t2026 + t5814 * t2029 - t8063 * t51085 / 0.6e1 - t8063 * t45703 / 0.3e1 - t8280 * t5586 + t8287 * t1416 - t40091 * t1411 + t8296 * t1416 - t40223 * t1411 - t5792 * t8580 + t1383 * t8247 + t555 * t29197 / 0.6e1 + t555 * t44880 / 0.6e1 - t8063 * t45452 * t5692;
  t57324 = t110 * t8274;
  t57328 = t110 * t39047;
  t57332 = t110 * t565 * t5647;
  t57335 = t1101 * t5553 * t8600;
  t57338 = t1430 * t11367;
  t57349 = t1430 * t56156;
  t57358 = 0.2e1 / 0.3e1 * t8063 * t45481 * t5696 - 0.3e1 / 0.2e1 * t57324 * t5668 + t39906 * t5671 + 0.3e1 / 0.2e1 * t57328 * t5644 - t57332 * t5652 - t338 * t57335 / 0.6e1 - t1002 * t57338 / 0.12e2 - t442 * t39238 / 0.6e1 - t442 * t39245 / 0.12e2 - t1066 * t11368 / 0.6e1 - t991 * t11368 / 0.12e2 + t5631 * t57349 / 0.2e1 - t442 * t39839 / 0.6e1 - t555 * t29524 / 0.6e1 - t8145 * t45544 / 0.2e1;
  t57378 = t5679 * t56080;
  t57389 = -t110 * t5976 * t584 / 0.4e1 - t110 * t452 * t8425 / 0.4e1 - 0.2e1 / 0.9e1 * t55649 + 0.23e2 / 0.54e2 * t55651 + t55653 / 0.9e1 - t55656 / 0.3e1 + t55658 / 0.3e1 + 0.3e1 * t29349 * t11543 + 0.3e1 * t29346 * t11543 + 0.2e1 / 0.3e1 * t30050 * t11556 + 0.2e1 / 0.3e1 * t29571 * t11556 - t5673 * t57378 / 0.3e1 - t5673 * t40764 / 0.6e1 - 0.15e2 / 0.2e1 * t10513 * t8438 * t50768 + 0.6e1 * t5649 * t40682 * t50878;
  t57395 = t1094 * t57102 * t1096;
  t57398 = t1423 * t56156;
  t57400 = t1430 * t56831;
  t57420 = 0.3e1 * t30451 * t39825 * t50894 + t338 * t57395 / 0.12e2 + t5631 * t57398 - 0.2e1 * t5631 * t57400 + t1053 * t11368 / 0.6e1 + t1383 * t8249 / 0.2e1 + 0.7e1 / 0.3e1 * t5593 * t5733 * t57116 - t1981 * t45244 / 0.6e1 - t45948 + t45950 - t55672 / 0.6e1 - t55675 / 0.6e1 - t55677 / 0.6e1 + t4695 * t11776 * t4347 / 0.2e1 + t5784 * t11603 / 0.3e1;
  t57443 = t1423 * t11367;
  t57453 = t1402 * t8264 / 0.6e1 - t5614 * t11588 / 0.6e1 - t1402 * t8553 / 0.6e1 - t5654 * t11588 / 0.6e1 - t1397 * t8553 / 0.6e1 + t1974 * t51008 / 0.6e1 + t39183 * t2339 / 0.6e1 + t39175 * t2339 / 0.3e1 + t8125 * t10592 / 0.3e1 + t39359 * t2339 / 0.6e1 + t8130 * t10592 / 0.3e1 - t1002 * t57443 / 0.6e1 - 0.4e1 / 0.3e1 * t8063 * t51934 + 0.2e1 / 0.3e1 * t8219 * t45611 + t11510 * t50765 + t8063 * t50750 / 0.3e1;
  t57461 = t5674 * t57159;
  t57467 = t10447 * t17621;
  t57491 = -0.5e1 / 0.18e2 * t11399 * t51499 + t46002 + t46004 - 0.6e1 * t5649 * t39825 * t50914 + t5673 * t57461 / 0.2e1 + 0.15e2 * t5639 * t8438 * t50898 + 0.7e1 / 0.3e1 * t39435 * t57467 + 0.3e1 * t4695 * t39421 * t51223 - 0.2e1 / 0.3e1 * t24973 * t5691 * t4693 * t39436 * t2196 + t4695 * t8060 * t51289 - 0.3e1 * t5665 * t8443 * t50887 - t110 * t11734 * t404 / 0.2e1 + 0.3e1 / 0.2e1 * t45286 * t8238 - t45293 * t8241 - t8063 * t45717 / 0.6e1;
  t57521 = t8063 * t45720 / 0.4e1 + t8214 * t29989 / 0.6e1 - t8219 * t44546 / 0.3e1 + t8219 * t44550 / 0.3e1 - t5649 * t56426 * t1410 - t5649 * t11403 * t4319 / 0.2e1 - 0.3e1 * t55984 * t10437 - 0.3e1 * t56003 * t10437 - t55711 / 0.18e2 - t55713 / 0.18e2 - t55717 / 0.9e1 - t46025 - t318 * t11386 / 0.2e1 - t110 * t1498 * t2021 / 0.2e1 + 0.55e2 / 0.18e2 * t11399 * t51157 - 0.11e2 / 0.3e1 * t11510 * t51128;
  t57531 = t39436 * t439;
  t57532 = t4693 * t57531;
  t57536 = t17683 * t1082;
  t57537 = t1018 * t57536;
  t57547 = -t8219 * t45614 / 0.3e1 - t8214 * t45531 / 0.3e1 + t8063 * t45608 / 0.6e1 + t46029 - t46030 - t46031 - t318 * t11735 / 0.2e1 - 0.4e1 * t45444 * t5695 * t57532 + 0.22e2 / 0.3e1 * t45444 * t5691 * t57537 - t55742 / 0.18e2 + t55746 / 0.9e1 - t55748 / 0.9e1 - t55750 / 0.9e1 - t55752 / 0.9e1 + t55754 / 0.18e2;
  t57565 = t5679 * t56202;
  t57576 = t55756 / 0.18e2 + t55758 / 0.18e2 + t55760 / 0.18e2 - t55762 / 0.18e2 - t55764 / 0.18e2 + t55766 / 0.18e2 + t55769 / 0.9e1 - t55771 / 0.6e1 + 0.18e2 * t5665 * t40329 * t50825 - 0.3e1 * t5639 * t8460 * t46005 + 0.3e1 * t5665 * t8460 * t45631 + t29461 * t57565 - t55773 / 0.3e1 + t1956 * t5737 / 0.2e1 - t5814 * t2041 / 0.2e1 + 0.2e1 / 0.3e1 * t4533 * t1430 * t5812 * t8252;
  t57613 = t5814 * t2045 / 0.2e1 - t1981 * t30100 / 0.12e2 - 0.5e1 / 0.36e2 * t8169 * t44795 + t555 * t29201 / 0.12e2 - t1981 * t45965 / 0.6e1 + t1974 * t29220 / 0.6e1 + t46564 - t46567 - 0.5e1 / 0.18e2 * t56003 * t10361 + 0.5e1 / 0.3e1 * t24973 * t30141 * t1018 * t11535 * t1082 + t4695 * t8077 * t45866 - 0.2e1 * t5665 * t2056 * t45861 + t4695 * t8060 * t45858 + 0.11e2 * t5665 * t8460 * t50904 + 0.15e2 / 0.2e1 * t45332 * t29474 * t4191 * t57536;
  t57638 = t5691 * t56712;
  t57641 = 0.2e1 * t5649 * t8072 * t51938 - 0.3e1 * t45332 * t10358 * t5647 * t57531 - 0.3e1 * t5639 * t8438 * t50411 - 0.2e1 * t5665 * t2060 * t45363 - t5665 * t2060 * t50815 + t29349 * t11753 + t29346 * t11753 + t5665 * t8451 * t9453 + t5665 * t2056 * t46668 + t5665 * t2056 * t46683 / 0.2e1 + 0.2e1 * t34365 * t57638 + t46583 + t46584 + t46594 - t46598 - t46601;
  t57646 = t4687 * t57159;
  t57658 = t10447 * t56202;
  t57661 = t4693 * t56201;
  t57662 = t10358 * t57661;
  t57671 = t1009 * t2495 * t1018;
  t57674 = t46603 - 0.35e2 / 0.3e1 * t45332 * t29468 * t57537 - t6004 * t57646 / 0.3e1 - 0.6e1 * t4695 * t40682 * t50909 - 0.2e1 * t4695 * t8072 * t51230 + 0.14e2 / 0.3e1 * t45332 * t10447 * t57532 - 0.11e2 / 0.18e2 * t29352 * t57658 + 0.23e2 / 0.36e2 * t29352 * t57662 + 0.3e1 * t5649 * t57152 * t5635 - t46620 - t46621 + t46622 + t55789 + t11501 * t1062 / 0.4e1 + t1002 * t57671 / 0.3e1;
  t57677 = t321 * t369 * t11733 * t370;
  t57682 = t1065 * t11500;
  t57697 = t57677 * t377 / 0.2e1 + t1383 * t8334 / 0.4e1 + t57682 * t377 / 0.2e1 + t5797 * t1938 / 0.2e1 + t5814 * t1938 / 0.2e1 - t1402 * t8316 / 0.6e1 - t442 * t39061 / 0.12e2 - t5840 * t1951 / 0.12e2 + t46631 + t46632 + t54694 - t55793 / 0.6e1 - t55795 / 0.6e1 + t46639 - t46650 - t46651;
  t57728 = 0.3e1 / 0.2e1 * t1383 * t8191 + t11399 * t46705 / 0.2e1 + t57324 * t5686 - t39906 * t5689 - 0.18e2 * t10513 * t40336 * t50834 + 0.36e2 * t5639 * t40336 * t50830 - 0.18e2 * t5639 * t40329 * t52148 - 0.6e1 * t5665 * t8460 * t45359 - 0.3e1 * t5665 * t8460 * t50460 - 0.28e2 * t50465 * t10447 * t56589 + t4695 * t11403 * t4300 / 0.2e1 - t43495 + t54700 - t54702 - t1383 * t8352;
  t57734 = t17596 * t1082;
  t57736 = t5691 * t4693 * t57734;
  t57746 = t40345 * t10617;
  t57753 = t40323 * t51552;
  t57762 = t8456 * t10608;
  t57765 = 0.4e1 / 0.3e1 * t40448 * t10614 + 0.4e1 / 0.3e1 * t8508 * t46160 + 0.2e1 / 0.3e1 * t8508 * t51761 - 0.5e1 / 0.18e2 * t40315 * t51764 - 0.2e1 / 0.9e1 * t57746 * t10669 - 0.2e1 / 0.9e1 * t11651 * t46166 - t11651 * t51637 / 0.9e1 - t57753 * t51644 / 0.9e1 + 0.4e1 * t40540 * t9574 + 0.2e1 * t8511 * t51511 + 0.44e2 / 0.3e1 * t40318 * t51514 + 0.4e1 * t57762 * t10611;
  t57790 = 0.4e1 * t11668 * t46143 + 0.2e1 * t11668 * t51523 + 0.12e2 * t57746 * t10611 + 0.12e2 * t11651 * t46143 + 0.6e1 * t11651 * t51523 + 0.8e1 / 0.3e1 * t57753 * t51562 - 0.4e1 / 0.3e1 * t57746 * t10619 - 0.4e1 / 0.3e1 * t11651 * t46282 - 0.2e1 / 0.3e1 * t11651 * t51748 - 0.4e1 * t40448 * t9568 - 0.4e1 * t8508 * t46196 - 0.2e1 * t8508 * t46173;
  t57814 = -0.24e2 * t57762 * t10627 - t559 * t46109 + 0.4e1 * t8457 * t10699 + 0.4e1 * t2060 * t46328 + 0.2e1 * t2060 * t51675 + 0.4e1 * t8457 * t9612 + 0.2e1 * t2060 * t46348 + 0.2e2 / 0.3e1 * t8438 * t46331 + 0.2e2 / 0.3e1 * t40346 * t10637 + 0.1e2 / 0.3e1 * t8438 * t51790 - 0.2e1 * t2056 * t46074 - t2056 * t46106;
  t57832 = -0.2e1 * t559 * t46078 - 0.2e1 * t2056 * t46082 - t2056 * t51670 - 0.2e1 * t8451 * t9618 - t559 * t46486 + t8438 * t46494 / 0.9e1 + t8438 * t51797 / 0.18e2 - t8495 * t2220 - t46047 + 0.4e1 * t40540 * t10605 + 0.4e1 * t8511 * t46140 - t46051 - t46053;
  t57857 = -t46057 - 0.2e1 * t2056 * t46340 - 0.8e1 * t8460 * t46234 - 0.8e1 * t40367 * t10651 - 0.4e1 * t8451 * t9623 - 0.8e1 / 0.3e1 * t2060 * t46488 - 0.4e1 / 0.3e1 * t2060 * t51537 - 0.6e1 * t40428 * t10644 - 0.6e1 * t8443 * t46322 - 0.3e1 * t8443 * t51540 - 0.2e1 * t8451 * t10695 - 0.8e1 / 0.3e1 * t8457 * t10641;
  t57881 = 0.2e1 * t2060 * t46100 + t2060 * t46104 - 0.1e2 / 0.3e1 * t8438 * t46308 - 0.6e1 * t2060 * t51544 + 0.2e1 * t2056 * t51547 + 0.3e1 * t8443 * t46033 + 0.4e1 * t2060 * t51585 + 0.12e2 * t40350 * t51582 + 0.2e1 * t8457 * t9632 - 0.4e2 * t40336 * t51706 + 0.12e2 * t8460 * t46325 + 0.6e1 * t8460 * t51703;
  t57905 = -0.2e1 * t8457 * t9670 - t2060 * t46414 - t40371 * t2377 - 0.22e2 * t40318 * t51649 + 0.2e1 / 0.3e1 * t8508 * t46222 - 0.5e1 * t40455 * t46228 + 0.15e2 * t40315 * t51514 - 0.6e1 * t8438 * t46265 - 0.3e1 * t8438 * t51691 + 0.5e2 / 0.3e1 * t40324 * t51694 + 0.4e1 * t8460 * t46314 - t8438 * t46311 / 0.18e2;
  t57930 = 0.24e2 * t40329 * t51728 - 0.2e1 / 0.3e1 * t40336 * t51731 + 0.12e2 * t40367 * t10691 - 0.2e1 * t2054 * t9621 + 0.1e2 / 0.3e1 * t40324 * t51678 - 0.6e1 * t40346 * t10688 + 0.5e1 / 0.9e1 * t40315 * t51879 - 0.8e1 * t40461 * t46257 - 0.12e2 * t40458 * t51893 - 0.22e2 / 0.3e1 * t40318 * t51896 + t46124 - 0.3e2 * t40315 * t51896 + 0.1e2 / 0.3e1 * t40315 * t51890;
  t57952 = t2053 * t10683;
  t57959 = 0.1e2 * t40455 * t46249 - 0.5e1 / 0.3e1 * t40455 * t46253 + 0.44e2 * t40318 * t51886 + t8508 * t46225 / 0.3e1 + t40315 * t46206 / 0.9e1 - 0.8e1 * t40448 * t10680 - 0.8e1 * t8508 * t46279 - 0.4e1 * t8508 * t51832 - 0.5e2 / 0.3e1 * t40315 * t51835 + 0.12e2 * t57952 * t10685 + 0.12e2 * t11663 * t46136 + 0.6e1 * t11663 * t51658;
  t57964 = t2059 * t51567;
  t57967 = t8437 * t51558;
  t57980 = -0.6e1 * t40315 * t46153 - 0.12e2 * t40324 * t51713 + 0.36e2 * t40336 * t51825 + 0.6e1 * t40458 * t51904 + 0.3e1 * t559 * t46037 + 0.3e1 * t8438 * t46119 + 0.24e2 * t57753 * t51555 + 0.8e1 * t57967 * t51555 + 0.72e2 * t57964 * t51569 - t46216 + t46238 + t46241;
  t57984 = t558 * t51603;
  t58001 = -0.24e2 * t11668 * t46217 - 0.12e2 * t11668 * t51911 - 0.36e2 * t40329 * t51828 + 0.12e2 * t40455 * t51600 + 0.4e1 * t40461 * t46131 - 0.4e1 * t40461 * t51609 - 0.6e1 * t8460 * t46042 - 0.24e2 * t57984 * t51605 - 0.72e2 * t57967 * t51615 - t46260 - t46261 - t46263;
  t58016 = t46264 - 0.2e1 * t2054 * t9627 - 0.4e1 / 0.3e1 * t8457 * t9629 + t46272 + t46301 - t46303 - t46318 - t46321 - t40371 * t2362 / 0.3e1 - 0.2e1 / 0.3e1 * t8457 * t9596 + t40346 * t10702 / 0.9e1 - t2060 * t46447 / 0.3e1 - 0.2e1 / 0.3e1 * t2060 * t46345;
  t58027 = -0.4e1 * t8460 * t51533 + t46338 + t46363 + t46366 + t46381 - t46392 - t46393 + 0.2e1 * t40371 * t2366 - 0.2e1 * t40394 * t2359 - 0.4e1 / 0.3e1 * t2060 * t46491 + t46413 - t46418;
  t58028 = t558 * t46146;
  t58043 = t46427 + t46428 - t46430 - 0.6e1 * t58028 * t46149 - 0.2e1 * t40455 * t51612 + 0.4e1 / 0.3e1 * t57967 * t51562 - 0.6e1 * t40458 * t46273 + t46432 + t9676 - 0.4e1 / 0.3e1 * t57753 * t51574 + 0.12e2 * t40318 * t46276 + 0.2e1 / 0.3e1 * t40315 * t46176 - t46433;
  t58051 = t2053 * t9577;
  t58064 = 0.4e1 * t8511 * t46211 + 0.2e1 * t8511 * t46200 - 0.2e1 * t40318 * t46153 + 0.4e1 * t58051 * t9580 + 0.4e1 * t11656 * t46183 + 0.2e1 * t11656 * t46187 + 0.1e2 / 0.3e1 * t40455 * t46190 + 0.2e1 / 0.3e1 * t40448 * t9571 - 0.12e2 * t57964 * t51615 - t46462 + t46464 + t46468;
  t58080 = t46478 - t46482 - t2229 + 0.2e1 / 0.3e1 * t40371 * t2370 + 0.4e1 / 0.3e1 * t8457 * t9662 + 0.2e1 / 0.3e1 * t2060 * t46374 + t40394 * t2373 + 0.2e1 * t8451 * t9678 + t2056 * t46086 + t8495 * t2233 / 0.2e1 + t2054 * t9652 + t559 * t46335 / 0.2e1 + t2210;
  t58098 = -t1383 * t8134 / 0.2e1 - t46654 + t46656 - t55811 / 0.3e1 + t54706 - 0.4e1 / 0.9e1 * t55814 + 0.2e1 / 0.3e1 * t55816 - t9709 + t9712 - t24973 * t57736 - t110 * t139 * (t57765 + t57790 + t57814 + t57832 + t57857 + t57881 + t57905 + t57930 + t57959 + t57980 + t58001 + t58016 + t58027 + t58043 + t58064 + t58080) * t168 / 0.4e1 - t1205 * t2496 / 0.4e1 + t55818 / 0.9e1 + t555 * t44975 / 0.12e2 + t8324 * t2199 / 0.12e2 + t1946 * t9422 / 0.6e1;
  t58119 = t1101 * t39732;
  t58130 = t1946 * t9427 / 0.6e1 + t555 * t44858 / 0.12e2 - t555 * t29409 / 0.12e2 + t8337 * t2199 / 0.12e2 + t8340 * t2199 / 0.6e1 + t1941 * t9422 / 0.6e1 + t1941 * t9427 / 0.6e1 - t5814 * t2037 - t1397 * t8602 / 0.6e1 - t1402 * t8602 / 0.6e1 + t1451 * t58119 / 0.6e1 - t8081 * t9350 / 0.3e1 - t8086 * t9350 / 0.3e1 - t1981 * t45962 / 0.3e1 + t1981 * t45990 / 0.3e1;
  t58147 = -t55820 / 0.6e1 - t55822 / 0.3e1 - t55824 / 0.3e1 - t55826 / 0.3e1 - t55828 / 0.3e1 - t55831 / 0.18e2 - t55833 / 0.18e2 + t55835 / 0.3e1 - t55837 / 0.18e2 + t55839 / 0.3e1 + t55841 / 0.3e1 + t55843 / 0.3e1 + t55845 / 0.6e1 + t55847 / 0.6e1 + t55849 / 0.6e1 + t55851 / 0.6e1;
  t58154 = my_piecewise3(t100, 0, t57135 + t56628 + t56226 + t57420 + t57034 + t56568 + t57292 + t56983 + t57641 + t57453 + t56180 + t56457 + t58098 + t57389 + t56594 + t56776 + t56530 + t57316 + t57358 + t56355 + t57728 + t57547 + t55952 + t57521 + t57576 + t56022 + t56112 + t56697 + t56490 + t58130 + t56322 + t56278 + t57184 + t56146 + t56867 + t56955 + t57259 + t57491 + t57697 + t56418 + t56840 + t57097 + t56552 + t56925 + t56724 + t57004 + t58147 + t56255 + t56818 + t56084 + t56745 + t56392 + t57063 + t56898 + t56050 + t56298 + t57224 + t57151 + t57613 + t57674 + t56806 + t56669 + t55976 + t56009);
  tv4rho2sigmatau17 = t3 * t58154 + 0.2e1 * t11823;

  if(out->v4rho2sigmatau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2sigmatau[ip*p->dim.v4rho2sigmatau + 17] += tv4rho2sigmatau17;

  t58159 = t3238 * t2533;
  t58160 = t58159 * t667;
  t58162 = t11868 * t3056;
  t58165 = t3232 * t2588 / 0.9e1;
  t58168 = t11855 * t645;
  t58178 = t3209 * t2533;
  t58192 = t41329 * t19052;
  t58198 = t3101 * t2596 / 0.2e1 - t466 * t31942 / 0.6e1 + t58178 * t672 / 0.3e1 + 0.2e1 / 0.3e1 * t12217 * t3091 + t2534 * t21665 / 0.3e1 - 0.2e1 / 0.3e1 * t6439 * t47378 + 0.3e1 * t608 * t12132 + 0.3e1 / 0.2e1 * t246 * t12131 * t3492 - 0.4e1 / 0.3e1 * t58192 - 0.2e1 * t630 * t12129 - 0.2e1 * t608 * t12129;
  t58200 = t2541 * t621;
  t58201 = t3130 * t58200;
  t58205 = t2541 * t3461;
  t58206 = t22302 * t58205;
  t58210 = t22052 * t12198;
  t58212 = t2541 * t592;
  t58213 = t788 * t58212;
  t58217 = t26467 * t12195;
  t58219 = t26467 * t11878;
  t58221 = t276 * t2526;
  t58222 = t3264 * t58221;
  t58223 = t9845 * t58222;
  t58229 = t3267 * t2532;
  t58233 = t3267 * t2527;
  t58237 = t4873 * t58222;
  t58249 = t30 * t2558;
  t58252 = t30 * t11896;
  t58255 = t30 * t2554;
  t58258 = t276 * t1524;
  t58259 = t253 * t58258;
  t58260 = t4762 * t58259;
  t58263 = -0.4e1 * t42312 * t58237 - t2089 + t2160 - 0.2e1 * t47374 * t6437 + t3209 * t2528 * t223 / 0.6e1 + t12220 * t645 / 0.3e1 - 0.2e1 / 0.3e1 * t6454 * t48950 + 0.2e1 / 0.3e1 * t58249 * t21879 - 0.11e2 / 0.9e1 * t58252 * t43206 - t58255 * t3276 / 0.3e1 + 0.2e1 / 0.3e1 * t6454 * t58260;
  t58266 = t30 * t11912;
  t58268 = t30 * t11892;
  t58271 = t206 * t1524;
  t58272 = t95 * t58271;
  t58273 = t4873 * t58272;
  t58276 = t95 * t58200;
  t58277 = t5175 * t58276;
  t58287 = t11945 * t206;
  t58293 = t4877 * t670 * t58200;
  t58301 = t9744 * t58272;
  t58317 = -0.5e1 / 0.18e2 * t58252 * t41687 - 0.5e1 / 0.9e1 * t9743 * t58301 + 0.25e2 / 0.36e2 * t58252 * t42598 + 0.55e2 / 0.18e2 * t58252 * t42412 - 0.11e2 / 0.3e1 * t58268 * t5176 + t41124 - t41132 - t41134 + t246 * t12135 * t3447 / 0.2e1 - t630 * t12176 / 0.2e1 - t630 * t12181 / 0.2e1;
  t58319 = t11868 * t3366;
  t58340 = t2526 * t20825;
  t58341 = t20842 * t58340;
  t58345 = -t58319 / 0.9e1 - 0.6e1 * t630 * t12088 - 0.6e1 * t608 * t12088 - 0.3e1 * t246 * t12087 * t4828 - 0.28e2 * t41105 * t19097 + 0.3e1 * t630 * t12091 - t31161 * t12188 / 0.3e1 + 0.3e1 * t32356 * t6078 - 0.6e1 * t6411 * t6105 + 0.3e1 * t1516 * t6096 - 0.6e1 * t20841 * t58341 * t41045;
  t58349 = t95 * t58287;
  t58350 = t4877 * t58349;
  t58353 = t4877 * t58276;
  t58356 = t95 * t58212;
  t58357 = t26189 * t58356;
  t58364 = t188 * t4985;
  t58365 = t58364 * t19109;
  t58369 = t3556 * t58212;
  t58373 = t4784 * t12045;
  t58377 = t1524 * t794;
  t58378 = t3556 * t58377;
  t58382 = 0.18e2 * t3167 * t58341 * t41050 + t6439 * t58350 / 0.6e1 + t6439 * t58353 / 0.12e2 + 0.5e1 / 0.36e2 * t9743 * t58357 + t31915 * t12206 / 0.6e1 + t31161 * t12206 / 0.6e1 - 0.2e1 / 0.9e1 * t58365 - t31915 * t12188 / 0.3e1 + 0.3e1 * t4772 * t6300 * t58369 - 0.6e1 * t3266 * t58373 * t1274 - 0.4e1 * t4772 * t1591 * t58378;
  t58386 = t463 * t1524;
  t58387 = t670 * t58386;
  t58388 = t9845 * t58387;
  t58397 = t689 * t58271;
  t58401 = t5175 * t58349;
  t58405 = t3168 * t58271;
  t58409 = t683 * t58271;
  t58426 = t3428 * t6065;
  t58430 = t789 * t6092;
  t58433 = t789 * t1532;
  t58440 = t3428 * t6085;
  t58445 = t21298 * t6076;
  t58448 = t789 * t1539;
  t58455 = -0.12e2 * t11927 * t27541 + 0.8e1 * t11924 * t26336 - 0.4e1 * t11927 * t27536 - 0.2e1 * t6297 * t222 - 0.2e1 * t11930 * t3447 + 0.4e1 * t11927 * t4828 - 0.8e1 * t6167 + 0.8e1 * t58426 * t1274 - 0.2e1 * t6434 - 0.8e1 * t58430 * t1281 - 0.4e1 * t58433 * t826 + 0.8e1 / 0.3e1 * t58426 * t1269 - 0.4e1 * t11924 * t3492 - 0.8e1 * t58440 * t4918 + 0.4e1 / 0.3e1 * t11927 * t4794 + 0.16e2 / 0.9e1 * t58445 * t4846 + 0.12e2 * t58448 * t4914 + 0.4e1 * t11930 * t3468 - 0.24e2 * t58440 * t4903;
  t58461 = t469 * t651;
  t58466 = t1590 * t3076;
  t58469 = t6303 * t3118;
  t58480 = t1584 * t595;
  t58487 = t6334 * t651;
  t58499 = 0.32e2 / 0.3e1 * t58445 * t4856 + 0.12e2 * t58445 * t4863 + 0.12e2 * t6172 - 0.12e2 * t58461 * t4914 - 0.4e1 * t472 * t3468 + 0.24e2 * t58466 * t4903 - 0.12e2 * t58469 * t4863 + 0.4e1 / 0.3e1 * t41441 * t19556 - 0.4e1 * t41444 * t2728 + 0.2e1 * t472 * t3447 - 0.4e1 * t11942 * t4828 + 0.8e1 * t58480 * t1281 + 0.4e1 * t1599 * t826 + 0.4e1 * t11937 * t3492 - 0.8e1 * t58487 * t1274 + 0.2e1 / 0.3e1 * t21295 * t2728 + 0.4e1 / 0.3e1 * t8661 * t12141 + 0.2e2 / 0.9e1 * t41441 * t19551 + 0.2e1 * t789 * t6248 * t249;
  t58500 = t58455 + t58499;
  t58502 = t824 * t221 * t58500;
  t58506 = t637 * t12088;
  t58514 = -t41263 + 0.6e1 * t9877 * t6304 * t58405 + 0.12e2 * t4983 * t6300 * t58409 - t41265 - t41267 + t41291 - t41293 - t246 * t1559 * t58502 / 0.4e1 - 0.2e1 * t58506 - t246 * t30896 * t2592 / 0.4e1 - t246 * t6273 * t12180 / 0.2e1;
  t58530 = t26778 * t11826;
  t58534 = t637 * t12176;
  t58536 = t637 * t12181;
  t58538 = t6197 * t2544;
  t58540 = t6200 * t2544;
  t58542 = t1506 * t12075;
  t58544 = t637 * t12165;
  t58546 = t637 * t12163;
  t58552 = t3231 * t2533;
  t58554 = t58552 * t662 / 0.54e2;
  t58555 = t1524 * t1524;
  t58558 = t191 * t649 * t58555 * t651;
  t58561 = -t58534 / 0.6e1 - t58536 / 0.6e1 + t58538 / 0.18e2 + t58540 / 0.18e2 + t58542 / 0.18e2 + t58544 / 0.3e1 - 0.2e1 / 0.3e1 * t58546 + t31172 * t12191 / 0.6e1 + t2529 * t3096 / 0.6e1 + t58554 - t58558 * t667 / 0.3e1;
  t58565 = t58552 * t667 / 0.27e2;
  t58571 = t6416 * t1511 / 0.27e2;
  t58575 = 0.2e1 / 0.27e2 * t58552 * t672;
  t58577 = t32294 * t481 / 0.9e1;
  t58579 = t21203 * t2584 / 0.9e1;
  t58580 = t661 * t2578;
  t58583 = t626 * t11842;
  t58589 = t191 * t242 * t12017 * t243;
  t58592 = t222 * t12019;
  t58604 = t191 * t20823 * t58340;
  t58605 = t25714 * t4840;
  t58608 = t2526 * t20811;
  t58610 = t191 * t3135 * t58608;
  t58617 = t58589 * t250 / 0.2e1 - t211 * t58592 / 0.6e1 + t1516 * t6257 / 0.2e1 - t21053 * t2584 / 0.2e1 + 0.14e2 / 0.3e1 * t6100 * t48354 - 0.3e1 * t6100 * t48191 - 0.62e2 / 0.3e1 * t58604 * t58605 + 0.22e2 / 0.3e1 * t58610 * t5167 - 0.23e2 / 0.3e1 * t58610 * t4811 + t26263 * t12234 - t26266 * t12240;
  t58619 = t3125 * t58271;
  t58623 = t3130 * t58271;
  t58629 = t3273 * t253 * t731 * t2541;
  t58634 = t3273 * t253 * t276 * t11945;
  t58638 = t42389 * t95 * t58205;
  t58641 = t31085 * t12191;
  t58643 = t4877 * t58356;
  t58646 = t4762 * t58272;
  t58649 = t95 * t58377;
  t58650 = t3273 * t58649;
  t58653 = t31675 * t12188;
  t58655 = -0.12e2 * t4983 * t6304 * t58619 + 0.6e1 * t4772 * t6304 * t58623 + t41340 + t6451 * t58629 / 0.12e2 + t6451 * t58634 / 0.6e1 + t6451 * t58638 / 0.2e1 + t58641 / 0.18e2 - t9863 * t58643 / 0.2e1 - 0.2e1 * t10155 * t58646 - 0.2e1 / 0.3e1 * t6454 * t58650 - t58653 / 0.9e1;
  t58662 = t1506 * t12121;
  t58664 = t3242 * t2593;
  t58666 = t3247 * t2593;
  t58670 = t2576 * t66;
  t58672 = t843 * t58670 * t830;
  t58681 = -0.2e1 * t630 * t12163 - 0.2e1 * t608 * t12163 + 0.2e1 * t630 * t12161 + t58662 / 0.18e2 - t58664 / 0.6e1 - t58666 / 0.6e1 + t2529 * t3464 / 0.3e1 - t211 * t58672 / 0.6e1 - t1541 * t31462 / 0.6e1 - 0.5e1 / 0.18e2 * t6100 * t48365 - t1529 * t6503 / 0.3e1;
  t58686 = t21023 * t19033;
  t58696 = t41721 * t19046;
  t58703 = t4873 * t3264 * t58258;
  t58712 = t4877 * t670 * t58377;
  t58715 = t47865 * t13045;
  t58718 = t47795 * t13052;
  t58723 = t6140 * t12082;
  t58725 = t11868 * t3525;
  t58728 = t20724 * t12205;
  t58731 = -0.4e1 / 0.3e1 * t58249 * t21752 - 0.115e3 / 0.36e2 * t58252 * t43216 - 0.8e1 / 0.3e1 * t6439 * t58712 + 0.4e1 / 0.3e1 * t20708 * t58715 - 0.2e1 * t20708 * t58718 + t2529 * t3386 / 0.6e1 - t58723 / 0.9e1 + t58725 / 0.9e1 + t12047 * t5190 + t41361 + t6451 * t58728 / 0.6e1;
  t58733 = t22290 * t58212;
  t58737 = t20876 * t58212;
  t58741 = t20862 * t58212;
  t58745 = t670 * t58212;
  t58753 = t26189 * t58745;
  t58756 = t5175 * t58356;
  t58758 = t26405 * t58356;
  t58761 = t2526 * t794;
  t58763 = t26189 * t3156 * t58761;
  t58766 = t4784 * t2532;
  t58773 = t20724 * t11826;
  t58776 = t3273 * t58349;
  t58779 = t3273 * t58276;
  t58793 = -t31586 * t12201 / 0.3e1 - t6454 * t58773 / 0.3e1 - t6454 * t58776 / 0.3e1 - t6454 * t58779 / 0.6e1 - t627 * t11838 / 0.6e1 - t642 * t11838 / 0.12e2 + t6217 * t1526 + t6209 * t1526 + t32322 * t481 + t31947 * t481 / 0.2e1 - t3220 * t2588 / 0.2e1;
  t58802 = t680 * t12037;
  t58809 = t3384 * t2557;
  t58814 = t4877 * t58272;
  t58818 = t659 * t660 * t6248;
  t58831 = t11843 * t832 / 0.2e1 - t11843 * t827 / 0.4e1 + t41555 + t41557 + t41560 + t41567 - t41569 + t6217 * t1564 - 0.4e1 * t21435 * t19033 - t6209 * t1560 - t6217 * t1560;
  t58843 = t626 * t12051;
  t58849 = t11868 * t3380;
  t58853 = t633 * t12051;
  t58854 = t58853 * t8711;
  t58857 = 0.6e1 * t3070 * t12144 - t1541 * t31285 / 0.3e1 - 0.2e1 / 0.3e1 * t6062 * t9981 - 0.2e1 / 0.3e1 * t6067 * t9981 - 0.2e1 / 0.3e1 * t1541 * t46931 + 0.14e2 / 0.3e1 * t58843 * t8745 + 0.14e2 / 0.3e1 * t12052 * t4851 * t4819 - t58849 / 0.18e2 + 0.5e1 / 0.3e1 * t58610 * t4890 - 0.5e1 / 0.54e2 * t58854 - t2534 * t21364;
  t58866 = t626 * t12029;
  t58869 = t3389 * t12024;
  t58870 = t843 * t58869;
  t58873 = t94 * t6248;
  t58874 = t837 * t58873;
  t58875 = t843 * t58874;
  t58880 = t6284 * t12026;
  t58882 = -t12220 * t840 / 0.3e1 - t2529 * t3534 / 0.3e1 - t2529 * t3530 / 0.6e1 - t12030 * t3499 / 0.2e1 - t58866 * t1295 - t12030 * t5149 + 0.2e1 / 0.3e1 * t1568 * t58870 + t1568 * t58875 / 0.3e1 + 0.2e1 / 0.3e1 * t6464 * t12026 + 0.2e1 / 0.9e1 * t58880 + t41593;
  t58886 = t680 * t58555;
  t58889 = t1506 * t6212;
  t58894 = t633 * t11842;
  t58895 = t58894 * t250;
  t58900 = t58159 * t672;
  t58902 = t11868 * t3091;
  t58904 = t6197 * t1511;
  t58906 = t6200 * t1511;
  t58908 = t6226 * t1526;
  t58910 = t21192 * t2584;
  t58912 = t21198 * t2584;
  t58914 = t32327 * t481;
  t58916 = -t11843 * t598 / 0.2e1 + t58895 / 0.6e1 - t246 * t247 * t58555 * t597 + 0.2e1 / 0.9e1 * t58900 + 0.2e1 / 0.9e1 * t58902 - t58904 / 0.9e1 - t58906 / 0.9e1 + t58908 / 0.3e1 - t58910 / 0.3e1 - t58912 / 0.3e1 + t58914 / 0.3e1;
  t58918 = t31343 * t481;
  t58923 = t11945 * t794;
  t58924 = t3562 * t58923;
  t58927 = t2541 * t3445;
  t58928 = t3562 * t58927;
  t58935 = t1261 * t58869;
  t58938 = t1261 * t58874;
  t58954 = t26551 * t12037;
  t58958 = t2534 * t21738 / 0.3e1 + t2534 * t21245 / 0.6e1 - t41717 + t41719 - t41720 - t41729 - t41735 - t41737 + 0.15e2 * t4983 * t11896 * t42436 - 0.15e2 / 0.2e1 * t4772 * t11896 * t42440 - 0.6e1 * t4993 * t58954 * t8933;
  t58967 = t26467 * t12240;
  t58969 = t31085 * t11827;
  t58971 = t26535 * t12234;
  t58973 = t11868 * t3503;
  t58978 = t11868 * t3522;
  t58980 = t6226 * t1564;
  t58983 = t6226 * t1560;
  t58987 = t6226 * t1556;
  t58989 = t4996 * t58259;
  t58995 = t9744 * t670 * t58271;
  t59001 = 0.2e1 * t2534 * t21757 - 0.4e1 / 0.9e1 * t58978 + t58980 / 0.3e1 + t1516 * t6399 - t58983 / 0.3e1 + 0.3e1 * t1516 * t6387 - 0.2e1 / 0.3e1 * t58987 - 0.2e1 / 0.3e1 * t6439 * t58989 + 0.2e1 * t58268 * t4997 + 0.23e2 / 0.9e1 * t9743 * t58995 + 0.6e1 * t246 * t58341 * t41637;
  t59004 = t233 * t11963 * t3461;
  t59007 = t11963 * t592;
  t59008 = t233 * t59007;
  t59011 = t62 * t1524;
  t59012 = t59011 * t206;
  t59013 = t233 * t59012;
  t59016 = t59011 * t794;
  t59017 = t233 * t59016;
  t59020 = t815 * t59016;
  t59023 = t11895 * t27100;
  t59026 = t2557 * t27218;
  t59029 = t802 * t59012;
  t59032 = t802 * t59016;
  t59035 = t3590 * t59012;
  t59039 = t11825 * t794;
  t59040 = t233 * t59039;
  t59043 = t11963 * t621;
  t59044 = t802 * t59043;
  t59047 = t3580 * t59012;
  t59056 = t815 * t59039;
  t59059 = t815 * t59012;
  t59066 = t62 * t11945;
  t59067 = t59066 * t206;
  t59068 = t815 * t59067;
  t59071 = 0.4e1 * t32105 * t59040 + t6341 * t59044 / 0.3e1 - 0.8e1 / 0.3e1 * t9995 * t59047 + 0.1e2 / 0.3e1 * t59023 * t42838 + 0.24e2 * t9995 * t59029 - 0.3e2 * t59023 * t5023 - 0.5e1 * t32108 * t59056 - 0.48e2 * t10002 * t59059 + 0.44e2 * t59026 * t5025 - 0.4e1 * t32123 * t11975 - 0.4e1 * t6341 * t59068;
  t59073 = t815 * t59043;
  t59076 = t3590 * t59007;
  t59079 = t802 * t59007;
  t59085 = t233 * t59066 * t794;
  t59089 = t233 * t11963 * t3445;
  t59092 = t802 * t59039;
  t59097 = t802 * t59067;
  t59102 = t233 * t59067;
  t59105 = -0.2e1 * t6341 * t59073 + t32067 * t59076 / 0.9e1 - 0.2e1 * t32130 * t59079 + 0.4e1 * t48793 * t11969 + 0.4e1 * t10088 * t59085 + 0.2e1 * t10088 * t59089 + 0.1e2 / 0.3e1 * t32108 * t59092 + 0.2e1 / 0.3e1 * t32123 * t11972 + 0.2e1 / 0.3e1 * t6341 * t59097 + 0.4e1 * t32116 * t11965 + 0.4e1 * t6344 * t59102;
  t59106 = t233 * t59043;
  t59109 = t11895 * t20885;
  t59116 = t20822 * t2526;
  t59117 = t59116 * t20844;
  t59120 = 0.2e1 * t6344 * t59106 - t42740 - t42741 - t42746 - t42761 + t42771 + t42776 - 0.2e1 / 0.3e1 * t59109 * t5123 + 0.4e1 * t2558 * t22405 + 0.36e2 * t59109 * t5065 - 0.12e2 * t59117 * t42897;
  t59123 = t2557 * t21138;
  t59126 = t3580 * t59007;
  t59131 = t815 * t59007;
  t59134 = t2553 * t27411;
  t59138 = t788 * t60 * t58500;
  t59149 = t193 * t58555;
  t59153 = t648 * t58555;
  t59154 = t59153 * t682;
  t59158 = -0.4e1 * t59149 * t596 * t230 + 0.2e1 * t2558 * t22436 - t2554 * t3634 - 0.4e2 * t59109 * t5126 + 0.4e1 * t59154 * t798 + t42889 - t42893 + t42902 + t42904 + t42906 + t42914;
  t59164 = t60 * t6248;
  t59165 = t689 * t59164;
  t59168 = t229 * t59164;
  t59177 = t2553 * t21714;
  t59182 = 0.1e2 / 0.3e1 * t59117 * t42867 + 0.5e2 / 0.3e1 * t59117 * t42727 - 0.2e1 * t1591 * t59165 + 0.2e1 * t1587 * t59168 - 0.3e1 * t11912 * t5112 + 0.24e2 * t59123 * t5120 + t42922 + t42924 + 0.2e1 * t2554 * t3602 + 0.12e2 * t59177 * t5129 - 0.6e1 * t2558 * t22418;
  t59183 = t59153 * t651;
  t59186 = t683 * t59164;
  t59203 = t11901 * t206;
  t59204 = t229 * t59203;
  t59207 = t11901 * t794;
  t59208 = t788 * t59207;
  t59211 = 0.4e1 / 0.3e1 * t59183 * t803 + 0.4e1 / 0.3e1 * t1591 * t59186 + t11896 * t42909 / 0.18e2 + 0.1e2 / 0.3e1 * t11896 * t42861 - 0.4e1 * t11892 * t5106 - 0.4e1 / 0.3e1 * t2558 * t22356 + 0.6e1 * t11892 * t5104 - 0.3e1 * t11896 * t42877 - 0.5e2 / 0.3e1 * t11896 * t43130 - 0.12e2 * t6309 * t59204 - 0.4e1 * t1587 * t59208;
  t59215 = t689 * t59203;
  t59218 = t3556 * t59207;
  t59229 = t683 * t59203;
  t59236 = t11946 * t206;
  t59237 = t788 * t59236;
  t59242 = t3562 * t11946 * t794;
  t59245 = t3130 * t59236;
  t59248 = t3130 * t59207;
  t59253 = t3168 * t59203;
  t59258 = t2571 * t621;
  t59259 = t788 * t59258;
  t59262 = t3562 * t2571 * t3445;
  t59270 = -0.2e1 * t470 * t59242 - 0.4e1 / 0.3e1 * t1591 * t59245 - 0.16e2 / 0.3e1 * t1591 * t59248 - 0.5e1 / 0.18e2 * t11896 * t42992 + 0.2e1 / 0.9e1 * t6304 * t59253 - 0.2e1 * t1585 * t11979 - t1587 * t59259 - t470 * t59262 + 0.2e1 / 0.3e1 * t2558 * t22280 - t11896 * t22274 / 0.9e1 - t59117 * t42997 / 0.9e1;
  t59273 = t63 * t6248;
  t59274 = t683 * t59273;
  t59278 = t788 * t63 * t58500;
  t59282 = -t6369 * t2562 - 0.2e1 / 0.3e1 * t1591 * t59274 - t470 * t59278 - 0.2e1 * t59183 * t816 + t42976 + t43016 - t43017 - t43019 - t43021 - t43023 + t43025;
  t59283 = t229 * t59273;
  t59290 = t3130 * t59258;
  t59293 = t689 * t59273;
  t59300 = -t43045 - t43059 - t43061 - 0.4e1 * t1587 * t59283 + 0.6e1 * t11912 * t5086 - 0.12e2 * t59123 * t5089 - 0.2e1 / 0.3e1 * t1591 * t59290 + t43079 + 0.4e1 * t1591 * t59293 - 0.4e1 * t2558 * t22337 + 0.2e1 * t2554 * t3546;
  t59312 = t22302 * t2571 * t3461;
  t59315 = t2571 * t592;
  t59316 = t788 * t59315;
  t59319 = 0.2e1 * t11892 * t5046 - t43080 - t43081 - t43082 - t43094 + t43096 - 0.2e1 / 0.3e1 * t59154 * t785 + 0.4e1 / 0.3e1 * t59109 * t5049 - 0.2e1 * t2558 * t22291 + 0.3e1 * t470 * t59312 + 0.3e1 * t6309 * t59316;
  t59320 = t3556 * t59315;
  t59331 = t20876 * t59315;
  t59334 = t3130 * t59315;
  t59337 = t3130 * t59203;
  t59346 = -0.6e1 * t6300 * t59320 + 0.72e2 * t59123 * t5038 - 0.4e1 * t2554 * t3564 - 0.24e2 * t59177 * t5095 + 0.12e2 * t2558 * t22310 - t6304 * t59331 / 0.18e2 + 0.4e1 * t6300 * t59334 - 0.12e2 * t6304 * t59337 + 0.15e2 * t11896 * t42785 + 0.24e2 * t59117 * t43052 + 0.8e1 / 0.3e1 * t59117 * t42983;
  t59350 = t22290 * t59315;
  t59353 = t20862 * t59315;
  t59356 = t3556 * t59236;
  t59359 = t3556 * t59258;
  t59361 = t3125 * t59203;
  t59374 = -0.72e2 * t59109 * t5034 + 0.3e1 * t6304 * t59350 - 0.1e2 / 0.3e1 * t6304 * t59353 + 0.2e1 * t1591 * t59356 + t1591 * t59359 + 0.4e2 / 0.3e1 * t6304 * t59361 - 0.12e2 * t11892 * t5075 + 0.8e1 * t59109 * t5031 - 0.2e1 / 0.3e1 * t11896 * t42764 - 0.4e1 / 0.3e1 * t59117 * t43055 + 0.6e1 * t11896 * t42790;
  t59377 = t43067 * t59039;
  t59380 = t43071 * t59039;
  t59383 = t43075 * t59039;
  t59389 = 0.2e1 * t6335 * t11890 - 0.5e1 / 0.3e1 * t32108 * t59377 - 0.8e1 * t32105 * t59380 + 0.1e2 * t32108 * t59383 - t2138 + t9090 + t43189 - t43190 + t43191 + 0.2e1 * t59149 * t595 * t234 + t2119;
  t59416 = -t30 * t59 * (-0.4e1 / 0.3e1 * t6335 * t11983 - 0.16e2 * t6300 * t59229 + 0.6e1 * t11912 * t5042 - 0.22e2 * t11892 * t5098 - 0.2e1 * t1587 * t59237 + 0.24e2 * t6300 * t59215 + 0.8e1 * t1591 * t59218 + 0.44e2 / 0.3e1 * t11892 * t5072 - 0.2e1 * t6329 * t11990 - 0.2e1 * t1585 * t11993 + t470 * t59138 / 0.2e1 + t6369 * t2572 / 0.2e1 + t1585 * t11947 - 0.36e2 * t59123 * t5062 + 0.2e1 / 0.3e1 * t32067 * t59126 - 0.6e1 * t32067 * t59079 + 0.12e2 * t32130 * t59131 - 0.12e2 * t59134 * t5018 + 0.5e1 / 0.9e1 * t59023 * t42945 - 0.22e2 / 0.3e1 * t59026 * t5023 + 0.8e1 * t10002 * t59029 + 0.8e1 / 0.3e1 * t6341 * t59032 - 0.4e1 / 0.9e1 * t9995 * t59035 - 0.6e1 * t48493 * t59004 - 0.6e1 * t32232 * t59008 + 0.24e2 * t10094 * t59013 + 0.8e1 * t6344 * t59017 - 0.16e2 * t6341 * t59020 - t42874 + t42860 + t59182 + t59270 + t59282 + t59300 + t59319 + t59346 + t59105 + t59389 + t59374 + t59211 + t59120 + t59071 + t59158) * t95 / 0.4e1 - t1516 * t6266 + 0.6e1 * t3061 * t12144 + 0.3e1 * t679 * t12087 * t4794 + 0.18e2 * t41105 * t19046 + 0.2e1 * t3070 * t12148 + 0.2e1 * t3061 * t12148 + t679 * t12147 * t21484 - 0.2e1 * t3070 * t12142 - 0.2e1 * t3061 * t12142 - t41813;
  t59430 = t58853 * t8940;
  t59434 = t1254 * t58869;
  t59437 = -t41835 - t41838 - t30 * t12018 * t277 / 0.2e1 + t2534 * t21956 / 0.3e1 - 0.5e1 / 0.18e2 * t58843 * t8711 - 0.5e1 / 0.18e2 * t12052 * t42473 - 0.5e1 / 0.36e2 * t12052 * t41955 - 0.35e2 / 0.108e3 * t58604 * t41958 - 0.11e2 / 0.27e2 * t59430 - 0.2e1 / 0.3e1 * t6062 * t12124 - 0.2e1 / 0.3e1 * t1541 * t59434;
  t59445 = t836 * t837 * t94 * t58500;
  t59448 = t6140 * t12124;
  t59450 = t633 * t12046;
  t59451 = t59450 * t1257;
  t59453 = t11868 * t3691;
  t59460 = t637 * t12161;
  t59463 = t6416 * t2544 / 0.54e2;
  t59465 = t3232 * t2593 / 0.18e2;
  t59466 = t1506 * t6503;
  t59470 = t6140 * t9827;
  t59472 = t3115 * t58608;
  t59479 = t670 * t58761;
  t59480 = t26847 * t59479;
  t59492 = t9744 * t4991 * t58221;
  t59495 = t6087 * t47029 - t59470 / 0.9e1 + t41887 - 0.18e2 * t246 * t59472 * t4863 - 0.18e2 * t679 * t58341 * t41633 - 0.35e2 / 0.3e1 * t26808 * t59480 - 0.2e1 * t3266 * t58766 * t3410 - t31651 * t6164 + 0.2e1 * t47384 * t6167 - 0.2e1 * t31651 * t6170 - 0.3e1 * t26808 * t59492;
  t59497 = t3130 * t11825;
  t59502 = t3130 * t58287;
  t59505 = t3556 * t58287;
  t59532 = t25709 * t19051;
  t59545 = 0.4e1 / 0.3e1 * t6067 * t9985 + 0.4e1 / 0.3e1 * t1541 * t1261 * t6215 * t1255 + 0.2e1 / 0.3e1 * t1541 * t31487 + 0.3e1 * t608 * t12091 + 0.3e1 / 0.2e1 * t246 * t12038 * t20752 + 0.47e2 / 0.3e1 * t41095 * t59532 + 0.4e1 / 0.3e1 * t6062 * t9985 - t182 * t12247 / 0.2e1 + 0.23e2 / 0.36e2 * t12052 * t41115 - 0.11e2 / 0.9e1 * t12052 * t41169 - 0.11e2 / 0.18e2 * t12052 * t41120;
  t59554 = t626 * t12046;
  t59568 = t191 * t649 * t12037;
  t59583 = t659 * t665 * t6248;
  t59586 = -0.3e1 * t58843 * t8947 - 0.6e1 * t59568 * t5179 - t1516 * t6274 - t1516 * t6277 / 0.2e1 + t6209 * t1564 - t608 * t12169 - t246 * t12147 * t21479 + t630 * t12165 + t608 * t12165 + 0.2e1 * t608 * t12161 + t246 * t1547 * t59583;
  t59597 = t26011 * t3165 * t4809;
  t59606 = -0.38e2 / 0.9e1 * t58604 * t42645 + 0.89e2 / 0.9e1 * t58604 * t42650 - 0.2e1 * t58604 * t41035 + 0.6e1 * t58610 * t4869 + 0.8e1 * t58604 * t59597 + t42102 + t42104 + t42106 - 0.15e2 / 0.2e1 * t9877 * t11896 * t43417 - 0.11e2 * t4983 * t11892 * t21947 - t42116;
  t59607 = t637 * t12169;
  t59609 = t58853 * t8742;
  t59611 = t6226 * t1551;
  t59613 = t6140 * t9981;
  t59615 = t21994 * t12039;
  t59616 = t30793 * t1548;
  t59618 = t3051 * t12042;
  t59620 = t637 * t12091;
  t59621 = t3051 * t12144;
  t59623 = -t59607 / 0.3e1 - t42155 - t59609 / 0.3e1 + 0.2e1 / 0.3e1 * t59611 - 0.2e1 / 0.9e1 * t59613 + t59615 - 0.2e1 / 0.3e1 * t59616 - 0.2e1 * t59618 + t59620 + 0.2e1 * t59621 - t42162;
  t59629 = t11855 * t845;
  t59633 = t59450 * t1300;
  t59635 = t4873 * t58259;
  t59659 = t4877 * t59479;
  t59665 = t788 * t58377;
  t59669 = 0.2e1 * t59554 * t1257 + 0.2e1 * t12047 * t5195 + 0.3e1 / 0.2e1 * t3167 * t12038 * t20938 - 0.6e1 * t3070 * t12042 - 0.6e1 * t3061 * t12042 - 0.3e1 * t679 * t12038 * t21542 + t1516 * t6492 + 0.3e1 * t21524 * t12039 + 0.22e2 / 0.3e1 * t42312 * t59659 - 0.3e1 * t4772 * t11912 * t4774 + 0.2e1 * t4772 * t1587 * t59665;
  t59671 = t4873 * t58387;
  t59674 = t229 * t58271;
  t59678 = t4877 * t58649;
  t59681 = t26847 * t58356;
  t59684 = t3130 * t58212;
  t59690 = t26056 * t11826;
  t59694 = t3238 * t2528 * t223;
  t59711 = t634 * t11838;
  t59713 = t3242 * t2596;
  t59715 = t3247 * t2596;
  t59717 = t3242 * t2588;
  t59719 = t3247 * t2588;
  t59722 = -t2534 * t21044 / 0.6e1 - t58178 * t662 / 0.12e2 - t12217 * t3175 / 0.6e1 - t2534 * t21577 / 0.12e2 + t603 * t11838 / 0.6e1 - t59711 / 0.18e2 + t59713 / 0.3e1 + t59715 / 0.3e1 - t59717 / 0.3e1 - t59719 / 0.3e1 + t26266 * t11878;
  t59727 = t788 * t58287;
  t59730 = t788 * t58200;
  t59734 = t30 * t22267;
  t59738 = t41721 * t19097;
  t59740 = t637 * t12129;
  t59742 = t637 * t12132;
  t59743 = t637 * t12136;
  t59746 = t769 * t2578 / 0.18e2;
  t59758 = 0.5e1 / 0.2e1 * t58252 * t41714 + t6439 * t46877 - t58252 * t41939 + 0.44e2 / 0.27e2 * t58604 * t41660 + 0.2e1 * t6087 * t46881 - 0.11e2 / 0.9e1 * t6100 * t47167 + t42274 - t42285 - t42289 + t42297 - t42298;
  t59774 = t42299 - t42304 + 0.7e1 / 0.3e1 * t12052 * t21885 - t12052 * t41138 - t12052 * t20927 / 0.2e1 - t58843 * t8742 + 0.23e2 / 0.18e2 * t58843 * t8943 + 0.23e2 / 0.18e2 * t12052 * t41003 - t42344 + 0.3e1 * t26550 * t58954 * t8928 - t6100 * t48351;
  t59776 = t219 * t221 * t6248;
  t59792 = t3556 * t58200;
  t59796 = -t246 * t1555 * t59776 + 0.3e1 * t630 * t12132 - t3070 * t12151 - t3061 * t12151 - t679 * t58809 * t684 / 0.2e1 - 0.2e1 * t6209 * t1556 - 0.2e1 * t6217 * t1556 - 0.2e1 * t1516 * t6094 - t4772 * t1591 * t59792 / 0.2e1 + t42372 - t42375;
  t59808 = t836 * t21350 * t2542;
  t59829 = t1254 * t58874;
  t59838 = t188 * t12019;
  t59840 = t1529 * t12075 / 0.6e1 - t12217 * t3380 / 0.6e1 - t2534 * t21071 / 0.6e1 - t1541 * t59829 / 0.3e1 + 0.2e1 / 0.3e1 * t12217 * t3691 + 0.2e1 / 0.3e1 * t2534 * t21963 + t42407 + t42410 - t759 * t2578 / 0.4e1 - t59838 / 0.6e1 + t42415;
  t59842 = t3130 * t58377;
  t59847 = t9744 * t3156 * t58386;
  t59853 = t633 * t12029;
  t59854 = t59853 * t1295;
  t59856 = t11855 * t840;
  t59862 = -t42521 - t42523 + t42527 + t42529 - t42530 - t42532 + t42535 + t42537 + t42554 + t42556 + t42576;
  t59866 = t253 * t12204 * t206;
  t59867 = t5175 * t59866;
  t59891 = -t42702 - t6439 * t48895 / 0.3e1 + t6439 * t48892 / 0.2e1 + 0.2e1 * t31651 * t6176 + 0.3e1 * t47381 * t6434 - 0.3e1 * t47384 * t6172 + 0.3e1 * t21529 * t12039 + 0.2e1 * t6209 * t1551 + 0.2e1 * t6217 * t1551 + 0.2e1 * t1516 * t6490 - 0.2e1 * t6411 * t6500;
  t59900 = t58853 * t8943;
  t59910 = t6140 * t12110;
  t59914 = -t6411 * t6183 - 0.2e1 * t31990 * t1548 - t2534 * t21609 / 0.3e1 - t2534 * t21892 / 0.6e1 + 0.23e2 / 0.54e2 * t59900 + 0.4e1 / 0.3e1 * t6062 * t12110 - t1534 * t6503 / 0.3e1 - t466 * t31898 / 0.3e1 - t466 * t31104 / 0.6e1 + 0.4e1 / 0.9e1 * t59910 + 0.2e1 / 0.3e1 * t2534 * t21889;
  t59923 = t3051 * t12151;
  t59928 = t3051 * t12148;
  t59930 = t3051 * t12142;
  t59934 = t247 * t12045;
  t59938 = t41871 * t12187;
  t59941 = t2534 * t21895 / 0.3e1 - t6062 * t9827 / 0.3e1 - t6067 * t9827 / 0.3e1 - t1541 * t48198 / 0.3e1 - t59923 / 0.3e1 - 0.3e1 * t679 * t12147 * t21338 + 0.2e1 / 0.3e1 * t59928 - 0.2e1 / 0.3e1 * t59930 - t246 * t12135 * t3468 - 0.6e1 * t246 * t59934 * t4914 - t6451 * t59938 / 0.3e1;
  t59946 = t8790 * t95 * t58923;
  t59950 = t8790 * t95 * t58927;
  t59970 = t3273 * t58356;
  t59974 = t31675 * t12206;
  t59976 = t3273 * t59866;
  t59979 = t4877 * t59866;
  t59985 = t9845 * t58272;
  t59988 = t4996 * t58272;
  t59991 = t5175 * t58649;
  t59994 = t773 * t2578;
  t59996 = t59974 / 0.18e2 - t6454 * t59976 / 0.3e1 + t6439 * t59979 / 0.6e1 - t30 * t2577 * t732 / 0.4e1 - 0.22e2 / 0.9e1 * t9743 * t59985 + 0.4e1 * t9863 * t59988 + 0.4e1 / 0.3e1 * t6439 * t59991 + t43214 - t8895 - t43215 - t59994 / 0.6e1;
  t59998 = t666 * t2578;
  t60002 = t661 * t2577 * t670;
  t60007 = t191 * t242 * t2576 * t676;
  t60020 = t3231 * t2528 * t223 / 0.27e2;
  t60022 = t3232 * t2596 / 0.9e1;
  t60023 = t58159 * t662;
  t60025 = t11868 * t3175;
  t60037 = t191 * t194 * t58555 * t595 * t223 / 0.3e1 - t60020 - t60022 - t60023 / 0.18e2 - t60025 / 0.18e2 - t58558 * t662 / 0.6e1 - t679 * t58886 * t684 - t6260 * t1511 / 0.6e1 - t6263 * t1511 / 0.3e1 - t1529 * t6212 / 0.3e1 + t43270;
  t60043 = t31415 * t12201;
  t60045 = t22309 * t59039;
  t60050 = t3360 * t18593 * t206;
  t60054 = t3360 * t18610 * t206;
  t60057 = t95 * t59039;
  t60058 = t26400 * t60057;
  t60061 = t22290 * t59039;
  t60079 = t191 * t194 * t12045;
  t60087 = t836 * t58670 * t838;
  t60096 = 0.6e1 * t6411 * t6135 - 0.18e2 * t3167 * t59472 * t4846 + 0.36e2 * t679 * t59472 * t4856 + 0.2e1 * t60079 * t4939 + 0.12e2 * t41319 * t19052 + t630 * t12136 + t608 * t12136 + t211 * t60087 / 0.12e2 + t466 * t31878 / 0.6e1 + t1529 * t12121 / 0.6e1 + t1534 * t12121 / 0.6e1;
  t60099 = t836 * t3389 * t12119;
  t60116 = t6284 * t10172;
  t60118 = t1506 * t6121;
  t60121 = t1261 * t606 * t12024;
  t60124 = t466 * t60099 / 0.6e1 + 0.2e1 / 0.3e1 * t1568 * t47453 + t1568 * t31884 / 0.3e1 + t1529 * t6121 / 0.3e1 + t1534 * t6121 / 0.3e1 + t466 * t31874 / 0.3e1 + 0.2e1 / 0.3e1 * t6464 * t10172 + 0.2e1 / 0.3e1 * t6468 * t10172 + 0.2e1 / 0.9e1 * t60116 + t60118 / 0.9e1 + 0.4e1 / 0.3e1 * t1541 * t60121;
  t60126 = t1261 * t244 * t58873;
  t60131 = t3562 * t59039;
  t60136 = t824 * t2591 * t206;
  t60139 = t12232 * t794;
  t60141 = t26405 * t670 * t60139;
  t60145 = t3459 * t2591 * t794;
  t60148 = t188 * t12247;
  t60150 = t12927 * t2541;
  t60152 = t4877 * t3264 * t60150;
  t60155 = t8790 * t60057;
  t60158 = t26405 * t60057;
  t60163 = t8790 * t253 * t12204 * t794;
  t60166 = 0.2e1 / 0.3e1 * t1541 * t60126 - t12217 * t3366 / 0.3e1 - 0.2e1 * t4772 * t1587 * t60131 + t3266 * t6169 * t60136 + 0.5e1 / 0.3e1 * t20708 * t60141 + t3266 * t6163 * t60145 - t60148 / 0.6e1 - 0.2e1 / 0.3e1 * t20708 * t60152 + 0.2e1 / 0.3e1 * t6454 * t60155 - 0.5e1 / 0.12e2 * t6439 * t60158 - t6451 * t60163 / 0.3e1;
  t60173 = my_piecewise3(t2, 0, -0.2e1 / 0.3e1 * t31175 * t11886 - t58266 * t4765 + 0.14e2 / 0.3e1 * t26808 * t58223 - t1534 * t6212 / 0.3e1 + t3220 * t2596 / 0.2e1 + t3226 * t2596 - t6251 * t1511 / 0.6e1 - t21062 * t2584 - t21048 * t2584 / 0.2e1 - 0.23e2 / 0.36e2 * t9743 * t58753 - t9863 * t58756 + t9743 * t58758 / 0.2e1 + 0.15e2 / 0.2e1 * t26808 * t58763 - 0.4e1 / 0.3e1 * t12217 * t3522 - 0.4e1 / 0.3e1 * t2534 * t21960 - 0.2e1 / 0.3e1 * t2534 * t21930 + 0.2e1 / 0.3e1 * t12217 * t3503 + t1516 * t6486 / 0.2e1 + t1516 * t6460 + 0.23e2 / 0.18e2 * t58252 * t41706 + 0.4e1 / 0.3e1 * t6439 * t58703 - t654 * t58580 / 0.12e2 + t58583 * t250 / 0.2e1 + t11843 * t623 / 0.4e1 + t31939 * t481 / 0.2e1 + 0.2e1 / 0.3e1 * t58558 * t672 - t3101 * t2593 / 0.4e1 - t608 * t12176 / 0.2e1 - t608 * t12181 / 0.2e1 - t3220 * t2593 / 0.4e1 - t3226 * t2593 / 0.2e1 + t6439 * t58530 / 0.3e1 + t6439 * t58401 / 0.3e1 + 0.28e2 / 0.3e1 * t26808 * t58388 - t6439 * t58293 / 0.3e1 - t31558 * t12201 / 0.3e1 - 0.11e2 / 0.6e1 * t58268 * t4879 + 0.2e1 * t9863 * t58273 + t6439 * t58277 / 0.6e1 - 0.2e1 / 0.3e1 * t31172 * t11886 - 0.3e1 * t59568 * t5157 - 0.4e1 * t59554 * t1263 + t12047 * t5170 + t31172 * t11827 / 0.3e1 + t31175 * t11827 / 0.3e1 - 0.2e1 * t31139 * t1548 - 0.11e2 / 0.9e1 * t58843 * t8940 - 0.4e1 * t12047 * t4820 - 0.2e1 * t12047 * t3399 + t26257 * t12234 - t26260 * t12240 - 0.3e1 / 0.2e1 * t12052 * t21639 - 0.43e2 / 0.9e1 * t58604 * t42660 - 0.61e2 / 0.27e2 * t58604 * t41657 + t466 * t59445 / 0.12e2 - t1541 * t58935 / 0.3e1 - t1541 * t58938 / 0.6e1 + t12217 * t3525 / 0.3e1 + t26266 * t12195 + t26260 * t11878 - t6062 * t12082 / 0.3e1 - t630 * t12169 - 0.2e1 * t9743 * t58814 - t3226 * t2588 - t3101 * t2588 / 0.2e1 + 0.2e1 / 0.3e1 * t6454 * t48405 + t6451 * t31479 / 0.3e1 + t10155 * t59970 / 0.2e1 - t6451 * t59946 / 0.3e1 - t6451 * t59950 / 0.6e1 - t21744 * t12198 / 0.2e1 - t21748 * t12198 / 0.2e1 - t466 * t30997 / 0.3e1 - t6496 * t47980 + t6439 * t59867 / 0.3e1 - 0.6e1 * t26808 * t59847 + t6260 * t2544 / 0.12e2 + t6263 * t2544 / 0.6e1 + t12047 * t4893 / 0.2e1 + t12220 * t845 / 0.3e1 + t2529 * t3391 / 0.3e1 + t466 * t59808 / 0.12e2 + t59554 * t1300 + t6251 * t2544 / 0.12e2 + t1534 * t12075 / 0.6e1 - t2534 * t21018 / 0.12e2 + 0.2e1 * t59734 * t19109 + t26260 * t12195 + t31175 * t12191 / 0.6e1 + t6439 * t59690 / 0.6e1 - t58178 * t667 / 0.6e1 - t12217 * t3056 / 0.3e1 - 0.8e1 * t42312 * t59671 + 0.2e1 / 0.3e1 * t6439 * t59678 + 0.11e2 / 0.18e2 * t9743 * t59681 - t6439 * t59635 / 0.3e1 + t58268 * t4874 + t58249 * t21601 / 0.3e1 - t2534 * t21762 / 0.2e1 + 0.23e2 / 0.18e2 * t6100 * t47171 - 0.6e1 * t1516 * t6394 - 0.5e1 / 0.6e1 * t6439 * t60058 + t58266 * t4885 - t182 * t12019 / 0.2e1 + t11843 * t691 / 0.2e1 - t654 * t59998 / 0.6e1 + t654 * t60002 / 0.3e1 - t60007 * t685 / 0.2e1 + t4983 * t1591 * t58201 / 0.2e1 - 0.3e1 / 0.2e1 * t4772 * t470 * t58206 - 0.3e1 / 0.2e1 * t4772 * t6309 * t58213 - 0.2e1 * t3266 * t6169 * t12128 + 0.3e1 * t3266 * t58229 * t1281 + t3266 * t58233 * t826 - 0.2e1 / 0.3e1 * t6439 * t26056 * t11885 + 0.2e1 * t3266 * t6175 * t12160 + 0.11e2 * t4772 * t11892 * t4780 - 0.12e2 * t4772 * t6300 * t58397 - 0.3e1 / 0.2e1 * t4772 * t6304 * t58733 - 0.3e1 / 0.2e1 * t9877 * t6304 * t58737 + 0.3e1 * t4983 * t6304 * t58741 - 0.7e1 / 0.3e1 * t9743 * t26847 * t58745 + 0.2e1 * t4993 * t58766 * t3362 - 0.18e2 * t679 * t58802 * t4918 + 0.18e2 * t246 * t58802 * t4903 + t246 * t58809 * t690 / 0.2e1 - t679 * t1547 * t58818 + t246 * t58886 * t690 + t4772 * t1585 * t12194 + t4772 * t470 * t58924 + t4772 * t470 * t58928 / 0.2e1 + 0.3e1 * t3266 * t58954 * t8922 + 0.6e1 * t4993 * t58373 * t1269 + 0.3e1 * t246 * t12147 * t21345 + t4983 * t6335 * t59497 - t4772 * t6335 * t12239 + t4983 * t1591 * t59502 - t4772 * t1591 * t59505 + 0.6e1 * t4772 * t6309 * t59674 - 0.3e1 * t4983 * t6300 * t59684 + t4772 * t6329 * t11877 + t4772 * t1587 * t59727 + t4772 * t1587 * t59730 / 0.2e1 + 0.4e1 * t4983 * t1591 * t59842 - 0.2e1 * t4993 * t6175 * t12141 - t3266 * t31360 * t2592 / 0.4e1 - t3266 * t31364 * t2592 / 0.2e1 - t3266 * t6163 * t12180 / 0.2e1 + 0.5e1 / 0.2e1 * t4772 * t1591 * t60045 + t4993 * t6175 * t60050 - t3266 * t6175 * t60054 - 0.5e1 / 0.2e1 * t4983 * t1591 * t60061 + t43266 - t43265 + t43240 + t43241 + t43220 - t42667 + t42669 + t42630 + t42632 - t42621 + t42617 + t42619 - t42615 - t42610 - t42429 + t42431 + t42416 - t42223 - t42190 - t42164 - t41949 - t41938 + t41776 - t41777 - t41765 + t41763 + t59891 + t58565 + t58317 + t41227 + t58958 - t41251 - t41295 - t41020 - t58575 - t58162 / 0.9e1 + t58971 / 0.3e1 + 0.2e1 / 0.9e1 * t58973 + 0.2e1 / 0.3e1 * t59451 + 0.2e1 / 0.9e1 * t59453 - t58967 / 0.3e1 + t58969 / 0.9e1 - t41297 + t41299 + t58918 / 0.3e1 + t8740 - t58577 + t58579 - t41239 + t58857 + t60037 + t59840 - t41610 + t58345 + t59996 - t58210 / 0.6e1 - t58160 / 0.9e1 + t59941 + t60166 + t59914 + t58263 + t58165 + t59633 / 0.3e1 - 0.2e1 / 0.9e1 * t59448 - t59854 / 0.3e1 + t58655 + t58561 + t41230 + 0.2e1 / 0.3e1 * t59460 + t58168 / 0.9e1 + 0.14e2 / 0.9e1 * t59738 + t58198 - t59466 / 0.9e1 + t58731 - t41612 + t59862 + t59722 + t60124 + t60096 - 0.2e1 / 0.3e1 * t59740 + t59742 + t59743 / 0.3e1 + t59623 + t59669 + t58617 + t59758 + t58514 + t59796 + t59629 / 0.9e1 + t58681 - t41629 + t59001 + t58382 + t59694 / 0.9e1 + t59495 + t59606 - t59463 + t59465 + t41624 + t41656 - t59856 / 0.9e1 - t58696 - t58889 / 0.9e1 + t58831 + t59774 + t41651 - t41653 + t59746 - t41597 + t41030 + t59437 - t41224 + t58882 + 0.4e1 / 0.9e1 * t58686 + t58793 - 0.2e1 / 0.3e1 * t6439 * t4877 * t670 * t58287 - t246 * t3384 * t2553 * t597 / 0.2e1 + 0.3e1 / 0.2e1 * t9743 * t26189 * t3156 * t58212 - 0.3e1 * t12052 * t4808 * t3059 * t1255 + t59416 + t58916 + t59545 - t8938 - t60043 / 0.9e1 + t59586 + t58571 + t58217 / 0.3e1 + t58219 / 0.3e1);
  tv4rho2lapl20 = t3 * t60173 + 0.2e1 * t12254;

  if(out->v4rho2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 0] += tv4rho2lapl20;

  tv4rho2lapl21 = 0.e0;

  if(out->v4rho2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 1] += tv4rho2lapl21;

  t60178 = t3893 * t2608;
  t60200 = t3897 * t2603 * t350;
  t60202 = t3897 * t2608;
  t60203 = t60202 * t1010;
  t60205 = t60202 * t1015;
  t60210 = t873 * t2653 / 0.18e2;
  t60211 = t6520 * t1642;
  t60213 = t60202 * t1020;
  t60215 = t32985 * t505;
  t60217 = -t23288 * t2659 / 0.2e1 + t3911 * t2671 / 0.2e1 - t3911 * t2663 / 0.2e1 + t60200 / 0.9e1 - t60203 / 0.18e2 - t60205 / 0.9e1 - t865 * t2653 / 0.4e1 + t60210 - t60211 / 0.9e1 + 0.2e1 / 0.9e1 * t60213 + t60215 / 0.3e1;
  t60219 = t23325 * t2659;
  t60221 = t3914 * t2663;
  t60223 = t3914 * t2671;
  t60227 = t3901 * t2603 * t350 / 0.27e2;
  t60228 = t3901 * t2608;
  t60230 = t60228 * t1010 / 0.54e2;
  t60232 = t60228 * t1015 / 0.27e2;
  t60234 = 0.2e1 / 0.27e2 * t60228 * t1020;
  t60236 = t23420 * t2659 / 0.9e1;
  t60238 = t3917 * t2663 / 0.9e1;
  t60240 = t32998 * t505 / 0.9e1;
  t60243 = t3917 * t2671 / 0.9e1;
  t60245 = t6523 * t1642 / 0.27e2;
  t60247 = t6523 * t2619 / 0.54e2;
  t60249 = t3917 * t2668 / 0.18e2;
  t60252 = t6520 * t2619;
  t60254 = t3914 * t2668;
  t60256 = t869 * t2653;
  t60258 = -t60243 + t60245 - t60247 + t60249 - t3911 * t2668 / 0.4e1 + t60252 / 0.18e2 - t60254 / 0.6e1 - t43495 - t43502 + t43525 - t60256 / 0.6e1;
  t60261 = my_piecewise3(t100, 0, t6517 * t2619 / 0.12e2 - t43440 + t43451 + t43466 - t60178 * t1010 / 0.12e2 + t3893 * t2603 * t350 / 0.6e1 - t6517 * t1642 / 0.6e1 - t60178 * t1015 / 0.6e1 + t32995 * t505 / 0.2e1 + t60178 * t1020 / 0.3e1 + t60217 - t60219 / 0.3e1 - t60221 / 0.3e1 + t60223 / 0.3e1 - t60227 + t60230 + t60232 - t60234 + t60236 + t60238 - t60240 + t60258);
  tv4rho2lapl22 = t3 * t60261 + 0.2e1 * t12311;

  if(out->v4rho2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 2] += tv4rho2lapl22;

  t60281 = -t58160 / 0.18e2 - t58162 / 0.18e2 + t58165 + t58168 / 0.18e2 - 0.2e1 / 0.3e1 * t58192 + t903 * t12161 - t903 * t12163 - t903 * t12129 + 0.3e1 / 0.2e1 * t903 * t12132 + t903 * t12136 / 0.2e1 - 0.2e1 * t43818 * t19052 - t903 * t12169 / 0.2e1 - t58210 / 0.12e2 + t58217 / 0.6e1 + t58219 / 0.6e1;
  t60289 = t3750 * t2533;
  t60314 = -t12320 * t3175 / 0.12e2 + t3750 * t2528 * t223 / 0.6e1 + t12325 * t645 / 0.6e1 - t60289 * t662 / 0.12e2 - t6594 * t1511 / 0.6e1 - t6580 * t1511 / 0.6e1 - t1632 * t6212 / 0.6e1 + t6585 * t1526 / 0.2e1 - t60289 * t667 / 0.6e1 - t12320 * t3056 / 0.6e1 + t32761 * t481 / 0.2e1 + t32764 * t481 / 0.2e1 - t22796 * t2584 / 0.2e1 - t22773 * t2584 / 0.2e1 + t60289 * t672 / 0.3e1;
  t60324 = t12320 * t3091 / 0.3e1 + t43537 - t58319 / 0.18e2 - t58365 / 0.9e1 - t43540 - t43545 - t43546 - t58506 - t43547 - t43548 + t43549 - t58534 / 0.12e2 - t58536 / 0.12e2 + t58538 / 0.36e2 + t58540 / 0.36e2;
  t60334 = t58542 / 0.36e2 + t58544 / 0.6e1 - t58546 / 0.3e1 + t58554 + t58565 + t58571 - t58575 - t58577 + t58579 + t43556 + t58641 / 0.36e2 - t58653 / 0.18e2 + t58662 / 0.36e2 - t58664 / 0.12e2 - t58666 / 0.12e2 + 0.2e1 / 0.9e1 * t58686;
  t60356 = -t58696 / 0.2e1 + 0.3e1 / 0.2e1 * t22632 * t12039 - t3776 * t2593 / 0.4e1 - t903 * t12176 / 0.4e1 - t903 * t12181 / 0.4e1 + t6594 * t2544 / 0.12e2 + t6580 * t2544 / 0.12e2 + t1632 * t12075 / 0.12e2 - t3754 * t2593 / 0.4e1 - t58723 / 0.18e2 + t58725 / 0.18e2 + t43565 + t43567 - t43570 - t43572;
  t60359 = t897 * t12051;
  t60368 = t897 * t12046;
  t60375 = t897 * t12029;
  t60386 = -t32645 * t1548 + t6585 * t1551 - t60359 * t8742 / 0.2e1 - t6542 * t9981 / 0.3e1 + 0.3e1 / 0.2e1 * t903 * t12091 - t12325 * t840 / 0.6e1 + t60368 * t1300 / 0.2e1 - t1632 * t6503 / 0.6e1 + t43594 + t43596 + t6561 * t12026 / 0.3e1 - t60375 * t1295 / 0.2e1 + t1632 * t6121 / 0.6e1 - t6542 * t9827 / 0.6e1 + 0.3e1 * t3740 * t12144 - 0.3e1 * t903 * t12088;
  t60412 = -0.3e1 * t3740 * t12042 + t1632 * t12121 / 0.12e2 + t32681 * t12206 / 0.12e2 - t32681 * t12188 / 0.6e1 - t22522 * t12198 / 0.4e1 - t32677 * t12201 / 0.6e1 + t28063 * t11878 / 0.2e1 + t28063 * t12195 / 0.2e1 - t27800 * t19109 / 0.3e1 - t58849 / 0.36e2 - 0.5e1 / 0.108e3 * t58854 + t58880 / 0.9e1 - t58889 / 0.18e2 + t58895 / 0.12e2 + t58900 / 0.9e1;
  t60421 = t22806 * t2584;
  t60423 = t3761 * t2588;
  t60425 = t3761 * t2596;
  t60427 = t58902 / 0.9e1 - t58904 / 0.18e2 - t58906 / 0.18e2 + t58908 / 0.6e1 - t58910 / 0.6e1 - t58912 / 0.6e1 + t58914 / 0.6e1 + t58918 / 0.6e1 - t60421 / 0.6e1 - t60423 / 0.6e1 + t60425 / 0.6e1 - t9224 + t9234 - t8624 + t8645 - t43621;
  t60452 = t43623 - t58967 / 0.6e1 + t58969 / 0.18e2 + t58971 / 0.6e1 - 0.2e1 / 0.3e1 * t12320 * t3522 + 0.23e2 / 0.36e2 * t60359 * t8943 - 0.3e1 / 0.2e1 * t43882 * t19046 - t3740 * t12151 / 0.2e1 - t3740 * t12142 + t3740 * t12148 - t6542 * t12082 / 0.6e1 + t12320 * t3525 / 0.6e1 - 0.5e1 / 0.36e2 * t60359 * t8711 + t58973 / 0.9e1 - 0.2e1 / 0.9e1 * t58978;
  t60460 = t6599 * t2544;
  t60464 = t58980 / 0.6e1 - t58983 / 0.6e1 - t58987 / 0.3e1 - t41813 - t43632 - t43633 - 0.11e2 / 0.54e2 * t59430 - t59448 / 0.9e1 + t59451 / 0.3e1 + t59453 / 0.9e1 + t60460 / 0.36e2 + t59460 / 0.3e1 - t59463 + t59465 - t59466 / 0.18e2;
  t60479 = t897 * t11842;
  t60483 = t3757 * t2528 * t223;
  t60485 = t3757 * t2533;
  t60486 = t60485 * t662;
  t60488 = t6599 * t1511;
  t60496 = -t59470 / 0.18e2 + t12325 * t845 / 0.6e1 - t43653 - t3754 * t2588 / 0.2e1 - t3776 * t2588 / 0.2e1 + t3754 * t2596 / 0.2e1 + t3776 * t2596 / 0.2e1 - t898 * t11838 / 0.12e2 + t60479 * t250 / 0.4e1 + t60483 / 0.18e2 - t60486 / 0.36e2 - t60488 / 0.18e2 + 0.2e1 / 0.3e1 * t22877 * t19033 + t6585 * t1564 / 0.2e1 - t6542 * t12124 / 0.3e1;
  t60515 = -t6585 * t1556 - t6585 * t1560 / 0.2e1 + t12320 * t3503 / 0.3e1 + 0.2e1 / 0.3e1 * t6542 * t12110 - t59607 / 0.6e1 - t59609 / 0.6e1 + t59611 / 0.3e1 - t59613 / 0.9e1 + t59615 / 0.2e1 - t59616 / 0.3e1 - t59618 + t59620 / 0.2e1 + t59621 + t59629 / 0.18e2 + t59633 / 0.6e1 + t32879 * t11827 / 0.6e1;
  t60535 = -t28063 * t12240 / 0.2e1 + t27950 * t12234 / 0.2e1 + t59694 / 0.18e2 - t59711 / 0.36e2 + t59713 / 0.6e1 + t59715 / 0.6e1 - t59717 / 0.6e1 - t59719 / 0.6e1 + 0.7e1 / 0.9e1 * t59738 - t59740 / 0.3e1 + t59742 / 0.2e1 + t59743 / 0.6e1 + t59746 + t32879 * t12191 / 0.12e2 - t59838 / 0.12e2;
  t60553 = -t59854 / 0.6e1 - t59856 / 0.18e2 + t43731 + t43734 - t43743 - t43745 + t42576 - t307 * t12247 / 0.4e1 - t12320 * t3366 / 0.6e1 + t6561 * t10172 / 0.3e1 + t60368 * t1257 + t12320 * t3691 / 0.3e1 - 0.11e2 / 0.18e2 * t60359 * t8940 + 0.7e1 / 0.3e1 * t43882 * t19097 + t903 * t12165 / 0.2e1 + t43833;
  t60555 = t3761 * t2593;
  t60562 = t60485 * t667;
  t60564 = t32695 * t481;
  t60566 = t60485 * t672;
  t60570 = t43835 - t43851 + t43869 - t60555 / 0.12e2 + 0.23e2 / 0.108e3 * t59900 + 0.2e1 / 0.9e1 * t59910 - t59923 / 0.6e1 + t59928 / 0.3e1 - t59930 / 0.3e1 - t60562 / 0.18e2 + t60564 / 0.6e1 + t60566 / 0.9e1 + t59974 / 0.36e2 - t59994 / 0.12e2 - t43875;
  t60574 = t894 * t2578;
  t60585 = -t43877 + t43879 + t43881 - t60020 - t60022 - t60023 / 0.36e2 - t60025 / 0.36e2 - t43902 - t60043 / 0.18e2 - t60574 / 0.12e2 - t12320 * t3380 / 0.12e2 + t60116 / 0.9e1 + t60118 / 0.18e2 - t307 * t12019 / 0.4e1 - t60148 / 0.12e2 - t890 * t2578 / 0.4e1;
  t60590 = my_piecewise3(t2, 0, t60281 + t60314 + t60324 + t60334 + t60356 + t60386 + t60412 + t60427 + t60452 + t60464 + t60496 + t60515 + t60535 + t60553 + t60570 + t60585);
  tv4rho2lapl23 = t3 * t60590 + t12254 + t12342;

  if(out->v4rho2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 3] += tv4rho2lapl23;

  tv4rho2lapl24 = 0.e0;

  if(out->v4rho2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 4] += tv4rho2lapl24;

  t60592 = t6668 * t10339;
  t60594 = t6647 * t10344;
  t60603 = t28548 * t12720;
  t60605 = t33521 * t12740;
  t60607 = t60592 / 0.9e1 - t60594 / 0.18e2 - 0.3e1 * t3971 * t12685 + t43931 - t43933 - t43935 - t43956 - t43959 - t33583 * t1675 - t33483 * t12523 / 0.3e1 + t33483 * t12355 / 0.6e1 + t60603 / 0.6e1 - t60605 / 0.18e2 + t43981 - t43983;
  t60608 = t933 * t12534;
  t60612 = t937 * t12413;
  t60613 = t60612 * t9267;
  t60615 = t6647 * t10552;
  t60617 = t60612 * t9270;
  t60619 = t948 * t12691;
  t60621 = t948 * t12688;
  t60622 = -t43990 - t43993 + t43995 + t44021 - t44025 + t44030 - t44032 + t44060 - 0.2e1 * t60608 * t1432 + t60608 * t1426 - t60613 / 0.6e1 - t60615 / 0.9e1 + 0.7e1 / 0.9e1 * t60617 + t60619 / 0.2e1 - t60621;
  t60624 = t4005 * t12685;
  t60625 = t12292 * t1098;
  t60627 = t937 * t12543;
  t60628 = t60627 * t1452;
  t60630 = t6668 * t12540;
  t60632 = t12292 * t1103;
  t60634 = t937 * t12534;
  t60635 = t60634 * t1457;
  t60637 = t12289 * t4452;
  t60639 = t6703 * t2619;
  t60641 = t1618 * t12401;
  t60643 = t6647 * t12366;
  t60645 = t12289 * t4554;
  t60647 = t12289 * t4550;
  t60649 = t933 * t12543;
  t60654 = -t60624 - t60625 / 0.18e2 - t60628 / 0.6e1 + t60630 / 0.9e1 + t60632 / 0.18e2 + t60635 / 0.6e1 + t60637 / 0.18e2 + t60639 / 0.36e2 + t60641 / 0.36e2 - t60643 / 0.9e1 + t60645 / 0.9e1 - t60647 / 0.18e2 + t43466 - t60649 * t1452 / 0.2e1 - t12267 * t1098 / 0.6e1;
  t60667 = t933 * t12413;
  t60676 = t33526 * t12737;
  t60678 = t33495 * t12523;
  t60680 = t33495 * t12355;
  t60682 = t12267 * t1103 / 0.6e1 + t6657 * t12540 / 0.3e1 + t12262 * t4452 / 0.6e1 + t60608 * t1457 / 0.2e1 - t12262 * t4433 / 0.12e2 - t6640 * t12529 / 0.6e1 - 0.5e1 / 0.36e2 * t60667 * t9360 + t1615 * t12409 / 0.12e2 + t6691 * t2619 / 0.12e2 + t1615 * t12401 / 0.12e2 + t44104 + t44120 - t44122 + t60676 / 0.36e2 - t60678 / 0.9e1 + t60680 / 0.18e2;
  t60685 = t33495 * t12732;
  t60689 = t1618 * t6757;
  t60691 = t1618 * t6812;
  t60693 = t12289 * t4378;
  t60695 = t6647 * t12443;
  t60697 = t4005 * t12438;
  t60699 = t12289 * t4361;
  t60701 = t6715 * t1698;
  t60703 = t6715 * t1694;
  t60705 = t6715 * t1690;
  t60707 = t4005 * t12428;
  t60709 = t4005 * t12425;
  t60711 = t4005 * t12421;
  t60714 = t60685 / 0.36e2 + t33486 * t12737 / 0.12e2 + t60689 / 0.18e2 - t60691 / 0.18e2 - 0.2e1 / 0.9e1 * t60693 + 0.2e1 / 0.9e1 * t60695 - t60697 / 0.3e1 + t60699 / 0.9e1 + t60701 / 0.6e1 - t60703 / 0.6e1 - t60705 / 0.3e1 - t60707 / 0.6e1 + t60709 / 0.3e1 + t60711 - t33478 * t12740 / 0.6e1;
  t60715 = t28763 * t12351;
  t60717 = t28548 * t12346;
  t60719 = t28548 * t12725;
  t60721 = t24028 * t12519;
  t60734 = t4021 * t2608;
  t60745 = t60715 / 0.6e1 - t60717 / 0.6e1 + t60719 / 0.6e1 - t60721 / 0.12e2 + t60200 / 0.18e2 - t60203 / 0.36e2 - t60205 / 0.18e2 + t33483 * t12732 / 0.12e2 - t33486 * t12729 / 0.6e1 + t28461 * t12725 / 0.2e1 + t28461 * t12720 / 0.2e1 - t60734 * t1015 / 0.6e1 - t12262 * t4135 / 0.6e1 + t12267 * t994 / 0.6e1 - t60734 * t1010 / 0.12e2 - t12262 * t4228 / 0.12e2;
  t60759 = t933 * t12473;
  t60769 = t60612 * t9264;
  t60773 = t60634 * t1432;
  t60778 = -t1615 * t7018 / 0.6e1 + t60734 * t1020 / 0.3e1 - t6688 * t1642 / 0.6e1 - t6691 * t1642 / 0.6e1 + t33597 * t505 / 0.2e1 + t12262 * t4264 / 0.3e1 + t60759 * t377 / 0.4e1 + t33590 * t505 / 0.2e1 + t4021 * t2603 * t350 / 0.6e1 - t23548 * t12519 / 0.4e1 + 0.23e2 / 0.108e3 * t60769 - 0.3e1 / 0.2e1 * t60667 * t9256 - 0.2e1 / 0.3e1 * t60773 + t6700 * t1679 + 0.3e1 / 0.2e1 * t24004 * t12673;
  t60779 = t948 * t12516;
  t60781 = t948 * t12512;
  t60783 = t948 * t12505;
  t60785 = t948 * t12508;
  t60787 = t948 * t12501;
  t60789 = t948 * t12499;
  t60791 = t948 * t12494;
  t60793 = t948 * t12489;
  t60795 = t3993 * t2668;
  t60797 = t3990 * t2668;
  t60799 = t948 * t12482;
  t60801 = t6647 * t12529;
  t60803 = t12289 * t4433;
  t60805 = t60612 * t9360;
  t60807 = t1618 * t12409;
  t60809 = t6718 * t2619;
  t60811 = -t60779 / 0.6e1 + t60781 / 0.6e1 - t60783 / 0.3e1 + t60785 / 0.2e1 - t60787 / 0.3e1 + t60789 / 0.3e1 - t60791 / 0.12e2 - t60793 / 0.12e2 - t60795 / 0.12e2 - t60797 / 0.12e2 + t60799 / 0.6e1 - t60801 / 0.18e2 - t60803 / 0.36e2 - 0.5e1 / 0.108e3 * t60805 + t60807 / 0.36e2 + t60809 / 0.36e2;
  t60815 = t3990 * t2663;
  t60830 = t3986 * t2603 * t350;
  t60832 = t3993 * t2671;
  t60834 = t3990 * t2671;
  t60840 = t33526 * t12729;
  t60842 = t12289 * t4135;
  t60844 = t3986 * t2608;
  t60845 = t60844 * t1015;
  t60847 = -t60815 / 0.6e1 + t6700 * t1657 / 0.2e1 - t23870 * t2659 / 0.2e1 - t4025 * t2663 / 0.2e1 - t4028 * t2663 / 0.2e1 + t4025 * t2671 / 0.2e1 + t4028 * t2671 / 0.2e1 + t60830 / 0.18e2 + t60832 / 0.6e1 + t60834 / 0.6e1 + t28713 * t12351 / 0.2e1 - t28461 * t12346 / 0.2e1 - t60840 / 0.18e2 - t60842 / 0.18e2 - t60845 / 0.18e2;
  t60848 = t12289 * t4228;
  t60850 = t60844 * t1010;
  t60852 = t12292 * t994;
  t60854 = t60844 * t1020;
  t60856 = t1618 * t7018;
  t60858 = t6718 * t1642;
  t60860 = t60634 * t1426;
  t60862 = t60612 * t9261;
  t60864 = t294 * t12716;
  t60866 = -t60848 / 0.36e2 - t60850 / 0.36e2 + t60852 / 0.18e2 + t60854 / 0.9e1 - t60856 / 0.18e2 - t60858 / 0.18e2 - t9147 - t9168 + t9172 + t9195 + t44154 + t44156 + t60860 / 0.3e1 - 0.11e2 / 0.54e2 * t60862 - t60864 / 0.12e2;
  t60868 = t6703 * t1642;
  t60870 = t12289 * t4264;
  t60872 = t33578 * t505;
  t60874 = t33565 * t505;
  t60876 = t937 * t12473;
  t60877 = t60876 * t377;
  t60879 = t938 * t12469;
  t60881 = t23776 * t2659;
  t60883 = t23895 * t2659;
  t60885 = t6715 * t1657;
  t60891 = t3993 * t2663;
  t60893 = -t60868 / 0.18e2 + t60870 / 0.9e1 + t60872 / 0.6e1 + t60874 / 0.6e1 + t60877 / 0.12e2 - t60879 / 0.36e2 - t60881 / 0.6e1 - t60883 / 0.6e1 + t60885 / 0.6e1 - t23883 * t2659 / 0.2e1 - t934 * t12469 / 0.12e2 - t60891 / 0.6e1 - t44217 - t44219 + t44221;
  t60900 = t60210 - t60211 / 0.18e2 + t60213 / 0.9e1 + t60215 / 0.6e1 - t60219 / 0.6e1 - t60221 / 0.6e1 + t60223 / 0.6e1 - t60227 + t60230 + t60232 - t60234 + t60236 + t60238 - t60240 - t60243 + t60245;
  t60917 = t6715 * t1679;
  t60919 = t23651 * t12673;
  t60927 = -t60247 + t60249 + t60252 / 0.36e2 - t60254 / 0.12e2 - t290 * t12716 / 0.4e1 + 0.2e1 / 0.3e1 * t6640 * t10556 - t6640 * t10552 / 0.3e1 - t60667 * t9267 / 0.2e1 + 0.23e2 / 0.36e2 * t60667 * t9264 - 0.11e2 / 0.18e2 * t60667 * t9261 + t60917 / 0.3e1 + t60919 / 0.2e1 + 0.7e1 / 0.3e1 * t60667 * t9270 + 0.3e1 / 0.2e1 * t945 * t12691 - 0.3e1 * t945 * t12688;
  t60932 = t929 * t2653;
  t60934 = t294 * t12652;
  t60950 = t44321 + t44323 - t290 * t12652 / 0.4e1 - t44333 - t44335 + t44337 - t925 * t2653 / 0.4e1 - t60932 / 0.12e2 - t60934 / 0.12e2 + t6688 * t2619 / 0.12e2 - t6640 * t12366 / 0.3e1 + t12262 * t4554 / 0.3e1 - t12262 * t4550 / 0.6e1 + t6657 * t10339 / 0.3e1 - t6640 * t10344 / 0.6e1 + t1615 * t6757 / 0.6e1;
  t60975 = -0.2e1 / 0.3e1 * t12262 * t4378 - t1615 * t6812 / 0.6e1 + t12262 * t4361 / 0.3e1 + 0.2e1 / 0.3e1 * t6640 * t12443 - t3971 * t12438 + t6700 * t1698 / 0.2e1 - t6700 * t1694 / 0.2e1 - t6700 * t1690 + t3971 * t12425 - t44353 - t44360 - t3971 * t12428 / 0.2e1 + 0.3e1 * t3971 * t12421 - t945 * t12516 / 0.2e1 + 0.3e1 / 0.2e1 * t945 * t12508;
  t60991 = t33573 * t1675;
  t60993 = t60612 * t9256;
  t60995 = t6647 * t10556;
  t60998 = t945 * t12512 / 0.2e1 - t945 * t12505 - t945 * t12501 + t945 * t12499 - t945 * t12494 / 0.4e1 - t945 * t12489 / 0.4e1 - t4028 * t2668 / 0.4e1 - t4025 * t2668 / 0.4e1 + t945 * t12482 / 0.2e1 - t60991 / 0.3e1 - t60993 / 0.2e1 + 0.2e1 / 0.9e1 * t60995 - t43495 - t44379 + t44389 - t60256 / 0.12e2;
  t61003 = my_piecewise3(t100, 0, t60607 + t60622 + t60654 + t60682 + t60714 + t60745 + t60778 + t60811 + t60847 + t60866 + t60893 + t60900 + t60927 + t60950 + t60975 + t60998);
  tv4rho2lapl25 = t3 * t61003 + t12311 + t12747;

  if(out->v4rho2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 5] += tv4rho2lapl25;

  t61016 = t3952 * t2533;
  t61031 = t3952 * t2528 * t223 / 0.6e1 - t61016 * t662 / 0.12e2 + t33195 * t481 / 0.2e1 - t61016 * t667 / 0.6e1 - t6739 * t1511 / 0.6e1 + t61016 * t672 / 0.3e1 - t60421 / 0.3e1 - t60423 / 0.3e1 + t60425 / 0.3e1 - t41813 + t60460 / 0.18e2;
  t61048 = t44424 - t60555 / 0.6e1 - t60562 / 0.9e1 + t60564 / 0.3e1 + 0.2e1 / 0.9e1 * t60566 - t44427 + t44448 - t972 * t2578 / 0.4e1 - t60020 - t60022 - t60574 / 0.6e1;
  t61051 = my_piecewise3(t2, 0, t58165 + t58554 + t58565 + t58571 - t58575 - t58577 + t58579 - t3958 * t2588 / 0.2e1 - t23213 * t2584 / 0.2e1 + t3958 * t2596 / 0.2e1 + t61031 - t59463 + t59465 + t60483 / 0.9e1 - t60486 / 0.18e2 - t60488 / 0.9e1 + t59746 + t42576 + t6739 * t2544 / 0.12e2 - t3958 * t2593 / 0.4e1 - t44417 + t61048);
  tv4rho2lapl26 = t3 * t61051 + 0.2e1 * t12342;

  if(out->v4rho2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 6] += tv4rho2lapl26;

  tv4rho2lapl27 = 0.e0;

  if(out->v4rho2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 7] += tv4rho2lapl27;

  t61067 = t1430 * t6958 * t2756;
  t61071 = t2616 * t4345;
  t61072 = t24458 * t61071;
  t61076 = t2616 * t997;
  t61077 = t1165 * t61076;
  t61081 = t110 * t12580;
  t61093 = -0.3e1 / 0.2e1 * t5665 * t494 * t61072 - 0.3e1 / 0.2e1 * t5665 * t7086 * t61077 - 0.5e1 / 0.18e2 * t61081 * t45684 - t2180 + t2251 - 0.4e1 * t24914 * t19414 - t6965 * t1694 - t6960 * t1694 - t1647 * t6975 - t1647 * t6978 / 0.2e1 + 0.2e1 * t4188 * t12425;
  t61099 = t4371 * t2632;
  t61117 = t403 * t1655;
  t61118 = t380 * t61117;
  t61119 = t6005 * t61118;
  t61122 = t110 * t12606;
  t61124 = t110 * t12551;
  t61127 = t1655 * t333;
  t61128 = t168 * t61127;
  t61129 = t5695 * t61128;
  t61132 = t1655 * t1082;
  t61133 = t168 * t61132;
  t61134 = t5691 * t61133;
  t61137 = t487 * t1655;
  t61139 = t10358 * t4191 * t61137;
  t61142 = t50292 * t13684;
  t61145 = t50296 * t13674;
  t61153 = 0.2e1 / 0.3e1 * t6764 * t61119 - t61122 * t6006 - 0.11e2 / 0.6e1 * t61124 * t6009 + 0.2e1 * t10440 * t61129 + 0.2e1 / 0.3e1 * t6769 * t61134 - 0.6e1 * t45332 * t61139 + 0.4e1 / 0.3e1 * t24973 * t61142 - 0.2e1 * t24973 * t61145 - t34833 * t6761 - 0.2e1 * t34833 * t6842 + 0.2e1 * t50860 * t6839;
  t61161 = t12398 * t333;
  t61162 = t4572 * t61161;
  t61165 = t4572 * t12344;
  t61173 = t110 * t2633;
  t61176 = t30275 * t12412;
  t61191 = t1094 * t4440 * t12399;
  t61200 = t1077 * t6869;
  t61203 = t1077 * t1663;
  t61206 = t4388 * t6800;
  t61211 = t4388 * t6786;
  t61216 = t1077 * t1673;
  t61223 = t24205 * t6853;
  t61236 = -0.2e1 * t12383 * t4407 + 0.4e1 * t12380 * t4300 - 0.8e1 * t6839 - 0.2e1 * t6834 - 0.8e1 * t61200 * t1438 - 0.4e1 * t61203 * t1084 + 0.8e1 / 0.3e1 * t61206 * t1410 - 0.4e1 * t12377 * t4340 - 0.8e1 * t61211 * t5635 + 0.8e1 * t61206 * t1415 + 0.12e2 * t61216 * t5702 + 0.4e1 * t12383 * t4347 - 0.24e2 * t61211 * t5728 + 0.32e2 / 0.3e1 * t61223 * t5571 + 0.12e2 * t61223 * t5576 + 0.16e2 / 0.9e1 * t61223 * t5602 - 0.12e2 * t12380 * t30594 + 0.2e1 * t496 * t4407 - 0.4e1 * t44908 * t2808;
  t61237 = t1719 * t4160;
  t61240 = t7092 * t4140;
  t61245 = t7080 * t999;
  t61254 = t1713 * t1045;
  t61268 = t493 * t999;
  t61280 = 0.24e2 * t61237 * t5728 - 0.12e2 * t61240 * t5576 + 0.4e1 / 0.3e1 * t44915 * t19946 - 0.8e1 * t61245 * t1415 - 0.4e1 * t12395 * t4300 - 0.4e1 * t496 * t4347 + 0.4e1 * t12390 * t4340 + 0.8e1 * t61254 * t1438 + 0.4e1 * t1728 * t1084 + 0.2e1 * t1077 * t7040 * t376 + 0.2e1 / 0.3e1 * t24227 * t2808 + 0.4e1 / 0.3e1 * t9372 * t12437 + 0.2e2 / 0.9e1 * t44915 * t19841 - 0.12e2 * t61268 * t5702 + 0.8e1 * t12377 * t30627 - 0.4e1 * t12380 * t30589 - 0.2e1 * t7115 * t349 + 0.4e1 / 0.3e1 * t12380 * t4319 + 0.12e2 * t6824;
  t61281 = t61236 + t61280;
  t61284 = t1094 * t1095 * t167 * t61281;
  t61289 = t61124 * t6001 + t61173 * t24386 / 0.3e1 - 0.6e1 * t5649 * t61176 * t9703 + 0.3e1 * t4695 * t61176 * t9717 + t29436 * t12351 + t6769 * t50297 / 0.2e1 + t1660 * t12401 / 0.6e1 + t1665 * t12401 / 0.6e1 + t490 * t61191 / 0.6e1 + t490 * t61284 / 0.12e2 + t1702 * t34638 / 0.3e1;
  t61297 = t487 * t12398;
  t61299 = t5691 * t1018 * t61297;
  t61308 = t4619 * t61127;
  t61312 = t4572 * t61127;
  t61319 = t4626 * t61161;
  t61324 = -t12462 * t4550 / 0.3e1 - t2609 * t24904 / 0.3e1 - t2609 * t24920 / 0.6e1 - 0.2e1 / 0.3e1 * t24973 * t61299 - t4695 * t6760 * t12493 / 0.2e1 - t4695 * t34212 * t2667 / 0.2e1 - 0.12e2 * t5639 * t7093 * t61308 + 0.6e1 * t5665 * t7093 * t61312 + 0.15e2 * t5639 * t12580 * t44706 - t5665 * t1720 * t61319 - t5665 * t7081 * t12345;
  t61325 = t2601 * t24087;
  t61327 = t321 * t3135 * t61325;
  t61334 = t321 * t194 * t12419;
  t61340 = t2601 * t24537;
  t61342 = t321 * t20823 * t61340;
  t61345 = 0.5e1 / 0.3e1 * t61327 * t5756 - t490 * t34186 / 0.3e1 - t6928 * t52058 + 0.2e1 * t61334 * t5715 + t2604 * t4357 / 0.3e1 + t1070 * t12482 - t44585 - t44589 - t44600 - t44614 - 0.43e2 / 0.9e1 * t61342 * t45264;
  t61365 = t1030 * t12412;
  t61372 = -0.18e2 * t1029 * t61365 * t5635 + 0.18e2 * t373 * t61365 * t5728 - t44699 + t44701 + t44703 + t44736 - t44737 - t44746 + t44747 - t44748 + t44752;
  t61376 = t4179 * t2608;
  t61385 = t1655 * t1655;
  t61408 = t5679 * t61118;
  t61414 = t1033 * t61127;
  t61421 = -t7057 * t1642 / 0.6e1 - t7048 * t1642 / 0.3e1 - t1660 * t7018 / 0.3e1 - t12474 * t1048 / 0.2e1 - t2609 * t25229 / 0.6e1 - 0.2e1 / 0.3e1 * t6769 * t61408 - 0.11e2 * t5639 * t12551 * t24073 + 0.12e2 * t5639 * t7089 * t61414 - 0.11e2 / 0.18e2 * t12414 * t45257 + t44785 - t60613 / 0.3e1;
  t61426 = t1655 * t2616;
  t61428 = t5691 * t1018 * t61426;
  t61433 = t403 * t2601;
  t61435 = t10358 * t5647 * t61433;
  t61438 = t2601 * t1082;
  t61440 = t29474 * t4191 * t61438;
  t61443 = t5650 * t2607;
  t61461 = -0.2e1 * t60621 - 0.2e1 * t60624 - t60625 / 0.9e1 - t60628 / 0.3e1 + 0.2e1 / 0.9e1 * t60630 + t60632 / 0.9e1 + t60635 / 0.3e1 + t60637 / 0.9e1 + t60639 / 0.18e2 + t60641 / 0.18e2 - 0.2e1 / 0.9e1 * t60643;
  t61465 = t168 * t61076;
  t61466 = t5674 * t61465;
  t61468 = t29468 * t61465;
  t61471 = t1018 * t61076;
  t61472 = t29474 * t61471;
  t61475 = t4626 * t61076;
  t61484 = t1430 * t1056 * t12364;
  t61487 = t167 * t7040;
  t61489 = t1430 * t371 * t61487;
  t61494 = 0.2e1 / 0.9e1 * t60645 - t60647 / 0.9e1 - t10440 * t61466 + 0.11e2 / 0.18e2 * t10357 * t61468 - 0.23e2 / 0.36e2 * t10357 * t61472 + 0.3e1 * t5665 * t7089 * t61475 - 0.115e3 / 0.36e2 * t61081 * t45471 + 0.4e1 / 0.3e1 * t6804 * t12443 + 0.4e1 / 0.3e1 * t1683 * t61484 + 0.2e1 / 0.3e1 * t1683 * t61489 - 0.4e1 / 0.3e1 * t12462 * t4378;
  t61497 = t321 * t649 * t61385 * t999;
  t61504 = t1030 * t61385;
  t61509 = t321 * t369 * t2651 * t1026;
  t61514 = t1014 * t2653;
  t61518 = t1009 * t2652 * t1018;
  t61527 = -t61497 * t1010 / 0.6e1 - t61497 * t1015 / 0.3e1 + 0.2e1 / 0.3e1 * t61497 * t1020 - t1029 * t61504 * t1034 - t61509 * t1035 / 0.2e1 + t12474 * t1040 / 0.2e1 - t1002 * t61514 / 0.6e1 + t1002 * t61518 / 0.3e1 + t373 * t61504 * t1039 + 0.14e2 / 0.3e1 * t6855 * t50171 - 0.3e1 * t6855 * t50175;
  t61532 = t4719 * t61325;
  t61536 = t25460 * t61340;
  t61549 = t29113 * t19373;
  t61581 = -t1683 * t35128 / 0.6e1 - 0.5e1 / 0.18e2 * t6855 * t50602 + 0.2e1 / 0.3e1 * t6896 * t10339 + 0.2e1 / 0.3e1 * t6900 * t10339 + 0.2e1 / 0.3e1 * t1702 * t50937 - 0.2e1 / 0.3e1 * t2609 * t24288 - t1660 * t6812 / 0.3e1 - t1665 * t6812 / 0.3e1 - t490 * t34296 / 0.3e1 - t490 * t34300 / 0.6e1 + t1647 * t7054 / 0.2e1;
  t61605 = t1065 * t12413;
  t61615 = 0.3e1 * t1647 * t7005 - 0.6e1 * t25474 * t61536 * t46641 - t12414 * t45893 + 0.2e1 * t12535 * t5618 - 0.11e2 / 0.9e1 * t61605 * t9261 - 0.11e2 / 0.9e1 * t12414 * t45917 - t61605 * t9267 - t6855 * t50166 + t60689 / 0.9e1 - t60691 / 0.9e1 - 0.4e1 / 0.9e1 * t60693;
  t61636 = t4609 * t61127;
  t61648 = t24418 * t61076;
  t61652 = t24435 * t61076;
  t61656 = t24477 * t61076;
  t61660 = t45659 * t12728;
  t61663 = -0.3e1 * t50860 * t6824 - 0.2e1 * t51173 * t6837 + 0.2e1 * t34833 * t6828 + 0.6e1 * t10513 * t7093 * t61636 + 0.3e1 * t51176 * t6834 + 0.3e1 * t30451 * t61176 * t9698 - 0.15e2 / 0.2e1 * t10513 * t12580 * t46585 + 0.3e1 * t5639 * t7093 * t61648 - 0.3e1 / 0.2e1 * t5665 * t7093 * t61652 - 0.3e1 / 0.2e1 * t10513 * t7093 * t61656 - t6772 * t61660 / 0.3e1;
  t61665 = t12398 * t1082;
  t61667 = t9444 * t168 * t61665;
  t61670 = t2616 * t4405;
  t61672 = t9444 * t168 * t61670;
  t61681 = t4575 * t61665;
  t61684 = t4575 * t61670;
  t61692 = -t6772 * t61667 / 0.3e1 - t6772 * t61672 / 0.6e1 + t34216 * t12732 / 0.6e1 + t34529 * t12732 / 0.6e1 + t5665 * t1714 * t12724 + t5665 * t494 * t61681 + t5665 * t494 * t61684 / 0.2e1 - t34520 * t12729 / 0.3e1 - t34671 * t12729 / 0.3e1 - t45030 + t45032;
  t61699 = t45036 + t45040 + t45052 + t45055 + t45057 + t45059 + t45061 - t45063 - t12462 * t4433 / 0.6e1 + t7057 * t2619 / 0.12e2 + t7048 * t2619 / 0.6e1;
  t61709 = t1095 * t61487;
  t61710 = t1423 * t61709;
  t61720 = t110 * t2629;
  t61723 = t5691 * t61128;
  t61728 = t168 * t61161;
  t61729 = t5674 * t61728;
  t61732 = -t45133 - t45135 - t45137 - t45150 - t45156 - t45195 + t45198 - t61720 * t4690 / 0.3e1 - 0.2e1 * t10357 * t61723 + 0.5e1 / 0.2e1 * t61081 * t45280 + t6769 * t61729 / 0.3e1;
  t61762 = 0.3e1 * t1058 * t12691 + 0.3e1 * t1070 * t12691 + 0.3e1 * t25290 * t12673 + 0.3e1 * t25543 * t12673 - 0.6e1 * t4188 * t12685 - 0.6e1 * t4204 * t12685 + 0.2e1 * t1647 * t6910 + 0.2e1 * t6960 * t1679 - 0.2e1 * t6955 * t6802 - t45243 - t45249;
  t61799 = t4440 * t12364;
  t61800 = t1101 * t61799;
  t61803 = t1101 * t61709;
  t61806 = t1065 * t12543;
  t61811 = -t373 * t6974 * t12493 / 0.2e1 - t2609 * t25571 + 0.3e1 * t1058 * t12508 + 0.3e1 / 0.2e1 * t373 * t12507 * t4340 + 0.12e2 * t45019 * t19463 + t1070 * t12512 + 0.2e1 / 0.3e1 * t1702 * t61800 + t1702 * t61803 / 0.3e1 - t61806 * t1452 - t12544 * t5787 - t12544 * t4429 / 0.2e1;
  t61813 = t1018 * t61127;
  t61814 = t10358 * t61813;
  t61818 = t5695 * t4693 * t61117;
  t61830 = 0.23e2 / 0.9e1 * t10357 * t61814 + 0.4e1 / 0.3e1 * t6769 * t61818 - 0.4e1 / 0.3e1 * t61173 * t25373 + 0.23e2 / 0.18e2 * t61081 * t45468 - t45315 + t45316 - t12414 * t24752 / 0.2e1 + t45317 + 0.23e2 / 0.54e2 * t60769 - 0.4e1 / 0.3e1 * t60773 - t60779 / 0.3e1;
  t61841 = t60781 / 0.3e1 - 0.2e1 / 0.3e1 * t60783 + t60785 - 0.2e1 / 0.3e1 * t60787 + 0.2e1 / 0.3e1 * t60789 - t60791 / 0.6e1 - t60793 / 0.6e1 - t60795 / 0.6e1 - t60797 / 0.6e1 + t60799 / 0.3e1 - t60801 / 0.9e1;
  t61860 = t12349 * t1082;
  t61862 = t30141 * t1018 * t61860;
  t61866 = t4344 * t2666 * t1082;
  t61869 = t12723 * t333;
  t61870 = t168 * t61869;
  t61871 = t9444 * t61870;
  t61874 = t30141 * t61870;
  t61879 = t9444 * t380 * t12735 * t1082;
  t61884 = t60830 / 0.9e1 + t60832 / 0.3e1 + t60834 / 0.3e1 + 0.5e1 / 0.3e1 * t24973 * t61862 + t4695 * t6760 * t61866 + 0.2e1 / 0.3e1 * t6764 * t61871 - 0.5e1 / 0.12e2 * t6769 * t61874 - t6772 * t61879 / 0.3e1 - t60840 / 0.9e1 - t45399 - t60842 / 0.9e1;
  t61893 = t2616 * t988;
  t61894 = t168 * t61893;
  t61895 = t4687 * t61894;
  t61911 = t30022 * t12354;
  t61917 = t5691 * t1018 * t61893;
  t61924 = -0.2e1 / 0.3e1 * t6808 * t10552 - 0.2e1 / 0.3e1 * t1683 * t51400 - 0.2e1 * t34276 * t1675 + 0.2e1 * t6965 * t1679 - 0.2e1 * t34477 * t1675 + t34529 * t12355 / 0.3e1 + t6769 * t61911 / 0.3e1 + t34216 * t12355 / 0.3e1 - t6769 * t61917 / 0.3e1 + t1053 * t12469 / 0.6e1 + t34605 * t505 / 0.2e1;
  t61929 = t10358 * t61128;
  t61932 = t1018 * t61137;
  t61933 = t5695 * t61932;
  t61942 = t30134 * t61870;
  t61945 = t24564 * t61869;
  t61949 = t10447 * t61128;
  t61952 = t5674 * t61133;
  t61955 = t349 * t12652;
  t61961 = t4305 * t18876 * t333;
  t61965 = t4305 * t18791 * t333;
  t61972 = -0.5e1 / 0.6e1 * t6769 * t61942 + 0.5e1 / 0.2e1 * t5665 * t1720 * t61945 - 0.22e2 / 0.9e1 * t10357 * t61949 + 0.4e1 / 0.3e1 * t6769 * t61952 - t338 * t61955 / 0.6e1 + t6965 * t1657 + 0.2e1 / 0.3e1 * t60860 - t4695 * t6827 * t61961 + t5649 * t6827 * t61965 + t1660 * t6757 / 0.3e1 + t1665 * t6757 / 0.3e1;
  t61982 = t5695 * t61118;
  t61985 = t6005 * t61128;
  t61988 = t490 * t33919 / 0.3e1 - t45534 - t45537 - t45539 - t45541 - t45543 - t6769 * t50293 / 0.3e1 + 0.2e1 / 0.3e1 * t6764 * t50306 + t6772 * t34284 / 0.3e1 - t6769 * t61982 / 0.3e1 - 0.2e1 * t10725 * t61985;
  t61989 = t4687 * t61133;
  t61999 = t1076 * t348 * t61281;
  t62008 = t1007 * t1013 * t7040;
  t62013 = -0.2e1 / 0.3e1 * t6764 * t61989 + t61122 * t6015 + t1058 * t12512 + t373 * t12511 * t4407 / 0.2e1 - t1070 * t12516 - t373 * t1693 * t61999 / 0.4e1 + 0.2e1 * t1070 * t12499 + 0.2e1 * t1058 * t12499 + t373 * t1674 * t62008 - 0.2e1 * t1070 * t12501 - t45595;
  t62020 = t5650 * t12419;
  t62024 = t4575 * t61869;
  t62028 = t12735 * t333;
  t62029 = t380 * t62028;
  t62030 = t5674 * t62029;
  t62034 = t1076 * t2666 * t333;
  t62054 = t1065 * t12534;
  t62070 = -0.3e1 * t1029 * t12672 * t24756 - 0.62e2 / 0.3e1 * t44569 * t29118 * t19394 - 0.3e1 * t373 * t12420 * t4300 - 0.28e2 * t45228 * t19374 + 0.2e1 * t62054 * t1426 + 0.23e2 / 0.18e2 * t61605 * t9264 - 0.2e1 / 0.3e1 * t6804 * t10552 - t2604 * t4538 / 0.3e1 - t2604 * t4457 / 0.6e1 - t110 * t2652 * t1147 / 0.4e1 - t318 * t12716 / 0.2e1;
  t62074 = t321 * t649 * t12412;
  t62103 = t2604 * t4437 / 0.6e1 + 0.2e1 / 0.3e1 * t6896 * t12540 - t2609 * t24803 / 0.6e1 - t2609 * t24357 / 0.12e2 - t6804 * t12529 / 0.3e1 + 0.2e1 * t2609 * t24144 - t9407 - t45798 + t45799 + t45805 - t60868 / 0.9e1;
  t62119 = t4572 * t61893;
  t62124 = t29474 * t4191 * t12349;
  t62130 = t4696 * t2607;
  t62134 = t2651 * t146;
  t62136 = t1094 * t62134 * t1096;
  t62140 = t1101 * t62134 * t1088;
  t62144 = t5595 * t4186 * t19368;
  t62149 = -t45832 + t45833 - t110 * t12651 * t404 / 0.2e1 + t5639 * t1720 * t62119 / 0.2e1 + 0.3e1 / 0.2e1 * t39435 * t62124 - 0.3e1 * t5665 * t12606 * t5685 + 0.3e1 * t4695 * t62130 * t1438 + t338 * t62136 / 0.12e2 - t338 * t62140 / 0.6e1 - 0.3e1 * t45102 * t62144 - 0.3e1 * t45107 * t19395;
  t62152 = t1430 * t1645 * t12364;
  t62155 = t1056 * t19368;
  t62156 = t1430 * t62155;
  t62165 = t25122 * t12354;
  t62168 = t4687 * t61728;
  t62173 = t4626 * t61893;
  t62177 = t29468 * t19442;
  t62180 = 0.4e1 / 0.3e1 * t4533 * t62152 - 0.4e1 * t45112 * t62156 + t45843 - t991 * t12469 / 0.12e2 - t34222 * t12740 / 0.3e1 - t34669 * t12740 / 0.3e1 - t6764 * t62165 / 0.3e1 - t6764 * t62168 / 0.3e1 - t1205 * t2653 / 0.4e1 - t5665 * t1720 * t62173 / 0.2e1 - 0.7e1 / 0.3e1 * t39435 * t62177;
  t62181 = t4687 * t62029;
  t62184 = t5691 * t62029;
  t62187 = -t6764 * t62181 / 0.3e1 + t6769 * t62184 / 0.6e1 + t60210 - t60227 + t60230 + t60232 - t60234 + t60236 + t60238 - t60240 - t60243;
  t62192 = t356 * t61127;
  t62196 = t1165 * t61132;
  t62203 = t1018 * t61438;
  t62204 = t29468 * t62203;
  t62207 = t1038 * t61127;
  t62211 = t4626 * t61132;
  t62215 = t10447 * t61932;
  t62219 = t1430 * t61799;
  t62222 = t1430 * t61709;
  t62231 = t1165 * t61161;
  t62234 = t1165 * t61893;
  t62243 = -t1683 * t62219 / 0.3e1 - t1683 * t62222 / 0.6e1 + t12462 * t4452 / 0.3e1 + t2609 * t24328 / 0.3e1 + t2609 * t24342 / 0.6e1 + t5665 * t1716 * t62231 + t5665 * t1716 * t62234 / 0.2e1 + 0.2e1 * t34365 * t19443 + t29349 * t12725 + t29346 * t12725 + t29349 * t12720;
  t62249 = t45083 * t168 * t61071;
  t62252 = t4572 * t61132;
  t62256 = t4693 * t61433;
  t62257 = t5695 * t62256;
  t62260 = t4687 * t61465;
  t62263 = t4696 * t2602;
  t62270 = t25122 * t12736;
  t62276 = t4687 * t380 * t1146 * t2616;
  t62281 = t4687 * t380 * t403 * t12398;
  t62284 = t30011 * t12354;
  t62287 = t5691 * t61728;
  t62290 = t5691 * t61894;
  t62293 = t29474 * t61465;
  t62296 = t24435 * t61869;
  t62302 = t1423 * t61799;
  t62309 = t6772 * t62276 / 0.12e2 + t6772 * t62281 / 0.6e1 + t6769 * t62284 / 0.6e1 + t6769 * t62287 / 0.6e1 + t6769 * t62290 / 0.12e2 + 0.5e1 / 0.36e2 * t10357 * t62293 - 0.5e1 / 0.2e1 * t5639 * t1720 * t62296 - 0.2e1 / 0.3e1 * t6804 * t12366 - 0.2e1 / 0.3e1 * t1683 * t62302 + t490 * t33923 / 0.6e1 - t6804 * t10344 / 0.3e1;
  t62316 = t5691 * t62203;
  t62319 = t4572 * t61076;
  t62337 = t10447 * t62256;
  t62340 = t5679 * t61128;
  t62346 = t5691 * t1018 * t61132;
  t62357 = -0.2e1 * t4695 * t61443 * t4324 + 0.14e2 / 0.3e1 * t45332 * t62337 + 0.4e1 * t10440 * t62340 - 0.11e2 / 0.9e1 * t61081 * t44471 - 0.8e1 / 0.3e1 * t6769 * t62346 - 0.11e2 / 0.3e1 * t61124 * t5676 + 0.55e2 / 0.18e2 * t61081 * t45697 - t12712 * t1098 / 0.3e1 + t46002 + t46004 - t318 * t12652 / 0.2e1;
  t62360 = t1065 * t12473;
  t62365 = t321 * t369 * t12650 * t370;
  t62370 = t374 * t12419;
  t62385 = t34600 * t505 + t62360 * t377 / 0.2e1 + t62365 * t377 / 0.2e1 - 0.2e1 * t12535 * t4535 - 0.6e1 * t373 * t62370 * t5702 + t12474 * t1090 / 0.2e1 + 0.4e1 / 0.3e1 * t24346 * t19414 - 0.2e1 * t1647 * t6871 - t1647 * t6873 - 0.2e1 * t1058 * t12501 - t373 * t12424 * t25418;
  t62391 = t346 * t348 * t7040;
  t62412 = -0.2e1 * t1070 * t12505 - 0.2e1 * t1058 * t12505 - t373 * t1689 * t62391 + 0.3e1 * t1070 * t12508 + t6788 * t50609 + 0.3e1 * t373 * t12424 * t25548 + 0.2e1 * t61124 * t5682 + 0.2e1 / 0.3e1 * t61173 * t24742 - t46025 + t4179 * t2603 * t350 / 0.6e1 + t321 * t194 * t61385 * t1045 * t350 / 0.3e1;
  t62416 = t142 * t1655;
  t62417 = t62416 * t333;
  t62418 = t1173 * t62417;
  t62421 = t2628 * t29815;
  t62424 = t2632 * t29853;
  t62427 = t62416 * t1082;
  t62428 = t1173 * t62427;
  t62431 = t360 * t62427;
  t62434 = t12560 * t997;
  t62435 = t4599 * t62434;
  t62439 = t1186 * t62434;
  t62442 = t1484 * t12398;
  t62443 = t4572 * t62442;
  t62446 = t143 * t7040;
  t62447 = t1038 * t62446;
  t62450 = t1484 * t1655;
  t62451 = t4619 * t62450;
  t62460 = t1165 * t62442;
  t62463 = t2646 * t988;
  t62464 = t1165 * t62463;
  t62468 = t4572 * t62463;
  t62471 = 0.12e2 * t34885 * t62439 - 0.4e1 / 0.3e1 * t1720 * t62443 + 0.4e1 * t1720 * t62447 + 0.4e2 / 0.3e1 * t7093 * t62451 - 0.4e1 * t2633 * t24636 - 0.5e2 / 0.3e1 * t12580 * t46438 - 0.2e1 * t7075 * t12623 - 0.2e1 * t1716 * t62460 - t1716 * t62464 - 0.2e1 * t1714 * t12626 - 0.2e1 / 0.3e1 * t1720 * t62468;
  t62473 = t142 * t12398;
  t62474 = t62473 * t333;
  t62475 = t360 * t62474;
  t62480 = t1186 * t62474;
  t62483 = t1173 * t61869;
  t62487 = t360 * t12560 * t4405;
  t62493 = t360 * t62473 * t1082;
  t62496 = t12560 * t988;
  t62497 = t360 * t62496;
  t62502 = t1186 * t62427;
  t62505 = 0.4e1 * t7147 * t62475 + t46124 - 0.4e1 * t34959 * t12572 - 0.4e1 * t7150 * t62480 + 0.1e2 / 0.3e1 * t34871 * t62483 + 0.2e1 * t10674 * t62487 + 0.4e1 * t51667 * t12569 + 0.4e1 * t10674 * t62493 + 0.2e1 * t7147 * t62497 + 0.44e2 * t62424 * t5892 - 0.16e2 * t7150 * t62502;
  t62506 = t12579 * t29807;
  t62509 = t1186 * t61869;
  t62512 = t1186 * t62417;
  t62515 = t193 * t61385;
  t62521 = t360 * t62417;
  t62524 = t360 * t62434;
  t62528 = t360 * t12560 * t4345;
  t62532 = t1165 * t143 * t61281;
  t62534 = t2628 * t24126;
  t62537 = 0.2e1 * t62515 * t1045 * t361 - 0.48e2 * t10609 * t62512 + 0.24e2 * t10618 * t62418 + 0.24e2 * t10684 * t62521 - 0.5e1 * t34871 * t62509 - 0.6e1 * t34874 * t62524 - t494 * t62532 - 0.6e1 * t51596 * t62528 - 0.24e2 * t62534 * t5926 - 0.3e2 * t62506 * t5972 - t46216;
  t62544 = t4609 * t62450;
  t62549 = t356 * t62446;
  t62552 = t1033 * t62450;
  t62557 = t2632 * t24522;
  t62571 = t1033 * t62446;
  t62574 = t356 * t62450;
  t62577 = t12583 * t1082;
  t62578 = t1165 * t62577;
  t62583 = t1038 * t62450;
  t62586 = t4626 * t62577;
  t62589 = 0.2e1 * t2629 * t4560 + 0.44e2 / 0.3e1 * t12551 * t5881 - 0.22e2 * t12551 * t5877 - 0.5e1 / 0.18e2 * t12580 * t46497 + 0.2e1 * t12551 * t5916 - 0.2e1 / 0.3e1 * t1720 * t62571 - 0.12e2 * t7086 * t62574 - 0.4e1 * t1716 * t62578 + 0.6e1 * t12606 * t5900 + 0.24e2 * t7089 * t62583 + 0.8e1 * t1720 * t62586;
  t62591 = t360 * t61869;
  t62594 = t4586 * t62417;
  t62600 = t4575 * t12575 * t1082;
  t62604 = t4575 * t2646 * t4405;
  t62608 = t20822 * t2601;
  t62609 = t62608 * t24540;
  t62612 = t2646 * t997;
  t62613 = t1165 * t62612;
  t62617 = t24458 * t2646 * t4345;
  t62620 = t12579 * t24552;
  t62625 = 0.4e1 * t34877 * t62591 - 0.4e1 / 0.9e1 * t10618 * t62594 + 0.5e1 / 0.9e1 * t62506 * t46157 - 0.2e1 * t494 * t62600 - t494 * t62604 - t12580 * t46454 / 0.9e1 - t62609 * t46457 / 0.9e1 + 0.3e1 * t7086 * t62613 + 0.3e1 * t494 * t62617 + 0.4e1 / 0.3e1 * t62620 * t5919 - 0.72e2 * t62620 * t5865;
  t62626 = t1186 * t62496;
  t62631 = t648 * t61385;
  t62632 = t62631 * t999;
  t62635 = t1173 * t62496;
  t62638 = t4586 * t62434;
  t62641 = t1173 * t62474;
  t62646 = -0.2e1 * t7150 * t62626 + 0.2e1 / 0.3e1 * t34959 * t12562 - 0.2e1 * t62632 * t1187 + t7150 * t62635 / 0.3e1 + t34882 * t62638 / 0.9e1 + 0.2e1 / 0.3e1 * t7150 * t62641 - t46260 - t46261 - t46263 + t46264 - 0.2e1 / 0.3e1 * t12580 * t46288;
  t62652 = t24477 * t62612;
  t62655 = t4572 * t62612;
  t62658 = t24418 * t62612;
  t62663 = t1173 * t62434;
  t62668 = t4626 * t62612;
  t62674 = t4572 * t62577;
  t62679 = t24435 * t62612;
  t62682 = t4572 * t62450;
  t62687 = t4599 * t62417;
  t62690 = -0.16e2 / 0.3e1 * t1720 * t62674 + 0.24e2 * t62609 * t46116 + 0.3e1 * t7093 * t62679 - 0.12e2 * t7093 * t62682 + 0.15e2 * t12580 * t46268 + t46301 - t46303 - t46318 - t46321 + t46338 - 0.8e1 / 0.3e1 * t10618 * t62687;
  t62700 = t4626 * t62442;
  t62703 = t4626 * t62463;
  t62705 = 0.1e2 / 0.3e1 * t62506 * t46285 + t46363 + t46366 + t46381 - t46392 - t46393 + 0.4e1 / 0.3e1 * t62632 * t1174 + 0.8e1 / 0.3e1 * t62609 * t46113 + 0.2e1 * t7081 * t12617 + 0.2e1 * t1720 * t62700 + t1720 * t62703;
  t62710 = t46248 * t61869;
  t62713 = -0.12e2 * t12551 * t5885 + 0.1e2 * t34871 * t62710 + 0.8e1 * t62620 * t5862 + t46413 - t46418 + t46427 + t46428 - t46430 + t46432 - t46433 + t9676;
  t62716 = t46252 * t61869;
  t62719 = t46256 * t61869;
  t62733 = -0.5e1 / 0.3e1 * t34871 * t62716 - 0.8e1 * t34877 * t62719 - t7125 * t2637 - 0.2e1 * t1714 * t12633 - 0.4e1 / 0.3e1 * t7081 * t12635 - 0.6e1 * t34882 * t62663 + 0.36e2 * t62620 * t5949 + 0.4e1 * t2633 * t24528 - t46462 + t46464 + t46468;
  t62740 = t62631 * t1032;
  t62752 = t46478 - t46482 - t2229 + 0.12e2 * t62534 * t5953 + 0.2e1 * t2629 * t4649 - 0.6e1 * t2633 * t24565 - 0.2e1 / 0.3e1 * t62740 * t1162 + 0.4e1 * t62740 * t1169 - 0.4e1 * t62515 * t1046 * t357 + 0.5e2 / 0.3e1 * t62609 * t46474 - 0.4e2 * t62620 * t5960;
  t62766 = t140 * t7040;
  t62767 = t1033 * t62766;
  t62778 = 0.1e2 / 0.3e1 * t62609 * t46471 + 0.6e1 * t12551 * t5958 - 0.3e1 * t12580 * t24578 + 0.24e2 * t62557 * t5940 - 0.12e2 * t62609 * t46421 - 0.36e2 * t62557 * t5946 + 0.4e1 / 0.3e1 * t1720 * t62767 - 0.4e1 / 0.3e1 * t2633 * t24659 - 0.4e1 * t12551 * t5963 + t12580 * t46382 / 0.18e2 + 0.1e2 / 0.3e1 * t12580 * t24671;
  t62782 = t1165 * t140 * t61281;
  t62791 = t1038 * t62766;
  t62796 = t356 * t62766;
  t62801 = 0.4e1 * t34954 * t12565 + t2210 + t494 * t62782 / 0.2e1 - 0.3e1 * t12606 * t5932 - t2629 * t4638 + t7125 * t2647 / 0.2e1 + t1714 * t12576 - 0.2e1 * t1720 * t62791 + 0.2e1 * t2633 * t24509 + 0.2e1 * t1716 * t62796 - 0.2e1 / 0.3e1 * t62620 * t5943;
  t62813 = t30141 * t61465;
  t62818 = t5674 * t61894;
  t62826 = t1009 * t2653;
  t62829 = 0.2e1 / 0.3e1 * t2609 * t24854 + t2609 * t24908 / 0.3e1 + t46564 - t46567 - t1002 * t62826 / 0.12e2 + t46583 + t46584 + t46594 - t46598 - t46601 + t46603;
  t62844 = t5691 * t61465;
  t62849 = t30011 * t19442;
  t62855 = -t60932 / 0.6e1 - t60934 / 0.6e1 + t46639 - t46650 - t46651 - t10440 * t62844 / 0.2e1 + 0.25e2 / 0.36e2 * t61081 * t45692 - 0.2e1 / 0.3e1 * t24973 * t62849 + t34595 * t505 / 0.2e1 - 0.2e1 / 0.3e1 * t60991 - t60993;
  t62873 = t1007 * t1008 * t7040;
  t62884 = t28999 * t4716 * t5564;
  t62895 = t5691 * t4693 * t62028;
  t62898 = 0.2e1 / 0.3e1 * t12462 * t4361 + 0.6e1 * t61327 * t5566 - 0.38e2 / 0.9e1 * t61342 * t45309 + 0.8e1 * t61342 * t62884 + 0.3e1 * t34264 * t6919 - t43495 - t4176 * t2663 / 0.2e1 + t4183 * t2671 / 0.2e1 + t4274 * t2671 - 0.2e1 / 0.3e1 * t6769 * t62895 - t46654;
  t62900 = t5733 * t62155;
  t62904 = t1094 * t24323 * t2617;
  t62919 = t46656 + 0.14e2 / 0.3e1 * t45102 * t62900 - t9709 + t9712 + t490 * t62904 / 0.12e2 - 0.5e1 / 0.18e2 * t61605 * t9360 - 0.5e1 / 0.18e2 * t12414 * t45825 - 0.5e1 / 0.36e2 * t12414 * t44861 - 0.35e2 / 0.108e3 * t61342 * t44867 - 0.6e1 * t1070 * t12688 - 0.11e2 / 0.9e1 * t6855 * t50996;
  t62944 = 0.23e2 / 0.18e2 * t6855 * t50989 + 0.2e1 * t6788 * t50632 + 0.6e1 * t6955 * t7000 - 0.6e1 * t1647 * t6994 + 0.36e2 * t1029 * t61532 * t5571 - 0.18e2 * t4718 * t61532 * t5602 - 0.3e1 * t62074 * t6028 - t2609 * t24155 / 0.2e1 + t1647 * t6940 + 0.3e1 * t1647 * t6905 - 0.3e1 * t1029 * t12424 * t25575;
  t62951 = my_piecewise3(t100, 0, t2604 * t4442 / 0.3e1 + 0.28e2 / 0.3e1 * t45332 * t62215 - 0.35e2 / 0.3e1 * t45332 * t62204 + t10725 * t62260 / 0.2e1 + t34520 * t12737 / 0.6e1 + t34671 * t12737 / 0.6e1 + t6772 * t62270 / 0.6e1 + t6769 * t62818 / 0.6e1 + t61376 * t1020 / 0.3e1 + t12712 * t994 / 0.3e1 + t2604 * t4171 / 0.6e1 - t61376 * t1010 / 0.12e2 - t12462 * t4228 / 0.6e1 - 0.4e1 / 0.3e1 * t2609 * t24280 - 0.2e1 * t61342 * t45877 + t6965 * t1698 + t6960 * t1698 - t490 * t34608 / 0.6e1 + t6772 * t62249 / 0.2e1 - 0.4e1 * t45444 * t62257 - t6808 * t10344 / 0.3e1 + t4176 * t2671 / 0.2e1 + 0.22e2 / 0.3e1 * t45444 * t62316 - 0.2e1 / 0.3e1 * t40054 * t19443 - t25376 * t12519 / 0.2e1 + t1647 * t7065 / 0.2e1 + t1647 * t6893 - 0.2e1 * t4204 * t12438 - 0.2e1 * t4188 * t12438 + t6769 * t62030 / 0.3e1 + 0.7e1 / 0.3e1 * t12414 * t24301 + 0.89e2 / 0.9e1 * t61342 * t45874 + t29346 * t12720 - 0.6e1 * t62074 * t5632 + 0.22e2 / 0.3e1 * t61327 * t6022 - 0.23e2 / 0.3e1 * t61327 * t5744 + t62054 * t1457 + t12535 * t5762 + t12535 * t5759 / 0.2e1 + t12712 * t1103 / 0.3e1 + 0.23e2 / 0.36e2 * t12414 * t45252 + t10357 * t62813 / 0.2e1 - t12474 * t1085 / 0.4e1 + 0.18e2 * t45228 * t19395 + 0.2e1 * t4204 * t12425 - t1683 * t50634 / 0.3e1 + 0.2e1 / 0.3e1 * t1683 * t35132 - t29346 * t12346 - t29349 * t12346 + t29339 * t12351 + 0.6e1 * t4204 * t12421 + 0.6e1 * t4188 * t12421 - t4204 * t12428 - t4188 * t12428 - 0.2e1 * t6965 * t1690 - 0.2e1 * t6960 * t1690 - t1058 * t12516 + 0.14e2 / 0.3e1 * t45107 * t19374 - 0.6e1 * t1058 * t12688 + 0.23e2 / 0.18e2 * t12414 * t44581 + 0.4e1 / 0.3e1 * t4533 * t61067 - 0.4e1 * t45116 * t19463 - t1683 * t61710 / 0.3e1 + 0.2e1 / 0.3e1 * t12462 * t4554 + 0.2e1 / 0.3e1 * t2609 * t24291 + t2609 * t24284 / 0.3e1 + t1660 * t12409 / 0.6e1 + t7043 * t2619 / 0.12e2 - 0.2e1 / 0.3e1 * t6769 * t50553 - t4183 * t2663 / 0.2e1 - t4274 * t2663 + t6960 * t1657 - 0.6e1 * t6955 * t6922 - t25243 * t2659 / 0.2e1 - t25641 * t2659 + 0.47e2 / 0.3e1 * t44569 * t61549 - 0.61e2 / 0.27e2 * t61342 * t45164 + 0.44e2 / 0.27e2 * t61342 * t45167 - t1683 * t51441 / 0.3e1 - 0.2e1 / 0.3e1 * t6764 * t50302 - 0.3e1 * t45332 * t61435 + 0.15e2 / 0.2e1 * t45332 * t61440 - t25561 * t12519 / 0.2e1 - 0.2e1 / 0.3e1 * t24973 * t61428 - t1665 * t7018 / 0.3e1 + 0.2e1 / 0.3e1 * t12462 * t4264 + t2609 * t25268 / 0.3e1 - t2609 * t25221 / 0.12e2 - t61376 * t1015 / 0.6e1 - t12462 * t4135 / 0.3e1 - t25233 * t2659 / 0.2e1 - t1066 * t12469 / 0.6e1 - t7043 * t1642 / 0.6e1 + t12535 * t5621 + t12474 * t1062 / 0.4e1 - 0.5e1 / 0.9e1 * t10357 * t61929 - 0.8e1 * t45444 * t61933 - t6764 * t61895 / 0.6e1 - 0.3e1 / 0.2e1 * t12414 * t24186 - t6955 * t6777 + t1647 * t6912 - t4183 * t2668 / 0.4e1 - t4274 * t2668 / 0.2e1 - t1070 * t12489 / 0.2e1 - t1070 * t12494 / 0.2e1 - t4176 * t2668 / 0.4e1 - t1058 * t12489 / 0.2e1 - t1058 * t12494 / 0.2e1 + t1058 * t12482 - t61081 * t45725 + t6769 * t50504 + t1665 * t12409 / 0.6e1 - t373 * t12511 * t4347 + t1029 * t12424 * t25530 - t1029 * t61099 * t1034 / 0.2e1 - 0.2e1 * t5649 * t6827 * t12437 + t5639 * t1720 * t61162 + t5639 * t7081 * t61165 + 0.3e1 / 0.2e1 * t4718 * t12672 * t24777 + 0.3e1 * t1029 * t12420 * t4319 + 0.2e1 * t5649 * t61443 * t4307 - 0.18e2 * t373 * t61532 * t5576 + 0.6e1 * t373 * t61536 * t46554 + 0.18e2 * t4718 * t61536 * t46646 - 0.18e2 * t1029 * t61536 * t46633 + 0.3e1 / 0.2e1 * t373 * t12672 * t24159 - 0.15e2 / 0.2e1 * t5665 * t12580 * t44710 + t373 * t61099 * t1039 / 0.2e1 - t373 * t33787 * t2667 / 0.4e1 - 0.2e1 * t4695 * t6841 * t12504 - t4695 * t34077 * t2667 / 0.4e1 + 0.6e1 * t5649 * t62020 * t1410 - 0.2e1 * t5665 * t1716 * t62024 + t4695 * t6841 * t62034 + 0.6e1 * t5665 * t7086 * t62192 + 0.2e1 * t5665 * t1716 * t62196 + 0.11e2 * t5665 * t12551 * t5667 - 0.12e2 * t5665 * t7089 * t62207 - 0.4e1 * t5665 * t1720 * t62211 + t5665 * t7075 * t12719 + 0.4e1 * t5639 * t1720 * t62252 + t4695 * t62263 * t1084 - 0.3e1 * t5639 * t7089 * t62319 + 0.2e1 * t4695 * t6827 * t12498 - 0.6e1 * t4695 * t62020 * t1415 - t1029 * t1674 * t62873 - t46031 + t46029 - t46030 - t45948 + t45950 - t45831 + t45794 - t45600 - t45598 - t45505 + t45502 - t45442 - t45438 + t45434 - t45406 + t45407 + t45381 + t45378 - t45239 + t45236 + t45233 - t45131 + t45124 + t45122 - t44849 + t44649 + t44645 + t44647 - t44544 + t44540 - t44483 - t44484 + t62944 + t62919 + t62898 + t62855 + t62829 + t62412 + t62385 + t62357 + t62309 + t43466 + t62243 + t62187 + t62180 + t62149 + t62103 + t62070 + t62013 + t61988 + t61972 + t61924 + t61884 + t61841 + t61830 + t61811 + t61762 + t61732 + t61699 + t61692 + t61663 + t61615 + t61581 + t61527 + t61494 + t61461 + t61421 + t61372 + t61345 + t61324 + t61289 + t61153 + t61093 + 0.4e1 / 0.9e1 * t60995 + 0.2e1 / 0.3e1 * t60917 + t60919 - t60891 / 0.3e1 - t60883 / 0.3e1 + t60885 / 0.3e1 - t60881 / 0.3e1 + t60877 / 0.6e1 - t60879 / 0.18e2 + t60872 / 0.3e1 + t60874 / 0.3e1 + 0.2e1 / 0.9e1 * t60870 - t60864 / 0.6e1 - 0.11e2 / 0.27e2 * t60862 - t60856 / 0.9e1 - t60858 / 0.9e1 + 0.2e1 / 0.9e1 * t60854 - t60850 / 0.18e2 + t60852 / 0.9e1 - t60845 / 0.9e1 - t60848 / 0.18e2 - t60815 / 0.3e1 + t60807 / 0.18e2 + t60809 / 0.18e2 - t60803 / 0.18e2 - 0.5e1 / 0.54e2 * t60805 - t60721 / 0.6e1 - t60717 / 0.3e1 + t60719 / 0.3e1 + t60715 / 0.3e1 + 0.2e1 * t60711 - t60707 / 0.3e1 + 0.2e1 / 0.3e1 * t60709 - t60703 / 0.3e1 - 0.2e1 / 0.3e1 * t60705 + 0.2e1 / 0.9e1 * t60699 + t60701 / 0.3e1 + t46631 + t46632 + 0.2e1 / 0.9e1 * t60592 + t60249 + t60676 / 0.18e2 - t60594 / 0.9e1 + t60685 / 0.18e2 + t60603 / 0.3e1 - t46620 - t46621 - 0.2e1 / 0.9e1 * t60615 + 0.14e2 / 0.9e1 * t60617 + 0.4e1 / 0.9e1 * t60695 - 0.2e1 / 0.3e1 * t60697 - t60605 / 0.9e1 + t60619 - t373 * t4371 * t2628 * t1047 / 0.2e1 - t373 * t374 * t61385 * t1047 - t110 * t139 * (0.6e1 * t12606 * t5910 - 0.12e2 * t62421 * t5897 - 0.22e2 / 0.3e1 * t62424 * t5972 + 0.8e1 / 0.3e1 * t7150 * t62428 + 0.8e1 * t7147 * t62431 + 0.2e1 / 0.3e1 * t34882 * t62435 - 0.4e1 / 0.3e1 * t62609 * t46295 - t7093 * t62652 / 0.18e2 + 0.4e1 * t7089 * t62655 - 0.1e2 / 0.3e1 * t7093 * t62658 + 0.6e1 * t12580 * t24608 - 0.2e1 * t34885 * t62663 + 0.12e2 * t2633 * t24625 + 0.8e1 * t10609 * t62418 - 0.12e2 * t62557 * t5913 - 0.6e1 * t7089 * t62668 + 0.72e2 * t62557 * t5869 - 0.4e1 * t2629 * t4577 - 0.2e1 * t2633 * t24436 + 0.2e1 / 0.9e1 * t7093 * t62544 + 0.2e1 / 0.3e1 * t2633 * t24448 - 0.4e1 * t1716 * t62549 - 0.16e2 * t7089 * t62552 - t46053 - t46057 - t46051 - t46047 + t62801 + t62778 + t62752 + t62733 + t62713 + t62705 + t62690 + t62646 + t62625 + t62589 + t62537 + t62505 + t62471 + t46241 + t46272 + t46238) * t168 / 0.4e1 - 0.2e1 / 0.9e1 * t60678 + t60680 / 0.9e1 + t46622 + t60245 - t60247);
  tv4rho2lapl28 = t3 * t62951 + 0.2e1 * t12747;

  if(out->v4rho2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapl2[ip*p->dim.v4rho2lapl2 + 8] += tv4rho2lapl28;

  t62955 = t6197 * t1807;
  t62957 = t6200 * t1807;
  t62959 = t21350 * t2676;
  t62967 = t26467 * t13025;
  t62971 = t22052 * t13192;
  t62973 = t26467 * t13190;
  t62975 = t463 * t3461;
  t62980 = t7351 * t1539;
  t62988 = t31085 * t10884;
  t62990 = t7243 * t46881 - t62955 / 0.18e2 - t62957 / 0.18e2 + t1815 * t843 * t62959 / 0.6e1 + t1815 * t58870 / 0.3e1 + t1815 * t58875 / 0.6e1 + t62967 / 0.3e1 - t10155 * t54429 / 0.2e1 + t62971 / 0.3e1 - 0.2e1 / 0.3e1 * t62973 + 0.3e1 * t4772 * t1876 * t22309 * t62975 + 0.3e1 / 0.2e1 * t3266 * t62980 * t4914 + t9863 * t54283 / 0.2e1 - t6451 * t36919 / 0.6e1 - t62988 / 0.18e2;
  t63010 = t37082 * t12188;
  t63015 = t463 * t592;
  t63020 = -t37284 * t12201 / 0.3e1 - 0.5e1 / 0.18e2 * t10757 * t58301 - t7251 * t59635 / 0.6e1 + t7248 * t58634 / 0.6e1 + t7251 * t59678 / 0.3e1 + t10838 * t58273 - t41020 + t41030 - t515 * t31942 / 0.12e2 - t7564 * t1511 / 0.12e2 - t37275 * t12920 / 0.3e1 + t7248 * t58638 / 0.2e1 - t63010 / 0.9e1 - t4772 * t1872 * t3562 * t62975 - 0.6e1 * t4772 * t36211 * t229 * t63015;
  t63026 = t47603 * t13059;
  t63027 = t52233 * t12971;
  t63029 = t37357 * t11827;
  t63031 = t26535 * t12949;
  t63033 = t26535 * t12939;
  t63035 = t26467 * t12942;
  t63037 = t26535 * t12956;
  t63039 = t11224 * t6085;
  t63045 = t31085 * t11217;
  t63050 = t26467 * t12991;
  t63051 = t22052 * t13002;
  t63053 = 0.2e1 * t52301 * t12765 + 0.2e1 / 0.3e1 * t36448 * t12932 + t63026 - t63027 / 0.3e1 + t63029 / 0.9e1 - 0.2e1 * t63031 + t63033 / 0.3e1 - t63035 / 0.3e1 + 0.2e1 * t63037 + 0.3e1 * t4993 * t63039 * t4918 - 0.2e1 * t9863 * t52243 - t63045 / 0.9e1 - 0.3e1 * t3266 * t63039 * t4903 + t63050 + t63051 / 0.3e1;
  t63058 = t37082 * t12206;
  t63060 = t37357 * t12191;
  t63062 = t95 * t62975;
  t63088 = -t7251 * t58293 / 0.3e1 - t627 * t13198 / 0.6e1 + t63058 / 0.18e2 + t63060 / 0.18e2 - t7251 * t26405 * t63062 / 0.2e1 + t6439 * t52332 / 0.4e1 + t7251 * t48892 / 0.4e1 - t7251 * t48895 / 0.6e1 + t7254 * t48405 / 0.3e1 + t7248 * t31479 / 0.6e1 - 0.4e1 / 0.3e1 * t36448 * t13053 + 0.23e2 / 0.18e2 * t52266 * t12974 + t36429 * t11827 / 0.3e1 + t7251 * t58530 / 0.3e1 + t7251 * t58401 / 0.3e1 + t36448 * t11827 / 0.3e1;
  t63123 = -0.5e1 / 0.36e2 * t9743 * t54417 - t7228 * t12784 / 0.3e1 + t1779 * t1261 * t3099 * t2676 / 0.3e1 - t35561 * t2686 / 0.6e1 - t35564 * t2686 / 0.3e1 + 0.2e1 / 0.3e1 * t7233 * t12834 + 0.2e1 / 0.3e1 * t7228 * t12834 + t35369 * t2692 / 0.3e1 - t1755 * t6503 / 0.6e1 - t515 * t31898 / 0.6e1 - t515 * t31104 / 0.12e2 + t35561 * t2692 / 0.3e1 + 0.2e1 / 0.3e1 * t35564 * t2692 - t1779 * t31462 / 0.12e2 - 0.5e1 / 0.36e2 * t7196 * t48365;
  t63129 = t7611 * t1526;
  t63131 = t6197 * t1765;
  t63133 = t6200 * t1765;
  t63135 = t1506 * t7606;
  t63137 = t6226 * t1747;
  t63139 = t36994 * t481;
  t63141 = t36997 * t481;
  t63150 = t95 * t31406;
  t63153 = -t1750 * t6503 / 0.6e1 - 0.5e1 / 0.36e2 * t6100 * t52254 - t2089 + t2160 - t26211 * t12999 + t63129 / 0.6e1 - t63131 / 0.18e2 - t63133 / 0.18e2 - t63135 / 0.18e2 + t63137 / 0.6e1 + t63139 / 0.6e1 + t63141 / 0.6e1 + t1770 * t6492 / 0.2e1 - t7587 * t6183 / 0.2e1 - 0.2e1 * t10838 * t4873 * t31407 + t10838 * t4996 * t63150;
  t63171 = t52233 * t13056;
  t63173 = t53830 * t12765;
  t63186 = t26396 * t13037;
  t63188 = 0.7e1 / 0.3e1 * t10757 * t31408 - t10757 * t4877 * t63150 / 0.2e1 - 0.11e2 / 0.18e2 * t10757 * t9845 * t63150 - 0.43e2 / 0.9e1 * t52309 * t47881 * t3156 * t63015 + 0.3e1 / 0.2e1 * t9877 * t7686 * t3168 * t31406 - 0.11e2 / 0.27e2 * t63171 + 0.2e1 / 0.3e1 * t63173 + t7248 * t58629 / 0.12e2 - t3101 * t2734 / 0.2e1 - t630 * t12873 - t630 * t12876 - t3220 * t2734 / 0.2e1 - 0.23e2 / 0.36e2 * t10757 * t58753 - t10838 * t58756 - t63186 / 0.3e1;
  t63213 = t843 * t31872 * t1805;
  t63217 = t843 * t6119 * t7400;
  t63220 = -0.3e1 / 0.2e1 * t4772 * t7690 * t58213 + t41124 - t41132 - t41134 + t6217 * t1811 / 0.2e1 + t1516 * t7406 / 0.2e1 + t1516 * t7219 / 0.4e1 + t3220 * t2751 / 0.4e1 - t1529 * t7402 / 0.6e1 - t1534 * t7402 / 0.6e1 - t466 * t35538 / 0.6e1 - t466 * t35552 / 0.12e2 - t627 * t12910 / 0.6e1 - t642 * t12910 / 0.12e2 - t211 * t63213 / 0.6e1 - t211 * t63217 / 0.6e1;
  t63224 = t1261 * t12909;
  t63244 = t3232 * t2737 / 0.18e2;
  t63245 = -t654 * t63224 / 0.12e2 + t608 * t12904 / 0.2e1 + t630 * t12900 / 0.2e1 + t246 * t35550 * t469 * t249 / 0.4e1 + 0.2e1 * t52303 * t12765 - t41224 + t41227 + t41230 - t41239 - t41251 - t41263 + 0.7e1 / 0.3e1 * t6100 * t53929 + 0.3e1 / 0.2e1 * t1516 * t7206 - t7196 * t48351 / 0.2e1 + t63244;
  t63247 = t3232 * t2742 / 0.9e1;
  t63250 = t53037 * t12917;
  t63252 = t95 * t63015;
  t63258 = t53260 * t6076;
  t63262 = t670 * t12937;
  t63268 = -t63247 + t6209 * t1811 / 0.2e1 - t41265 - t41267 + t41291 - t41293 - t41295 - t41297 + t41299 - t63250 / 0.3e1 + 0.2e1 * t53040 * t4762 * t63252 - 0.3e1 / 0.2e1 * t9743 * t53257 + 0.3e1 / 0.2e1 * t26550 * t63258 * t4846 - 0.2e1 / 0.3e1 * t20708 * t26056 * t63262 - t21748 * t13028 / 0.2e1;
  t63285 = t1760 * t12075;
  t63287 = t7183 * t12026;
  t63293 = t2718 * t66;
  t63295 = t843 * t63293 * t830;
  t63299 = t836 * t63293 * t838;
  t63302 = t26266 * t13034 + t26266 * t13025 + t6451 * t36376 / 0.6e1 - t6439 * t54364 / 0.6e1 + t6454 * t54359 / 0.3e1 + t31586 * t11167 / 0.3e1 + t31161 * t7358 / 0.6e1 - t31175 * t10884 / 0.6e1 - t3061 * t13230 + t63285 / 0.18e2 + t63287 / 0.9e1 - t13203 * t827 / 0.4e1 + t13203 * t832 / 0.2e1 - t211 * t63295 / 0.6e1 + t211 * t63299 / 0.12e2;
  t63307 = t1514 * t37476;
  t63308 = t1261 * t63307;
  t63311 = t7633 * t2544;
  t63324 = t52758 * t1539;
  t63329 = t11224 * t6065;
  t63334 = t31415 * t11167;
  t63338 = 0.2e1 / 0.3e1 * t3396 * t1261 * t6215 * t37476 + 0.2e1 / 0.3e1 * t21103 * t63308 + t63311 / 0.18e2 - t1779 * t58938 / 0.12e2 - t1779 * t58935 / 0.6e1 - t1779 * t1261 * t62959 / 0.12e2 + t41340 + t7254 * t58260 / 0.3e1 - t26896 * t12999 + t21748 * t13002 - t4993 * t63324 * t1269 + t3266 * t63324 * t1274 - t4993 * t63329 * t1269 + t6454 * t54280 / 0.6e1 + t63334 / 0.9e1 - t6411 * t7387 / 0.2e1;
  t63342 = t512 * t1524;
  t63343 = t670 * t63342;
  t63362 = t36791 * t12201;
  t63366 = t26396 * t12999;
  t63369 = t31085 * t11221;
  t63375 = t26260 * t13176 + 0.14e2 / 0.3e1 * t26808 * t9845 * t63343 + t3266 * t7457 * t12160 - t37301 * t12188 / 0.3e1 + t36448 * t12191 / 0.6e1 + t37301 * t12206 / 0.6e1 - t11019 * t26581 * t12764 - t7254 * t20724 * t12891 / 0.3e1 + t37275 * t12929 / 0.3e1 - t63362 / 0.9e1 + t11019 * t59970 / 0.2e1 - t63366 / 0.3e1 + t9863 * t52251 + 0.2e1 / 0.9e1 * t63369 - 0.18e2 * t4772 * t36087 * t3130 * t63015;
  t63381 = t37357 * t12932;
  t63387 = t37357 * t12987;
  t63389 = t1760 * t6212;
  t63391 = t37139 * t2678;
  t63393 = t21192 * t2729;
  t63395 = t6226 * t1802;
  t63409 = -t3101 * t2737 / 0.4e1 - t7251 * t26410 * t12928 / 0.6e1 + 0.2e1 / 0.9e1 * t63381 + 0.2e1 * t7251 * t26405 * t670 * t62975 - t63387 / 0.18e2 - t63389 / 0.18e2 + t63391 / 0.9e1 - t63393 / 0.3e1 + t63395 / 0.6e1 - 0.3e1 * t1770 * t6394 + t6087 * t52511 - t679 * t7384 * t12141 - 0.11e2 / 0.9e1 * t52268 * t13056 - t36429 * t13049 / 0.3e1 + 0.2e1 * t10838 * t26425 * t12764 + t41361;
  t63414 = t512 * t463;
  t63415 = t670 * t63414;
  t63416 = t26189 * t63415;
  t63434 = t463 * t3445;
  t63435 = t95 * t63434;
  t63444 = t6226 * t1793;
  t63446 = t6226 * t1798;
  t63448 = -0.3e1 / 0.2e1 * t9877 * t7686 * t58737 + 0.47e2 / 0.3e1 * t48271 * t63416 + t3266 * t12998 * t4828 / 0.2e1 + 0.7e1 / 0.3e1 * t26182 * t9845 * t19511 + 0.6e1 * t52236 * t4877 * t63252 + t7251 * t59690 / 0.6e1 + t7248 * t58728 / 0.6e1 + t26257 * t12939 - t21744 * t13186 - t7254 * t3273 * t63435 / 0.6e1 + t10838 * t4873 * t63150 / 0.2e1 - t6217 * t1793 - t6209 * t1793 - t63444 / 0.3e1 - t63446 / 0.6e1;
  t63449 = t21023 * t63308;
  t63477 = t666 * t2720;
  t63481 = t661 * t2719 * t670;
  t63486 = t191 * t242 * t2718 * t676;
  t63489 = 0.2e1 / 0.9e1 * t63449 + t1770 * t6486 / 0.4e1 + t1770 * t6460 / 0.2e1 + t7592 * t1564 / 0.2e1 + t7600 * t1564 / 0.2e1 - t7592 * t1560 / 0.2e1 - t7600 * t1560 / 0.2e1 - t1770 * t6274 / 0.2e1 - t1770 * t6277 / 0.4e1 - t679 * t1784 * t58818 / 0.2e1 - t679 * t35611 * t2728 / 0.2e1 - t1534 * t7374 / 0.6e1 - t6251 * t1807 / 0.12e2 - t654 * t63477 / 0.6e1 + t654 * t63481 / 0.3e1 - t63486 * t685 / 0.2e1;
  t63500 = t182 * t4985;
  t63505 = t31675 * t7358;
  t63511 = t7611 * t1551;
  t63513 = t6140 * t10814;
  t63515 = t7276 * t9981;
  t63517 = t1254 * t12909;
  t63521 = t1261 * t1514 * t1805;
  t63528 = t13203 * t691 / 0.2e1 + t3266 * t63329 * t1274 - t6439 * t53106 / 0.3e1 + 0.2e1 / 0.3e1 * t63500 * t19512 + t7251 * t58353 / 0.12e2 + t63505 / 0.18e2 + 0.2e1 / 0.3e1 * t7251 * t26410 * t13045 - t53910 * t12917 + t63511 / 0.3e1 - t63513 / 0.9e1 - t63515 / 0.9e1 - t654 * t63517 / 0.6e1 + t654 * t63521 / 0.3e1 - t6411 * t7481 / 0.2e1 + t1516 * t7484 / 0.2e1;
  t63530 = t6416 * t1807 / 0.54e2;
  t63558 = t63530 + t36429 * t12892 / 0.3e1 + t52301 * t12923 + t36448 * t12892 / 0.3e1 - 0.5e1 / 0.18e2 * t52266 * t12983 + t36004 * t6176 + 0.3e1 / 0.2e1 * t47381 * t7462 - 0.3e1 / 0.2e1 * t47384 * t7454 - 0.6e1 * t26257 * t12949 + t21744 * t13002 - t31172 * t11217 / 0.3e1 - t31175 * t11217 / 0.3e1 - t6439 * t53102 / 0.3e1 + 0.3e1 * t4772 * t36146 * t12990 - 0.6e1 * t4983 * t7686 * t58619;
  t63586 = t4877 * t63262;
  t63589 = 0.3e1 * t4772 * t7686 * t58623 + 0.6e1 * t26257 * t12956 + t26263 * t12939 - t26266 * t12942 + t4983 * t7665 * t59497 - t4772 * t7665 * t12239 + t4983 * t1876 * t59502 - t4772 * t1876 * t59505 + t608 * t12865 - t1755 * t6212 / 0.6e1 - t7546 * t1511 / 0.6e1 - t1750 * t6212 / 0.6e1 - t7549 * t1511 / 0.12e2 - t466 * t36969 / 0.12e2 + 0.2e1 * t59734 * t63586;
  t63590 = t58364 * t63586;
  t63592 = t26467 * t13034;
  t63597 = t188 * t26807;
  t63598 = t9845 * t63415;
  t63599 = t63597 * t63598;
  t63601 = t26467 * t12953;
  t63610 = t7276 * t9827;
  t63614 = t1760 * t6503;
  t63616 = -0.2e1 / 0.9e1 * t63590 + t63592 / 0.3e1 - t3266 * t36732 * t2733 / 0.2e1 + 0.14e2 / 0.9e1 * t63599 - 0.2e1 * t63601 - t3266 * t37235 * t2592 / 0.4e1 - t6260 * t1807 / 0.12e2 - t466 * t35421 / 0.6e1 - t63610 / 0.18e2 + t7243 * t47029 / 0.2e1 + t41555 + t41557 + t41560 + t41567 - t41569 - t63614 / 0.18e2;
  t63619 = t35329 * t2692;
  t63621 = t35631 * t2692;
  t63623 = t7276 * t12834;
  t63649 = 0.2e1 / 0.9e1 * t63619 + 0.2e1 / 0.9e1 * t63621 + 0.2e1 / 0.9e1 * t63623 + t1755 * t12121 / 0.6e1 + t515 * t59808 / 0.12e2 + t1755 * t12075 / 0.6e1 + t7564 * t2544 / 0.12e2 + t1750 * t12121 / 0.6e1 + t1750 * t12075 / 0.6e1 + t7549 * t2544 / 0.12e2 + t7546 * t2544 / 0.6e1 - 0.11e2 / 0.18e2 * t6100 * t53087 + 0.23e2 / 0.36e2 * t6100 * t53077 - 0.11e2 / 0.18e2 * t7196 * t47167 + 0.23e2 / 0.36e2 * t7196 * t47171;
  t63660 = t37357 * t13049;
  t63684 = t37277 * t12206 / 0.6e1 - t7254 * t58773 / 0.3e1 - t37275 * t12201 / 0.3e1 - t37277 * t12188 / 0.3e1 + t36429 * t12191 / 0.6e1 - t63660 / 0.9e1 - t11019 * t58646 - t7254 * t58650 / 0.3e1 + t7254 * t26581 * t12928 / 0.3e1 + t630 * t12862 + t4772 * t1872 * t59730 / 0.2e1 + t7251 * t26056 * t12891 / 0.3e1 - 0.5e1 / 0.18e2 * t10757 * t46783 * t12764 - 0.5e1 / 0.18e2 * t52268 * t12983 - t36429 * t12987 / 0.6e1 + t10838 * t26410 * t12764;
  t63698 = -t6454 * t52324 / 0.3e1 + 0.23e2 / 0.18e2 * t10757 * t58995 + 0.2e1 / 0.3e1 * t7251 * t58703 - 0.4e1 / 0.3e1 * t7251 * t58712 - t6439 * t52566 / 0.6e1 + t41593 - t41597 - t41610 - t41612 + t41624 - t41629 + t41651 - t41653 + t41656 - t13203 * t598 / 0.2e1;
  t63699 = t633 * t13202;
  t63700 = t63699 * t250;
  t63702 = t634 * t13198;
  t63730 = t63700 / 0.6e1 - t63702 / 0.18e2 + t4772 * t519 * t58928 / 0.2e1 + t246 * t7400 * t1584 * t249 / 0.2e1 + t630 * t12904 / 0.2e1 + t246 * t1805 * t6296 * t249 / 0.4e1 + t3226 * t2751 / 0.2e1 + t3101 * t2751 / 0.4e1 + t608 * t12900 / 0.2e1 - t6411 * t7385 + t1516 * t7398 - t36048 * t1548 + t7600 * t1551 - t7587 * t6500 + t1770 * t6490 - t31990 * t1785;
  t63734 = t30793 * t1785;
  t63736 = t6226 * t1788;
  t63738 = t37183 * t1548;
  t63743 = t2727 * t206;
  t63744 = t3139 * t63743;
  t63748 = t52233 * t12983;
  t63771 = -t63734 / 0.3e1 + t63736 / 0.3e1 - t63738 / 0.3e1 - 0.3e1 / 0.2e1 * t3266 * t12998 * t27541 + 0.3e1 * t3266 * t35984 * t63744 - 0.5e1 / 0.54e2 * t63748 + 0.5e1 / 0.3e1 * t52236 * t9744 * t63252 - t53908 * t12917 - t37284 * t12920 / 0.3e1 + t21744 * t13192 - 0.6e1 * t26260 * t12953 - 0.2e1 * t26260 * t13190 - 0.2e1 / 0.3e1 * t20708 * t4877 * t670 * t512 * t11945 - t3266 * t7361 * t12180 / 0.2e1 + t4772 * t1872 * t59727;
  t63781 = t1745 * t2541;
  t63783 = t4877 * t670 * t63781;
  t63786 = t6432 * t206;
  t63792 = t3139 * t19555 * t206;
  t63811 = t4772 * t519 * t58924 - t3266 * t37391 * t2592 / 0.2e1 + t4772 * t7670 * t11877 + t4772 * t1870 * t12194 - 0.2e1 / 0.3e1 * t20708 * t63783 + 0.15e2 * t4983 * t7686 * t20862 * t63786 - 0.6e1 * t4993 * t35984 * t63792 - t26260 * t12942 - t47374 * t7465 + t31651 * t7458 + 0.3e1 * t48254 * t13059 + 0.3e1 * t48042 * t13059 + 0.6e1 * t26263 * t12956 + 0.6e1 * t4983 * t36223 * t10113 + 0.6e1 * t4983 * t7680 * t58409;
  t63837 = 0.3e1 * t26260 * t12991 - 0.6e1 * t26263 * t12949 + 0.3e1 * t26266 * t12991 - 0.6e1 * t4983 * t36146 * t9871 - t41717 + t41719 - t41720 + t6439 * t53028 / 0.2e1 - t41729 - t41735 - t41737 - t4772 * t1876 * t59792 / 0.2e1 - 0.3e1 * t4772 * t7680 * t689 * t31406 - 0.28e2 * t47910 * t63598 - 0.3e1 * t4983 * t7686 * t3125 * t31406;
  t63838 = t3156 * t63414;
  t63839 = t47807 * t63838;
  t63846 = t659 * t63743;
  t63869 = t3139 * t19550 * t206;
  t63877 = t637 * t12865;
  t63879 = t637 * t12862;
  t63881 = t3247 * t2742;
  t63883 = t3242 * t2742;
  t63885 = -0.62e2 / 0.3e1 * t48271 * t63839 - 0.3e1 * t4983 * t1876 * t22290 * t62975 + 0.6e1 * t4993 * t37339 * t63846 + 0.5e1 / 0.2e1 * t4772 * t1876 * t60045 + t4993 * t7457 * t60050 - t3266 * t7457 * t60054 - 0.5e1 / 0.2e1 * t4983 * t1876 * t60061 - 0.15e2 / 0.2e1 * t9877 * t7686 * t20876 * t63786 - 0.11e2 * t4983 * t7680 * t3130 * t63786 + 0.3e1 * t26550 * t35984 * t63869 - t6263 * t1807 / 0.6e1 - t1529 * t7374 / 0.6e1 + t63877 / 0.3e1 + t63879 / 0.3e1 + t63881 / 0.3e1 + t63883 / 0.3e1;
  t63888 = t637 * t12855;
  t63890 = t637 * t12852;
  t63892 = t3247 * t2737;
  t63894 = t1506 * t7374;
  t63896 = t7276 * t12799;
  t63907 = t22052 * t13186;
  t63909 = t36928 * t2678;
  t63911 = t6226 * t1811;
  t63915 = t3242 * t2751;
  t63921 = -t63888 / 0.6e1 - t63890 / 0.6e1 - t63892 / 0.6e1 - t63894 / 0.18e2 - t63896 / 0.18e2 + t3266 * t36483 * t2741 / 0.2e1 - t4772 * t1876 * t3556 * t63434 - t3266 * t13185 * t3492 / 0.2e1 - t63907 / 0.3e1 + t63909 / 0.9e1 + t63911 / 0.6e1 - t1516 * t7468 / 0.2e1 + t63915 / 0.6e1 + t1750 * t6121 / 0.6e1 + t1815 * t31884 / 0.6e1;
  t63928 = t7183 * t10172;
  t63930 = t1760 * t6121;
  t63941 = t26847 * t63262;
  t63949 = t1815 * t47453 / 0.3e1 + t7742 * t10172 / 0.3e1 + t7746 * t10172 / 0.3e1 + t63928 / 0.9e1 + t63930 / 0.18e2 - t1779 * t59829 / 0.6e1 - t1779 * t59434 / 0.3e1 + 0.2e1 / 0.3e1 * t36448 * t13046 + t41763 - t41765 - t30 * t476 * t7336 / 0.4e1 + t41776 - t41777 - 0.7e1 / 0.3e1 * t26182 * t63941 - 0.3e1 / 0.2e1 * t10757 * t31412 + t4983 * t1876 * t58201 / 0.2e1;
  t63952 = t26189 * t3156 * t12937;
  t63968 = t12927 * t206;
  t63969 = t253 * t63968;
  t63973 = t12927 * t794;
  t63974 = t253 * t63973;
  t63978 = t9744 * t63838;
  t63979 = t63597 * t63978;
  t63980 = t26535 * t12959;
  t63994 = t4873 * t63415;
  t63998 = t188 * t42311 * t63994;
  t64002 = 0.3e1 / 0.2e1 * t26182 * t63952 - t30 * t1607 * t1855 / 0.2e1 - t182 * t13018 / 0.2e1 + 0.8e1 * t52309 * t47881 * t9875 * t63015 - 0.6e1 * t48902 * t36075 * t20845 * t63015 + 0.2e1 * t10838 * t4996 * t63969 + 0.2e1 / 0.3e1 * t7251 * t5175 * t63974 - t63979 + 0.2e1 / 0.3e1 * t63980 + t4772 * t1872 * t788 * t63434 / 0.2e1 + t31558 * t11167 / 0.3e1 + 0.3e1 / 0.2e1 * t4772 * t7690 * t229 * t31406 + 0.12e2 * t30 * t783 * t21138 * t63994 - 0.4e1 / 0.3e1 * t63998 + t31915 * t7358 / 0.6e1;
  t64003 = t26467 * t13172;
  t64004 = t26467 * t13176;
  t64013 = t95 * t63786;
  t64030 = t64003 + t64004 / 0.3e1 + t3266 * t12753 * t3468 / 0.2e1 - t41813 - t41835 - t41838 + 0.23e2 / 0.18e2 * t10757 * t9744 * t3264 * t63968 - 0.11e2 / 0.6e1 * t10838 * t4877 * t64013 + 0.25e2 / 0.36e2 * t10757 * t26189 * t64013 + t7251 * t59979 / 0.6e1 - t7248 * t60163 / 0.3e1 - t3061 * t13233 - t3070 * t13230 - t3070 * t13233 - t21053 * t2729 / 0.2e1 - t21062 * t2729;
  t64042 = t37357 * t13046;
  t64065 = t41887 - t7254 * t58776 / 0.3e1 - t7248 * t59946 / 0.3e1 + t7251 * t58350 / 0.6e1 + 0.2e1 / 0.9e1 * t64042 - t7251 * t26400 * t63062 - 0.2e1 * t52309 * t26847 * t63252 - t31651 * t7353 / 0.4e1 - t7228 * t9827 / 0.6e1 - t7233 * t9827 / 0.6e1 - t1779 * t48198 / 0.6e1 - t6067 * t10990 / 0.6e1 - t1541 * t52602 / 0.6e1 - t1541 * t35356 / 0.12e2 + t466 * t35349 / 0.6e1;
  t64084 = t35329 * t2686;
  t64086 = t35631 * t2686;
  t64088 = t7276 * t12784;
  t64090 = t7276 * t12124;
  t64097 = t466 * t35889 / 0.12e2 - t6062 * t10990 / 0.6e1 + t1529 * t7215 / 0.6e1 + t1534 * t7215 / 0.6e1 + t1568 * t35902 / 0.6e1 + t6087 * t53901 / 0.2e1 + t6464 * t10985 / 0.3e1 + t6468 * t10985 / 0.3e1 + t1568 * t52514 / 0.3e1 - t64084 / 0.9e1 - t64086 / 0.9e1 - t64088 / 0.9e1 - t64090 / 0.9e1 - t7187 * t47980 / 0.2e1 + 0.3e1 * t9877 * t36146 * t9878;
  t64116 = t182 * t26807;
  t64131 = 0.3e1 * t9877 * t7686 * t58405 + 0.3e1 / 0.2e1 * t52936 * t6434 - 0.3e1 / 0.2e1 * t52942 * t6172 - t52940 * t6437 + 0.2e1 * t4983 * t7665 * t6433 + 0.2e1 * t26263 * t12959 - 0.3e1 * t26808 * t46783 * t63838 - t26896 * t13037 - 0.3e1 * t64116 * t63978 - t26211 * t13037 + 0.2e1 / 0.3e1 * t7251 * t26778 * t12891 - 0.11e2 / 0.9e1 * t10757 * t48159 * t12764 - t7251 * t26425 * t12928 / 0.3e1 - t41938 + t3101 * t2742 / 0.2e1;
  t64134 = t222 * t13166;
  t64154 = t37357 * t12892;
  t64162 = t1745 * t463;
  t64163 = t670 * t64162;
  t64164 = t9845 * t64163;
  t64172 = -t41949 + t8740 - t642 * t13198 / 0.12e2 - t211 * t64134 / 0.6e1 - 0.3e1 * t4993 * t63258 * t4856 + 0.3e1 / 0.2e1 * t3266 * t63258 * t4863 - 0.18e2 * t4983 * t36075 * t20876 * t63015 + 0.6e1 * t4772 * t36075 * t20862 * t63015 - t9743 * t52569 / 0.2e1 + t608 * t12862 + t64154 / 0.9e1 - 0.2e1 * t4772 * t1876 * t58378 - 0.6e1 * t4772 * t7680 * t58397 + 0.14e2 / 0.3e1 * t26808 * t64164 + t3266 * t36776 * t2741 - 0.2e1 * t4772 * t7665 * t13189;
  t64191 = t276 * t512;
  t64210 = -0.6e1 * t4772 * t36223 * t12952 - 0.2e1 * t26266 * t13190 + 0.14e2 / 0.3e1 * t26808 * t48159 * t63415 + t21748 * t13192 - 0.6e1 * t26266 * t12953 + 0.14e2 / 0.3e1 * t64116 * t63598 - 0.11e2 / 0.9e1 * t10757 * t9845 * t63969 + 0.2e1 / 0.3e1 * t20708 * t47865 * t3264 * t64191 - t31651 * t7450 - t31651 * t7362 / 0.2e1 - t4993 * t12998 * t4794 / 0.2e1 + t6439 * t35958 / 0.3e1 + 0.23e2 / 0.36e2 * t9743 * t52753 - t6439 * t36878 / 0.6e1 - 0.11e2 / 0.18e2 * t9743 * t53111;
  t64237 = -t6439 * t53032 / 0.3e1 + 0.3e1 / 0.2e1 * t4772 * t7686 * t3130 * t31406 - t21048 * t2729 / 0.2e1 + t42102 + t42104 + t42106 - 0.4e1 / 0.3e1 * t7251 * t26056 * t13052 + 0.23e2 / 0.18e2 * t10757 * t46783 * t12757 - t42116 - t608 * t12852 / 0.2e1 - t608 * t12855 / 0.2e1 - t42155 + t7592 * t1526 / 0.2e1 + t1516 * t7557 / 0.4e1 + t37214 * t481 / 0.2e1 - t3220 * t2737 / 0.4e1;
  t64258 = t3232 * t2751 / 0.18e2;
  t64267 = t6209 * t1802 / 0.2e1 - t246 * t36660 * t2733 / 0.2e1 - t246 * t7510 * t12128 - t246 * t1792 * t59776 / 0.2e1 - t42162 - t42164 + t3226 * t2742 - t246 * t1797 * t58502 / 0.4e1 + t1541 * t35353 / 0.3e1 - t1541 * t53082 / 0.6e1 - t64258 + t6217 * t1802 / 0.2e1 - 0.4e1 / 0.3e1 * t36429 * t13053 + 0.23e2 / 0.18e2 * t52268 * t12974 + 0.2e1 / 0.3e1 * t36429 * t13046;
  t64268 = t36791 * t12929;
  t64270 = t53830 * t12923;
  t64272 = t36791 * t12920;
  t64281 = t670 * t63015;
  t64299 = t731 * t463;
  t64300 = t253 * t64299;
  t64309 = -t42190 + t64268 / 0.9e1 + t64270 / 0.3e1 - t64272 / 0.9e1 + 0.18e2 * t9877 * t36075 * t20871 * t63015 + 0.22e2 / 0.3e1 * t52236 * t9845 * t63252 - 0.23e2 / 0.3e1 * t52236 * t9744 * t64281 - 0.6e1 * t53916 * t4996 * t63252 - 0.61e2 / 0.27e2 * t52309 * t47807 * t63252 + 0.44e2 / 0.27e2 * t52309 * t47881 * t64281 + 0.11e2 / 0.18e2 * t10757 * t59681 - t42223 - 0.3e1 * t53916 * t4873 * t63252 - t7251 * t4873 * t64300 / 0.12e2 - t21744 * t12754 / 0.2e1 + t7251 * t4877 * t63435 / 0.6e1;
  t64339 = t3360 * t2727 * t794;
  t64343 = t64191 * t463;
  t64357 = -0.5e1 / 0.36e2 * t10757 * t9744 * t63150 - 0.35e2 / 0.108e3 * t52309 * t47881 * t63252 + 0.5e1 / 0.36e2 * t10757 * t58357 - t7248 * t59950 / 0.6e1 - t7254 * t58779 / 0.6e1 - t10838 * t58643 / 0.2e1 + t7251 * t5175 * t63435 / 0.3e1 - 0.2e1 / 0.3e1 * t7251 * t4877 * t670 * t63434 - 0.15e2 / 0.2e1 * t4772 * t7686 * t22290 * t63786 + 0.2e1 * t4993 * t7457 * t64339 - 0.3e1 * t26808 * t9744 * t4991 * t64343 - t182 * t13166 / 0.2e1 + t603 * t13198 / 0.6e1 - t246 * t7525 * t12180 / 0.2e1 - t630 * t12855 / 0.2e1;
  t64364 = t6416 * t1765 / 0.54e2;
  t64365 = t32327 * t530;
  t64367 = t22052 * t12754;
  t64401 = -t630 * t12852 / 0.2e1 - t246 * t35461 * t2592 / 0.4e1 + t64364 + t64365 / 0.6e1 - t64367 / 0.6e1 - t31172 * t10884 / 0.6e1 + t10757 * t58758 / 0.2e1 - 0.38e2 / 0.9e1 * t52309 * t26189 * t63252 + 0.89e2 / 0.9e1 * t52309 * t47807 * t64281 - 0.18e2 * t9877 * t36087 * t3168 * t63015 + 0.36e2 * t4983 * t36087 * t3125 * t63015 - 0.18e2 * t4983 * t36084 * t683 * t63015 + 0.18e2 * t4772 * t36084 * t689 * t63015 + 0.3e1 * t4772 * t7680 * t58369 - 0.3e1 * t4983 * t7680 * t59684;
  t64418 = t52233 * t12974;
  t64420 = t37357 * t13053;
  t64438 = -t36448 * t12987 / 0.6e1 + t52303 * t12923 + t7254 * t8790 * t63062 / 0.3e1 + 0.3e1 * t4983 * t7686 * t58741 - 0.3e1 / 0.2e1 * t4772 * t7686 * t58733 + t7254 * t4762 * t64300 / 0.6e1 + 0.23e2 / 0.54e2 * t64418 - 0.4e1 / 0.9e1 * t64420 - t7251 * t4996 * t64300 / 0.6e1 + t7251 * t4873 * t3264 * t64299 / 0.3e1 + t4983 * t1876 * t3130 * t63434 + 0.18e2 * t47910 * t63978 + 0.3e1 * t4983 * t7680 * t683 * t31406 + t42274 - t42285;
  t64444 = t3242 * t2737;
  t64446 = t637 * t12876;
  t64448 = t637 * t12873;
  t64450 = t3247 * t2734;
  t64452 = t3242 * t2734;
  t64458 = -t42289 + t42297 - t42298 + t42299 - t42304 - 0.11e2 / 0.9e1 * t52266 * t13056 - t36448 * t13049 / 0.3e1 - t42344 - t36038 * t1548 - t64444 / 0.6e1 - t64446 / 0.3e1 - t64448 / 0.3e1 - t64450 / 0.3e1 - t64452 / 0.3e1 + t7746 * t12026 / 0.3e1 + t36586 * t2678 / 0.6e1;
  t64492 = t7746 * t12779 / 0.3e1 + t7742 * t12026 / 0.3e1 + t7742 * t12779 / 0.3e1 + t36604 * t2678 / 0.6e1 + t36834 * t2678 / 0.3e1 + t515 * t59445 / 0.12e2 + t515 * t60099 / 0.6e1 - t3226 * t2737 / 0.2e1 - t3226 * t2734 + t246 * t1784 * t59583 / 0.2e1 + t246 * t7384 * t12160 + t246 * t35611 * t2741 / 0.2e1 + t31947 * t530 / 0.4e1 + t32322 * t530 / 0.2e1 + t1770 * t6257 / 0.4e1;
  t64499 = t188 * t13018;
  t64501 = t773 * t2747;
  t64520 = t31478 * t7357;
  t64525 = t31939 * t530 / 0.4e1 + t7600 * t1526 / 0.2e1 - t182 * t13015 / 0.2e1 - t64499 / 0.6e1 - t64501 / 0.6e1 + t7251 * t58277 / 0.6e1 + 0.23e2 / 0.36e2 * t10757 * t9744 * t31407 - t4993 * t36483 * t2728 / 0.2e1 + t37284 * t12929 / 0.3e1 - t52266 * t12971 - t52268 * t12971 - t10757 * t26056 * t12764 - t10757 * t58814 + t7251 * t46877 / 0.2e1 + t3272 * t64520 / 0.12e2 + t6454 * t54367 / 0.3e1;
  t64536 = t802 * t63786;
  t64546 = t13080 * t592;
  t64547 = t802 * t64546;
  t64550 = t3590 * t64546;
  t64555 = t3580 * t64546;
  t64558 = 0.15e2 * t36092 * t64536 - t42740 - t42741 + 0.6e1 * t36105 * t233 * t63786 + 0.4e1 * t53457 * t11969 - t42746 + 0.4e1 * t36100 * t59040 - 0.72e2 * t53424 * t64547 + 0.8e1 / 0.3e1 * t53409 * t64550 - 0.6e1 * t36092 * t59079 + 0.24e2 * t53409 * t64555 - t42761;
  t64559 = t13080 * t3445;
  t64570 = t13080 * t621;
  t64585 = t42771 + t42776 + 0.2e1 / 0.3e1 * t7651 * t802 * t64559 - 0.5e1 / 0.18e2 * t36092 * t3590 * t63786 - 0.2e1 / 0.9e1 * t53596 * t13096 - 0.2e1 / 0.9e1 * t11072 * t59035 - t11072 * t3590 * t64570 / 0.9e1 - t53409 * t48481 * t64546 / 0.9e1 + 0.4e1 * t36069 * t11965 + 0.4e1 * t7655 * t59102 + 0.2e1 * t7655 * t59106 - 0.6e1 * t36105 * t59008;
  t64589 = t13080 * t3461;
  t64618 = -0.6e1 * t53473 * t59004 - 0.2e1 * t36191 * t802 * t64589 - 0.4e1 * t36100 * t233 * t64589 + 0.12e2 * t36191 * t815 * t64589 - 0.2e1 / 0.3e1 * t11072 * t3580 * t64570 - 0.4e1 / 0.3e1 * t53409 * t22190 * t64546 - 0.4e1 * t36114 * t11975 - 0.24e2 * t11079 * t59059 - 0.12e2 * t11079 * t815 * t64570 + 0.8e1 * t53424 * t64555 - 0.4e1 / 0.3e1 * t53596 * t13109 - 0.4e1 / 0.3e1 * t11072 * t59047;
  t64641 = t802 * t64570;
  t64648 = -0.5e2 / 0.3e1 * t36092 * t3580 * t63786 + 0.12e2 * t53737 * t13082 + 0.12e2 * t11143 * t59013 + 0.6e1 * t11143 * t233 * t64570 - 0.12e2 * t53421 * t64547 - 0.4e1 * t7651 * t59068 - 0.2e1 * t7651 * t59073 + 0.2e1 / 0.3e1 * t36092 * t59126 + 0.12e2 * t53596 * t13090 + 0.12e2 * t11072 * t59029 + 0.6e1 * t11072 * t64641 - 0.24e2 * t53579 * t13106 - 0.2e1 * t7665 * t11902;
  t64662 = -t1876 * t59165 + t36166 * t2712 + 0.2e1 * t7670 * t11909 + t1872 * t59168 + t7715 * t2572 / 0.2e1 + t1870 * t11947 + t42860 - t42874 - 0.22e2 * t36194 * t815 * t63786 + t42889 - t42893 + t42902;
  t64671 = t2708 * t3445;
  t64680 = t42904 + t42906 + t42914 + t519 * t59138 / 0.2e1 + t42922 + t42924 + 0.4e1 * t11138 * t59085 + t36146 * t13158 / 0.9e1 - 0.8e1 / 0.3e1 * t1876 * t59248 - 0.4e1 / 0.3e1 * t1876 * t3130 * t64671 + t7686 * t59253 / 0.9e1 + 0.2e1 * t1876 * t3556 * t64671;
  t64684 = t5103 * t463;
  t64704 = -0.2e1 * t519 * t59242 + 0.1e2 / 0.3e1 * t7686 * t3125 * t64684 - 0.2e1 * t1872 * t59237 - 0.4e1 / 0.3e1 * t7665 * t11983 - 0.3e1 * t7690 * t229 * t64684 - t1872 * t788 * t64671 + t42976 - t36081 * t2716 + 0.2e1 / 0.3e1 * t36081 * t2709 + 0.4e1 / 0.3e1 * t7665 * t11952 + 0.2e1 / 0.3e1 * t1876 * t59186 + t43016;
  t64709 = t2708 * t3461;
  t64713 = 0.2e1 * t1872 * t3562 * t64709 + 0.3e1 * t519 * t59312 + 0.3e1 * t7690 * t59316 - t43017 - t43019 - t43021 - t43023 + t43025 - t43045 - t43059 - t43061 + t43079 - t43080;
  t64717 = t5061 * t463;
  t64739 = -t43081 - t43082 - t43094 + t43096 + 0.1e2 / 0.3e1 * t36075 * t20871 * t64717 - 0.1e2 / 0.3e1 * t7686 * t59353 + 0.5e2 / 0.3e1 * t36075 * t20876 * t64717 + 0.3e1 * t7686 * t59350 - 0.12e2 * t36075 * t20862 * t64717 - 0.2e1 / 0.3e1 * t36087 * t3168 * t64717 - 0.6e1 * t7680 * t59320 - 0.4e2 * t36087 * t3125 * t64717;
  t64764 = 0.24e2 * t36084 * t683 * t64717 + 0.1e2 / 0.3e1 * t36191 * t59092 - 0.2e1 * t36194 * t59079 + 0.4e1 * t36069 * t13086 + 0.4e1 * t7655 * t59017 + 0.2e1 * t11138 * t59089 - t7686 * t59331 / 0.18e2 + 0.2e1 / 0.3e1 * t7651 * t59097 + t7651 * t59044 / 0.3e1 + t36092 * t59076 / 0.9e1 + 0.2e1 / 0.3e1 * t36114 * t11972 - t519 * t59262;
  t64789 = -0.2e1 * t36166 * t2698 - t519 * t59278 - 0.4e1 * t7670 * t12006 - 0.2e1 * t1872 * t59283 - 0.4e1 * t7680 * t683 * t64684 - t36081 * t2701 / 0.3e1 - 0.2e1 / 0.3e1 * t7665 * t11995 - t1872 * t59259 - 0.2e1 * t1870 * t11979 + 0.2e1 * t1876 * t59293 - 0.2e1 / 0.3e1 * t1876 * t59290 + 0.2e1 * t36081 * t2705;
  t64818 = 0.4e1 * t7665 * t11987 - t1876 * t59274 / 0.3e1 + t7686 * t3168 * t64684 / 0.18e2 - t7715 * t2562 + 0.44e2 * t36194 * t43075 * t63786 + 0.1e2 / 0.3e1 * t36092 * t48591 * t63786 + 0.1e2 * t36191 * t59383 + 0.2e1 * t1876 * t59356 + 0.2e1 * t7665 * t11890 + 0.4e1 * t1876 * t59218 + 0.2e2 / 0.3e1 * t7686 * t59361 - 0.8e1 * t36223 * t13151 - 0.6e1 * t7690 * t59204;
  t64850 = 0.4e1 * t1876 * t22290 * t64709 - 0.6e1 * t1876 * t22309 * t64709 + 0.12e2 * t36211 * t229 * t64717 - 0.3e1 * t7686 * t3130 * t64684 + 0.6e1 * t7680 * t689 * t64684 - 0.2e1 * t7670 * t11990 - 0.2e1 * t1870 * t11993 + 0.12e2 * t36223 * t13117 - 0.2e1 * t1872 * t59208 + 0.12e2 * t7680 * t59215 - 0.8e1 * t7680 * t59229 - 0.6e1 * t7686 * t59337;
  t64879 = 0.36e2 * t36087 * t3130 * t64717 - 0.36e2 * t36084 * t689 * t64717 - 0.6e1 * t36252 * t13140 - 0.2e1 * t7670 * t13143 - 0.4e1 / 0.3e1 * t1876 * t59245 + 0.4e1 * t7665 * t13130 + 0.2e2 / 0.3e1 * t36146 * t13134 - 0.8e1 / 0.3e1 * t7665 * t13137 + t1876 * t59359 - 0.6e1 * t36146 * t13114 + 0.4e1 * t7680 * t59334 - 0.24e2 * t53518 * t233 * t64546 + 0.4e1 * t53579 * t13090;
  t64906 = 0.4e1 * t11079 * t59029 + 0.2e1 * t11079 * t64641 + 0.4e1 / 0.3e1 * t53424 * t64550 + 0.4e1 / 0.3e1 * t36114 * t13093 + 0.4e1 / 0.3e1 * t7651 * t59032 - 0.8e1 * t36114 * t13103 - 0.8e1 * t7651 * t59020 - 0.4e1 * t7651 * t815 * t64559 + 0.2e1 * t7655 * t233 * t64559 + 0.44e2 / 0.3e1 * t36194 * t64536 - t2138 + 0.72e2 * t53421 * t815 * t64546;
  t64918 = t43067 * t63786;
  t64926 = 0.12e2 * t36194 * t59131 + t9090 + t43189 - t43190 + t43191 - 0.5e1 * t36191 * t59056 - 0.8e1 * t36100 * t59380 - 0.5e1 / 0.3e1 * t36191 * t59377 + 0.5e1 / 0.9e1 * t36092 * t48556 * t63786 - 0.22e2 / 0.3e1 * t36194 * t64918 - 0.12e2 * t36105 * t43071 * t63786 - 0.3e2 * t36092 * t64918 + t2119;
  t64937 = t188 * t13015;
  t64939 = t6451 * t36356 / 0.6e1 - t6439 * t53814 / 0.6e1 + t630 * t12865 + t3220 * t2742 / 0.2e1 + t42372 - t42375 + 0.2e1 * t26257 * t12959 + t42407 + t42410 - t30 * t59 * (t64558 + t64585 + t64618 + t64648 + t64662 + t64680 + t64704 + t64713 + t64739 + t64764 + t64789 + t64818 + t64850 + t64879 + t64906 + t64926) * t95 / 0.4e1 - t759 * t2720 / 0.4e1 + t42415 + t42416 - t64937 / 0.6e1 - t42429;
  t64947 = t6140 * t10990;
  t64949 = t1506 * t7215;
  t64951 = t42431 - t11019 * t4762 * t63150 / 0.2e1 + t6439 * t54398 / 0.2e1 - t182 * t13179 / 0.2e1 - t42521 - t42523 + t42527 + t42529 - t42530 - t42532 + t42535 + t42537 + t42554 + t42556 - t64947 / 0.18e2 + t64949 / 0.18e2;
  t64956 = t6284 * t10985;
  t64960 = t35631 * t2681;
  t64969 = t773 * t2720;
  t64977 = t7628 * t1511;
  t64979 = t7633 * t1511;
  t64982 = t769 * t2747 / 0.18e2;
  t64985 = t64956 / 0.9e1 + t1779 * t60126 / 0.3e1 - t64960 / 0.18e2 + t3266 * t13185 * t26336 + t7251 * t4877 * t63974 / 0.3e1 + 0.2e1 * t10838 * t59988 - t64969 / 0.6e1 + t42576 + t37219 * t481 / 0.4e1 + t6209 * t1747 / 0.2e1 + t6217 * t1747 / 0.2e1 - t64977 / 0.18e2 - t64979 / 0.18e2 + t64982 + t10838 * t4873 * t63969;
  t64988 = t637 * t12904;
  t64990 = t1506 * t7402;
  t64992 = t637 * t12900;
  t64994 = t3247 * t2751;
  t64999 = -t11019 * t4762 * t63969 - t42610 - t42615 + t42617 + t42619 - t42621 + t42630 + t42632 + t64988 / 0.6e1 - t64990 / 0.18e2 + t64992 / 0.6e1 + t64994 / 0.6e1 + t6209 * t1788 - t31139 * t1785 + t6217 * t1788;
  t65008 = t7351 * t6092;
  t65011 = t7351 * t1532;
  t65015 = t543 * t1524;
  t65017 = t4873 * t3264 * t65015;
  t65020 = t36908 * t1554;
  t65023 = t36908 * t464;
  t65027 = t1854 * t463;
  t65029 = t4873 * t3264 * t65027;
  t65034 = t634 * t12910;
  t65038 = -t6439 * t54357 + 0.3e1 / 0.2e1 * t4993 * t12998 * t27536 + 0.55e2 / 0.18e2 * t10757 * t26847 * t64013 - t3266 * t65008 * t1281 - t3266 * t65011 * t826 / 0.2e1 + 0.2e1 / 0.3e1 * t20708 * t65017 - t3266 * t65020 * t1281 - t3266 * t65023 * t826 / 0.2e1 + 0.2e1 / 0.3e1 * t20708 * t65029 - t608 * t12873 - t608 * t12876 - t42667 + t42669 - t65034 / 0.18e2 + t603 * t12910 / 0.6e1;
  t65040 = t36710 * t2678 / 0.27e2;
  t65042 = t35387 * t2681 / 0.54e2;
  t65044 = t7567 * t2544 / 0.54e2;
  t65046 = t35387 * t2686 / 0.27e2;
  t65048 = 0.2e1 / 0.27e2 * t35387 * t2692;
  t65050 = t21203 * t2729 / 0.9e1;
  t65052 = t3232 * t2734 / 0.9e1;
  t65070 = -t65040 + t65042 - t65044 + t65046 - t65048 + t65050 + t65052 - 0.3e1 / 0.2e1 * t6100 * t53933 + 0.3e1 / 0.2e1 * t36012 * t6078 - 0.3e1 * t7587 * t6105 + 0.3e1 / 0.2e1 * t1770 * t6096 + 0.3e1 / 0.2e1 * t32356 * t7200 - 0.3e1 * t6411 * t7203 - t6100 * t54139 / 0.2e1 - t42702 - 0.2e1 * t4772 * t1872 * t60131;
  t65074 = t659 * t2740 * t206;
  t65078 = t3264 * t64343;
  t65082 = t63414 * t794;
  t65083 = t670 * t65082;
  t65088 = t3360 * t2740 * t794;
  t65092 = t31343 * t530;
  t65095 = t36742 * t481 / 0.18e2;
  t65097 = t32294 * t530 / 0.18e2;
  t65114 = t191 * t242 * t13164 * t243;
  t65117 = -0.6e1 * t3266 * t37339 * t65074 + 0.14e2 / 0.3e1 * t26808 * t9845 * t65078 - 0.35e2 / 0.3e1 * t26808 * t26847 * t65083 - 0.2e1 * t3266 * t7457 * t65088 + t65092 / 0.6e1 - t65095 - t65097 - t1534 * t7606 / 0.6e1 - t6251 * t1765 / 0.12e2 - t6260 * t1765 / 0.12e2 - t6263 * t1765 / 0.6e1 - t1529 * t7606 / 0.6e1 + t37006 * t481 / 0.4e1 + t13203 * t623 / 0.4e1 + t65114 * t250 / 0.2e1;
  t65118 = t661 * t2720;
  t65121 = t626 * t13202;
  t65126 = t22052 * t13031;
  t65131 = t22052 * t13028;
  t65137 = t7276 * t12110;
  t65139 = t1506 * t7262;
  t65147 = -t654 * t65118 / 0.12e2 + t65121 * t250 / 0.2e1 + 0.2e1 / 0.3e1 * t36429 * t12932 - t65126 / 0.3e1 - 0.3e1 / 0.2e1 * t4772 * t519 * t58206 - t65131 / 0.6e1 + t43214 - t8895 - t43215 + 0.2e1 / 0.3e1 * t21103 * t19645 - t6496 * t52804 / 0.2e1 + 0.2e1 / 0.9e1 * t65137 - t65139 / 0.18e2 + 0.3e1 / 0.2e1 * t1770 * t6387 + t1516 * t7413 / 0.2e1 + 0.3e1 / 0.2e1 * t1516 * t7420;
  t65149 = t7611 * t1564;
  t65153 = t7611 * t1560;
  t65155 = t3051 * t13233;
  t65174 = t188 * t13166;
  t65176 = t65149 / 0.6e1 + t1770 * t6399 / 0.2e1 - t65153 / 0.6e1 - t65155 / 0.3e1 + t43220 - t10757 * t4877 * t63969 - 0.5e1 / 0.18e2 * t10757 * t9744 * t63969 - 0.115e3 / 0.36e2 * t10757 * t26189 * t670 * t63786 - t30 * t6378 * t544 / 0.4e1 - t759 * t2747 / 0.4e1 - t7254 * t3273 * t63974 / 0.3e1 + t43240 + t43241 - t8938 - t65174 / 0.6e1;
  t65178 = t7567 * t1511 / 0.54e2;
  t65190 = t26410 * t19511;
  t65209 = -t43265 + t43266 + t65178 - 0.4e1 / 0.3e1 * t7251 * t4877 * t3264 * t63973 + 0.15e2 / 0.2e1 * t26808 * t26189 * t3156 * t65082 - t21748 * t13186 - t21748 * t12754 / 0.2e1 + 0.2e1 / 0.3e1 * t20708 * t65190 - t7251 * t47378 / 0.3e1 - 0.2e1 / 0.3e1 * t63500 * t63586 - t21744 * t13028 / 0.2e1 + t26260 * t13025 + t26260 * t13034 - 0.4e1 * t42312 * t4873 * t63343 - t3266 * t7449 * t12128 + 0.3e1 * t4772 * t7690 * t59674;
  t65218 = t35329 * t2681;
  t65226 = t3051 * t13230;
  t65228 = t21198 * t2729;
  t65242 = -0.11e2 / 0.3e1 * t10838 * t5175 * t64013 - t515 * t30997 / 0.6e1 - t65218 / 0.18e2 + 0.3e1 * t6411 * t7427 - 0.3e1 * t1516 * t7424 + 0.3e1 * t7587 * t6135 - t65226 / 0.3e1 - t65228 / 0.3e1 + 0.2e1 / 0.3e1 * t7228 * t12110 + 0.2e1 / 0.3e1 * t7233 * t12110 + 0.2e1 / 0.3e1 * t1779 * t60121 - t466 * t35774 / 0.6e1 - t466 * t35778 / 0.12e2 - t1770 * t6266 / 0.2e1 + t43270;
  t65244 = t769 * t2720 / 0.18e2;
  t65263 = t9744 * t3156 * t64162;
  t65280 = t65244 + t11019 * t3273 * t64013 - 0.5e1 / 0.6e1 * t7251 * t60058 + t7251 * t59867 / 0.3e1 + 0.5e1 / 0.2e1 * t10757 * t26405 * t64013 + t52942 * t6167 + 0.2e1 * t4983 * t1876 * t59842 - 0.3e1 * t26808 * t9744 * t3156 * t63342 - 0.3e1 * t26808 * t65263 - t4993 * t36776 * t2728 + 0.2e1 / 0.3e1 * t7251 * t59991 - 0.11e2 / 0.9e1 * t10757 * t59985 - t7251 * t58989 / 0.3e1 - t7254 * t48950 / 0.3e1 - t6439 * t36799 / 0.12e2 + t6451 * t36809 / 0.12e2;
  t65294 = t52565 * t13045;
  t65298 = t52331 * t13052;
  t65312 = -t3266 * t12753 * t3447 / 0.4e1 - t7248 * t59938 / 0.3e1 + t6454 * t52328 / 0.3e1 + t6451 * t36465 / 0.6e1 - t20708 * t47795 * t37973 + t47384 * t7452 + 0.2e1 / 0.3e1 * t20708 * t65294 - t36004 * t6170 - t20708 * t65298 - t36004 * t6164 / 0.2e1 - t4993 * t7457 * t12141 + t1516 * t7503 / 0.4e1 + t1516 * t7520 / 0.2e1 - 0.5e1 / 0.12e2 * t7251 * t60158 + 0.2e1 / 0.3e1 * t7254 * t60155;
  t65333 = t21023 * t19645;
  t65335 = t7611 * t1556;
  t65344 = -t7254 * t59976 / 0.3e1 + 0.22e2 / 0.3e1 * t42312 * t4877 * t65083 - 0.3e1 * t4772 * t7690 * t788 * t63786 - t466 * t35848 / 0.12e2 - 0.2e1 * t21435 * t19645 - t1529 * t7262 / 0.6e1 - t1534 * t7262 / 0.6e1 - t7592 * t1556 - t7600 * t1556 - t1770 * t6094 + 0.2e1 / 0.9e1 * t65333 - t65335 / 0.3e1 - t1516 * t7529 / 0.4e1 - t6217 * t1798 / 0.2e1 - t1516 * t7526 / 0.2e1 - t1516 * t7511;
  t65353 = t188 * t13179;
  t65358 = t1760 * t12121;
  t65363 = t1261 * t1768 * t12024;
  t65367 = t1261 * t7598 * t2676;
  t65373 = t1261 * t1514 * t13899;
  t65384 = -t1516 * t7513 / 0.2e1 - 0.2e1 * t21435 * t63308 - t6209 * t1798 / 0.2e1 - t65353 / 0.6e1 - t30 * t2719 * t732 / 0.4e1 + t65358 / 0.18e2 + t1779 * t31487 / 0.3e1 + 0.2e1 / 0.3e1 * t3396 * t65363 + 0.2e1 / 0.3e1 * t3396 * t65367 - t1779 * t31285 / 0.6e1 + 0.2e1 / 0.3e1 * t3396 * t65373 - t7233 * t12082 / 0.6e1 - t7233 * t12799 / 0.6e1 - t35369 * t2681 / 0.12e2 - t7228 * t12082 / 0.6e1;
  t65397 = t7183 * t12779;
  t65399 = t7628 * t2544;
  t65412 = t7276 * t12082;
  t65418 = -t7228 * t12799 / 0.6e1 - t35564 * t2681 / 0.6e1 + t515 * t31878 / 0.12e2 - t35561 * t2681 / 0.12e2 + t1755 * t6121 / 0.6e1 + t515 * t31874 / 0.6e1 + t65397 / 0.9e1 + t65399 / 0.18e2 - t1779 * t1254 * t62959 / 0.6e1 - t7233 * t12784 / 0.3e1 - t7233 * t12124 / 0.3e1 - t7228 * t12124 / 0.3e1 - t35369 * t2686 / 0.6e1 - t65412 / 0.18e2 - t7233 * t9981 / 0.3e1 - t1779 * t46931 / 0.3e1;
  t65442 = t4851 * t63307;
  t65446 = t4808 * t6409 * t37476;
  t65453 = t219 * t2732 * t206;
  t65458 = t824 * t2732 * t794;
  t65461 = t7592 * t1551 - t6062 * t10814 / 0.3e1 - t6067 * t10814 / 0.3e1 - t1541 * t53187 / 0.3e1 - t7228 * t9981 / 0.3e1 - t30 * t13165 * t277 / 0.2e1 + 0.11e2 * t4772 * t7680 * t3556 * t63786 - t6454 * t53349 / 0.3e1 + t6439 * t53361 / 0.4e1 + t1516 * t7379 / 0.2e1 + 0.7e1 / 0.3e1 * t20926 * t65442 - 0.3e1 / 0.2e1 * t20926 * t65446 - 0.4e1 * t42312 * t4873 * t65078 + 0.3e1 * t3266 * t36452 * t65453 + t3266 * t7449 * t65458;
  t65478 = t4873 * t64163;
  t65501 = t3266 * t7449 * t60136 - 0.2e1 / 0.3e1 * t20708 * t4877 * t3264 * t64191 * t2541 + 0.5e1 / 0.3e1 * t20708 * t26405 * t670 * t12937 * t794 + t3266 * t7361 * t60145 + t4772 * t1872 * t59665 - 0.4e1 * t42312 * t65478 - t3266 * t36849 * t2733 + t4772 * t7670 * t13175 + 0.3e1 * t4772 * t36252 * t13171 - t21748 * t13031 - 0.4e1 * t42312 * t26410 * t63415 + t26266 * t13176 + 0.3e1 * t26266 * t13172 - 0.4e1 * t182 * t42311 * t63994 - t21744 * t13031 + 0.3e1 * t26260 * t13172;
  t65508 = my_piecewise3(t2, 0, t64525 + t64458 + t64438 + t64401 + t64357 + t64309 + t64267 + t64237 + t64172 + t64131 + t64097 + t64065 + t64030 + t64002 + t63949 + t63921 + t63885 + t63837 + t63811 + t63771 + t63730 + t63698 + t63684 + t63649 + t63616 + t63589 + t63558 + t63528 + t63489 + t63448 + t63409 + t63375 + t63338 + t63302 + t63268 + t63220 + t63188 + t63153 + t63123 + t63088 + t63053 + t62990 + t64492 + t63245 + t65070 + t65280 + t64939 + t64999 + t64985 + t65117 + t65209 + t64951 + t65312 + t65147 + t65242 + t65176 + t64210 + t65038 + t63020 + t65501 + t65461 + t65418 + t65384 + t65344);
  tv4rho2lapltau0 = t3 * t65508 + 0.2e1 * t13276;

  if(out->v4rho2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 0] += tv4rho2lapltau0;

  tv4rho2lapltau1 = 0.e0;

  if(out->v4rho2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 1] += tv4rho2lapltau1;

  tv4rho2lapltau2 = 0.e0;

  if(out->v4rho2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 2] += tv4rho2lapltau2;

  t65512 = t3917 * t2814 / 0.9e1;
  t65514 = t3917 * t2822 / 0.9e1;
  t65515 = t6520 * t1951;
  t65517 = t38080 * t505;
  t65519 = t32985 * t570;
  t65522 = t7781 * t1642 / 0.54e2;
  t65524 = t6523 * t1951 / 0.54e2;
  t65525 = t38200 * t2761;
  t65527 = t7778 * t2619;
  t65534 = t38045 * t2761 / 0.54e2;
  t65536 = t38040 * t2758 / 0.27e2;
  t65538 = t7781 * t2619 / 0.54e2;
  t65539 = t65512 - t65514 - t65515 / 0.18e2 + t65517 / 0.6e1 + t65519 / 0.6e1 + t65522 + t65524 - t65525 / 0.18e2 + t65527 / 0.18e2 + t3911 * t2831 / 0.4e1 - t6517 * t1965 / 0.12e2 + t65534 - t65536 - t65538;
  t65541 = 0.2e1 / 0.27e2 * t38045 * t2772;
  t65543 = t3917 * t2817 / 0.18e2;
  t65545 = t6523 * t1965 / 0.54e2;
  t65547 = t3917 * t2831 / 0.18e2;
  t65548 = t38226 * t2758;
  t65558 = t7778 * t1642;
  t65562 = -t65541 - t43440 + t43451 + t43466 + t65543 + t65545 - t65547 + t65548 / 0.9e1 - t6517 * t1951 / 0.12e2 - t7775 * t1642 / 0.12e2 + t38107 * t505 / 0.4e1 + t32995 * t570 / 0.4e1 - t65558 / 0.18e2 - t38058 * t2766 / 0.6e1;
  t65570 = t3914 * t2817;
  t65572 = t6520 * t1965;
  t65576 = t3914 * t2831;
  t65578 = t23325 * t2809;
  t65580 = t3914 * t2814;
  t65582 = t3914 * t2822;
  t65592 = -t23288 * t2809 / 0.2e1 - t3911 * t2814 / 0.2e1 + t3911 * t2822 / 0.2e1 - t65570 / 0.6e1 - t65572 / 0.18e2 - t3911 * t2817 / 0.4e1 + t65576 / 0.6e1 - t65578 / 0.3e1 - t65580 / 0.3e1 + t65582 / 0.3e1 - t38058 * t2761 / 0.12e2 + t38115 * t2758 / 0.6e1 + t7775 * t2619 / 0.12e2 + t38058 * t2772 / 0.3e1;
  t65593 = t869 * t2827;
  t65596 = t38045 * t2766 / 0.27e2;
  t65598 = t23420 * t2809 / 0.9e1;
  t65599 = t38200 * t2772;
  t65601 = t38200 * t2766;
  t65605 = t869 * t2800;
  t65608 = t873 * t2800 / 0.18e2;
  t65610 = t38173 * t505 / 0.18e2;
  t65612 = t32998 * t570 / 0.18e2;
  t65616 = t873 * t2827 / 0.18e2;
  t65617 = -t65593 / 0.6e1 + t65596 + t65598 + 0.2e1 / 0.9e1 * t65599 - t65601 / 0.9e1 - t865 * t2800 / 0.4e1 - t65605 / 0.6e1 + t65608 - t65610 - t65612 - t43495 - t43502 + t43525 - t865 * t2827 / 0.4e1 + t65616;
  t65620 = my_piecewise3(t100, 0, t65539 + t65562 + t65592 + t65617);
  tv4rho2lapltau3 = t3 * t65620 + 0.2e1 * t13349;

  if(out->v4rho2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 3] += tv4rho2lapltau3;

  t65628 = t897 * t13202;
  t65659 = -t3776 * t2734 / 0.2e1 - t903 * t12873 / 0.2e1 + t3776 * t2742 / 0.2e1 + t903 * t12862 / 0.2e1 + t903 * t12865 / 0.2e1 - t6594 * t1807 / 0.12e2 - t6580 * t1807 / 0.12e2 - t37752 * t1548 / 0.2e1 + t7869 * t1551 / 0.2e1 - t63010 / 0.18e2 + t32677 * t11167 / 0.6e1;
  t65678 = t32681 * t7358 / 0.12e2 - t32879 * t10884 / 0.12e2 + t37688 * t12892 / 0.6e1 - t37688 * t12987 / 0.12e2 - t22522 * t13186 / 0.2e1 - t22522 * t12754 / 0.4e1 + t27800 * t19512 / 0.3e1 + t63026 / 0.2e1 - t63027 / 0.6e1 + t63029 / 0.18e2 - t63031;
  t65692 = t63033 / 0.6e1 - t63035 / 0.6e1 + t63037 - t63045 / 0.18e2 + t63050 / 0.2e1 + t63051 / 0.6e1 + t63058 / 0.36e2 + t63060 / 0.36e2 + t903 * t12900 / 0.4e1 + t903 * t12904 / 0.4e1 + t3754 * t2742 / 0.2e1;
  t65717 = -t898 * t12910 / 0.12e2 + t6585 * t1811 / 0.4e1 + t7825 * t10172 / 0.6e1 + t1923 * t6121 / 0.12e2 - t7820 * t9827 / 0.12e2 - t1923 * t6503 / 0.12e2 - t1632 * t7262 / 0.12e2 + t6561 * t10985 / 0.6e1 + t1632 * t7215 / 0.12e2 - t6542 * t10990 / 0.12e2 + t22877 * t63308 / 0.3e1;
  t65718 = t7880 * t1511;
  t65720 = t6599 * t1765;
  t65722 = t32695 * t530;
  t65724 = t37907 * t481;
  t65735 = -t65718 / 0.36e2 - t65720 / 0.36e2 + t65722 / 0.12e2 + t65724 / 0.12e2 + t28063 * t13176 / 0.2e1 + t28063 * t13034 / 0.2e1 + t63129 / 0.12e2 - t63131 / 0.36e2 - t63133 / 0.36e2 - t63135 / 0.36e2 + t63137 / 0.12e2;
  t65742 = t63139 / 0.12e2 + t63141 / 0.12e2 - 0.11e2 / 0.54e2 * t63171 + t63173 / 0.3e1 - t63186 / 0.6e1 + t43537 - t43540 - t43545 + t63244 - t63247 - t43546;
  t65755 = -t43547 - t43548 + t43549 + t27950 * t12959 - t63250 / 0.6e1 - t55128 * t12917 / 0.2e1 - t28099 * t13037 / 0.2e1 - t27800 * t63586 / 0.3e1 + t63285 / 0.36e2 + t63287 / 0.18e2 + t37564 * t2692 / 0.3e1;
  t65794 = -t54722 * t12971 / 0.2e1 + t37688 * t11827 / 0.6e1 + 0.23e2 / 0.36e2 * t54722 * t12974 - 0.11e2 / 0.18e2 * t54722 * t13056 + t54967 * t12765 + 0.3e1 / 0.2e1 * t49258 * t13059 - t28063 * t12942 / 0.2e1 + t27950 * t12939 / 0.2e1 + 0.3e1 * t27950 * t12956 - t32879 * t11217 / 0.6e1 + 0.3e1 / 0.2e1 * t28063 * t12991;
  t65802 = t7880 * t2544;
  t65804 = t63381 / 0.9e1 - t63387 / 0.36e2 - t63389 / 0.36e2 + t63391 / 0.18e2 - t63393 / 0.6e1 + t63395 / 0.12e2 + t43565 + t43567 - t43570 - t43572 + t65802 / 0.36e2;
  t65805 = t3761 * t2734;
  t65818 = -t65805 / 0.6e1 - t63444 / 0.6e1 - t63446 / 0.12e2 + t63449 / 0.9e1 + 0.3e1 / 0.2e1 * t28063 * t13172 + t63505 / 0.36e2 + t63511 / 0.6e1 - t63513 / 0.18e2 - t63515 / 0.18e2 + t1923 * t12121 / 0.12e2 + t63530;
  t65837 = -t37564 * t2686 / 0.6e1 - t37567 * t2686 / 0.6e1 - t7820 * t12784 / 0.6e1 - t7820 * t12124 / 0.6e1 - 0.2e1 * t49331 * t63994 - t22522 * t13031 / 0.2e1 - t63590 / 0.9e1 + t63592 / 0.6e1 + 0.7e1 / 0.9e1 * t63599 - t63601 - t63610 / 0.36e2;
  t65851 = t43594 + t43596 - t63614 / 0.36e2 + t63619 / 0.9e1 + t63621 / 0.9e1 + t63623 / 0.9e1 + t7862 * t2544 / 0.12e2 + t1923 * t12075 / 0.12e2 - t37567 * t2681 / 0.12e2 - t7820 * t12799 / 0.12e2 - t63660 / 0.18e2;
  t65855 = t894 * t2747;
  t65867 = t3761 * t2737;
  t65871 = -0.3e1 / 0.2e1 * t49157 * t63978 - t65855 / 0.12e2 - t890 * t2747 / 0.4e1 + t63700 / 0.12e2 - t63702 / 0.36e2 + t6585 * t1802 / 0.4e1 - t6585 * t1793 / 0.2e1 - t6585 * t1798 / 0.4e1 - t65867 / 0.12e2 - t63734 / 0.6e1 + t63736 / 0.6e1;
  t65886 = -t63738 / 0.6e1 - 0.5e1 / 0.108e3 * t63748 - t6594 * t1765 / 0.12e2 - t6580 * t1765 / 0.12e2 + t7869 * t1526 / 0.4e1 + t32761 * t530 / 0.4e1 + t32764 * t530 / 0.4e1 + t37826 * t481 / 0.4e1 - t9224 + t9234 - t8624;
  t65912 = -t63892 / 0.12e2 - t63894 / 0.36e2 + t7825 * t12779 / 0.6e1 - t63896 / 0.36e2 - t63907 / 0.6e1 + t63909 / 0.18e2 + t63911 / 0.12e2 + t63915 / 0.12e2 + t63928 / 0.18e2 + t63930 / 0.36e2 - t63979 / 0.2e1;
  t65924 = t63980 / 0.3e1 - 0.2e1 / 0.3e1 * t63998 + t64003 / 0.2e1 + t64004 / 0.6e1 + t3754 * t2751 / 0.4e1 + t3776 * t2751 / 0.4e1 - t41813 - t43632 - t43633 + t64042 / 0.9e1 - t64084 / 0.18e2;
  t65941 = -t64086 / 0.18e2 - t64088 / 0.18e2 - t64090 / 0.18e2 - t43653 - t1632 * t7606 / 0.12e2 - t7859 * t1511 / 0.12e2 - t7862 * t1511 / 0.12e2 - t1923 * t6212 / 0.12e2 + t6585 * t1747 / 0.4e1 + t64154 / 0.18e2 + 0.7e1 / 0.3e1 * t49157 * t63598;
  t65946 = t37555 * t2678;
  t65948 = t22806 * t2729;
  t65964 = t6599 * t1807;
  t65966 = t22522 * t13192 / 0.2e1 + t65946 / 0.18e2 - t65948 / 0.6e1 - t6542 * t10814 / 0.6e1 - t7820 * t9981 / 0.6e1 - t22773 * t2729 / 0.2e1 - t3740 * t13230 / 0.2e1 - t3740 * t13233 / 0.2e1 + t37491 * t2678 / 0.6e1 + t37494 * t2678 / 0.6e1 - t65964 / 0.36e2;
  t65984 = -t903 * t12876 / 0.2e1 - t3754 * t2737 / 0.4e1 - t3776 * t2737 / 0.4e1 - t903 * t12852 / 0.4e1 - t903 * t12855 / 0.4e1 - t22796 * t2729 / 0.2e1 + t37829 * t481 / 0.4e1 - t64258 + t64268 / 0.18e2 + t64270 / 0.6e1 - t64272 / 0.18e2;
  t65997 = t64364 + t64365 / 0.12e2 - t64367 / 0.12e2 + 0.23e2 / 0.108e3 * t64418 - 0.2e1 / 0.9e1 * t64420 + t7859 * t2544 / 0.12e2 - t64444 / 0.12e2 - t64446 / 0.6e1 - t64448 / 0.6e1 - t64450 / 0.6e1 - t64452 / 0.6e1;
  t66003 = t3761 * t2751;
  t66009 = -t64499 / 0.12e2 - t64501 / 0.12e2 - t64937 / 0.12e2 - t307 * t13018 / 0.4e1 + t66003 / 0.12e2 + t43731 + t43734 - t64947 / 0.36e2 + t64949 / 0.36e2 + t64956 / 0.18e2 - t64960 / 0.36e2;
  t66018 = t37613 * t2692;
  t66020 = t37613 * t2686;
  t66041 = t64988 / 0.12e2 - t64990 / 0.36e2 + t64992 / 0.12e2 + t64994 / 0.12e2 - t7820 * t12082 / 0.12e2 + t37688 * t13046 / 0.3e1 - 0.2e1 / 0.3e1 * t37688 * t13053 - t37688 * t13049 / 0.6e1 + t37688 * t12932 / 0.3e1 + t37688 * t12191 / 0.12e2 + t37747 * t12206 / 0.12e2;
  t66048 = -t65034 / 0.36e2 - t65040 + t65042 - t65044 + t65046 - t65048 + t65050 + t65052 - t32645 * t1785 / 0.2e1 + t6585 * t1788 / 0.2e1 + t43833;
  t66049 = t894 * t2720;
  t66058 = t43835 - t43851 + t43869 - t66049 / 0.12e2 + t65092 / 0.12e2 - t65095 - t65097 - t307 * t13015 / 0.4e1 - t28063 * t13190 - 0.3e1 * t28063 * t12953 - t65126 / 0.6e1;
  t66062 = t37613 * t2681;
  t66064 = t3761 * t2742;
  t66071 = -t65131 / 0.12e2 - t66062 / 0.36e2 + t66064 / 0.6e1 + t65137 / 0.9e1 - t65139 / 0.36e2 + t65149 / 0.12e2 - t65153 / 0.12e2 - t65155 / 0.6e1 - t43875 - t43877 + t43879;
  t66082 = t43881 - t65174 / 0.12e2 + t65178 - t898 * t13198 / 0.12e2 - t37876 * t12201 / 0.6e1 - t37747 * t12188 / 0.6e1 - t65218 / 0.36e2 - t65226 / 0.6e1 - t65228 / 0.6e1 + t65244 - t43902;
  t66100 = -0.5e1 / 0.36e2 * t54722 * t12983 - t890 * t2720 / 0.4e1 + t37876 * t12929 / 0.6e1 - t37876 * t12920 / 0.6e1 + t54967 * t12923 / 0.2e1 + t65333 / 0.9e1 - t65335 / 0.6e1 - t65353 / 0.12e2 + t65358 / 0.36e2 + t65397 / 0.18e2 + t65399 / 0.36e2;
  t66122 = -t65412 / 0.36e2 + t7825 * t12026 / 0.6e1 - t307 * t13166 / 0.4e1 + t22522 * t13002 / 0.2e1 - 0.3e1 * t27950 * t12949 - t28099 * t12999 / 0.2e1 + t28063 * t13025 / 0.2e1 - t7869 * t1560 / 0.4e1 + t22877 * t19645 / 0.3e1 + t7869 * t1564 / 0.4e1 - t7869 * t1556 / 0.2e1;
  t66128 = my_piecewise3(t2, 0, -t307 * t13179 / 0.4e1 + t65628 * t250 / 0.4e1 - t1632 * t7374 / 0.12e2 - t1632 * t7402 / 0.12e2 - t3754 * t2734 / 0.2e1 - t37564 * t2681 / 0.12e2 + t37567 * t2692 / 0.3e1 + t7820 * t12834 / 0.3e1 + t7820 * t12110 / 0.3e1 - t22522 * t13028 / 0.4e1 - t63888 / 0.12e2 - t63890 / 0.12e2 + t63881 / 0.6e1 + t63883 / 0.6e1 + t63877 / 0.6e1 + t63879 / 0.6e1 + t63369 / 0.9e1 - t63366 / 0.6e1 - t63362 / 0.18e2 + t63334 / 0.18e2 + t63311 / 0.36e2 - t62988 / 0.36e2 - t62973 / 0.3e1 + t62971 / 0.6e1 + t62967 / 0.6e1 - t62957 / 0.36e2 - t62955 / 0.36e2 - t43745 - t43743 - t43621 + t43623 + t43556 + t42576 - t64977 / 0.36e2 - t64979 / 0.36e2 - t64969 / 0.12e2 + t64982 + t8645 + t66122 + t66100 + t66082 + t66071 + t66058 + t66048 + t66041 - t66020 / 0.18e2 + t66018 / 0.9e1 + t66009 + t65997 + t65984 + t65966 + t65941 + t65924 + t65912 + t65886 + t65871 + t65851 + t65837 + t65818 + t65804 + t65794 + t65755 + t65742 + t65735 + t65717 + t65692 + t65678 + t65659);
  tv4rho2lapltau4 = t3 * t66128 + t13276 + t13388;

  if(out->v4rho2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 4] += tv4rho2lapltau4;

  tv4rho2lapltau5 = 0.e0;

  if(out->v4rho2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 5] += tv4rho2lapltau5;

  tv4rho2lapltau6 = 0.e0;

  if(out->v4rho2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 6] += tv4rho2lapltau6;

  t66130 = t55228 * t13747;
  t66132 = t55228 * t13743;
  t66134 = t55228 * t13739;
  t66137 = t38570 * t12523;
  t66139 = t38570 * t12355;
  t66141 = t28763 * t13752;
  t66142 = t49777 * t13768;
  t66144 = t33495 * t11556;
  t66148 = -t66137 / 0.9e1 + t66139 / 0.18e2 - t66141 + t66142 / 0.2e1 + t66144 / 0.9e1 + t43981 - t43983 - t43990 - t43993 + t43995 - t3971 * t13842 / 0.2e1;
  t66156 = t3993 * t2817;
  t66158 = t948 * t13780;
  t66160 = t3990 * t2817;
  t66162 = t6715 * t2045;
  t66164 = t23895 * t2809;
  t66166 = t948 * t13814;
  t66168 = t3993 * t2831;
  t66170 = t948 * t13810;
  t66172 = -t6700 * t2041 / 0.4e1 - t23883 * t2809 / 0.2e1 - t3971 * t13839 / 0.2e1 - t66156 / 0.12e2 - t66158 / 0.6e1 - t66160 / 0.12e2 + t66162 / 0.12e2 - t66164 / 0.6e1 + t66166 / 0.12e2 + t66168 / 0.12e2 + t66170 / 0.12e2;
  t66173 = t7911 * t12366;
  t66175 = t7953 * t10339;
  t66183 = t7911 * t10344;
  t66185 = t1905 * t6812;
  t66195 = -t66173 / 0.18e2 + t66175 / 0.18e2 - t945 * t13790 / 0.4e1 + t4025 * t2822 / 0.2e1 - t945 * t13787 / 0.4e1 - t66183 / 0.36e2 - t66185 / 0.36e2 + t1615 * t8264 / 0.12e2 + t1902 * t6757 / 0.12e2 - t38984 * t13571 / 0.6e1 + t38554 * t13705 / 0.6e1;
  t66214 = t38570 * t13671;
  t66216 = -0.5e1 / 0.36e2 * t55396 * t13564 + t38554 * t12732 / 0.12e2 + t38984 * t13702 / 0.6e1 - t38984 * t12740 / 0.6e1 - t38588 * t12729 / 0.6e1 - 0.3e1 * t28461 * t13551 - t28445 * t13537 / 0.2e1 + t23548 * t13534 / 0.2e1 - t66214 / 0.18e2 + t44021 - t44025;
  t66222 = t55231 * t13798;
  t66228 = t44030 - t44032 - t65515 / 0.36e2 + t65517 / 0.12e2 + t65519 / 0.12e2 + t65522 + t65524 - t33483 * t11552 / 0.6e1 - 0.2e1 / 0.3e1 * t66222 + t33597 * t570 / 0.4e1 + t38642 * t505 / 0.4e1;
  t66232 = t948 * t13820;
  t66234 = t1905 * t6757;
  t66240 = t7997 * t1690;
  t66250 = t44060 + t38554 * t13711 / 0.3e1 + t66232 / 0.6e1 + t66234 / 0.36e2 - t4025 * t2817 / 0.4e1 - t4028 * t2817 / 0.4e1 - t66240 / 0.6e1 - t7921 * t12366 / 0.6e1 + t7916 * t10339 / 0.6e1 - t7921 * t10344 / 0.12e2 - t1902 * t6812 / 0.12e2;
  t66253 = t55228 * t13801;
  t66259 = t1618 * t8553;
  t66261 = t38428 * t2772;
  t66263 = -0.3e1 * t28713 * t13752 - 0.11e2 / 0.54e2 * t66253 + 0.3e1 / 0.2e1 * t28461 * t13761 - t65525 / 0.36e2 + t65527 / 0.36e2 + t65534 - t65536 - t65538 - t65541 - t66259 / 0.36e2 + t66261 / 0.9e1;
  t66269 = t948 * t13787;
  t66271 = t938 * t13616;
  t66273 = t38701 * t505;
  t66275 = t8011 * t1642;
  t66277 = t8006 * t1642;
  t66283 = t1618 * t8316;
  t66285 = t6718 * t1951;
  t66288 = t6703 * t1951;
  t66290 = t937 * t13590;
  t66291 = t66290 * t377;
  t66293 = t33578 * t570;
  t66295 = t33565 * t570;
  t66297 = t1905 * t7018;
  t66299 = t7997 * t1698;
  t66301 = t6715 * t2037;
  t66303 = -t66288 / 0.36e2 + t66291 / 0.12e2 + t66293 / 0.12e2 + t66295 / 0.12e2 - t66297 / 0.36e2 + t43466 + t44104 + t44120 - t44122 + t66299 / 0.12e2 - t66301 / 0.6e1;
  t66305 = t1618 * t8602;
  t66307 = t948 * t13777;
  t66309 = t1618 * t8563;
  t66311 = t6668 * t11603;
  t66313 = t1618 * t8264;
  t66327 = -t66305 / 0.36e2 - t66307 / 0.6e1 - t66309 / 0.36e2 + t66311 / 0.18e2 + t66313 / 0.36e2 + t6640 * t11566 / 0.3e1 - t6640 * t11562 / 0.6e1 - t7921 * t10552 / 0.6e1 + t7921 * t10556 / 0.3e1 + t7916 * t13623 / 0.6e1 + t38499 * t2758 / 0.6e1;
  t66341 = t7911 * t13869;
  t66343 = t38459 * t2758 / 0.6e1 - t7921 * t12529 / 0.12e2 - t7921 * t13506 / 0.12e2 - t38366 * t2761 / 0.12e2 - t38363 * t2761 / 0.12e2 + t7916 * t12540 / 0.6e1 + t65543 + t65545 - t65547 + t65548 / 0.18e2 + t66341 / 0.9e1;
  t66346 = t7911 * t12443;
  t66348 = t6647 * t11566;
  t66350 = t38688 * t1675;
  t66352 = t7911 * t10556;
  t66354 = t6647 * t11562;
  t66356 = t6715 * t1969;
  t66358 = t28899 * t13729;
  t66360 = t28548 * t13726;
  t66362 = t24028 * t13721;
  t66364 = t28548 * t13718;
  t66366 = t24028 * t13645;
  t66368 = t66346 / 0.9e1 + t66348 / 0.9e1 - t66350 / 0.6e1 + t66352 / 0.9e1 - t66354 / 0.18e2 + t66356 / 0.12e2 - t66358 / 0.6e1 + t66360 / 0.6e1 - t66362 / 0.6e1 + t66364 / 0.6e1 - t66366 / 0.12e2;
  t66389 = -t28461 * t13653 + t23548 * t13656 / 0.2e1 + t28461 * t13642 / 0.2e1 - t23548 * t13645 / 0.4e1 + 0.3e1 / 0.2e1 * t49732 * t13768 - t38554 * t13714 / 0.12e2 + t38588 * t12737 / 0.12e2 + t55722 * t13750 + 0.7e1 / 0.3e1 * t55396 * t13743 - 0.3e1 / 0.2e1 * t55396 * t13747 - t55396 * t13739 / 0.2e1;
  t66403 = t28899 * t13537;
  t66405 = t55228 * t13804;
  t66407 = t38570 * t13685;
  t66413 = t33478 * t11746 / 0.6e1 + t33486 * t8211 / 0.12e2 - t23548 * t13664 / 0.4e1 - t23548 * t13660 / 0.2e1 + t28713 * t13556 / 0.2e1 - t28461 * t13560 / 0.2e1 - t66403 / 0.6e1 + 0.23e2 / 0.108e3 * t66405 + t66407 / 0.9e1 - t7921 * t13528 / 0.6e1 - t38366 * t2766 / 0.6e1;
  t66424 = t6715 * t2041;
  t66426 = t4005 * t13839;
  t66428 = t4005 * t13842;
  t66432 = t38425 * t2772;
  t66436 = -t38363 * t2766 / 0.6e1 + t1902 * t12401 / 0.12e2 + t1902 * t12409 / 0.12e2 + t8027 * t2619 / 0.12e2 + t8032 * t2619 / 0.12e2 - t66424 / 0.12e2 - t66426 / 0.6e1 - t66428 / 0.6e1 - t945 * t13777 / 0.2e1 + t66432 / 0.9e1 + t33590 * t570 / 0.4e1;
  t66468 = t294 * t13691;
  t66483 = -t6700 * t2037 / 0.2e1 - t8016 * t1690 / 0.2e1 - t8016 * t1694 / 0.4e1 - t66468 / 0.12e2 - t65558 / 0.36e2 - t1902 * t7018 / 0.12e2 - t8032 * t1642 / 0.12e2 - t8027 * t1642 / 0.12e2 - t6691 * t1951 / 0.12e2 - t1615 * t8316 / 0.12e2 - t6688 * t1951 / 0.12e2;
  t66489 = t933 * t13590;
  t66492 = t7997 * t1657;
  t66494 = t6715 * t1938;
  t66496 = t38649 * t505 / 0.4e1 - t934 * t13616 / 0.12e2 + t66489 * t377 / 0.4e1 + t66492 / 0.12e2 + t66494 / 0.12e2 - t9147 - t9168 + t9172 + t9195 + t44154 + t44156;
  t66503 = t24028 * t13656;
  t66505 = t28548 * t13653;
  t66507 = t33495 * t11780;
  t66509 = t33526 * t8211;
  t66515 = t7997 * t1694;
  t66517 = -t290 * t13494 / 0.4e1 - t925 * t2800 / 0.4e1 - t65570 / 0.12e2 - t65572 / 0.36e2 + t66503 / 0.6e1 - t66505 / 0.3e1 - t66507 / 0.36e2 + t66509 / 0.36e2 + t33483 * t11556 / 0.3e1 - t38554 * t12523 / 0.3e1 - t66515 / 0.12e2;
  t66520 = t6647 * t11588;
  t66522 = t3990 * t2822;
  t66524 = t3993 * t2822;
  t66532 = t948 * t13817;
  t66534 = t7953 * t13623;
  t66536 = t7911 * t12529;
  t66538 = t38762 * t2758;
  t66540 = t7911 * t13506;
  t66542 = -t66520 / 0.36e2 + t66522 / 0.6e1 + t66524 / 0.6e1 - t6691 * t1965 / 0.12e2 - t6688 * t1965 / 0.12e2 + t945 * t13820 / 0.2e1 + t66532 / 0.6e1 + t66534 / 0.18e2 - t66536 / 0.36e2 + t66538 / 0.18e2 - t66540 / 0.36e2;
  t66543 = t38428 * t2761;
  t66545 = t38425 * t2761;
  t66547 = t7911 * t13528;
  t66549 = t7953 * t12540;
  t66551 = t38425 * t2766;
  t66565 = -t66543 / 0.36e2 - t66545 / 0.36e2 - t66547 / 0.18e2 + t66549 / 0.18e2 - t66551 / 0.18e2 + t4025 * t2831 / 0.4e1 + t6700 * t1969 / 0.4e1 - t934 * t13580 / 0.12e2 - t33583 * t2026 / 0.2e1 + t6700 * t2029 / 0.2e1 - t38631 * t1675 / 0.2e1;
  t66573 = t6703 * t1965;
  t66575 = t6718 * t1965;
  t66577 = t1905 * t12401;
  t66579 = t38428 * t2766;
  t66581 = t8006 * t2619;
  t66583 = t1905 * t12409;
  t66585 = t8016 * t1679 / 0.2e1 + t65576 / 0.12e2 - t65578 / 0.6e1 - t65580 / 0.6e1 + t65582 / 0.6e1 - t66573 / 0.36e2 - t66575 / 0.36e2 + t66577 / 0.36e2 - t66579 / 0.18e2 + t66581 / 0.36e2 + t66583 / 0.36e2;
  t66586 = t8011 * t2619;
  t66592 = t55231 * t13574;
  t66594 = t55655 * t13567;
  t66596 = t38935 * t13571;
  t66598 = t294 * t13688;
  t66602 = t66586 / 0.36e2 + t28461 * t13718 / 0.2e1 - t23548 * t13721 / 0.2e1 + t66592 / 0.6e1 - t66594 / 0.6e1 - t66596 / 0.18e2 - t66598 / 0.12e2 - t44217 - t44219 + t44221 + t38554 * t12355 / 0.6e1;
  t66606 = t929 * t2827;
  t66608 = t294 * t13771;
  t66610 = t38693 * t505;
  t66612 = t948 * t13790;
  t66624 = t7997 * t1679;
  t66633 = t3990 * t2831;
  t66635 = t938 * t13580;
  t66637 = t33573 * t2026;
  t66639 = t6715 * t2029;
  t66641 = t3993 * t2814;
  t66643 = t23776 * t2809;
  t66645 = t3990 * t2814;
  t66647 = t7911 * t10552;
  t66649 = -t1615 * t8563 / 0.12e2 - t290 * t13771 / 0.4e1 - t290 * t13688 / 0.4e1 + t66633 / 0.12e2 - t66635 / 0.36e2 - t66637 / 0.6e1 + t66639 / 0.6e1 - t66641 / 0.6e1 - t66643 / 0.6e1 - t66645 / 0.6e1 - t66647 / 0.18e2;
  t66651 = t38759 * t2758;
  t66653 = t38570 * t13675;
  t66655 = t28763 * t13556;
  t66657 = t28548 * t13551;
  t66658 = t24028 * t13534;
  t66666 = t66651 / 0.18e2 - 0.2e1 / 0.9e1 * t66653 + t66655 / 0.6e1 - t66657 + t66658 / 0.6e1 - t65593 / 0.12e2 - t290 * t13691 / 0.4e1 - t925 * t2827 / 0.4e1 + t65596 + t65598 + t65599 / 0.9e1;
  t66675 = -t65601 / 0.18e2 - t65605 / 0.12e2 + t65608 + t44321 + t44323 - t44333 - t44335 + t44337 - 0.11e2 / 0.18e2 * t55396 * t13801 + 0.23e2 / 0.36e2 * t55396 * t13804 - 0.2e1 * t55722 * t13798;
  t66678 = t55228 * t13564;
  t66680 = t38935 * t13702;
  t66682 = t38570 * t13705;
  t66684 = t38570 * t12732;
  t66686 = t38935 * t12740;
  t66688 = t38942 * t12729;
  t66690 = t38570 * t13711;
  t66692 = t38570 * t13714;
  t66694 = t38942 * t12737;
  t66700 = -0.5e1 / 0.108e3 * t66678 + t66680 / 0.18e2 + t66682 / 0.18e2 + t66684 / 0.36e2 - t66686 / 0.18e2 - t66688 / 0.18e2 + t66690 / 0.9e1 - t66692 / 0.36e2 + t66694 / 0.36e2 + t55722 * t13574 / 0.2e1 - t55354 * t13567 / 0.2e1;
  t66701 = t33495 * t11552;
  t66703 = t28548 * t13761;
  t66705 = t28548 * t13560;
  t66709 = t28763 * t13736;
  t66710 = t28763 * t13678;
  t66712 = t28548 * t13733;
  t66721 = -t66701 / 0.18e2 + t66703 / 0.2e1 - t66705 / 0.6e1 - t33483 * t11780 / 0.12e2 + t66709 + t66710 / 0.3e1 + t66712 / 0.2e1 - t38554 * t13671 / 0.6e1 - 0.2e1 / 0.3e1 * t38554 * t13675 + t28713 * t13678 + t38554 * t13685 / 0.3e1;
  t66737 = 0.3e1 / 0.2e1 * t28461 * t13733 + 0.3e1 * t28713 * t13736 + t28461 * t13726 / 0.2e1 - t28445 * t13729 / 0.2e1 - t65610 - t65612 - t6640 * t11588 / 0.12e2 - t1615 * t8553 / 0.12e2 + t38363 * t2772 / 0.3e1 - t44353 - t44360;
  t66738 = t28548 * t13642;
  t66740 = t55231 * t13750;
  t66742 = t33521 * t11746;
  t66744 = t24028 * t13660;
  t66746 = t24028 * t13664;
  t66748 = t294 * t13494;
  t66750 = t929 * t2800;
  t66752 = -t43495 - t44379 + t44389 + t65616 + t66738 / 0.6e1 + t66740 / 0.3e1 + t66742 / 0.18e2 - t66744 / 0.6e1 - t66746 / 0.12e2 - t66748 / 0.12e2 - t66750 / 0.12e2;
  t66758 = my_piecewise3(t100, 0, -t1615 * t8602 / 0.12e2 + t945 * t13817 / 0.2e1 + t945 * t13810 / 0.4e1 + t945 * t13814 / 0.4e1 + t4028 * t2831 / 0.4e1 - t945 * t13780 / 0.2e1 + t6700 * t1938 / 0.4e1 + t8016 * t1657 / 0.4e1 - t4025 * t2814 / 0.2e1 - t4028 * t2814 / 0.2e1 + t4028 * t2822 / 0.2e1 + t7921 * t12443 / 0.3e1 + t6657 * t11603 / 0.6e1 + t38366 * t2772 / 0.3e1 + t7921 * t13869 / 0.3e1 + t6700 * t2045 / 0.4e1 - t23870 * t2809 / 0.2e1 + t8016 * t1698 / 0.4e1 - t43959 - t43956 - t43933 - t43935 + t43931 + t66565 + t66602 + t66517 + t66752 + t66624 / 0.6e1 + t66585 - t66608 / 0.12e2 + t66610 / 0.12e2 + t66721 + t66675 + t66483 - t66606 / 0.12e2 + t66436 + t66700 + t66389 + t66368 + t66250 + t66172 + t66737 + t66666 + t66303 + t66148 + t66228 + t66496 + t66273 / 0.12e2 - t66275 / 0.36e2 + t66263 + t66327 + t66413 - t66612 / 0.12e2 + 0.7e1 / 0.9e1 * t66132 - t66134 / 0.6e1 - t66130 / 0.2e1 - t66283 / 0.36e2 - t66285 / 0.36e2 + t66649 + t66343 - t66269 / 0.12e2 - t66271 / 0.36e2 - t66277 / 0.36e2 + t66542 + t66195 + t65512 - t65514 + t66216);
  tv4rho2lapltau7 = t3 * t66758 + t13349 + t13883;

  if(out->v4rho2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 7] += tv4rho2lapltau7;

  t66781 = -t65718 / 0.18e2 - t65720 / 0.18e2 + t65722 / 0.6e1 - t8041 * t1511 / 0.12e2 + t33195 * t530 / 0.4e1 + t65724 / 0.6e1 - t6739 * t1765 / 0.12e2 + t38297 * t481 / 0.4e1 + t63244 - t63247 - t38270 * t2686 / 0.6e1 + t38270 * t2692 / 0.3e1 + t8041 * t2544 / 0.12e2 + t3958 * t2742 / 0.2e1;
  t66797 = t3958 * t2751 / 0.4e1 - t3958 * t2734 / 0.2e1 - t6739 * t1807 / 0.12e2 + t65802 / 0.18e2 - t65805 / 0.3e1 + t63530 - t65855 / 0.6e1 - t65867 / 0.6e1 - t972 * t2747 / 0.4e1 - t41813 + t65946 / 0.9e1 - t65948 / 0.3e1 - t65964 / 0.18e2 - t64258;
  t66810 = t64364 - t38270 * t2681 / 0.12e2 - t23213 * t2729 / 0.2e1 + t38273 * t2678 / 0.6e1 - t3958 * t2737 / 0.4e1 + t66003 / 0.6e1 + t42576 + t64982 + 0.2e1 / 0.9e1 * t66018 - t66020 / 0.9e1 - t65040 + t65042 - t65044 + t65046;
  t66816 = -t65048 + t65050 + t65052 - t44417 + t44424 - t66049 / 0.6e1 - t65095 - t65097 - t44427 + t44448 - t66062 / 0.18e2 + t66064 / 0.3e1 + t65178 + t65244 - t972 * t2720 / 0.4e1;
  t66819 = my_piecewise3(t2, 0, t66781 + t66797 + t66810 + t66816);
  tv4rho2lapltau8 = t3 * t66819 + 0.2e1 * t13388;

  if(out->v4rho2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 8] += tv4rho2lapltau8;

  tv4rho2lapltau9 = 0.e0;

  if(out->v4rho2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 9] += tv4rho2lapltau9;

  tv4rho2lapltau10 = 0.e0;

  if(out->v4rho2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 10] += tv4rho2lapltau10;

  t66822 = t24323 * t2756;
  t66830 = t487 * t988;
  t66845 = t487 * t4405;
  t66856 = t1974 * t1101 * t66822 / 0.6e1 + t8130 * t13623 / 0.3e1 + t65512 - t65514 + t40161 * t13702 / 0.3e1 + 0.3e1 * t5639 * t8460 * t1033 * t66830 + 0.2e1 * t29436 * t13678 + 0.2e1 * t29339 * t13678 + 0.2e1 * t5639 * t8457 * t6833 + 0.2e1 * t5639 * t2060 * t62252 + t5639 * t2060 * t4572 * t66845 + 0.2e1 / 0.3e1 * t39976 * t13685 + 0.2e1 / 0.3e1 * t39979 * t13685 - t555 * t34608 / 0.12e2 + t8091 * t50632;
  t66857 = t168 * t66830;
  t66881 = -t44483 - t44484 - 0.11e2 / 0.18e2 * t11399 * t10447 * t66857 + t1058 * t13820 + t373 * t2025 * t62008 / 0.2e1 + t1070 * t13817 + t1058 * t13817 + t373 * t39054 * t2821 / 0.2e1 + 0.3e1 * t29349 * t13733 + t5665 * t2056 * t62196 + t5665 * t2056 * t1165 * t66845 / 0.2e1 - t25376 * t13721 - t66130 + 0.14e2 / 0.9e1 * t66132 - t66134 / 0.3e1;
  t66887 = t487 * t997;
  t66912 = -0.2e1 / 0.9e1 * t66137 + t66139 / 0.9e1 - 0.2e1 * t66141 + t66142 + 0.2e1 / 0.9e1 * t66144 + 0.18e2 * t10513 * t40324 * t24557 * t66887 - 0.6e1 * t5665 * t40350 * t356 * t66887 + t5665 * t8451 * t12719 + t5665 * t2056 * t62231 + t5665 * t2056 * t62234 / 0.2e1 - t30473 * t13729 - t30693 * t13729 - t5649 * t39601 * t2808 / 0.2e1 - t5649 * t39587 * t2808 - t5649 * t8072 * t12437;
  t66944 = -t34833 * t8061 - 0.6e1 * t29436 * t13752 - 0.6e1 * t29339 * t13752 - 0.6e1 * t5639 * t40346 * t10526 - 0.6e1 * t5639 * t8438 * t61308 - 0.3e1 * t5639 * t8438 * t4619 * t66830 - t8086 * t13506 / 0.6e1 - t2180 + t2251 - t8063 * t61982 / 0.6e1 + t40666 * t505 / 0.4e1 + t39069 * t505 / 0.2e1 + t34605 * t570 / 0.4e1 + t34600 * t570 / 0.2e1 + t1956 * t7054 / 0.4e1 + t34595 * t570 / 0.4e1;
  t66970 = t487 * t4345;
  t66985 = t1647 * t8334 / 0.4e1 + t8296 * t1657 / 0.2e1 + t8287 * t1657 / 0.2e1 + t6965 * t1938 / 0.2e1 + t6960 * t1938 / 0.2e1 - 0.3e1 * t56003 * t13747 - 0.3e1 * t11399 * t50328 * t13746 - 0.3e1 * t11399 * t10358 * t4191 * t61127 - 0.3e1 / 0.2e1 * t11399 * t10358 * t4191 * t66830 - 0.3e1 * t5639 * t2060 * t24435 * t66970 - t40730 * t12740 / 0.3e1 - t40161 * t12740 / 0.3e1 - t8219 * t62165 / 0.3e1 - t8219 * t62168 / 0.3e1 - t8219 * t61895 / 0.6e1;
  t66986 = t168 * t66887;
  t67008 = t1430 * t8285 * t2756;
  t67016 = t44540 - t44544 + 0.5e1 / 0.3e1 * t55987 * t10358 * t66986 + 0.2e1 * t56930 * t6005 * t66986 - t1683 * t56801 / 0.6e1 - t1070 * t13777 - t34833 * t8078 / 0.2e1 + t1946 * t6757 / 0.6e1 - t8086 * t10344 / 0.6e1 - t1946 * t6812 / 0.6e1 - t8287 * t1690 - t8287 * t1694 / 0.2e1 + 0.2e1 / 0.3e1 * t4533 * t67008 + t8287 * t1698 / 0.2e1 - t1058 * t13777 - t8063 * t50553 / 0.3e1;
  t67040 = -t8063 * t50296 * t5692 + 0.2e1 / 0.3e1 * t8063 * t50292 * t5696 + t6769 * t56430 / 0.2e1 - t6769 * t56434 / 0.3e1 - t6769 * t57078 + 0.2e1 / 0.3e1 * t6769 * t57080 + t1941 * t12401 / 0.6e1 + t8324 * t2619 / 0.12e2 + t1941 * t12409 / 0.6e1 + t8337 * t2619 / 0.12e2 + t8340 * t2619 / 0.6e1 - t44585 - t44589 - t44600 - t44614;
  t67043 = t168 * t66970;
  t67067 = -t66156 / 0.6e1 - t66158 / 0.3e1 + t44645 + t44647 + t44649 - t8063 * t30141 * t67043 / 0.2e1 - t8086 * t13528 / 0.3e1 - t8086 * t12366 / 0.3e1 - t39164 * t2766 / 0.3e1 - t8081 * t13528 / 0.3e1 - t8081 * t12366 / 0.3e1 + t555 * t61284 / 0.12e2 - t39051 * t2766 / 0.6e1 + t555 * t61191 / 0.6e1 + t555 * t62904 / 0.12e2 + t1946 * t12401 / 0.6e1;
  t67084 = t1946 * t12409 / 0.6e1 - t44699 + t44701 + t44703 - t66160 / 0.6e1 + t66162 / 0.6e1 - t66164 / 0.3e1 + t66166 / 0.6e1 + t66168 / 0.6e1 + t66170 / 0.6e1 - t66173 / 0.9e1 + t66175 / 0.9e1 - t66183 / 0.18e2 - t66185 / 0.18e2 - t66214 / 0.9e1;
  t67097 = t44736 - t44737 - t44746 + t44747 - t44748 + t44752 + t65522 + t65524 - 0.4e1 / 0.3e1 * t66222 - 0.6e1 * t56113 * t5679 * t66986 + 0.3e1 * t5665 * t2060 * t24564 * t66970 - t1647 * t8140 / 0.2e1 + t44785 + t66232 / 0.3e1 + t66234 / 0.18e2;
  t67121 = -t66240 / 0.3e1 - t34833 * t8228 / 0.4e1 - t6808 * t11588 / 0.6e1 - t1665 * t8553 / 0.6e1 + t1702 * t57109 / 0.3e1 + t490 * t39777 / 0.6e1 - 0.11e2 / 0.27e2 * t66253 + t39359 * t2758 / 0.6e1 + t8125 * t13623 / 0.3e1 + t39175 * t2758 / 0.3e1 + t39183 * t2758 / 0.6e1 - t1981 * t62222 / 0.12e2 + t65534 - t65536 - t65538;
  t67127 = t168 * t66845;
  t67139 = t8226 * t6869;
  t67157 = -t65541 + t8063 * t30011 * t13570 / 0.3e1 + t8063 * t61134 / 0.3e1 + t8063 * t5691 * t67127 / 0.6e1 - 0.5e1 / 0.18e2 * t55984 * t13564 - t8214 * t61667 / 0.3e1 - t8214 * t61672 / 0.6e1 + t39976 * t12732 / 0.6e1 - t4695 * t67139 * t1438 - t4695 * t13659 * t4340 / 0.2e1 - t6769 * t56940 / 0.6e1 - t6769 * t56904 / 0.6e1 - t6769 * t39550 / 0.12e2 - 0.5e1 / 0.36e2 * t10357 * t56909 - 0.2e1 * t29349 * t13653 - 0.2e1 * t29346 * t13653;
  t67199 = -0.2e1 * t5665 * t8457 * t13652 - 0.2e1 * t5665 * t2060 * t62211 - t5665 * t2060 * t4626 * t66845 + t6764 * t56081 / 0.3e1 + t6764 * t39432 / 0.6e1 + t10440 * t56900 / 0.2e1 + t34520 * t8211 / 0.6e1 + 0.3e1 * t29346 * t13733 + 0.3e1 * t5665 * t40428 * t13732 + 0.3e1 * t5665 * t8443 * t62192 + 0.3e1 / 0.2e1 * t5665 * t8443 * t356 * t66830 + 0.6e1 * t29436 * t13736 + 0.6e1 * t29339 * t13736 + 0.6e1 * t5639 * t40367 * t10384 + 0.6e1 * t5639 * t8460 * t61414;
  t67218 = -t66259 / 0.18e2 + 0.2e1 / 0.9e1 * t66261 + 0.23e2 / 0.36e2 * t6855 * t56832 - t8280 * t6777 / 0.2e1 - t66269 / 0.6e1 - t66271 / 0.18e2 + t66273 / 0.6e1 - t66275 / 0.18e2 - t66277 / 0.18e2 - t66283 / 0.18e2 - t66285 / 0.18e2 - t66288 / 0.18e2 + t66291 / 0.6e1 + t66293 / 0.6e1 - t44849 - t6772 * t40112 / 0.6e1;
  t67226 = t56210 * t6853;
  t67258 = -0.3e1 / 0.2e1 * t5665 * t559 * t61072 - t5665 * t2056 * t4575 * t66970 + 0.3e1 / 0.2e1 * t30451 * t67226 * t5602 - 0.3e1 * t5649 * t67226 * t5571 + 0.3e1 / 0.2e1 * t4695 * t67226 * t5576 + 0.36e2 * t5639 * t40336 * t4619 * t66887 + t39979 * t12732 / 0.6e1 + t8063 * t62284 / 0.6e1 + t8063 * t62287 / 0.6e1 + t8063 * t62290 / 0.12e2 + 0.5e1 / 0.36e2 * t11399 * t62293 + t40730 * t13702 / 0.3e1 + t1053 * t13580 / 0.6e1 + t4176 * t2822 / 0.2e1 + t4183 * t2822 / 0.2e1;
  t67282 = t2798 * t146;
  t67284 = t1101 * t67282 * t1088;
  t67289 = t4274 * t2822 + t25561 * t13656 + t4695 * t39601 * t2821 / 0.2e1 + t4695 * t39587 * t2821 + t4695 * t8072 * t12498 + t39497 * t12737 / 0.6e1 + t40920 * t12737 / 0.6e1 + t8214 * t62270 / 0.6e1 + t8214 * t62276 / 0.12e2 + t8214 * t62281 / 0.6e1 + 0.2e1 / 0.3e1 * t39976 * t13711 + t11399 * t62813 / 0.2e1 - t338 * t67284 / 0.6e1 + t66295 / 0.6e1 - t66297 / 0.18e2 + t43466;
  t67325 = t373 * t8246 * t12498 + t1070 * t13820 + t373 * t1963 * t7114 * t376 / 0.4e1 - t1058 * t13790 / 0.2e1 - t1058 * t13787 / 0.2e1 - t4176 * t2817 / 0.4e1 - t4183 * t2817 / 0.4e1 - t4274 * t2817 / 0.2e1 - t8169 * t50166 / 0.2e1 + 0.7e1 / 0.3e1 * t8169 * t50171 - t6804 * t11588 / 0.6e1 - t1660 * t8553 / 0.6e1 + t6900 * t11603 / 0.3e1 + t1665 * t8264 / 0.6e1 + 0.23e2 / 0.36e2 * t8169 * t50989;
  t67343 = t1423 * t13579;
  t67347 = t1430 * t1645 * t1963;
  t67352 = t1981 * t35132 / 0.3e1 - t1981 * t50634 / 0.6e1 - 0.11e2 / 0.18e2 * t8169 * t50996 + t66299 / 0.6e1 - t66301 / 0.3e1 - t6804 * t11562 / 0.3e1 - t66305 / 0.18e2 - t66307 / 0.3e1 - t66309 / 0.18e2 + t66311 / 0.9e1 + t66313 / 0.18e2 + t1647 * t8164 / 0.2e1 - t1002 * t67343 / 0.6e1 + t1002 * t67347 / 0.3e1 - t6955 * t8161 / 0.2e1;
  t67380 = t552 * t487;
  t67381 = t1018 * t67380;
  t67382 = t10447 * t67381;
  t67387 = 0.3e1 / 0.2e1 * t1647 * t8528 + 0.3e1 / 0.2e1 * t1956 * t7005 + 0.3e1 / 0.2e1 * t34264 * t8173 - 0.3e1 * t6955 * t8176 + 0.7e1 / 0.3e1 * t6855 * t57181 - 0.3e1 / 0.2e1 * t6855 * t57188 + 0.3e1 / 0.2e1 * t39807 * t6919 - 0.3e1 * t8280 * t6922 - 0.3e1 / 0.2e1 * t8169 * t50175 - t6855 * t57193 / 0.2e1 + 0.3e1 / 0.2e1 * t5665 * t8438 * t4572 * t66830 + t11646 * t62260 / 0.2e1 - 0.28e2 * t50465 * t67382 + t29436 * t13556 + t29339 * t13556;
  t67396 = t29474 * t4191 * t13554;
  t67423 = t5639 * t8457 * t61165 + t5639 * t2060 * t61162 + t5639 * t2060 * t62119 / 0.2e1 + 0.3e1 / 0.2e1 * t39435 * t67396 + t6896 * t11603 / 0.3e1 + t1660 * t8264 / 0.6e1 - t6955 * t8583 / 0.2e1 - t8086 * t10552 / 0.3e1 - t8081 * t10552 / 0.3e1 - t1683 * t57283 / 0.3e1 - t6808 * t11562 / 0.3e1 - t11510 * t62844 / 0.2e1 - t39497 * t12729 / 0.3e1 - t40920 * t12729 / 0.3e1 - t8214 * t61660 / 0.3e1 + 0.2e1 / 0.3e1 * t39979 * t13711;
  t67444 = t1146 * t487;
  t67445 = t380 * t67444;
  t67453 = 0.2e1 / 0.3e1 * t8063 * t30022 * t13570 + 0.2e1 / 0.3e1 * t8063 * t61952 + t8063 * t5674 * t67127 / 0.3e1 - t39976 * t13714 / 0.6e1 + t13591 * t1090 / 0.2e1 + 0.3e1 * t8280 * t7000 - 0.3e1 * t1956 * t6994 + 0.3e1 * t6955 * t8201 + t65543 + t65545 - t65547 - t8063 * t5695 * t67445 / 0.12e2 + 0.2e1 / 0.9e1 * t66341 + 0.2e1 / 0.9e1 * t66346 + t1974 * t34638 / 0.6e1;
  t67465 = -t1981 * t61710 / 0.6e1 - t555 * t34300 / 0.12e2 - 0.5e1 / 0.36e2 * t8169 * t50602 + 0.2e1 / 0.9e1 * t66348 - t66350 / 0.3e1 + 0.2e1 / 0.9e1 * t66352 - t66354 / 0.9e1 + t66356 / 0.6e1 - t45030 + t45032 + t45036 + t45040 + t45052 + t45055 + t45057 + t45059;
  t67475 = t45061 - t45063 - 0.3e1 * t5639 * t8460 * t62319 + 0.18e2 * t5665 * t40329 * t1038 * t66887 + t45122 + t45124 - t45131 - t45133 - t45135 - t45137 - t45150 - t45156 - t45195 + t45198 - t66358 / 0.3e1;
  t67480 = t8226 * t1673;
  t67496 = t66360 / 0.3e1 - t66362 / 0.3e1 + t66364 / 0.3e1 - t66366 / 0.6e1 + 0.3e1 / 0.2e1 * t4695 * t67480 * t5702 + t4695 * t13663 * t4347 / 0.2e1 - t10725 * t56367 / 0.2e1 - t39979 * t13714 / 0.6e1 - t8063 * t30121 * t13670 / 0.6e1 + t45233 + t45236 - t45239 - t45243 - t45249 - t66403 / 0.3e1 + 0.23e2 / 0.54e2 * t66405;
  t67530 = 0.2e1 / 0.9e1 * t66407 + t34671 * t8211 / 0.6e1 + t6772 * t40245 / 0.6e1 + t6772 * t40236 / 0.6e1 + t6772 * t40241 / 0.12e2 - t34216 * t11780 / 0.6e1 - t34529 * t11780 / 0.6e1 + t8091 * t50609 / 0.2e1 - t555 * t34186 / 0.6e1 - t490 * t39839 / 0.6e1 - t6928 * t56195 / 0.2e1 + t6788 * t57349 / 0.2e1 - t1941 * t6812 / 0.6e1 + t8130 * t10339 / 0.3e1 - 0.3e1 / 0.2e1 * t5665 * t8438 * t61652;
  t67539 = t4191 * t66887;
  t67566 = -0.18e2 * t5639 * t40324 * t24477 * t66887 + 0.6e1 * t5665 * t40324 * t24418 * t66887 - 0.43e2 / 0.9e1 * t55994 * t50144 * t67539 - t373 * t2040 * t61999 / 0.4e1 - t66424 / 0.6e1 - t66426 / 0.3e1 - t66428 / 0.3e1 - t1683 * t56181 / 0.6e1 - 0.11e2 / 0.18e2 * t6855 * t56184 + t1683 * t39716 / 0.3e1 + 0.2e1 / 0.9e1 * t66432 + t8219 * t29503 * t13670 / 0.3e1 + t8219 * t6005 * t67445 / 0.6e1 + t8219 * t61119 / 0.3e1 + t39976 * t13705 / 0.3e1;
  t67591 = t39979 * t13705 / 0.3e1 + t39074 * t505 / 0.4e1 + 0.2e1 * t11510 * t5691 * t61471 - t66468 / 0.6e1 - t45315 + t45316 - 0.23e2 / 0.36e2 * t11399 * t61472 + t45317 - t110 * t7156 * t584 / 0.4e1 - t1205 * t2827 / 0.4e1 + t1053 * t13616 / 0.6e1 - t1066 * t13616 / 0.6e1 - t991 * t13616 / 0.12e2 + t66492 / 0.6e1 + t66494 / 0.6e1;
  t67592 = t349 * t13494;
  t67619 = t1018 * t66830;
  t67623 = t1018 * t66887;
  t67633 = -t338 * t67592 / 0.6e1 + 0.2e1 * t56237 * t13750 + 0.2e1 * t56239 * t13750 + 0.2e1 * t11510 * t29451 * t13563 + 0.2e1 * t11510 * t62340 + t11510 * t5679 * t66857 + 0.22e2 / 0.3e1 * t55987 * t10447 * t66986 - 0.4e1 * t56237 * t13798 - 0.4e1 * t56239 * t13798 + 0.14e2 / 0.3e1 * t11399 * t50343 * t13742 + 0.14e2 / 0.3e1 * t11399 * t10447 * t61813 + 0.7e1 / 0.3e1 * t11399 * t10447 * t67619 + 0.89e2 / 0.9e1 * t55994 * t50318 * t67623 - 0.3e1 * t55984 * t13747 - t39365 * t2761 / 0.12e2 - t8081 * t12529 / 0.6e1;
  t67646 = t2807 * t333;
  t67647 = t1007 * t67646;
  t67651 = t6832 * t333;
  t67658 = t4148 * t67646;
  t67668 = -t39164 * t2761 / 0.6e1 - t8081 * t13506 / 0.6e1 + t1974 * t61803 / 0.6e1 - t39051 * t2761 / 0.12e2 + t8125 * t12540 / 0.3e1 + 0.6e1 * t5649 * t40682 * t67647 - 0.11e2 * t5639 * t8460 * t4572 * t67651 + t6769 * t57461 / 0.2e1 + 0.3e1 * t4695 * t39825 * t67658 + t57324 * t6839 - t39906 * t6842 + t45378 + t45381 - t7057 * t1951 / 0.12e2 - t7048 * t1951 / 0.6e1;
  t67673 = t321 * t369 * t13492 * t370;
  t67678 = t1009 * t2800;
  t67681 = t1065 * t13590;
  t67690 = t13669 * t1082;
  t67691 = t380 * t67690;
  t67695 = t168 * t67651;
  t67709 = -t1660 * t8316 / 0.6e1 + t67673 * t377 / 0.2e1 + t13591 * t1062 / 0.4e1 - t1002 * t67678 / 0.12e2 + t67681 * t377 / 0.2e1 + 0.12e2 * t56113 * t5695 * t67623 + 0.18e2 * t55987 * t10358 * t67539 - t45399 - t8219 * t4687 * t67691 / 0.3e1 - t45406 + t45407 - 0.11e2 / 0.6e1 * t11510 * t5691 * t67695 - t1981 * t51400 / 0.3e1 + t373 * t39243 * t493 * t376 / 0.4e1 + 0.2e1 / 0.3e1 * t6769 * t56782 + 0.2e1 / 0.3e1 * t6769 * t56786;
  t67726 = t1076 * t2812 * t1082;
  t67738 = t13669 * t333;
  t67739 = t380 * t67738;
  t67747 = t6769 * t40787 / 0.3e1 + 0.23e2 / 0.36e2 * t10357 * t57662 + 0.3e1 * t52118 * t13768 + 0.3e1 * t52122 * t13768 + 0.3e1 * t10513 * t40346 * t10514 + 0.3e1 * t10513 * t8438 * t61636 + t4695 * t8060 * t67726 + t4695 * t8060 * t62034 - 0.3e1 * t5665 * t8443 * t1165 * t67651 + 0.5e1 / 0.2e1 * t11399 * t30141 * t67695 - t11399 * t5691 * t67739 - t11646 * t6005 * t67739 - t110 * t500 * t8425 / 0.4e1 + t45434 - t45438;
  t67752 = t39991 * t488;
  t67756 = t8226 * t1663;
  t67771 = t39991 * t1688;
  t67780 = -t45442 - t25376 * t13664 / 0.2e1 - t25561 * t13664 / 0.2e1 - t4695 * t67752 * t1084 / 0.2e1 - t4695 * t67756 * t1084 / 0.2e1 - t4695 * t13663 * t4407 / 0.4e1 + t34222 * t11746 / 0.3e1 + t34669 * t11746 / 0.3e1 + t6764 * t56076 / 0.3e1 - t25376 * t13660 - t25561 * t13660 - t4695 * t67771 * t1438 - 0.3e1 * t1647 * t8197 - t1205 * t2800 / 0.4e1 - t29349 * t13560 + t25561 * t13534;
  t67786 = t56422 * t1673;
  t67789 = t11402 * t6800;
  t67795 = t10447 * t19934;
  t67817 = t346 * t2812 * t333;
  t67826 = t4695 * t67786 * t1415 + t4695 * t67789 * t1415 + t4695 * t13533 * t4300 / 0.2e1 + 0.7e1 / 0.3e1 * t39435 * t67795 - 0.6e1 * t29349 * t13551 - 0.6e1 * t29346 * t13551 - 0.6e1 * t5665 * t40367 * t13550 - 0.6e1 * t5665 * t8460 * t62207 - 0.3e1 * t5665 * t8460 * t1038 * t66830 + t45502 - t45505 + 0.11e2 * t5665 * t8460 * t4626 * t67651 + 0.3e1 * t4695 * t39421 * t67817 - t1981 * t62219 / 0.6e1 - t1981 * t1430 * t66822 / 0.12e2;
  t67840 = -t8086 * t12529 / 0.6e1 + t66503 / 0.3e1 - 0.2e1 / 0.3e1 * t66505 - t66507 / 0.18e2 + t66509 / 0.18e2 - t66515 / 0.6e1 - t66520 / 0.18e2 + t66522 / 0.3e1 + t66524 / 0.3e1 + t66532 / 0.3e1 + t6769 * t57160 / 0.4e1 - t45534 - t45537 - t45539 - t45541;
  t67864 = -t45543 - 0.4e1 / 0.3e1 * t8063 * t30011 * t13674 - 0.4e1 / 0.3e1 * t8063 * t62346 - 0.2e1 / 0.3e1 * t8063 * t5691 * t1018 * t66845 - t373 * t39191 * t2813 / 0.2e1 - t490 * t39245 / 0.12e2 - t45595 - t45598 - t45600 + 0.3e1 * t5665 * t8460 * t61475 + t66534 / 0.9e1 - t66536 / 0.18e2 + t66538 / 0.9e1 - t66540 / 0.18e2 - t66543 / 0.18e2;
  t67884 = t4693 * t67738;
  t67894 = t1018 * t67651;
  t67903 = -t66545 / 0.18e2 - t66547 / 0.9e1 + t66549 / 0.9e1 - t66551 / 0.9e1 + t4695 * t8077 * t61866 - 0.2e1 * t5665 * t2056 * t62024 - t6764 * t57646 / 0.3e1 - 0.5e1 / 0.2e1 * t5639 * t2060 * t62296 + t5649 * t8072 * t61965 - 0.3e1 / 0.2e1 * t4695 * t13533 * t30594 - 0.4e1 * t11510 * t5695 * t67884 + 0.55e2 / 0.18e2 * t11399 * t29468 * t67695 - 0.11e2 / 0.9e1 * t11399 * t10447 * t67739 - 0.115e3 / 0.36e2 * t11399 * t29474 * t67894 + 0.23e2 / 0.18e2 * t11399 * t10358 * t67884 - t8340 * t1642 / 0.6e1;
  t67931 = -t30473 * t13537 - t30693 * t13537 - t5649 * t67786 * t1410 - t5649 * t67789 * t1410 - t5649 * t13533 * t4319 / 0.2e1 - 0.3e1 / 0.2e1 * t39435 * t10358 * t5647 * t19926 + t25376 * t13534 + 0.8e1 * t50417 * t50144 * t10511 * t67380 - t66573 / 0.18e2 - t66575 / 0.18e2 + t66577 / 0.18e2 - t66579 / 0.9e1 + t66581 / 0.18e2 + t66583 / 0.18e2 + t66586 / 0.18e2;
  t67939 = t4305 * t2807 * t1082;
  t67943 = t1018 * t13554;
  t67944 = t29468 * t67943;
  t67969 = -t110 * t2799 * t1147 / 0.4e1 - 0.2e1 * t55994 * t29468 * t66986 + 0.2e1 * t5649 * t8072 * t67939 - 0.7e1 / 0.3e1 * t39435 * t67944 + 0.3e1 * t29349 * t13761 + 0.3e1 * t29346 * t13761 + 0.3e1 * t5665 * t40346 * t13760 + 0.3e1 * t5665 * t8438 * t61312 - t25561 * t13721 - t4695 * t40050 * t2813 / 0.2e1 - t4695 * t40062 * t2813 - t4695 * t8060 * t12504 + t29349 * t13726 + t29346 * t13726 + t66592 / 0.3e1 - t66594 / 0.3e1;
  t67999 = -t66596 / 0.9e1 + t45794 + t1702 * t58119 / 0.6e1 + t1981 * t61489 / 0.3e1 + t1981 * t1430 * t4174 * t2756 / 0.3e1 + 0.2e1 / 0.3e1 * t1981 * t61484 + 0.2e1 / 0.3e1 * t8086 * t12443 + 0.2e1 / 0.3e1 * t8081 * t12443 + t39365 * t2772 / 0.3e1 + 0.2e1 / 0.3e1 * t8086 * t13869 - t490 * t39214 / 0.12e2 + t39051 * t2772 / 0.3e1 + 0.2e1 / 0.3e1 * t39164 * t2772 - 0.11e2 / 0.9e1 * t11399 * t61949 - t66598 / 0.6e1;
  t68022 = -t4183 * t2814 / 0.2e1 - t9407 - t45798 + t45799 + t45805 - t1941 * t7018 / 0.6e1 - t490 * t39061 / 0.12e2 - t7043 * t1951 / 0.12e2 - t1665 * t8316 / 0.6e1 - t45831 - t45832 + t45833 + 0.2e1 * t8063 * t30141 * t1018 * t66970 - 0.11e2 / 0.9e1 * t11399 * t50343 * t13563 - t11510 * t61466 - 0.18e2 * t10513 * t40336 * t4609 * t66887;
  t68026 = t5695 * t57661;
  t68047 = t5691 * t4693 * t57158;
  t68050 = t4305 * t2820 * t1082;
  t68065 = -0.2e1 * t10440 * t68026 + t10440 * t57565 - 0.18e2 * t5665 * t40336 * t4572 * t66887 - 0.3e1 / 0.2e1 * t10513 * t8438 * t61656 + 0.3e1 * t5639 * t8438 * t61648 + t490 * t39556 / 0.12e2 + t45843 - 0.15e2 / 0.2e1 * t5665 * t8438 * t24435 * t67651 - t6769 * t68047 - 0.2e1 * t4695 * t8072 * t68050 - t8324 * t1642 / 0.12e2 - 0.3e1 / 0.2e1 * t5665 * t8443 * t61077 - t66606 / 0.6e1 - t66608 / 0.6e1 - 0.2e1 / 0.3e1 * t8063 * t5691 * t1018 * t61161;
  t68096 = -t8063 * t61917 / 0.3e1 + t50860 * t8058 + t1956 * t6940 / 0.2e1 + 0.3e1 / 0.2e1 * t1956 * t6905 + 0.3e1 / 0.2e1 * t1647 * t8191 + t1647 * t8609 / 0.2e1 - t1066 * t13580 / 0.6e1 + t6965 * t1969 / 0.2e1 - t490 * t39771 / 0.6e1 + t8125 * t10339 / 0.3e1 + t1941 * t6757 / 0.6e1 - t8081 * t10344 / 0.6e1 - t1981 * t51441 / 0.6e1 - t8219 * t25122 * t13570 / 0.3e1 - t8219 * t61989 / 0.3e1;
  t68124 = t1101 * t6755 * t8600;
  t68129 = -t8219 * t4687 * t67127 / 0.6e1 + t56237 * t13574 + t56239 * t13574 - 0.5e1 / 0.18e2 * t56003 * t13564 - 0.5e1 / 0.18e2 * t11399 * t50328 * t13563 - 0.5e1 / 0.18e2 * t11399 * t61929 - 0.5e1 / 0.36e2 * t11399 * t10358 * t66857 - 0.35e2 / 0.108e3 * t55994 * t50144 * t66986 - t56170 * t13567 - t56172 * t13567 - t11646 * t29503 * t13563 - t11646 * t61985 - t555 * t34296 / 0.6e1 - t338 * t68124 / 0.6e1 + t1647 * t8606 / 0.2e1;
  t68149 = t1645 * t8252;
  t68159 = 0.2e1 / 0.3e1 * t24346 * t19967 + t8296 * t1698 / 0.2e1 + 0.2e1 / 0.3e1 * t4533 * t1430 * t6958 * t8252 + t6960 * t2045 / 0.2e1 - t8296 * t1690 - t8296 * t1694 / 0.2e1 - t6960 * t2037 - t6960 * t2041 / 0.2e1 - t6965 * t2037 - t6965 * t2041 / 0.2e1 + 0.2e1 / 0.3e1 * t24346 * t1430 * t68149 + t6965 * t2045 / 0.2e1 - t1956 * t6871 - t45948 + t45950 - t373 * t8133 * t12493 / 0.2e1;
  t68190 = t66610 / 0.6e1 - t39906 * t6761 / 0.2e1 - 0.5e1 / 0.12e2 * t8063 * t61874 - t8214 * t61879 / 0.3e1 + t8063 * t62184 / 0.6e1 + t11646 * t4687 * t67695 + t11510 * t5695 * t67739 + t8063 * t5691 * t67691 / 0.3e1 + t46002 + t46004 - 0.61e2 / 0.27e2 * t55994 * t50318 * t66986 + 0.23e2 / 0.18e2 * t55984 * t13804 + 0.23e2 / 0.18e2 * t56003 * t13804 + 0.23e2 / 0.18e2 * t11399 * t50328 * t13742 + 0.23e2 / 0.18e2 * t11399 * t61814;
  t68215 = t29474 * t67381;
  t68228 = 0.23e2 / 0.36e2 * t11399 * t10358 * t67619 + 0.44e2 / 0.27e2 * t55994 * t50144 * t67623 - 0.4e1 * t11510 * t30121 * t13742 - 0.4e1 * t11510 * t5695 * t61813 - 0.2e1 * t11510 * t5695 * t67619 - 0.23e2 / 0.3e1 * t55987 * t10358 * t67623 - 0.11e2 / 0.9e1 * t55984 * t13801 - 0.11e2 / 0.9e1 * t56003 * t13801 - t66612 / 0.6e1 + t66624 / 0.3e1 + 0.47e2 / 0.3e1 * t50417 * t68215 - t34216 * t11552 / 0.3e1 - t34529 * t11552 / 0.3e1 - t6769 * t57206 / 0.3e1 - t6769 * t57378 / 0.3e1 - t6769 * t40764 / 0.6e1;
  t68258 = -0.11e2 / 0.18e2 * t10357 * t57658 + 0.2e1 / 0.3e1 * t34216 * t11556 + 0.2e1 / 0.3e1 * t34529 * t11556 - t29346 * t13560 - t5665 * t8457 * t12345 - t5665 * t2060 * t61319 - t5665 * t2060 * t62173 / 0.2e1 + 0.3e1 / 0.2e1 * t5649 * t13533 * t30589 - 0.2e1 / 0.3e1 * t8063 * t62895 + 0.3e1 / 0.2e1 * t57328 * t6834 - t57332 * t6837 - 0.3e1 / 0.2e1 * t57324 * t6824 + t39906 * t6828 + 0.3e1 / 0.2e1 * t51176 * t8238 - t51173 * t8241;
  t68265 = t34283 * t8210;
  t68271 = t1430 * t1954 * t12364;
  t68280 = t1430 * t1645 * t14770;
  t68291 = 0.6e1 * t55987 * t5691 * t66986 - 0.3e1 / 0.2e1 * t50860 * t8069 + t34833 * t8073 + t4686 * t68265 / 0.12e2 - t1956 * t6975 / 0.2e1 + 0.2e1 / 0.3e1 * t4533 * t68271 + t1956 * t6893 / 0.2e1 - t1647 * t8352 - t1647 * t8134 / 0.2e1 + 0.2e1 / 0.3e1 * t4533 * t68280 + t1647 * t8118 / 0.2e1 - t318 * t13691 / 0.2e1 + t66633 / 0.6e1 - t66635 / 0.18e2 - t66637 / 0.3e1 + t66639 / 0.3e1;
  t68322 = -t66641 / 0.3e1 - t66643 / 0.3e1 - t66645 / 0.3e1 - t1981 * t35128 / 0.12e2 + t555 * t33923 / 0.12e2 - 0.2e1 * t8091 * t1430 * t50170 + t6788 * t57398 - 0.2e1 * t6788 * t57400 - t66647 / 0.9e1 + t66651 / 0.9e1 - t8145 * t52058 / 0.2e1 - t1981 * t1423 * t66822 / 0.6e1 - t39365 * t2766 / 0.6e1 + t4176 * t2831 / 0.4e1 + t1070 * t13810 / 0.2e1;
  t68331 = t1430 * t13579;
  t68350 = t1070 * t13814 / 0.2e1 + t4183 * t2831 / 0.4e1 + t4274 * t2831 / 0.2e1 + t1647 * t8122 / 0.4e1 - t1002 * t68331 / 0.12e2 - t991 * t13580 / 0.12e2 - 0.4e1 / 0.9e1 * t66653 + t66655 / 0.3e1 - 0.2e1 * t66657 + t66658 / 0.3e1 + 0.2e1 / 0.3e1 * t8081 * t13869 - t1683 * t39733 / 0.12e2 - 0.5e1 / 0.36e2 * t6855 * t56157 - t1956 * t6978 / 0.4e1 - t1956 * t6873 / 0.2e1;
  t68371 = t1007 * t2820 * t333;
  t68382 = t4148 * t19840 * t333;
  t68390 = -t1647 * t8354 / 0.2e1 + t1956 * t7065 / 0.4e1 - t25243 * t2809 / 0.2e1 - t46025 + t8130 * t12540 / 0.3e1 + t1974 * t61800 / 0.3e1 - t1981 * t62302 / 0.3e1 - 0.35e2 / 0.3e1 * t11399 * t29468 * t67894 + 0.14e2 / 0.3e1 * t11399 * t10447 * t67884 - 0.6e1 * t4695 * t40682 * t68371 + t1974 * t50937 / 0.3e1 + t555 * t33919 / 0.6e1 + t1647 * t8249 / 0.2e1 + 0.3e1 * t30451 * t39825 * t68382 - 0.15e2 / 0.2e1 * t10513 * t8438 * t24477 * t67651;
  t68400 = t4148 * t19945 * t333;
  t68426 = 0.5e1 / 0.3e1 * t8063 * t30141 * t1018 * t61869 + 0.15e2 * t5639 * t8438 * t24418 * t67651 - 0.6e1 * t5649 * t39825 * t68400 + t8063 * t62030 / 0.3e1 + t46029 - t46030 - t46031 + 0.3e1 / 0.2e1 * t10513 * t8438 * t4609 * t66830 + t11510 * t30121 * t13563 + t11510 * t61129 + t11510 * t5695 * t66857 / 0.2e1 + t8219 * t50306 / 0.3e1 - t8063 * t50293 / 0.6e1 - t490 * t39238 / 0.6e1 - t490 * t39220 / 0.12e2 - t7043 * t1965 / 0.12e2;
  t68444 = t1173 * t67651;
  t68454 = t13390 * t988;
  t68458 = t13390 * t997;
  t68472 = -t46047 + 0.15e2 * t40315 * t68444 - 0.22e2 * t40318 * t1186 * t67651 - 0.2e1 / 0.9e1 * t57746 * t13480 - 0.2e1 / 0.9e1 * t11651 * t62594 - t11651 * t4586 * t68454 / 0.9e1 - t57753 * t51643 * t68458 / 0.9e1 + t559 * t62782 / 0.2e1 + 0.2e1 * t11656 * t62487 + 0.1e2 / 0.3e1 * t40455 * t62483 + 0.4e1 * t8511 * t62475 + 0.2e1 * t8511 * t62497;
  t68479 = t13390 * t4345;
  t68483 = t1173 * t68454;
  t68494 = -0.2e1 * t40455 * t1173 * t68479 + 0.4e1 * t11656 * t62493 + 0.2e1 * t11668 * t68483 + 0.4e1 * t40540 * t12565 + 0.4e1 * t58051 * t12569 + 0.12e2 * t57746 * t13400 - 0.2e1 * t40318 * t62663 - 0.6e1 * t40458 * t62524 - 0.6e1 * t58028 * t62528 - t46051 - t46053 - t46057;
  t68500 = t4599 * t68458;
  t68519 = t13390 * t4405;
  t68526 = 0.12e2 * t11651 * t62418 - 0.6e1 * t40315 * t62663 + 0.24e2 * t57753 * t68500 + 0.72e2 * t57964 * t1186 * t68458 + 0.12e2 * t40318 * t62439 + 0.2e1 / 0.3e1 * t40315 * t62435 + 0.12e2 * t40455 * t1186 * t68479 + 0.4e1 * t40540 * t13472 + 0.4e1 * t8511 * t62431 + 0.4e1 / 0.3e1 * t8508 * t62428 + 0.2e1 / 0.3e1 * t8508 * t1173 * t68519 - 0.5e1 / 0.18e2 * t40315 * t4586 * t67651;
  t68529 = t4586 * t68458;
  t68542 = t1173 * t68458;
  t68552 = t46124 + 0.4e1 * t11668 * t62418 + 0.8e1 / 0.3e1 * t57753 * t68529 - 0.12e2 * t11668 * t1186 * t68454 + 0.6e1 * t40458 * t360 * t67651 - 0.24e2 * t57762 * t13392 - 0.4e1 / 0.3e1 * t57746 * t13395 - 0.72e2 * t57967 * t68542 - 0.2e1 / 0.3e1 * t11651 * t4599 * t68454 - 0.2e1 * t8508 * t62626 + 0.6e1 * t11651 * t68483 - t46216 + t46238;
  t68562 = t2788 * t988;
  t68566 = t2788 * t997;
  t68572 = t46241 - t46260 - t46261 - t46263 - t8438 * t62652 / 0.18e2 + t2060 * t62703 + t46264 - 0.1e2 / 0.3e1 * t8438 * t62658 + 0.2e1 * t2060 * t62700 + 0.6e1 * t8460 * t1038 * t68562 - 0.4e2 * t40336 * t4619 * t68566 + 0.2e1 * t8457 * t12617;
  t68596 = 0.12e2 * t40367 * t13451 + 0.12e2 * t8460 * t62583 - 0.2e1 * t2056 * t62460 - t559 * t62604 - 0.6e1 * t40346 * t13455 - 0.6e1 * t8438 * t62682 - 0.3e1 * t8438 * t4572 * t68562 + 0.5e2 / 0.3e1 * t40324 * t24477 * t68566 - 0.2e1 * t8451 * t12623 - 0.2e1 * t559 * t62600 + t46272 + 0.4e1 / 0.3e1 * t8457 * t12584;
  t68615 = 0.2e1 / 0.3e1 * t2060 * t62767 + t40394 * t2792 + 0.2e1 * t8451 * t12603 + t2056 * t62796 + t8495 * t2647 / 0.2e1 - t40371 * t2796 - 0.2e1 * t8457 * t12598 - 0.4e1 * t8508 * t62480 - 0.4e1 * t40448 * t12572 + 0.4e1 / 0.3e1 * t40448 * t13477 + t46301 - t46303;
  t68616 = t2788 * t4405;
  t68639 = -t46318 - t46321 + 0.2e1 * t2060 * t4626 * t68616 - t2056 * t62464 - 0.2e1 * t2054 * t12626 + 0.4e1 * t8457 * t13460 + 0.4e1 * t2060 * t62586 - 0.4e1 / 0.3e1 * t2060 * t62443 + 0.2e1 * t2060 * t62447 + 0.2e2 / 0.3e1 * t8438 * t62451 - 0.4e1 / 0.3e1 * t8457 * t12635 - 0.2e1 / 0.3e1 * t2060 * t62468 + 0.4e1 * t8457 * t12638;
  t68671 = 0.2e2 / 0.3e1 * t40346 * t13437 + 0.1e2 / 0.3e1 * t40324 * t24557 * t68566 + 0.2e1 * t40371 * t2785 - t2056 * t1165 * t68616 - 0.8e1 / 0.3e1 * t8457 * t13441 - 0.8e1 / 0.3e1 * t2060 * t62674 - 0.4e1 / 0.3e1 * t2060 * t4572 * t68616 - 0.6e1 * t40428 * t13444 - 0.6e1 * t8443 * t62574 - 0.3e1 * t8443 * t356 * t68562 + 0.1e2 / 0.3e1 * t8438 * t4619 * t68562 - 0.2e1 * t40394 * t2778;
  t68694 = -0.4e1 * t8451 * t12643 - 0.8e1 * t8460 * t62552 + t8438 * t62544 / 0.9e1 - 0.8e1 * t40367 * t13428 + t40346 * t13419 / 0.9e1 - 0.2e1 * t8451 * t13447 - 0.2e1 * t2056 * t62578 - 0.24e2 * t11668 * t62512 - 0.4e1 / 0.3e1 * t11651 * t62687 + 0.4e1 * t40461 * t62591 - 0.5e1 * t40455 * t62509 + t46338;
  t68710 = t46363 + t46366 + t46381 - t46392 - t46393 - t2060 * t62791 + 0.2e1 / 0.3e1 * t40371 * t2789 + t2054 * t12576 - t2060 * t62571 / 0.3e1 + t8438 * t4609 * t68562 / 0.18e2 - 0.2e1 * t2056 * t62549 - 0.4e1 * t8460 * t1033 * t68562;
  t68722 = -t559 * t62532 - t40371 * t2781 / 0.3e1 - 0.2e1 / 0.3e1 * t8457 * t12555 - 0.2e1 * t2054 * t12633 - t8495 * t2637 + t46413 - t46418 + t46427 + t46428 - t46430 - 0.36e2 * t40329 * t1038 * t68566 + t46432 + t9676;
  t68754 = 0.36e2 * t40336 * t4572 * t68566 + 0.3e1 * t8438 * t62679 + 0.24e2 * t40329 * t1033 * t68566 - 0.2e1 / 0.3e1 * t40336 * t4609 * t68566 + 0.4e1 * t8460 * t62655 + 0.4e1 / 0.3e1 * t57967 * t68529 - t46433 - 0.8e1 * t40461 * t62719 + 0.5e1 / 0.9e1 * t40315 * t51878 * t67651 + 0.44e2 * t40318 * t46248 * t67651 + 0.1e2 / 0.3e1 * t40315 * t51889 * t67651 - 0.12e2 * t40458 * t46256 * t67651;
  t68755 = t46252 * t67651;
  t68769 = t2788 * t4345;
  t68773 = -0.22e2 / 0.3e1 * t40318 * t68755 - 0.5e1 / 0.3e1 * t40455 * t62716 - 0.3e2 * t40315 * t68755 + 0.1e2 * t40455 * t62710 - t46462 + t46464 + t46468 + t46478 - t46482 - t2229 - 0.6e1 * t8460 * t62668 + 0.12e2 * t40350 * t356 * t68566 + 0.4e1 * t2060 * t24435 * t68769;
  t68804 = -0.6e1 * t2060 * t24564 * t68769 + 0.3e1 * t559 * t62617 + 0.3e1 * t8443 * t62613 + 0.2e1 * t2056 * t4575 * t68769 - 0.12e2 * t40324 * t24418 * t68566 + 0.2e1 * t8511 * t360 * t68519 + 0.44e2 / 0.3e1 * t40318 * t68444 + 0.4e1 * t57762 * t13400 + 0.12e2 * t11663 * t62521 + 0.6e1 * t11663 * t360 * t68454 - 0.12e2 * t57964 * t68542 - 0.8e1 * t40448 * t13466;
  t68834 = -0.8e1 * t8508 * t62502 - 0.4e1 * t8508 * t1186 * t68519 - 0.5e2 / 0.3e1 * t40315 * t4599 * t67651 + 0.12e2 * t57952 * t13469 + 0.2e1 / 0.3e1 * t40448 * t12562 + 0.2e1 / 0.3e1 * t8508 * t62641 + t8508 * t62635 / 0.3e1 + t40315 * t62638 / 0.9e1 - 0.24e2 * t57984 * t360 * t68458 - 0.4e1 * t40461 * t360 * t68479 + 0.8e1 * t57967 * t68500 - 0.4e1 / 0.3e1 * t57753 * t24682 * t68458 + t2210;
  t68855 = -t1665 * t8563 / 0.6e1 - t1665 * t8602 / 0.6e1 - t1660 * t8602 / 0.6e1 - t7057 * t1965 / 0.12e2 - t7048 * t1965 / 0.6e1 - t1660 * t8563 / 0.6e1 - t110 * t13493 * t404 / 0.2e1 + t65596 + t65598 - t110 * t139 * (t68472 + t68494 + t68526 + t68552 + t68572 + t68596 + t68615 + t68639 + t68671 + t68694 + t68710 + t68722 + t68754 + t68773 + t68804 + t68834) * t168 / 0.4e1 - t1647 * t8105 / 0.4e1 + t1647 * t8114 / 0.4e1 - t1029 * t2025 * t62873 / 0.2e1 - t1029 * t39054 * t2808 / 0.2e1 - t1029 * t8246 * t12437;
  t68887 = -t4204 * t13842 - t25233 * t2809 / 0.2e1 - t4188 * t13839 - t4188 * t13842 - t4204 * t13839 - t25641 * t2809 - t4274 * t2814 - t4176 * t2814 / 0.2e1 + 0.2e1 / 0.3e1 * t8063 * t30121 * t13684 + t8063 * t5695 * t4693 * t67444 / 0.3e1 + 0.2e1 / 0.3e1 * t8063 * t61818 - t39976 * t13671 / 0.3e1 - t39979 * t13671 / 0.3e1 - t8063 * t29451 * t13670 / 0.3e1 - t8063 * t5679 * t67445 / 0.6e1 - t8063 * t61408 / 0.3e1;
  t68897 = t4191 * t67380;
  t68921 = -0.4e1 / 0.3e1 * t39976 * t13675 - 0.4e1 / 0.3e1 * t39979 * t13675 + t46564 - t46567 - t8337 * t1642 / 0.12e2 - t318 * t13771 / 0.2e1 - 0.62e2 / 0.3e1 * t50417 * t50318 * t68897 + t39976 * t12355 / 0.3e1 + t39979 * t12355 / 0.3e1 + t5665 * t559 * t61684 / 0.2e1 - t25376 * t13645 / 0.2e1 - t25561 * t13645 / 0.2e1 - t4695 * t40714 * t2667 / 0.4e1 - t4695 * t40037 * t2667 / 0.2e1 - t4695 * t8077 * t12493 / 0.2e1;
  t68939 = t29349 * t13718 + t29346 * t13718 + t5665 * t8451 * t13717 + t25376 * t13656 - t318 * t13688 / 0.2e1 + t8063 * t50504 / 0.2e1 + t65608 + t46583 + t46584 + t373 * t8600 * t1713 * t376 / 0.2e1 + t1058 * t13810 / 0.2e1 + t1058 * t13814 / 0.2e1 + t46594 - t46598 - t46601 + t46603;
  t68960 = -0.4e1 / 0.3e1 * t8063 * t5691 * t4693 * t67690 - t1946 * t7018 / 0.6e1 - t318 * t13494 / 0.2e1 - t46620 - t46621 + t46622 - 0.5e1 / 0.54e2 * t66678 + t66680 / 0.9e1 + t66682 / 0.9e1 + t66684 / 0.18e2 - t66686 / 0.9e1 - t66688 / 0.9e1 + 0.2e1 / 0.9e1 * t66690 - t66692 / 0.18e2 + t66694 / 0.18e2;
  t68973 = t11402 * t6786;
  t68980 = -t8219 * t62181 / 0.3e1 + 0.2e1 / 0.3e1 * t8063 * t5674 * t67691 + 0.2e1 * t11510 * t5679 * t67739 - t66701 / 0.9e1 + t66703 - t66705 / 0.3e1 + 0.2e1 * t66709 + 0.2e1 / 0.3e1 * t66710 + t66712 - t65610 - t65612 + t46631 + t46632 + 0.3e1 * t5649 * t68973 * t5635 - 0.3e1 * t4695 * t68973 * t5728 + t46639;
  t69012 = 0.14e2 / 0.3e1 * t55984 * t13743 + 0.14e2 / 0.3e1 * t56003 * t13743 + t8063 * t61911 / 0.3e1 + t8063 * t61729 / 0.3e1 + t8063 * t62818 / 0.6e1 + 0.11e2 / 0.18e2 * t11399 * t61468 - 0.2e1 / 0.3e1 * t39976 * t12523 - 0.2e1 / 0.3e1 * t39979 * t12523 - 0.2e1 / 0.3e1 * t8063 * t30011 * t12522 - t46650 - t46651 + 0.5e1 / 0.2e1 * t5665 * t2060 * t61945 - t4695 * t8072 * t61961 - t10357 * t56203 / 0.2e1 - 0.6e1 * t50541 * t40324 * t24582 * t66887;
  t69047 = -t55984 * t13739 - t56003 * t13739 - t11399 * t30011 * t13563 - t11399 * t61723 - t11399 * t5691 * t66857 / 0.2e1 - 0.38e2 / 0.9e1 * t55994 * t29474 * t66986 + t4695 * t13659 * t30627 + 0.22e2 / 0.3e1 * t11510 * t5691 * t67894 + 0.15e2 / 0.2e1 * t11399 * t29474 * t4191 * t67651 - 0.3e1 * t11399 * t10358 * t5647 * t67738 - 0.11e2 / 0.3e1 * t11510 * t5674 * t67695 - t43495 + t65616 - 0.5e1 / 0.6e1 * t8063 * t61942 - t373 * t39195 * t2667 / 0.4e1 - t13591 * t1085 / 0.4e1;
  t69079 = -t46654 + t46656 - 0.18e2 * t5639 * t40329 * t1033 * t66887 - t1070 * t13787 / 0.2e1 - t1070 * t13790 / 0.2e1 - t373 * t2036 * t62391 / 0.2e1 - t373 * t8351 * t12504 + t1956 * t6912 / 0.2e1 + t8063 * t50297 / 0.4e1 + t8214 * t34284 / 0.6e1 - t8219 * t50302 / 0.3e1 - t6764 * t56651 / 0.3e1 + t6764 * t56642 / 0.3e1 + t6772 * t40146 / 0.6e1 - t6769 * t56638 / 0.6e1;
  t69106 = t6769 * t56646 / 0.4e1 - t11646 * t6005 * t66857 / 0.2e1 - 0.3e1 * t56113 * t5695 * t66986 - t40730 * t13571 / 0.3e1 - t40161 * t13571 / 0.3e1 + 0.25e2 / 0.36e2 * t11399 * t29474 * t67695 - t9709 + t9712 + t66738 / 0.3e1 + 0.2e1 / 0.3e1 * t66740 + t66742 / 0.9e1 - t66744 / 0.3e1 - t66746 / 0.6e1 - 0.5e1 / 0.18e2 * t11399 * t10358 * t67739 + 0.2e1 / 0.3e1 * t8219 * t61871 - t34276 * t2026;
  t69122 = t1094 * t67282 * t1096;
  t69126 = t1101 * t33917 * t1963;
  t69129 = t6965 * t2029 - t34477 * t2026 + t6960 * t2029 - t40223 * t1675 + t8296 * t1679 - t40091 * t1675 + t8287 * t1679 - t6955 * t8580 + t1647 * t8247 - t8280 * t6802 + t1956 * t6910 - t1070 * t13780 - t1058 * t13780 + t338 * t69122 / 0.12e2 - t338 * t69126 / 0.6e1;
  t69146 = t321 * t369 * t2798 * t1026;
  t69150 = t1009 * t2799 * t1018;
  t69153 = t1014 * t2800;
  t69166 = t6960 * t1969 / 0.2e1 - t66748 / 0.6e1 - t66750 / 0.6e1 + t29349 * t13642 + t29346 * t13642 + t5665 * t2054 * t12724 + t5665 * t559 * t61681 - t13591 * t1048 / 0.2e1 + t13591 * t1040 / 0.2e1 - t69146 * t1035 / 0.2e1 + t1002 * t69150 / 0.3e1 - t1002 * t69153 / 0.6e1 - t110 * t1736 * t2021 / 0.2e1 + t8219 * t9444 * t67043 / 0.3e1 - t8063 * t30134 * t67043 + t8214 * t62249 / 0.2e1;
  t69173 = my_piecewise3(t100, 0, t67999 + t67903 + t68887 + t66912 + t66881 + t66856 + t66985 + t68228 + t67780 + t67289 + t68258 + t68350 + t67121 + t68096 + t67453 + t68190 + t66944 + t68022 + t67465 + t67668 + t67826 + t68426 + t67969 + t67496 + t69129 + t67530 + t67352 + t67325 + t68939 + t67199 + t67475 + t67084 + t67709 + t68129 + t68960 + t68322 + t67157 + t67258 + t67097 + t67591 + t67016 + t68159 + t67747 + t67840 + t67633 + t69106 + t67423 + t69079 + t67218 + t67387 + t69047 + t69166 + t68291 + t68855 + t67040 + t68065 + t68921 + t67931 + t68980 + t67864 + t69012 + t67067 + t67566 + t68390);
  tv4rho2lapltau11 = t3 * t69173 + 0.2e1 * t13883;

  if(out->v4rho2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2lapltau[ip*p->dim.v4rho2lapltau + 11] += tv4rho2lapltau11;

  t69185 = t11224 * t7231;
  t69199 = 0.2e1 / 0.3e1 * t1815 * t52514 - 0.2e1 * t7600 * t1793 - t7600 * t1798 - t41020 + t41030 - t1779 * t52602 / 0.3e1 - t515 * t35774 / 0.3e1 - 0.2e1 * t4993 * t69185 * t1269 - t4993 * t14120 * t4794 + 0.2e1 * t21744 * t14123 + 0.4e1 / 0.3e1 * t7251 * t53048 + 0.4e1 / 0.3e1 * t7251 * t52748 + 0.2e1 / 0.3e1 * t7251 * t35958;
  t69208 = t3242 * t2915;
  t69210 = t3247 * t2915;
  t69213 = t3232 * t2915 / 0.9e1;
  t69214 = t2851 * t621;
  t69219 = t1745 * t206;
  t69220 = t95 * t69219;
  t69228 = 0.23e2 / 0.18e2 * t10757 * t52753 - 0.2e1 * t26211 * t14121 - 0.2e1 / 0.3e1 * t7251 * t53102 - 0.2e1 / 0.3e1 * t7251 * t53106 + t69208 / 0.3e1 + t69210 / 0.3e1 - t69213 - t2089 + t2160 + t4772 * t1872 * t788 * t69214 / 0.2e1 - 0.5e1 / 0.9e1 * t10757 * t9744 * t69220 + 0.2e1 / 0.3e1 * t37284 * t11167 + 0.2e1 / 0.3e1 * t37275 * t11167;
  t69230 = t22052 * t14063;
  t69232 = t22052 * t14066;
  t69235 = t2836 * t20825;
  t69237 = t191 * t20823 * t69235;
  t69244 = t2836 * t20811;
  t69246 = t191 * t3135 * t69244;
  t69249 = t20842 * t69235;
  t69258 = t637 * t14234;
  t69260 = t37357 * t11221;
  t69264 = -0.2e1 / 0.3e1 * t69230 - t69232 / 0.3e1 - t7196 * t54139 - 0.2e1 * t69237 * t41035 - 0.38e2 / 0.9e1 * t69237 * t42645 + 0.89e2 / 0.9e1 * t69237 * t42650 + 0.6e1 * t69246 * t4869 - 0.6e1 * t20841 * t69249 * t41045 + 0.18e2 * t3167 * t69249 * t41050 + 0.3e1 * t1770 * t7206 + t69258 / 0.6e1 + 0.4e1 / 0.9e1 * t69260 - 0.4e1 * t10838 * t52243;
  t69265 = t2888 * t66;
  t69267 = t843 * t69265 * t830;
  t69271 = t836 * t69265 * t838;
  t69289 = -t211 * t69267 / 0.6e1 + t211 * t69271 / 0.12e2 + t41124 - t41132 - t41134 + t7243 * t53901 + t515 * t35889 / 0.6e1 - t515 * t35848 / 0.6e1 - t1750 * t7374 / 0.3e1 - t7564 * t1807 / 0.6e1 - t1755 * t7374 / 0.3e1 - 0.2e1 / 0.3e1 * t2844 * t21930 + t2844 * t21895 / 0.3e1;
  t69296 = t37357 * t10884;
  t69298 = t222 * t14394;
  t69303 = t191 * t242 * t14392 * t243;
  t69306 = t1745 * t1745;
  t69307 = t680 * t69306;
  t69310 = t3209 * t2843;
  t69326 = -t7549 * t1807 / 0.6e1 - t7546 * t1807 / 0.3e1 - t69296 / 0.9e1 - t211 * t69298 / 0.6e1 + t69303 * t250 / 0.2e1 + t246 * t69307 * t690 - t69310 * t667 / 0.6e1 - t69310 * t662 / 0.12e2 - t13955 * t3175 / 0.6e1 - t2844 * t21577 / 0.12e2 + t13966 * t645 / 0.3e1 + t2839 * t3096 / 0.6e1 + t3209 * t2838 * t223 / 0.6e1;
  t69339 = t512 * t1745;
  t69340 = t670 * t69339;
  t69348 = t94 * t2836;
  t69349 = t244 * t69348;
  t69350 = t1261 * t69349;
  t69355 = t606 * t69348;
  t69359 = t4851 * t69349;
  t69365 = -t515 * t36969 / 0.6e1 - t7564 * t1765 / 0.6e1 - t1755 * t7606 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t14265 * t3492 - 0.3e1 * t4772 * t14313 * t4774 + 0.28e2 / 0.3e1 * t26808 * t9845 * t69340 - 0.12e2 * t4772 * t7680 * t689 * t69219 - 0.4e1 * t43261 * t69350 - 0.6e1 * t608 * t14026 + 0.14e2 / 0.3e1 * t41080 * t4851 * t69355 + 0.14e2 / 0.3e1 * t41185 * t69359 - 0.6e1 * t630 * t14026 - t3061 * t13995;
  t69367 = t3384 * t2869;
  t69381 = t677 * t69348;
  t69382 = t4808 * t69381;
  t69396 = t14187 * t206;
  t69397 = t95 * t69396;
  t69401 = t2836 * t794;
  t69406 = -t679 * t69367 * t684 / 0.2e1 + 0.2e1 * t3061 * t13993 + t679 * t13885 * t21484 - t3070 * t13995 + 0.6e1 * t3061 * t13990 + 0.3e1 * t679 * t13989 * t4794 + 0.18e2 * t41105 * t69382 + 0.2e1 * t3070 * t13993 - t679 * t1784 * t659 * t660 * t7555 - t37275 * t14274 / 0.3e1 - t7254 * t20724 * t14125 / 0.3e1 - t7254 * t3273 * t69397 / 0.3e1 + 0.15e2 / 0.2e1 * t26808 * t26189 * t3156 * t69401;
  t69407 = t4784 * t2842;
  t69418 = t1745 * t794;
  t69423 = t7351 * t7509;
  t69427 = t7351 * t1753;
  t69430 = t36908 * t513;
  t69433 = t36908 * t1791;
  t69448 = 0.2e1 * t4993 * t69407 * t3362 - 0.6e1 * t26808 * t9744 * t3156 * t69339 - 0.2e1 * t4993 * t7457 * t13986 + 0.4e1 * t4983 * t1876 * t3130 * t69418 - 0.2e1 * t3266 * t69423 * t1281 - t3266 * t69427 * t826 - t3266 * t69430 * t826 - 0.2e1 * t3266 * t69433 * t1281 - t36004 * t7362 + 0.2e1 * t52942 * t7452 - 0.2e1 * t36004 * t7450 - 0.2e1 * t7251 * t52929 + 0.4e1 / 0.3e1 * t7251 * t52933 - 0.2e1 / 0.3e1 * t7251 * t53032;
  t69452 = t26551 * t13906;
  t69462 = t2932 * t193;
  t69469 = t7611 * t1802;
  t69472 = -0.6e1 * t4993 * t69452 * t8933 + 0.3e1 * t3266 * t69452 * t8922 - 0.15e2 / 0.2e1 * t4772 * t14328 * t42440 - t3266 * t69462 * t209 * t826 / 0.4e1 + t4772 * t1870 * t13936 - t41224 + t41227 + t41230 - t41239 - t41251 - t41263 + t69469 / 0.3e1 + t1770 * t7413;
  t69475 = t7611 * t1798;
  t69479 = t7611 * t1793;
  t69481 = t7276 * t10818;
  t69485 = 0.3e1 * t1770 * t7420 - t69475 / 0.3e1 - 0.4e1 * t7243 * t52535 - 0.2e1 / 0.3e1 * t69479 + 0.4e1 / 0.9e1 * t69481 + 0.2e1 * t7243 * t52511 - t41265 - t41267 + t41291 - t41293 - t41295 - t41297 + t41299;
  t69489 = t4808 * t7585 * t37476;
  t69499 = t25709 * t69349;
  t69510 = t1760 * t14190;
  t69512 = t7633 * t2854;
  t69514 = t1760 * t14155;
  t69516 = -t7587 * t7387 - 0.3e1 * t20926 * t69489 - 0.3e1 / 0.2e1 * t13908 * t21639 - 0.43e2 / 0.9e1 * t69237 * t42660 + 0.3e1 / 0.2e1 * t246 * t14030 * t20752 + 0.47e2 / 0.3e1 * t41095 * t69499 - 0.28e2 * t41105 * t69359 - 0.3e1 * t246 * t13989 * t4828 - t627 * t14400 / 0.3e1 + t7592 * t1811 + t69510 / 0.18e2 + t69512 / 0.18e2 + t69514 / 0.18e2;
  t69517 = t95 * t69418;
  t69524 = t37357 * t14126;
  t69526 = t11224 * t7241;
  t69530 = t22052 * t14123;
  t69552 = 0.4e1 / 0.3e1 * t7251 * t5175 * t69517 - 0.2e1 * t11019 * t4762 * t69220 + t69524 / 0.9e1 - 0.6e1 * t3266 * t69526 * t4903 + 0.2e1 / 0.3e1 * t69530 + 0.6e1 * t4993 * t69526 * t4918 + 0.44e2 / 0.27e2 * t69237 * t41660 - 0.11e2 / 0.18e2 * t13908 * t41120 - 0.61e2 / 0.27e2 * t69237 * t41657 - 0.62e2 / 0.3e1 * t69237 * t58605 + 0.8e1 * t69237 * t59597 + 0.3e1 * t36012 * t7200 - 0.6e1 * t7587 * t7203 - 0.2e1 / 0.3e1 * t7254 * t3273 * t69517;
  t69564 = t21192 * t2899;
  t69566 = t21198 * t2899;
  t69568 = t3242 * t2907;
  t69570 = t3247 * t2907;
  t69572 = t3231 * t2843;
  t69574 = 0.2e1 / 0.27e2 * t69572 * t672;
  t69578 = t3232 * t2907 / 0.9e1;
  t69579 = t7611 * t1747;
  t69581 = -t3101 * t2907 / 0.2e1 - t3220 * t2907 / 0.2e1 + t3101 * t2915 / 0.2e1 + t3220 * t2915 / 0.2e1 + t3226 * t2915 - t69564 / 0.3e1 - t69566 / 0.3e1 - t69568 / 0.3e1 - t69570 / 0.3e1 - t69574 - t679 * t69307 * t684 + t69578 + t69579 / 0.3e1;
  t69587 = t637 * t13982;
  t69589 = t637 * t13978;
  t69591 = t3247 * t2903;
  t69593 = t247 * t13892;
  t69597 = t3242 * t2903;
  t69599 = t3247 * t2912;
  t69603 = t13952 * t845;
  t69607 = t1760 * t7215;
  t69609 = t7183 * t10985;
  t69611 = t2844 * t21738 / 0.3e1 - 0.3e1 * t679 * t13885 * t21338 + t69587 / 0.3e1 + t69589 / 0.3e1 + t69591 / 0.3e1 - 0.6e1 * t246 * t69593 * t4914 + t69597 / 0.3e1 - t69599 / 0.6e1 - 0.5e1 / 0.18e2 * t7196 * t52254 + t69603 / 0.9e1 - t515 * t35421 / 0.3e1 + t69607 / 0.9e1 + 0.2e1 / 0.9e1 * t69609;
  t69633 = t626 * t13907;
  t69643 = -t7187 * t52804 - t2844 * t21892 / 0.6e1 + t2844 * t21956 / 0.3e1 - 0.2e1 * t3266 * t69407 * t3410 - 0.4e1 * t4772 * t1876 * t3556 * t69418 - 0.2e1 / 0.3e1 * t36448 * t14130 - 0.2e1 / 0.3e1 * t36429 * t14130 + t246 * t35550 * t518 * t249 / 0.2e1 - t69633 * t8742 + t246 * t7400 * t1869 * t249 + t3101 * t2903 / 0.2e1 + t608 * t13978 - 0.11e2 / 0.9e1 * t69633 * t8940;
  t69647 = t626 * t13893;
  t69658 = t2851 * t592;
  t69676 = t3226 * t2903 - 0.2e1 / 0.3e1 * t1779 * t53187 + 0.2e1 * t69647 * t1257 - t13908 * t41138 + t41340 + t7248 * t3273 * t253 * t276 * t14187 / 0.6e1 - 0.5e1 / 0.18e2 * t10757 * t54417 - 0.3e1 / 0.2e1 * t9877 * t7686 * t20876 * t69658 + 0.2e1 / 0.3e1 * t7254 * t54359 + 0.2e1 / 0.3e1 * t7254 * t54367 + t7254 * t54280 / 0.3e1 + t10838 * t54283 + t37301 * t7358 / 0.3e1 - t246 * t1792 * t219 * t221 * t7555;
  t69681 = t13943 * t3525;
  t69683 = t633 * t13907;
  t69684 = t69683 * t8711;
  t69690 = t7276 * t13901;
  t69699 = t3428 * t7241;
  t69704 = t21298 * t7194;
  t69710 = t789 * t7509;
  t69715 = t789 * t1777;
  t69722 = t3428 * t7231;
  t69726 = t789 * t1753;
  t69737 = -0.8e1 * t7452 - 0.4e1 * t14166 * t3492 - 0.8e1 * t69699 * t4918 + 0.4e1 / 0.3e1 * t14169 * t4794 + 0.16e2 / 0.9e1 * t69704 * t4846 - 0.2e1 * t14172 * t3447 - 0.2e1 * t7462 - 0.8e1 * t69710 * t1281 + 0.4e1 * t14172 * t3468 + 0.12e2 * t69715 * t4914 + 0.4e1 * t14169 * t4828 - 0.12e2 * t14169 * t27541 + 0.8e1 * t69722 * t1274 + 0.12e2 * t7454 - 0.4e1 * t69726 * t826 + 0.8e1 / 0.3e1 * t69722 * t1269 + 0.12e2 * t69704 * t4863 - 0.24e2 * t69699 * t4903 + 0.32e2 / 0.3e1 * t69704 * t4856;
  t69749 = t3139 * t3144 * t512;
  t69757 = t7664 * t651;
  t69760 = t518 * t651;
  t69767 = t1875 * t3076;
  t69770 = t7685 * t3118;
  t69774 = t3139 * t3124 * t512;
  t69781 = t1869 * t595;
  t69786 = 0.8e1 * t14166 * t26336 - 0.4e1 * t14169 * t27536 - 0.2e1 * t7659 * t222 - 0.4e1 * t14184 * t4828 + 0.4e1 / 0.3e1 * t8661 * t13986 + 0.2e2 / 0.9e1 * t41441 * t69749 + 0.2e1 * t789 * t7555 * t249 + 0.2e1 / 0.3e1 * t21295 * t14160 - 0.8e1 * t69757 * t1274 - 0.12e2 * t69760 * t4914 - 0.4e1 * t521 * t3468 - 0.4e1 * t41444 * t14160 + 0.24e2 * t69767 * t4903 - 0.12e2 * t69770 * t4863 + 0.4e1 / 0.3e1 * t41441 * t69774 + 0.4e1 * t14179 * t3492 + 0.2e1 * t521 * t3447 + 0.8e1 * t69781 * t1281 + 0.4e1 * t1884 * t826;
  t69787 = t69737 + t69786;
  t69807 = t69681 / 0.9e1 - 0.5e1 / 0.54e2 * t69684 + t2839 * t3386 / 0.6e1 + 0.3e1 * t630 * t14266 - t69690 / 0.9e1 + t13894 * t4893 / 0.2e1 + 0.5e1 / 0.3e1 * t69246 * t4890 + t515 * t836 * t837 * t94 * t69787 / 0.12e2 - t1779 * t35356 / 0.6e1 + t515 * t836 * t21350 * t2852 / 0.12e2 + t515 * t836 * t3389 * t14188 / 0.6e1 + t1755 * t14155 / 0.6e1 + t1755 * t14190 / 0.6e1;
  t69810 = t637 * t13886;
  t69814 = t637 * t14250;
  t69818 = t626 * t13914;
  t69822 = t30 * t14318;
  t69831 = t1750 * t14155 / 0.6e1 - 0.2e1 / 0.3e1 * t69810 - t246 * t14249 * t3468 + t69814 / 0.3e1 + 0.2e1 / 0.3e1 * t7742 * t13911 - t69818 * t1295 - t13966 * t840 / 0.3e1 - 0.11e2 / 0.6e1 * t69822 * t4879 + t41361 + t608 * t14250 + t246 * t14249 * t3447 / 0.2e1 - t630 * t14254 - t608 * t14254;
  t69859 = 0.2e1 * t630 * t14247 + 0.2e1 * t608 * t14247 + t246 * t1784 * t659 * t665 * t7555 - 0.2e1 * t608 * t13886 - t246 * t13885 * t21479 + t630 * t13889 + t608 * t13889 + t246 * t69367 * t690 / 0.2e1 + t7546 * t2854 / 0.6e1 + 0.3e1 * t246 * t13885 * t21345 - 0.2e1 * t21748 * t14063 - t21748 * t14066 - t21744 * t14066;
  t69892 = -0.2e1 * t21744 * t14063 - 0.8e1 * t42312 * t4873 * t69340 + 0.6e1 * t4772 * t7690 * t229 * t69219 + t26266 * t13937 - t21748 * t13940 / 0.2e1 + t26266 * t13932 + t26260 * t13937 - t21744 * t13940 / 0.2e1 + t246 * t1805 * t7658 * t249 / 0.2e1 - t608 * t14237 / 0.2e1 - t246 * t35461 * t2911 / 0.4e1 - t246 * t7525 * t14241 / 0.2e1 - t630 * t14242 / 0.2e1 - t608 * t14242 / 0.2e1;
  t69895 = t7276 * t10990;
  t69897 = t3115 * t69244;
  t69905 = t7567 * t1765 / 0.27e2;
  t69924 = -t69895 / 0.9e1 + 0.36e2 * t679 * t69897 * t4856 - t246 * t247 * t69306 * t597 + t69905 - t7549 * t1765 / 0.6e1 - t7546 * t1765 / 0.3e1 - t1750 * t7606 / 0.3e1 - t2844 * t21044 / 0.6e1 + t2844 * t21665 / 0.3e1 - t13955 * t3056 / 0.3e1 + t37006 * t530 / 0.2e1 + t69310 * t672 / 0.3e1 + 0.2e1 / 0.3e1 * t13955 * t3091;
  t69927 = t661 * t2890;
  t69932 = t37082 * t7358;
  t69934 = t22052 * t13940;
  t69936 = t26467 * t13932;
  t69938 = t26467 * t13937;
  t69940 = t7276 * t10814;
  t69942 = t69683 * t8742;
  t69950 = t95 * t69214;
  t69954 = t95 * t69658;
  t69958 = t14011 * t623 / 0.4e1 - t654 * t69927 / 0.12e2 - t642 * t14006 / 0.12e2 + t69932 / 0.9e1 - t69934 / 0.6e1 + t69936 / 0.3e1 + t69938 / 0.3e1 - 0.2e1 / 0.9e1 * t69940 - t69942 / 0.3e1 + t7251 * t26778 * t14125 / 0.3e1 + t7251 * t5175 * t69397 / 0.3e1 + t7251 * t5175 * t69950 / 0.6e1 + 0.11e2 / 0.18e2 * t10757 * t26847 * t69954;
  t69964 = t36464 * t7357;
  t69967 = t3242 * t2912;
  t69969 = t637 * t14254;
  t69971 = t1254 * t14399;
  t69975 = t1261 * t1768 * t1805;
  t69980 = t637 * t14242;
  t69986 = t637 * t14237;
  t69988 = 0.2e1 * t21748 * t14123 - t36004 * t7353 / 0.2e1 + t3272 * t69964 / 0.6e1 - t69967 / 0.6e1 - t69969 / 0.3e1 - t654 * t69971 / 0.3e1 + 0.2e1 / 0.3e1 * t654 * t69975 - t7587 * t7481 + t1770 * t7484 - t69980 / 0.6e1 - t246 * t14228 * t779 * t597 / 0.2e1 - t69986 / 0.6e1 + t41555;
  t69989 = t7611 * t1811;
  t69994 = t634 * t14400;
  t70006 = t4784 * t13892;
  t70012 = t41557 + t41560 + t41567 - t41569 + t69989 / 0.3e1 - t1770 * t7468 + t603 * t14400 / 0.3e1 - t69994 / 0.9e1 + t608 * t13982 + 0.6e1 * t246 * t69249 * t41637 - 0.18e2 * t246 * t69897 * t4863 - 0.18e2 * t679 * t69249 * t41633 - 0.6e1 * t3266 * t70006 * t1274 - t627 * t14006 / 0.6e1;
  t70016 = t626 * t14010;
  t70021 = t36997 * t530;
  t70024 = t21203 * t2899 / 0.9e1;
  t70025 = t666 * t2890;
  t70030 = t191 * t649 * t69306 * t651;
  t70044 = t70016 * t250 / 0.2e1 - t21048 * t2899 / 0.2e1 + t70021 / 0.3e1 + t70024 - t654 * t70025 / 0.6e1 - t70030 * t667 / 0.3e1 + 0.2e1 / 0.3e1 * t70030 * t672 - t21062 * t2899 + t1770 * t7557 / 0.2e1 - t21053 * t2899 / 0.2e1 + t7600 * t1747 + t7592 * t1747 + t37219 * t530 / 0.2e1;
  t70058 = t670 * t69658;
  t70062 = t37214 * t530 - t3226 * t2907 - 0.2e1 / 0.3e1 * t7251 * t26056 * t14129 - 0.2e1 / 0.3e1 * t7251 * t4877 * t670 * t69396 - t7251 * t4877 * t670 * t69214 / 0.3e1 - 0.23e2 / 0.36e2 * t10757 * t26189 * t70058 + t41593 - t41597 - t41610 - t41612 + t41624 - t41629 + t41651;
  t70065 = t3360 * t20239 * t206;
  t70068 = t13930 * t794;
  t70080 = t670 * t69401;
  t70105 = -t41653 + t41656 + t4993 * t7457 * t70065 - 0.5e1 / 0.2e1 * t4983 * t1876 * t22290 * t70068 - 0.3e1 * t4983 * t7680 * t3130 * t69658 + 0.11e2 * t4772 * t14318 * t4780 - 0.35e2 / 0.3e1 * t26808 * t26847 * t70080 + 0.2e1 / 0.3e1 * t7251 * t4877 * t69517 + 0.12e2 * t4983 * t7680 * t683 * t69219 - 0.11e2 * t4983 * t14318 * t21947 + 0.6e1 * t4993 * t70006 * t1269 - 0.12e2 * t4983 * t7686 * t3125 * t69219 + 0.6e1 * t4772 * t7686 * t3130 * t69219;
  t70108 = t53260 * t7194;
  t70118 = t2851 * t3461;
  t70123 = t37357 * t14281;
  t70129 = -t41717 + t41719 - t41720 - t7248 * t36919 / 0.3e1 - 0.6e1 * t4993 * t70108 * t4856 + 0.3e1 * t3266 * t70108 * t4863 + t10757 * t26405 * t69954 / 0.2e1 + t7248 * t42389 * t95 * t70118 / 0.2e1 + t70123 / 0.18e2 - t7251 * t52566 / 0.3e1 - t41729 - t41735 - t41737 + t7251 * t53361 / 0.2e1;
  t70135 = t1760 * t7262;
  t70137 = t3051 * t13987;
  t70139 = t3051 * t13993;
  t70141 = t41721 * t69382;
  t70144 = params->at * t14109;
  t70153 = t188 * t13920;
  t70155 = t41763 - t41765 - 0.4e1 * t41383 * t1261 * t69355 - t70135 / 0.9e1 - 0.2e1 / 0.3e1 * t70137 + 0.2e1 / 0.3e1 * t70139 - t70141 + t608 * t14234 / 0.2e1 + t246 * t70144 * t226 * t249 / 0.2e1 + t246 * t14228 * t776 * t249 / 0.4e1 - t70153 / 0.6e1 + t41776 - t41777;
  t70161 = t52758 * t1777;
  t70173 = t30 * t14328;
  t70177 = 0.2e1 * t3266 * t14062 * t26336 - 0.2e1 * t26896 * t14121 - 0.2e1 * t4993 * t70161 * t1269 + t1750 * t7215 / 0.3e1 - t7228 * t10990 / 0.3e1 - 0.11e2 / 0.9e1 * t13908 * t41169 - t41813 - t41835 - t41838 - t182 * t14069 + t7251 * t53028 - t70173 * t41939 + 0.5e1 / 0.2e1 * t70173 * t41714;
  t70204 = -t1770 * t7513 + 0.2e1 / 0.3e1 * t1779 * t35353 + 0.23e2 / 0.18e2 * t7196 * t53077 - t1779 * t53082 / 0.3e1 - 0.11e2 / 0.9e1 * t7196 * t53087 + 0.7e1 / 0.3e1 * t13908 * t21885 - t13908 * t20927 / 0.2e1 + 0.23e2 / 0.36e2 * t13908 * t41115 - 0.2e1 / 0.3e1 * t7254 * t53349 - 0.2e1 * t7587 * t7385 - 0.6e1 * t3061 * t14041 + 0.3e1 * t608 * t14031 - 0.6e1 * t3070 * t14041;
  t70207 = t3051 * t14041;
  t70209 = t637 * t14031;
  t70210 = t3051 * t13990;
  t70212 = t21994 * t14038;
  t70213 = t637 * t14263;
  t70215 = t637 * t14266;
  t70216 = t41329 * t69350;
  t70227 = t769 * t2895 / 0.9e1;
  t70228 = 0.3e1 * t630 * t14031 - 0.2e1 * t70207 + t70209 + 0.2e1 * t70210 + t70212 - 0.2e1 / 0.3e1 * t70213 + t70215 - 0.4e1 / 0.3e1 * t70216 + t41887 + 0.2e1 * t3266 * t70161 * t1274 + 0.2e1 * t3266 * t69185 * t1274 + t3266 * t14120 * t4828 - t41938 + t70227;
  t70239 = t14269 * t206;
  t70240 = t253 * t70239;
  t70244 = t95 * t70068;
  t70265 = -t41949 + t8740 - t7248 * t8790 * t253 * t14269 * t794 / 0.3e1 + t7251 * t4877 * t70240 / 0.6e1 + 0.2e1 / 0.3e1 * t7254 * t8790 * t70244 - t7254 * t3273 * t70240 / 0.3e1 - t7233 * t10990 / 0.3e1 - t1755 * t7262 / 0.3e1 - t1750 * t7262 / 0.3e1 + 0.2e1 / 0.3e1 * t7746 * t10985 + 0.2e1 / 0.3e1 * t7742 * t10985 - t7251 * t36878 / 0.3e1 - 0.11e2 / 0.9e1 * t10757 * t53111;
  t70272 = t3232 * t2912 / 0.18e2;
  t70274 = t843 * t7213 * t7400;
  t70279 = t843 * t35347 * t1805;
  t70295 = -t30 * t14393 * t277 / 0.2e1 + 0.6e1 * t3070 * t13990 + t70272 - t211 * t70274 / 0.3e1 + t1770 * t7406 - t211 * t70279 / 0.3e1 + t7600 * t1811 - t3101 * t2912 / 0.4e1 + t1770 * t7219 / 0.2e1 - t1750 * t7402 / 0.3e1 - t1755 * t7402 / 0.3e1 - t515 * t35538 / 0.3e1 - t515 * t35552 / 0.6e1;
  t70297 = t1261 * t14399;
  t70312 = t7351 * t1777;
  t70319 = -t654 * t70297 / 0.6e1 - t642 * t14400 / 0.6e1 + t1770 * t7503 / 0.2e1 - t1770 * t7529 / 0.2e1 - 0.3e1 / 0.2e1 * t4772 * t7690 * t788 * t69658 + t3266 * t14065 * t3468 + 0.3e1 * t3266 * t70312 * t4914 - 0.3e1 * t3266 * t14120 * t27541 + t42102 + t42104 + t42106 - t42116 - t42155;
  t70321 = t769 * t2890 / 0.18e2;
  t70322 = t188 * t14394;
  t70336 = t1261 * t1768 * t13899;
  t70347 = t70321 - t70322 / 0.6e1 - t246 * t3384 * t2865 * t597 / 0.2e1 - t3220 * t2912 / 0.4e1 - t3226 * t2912 / 0.2e1 - 0.3e1 * t41185 * t69382 - t1770 * t7526 + 0.4e1 / 0.3e1 * t3396 * t70336 + t1770 * t7520 - 0.2e1 * t1770 * t7511 + 0.4e1 / 0.3e1 * t3396 * t1261 * t7598 * t37476 + t7600 * t1802 - t42162 - t42164;
  t70352 = t62 * t1745;
  t70353 = t70352 * t206;
  t70357 = t70352 * t794;
  t70361 = t802 * t70353;
  t70364 = t2865 * t27411;
  t70373 = t14327 * t27100;
  t70384 = t2869 * t27218;
  t70389 = t14357 * t621;
  t70393 = t14357 * t592;
  t70400 = t802 * t70393;
  t70419 = 0.44e2 * t70384 * t5025 - 0.22e2 / 0.3e1 * t70384 * t5023 + t7651 * t802 * t70389 / 0.3e1 + t36092 * t3590 * t70393 / 0.9e1 + 0.2e1 * t7655 * t233 * t70389 - 0.2e1 * t36194 * t70400 + 0.2e1 * t11138 * t233 * t14357 * t3445 - 0.2e1 * t7651 * t815 * t70389 + 0.2e1 / 0.3e1 * t36092 * t3580 * t70393 + 0.8e1 / 0.3e1 * t7651 * t802 * t70357 - 0.4e1 / 0.9e1 * t11072 * t3590 * t70353;
  t70423 = t62 * t14187;
  t70424 = t70423 * t206;
  t70430 = t14345 * t206;
  t70434 = t14345 * t794;
  t70445 = t20822 * t2836;
  t70446 = t70445 * t20844;
  t70449 = t60 * t7555;
  t70455 = 0.5e1 / 0.9e1 * t70373 * t42945 - 0.4e1 * t7651 * t815 * t70424 - 0.4e1 * t36114 * t14359 - 0.12e2 * t7690 * t229 * t70430 - 0.4e1 * t1872 * t788 * t70434 - 0.16e2 * t7680 * t683 * t70430 + 0.6e1 * t14313 * t5042 + 0.1e2 / 0.3e1 * t14328 * t42861 + 0.1e2 / 0.3e1 * t70446 * t42867 + 0.4e1 / 0.3e1 * t1876 * t683 * t70449 + 0.5e2 / 0.3e1 * t70446 * t42727;
  t70472 = -t42740 - t42741 - 0.6e1 * t53473 * t233 * t14357 * t3461 + 0.12e2 * t36194 * t815 * t70393 - 0.6e1 * t36105 * t233 * t70393 - t42746 - t42761 + t42771 + t42776 - 0.16e2 / 0.3e1 * t1876 * t3130 * t70434 + 0.2e1 / 0.9e1 * t7686 * t3168 * t70430;
  t70477 = t2883 * t621;
  t70480 = t2883 * t592;
  t70488 = t2865 * t21714;
  t70494 = t14327 * t20885;
  t70499 = t2869 * t21138;
  t70520 = -0.4e1 / 0.3e1 * t7665 * t14301 - 0.2e1 * t519 * t3562 * t14339 * t794 + 0.44e2 / 0.3e1 * t14318 * t5072 - 0.2e1 * t7670 * t14292 - 0.2e1 * t1870 * t14295 + 0.12e2 * t70488 * t5129 + t7715 * t2884 / 0.2e1 + t1870 * t14340 + t42860 - t42874 + t42889;
  t70534 = -0.2e1 * t1876 * t689 * t70449 - 0.6e1 * t2870 * t22418 + 0.2e1 * t2870 * t22436 - t2866 * t3634 - 0.12e2 * t70446 * t42897 + 0.36e2 * t70494 * t5065 - t42893 + t42902 + t42904 + t42906 + t42914;
  t70558 = t63 * t7555;
  t70562 = -0.4e1 / 0.3e1 * t70446 * t43055 + 0.6e1 * t14328 * t42790 - 0.2e1 * t1870 * t14299 - 0.2e1 / 0.3e1 * t14328 * t42764 - t7715 * t2874 - t1872 * t788 * t70477 + 0.4e1 * t7680 * t3130 * t70480 - t519 * t3562 * t2883 * t3445 - t519 * t788 * t63 * t69787 - t7686 * t20876 * t70480 / 0.18e2 + 0.4e1 * t1876 * t689 * t70558;
  t70580 = t648 * t69306;
  t70581 = t70580 * t682;
  t70616 = 0.24e2 * t70446 * t43052 + 0.3e1 * t7686 * t22290 * t70480 + 0.8e1 / 0.3e1 * t70446 * t42983 - t14328 * t22274 / 0.9e1 - t70446 * t42997 / 0.9e1 + 0.3e1 * t7690 * t788 * t70480 + 0.3e1 * t519 * t22302 * t2883 * t3461 - 0.5e2 / 0.3e1 * t14328 * t43130 + 0.24e2 * t7680 * t689 * t70430 + 0.8e1 * t1876 * t3556 * t70434 + 0.4e2 / 0.3e1 * t7686 * t3125 * t70430;
  t70626 = t193 * t69306;
  t70630 = t14339 * t206;
  t70647 = -0.22e2 * t14318 * t5098 - 0.4e1 * t2866 * t3564 - 0.2e1 / 0.3e1 * t70494 * t5123 + t14328 * t42909 / 0.18e2 - 0.4e1 * t70626 * t596 * t230 - 0.2e1 * t1872 * t788 * t70630 - 0.6e1 * t36092 * t70400 + 0.4e1 * t36100 * t233 * t70068 + 0.1e2 / 0.3e1 * t36191 * t802 * t70068 + 0.4e1 * t36069 * t14362 - 0.16e2 * t7651 * t815 * t70357;
  t70670 = 0.4e1 * t53457 * t14366 + 0.2e1 / 0.3e1 * t36114 * t14369 + 0.4e1 * t7655 * t233 * t70424 + 0.4e1 * t11138 * t233 * t70423 * t794 + 0.2e1 / 0.3e1 * t7651 * t802 * t70424 + 0.2e1 * t1876 * t3556 * t70630 - 0.4e1 / 0.3e1 * t1876 * t3130 * t70630 + t42976 - 0.4e2 * t70494 * t5126 + t43016 - t43017;
  t70673 = -t43019 - t43021 - t43023 + t43025 - t43045 - t43059 - t43061 + t43079 - t43080 - t43081 - t43082;
  t70688 = t70580 * t651;
  t70694 = -t43094 + t43096 + 0.4e1 * t2870 * t22405 - 0.4e1 / 0.3e1 * t2870 * t22356 - 0.36e2 * t70499 * t5062 - 0.2e1 / 0.3e1 * t70581 * t785 - 0.3e1 * t14328 * t42877 + 0.6e1 * t14318 * t5104 - 0.4e1 * t14318 * t5106 + 0.4e1 / 0.3e1 * t70688 * t803 - 0.2e1 / 0.3e1 * t1876 * t683 * t70558;
  t70722 = 0.2e1 / 0.3e1 * t2870 * t22280 + 0.2e1 * t70626 * t595 * t234 - 0.2e1 * t70688 * t816 + 0.2e1 * t2866 * t3602 + 0.2e1 * t7665 * t14331 - 0.12e2 * t7686 * t3130 * t70430 + 0.15e2 * t14328 * t42785 + 0.2e1 * t14318 * t5046 + 0.4e1 / 0.3e1 * t70494 * t5049 - 0.5e1 / 0.3e1 * t36191 * t43067 * t70068 + 0.1e2 * t36191 * t43075 * t70068;
  t70737 = -0.8e1 * t36100 * t43071 * t70068 - t2138 + t9090 + t43189 - t43190 + t43191 + t519 * t788 * t60 * t69787 / 0.2e1 + 0.2e1 * t1872 * t229 * t70449 - 0.3e1 * t14313 * t5112 + 0.24e2 * t70499 * t5120 + t2119;
  t70763 = t7276 * t14141;
  t70771 = t1768 * t37476;
  t70772 = t1261 * t70771;
  t70776 = -t182 * t13920 / 0.2e1 - t30 * t59 * (0.2e1 * t2866 * t3546 + 0.6e1 * t14313 * t5086 - 0.12e2 * t70499 * t5089 - 0.4e1 * t2870 * t22337 + 0.4e1 * t70581 * t798 - 0.2e1 * t2870 * t22291 - 0.5e1 / 0.18e2 * t14328 * t42992 - 0.12e2 * t14318 * t5075 + 0.12e2 * t2870 * t22310 + 0.8e1 * t11079 * t70361 - 0.12e2 * t70364 * t5018 - 0.24e2 * t70488 * t5095 + 0.8e1 * t70494 * t5031 - 0.72e2 * t70494 * t5034 + 0.72e2 * t70499 * t5038 + 0.1e2 / 0.3e1 * t70373 * t42838 + 0.24e2 * t11072 * t70361 - 0.3e2 * t70373 * t5023 - 0.8e1 / 0.3e1 * t11072 * t3580 * t70353 - 0.48e2 * t11079 * t815 * t70353 + t1876 * t3556 * t70477 - 0.1e2 / 0.3e1 * t7686 * t20862 * t70480 - 0.6e1 * t7680 * t3556 * t70480 - 0.2e1 / 0.3e1 * t1876 * t3130 * t70477 - 0.4e1 * t1872 * t229 * t70558 + 0.24e2 * t11143 * t233 * t70353 + 0.8e1 * t7655 * t233 * t70357 - 0.5e1 * t36191 * t815 * t70068 + t42922 + t42924 + t70419 + t70737 + t70562 + t70670 + t70534 + t70520 + t70455 + t70722 + t70673 + t70694 + t70647 + t70616 + t70472) * t95 / 0.4e1 + 0.2e1 * t3266 * t7457 * t14246 + t7248 * t20724 * t14270 / 0.6e1 + t7248 * t3273 * t253 * t731 * t2851 / 0.12e2 + 0.2e1 / 0.3e1 * t13955 * t3503 + 0.4e1 / 0.3e1 * t1779 * t1261 * t606 * t13899 - 0.2e1 / 0.9e1 * t70763 + 0.4e1 / 0.3e1 * t7228 * t14138 - 0.4e1 / 0.3e1 * t13955 * t3522 + 0.23e2 / 0.18e2 * t69633 * t8943 + 0.4e1 / 0.3e1 * t21103 * t70772 + t7592 * t1802;
  t70807 = -t42190 - 0.18e2 * t3167 * t69897 * t4846 - 0.3e1 * t41080 * t4808 * t3059 * t69348 + t630 * t14250 - t42223 - 0.2e1 * t10757 * t4877 * t69220 + 0.23e2 / 0.18e2 * t70173 * t41706 - 0.115e3 / 0.36e2 * t70173 * t43216 + 0.23e2 / 0.9e1 * t10757 * t9744 * t670 * t69219 - 0.11e2 / 0.9e1 * t70173 * t43206 - 0.22e2 / 0.9e1 * t10757 * t9845 * t69220 + 0.55e2 / 0.18e2 * t70173 * t42412 + 0.3e1 * t4772 * t7680 * t3556 * t69658;
  t70809 = t37357 * t11217;
  t70811 = t26467 * t14059;
  t70813 = t26535 * t14055;
  t70817 = t3273 * t253 * t2932 * t794;
  t70820 = t276 * t2836;
  t70821 = t3264 * t70820;
  t70827 = -0.2e1 / 0.9e1 * t70809 - t70811 / 0.3e1 + t70813 / 0.3e1 + t3272 * t70817 / 0.12e2 + 0.14e2 / 0.3e1 * t26808 * t9845 * t70821 + t36429 * t14126 / 0.3e1 + t42274 - t42285 - t42289 + t42297 - t42298 + t42299 - t42304;
  t70828 = t634 * t14230;
  t70832 = t637 * t13889;
  t70835 = t7567 * t1807 / 0.27e2;
  t70841 = t661 * t2889 * t670;
  t70846 = t191 * t242 * t2888 * t676;
  t70850 = t36742 * t530 / 0.9e1;
  t70851 = t3238 * t2843;
  t70852 = t70851 * t667;
  t70854 = t13943 * t3175;
  t70856 = t70851 * t662;
  t70863 = -t70828 / 0.18e2 + t603 * t14230 / 0.6e1 + t70832 / 0.3e1 + t70835 + t13955 * t3525 / 0.3e1 - t42344 + t14011 * t691 / 0.2e1 + t654 * t70841 / 0.3e1 - t70846 * t685 / 0.2e1 - t70850 - t70852 / 0.9e1 - t70854 / 0.18e2 - t70856 / 0.18e2 + t191 * t194 * t69306 * t595 * t223 / 0.3e1;
  t70869 = t3231 * t2838 * t223 / 0.27e2;
  t70873 = t69572 * t662 / 0.54e2;
  t70875 = t69572 * t667 / 0.27e2;
  t70876 = t13952 * t645;
  t70879 = t3238 * t2838 * t223;
  t70881 = t1760 * t7402;
  t70883 = t7628 * t2854;
  t70885 = t1760 * t7374;
  t70887 = t7628 * t1807;
  t70889 = t7633 * t1807;
  t70895 = -t70869 - t70030 * t662 / 0.6e1 + t70873 + t70875 + t70876 / 0.9e1 + t70879 / 0.9e1 - t70881 / 0.9e1 + t70883 / 0.18e2 - t70885 / 0.9e1 - t70887 / 0.9e1 - t70889 / 0.9e1 - t13955 * t3366 / 0.3e1 + 0.2e1 / 0.3e1 * t13955 * t3691;
  t70904 = t3389 * t13899;
  t70922 = -t2844 * t21071 / 0.6e1 + 0.12e2 * t41319 * t69350 - 0.2e1 / 0.3e1 * t7228 * t14141 - 0.5e1 / 0.18e2 * t13908 * t42473 - t1779 * t1261 * t70904 / 0.3e1 - 0.2e1 / 0.3e1 * t7254 * t52324 + 0.2e1 / 0.3e1 * t7254 * t52328 - 0.2e1 / 0.3e1 * t7228 * t10814 - 0.2e1 / 0.3e1 * t7233 * t10814 + t630 * t13978 - 0.2e1 * t36038 * t1785 + 0.2e1 * t7592 * t1788 + t630 * t13982;
  t70942 = 0.3e1 * t608 * t14266 + t1815 * t35902 / 0.3e1 + t42372 - t42375 + t36448 * t14126 / 0.3e1 + t42407 + t42410 + 0.2e1 * t10838 * t4873 * t69220 - 0.5e1 / 0.18e2 * t69633 * t8711 - t13955 * t3380 / 0.6e1 + t3220 * t2903 / 0.2e1 + t13894 * t5190 + t2839 * t3391 / 0.3e1;
  t70960 = t3232 * t2903 / 0.9e1;
  t70966 = -0.2e1 * t630 * t14263 - t7228 * t13901 / 0.3e1 + 0.2e1 / 0.3e1 * t1815 * t843 * t70904 - t13915 * t5149 - 0.5e1 / 0.6e1 * t7251 * t26400 * t70244 - t30 * t7735 * t544 / 0.2e1 + t42415 + t42416 - t515 * t35778 / 0.6e1 - t70960 - t30 * t2889 * t732 / 0.4e1 - t759 * t2895 / 0.2e1 - t42429 + t42431;
  t70973 = t3267 * t2842;
  t70983 = t3267 * t2837;
  t71001 = t26260 * t13932 - 0.4e1 * t42312 * t4873 * t70821 + 0.3e1 * t3266 * t70973 * t1281 - 0.2e1 * t3266 * t7449 * t14262 + 0.22e2 / 0.3e1 * t42312 * t4877 * t70080 + t3266 * t70983 * t826 - t3266 * t37391 * t2911 / 0.2e1 + t4772 * t1872 * t788 * t69396 + t4772 * t7670 * t13931 - 0.2e1 * t7592 * t1793 - t7592 * t1798 - t14011 * t827 / 0.4e1 + t14011 * t832 / 0.2e1;
  t71003 = t7567 * t2854 / 0.54e2;
  t71004 = t14187 * t794;
  t71011 = -t42521 - t42523 + t42527 + t42529 - t42530 - t42532 + t42535 + t42537 + t42554 + t42556 - t71003 + t4772 * t519 * t3562 * t71004 - t3266 * t7361 * t14241 / 0.2e1;
  t71028 = t843 * t3389 * t14228;
  t71032 = t843 * t837 * t70144;
  t71035 = t1261 * t14229;
  t71040 = t13943 * t3503;
  t71044 = t37277 * t7358 / 0.3e1 + t7248 * t36376 / 0.3e1 + t7248 * t36356 / 0.3e1 + t7248 * t36809 / 0.6e1 - t630 * t14237 / 0.2e1 - t627 * t14230 / 0.6e1 - t642 * t14230 / 0.12e2 - t211 * t71028 / 0.6e1 - t211 * t71032 / 0.6e1 - t654 * t71035 / 0.12e2 + t630 * t14234 / 0.2e1 + 0.2e1 / 0.9e1 * t71040 + 0.2e1 * t2844 * t21757;
  t71045 = t13943 * t3522;
  t71047 = t30 * t14313;
  t71059 = t30 * t2870;
  t71062 = t276 * t1745;
  t71082 = -0.4e1 / 0.9e1 * t71045 + t42576 + t71047 * t4885 - 0.3e1 * t26808 * t9744 * t4991 * t70820 + 0.3e1 * t26550 * t69452 * t8928 - 0.15e2 / 0.2e1 * t9877 * t14328 * t43417 - 0.4e1 / 0.3e1 * t71059 * t21752 + 0.4e1 / 0.3e1 * t7251 * t4873 * t3264 * t71062 - 0.8e1 / 0.3e1 * t7251 * t4877 * t670 * t69418 - t2844 * t21609 / 0.3e1 - 0.2e1 / 0.3e1 * t1779 * t1254 * t70904 + 0.2e1 * t13894 * t5195 + 0.2e1 / 0.3e1 * t2844 * t21963 + 0.2e1 / 0.3e1 * t2844 * t21889;
  t71091 = t69683 * t8943;
  t71093 = t69683 * t8940;
  t71096 = t191 * t649 * t13906;
  t71099 = t633 * t13893;
  t71100 = t71099 * t1257;
  t71102 = -0.4e1 / 0.3e1 * t2844 * t21960 + 0.23e2 / 0.18e2 * t13908 * t41003 - t42610 - t42615 + t42617 + t42619 - t42621 + t42630 + t42632 + 0.23e2 / 0.54e2 * t71091 - 0.11e2 / 0.27e2 * t71093 - 0.6e1 * t71096 * t5179 + 0.2e1 / 0.3e1 * t71100;
  t71108 = t3360 * t20269 * t206;
  t71120 = t2851 * t3445;
  t71130 = t188 * t14072;
  t71133 = 0.1e1 / t32 / t3316;
  t71134 = t71133 * t697;
  t71161 = t7294 * tau[0];
  t71172 = 0.14e5 / 0.3e1 * t21838 * t71134 + 0.13e4 / 0.3e1 * t726 * t700 - 0.2e4 * t21843 * t71134 - 0.13e4 / 0.9e1 * t704 * t700 - 0.2e4 / 0.3e1 * t21827 * t71134 - 0.52e3 * t709 * t700 + 0.8e4 * t21830 * t71134 - 0.52e3 / 0.9e1 * t714 * t700 + 0.35e5 / 0.3e1 * t21833 * t71134 + 0.65e4 / 0.9e1 * t719 * t700 + 0.26e3 / 0.9e1 * t7329 + 0.28e3 / 0.3e1 * t7332 * tau[0] - 0.1e4 / 0.3e1 * t71133 * t264 * t697 + 0.476e4 / 0.3e1 * t3331 * t71161 + 0.728e4 / 0.3e1 * t3334 * t71161 - 0.28e4 * t3314 * t71161 - 0.7e4 * t3321 * t71161 - 0.98e4 / 0.3e1 * t3326 * t71161;
  t71177 = 0.5e1 / 0.2e1 * t4772 * t1876 * t22309 * t70068 - t3266 * t7457 * t71108 + t37301 * t14271 / 0.6e1 + t37277 * t14271 / 0.6e1 + t7248 * t36465 / 0.3e1 - t3266 * t37235 * t2911 / 0.4e1 + t4772 * t519 * t3562 * t71120 / 0.2e1 - t759 * t2934 / 0.4e1 - t30 * t819 * t2933 / 0.4e1 - t42667 + t42669 - t71130 / 0.3e1 - t30 * t65 * t253 * t71172 / 0.4e1;
  t71199 = t637 * t14026;
  t71201 = t41721 * t69359;
  t71205 = -t182 * t14072 - t30 * t525 * t7336 / 0.2e1 - t30 * t1892 * t1855 + t515 * t35349 / 0.3e1 + t1755 * t7215 / 0.3e1 - t42702 + 0.15e2 * t4983 * t14328 * t42436 - t30 * t238 * t14110 / 0.2e1 - t182 * t14080 / 0.2e1 - t182 * t14111 / 0.2e1 - 0.2e1 * t71199 + 0.14e2 / 0.9e1 * t71201 - 0.3e1 * t71096 * t5157;
  t71206 = t71099 * t1300;
  t71210 = t3051 * t13995;
  t71221 = t637 * t14247;
  t71224 = t191 * t194 * t13892;
  t71229 = t1760 * t7606;
  t71231 = t7633 * t1765;
  t71233 = t7628 * t1765;
  t71235 = t13943 * t3056;
  t71237 = t13943 * t3091;
  t71239 = t71206 / 0.3e1 - 0.2e1 * t630 * t13886 - t71210 / 0.3e1 - 0.2e1 * t3070 * t13987 - 0.2e1 * t3061 * t13987 - t246 * t1797 * t824 * t221 * t69787 / 0.4e1 + 0.2e1 / 0.3e1 * t71221 + 0.2e1 * t71224 * t4939 - t2844 * t21762 / 0.2e1 - t71229 / 0.9e1 - t71231 / 0.9e1 - t71233 / 0.9e1 - t71235 / 0.9e1 + 0.2e1 / 0.9e1 * t71237;
  t71242 = t70851 * t672;
  t71246 = t36994 * t530;
  t71248 = t633 * t14010;
  t71249 = t71248 * t250;
  t71253 = t634 * t14006;
  t71257 = t36791 * t11167;
  t71263 = t37357 * t14130;
  t71271 = 0.2e1 / 0.9e1 * t71242 - t14011 * t598 / 0.2e1 + t71246 / 0.3e1 + t71249 / 0.6e1 + t603 * t14006 / 0.6e1 - t71253 / 0.18e2 + 0.25e2 / 0.36e2 * t70173 * t42598 + 0.2e1 / 0.9e1 * t71257 - t11019 * t54429 + 0.2e1 * t10838 * t4877 * t70058 - 0.2e1 / 0.9e1 * t71263 - t10838 * t5175 * t69954 - 0.2e1 / 0.3e1 * t7251 * t4877 * t3264 * t70239;
  t71283 = t769 * t2934 / 0.18e2;
  t71289 = t37082 * t14278;
  t71293 = 0.5e1 / 0.3e1 * t7251 * t26405 * t670 * t70068 + t7251 * t5175 * t70240 / 0.3e1 - 0.5e1 / 0.12e2 * t7251 * t26405 * t70244 + t71283 - t3266 * t14065 * t3447 / 0.2e1 - t3266 * t14062 * t3492 - t71289 / 0.9e1 + t43214 - t8895 - t43215 + t43220 - 0.2e1 * t7251 * t54357 + t43240;
  t71295 = t773 * t2890;
  t71305 = t188 * t14069;
  t71307 = t188 * t14111;
  t71312 = t36791 * t14274;
  t71318 = t43241 - t8938 - t43265 + t43266 - t71295 / 0.6e1 + 0.2e1 * t4772 * t1872 * t788 * t69418 - t36448 * t10884 / 0.3e1 - t36429 * t10884 / 0.3e1 - t71305 / 0.3e1 - t71307 / 0.6e1 + t11019 * t3273 * t69954 / 0.2e1 - t71312 / 0.9e1 + 0.3e1 * t4983 * t7686 * t20862 * t69658;
  t71332 = t26396 * t14121;
  t71336 = t13943 * t3380;
  t71338 = t13943 * t3366;
  t71341 = t13943 * t3691;
  t71347 = -0.3e1 / 0.2e1 * t4772 * t7686 * t22290 * t69658 - t10757 * t52569 + 0.14e2 / 0.3e1 * t10757 * t9845 * t52242 - 0.3e1 * t10757 * t53257 + 0.3e1 * t26550 * t70108 * t4846 - 0.2e1 / 0.3e1 * t71332 + t43270 + t2839 * t3464 / 0.3e1 - t71336 / 0.18e2 - t71338 / 0.9e1 - t2844 * t21364 + 0.2e1 / 0.9e1 * t71341 - 0.2e1 * t13894 * t3399 - 0.23e2 / 0.3e1 * t69246 * t4811;
  t71361 = t4851 * t70771;
  t71371 = t3130 * t13930;
  t71381 = 0.22e2 / 0.3e1 * t69246 * t5167 + t13894 * t5170 - 0.3e1 * t679 * t14030 * t21542 + 0.3e1 / 0.2e1 * t3167 * t14030 * t20938 + t1770 * t7379 + 0.14e2 / 0.3e1 * t20926 * t71361 + 0.2e1 * t10838 * t52251 - 0.2e1 / 0.3e1 * t36448 * t11217 - 0.2e1 / 0.3e1 * t36429 * t11217 + t26263 * t14055 + t4983 * t7665 * t71371 + t4983 * t1876 * t3130 * t69396 + t4983 * t1876 * t3130 * t69214 / 0.2e1;
  t71383 = t26189 * t3156 * t14053;
  t71392 = t188 * t14080;
  t71394 = t773 * t2934;
  t71396 = t773 * t2895;
  t71413 = 0.3e1 / 0.2e1 * t26182 * t71383 - t26260 * t14059 + t26257 * t14055 - 0.3e1 / 0.2e1 * t4772 * t519 * t22302 * t70118 - t71392 / 0.6e1 - t71394 / 0.6e1 - t71396 / 0.3e1 - t182 * t14394 / 0.2e1 - t759 * t2890 / 0.4e1 - t7248 * t8790 * t95 * t71120 / 0.6e1 + t36448 * t14281 / 0.6e1 + t36429 * t14281 / 0.6e1 + t7251 * t26056 * t14125 / 0.6e1;
  t71444 = t3459 * t2910 * t794;
  t71448 = t824 * t2910 * t206;
  t71455 = t7251 * t4877 * t69397 / 0.6e1 + t7251 * t4877 * t69950 / 0.12e2 + 0.5e1 / 0.36e2 * t10757 * t26189 * t69954 - t7254 * t3273 * t69950 / 0.6e1 - t10838 * t4877 * t69954 / 0.2e1 - t37301 * t14278 / 0.3e1 - t37277 * t14278 / 0.3e1 - t7248 * t41871 * t14277 / 0.3e1 - t7248 * t8790 * t95 * t71004 / 0.3e1 - t37284 * t14274 / 0.3e1 + t3266 * t7361 * t71444 + t3266 * t7449 * t71448 - 0.2e1 * t4772 * t1872 * t3562 * t70068;
  t71471 = t253 * t71062;
  t71483 = t7611 * t1788;
  t71485 = t37183 * t1785;
  t71487 = t7251 * t54398 + 0.3e1 * t4993 * t14120 * t27536 + 0.6e1 * t9877 * t7686 * t3168 * t69219 + t69647 * t1300 + t13966 * t845 / 0.3e1 + t71059 * t21601 / 0.3e1 - 0.5e1 / 0.18e2 * t70173 * t41687 - t7251 * t4873 * t71471 / 0.3e1 + t69822 * t4874 + 0.2e1 / 0.3e1 * t71059 * t21879 - 0.2e1 / 0.3e1 * t7251 * t4996 * t71471 - 0.6e1 * t1770 * t7424 + 0.2e1 / 0.3e1 * t71483 - 0.2e1 / 0.3e1 * t71485;
  t71517 = 0.6e1 * t7587 * t7427 + 0.2e1 * t69822 * t4997 + 0.4e1 * t10838 * t4996 * t69220 - 0.11e2 / 0.3e1 * t69822 * t5176 - 0.3e1 * t52942 * t7454 + 0.2e1 * t36004 * t7458 + 0.3e1 * t52936 * t7462 - 0.2e1 * t52940 * t7465 + t1750 * t14190 / 0.6e1 + t7564 * t2854 / 0.12e2 - t2844 * t21018 / 0.12e2 + t7549 * t2854 / 0.12e2 - t2839 * t3534 / 0.3e1;
  t71524 = t94 * t7555;
  t71525 = t837 * t71524;
  t71529 = t7183 * t13911;
  t71531 = t633 * t13914;
  t71532 = t71531 * t1295;
  t71534 = t13952 * t840;
  t71549 = -t2839 * t3530 / 0.6e1 - t13915 * t3499 / 0.2e1 - 0.2e1 * t608 * t14263 + t1815 * t843 * t71525 / 0.3e1 + 0.2e1 / 0.9e1 * t71529 - t71532 / 0.3e1 - t71534 / 0.9e1 - 0.5e1 / 0.36e2 * t13908 * t41955 - 0.35e2 / 0.108e3 * t69237 * t41958 + t2844 * t21245 / 0.6e1 - t1779 * t1261 * t71525 / 0.6e1 + 0.4e1 / 0.3e1 * t36448 * t11221 + 0.4e1 / 0.3e1 * t36429 * t11221;
  t71561 = t670 * t14053;
  t71562 = t26847 * t71561;
  t71565 = t680 * t13906;
  t71572 = t7276 * t14138;
  t71574 = t14228 * t783;
  t71579 = t1261 * t244 * t14228;
  t71585 = t1254 * t14229;
  t71590 = -t26266 * t14059 - t4772 * t7665 * t14058 - t4772 * t1876 * t3556 * t69396 - t4772 * t1876 * t3556 * t69214 / 0.2e1 - 0.7e1 / 0.3e1 * t26182 * t71562 - 0.18e2 * t679 * t71565 * t4918 + 0.18e2 * t246 * t71565 * t4903 + 0.4e1 / 0.9e1 * t71572 + t246 * t71574 * t690 / 0.2e1 + t654 * t71579 / 0.3e1 - t679 * t71574 * t684 / 0.2e1 - t654 * t71585 / 0.6e1 + 0.3e1 * t21529 * t14038;
  t71612 = t37082 * t14271;
  t71614 = t30 * t2866;
  t71623 = -t1779 * t1254 * t71525 / 0.3e1 + 0.2e1 / 0.3e1 * t1779 * t1261 * t244 * t71524 + 0.2e1 * t1770 * t7398 + 0.3e1 * t21524 * t14038 - 0.2e1 * t36048 * t1785 + 0.2e1 * t7600 * t1788 - t7251 * t54364 / 0.3e1 - t7251 * t53814 / 0.3e1 - t7251 * t36799 / 0.6e1 + t71612 / 0.18e2 - t71614 * t3276 / 0.3e1 + 0.2e1 / 0.3e1 * t7254 * t4762 * t71471 - t71047 * t4765 + t7251 * t52332 / 0.2e1;
  t71630 = my_piecewise3(t2, 0, t71549 + t70177 + t71413 + t70155 + t69807 + t69924 + t69611 + t69676 + t69859 + t70807 + t69472 + t71623 + t71177 + t71205 + t69485 + t69228 + t71347 + t71271 + t69326 + t71590 + t71044 + t69581 + t70319 + t70204 + t69516 + t69892 + t70922 + t71293 + t71381 + t71318 + t70895 + t70966 + t69831 + t69958 + t69365 + t69643 + t70942 + t71455 + t70295 + t71102 + t71239 + t70347 + t69199 + t70012 + t71001 + t69406 + t71011 + t69264 + t70228 + t70044 + t69552 + t71082 + t71487 + t69988 + t69448 + t71517 + t70863 + t70827 + t70265 + t69289 + t70129 + t70776 + t70105 + t70062);
  tv4rho2tau20 = t3 * t71630 + 0.2e1 * t14425;

  if(out->v4rho2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 0] += tv4rho2tau20;

  tv4rho2tau21 = 0.e0;

  if(out->v4rho2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 1] += tv4rho2tau21;

  t71634 = t3917 * t3018 / 0.9e1;
  t71637 = t3901 * t2941 * t350 / 0.27e2;
  t71638 = t3901 * t2946;
  t71640 = t71638 * t1010 / 0.54e2;
  t71642 = t71638 * t1015 / 0.27e2;
  t71644 = 0.2e1 / 0.27e2 * t71638 * t1020;
  t71646 = t7781 * t1951 / 0.27e2;
  t71648 = t38173 * t570 / 0.9e1;
  t71649 = t38080 * t570;
  t71651 = t3914 * t3018;
  t71653 = t3914 * t3010;
  t71655 = -t71634 - t71637 + t71640 + t71642 - t71644 + t71646 - t71648 + t71649 / 0.3e1 + t71651 / 0.3e1 - t71653 / 0.3e1 - t43440 + t43451 + t43466;
  t71657 = t23420 * t3002 / 0.9e1;
  t71659 = t3917 * t3010 / 0.9e1;
  t71665 = t3893 * t2946;
  t71680 = t3897 * t2946;
  t71681 = t71680 * t1010;
  t71684 = t3897 * t2941 * t350;
  t71686 = t71680 * t1020;
  t71688 = t71657 + t71659 - t7775 * t1951 / 0.6e1 + t3893 * t2941 * t350 / 0.6e1 - t71665 * t1010 / 0.12e2 - t71665 * t1015 / 0.6e1 + t71665 * t1020 / 0.3e1 + t38107 * t570 / 0.2e1 - t23288 * t3002 / 0.2e1 - t3911 * t3010 / 0.2e1 + t3911 * t3018 / 0.2e1 - t71681 / 0.18e2 + t71684 / 0.9e1 + 0.2e1 / 0.9e1 * t71686;
  t71690 = t71680 * t1015;
  t71692 = t7778 * t1951;
  t71694 = t23325 * t3002;
  t71696 = t869 * t3037;
  t71699 = t873 * t2998 / 0.9e1;
  t71701 = t873 * t3037 / 0.18e2;
  t71702 = t869 * t2998;
  t71707 = t3917 * t3006 / 0.9e1;
  t71709 = t3917 * t3015 / 0.18e2;
  t71710 = t3914 * t3006;
  t71712 = t7778 * t2957;
  t71715 = t7781 * t1965 / 0.27e2;
  t71716 = -t71690 / 0.9e1 - t71692 / 0.9e1 - t71694 / 0.3e1 - t71696 / 0.6e1 + t71699 + t71701 - t71702 / 0.3e1 + t3911 * t3006 / 0.2e1 - t71707 + t71709 + t71710 / 0.3e1 + t71712 / 0.18e2 + t71715;
  t71718 = t7781 * t2957 / 0.54e2;
  t71719 = t7778 * t1965;
  t71724 = t873 * t2993 / 0.18e2;
  t71725 = t869 * t2993;
  t71731 = t3914 * t3015;
  t71739 = -t71718 - t71719 / 0.9e1 - t865 * t2993 / 0.4e1 + t71724 - t71725 / 0.6e1 - t43495 - t43502 + t43525 - t865 * t2998 / 0.2e1 - t865 * t3037 / 0.4e1 - t71731 / 0.6e1 - t3911 * t3015 / 0.4e1 + t7775 * t2957 / 0.12e2 - t7775 * t1965 / 0.6e1;
  t71742 = my_piecewise3(t100, 0, t71655 + t71688 + t71716 + t71739);
  tv4rho2tau22 = t3 * t71742 + 0.2e1 * t14498;

  if(out->v4rho2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 2] += tv4rho2tau22;

  t71744 = t897 * t13907;
  t71758 = t3750 * t2843;
  t71780 = -t71744 * t8742 / 0.2e1 - t7820 * t10814 / 0.3e1 - 0.3e1 / 0.2e1 * t71744 * t8947 - t37752 * t1785 + 0.3e1 / 0.2e1 * t903 * t14031 + 0.3e1 * t3740 * t13990 + t69208 / 0.6e1 + t69210 / 0.6e1 - t69213 - t71758 * t662 / 0.12e2 - t14512 * t3175 / 0.12e2 + t3750 * t2838 * t223 / 0.6e1 - t71758 * t667 / 0.6e1 - t14512 * t3056 / 0.6e1 - t7859 * t1765 / 0.6e1 - t7862 * t1765 / 0.6e1 - t1923 * t7606 / 0.6e1 + t7869 * t1747 / 0.2e1 - t22796 * t2899 / 0.2e1;
  t71799 = t3761 * t2903;
  t71801 = t7880 * t1807;
  t71803 = t7880 * t2854;
  t71812 = -t22773 * t2899 / 0.2e1 + t71758 * t672 / 0.3e1 + t14512 * t3091 / 0.3e1 + t37826 * t530 / 0.2e1 + t37829 * t530 / 0.2e1 - t3754 * t2907 / 0.2e1 - t3776 * t2907 / 0.2e1 - t69230 / 0.3e1 - t69232 / 0.6e1 + t69258 / 0.12e2 + 0.2e1 / 0.9e1 * t69260 + t71799 / 0.6e1 - t71801 / 0.18e2 + t71803 / 0.36e2 + t43537 - t69296 / 0.18e2 - t1923 * t7374 / 0.6e1 - t1923 * t7402 / 0.6e1 + t7859 * t2854 / 0.12e2;
  t71830 = t37907 * t530;
  t71832 = t3757 * t2843;
  t71833 = t71832 * t672;
  t71835 = t3761 * t2907;
  t71837 = t3761 * t2915;
  t71845 = t7862 * t2854 / 0.12e2 + t1923 * t14155 / 0.12e2 + t1923 * t14190 / 0.12e2 + t903 * t13978 / 0.2e1 + t903 * t13982 / 0.2e1 - t7859 * t1807 / 0.6e1 - t7862 * t1807 / 0.6e1 - t3754 * t2912 / 0.4e1 + t71830 / 0.6e1 + t71833 / 0.9e1 - t71835 / 0.6e1 + t71837 / 0.6e1 + t14517 * t645 / 0.6e1 - t43540 - t43545 + t69469 / 0.6e1 - t69475 / 0.6e1 - t69479 / 0.3e1 + 0.2e1 / 0.9e1 * t69481;
  t71876 = -t43546 - t903 * t14254 / 0.2e1 - t903 * t14263 + 0.3e1 / 0.2e1 * t903 * t14266 - t903 * t13886 + 0.7e1 / 0.3e1 * t43882 * t69359 + t903 * t13889 / 0.2e1 + t903 * t14247 - 0.3e1 * t903 * t14026 - t7869 * t1793 - t7869 * t1798 / 0.2e1 + 0.2e1 / 0.3e1 * t22877 * t70772 + t14512 * t3503 / 0.3e1 + 0.2e1 / 0.3e1 * t7820 * t14138 - 0.2e1 / 0.3e1 * t14512 * t3522 + 0.23e2 / 0.36e2 * t71744 * t8943 + t903 * t14250 / 0.2e1 - 0.2e1 * t43818 * t69350 - t43547 - t43548;
  t71895 = t43549 + t69510 / 0.36e2 + t69512 / 0.36e2 + t69514 / 0.36e2 + t69524 / 0.18e2 + t69530 / 0.3e1 - t69564 / 0.6e1 - t69566 / 0.6e1 - t69568 / 0.6e1 - t69570 / 0.6e1 - t69574 + t69578 + t69579 / 0.6e1 + t69587 / 0.6e1 + t69589 / 0.6e1 + t69591 / 0.6e1 + t69597 / 0.6e1 - t69599 / 0.12e2 + t69603 / 0.18e2;
  t71907 = t22806 * t2899;
  t71912 = t69607 / 0.18e2 + t69609 / 0.9e1 + t28063 * t13932 / 0.2e1 + t28063 * t13937 / 0.2e1 + t43556 + t69681 / 0.18e2 - 0.5e1 / 0.108e3 * t69684 - t69690 / 0.18e2 - t69810 / 0.3e1 + t69814 / 0.6e1 - t71907 / 0.6e1 + t43565 + t43567 - t43570 - t43572 - t69895 / 0.18e2 + t69905 + t69932 / 0.18e2 - t69934 / 0.12e2;
  t71937 = t69936 / 0.6e1 + t69938 / 0.6e1 - t69940 / 0.9e1 - t69942 / 0.6e1 - t37688 * t10884 / 0.6e1 - t37876 * t14274 / 0.6e1 - t37747 * t14278 / 0.6e1 + t37688 * t14281 / 0.12e2 - t69967 / 0.12e2 - t69969 / 0.6e1 - t69980 / 0.12e2 - t69986 / 0.12e2 + t43594 + t43596 + t69989 / 0.6e1 - t69994 / 0.18e2 + t37688 * t14126 / 0.6e1 + t7869 * t1802 / 0.2e1 - t3740 * t13987;
  t71947 = t3740 * t13993 + t70021 / 0.6e1 + t70024 - t9224 + t9234 - t8624 + t8645 + t70123 / 0.36e2 - t43621 + t43623 - t70135 / 0.18e2 - t70137 / 0.3e1 + t70139 / 0.3e1 - t70141 / 0.2e1 - t70153 / 0.12e2 - t41813 - t43632 - t43633 - t70207 + t70209 / 0.2e1;
  t71955 = t894 * t2895;
  t71957 = t894 * t2934;
  t71959 = t3761 * t2912;
  t71963 = t897 * t13893;
  t71978 = t70210 + t70212 / 0.2e1 - t70213 / 0.3e1 + t70215 / 0.2e1 - 0.2e1 / 0.3e1 * t70216 + t70227 - t43653 - t71955 / 0.6e1 - t71957 / 0.12e2 - t71959 / 0.12e2 + t70272 - t14517 * t840 / 0.6e1 + t71963 * t1300 / 0.2e1 + t14517 * t845 / 0.6e1 - t7820 * t10990 / 0.6e1 - t1923 * t7262 / 0.6e1 + t7825 * t10985 / 0.3e1 + t1923 * t7215 / 0.6e1 - t14512 * t3366 / 0.6e1;
  t71979 = t71832 * t662;
  t71982 = t3757 * t2838 * t223;
  t71984 = t7880 * t1765;
  t71986 = t71832 * t667;
  t72013 = -t71979 / 0.36e2 + t71982 / 0.18e2 - t71984 / 0.18e2 - t71986 / 0.18e2 + t70321 - t70322 / 0.12e2 - t307 * t13920 / 0.4e1 - t70763 / 0.9e1 - t3740 * t13995 / 0.2e1 - t7820 * t14141 / 0.3e1 + t71963 * t1257 + t14512 * t3691 / 0.3e1 - 0.11e2 / 0.18e2 * t71744 * t8940 - t307 * t14069 / 0.2e1 - t307 * t14072 / 0.2e1 - t890 * t2934 / 0.4e1 - t307 * t14080 / 0.4e1 - t307 * t14111 / 0.4e1 - t890 * t2895 / 0.2e1;
  t72030 = -0.3e1 * t3740 * t14041 - t70809 / 0.9e1 - t70811 / 0.6e1 + t70813 / 0.6e1 - t70828 / 0.36e2 + t70832 / 0.6e1 + t70835 - t70850 - t70852 / 0.18e2 - t70854 / 0.36e2 - t70856 / 0.36e2 - t70869 + t70873 + t70875 + t70876 / 0.18e2 + t70879 / 0.18e2 - t70881 / 0.18e2 + t70883 / 0.36e2 - t70885 / 0.18e2;
  t72035 = t897 * t14010;
  t72048 = -t70887 / 0.18e2 - t70889 / 0.18e2 - t898 * t14006 / 0.12e2 + t72035 * t250 / 0.4e1 + t3754 * t2915 / 0.2e1 + t3776 * t2915 / 0.2e1 - t70960 + t43731 + t43734 - t71003 + t71040 / 0.9e1 - 0.2e1 / 0.9e1 * t71045 - t43743 - t43745 + t42576 + 0.23e2 / 0.108e3 * t71091 - 0.11e2 / 0.54e2 * t71093 + t71100 / 0.3e1 - t71130 / 0.6e1 - t71199;
  t72067 = 0.7e1 / 0.9e1 * t71201 + t71206 / 0.6e1 - t71210 / 0.6e1 + t71221 / 0.3e1 - t71229 / 0.18e2 - t71231 / 0.18e2 - t71233 / 0.18e2 - t71235 / 0.18e2 + t71237 / 0.9e1 + t71242 / 0.9e1 + t71246 / 0.6e1 + t71249 / 0.12e2 - t71253 / 0.36e2 + t43833 + t43835 - t43851 + t43869 + t37747 * t14271 / 0.12e2 + t71257 / 0.9e1;
  t72097 = t897 * t13914;
  t72102 = -t71263 / 0.9e1 - t3776 * t2912 / 0.4e1 - t903 * t14237 / 0.4e1 - t903 * t14242 / 0.4e1 + t3754 * t2903 / 0.2e1 + t3776 * t2903 / 0.2e1 - t898 * t14400 / 0.6e1 + t7869 * t1811 / 0.2e1 - t898 * t14230 / 0.12e2 + t903 * t14234 / 0.4e1 - t7820 * t13901 / 0.6e1 + t14512 * t3525 / 0.6e1 - 0.5e1 / 0.36e2 * t71744 * t8711 - t14512 * t3380 / 0.12e2 + t7825 * t13911 / 0.3e1 - t72097 * t1295 / 0.2e1 + t71283 - t71289 / 0.18e2 + t7869 * t1788;
  t72107 = t4877 * t71561;
  t72115 = t543 * t512;
  t72116 = t3264 * t72115;
  t72117 = t4873 * t72116;
  t72131 = 0.3e1 / 0.2e1 * t22632 * t14038 - t43875 - t43877 + t43879 + t43881 - t71295 / 0.12e2 - t27800 * t72107 / 0.3e1 - t22522 * t13940 / 0.4e1 - t22522 * t14063 - t22522 * t14066 / 0.2e1 + 0.2e1 / 0.3e1 * t27800 * t72117 + t37876 * t11167 / 0.3e1 + t37747 * t7358 / 0.6e1 + t22522 * t14123 - t37688 * t11217 / 0.3e1 - t71305 / 0.6e1 - t71307 / 0.12e2 - t71312 / 0.18e2 - t71332 / 0.3e1;
  t72147 = t894 * t2890;
  t72156 = -t43902 - t71336 / 0.36e2 - t71338 / 0.18e2 + t71341 / 0.9e1 - t71392 / 0.12e2 - t71394 / 0.12e2 - t71396 / 0.6e1 + t27950 * t14055 / 0.2e1 - t28063 * t14059 / 0.2e1 - t28099 * t14121 - t307 * t14394 / 0.4e1 + t71483 / 0.3e1 - t71485 / 0.3e1 - t72147 / 0.12e2 + t71529 / 0.9e1 - t71532 / 0.6e1 - t71534 / 0.18e2 + 0.2e1 / 0.9e1 * t71572 - t890 * t2890 / 0.4e1 + t71612 / 0.36e2;
  t72161 = my_piecewise3(t2, 0, t71780 + t71812 + t71845 + t71876 + t71895 + t71912 + t71937 + t71947 + t71978 + t72013 + t72030 + t72048 + t72067 + t72102 + t72131 + t72156);
  tv4rho2tau23 = t3 * t72161 + t14425 + t14537;

  if(out->v4rho2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 3] += tv4rho2tau23;

  tv4rho2tau24 = 0.e0;

  if(out->v4rho2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 4] += tv4rho2tau24;

  t72163 = t933 * t14710;
  t72166 = t937 * t14710;
  t72167 = t72166 * t9267;
  t72169 = t933 * t14830;
  t72195 = -t72163 * t9267 / 0.2e1 - t72167 / 0.6e1 + t72169 * t1426 - 0.3e1 * t3971 * t14891 + 0.3e1 / 0.2e1 * t24004 * t14888 + t43931 - t43933 - t43935 + t8016 * t1969 / 0.2e1 - t934 * t14793 / 0.6e1 - t8016 * t2041 / 0.2e1 + t8016 * t2045 / 0.2e1 - t8016 * t2037 + 0.3e1 * t3971 * t14808 - t3971 * t14804 + t945 * t14799 / 0.2e1 + t945 * t14847 / 0.2e1 + t4025 * t3006 / 0.2e1 + t4028 * t3006 / 0.2e1;
  t72198 = t38701 * t570;
  t72200 = t38693 * t570;
  t72202 = t937 * t14665;
  t72203 = t72202 * t377;
  t72205 = t938 * t14661;
  t72211 = t933 * t14665;
  t72222 = -t3971 * t14854 / 0.2e1 + t72198 / 0.6e1 + t72200 / 0.6e1 + t72203 / 0.12e2 - t72205 / 0.36e2 + t38649 * t570 / 0.2e1 + t38642 * t570 / 0.2e1 + t72211 * t377 / 0.4e1 - t934 * t14661 / 0.12e2 + t8016 * t1938 / 0.2e1 - t4025 * t3010 / 0.2e1 - t23883 * t3002 / 0.2e1 - t43956 - t43959 - t71634 - t71637 + t71640 + t71642 - t71644;
  t72224 = t38942 * t14640;
  t72226 = t38570 * t14635;
  t72228 = t28548 * t14619;
  t72239 = t8011 * t1951;
  t72241 = t14433 * t4135;
  t72243 = t14433 * t4228;
  t72245 = t3986 * t2946;
  t72246 = t72245 * t1015;
  t72248 = t71646 - t71648 + t43981 - t43983 - t43990 - t43993 + t43995 + t72224 / 0.36e2 + t72226 / 0.36e2 + t72228 / 0.6e1 - t23548 * t14622 / 0.4e1 + t28461 * t14619 / 0.2e1 + t28461 * t14614 / 0.2e1 - t23548 * t14609 / 0.2e1 - t23548 * t14606 - t72239 / 0.18e2 - t72241 / 0.18e2 - t72243 / 0.36e2 - t72246 / 0.18e2;
  t72249 = t72245 * t1010;
  t72251 = t948 * t14847;
  t72253 = t38942 * t8211;
  t72255 = t38935 * t11746;
  t72257 = t28548 * t14614;
  t72261 = t24028 * t14606;
  t72263 = t38570 * t11780;
  t72265 = t24028 * t14609;
  t72282 = -t72249 / 0.36e2 + t72251 / 0.6e1 + t44021 - t44025 + t44030 - t44032 + t72253 / 0.18e2 + t72255 / 0.9e1 + t72257 / 0.6e1 + t38984 * t11746 / 0.3e1 - t72261 / 0.3e1 - t72263 / 0.18e2 - t72265 / 0.6e1 - t23870 * t3002 / 0.2e1 + t4028 * t3018 / 0.2e1 + t4025 * t3018 / 0.2e1 - t4028 * t3010 / 0.2e1 - t8032 * t1951 / 0.6e1 + t4021 * t2941 * t350 / 0.6e1 + t14485 * t994 / 0.6e1;
  t72288 = t948 * t14679;
  t72292 = t14433 * t4433;
  t72294 = t8011 * t2957;
  t72296 = t72166 * t9360;
  t72298 = t7911 * t14861;
  t72308 = t72166 * t9270;
  t72318 = t71649 / 0.6e1 + t71651 / 0.6e1 - t71653 / 0.6e1 - t72288 / 0.3e1 - 0.2e1 * t72169 * t1432 - t72292 / 0.36e2 + t72294 / 0.36e2 - 0.5e1 / 0.108e3 * t72296 - t72298 / 0.9e1 + t7916 * t11603 / 0.3e1 - 0.2e1 / 0.3e1 * t14447 * t4378 + 0.2e1 / 0.3e1 * t7921 * t14772 - t1902 * t8553 / 0.6e1 + 0.7e1 / 0.9e1 * t72308 + 0.23e2 / 0.36e2 * t72163 * t9264 - 0.11e2 / 0.18e2 * t72163 * t9261 + t44060 + 0.2e1 / 0.3e1 * t7921 * t11566 - 0.3e1 / 0.2e1 * t72163 * t9256;
  t72321 = t948 * t14717;
  t72323 = t3990 * t3015;
  t72342 = t38935 * t14628;
  t72344 = t24028 * t14622;
  t72348 = t7997 * t2041;
  t72350 = t4005 * t14858;
  t72352 = t4005 * t14854;
  t72354 = -t38631 * t2026 + t8016 * t2029 - t72321 / 0.12e2 - t72323 / 0.12e2 - t38554 * t14657 / 0.3e1 - t28445 * t14916 + t38554 * t14918 / 0.6e1 - t38554 * t11552 / 0.3e1 + 0.2e1 / 0.3e1 * t38554 * t11556 - t28461 * t14823 / 0.2e1 + t38554 * t14635 / 0.12e2 - t38588 * t14632 / 0.6e1 + t38588 * t14640 / 0.12e2 - t72342 / 0.18e2 - t72344 / 0.12e2 + t14447 * t4361 / 0.3e1 - t72348 / 0.6e1 + t72350 / 0.3e1 - t72352 / 0.6e1;
  t72356 = t7997 * t1938;
  t72358 = t4005 * t14808;
  t72359 = t7997 * t2037;
  t72361 = t4005 * t14804;
  t72363 = t7911 * t11566;
  t72365 = t7911 * t11562;
  t72367 = t937 * t14830;
  t72368 = t72367 * t1426;
  t72370 = t14433 * t4554;
  t72372 = t1905 * t8264;
  t72374 = t7953 * t11603;
  t72386 = t43466 + t72356 / 0.6e1 + t44104 + t44120 - t44122 + t72358 - t72359 / 0.3e1 - t72361 / 0.3e1 + 0.2e1 / 0.9e1 * t72363 - t72365 / 0.9e1 + t72368 / 0.3e1 + t72370 / 0.9e1 + t72372 / 0.18e2 + t72374 / 0.9e1 - 0.3e1 * t945 * t14873 - t14485 * t1098 / 0.6e1 + 0.3e1 / 0.2e1 * t945 * t14870 - t945 * t14751 / 0.4e1 - t945 * t14717 / 0.4e1;
  t72393 = t23651 * t14888;
  t72395 = t4005 * t14891;
  t72396 = t7997 * t2029;
  t72398 = t1905 * t8563;
  t72400 = t38570 * t14657;
  t72402 = t38570 * t14918;
  t72404 = t28899 * t14916;
  t72406 = t38570 * t11556;
  t72408 = t38570 * t11552;
  t72410 = t28548 * t14823;
  t72412 = t28763 * t14819;
  t72414 = t24028 * t14815;
  t72416 = -t4028 * t3015 / 0.4e1 - t4025 * t3015 / 0.4e1 - t945 * t14910 + t945 * t14908 + t72393 / 0.2e1 - t72395 + t72396 / 0.3e1 - t72398 / 0.18e2 - t72400 / 0.9e1 + t72402 / 0.18e2 - t72404 / 0.3e1 + 0.2e1 / 0.9e1 * t72406 - t72408 / 0.9e1 - t72410 / 0.6e1 + t72412 / 0.6e1 + t72414 / 0.3e1 - t9147 - t9168 + t9172 + t9195;
  t72420 = t8006 * t1965;
  t72422 = t14433 * t4361;
  t72424 = t8011 * t1965;
  t72426 = t7911 * t14772;
  t72428 = t14433 * t4378;
  t72430 = t1905 * t8553;
  t72434 = t948 * t14751;
  t72440 = t38942 * t14632;
  t72446 = -t72420 / 0.18e2 + t72422 / 0.9e1 - t72424 / 0.18e2 + t44154 + t44156 + 0.2e1 / 0.9e1 * t72426 - 0.2e1 / 0.9e1 * t72428 - t72430 / 0.18e2 - t925 * t2993 / 0.4e1 - t72434 / 0.12e2 - t7921 * t11562 / 0.3e1 + 0.3e1 / 0.2e1 * t945 * t14877 - t72440 / 0.18e2 + t71657 + t71659 - t71681 / 0.36e2 + t71684 / 0.18e2 + t71686 / 0.9e1 - t71690 / 0.18e2;
  t72451 = t948 * t14799;
  t72453 = t3993 * t3006;
  t72455 = t933 * t15035;
  t72474 = t72166 * t9256;
  t72476 = t38688 * t2026;
  t72478 = -t71692 / 0.18e2 - t71694 / 0.6e1 - t71696 / 0.12e2 + t71699 + t71701 - t71702 / 0.6e1 + t72451 / 0.6e1 + t72453 / 0.6e1 - t72455 * t1452 / 0.2e1 + t7916 * t15032 / 0.3e1 - t1902 * t8602 / 0.6e1 - t1902 * t8563 / 0.6e1 - t8027 * t1965 / 0.6e1 - t8032 * t1965 / 0.6e1 + t14447 * t4452 / 0.6e1 - t7921 * t15027 / 0.6e1 + t14485 * t1103 / 0.6e1 - t72474 / 0.2e1 - t72476 / 0.3e1;
  t72480 = t294 * t14653;
  t72482 = t929 * t3037;
  t72484 = t294 * t14541;
  t72486 = t294 * t14572;
  t72488 = t929 * t2998;
  t72490 = t948 * t14873;
  t72491 = t948 * t14877;
  t72493 = t14438 * t1098;
  t72495 = t7953 * t15032;
  t72497 = t937 * t15035;
  t72498 = t72497 * t1452;
  t72500 = t14433 * t4452;
  t72502 = t7911 * t15027;
  t72504 = t72367 * t1457;
  t72506 = t14438 * t1103;
  t72508 = t8006 * t2957;
  t72512 = -t44217 - t44219 + t44221 - t72480 / 0.12e2 - t72482 / 0.12e2 - t72484 / 0.12e2 - t72486 / 0.12e2 - t72488 / 0.6e1 - t72490 + t72491 / 0.2e1 - t72493 / 0.18e2 + t72495 / 0.9e1 - t72498 / 0.6e1 + t72500 / 0.18e2 - t72502 / 0.18e2 + t72504 / 0.6e1 + t72506 / 0.18e2 + t72508 / 0.36e2 - 0.5e1 / 0.36e2 * t72163 * t9360;
  t72517 = t1905 * t8316;
  t72519 = t72245 * t1020;
  t72521 = t8006 * t1951;
  t72529 = t14433 * t4264;
  t72531 = t948 * t14682;
  t72533 = t72166 * t9261;
  t72535 = t72166 * t9264;
  t72537 = t72367 * t1432;
  t72539 = t7997 * t1969;
  t72541 = t7997 * t2045;
  t72543 = -t71707 + t71709 + t71710 / 0.6e1 + t71712 / 0.36e2 + t71715 - t71718 - t7921 * t14861 / 0.3e1 - t72517 / 0.18e2 + t72519 / 0.9e1 - t72521 / 0.18e2 + t14447 * t4264 / 0.3e1 - t8027 * t1951 / 0.6e1 - t1902 * t8316 / 0.6e1 + t72529 / 0.9e1 - t72531 / 0.6e1 - 0.11e2 / 0.54e2 * t72533 + 0.23e2 / 0.108e3 * t72535 - 0.2e1 / 0.3e1 * t72537 + t72539 / 0.6e1 + t72541 / 0.6e1;
  t72546 = t938 * t14793;
  t72574 = t294 * t14650;
  t72580 = t3990 * t3018;
  t72582 = -t72546 / 0.18e2 + t1902 * t14866 / 0.12e2 + t1902 * t14757 / 0.12e2 - t71719 / 0.18e2 - t14447 * t4550 / 0.6e1 + t14447 * t4554 / 0.3e1 - t7921 * t11588 / 0.6e1 + t1902 * t8264 / 0.6e1 + t23548 * t14815 + t28713 * t14819 / 0.2e1 - t38984 * t14628 / 0.6e1 - t290 * t15024 / 0.4e1 - t290 * t14647 / 0.2e1 - t290 * t14650 / 0.2e1 - t290 * t14653 / 0.4e1 - t72574 / 0.6e1 - t290 * t14572 / 0.4e1 - t925 * t2998 / 0.2e1 + t72580 / 0.6e1;
  t72583 = t3993 * t3010;
  t72585 = t14438 * t994;
  t72588 = t3986 * t2941 * t350;
  t72592 = t4021 * t2946;
  t72601 = t3990 * t3010;
  t72603 = t23776 * t3002;
  t72605 = t3993 * t3018;
  t72607 = t23895 * t3002;
  t72609 = t1905 * t14757;
  t72611 = t294 * t14647;
  t72617 = t1905 * t8602;
  t72620 = -t72583 / 0.6e1 + t72585 / 0.18e2 + t72588 / 0.18e2 - t14447 * t4228 / 0.12e2 - t72592 * t1015 / 0.6e1 - t14447 * t4135 / 0.6e1 + t72592 * t1020 / 0.3e1 - t72592 * t1010 / 0.12e2 - t72601 / 0.6e1 - t72603 / 0.6e1 + t72605 / 0.6e1 - t72607 / 0.6e1 + t72609 / 0.36e2 - t72611 / 0.6e1 - t290 * t14541 / 0.4e1 - t925 * t3037 / 0.4e1 - t72617 / 0.18e2 + t71724 - t71725 / 0.12e2;
  t72624 = t929 * t2993;
  t72626 = t3990 * t3006;
  t72634 = t948 * t14908;
  t72636 = t948 * t14910;
  t72640 = t294 * t15024;
  t72642 = t1905 * t14866;
  t72644 = t14433 * t4550;
  t72646 = t7911 * t11588;
  t72648 = t3971 * t14858 - t945 * t14679 - t72624 / 0.12e2 + t44321 + t44323 + t72626 / 0.6e1 + t945 * t14827 / 0.4e1 - t934 * t14706 / 0.12e2 + t945 * t14674 / 0.2e1 + t72634 / 0.3e1 - t72636 / 0.3e1 + 0.7e1 / 0.3e1 * t72163 * t9270 - t72640 / 0.12e2 - t44333 - t44335 + t44337 + t72642 / 0.36e2 - t72644 / 0.18e2 - t72646 / 0.18e2;
  t72653 = t948 * t14674;
  t72655 = t3993 * t3015;
  t72657 = t948 * t14870;
  t72659 = t948 * t14686;
  t72666 = t948 * t14827;
  t72668 = t938 * t14706;
  t72678 = -t38554 * t11780 / 0.6e1 + t38588 * t8211 / 0.6e1 - t44353 - t44360 - t43495 - t44379 + t44389 + t72653 / 0.6e1 - t72655 / 0.12e2 + t72657 / 0.2e1 + t72659 / 0.6e1 - t945 * t14682 / 0.2e1 - t71731 / 0.12e2 + t945 * t14686 / 0.2e1 + t72666 / 0.12e2 - t72668 / 0.36e2 + t72169 * t1457 / 0.2e1 + t8027 * t2957 / 0.12e2 + t8032 * t2957 / 0.12e2 - t14447 * t4433 / 0.12e2;
  t72683 = my_piecewise3(t100, 0, t72195 + t72222 + t72248 + t72282 + t72318 + t72354 + t72386 + t72416 + t72446 + t72478 + t72512 + t72543 + t72582 + t72620 + t72648 + t72678);
  tv4rho2tau25 = t3 * t72683 + t14498 + t15045;

  if(out->v4rho2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 5] += tv4rho2tau25;

  t72698 = -t69213 + t3958 * t2903 / 0.2e1 - t3958 * t2912 / 0.4e1 + t71799 / 0.3e1 - t71801 / 0.9e1 + t71803 / 0.18e2 + t71830 / 0.3e1 + 0.2e1 / 0.9e1 * t71833 - t71835 / 0.3e1 + t71837 / 0.3e1 - t69574 + t69578 - t71907 / 0.3e1;
  t72703 = t3952 * t2843;
  t72723 = t69905 + t8041 * t2854 / 0.12e2 - t8041 * t1807 / 0.6e1 + t70024 - t72703 * t662 / 0.12e2 + t3952 * t2838 * t223 / 0.6e1 - t8041 * t1765 / 0.6e1 - t72703 * t667 / 0.6e1 + t38297 * t530 / 0.2e1 - t23213 * t2899 / 0.2e1 + t72703 * t672 / 0.3e1 - t3958 * t2907 / 0.2e1 + t3958 * t2915 / 0.2e1 - t41813;
  t72732 = t70227 - t71955 / 0.3e1 - t71957 / 0.6e1 - t71959 / 0.6e1 + t70272 - t71979 / 0.18e2 + t71982 / 0.9e1 - t71984 / 0.9e1 - t71986 / 0.9e1 + t70321 + t70835 - t70850 - t70869;
  t72740 = t70873 + t70875 - t70960 - t71003 + t42576 - t972 * t2934 / 0.4e1 - t972 * t2895 / 0.2e1 - t44417 + t44424 - t44427 + t44448 + t71283 - t972 * t2890 / 0.4e1 - t72147 / 0.6e1;
  t72743 = my_piecewise3(t2, 0, t72698 + t72723 + t72732 + t72740);
  tv4rho2tau26 = t3 * t72743 + 0.2e1 * t14537;

  if(out->v4rho2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 6] += tv4rho2tau26;

  tv4rho2tau27 = 0.e0;

  if(out->v4rho2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 7] += tv4rho2tau27;

  t72756 = t1430 * t14792;
  t72769 = -0.3e1 * t14711 * t5595 * t4186 * t1424 + 0.14e2 / 0.3e1 * t14711 * t5733 * t6051 - t72167 / 0.3e1 - t991 * t14793 / 0.6e1 - t1002 * t72756 / 0.6e1 - t1956 * t8105 / 0.2e1 + t2947 * t24908 / 0.3e1 - t8337 * t1965 / 0.6e1 + t72198 / 0.3e1 + t72200 / 0.3e1 + t72203 / 0.6e1 - t72205 / 0.18e2 - t44483;
  t72776 = -t44484 - 0.2e1 / 0.3e1 * t8086 * t11562 - t71634 - t71637 + t71640 + t71642 - t71644 + t71646 - t71648 - t2180 + t2251 + 0.2e1 / 0.3e1 * t1981 * t39716 - t1981 * t56181 / 0.3e1;
  t72781 = t167 * t2939;
  t72782 = t371 * t72781;
  t72783 = t29113 * t72782;
  t72786 = t5733 * t72782;
  t72796 = t167 * t8321;
  t72797 = t1095 * t72796;
  t72807 = t11402 * t8089;
  t72813 = 0.3e1 / 0.2e1 * t373 * t14876 * t24159 + 0.47e2 / 0.3e1 * t44569 * t72783 - 0.28e2 * t45228 * t72786 - 0.3e1 * t373 * t14807 * t4300 - t2942 * t4457 / 0.6e1 - t15036 * t4429 / 0.2e1 + t1974 * t1101 * t72797 / 0.3e1 + t2947 * t24342 / 0.6e1 + t44540 - t44544 - 0.4e1 * t5665 * t2060 * t4626 * t40905 + 0.6e1 * t5649 * t72807 * t5635 - 0.4e1 * t11510 * t68026;
  t72817 = t1009 * t2992 * t1018;
  t72822 = t321 * t369 * t2991 * t1026;
  t72825 = t1014 * t2993;
  t72839 = t4179 * t2946;
  t72848 = t14666 * t1040 / 0.2e1 + t1002 * t72817 / 0.3e1 - t72822 * t1035 / 0.2e1 - t1002 * t72825 / 0.6e1 + t2942 * t4171 / 0.6e1 + t4179 * t2941 * t350 / 0.6e1 + t14581 * t994 / 0.3e1 - t2947 * t25229 / 0.6e1 - t8337 * t1951 / 0.6e1 - t72839 * t1015 / 0.6e1 - t14695 * t4135 / 0.3e1 - t2947 * t25221 / 0.12e2 + 0.4e1 / 0.3e1 * t8086 * t11566;
  t72867 = -0.2e1 / 0.3e1 * t39976 * t14657 - 0.2e1 / 0.3e1 * t39979 * t14657 + t39976 * t14918 / 0.3e1 + t39979 * t14918 / 0.3e1 + t8063 * t30022 * t14627 / 0.3e1 - 0.2e1 * t30473 * t14916 - t44585 - t44589 - t44600 - t44614 + t72224 / 0.18e2 + t72226 / 0.18e2 + t72228 / 0.3e1;
  t72886 = t1018 * t14817;
  t72887 = t29468 * t72886;
  t72890 = t44645 + t44647 + t44649 + 0.4e1 / 0.3e1 * t8063 * t56786 + 0.2e1 / 0.3e1 * t8063 * t40787 + 0.23e2 / 0.18e2 * t11399 * t57662 - 0.2e1 / 0.3e1 * t8063 * t57378 - t8063 * t40764 / 0.3e1 - 0.11e2 / 0.9e1 * t11399 * t57658 + 0.4e1 / 0.3e1 * t39976 * t11556 + 0.4e1 / 0.3e1 * t39979 * t11556 + 0.4e1 / 0.3e1 * t8063 * t56782 - 0.7e1 / 0.3e1 * t39435 * t72887;
  t72896 = t4371 * t2972;
  t72908 = -0.2e1 / 0.3e1 * t39976 * t11552 - t8340 * t1965 / 0.3e1 - t1029 * t72896 * t1034 / 0.2e1 + t4183 * t3006 / 0.2e1 + t4274 * t3006 + t1070 * t14847 - t44699 + t44701 + t44703 - t72239 / 0.9e1 - t72241 / 0.9e1 - t72243 / 0.18e2 - t72246 / 0.9e1;
  t72910 = t30275 * t14709;
  t72920 = -t72249 / 0.18e2 + 0.3e1 * t4695 * t72910 * t9717 + t72251 / 0.3e1 + t44736 - t44737 - t44746 + t44747 - t44748 + t44752 + t72253 / 0.9e1 + 0.2e1 / 0.9e1 * t72255 + t72257 / 0.3e1 - 0.2e1 / 0.3e1 * t72261 - t72263 / 0.9e1;
  t72938 = t14748 * t1082;
  t72942 = t14748 * t333;
  t72953 = -t72265 / 0.3e1 + t8219 * t39432 / 0.3e1 + t11510 * t56900 + t29349 * t14614 + t29349 * t14619 - 0.2e1 * t57332 * t8241 + 0.3e1 * t57328 * t8238 + 0.4e1 * t5639 * t2060 * t4572 * t40905 + t5665 * t559 * t4575 * t72938 + t5665 * t2056 * t1165 * t72942 + t5665 * t2054 * t14618 - t4695 * t40037 * t3014 / 0.2e1 - t25561 * t14622 / 0.2e1;
  t72961 = t1009 * t2993;
  t72979 = t39069 * t570 + t39074 * t570 / 0.2e1 + t14666 * t1062 / 0.4e1 + t40666 * t570 / 0.2e1 - t1002 * t72961 / 0.12e2 - 0.2e1 / 0.3e1 * t72288 - 0.6e1 * t4204 * t14891 + 0.3e1 * t1070 * t14877 - 0.6e1 * t4188 * t14891 + 0.3e1 * t1058 * t14877 + 0.6e1 * t4188 * t14808 - 0.2e1 / 0.3e1 * t8081 * t11562 + 0.4e1 / 0.3e1 * t8081 * t11566;
  t72982 = t1065 * t14710;
  t72986 = t2991 * t146;
  t72988 = t1101 * t72986 * t1088;
  t72996 = t1423 * t14705;
  t73000 = t1430 * t371 * t14704;
  t73003 = t14704 * t1160;
  t73011 = t1101 * t39769 * t1963;
  t73017 = -t14711 * t45893 - t72982 * t9267 - 0.11e2 / 0.9e1 * t14711 * t45917 - t338 * t72988 / 0.6e1 - t1981 * t56801 / 0.3e1 + t373 * t72896 * t1039 / 0.2e1 - t1002 * t72996 / 0.6e1 + t1002 * t73000 / 0.3e1 - t1029 * t73003 * t1034 / 0.2e1 + t373 * t73003 * t1039 / 0.2e1 - t338 * t73011 / 0.3e1 + t8287 * t1969 - t1941 * t8563 / 0.3e1;
  t73049 = -t1941 * t8602 / 0.3e1 - t8324 * t1965 / 0.6e1 + 0.2e1 * t1070 * t14908 - 0.6e1 * t1070 * t14873 + t555 * t1094 * t24323 * t2955 / 0.12e2 + t555 * t1094 * t4440 * t14864 / 0.6e1 - t72292 / 0.18e2 + t72294 / 0.18e2 - 0.5e1 / 0.54e2 * t72296 - 0.2e1 / 0.9e1 * t72298 + 0.14e2 / 0.9e1 * t72308 - t373 * t2036 * t346 * t348 * t8321 + t1029 * t14857 * t25530 - t373 * t4371 * t2968 * t1047 / 0.2e1;
  t73056 = t1101 * t4440 * t14704;
  t73061 = params->at * t14570;
  t73063 = t1101 * t1095 * t73061;
  t73070 = t110 * t14928;
  t73081 = t56210 * t8167;
  t73085 = -t1066 * t14793 / 0.3e1 + t8296 * t1969 - t338 * t73056 / 0.6e1 + t1058 * t14827 / 0.2e1 - t338 * t73063 / 0.6e1 + t373 * t73061 * t353 * t376 / 0.2e1 + t44785 - 0.11e2 / 0.6e1 * t73070 * t6009 - t40161 * t14628 / 0.3e1 - t40920 * t14632 / 0.3e1 + t39979 * t14635 / 0.6e1 + t40920 * t14640 / 0.6e1 - 0.6e1 * t5649 * t73081 * t5571;
  t73089 = t2954 * t997;
  t73094 = t1936 * t333;
  t73095 = t168 * t73094;
  t73108 = t1936 * t1936;
  t73109 = t1030 * t73108;
  t73117 = t1065 * t14665;
  t73122 = 0.3e1 * t4695 * t73081 * t5576 - 0.3e1 / 0.2e1 * t10513 * t8438 * t24477 * t73089 - 0.2e1 * t11399 * t5691 * t73095 + 0.4e1 * t11510 * t5679 * t73095 - 0.22e2 / 0.9e1 * t11399 * t10447 * t73095 + t4183 * t3018 / 0.2e1 + t4274 * t3018 + t373 * t73109 * t1039 - t4274 * t3010 - t4176 * t3010 / 0.2e1 - t1066 * t14661 / 0.6e1 + t73117 * t377 / 0.2e1 + t72839 * t1020 / 0.3e1;
  t73126 = t321 * t649 * t73108 * t999;
  t73148 = 0.2e1 / 0.3e1 * t73126 * t1020 - t1941 * t8316 / 0.3e1 - t555 * t39061 / 0.6e1 - t1956 * t8140 + t1053 * t14793 / 0.3e1 + t1956 * t8609 + 0.3e1 * t1956 * t8191 + t1956 * t8118 - 0.2e1 * t1956 * t8352 - t1956 * t8134 - 0.2e1 * t1070 * t14679 + 0.3e1 * t1070 * t14870 + t1070 * t14686;
  t73153 = t8226 * t1979;
  t73159 = t8226 * t1944;
  t73162 = t8226 * t8128;
  t73166 = t39991 * t1972;
  t73176 = t2954 * t988;
  t73184 = -t72321 / 0.6e1 - t72323 / 0.6e1 + 0.2e1 * t25376 * t14815 + 0.3e1 * t4695 * t73153 * t5702 + 0.2e1 * t11510 * t57565 - t4695 * t73159 * t1084 - 0.2e1 * t4695 * t73162 * t1438 - 0.2e1 * t4695 * t73166 * t1438 - t8214 * t40112 / 0.3e1 - 0.2e1 / 0.3e1 * t39979 * t11552 - 0.2e1 / 0.3e1 * t8063 * t57206 + t5665 * t2056 * t1165 * t73176 / 0.2e1 - t4695 * t14608 * t4407 / 0.2e1 - t44849;
  t73217 = -0.11e2 * t5639 * t14928 * t24073 - t1981 * t39733 / 0.6e1 - 0.5e1 / 0.18e2 * t8169 * t56157 + t555 * t39556 / 0.6e1 - 0.2e1 / 0.3e1 * t2947 * t24288 + t1974 * t58119 / 0.3e1 + t8091 * t57349 + 0.2e1 / 0.3e1 * t1981 * t1430 * t371 * t72796 + t373 * t2025 * t1007 * t1013 * t8321 - t555 * t39214 / 0.6e1 - t72342 / 0.9e1 - t72344 / 0.6e1 - 0.2e1 / 0.3e1 * t8063 * t56434;
  t73218 = t110 * t14932;
  t73231 = t380 * t40755;
  t73236 = t110 * t2973;
  t73243 = 0.14e2 / 0.3e1 * t73218 * t10447 * t5696 - 0.3e1 * t73218 * t10358 * t5647 * t5680 + t8063 * t56430 - 0.2e1 * t8063 * t57078 - 0.5e1 / 0.18e2 * t73218 * t45684 - t8063 * t5695 * t73231 / 0.3e1 + t73070 * t6001 + t73236 * t24386 / 0.3e1 - t72348 / 0.3e1 + 0.2e1 / 0.3e1 * t72350 - t72352 / 0.3e1 + t43466 + t72356 / 0.3e1;
  t73267 = 0.2e1 * t72358 - 0.2e1 / 0.3e1 * t72359 - 0.2e1 / 0.3e1 * t72361 + 0.4e1 / 0.9e1 * t72363 - 0.2e1 / 0.9e1 * t72365 + 0.2e1 / 0.3e1 * t72368 - 0.11e2 / 0.9e1 * t72982 * t9261 + t1956 * t8122 / 0.2e1 - 0.3e1 * t72982 * t9256 + 0.14e2 / 0.3e1 * t72982 * t9270 - 0.2e1 / 0.3e1 * t1981 * t57283 + 0.4e1 / 0.3e1 * t1981 * t1430 * t8285 * t1424 - t373 * t14685 * t4347;
  t73268 = t374 * t14806;
  t73283 = t2939 * t24087;
  t73284 = t4719 * t73283;
  t73299 = -0.6e1 * t373 * t73268 * t5702 - t8280 * t8161 + t1956 * t8164 - 0.3e1 * t1029 * t14857 * t25575 - t373 * t14704 * t1156 * t1047 / 0.2e1 + t1053 * t14706 / 0.6e1 - 0.18e2 * t4718 * t73284 * t5602 - 0.6e1 * t1956 * t8197 + 0.6e1 * t8280 * t8201 - t1066 * t14706 / 0.6e1 + t1070 * t14827 / 0.2e1 + 0.2e1 / 0.9e1 * t72370 + t72372 / 0.9e1 + 0.2e1 / 0.9e1 * t72374;
  t73330 = -t991 * t14706 / 0.12e2 - t555 * t39220 / 0.6e1 + 0.2e1 * t8287 * t2029 - 0.2e1 * t40223 * t2026 + 0.2e1 * t8296 * t2029 - 0.2e1 * t40091 * t2026 - t1058 * t14717 / 0.2e1 - t1058 * t14751 / 0.2e1 - t373 * t39195 * t3014 / 0.4e1 - t373 * t8133 * t14750 / 0.2e1 - t1070 * t14717 / 0.2e1 - t1070 * t14751 / 0.2e1 - t4176 * t3015 / 0.4e1;
  t73343 = 0.2e1 / 0.3e1 * t8130 * t11603 + t1946 * t8264 / 0.3e1 - t555 * t39238 / 0.3e1 + t1058 * t14686 - t1058 * t14682 + t72393 - 0.2e1 * t72395 + 0.2e1 / 0.3e1 * t72396 - t45030 + t45032 + t45036 + t45040 - t14711 * t24752 / 0.2e1;
  t73364 = t2939 * t24537;
  t73366 = t321 * t20823 * t73364;
  t73369 = 0.7e1 / 0.3e1 * t14711 * t24301 + 0.23e2 / 0.36e2 * t14711 * t45252 - 0.11e2 / 0.18e2 * t14711 * t45257 - 0.2e1 * t14831 * t4535 - 0.3e1 * t1029 * t14876 * t24756 + t14831 * t5621 + 0.3e1 / 0.2e1 * t4718 * t14876 * t24777 + t1956 * t8249 - t8280 * t8583 - 0.3e1 / 0.2e1 * t14711 * t24186 - 0.43e2 / 0.9e1 * t73366 * t45264 + t45052 + t45055;
  t73376 = t168 * t40905;
  t73390 = t1018 * t73094;
  t73394 = t45057 + t45059 + t45061 - t45063 + 0.2e1 * t73070 * t5682 + 0.55e2 / 0.18e2 * t73218 * t45697 + 0.2e1 / 0.3e1 * t73236 * t24742 + 0.4e1 / 0.3e1 * t8063 * t5674 * t73376 - 0.11e2 / 0.3e1 * t73070 * t5676 + t8063 * t56646 / 0.2e1 - 0.2e1 / 0.3e1 * t8219 * t56651 - 0.115e3 / 0.36e2 * t73218 * t45471 + 0.22e2 / 0.3e1 * t73070 * t5693 - 0.8e1 * t11510 * t5695 * t73390;
  t73400 = t583 * t552;
  t73401 = t4693 * t73400;
  t73416 = t1018 * t73089;
  t73420 = t168 * t72942;
  t73424 = t168 * t73176;
  t73428 = t168 * t73089;
  t73432 = -0.8e1 / 0.3e1 * t8063 * t40907 + 0.14e2 / 0.3e1 * t39435 * t10447 * t73401 - 0.2e1 / 0.3e1 * t8063 * t30011 * t14656 - 0.2e1 / 0.3e1 * t8063 * t5691 * t1018 * t72942 - t8063 * t5691 * t1018 * t73176 / 0.3e1 - 0.23e2 / 0.36e2 * t11399 * t29474 * t73416 + t8063 * t5674 * t73420 / 0.3e1 + t8063 * t5674 * t73424 / 0.6e1 + 0.11e2 / 0.18e2 * t11399 * t29468 * t73428 + t45122 + t45124 - t45131 - t45133;
  t73448 = -t45135 - t45137 - t45150 - t45156 - t45195 + t45198 - t72398 / 0.9e1 - t39906 * t8078 - 0.2e1 * t39906 * t8061 + 0.2e1 * t57324 * t8058 + 0.3e1 * t5639 * t8438 * t24418 * t73089 - 0.3e1 / 0.2e1 * t5665 * t8438 * t24435 * t73089 - t11399 * t56203;
  t73458 = t45233 + t45236 - t45239 - t45243 - t45249 - 0.2e1 / 0.9e1 * t72400 + t72402 / 0.9e1 - 0.2e1 / 0.3e1 * t72404 + 0.4e1 / 0.9e1 * t72406 - 0.2e1 / 0.9e1 * t72408 - t72410 / 0.3e1 + t72412 / 0.3e1 + 0.2e1 / 0.3e1 * t72414;
  t73470 = t2954 * t4345;
  t73496 = -0.6e1 * t5649 * t72910 * t9703 - 0.12e2 * t5639 * t8438 * t4619 * t73094 + 0.15e2 * t5639 * t14932 * t44706 - t11646 * t56367 + t8214 * t45083 * t168 * t73470 / 0.2e1 + t11646 * t4687 * t73428 / 0.2e1 + t8214 * t25122 * t14639 / 0.6e1 - t8219 * t4687 * t73420 / 0.3e1 + t5639 * t2060 * t4572 * t73176 / 0.2e1 + 0.25e2 / 0.36e2 * t73218 * t45692 + t39976 * t14635 / 0.6e1 - 0.2e1 * t8287 * t2037 - t8287 * t2041 + t8287 * t2045;
  t73506 = t1094 * t72986 * t1096;
  t73509 = t5650 * t14806;
  t73517 = t14612 * t1082;
  t73522 = t8296 * t2045 - 0.2e1 * t8296 * t2037 - t8296 * t2041 - t14666 * t1085 / 0.4e1 + t338 * t73506 / 0.12e2 - t45315 + t45316 + t45317 + 0.6e1 * t5649 * t73509 * t1410 + 0.12e2 * t5639 * t8460 * t1033 * t73094 + t45378 + t45381 - 0.2e1 * t5665 * t2056 * t4575 * t73517;
  t73524 = t1076 * t3013 * t333;
  t73531 = t2954 * t4405;
  t73540 = t5650 * t2945;
  t73544 = t3035 * t193;
  t73551 = t4687 * t380 * t3035 * t1082;
  t73560 = t4695 * t8060 * t73524 - t40730 * t14628 / 0.3e1 - t39497 * t14632 / 0.3e1 + t5665 * t559 * t4575 * t73531 / 0.2e1 - t45399 - t45406 + t45407 - 0.3e1 / 0.2e1 * t5665 * t559 * t24458 * t73470 + 0.2e1 * t5649 * t73540 * t4307 - t4695 * t73544 * t336 * t1084 / 0.4e1 + t4686 * t73551 / 0.12e2 + 0.2e1 * t4695 * t8072 * t14907 - 0.2e1 * t4695 * t73540 * t4324;
  t73591 = 0.3e1 * t30451 * t72910 * t9698 + 0.6e1 * t10513 * t8438 * t4609 * t73094 - 0.15e2 / 0.2e1 * t10513 * t14932 * t46585 + 0.2e1 * t39906 * t8073 - 0.3e1 * t57324 * t8069 + 0.2e1 / 0.3e1 * t2947 * t24854 - 0.2e1 * t4188 * t14804 - 0.2e1 * t4204 * t14804 + 0.6e1 * t4204 * t14808 + 0.2e1 * t4204 * t14858 - t4204 * t14854 + 0.23e2 / 0.18e2 * t14711 * t44581 - 0.61e2 / 0.27e2 * t73366 * t45164;
  t73604 = t1430 * t14705;
  t73615 = -0.4e1 / 0.3e1 * t2947 * t24280 + 0.4e1 / 0.3e1 * t1981 * t1430 * t1056 * t14770 - 0.4e1 * t14831 * t6052 + t373 * t14704 * t1153 * t376 / 0.4e1 - t1002 * t73604 / 0.12e2 - t72420 / 0.9e1 + 0.2e1 / 0.9e1 * t72422 - t72424 / 0.9e1 + t45434 - t45438 - t45442 - 0.2e1 * t1058 * t14679 + 0.3e1 * t1058 * t14870 + t1058 * t14674;
  t73629 = t4572 * t14612;
  t73643 = 0.4e1 / 0.9e1 * t72426 - 0.4e1 / 0.9e1 * t72428 - t72430 / 0.9e1 + 0.2e1 * t1058 * t14908 - 0.2e1 * t1058 * t14910 - t29349 * t14823 + t5639 * t8457 * t73629 + t5639 * t2060 * t4572 * t72942 - t2947 * t25571 - t555 * t39839 / 0.3e1 - t8145 * t56195 + 0.2e1 * t2947 * t24144 - 0.11e2 / 0.9e1 * t8169 * t56184;
  t73660 = 0.23e2 / 0.18e2 * t8169 * t56832 + 0.2e1 * t8091 * t57398 - 0.4e1 * t8091 * t57400 + t45502 - t45505 + 0.2e1 * t11510 * t5691 * t73416 - t11510 * t5674 * t73428 + t8214 * t4687 * t380 * t1146 * t2954 / 0.12e2 - t45534 - t45537 - t45539 - t45541 - t45543;
  t73668 = t14638 * t333;
  t73673 = t168 * t73517;
  t73681 = -t72434 / 0.6e1 - t72440 / 0.9e1 + t71657 + t71659 - t45595 - t45598 - t45600 + 0.5e1 / 0.3e1 * t8063 * t30141 * t1018 * t73517 - 0.2e1 / 0.3e1 * t8063 * t5691 * t4693 * t73668 - 0.5e1 / 0.6e1 * t8063 * t30134 * t73673 - t1070 * t14682 + 0.2e1 * t4188 * t14858 - t4188 * t14854;
  t73695 = 0.1e1 / t112 / t4467;
  t73696 = t73695 * t1112;
  t73709 = t8388 * tau[1];
  t73734 = -0.2e4 * t25067 * t73696 - 0.13e4 / 0.9e1 * t1119 * t1115 - 0.2e4 / 0.3e1 * t25070 * t73696 - 0.52e3 * t1124 * t1115 + 0.8e4 * t25049 * t73696 - 0.52e3 / 0.9e1 * t1129 * t1115 + 0.476e4 / 0.3e1 * t4480 * t73709 + 0.728e4 / 0.3e1 * t4483 * t73709 - 0.28e4 * t4486 * t73709 - 0.7e4 * t4465 * t73709 - 0.98e4 / 0.3e1 * t4474 * t73709 + 0.26e3 / 0.9e1 * t8384 + 0.28e3 / 0.3e1 * t8389 * tau[1] - 0.1e4 / 0.3e1 * t73695 * t391 * t1112 + 0.35e5 / 0.3e1 * t25057 * t73696 + 0.65e4 / 0.9e1 * t1134 * t1115 + 0.14e5 / 0.3e1 * t25062 * t73696 + 0.13e4 / 0.3e1 * t1141 * t1115;
  t73745 = t4440 * t14770;
  t73754 = t1065 * t15035;
  t73756 = t2942 * t4437 / 0.6e1 + t14831 * t5759 / 0.2e1 + t8324 * t2957 / 0.12e2 - t110 * t8517 * t584 / 0.2e1 - t110 * t365 * t14571 / 0.2e1 - t110 * t145 * t380 * t73734 / 0.4e1 - t1205 * t2998 / 0.2e1 - t2942 * t4538 / 0.3e1 + t2942 * t4442 / 0.3e1 + 0.2e1 / 0.3e1 * t1974 * t1101 * t73745 - t15036 * t5787 + t14581 * t1103 / 0.3e1 + 0.2e1 / 0.3e1 * t8125 * t15032 - t73754 * t1452;
  t73782 = -t14581 * t1098 / 0.3e1 - t8081 * t11588 / 0.3e1 - t1941 * t8553 / 0.3e1 + 0.2e1 / 0.3e1 * t8125 * t11603 + t1941 * t8264 / 0.3e1 - t2947 * t24904 / 0.3e1 - 0.2e1 / 0.3e1 * t1981 * t1423 * t73745 + 0.2e1 * t14831 * t5618 + 0.2e1 / 0.3e1 * t2947 * t24291 + t71699 + t71701 - t110 * t1190 * t3036 / 0.4e1 + t72451 / 0.3e1;
  t73811 = t72453 / 0.3e1 - t1946 * t8563 / 0.3e1 - t1946 * t8602 / 0.3e1 - t373 * t14857 * t25418 - t4183 * t3015 / 0.4e1 + t4176 * t3006 / 0.2e1 + t1058 * t14847 + t1058 * t14799 + t373 * t39243 * t558 * t376 / 0.2e1 - t8214 * t45659 * t14631 / 0.3e1 + t8063 * t30011 * t14627 / 0.6e1 - t8219 * t25122 * t14627 / 0.3e1 - 0.11e2 / 0.9e1 * t73218 * t44471;
  t73825 = t321 * t3135 * t73283;
  t73833 = -0.2e1 / 0.3e1 * t8063 * t5679 * t73231 - t318 * t14650 + t45794 - t9407 - t45798 + t45799 - 0.2e1 * t1070 * t14910 + t1070 * t14674 + 0.89e2 / 0.9e1 * t73366 * t45874 - 0.2e1 * t73366 * t45877 + 0.6e1 * t73825 * t5566 - 0.38e2 / 0.9e1 * t73366 * t45309 - 0.62e2 / 0.3e1 * t73366 * t29118 * t29307;
  t73842 = t25460 * t73364;
  t73861 = 0.8e1 * t73366 * t62884 + 0.3e1 * t39807 * t8173 - 0.6e1 * t8280 * t8176 + 0.3e1 * t1956 * t8528 - 0.6e1 * t25474 * t73842 * t46641 + 0.18e2 * t4718 * t73842 * t46646 - 0.18e2 * t373 * t73284 * t5576 - 0.18e2 * t1029 * t73842 * t46633 + 0.6e1 * t373 * t73842 * t46554 + t45805 - t4274 * t3015 / 0.2e1 - t72474 - 0.2e1 / 0.3e1 * t72476 - t45831;
  t73888 = -t45832 + t45833 + 0.23e2 / 0.9e1 * t11399 * t10358 * t73390 - t8063 * t56638 / 0.3e1 + 0.2e1 / 0.3e1 * t8219 * t56642 + t8214 * t40146 / 0.3e1 - t8063 * t56904 / 0.3e1 + t8214 * t40236 / 0.3e1 + 0.2e1 / 0.3e1 * t8219 * t56081 - t8063 * t56940 / 0.3e1 + 0.2e1 / 0.3e1 * t8219 * t56076 + t8214 * t40245 / 0.3e1 - t39979 * t11780 / 0.3e1;
  t73900 = t110 * t14955;
  t73912 = t110 * t2969;
  t73915 = -t72480 / 0.6e1 - t72482 / 0.6e1 - t72484 / 0.6e1 - t72486 / 0.6e1 - t72488 / 0.3e1 - 0.6e1 * t4695 * t73509 * t1415 - 0.6e1 * t4695 * t72807 * t5728 + t73900 * t6015 - 0.2e1 * t11646 * t6005 * t73095 - 0.2e1 / 0.3e1 * t8219 * t4687 * t73376 + 0.2e1 / 0.3e1 * t8063 * t5691 * t73376 - t73900 * t6006 - t73912 * t4690 / 0.3e1;
  t73933 = 0.2e1 / 0.3e1 * t8219 * t6005 * t73231 + 0.2e1 * t11510 * t5695 * t73095 + 0.5e1 / 0.3e1 * t73825 * t5756 + t45843 - 0.2e1 * t72490 + t72491 - t72493 / 0.9e1 + 0.2e1 / 0.9e1 * t72495 - t72498 / 0.3e1 + t72500 / 0.9e1 - t72502 / 0.9e1 + t72504 / 0.3e1 + t72506 / 0.9e1;
  t73943 = t558 * t999;
  t73951 = t4148 * t4149 * t552;
  t73954 = t8456 * t999;
  t73959 = t2053 * t1045;
  t73971 = t4148 * t4154 * t552;
  t73979 = t2059 * t4160;
  t73982 = t8437 * t4140;
  t73991 = -0.12e2 * t73943 * t5702 - 0.4e1 * t561 * t4347 - 0.4e1 * t44908 * t14721 + 0.4e1 / 0.3e1 * t44915 * t73951 - 0.8e1 * t73954 * t1415 + 0.2e1 * t561 * t4407 + 0.8e1 * t73959 * t1438 + 0.4e1 * t2068 * t1084 + 0.4e1 * t14740 * t4340 + 0.2e1 / 0.3e1 * t24227 * t14721 + 0.4e1 / 0.3e1 * t9372 * t14803 + 0.2e2 / 0.9e1 * t44915 * t73971 + 0.2e1 * t1077 * t8321 * t376 - 0.4e1 * t14745 * t4300 + 0.24e2 * t73979 * t5728 - 0.12e2 * t73982 * t5576 + 0.8e1 * t14727 * t30627 - 0.4e1 * t14730 * t30589 - 0.12e2 * t14730 * t30594;
  t73995 = t4388 * t8084;
  t73998 = t24205 * t8167;
  t74003 = t4388 * t8089;
  t74008 = t1077 * t1979;
  t74020 = t1077 * t8128;
  t74023 = t1077 * t1944;
  t74033 = -0.2e1 * t8434 * t349 + 0.12e2 * t8069 + 0.8e1 * t73995 * t1415 + 0.32e2 / 0.3e1 * t73998 * t5571 + 0.12e2 * t73998 * t5576 - 0.24e2 * t74003 * t5728 + 0.4e1 * t14733 * t4347 + 0.12e2 * t74008 * t5702 - 0.8e1 * t8058 + 0.4e1 / 0.3e1 * t14730 * t4319 + 0.16e2 / 0.9e1 * t73998 * t5602 - 0.2e1 * t14733 * t4407 + 0.4e1 * t14730 * t4300 - 0.8e1 * t74020 * t1438 - 0.4e1 * t74023 * t1084 + 0.8e1 / 0.3e1 * t73995 * t1410 - 0.4e1 * t14727 * t4340 - 0.8e1 * t74003 * t5635 - 0.2e1 * t8238;
  t74034 = t73991 + t74033;
  t74045 = t72508 / 0.18e2 - t71707 + t71709 + t71715 - t71718 - 0.5e1 / 0.36e2 * t14711 * t44861 - 0.35e2 / 0.108e3 * t73366 * t44867 + t1941 * t14866 / 0.6e1 + t1946 * t14866 / 0.6e1 + t555 * t1094 * t1095 * t167 * t74034 / 0.12e2 - t2947 * t24920 / 0.6e1 - t72517 / 0.9e1 + 0.2e1 / 0.9e1 * t72519 - t72521 / 0.9e1;
  t74066 = t1030 * t14709;
  t74078 = 0.2e1 / 0.9e1 * t72529 + 0.4e1 / 0.3e1 * t8063 * t40757 + t373 * t8600 * t2053 * t376 + t373 * t1963 * t8433 * t376 / 0.2e1 - t1029 * t2025 * t1007 * t1008 * t8321 + 0.3e1 * t1029 * t14807 * t4319 - t1956 * t8354 - 0.18e2 * t1029 * t74066 * t5635 + t2947 * t24284 / 0.3e1 + t1956 * t8334 / 0.2e1 - t991 * t14661 / 0.12e2 + t8296 * t1938 + t8287 * t1938;
  t74090 = t1065 * t14830;
  t74106 = -t4183 * t3010 / 0.2e1 - t25243 * t3002 / 0.2e1 - t25641 * t3002 - t25233 * t3002 / 0.2e1 - t14666 * t1048 / 0.2e1 - t14695 * t4550 / 0.3e1 + 0.2e1 * t74090 * t1426 + 0.2e1 / 0.3e1 * t14695 * t4554 - 0.2e1 / 0.3e1 * t8081 * t14861 - t2947 * t24803 / 0.6e1 + t2947 * t24328 / 0.3e1 - 0.5e1 / 0.18e2 * t14711 * t45825 - t1981 * t1430 * t73745 / 0.3e1;
  t74136 = t14831 * t5762 - 0.5e1 / 0.18e2 * t72982 * t9360 - t14695 * t4433 / 0.6e1 - t8081 * t15027 / 0.3e1 + t74090 * t1457 + t14695 * t4452 / 0.3e1 - 0.3e1 / 0.2e1 * t5665 * t8443 * t1165 * t73089 + t8063 * t5691 * t73424 / 0.12e2 + 0.5e1 / 0.36e2 * t11399 * t29474 * t73428 - 0.4e1 * t73070 * t5697 - t72839 * t1010 / 0.12e2 - t14695 * t4228 / 0.6e1 - t73126 * t1015 / 0.3e1;
  t74154 = -t1029 * t73109 * t1034 + t4176 * t3018 / 0.2e1 - 0.2e1 * t25561 * t14606 + t1941 * t14757 / 0.6e1 - t72531 / 0.3e1 - 0.11e2 / 0.27e2 * t72533 + 0.23e2 / 0.54e2 * t72535 - 0.4e1 / 0.3e1 * t72537 + t72539 / 0.3e1 + t72541 / 0.3e1 - t72546 / 0.9e1 + t1946 * t14757 / 0.6e1 - t45948 + t45950;
  t74161 = t56422 * t1979;
  t74165 = t11402 * t8084;
  t74178 = t46002 + t46004 - 0.2e1 * t30693 * t14916 - 0.2e1 * t5649 * t74161 * t1410 - 0.2e1 * t5649 * t74165 * t1410 - t5649 * t14814 * t4319 - t72574 / 0.3e1 + t72580 / 0.3e1 - t72583 / 0.3e1 + t72585 / 0.9e1 + t72588 / 0.9e1 - t72601 / 0.3e1 - t72603 / 0.3e1;
  t74202 = t4305 * t20637 * t333;
  t74210 = t4305 * t20690 * t333;
  t74218 = t72605 / 0.3e1 - t72607 / 0.3e1 + t72609 / 0.18e2 - 0.15e2 / 0.2e1 * t5665 * t14932 * t44710 + 0.6e1 * t5665 * t8438 * t4572 * t73094 - 0.12e2 * t5665 * t8460 * t1038 * t73094 + 0.11e2 * t5665 * t14928 * t5667 - t72611 / 0.3e1 + 0.5e1 / 0.2e1 * t5665 * t2060 * t24564 * t73517 - t4695 * t8072 * t74202 - 0.5e1 / 0.2e1 * t5639 * t2060 * t24435 * t73517 + t5649 * t8072 * t74210 - t8214 * t9444 * t380 * t14638 * t1082 / 0.3e1;
  t74223 = t380 * t73668;
  t74255 = 0.2e1 / 0.3e1 * t8219 * t9444 * t73673 - t8219 * t4687 * t74223 / 0.3e1 + t8063 * t5691 * t74223 / 0.6e1 - 0.5e1 / 0.12e2 * t8063 * t30141 * t73673 - t318 * t14653 / 0.2e1 - t46025 + 0.6e1 * t5665 * t8443 * t356 * t73094 - 0.3e1 * t5665 * t14955 * t5685 - t4695 * t8077 * t14750 / 0.2e1 + t1053 * t14661 / 0.6e1 - t73126 * t1010 / 0.6e1 + t321 * t194 * t73108 * t1045 * t350 / 0.3e1 - t8169 * t57193;
  t74261 = t321 * t649 * t14709;
  t74276 = t39991 * t553;
  t74282 = 0.14e2 / 0.3e1 * t8169 * t57181 - 0.3e1 * t8169 * t57188 - 0.6e1 * t74261 * t5632 + 0.12e2 * t74261 * t5707 + 0.36e2 * t1029 * t73284 * t5571 + 0.22e2 / 0.3e1 * t73825 * t6022 - 0.23e2 / 0.3e1 * t73825 * t5744 - t555 * t39245 / 0.6e1 - t72617 / 0.9e1 + t46029 - t46030 - t46031 - t4695 * t74276 * t1084 - t110 * t2992 * t1147 / 0.4e1;
  t74297 = t29474 * t4191 * t14817;
  t74304 = t1101 * t8262 * t8600;
  t74309 = -t110 * t565 * t8425 / 0.2e1 - t110 * t2076 * t2021 + t71724 + t5665 * t8451 * t14613 + t29346 * t14619 - 0.5e1 / 0.9e1 * t11399 * t10358 * t73095 + 0.3e1 / 0.2e1 * t39435 * t74297 - 0.3e1 * t4695 * t14814 * t30594 - t338 * t74304 / 0.3e1 + t1956 * t8606 + t46564 - t46567 - t318 * t14647;
  t74341 = -t1205 * t3037 / 0.4e1 - t318 * t14541 / 0.2e1 - t318 * t14572 / 0.2e1 - t25376 * t14622 / 0.2e1 + t29346 * t14614 + t1070 * t14799 + t8063 * t5674 * t74223 / 0.3e1 - t72624 / 0.6e1 + t39497 * t14640 / 0.6e1 + t8214 * t4687 * t380 * t403 * t14748 / 0.6e1 - t8214 * t9444 * t168 * t72938 / 0.3e1 + t8063 * t5691 * t73420 / 0.6e1 - 0.2e1 * t4695 * t8060 * t14678;
  t74343 = t4696 * t2940;
  t74364 = t4695 * t74343 * t1084 + t46583 + t46584 + t46594 - t46598 - t46601 + t46603 - t1981 * t1430 * t72797 / 0.6e1 + 0.3e1 / 0.2e1 * t373 * t14869 * t4340 + t373 * t14685 * t4407 / 0.2e1 + t72626 / 0.3e1 - t373 * t2040 * t1076 * t348 * t74034 / 0.4e1 + 0.3e1 * t373 * t14857 * t25548;
  t74373 = t4344 * t3013 * t1082;
  t74386 = 0.2e1 / 0.3e1 * t72634 - 0.2e1 / 0.3e1 * t72636 + t14666 * t1090 / 0.2e1 + t1956 * t8114 / 0.2e1 - t72640 / 0.6e1 - t46620 - t46621 + t46622 + t4695 * t8077 * t74373 + 0.2e1 / 0.3e1 * t14695 * t4361 - 0.4e1 / 0.3e1 * t14695 * t4378 + 0.23e2 / 0.18e2 * t72982 * t9264 - 0.4e1 * t74090 * t1432 - t555 * t39771 / 0.3e1;
  t74392 = t1423 * t14792;
  t74396 = t1430 * t1954 * t1963;
  t74407 = t321 * t194 * t14806;
  t74424 = 0.4e1 / 0.3e1 * t8081 * t14772 - t1002 * t74392 / 0.3e1 + 0.2e1 / 0.3e1 * t1002 * t74396 + 0.18e2 * t73825 * t29308 + 0.18e2 * t373 * t74066 * t5728 + t2942 * t4357 / 0.3e1 + 0.2e1 * t74407 * t5715 - t2947 * t24155 / 0.2e1 - 0.3e1 * t74261 * t6028 - t29346 * t14823 - t5665 * t8457 * t14822 - t5665 * t2060 * t4626 * t72942 - t5665 * t2060 * t4626 * t73176 / 0.2e1;
  t74446 = t8214 * t40241 / 0.6e1 - t8063 * t39550 / 0.6e1 - 0.5e1 / 0.18e2 * t11399 * t56909 + 0.3e1 * t5665 * t8460 * t4626 * t73089 - 0.3e1 * t5639 * t8460 * t4572 * t73089 + t72642 / 0.18e2 - t72644 / 0.9e1 - t72646 / 0.9e1 + t46631 + t46632 + t4695 * t14608 * t4347 + t29436 * t14819 + t29339 * t14819;
  t74469 = t46639 + 0.2e1 / 0.3e1 * t1974 * t57109 + t555 * t39777 / 0.3e1 - t1946 * t8553 / 0.3e1 - t8086 * t11588 / 0.3e1 + 0.2e1 * t1956 * t8247 - 0.2e1 * t8280 * t8580 + 0.3e1 * t25290 * t14888 + 0.3e1 * t25543 * t14888 - 0.6e1 * t1058 * t14873 - t46650 - t46651 + 0.2e1 * t4695 * t14605 * t30627;
  t74498 = t142 * t1936 * t1082;
  t74508 = t14969 * t988;
  t74512 = t14969 * t997;
  t74513 = t1173 * t74512;
  t74525 = t142 * t14748;
  t74526 = t74525 * t333;
  t74535 = t142 * t333 * t1936;
  t74539 = t2986 * t997;
  t74545 = t14931 * t24552;
  t74548 = t20822 * t2939;
  t74549 = t74548 * t24540;
  t74555 = t8508 * t1173 * t74508 / 0.3e1 + t40315 * t4586 * t74512 / 0.9e1 + 0.2e1 / 0.3e1 * t40448 * t14978 + 0.4e1 * t8511 * t360 * t74526 + 0.4e1 * t11656 * t360 * t74525 * t1082 - 0.8e1 / 0.3e1 * t11651 * t4599 * t74535 - 0.6e1 * t8460 * t4626 * t74539 - 0.6e1 * t40315 * t74513 + 0.36e2 * t74545 * t5949 - 0.12e2 * t74549 * t46421 + 0.3e1 * t8438 * t24435 * t74539;
  t74561 = t2972 * t24522;
  t74564 = t14931 * t29807;
  t74575 = t1173 * t74535;
  t74580 = t46124 + 0.5e2 / 0.3e1 * t74549 * t46474 + 0.1e2 / 0.3e1 * t74549 * t46471 - 0.36e2 * t74561 * t5946 - 0.3e2 * t74564 * t5972 + 0.5e1 / 0.9e1 * t74564 * t46157 + 0.8e1 / 0.3e1 * t8508 * t1173 * t74498 - 0.4e1 / 0.9e1 * t11651 * t4586 * t74535 + 0.24e2 * t11651 * t74575 + 0.1e2 / 0.3e1 * t74564 * t46285 - t46216;
  t74592 = t2972 * t29853;
  t74595 = -0.48e2 * t11668 * t1186 * t74535 - 0.4e1 * t8508 * t1186 * t74526 + 0.4e1 * t40461 * t360 * t73517 - 0.4e1 * t40448 * t14981 + 0.44e2 * t74592 * t5892 + t46238 + t46241 - t46260 - t46261 - t46263 + t46264;
  t74604 = t1484 * t1936;
  t74610 = t14990 * t1082;
  t74615 = t648 * t73108;
  t74616 = t74615 * t999;
  t74619 = t193 * t73108;
  t74638 = -t46321 - 0.2e1 * t74616 * t1187 + 0.2e1 * t74619 * t1045 * t361 + 0.4e1 / 0.3e1 * t74616 * t1174 + 0.6e1 * t14932 * t24608 - 0.4e1 / 0.3e1 * t74549 * t46295 - 0.2e1 / 0.3e1 * t14932 * t46288 - 0.12e2 * t14928 * t5885 + 0.8e1 * t74545 * t5862 + 0.12e2 * t40318 * t1186 * t74512 + t46338;
  t74650 = t5931 * t2954;
  t74662 = 0.24e2 * t11663 * t360 * t74535 + 0.8e1 * t8511 * t360 * t74498 + t46363 + 0.8e1 * t11668 * t74575 + t46366 + t46381 - 0.4e1 * t2973 * t24636 - 0.2e1 / 0.3e1 * t2060 * t4572 * t74650 - t8438 * t24477 * t74539 / 0.18e2 + 0.4e1 * t8460 * t4572 * t74539 + 0.12e2 * t2973 * t24625;
  t74668 = t143 * t8321;
  t74689 = -t2056 * t1165 * t74650 - t559 * t4575 * t2986 * t4405 + 0.4e1 * t2060 * t1038 * t74668 + 0.4e1 / 0.3e1 * t74545 * t5919 - 0.4e1 * t2056 * t356 * t74668 + 0.6e1 * t14955 * t5910 - 0.12e2 * t74561 * t5913 - t14932 * t46454 / 0.9e1 + 0.2e1 * t2969 * t4560 + 0.2e1 * t14928 * t5916 + 0.2e1 / 0.3e1 * t2973 * t24448;
  t74706 = t14986 * t333;
  t74732 = -0.6e1 * t58028 * t360 * t14969 * t4345 + 0.3e1 * t559 * t24458 * t2986 * t4345 + 0.3e1 * t8443 * t1165 * t74539 - 0.6e1 * t40458 * t360 * t74512 - 0.12e2 * t8438 * t4572 * t74604 + 0.2e1 * t8457 * t14926 + t46413 - t46418 + t46427 + t46428 - t46430;
  t74759 = t46432 + t9676 - 0.2e1 * t2056 * t1165 * t74706 + 0.24e2 * t8460 * t1038 * t74604 - 0.4e1 / 0.3e1 * t2060 * t4572 * t74706 + 0.6e1 * t14955 * t5900 - 0.22e2 * t14928 * t5877 + 0.8e1 * t2060 * t4626 * t74610 + 0.4e2 / 0.3e1 * t8438 * t4619 * t74604 - 0.4e1 * t2056 * t1165 * t74610 - 0.16e2 * t8460 * t1033 * t74604;
  t74787 = t140 * t8321;
  t74791 = -0.4e1 / 0.3e1 * t8457 * t14937 - 0.5e2 / 0.3e1 * t14932 * t46438 - 0.12e2 * t8443 * t356 * t74604 - 0.5e1 / 0.3e1 * t40455 * t46252 * t73517 - 0.8e1 * t40461 * t46256 * t73517 + 0.1e2 * t40455 * t46248 * t73517 - t46433 - 0.2e1 * t559 * t4575 * t14986 * t1082 + 0.2e1 / 0.3e1 * t8508 * t1173 * t74526 + t559 * t1165 * t140 * t74034 / 0.2e1 - 0.2e1 * t2060 * t1038 * t74787;
  t74805 = -0.5e1 * t40455 * t1186 * t73517 + 0.2e1 * t2056 * t356 * t74787 + t2054 * t14987 + 0.2e1 * t2973 * t24509 - 0.4e1 * t2969 * t4577 - t2229 - t46462 + t46464 + t46468 + t46478 - t46482;
  t74808 = t2968 * t24126;
  t74820 = t74615 * t1032;
  t74833 = 0.72e2 * t74561 * t5869 - 0.24e2 * t74808 * t5926 - 0.72e2 * t74545 * t5865 + 0.8e1 / 0.3e1 * t74549 * t46113 + 0.24e2 * t74549 * t46116 - 0.1e2 / 0.3e1 * t8438 * t24418 * t74539 - 0.2e1 / 0.3e1 * t74820 * t1162 - 0.2e1 * t8508 * t1186 * t74508 + 0.2e1 / 0.3e1 * t40315 * t4599 * t74512 + 0.4e1 * t40540 * t14971 + 0.4e1 * t58051 * t14975;
  t74856 = -0.4e1 * t74619 * t1046 * t357 + 0.4e1 * t74820 * t1169 - 0.3e1 * t14932 * t24578 + 0.6e1 * t14928 * t5958 + t2210 + 0.4e1 * t2973 * t24528 - 0.4e2 * t74545 * t5960 - 0.2e1 / 0.3e1 * t74545 * t5943 + 0.2e1 * t2969 * t4649 + 0.12e2 * t74808 * t5953 - 0.6e1 * t2973 * t24565;
  t74875 = t2968 * t29815;
  t74880 = -0.4e1 / 0.3e1 * t2973 * t24659 - 0.4e1 * t14928 * t5963 + t14932 * t46382 / 0.18e2 + 0.1e2 / 0.3e1 * t14932 * t24671 + 0.4e1 / 0.3e1 * t2060 * t1033 * t74787 - 0.3e1 * t14955 * t5932 + 0.24e2 * t74561 * t5940 - t2969 * t4638 + t8495 * t2987 / 0.2e1 - 0.12e2 * t74875 * t5897 - 0.22e2 / 0.3e1 * t74592 * t5972;
  t74891 = t8063 * t57461 + 0.3e1 * t5649 * t14814 * t30589 - 0.2e1 * t8063 * t68047 + 0.2e1 / 0.3e1 * t40161 * t11746 + t40920 * t8211 / 0.3e1 - t39976 * t11780 / 0.3e1 + t39497 * t8211 / 0.3e1 + 0.2e1 / 0.3e1 * t40730 * t11746 - 0.4e1 / 0.3e1 * t73236 * t25373 + 0.23e2 / 0.18e2 * t73218 * t45468 - t318 * t15024 / 0.2e1 - t1205 * t2993 / 0.4e1 - t110 * t139 * (t74880 + t74856 + t74833 + t74805 + t74791 + t74759 + t74732 + t74689 + t74662 + t74638 + t74595 + t74580 - 0.2e1 * t2054 * t14923 - t74549 * t46457 / 0.9e1 - t8495 * t2977 + 0.15e2 * t14932 * t46268 - 0.2e1 * t8451 * t14946 - 0.2e1 * t2054 * t14949 + 0.44e2 / 0.3e1 * t14928 * t5881 - 0.5e1 / 0.18e2 * t14932 * t46497 - 0.2e1 * t2973 * t24436 - 0.2e1 * t40318 * t74513 - 0.2e1 / 0.3e1 * t2060 * t1033 * t74668 + t2060 * t4626 * t74650 + 0.2e1 * t2060 * t4626 * t74706 - 0.16e2 / 0.3e1 * t2060 * t4572 * t74610 + 0.2e1 / 0.9e1 * t8438 * t4609 * t74604 + 0.1e2 / 0.3e1 * t40455 * t1173 * t73517 - 0.16e2 * t8508 * t1186 * t74498 + 0.2e1 * t8511 * t360 * t74508 - t46053 - t46057 - t46051 - t46047 + t46301 - t46303 - t46392 - t46393 - t46318 + 0.2e1 * t11656 * t360 * t14969 * t4405 - t559 * t1165 * t143 * t74034 + t46272 + t74555) * t168 / 0.4e1 + t8063 * t57160 / 0.2e1;
  t74911 = t4696 * t2945;
  t74922 = -t43495 + 0.2e1 * t25561 * t14815 + 0.2e1 * t4695 * t74161 * t1415 + 0.2e1 * t4695 * t74165 * t1415 + t4695 * t14814 * t4300 - t110 * t15023 * t404 / 0.2e1 - t46654 + t46656 + 0.2e1 * t5665 * t2056 * t1165 * t40905 + 0.3e1 * t4695 * t74911 * t1438 - t4695 * t40714 * t3014 / 0.4e1 - 0.2e1 / 0.3e1 * t8219 * t57646 - t4695 * t14605 * t4340;
  t74943 = t40145 * t8210;
  t74951 = t11399 * t30141 * t73428 / 0.2e1 - 0.3e1 * t11399 * t56207 + 0.3e1 * t30451 * t73081 * t5602 - t9709 + t9712 - t8214 * t9444 * t168 * t73531 / 0.6e1 - t8219 * t4687 * t73424 / 0.6e1 - t11510 * t5691 * t73428 / 0.2e1 - t39906 * t8228 / 0.2e1 + t4686 * t74943 / 0.6e1 + 0.5e1 / 0.2e1 * t73218 * t45280 - t73218 * t45725 + 0.4e1 / 0.3e1 * t8063 * t57080;
  t74984 = 0.28e2 / 0.3e1 * t11399 * t10447 * t73390 - 0.6e1 * t11399 * t10358 * t4191 * t73094 - 0.35e2 / 0.3e1 * t73218 * t29468 * t5692 + 0.15e2 / 0.2e1 * t73218 * t29474 * t4191 * t5666 + t72653 / 0.3e1 + 0.44e2 / 0.27e2 * t73366 * t45167 - t72655 / 0.6e1 - t8340 * t1951 / 0.3e1 - t8324 * t1951 / 0.6e1 - t1946 * t8316 / 0.3e1 + 0.2e1 / 0.3e1 * t14695 * t4264 + t2947 * t25268 / 0.3e1 - t373 * t374 * t73108 * t1047;
  t74985 = t349 * t15024;
  t74990 = t321 * t369 * t15022 * t370;
  t75012 = -t338 * t74985 / 0.6e1 + t74990 * t377 / 0.2e1 + t72657 + t72659 / 0.3e1 - t2947 * t24357 / 0.12e2 + t8337 * t2957 / 0.12e2 + t8340 * t2957 / 0.6e1 - t1981 * t1423 * t72797 / 0.3e1 + t72666 / 0.6e1 - t72668 / 0.18e2 - t25561 * t14609 - 0.2e1 * t25376 * t14606 - t25376 * t14609 - 0.2e1 * t5649 * t8072 * t14803;
  t75019 = my_piecewise3(t100, 0, t75012 + t74984 + t74951 + t74922 + t74891 + t73782 + t73915 + t72953 + t73458 + t74178 + t73122 + t74424 + t73681 + t74309 + t74136 + t74078 + t73049 + t73643 + t72979 + t73591 + t73448 + t73267 + t73432 + t73017 + t74218 + t73615 + t74106 + t73933 + t73861 + t73522 + t73560 + t72848 + t73496 + t73888 + t74446 + t73811 + t72920 + t72867 + t74154 + t73343 + t73394 + t74469 + t74045 + t73217 + t72908 + t74341 + t74255 + t72776 + t73756 + t74364 + t73148 + t73330 + t73184 + t73299 + t73369 + t73833 + t72813 + t73243 + t74386 + t73660 + t72890 + t74282 + t72769 + t73085);
  tv4rho2tau28 = t3 * t75019 + 0.2e1 * t15045;

  if(out->v4rho2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rho2tau2[ip*p->dim.v4rho2tau2 + 8] += tv4rho2tau28;

  t75023 = t15076 * t206;
  t75024 = t95 * t75023;
  t75025 = t8790 * t75024;
  t75030 = t2105 * t1237;
  t75031 = t95 * t75030;
  t75032 = t3273 * t75031;
  t75036 = t3130 * t42699;
  t75038 = t4983 * t1319 * t75036;
  t75042 = t626 * t15062;
  t75049 = t3051 * t15184;
  t75054 = -t41784 * t8800 / 0.3e1 + t4761 * t75025 / 0.3e1 + 0.2e1 / 0.3e1 * t41784 * t8792 - 0.2e1 / 0.3e1 * t4761 * t75032 + t41751 * t8786 + 0.3e1 * t75038 + 0.3e1 / 0.2e1 * t21529 * t15058 + t75042 * t667 + t15063 * t3056 - 0.2e1 * t75042 * t672 - 0.2e1 * t15063 * t3091 + t75049 + 0.3e1 / 0.2e1 * t630 * t15195 + 0.3e1 / 0.2e1 * t608 * t15195;
  t75061 = t8718 * t8703;
  t75063 = t4808 * t8695;
  t75066 = t4808 * t8748;
  t75071 = t633 * t15049;
  t75073 = 0.7e1 / 0.9e1 * t75071 * t3153;
  t75075 = t75071 * t3150 / 0.6e1;
  t75077 = t637 * t15195 / 0.2e1;
  t75078 = t637 * t15192;
  t75079 = t3051 * t15189;
  t75080 = -0.3e1 * t3070 * t15189 - 0.3e1 * t3061 * t15189 - 0.3e1 / 0.2e1 * t5266 * t2162 - t2089 + t2160 - t75061 / 0.4e1 - 0.5e1 / 0.12e2 * t8710 * t75063 - 0.5e1 / 0.12e2 * t8710 * t75066 - t2098 * t26288 / 0.4e1 + t75073 - t75075 + t75077 - t75078 - t75079;
  t75093 = t5234 * t2170 / 0.2e1;
  t75098 = t15047 * t20825;
  t75100 = t191 * t20823 * t75098;
  t75101 = t25714 * t1262;
  t75111 = t2084 * t206;
  t75112 = t683 * t75111;
  t75114 = t4983 * t5037 * t75112;
  t75117 = t4877 * t3264 * t8798;
  t75119 = -t1242 * t9131 / 0.4e1 + 0.3e1 / 0.2e1 * t608 * t15179 + 0.3e1 * t3070 * t15184 + 0.3e1 * t3061 * t15184 - 0.3e1 / 0.2e1 * t5277 * t2162 + t75093 + 0.2e1 * t1252 * t41008 - 0.2e1 * t2098 * t26948 + 0.89e2 / 0.9e1 * t75100 * t75101 + 0.7e1 / 0.3e1 * t15050 * t21426 + t608 * t15079 / 0.2e1 + t246 * t4896 * t15078 / 0.2e1 + 0.9e1 * t75114 - t41843 * t75117;
  t75121 = t4877 * t670 * t75030;
  t75127 = t26405 * t670 * t8778;
  t75130 = t26189 * t8770;
  t75133 = t22309 * t75023;
  t75137 = t26405 * t670 * t75023;
  t75140 = t22290 * t75023;
  t75143 = t26400 * t75024;
  t75146 = t41761 * t8767;
  t75147 = t75146 / 0.3e1;
  t75151 = t3556 * t75030;
  t75159 = t637 * t15179 / 0.2e1;
  t75160 = t15128 * t206;
  t75161 = t95 * t75160;
  t75162 = t3273 * t75161;
  t75165 = t15128 * t794;
  t75167 = t8790 * t95 * t75165;
  t75170 = -0.2e1 * t4872 * t75121 + 0.16e2 / 0.3e1 * t41787 * t8771 + 0.3e1 * t41843 * t75127 - 0.23e2 / 0.12e2 * t41686 * t75130 + t4772 * t1319 * t75133 + 0.2e1 / 0.3e1 * t4872 * t75137 - t4983 * t1319 * t75140 - t4872 * t75143 / 0.3e1 + t75147 + 0.3e1 / 0.2e1 * t4993 * t43271 * t15163 - 0.3e1 * t4772 * t1319 * t75151 + 0.8e1 * t4772 * t9023 * t8762 + t75159 - t4761 * t75162 / 0.6e1 - t4882 * t75167 / 0.6e1;
  t75173 = t4877 * t75161;
  t75177 = t4772 * t42891 * t9885;
  t75179 = t5175 * t75161;
  t75182 = t3562 * t75023;
  t75185 = t15076 * t794;
  t75186 = t22302 * t75185;
  t75190 = t626 * t15049;
  t75199 = t5277 * t2158;
  t75201 = t633 * t15062;
  t75203 = 0.2e1 / 0.3e1 * t75201 * t672;
  t75205 = 0.11e2 / 0.54e2 * t75071 * t3141;
  t75213 = t4872 * t75173 / 0.12e2 + 0.9e1 / 0.2e1 * t75177 + t4872 * t75179 / 0.6e1 - t4772 * t1313 * t75182 - 0.3e1 / 0.2e1 * t4772 * t421 * t75186 - 0.11e2 / 0.18e2 * t75190 * t3141 - 0.11e2 / 0.18e2 * t15050 * t21113 + 0.23e2 / 0.36e2 * t75190 * t3146 + 0.23e2 / 0.36e2 * t15050 * t21116 + 0.3e1 / 0.4e1 * t75199 - t75203 - t75205 + 0.9e1 / 0.2e1 * t246 * t8721 * t8976 - 0.6e1 * t246 * t247 * t15061 * t1281;
  t75220 = t26011 * t1256;
  t75228 = t1261 * t9134 * t2266;
  t75232 = t41249 * t2271;
  t75233 = t75232 / 0.12e2;
  t75234 = t8622 * t2108;
  t75235 = t75234 / 0.18e2;
  t75236 = t41558 * t2268;
  t75237 = t75236 / 0.6e1;
  t75241 = t1218 * t15131 / 0.36e2;
  t75243 = t1218 * t15137 / 0.12e2;
  t75245 = t5234 * t2167 / 0.4e1;
  t75246 = -t630 * t15205 / 0.4e1 - t608 * t15205 / 0.4e1 + 0.5e1 / 0.12e2 * t15050 * t22035 - 0.35e2 / 0.108e3 * t75100 * t75220 - 0.5e1 / 0.36e2 * t15050 * t20919 - 0.3e1 / 0.4e1 * t9136 * t1286 + t3396 * t75228 + 0.3e1 / 0.4e1 * t9136 * t1290 - t75233 + t75235 + t75237 - 0.3e1 / 0.2e1 * t608 * t15216 + t75241 + t75243 - t75245;
  t75249 = t8625 * t15209 / 0.3e1;
  t75251 = t8625 * t15211 / 0.6e1;
  t75253 = t637 * t15216 / 0.2e1;
  t75254 = t26011 * t8946;
  t75260 = t4808 * t677 * t8694;
  t75267 = t5234 * t2162 / 0.2e1;
  t75273 = t836 * t3389 * t15129;
  t75277 = 0.2e1 / 0.3e1 * t8661 * t15170;
  t75278 = t9019 * t651;
  t75280 = 0.4e1 * t75278 * t1274;
  t75281 = t2124 * t3076;
  t75284 = t9026 * t3118;
  t75297 = t2117 * t595;
  t75299 = 0.4e1 * t75297 * t1281;
  t75300 = t15109 + t75277 - t75280 + 0.24e2 * t75281 * t1274 - 0.12e2 * t75284 * t8922 - 0.4e1 / 0.3e1 * t2133 * t3362 + 0.2e2 / 0.9e1 * t75284 * t8928 + 0.4e1 / 0.3e1 * t75284 * t8933 + 0.2e1 * t1331 * t2166 + 0.2e1 * t423 * t8963 + t75299;
  t75318 = 0.2e1 * t2136 * t826;
  t75326 = 0.4e1 * t8673 * t42508 - 0.4e1 / 0.3e1 * t8670 * t43320 + 0.4e1 * t8667 * t42516 - 0.4e1 * t8670 * t43309 + 0.4e1 / 0.3e1 * t8685 * t8848 - 0.4e1 * t75281 * t1269 - 0.8e1 * t8685 * t8968 + 0.8e1 * t2133 * t3410 + t75318 + 0.8e1 * t8680 * t8976 - 0.12e2 * t2120 * t651 * t1281 - 0.4e1 * t2139 * t826;
  t75328 = t3428 * t2096;
  t75331 = t21298 * t8708;
  t75336 = t3428 * t8716;
  t75338 = 0.4e1 * t75336 * t1274;
  t75339 = t3428 * t8842;
  t75342 = t789 * t8892;
  t75344 = 0.4e1 * t75342 * t1281;
  t75345 = t789 * t2085;
  t75347 = 0.2e1 * t75345 * t826;
  t75349 = 0.4e1 / 0.3e1 * t75336 * t1269;
  t75355 = -t15121 - 0.8e1 / 0.3e1 * t75328 * t3362 + 0.16e2 / 0.9e1 * t75331 * t8928 - 0.2e1 * t41478 * t2166 + t75338 - 0.24e2 * t75339 * t1274 - t75344 - t75347 + t75349 - 0.8e1 * t8667 * t8976 + 0.12e2 * t789 * t2096 * t1281;
  t75356 = t789 * t2091;
  t75377 = 0.4e1 * t75356 * t826 - 0.8e1 * t75339 * t1269 + 0.8e1 / 0.3e1 * t8670 * t8848 - 0.4e1 * t8780 + 0.32e2 / 0.3e1 * t75331 * t8933 - 0.2e1 / 0.3e1 * t8758 + 0.12e2 * t75331 * t8922 + 0.4e1 * t8763 - 0.2e1 * t8673 * t8963 + 0.8e1 * t8670 * t8968 - 0.8e1 * t75328 * t3410 - 0.4e1 * t8775;
  t75379 = t75300 + t75326 + t75355 + t75377;
  t75382 = t836 * t837 * t94 * t75379;
  t75387 = -t75249 + t75251 - t75253 - 0.43e2 / 0.9e1 * t75100 * t75254 - 0.3e1 / 0.2e1 * t15050 * t21430 - 0.9e1 / 0.2e1 * t8710 * t75260 + 0.9e1 / 0.2e1 * t15050 * t22063 + t2098 * t26526 - t75267 + 0.3e1 / 0.2e1 * t21524 * t15058 + t1247 * t15131 / 0.12e2 + t417 * t75273 / 0.12e2 + t417 * t75382 / 0.12e2 + t1242 * t15137 / 0.4e1;
  t75390 = t41697 * t8766;
  t75393 = t26645 * t8799;
  t75396 = t3562 * t427;
  t75397 = t75396 * t8791;
  t75400 = t26645 * t8766;
  t75405 = t41697 * t15649;
  t75407 = t30 * t42891;
  t75408 = t75407 * t9747;
  t75410 = t41761 * t9842;
  t75412 = t43406 * t8766;
  t75419 = t3273 * t253 * t276 * t15128;
  t75423 = t4772 * t9020 * t9770;
  t75425 = t2084 * t414;
  t75426 = t670 * t75425;
  t75427 = t9845 * t75426;
  t75428 = t26808 * t75427;
  t75431 = t3266 * t42427 * t2331;
  t75433 = t1247 * t15137 / 0.4e1 + t4872 * t75390 / 0.4e1 + t4882 * t75393 / 0.4e1 - t4882 * t75397 / 0.2e1 - t4761 * t75400 / 0.2e1 - 0.3e1 / 0.4e1 * t26650 * t8783 - t20708 * t75405 - 0.5e1 / 0.12e2 * t75408 - t75410 / 0.4e1 + t4872 * t75412 / 0.2e1 + t3266 * t42335 * t2166 + t4882 * t75419 / 0.12e2 - 0.3e1 * t75423 + 0.7e1 * t75428 + 0.3e1 / 0.2e1 * t75431;
  t75437 = t30 * t42900;
  t75438 = t75437 * t9864;
  t75440 = t41761 * t9960;
  t75441 = t75407 * t9860;
  t75443 = t41761 * t10169;
  t75445 = t41761 * t9967;
  t75447 = t2084 * t2105;
  t75449 = t4877 * t670 * t75447;
  t75450 = t20708 * t75449;
  t75451 = 0.2e1 / 0.3e1 * t75450;
  t75453 = t3266 * t42286 * t2166;
  t75454 = t75453 / 0.2e1;
  t75456 = t4772 * t2118 * t8779;
  t75469 = 0.3e1 * t75438 + t75440 - 0.11e2 / 0.6e1 * t75441 - t75443 / 0.2e1 - 0.2e1 * t75445 - t75451 - t75454 + t75456 - t15073 * t645 / 0.2e1 - 0.5e1 / 0.36e2 * t75190 * t3178 - 0.5e1 / 0.36e2 * t15050 * t21580 + 0.3e1 / 0.2e1 * t630 * t15179 + t75042 * t662 / 0.2e1 + t15063 * t3175 / 0.2e1;
  t75478 = t8809 * t1223;
  t75480 = t2087 * t5261;
  t75483 = t75201 * t667 / 0.3e1;
  t75486 = t191 * t242 * t15297 * t243;
  t75492 = t22290 * t8778;
  t75496 = t3130 * t75030;
  t75510 = -t8654 * t5229 / 0.4e1 - t2098 * t26868 / 0.4e1 + t8649 * t1223 / 0.2e1 + t2093 * t5261 / 0.2e1 - t75478 / 0.4e1 - t75480 / 0.4e1 + t75483 + t75486 * t250 / 0.4e1 - t626 * t15072 * t223 / 0.2e1 - 0.9e1 / 0.2e1 * t4983 * t2125 * t75492 + 0.3e1 * t4983 * t1319 * t75496 + 0.9e1 / 0.2e1 * t1228 * t8923 - 0.9e1 / 0.2e1 * t8710 * t4808 * t5284 * t1255 + 0.8e1 * t75100 * t26011 * t3165 * t1255;
  t75512 = t4808 * t8979;
  t75521 = t26400 * t8791;
  t75524 = t26847 * t8766;
  t75527 = t5175 * t8799;
  t75530 = t5175 * t75031;
  t75537 = t2090 * t2105;
  t75538 = t670 * t75537;
  t75542 = t22309 * t8778;
  t75549 = 0.23e2 / 0.12e2 * t8710 * t75512 - 0.23e2 / 0.12e2 * t15050 * t21625 + 0.3e1 / 0.2e1 * t42708 * t8780 + 0.3e1 / 0.2e1 * t42708 * t8775 - 0.3e1 / 0.2e1 * t41843 * t75521 + 0.11e2 / 0.6e1 * t41686 * t75524 + t41843 * t75527 / 0.2e1 + t4872 * t75530 - 0.8e1 / 0.3e1 * t41787 * t8767 - 0.3e1 / 0.2e1 * t3266 * t43271 * t15215 - 0.7e1 * t26808 * t26847 * t75538 + 0.9e1 / 0.2e1 * t4772 * t2125 * t75542 - 0.3e1 * t5286 * t8849 - t8654 * t15209;
  t75551 = t3520 * t606 * t2106;
  t75554 = t3520 * t244 * t8689;
  t75558 = t3690 * t8657;
  t75561 = t3690 * t8690;
  t75565 = t3360 * t665 * t8688;
  t75578 = t246 * t8897 * t8963;
  t75579 = t75578 / 0.2e1;
  t75581 = t246 * t8893 * t8976;
  t75583 = t630 * t15156;
  t75584 = t75583 / 0.2e1;
  t75585 = t608 * t15156;
  t75586 = t75585 / 0.2e1;
  t75587 = t20842 * t75098;
  t75589 = t20831 * t20854 * t206;
  t75593 = -t2098 * t75551 - t2098 * t75554 + t8654 * t15211 / 0.2e1 + t2098 * t75558 / 0.2e1 + t2098 * t75561 / 0.2e1 - 0.3e1 / 0.2e1 * t246 * t8735 * t75565 - 0.3e1 / 0.2e1 * t630 * t15216 - 0.3e1 * t1228 * t8977 + 0.9e1 / 0.2e1 * t1228 * t8722 + 0.3e1 / 0.2e1 * t1228 * t8726 - t75579 - 0.3e1 / 0.2e1 * t75581 - t75584 - t75586 + 0.18e2 * t3167 * t75587 * t75589;
  t75596 = t20831 * t8927;
  t75601 = t8619 * t2108 / 0.9e1;
  t75604 = t191 * t20823 * t206 * t20825;
  t75605 = t94 * t15047;
  t75606 = t244 * t75605;
  t75610 = t830 * t15223;
  t75614 = t3139 * t8847;
  t75618 = t3115 * t15048;
  t75635 = t3070 * t15171;
  t75637 = t3061 * t15171;
  t75639 = -0.18e2 * t679 * t75587 * t75596 - t75601 + 0.47e2 / 0.3e1 * t75604 * t25709 * t75606 + 0.3e1 / 0.2e1 * t246 * t75610 * t3131 + 0.9e1 / 0.2e1 * t246 * t8921 * t75614 - 0.9e1 / 0.2e1 * t246 * t75618 * t20761 - 0.9e1 * t246 * t8851 * t8968 - 0.3e1 / 0.4e1 * t5266 * t2167 - 0.3e1 / 0.4e1 * t1228 * t8958 - 0.3e1 / 0.4e1 * t1228 * t8964 - 0.3e1 / 0.2e1 * t1228 * t8732 - 0.3e1 / 0.4e1 * t5277 * t2167 - 0.3e1 / 0.2e1 * t75635 - 0.3e1 / 0.2e1 * t75637;
  t75641 = t679 * t4790 * t15170;
  t75648 = t27552 * t2154 / 0.2e1;
  t75650 = t42546 * t432 / 0.4e1;
  t75660 = t3460 * t3389 * t15082;
  t75666 = t3051 * t15164 / 0.2e1;
  t75667 = t3051 * t15171;
  t75668 = t75667 / 0.2e1;
  t75669 = t637 * t15102;
  t75670 = t75669 / 0.2e1;
  t75671 = t41249 * t2276;
  t75672 = t75671 / 0.6e1;
  t75673 = -0.3e1 / 0.2e1 * t75641 - t15073 * t845 / 0.2e1 - t8649 * t2108 / 0.3e1 - t75648 + t75650 - t2093 * t8658 / 0.3e1 - t2093 * t8691 / 0.3e1 - t1242 * t15084 / 0.6e1 - t1247 * t15084 / 0.6e1 - t417 * t75660 / 0.6e1 + t630 * t15079 / 0.2e1 + t75666 - t75668 + t75670 - t75672;
  t75675 = t41249 * t2282;
  t75676 = t75675 / 0.3e1;
  t75682 = t2087 * t8658;
  t75683 = t75682 / 0.6e1;
  t75684 = t2087 * t8691;
  t75685 = t75684 / 0.6e1;
  t75686 = t41130 * t2271;
  t75688 = t8718 * t10187;
  t75690 = t8718 * t8980;
  t75694 = t191 * t649 * t15048;
  t75700 = t246 * t8738 * t8968;
  t75702 = t630 * t15102;
  t75704 = t75676 + t15063 * t3366 - 0.6e1 * t8844 * t8980 + 0.4e1 * t15063 * t3522 + t75683 + t75685 - t75686 / 0.4e1 - t75688 / 0.4e1 + t75690 + 0.3e1 * t8844 * t8696 - 0.6e1 * t75694 * t1257 - 0.2e1 * t15063 * t3691 + 0.3e1 / 0.2e1 * t75700 + 0.3e1 / 0.2e1 * t75702;
  t75705 = t608 * t15102;
  t75708 = t3139 * t3124 * t1237;
  t75715 = t677 * t75605;
  t75726 = t5286 * t8937;
  t75728 = t1228 * t8739;
  t75730 = t3520 * t8690;
  t75733 = t1228 * t8894;
  t75735 = t1228 * t8898;
  t75737 = t3520 * t8657;
  t75740 = t247 * t15071;
  t75746 = t1261 * t75606;
  t75749 = 0.3e1 / 0.2e1 * t75705 - 0.9e1 * t679 * t8921 * t75708 + 0.9e1 * t679 * t75618 * t21547 - 0.62e2 / 0.3e1 * t75604 * t25714 * t75715 - 0.3e1 * t679 * t75610 * t3126 - 0.3e1 / 0.2e1 * t41073 * t1270 + 0.3e1 / 0.2e1 * t9136 * t1275 - 0.3e1 / 0.2e1 * t75726 + 0.3e1 / 0.2e1 * t75728 + t2098 * t75730 / 0.4e1 - 0.3e1 / 0.2e1 * t75733 - 0.3e1 / 0.4e1 * t75735 + t2098 * t75737 / 0.4e1 - 0.3e1 / 0.2e1 * t246 * t75740 * t826 + 0.12e2 * t191 * t649 * t41078 * t75746;
  t75766 = t824 * t221 * t75379;
  t75771 = t8625 * t5281 / 0.3e1;
  t75772 = t222 * t15299;
  t75785 = t5234 * t2158;
  t75786 = t75785 / 0.4e1;
  t75787 = 0.3e1 / 0.2e1 * t246 * t830 * t15219 * t3260 + t630 * t15167 + t608 * t15167 + t246 * t8725 * t8963 - t246 * t4896 * t15204 / 0.4e1 - t246 * t1285 * t75766 / 0.4e1 + t75771 - t211 * t75772 / 0.12e2 - 0.3e1 / 0.2e1 * t9136 * t1282 + 0.3e1 * t1228 * t8969 - 0.3e1 * t1228 * t8863 + 0.3e1 * t5286 * t8736 - 0.3e1 / 0.2e1 * t5286 * t8889 + t75786;
  t75791 = t20831 * t20832 * t206;
  t75796 = t637 * t15205 / 0.12e2;
  t75797 = t15047 * t20811;
  t75798 = t3115 * t75797;
  t75802 = t20831 * t8932;
  t75806 = t26954 * t1256;
  t75810 = t4772 * t9045 * t8774;
  t75812 = t1261 * t1226 * t15609;
  t75813 = t3396 * t75812;
  t75814 = t1228 * t8972;
  t75820 = t8654 * t15094 / 0.4e1 - 0.6e1 * t20841 * t75587 * t75791 - t75796 - 0.18e2 * t246 * t75798 * t8922 + 0.6e1 * t246 * t75587 * t75802 - 0.2e1 * t75100 * t75806 - t8624 + t8645 - t8647 + t75810 + t75813 + 0.3e1 / 0.4e1 * t75814 + 0.9e1 / 0.2e1 * t26784 * t8929 - 0.9e1 * t5286 * t8934;
  t75830 = t4867 * t8695;
  t75834 = t191 * t3135 * t75797;
  t75839 = t25709 * t1256;
  t75842 = t26405 * t8766;
  t75846 = t4772 * t42900 * t9893;
  t75849 = t4983 * t9020 * t42120;
  t75851 = t4772 * t9020 * t8762;
  t75854 = -t8720 - 0.3e1 * t608 * t15192 - 0.7e1 * t15050 * t21953 - t15050 * t20934 / 0.2e1 + 0.7e1 * t8710 * t25903 - 0.3e1 / 0.2e1 * t8710 * t75830 + 0.6e1 * t75834 * t8742 + 0.3e1 / 0.2e1 * t15050 * t20931 - 0.38e2 / 0.9e1 * t75100 * t75839 + 0.3e1 / 0.2e1 * t41686 * t75842 - 0.9e1 * t75846 + t75849 - t75851 + 0.3e1 / 0.2e1 * t43351 * t8758;
  t75855 = t8718 * t10144;
  t75857 = t8718 * t8696;
  t75859 = t41130 * t2282;
  t75860 = t8718 * t9837;
  t75867 = t41130 * t2276;
  t75870 = t836 * t26512 * t2106;
  t75874 = t836 * t4748 * t8689;
  t75879 = t637 * t15159;
  t75880 = t75879 / 0.2e1;
  t75882 = t4772 * t9045 * t10123;
  t75885 = t4772 * t42738 * t10119;
  t75887 = t4873 * t75426;
  t75888 = t42312 * t75887;
  t75890 = -t75855 / 0.2e1 - t75857 / 0.2e1 + t75859 + t75860 - 0.9e1 / 0.2e1 * t3167 * t75618 * t20943 + 0.3e1 / 0.2e1 * t3167 * t75610 * t3169 - t75867 / 0.2e1 + t417 * t75870 / 0.4e1 + t417 * t75874 / 0.4e1 + t1242 * t15131 / 0.12e2 - t75880 + t8741 + 0.3e1 / 0.2e1 * t75882 + 0.9e1 / 0.2e1 * t75885 - 0.6e1 * t75888;
  t75894 = t3266 * t42283 * t2323;
  t75899 = t3562 * t75165;
  t75903 = t414 * t15128;
  t75905 = t4877 * t670 * t75903;
  t75908 = t788 * t75160;
  t75914 = t4851 * t8695;
  t75922 = t21994 * t15058 / 0.2e1;
  t75931 = -0.3e1 / 0.2e1 * t75894 - t3266 * t4768 * t15204 / 0.4e1 + t4772 * t421 * t75899 / 0.2e1 - t20708 * t75905 / 0.3e1 + t4772 * t1313 * t75908 / 0.2e1 - t8811 - 0.2e1 * t15063 * t3503 - 0.11e2 / 0.6e1 * t8710 * t75914 + 0.11e2 / 0.6e1 * t15050 * t21629 - 0.11e2 / 0.18e2 * t15050 * t21898 + t75922 - 0.3e1 * t630 * t15192 - 0.3e1 / 0.2e1 * t8837 * t8833 + 0.2e1 * t191 * t194 * t15061 * t1295;
  t75937 = t3139 * t3144 * t1237;
  t75942 = t75071 * t3158 / 0.2e1;
  t75943 = t680 * t15061;
  t75949 = t191 * t3135 * t206 * t20811;
  t75953 = t75407 * t9854;
  t75956 = t15073 * t840 / 0.2e1 + 0.3e1 / 0.2e1 * t1228 * t8866 + 0.9e1 / 0.2e1 * t3167 * t8921 * t75937 - t8829 - t75942 + 0.6e1 * t246 * t75943 * t3410 - 0.28e2 * t75949 * t4851 * t75606 + t15091 - t15093 + t15098 - t15100 + t15101 + t15104 - 0.3e1 / 0.2e1 * t75953 + t2098 * t27464;
  t75967 = t8625 * t5291 / 0.6e1;
  t75975 = t9744 * t3156 * t75425;
  t75976 = t26808 * t75975;
  t75979 = t4993 * t4785 * t15170;
  t75982 = 0.23e2 / 0.108e3 * t75071 * t3146;
  t75986 = -0.3e1 / 0.2e1 * t75190 * t3158 - t75190 * t3150 / 0.2e1 - t15050 * t21532 / 0.2e1 + 0.7e1 / 0.3e1 * t75190 * t3153 - t75967 + 0.3e1 / 0.4e1 * t42579 * t432 + 0.3e1 / 0.4e1 * t42034 * t432 - 0.3e1 / 0.2e1 * t42708 * t8763 - 0.9e1 / 0.2e1 * t75976 - 0.3e1 / 0.2e1 * t75979 + t75982 + 0.7e1 / 0.3e1 * t15050 * t21037 + t8654 * t5281 + t15143;
  t75988 = t188 * t15299 / 0.12e2;
  t76001 = t42891 * t10039;
  t76003 = t3556 * t9051;
  t76006 = t3125 * t9034;
  t76012 = t20822 * t15047 * t20844;
  t76013 = t20871 * t1314;
  t76020 = t15223 * t20885;
  t76027 = t2141 * t1237;
  t76028 = t3556 * t76027;
  t76033 = t22309 * t9064;
  t76036 = t20862 * t9016;
  t76041 = t15258 * t206;
  t76042 = t788 * t76041;
  t76045 = t3562 * t15258 * t794;
  t76047 = t3130 * t76027;
  t76050 = 0.1e2 * t76001 - 0.6e1 * t2125 * t76003 - 0.2e1 * t9027 * t76006 + 0.2e1 * t15271 * t22334 - 0.4e1 / 0.3e1 * t76012 * t76013 - 0.36e2 * t9023 * t9057 + 0.24e2 * t15268 * t3557 + 0.8e1 * t76020 * t9028 + 0.4e1 * t2121 * t9052 + 0.32e2 / 0.3e1 * t9023 * t9054 + 0.6e1 * t1319 * t76028 - 0.16e2 * t9023 * t9017 - 0.9e1 * t2125 * t76033 - 0.1e2 * t9027 * t76036 + 0.4e1 * t2121 * t9065 - t1313 * t76042 - t421 * t76045 - 0.4e1 * t1319 * t76047;
  t76051 = t22290 * t9064;
  t76056 = t2124 * t27404;
  t76057 = t802 * t9083;
  t76060 = t3590 * t9000;
  t76063 = t62 * t15076;
  t76064 = t76063 * t206;
  t76065 = t233 * t76064;
  t76069 = t233 * t76063 * t794;
  t76073 = t233 * t8999 * t8688;
  t76076 = t802 * t76064;
  t76079 = t42744 * t10012;
  t76081 = t8999 * t1237;
  t76082 = t815 * t76081;
  t76085 = t815 * t9083;
  t76088 = t42744 * t10017;
  t76090 = t42890 * t9994;
  t76091 = t76090 * t10083;
  t76093 = t233 * t76081;
  t76102 = t2117 * t10093 * t10095;
  t76104 = t42887 * t10098;
  t76106 = t9019 * t10001;
  t76107 = t76106 * t9998;
  t76109 = 0.6e1 * t2125 * t76051 - 0.16e2 / 0.3e1 * t42804 * t9087 - 0.3e1 * t76056 * t76057 + t42837 * t76060 / 0.3e1 - 0.4e1 * t27419 * t76065 - 0.6e1 * t42842 * t76069 + 0.4e1 * t9082 * t76073 - 0.2e1 / 0.3e1 * t27405 * t76076 - 0.12e2 * t76079 - 0.12e2 * t5022 * t76082 + 0.18e2 * t76056 * t76085 + 0.2e1 * t76088 - t76091 / 0.3e1 + 0.8e1 * t5015 * t76093 - 0.12e2 * t42825 * t9078 - 0.8e1 * t2120 * t27418 * t9084 + 0.18e2 * t76102 + 0.6e1 * t76104 + 0.6e1 * t76107;
  t76111 = t42887 * t9078;
  t76112 = 0.4e1 * t76111;
  t76113 = t2117 * t9081;
  t76114 = t76113 * t9084;
  t76115 = 0.4e1 * t76114;
  t76116 = t42744 * t9087;
  t76117 = 0.2e1 / 0.3e1 * t76116;
  t76118 = t20876 * t1314;
  t76121 = t20862 * t1314;
  t76124 = t42900 * t10042;
  t76126 = t15287 * t206;
  t76127 = t22309 * t76126;
  t76130 = t15227 * t21138;
  t76133 = t22290 * t9016;
  t76138 = t20862 * t1327;
  t76143 = t20876 * t1327;
  t76149 = t3125 * t9004;
  t76156 = t76112 + t76115 + t76117 + 0.8e1 / 0.3e1 * t76012 * t76118 + 0.24e2 * t76012 * t76121 + 0.18e2 * t76124 - 0.2e1 * t1319 * t76127 + 0.72e2 * t76130 * t1324 + 0.9e1 * t9027 * t76133 - 0.72e2 * t76020 * t9031 - 0.12e2 * t76012 * t76138 - 0.36e2 * t76130 * t1338 + 0.5e2 / 0.3e1 * t76012 * t76143 - t15271 * t22359 / 0.6e1 - t1311 * t15288 + 0.1e2 * t9027 * t76149 - 0.4e2 * t76020 * t9113 - 0.1e2 * t15271 * t22439;
  t76157 = t20871 * t1327;
  t76168 = t3168 * t9004;
  t76171 = t9045 * t10062;
  t76173 = t9045 * t9062;
  t76174 = 0.2e1 * t76173;
  t76175 = t2118 * t9065;
  t76176 = 0.2e1 * t76175;
  t76177 = t788 * t76027;
  t76182 = t42738 * t10059;
  t76184 = t3130 * t9034;
  t76189 = t9020 * t9057;
  t76191 = t62 * t15128;
  t76192 = t76191 * t206;
  t76193 = t815 * t76192;
  t76196 = t76106 * t10003;
  t76198 = t42744 * t9001;
  t76199 = 0.4e1 * t76198;
  t76200 = t3580 * t9000;
  t76203 = 0.1e2 / 0.3e1 * t76012 * t76157 - 0.12e2 * t9023 * t9116 + 0.24e2 * t76130 * t1328 + 0.8e1 * t15268 * t3616 - 0.2e1 / 0.3e1 * t76020 * t9097 + t9027 * t76168 / 0.6e1 - 0.3e1 * t76171 - t76174 - t76176 - 0.4e1 * t1313 * t76177 + 0.6e1 * t9013 * t9062 - 0.9e1 * t76182 + 0.18e2 * t9027 * t76184 - 0.18e2 * t15271 * t22317 + 0.6e1 * t76189 - 0.2e1 * t5022 * t76193 - 0.36e2 * t76196 - t76199 + 0.2e1 * t42837 * t76200;
  t76206 = t76090 * t10006;
  t76210 = t76090 * t9998;
  t76214 = t815 * t76064;
  t76217 = t233 * t76192;
  t76221 = t233 * t76191 * t794;
  t76224 = t802 * t76192;
  t76227 = t802 * t76081;
  t76234 = t9020 * t10029;
  t76240 = -0.2e1 * t76206 + 0.32e2 * t42804 * t9001 + 0.18e2 * t76210 - 0.18e2 * t42837 * t9087 + 0.4e1 * t27405 * t76214 + 0.2e1 * t5015 * t76217 + 0.2e1 * t9082 * t76221 + t5022 * t76224 / 0.3e1 + 0.2e1 * t5022 * t76227 - t15238 - t15240 - t15241 + t15245 - 0.2e1 * t2121 * t9110 + 0.3e1 * t15290 * t812 + 0.6e1 * t76234 + 0.2e1 * t1311 * t15250 + 0.4e1 / 0.3e1 * t76020 * t9041;
  t76241 = t3168 * t9034;
  t76246 = t20845 * t1314;
  t76249 = t9020 * t10056;
  t76255 = t3130 * t9051;
  t76257 = t20876 * t9016;
  t76261 = t2118 * t9052;
  t76262 = 0.2e1 * t76261;
  t76263 = t9020 * t9054;
  t76264 = 0.4e1 / 0.3e1 * t76263;
  t76265 = t9020 * t9035;
  t76266 = t42891 * t10052;
  t76270 = t15219 * t21714;
  t76273 = -t9027 * t76241 / 0.3e1 + t15271 * t22277 / 0.3e1 - t76012 * t76246 / 0.9e1 - 0.4e1 * t76249 + 0.6e1 * t9023 * t9035 - 0.4e1 * t15268 * t3543 + t2125 * t76255 - t9027 * t76257 / 0.6e1 - t1311 * t15256 + t9022 - t9047 - t9048 - t9050 - t76262 - t76264 - t76265 + t76266 / 0.6e1 + 0.18e2 * t9013 * t9069 - 0.24e2 * t76270 * t1315;
  t76279 = t42891 * t10046;
  t76281 = t3562 * t76126;
  t76285 = t22302 * t15287 * t794;
  t76289 = t3562 * t2141 * t8688;
  t76292 = t22290 * t76126;
  t76295 = t9020 * t9017;
  t76296 = 0.2e1 * t76295;
  t76297 = t3556 * t76041;
  t76299 = t3130 * t76041;
  t76302 = t9045 * t9069;
  t76304 = t42900 * t10068;
  t76307 = t788 * t63 * t75379;
  t76309 = t3130 * t9109;
  t76314 = t9020 * t9005;
  t76320 = t9020 * t9116;
  t76322 = -0.6e1 * t15290 * t796 - 0.12e2 * t76130 * t1320 - 0.9e1 * t76279 + 0.2e1 * t1313 * t76281 + 0.3e1 * t421 * t76285 - 0.2e1 * t421 * t76289 + 0.4e1 / 0.3e1 * t1319 * t76292 + t76296 + t1319 * t76297 - 0.2e1 / 0.3e1 * t1319 * t76299 - 0.6e1 * t76302 - 0.12e2 * t76304 - t421 * t76307 - 0.2e1 * t2125 * t76309 + 0.9e1 * t15271 * t22424 - 0.3e1 * t76314 + 0.18e2 * t9023 * t9005 - 0.12e2 * t15268 * t3607 + 0.2e1 * t76320;
  t76323 = t3556 * t9109;
  t76326 = t3130 * t9004;
  t76332 = t788 * t60 * t75379;
  t76339 = t9045 * t9010;
  t76341 = t2118 * t9110;
  t76344 = 0.3e1 * t2125 * t76323 - 0.9e1 * t9027 * t76326 + 0.36e2 * t76020 * t9103 + t421 * t76332 / 0.2e1 - 0.9e1 * t9013 * t9010 + 0.12e2 * t76270 * t1334 + t15267 - t15275 + t15283 + t15284 - t2138 + t9091 + t9093 - t9100 + 0.3e1 * t76339 + t76341 + t9121 + t2119 + t1311 * t15259 / 0.2e1;
  t76352 = -t15151 + t8874 + t8877 - t75988 - t15158 + 0.3e1 / 0.4e1 * t9136 * t1239 + 0.3e1 / 0.2e1 * t5277 * t2170 + 0.3e1 / 0.2e1 * t5266 * t2170 - 0.3e1 / 0.2e1 * t15050 * t21041 - 0.3e1 / 0.2e1 * t26932 * t2154 - 0.3e1 / 0.2e1 * t27454 * t2154 - t30 * t59 * (t76050 + t76109 + t76156 + t76203 + t76240 + t76273 + t76322 + t76344) * t95 / 0.4e1 - t15161 - t15173 - t8896;
  t76367 = t4748 * t8694;
  t76368 = t1261 * t76367;
  t76377 = t2087 * t4750;
  t76379 = t843 * t76367;
  t76381 = -t8900 + t2098 * t27584 / 0.2e1 + 0.3e1 / 0.2e1 * t8844 * t8703 - 0.3e1 * t75694 * t1300 - t15063 * t3525 + 0.5e1 / 0.3e1 * t75834 * t8711 + t15063 * t3380 / 0.2e1 - t1252 * t76368 / 0.2e1 + 0.3e1 / 0.2e1 * t8844 * t8992 + t2093 * t4750 / 0.2e1 - t2093 * t4754 / 0.2e1 - t76377 / 0.4e1 + t1294 * t76379 + t8913;
  t76382 = t830 * t15227;
  t76392 = t788 * t75030;
  t76396 = t26189 * t8766;
  t76399 = t4877 * t8799;
  t76402 = t4877 * t75031;
  t76407 = t26405 * t8791;
  t76410 = t75407 * t9857;
  t76412 = t41761 * t9971;
  t76413 = t8915 - t8939 - t8952 + t8954 - 0.3e1 * t246 * t76382 * t3082 - 0.3e1 * t4772 * t9013 * t8774 - 0.2e1 * t4772 * t2121 * t8779 + 0.2e1 * t4772 * t1313 * t76392 + 0.5e1 / 0.12e2 * t41686 * t76396 + t41843 * t76399 / 0.4e1 + t4872 * t76402 / 0.2e1 - 0.4e1 / 0.3e1 * t41787 * t8795 - 0.3e1 / 0.4e1 * t41843 * t76407 + 0.23e2 / 0.12e2 * t76410 + t76412;
  t76415 = t3556 * t75160;
  t76422 = t3168 * t75111;
  t76424 = t9877 * t5029 * t76422;
  t76426 = t3125 * t75111;
  t76428 = t4983 * t5029 * t76426;
  t76430 = t20876 * t8761;
  t76438 = t3130 * t75160;
  t76442 = t20862 * t8761;
  t76446 = t22290 * t8761;
  t76457 = t25714 * t1256;
  t76460 = t8974 - t4772 * t1319 * t76415 / 0.2e1 - 0.8e1 * t4983 * t9023 * t42120 + 0.9e1 / 0.2e1 * t76424 - 0.9e1 * t76428 - 0.9e1 / 0.2e1 * t9877 * t9027 * t76430 + 0.9e1 / 0.2e1 * t41686 * t26189 * t3156 * t8761 + t4983 * t1319 * t76438 / 0.2e1 + 0.9e1 * t4983 * t9027 * t76442 - 0.9e1 / 0.2e1 * t4772 * t9027 * t76446 + 0.36e2 * t679 * t75798 * t8933 + 0.9e1 * t5286 * t8852 - 0.9e1 * t1228 * t8918 - 0.61e2 / 0.27e2 * t75100 * t76457;
  t76461 = t26011 * t1262;
  t76464 = t680 * t15048;
  t76478 = t4808 * t8752;
  t76481 = t4867 * t8748;
  t76487 = t41274 * t1255;
  t76488 = t1254 * t76487;
  t76491 = t8718 * t8749;
  t76495 = t2105 * t8688;
  t76496 = t3562 * t76495;
  t76503 = t42389 * t95 * t75185;
  t76506 = 0.44e2 / 0.27e2 * t75100 * t76461 - 0.18e2 * t679 * t76464 * t1269 + 0.18e2 * t246 * t76464 * t1274 - 0.18e2 * t3167 * t75798 * t8928 + 0.22e2 / 0.3e1 * t75834 * t8940 - 0.23e2 / 0.3e1 * t75834 * t8943 + 0.23e2 / 0.12e2 * t8710 * t76478 - 0.3e1 / 0.2e1 * t8710 * t76481 + 0.7e1 * t8710 * t4851 * t8752 - t1252 * t76488 / 0.2e1 - t76491 / 0.2e1 - 0.6e1 * t8844 * t8753 + t4772 * t421 * t76496 + t3266 * t4768 * t15078 / 0.2e1 + t4882 * t76503 / 0.2e1;
  t76510 = t8790 * t95 * t76495;
  t76513 = t26405 * t75024;
  t76518 = t8790 * t253 * t276 * t15076;
  t76522 = t637 * t15079 / 0.6e1;
  t76524 = t1218 * t15084 / 0.18e2;
  t76528 = t3360 * t660 * t8688;
  t76532 = t630 * t15159;
  t76534 = t608 * t15159;
  t76546 = t4808 * t75715;
  t76549 = -t4882 * t76510 / 0.3e1 - t4872 * t76513 / 0.6e1 - t4882 * t76518 / 0.6e1 + t76522 - t76524 + 0.23e2 / 0.36e2 * t15050 * t21882 + 0.3e1 / 0.2e1 * t679 * t8735 * t76528 - 0.3e1 / 0.2e1 * t76532 - 0.3e1 / 0.2e1 * t76534 + 0.3e1 / 0.2e1 * t3070 * t15164 + 0.3e1 / 0.2e1 * t3061 * t15164 + 0.9e1 * t679 * t8851 * t8848 - 0.6e1 * t679 * t75943 * t3362 + 0.18e2 * t75949 * t76546;
  t76554 = t637 * t15167 / 0.3e1;
  t76556 = t8625 * t15094 / 0.12e2;
  t76560 = t637 * t15156;
  t76561 = t76560 / 0.6e1;
  t76562 = t42628 * t2268;
  t76564 = t8911 * t9785;
  t76566 = t8911 * t8833;
  t76568 = t8809 * t2108;
  t76569 = t76568 / 0.6e1;
  t76570 = t42408 * t8800;
  t76571 = t76570 / 0.6e1;
  t76572 = t41761 * t10110;
  t76574 = t42342 * t8786;
  t76575 = t76574 / 0.3e1;
  t76576 = t42408 * t8792;
  t76577 = t76576 / 0.3e1;
  t76578 = t41761 * t8795;
  t76579 = t76578 / 0.6e1;
  t76581 = t30 * t42738 * t10156;
  t76583 = 0.3e1 * t679 * t76382 * t3078 + t76554 + t76556 - t30 * t15298 * t277 / 0.4e1 - t76561 + t76562 / 0.2e1 + t76564 / 0.2e1 + t76566 / 0.2e1 + t76569 + t76571 + t76572 / 0.2e1 - t76575 - t76577 + t76579 - 0.3e1 / 0.2e1 * t76581;
  t76585 = t42342 * t9935;
  t76587 = t75437 * t9957;
  t76589 = t42342 * t9758;
  t76597 = t8911 * t8987;
  t76599 = t2087 * t4754;
  t76601 = t8718 * t8992;
  t76603 = t1261 * t76487;
  t76606 = t843 * t76487;
  t76611 = t4851 * t8748;
  t76616 = -t76585 / 0.2e1 + 0.3e1 / 0.2e1 * t76587 + t76589 / 0.2e1 - t182 * t15299 / 0.4e1 - 0.3e1 / 0.2e1 * t8837 * t8987 - t417 * t41276 / 0.4e1 + t76597 / 0.2e1 + t76599 / 0.4e1 - t76601 / 0.4e1 - t1252 * t76603 / 0.4e1 + t1294 * t76606 / 0.2e1 + t417 * t41349 / 0.4e1 - 0.11e2 / 0.6e1 * t8710 * t76611 - t2098 * t26021 / 0.2e1;
  t76618 = t1254 * t76367;
  t76630 = t5266 * t2158;
  t76634 = t633 * t15072 * t223 / 0.6e1;
  t76636 = 0.5e1 / 0.108e3 * t75071 * t3178;
  t76638 = t8625 * t5229 / 0.12e2;
  t76640 = t75201 * t662 / 0.6e1;
  t76642 = t8619 * t1223 / 0.6e1;
  t76643 = t8622 * t1223;
  t76644 = t76643 / 0.12e2;
  t76646 = t1218 * t9131 / 0.12e2;
  t76647 = t2098 * t26024 - t1252 * t76618 + 0.3e1 * t8844 * t8749 - t1247 * t9131 / 0.4e1 - t417 * t42029 / 0.4e1 - t8654 * t5291 / 0.2e1 - t2098 * t27457 / 0.2e1 + 0.3e1 / 0.4e1 * t76630 - t76634 - t76636 - t76638 + t76640 + t76642 - t76644 - t76646;
  t76653 = my_piecewise3(t2, 0, t76647 + t76616 + t76583 + t76549 + t76506 + t76460 + t76413 + t76381 + t76352 + t75986 + t75956 + t75931 + t75890 + t75854 + t75820 + t75787 + t75749 + t75704 + t75673 + t75639 + t75593 + t75549 + t75510 + t75469 + t75433 + t75387 + t75246 + t75213 + t75170 + t75119 + t75080 + t75054);
  tv4rhosigma30 = t3 * t76653 + t15305;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 0] += tv4rhosigma30;

  tv4rhosigma31 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 1] += tv4rhosigma31;

  tv4rhosigma32 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 2] += tv4rhosigma32;

  tv4rhosigma33 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 3] += tv4rhosigma33;

  tv4rhosigma34 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 4] += tv4rhosigma34;

  tv4rhosigma35 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 5] += tv4rhosigma35;

  tv4rhosigma36 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 6] += tv4rhosigma36;

  tv4rhosigma37 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 7] += tv4rhosigma37;

  tv4rhosigma38 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 8] += tv4rhosigma38;

  t76656 = t9151 * t5819 / 0.12e2;
  t76658 = t23651 * t15441 / 0.2e1;
  t76660 = t948 * t15436 / 0.2e1;
  t76662 = t5484 * t2261 / 0.2e1;
  t76663 = t937 * t15416;
  t76665 = t76663 * t1015 / 0.3e1;
  t76667 = 0.2e1 / 0.3e1 * t76663 * t1020;
  t76670 = t937 * t15431 * t350 / 0.6e1;
  t76671 = t4005 * t15425;
  t76673 = t948 * t15421 / 0.2e1;
  t76675 = t76663 * t1010 / 0.6e1;
  t76676 = t937 * t15407;
  t76678 = 0.23e2 / 0.108e3 * t76676 * t4156;
  t76683 = -0.3e1 * t3971 * t15444 - 0.3e1 * t945 * t15459 - t76656 + t76658 + t76660 + t76662 + t76665 - t76667 - t76670 + t76671 + t76673 + t76675 + t76678;
  t76684 = t933 * t15407;
  t76705 = t5484 * t2253 / 0.2e1;
  t76706 = t5484 * t2249;
  t76707 = t76706 / 0.4e1;
  t76709 = t1354 * t15376 / 0.12e2;
  t76710 = t4005 * t15372;
  t76711 = t76710 / 0.2e1;
  t76712 = -0.11e2 / 0.18e2 * t76684 * t4151 + 0.23e2 / 0.36e2 * t76684 * t4156 + 0.3e1 / 0.2e1 * t945 * t15436 + 0.3e1 / 0.2e1 * t5449 * t2261 + 0.3e1 / 0.2e1 * t24004 * t15441 + 0.3e1 / 0.2e1 * t945 * t15421 + 0.3e1 * t3971 * t15425 - 0.3e1 / 0.2e1 * t5449 * t2253 - t933 * t15431 * t350 / 0.2e1 - t76705 + t76707 + t76709 - t76711;
  t76715 = t5484 * t2258 / 0.4e1;
  t76717 = t948 * t15396 / 0.12e2;
  t76719 = t1354 * t15315 / 0.18e2;
  t76721 = t948 * t15320 / 0.6e1;
  t76722 = t948 * t15381;
  t76723 = t76722 / 0.2e1;
  t76724 = t44028 * t2342;
  t76725 = t76724 / 0.12e2;
  t76727 = t9148 * t2199 / 0.9e1;
  t76729 = t948 * t15392 / 0.3e1;
  t76730 = t44028 * t2347;
  t76731 = t76730 / 0.6e1;
  t76732 = -t76715 - t76717 - t9147 - t9168 + t9172 + t9195 - t76719 + t76721 - t76723 - t76725 - t76727 + t76729 - t76731;
  t76736 = t294 * t15558 / 0.12e2;
  t76738 = 0.7e1 / 0.9e1 * t76676 * t4200;
  t76741 = t933 * t15416;
  t76744 = t948 * t15459;
  t76746 = 0.11e2 / 0.54e2 * t76676 * t4151;
  t76747 = t4005 * t15444;
  t76752 = t9166 * t1378;
  t76758 = -t290 * t15558 / 0.4e1 - t76736 + t76738 + t9179 * t1378 / 0.2e1 + t76741 * t1010 / 0.2e1 - t76744 - t76746 - t76747 - t9173 * t5819 / 0.4e1 - 0.5e1 / 0.36e2 * t76684 * t4231 - t76752 / 0.4e1 + 0.3e1 / 0.4e1 * t44373 * t457 - t9173 * t5800 / 0.2e1;
  t76764 = t28796 * t2245 / 0.2e1;
  t76765 = t9145 * t2199;
  t76766 = t76765 / 0.18e2;
  t76768 = t9151 * t15365 / 0.12e2;
  t76769 = t9145 * t1378;
  t76770 = t76769 / 0.12e2;
  t76772 = t9148 * t1378 / 0.6e1;
  t76774 = t44306 * t457 / 0.4e1;
  t76776 = t9151 * t5800 / 0.6e1;
  t76786 = -t1351 * t9531 / 0.4e1 - t76764 + t76766 + t76768 - t76770 + t76772 + t76774 - t76776 - 0.3e1 / 0.2e1 * t76684 * t4193 - 0.3e1 / 0.2e1 * t28872 * t2245 + t76741 * t1015 - t76684 * t4707 / 0.2e1 + 0.7e1 / 0.3e1 * t76684 * t4200;
  t76789 = t9151 * t5804 / 0.3e1;
  t76791 = t76676 * t4193 / 0.2e1;
  t76793 = t76676 * t4707 / 0.6e1;
  t76796 = t5449 * t2249;
  t76799 = 0.5e1 / 0.108e3 * t76676 * t4231;
  t76801 = t1354 * t9531 / 0.12e2;
  t76802 = t44058 * t2339;
  t76803 = t76802 / 0.6e1;
  t76811 = t9173 * t5804 + t76789 - t76791 - t76793 - 0.2e1 * t76741 * t1020 + 0.3e1 / 0.4e1 * t76796 - t76799 - t76801 + t76803 - 0.3e1 / 0.4e1 * t5449 * t2258 - t9173 * t15448 - 0.3e1 / 0.2e1 * t945 * t15456 + t9173 * t15451 / 0.2e1;
  t76813 = t948 * t15326;
  t76814 = t76813 / 0.2e1;
  t76815 = t43991 * t2347;
  t76817 = t43991 * t2353;
  t76818 = t9166 * t2199;
  t76819 = t76818 / 0.6e1;
  t76820 = t43991 * t2342;
  t76824 = t945 * t15381;
  t76826 = t945 * t15384;
  t76827 = t76826 / 0.2e1;
  t76835 = t3971 * t15372;
  t76837 = t76814 - t76815 / 0.2e1 + t76817 + t76819 - t76820 / 0.4e1 + 0.3e1 / 0.2e1 * t3971 * t15389 - 0.3e1 / 0.2e1 * t76824 - t76827 + t945 * t15392 - t945 * t15396 / 0.4e1 + t1351 * t15362 / 0.12e2 + t9173 * t15365 / 0.4e1 - 0.3e1 / 0.2e1 * t76835;
  t76842 = t44102 * t2339;
  t76844 = t44028 * t2353;
  t76845 = t76844 / 0.3e1;
  t76847 = t4005 * t15389 / 0.2e1;
  t76848 = t948 * t15384;
  t76849 = t76848 / 0.6e1;
  t76851 = t1354 * t15362 / 0.36e2;
  t76857 = t9151 * t15448 / 0.3e1;
  t76858 = t945 * t15326;
  t76861 = t948 * t15456 / 0.2e1;
  t76863 = t9151 * t15451 / 0.6e1;
  t76864 = t1351 * t15376 / 0.4e1 - t9179 * t2199 / 0.3e1 + t76842 / 0.2e1 + t76845 + t76847 - t76849 + t76851 - t1351 * t15315 / 0.6e1 + t945 * t15320 / 0.2e1 - t76857 + 0.3e1 / 0.2e1 * t76858 - t76861 + t76863;
  t76868 = my_piecewise3(t100, 0, t76683 + t76712 + t76732 + t76758 + t76786 + t76811 + t76837 + t76864);
  tv4rhosigma39 = t3 * t76868 + t15564;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 9] += tv4rhosigma39;

  t76870 = t897 * t15049;
  t76881 = -0.5e1 / 0.36e2 * t76870 * t3178 + 0.3e1 / 0.2e1 * t903 * t15179 + 0.3e1 * t3740 * t15184 + t75049 + t75073 - t75075 + t75077 - t75078 - t75079 + t75093 + t75159 + t1368 * t15137 / 0.4e1 + t1368 * t15131 / 0.12e2;
  t76889 = t5384 * t2158;
  t76899 = 0.23e2 / 0.36e2 * t76870 * t3146 - t897 * t15072 * t223 / 0.2e1 - t75203 - t75205 - t75233 + t75235 + t75237 - t9217 * t5229 / 0.4e1 + 0.3e1 / 0.4e1 * t76889 - t9217 * t5291 / 0.2e1 - t1368 * t9131 / 0.4e1 + 0.3e1 / 0.4e1 * t43846 * t432 - 0.3e1 / 0.2e1 * t5384 * t2162;
  t76909 = t43563 * t2268;
  t76911 = -0.3e1 * t3740 * t15189 - 0.3e1 * t903 * t15192 - t903 * t15205 / 0.4e1 + t75241 + t75243 - t75245 - t75249 + t75251 - t75253 - t75267 - 0.3e1 / 0.4e1 * t5384 * t2167 + t75483 + t76909 / 0.2e1;
  t76912 = t43568 * t2276;
  t76914 = t903 * t15102;
  t76916 = t43568 * t2282;
  t76923 = t9222 * t2108;
  t76924 = t76923 / 0.6e1;
  t76925 = t43568 * t2271;
  t76931 = -t76912 / 0.2e1 + 0.3e1 / 0.2e1 * t76914 - t75601 + t76916 - t1368 * t15084 / 0.6e1 + t903 * t15079 / 0.2e1 - t9214 * t2108 / 0.3e1 + t76924 - t76925 / 0.4e1 + t9217 * t15094 / 0.4e1 - t75648 + t75650 - 0.3e1 / 0.2e1 * t903 * t15216;
  t76939 = t903 * t15159;
  t76941 = t903 * t15156;
  t76942 = t76941 / 0.2e1;
  t76944 = t9217 * t15211 / 0.2e1 - t9217 * t15209 + 0.3e1 / 0.2e1 * t3740 * t15164 - 0.3e1 / 0.2e1 * t76939 - t76942 + t903 * t15167 + t75666 - t75668 + t75670 - t75672 + t75676 + t75771 + t75786;
  t76945 = t9222 * t1223;
  t76949 = t897 * t15062;
  t76952 = t3740 * t15171;
  t76958 = -t75796 - t76945 / 0.4e1 + t9214 * t1223 / 0.2e1 + t76949 * t662 / 0.2e1 - t9224 + t9234 - t8624 + t8645 - 0.3e1 / 0.2e1 * t76952 - t75880 - t307 * t15299 / 0.4e1 + t75922 - 0.3e1 / 0.2e1 * t76870 * t3158;
  t76978 = -0.3e1 / 0.2e1 * t27911 * t2154 + 0.3e1 / 0.2e1 * t5384 * t2170 + 0.3e1 / 0.2e1 * t903 * t15195 - t76870 * t3150 / 0.2e1 - t75942 - t75967 + t75982 + 0.7e1 / 0.3e1 * t76870 * t3153 + t9217 * t5281 + 0.3e1 / 0.2e1 * t22632 * t15058 + t76949 * t667 - 0.2e1 * t76949 * t672 - 0.11e2 / 0.18e2 * t76870 * t3141;
  t76979 = -t75988 + t76522 - t76524 + t76554 + t76556 - t76561 - t76634 - t76636 - t76638 + t76640 + t76642 - t76644 - t76646;
  t76983 = my_piecewise3(t2, 0, t76881 + t76899 + t76911 + t76931 + t76944 + t76958 + t76978 + t76979);
  tv4rhosigma310 = t3 * t76983 + t15305;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 10] += tv4rhosigma310;

  tv4rhosigma311 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 11] += tv4rhosigma311;

  tv4rhosigma312 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 12] += tv4rhosigma312;

  tv4rhosigma313 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 13] += tv4rhosigma313;

  tv4rhosigma314 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 14] += tv4rhosigma314;

  tv4rhosigma315 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 15] += tv4rhosigma315;

  tv4rhosigma316 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 16] += tv4rhosigma316;

  tv4rhosigma317 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 17] += tv4rhosigma317;

  tv4rhosigma318 = 0.e0;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 18] += tv4rhosigma318;

  t76990 = t46000 * t2339;
  t76992 = t29988 * t9440;
  t76995 = t15405 * t24087;
  t76997 = t321 * t3135 * t76995;
  t77000 = t1030 * t15406;
  t77007 = t4719 * t76995;
  t77018 = t5595 * t9248;
  t77021 = t15405 * t24537;
  t77023 = t321 * t20823 * t77021;
  t77024 = t29118 * t1425;
  t77027 = t28999 * t1431;
  t77030 = 0.3e1 / 0.2e1 * t373 * t1088 * t15512 * t4209 + t1070 * t15392 + t76990 / 0.2e1 + t6012 * t76992 / 0.4e1 - 0.23e2 / 0.3e1 * t76997 * t9264 - 0.18e2 * t1029 * t77000 * t1410 + 0.18e2 * t373 * t77000 * t1415 - 0.18e2 * t4718 * t77007 * t9698 + 0.36e2 * t1029 * t77007 * t9703 + 0.9e1 * t5792 * t9315 - 0.9e1 * t1383 * t9714 + 0.23e2 / 0.12e2 * t9254 * t77018 - 0.61e2 / 0.27e2 * t77023 * t77024 + 0.44e2 / 0.27e2 * t77023 * t77027;
  t77031 = t9279 * t9274;
  t77035 = t1383 * t9711;
  t77041 = t5563 * t9273;
  t77061 = -t77031 / 0.2e1 - 0.6e1 * t9293 * t9249 + 0.3e1 / 0.2e1 * t77035 - 0.3e1 / 0.2e1 * t44765 * t1411 + 0.3e1 / 0.2e1 * t9469 * t1416 - 0.3e1 / 0.2e1 * t9254 * t77041 - t1065 * t15431 * t350 / 0.2e1 - t15432 * t994 / 0.2e1 + 0.3e1 / 0.2e1 * t1070 * t15436 + 0.3e1 / 0.2e1 * t1058 * t15436 + 0.3e1 * t4204 * t15425 + 0.3e1 * t4188 * t15425 - 0.3e1 / 0.2e1 * t5797 * t2253 - 0.3e1 / 0.2e1 * t5814 * t2253;
  t77063 = t1065 * t15416;
  t77081 = t1430 * t9467 * t2337;
  t77085 = t15312 * t1082;
  t77086 = t24458 * t77085;
  t77090 = t2196 * t9399;
  t77091 = t4575 * t77090;
  t77094 = t77063 * t1010 / 0.2e1 + t15417 * t4228 / 0.2e1 + 0.3e1 / 0.2e1 * t1070 * t15421 + 0.3e1 / 0.2e1 * t1058 * t15421 + 0.3e1 / 0.4e1 * t9469 * t1394 - t9515 * t5800 / 0.2e1 - t2189 * t29073 / 0.2e1 - t1397 * t9531 / 0.4e1 - t2180 + t2251 + t4533 * t77081 + 0.3e1 / 0.4e1 * t9469 * t1447 - 0.3e1 / 0.2e1 * t5665 * t446 * t77086 + t5665 * t446 * t77091;
  t77098 = t15312 * t333;
  t77099 = t24564 * t77098;
  t77102 = t168 * t77098;
  t77103 = t30134 * t77102;
  t77110 = t24435 * t77098;
  t77114 = t5665 * t9584 * t10486;
  t77116 = t2175 * t439;
  t77117 = t1018 * t77116;
  t77118 = t10447 * t77117;
  t77119 = t45332 * t77118;
  t77122 = t4695 * t46599 * t2402;
  t77124 = t45946 * t10719;
  t77126 = t45091 * t1424;
  t77127 = t1430 * t77126;
  t77132 = t29545 * t1425;
  t77141 = t29113 * t1425;
  t77144 = t4695 * t6018 * t15319 / 0.2e1 + t5665 * t1476 * t77099 - t5673 * t77103 / 0.3e1 + 0.2e1 / 0.3e1 * t5673 * t30141 * t1018 * t77098 - t5639 * t1476 * t77110 - 0.3e1 * t77114 + 0.7e1 * t77119 + 0.3e1 / 0.2e1 * t77122 + t77124 / 0.2e1 - t1421 * t77127 / 0.4e1 - t442 * t45093 / 0.4e1 - 0.2e1 * t77023 * t77132 - 0.9e1 / 0.2e1 * t9254 * t5595 * t5790 * t1424 + 0.9e1 / 0.2e1 * t29089 * t9699 - 0.38e2 / 0.9e1 * t77023 * t77141;
  t77147 = t29118 * t1431;
  t77150 = t28999 * t9255;
  t77154 = t321 * t649 * t15406;
  t77157 = t25460 * t77021;
  t77158 = t24678 * t9697;
  t77162 = t24678 * t9702;
  t77171 = t24678 * t24581 * t333;
  t77176 = t24678 * t24556 * t333;
  t77182 = t1065 * t15407;
  t77191 = 0.89e2 / 0.9e1 * t77023 * t77147 - 0.43e2 / 0.9e1 * t77023 * t77150 - 0.6e1 * t77154 * t1426 - 0.18e2 * t1029 * t77157 * t77158 + 0.6e1 * t373 * t77157 * t77162 - 0.9e1 * t5792 * t9704 + 0.9e1 / 0.2e1 * t1383 * t9718 - 0.6e1 * t25474 * t77157 * t77171 + 0.18e2 * t4718 * t77157 * t77176 + 0.22e2 / 0.3e1 * t76997 * t9261 - 0.11e2 / 0.18e2 * t77182 * t4151 - 0.11e2 / 0.18e2 * t15408 * t24729 + 0.23e2 / 0.36e2 * t77182 * t4156 + 0.23e2 / 0.36e2 * t15408 * t24708;
  t77200 = t4305 * t1013 * t9399;
  t77204 = 0.3e1 / 0.2e1 * t5797 * t2261 + t15417 * t4135 - 0.2e1 * t77063 * t1020 - 0.2e1 * t15417 * t4264 - t76656 + t76658 + t76660 + t76662 + t76665 - t76667 - t76670 + t76671 + t76673 + t76675 - 0.3e1 / 0.2e1 * t373 * t9318 * t77200;
  t77208 = t4553 * t9421;
  t77211 = t4553 * t9426;
  t77214 = t1088 * t15499;
  t77220 = t5595 * t1027 * t9298;
  t77239 = t9515 * t15451 / 0.2e1 + t2189 * t77208 / 0.2e1 + t2189 * t77211 / 0.2e1 + 0.3e1 * t1029 * t77214 * t4219 + t2189 * t29337 - 0.9e1 / 0.2e1 * t9254 * t77220 + 0.9e1 / 0.2e1 * t15408 * t25331 - 0.7e1 * t15408 * t25327 + 0.7e1 / 0.3e1 * t15408 * t25361 + 0.2e1 * t1421 * t45385 - 0.2e1 * t2189 * t29216 + 0.6e1 * t76997 * t9267 + 0.3e1 / 0.2e1 * t15408 * t25629 - t15408 * t25632 / 0.2e1;
  t77240 = t5733 * t9346;
  t77251 = t9444 * t77102;
  t77254 = t2196 * t1392;
  t77256 = t5691 * t1018 * t77254;
  t77262 = t30141 * t1018 * t9445;
  t77265 = t29474 * t9327;
  t77269 = t5691 * t4693 * t9439;
  t77271 = t30134 * t9446;
  t77274 = t29468 * t9331;
  t77277 = t5674 * t9440;
  t77282 = 0.7e1 * t9254 * t77240 - t15432 * t1103 / 0.2e1 - t9522 * t2199 / 0.3e1 - t2184 * t9422 / 0.3e1 - t2184 * t9427 / 0.3e1 + t6004 * t77251 / 0.3e1 - 0.2e1 * t5673 * t77256 + 0.16e2 / 0.3e1 * t44465 * t9328 + 0.3e1 * t44474 * t77262 - 0.23e2 / 0.12e2 * t44470 * t77265 - t44474 * t77269 - 0.3e1 / 0.2e1 * t44474 * t77271 + 0.11e2 / 0.6e1 * t44470 * t77274 + t44474 * t77277 / 0.2e1 - 0.3e1 / 0.2e1 * t15408 * t25567;
  t77290 = t1383 * t9406;
  t77292 = t1383 * t9410;
  t77295 = t1430 * t1381 * t15906;
  t77296 = t4533 * t77295;
  t77297 = t1383 * t9414;
  t77311 = t4572 * t77254;
  t77315 = t24435 * t9445;
  t77319 = -0.3e1 * t5792 * t9312 + 0.3e1 * t5792 * t9319 - 0.3e1 / 0.2e1 * t77290 - 0.3e1 / 0.4e1 * t77292 + t77296 + 0.3e1 / 0.4e1 * t77297 - 0.6e1 * t9293 * t9347 + 0.4e1 * t15417 * t4378 - 0.2e1 * t15417 * t4361 - t1397 * t15315 / 0.6e1 - t1402 * t15315 / 0.6e1 + t4695 * t45449 * t2257 + 0.3e1 * t5639 * t1476 * t77311 - 0.9e1 / 0.2e1 * t5639 * t2216 * t77315;
  t77339 = t110 * t46239 * t10726;
  t77341 = t9305 * t9729;
  t77343 = t2178 * t5555;
  t77345 = t9279 * t9734;
  t77347 = t2178 * t5607;
  t77349 = -t9515 * t5819 / 0.4e1 - t2189 * t30242 / 0.4e1 - 0.3e1 / 0.2e1 * t77182 * t4193 - 0.3e1 / 0.2e1 * t15408 * t24836 - 0.3e1 / 0.2e1 * t29068 * t2245 - 0.3e1 / 0.2e1 * t29078 * t2245 + 0.3e1 * t9293 * t9274 - 0.3e1 / 0.2e1 * t5792 * t9322 - t45951 * t9441 / 0.3e1 - 0.3e1 / 0.2e1 * t77339 + t77341 / 0.2e1 + t77343 / 0.4e1 - t77345 / 0.4e1 - t77347 / 0.4e1;
  t77351 = t5553 * t9298;
  t77352 = t1101 * t77351;
  t77354 = t5595 * t9299;
  t77361 = t28999 * t1425;
  t77366 = t1430 * t77351;
  t77373 = t5595 * t9273;
  t77384 = t1451 * t77352 - 0.5e1 / 0.12e2 * t9254 * t77354 + 0.5e1 / 0.3e1 * t76997 * t9360 + 0.5e1 / 0.12e2 * t15408 * t24805 - 0.35e2 / 0.108e3 * t77023 * t77361 - 0.5e1 / 0.36e2 * t15408 * t24360 - t1421 * t77366 / 0.2e1 + 0.3e1 / 0.2e1 * t9293 * t9734 + t2189 * t29204 / 0.2e1 - 0.5e1 / 0.12e2 * t9254 * t77373 - t2189 * t29413 / 0.4e1 + t442 * t45097 / 0.4e1 + 0.3e1 * t1383 * t9490 - 0.3e1 * t1383 * t9492;
  t77387 = t9305 * t9430;
  t77389 = t4148 * t9310;
  t77396 = t4719 * t15406;
  t77402 = t321 * t20823 * t333 * t24537;
  t77403 = t167 * t15405;
  t77404 = t371 * t77403;
  t77408 = t1088 * t15503;
  t77418 = t1030 * t15415;
  t77424 = t321 * t3135 * t333 * t24087;
  t77425 = t1027 * t77403;
  t77426 = t5595 * t77425;
  t77429 = t4572 * t45435;
  t77431 = t5639 * t1476 * t77429;
  t77433 = t4188 * t15372;
  t77436 = t10358 * t4191 * t77116;
  t77437 = t45332 * t77436;
  t77439 = 0.3e1 / 0.2e1 * t1383 * t9494 + t77387 / 0.2e1 + 0.9e1 / 0.2e1 * t373 * t9696 * t77389 - 0.18e2 * t373 * t77007 * t9717 - 0.9e1 / 0.2e1 * t373 * t77396 * t25635 + 0.47e2 / 0.3e1 * t77402 * t29113 * t77404 + 0.3e1 / 0.2e1 * t373 * t77408 * t4729 + t1058 * t15392 + t373 * t9505 * t9401 + 0.9e1 * t1029 * t9314 * t9311 - 0.6e1 * t1029 * t77418 * t4307 + 0.18e2 * t77424 * t77426 + 0.3e1 * t77431 - 0.3e1 / 0.2e1 * t77433 - 0.9e1 / 0.2e1 * t77437;
  t77442 = t44612 * t2353;
  t77443 = t9279 * t10322;
  t77447 = t4354 * t4440 * t15313;
  t77451 = t5639 * t46045 * t50868;
  t77453 = t24477 * t9326;
  t77460 = t15359 * t333;
  t77461 = t4626 * t77460;
  t77465 = t4572 * t77460;
  t77473 = t76678 - t76705 + t76707 + t77442 + t77443 + t1058 * t15320 / 0.2e1 - t442 * t77447 / 0.6e1 + 0.9e1 * t77451 - 0.9e1 / 0.2e1 * t10513 * t9602 * t77453 - 0.8e1 * t5639 * t9592 * t45837 - t5665 * t1476 * t77461 / 0.2e1 + t5639 * t1476 * t77465 / 0.2e1 + 0.3e1 / 0.2e1 * t45289 * t9454 + 0.3e1 / 0.2e1 * t45289 * t9464;
  t77474 = t45452 * t15922;
  t77486 = t374 * t15430;
  t77490 = t9279 * t9347;
  t77505 = -t24973 * t77474 - 0.3e1 / 0.4e1 * t29985 * t9460 - t373 * t5541 * t15395 / 0.4e1 + t373 * t5541 * t15319 / 0.2e1 + t1070 * t15320 / 0.2e1 - 0.3e1 / 0.2e1 * t373 * t77486 * t1084 + t77490 + 0.3e1 * t9293 * t9350 - 0.2e1 * t15417 * t4554 + t15417 * t4550 - 0.5e1 / 0.36e2 * t77182 * t4231 - t1402 * t9531 / 0.4e1 - t442 * t44617 / 0.4e1 - t15417 * t4452 + t15417 * t4433 / 0.2e1;
  t77515 = t9544 * t1378;
  t77517 = t2178 * t5809;
  t77523 = t5797 * t2249;
  t77525 = t4575 * t77098;
  t77528 = t45376 * t10400;
  t77529 = t1165 * t77460;
  t77533 = t15359 * t1082;
  t77534 = t4575 * t77533;
  t77538 = t439 * t15359;
  t77540 = t5691 * t1018 * t77538;
  t77543 = -t1070 * t15396 / 0.4e1 + 0.3e1 / 0.4e1 * t44678 * t457 + 0.3e1 / 0.4e1 * t44684 * t457 - 0.5e1 / 0.36e2 * t15408 * t25224 - t77515 / 0.4e1 - t77517 / 0.4e1 + t9522 * t1378 / 0.2e1 + t2184 * t5809 / 0.2e1 + 0.3e1 / 0.4e1 * t77523 - t5665 * t1470 * t77525 + t77528 + t5665 * t1470 * t77529 / 0.2e1 + t5665 * t446 * t77534 / 0.2e1 - t24973 * t77540 / 0.3e1;
  t77544 = t45379 * t9441;
  t77545 = t77544 / 0.6e1;
  t77546 = t110 * t46045;
  t77547 = t77546 * t10716;
  t77549 = t45376 * t10722;
  t77551 = t110 * t46055;
  t77552 = t77551 * t10361;
  t77554 = t30141 * t9446;
  t77557 = t29474 * t9331;
  t77560 = t5691 * t9440;
  t77563 = t45946 * t9457;
  t77564 = t77563 / 0.3e1;
  t77565 = t45379 * t9447;
  t77566 = t77565 / 0.3e1;
  t77568 = t9444 * t168 * t77533;
  t77571 = t168 * t77460;
  t77572 = t5691 * t77571;
  t77575 = t76709 - t76711 - t76715 - t76717 + t77545 + 0.3e1 / 0.2e1 * t77547 + t77549 / 0.2e1 - 0.5e1 / 0.12e2 * t77552 - 0.3e1 / 0.4e1 * t44474 * t77554 + 0.5e1 / 0.12e2 * t44470 * t77557 + t44474 * t77560 / 0.4e1 - t77564 - t77566 - t6012 * t77568 / 0.6e1 + t5673 * t77572 / 0.12e2;
  t77582 = t4687 * t380 * t403 * t15359;
  t77585 = t168 * t77254;
  t77586 = t5691 * t77585;
  t77591 = t1423 * t77351;
  t77593 = t77551 * t10543;
  t77596 = t5665 * t46055 * t10506;
  t77598 = t77546 * t10441;
  t77600 = t77551 * t10448;
  t77602 = t77551 * t10451;
  t77604 = t45376 * t9332;
  t77605 = t77604 / 0.3e1;
  t77606 = t5674 * t77571;
  t77613 = t2175 * t333;
  t77614 = t4609 * t77613;
  t77616 = t10513 * t5860 * t77614;
  t77618 = t6012 * t77582 / 0.12e2 + t5673 * t77586 / 0.2e1 - 0.4e1 / 0.3e1 * t44465 * t9450 - t1421 * t77591 - 0.3e1 / 0.2e1 * t77593 + 0.9e1 / 0.2e1 * t77596 + 0.3e1 * t77598 - 0.11e2 / 0.6e1 * t77600 + 0.23e2 / 0.12e2 * t77602 + t77605 + t5673 * t77606 / 0.6e1 + 0.3e1 / 0.2e1 * t45286 * t9341 - 0.3e1 / 0.2e1 * t45289 * t9336 + 0.9e1 / 0.2e1 * t77616;
  t77619 = t4619 * t77613;
  t77621 = t5639 * t5860 * t77619;
  t77623 = t45283 * t9331;
  t77627 = t5665 * t46045 * t10530;
  t77630 = t5639 * t9584 * t45837;
  t77632 = t5665 * t9584 * t9335;
  t77633 = t4687 * t77571;
  t77636 = t4626 * t77254;
  t77643 = t45376 * t9450;
  t77644 = t77643 / 0.6e1;
  t77645 = -0.9e1 * t77621 + t5673 * t77623 / 0.2e1 - 0.9e1 * t77627 + t77630 - t77632 - t6004 * t77633 / 0.6e1 - t9281 + t9283 - 0.3e1 * t5665 * t1476 * t77636 + 0.8e1 * t5665 * t9592 * t9335 + t77644 + t15307 + t15323 - t15325;
  t77647 = t29988 * t9331;
  t77651 = t5649 * t5651 * t15371;
  t77653 = t4204 * t15372;
  t77657 = t15328 + t15332 - t15334 + t15369 - t15374 + t9307 - t6004 * t77647 / 0.2e1 - t9147 + t9172 - 0.3e1 / 0.2e1 * t77651 - t15383 - t15386 - 0.3e1 / 0.2e1 * t77653 - t1058 * t15396 / 0.4e1;
  t77663 = t5733 * t9273;
  t77668 = t1101 * t77126;
  t77675 = -t76719 + t76721 - t76723 - t76725 - t76727 + t76729 - t76731 - 0.6e1 * t373 * t374 * t15415 * t1438 - t15412 + t2189 * t30287 - 0.11e2 / 0.6e1 * t9254 * t77663 - t2189 * t29333 / 0.2e1 + t1451 * t77668 / 0.2e1 - 0.3e1 / 0.2e1 * t9469 * t1439 - 0.3e1 / 0.4e1 * t9469 * t1443;
  t77681 = t1423 * t77126;
  t77684 = t5792 * t9708;
  t77687 = t4148 * t4149 * t1392;
  t77700 = t1070 * t15326;
  t77702 = t1058 * t15326;
  t77705 = t4148 * t4154 * t1392;
  t77713 = t28999 * t4716 * t77403;
  t77722 = 0.7e1 * t9254 * t5733 * t9248 - t1421 * t77681 / 0.2e1 - 0.3e1 / 0.2e1 * t77684 - 0.9e1 * t1029 * t9696 * t77687 + 0.9e1 * t1029 * t77396 * t25427 - 0.62e2 / 0.3e1 * t77402 * t29118 * t77425 - 0.3e1 * t1029 * t77408 * t4725 + 0.3e1 / 0.2e1 * t77700 + 0.3e1 / 0.2e1 * t77702 + 0.9e1 / 0.2e1 * t4718 * t9696 * t77705 - 0.9e1 / 0.2e1 * t4718 * t77396 * t24762 + 0.8e1 * t77402 * t77713 + 0.3e1 / 0.2e1 * t4718 * t77408 * t4721 - t110 * t15557 * t404 / 0.4e1;
  t77723 = t9305 * t10592;
  t77726 = t321 * t649 * t45100;
  t77727 = t1430 * t77404;
  t77731 = t45083 * t168 * t77085;
  t77735 = t9444 * t168 * t77090;
  t77738 = t77723 / 0.2e1 - t76736 + 0.12e2 * t77726 * t77727 + t76738 - t76744 - t76746 - t76747 - t76764 - t9408 - t9412 + t9416 + t76766 + t76768 + t6012 * t77731 / 0.2e1 - t6012 * t77735 / 0.3e1;
  t77740 = t30141 * t77102;
  t77745 = t9444 * t380 * t403 * t15312;
  t77751 = t1094 * t29195 * t2197;
  t77755 = t1094 * t5553 * t9425;
  t77763 = t1094 * t4440 * t15360;
  t77766 = t44612 * t2347;
  t77768 = t9279 * t10583;
  t77770 = t9279 * t9350;
  t77772 = t5814 * t2249;
  t77774 = -t5673 * t77740 / 0.6e1 - t6012 * t77745 / 0.6e1 + t1402 * t15376 / 0.4e1 + t442 * t77751 / 0.4e1 + t442 * t77755 / 0.4e1 + t1397 * t15362 / 0.12e2 + t1402 * t15362 / 0.12e2 + t442 * t77763 / 0.12e2 - t77766 / 0.2e1 - t77768 / 0.2e1 - t77770 / 0.2e1 - t76770 + t76772 + 0.3e1 / 0.4e1 * t77772;
  t77777 = t4376 * t9421;
  t77780 = t4376 * t9426;
  t77783 = t9544 * t2199;
  t77784 = t77783 / 0.6e1;
  t77785 = t2178 * t9422;
  t77786 = t77785 / 0.6e1;
  t77787 = t2178 * t9427;
  t77788 = t77787 / 0.6e1;
  t77790 = t1029 * t5585 * t15371;
  t77794 = t4575 * t452;
  t77795 = t77794 * t9446;
  t77798 = t45452 * t9331;
  t77803 = t4376 * t1056 * t2197;
  t77806 = t4376 * t371 * t9425;
  t77812 = t9515 * t15365 / 0.4e1 + t2189 * t77777 / 0.4e1 + t2189 * t77780 / 0.4e1 + t77784 + t77786 + t77788 - 0.3e1 / 0.2e1 * t77790 + t1397 * t15376 / 0.4e1 - t6012 * t77795 / 0.2e1 + t5673 * t77798 / 0.4e1 - t9515 * t15448 - t2189 * t77803 - t2189 * t77806 - 0.3e1 / 0.2e1 * t1070 * t15456 - 0.3e1 / 0.2e1 * t1058 * t15456;
  t77816 = t5733 * t9299;
  t77823 = t1058 * t15384;
  t77824 = t77823 / 0.2e1;
  t77826 = t373 * t9409 * t9401;
  t77827 = t77826 / 0.2e1;
  t77846 = -0.11e2 / 0.6e1 * t9254 * t77816 + 0.11e2 / 0.6e1 * t15408 * t24276 - 0.11e2 / 0.18e2 * t15408 * t24901 - t77824 - t77827 - 0.3e1 * t1383 * t9499 + 0.9e1 / 0.2e1 * t1383 * t9502 + 0.3e1 / 0.2e1 * t1383 * t9506 + 0.3e1 / 0.2e1 * t4204 * t15389 + 0.3e1 / 0.2e1 * t5814 * t2261 + 0.3e1 / 0.2e1 * t25290 * t15441 + 0.3e1 / 0.2e1 * t25543 * t15441 - 0.3e1 * t4204 * t15444 - 0.3e1 * t4188 * t15444;
  t77851 = t5665 * t46239 * t10489;
  t77854 = t5665 * t9608 * t10493;
  t77856 = t5695 * t77117;
  t77857 = t45444 * t77856;
  t77860 = t4695 * t45503 * t2394;
  t77862 = t9279 * t9300;
  t77870 = t76774 - t76776 + t76789 - t76791 - t76793 + 0.3e1 / 0.2e1 * t5649 * t45343 * t15388 + 0.9e1 / 0.2e1 * t77851 + 0.3e1 / 0.2e1 * t77854 - 0.6e1 * t77857 - 0.3e1 / 0.2e1 * t77860 - t77862 / 0.4e1 - 0.3e1 / 0.2e1 * t9285 * t9430 + 0.2e1 * t321 * t194 * t15415 * t1452 - t76799 - t76801;
  t77875 = t349 * t15558;
  t77880 = t321 * t369 * t15556 * t370;
  t77886 = t142 * t15359;
  t77887 = t77886 * t333;
  t77888 = t1186 * t77887;
  t77891 = t46214 * t9568;
  t77892 = 0.4e1 * t77891;
  t77893 = t15522 * t333;
  t77894 = t4626 * t77893;
  t77897 = t20822 * t15405 * t24540;
  t77898 = t24557 * t1471;
  t77901 = t24418 * t9617;
  t77904 = t15509 * t333;
  t77905 = t24564 * t77904;
  t77908 = t46055 * t10688;
  t77910 = t46055 * t10637;
  t77912 = t15503 * t24552;
  t77915 = t24435 * t9617;
  t77920 = t24477 * t1471;
  t77923 = t24418 * t1471;
  t77926 = t46055 * t10702;
  t77930 = t15499 * t24522;
  t77937 = -0.2e1 * t5889 * t77888 - t77892 + t1476 * t77894 - 0.4e1 / 0.3e1 * t77897 * t77898 - 0.1e2 * t9602 * t77901 - 0.2e1 * t1476 * t77905 - 0.9e1 * t77908 + 0.1e2 * t77910 + 0.8e1 * t77912 * t9640 + 0.9e1 * t9602 * t77915 - 0.72e2 * t77912 * t9643 + 0.8e1 / 0.3e1 * t77897 * t77920 + 0.24e2 * t77897 * t77923 + t77926 / 0.6e1 + 0.6e1 * t9592 * t9596 - 0.12e2 * t77930 * t1477 - 0.4e1 * t15500 * t4573 + 0.2e1 * t1468 * t15484;
  t77938 = t24435 * t77904;
  t77941 = t2232 * t1392;
  t77942 = t4626 * t77941;
  t77945 = t46045 * t10691;
  t77947 = t9584 * t9632;
  t77948 = 0.2e1 * t77947;
  t77951 = t4599 * t9567;
  t77954 = t9566 * t1392;
  t77955 = t1186 * t77954;
  t77960 = t2215 * t29892;
  t77961 = t1186 * t9579;
  t77964 = t46054 * t10617;
  t77965 = t77964 * t10619;
  t77967 = t142 * t15312;
  t77969 = t360 * t77967 * t1082;
  t77973 = t360 * t9566 * t9399;
  t77976 = t77967 * t333;
  t77977 = t1173 * t77976;
  t77980 = t9583 * t10608;
  t77981 = t77980 * t10627;
  t77983 = t46214 * t10680;
  t77985 = t46364 * t10605;
  t77987 = t77980 * t10611;
  t77989 = t1173 * t77954;
  t77992 = t1173 * t77887;
  t77995 = 0.4e1 / 0.3e1 * t1476 * t77938 + 0.6e1 * t1476 * t77942 + 0.18e2 * t77945 + t77948 - 0.16e2 * t9592 * t9632 + 0.2e1 * t46156 * t77951 - 0.12e2 * t5889 * t77955 + 0.32e2 * t46128 * t9568 + 0.18e2 * t77960 * t77961 - 0.2e1 * t77965 - 0.6e1 * t46147 * t77969 + 0.4e1 * t9578 * t77973 - 0.2e1 / 0.3e1 * t29893 * t77977 - 0.36e2 * t77981 - 0.12e2 * t77983 + 0.6e1 * t77985 + 0.6e1 * t77987 + 0.2e1 * t5889 * t77989 + t5889 * t77992 / 0.3e1;
  t77998 = t2208 * t10683 * t10685;
  t78000 = t2209 * t9627;
  t78001 = 0.2e1 * t78000;
  t78004 = t4572 * t9626;
  t78007 = t4575 * t77904;
  t78011 = t24458 * t15509 * t1082;
  t78020 = t2215 * t4160;
  t78025 = t9601 * t4140;
  t78028 = t9583 * t999;
  t78030 = 0.4e1 * t78028 * t1415;
  t78038 = 0.2e1 / 0.3e1 * t9372 * t15371;
  t78039 = 0.4e1 * t9384 * t45866 - 0.4e1 / 0.3e1 * t9381 * t45767 + 0.4e1 / 0.3e1 * t9396 * t9311 - 0.4e1 * t78020 * t1410 - 0.4e1 / 0.3e1 * t2224 * t4307 + 0.2e2 / 0.9e1 * t78025 * t9698 - t78030 + 0.24e2 * t78020 * t1415 - 0.12e2 * t78025 * t9717 + 0.4e1 / 0.3e1 * t78025 * t9703 + t78038;
  t78042 = t2208 * t1045;
  t78044 = 0.4e1 * t78042 * t1438;
  t78046 = 0.2e1 * t2227 * t1084;
  t78063 = -0.12e2 * t2211 * t999 * t1438 - 0.4e1 * t2230 * t1084 + 0.2e1 * t1488 * t2257 + 0.8e1 * t2224 * t4324 + 0.2e1 * t448 * t9401 + 0.4e1 * t9378 * t45858 + 0.8e1 * t9391 * t9498 - 0.8e1 * t9396 * t9489 - t15352 + t78044 + t78046 + 0.4e1 * t9336;
  t78065 = t4388 * t9277;
  t78067 = 0.4e1 * t78065 * t1415;
  t78068 = t4388 * t9291;
  t78071 = t24205 * t9252;
  t78077 = t1077 * t2182;
  t78084 = t4388 * t2187;
  t78091 = t78067 - 0.24e2 * t78068 * t1415 + 0.32e2 / 0.3e1 * t78071 * t9703 - 0.2e1 / 0.3e1 * t9341 + 0.12e2 * t78071 * t9717 + 0.4e1 * t78077 * t1084 - 0.8e1 * t78068 * t1410 + 0.8e1 / 0.3e1 * t9381 * t9311 - 0.8e1 / 0.3e1 * t78084 * t4307 + 0.16e2 / 0.9e1 * t78071 * t9698 - 0.2e1 * t44895 * t2257;
  t78093 = t1077 * t9303;
  t78095 = 0.4e1 * t78093 * t1438;
  t78096 = t1077 * t2176;
  t78098 = 0.2e1 * t78096 * t1084;
  t78100 = 0.4e1 / 0.3e1 * t78065 * t1410;
  t78115 = 0.12e2 * t1077 * t2187 * t1438 - 0.8e1 * t78084 * t4324 - 0.4e1 * t9381 * t45790 - 0.8e1 * t9378 * t9498 + 0.8e1 * t9381 * t9489 - 0.2e1 * t9384 * t9401 + t15340 - t78095 - t78098 + t78100 - 0.4e1 * t9454 - 0.4e1 * t9464;
  t78117 = t78039 + t78063 + t78091 + t78115;
  t78119 = t1165 * t143 * t78117;
  t78122 = t4575 * t2232 * t9399;
  t78125 = t4572 * t9595;
  t78130 = t9584 * t9612;
  t78132 = t9608 * t10695;
  t78134 = t46045 * t10651;
  t78136 = t9608 * t9618;
  t78137 = 0.2e1 * t78136;
  t78138 = -t1468 * t15497 + 0.2e1 * t1470 * t78007 - 0.18e2 * t15504 * t24611 + 0.4e1 * t2212 * t9627 + t2216 * t78004 + 0.3e1 * t446 * t78011 - t446 * t78119 - 0.2e1 * t446 * t78122 + 0.18e2 * t9602 * t78125 - t15479 - t15481 - t15482 + 0.18e2 * t77998 - t78001 + 0.6e1 * t78130 - 0.3e1 * t78132 - 0.12e2 * t78134 - t78137;
  t78139 = t2209 * t9621;
  t78140 = 0.2e1 * t78139;
  t78141 = t9584 * t9629;
  t78142 = 0.4e1 / 0.3e1 * t78141;
  t78143 = t9584 * t9596;
  t78146 = t15512 * t24126;
  t78151 = t9584 * t10699;
  t78153 = t9608 * t9623;
  t78155 = t1173 * t9579;
  t78158 = t4586 * t9567;
  t78161 = t4572 * t9651;
  t78166 = t4609 * t9595;
  t78173 = t24582 * t1471;
  t78176 = t4572 * t77941;
  t78179 = t24435 * t9620;
  t78182 = t24477 * t9617;
  t78185 = -t78140 - t78142 - t78143 + 0.18e2 * t9587 * t9623 - 0.24e2 * t78146 * t1472 - 0.6e1 * t15513 * t1167 + 0.6e1 * t78151 - 0.6e1 * t78153 - 0.3e1 * t77960 * t78155 + t46156 * t78158 / 0.3e1 - 0.2e1 * t2216 * t78161 + 0.2e1 * t15504 * t24622 - t9602 * t78166 / 0.3e1 + 0.4e1 / 0.3e1 * t77912 * t9603 + t15504 * t24478 / 0.3e1 - t77897 * t78173 / 0.9e1 - 0.4e1 * t1476 * t78176 + 0.6e1 * t2216 * t78179 - t9602 * t78182 / 0.6e1;
  t78188 = t9584 * t10641;
  t78192 = t1165 * t77893;
  t78195 = t4575 * t15522 * t1082;
  t78197 = t4572 * t77893;
  t78200 = t46239 * t10644;
  t78202 = t4626 * t9626;
  t78205 = t24564 * t9620;
  t78214 = t4619 * t9595;
  t78217 = t1165 * t77941;
  t78224 = -0.4e1 * t78188 + 0.32e2 / 0.3e1 * t9592 * t9629 - t1470 * t78192 - t446 * t78195 - 0.2e1 / 0.3e1 * t1476 * t78197 - 0.9e1 * t78200 - 0.6e1 * t2216 * t78202 - 0.9e1 * t2216 * t78205 - 0.36e2 * t9592 * t9612 + 0.72e2 * t77930 * t1481 + 0.24e2 * t15500 * t4656 - 0.2e1 * t9602 * t78214 - 0.4e1 * t1470 * t78217 + 0.6e1 * t9587 * t9618 + 0.4e1 * t2212 * t9621 - t9586 - t9610 - t9611;
  t78227 = t24418 * t1484;
  t78230 = t24477 * t1484;
  t78235 = t4572 * t9661;
  t78240 = t4619 * t9661;
  t78247 = t24557 * t1484;
  t78258 = t4609 * t9661;
  t78261 = t4626 * t9651;
  t78264 = t9584 * t9670;
  t78266 = t9635 + 0.36e2 * t77912 * t9686 - 0.12e2 * t77897 * t78227 + 0.5e2 / 0.3e1 * t77897 * t78230 - 0.36e2 * t77930 * t1495 + t15488 - 0.9e1 * t9602 * t78235 + 0.9e1 * t15504 * t24548 + 0.1e2 * t9602 * t78240 - 0.4e2 * t77912 * t9658 - 0.1e2 * t15504 * t24419 + 0.1e2 / 0.3e1 * t77897 * t78247 - 0.12e2 * t9592 * t9662 + 0.24e2 * t77930 * t1485 + 0.8e1 * t15500 * t4613 - 0.2e1 / 0.3e1 * t77912 * t9655 + t9602 * t78258 / 0.6e1 + 0.3e1 * t2216 * t78261 - 0.3e1 * t78264;
  t78273 = t9584 * t9662;
  t78275 = t360 * t77954;
  t78280 = t9608 * t9678;
  t78282 = t2209 * t9652;
  t78286 = t1165 * t140 * t78117;
  t78300 = 0.18e2 * t9592 * t9670 - 0.12e2 * t15500 * t4627 - t1468 * t15510 + 0.2e1 * t78273 + t9669 + 0.8e1 * t5896 * t78275 - t15504 * t24601 / 0.6e1 + 0.3e1 * t78280 + t78282 + t1468 * t15523 / 0.2e1 + t446 * t78286 / 0.2e1 - 0.9e1 * t9587 * t9678 + 0.12e2 * t78146 * t1491 + 0.3e1 * t15513 * t1183 - 0.2e1 * t2212 * t9652 + t9675 + t9677 - t9683 - 0.8e1 * t2211 * t29820 * t9580;
  t78303 = t46364 * t9574;
  t78304 = 0.4e1 * t78303;
  t78305 = t2208 * t9577;
  t78306 = t78305 * t9580;
  t78307 = 0.4e1 * t78306;
  t78308 = t46214 * t9571;
  t78309 = 0.2e1 / 0.3e1 * t78308;
  t78310 = t46214 * t10614;
  t78312 = t77964 * t10669;
  t78314 = t360 * t77976;
  t78319 = t1186 * t77976;
  t78322 = t77964 * t10611;
  t78326 = t360 * t77887;
  t78330 = t360 * t77886 * t1082;
  t78333 = -t15517 + t15518 + t15532 + t15539 - t2229 - 0.12e2 * t46169 * t9574 + t78304 + t78307 + t78309 + 0.2e1 * t78310 - t78312 / 0.3e1 - 0.4e1 * t29821 * t78314 + t2210 - 0.16e2 / 0.3e1 * t46128 * t9571 + 0.4e1 * t29893 * t78319 + 0.18e2 * t78322 - 0.18e2 * t46156 * t9571 + 0.2e1 * t5896 * t78326 + 0.2e1 * t9578 * t78330;
  t78341 = t44612 * t2342;
  t78343 = t9279 * t10462;
  t78345 = t45946 * t10500;
  t78347 = t45376 * t10366;
  t78349 = t4687 * t77585;
  t78353 = 0.9e1 / 0.2e1 * t373 * t9501 * t9498 - t338 * t77875 / 0.12e2 + t77880 * t377 / 0.4e1 - 0.2e1 * t5665 * t2212 * t9463 - t110 * t139 * (t77937 + t77995 + t78138 + t78185 + t78224 + t78266 + t78300 + t78333) * t168 / 0.4e1 - t78341 / 0.4e1 - t78343 / 0.4e1 + t9482 - t9485 - t9487 - t78345 / 0.2e1 - t78347 / 0.4e1 - 0.2e1 / 0.3e1 * t6004 * t78349 + t44488 * t9457;
  t78369 = t1094 * t1095 * t167 * t78117;
  t78373 = t1076 * t348 * t78117;
  t78377 = 0.2e1 / 0.3e1 * t45951 * t9447 - t318 * t15558 / 0.4e1 + t76803 + t76814 - t4695 * t6018 * t15395 / 0.4e1 - 0.3e1 / 0.2e1 * t1383 * t9510 - 0.3e1 / 0.4e1 * t5797 * t2258 - 0.3e1 / 0.4e1 * t5814 * t2258 + t442 * t78369 / 0.12e2 + t76845 + t76847 - t76849 - t373 * t1442 * t78373 / 0.4e1 + t9535 + t9543;
  t78384 = t24418 * t9326;
  t78388 = t24435 * t9326;
  t78392 = t30141 * t9331;
  t78395 = t5674 * t77585;
  t78399 = t24564 * t9445;
  t78403 = t2181 * t2196;
  t78404 = t1018 * t78403;
  t78411 = t5595 * t9346;
  t78418 = t5563 * t9299;
  t78421 = 0.9e1 / 0.2e1 * t44470 * t29474 * t4191 * t9326 + 0.9e1 * t5639 * t9602 * t78384 - 0.9e1 / 0.2e1 * t5665 * t9602 * t78388 + 0.3e1 / 0.2e1 * t44470 * t78392 + t5673 * t78395 - 0.8e1 / 0.3e1 * t44465 * t9332 + 0.9e1 / 0.2e1 * t5665 * t2216 * t78399 - 0.7e1 * t45332 * t29468 * t78404 - 0.3e1 / 0.2e1 * t4695 * t45343 * t15455 + 0.23e2 / 0.12e2 * t9254 * t78411 - 0.23e2 / 0.12e2 * t15408 * t24149 + 0.23e2 / 0.36e2 * t15408 * t24917 - 0.3e1 / 0.2e1 * t9254 * t78418 - t9546;
  t78425 = t4305 * t1008 * t9399;
  t78429 = t1070 * t15381;
  t78431 = t1058 * t15381;
  t78434 = t373 * t9405 * t9498;
  t78436 = t1070 * t15384;
  t78437 = t78436 / 0.2e1;
  t78439 = t373 * t9707 * t9489;
  t78459 = -t9548 + 0.3e1 / 0.2e1 * t4188 * t15389 + 0.3e1 / 0.2e1 * t1029 * t9318 * t78425 - 0.3e1 / 0.2e1 * t78429 - 0.3e1 / 0.2e1 * t78431 - 0.3e1 / 0.2e1 * t78434 - t78437 + 0.3e1 / 0.2e1 * t78439 - 0.9e1 * t373 * t9314 * t9489 + 0.6e1 * t373 * t77418 * t4324 - 0.28e2 * t77424 * t5733 * t77404 - 0.3e1 * t373 * t77214 * t4215 - 0.3e1 / 0.2e1 * t9285 * t9729 - t2184 * t5555 / 0.2e1 + t2184 * t5607 / 0.2e1;
  t78465 = t2175 * t2196;
  t78467 = t5691 * t1018 * t78465;
  t78468 = t24973 * t78467;
  t78469 = 0.2e1 / 0.3e1 * t78468;
  t78471 = t4695 * t45439 * t2257;
  t78472 = t78471 / 0.2e1;
  t78473 = t45376 * t10374;
  t78474 = t45376 * t10377;
  t78476 = t45376 * t10394;
  t78478 = t1165 * t77254;
  t78487 = 0.3e1 / 0.2e1 * t9293 * t9300 - 0.3e1 * t77154 * t1457 - t78469 - t78472 + t78473 - t78474 / 0.2e1 - 0.2e1 * t78476 + 0.2e1 * t5665 * t1470 * t78478 - 0.3e1 * t5665 * t9587 * t9453 - t9710 + t9713 + t15432 * t1098 / 0.2e1 + t76851 - t76857;
  t78508 = t5665 * t9608 * t9453;
  t78510 = t5665 * t2209 * t9463;
  t78511 = -t76861 + t76863 - 0.3e1 / 0.4e1 * t1383 * t9369 - 0.3e1 / 0.4e1 * t1383 * t9402 + t77063 * t1015 - t77182 * t4707 / 0.2e1 - t15408 * t25457 / 0.2e1 + 0.7e1 / 0.3e1 * t77182 * t4200 + 0.7e1 / 0.3e1 * t15408 * t24820 + t9515 * t5804 + t2189 * t29057 - 0.3e1 * t1070 * t15459 - 0.3e1 * t1058 * t15459 + t78508 + t78510;
  t78517 = my_piecewise3(t100, 0, t77239 + t77204 + t77191 + t77144 + t77094 + t77061 + t77030 + t78511 + t78487 + t78459 + t78421 + t78377 + t78353 + t77870 + t77846 + t77812 + t77774 + t77738 + t77722 + t77675 + t77657 + t77645 + t77618 + t77575 + t77543 + t77505 + t77473 + t77439 + t77384 + t77349 + t77319 + t77282);
  tv4rhosigma319 = t3 * t78517 + t15564;

  if(out->v4rhosigma3 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma3[ip*p->dim.v4rhosigma3 + 19] += tv4rhosigma319;

  t78525 = t3389 * t15565;
  t78526 = t1254 * t78525;
  t78541 = t95 * t42703;
  t78542 = t26847 * t78541;
  t78547 = 0.2e1 * t75038;
  t78550 = t2090 * t206;
  t78551 = t670 * t78550;
  t78552 = t9744 * t78551;
  t78560 = t253 * t42245;
  t78561 = t4996 * t78560;
  t78564 = t30793 * t2154 / 0.6e1;
  t78566 = t8625 * t6424 / 0.9e1;
  t78567 = -t6067 * t15629 / 0.6e1 + 0.11e2 / 0.6e1 * t9743 * t78542 - 0.2e1 * t9863 * t42325 + t78547 - 0.4e1 * t9863 * t42313 - 0.23e2 / 0.3e1 * t47356 * t78552 + 0.4e1 * t9863 * t42705 + 0.12e2 * t47592 * t4873 * t78551 + t9863 * t78561 - t78564 + t78566;
  t78570 = t8625 * t6402 / 0.18e2;
  t78572 = t42546 * t481 / 0.12e2;
  t78573 = t6226 * t2158;
  t78574 = t78573 / 0.12e2;
  t78576 = t8619 * t1511 / 0.18e2;
  t78578 = t6226 * t2162 / 0.6e1;
  t78579 = t2087 * t6212;
  t78580 = t78579 / 0.12e2;
  t78581 = t8809 * t1511;
  t78582 = t78581 / 0.12e2;
  t78592 = t75061 / 0.6e1;
  t78594 = t21994 * t15588 / 0.2e1;
  t78599 = t843 * t78525;
  t78603 = t30837 * t15576 / 0.6e1;
  t78608 = -t8654 * t6233 / 0.12e2 - t2089 + t2160 - t78592 + t78594 - t31562 * t15697 / 0.2e1 - t31572 * t15697 / 0.2e1 - t6496 * t78599 / 0.2e1 - t78603 - t1529 * t15084 / 0.6e1 - t1534 * t15084 / 0.6e1;
  t78617 = t6411 * t8937;
  t78618 = t78617 / 0.2e1;
  t78619 = t1516 * t8739;
  t78620 = t78619 / 0.2e1;
  t78627 = t41697 * t9934;
  t78631 = t3168 * t427;
  t78632 = t78631 * t9746;
  t78635 = 0.6e1 * t75114;
  t78636 = t41850 * t9746;
  t78641 = t95 * t75111;
  t78642 = t4877 * t78641;
  t78643 = t9743 * t78642;
  t78644 = t78643 / 0.2e1;
  t78645 = t78631 * t9846;
  t78648 = t670 * t75111;
  t78650 = t9743 * t9845 * t78648;
  t78651 = 0.7e1 / 0.3e1 * t78650;
  t78654 = t9743 * t9744 * t3156 * t75111;
  t78655 = 0.3e1 / 0.2e1 * t78654;
  t78657 = t26467 * t15843 / 0.3e1;
  t78659 = t26535 * t15839 / 0.2e1;
  t78660 = -0.5e1 / 0.18e2 * t9743 * t78632 + t78635 + t75147 + t9863 * t78636 - 0.2e1 / 0.3e1 * t6439 * t41697 * t8770 - t78644 + 0.23e2 / 0.18e2 * t9743 * t78645 + t78651 - t78655 + t78657 + t78659;
  t78662 = t1516 * t8894;
  t78663 = t78662 / 0.2e1;
  t78664 = t4808 * t41384;
  t78671 = t3389 * t15609;
  t78672 = t1261 * t78671;
  t78673 = t1541 * t78672;
  t78674 = t78673 / 0.12e2;
  t78679 = t26512 * t2266;
  t78680 = t1261 * t78679;
  t78685 = t229 * t75111;
  t78687 = t4772 * t6309 * t78685;
  t78688 = 0.3e1 / 0.2e1 * t78687;
  t78690 = t788 * t42699;
  t78692 = t4772 * t1587 * t78690;
  t78693 = t78692 / 0.2e1;
  t78694 = t8688 * t414;
  t78695 = t95 * t78694;
  t78696 = t5175 * t78695;
  t78701 = t26778 * t15642;
  t78704 = t9744 * t42246;
  t78711 = t47881 * t78551;
  t78716 = t9877 * t6304 * t76422;
  t78717 = 0.3e1 / 0.2e1 * t78716;
  t78719 = t78693 + t6439 * t78696 / 0.2e1 + t6439 * t75530 / 0.2e1 + t6439 * t78701 / 0.2e1 + 0.23e2 / 0.36e2 * t9743 * t78704 + t31172 * t15712 / 0.2e1 + t31175 * t15712 / 0.2e1 + 0.44e2 / 0.27e2 * t47073 * t78711 - t42708 * t9882 + t78717 + t43351 * t9899;
  t78723 = t46876 * t8766;
  t78737 = t4762 * t78641;
  t78738 = t10155 * t78737;
  t78739 = t78738 / 0.2e1;
  t78740 = 0.3e1 * t75177;
  t78742 = t26467 * t15657 / 0.2e1;
  t78743 = t95 * t78550;
  t78744 = t47807 * t78743;
  t78749 = t4877 * t78743;
  t78752 = t26405 * t78541;
  t78755 = t95 * t41701;
  t78756 = t4877 * t78755;
  t78758 = t26189 * t78743;
  t78761 = t75199 / 0.2e1;
  t78763 = t75232 / 0.18e2;
  t78764 = t75236 / 0.9e1;
  t78767 = -t6439 * t75121 + 0.6e1 * t47356 * t78749 + 0.3e1 / 0.2e1 * t9743 * t78752 - t9743 * t78756 - 0.38e2 / 0.9e1 * t47073 * t78758 + t78761 - t9948 * t1282 - t78763 + t75235 + t78764 - t9948 * t1286 / 0.2e1;
  t78779 = t1261 * t78525;
  t78782 = t6464 * t15611;
  t78783 = t78782 / 0.6e1;
  t78784 = t6468 * t15611;
  t78785 = t78784 / 0.6e1;
  t78787 = t1218 * t15691 / 0.36e2;
  t78789 = t637 * t15694 / 0.6e1;
  t78797 = t47044 * t1255;
  t78798 = t843 * t78797;
  t78803 = t6062 * t15639;
  t78804 = t78803 / 0.3e1;
  t78805 = t6067 * t15639;
  t78806 = t78805 / 0.3e1;
  t78807 = t1541 * t42525;
  t78808 = t78807 / 0.3e1;
  t78818 = 0.2e1 / 0.3e1 * t3396 * t1261 * t9946 * t2266 + t9948 * t1290 / 0.2e1 + t1294 * t78798 / 0.3e1 + t417 * t47046 / 0.6e1 + t78804 + t78806 + t78808 + 0.3e1 / 0.2e1 * t246 * t31053 * t15602 - 0.3e1 * t3070 * t15598 + 0.3e1 / 0.2e1 * t608 * t15603 + 0.3e1 / 0.2e1 * t630 * t15603;
  t78824 = t31085 * t15646 / 0.12e2;
  t78838 = t43371 * t9757;
  t78842 = t43406 * t9934;
  t78845 = t3125 * t427;
  t78846 = t78845 * t9746;
  t78849 = t43371 * t9746;
  t78852 = t6439 * t42272;
  t78853 = t78852 / 0.3e1;
  t78854 = t9744 * t78648;
  t78855 = t9743 * t78854;
  t78856 = 0.23e2 / 0.36e2 * t78855;
  t78858 = t9863 * t4873 * t78648;
  t78859 = 0.2e1 * t78858;
  t78860 = t6439 * t42701;
  t78861 = 0.2e1 / 0.3e1 * t78860;
  t78862 = 0.5e1 / 0.18e2 * t75408;
  t78863 = t75410 / 0.6e1;
  t78864 = 0.2e1 * t75423;
  t78865 = 0.14e2 / 0.3e1 * t75428;
  t78866 = 0.2e1 / 0.3e1 * t6439 * t78842 - 0.11e2 / 0.9e1 * t9743 * t78846 + 0.2e1 * t9863 * t78849 + t78853 + t78856 - t78859 - t78861 - t78862 - t78863 - t78864 + t78865;
  t78868 = 0.2e1 * t75438;
  t78869 = 0.2e1 / 0.3e1 * t75440;
  t78870 = 0.11e2 / 0.9e1 * t75441;
  t78871 = t75443 / 0.3e1;
  t78872 = 0.4e1 / 0.3e1 * t75445;
  t78873 = t47807 * t78551;
  t78881 = t4877 * t78560;
  t78884 = t253 * t42270;
  t78885 = t4873 * t78884;
  t78886 = t6439 * t78885;
  t78887 = t78886 / 0.12e2;
  t78888 = t9744 * t78641;
  t78889 = t9743 * t78888;
  t78890 = 0.5e1 / 0.36e2 * t78889;
  t78891 = t95 * t42699;
  t78892 = t4877 * t78891;
  t78893 = t6439 * t78892;
  t78894 = t78893 / 0.6e1;
  t78895 = t4873 * t78641;
  t78896 = t9863 * t78895;
  t78897 = t78896 / 0.2e1;
  t78898 = t41850 * t9757;
  t78907 = -0.7e1 * t9743 * t43233 + 0.14e2 / 0.3e1 * t9743 * t42251 - t9743 * t78881 / 0.2e1 - t78887 - t78890 + t78894 + t78897 - t6439 * t78898 / 0.6e1 + t6468 * t15615 / 0.3e1 + t1534 * t15137 / 0.6e1 + t466 * t75870 / 0.6e1;
  t78914 = t4808 * t78525;
  t78920 = t1261 * t1514 * t15609;
  t78921 = t3396 * t78920;
  t78922 = t78921 / 0.3e1;
  t78923 = t1516 * t8972;
  t78924 = t78923 / 0.4e1;
  t78925 = t1516 * t8898;
  t78926 = t78925 / 0.4e1;
  t78927 = t75478 / 0.6e1;
  t78928 = t75480 / 0.6e1;
  t78934 = t788 * t78694;
  t78941 = t229 * t41701;
  t78949 = t6226 * t2167 / 0.12e2;
  t78958 = t4772 * t1587 * t78934 + t26260 * t15843 + t26266 * t15843 + t4772 * t6329 * t15842 + 0.3e1 * t4772 * t6309 * t78941 + 0.3e1 / 0.2e1 * t3266 * t31354 * t15707 - t78949 + t2098 * t31748 / 0.3e1 + 0.2e1 / 0.3e1 * t1252 * t46744 - 0.2e1 * t8844 * t9985 - 0.2e1 / 0.3e1 * t2098 * t30835;
  t78962 = t6119 * t8694;
  t78963 = t1254 * t78962;
  t78973 = t41850 * t9846;
  t78978 = t20724 * t15642;
  t78986 = t4762 * t78560;
  t78991 = t4762 * t78755;
  t78993 = t3273 * t78541;
  t78996 = t4762 * t78743;
  t79000 = t637 * t15603 / 0.2e1;
  t79002 = 0.2e1 / 0.3e1 * t30925 * t15570;
  t79004 = t30925 * t15567 / 0.3e1;
  t79005 = -t10155 * t78986 / 0.2e1 - t31558 * t15643 / 0.3e1 - t10155 * t78991 + t10155 * t78993 / 0.2e1 + 0.2e1 * t47417 * t78996 + t79000 - t79002 - t75579 + t79004 - t75581 - t75584;
  t79009 = 0.7e1 / 0.9e1 * t30837 * t15579;
  t79021 = 0.2e1 / 0.9e1 * t6140 * t15724;
  t79024 = t27552 * t2319 / 0.3e1;
  t79026 = t5234 * t2332 / 0.3e1;
  t79027 = t3051 * t15703;
  t79029 = t4983 * t1591 * t75036;
  t79031 = t4993 * t6175 * t15170;
  t79032 = t79031 / 0.2e1;
  t79034 = t4983 * t6300 * t75112;
  t79035 = 0.3e1 * t79034;
  t79036 = t3125 * t78550;
  t79042 = 0.36e2 * t4983 * t32039 * t79036 + 0.6e1 * t43351 * t10114 - t75635 - t75637 - t75641 - t79024 + t79026 + t79027 + t79029 - t79032 + t79035;
  t79047 = t3130 * t42703;
  t79051 = t683 * t41701;
  t79055 = t683 * t78550;
  t79070 = t843 * t78671;
  t79071 = t1568 * t79070;
  t79072 = t79071 / 0.6e1;
  t79075 = t843 * t78679;
  t79090 = t75667 / 0.3e1;
  t79091 = t75669 / 0.3e1;
  t79092 = t79072 + t31023 * t15606 / 0.2e1 + t1568 * t79075 / 0.3e1 + t1568 * t76379 / 0.3e1 + t1529 * t15131 / 0.12e2 + t1534 * t15131 / 0.12e2 + t466 * t75273 / 0.12e2 + t466 * t75382 / 0.12e2 + t6464 * t15615 / 0.3e1 - t79090 + t79091;
  t79096 = t75671 / 0.9e1;
  t79097 = 0.2e1 / 0.9e1 * t75675;
  t79098 = t2087 * t6503;
  t79099 = t79098 / 0.12e2;
  t79100 = t2087 * t6121;
  t79101 = t79100 / 0.12e2;
  t79102 = t75686 / 0.6e1;
  t79103 = t75688 / 0.6e1;
  t79104 = t3051 * t15682;
  t79105 = t79104 / 0.6e1;
  t79107 = t5234 * t2327 / 0.6e1;
  t79110 = t5234 * t2324 / 0.3e1;
  t79111 = 0.2e1 / 0.3e1 * t75690;
  t79113 = t31085 * t15650 / 0.3e1;
  t79114 = t689 * t78550;
  t79118 = t3556 * t42703;
  t79122 = t689 * t41701;
  t79127 = t30 * t26806 * t20885;
  t79128 = t463 * t2090;
  t79129 = t670 * t79128;
  t79144 = -t79110 + t79111 - t79113 + 0.18e2 * t4772 * t32082 * t79114 + 0.6e1 * t4772 * t6300 * t79118 - 0.6e1 * t4772 * t6300 * t79122 - 0.28e2 * t79127 * t9845 * t79129 - 0.3e1 * t3266 * t32374 * t15592 + t3266 * t6163 * t15078 / 0.2e1 - 0.3e1 / 0.2e1 * t4772 * t470 * t75186 + t4772 * t470 * t76496;
  t79147 = t1506 * t15137 / 0.18e2;
  t79149 = 0.5e1 / 0.108e3 * t30837 * t15626;
  t79150 = t6140 * t15622;
  t79151 = t79150 / 0.36e2;
  t79156 = t4867 * t9826;
  t79159 = t4851 * t9984;
  t79162 = t4762 * t78884;
  t79163 = t6454 * t79162;
  t79164 = t79163 / 0.6e1;
  t79165 = t4873 * t78743;
  t79168 = t4877 * t78541;
  t79171 = t4873 * t78755;
  t79173 = t4873 * t78560;
  t79184 = t9863 * t79171 + t9863 * t79173 / 0.2e1 - 0.4e1 / 0.3e1 * t6439 * t41698 + 0.2e1 / 0.3e1 * t6439 * t43348 + t75700 + t75702 + t75705 - t26650 * t9764 / 0.2e1 + t42708 * t9761 + t42708 * t9767 - t75726;
  t79187 = t75735 / 0.2e1;
  t79188 = t637 * t15674;
  t79189 = t79188 / 0.6e1;
  t79191 = t637 * t15669 / 0.12e2;
  t79192 = t637 * t15679;
  t79193 = t79192 / 0.6e1;
  t79194 = t637 * t15593;
  t79195 = t3051 * t15598;
  t79196 = t75785 / 0.6e1;
  t79208 = t8756 * t794;
  t79210 = t26405 * t670 * t79208;
  t79213 = t3273 * t78695;
  t79220 = t9948 * t1239 / 0.2e1 - t1242 * t10198 / 0.6e1 - t1247 * t10198 / 0.6e1 - t417 * t47308 / 0.6e1 + 0.3e1 * t6439 * t79210 - t8624 + t8645 - t8647 - t6454 * t79213 / 0.3e1 + t31172 * t15646 / 0.4e1 + t31175 * t15646 / 0.4e1;
  t79222 = 0.2e1 / 0.3e1 * t75813;
  t79223 = t75814 / 0.2e1;
  t79224 = t8756 * t206;
  t79226 = t26189 * t3156 * t79224;
  t79229 = t3556 * t79224;
  t79233 = t8798 * t414;
  t79234 = t253 * t79233;
  t79235 = t5175 * t79234;
  t79238 = t95 * t79224;
  t79239 = t26405 * t79238;
  t79251 = t42321 * t9757;
  t79254 = t42321 * t9746;
  t79256 = -t15634 + t15641 + t1228 * t9912 - t5286 * t9796 - t5286 * t9799 + t5277 * t2332 + t1516 * t8866 / 0.2e1 - t26932 * t2319 - t27454 * t2319 + t6454 * t79251 / 0.3e1 - t10155 * t79254;
  t79262 = t26645 * t9934;
  t79269 = t20871 * t78550;
  t79273 = 0.6e1 * t75846;
  t79274 = t20876 * t78550;
  t79278 = t20862 * t78550;
  t79283 = t836 * t31872 * t2106;
  t79287 = t836 * t6119 * t8689;
  t79309 = -t1516 * t8977 + 0.3e1 / 0.2e1 * t1516 * t8722 + t1516 * t8726 / 0.2e1 - t1516 * t8732 / 0.2e1 - t6209 * t2167 / 0.4e1 - t6217 * t2167 / 0.4e1 - t1516 * t8958 / 0.4e1 - t1516 * t8964 / 0.4e1 - t5277 * t2324 - t5266 * t2324 - t1228 * t9919;
  t79315 = t1261 * t9134 * t2676;
  t79324 = t75855 / 0.3e1;
  t79325 = t75857 / 0.3e1;
  t79326 = 0.2e1 / 0.3e1 * t75859;
  t79327 = 0.2e1 / 0.3e1 * t75860;
  t79329 = t75867 / 0.3e1;
  t79330 = t75879 / 0.3e1;
  t79331 = t4851 * t78525;
  t79334 = t9744 * t42250;
  t79337 = t26189 * t42704;
  t79340 = 0.3e1 * t75885;
  t79341 = 0.4e1 * t75888;
  t79342 = -t79329 - t79330 - 0.11e2 / 0.18e2 * t6100 * t79331 + t8741 + 0.23e2 / 0.18e2 * t9743 * t79334 - 0.23e2 / 0.12e2 * t9743 * t79337 + t75882 + t79340 - t79341 - t75894 - t8811;
  t79345 = t8718 * t9827;
  t79346 = t79345 / 0.12e2;
  t79347 = t8911 * t10172;
  t79348 = t79347 / 0.6e1;
  t79361 = t3156 * t78550;
  t79362 = t9744 * t79361;
  t79370 = t47881 * t79361;
  t79375 = t3168 * t78550;
  t79379 = t20876 * t42703;
  t79383 = t3168 * t41701;
  t79392 = t26056 * t15649;
  t79394 = 0.9e1 / 0.2e1 * t9743 * t43276 - 0.3e1 * t9743 * t41703 - 0.43e2 / 0.9e1 * t47073 * t79370 - 0.3e1 / 0.2e1 * t9743 * t42424 - 0.18e2 * t9877 * t32039 * t79375 - 0.9e1 / 0.2e1 * t9877 * t6304 * t79379 + 0.3e1 * t9877 * t6304 * t79383 + 0.3e1 / 0.2e1 * t26550 * t31096 * t15587 - t31172 * t15650 - t31175 * t15650 - t6439 * t79392;
  t79402 = t6062 * t15622;
  t79403 = t79402 / 0.12e2;
  t79405 = t6067 * t15622;
  t79406 = t79405 / 0.12e2;
  t79416 = -t79406 + t15662 + t15676 - t15681 - t15684 - t75953 - 0.2e1 * t42708 * t9771 + t26650 * t9773 - 0.6e1 * t42708 * t9894 + t630 * t15694 / 0.2e1 + t608 * t15694 / 0.2e1;
  t79423 = t843 * t78962;
  t79437 = t4877 * t670 * t78694;
  t79454 = t8622 * t1511;
  t79455 = t79454 / 0.36e2;
  t79457 = t1506 * t9131 / 0.36e2;
  t79459 = t8625 * t6233 / 0.36e2;
  t79466 = t6209 * t2170 / 0.2e1 + t6217 * t2170 / 0.2e1 - t31990 * t2154 / 0.2e1 - t31139 * t2154 / 0.2e1 + t2098 * t31999 / 0.3e1 - t79455 - t79457 - t79459 + t8654 * t6424 / 0.3e1 - t2098 * t31954 / 0.6e1 - t8654 * t6402 / 0.6e1;
  t79470 = t191 * t242 * t15834 * t243;
  t79473 = t222 * t15836;
  t79477 = t6226 * t2170 / 0.6e1;
  t79478 = 0.3e1 * t75976;
  t79485 = t3070 * t15682;
  t79486 = t79485 / 0.2e1;
  t79487 = t3061 * t15682;
  t79488 = t79487 / 0.2e1;
  t79491 = t679 * t6489 * t15170;
  t79492 = t79491 / 0.2e1;
  t79493 = t630 * t15679;
  t79494 = t79493 / 0.2e1;
  t79495 = t608 * t15679;
  t79496 = t79495 / 0.2e1;
  t79498 = t246 * t6093 * t15678;
  t79499 = t79498 / 0.2e1;
  t79510 = t630 * t15674;
  t79511 = t79510 / 0.2e1;
  t79512 = t608 * t15674;
  t79513 = t79512 / 0.2e1;
  t79515 = t30925 * t15606 / 0.6e1;
  t79516 = -t79492 - t79494 - t79496 - t79499 - t630 * t15669 / 0.4e1 - t608 * t15669 / 0.4e1 - t246 * t6273 * t15204 / 0.4e1 - t246 * t1559 * t75766 / 0.4e1 + t79511 + t79513 + t79515;
  t79519 = t20862 * t79224;
  t79523 = t22290 * t79224;
  t79528 = t31085 * t15712 / 0.6e1;
  t79529 = t788 * t42703;
  t79533 = t229 * t78550;
  t79543 = t3130 * t78694;
  t79550 = t4983 * t6304 * t76426;
  t79551 = 0.3e1 * t79550;
  t79553 = t689 * t75111;
  t79555 = t4772 * t6300 * t79553;
  t79556 = 0.3e1 * t79555;
  t79563 = t30 * t427 * t9875;
  t79566 = t20862 * t42703;
  t79570 = t3125 * t41701;
  t79576 = t30 * t20822 * t206 * t20844;
  t79577 = t3156 * t79128;
  t79581 = -t79556 + t4983 * t1591 * t76438 / 0.2e1 + 0.3e1 * t42708 * t9886 + 0.3e1 * t79563 * t9879 + t15715 - t15716 + t8874 + t8877 + 0.9e1 * t4983 * t6304 * t79566 - 0.6e1 * t4983 * t6304 * t79570 - 0.62e2 / 0.3e1 * t79576 * t47807 * t79577;
  t79586 = t3130 * t78550;
  t79590 = t3273 * t78891;
  t79591 = t6454 * t79590;
  t79592 = t79591 / 0.6e1;
  t79593 = t1254 * t78797;
  t79596 = t4851 * t9826;
  t79599 = t4808 * t9984;
  t79604 = t8718 * t9981;
  t79605 = t79604 / 0.6e1;
  t79606 = t6209 * t2158;
  t79607 = t79606 / 0.4e1;
  t79608 = t6217 * t2158;
  t79609 = t79608 / 0.4e1;
  t79612 = t1218 * t10198 / 0.18e2;
  t79614 = t46995 * t432 / 0.6e1;
  t79633 = -t79612 + t79614 - t6209 * t2162 / 0.2e1 - t6217 * t2162 / 0.2e1 + t9136 * t1526 / 0.4e1 + t47291 * t432 / 0.2e1 + t47296 * t432 / 0.2e1 + t42579 * t481 / 0.4e1 + t42034 * t481 / 0.4e1 - t6439 * t75143 / 0.3e1 + 0.2e1 / 0.3e1 * t6439 * t75137;
  t79644 = t31415 * t15643 / 0.9e1;
  t79646 = t188 * t15836 / 0.12e2;
  t79648 = t637 * t15708 / 0.2e1;
  t79649 = t95 * t79208;
  t79650 = t26400 * t79649;
  t79653 = 0.2e2 / 0.3e1 * t76001;
  t79654 = t62 * t2090;
  t79655 = t79654 * t794;
  t79656 = t3590 * t79655;
  t79659 = t802 * t79655;
  t79662 = t9996 * t1237;
  t79663 = t802 * t79662;
  t79666 = t79654 * t206;
  t79667 = t3590 * t79666;
  t79670 = t62 * t2084;
  t79671 = t79670 * t794;
  t79672 = t802 * t79671;
  t79673 = t6341 * t79672;
  t79674 = 0.2e1 / 0.3e1 * t79673;
  t79675 = t79670 * t206;
  t79676 = t3590 * t79675;
  t79677 = t9995 * t79676;
  t79678 = t79677 / 0.9e1;
  t79679 = t233 * t79671;
  t79680 = t6344 * t79679;
  t79681 = 0.2e1 * t79680;
  t79682 = t802 * t79675;
  t79683 = t10002 * t79682;
  t79684 = 0.2e1 * t79683;
  t79685 = t815 * t79675;
  t79686 = t10002 * t79685;
  t79687 = 0.12e2 * t79686;
  t79688 = t815 * t79671;
  t79689 = t6341 * t79688;
  t79690 = 0.4e1 * t79689;
  t79691 = t3580 * t79675;
  t79692 = t9995 * t79691;
  t79693 = 0.2e1 / 0.3e1 * t79692;
  t79694 = t79653 + t32067 * t79656 / 0.3e1 - 0.4e1 * t32130 * t79659 + 0.4e1 * t10002 * t79663 + 0.4e1 / 0.3e1 * t48417 * t79667 + t79674 - t79678 + t79681 + t79684 - t79687 - t79690 - t79693;
  t79695 = t233 * t79675;
  t79696 = t10094 * t79695;
  t79697 = 0.6e1 * t79696;
  t79698 = t233 * t79224;
  t79701 = t233 * t79208;
  t79706 = 0.8e1 * t76079;
  t79707 = 0.4e1 / 0.3e1 * t76088;
  t79708 = 0.2e1 / 0.9e1 * t76091;
  t79709 = 0.12e2 * t76102;
  t79710 = 0.4e1 * t76104;
  t79711 = 0.4e1 * t76107;
  t79712 = t79697 + 0.6e1 * t32232 * t79698 + 0.4e1 * t32105 * t79701 - 0.2e1 / 0.3e1 * t32108 * t76076 - t79706 + t79707 - t79708 + t79709 + t79710 + t79711 + t76112 + t76115;
  t79714 = 0.12e2 * t76124;
  t79715 = t15799 * t794;
  t79716 = t3556 * t79715;
  t79717 = t1591 * t79716;
  t79718 = 0.2e1 * t79717;
  t79719 = t15795 * t206;
  t79720 = t20876 * t79719;
  t79731 = t802 * t79208;
  t79734 = t15795 * t794;
  t79735 = t20876 * t79734;
  t79738 = t2298 * t1237;
  t79739 = t3168 * t79738;
  t79744 = t76117 + t79714 + t79718 + 0.5e2 / 0.3e1 * t32043 * t79720 - 0.2e1 * t6335 * t15779 - 0.2e1 * t1591 * t76047 + t6341 * t76224 / 0.3e1 + 0.2e1 * t10088 * t76221 + 0.6e1 * t32108 * t79731 - t6304 * t79735 / 0.6e1 + t6304 * t79739 / 0.9e1 + 0.4e1 / 0.3e1 * t1591 * t76292;
  t79749 = t15799 * t206;
  t79750 = t3168 * t79749;
  t79751 = t6304 * t79750;
  t79752 = t79751 / 0.18e2;
  t79753 = t683 * t79719;
  t79756 = t3130 * t79734;
  t79759 = t683 * t79738;
  t79762 = t20862 * t79734;
  t79765 = t3125 * t79738;
  t79768 = t3130 * t79715;
  t79769 = t1591 * t79768;
  t79770 = 0.4e1 / 0.3e1 * t79769;
  t79771 = t3168 * t79719;
  t79774 = t2298 * t8688;
  t79775 = t788 * t79774;
  t79778 = t229 * t79738;
  t79781 = t788 * t79734;
  t79784 = 0.6e1 * t32062 * t15750 + 0.2e1 * t1585 * t15250 + t79752 + 0.24e2 * t32082 * t79753 + 0.8e1 * t6300 * t79756 - 0.8e1 * t6300 * t79759 - 0.1e2 * t6304 * t79762 + 0.2e2 / 0.3e1 * t6304 * t79765 - t79770 - 0.2e1 / 0.3e1 * t32039 * t79771 - 0.2e1 * t1587 * t79775 - 0.6e1 * t6309 * t79778 + 0.3e1 * t6309 * t79781;
  t79787 = t229 * t79719;
  t79790 = t689 * t79749;
  t79791 = t6300 * t79790;
  t79792 = 0.6e1 * t79791;
  t79793 = 0.2e1 * t76171;
  t79794 = 0.6e1 * t76182;
  t79795 = 0.4e1 * t76189;
  t79796 = t3130 * t79774;
  t79800 = t3556 * t79774;
  t79805 = t22290 * t79734;
  t79808 = 0.3e1 * t1591 * t76028 - 0.2e1 * t1591 * t79796 + 0.3e1 * t1591 * t79800 + 0.12e2 * t32177 * t79787 - t470 * t76045 + 0.9e1 * t6304 * t79805 - t76174 - t76176 + t79792 - t79793 - t79794 + t79795;
  t79809 = t3130 * t79738;
  t79812 = t3556 * t79734;
  t79815 = t689 * t79738;
  t79818 = t3125 * t79719;
  t79823 = t689 * t79719;
  t79826 = t3590 * t79224;
  t79834 = t9996 * t8688;
  t79835 = t802 * t79834;
  t79837 = t3580 * t79666;
  t79840 = -0.6e1 * t6304 * t79809 - 0.12e2 * t6300 * t79812 + 0.12e2 * t6300 * t79815 - 0.4e2 * t32039 * t79818 + 0.3e1 * t6335 * t15791 - 0.36e2 * t32082 * t79823 - t32067 * t79826 / 0.6e1 - 0.4e1 * t32105 * t76065 - 0.6e1 * t48493 * t76069 + t6341 * t76227 + t6341 * t79835 + 0.8e1 * t48417 * t79837;
  t79842 = t9995 * t79682;
  t79843 = 0.6e1 * t79842;
  t79846 = 0.24e2 * t76196;
  t79847 = 0.4e1 / 0.3e1 * t76206;
  t79848 = 0.12e2 * t76210;
  t79851 = t802 * t79666;
  t79856 = t802 * t79224;
  t79860 = t233 * t79834;
  t79863 = t79843 + 0.4e1 * t32108 * t76214 - t79846 - t76199 - t79847 + t79848 + 0.24e2 * t48411 * t79837 - 0.72e2 * t48417 * t79851 + 0.8e1 / 0.3e1 * t48411 * t79667 + 0.32e2 / 0.3e1 * t32130 * t79856 + t32123 * t15828 + 0.4e1 * t6344 * t79860;
  t79868 = t815 * t79666;
  t79873 = t20871 * t79719;
  t79876 = t3130 * t79749;
  t79877 = t6304 * t79876;
  t79878 = 0.3e1 * t79877;
  t79879 = t3130 * t79719;
  t79882 = t20862 * t79719;
  t79888 = 0.4e1 * t6344 * t76093 + 0.9e1 * t32067 * t79856 + 0.72e2 * t48707 * t79868 + 0.6e1 * t32055 * t15788 + 0.1e2 / 0.3e1 * t32043 * t79873 - t79878 + 0.36e2 * t32039 * t79879 - 0.12e2 * t32043 * t79882 - 0.2e1 * t1591 * t76127 + t1591 * t76297 + t15762 - t15763 - t15240;
  t79892 = t6335 * t15760;
  t79893 = 0.2e1 * t79892;
  t79894 = t6329 * t15766;
  t79895 = 0.2e1 * t79894;
  t79902 = t6335 * t15772;
  t79903 = t79902 / 0.3e1;
  t79904 = t815 * t79655;
  t79907 = -t15764 + t79893 - t79895 + t15765 - t470 * t76307 - t32055 * t15775 / 0.9e1 - t1585 * t15256 + 0.2e1 * t32049 * t15769 - t79903 - t15768 - t15774 + 0.24e2 * t32130 * t79904;
  t79908 = t815 * t79662;
  t79913 = t48481 * t79666;
  t79916 = t3580 * t79662;
  t79919 = t815 * t79834;
  t79926 = t3580 * t79655;
  t79929 = t3125 * t79749;
  t79930 = t6304 * t79929;
  t79931 = 0.1e2 / 0.3e1 * t79930;
  t79932 = t229 * t79749;
  t79933 = t6309 * t79932;
  t79934 = 0.3e1 * t79933;
  t79935 = t788 * t79715;
  t79936 = t1587 * t79935;
  t79937 = t683 * t79749;
  t79938 = t6300 * t79937;
  t79939 = 0.4e1 * t79938;
  t79940 = -0.24e2 * t10002 * t79908 - 0.2e1 / 0.3e1 * t1591 * t76299 - t48411 * t79913 / 0.9e1 - 0.4e1 / 0.3e1 * t9995 * t79916 - 0.6e1 * t6341 * t79919 - 0.6e1 * t6341 * t76082 - 0.6e1 * t32123 * t15746 + 0.2e1 * t32067 * t79926 + t79931 - t79934 - t79936 - t79939;
  t79943 = t233 * t79662;
  t79950 = t233 * t79655;
  t79953 = t233 * t79666;
  t79956 = t815 * t79224;
  t79959 = t815 * t79208;
  t79962 = t3580 * t79224;
  t79965 = 0.4e1 * t76234;
  t79966 = 0.8e1 / 0.3e1 * t76249;
  t79969 = 0.12e2 * t10094 * t79943 - 0.12e2 * t32049 * t15782 + 0.4e1 * t32116 * t15825 - t1587 * t76042 - 0.1e2 * t32067 * t79962 - 0.9e1 * t32108 * t79959 - 0.16e2 * t32130 * t79956 - 0.6e1 * t32232 * t79950 - 0.24e2 * t48522 * t79953 - 0.12e2 * t48707 * t79851 + t79965 - t79966;
  t79972 = t43067 * t79224;
  t79975 = t48591 * t79224;
  t79978 = t43075 * t79224;
  t79981 = t43071 * t79224;
  t79984 = t43071 * t79208;
  t79999 = -0.2e1 / 0.3e1 * t32055 * t15785 - 0.18e2 * t32067 * t79972 + 0.2e1 * t32067 * t79975 + 0.32e2 * t32130 * t79978 - 0.12e2 * t32232 * t79981 - 0.8e1 * t32105 * t79984 - 0.16e2 / 0.3e1 * t32130 * t79972 - 0.2e1 * t470 * t76289 + 0.2e1 * t1587 * t76281 + 0.3e1 * t470 * t76285 - 0.2e1 * t6329 * t15756 - 0.2e1 * t1587 * t76177 + t9022;
  t80002 = 0.2e1 / 0.3e1 * t76265;
  t80003 = t76266 / 0.9e1;
  t80004 = 0.6e1 * t76279;
  t80005 = t22190 * t79666;
  t80012 = -t9047 - t9048 - t9050 - t76262 - t76264 - t80002 + t80003 - t80004 + t76296 - 0.4e1 / 0.3e1 * t48411 * t80005 - 0.2e1 * t6341 * t76193 - 0.18e2 * t32067 * t79659;
  t80017 = t6335 * t15810;
  t80018 = t6329 * t15812;
  t80027 = 0.4e1 * t76302;
  t80028 = 0.8e1 * t76304;
  t80034 = 0.12e2 * t9995 * t79663 + t470 * t76332 / 0.2e1 - t80017 + t80018 - 0.3e1 * t32055 * t15822 + 0.6e1 * t32049 * t15819 + 0.4e1 * t10088 * t76073 + t1585 * t15259 / 0.2e1 - t80027 - t80028 - t1585 * t15288 - 0.3e1 * t32062 * t15806 + t32055 * t15816 / 0.18e2;
  t80038 = t6335 * t15800;
  t80039 = 0.2e1 / 0.3e1 * t80038;
  t80042 = 0.2e1 * t76314;
  t80043 = 0.4e1 / 0.3e1 * t76320;
  t80044 = 0.1e2 / 0.3e1 * t32055 * t15796 + t80039 - 0.4e1 * t32049 * t15803 - t80042 + t80043 + t15802 - t15811 + t15813 + t15830 - t15831 + t15832 + t15284;
  t80045 = 0.2e1 * t76339;
  t80046 = t43067 * t79208;
  t80049 = t48556 * t79224;
  t80052 = t43075 * t79208;
  t80057 = t3590 * t79662;
  t80060 = -t2138 + t9091 + t9093 - t9100 + t80045 + t76341 + t9121 - 0.3e1 * t32108 * t80046 + t32067 * t80049 / 0.3e1 + 0.18e2 * t32108 * t80052 + t2119 + 0.2e1 * t6344 * t76217 - 0.2e1 / 0.9e1 * t9995 * t80057;
  t80077 = t6140 * t15629 / 0.18e2;
  t80078 = t6140 * t15632;
  t80079 = t80078 / 0.18e2;
  t80081 = t6140 * t15635 / 0.9e1;
  t80082 = t20876 * t79224;
  t80087 = t3266 * t6175 * t15673;
  t80088 = t80087 / 0.2e1;
  t80089 = t3556 * t42699;
  t80091 = t4772 * t1591 * t80089;
  t80092 = t3562 * t79208;
  t80096 = -t80077 - t80079 - t80081 - 0.9e1 / 0.2e1 * t9877 * t6304 * t80082 + t80088 - t80091 - 0.2e1 * t4772 * t1587 * t80092 - t15160 - t15172 - t8896 - t8900;
  t80098 = t76377 / 0.6e1;
  t80099 = t3273 * t79238;
  t80101 = t5175 * t79238;
  t80106 = t31478 * t8799;
  t80110 = t3562 * t476;
  t80111 = t80110 * t8791;
  t80114 = t47795 * t8766;
  t80120 = t3130 * t75111;
  t80122 = t4772 * t6304 * t80120;
  t80123 = 0.3e1 / 0.2e1 * t80122;
  t80124 = t31478 * t8766;
  t80134 = t6140 * t15639;
  t80135 = t80134 / 0.9e1;
  t80138 = -t4882 * t80111 / 0.6e1 + t4872 * t80114 / 0.12e2 - t4772 * t1591 * t76415 / 0.2e1 + t80123 - t4761 * t80124 / 0.6e1 - 0.3e1 * t679 * t31053 * t15597 - 0.3e1 * t630 * t15593 + t5266 * t2332 + t1228 * t9909 + t80135 - 0.3e1 / 0.2e1 * t6100 * t41082;
  t80152 = t670 * t79224;
  t80153 = t26189 * t80152;
  t80157 = t4877 * t3264 * t79233;
  t80160 = t3360 * t2317 * t2105;
  t80164 = t4877 * t79234;
  t80168 = t26189 * t79238;
  t80171 = t3130 * t79224;
  t80175 = t22290 * t79208;
  t80179 = t9845 * t78743;
  t80182 = t4996 * t78755;
  t80185 = t5175 * t78541;
  t80188 = t4996 * t78743;
  t80193 = 0.23e2 / 0.18e2 * t76410;
  t80194 = 0.2e1 / 0.3e1 * t76412;
  t80195 = t3556 * t78694;
  t80199 = 0.5e1 / 0.12e2 * t9743 * t80168 - 0.8e1 * t4983 * t6300 * t80171 - 0.9e1 / 0.2e1 * t4983 * t1591 * t80175 + 0.22e2 / 0.3e1 * t47356 * t80179 + 0.2e1 * t9863 * t80182 - 0.2e1 * t9863 * t80185 - 0.6e1 * t47592 * t80188 + 0.7e1 / 0.3e1 * t9743 * t42247 + t80193 + t80194 - 0.3e1 / 0.2e1 * t4772 * t1591 * t80195;
  t80204 = t41697 * t9746;
  t80209 = t26847 * t78743;
  t80212 = t20845 * t78550;
  t80216 = 0.3e1 * t76424;
  t80217 = 0.6e1 * t76428;
  t80218 = t22309 * t79208;
  t80222 = t9897 * t414;
  t80223 = t670 * t80222;
  t80224 = t26847 * t80223;
  t80229 = t3360 * t15214 * t414;
  t80233 = t4877 * t80152;
  t80238 = t76491 / 0.3e1;
  t80240 = t3266 * t6169 * t15678;
  t80241 = t80240 / 0.2e1;
  t80242 = t9845 * t78560;
  t80245 = t9845 * t78755;
  t80248 = t22290 * t42703;
  t80252 = t3130 * t41701;
  t80262 = -0.3e1 / 0.2e1 * t3266 * t6175 * t80229 + 0.16e2 / 0.3e1 * t9863 * t80233 - t182 * t15836 / 0.4e1 - t80238 - t80241 - 0.11e2 / 0.18e2 * t9743 * t80242 - 0.11e2 / 0.9e1 * t9743 * t80245 - 0.9e1 / 0.2e1 * t4772 * t6304 * t80248 + 0.3e1 * t4772 * t6304 * t80252 + 0.47e2 / 0.3e1 * t79576 * t26189 * t79129 + 0.3e1 / 0.2e1 * t3266 * t31096 * t15602;
  t80284 = t30837 * t15583 / 0.2e1;
  t80295 = t6062 * t15632;
  t80296 = t80295 / 0.6e1;
  t80297 = t6067 * t15632;
  t80298 = t80297 / 0.6e1;
  t80299 = t1254 * t78671;
  t80300 = t1541 * t80299;
  t80301 = t80300 / 0.6e1;
  t80302 = t4867 * t78525;
  t80313 = -t3266 * t6163 * t15204 / 0.4e1 + t4772 * t1587 * t75908 / 0.2e1 + t4772 * t470 * t75899 / 0.2e1 - t80296 - t80298 - t80301 - t6100 * t80302 / 0.2e1 + 0.7e1 / 0.3e1 * t31062 * t15579 + 0.7e1 / 0.3e1 * t31011 * t15579 - t31062 * t15576 / 0.2e1 - t31011 * t15576 / 0.2e1;
  t80328 = t1254 * t78679;
  t80332 = t824 * t2322 * t2105;
  t80335 = t788 * t79224;
  t80340 = t30956 * t15697 / 0.6e1;
  t80343 = t246 * t6489 * t15673;
  t80344 = t80343 / 0.2e1;
  t80346 = t1506 * t15084 / 0.18e2;
  t80347 = t76562 / 0.3e1;
  t80348 = t76564 / 0.3e1;
  t80349 = t76566 / 0.3e1;
  t80351 = 0.23e2 / 0.108e3 * t30837 * t15718;
  t80353 = 0.11e2 / 0.54e2 * t30837 * t15573;
  t80356 = t9744 * t78560;
  t80359 = t80344 - t80346 - t76561 + t80347 + t80348 + t80349 + t76569 + t80351 - t80353 - t6451 * t75397 / 0.3e1 - 0.5e1 / 0.36e2 * t9743 * t80356;
  t80362 = t47881 * t78743;
  t80365 = t9744 * t78755;
  t80368 = t9744 * t78743;
  t80371 = t26189 * t78541;
  t80374 = t26847 * t79238;
  t80377 = t26056 * t15642;
  t80382 = t4877 * t78695;
  t80385 = t76572 / 0.3e1;
  t80387 = t4996 * t78884;
  t80388 = t6439 * t80387;
  t80389 = t80388 / 0.6e1;
  t80390 = t76585 / 0.3e1;
  t80391 = t76589 / 0.3e1;
  t80392 = t9845 * t78641;
  t80393 = t9743 * t80392;
  t80394 = 0.11e2 / 0.18e2 * t80393;
  t80395 = t5175 * t78891;
  t80396 = t6439 * t80395;
  t80397 = t80396 / 0.3e1;
  t80398 = t4996 * t78641;
  t80399 = t9863 * t80398;
  t80400 = -t76575 - t76577 + t76579 - t80389 - t76581 - t80390 + t76587 + t80391 - t80394 + t80397 + t80399;
  t80402 = t4808 * t9826;
  t80405 = t1261 * t78962;
  t80412 = t1261 * t78797;
  t80415 = t6284 * t15611;
  t80416 = t80415 / 0.18e2;
  t80418 = t6284 * t15615 / 0.9e1;
  t80420 = t1506 * t15131 / 0.36e2;
  t80427 = -0.5e1 / 0.36e2 * t8710 * t80402 - t1252 * t80405 / 0.6e1 + t8844 * t9827 / 0.2e1 - t417 * t47748 / 0.6e1 - t1252 * t80412 / 0.6e1 + t80416 + t80418 + t80420 - t6451 * t75167 / 0.6e1 + t6451 * t75393 / 0.6e1 + t6439 * t75390 / 0.6e1;
  t80433 = t4877 * t79238;
  t80436 = t8790 * t79649;
  t80439 = t26405 * t79649;
  t80442 = t3273 * t79234;
  t80445 = t76597 / 0.3e1;
  t80446 = t76599 / 0.6e1;
  t80447 = t76601 / 0.6e1;
  t80448 = t76630 / 0.2e1;
  t80449 = t76643 / 0.18e2;
  t80450 = -t6454 * t75400 / 0.3e1 - t30 * t15835 * t277 / 0.4e1 - 0.4e1 / 0.3e1 * t9863 * t80433 + 0.2e1 / 0.3e1 * t6454 * t80436 - 0.3e1 / 0.4e1 * t6439 * t80439 - t6454 * t80442 / 0.3e1 + t80445 + t80446 - t80447 + t80448 - t80449;
  t80457 = my_piecewise3(t2, 0, t76571 - t76534 - t76532 - t75979 - t75851 + t75849 + t75810 - t75733 + t75728 + t75685 + t75683 - t75586 - t75454 + t75456 - t75451 + t75431 + t80450 + t80427 + t80400 + t80385 + t80359 - t80340 + t80313 - t80284 + t80262 + t80216 - t80217 + t80199 + t80138 + t80096 - t80098 - t79646 + t79648 - t79644 + t79633 + t79609 - t79605 + t79607 - t79592 + t79581 - t79551 + t79528 + t79516 - t79488 - t79486 + t79477 - t79478 + t79466 + t79416 - t79403 + t79394 + t79348 - t79346 + t79342 + t79326 + t79327 - t79324 - t79325 + t79309 - t79273 + t79256 + t79222 + t79223 + t79220 - t79195 + t79196 - t79191 - t79193 - t79194 - t79187 + t79189 + t79184 + t79164 - t79151 + t79147 - t79149 + t79144 - t79105 - t79107 + t79101 - t79102 - t79103 - t79096 + t79097 - t79099 + t79092 + t79042 + t79021 + t79009 + t79005 + t78958 - t78927 - t78928 + t78922 + t78924 - t78926 + t78907 - t78871 - t78872 + t78868 + t78869 - t78870 + t78866 + t78824 + t78818 + t78789 + t78783 + t78785 + t78787 + t78767 - t78742 - t78739 + t78740 + t78719 + t78688 - t78674 - t78663 + t78660 + t78620 - t78618 + t78608 - t78582 - t78578 - t78580 + t78572 + t78574 + t78576 - t78570 + t78567 + t6439 * t78627 / 0.3e1 - t466 * t42029 / 0.12e2 - t1529 * t9131 / 0.12e2 - t1534 * t9131 / 0.12e2 - 0.11e2 / 0.18e2 * t31011 * t15573 - 0.11e2 / 0.18e2 * t31062 * t15573 - 0.2e1 * t6087 * t41385 + t6087 * t78526 - 0.2e1 * t31023 * t15570 - 0.2e1 * t31018 * t15570 + 0.7e1 / 0.3e1 * t6100 * t41541 + t31023 * t15567 + t31018 * t15567 - t6062 * t15629 / 0.6e1 + t47384 * t8780 / 0.2e1 - 0.6e1 * t43351 * t9872 + t6439 * t75179 / 0.6e1 - t6439 * t78838 / 0.3e1 + 0.2e1 / 0.3e1 * t1541 * t43287 + 0.2e1 / 0.3e1 * t1541 * t41008 + 0.2e1 / 0.3e1 * t6062 * t15724 + 0.2e1 / 0.3e1 * t6067 * t15724 + t31018 * t15606 / 0.2e1 + t6087 * t78779 / 0.2e1 - 0.61e2 / 0.27e2 * t47073 * t78744 + t4872 * t78723 / 0.6e1 + t47381 * t8758 / 0.2e1 - t47384 * t8763 / 0.2e1 - t1541 * t76368 / 0.6e1 + 0.23e2 / 0.36e2 * t6100 * t78664 + 0.23e2 / 0.36e2 * t31062 * t15718 + 0.23e2 / 0.36e2 * t31011 * t15718 - 0.5e1 / 0.36e2 * t31062 * t15626 - 0.5e1 / 0.36e2 * t31011 * t15626 - t1541 * t78680 / 0.6e1 - t466 * t75660 / 0.6e1 + 0.3e1 * t3070 * t15703 + 0.3e1 * t3061 * t15703 - t41073 * t1548 / 0.2e1 + t9136 * t1551 / 0.2e1 - t47008 * t1270 + t9948 * t1275 + 0.2e1 * t43351 * t10117 - t43357 * t9963 + t1516 * t8969 - 0.3e1 * t1516 * t8918 - t1516 * t8863 - t6411 * t8889 / 0.2e1 + t6411 * t8736 - t6411 * t8849 + 0.3e1 * t6411 * t8852 - t6454 * t78978 / 0.3e1 - t6454 * t75032 / 0.3e1 - t31586 * t15643 / 0.3e1 - t2098 * t31744 / 0.6e1 - t1252 * t78963 / 0.3e1 + t8844 * t9981 + t2098 * t30831 / 0.3e1 - 0.4e1 * t9863 * t78973 + t6439 * t75412 / 0.3e1 + t466 * t75874 / 0.6e1 - 0.5e1 / 0.36e2 * t6100 * t78914 + t1529 * t15137 / 0.6e1 + 0.89e2 / 0.9e1 * t47073 * t78873 + t42708 * t10124 - t26650 * t10127 + 0.3e1 * t42708 * t10120 - t31651 * t8783 / 0.4e1 + t466 * t41349 / 0.12e2 - t2098 * t31107 / 0.12e2 + t2098 * t31881 / 0.6e1 + 0.18e2 * t47356 * t79362 - t1228 * t9922 - t5277 * t2327 / 0.2e1 + t3396 * t79315 / 0.3e1 + t9136 * t1564 / 0.4e1 - t9136 * t1560 / 0.4e1 - t9136 * t1556 / 0.2e1 + t417 * t79283 / 0.12e2 + t417 * t79287 / 0.12e2 - t6454 * t79262 / 0.3e1 + t6439 * t79235 / 0.2e1 + 0.3e1 / 0.2e1 * t9743 * t79239 + 0.9e1 / 0.2e1 * t9743 * t79226 - t2098 * t31967 / 0.12e2 - 0.3e1 * t6411 * t8934 + 0.3e1 / 0.2e1 * t1516 * t8923 - t8710 * t79156 / 0.2e1 + 0.7e1 / 0.3e1 * t8710 * t79159 - 0.3e1 * t47592 * t79165 - t9863 * t79168 - t6439 * t76513 / 0.6e1 - t6451 * t76518 / 0.6e1 + t6454 * t75025 / 0.3e1 + t6451 * t76503 / 0.2e1 - t6451 * t76510 / 0.3e1 - t1228 * t9778 / 0.2e1 - t1228 * t9902 / 0.2e1 + t79470 * t250 / 0.4e1 - t211 * t79473 / 0.12e2 - t5266 * t2327 / 0.2e1 + t1294 * t79423 / 0.3e1 - t8837 * t10172 / 0.2e1 - t2093 * t6121 / 0.6e1 + t2093 * t6503 / 0.6e1 + t1242 * t15691 / 0.12e2 + t1247 * t15691 / 0.12e2 - t6439 * t79437 + t2093 * t6212 / 0.6e1 + t8649 * t1511 / 0.6e1 + t6451 * t75419 / 0.12e2 + t6439 * t75173 / 0.12e2 - t6454 * t75162 / 0.6e1 - t1541 * t76603 / 0.12e2 - t466 * t41276 / 0.12e2 + t1568 * t76606 / 0.6e1 - t1541 * t80328 / 0.3e1 + 0.3e1 / 0.2e1 * t21524 * t15588 + 0.3e1 / 0.2e1 * t21529 * t15588 - 0.3e1 / 0.2e1 * t26260 * t15657 - 0.3e1 / 0.2e1 * t26266 * t15657 + 0.3e1 / 0.2e1 * t630 * t15708 + 0.3e1 / 0.2e1 * t608 * t15708 - 0.7e1 * t26808 * t80224 - t9743 * t80204 - 0.2e1 * t47073 * t80209 + t6439 * t80164 / 0.4e1 - 0.3e1 / 0.2e1 * t31011 * t15583 - 0.3e1 / 0.2e1 * t31062 * t15583 - 0.3e1 * t608 * t15593 - 0.3e1 * t3061 * t15598 - 0.23e2 / 0.12e2 * t9743 * t80153 - t6439 * t80157 + t10155 * t80099 - 0.8e1 / 0.3e1 * t9863 * t80101 + t47384 * t8775 / 0.2e1 + t4882 * t80106 / 0.12e2 + 0.3e1 / 0.2e1 * t32356 * t8929 + 0.3e1 / 0.2e1 * t26257 * t15839 - 0.3e1 / 0.2e1 * t6439 * t79650 - t1252 * t79593 / 0.3e1 - 0.11e2 / 0.18e2 * t8710 * t79596 + 0.23e2 / 0.36e2 * t8710 * t79599 - t1541 * t76488 / 0.6e1 + 0.3e1 / 0.2e1 * t26263 * t15839 + t6439 * t80377 / 0.4e1 + t6439 * t76402 / 0.4e1 + t6439 * t80382 / 0.4e1 - 0.35e2 / 0.108e3 * t47073 * t80362 - 0.5e1 / 0.18e2 * t9743 * t80365 + 0.5e1 / 0.3e1 * t47356 * t80368 + 0.5e1 / 0.12e2 * t9743 * t80371 + 0.11e2 / 0.6e1 * t9743 * t80374 - t1541 * t76618 / 0.3e1 - t6062 * t15635 / 0.3e1 - t6067 * t15635 / 0.3e1 + 0.3e1 * t679 * t31631 * t15702 + 0.3e1 / 0.2e1 * t246 * t31654 * t15707 + 0.3e1 / 0.2e1 * t3167 * t31053 * t15587 + t3266 * t6169 * t80332 - 0.3e1 * t4772 * t6309 * t80335 - 0.3e1 * t4993 * t31096 * t15597 - 0.18e2 * t4772 * t32039 * t79586 + 0.3e1 * t4993 * t32374 * t15702 - 0.3e1 * t246 * t31631 * t15592 + 0.3e1 / 0.2e1 * t4993 * t6175 * t80160 - 0.3e1 / 0.2e1 * t4772 * t1591 * t75151 + 0.14e2 / 0.3e1 * t9743 * t78845 * t9846 - 0.6e1 * t48902 * t32043 * t80212 + 0.9e1 / 0.2e1 * t4772 * t1591 * t80218 - 0.3e1 / 0.2e1 * t4772 * t6335 * t15656 + 0.8e1 * t4772 * t6300 * t79229 + 0.18e2 * t9877 * t32043 * t79269 - 0.18e2 * t4983 * t32043 * t79274 + 0.6e1 * t4772 * t32043 * t79278 + t246 * t6273 * t15078 / 0.2e1 + 0.9e1 * t4983 * t6304 * t79519 - 0.9e1 / 0.2e1 * t4772 * t6304 * t79523 - 0.3e1 / 0.2e1 * t4772 * t6309 * t79529 - 0.6e1 * t4772 * t32177 * t79533 + 0.3e1 / 0.2e1 * t4983 * t6335 * t8757 + 0.3e1 / 0.2e1 * t4983 * t1591 * t75496 + 0.3e1 / 0.2e1 * t4983 * t1591 * t79543 - t4872 * t47795 * t8770 / 0.3e1 - t4983 * t1591 * t75140 + t4772 * t1591 * t75133 - 0.3e1 * t9743 * t78631 * t9889 - t4772 * t1587 * t75182 + t4772 * t1587 * t76392 - 0.6e1 * t4983 * t6300 * t79047 + 0.6e1 * t4983 * t6300 * t79051 - 0.18e2 * t4983 * t32082 * t79055 + t8954 - t6439 * t4877 * t670 * t75160 / 0.3e1 + 0.8e1 * t47073 * t47881 * t9875 * t78550 - t30 * t59 * (t79694 + t79712 + t79744 + t79784 + t79808 + t79840 + t79863 + t79888 + t79907 + t79940 + t79969 + t79999 + t80012 + t80034 + t80044 + t80060) * t95 / 0.4e1 - 0.3e1 / 0.2e1 * t8710 * t4808 * t6409 * t1255 - t8720 - t8952 + t8974 + t15613 + t15103 - t15624 + t8913 + t8915 - t15734 - t15652 + t15653 - t15654 + t15655 - t15158 - t8829 + t15091 - t8939);
  tv4rhosigma2lapl0 = t3 * t80457 + t15848;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 0] += tv4rhosigma2lapl0;

  tv4rhosigma2lapl1 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 1] += tv4rhosigma2lapl1;

  tv4rhosigma2lapl2 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 2] += tv4rhosigma2lapl2;

  tv4rhosigma2lapl3 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 3] += tv4rhosigma2lapl3;

  tv4rhosigma2lapl4 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 4] += tv4rhosigma2lapl4;

  tv4rhosigma2lapl5 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 5] += tv4rhosigma2lapl5;

  tv4rhosigma2lapl6 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 6] += tv4rhosigma2lapl6;

  tv4rhosigma2lapl7 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 7] += tv4rhosigma2lapl7;

  tv4rhosigma2lapl8 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 8] += tv4rhosigma2lapl8;

  tv4rhosigma2lapl9 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 9] += tv4rhosigma2lapl9;

  tv4rhosigma2lapl10 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 10] += tv4rhosigma2lapl10;

  t80470 = t33495 * t15923 / 0.3e1;
  t80472 = t33495 * t15919 / 0.6e1;
  t80474 = t28548 * t15898 / 0.2e1;
  t80476 = t28548 * t15858 / 0.3e1;
  t80478 = t33495 * t15894 / 0.12e2;
  t80479 = t76706 / 0.6e1;
  t80481 = t948 * t15903 / 0.6e1;
  t80485 = t33368 * t15882 / 0.2e1;
  t80486 = t945 * t16126;
  t80487 = t80486 / 0.2e1;
  t80488 = t945 * t16118;
  t80489 = t80488 / 0.2e1;
  t80490 = t3971 * t16113;
  t80491 = t80490 / 0.2e1;
  t80494 = -t6700 * t2253 / 0.2e1 - t33583 * t2245 / 0.2e1 + t9173 * t6950 / 0.3e1 - t9173 * t6946 / 0.6e1 + t6700 * t2261 / 0.2e1 - t80470 + t80472 - t80474 + t80476 + t80478 + t80479 + t80481 + t945 * t15903 / 0.2e1 - t80485 + t80487 - t80489 - t80491 - t5449 * t2398 / 0.2e1;
  t80500 = t6640 * t15912;
  t80501 = t80500 / 0.3e1;
  t80502 = t6640 * t15908;
  t80503 = t80502 / 0.6e1;
  t80510 = t6640 * t16102;
  t80511 = t80510 / 0.12e2;
  t80516 = t6657 * t15947;
  t80517 = t80516 / 0.6e1;
  t80527 = 0.23e2 / 0.108e3 * t33368 * t15966;
  t80528 = -t5449 * t2395 - t6700 * t2258 / 0.4e1 + t1351 * t15926 / 0.12e2 + t80501 - t80503 - t6640 * t15916 / 0.3e1 + t1615 * t15362 / 0.12e2 + t1615 * t15376 / 0.6e1 - t80511 - 0.5e1 / 0.36e2 * t33240 * t16093 - t6640 * t16099 / 0.6e1 + t80517 + t33221 * t16096 / 0.2e1 + t6657 * t15954 / 0.3e1 + 0.2e1 / 0.3e1 * t6640 * t15951 - t28872 * t2390 + t5449 * t2403 + t80527;
  t80531 = 0.11e2 / 0.54e2 * t33368 * t15972;
  t80533 = 0.2e1 / 0.3e1 * t33404 * t15969;
  t80535 = 0.7e1 / 0.9e1 * t33368 * t15878;
  t80536 = t76710 / 0.3e1;
  t80538 = t33368 * t15873 / 0.6e1;
  t80539 = t4005 * t15986;
  t80540 = t948 * t16107;
  t80542 = t1618 * t9531 / 0.36e2;
  t80544 = t1354 * t10421 / 0.18e2;
  t80545 = t9145 * t1642;
  t80546 = t80545 / 0.36e2;
  t80548 = t9151 * t7021 / 0.36e2;
  t80550 = t49541 * t457 / 0.6e1;
  t80551 = t6715 * t2249;
  t80552 = t80551 / 0.12e2;
  t80554 = t44306 * t505 / 0.12e2;
  t80555 = -t80531 - t80533 + t80535 - t80536 - t80538 - t80539 - t80540 - t80542 - t80544 - t80546 - t80548 + t80550 + t80552 + t80554 - t9147 - t9168 + t9172 + t9195;
  t80559 = t23651 * t15887 / 0.2e1;
  t80560 = t4005 * t15867;
  t80562 = t294 * t16090 / 0.12e2;
  t80563 = t76722 / 0.3e1;
  t80564 = t76724 / 0.18e2;
  t80565 = t76730 / 0.9e1;
  t80566 = t6668 * t15947;
  t80567 = t80566 / 0.18e2;
  t80569 = t6668 * t15954 / 0.9e1;
  t80571 = 0.2e1 / 0.9e1 * t6647 * t15951;
  t80573 = t28796 * t2390 / 0.3e1;
  t80575 = t5484 * t2403 / 0.3e1;
  t80577 = t1354 * t15926 / 0.36e2;
  t80578 = t6647 * t15912;
  t80579 = t80578 / 0.9e1;
  t80580 = t6647 * t15908;
  t80581 = t80580 / 0.18e2;
  t80583 = t948 * t15862 / 0.2e1;
  t80588 = -t290 * t16090 / 0.4e1 + t80559 + t80560 - t80562 - t80563 - t80564 - t80565 + t80567 + t80569 + t80571 - t80573 + t80575 + t80577 + t80579 - t80581 + t80583 - t1615 * t15315 / 0.6e1 + 0.3e1 / 0.2e1 * t945 * t15981;
  t80601 = t76752 / 0.6e1;
  t80602 = t76769 / 0.18e2;
  t80604 = t33521 * t15891 / 0.9e1;
  t80606 = t28763 * t15854 / 0.2e1;
  t80612 = t76796 / 0.2e1;
  t80613 = t76802 / 0.9e1;
  t80614 = t76813 / 0.3e1;
  t80615 = t76815 / 0.3e1;
  t80616 = 0.2e1 / 0.3e1 * t76817;
  t80617 = -t33383 * t16110 / 0.2e1 - t945 * t16121 / 0.4e1 - 0.3e1 / 0.2e1 * t28461 * t15898 + t33483 * t15894 / 0.4e1 - t33478 * t15891 / 0.3e1 - t80601 + t76766 - t80602 - t80604 + t80606 + t33483 * t15919 / 0.2e1 - t33483 * t15923 + 0.3e1 / 0.2e1 * t28713 * t15854 + t80612 + t80613 + t80614 - t80615 + t80616;
  t80618 = t76820 / 0.6e1;
  t80619 = t76842 / 0.3e1;
  t80620 = 0.2e1 / 0.9e1 * t76844;
  t80630 = t948 * t16118;
  t80631 = t80630 / 0.6e1;
  t80632 = t4005 * t16113;
  t80633 = t80632 / 0.6e1;
  t80635 = t5484 * t2398 / 0.6e1;
  t80637 = t5484 * t2395 / 0.3e1;
  t80639 = t6715 * t2258 / 0.12e2;
  t80640 = t76819 - t80618 - t76824 - t76827 - t76835 + t80619 + t80620 - t76849 + 0.23e2 / 0.36e2 * t33240 * t15966 - 0.11e2 / 0.18e2 * t33240 * t15972 - 0.2e1 * t33221 * t15969 + t33221 * t15975 + 0.3e1 / 0.2e1 * t945 * t15862 - t80631 - t80633 - t80635 - t80637 - t80639;
  t80643 = t6647 * t15916 / 0.9e1;
  t80645 = t1618 * t15362 / 0.36e2;
  t80647 = t1618 * t15376 / 0.18e2;
  t80657 = 0.5e1 / 0.108e3 * t33368 * t16093;
  t80658 = t6647 * t16102;
  t80659 = t80658 / 0.36e2;
  t80661 = t6647 * t16099 / 0.18e2;
  t80663 = t33404 * t16096 / 0.6e1;
  t80672 = t33404 * t15975 / 0.3e1;
  t80674 = t948 * t15981 / 0.2e1;
  t80676 = t1618 * t15315 / 0.18e2;
  t80677 = -t80643 + t80645 + t80647 - 0.3e1 / 0.2e1 * t33240 * t15882 + 0.3e1 / 0.2e1 * t24004 * t15887 - 0.3e1 * t945 * t16107 - 0.3e1 * t3971 * t15986 - t80657 - t80659 - t80661 + t80663 + t28461 * t15858 + 0.3e1 * t3971 * t15867 + 0.7e1 / 0.3e1 * t33240 * t15878 - t33240 * t15873 / 0.2e1 + t80672 + t80674 - t80676;
  t80679 = t33690 * t16110 / 0.6e1;
  t80680 = t948 * t16126;
  t80681 = t80680 / 0.6e1;
  t80683 = t948 * t16121 / 0.12e2;
  t80685 = t6715 * t2253 / 0.6e1;
  t80687 = t9148 * t1642 / 0.18e2;
  t80689 = t33573 * t2245 / 0.6e1;
  t80691 = t9151 * t6950 / 0.9e1;
  t80693 = t9151 * t6946 / 0.18e2;
  t80695 = t6715 * t2261 / 0.6e1;
  t80698 = t9166 * t1642;
  t80699 = t80698 / 0.12e2;
  t80706 = t6700 * t2249;
  t80707 = t80706 / 0.4e1;
  t80712 = -t80679 + t80681 - t80683 + t76858 - t80685 + t80687 - t80689 + t80691 - t80693 + t80695 - t1615 * t9531 / 0.12e2 - t80699 - t1351 * t10421 / 0.6e1 - t9173 * t7021 / 0.12e2 + t49893 * t457 / 0.2e1 + t80707 + t44373 * t505 / 0.4e1 + t9179 * t1642 / 0.6e1;
  t80716 = my_piecewise3(t100, 0, t80494 + t80528 + t80555 + t80588 + t80617 + t80640 + t80677 + t80712);
  tv4rhosigma2lapl11 = t3 * t80716 + t16132;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 11] += tv4rhosigma2lapl11;

  t80718 = t6542 * t15639;
  t80719 = t80718 / 0.3e1;
  t80728 = -t78564 + t78566 - t78570 + t78572 + t78574 + t78576 - t78578 + t78594 - t78603 + t78657 + t78659 + t80719 + t5384 * t2332 + t32786 * t15567 - 0.2e1 * t32786 * t15570 - t78742 + t9214 * t1511 / 0.6e1 - t6585 * t2162 / 0.2e1;
  t80737 = t9222 * t1511;
  t80738 = t80737 / 0.12e2;
  t80749 = t76889 / 0.2e1;
  t80750 = t6585 * t2158;
  t80751 = t80750 / 0.4e1;
  t80752 = t6585 * t2170 / 0.2e1 - t32645 * t2154 / 0.2e1 + t9217 * t6424 / 0.3e1 - t9217 * t6402 / 0.6e1 - t80738 - t1632 * t9131 / 0.12e2 - t9217 * t6233 / 0.12e2 - t1368 * t10198 / 0.6e1 + t49454 * t432 / 0.2e1 + t43846 * t481 / 0.4e1 - t78763 + t75235 + t78764 + t80749 + t78787 + t78789 + t78824 + t80751;
  t80754 = t76909 / 0.3e1;
  t80755 = t76912 / 0.3e1;
  t80756 = t903 * t15679;
  t80757 = t80756 / 0.2e1;
  t80758 = t3740 * t15682;
  t80759 = t80758 / 0.2e1;
  t80767 = t6542 * t15622;
  t80768 = t80767 / 0.12e2;
  t80773 = 0.2e1 / 0.3e1 * t76916;
  t80774 = -t78949 + t80754 - t80755 + t76914 - t80757 - t80759 - t5384 * t2327 / 0.2e1 - t5384 * t2324 - t6585 * t2167 / 0.4e1 + t1368 * t15691 / 0.12e2 - t80768 - t6542 * t15629 / 0.6e1 - 0.11e2 / 0.18e2 * t32592 * t15573 + t79000 - t79002 + t79004 + t79009 + t80773;
  t80775 = t76925 / 0.6e1;
  t80790 = t76924 - t80775 + t79021 - t79024 + t79026 + t79027 + 0.7e1 / 0.3e1 * t32592 * t15579 - t32592 * t15576 / 0.2e1 + 0.3e1 / 0.2e1 * t22632 * t15588 - t76939 - t76942 - 0.3e1 / 0.2e1 * t32592 * t15583 - 0.3e1 * t903 * t15593 - 0.3e1 * t3740 * t15598 + 0.3e1 / 0.2e1 * t903 * t15603 - t79090 + t79091 - t79096;
  t80796 = t76945 / 0.6e1;
  t80797 = t79097 + t28063 * t15843 + 0.3e1 / 0.2e1 * t27950 * t15839 - t79105 - t79107 - t79110 - t79113 + t79147 - t79149 - t79151 + t79189 - t79191 - t79193 - t79194 - t79195 + t79196 - t80796 - t9224;
  t80798 = t6542 * t15632;
  t80799 = t80798 / 0.6e1;
  t80811 = t6561 * t15611;
  t80812 = t80811 / 0.6e1;
  t80823 = t9234 - t8624 + t8645 - t80799 - t6542 * t15635 / 0.3e1 - t27911 * t2319 + 0.23e2 / 0.36e2 * t32592 * t15718 + t903 * t15694 / 0.2e1 - t76952 - t79330 - t32677 * t15643 / 0.3e1 + 0.2e1 / 0.3e1 * t6542 * t15724 + t80812 + t32786 * t15606 / 0.2e1 + t6561 * t15615 / 0.3e1 + t1632 * t15131 / 0.12e2 + t1632 * t15137 / 0.6e1 - 0.5e1 / 0.36e2 * t32592 * t15626;
  t80825 = t903 * t15674;
  t80826 = t80825 / 0.2e1;
  t80838 = t80826 - t903 * t15669 / 0.4e1 - t32879 * t15650 + t32879 * t15646 / 0.4e1 + t32879 * t15712 / 0.2e1 - 0.3e1 / 0.2e1 * t28063 * t15657 - t79455 - t79457 - t79459 + t79477 + t79515 + t79528 - t79612 + t79614 - t79644 - t79646 + t79648 + 0.3e1 / 0.2e1 * t903 * t15708;
  t80847 = 0.3e1 * t3740 * t15703 - t1632 * t15084 / 0.6e1 - t32922 * t15697 / 0.2e1 - t80077 - t80079 - t80081 - t307 * t15836 / 0.4e1 + t80135 - t80284 - t80340 - t80346 - t76561 + t80351 - t80353 + t80416 + t80418 + t80420 - t80449;
  t80851 = my_piecewise3(t2, 0, t80728 + t80752 + t80774 + t80790 + t80797 + t80823 + t80838 + t80847);
  tv4rhosigma2lapl12 = t3 * t80851 + t15848;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 12] += tv4rhosigma2lapl12;

  tv4rhosigma2lapl13 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 13] += tv4rhosigma2lapl13;

  tv4rhosigma2lapl14 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 14] += tv4rhosigma2lapl14;

  tv4rhosigma2lapl15 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 15] += tv4rhosigma2lapl15;

  tv4rhosigma2lapl16 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 16] += tv4rhosigma2lapl16;

  tv4rhosigma2lapl17 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 17] += tv4rhosigma2lapl17;

  tv4rhosigma2lapl18 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 18] += tv4rhosigma2lapl18;

  tv4rhosigma2lapl19 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 19] += tv4rhosigma2lapl19;

  tv4rhosigma2lapl20 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 20] += tv4rhosigma2lapl20;

  tv4rhosigma2lapl21 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 21] += tv4rhosigma2lapl21;

  tv4rhosigma2lapl22 = 0.e0;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 22] += tv4rhosigma2lapl22;

  t80855 = t6755 * t9298;
  t80856 = t1430 * t80855;
  t80859 = t168 * t77613;
  t80860 = t5691 * t80859;
  t80861 = t10357 * t80860;
  t80862 = t80861 / 0.2e1;
  t80866 = t5639 * t1720 * t77429;
  t80868 = t5649 * t6827 * t15371;
  t80869 = t80868 / 0.2e1;
  t80870 = t356 * t77613;
  t80872 = t5665 * t7086 * t80870;
  t80873 = 0.3e1 / 0.2e1 * t80872;
  t80874 = t1165 * t45435;
  t80876 = t5665 * t1716 * t80874;
  t80877 = t80876 / 0.2e1;
  t80879 = t4695 * t6841 * t16117;
  t80880 = t80879 / 0.2e1;
  t80885 = t76990 / 0.3e1;
  t80886 = t5733 * t10338;
  t80895 = t77031 / 0.3e1;
  t80896 = t168 * t45351;
  t80897 = t5695 * t80896;
  t80899 = t2181 * t333;
  t80900 = t168 * t80899;
  t80901 = t10358 * t80900;
  t80904 = t80885 - 0.11e2 / 0.18e2 * t9254 * t80886 - t2189 * t33999 / 0.6e1 + 0.2e1 / 0.3e1 * t1421 * t50424 - 0.2e1 * t9293 * t10556 - t80895 + t77035 - t2180 + t2251 + t10440 * t80897 + 0.5e1 / 0.3e1 * t50125 * t80901;
  t80906 = t6005 * t80859;
  t80907 = t10725 * t80906;
  t80908 = t80907 / 0.2e1;
  t80909 = t168 * t45435;
  t80910 = t4687 * t80909;
  t80911 = t6764 * t80910;
  t80912 = t80911 / 0.6e1;
  t80913 = t5695 * t80859;
  t80914 = t10440 * t80913;
  t80915 = t80914 / 0.2e1;
  t80916 = t380 * t45430;
  t80917 = t6005 * t80916;
  t80918 = t6764 * t80917;
  t80919 = t80918 / 0.6e1;
  t80920 = t44549 * t10360;
  t80922 = t29988 * t10373;
  t80925 = 0.2e1 * t77114;
  t80926 = 0.14e2 / 0.3e1 * t77119;
  t80927 = t77124 / 0.3e1;
  t80934 = t29474 * t80900;
  t80937 = t380 * t45333;
  t80938 = t5691 * t80937;
  t80943 = t9399 * t439;
  t80945 = t5691 * t1018 * t80943;
  t80948 = t5691 * t80900;
  t80951 = t168 * t45338;
  t80952 = t30141 * t80951;
  t80955 = t4609 * t452;
  t80956 = t80955 * t10443;
  t80961 = 0.3e1 / 0.2e1 * t4718 * t34043 * t15886 - t33869 * t15873 / 0.2e1 - 0.38e2 / 0.9e1 * t50143 * t80934 - t10357 * t80938 / 0.2e1 - 0.7e1 * t10357 * t46517 - t6769 * t80945 - t6769 * t77256 + 0.6e1 * t50125 * t80948 + 0.3e1 / 0.2e1 * t10357 * t80952 + 0.23e2 / 0.18e2 * t10357 * t80956 + 0.2e1 / 0.3e1 * t6769 * t45482;
  t80964 = t80955 * t17679;
  t80972 = t10358 * t80937;
  t80981 = t1033 * t77613;
  t80983 = t5639 * t7089 * t80981;
  t80984 = 0.3e1 * t80983;
  t80993 = t4626 * t80943;
  t80997 = t4572 * t77613;
  t80999 = t5665 * t7093 * t80997;
  t81000 = 0.3e1 / 0.2e1 * t80999;
  t81004 = t1038 * t77613;
  t81006 = t5665 * t7089 * t81004;
  t81007 = 0.3e1 * t81006;
  t81012 = t10513 * t7093 * t77614;
  t81013 = 0.3e1 / 0.2e1 * t81012;
  t81015 = t5639 * t7093 * t77619;
  t81016 = 0.3e1 * t81015;
  t81018 = -0.4e1 * t10440 * t45481 * t10443 - 0.4e1 / 0.3e1 * t6769 * t45453 + t1660 * t15376 / 0.6e1 - 0.3e1 / 0.2e1 * t5665 * t1720 * t80993 + t81000 - t5665 * t1720 * t77461 / 0.2e1 - t81007 + t5639 * t1720 * t77465 / 0.2e1 + t81013 - t81016 - t45289 * t10503;
  t81021 = t5695 * t80937;
  t81024 = t45452 * t10373;
  t81027 = t80955 * t10360;
  t81030 = t45481 * t10365;
  t81033 = t45269 * t10360;
  t81036 = t5679 * t80859;
  t81037 = t10440 * t81036;
  t81038 = t1018 * t77613;
  t81040 = t10440 * t5695 * t81038;
  t81041 = 0.2e1 * t81040;
  t81042 = t2178 * t6757;
  t81043 = t81042 / 0.12e2;
  t81044 = t6808 * t16102;
  t81045 = t81044 / 0.12e2;
  t81047 = t4440 * t15906;
  t81048 = t1430 * t81047;
  t81049 = t1683 * t81048;
  t81050 = t81049 / 0.12e2;
  t81051 = t1647 * t9406;
  t81052 = t81051 / 0.2e1;
  t81058 = t110 * t452 * t10511;
  t81061 = t4572 * t80943;
  t81065 = t1033 * t80899;
  t81069 = t4572 * t45338;
  t81073 = t1033 * t45351;
  t81082 = -t81050 - t81052 - t5639 * t1720 * t77110 + t5665 * t1720 * t77099 + 0.3e1 * t81058 * t10515 + 0.3e1 / 0.2e1 * t5639 * t1720 * t81061 - 0.18e2 * t5639 * t34914 * t81065 - 0.6e1 * t5639 * t7089 * t81069 + 0.6e1 * t5639 * t7089 * t81073 + 0.3e1 * t5649 * t34019 * t15866 + 0.14e2 / 0.3e1 * t10357 * t45368;
  t81086 = t1018 * t80899;
  t81087 = t50318 * t81086;
  t81090 = t6808 * t15912;
  t81091 = t81090 / 0.3e1;
  t81094 = t29195 * t2337;
  t81095 = t1423 * t81094;
  t81100 = t6804 * t15908;
  t81101 = t81100 / 0.6e1;
  t81106 = t9279 * t10552;
  t81107 = t81106 / 0.6e1;
  t81108 = t50380 * t1424;
  t81109 = t1423 * t81108;
  t81115 = t77292 / 0.2e1;
  t81116 = 0.2e1 / 0.3e1 * t77296;
  t81117 = t77297 / 0.2e1;
  t81132 = -t1683 * t77681 / 0.6e1 - t77290 - t81115 + t81116 + t81117 - t34163 * t16110 / 0.2e1 - t34160 * t16110 / 0.2e1 - 0.3e1 * t1029 * t34043 * t15985 + 0.3e1 / 0.2e1 * t373 * t34043 * t15980 - 0.3e1 * t4204 * t15986 + 0.3e1 / 0.2e1 * t1070 * t15981;
  t81142 = t4609 * t80899;
  t81146 = t24477 * t45338;
  t81150 = t4609 * t45351;
  t81168 = t77341 / 0.3e1;
  t81169 = t77343 / 0.6e1;
  t81170 = t77345 / 0.6e1;
  t81171 = t77347 / 0.6e1;
  t81175 = t1038 * t45351;
  t81179 = 0.2e1 * t45286 * t10388 - 0.6e1 * t45289 * t10531 - 0.2e1 * t45289 * t10487 - t77339 + t81168 + t81169 - t81170 - t81171 + t29349 * t15858 - 0.3e1 / 0.2e1 * t10357 * t45335 - 0.6e1 * t5665 * t7089 * t81175;
  t81183 = t110 * t45330 * t24552;
  t81184 = t487 * t2181;
  t81185 = t1018 * t81184;
  t81201 = t5595 * t10338;
  t81204 = t77387 / 0.3e1;
  t81206 = 0.2e1 * t77431;
  t81209 = t1683 * t45120;
  t81210 = t81209 / 0.3e1;
  t81211 = t6808 * t15908;
  t81212 = t81211 / 0.6e1;
  t81213 = t1423 * t81047;
  t81214 = t1683 * t81213;
  t81215 = t81214 / 0.6e1;
  t81216 = t6804 * t15912;
  t81217 = t81216 / 0.3e1;
  t81218 = t80472 - t80474 + t80476 + t80478 + t81206 - t77433 - t2184 * t6757 / 0.6e1 + t81210 - t81212 - t81215 + t81217;
  t81220 = t5691 * t80896;
  t81226 = t30022 * t15890;
  t81229 = t168 * t80943;
  t81230 = t5674 * t81229;
  t81237 = t30011 * t15922;
  t81239 = 0.3e1 * t77437;
  t81249 = t349 * t16090;
  t81254 = t321 * t369 * t16088 * t370;
  t81261 = t45283 * t10373;
  t81264 = t1647 * t9414;
  t81265 = t81264 / 0.4e1;
  t81266 = t4440 * t15871;
  t81267 = t5563 * t81266;
  t81270 = -t9515 * t6946 / 0.6e1 - t2189 * t34469 / 0.6e1 + t6965 * t2261 / 0.2e1 + t6960 * t2261 / 0.2e1 - t338 * t81249 / 0.12e2 + t81254 * t377 / 0.4e1 - t442 * t50279 / 0.6e1 + t6772 * t77582 / 0.12e2 + 0.2e1 / 0.3e1 * t6769 * t81261 + t81265 - t6855 * t81267 / 0.2e1;
  t81275 = t4619 * t452;
  t81276 = t81275 * t10360;
  t81279 = t10447 * t80859;
  t81280 = t10357 * t81279;
  t81281 = 0.11e2 / 0.18e2 * t81280;
  t81282 = t10358 * t81038;
  t81283 = t10357 * t81282;
  t81284 = 0.23e2 / 0.36e2 * t81283;
  t81285 = t50318 * t80900;
  t81288 = t6804 * t16102;
  t81289 = t81288 / 0.12e2;
  t81294 = t1430 * t81094;
  t81297 = t1430 * t81266;
  t81305 = t1101 * t81047;
  t81306 = t1702 * t81305;
  t81307 = t81306 / 0.6e1;
  t81308 = t6896 * t15947;
  t81309 = t81308 / 0.6e1;
  t81310 = t6900 * t15947;
  t81311 = t81310 / 0.6e1;
  t81312 = t1101 * t81094;
  t81324 = t34190 * t16096 / 0.2e1 + t81307 + t81309 + t81311 + t1702 * t81312 / 0.3e1 + t1702 * t77352 / 0.3e1 + 0.2e1 / 0.3e1 * t1683 * t45385 + t6896 * t15954 / 0.3e1 + t6900 * t15954 / 0.3e1 + t6955 * t9319 + t80479;
  t81326 = t9544 * t1642;
  t81327 = t81326 / 0.12e2;
  t81328 = t2178 * t7018;
  t81329 = t81328 / 0.12e2;
  t81340 = 0.2e1 / 0.3e1 * t77442;
  t81341 = 0.2e1 / 0.3e1 * t77443;
  t81349 = t1101 * t80855;
  t81355 = t1423 * t80855;
  t81361 = t1645 * t15871;
  t81368 = 0.3e1 / 0.2e1 * t1070 * t15862 + 0.3e1 / 0.2e1 * t1058 * t15862 + t1451 * t81349 / 0.3e1 - t9285 * t10339 / 0.2e1 - t5792 * t10328 - t1421 * t81355 / 0.3e1 + t9293 * t10552 + t2189 * t33930 / 0.3e1 + 0.7e1 / 0.3e1 * t45102 * t5733 * t81361 + t1647 * t9494 / 0.2e1 - t29068 * t2390;
  t81372 = 0.6e1 * t77451;
  t81373 = t45481 * t10360;
  t81375 = t44549 * t10365;
  t81378 = t29474 * t80951;
  t81381 = t10358 * t80896;
  t81384 = t50144 * t80900;
  t81399 = t1423 * t81266;
  t81410 = t50503 * t9331;
  t81415 = t10357 * t10358 * t4191 * t77613;
  t81416 = 0.3e1 / 0.2e1 * t81415;
  t81417 = 0.3e1 / 0.2e1 * t373 * t35213 * t15861 + t33829 * t15975 + t34190 * t15975 + t6788 * t81399 - t490 * t45093 / 0.12e2 + 0.3e1 * t4204 * t15867 + t51176 * t9341 / 0.2e1 - t5673 * t50296 * t9327 / 0.3e1 + t5673 * t81410 / 0.6e1 - t81416 + t80481;
  t81421 = t6955 * t9708;
  t81422 = t81421 / 0.2e1;
  t81423 = t1647 * t9711;
  t81424 = t81423 / 0.2e1;
  t81425 = 0.2e1 / 0.3e1 * t77490;
  t81426 = t1101 * t81266;
  t81429 = t1058 * t16126;
  t81430 = t81429 / 0.2e1;
  t81432 = t373 * t6801 * t16125;
  t81433 = t81432 / 0.2e1;
  t81435 = t45269 * t10365;
  t81442 = t4191 * t80899;
  t81443 = t50144 * t81442;
  t81454 = t77515 / 0.6e1;
  t81455 = -t80533 + t80535 - t6769 * t81435 / 0.3e1 + 0.4e1 * t10440 * t45446 - 0.4e1 * t10440 * t45498 - 0.43e2 / 0.9e1 * t50143 * t81443 - t33906 * t15873 / 0.2e1 - 0.3e1 / 0.2e1 * t6855 * t45127 + 0.3e1 / 0.2e1 * t25290 * t15887 + 0.3e1 / 0.2e1 * t25543 * t15887 - t81454;
  t81459 = t77517 / 0.6e1;
  t81460 = t77523 / 0.2e1;
  t81464 = t10447 * t80900;
  t81467 = t10358 * t81086;
  t81486 = t5595 * t10555;
  t81489 = 0.2e1 / 0.3e1 * t77528;
  t81494 = t1430 * t81108;
  t81499 = t2189 * t34004 / 0.3e1 - t6955 * t9312 + 0.3e1 * t6955 * t9315 - 0.2e1 / 0.3e1 * t2189 * t34654 + 0.23e2 / 0.36e2 * t9254 * t81486 + t81489 + t1702 * t77668 / 0.6e1 + t490 * t45097 / 0.12e2 - t80536 - t1421 * t81494 / 0.6e1 - t442 * t50382 / 0.6e1;
  t81501 = t77549 / 0.3e1;
  t81502 = 0.5e1 / 0.18e2 * t77552;
  t81503 = t34283 * t9440;
  t81507 = t34283 * t9331;
  t81510 = t4575 * t500;
  t81511 = t81510 * t9446;
  t81514 = t6769 * t45432;
  t81515 = t81514 / 0.3e1;
  t81516 = t6769 * t45437;
  t81517 = 0.2e1 / 0.3e1 * t81516;
  t81518 = t5679 * t80916;
  t81519 = t6769 * t81518;
  t81520 = t81519 / 0.6e1;
  t81521 = t5674 * t80909;
  t81522 = t6769 * t81521;
  t81523 = t81522 / 0.3e1;
  t81532 = t29468 * t80951;
  t81535 = -t6004 * t81507 / 0.6e1 - t6012 * t81511 / 0.6e1 + t81515 - t81517 - t81520 + t81523 - t50860 * t9336 / 0.2e1 - t6764 * t77633 / 0.6e1 - t6772 * t77568 / 0.6e1 + t6769 * t77572 / 0.12e2 + 0.11e2 / 0.6e1 * t10357 * t81532;
  t81538 = t10447 * t80896;
  t81541 = 0.3e1 * t77596;
  t81542 = 0.2e1 * t77598;
  t81543 = 0.11e2 / 0.9e1 * t77600;
  t81544 = 0.23e2 / 0.18e2 * t77602;
  t81545 = 0.3e1 * t77616;
  t81546 = 0.6e1 * t77621;
  t81547 = 0.6e1 * t77627;
  t81556 = t10358 * t80859;
  t81557 = t10357 * t81556;
  t81558 = 0.5e1 / 0.36e2 * t81557;
  t81559 = t1383 * t10521 + t1647 * t9490 - t1647 * t9492 - 0.3e1 * t1647 * t9714 + t5797 * t2403 + t5814 * t2403 + t77630 - t77632 - t81558 - t9281 + t9283;
  t81561 = t5695 * t80916;
  t81562 = t6769 * t81561;
  t81563 = t81562 / 0.12e2;
  t81564 = t5691 * t80909;
  t81565 = t6769 * t81564;
  t81566 = t81565 / 0.6e1;
  t81567 = t6005 * t80937;
  t81574 = t4626 * t45435;
  t81576 = t5665 * t1720 * t81574;
  t81578 = t4695 * t6827 * t16125;
  t81579 = t81578 / 0.2e1;
  t81580 = t6005 * t80900;
  t81590 = -t4695 * t6760 * t15395 / 0.4e1 + t15849 + t15850 - t15851 + t15327 + t15852 - t15853 + t15369 - t15373 + t9307 - t80542;
  t81596 = t9339 * t333;
  t81597 = t4572 * t81596;
  t81601 = t9339 * t1082;
  t81603 = t30141 * t1018 * t81601;
  t81606 = t9439 * t439;
  t81608 = t5691 * t4693 * t81606;
  t81623 = 0.3e1 * t45289 * t10507 - t9147 + t9172 - t77651 - t15382 - t15386 - t77653 + t10426 * t1394 / 0.2e1 - t9515 * t7021 / 0.12e2 - t2189 * t34692 / 0.12e2 + t50262 * t457 / 0.2e1;
  t81638 = t4188 * t16113;
  t81639 = t81638 / 0.2e1;
  t81642 = t5563 * t10338;
  t81646 = t5595 * t6953 * t1424;
  t81653 = t1070 * t16126;
  t81654 = t81653 / 0.2e1;
  t81660 = -t80565 - t81639 - t15870 + 0.3e1 / 0.2e1 * t1647 * t9718 - t9254 * t81642 / 0.2e1 - 0.3e1 / 0.2e1 * t9254 * t81646 + 0.3e1 / 0.2e1 * t34264 * t9699 - 0.3e1 * t6955 * t9704 + t81654 - t1058 * t16121 / 0.4e1 - t373 * t6974 * t15395 / 0.4e1;
  t81673 = t5595 * t45103;
  t81676 = t5733 * t81266;
  t81682 = t6965 * t2249;
  t81683 = t81682 / 0.4e1;
  t81684 = t6960 * t2249;
  t81685 = t81684 / 0.4e1;
  t81704 = t81683 + t81685 + t44678 * t505 / 0.4e1 + t44684 * t505 / 0.4e1 - t6960 * t2253 / 0.2e1 - t6965 * t2253 / 0.2e1 + t9522 * t1642 / 0.6e1 + t2184 * t7018 / 0.6e1 - t34276 * t2245 / 0.2e1 - t34477 * t2245 / 0.2e1 + t9515 * t6950 / 0.3e1;
  t81710 = t4305 * t15454 * t439;
  t81714 = t77723 / 0.3e1;
  t81715 = t1165 * t81596;
  t81719 = t4575 * t81601;
  t81724 = t1076 * t2393 * t2196;
  t81732 = -0.3e1 / 0.2e1 * t4695 * t6827 * t81710 + t81714 - t9408 - t9412 + t9416 - 0.3e1 * t5665 * t7086 * t81715 - 0.2e1 * t5665 * t1716 * t81719 + t4695 * t6841 * t81724 + 0.3e1 * t4188 * t15867 + t76766 + 0.3e1 * t1029 * t34066 * t15866;
  t81738 = t5674 * t80951;
  t81741 = t5679 * t80896;
  t81744 = t5679 * t80937;
  t81746 = t77766 / 0.3e1;
  t81747 = t77768 / 0.3e1;
  t81748 = t77770 / 0.3e1;
  t81749 = t77772 / 0.2e1;
  t81752 = t10357 * t10447 * t81038;
  t81753 = 0.7e1 / 0.3e1 * t81752;
  t81754 = t29468 * t80900;
  t81761 = t24582 * t80899;
  t81765 = t24418 * t80899;
  t81769 = t24557 * t80899;
  t81773 = t24477 * t80899;
  t81779 = t77786 + t77788 - t77790 + t81753 - 0.2e1 * t50143 * t81754 + 0.8e1 * t50143 * t50144 * t10511 * t80899 - 0.6e1 * t50541 * t34905 * t81761 + 0.6e1 * t5665 * t34905 * t81765 + 0.18e2 * t10513 * t34905 * t81769 - 0.18e2 * t5639 * t34905 * t81773 - t6769 * t77103 / 0.3e1;
  t81784 = t5679 * t80900;
  t81792 = t487 * t15312;
  t81794 = t30141 * t1018 * t81792;
  t81810 = t45452 * t10360;
  t81812 = t50144 * t81086;
  t81817 = t4204 * t16113;
  t81818 = t81817 / 0.2e1;
  t81824 = -t6769 * t5691 * t1018 * t77460 / 0.3e1 - t10357 * t81810 - t77824 - t77827 + 0.44e2 / 0.27e2 * t50143 * t81812 + t6769 * t77623 / 0.3e1 - t81818 - t5814 * t2395 - t1383 * t10729 - t1383 * t10732 - t5797 * t2398 / 0.2e1;
  t81833 = t1165 * t80943;
  t81836 = t356 * t80899;
  t81840 = t1165 * t45338;
  t81844 = t356 * t45351;
  t81868 = 0.3e1 * t77851;
  t81869 = 0.4e1 * t77857;
  t81874 = 0.3e1 / 0.2e1 * t29339 * t15854 + 0.3e1 / 0.2e1 * t5639 * t7081 * t9340 + 0.3e1 / 0.2e1 * t5639 * t1720 * t77311 - t110 * t16089 * t404 / 0.4e1 + 0.3e1 / 0.2e1 * t4695 * t34151 * t15980 + t81868 + t77854 - t81869 - t77860 - 0.3e1 / 0.2e1 * t29349 * t15898 - 0.3e1 / 0.2e1 * t29346 * t15898;
  t81883 = t4572 * t80899;
  t81887 = t24435 * t45338;
  t81891 = t5695 * t80900;
  t81894 = t5691 * t80951;
  t81896 = t5691 * t81229;
  t81906 = t25122 * t15890;
  t81911 = t4687 * t81229;
  t81918 = t30011 * t15890;
  t81923 = t4687 * t80951;
  t81926 = t6005 * t80896;
  t81929 = -t6772 * t77735 / 0.3e1 - t6764 * t81906 / 0.3e1 - t6764 * t78349 / 0.3e1 - t6764 * t81911 / 0.3e1 + t34216 * t15894 / 0.4e1 + t34529 * t15894 / 0.4e1 + t6769 * t81918 / 0.4e1 + t6769 * t77586 / 0.4e1 + t10725 * t81923 / 0.2e1 - t10725 * t81926 - t29985 * t10497;
  t81943 = t50296 * t9331;
  t81949 = t77862 / 0.6e1;
  t81957 = t78341 / 0.6e1;
  t81958 = t78343 / 0.6e1;
  t81967 = t15946 + t15949 + 0.7e1 / 0.3e1 * t33869 * t15878 + 0.7e1 / 0.3e1 * t33906 * t15878 + 0.7e1 / 0.3e1 * t6855 * t45104 - t81957 - t81958 - 0.3e1 / 0.2e1 * t33869 * t15882 - 0.3e1 / 0.2e1 * t33906 * t15882 - 0.3e1 * t1070 * t16107 - 0.3e1 * t1058 * t16107;
  t81974 = t168 * t81601;
  t81975 = t30141 * t81974;
  t81978 = t168 * t81596;
  t81979 = t29474 * t81978;
  t81982 = t380 * t81606;
  t81983 = t5691 * t81982;
  t81986 = t30134 * t81974;
  t81989 = t5674 * t81982;
  t81998 = t1430 * t9467 * t2756;
  t82005 = t5691 * t81978;
  t82008 = t4687 * t81982;
  t82011 = t78345 / 0.3e1;
  t82012 = t78347 / 0.6e1;
  t82014 = t1094 * t33917 * t2197;
  t82017 = -t9469 * t1690 / 0.2e1 - t9469 * t1694 / 0.4e1 + t4533 * t81998 / 0.3e1 + t9469 * t1698 / 0.4e1 - t1683 * t77366 / 0.6e1 - 0.4e1 / 0.3e1 * t10440 * t82005 - t6764 * t82008 / 0.3e1 - t82011 - t82012 + t80613 + t442 * t82014 / 0.12e2;
  t82021 = t1094 * t6755 * t9425;
  t82024 = t4626 * t81596;
  t82028 = t24564 * t81601;
  t82032 = t10534 * t439;
  t82033 = t1018 * t82032;
  t82045 = t110 * t20822 * t333 * t24540;
  t82046 = t4191 * t81184;
  t82047 = t50318 * t82046;
  t82053 = t4687 * t81978;
  t82056 = t1647 * t9410;
  t82057 = t82056 / 0.4e1;
  t82059 = t1430 * t1645 * t15906;
  t82060 = t4533 * t82059;
  t82061 = t82060 / 0.3e1;
  t82064 = t1070 * t16118;
  t82065 = t82064 / 0.2e1;
  t82066 = t1058 * t16118;
  t82067 = t82066 / 0.2e1;
  t82069 = t373 * t6870 * t16117;
  t82070 = t82069 / 0.2e1;
  t82072 = t1029 * t6801 * t15371;
  t82073 = t82072 / 0.2e1;
  t82080 = -t82057 + t82061 - t1070 * t16121 / 0.4e1 - t82065 - t82067 - t82070 - t82073 + t9293 * t10344 / 0.2e1 + t2184 * t6812 / 0.6e1 + t1397 * t15926 / 0.12e2 + t80620;
  t82082 = t24418 * t45338;
  t82086 = t4619 * t45351;
  t82094 = t4572 * t45351;
  t82106 = t9444 * t81974;
  t82111 = t10603 * t1392;
  t82112 = t360 * t82111;
  t82115 = t142 * t2181;
  t82116 = t82115 * t333;
  t82117 = t1173 * t82116;
  t82122 = t16054 * t333;
  t82123 = t24418 * t82122;
  t82126 = t1038 * t82122;
  t82131 = t4572 * t82122;
  t82134 = t46181 * t439;
  t82135 = t1186 * t82134;
  t82140 = t4599 * t81596;
  t82143 = t4599 * t82111;
  t82146 = 0.12e2 * t10684 * t82112 - 0.12e2 * t51568 * t82117 + 0.4e1 * t34954 * t16007 - 0.12e2 * t34905 * t82123 - 0.36e2 * t34914 * t82126 - 0.2e1 * t1720 * t77905 + 0.36e2 * t34896 * t82131 - t77892 - 0.6e1 * t7150 * t82135 - 0.6e1 * t7150 * t77955 - 0.1e2 * t34882 * t82140 - 0.4e1 / 0.3e1 * t10618 * t82143;
  t82147 = t24682 * t82116;
  t82156 = t1186 * t82111;
  t82159 = t4599 * t82116;
  t82162 = t82115 * t1082;
  t82163 = t4599 * t82162;
  t82166 = t1186 * t82162;
  t82169 = t1173 * t81601;
  t82172 = t1173 * t81596;
  t82175 = t1186 * t82116;
  t82178 = t142 * t2175;
  t82179 = t82178 * t1082;
  t82180 = t1186 * t82179;
  t82181 = t7150 * t82180;
  t82182 = 0.4e1 * t82181;
  t82183 = -0.4e1 / 0.3e1 * t51553 * t82147 + 0.2e1 * t7147 * t78326 + 0.2e1 * t10674 * t78330 + t7150 * t77992 / 0.3e1 - 0.24e2 * t10609 * t82156 + 0.8e1 * t51559 * t82159 + 0.2e1 * t34882 * t82163 + 0.24e2 * t34885 * t82166 + 0.6e1 * t34871 * t82169 + 0.32e2 / 0.3e1 * t34885 * t82172 + 0.72e2 * t51568 * t82175 - t82182;
  t82185 = t360 * t81596;
  t82188 = t16067 * t1082;
  t82189 = t4572 * t82188;
  t82190 = t1720 * t82189;
  t82191 = 0.4e1 / 0.3e1 * t82190;
  t82192 = t7081 * t16044;
  t82193 = 0.2e1 * t82192;
  t82194 = t356 * t82122;
  t82197 = t16054 * t1082;
  t82198 = t1165 * t82197;
  t82201 = t2369 * t1392;
  t82202 = t356 * t82201;
  t82213 = t2369 * t9399;
  t82214 = t4572 * t82213;
  t82217 = t7081 * t16034;
  t82218 = t82217 / 0.3e1;
  t82219 = -0.2e1 * t7075 * t16011 - 0.2e1 * t7081 * t16041 - 0.2e1 * t1716 * t78217 - 0.2e1 * t1720 * t78176 - 0.2e1 * t1720 * t82214 + 0.6e1 * t34874 * t82185 + 0.12e2 * t34927 * t82194 + 0.3e1 * t7086 * t82198 - 0.6e1 * t7086 * t82202 - t82191 + t82193 - t82218;
  t82223 = t4626 * t82197;
  t82226 = t1038 * t82201;
  t82231 = t4626 * t82213;
  t82236 = t24435 * t82197;
  t82239 = t4572 * t82201;
  t82242 = t1165 * t82213;
  t82251 = -t34900 * t16037 / 0.9e1 - t1714 * t15497 - 0.12e2 * t7089 * t82223 + 0.12e2 * t7089 * t82226 + 0.3e1 * t7081 * t16014 + 0.3e1 * t1720 * t82231 + 0.3e1 * t1720 * t77942 + 0.9e1 * t7093 * t82236 - 0.6e1 * t7093 * t82239 - 0.2e1 * t1716 * t82242 + 0.2e1 * t1716 * t78007 + 0.3e1 * t494 * t78011 - 0.2e1 * t494 * t78122;
  t82254 = t82178 * t333;
  t82255 = t4599 * t82254;
  t82256 = t10618 * t82255;
  t82257 = 0.2e1 / 0.3e1 * t82256;
  t82260 = t1173 * t82254;
  t82261 = t10618 * t82260;
  t82262 = 0.6e1 * t82261;
  t82267 = t360 * t82134;
  t82271 = t1173 * t82134;
  t82273 = t4586 * t81596;
  t82282 = -t82257 - 0.2e1 * t7150 * t77888 + t82262 - 0.6e1 * t34959 * t16002 + 0.4e1 * t7147 * t78275 + 0.4e1 * t7147 * t82267 + t7150 * t77989 + t7150 * t82271 - t34882 * t82273 / 0.6e1 - 0.4e1 * t34877 * t78314 - 0.6e1 * t51596 * t77969 + 0.4e1 * t10674 * t77973;
  t82285 = t360 * t82116;
  t82288 = t360 * t82162;
  t82292 = t1186 * t81601;
  t82295 = t1186 * t81596;
  t82300 = t16067 * t333;
  t82301 = t4572 * t82300;
  t82302 = t7093 * t82301;
  t82303 = 0.3e1 * t82302;
  t82304 = t24477 * t82122;
  t82307 = t1038 * t82300;
  t82308 = t7089 * t82307;
  t82309 = 0.6e1 * t82308;
  t82311 = t24477 * t82197;
  t82314 = -0.2e1 / 0.3e1 * t34871 * t77977 - 0.24e2 * t51604 * t82285 - 0.6e1 * t34874 * t82288 + t34959 * t16005 - 0.9e1 * t34871 * t82292 - 0.16e2 * t34885 * t82295 + 0.9e1 * t34882 * t82172 - t82303 + 0.5e2 / 0.3e1 * t34905 * t82304 + t82309 + t1720 * t77894 - t7093 * t82311 / 0.6e1;
  t82316 = t4609 * t82201;
  t82319 = t1033 * t82122;
  t82322 = t356 * t82300;
  t82323 = t7086 * t82322;
  t82324 = 0.3e1 * t82323;
  t82325 = t1165 * t82188;
  t82326 = t1716 * t82325;
  t82327 = t1033 * t82300;
  t82328 = t7089 * t82327;
  t82329 = 0.4e1 * t82328;
  t82330 = t1033 * t82201;
  t82333 = t4609 * t82122;
  t82336 = t4609 * t82300;
  t82337 = t7093 * t82336;
  t82338 = t82337 / 0.18e2;
  t82339 = t4572 * t82197;
  t82348 = t7093 * t82316 / 0.9e1 + 0.24e2 * t34914 * t82319 - t82324 - t82326 - t82329 - 0.8e1 * t7089 * t82330 - 0.2e1 / 0.3e1 * t34896 * t82333 + t82338 + 0.8e1 * t7089 * t82339 + 0.2e1 * t1714 * t15484 + 0.4e1 / 0.3e1 * t1720 * t77938 + 0.6e1 * t34942 * t16050;
  t82349 = 0.6e1 * t77908;
  t82351 = t7075 * t16028;
  t82352 = 0.2e1 * t82351;
  t82361 = t4619 * t82122;
  t82364 = t24418 * t82197;
  t82367 = t4619 * t82201;
  t82370 = t24557 * t82122;
  t82375 = t4626 * t82188;
  t82376 = t1720 * t82375;
  t82377 = 0.2e1 * t82376;
  t82378 = -t82349 - t494 * t78119 - t82352 + 0.2e1 * t34947 * t16031 - 0.2e1 / 0.3e1 * t34900 * t16021 + 0.6e1 * t34900 * t16024 - 0.12e2 * t34947 * t16018 - 0.4e2 * t34896 * t82361 - 0.1e2 * t7093 * t82364 + 0.2e2 / 0.3e1 * t7093 * t82367 + 0.1e2 / 0.3e1 * t34905 * t82370 - 0.2e1 / 0.3e1 * t1720 * t78197 + t82377;
  t82382 = t4619 * t82300;
  t82383 = t7093 * t82382;
  t82384 = 0.1e2 / 0.3e1 * t82383;
  t82387 = t360 * t81601;
  t82390 = 0.2e2 / 0.3e1 * t77910;
  t82391 = t77926 / 0.9e1;
  t82392 = 0.12e2 * t77945;
  t82393 = 0.4e1 / 0.3e1 * t77965;
  t82394 = 0.24e2 * t77981;
  t82395 = 0.8e1 * t77983;
  t82396 = 0.4e1 * t77985;
  t82397 = -t1716 * t78192 + 0.4e1 * t34877 * t82387 - t494 * t78195 + t77948 + t82384 + t82390 + t82391 + t82392 - t82393 - t82394 - t82395 + t82396;
  t82398 = 0.4e1 * t77987;
  t82399 = 0.12e2 * t77998;
  t82400 = 0.4e1 * t78130;
  t82401 = t1173 * t82179;
  t82402 = t7150 * t82401;
  t82403 = 0.2e1 / 0.3e1 * t82402;
  t82404 = t4586 * t82254;
  t82405 = t10618 * t82404;
  t82406 = t82405 / 0.9e1;
  t82407 = t4586 * t82162;
  t82410 = t4586 * t82111;
  t82413 = t51643 * t82116;
  t82416 = t82398 + t82399 - t15999 - t15481 - t16000 - t78001 + t82400 + t82403 - t82406 + t34882 * t82407 / 0.3e1 - 0.2e1 / 0.9e1 * t10618 * t82410 - t51553 * t82413 / 0.9e1;
  t82418 = t360 * t82254;
  t82419 = t10684 * t82418;
  t82420 = 0.6e1 * t82419;
  t82421 = t360 * t82179;
  t82422 = t7147 * t82421;
  t82423 = 0.2e1 * t82422;
  t82424 = t10609 * t82260;
  t82425 = 0.2e1 * t82424;
  t82426 = t1173 * t82162;
  t82429 = t1173 * t82111;
  t82432 = t4586 * t82116;
  t82439 = 0.2e1 * t78132;
  t82440 = 0.8e1 * t78134;
  t82441 = t82420 + t82423 + t82425 - 0.4e1 * t34885 * t82426 + 0.4e1 * t10609 * t82429 + 0.4e1 / 0.3e1 * t51559 * t82432 - 0.18e2 * t34882 * t82426 + 0.12e2 * t10618 * t82429 - t82439 - t82440 - t78137 - t78140;
  t82442 = t1186 * t82254;
  t82443 = t10609 * t82442;
  t82444 = 0.12e2 * t82443;
  t82453 = 0.2e1 / 0.3e1 * t78143;
  t82454 = 0.4e1 * t78151;
  t82455 = 0.4e1 * t78153;
  t82456 = 0.8e1 / 0.3e1 * t78188;
  t82457 = -t78142 - t82444 - 0.72e2 * t51559 * t82117 + 0.8e1 / 0.3e1 * t51553 * t82432 + 0.24e2 * t51553 * t82159 + 0.4e1 * t34871 * t78319 - t82453 + t82454 - t82455 - t16030 - t16036 + t16046 - t82456;
  t82460 = 0.6e1 * t78200;
  t82461 = t7081 * t16068;
  t82464 = 0.2e1 * t78264;
  t82465 = 0.4e1 / 0.3e1 * t78273;
  t82468 = -t82460 - t9586 - t9610 - t9611 + t9635 - t82461 + 0.1e2 / 0.3e1 * t34900 * t16070 + t16053 - t82464 + t82465 + t9669 + t1714 * t15523 / 0.2e1;
  t82474 = t7075 * t16082;
  t82477 = t7081 * t16073;
  t82478 = 0.2e1 / 0.3e1 * t82477;
  t82483 = 0.2e1 * t78280;
  t82484 = -0.3e1 * t34900 * t16062 - t1714 * t15510 + 0.6e1 * t34947 * t16059 + t82474 - 0.3e1 * t34942 * t16055 + t82478 - 0.4e1 * t34947 * t16076 + t34900 * t16079 / 0.18e2 - t16069 + t16075 + t82483 + t78282 + t9675;
  t82486 = t46252 * t81596;
  t82489 = t46252 * t81601;
  t82492 = t51878 * t81596;
  t82495 = t46248 * t81596;
  t82500 = t46248 * t81601;
  t82503 = t46256 * t81596;
  t82506 = t46256 * t81601;
  t82509 = t51889 * t81596;
  t82512 = t9677 + t16083 - t9683 - 0.16e2 / 0.3e1 * t34885 * t82486 - 0.3e1 * t34871 * t82489 + t34882 * t82492 / 0.3e1 + 0.32e2 * t34885 * t82495 - 0.18e2 * t34882 * t82486 + 0.18e2 * t34871 * t82500 - 0.12e2 * t34874 * t82503 - 0.8e1 * t34877 * t82506 + 0.2e1 * t34882 * t82509;
  t82515 = 0.4e1 / 0.3e1 * t78310;
  t82516 = 0.2e1 / 0.9e1 * t78312;
  t82517 = 0.12e2 * t78322;
  t82518 = -t16084 + t15518 + t16085 + t16086 - t2229 + t494 * t78286 / 0.2e1 + t78304 + t78307 + t78309 + t82515 - t82516 + t2210 + t82517;
  t82527 = t10426 * t1416 - t44765 * t1675 / 0.2e1 + 0.2e1 / 0.3e1 * t6764 * t82106 - t6772 * t77795 / 0.3e1 - t9546 - t9548 - t15994 - t110 * t139 * (t82146 + t82183 + t82219 + t82251 + t82282 + t82314 + t82348 + t82378 + t82397 + t82416 + t82441 + t82457 + t82468 + t82484 + t82512 + t82518) * t168 / 0.4e1 - t78429 - t78431 - t78434;
  t82533 = t4619 * t80899;
  t82544 = 0.2e1 / 0.3e1 * t78473;
  t82545 = t78474 / 0.3e1;
  t82546 = 0.4e1 / 0.3e1 * t78476;
  t82547 = -t78472 + t82544 - t82545 - t82546 - t80631 - t80633 - t80635 - t80637 - t80639 - t80643 + t80645;
  t82549 = t24418 * t81596;
  t82553 = t30141 * t81978;
  t82556 = t24435 * t81596;
  t82560 = t24477 * t81596;
  t82569 = t1038 * t80899;
  t82573 = t4626 * t45338;
  t82579 = 0.18e2 * t5665 * t34914 * t82569 + 0.6e1 * t5665 * t7089 * t82573 - t9710 + t9713 + t80672 + t80674 - t80676 - t80679 + t80681 - t80683 + 0.23e2 / 0.36e2 * t33869 * t15966;
  t82592 = t81275 * t17839;
  t82595 = t10358 * t45520;
  t82598 = t10447 * t80937;
  t82601 = t29474 * t45445;
  t82604 = t10358 * t45367;
  t82610 = t29468 * t81978;
  t82613 = t1018 * t81596;
  t82614 = t29474 * t82613;
  t82617 = t5595 * t81266;
  t82632 = -t1683 * t77127 / 0.12e2 + 0.11e2 / 0.6e1 * t10357 * t82610 - 0.23e2 / 0.12e2 * t10357 * t82614 - 0.5e1 / 0.36e2 * t6855 * t82617 - t1647 * t9369 / 0.4e1 - t1647 * t9402 / 0.4e1 - t5797 * t2395 - t6965 * t2258 / 0.4e1 - t6960 * t2258 / 0.4e1 - t1647 * t9510 / 0.2e1 - t1647 * t9499;
  t82638 = t1101 * t81108;
  t82643 = t9279 * t10344;
  t82644 = t82643 / 0.12e2;
  t82645 = t2178 * t6812;
  t82646 = t82645 / 0.12e2;
  t82647 = t9305 * t10339;
  t82648 = t82647 / 0.6e1;
  t82649 = t5674 * t81978;
  t82655 = t24435 * t81601;
  t82660 = t4305 * t2388 * t2196;
  t82664 = 0.3e1 / 0.2e1 * t1647 * t9502 + t1647 * t9506 / 0.2e1 + t1451 * t82638 / 0.3e1 + t442 * t50386 / 0.6e1 - t82644 - t82646 + t82648 - 0.8e1 / 0.3e1 * t10440 * t82649 + 0.16e2 / 0.3e1 * t10440 * t5691 * t82613 - 0.9e1 / 0.2e1 * t5639 * t1720 * t82655 + 0.3e1 / 0.2e1 * t5649 * t6827 * t82660;
  t82665 = -t16115 - t16120 + t16128 - t80685 + t80687 - t80689 + t80691 - t80693 + t80695 + t78508 + t78510;
  t82672 = my_piecewise3(t100, 0, t77122 - t76849 + t82665 + t82664 + t82632 + t82579 + t82547 + t82527 + t82080 + t82017 + t81967 - t81949 + t81929 + t81874 + t81824 + t81779 - t81748 + t81749 - t81746 - t81747 + t81732 + t81704 + t81660 + t81623 + t81590 + t81579 - t81576 + t81566 - t81563 + t81559 - t81547 - t81543 + t81544 + t81545 - t81546 + t81541 + t81542 + t81535 - t81502 + t81499 + t81501 - t81459 + t81460 + t81455 + t81430 + t81433 + t81424 + t81425 - t81422 + t81417 + t81372 + t81368 + t81340 + t81341 - t81329 - t81327 + t81324 - t81289 + t81284 - t81281 + t81270 - t81239 + t81218 + t81204 + t81179 + t81132 - t81107 - t81101 + t81091 + t81082 - t81045 - t81041 + t81043 + t81037 + t81018 + t80984 + t80961 - t80925 + t80926 + t80927 + t80919 - t80912 + t80915 - t80908 + t80904 - t80880 + t80877 + t80873 + t80866 - t80869 - t80862 - t80661 + t80663 - t80657 - t80659 + t80647 + t80614 - t80604 + t80606 - t80602 - t80581 + t80583 + t80577 + t80579 - t80573 + t80575 + t80567 + t80569 + t80571 - t80563 - t80564 + t80559 + t80560 - t80562 + t80554 + t80550 + t80552 - t80546 - t80548 - t80544 - t80538 - t80539 - t80540 - t80531 + t80527 - t80485 - t80470 - t78469 - t78437 + t78439 + t77784 + t77702 + t77700 - t77684 + t77644 + t77605 - t77593 - t77564 - t77566 + t77545 + t77547 - t1421 * t80856 / 0.6e1 - t2189 * t34303 / 0.12e2 + t490 * t77763 / 0.12e2 - t1421 * t81109 / 0.3e1 + 0.89e2 / 0.9e1 * t50143 * t81087 + t10440 * t81021 / 0.2e1 + t6769 * t81024 / 0.3e1 - 0.5e1 / 0.18e2 * t10357 * t81027 - t6769 * t81030 / 0.6e1 + 0.2e1 * t10440 * t81033 + t45286 * t10536 - 0.5e1 / 0.36e2 * t10357 * t80972 - t6764 * t77647 / 0.3e1 + t45289 * t10380 + t45289 * t10480 - t29985 * t10483 / 0.2e1 - 0.3e1 * t45332 * t80964 - t45293 * t10390 + t6769 * t77798 / 0.6e1 + t6772 * t76992 / 0.6e1 - t6764 * t80922 / 0.3e1 - t10725 * t80920 - 0.61e2 / 0.27e2 * t50143 * t81285 - t6804 * t16099 / 0.6e1 - t6808 * t16099 / 0.6e1 - t1683 * t81294 / 0.6e1 + t6788 * t81297 / 0.2e1 + t33829 * t16096 / 0.2e1 - 0.11e2 / 0.9e1 * t10357 * t81276 + t6769 * t78395 / 0.2e1 - t34216 * t15923 - t34529 * t15923 - t6769 * t81237 - t10357 * t81220 + t34216 * t15919 / 0.2e1 + t34529 * t15919 / 0.2e1 + t6769 * t81226 / 0.2e1 + t6769 * t81230 / 0.2e1 + t490 * t78369 / 0.12e2 - t6804 * t15916 / 0.3e1 + t490 * t77755 / 0.6e1 + t1660 * t15362 / 0.12e2 + t490 * t77751 / 0.6e1 + t1665 * t15376 / 0.6e1 - 0.5e1 / 0.36e2 * t9254 * t81201 + 0.9e1 / 0.2e1 * t10357 * t45340 + t2189 * t34634 / 0.6e1 + 0.3e1 / 0.2e1 * t1058 * t15981 - t1660 * t15315 / 0.6e1 - t1665 * t15315 / 0.6e1 - t490 * t77447 / 0.6e1 - t6808 * t15916 / 0.3e1 - t1683 * t81095 / 0.3e1 - t1683 * t77591 / 0.3e1 + t1665 * t15362 / 0.12e2 + t6012 * t81503 / 0.12e2 + t29985 * t10477 + 0.6e1 * t45286 * t10385 + 0.22e2 / 0.3e1 * t50125 * t81464 - 0.23e2 / 0.3e1 * t50125 * t81467 - t6955 * t9322 / 0.2e1 + 0.2e1 / 0.3e1 * t6804 * t15951 + 0.2e1 / 0.3e1 * t6808 * t15951 + 0.2e1 / 0.3e1 * t1683 * t45391 + t9469 * t1679 / 0.2e1 - t6928 * t81426 / 0.2e1 + t6764 * t81375 / 0.3e1 + 0.5e1 / 0.12e2 * t10357 * t81378 - 0.5e1 / 0.18e2 * t10357 * t81381 - 0.35e2 / 0.108e3 * t50143 * t81384 - t1383 * t10739 / 0.2e1 - t1383 * t10742 / 0.2e1 - t5814 * t2398 / 0.2e1 - t29078 * t2390 + t10440 * t81373 - t1397 * t10421 / 0.6e1 - t1402 * t10421 / 0.6e1 - t1660 * t9531 / 0.12e2 - t1665 * t9531 / 0.12e2 - t490 * t44617 / 0.12e2 - 0.11e2 / 0.18e2 * t33906 * t15972 - 0.6e1 * t50772 * t81784 + t10440 * t81744 - 0.2e1 * t10440 * t45521 - 0.2e1 * t10440 * t81738 + 0.2e1 * t10440 * t81741 + t2189 * t34473 / 0.3e1 + t1070 * t15903 / 0.2e1 + t1058 * t15903 / 0.2e1 + 0.23e2 / 0.36e2 * t6855 * t81673 - 0.11e2 / 0.18e2 * t6855 * t81676 + t9469 * t1657 / 0.4e1 + t10426 * t1447 / 0.2e1 + t1402 * t15926 / 0.12e2 + 0.3e1 * t6769 * t81603 - t6769 * t81608 - 0.6e1 * t45286 * t10527 + t50267 * t457 / 0.2e1 - t10426 * t1443 / 0.2e1 + 0.2e1 * t51962 * t81580 - t10725 * t81567 / 0.2e1 - t34222 * t15891 / 0.3e1 - t34669 * t15891 / 0.3e1 - 0.11e2 / 0.9e1 * t10357 * t81538 - 0.5e1 / 0.36e2 * t33906 * t16093 - t5792 * t10325 + t1383 * t10518 + 0.3e1 / 0.2e1 * t10357 * t82553 - t51333 * t1411 - 0.3e1 * t10357 * t45353 + 0.7e1 / 0.3e1 * t10357 * t46657 + t10725 * t82053 - 0.62e2 / 0.3e1 * t82045 * t82047 + t442 * t82021 / 0.12e2 - 0.3e1 / 0.4e1 * t6769 * t81975 + 0.5e1 / 0.12e2 * t10357 * t81979 + t6769 * t81983 / 0.4e1 - 0.3e1 / 0.2e1 * t6769 * t81986 + t6769 * t81989 / 0.2e1 + t5673 * t81943 / 0.12e2 - 0.3e1 * t4188 * t15986 + 0.3e1 * t45289 * t10490 + t45289 * t10494 + t50860 * t9454 / 0.2e1 + t50860 * t9464 / 0.2e1 - t34833 * t9460 / 0.4e1 - 0.3e1 * t50772 * t81891 - t10440 * t81894 + t6769 * t81896 / 0.4e1 + t6764 * t77251 / 0.3e1 + t6772 * t77731 / 0.2e1 - t6769 * t77740 / 0.6e1 - t6772 * t77745 / 0.6e1 + 0.3e1 / 0.2e1 * t29436 * t15854 - t10426 * t1439 + t29346 * t15858 + 0.2e1 / 0.3e1 * t24973 * t81794 + t6769 * t77606 / 0.6e1 + 0.23e2 / 0.36e2 * t33906 * t15966 - 0.2e1 * t33829 * t15969 - 0.2e1 * t34190 * t15969 - 0.2e1 * t6788 * t45113 - 0.11e2 / 0.18e2 * t33869 * t15972 + 0.14e2 / 0.3e1 * t45332 * t82592 + 0.23e2 / 0.36e2 * t10357 * t82595 - 0.11e2 / 0.18e2 * t10357 * t82598 - 0.23e2 / 0.12e2 * t10357 * t82601 + 0.23e2 / 0.18e2 * t10357 * t82604 - t318 * t16090 / 0.4e1 - 0.5e1 / 0.36e2 * t33869 * t16093 + 0.3e1 / 0.2e1 * t4695 * t34231 * t15861 - 0.3e1 / 0.2e1 * t5665 * t7081 * t15897 - 0.18e2 * t5665 * t34896 * t81883 - 0.9e1 / 0.2e1 * t5665 * t7093 * t81887 - 0.3e1 / 0.2e1 * t5665 * t1720 * t77636 - 0.3e1 * t373 * t34066 * t16106 + 0.8e1 * t5665 * t7089 * t82024 + 0.9e1 / 0.2e1 * t5665 * t1720 * t82028 - 0.7e1 * t45332 * t29468 * t82033 - 0.3e1 * t4695 * t34019 * t16106 + 0.18e2 * t50125 * t10358 * t81442 - 0.3e1 * t5649 * t34151 * t15985 + 0.9e1 * t5639 * t7093 * t82082 - 0.6e1 * t5639 * t7093 * t82086 + 0.3e1 * t5665 * t7093 * t82094 + 0.47e2 / 0.3e1 * t82045 * t29474 * t81185 + 0.36e2 * t5639 * t34896 * t82533 + 0.9e1 * t5639 * t7093 * t82549 - 0.9e1 / 0.2e1 * t5665 * t7093 * t82556 - 0.9e1 / 0.2e1 * t10513 * t7093 * t82560 - 0.28e2 * t81183 * t10447 * t81185 + t5665 * t494 * t77534 / 0.2e1 - 0.8e1 * t5639 * t7089 * t81597 - t373 * t1693 * t78373 / 0.4e1 + t373 * t6974 * t15319 / 0.2e1 + 0.12e2 * t50772 * t5695 * t81086 - 0.3e1 / 0.2e1 * t5665 * t494 * t77086 + t5665 * t494 * t77091 + t4695 * t6760 * t15319 / 0.2e1 - 0.2e1 / 0.3e1 * t6769 * t45452 * t9327 + t5665 * t7075 * t15857 + t5665 * t1716 * t78478 + t5665 * t1716 * t81833 - 0.6e1 * t5665 * t34927 * t81836 - 0.3e1 / 0.2e1 * t5665 * t7086 * t81840 + 0.3e1 * t5665 * t7086 * t81844 - t5665 * t1716 * t77525 + t5665 * t1716 * t77529 / 0.2e1 - 0.18e2 * t10513 * t34896 * t81142 - 0.9e1 / 0.2e1 * t10513 * t7093 * t81146 + 0.3e1 * t10513 * t7093 * t81150 + 0.3e1 / 0.2e1 * t30451 * t34151 * t15886 + 0.9e1 / 0.2e1 * t10357 * t29474 * t4191 * t81596 + 0.2e1 / 0.3e1 * t4533 * t1430 * t10424 * t2337 + t15914 - t15910 - t16104 + t9543 + t9535 - t9487 - t9485 + t9482);
  tv4rhosigma2lapl23 = t3 * t82672 + t16132;

  if(out->v4rhosigma2lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2lapl[ip*p->dim.v4rhosigma2lapl + 23] += tv4rhosigma2lapl23;

  t82680 = t7213 * t8694;
  t82681 = t1254 * t82680;
  t82687 = t4851 * t10813;
  t82693 = t637 * t16183 / 0.2e1;
  t82698 = -t37136 * t15697 / 0.2e1 - t36923 * t15697 / 0.2e1 - t7187 * t78599 / 0.2e1 - t1252 * t82681 / 0.3e1 + t8844 * t10814 + t2098 * t35520 / 0.3e1 - 0.11e2 / 0.18e2 * t8710 * t82687 - t2098 * t36664 / 0.6e1 + t82693 + t1228 * t11001 + t1228 * t11004 + 0.2e1 / 0.3e1 * t7228 * t15724;
  t82701 = t7251 * t42272;
  t82702 = t82701 / 0.3e1;
  t82704 = t246 * t7384 * t15673;
  t82705 = t82704 / 0.2e1;
  t82706 = t8809 * t1807;
  t82707 = t82706 / 0.12e2;
  t82722 = 0.2e1 / 0.3e1 * t7233 * t15724 + t78547 + t82702 + t82705 - t82707 - t417 * t54256 / 0.6e1 - t417 * t54033 / 0.6e1 - t8654 * t7516 / 0.12e2 - t2098 * t35472 / 0.12e2 - t2098 * t35476 / 0.12e2 + t5277 * t2462 / 0.2e1 + t5266 * t2462 / 0.2e1;
  t82727 = t843 * t41274 * t1805;
  t82732 = t8718 * t10814;
  t82733 = t82732 / 0.6e1;
  t82734 = t52780 * t1255;
  t82735 = t1254 * t82734;
  t82744 = t630 * t16278;
  t82745 = t82744 / 0.2e1;
  t82747 = -t515 * t41276 / 0.12e2 - t211 * t82727 / 0.12e2 + t9136 * t1811 / 0.4e1 - t82733 - t1252 * t82735 / 0.3e1 - t2089 + t2160 - t78592 - t246 * t7525 * t15204 / 0.4e1 - t246 * t1797 * t75766 / 0.4e1 - t82745 + t1770 * t8969;
  t82751 = t1768 * t15565;
  t82752 = t4851 * t82751;
  t82759 = t630 * t16189;
  t82760 = t82759 / 0.4e1;
  t82761 = t608 * t16189;
  t82762 = t82761 / 0.4e1;
  t82765 = t246 * t7400 * t2117 * t249;
  t82766 = t82765 / 0.4e1;
  t82772 = t5234 * t2453 / 0.3e1;
  t82774 = 0.2e1 / 0.9e1 * t7276 * t15724;
  t82775 = t543 * t2084;
  t82777 = t4873 * t3264 * t82775;
  t82778 = t20708 * t82777;
  t82779 = t82778 / 0.3e1;
  t82780 = -0.3e1 * t1770 * t8918 - t1770 * t8863 + 0.7e1 / 0.3e1 * t41080 * t82752 + t1770 * t8866 / 0.2e1 - t7587 * t8889 / 0.2e1 + t82760 + t82762 + t82766 - t1242 * t10965 / 0.6e1 - t1247 * t10965 / 0.6e1 + t82772 + t82774 + t82779;
  t82785 = t4983 * t7686 * t76426;
  t82786 = 0.3e1 * t82785;
  t82788 = t4772 * t7686 * t80120;
  t82789 = 0.3e1 / 0.2e1 * t82788;
  t82790 = t41761 * t11217;
  t82791 = t82790 / 0.6e1;
  t82798 = t42546 * t530 / 0.12e2;
  t82800 = t8625 * t7532 / 0.36e2;
  t82805 = t26650 * t11242 - t82786 + t82789 - t82791 + t4983 * t1876 * t76438 / 0.2e1 + t78635 + t75147 + t2098 * t36044 / 0.3e1 + t82798 - t82800 - t8654 * t7595 / 0.6e1 - t2098 * t36051 / 0.6e1;
  t82807 = t37183 * t2154 / 0.6e1;
  t82825 = t1218 * t10808 / 0.18e2;
  t82827 = t52501 * t432 / 0.6e1;
  t82829 = t8619 * t1765 / 0.18e2;
  t82832 = -t82807 + t7592 * t2170 / 0.2e1 + t7600 * t2170 / 0.2e1 + t8654 * t7582 / 0.3e1 + t42034 * t530 / 0.4e1 - t7592 * t2162 / 0.2e1 - t7600 * t2162 / 0.2e1 + t2093 * t7606 / 0.6e1 + t8649 * t1765 / 0.6e1 - t82825 + t82827 + t82829 - t36038 * t2154 / 0.2e1;
  t82837 = t7611 * t2162 / 0.6e1;
  t82854 = t222 * t16349;
  t82859 = t191 * t242 * t16347 * t243;
  t82862 = -t36048 * t2154 / 0.2e1 - t82837 - t1755 * t9131 / 0.12e2 - t515 * t42029 / 0.12e2 - t1750 * t9131 / 0.12e2 - t8654 * t7532 / 0.12e2 - t2098 * t36756 / 0.12e2 - t417 * t54480 / 0.6e1 - t1242 * t10808 / 0.6e1 - t1247 * t10808 / 0.6e1 - t211 * t82854 / 0.12e2 + t82859 * t250 / 0.4e1;
  t82874 = t7276 * t15622;
  t82875 = t82874 / 0.36e2;
  t82877 = t7276 * t15629 / 0.18e2;
  t82879 = t35441 * t15606 / 0.6e1;
  t82880 = t7183 * t15611;
  t82881 = t82880 / 0.18e2;
  t82883 = t1218 * t16167 / 0.36e2;
  t82884 = t637 * t16247;
  t82886 = t637 * t16180 / 0.6e1;
  t82887 = t7243 * t78526 - 0.2e1 * t35579 * t15570 - 0.2e1 * t35584 * t15570 - 0.2e1 * t7243 * t41385 - 0.11e2 / 0.18e2 * t35814 * t15573 - 0.11e2 / 0.18e2 * t35507 * t15573 - t82875 - t82877 + t82879 + t82881 + t82883 - t82884 + t82886;
  t82892 = t637 * t16257 / 0.6e1;
  t82894 = t3051 * t16254 / 0.6e1;
  t82896 = t8619 * t1807 / 0.18e2;
  t82898 = t637 * t16173 / 0.6e1;
  t82908 = t7254 * t79162;
  t82909 = t82908 / 0.6e1;
  t82914 = t82892 - t82894 + t82896 - t82898 + 0.3e1 * t3061 * t16149 + 0.3e1 * t679 * t36680 * t15702 + t10838 * t79173 / 0.2e1 + t10838 * t79171 - t10838 * t79168 + t82909 + t7251 * t78627 / 0.3e1 + 0.5e1 / 0.3e1 * t52236 * t80368;
  t82925 = t7228 * t15622;
  t82926 = t82925 / 0.12e2;
  t82927 = t7233 * t15622;
  t82928 = t82927 / 0.12e2;
  t82929 = t1779 * t78672;
  t82930 = t82929 / 0.12e2;
  t82939 = -0.6e1 * t4983 * t7680 * t79047 + t78740 - t7254 * t79262 / 0.3e1 - t11019 * t79254 + t515 * t75382 / 0.12e2 - t7228 * t15635 / 0.3e1 - t82926 - t82928 - t82930 - 0.5e1 / 0.36e2 * t35814 * t15626 - 0.5e1 / 0.36e2 * t35507 * t15626 - 0.5e1 / 0.36e2 * t7196 * t78914 + t1750 * t15137 / 0.6e1;
  t82957 = t1755 * t15137 / 0.6e1 + t35579 * t15606 / 0.2e1 + t35584 * t15606 / 0.2e1 + t7243 * t78779 / 0.2e1 - t7228 * t15629 / 0.6e1 - t7233 * t15629 / 0.6e1 - t1779 * t78680 / 0.6e1 + t78761 - t78763 + t75235 + t78764 - t2098 * t36555 / 0.6e1;
  t82967 = t3051 * t16149;
  t82971 = t3562 * t525;
  t82972 = t82971 * t8791;
  t82978 = t11224 * t8842;
  t82982 = t11224 * t2096;
  t82993 = -t2098 * t37249 / 0.6e1 - 0.3e1 * t630 * t16247 - 0.3e1 * t608 * t16247 - 0.3e1 * t246 * t36680 * t15592 + t82967 - t10777 * t1282 - t26650 * t10879 / 0.2e1 - t4882 * t82972 / 0.6e1 + 0.3e1 / 0.2e1 * t3266 * t35984 * t15602 - 0.3e1 * t3266 * t82978 * t1274 - t3266 * t82982 * t3410 - t3266 * t7361 * t15204 / 0.4e1 - t20708 * t4877 * t670 * t512 * t15128 / 0.3e1;
  t83002 = t41761 * t10884;
  t83003 = t83002 / 0.12e2;
  t83004 = t42408 * t7358;
  t83005 = t83004 / 0.12e2;
  t83006 = t42342 * t11167;
  t83007 = t83006 / 0.6e1;
  t83019 = t4772 * t1872 * t75908 / 0.2e1 + t4772 * t519 * t75899 / 0.2e1 - t83003 + t83005 + t83007 - t7251 * t76513 / 0.6e1 - t7248 * t76518 / 0.6e1 + t7251 * t78701 / 0.2e1 + t7251 * t78696 / 0.2e1 - t78862 - t78863 - 0.2e1 / 0.3e1 * t20708 * t41697 * t52971;
  t83022 = t42708 * t10860 + t42708 * t10863 + t75431 - t75451 - t75454 + t75456 - t78864 + t78865 + t78868 + t78869 - t78870 - t78871 - t78872;
  t83024 = t7251 * t42701;
  t83025 = 0.2e1 / 0.3e1 * t83024;
  t83032 = t3156 * t17361;
  t83037 = t53027 * t8766;
  t83043 = t10757 * t78642;
  t83044 = t83043 / 0.2e1;
  t83045 = -t83025 - 0.6e1 * t42708 * t11239 - t78927 - t78928 + 0.6e1 * t43351 * t10912 + 0.2e1 * t43351 * t10905 - 0.3e1 * t26808 * t78631 * t83032 - t43357 * t10907 + t4872 * t83037 / 0.6e1 + t7251 * t75179 / 0.6e1 - t10757 * t80204 - t83044;
  t83046 = t10757 * t80392;
  t83047 = 0.11e2 / 0.18e2 * t83046;
  t83048 = t10757 * t78854;
  t83049 = 0.23e2 / 0.36e2 * t83048;
  t83062 = t7742 * t15611;
  t83063 = t83062 / 0.6e1;
  t83064 = t7746 * t15611;
  t83065 = t83064 / 0.6e1;
  t83066 = t1815 * t79070;
  t83067 = t83066 / 0.6e1;
  t83069 = t8625 * t7491 / 0.9e1;
  t83072 = t3266 * t7351 * t8892 * t1281;
  t83073 = t83072 / 0.2e1;
  t83074 = -t83047 + t83049 - 0.61e2 / 0.27e2 * t52309 * t78744 + t7251 * t75412 / 0.3e1 - t1779 * t76368 / 0.6e1 + t7746 * t15615 / 0.3e1 + t1815 * t79075 / 0.3e1 + t1815 * t76379 / 0.3e1 + t83063 + t83065 + t83067 + t83069 - t83073;
  t83079 = t7351 * t2085;
  t83081 = t3266 * t83079 * t826;
  t83082 = t83081 / 0.4e1;
  t83101 = t1218 * t10965 / 0.18e2;
  t83102 = -t83082 + 0.2e1 / 0.3e1 * t7251 * t43348 - 0.7e1 * t10757 * t43233 + 0.14e2 / 0.3e1 * t10757 * t42251 + 0.89e2 / 0.9e1 * t52309 * t78873 + 0.6e1 * t52236 * t78749 + 0.3e1 / 0.2e1 * t10757 * t78752 - t10757 * t78756 - 0.38e2 / 0.9e1 * t52309 * t78758 - t10757 * t78881 / 0.2e1 - t83101 - t75579;
  t83104 = t10838 * t80398;
  t83109 = t53260 * t8708;
  t83114 = t30 * t4984 * t21138;
  t83115 = t512 * t2090;
  t83116 = t670 * t83115;
  t83127 = -t75581 - t75584 - t75586 + t42708 * t10832 + t83104 + 0.22e2 / 0.3e1 * t52236 * t80179 - 0.11e2 / 0.9e1 * t10757 * t78846 + 0.3e1 / 0.2e1 * t3266 * t83109 * t8922 + 0.12e2 * t83114 * t4873 * t83116 + 0.3e1 / 0.2e1 * t3266 * t36452 * t15707 + t26260 * t16232 - 0.6e1 * t4772 * t36211 * t79533;
  t83139 = t9744 * t4991 * t10882;
  t83145 = t9845 * t11220;
  t83148 = -0.3e1 / 0.2e1 * t4772 * t7690 * t79529 + 0.3e1 * t4772 * t7690 * t78941 - 0.3e1 * t4993 * t83109 * t8933 - 0.3e1 / 0.2e1 * t41686 * t83139 + 0.3e1 / 0.2e1 * t26550 * t83109 * t8928 + 0.7e1 / 0.3e1 * t41686 * t83145 - t75635 - t75637 - t75641 - t79090 + t79091 - t79096;
  t83150 = t9877 * t7686 * t76422;
  t83151 = 0.3e1 / 0.2e1 * t83150;
  t83171 = t79097 + t83151 - 0.3e1 / 0.2e1 * t4772 * t519 * t75186 + t4772 * t519 * t76496 + 0.2e1 / 0.3e1 * t20708 * t26405 * t670 * t512 * t15076 + t3266 * t7361 * t15078 / 0.2e1 - t41751 * t11167 / 0.2e1 - t41784 * t7358 / 0.6e1 + t41787 * t10884 / 0.2e1 + t75683 + t75685 - t79102 - t79103;
  t83174 = t7251 * t78892;
  t83175 = t83174 / 0.6e1;
  t83176 = t10757 * t78888;
  t83177 = 0.5e1 / 0.36e2 * t83176;
  t83178 = t7251 * t78885;
  t83179 = t83178 / 0.12e2;
  t83198 = t83175 - t83177 - t83179 + 0.5e1 / 0.12e2 * t10757 * t80371 - 0.5e1 / 0.18e2 * t10757 * t80365 - 0.35e2 / 0.108e3 * t52309 * t80362 - 0.5e1 / 0.36e2 * t10757 * t80356 - t7254 * t75400 / 0.3e1 - t7248 * t75397 / 0.3e1 + t7251 * t75390 / 0.6e1 + t7248 * t75393 / 0.6e1 + t52942 * t8775 / 0.2e1;
  t83201 = t43371 * t10883;
  t83227 = t26535 * t16234 / 0.2e1;
  t83228 = t52942 * t8780 / 0.2e1 - t4872 * t83201 / 0.3e1 + 0.2e1 / 0.3e1 * t4872 * t41850 * t11220 - t43357 * t11226 + t7254 * t79251 / 0.3e1 - t36004 * t8783 / 0.4e1 - 0.11e2 / 0.9e1 * t10757 * t80245 + t79111 + 0.6e1 * t4772 * t7680 * t79118 - 0.6e1 * t4772 * t7680 * t79122 - 0.28e2 * t79127 * t9845 * t83116 - 0.3e1 * t3266 * t37339 * t15592 + t83227;
  t83231 = t9744 * t10883;
  t83236 = t543 * t1237;
  t83237 = t253 * t83236;
  t83238 = t4873 * t83237;
  t83243 = t41850 * t10883;
  t83246 = t42321 * t10883;
  t83249 = t52331 * t8766;
  t83252 = t36464 * t8766;
  t83255 = t75700 + t75702 + t75705 - t26650 * t10857 - 0.5e1 / 0.36e2 * t41686 * t83231 + t41843 * t36802 / 0.6e1 - t4872 * t83238 / 0.6e1 + t4882 * t53817 / 0.6e1 - t4872 * t83243 / 0.6e1 + t4761 * t83246 / 0.3e1 + t4872 * t83249 / 0.12e2 - t4761 * t83252 / 0.6e1;
  t83256 = t512 * t2084;
  t83259 = t26808 * t9744 * t3156 * t83256;
  t83260 = 0.3e1 / 0.2e1 * t83259;
  t83262 = t4993 * t7457 * t15170;
  t83263 = t83262 / 0.2e1;
  t83265 = t4983 * t1876 * t75036;
  t83267 = t37357 * t15646 / 0.12e2;
  t83278 = -t75726 + t75728 - t75733 - t79187 + t79196 - t83260 - t83263 + t83265 + t83267 + 0.2e1 / 0.3e1 * t1779 * t43287 + 0.2e1 / 0.3e1 * t1779 * t41008 - t10777 * t1286 / 0.2e1 + 0.2e1 / 0.3e1 * t3396 * t1261 * t10775 * t2266;
  t83284 = t8911 * t10985;
  t83285 = t83284 / 0.6e1;
  t83286 = t2087 * t7215;
  t83287 = t83286 / 0.12e2;
  t83290 = t4808 * t10813;
  t83301 = t637 * t16142;
  t83302 = t83301 / 0.6e1;
  t83303 = t10777 * t1290 / 0.2e1 + t83285 + t83287 + t2098 * t35892 / 0.6e1 - 0.5e1 / 0.36e2 * t8710 * t83290 - t2098 * t35781 / 0.12e2 + t1815 * t76606 / 0.6e1 + 0.23e2 / 0.36e2 * t7196 * t78664 + 0.7e1 / 0.3e1 * t35814 * t15579 - t16134 + t16144 + t83302;
  t83305 = t5234 * t2462 / 0.6e1;
  t83307 = t8625 * t7516 / 0.36e2;
  t83323 = t637 * t16189;
  t83324 = t83323 / 0.12e2;
  t83326 = 0.7e1 / 0.9e1 * t35320 * t15579;
  t83327 = t1770 * t8898;
  t83328 = t83327 / 0.4e1;
  t83330 = t1261 * t1768 * t15609;
  t83331 = t3396 * t83330;
  t83332 = t83331 / 0.3e1;
  t83333 = t83305 - t83307 - t9136 * t1793 / 0.2e1 - t9136 * t1798 / 0.4e1 + t3396 * t1261 * t9134 * t37476 / 0.3e1 + t9136 * t1802 / 0.4e1 - 0.11e2 / 0.18e2 * t7196 * t79331 + t35584 * t15567 - t182 * t16146 / 0.4e1 + t83324 + t83326 - t83328 + t83332;
  t83335 = t1770 * t8972;
  t83336 = t83335 / 0.4e1;
  t83337 = t1770 * t8894;
  t83338 = t83337 / 0.2e1;
  t83345 = t4808 * t10817;
  t83358 = t83336 - t83338 + 0.2e1 / 0.3e1 * t1252 * t54510 - 0.2e1 * t8844 * t10818 - 0.2e1 / 0.3e1 * t2098 * t35900 + 0.23e2 / 0.36e2 * t8710 * t83345 - 0.4e1 * t10838 * t78973 - 0.4e1 / 0.3e1 * t7251 * t41698 + 0.23e2 / 0.18e2 * t10757 * t78645 + t43351 * t11208 - t42708 * t11211 + 0.2e1 * t10838 * t78849;
  t83363 = t4983 * t7680 * t75112;
  t83364 = 0.3e1 * t83363;
  t83375 = t11224 * t8716;
  t83377 = t4993 * t83375 * t1269;
  t83378 = t83377 / 0.2e1;
  t83380 = -t4772 * t1876 * t76415 / 0.2e1 + t83364 - 0.7e1 * t26808 * t26847 * t670 * t11206 * t414 - 0.3e1 / 0.2e1 * t3266 * t7457 * t80229 - t8624 + t8645 - t8647 - 0.4e1 * t10838 * t42313 - t83378 + t10838 * t78636 + t75810 + t79222 + t79223;
  t83384 = 0.11e2 / 0.54e2 * t35320 * t15573;
  t83407 = -t83384 + t26047 * t16229 / 0.12e2 + t26642 * t16229 / 0.12e2 + t7251 * t80382 / 0.4e1 + 0.2e1 * t53040 * t78996 + t36448 * t15646 / 0.4e1 + t36429 * t15646 / 0.4e1 + t7251 * t80377 / 0.4e1 + t7251 * t76402 / 0.4e1 - t11019 * t78986 / 0.2e1 - t37284 * t15643 / 0.3e1 - t37275 * t15643 / 0.3e1;
  t83413 = t2087 * t7374;
  t83414 = t83413 / 0.12e2;
  t83415 = t2087 * t7402;
  t83416 = t83415 / 0.12e2;
  t83422 = t7611 * t2170 / 0.6e1;
  t83424 = t8625 * t7595 / 0.18e2;
  t83425 = t8622 * t1765;
  t83426 = t83425 / 0.36e2;
  t83428 = t1760 * t9131 / 0.36e2;
  t83431 = t11019 * t78993 / 0.2e1 - t11019 * t78991 - 0.3e1 * t53916 * t79165 - t8720 - t83414 - t83416 - t630 * t16135 / 0.4e1 - t608 * t16135 / 0.4e1 + t83422 - t83424 - t83426 - t83428 + t10777 * t1239 / 0.2e1;
  t83433 = t8809 * t1765;
  t83434 = t83433 / 0.12e2;
  t83435 = t2087 * t7606;
  t83436 = t83435 / 0.12e2;
  t83441 = t7592 * t2158;
  t83442 = t83441 / 0.4e1;
  t83443 = t7600 * t2158;
  t83444 = t83443 / 0.4e1;
  t83445 = t7611 * t2158;
  t83446 = t83445 / 0.12e2;
  t83448 = t8625 * t7582 / 0.9e1;
  t83456 = -t83434 - t83436 + t54156 * t432 / 0.2e1 + t54162 * t432 / 0.2e1 + t83442 + t83444 + t83446 + t83448 + t9136 * t1747 / 0.4e1 + t42579 * t530 / 0.4e1 - t30 * t9125 * t544 / 0.4e1 - t16163;
  t83467 = t4867 * t10813;
  t83471 = t4808 * t7585 * t1255;
  t83478 = t16165 + 0.3e1 / 0.2e1 * t36012 * t8929 - t41073 * t1785 / 0.2e1 + t9136 * t1788 / 0.2e1 - 0.3e1 * t7587 * t8934 + 0.3e1 / 0.2e1 * t1770 * t8923 - t8710 * t83467 / 0.2e1 - 0.3e1 / 0.2e1 * t8710 * t83471 - t16171 - t36448 * t15650 - t36429 * t15650 - t7251 * t79392 - t7251 * t79437;
  t83507 = -t7251 * t75121 + 0.9e1 * t4983 * t7686 * t79566 - 0.6e1 * t4983 * t7686 * t79570 - 0.62e2 / 0.3e1 * t79576 * t47807 * t3156 * t83115 - 0.3e1 * t4993 * t35984 * t15597 - t4983 * t1876 * t75140 + t4772 * t1876 * t75133 - 0.18e2 * t4983 * t36084 * t79055 - t79273 + t75849 - t75851 - t7251 * t78898 / 0.6e1;
  t83513 = t3266 * t83375 * t1274;
  t83514 = t83513 / 0.2e1;
  t83522 = t36791 * t15643 / 0.9e1;
  t83526 = -0.5e1 / 0.18e2 * t10757 * t78632 - 0.3e1 / 0.2e1 * t7251 * t79650 + t83514 + 0.3e1 * t79563 * t11232 - 0.6e1 * t43351 * t11236 + 0.3e1 * t42708 * t11214 - t83522 + 0.3e1 * t4993 * t37339 * t15702 - t79324 - t79325 + t79326 + t79327;
  t83539 = t7251 * t80395;
  t83540 = t83539 / 0.3e1;
  t83541 = t7251 * t80387;
  t83542 = t83541 / 0.6e1;
  t83544 = -t79329 - t79330 + t8741 - t7254 * t80442 / 0.3e1 + t11019 * t80099 + 0.2e1 / 0.3e1 * t7254 * t80436 - 0.3e1 / 0.4e1 * t7251 * t80439 + 0.5e1 / 0.12e2 * t10757 * t80168 + t7251 * t80164 / 0.4e1 + t83540 - t83542 + t10838 * t78561;
  t83547 = t10838 * t78895;
  t83548 = t83547 / 0.2e1;
  t83549 = t7254 * t79590;
  t83550 = t83549 / 0.6e1;
  t83551 = t11019 * t78737;
  t83552 = t83551 / 0.2e1;
  t83560 = 0.4e1 * t10838 * t42705 + t75882 + t79340 + t83548 - t79341 - t75894 - t83550 - t83552 + t16191 - t7251 * t80157 + 0.16e2 / 0.3e1 * t10838 * t80233 + 0.3e1 * t7251 * t79210 - 0.23e2 / 0.12e2 * t10757 * t80153;
  t83572 = t17334 * t2105;
  t83574 = t4877 * t3264 * t83572;
  t83591 = t16199 - t16203 - 0.9e1 / 0.2e1 * t4772 * t7686 * t79523 + t3266 * t10856 * t42516 / 0.2e1 + t3266 * t10878 * t42508 / 0.2e1 - t20708 * t83574 / 0.3e1 - t3266 * t11225 * t43309 / 0.2e1 + 0.3e1 / 0.2e1 * t10757 * t79239 + 0.9e1 / 0.2e1 * t10757 * t79226 + 0.9e1 * t4983 * t7686 * t79519 - t7254 * t75162 / 0.6e1 + 0.11e2 / 0.6e1 * t10757 * t78542;
  t83593 = t26856 * t16229 / 0.36e2;
  t83619 = t83593 - t7248 * t75167 / 0.6e1 + t7251 * t75173 / 0.12e2 + t7248 * t75419 / 0.12e2 + 0.2e1 / 0.3e1 * t7251 * t78842 - t7251 * t78838 / 0.3e1 - t1750 * t15084 / 0.6e1 - t1755 * t15084 / 0.6e1 - t515 * t75660 / 0.6e1 + 0.3e1 / 0.2e1 * t608 * t16183 + 0.3e1 / 0.2e1 * t246 * t35762 * t15707 + 0.3e1 * t3070 * t16149 + t2093 * t7402 / 0.6e1;
  t83648 = t630 * t16180 / 0.2e1 + t608 * t16180 / 0.2e1 + t246 * t7525 * t15078 / 0.2e1 + 0.3e1 / 0.2e1 * t630 * t16183 - t630 * t16173 / 0.2e1 - t608 * t16173 / 0.2e1 - t246 * t7400 * t2120 * t597 / 0.2e1 + t8649 * t1807 / 0.6e1 + t2093 * t7374 / 0.6e1 - 0.3e1 / 0.2e1 * t10757 * t42424 - 0.23e2 / 0.3e1 * t52236 * t78552 - 0.23e2 / 0.12e2 * t10757 * t79337;
  t83660 = t253 * t16227 * t206;
  t83661 = t5175 * t83660;
  t83673 = t7228 * t15632;
  t83674 = t83673 / 0.6e1;
  t83675 = t7233 * t15632;
  t83676 = t83675 / 0.6e1;
  t83677 = t1779 * t80299;
  t83678 = t83677 / 0.6e1;
  t83679 = -t26650 * t10866 / 0.2e1 - t8811 - 0.9e1 / 0.2e1 * t4983 * t1876 * t80175 + 0.3e1 / 0.2e1 * t4993 * t7457 * t80160 - 0.8e1 / 0.3e1 * t10838 * t80101 + t4872 * t83661 / 0.6e1 + t4993 * t11225 * t43320 / 0.2e1 - t7233 * t15635 / 0.3e1 - t1779 * t80328 / 0.3e1 - t1779 * t76618 / 0.3e1 - t83674 - t83676 - t83678;
  t83706 = t515 * t75870 / 0.6e1 + t515 * t75874 / 0.6e1 + t1750 * t15131 / 0.12e2 + t1755 * t15131 / 0.12e2 + t515 * t75273 / 0.12e2 - t8829 + 0.9e1 / 0.2e1 * t10757 * t43276 - 0.3e1 * t10757 * t41703 - 0.43e2 / 0.9e1 * t52309 * t79370 - 0.3e1 / 0.2e1 * t26260 * t16287 - 0.3e1 / 0.2e1 * t26266 * t16287 - 0.3e1 / 0.2e1 * t4772 * t7665 * t15656;
  t83724 = t37357 * t15712 / 0.6e1;
  t83725 = -0.3e1 / 0.2e1 * t4772 * t1876 * t80195 - 0.3e1 / 0.2e1 * t4772 * t1876 * t75151 + 0.6e1 * t4983 * t7680 * t79051 + t15091 - t15652 + t15653 - t15654 + t15655 + t15103 + 0.18e2 * t4772 * t36084 * t79114 + 0.7e1 / 0.3e1 * t10757 * t42247 + 0.18e2 * t52236 * t79362 + t83724;
  t83738 = t4877 * t10883;
  t83748 = 0.5e1 / 0.108e3 * t35320 * t15626;
  t83750 = t1760 * t15137 / 0.18e2;
  t83752 = t1760 * t15131 / 0.36e2;
  t83754 = t7276 * t15635 / 0.9e1;
  t83755 = t7276 * t15632;
  t83756 = t83755 / 0.18e2;
  t83757 = -0.18e2 * t4983 * t36075 * t79274 + 0.18e2 * t9877 * t36075 * t79269 - 0.2e1 * t52309 * t80209 + 0.6e1 * t4772 * t36075 * t79278 - t41686 * t83738 / 0.2e1 + 0.36e2 * t4983 * t36087 * t79036 - 0.6e1 * t48902 * t36075 * t80212 - t83748 + t83750 + t83752 - t83754 - t83756;
  t83758 = t7276 * t15639;
  t83759 = t83758 / 0.9e1;
  t83766 = t7587 * t8937;
  t83767 = t83766 / 0.2e1;
  t83768 = t1770 * t8739;
  t83769 = t83768 / 0.2e1;
  t83779 = t8625 * t7487 / 0.18e2;
  t83780 = t83759 + t2098 * t36668 / 0.3e1 - t7587 * t8849 + 0.3e1 * t7587 * t8852 + t7587 * t8736 - t83767 + t83769 - t54113 * t1270 + t10777 * t1275 - t7254 * t78978 / 0.3e1 - t7254 * t75032 / 0.3e1 - t7254 * t79213 / 0.3e1 - t83779;
  t83784 = t637 * t16260 / 0.2e1;
  t83786 = t637 * t16135 / 0.12e2;
  t83787 = t8622 * t1807;
  t83788 = t83787 / 0.36e2;
  t83790 = t35441 * t15567 / 0.3e1;
  t83791 = t7228 * t15639;
  t83792 = t83791 / 0.3e1;
  t83793 = t7233 * t15639;
  t83794 = t83793 / 0.3e1;
  t83795 = t1779 * t42525;
  t83796 = t83795 / 0.3e1;
  t83797 = t843 * t82680;
  t83803 = t35320 * t15576 / 0.6e1;
  t83808 = t83784 - t83786 - t83788 + t83790 + t83792 + t83794 + t83796 + t1294 * t83797 / 0.3e1 - t8837 * t10985 / 0.2e1 - t83803 + t1228 * t10994 / 0.2e1 + t1228 * t10998 / 0.2e1;
  t83809 = t630 * t16142;
  t83810 = t83809 / 0.2e1;
  t83811 = t608 * t16142;
  t83812 = t83811 / 0.2e1;
  t83819 = t4996 * t83237;
  t83825 = t9845 * t10883;
  t83834 = t83810 + t83812 - t75953 - 0.2e1 * t42708 * t11171 + 0.14e2 / 0.3e1 * t26808 * t78845 * t53094 + t26650 * t11164 - t4872 * t83819 / 0.3e1 + t41787 * t11217 + t41843 * t36881 / 0.3e1 - 0.11e2 / 0.18e2 * t41686 * t83825 + 0.23e2 / 0.18e2 * t10757 * t79334 + 0.44e2 / 0.27e2 * t52309 * t78711 + 0.23e2 / 0.36e2 * t10757 * t78704;
  t83837 = t4873 * t3264 * t83236;
  t83864 = -t79478 - t75979 + 0.2e1 / 0.3e1 * t4872 * t83837 - 0.2e1 * t41787 * t11221 - 0.2e1 / 0.3e1 * t41843 * t35961 + 0.11e2 / 0.6e1 * t10757 * t80374 + t7251 * t79235 / 0.2e1 - 0.18e2 * t9877 * t36087 * t79375 - 0.9e1 / 0.2e1 * t9877 * t7686 * t79379 + 0.3e1 * t9877 * t7686 * t79383 + 0.8e1 * t79576 * t47881 * t9875 * t83115 + 0.3e1 / 0.2e1 * t26550 * t35984 * t15587;
  t83866 = t188 * t16349 / 0.12e2;
  t83870 = t27552 * t2444 / 0.3e1;
  t83872 = t35320 * t15583 / 0.2e1;
  t83874 = t21994 * t16250 / 0.2e1;
  t83876 = 0.23e2 / 0.108e3 * t35320 * t15718;
  t83877 = t1261 * t82734;
  t83882 = t1261 * t82680;
  t83885 = -t83866 + t15715 - t15716 - t182 * t16349 / 0.4e1 + t8874 + t8877 - t83870 - t83872 + t83874 + t83876 - t1252 * t83877 / 0.6e1 - t417 * t53391 / 0.6e1 - t1252 * t83882 / 0.6e1;
  t83891 = t7183 * t15615 / 0.9e1;
  t83893 = t5234 * t2450 / 0.6e1;
  t83895 = t5234 * t2447 / 0.3e1;
  t83912 = t22052 * t16224 / 0.12e2;
  t83913 = t83891 - t83893 - t83895 - t1770 * t8732 / 0.2e1 - t7592 * t2167 / 0.4e1 - t7600 * t2167 / 0.4e1 - t1770 * t8958 / 0.4e1 - t1770 * t8964 / 0.4e1 + t35579 * t15567 - t26932 * t2444 - t3266 * t53157 * t2166 / 0.4e1 - t83912;
  t83914 = t7351 * t2091;
  t83939 = t3266 * t83914 * t826 / 0.2e1 - t21744 * t16224 / 0.4e1 - t3266 * t10856 * t8976 + 0.3e1 / 0.2e1 * t3266 * t7351 * t2096 * t1281 + t7251 * t75530 / 0.2e1 + t16273 - t16280 - t16283 - 0.3e1 * t4772 * t7690 * t80335 - 0.2e1 * t4772 * t1872 * t80092 + t3266 * t7449 * t80332 - 0.9e1 / 0.2e1 * t9877 * t7686 * t80082;
  t83945 = t3266 * t7449 * t15678;
  t83946 = t83945 / 0.2e1;
  t83947 = t670 * t83256;
  t83948 = t4873 * t83947;
  t83949 = t42312 * t83948;
  t83950 = 0.2e1 * t83949;
  t83952 = t4772 * t1872 * t78690;
  t83953 = t83952 / 0.2e1;
  t83955 = t4772 * t7690 * t78685;
  t83956 = 0.3e1 / 0.2e1 * t83955;
  t83959 = t20724 * t16228;
  t83964 = t3273 * t253 * t1854 * t2105;
  t83969 = t3273 * t253 * t543 * t8688;
  t83977 = -0.8e1 * t4983 * t7680 * t80171 - t83946 - t83950 + t83953 + t83956 - t4772 * t1872 * t75182 + t4882 * t83959 / 0.12e2 + t4882 * t83964 / 0.12e2 + t4882 * t83969 / 0.12e2 + t26266 * t16232 + t4772 * t7670 * t15842 + t4772 * t1872 * t76392;
  t84006 = t4772 * t1872 * t78934 + 0.3e1 / 0.2e1 * t26257 * t16234 + 0.3e1 / 0.2e1 * t26263 * t16234 + 0.3e1 / 0.2e1 * t4983 * t7665 * t8757 + 0.3e1 / 0.2e1 * t4983 * t1876 * t75496 + 0.3e1 / 0.2e1 * t4983 * t1876 * t79543 - t4872 * t52331 * t8770 / 0.3e1 + t52936 * t8758 / 0.2e1 - t52942 * t8763 / 0.2e1 + 0.9e1 / 0.2e1 * t4772 * t1876 * t80218 - t27454 * t2444 - t5286 * t10930 - t5286 * t10933;
  t84011 = t3051 * t16281;
  t84012 = t84011 / 0.6e1;
  t84013 = t637 * t16278;
  t84014 = t84013 / 0.6e1;
  t84015 = t3051 * t16241;
  t84017 = 0.2e1 / 0.3e1 * t35441 * t15570;
  t84020 = t3273 * t83660;
  t84029 = t5277 * t2453 + t5266 * t2453 - t84012 - t84014 - t84015 - t84017 + t7254 * t75025 / 0.3e1 - t4761 * t84020 / 0.6e1 - t15158 + 0.7e1 / 0.3e1 * t35507 * t15579 + 0.7e1 / 0.3e1 * t7196 * t41541 - 0.3e1 / 0.2e1 * t35814 * t15583;
  t84058 = -0.3e1 / 0.2e1 * t35507 * t15583 - 0.3e1 / 0.2e1 * t7196 * t41082 + 0.23e2 / 0.36e2 * t35814 * t15718 + 0.23e2 / 0.36e2 * t35507 * t15718 - 0.3e1 * t3061 * t16241 - 0.3e1 * t679 * t35828 * t15597 - t35814 * t15576 / 0.2e1 - t35507 * t15576 / 0.2e1 - t7196 * t80302 / 0.2e1 + 0.3e1 / 0.2e1 * t21524 * t16250 + 0.3e1 / 0.2e1 * t21529 * t16250 + 0.3e1 / 0.2e1 * t3167 * t35828 * t15587 - 0.3e1 * t3070 * t16241;
  t84067 = t3266 * t7457 * t15673;
  t84068 = t84067 / 0.2e1;
  t84070 = t26808 * t9845 * t83947;
  t84071 = 0.7e1 / 0.3e1 * t84070;
  t84073 = t4772 * t1876 * t80089;
  t84075 = t4772 * t7680 * t79553;
  t84076 = 0.3e1 * t84075;
  t84079 = 0.8e1 * t4772 * t7680 * t79229 - t15160 - t30 * t2147 * t1855 / 0.4e1 - t15172 - t8896 - t8900 - t80098 + t84068 + t84071 - t84073 - t84076 - 0.2e1 * t10838 * t80185;
  t84090 = t8718 * t10990;
  t84091 = t84090 / 0.12e2;
  t84092 = t2087 * t7262;
  t84093 = t84092 / 0.12e2;
  t84094 = t843 * t82734;
  t84097 = 0.2e1 * t10838 * t80182 - t7251 * t75143 / 0.3e1 - 0.6e1 * t53916 * t80188 - 0.11e2 / 0.18e2 * t10757 * t80242 - 0.4e1 / 0.3e1 * t10838 * t80433 + t8913 + t8915 - t8939 - t8952 + t8954 - t84091 - t84093 + t1294 * t84094 / 0.3e1;
  t84104 = t35502 * t15697 / 0.6e1;
  t84105 = t7400 * t2124;
  t84125 = t9744 * t11220;
  t84130 = t417 * t52782 / 0.6e1 - t84104 + t246 * t84105 * t690 / 0.2e1 + 0.3e1 / 0.2e1 * t630 * t16260 + 0.3e1 / 0.2e1 * t608 * t16260 + 0.3e1 / 0.2e1 * t246 * t35828 * t15602 - t8654 * t7487 / 0.6e1 - t30 * t16348 * t277 / 0.4e1 + t4993 * t82982 * t3362 + t3266 * t11225 * t8968 + 0.23e2 / 0.36e2 * t41686 * t84125 - t4993 * t11225 * t8848;
  t84137 = t4762 * t83237;
  t84146 = t188 * t16146 / 0.12e2;
  t84147 = t4877 * t83660;
  t84155 = 0.3e1 * t4993 * t82978 * t1269 - t3266 * t10878 * t8963 / 0.4e1 + t4761 * t84137 / 0.3e1 - t21748 * t16224 / 0.4e1 - t3266 * t53164 * t2166 / 0.4e1 - t84146 + t4872 * t84147 / 0.12e2 + t80193 + t80194 + t8974 - t26650 * t10835 + 0.3e1 * t42708 * t10841 - 0.2e1 * t10838 * t42325;
  t84158 = t26467 * t16232 / 0.3e1;
  t84163 = t8790 * t253 * t16227 * t794;
  t84166 = t84158 + t80216 - t80217 - t80238 - t76532 - t76534 + t7248 * t76503 / 0.2e1 - t4882 * t84163 / 0.6e1 - t76561 + t80347 + t80348 + t80349;
  t84171 = t7651 * t79672;
  t84172 = 0.2e1 / 0.3e1 * t84171;
  t84173 = t11072 * t79676;
  t84174 = t84173 / 0.9e1;
  t84179 = t11143 * t79695;
  t84180 = 0.6e1 * t84179;
  t84181 = t7655 * t79679;
  t84182 = 0.2e1 * t84181;
  t84183 = t11079 * t79682;
  t84184 = 0.2e1 * t84183;
  t84193 = 0.4e1 / 0.3e1 * t53424 * t79667 + t84172 - t84174 - 0.18e2 * t36092 * t79659 + 0.12e2 * t11072 * t79663 + t84180 + t84182 + t84184 - 0.6e1 * t36114 * t15746 - 0.6e1 * t7651 * t79919 - 0.6e1 * t7651 * t76082 - 0.1e2 * t36092 * t79962;
  t84216 = 0.2e1 * t36092 * t79926 - 0.4e1 / 0.3e1 * t11072 * t79916 - 0.4e1 / 0.3e1 * t53409 * t80005 + 0.24e2 * t36194 * t79904 - 0.24e2 * t11079 * t79908 + 0.8e1 * t53424 * t79837 + t79653 - 0.72e2 * t53424 * t79851 + 0.8e1 / 0.3e1 * t53409 * t79667 + 0.24e2 * t53409 * t79837 - 0.12e2 * t36223 * t15782 - 0.4e2 * t36087 * t79818;
  t84226 = -0.2e1 / 0.3e1 * t36146 * t15785 - 0.12e2 * t36075 * t79882 - 0.36e2 * t36084 * t79823 - 0.2e1 * t1876 * t76127 - t79706 + t79707 - t79708 + t79709 + t79710 + t79711 + t76112 + t76115;
  t84235 = t7686 * t79876;
  t84236 = 0.3e1 * t84235;
  t84243 = t7670 * t15766;
  t84244 = 0.2e1 * t84243;
  t84245 = t76117 + t79714 + 0.2e1 * t1870 * t15250 + 0.4e1 / 0.3e1 * t1876 * t76292 + 0.6e1 * t36252 * t15750 - t16305 - t16309 + 0.24e2 * t36084 * t79753 - t84236 + 0.1e2 / 0.3e1 * t36075 * t79873 + 0.6e1 * t36146 * t15788 + 0.5e2 / 0.3e1 * t36075 * t79720 - t84244;
  t84248 = t7680 * t79937;
  t84249 = 0.4e1 * t84248;
  t84254 = t7665 * t15772;
  t84255 = t84254 / 0.3e1;
  t84256 = t7686 * t79750;
  t84257 = t84256 / 0.18e2;
  t84258 = t7680 * t79790;
  t84259 = 0.6e1 * t84258;
  t84261 = -t84249 + 0.2e1 * t36223 * t15769 - 0.2e1 / 0.3e1 * t36087 * t79771 - t84255 + t84257 + t84259 + t1876 * t76297 - t79793 - t76174 - t76176 - t79794 + t79795;
  t84264 = t7651 * t79688;
  t84265 = 0.4e1 * t84264;
  t84286 = -0.9e1 * t36191 * t79959 - t84265 + 0.6e1 * t36105 * t79698 + 0.4e1 * t36100 * t79701 + t7651 * t76224 / 0.3e1 + 0.6e1 * t36191 * t79731 + t36092 * t79656 / 0.3e1 - 0.2e1 / 0.9e1 * t11072 * t80057 - t53409 * t79913 / 0.9e1 + 0.2e1 * t7655 * t76217 + 0.2e1 * t11138 * t76221 - 0.4e1 * t36194 * t79659;
  t84294 = 0.4e1 * t11079 * t79663 - 0.8e1 * t36100 * t79984 - 0.12e2 * t36105 * t79981 - t15240 - t15763 - t15764 + t15765 + t16318 - t76199 - t79846 - t79847 + t79848;
  t84303 = t7690 * t79932;
  t84304 = 0.3e1 * t84303;
  t84313 = t7665 * t15760;
  t84314 = 0.2e1 * t84313;
  t84315 = 0.18e2 * t36191 * t80052 - 0.16e2 / 0.3e1 * t36194 * t79972 - 0.3e1 * t36191 * t80046 + t36092 * t80049 / 0.3e1 - t84304 - t519 * t76045 + t79965 - t79966 - t519 * t76307 - 0.2e1 / 0.3e1 * t1876 * t76299 - 0.2e1 * t7665 * t15779 - 0.2e1 * t1876 * t79796 + t84314;
  t84319 = t7686 * t79929;
  t84320 = 0.1e2 / 0.3e1 * t84319;
  t84328 = t1872 * t79935;
  t84329 = t1876 * t79716;
  t84330 = 0.2e1 * t84329;
  t84331 = -t1872 * t76042 - 0.18e2 * t36092 * t79972 + 0.32e2 * t36194 * t79978 + 0.12e2 * t36211 * t79787 - t76262 + t84320 - t84328 + t84330 + t9022 - t9047 - t9048 - t9050;
  t84345 = -t76264 - t80002 + t80003 - t80004 - t36146 * t15775 / 0.9e1 - t1870 * t15256 + t76296 - 0.2e1 * t1876 * t76047 + t1870 * t15259 / 0.2e1 - 0.6e1 * t7690 * t79778 - 0.2e1 * t7670 * t15756 - 0.2e1 * t1872 * t76177;
  t84353 = t7665 * t15810;
  t84354 = t7665 * t15800;
  t84355 = 0.2e1 / 0.3e1 * t84354;
  t84356 = t7670 * t15812;
  t84369 = -0.2e1 * t1872 * t79775 - 0.2e1 * t519 * t76289 + 0.3e1 * t7690 * t79781 - t84353 + t84355 + t84356 - 0.3e1 * t36252 * t15806 + t519 * t76332 / 0.2e1 - 0.4e1 * t36223 * t15803 + t36146 * t15816 / 0.18e2 + 0.1e2 / 0.3e1 * t36146 * t15796 - 0.3e1 * t36146 * t15822;
  t84385 = 0.6e1 * t36223 * t15819 - t1870 * t15288 - t80027 - t80028 + t16336 + t16337 - t16340 + 0.4e1 * t7655 * t79860 + 0.32e2 / 0.3e1 * t36194 * t79856 - 0.24e2 * t53518 * t79953 - 0.6e1 * t36105 * t79950 + 0.12e2 * t11143 * t79943 - 0.12e2 * t53421 * t79851;
  t84405 = 0.4e1 * t36069 * t15825 + 0.4e1 * t7655 * t76093 - 0.6e1 * t53473 * t76069 + 0.4e1 * t11138 * t76073 - 0.2e1 / 0.3e1 * t36191 * t76076 - 0.4e1 * t36100 * t76065 + t7651 * t76227 + t7651 * t79835 - t36092 * t79826 / 0.6e1 + t36114 * t15828 - t80042 + t80043;
  t84422 = t1876 * t79768;
  t84423 = 0.4e1 / 0.3e1 * t84422;
  t84424 = t11079 * t79685;
  t84425 = 0.12e2 * t84424;
  t84426 = t11072 * t79691;
  t84427 = 0.2e1 / 0.3e1 * t84426;
  t84432 = 0.2e1 * t36092 * t79975 + 0.3e1 * t1876 * t79800 + 0.3e1 * t1876 * t76028 - t7686 * t79735 / 0.6e1 + t7686 * t79739 / 0.9e1 + 0.3e1 * t7665 * t15791 - 0.1e2 * t7686 * t79762 + 0.2e2 / 0.3e1 * t7686 * t79765 - t84423 - t84425 - t84427 - 0.2e1 * t7651 * t76193 + 0.4e1 * t36191 * t76214;
  t84436 = t11072 * t79682;
  t84437 = 0.6e1 * t84436;
  t84458 = 0.2e1 * t1872 * t76281 + 0.36e2 * t36087 * t79879 + 0.9e1 * t36092 * t79856 - 0.16e2 * t36194 * t79956 + 0.3e1 * t519 * t76285 + 0.72e2 * t53421 * t79868 + 0.8e1 * t7680 * t79756 - 0.12e2 * t7680 * t79812 + 0.12e2 * t7680 * t79815 + 0.9e1 * t7686 * t79805 - 0.6e1 * t7686 * t79809 + t84437;
  t84461 = -0.8e1 * t7680 * t79759 + t15284 + t15830 - t15831 + t15832 + t2119 - t2138 + t76341 + t80045 + t9091 + t9093 - t9100 + t9121;
  t84474 = t76569 - t7248 * t76510 / 0.3e1 - t30 * t59 * (t84193 + t84216 + t84226 + t84245 + t84261 + t84286 + t84294 + t84315 + t84331 + t84345 + t84369 + t84385 + t84405 + t84432 + t84458 + t84461) * t95 / 0.4e1 + t76571 + t36448 * t15712 / 0.2e1 + t80385 + t36429 * t15712 / 0.2e1 - t76575 - t76577 + t76579 - t76581 - t80390 + t76587;
  t84477 = t36464 * t8799;
  t84498 = t246 * t7510 * t15678;
  t84499 = t84498 / 0.2e1;
  t84500 = t3070 * t16281;
  t84501 = t84500 / 0.2e1;
  t84502 = t80391 + t4882 * t84477 / 0.12e2 + t2098 * t35647 / 0.3e1 - t3070 * t16254 / 0.2e1 - t3061 * t16254 / 0.2e1 - t679 * t84105 * t684 / 0.2e1 + t630 * t16257 / 0.2e1 + t608 * t16257 / 0.2e1 + t8654 * t7491 / 0.3e1 + t2098 * t37096 / 0.3e1 - t84499 - t84501;
  t84503 = t3061 * t16281;
  t84504 = t84503 / 0.2e1;
  t84506 = t679 * t7384 * t15170;
  t84507 = t84506 / 0.2e1;
  t84510 = t836 * t7213 * t8689;
  t84529 = t836 * t35347 * t2106;
  t84532 = -t84504 - t84507 - t5277 * t2447 + t417 * t84510 / 0.12e2 - t1770 * t8977 + 0.3e1 / 0.2e1 * t1770 * t8722 + t1770 * t8726 / 0.2e1 - t2093 * t7215 / 0.6e1 + t8844 * t10990 / 0.2e1 + t2093 * t7262 / 0.6e1 + t1242 * t16167 / 0.12e2 + t1247 * t16167 / 0.12e2 + t417 * t84529 / 0.12e2;
  t84535 = t37357 * t15650 / 0.3e1;
  t84537 = t26467 * t16287 / 0.2e1;
  t84552 = t80445 + t80446 - t80447 + t80448 - t80449 - t84535 - t84537 - 0.18e2 * t4772 * t36087 * t79586 - 0.9e1 / 0.2e1 * t4772 * t7686 * t80248 + 0.3e1 * t4772 * t7686 * t80252 + 0.47e2 / 0.3e1 * t79576 * t26189 * t83116 - t1779 * t76488 / 0.6e1;
  t84554 = t7611 * t2167 / 0.12e2;
  t84560 = t1760 * t15084 / 0.18e2;
  t84574 = t608 * t16278;
  t84575 = t84574 / 0.2e1;
  t84576 = -t84554 + t515 * t41349 / 0.12e2 - t1779 * t76603 / 0.12e2 - t84560 - t5266 * t2447 - t1228 * t10938 - t1228 * t10941 - t5277 * t2450 / 0.2e1 - t5266 * t2450 / 0.2e1 - t1228 * t10948 / 0.2e1 - t1228 * t10951 / 0.2e1 + t7742 * t15615 / 0.3e1 - t84575;
  t84583 = my_piecewise3(t2, 0, t84576 + t84552 + t84532 + t84502 + t84474 + t84166 + t84155 + t84130 + t84097 + t84079 + t84058 + t84029 + t84006 + t83977 + t83939 + t83913 + t83885 + t83864 + t83834 + t83808 + t83780 + t83757 + t83725 + t83706 + t83679 + t83648 + t83619 + t83591 + t83560 + t83544 + t83526 + t83507 + t83478 + t83456 + t83431 + t83407 + t83380 + t83358 + t83333 + t83303 + t83278 + t83255 + t83228 + t83198 + t83171 + t83148 + t83127 + t83102 + t83074 + t83045 + t83022 + t83019 + t82993 + t82957 + t82939 + t82914 + t82887 + t82862 + t82832 + t82805 + t82780 + t82747 + t82722 + t82698);
  tv4rhosigma2tau0 = t3 * t84583 + t16372;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 0] += tv4rhosigma2tau0;

  tv4rhosigma2tau1 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 1] += tv4rhosigma2tau1;

  tv4rhosigma2tau2 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 2] += tv4rhosigma2tau2;

  tv4rhosigma2tau3 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 3] += tv4rhosigma2tau3;

  tv4rhosigma2tau4 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 4] += tv4rhosigma2tau4;

  tv4rhosigma2tau5 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 5] += tv4rhosigma2tau5;

  tv4rhosigma2tau6 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 6] += tv4rhosigma2tau6;

  tv4rhosigma2tau7 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 7] += tv4rhosigma2tau7;

  tv4rhosigma2tau8 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 8] += tv4rhosigma2tau8;

  tv4rhosigma2tau9 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 9] += tv4rhosigma2tau9;

  tv4rhosigma2tau10 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 10] += tv4rhosigma2tau10;

  t84585 = t948 * t16406;
  t84587 = t4005 * t16425 / 0.6e1;
  t84589 = t9151 * t8157 / 0.9e1;
  t84591 = 0.2e1 / 0.9e1 * t7911 * t15951;
  t84593 = t28796 * t2503 / 0.3e1;
  t84595 = t3971 * t16491;
  t84596 = t84595 / 0.2e1;
  t84597 = t945 * t16465;
  t84598 = t84597 / 0.2e1;
  t84600 = t28548 * t16457 / 0.3e1;
  t84613 = t1905 * t9531 / 0.36e2;
  t84615 = t1354 * t11422 / 0.18e2;
  t84624 = t948 * t16603;
  t84625 = t84624 / 0.12e2;
  t84626 = -t9173 * t8271 / 0.6e1 + t9179 * t1951 / 0.6e1 + t9173 * t8275 / 0.3e1 - t38631 * t2245 / 0.2e1 - t84613 - t84615 - t1351 * t11422 / 0.6e1 - t1902 * t9531 / 0.12e2 - t5449 * t2509 / 0.2e1 - t8016 * t2258 / 0.4e1 + t84625;
  t84629 = t948 * t16394 / 0.6e1;
  t84633 = t1905 * t15315 / 0.18e2;
  t84639 = t9166 * t1951;
  t84640 = t84639 / 0.12e2;
  t84642 = t9151 * t8271 / 0.18e2;
  t84644 = t7997 * t2261 / 0.6e1;
  t84646 = t38688 * t2245 / 0.6e1;
  t84648 = t9151 * t8275 / 0.9e1;
  t84649 = t84629 + t945 * t16394 / 0.2e1 - t84633 + t28461 * t16457 + t55340 * t457 / 0.2e1 - t9173 * t8309 / 0.12e2 - t84640 - t84642 + t84644 - t84646 + t84648;
  t84652 = t8016 * t2249;
  t84653 = t84652 / 0.4e1;
  t84656 = t7997 * t2249;
  t84657 = t84656 / 0.12e2;
  t84658 = t9145 * t1951;
  t84659 = t84658 / 0.36e2;
  t84661 = t9151 * t8309 / 0.36e2;
  t84663 = t55552 * t457 / 0.6e1;
  t84665 = t23651 * t16409 / 0.2e1;
  t84672 = t44373 * t570 / 0.4e1 + t84653 - t8016 * t2253 / 0.2e1 + t84657 - t84659 - t84661 + t84663 + t84665 + t9173 * t8157 / 0.3e1 - t9173 * t8153 / 0.6e1 + 0.3e1 / 0.2e1 * t945 * t16389;
  t84684 = t28456 * t16589 / 0.36e2;
  t84686 = t24028 * t16584 / 0.12e2;
  t84690 = t28763 * t16459 / 0.2e1;
  t84692 = t38409 * t16096 / 0.6e1;
  t84694 = t7953 * t15947;
  t84695 = t84694 / 0.18e2;
  t84697 = t7953 * t15954 / 0.9e1;
  t84699 = t1905 * t15362 / 0.36e2;
  t84701 = t1905 * t15376 / 0.18e2;
  t84702 = t7911 * t15908;
  t84703 = t84702 / 0.18e2;
  t84705 = t7911 * t15916 / 0.9e1;
  t84706 = t7911 * t15912;
  t84707 = t84706 / 0.9e1;
  t84709 = t1354 * t16510 / 0.36e2;
  t84710 = t7921 * t16102;
  t84711 = t84710 / 0.12e2;
  t84716 = t84695 + t84697 + t84699 + t84701 - t84703 - t84705 + t84707 + t84709 - t84711 - t7921 * t16099 / 0.6e1 + t38536 * t16096 / 0.2e1;
  t84718 = t7916 * t15947;
  t84719 = t84718 / 0.6e1;
  t84728 = t7921 * t15908;
  t84729 = t84728 / 0.6e1;
  t84731 = t948 * t16445 / 0.12e2;
  t84733 = t5484 * t2512 / 0.3e1;
  t84735 = t5484 * t2506 / 0.3e1;
  t84736 = t4005 * t16491;
  t84737 = t84736 / 0.6e1;
  t84738 = t948 * t16465;
  t84739 = t84738 / 0.6e1;
  t84740 = t84719 + t7916 * t15954 / 0.3e1 + t1902 * t15362 / 0.12e2 + t1902 * t15376 / 0.6e1 - 0.5e1 / 0.36e2 * t38373 * t16093 - t84729 - t84731 + t84733 - t84735 - t84737 - t84739;
  t84741 = t948 * t16462;
  t84742 = t84741 / 0.6e1;
  t84744 = t948 * t16386 / 0.6e1;
  t84746 = t38409 * t15975 / 0.3e1;
  t84751 = t9166 * t1965;
  t84752 = t84751 / 0.12e2;
  t84755 = t945 * t16603;
  t84756 = t84755 / 0.4e1;
  t84758 = t84742 + t84744 - t80536 + t84746 + 0.2e1 / 0.3e1 * t7921 * t15951 - t28872 * t2503 + t5449 * t2512 - t84752 + t5449 * t2521 / 0.2e1 + t84756 - t38554 * t15923;
  t84767 = t9148 * t1965 / 0.18e2;
  t84769 = t948 * t16413 / 0.6e1;
  t84773 = t9151 * t8150 / 0.36e2;
  t84775 = t1354 * t11368 / 0.18e2;
  t84776 = t9145 * t1965;
  t84777 = t84776 / 0.36e2;
  t84779 = t5484 * t2521 / 0.6e1;
  t84788 = t7997 * t2258 / 0.12e2;
  t84796 = -t9147 - t9168 + t9172 + t9195 - t38466 * t16110 / 0.2e1 - t1902 * t15315 / 0.6e1 - t84788 - 0.11e2 / 0.18e2 * t38373 * t15972 - 0.2e1 * t38536 * t15969 + t38536 * t15975 - t38373 * t15873 / 0.2e1;
  t84803 = t294 * t16574 / 0.12e2;
  t84807 = t38740 * t16110 / 0.6e1;
  t84809 = 0.11e2 / 0.54e2 * t38396 * t15972;
  t84811 = 0.2e1 / 0.3e1 * t38409 * t15969;
  t84813 = 0.7e1 / 0.9e1 * t38396 * t15878;
  t84814 = 0.23e2 / 0.36e2 * t38373 * t15966 - 0.3e1 / 0.2e1 * t38373 * t15882 - t80563 - t80564 - t80565 - t84803 - t290 * t16574 / 0.4e1 - t84807 - t84809 - t84811 + t84813;
  t84815 = t4005 * t16402;
  t84822 = t7921 * t15912;
  t84823 = t84822 / 0.3e1;
  t84834 = -t84815 - t9173 * t8150 / 0.12e2 - t1351 * t11368 / 0.6e1 - t7921 * t15916 / 0.3e1 + t84823 + 0.7e1 / 0.3e1 * t38373 * t15878 - 0.3e1 * t3971 * t16402 + 0.3e1 / 0.2e1 * t24004 * t16409 - 0.3e1 * t945 * t16406 - t3971 * t16425 / 0.2e1 - t80601;
  t84838 = t948 * t16399 / 0.2e1;
  t84842 = t38935 * t15891 / 0.9e1;
  t84844 = t38570 * t15894 / 0.12e2;
  t84846 = t38570 * t15923 / 0.3e1;
  t84848 = t38570 * t15919 / 0.6e1;
  t84850 = t28548 * t16448 / 0.2e1;
  t84855 = t44306 * t570 / 0.12e2;
  t84857 = t9148 * t1951 / 0.18e2;
  t84859 = t7997 * t2253 / 0.6e1;
  t84863 = 0.5e1 / 0.108e3 * t38396 * t16093;
  t84864 = t7911 * t16102;
  t84865 = t84864 / 0.36e2;
  t84867 = t7911 * t16099 / 0.18e2;
  t84871 = t294 * t16432 / 0.12e2;
  t84873 = t38396 * t15873 / 0.6e1;
  t84874 = t84855 + t84857 - t84859 + t9179 * t1965 / 0.6e1 - t84863 - t84865 - t84867 - t290 * t16432 / 0.4e1 - t84871 + t80612 - t84873;
  t84877 = 0.23e2 / 0.108e3 * t38396 * t15966;
  t84879 = t38396 * t15882 / 0.2e1;
  t84882 = t80613 + t84877 - t84879 + t80614 + 0.3e1 / 0.2e1 * t28713 * t16459 - t80615 + t80616 + t76819 - t80618 - t76824 - t76827;
  t84884 = t948 * t16389 / 0.2e1;
  t84886 = t9151 * t8153 / 0.18e2;
  t84887 = t945 * t16462;
  t84888 = t84887 / 0.2e1;
  t84891 = t4005 * t16382;
  t84893 = t5484 * t2509 / 0.6e1;
  t84894 = -t76835 + t80619 + t80620 - t76849 + t84884 - t84886 + t84888 - t945 * t16445 / 0.4e1 + t84891 - t84893 + t76858;
  t84899 = my_piecewise3(t100, 0, t76766 + t84894 + t84882 + t84874 + t84848 - t84850 + t84844 - t84846 - t84842 + t84834 + t84838 + t84814 + t84796 - t84777 + t84779 - t84773 - t84775 - t84769 + t84767 + t84758 + t84740 + t84716 + t84692 - t84686 + t84690 + t84684 + t84672 + t84649 + t84626 + t84600 - t84596 - t84598 + t84591 - t84593 - t84587 + t84589 - t84585 - t80602 + t80479 - t38984 * t15891 / 0.3e1 + t38554 * t15919 / 0.2e1 - 0.3e1 / 0.2e1 * t28461 * t16448 - t945 * t16413 / 0.2e1 + 0.3e1 * t3971 * t16382 + 0.3e1 / 0.2e1 * t945 * t16399 + t1351 * t16510 / 0.12e2 + t38554 * t15894 / 0.4e1 + t945 * t16386 / 0.2e1 - t5449 * t2506 + t8016 * t2261 / 0.2e1 + t28905 * t16589 / 0.12e2 - t23548 * t16584 / 0.4e1);
  tv4rhosigma2tau11 = t3 * t84899 + t16612;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 11] += tv4rhosigma2tau11;

  t84907 = t7820 * t15639;
  t84908 = t84907 / 0.3e1;
  t84909 = t7820 * t15632;
  t84910 = t84909 / 0.6e1;
  t84920 = t7820 * t15622;
  t84921 = t84920 / 0.12e2;
  t84924 = t7825 * t15611;
  t84925 = t84924 / 0.6e1;
  t84930 = -t84921 - t7820 * t15629 / 0.6e1 + t84925 + t37616 * t15606 / 0.2e1 + t7825 * t15615 / 0.3e1 + t82772 + t82774 + t82798 - t82800 - t82807 - t82825;
  t84948 = t82827 + t82829 - t82837 + t43846 * t530 / 0.4e1 + t7869 * t2170 / 0.2e1 - t9217 * t7595 / 0.6e1 + t9217 * t7582 / 0.3e1 - t37752 * t2154 / 0.2e1 + t9214 * t1765 / 0.6e1 - t7869 * t2162 / 0.2e1 - t9217 * t7532 / 0.12e2;
  t84953 = -t1923 * t9131 / 0.12e2 - t82875 - t82877 + t82879 + t82881 + t82883 - t82884 + t82886 + t5384 * t2462 / 0.2e1 + t82892 - t82894;
  t84976 = -t37876 * t15643 / 0.3e1 + 0.3e1 / 0.2e1 * t27950 * t16234 - t37688 * t15650 + t80749 + t82967 - t903 * t16173 / 0.2e1 - t37576 * t15576 / 0.2e1 + t80754 - t80755 + t76914 + t83069;
  t84979 = t28063 * t16232 + t76924 - t76939 - t76942 - t79090 + t79091 - t79096 + t79097 + t80773 - t80775 - t83101;
  t84985 = t83227 + t37616 * t15567 - t7869 * t2167 / 0.4e1 + t79196 + t83267 - t3740 * t16254 / 0.2e1 + t83302 + t83305 - t83307 - t80796 + t83324;
  t84989 = t9222 * t1807;
  t84990 = t84989 / 0.12e2;
  t84991 = t903 * t16142;
  t84992 = t84991 / 0.2e1;
  t84998 = t903 * t16189;
  t84999 = t84998 / 0.4e1;
  t85004 = t83422 - t83424 - t83426 - t83428 + t83446 + t83448 - t76952 - t83522 + t84999 + 0.23e2 / 0.36e2 * t37576 * t15718 + 0.3e1 / 0.2e1 * t22632 * t16250;
  t85014 = -t79330 - t307 * t16349 / 0.4e1 + t83593 + t37688 * t15712 / 0.2e1 - 0.3e1 / 0.2e1 * t28063 * t16287 + t83724 + t37688 * t15646 / 0.4e1 - t83748 + t83750 + t83752 - t83754;
  t85015 = t9222 * t1765;
  t85016 = t85015 / 0.12e2;
  t85019 = t7869 * t2158;
  t85020 = t85019 / 0.4e1;
  t85023 = -t83756 + t83759 - t85016 - t1368 * t10808 / 0.6e1 + t85020 + t54846 * t432 / 0.2e1 - t83779 + t83784 - t83786 - t83788 + t83790;
  t85036 = t3740 * t16281;
  t85037 = t85036 / 0.2e1;
  t85038 = t903 * t16278;
  t85039 = t85038 / 0.2e1;
  t85044 = -t83893 - t83895 - t83912 + t28130 * t16229 / 0.12e2 - t5384 * t2450 / 0.2e1 - t5384 * t2447 - t85037 - t85039 - 0.11e2 / 0.18e2 * t37576 * t15573 - 0.2e1 * t37616 * t15570 - t84012;
  t85054 = -t84014 - t84015 - t84017 + t9217 * t7491 / 0.3e1 - t9217 * t7516 / 0.12e2 - t1368 * t10965 / 0.6e1 - t84104 - t84146 + t84158 - t76561 + 0.2e1 / 0.3e1 * t7820 * t15724;
  t85067 = -0.3e1 / 0.2e1 * t37576 * t15583 - 0.3e1 * t903 * t16247 + 0.3e1 / 0.2e1 * t903 * t16260 - t9217 * t7487 / 0.6e1 + 0.7e1 / 0.3e1 * t37576 * t15579 - t307 * t16146 / 0.4e1 - t80449 - t84535 - t84537 - t84554 - t84560;
  t85072 = my_piecewise3(t2, 0, t75235 + t85067 + t85054 + t85044 + t85023 + t85014 + t85004 + t84992 - t84990 + t84985 + t84979 + t84976 + t84953 + t84948 + t84930 - t84910 + t84908 + t83891 + t83876 - t83872 + t83874 - t83870 - t83866 - t83803 - t83384 + t83326 + t82896 - t82898 + t82693 + t78764 - t78763 - t903 * t16135 / 0.4e1 + t5384 * t2453 - t27911 * t2444 - t1923 * t15084 / 0.6e1 - t37610 * t15697 / 0.2e1 + 0.3e1 * t3740 * t16149 + 0.3e1 / 0.2e1 * t903 * t16183 + t903 * t16180 / 0.2e1 + t9214 * t1807 / 0.6e1 - t22522 * t16224 / 0.4e1 + t1923 * t15131 / 0.12e2 - 0.5e1 / 0.36e2 * t37576 * t15626 + t1923 * t15137 / 0.6e1 + t903 * t16257 / 0.2e1 - 0.3e1 * t3740 * t16241 + t1368 * t16167 / 0.12e2 - t7820 * t15635 / 0.3e1 - t8624 + t9234 - t9224 + t8645);
  tv4rhosigma2tau12 = t3 * t85072 + t16372;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 12] += tv4rhosigma2tau12;

  tv4rhosigma2tau13 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 13] += tv4rhosigma2tau13;

  tv4rhosigma2tau14 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 14] += tv4rhosigma2tau14;

  tv4rhosigma2tau15 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 15] += tv4rhosigma2tau15;

  tv4rhosigma2tau16 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 16] += tv4rhosigma2tau16;

  tv4rhosigma2tau17 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 17] += tv4rhosigma2tau17;

  tv4rhosigma2tau18 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 18] += tv4rhosigma2tau18;

  tv4rhosigma2tau19 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 19] += tv4rhosigma2tau19;

  tv4rhosigma2tau20 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 20] += tv4rhosigma2tau20;

  tv4rhosigma2tau21 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 21] += tv4rhosigma2tau21;

  tv4rhosigma2tau22 = 0.e0;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 22] += tv4rhosigma2tau22;

  t85074 = t8280 * t9708;
  t85075 = t85074 / 0.2e1;
  t85089 = -t84585 - t84587 + t84589 - t85075 - 0.3e1 * t1956 * t9714 - t44765 * t2026 / 0.2e1 + 0.3e1 * t8280 * t9315 - t1956 * t9369 / 0.4e1 + t80885 - t29985 * t11784 - 0.11e2 / 0.9e1 * t11399 * t81276 - t8063 * t81435 / 0.3e1;
  t85090 = t11510 * t81036;
  t85091 = t8063 * t81521;
  t85092 = t85091 / 0.3e1;
  t85093 = t11399 * t81279;
  t85094 = 0.11e2 / 0.18e2 * t85093;
  t85107 = t8262 * t9298;
  t85108 = t1430 * t85107;
  t85111 = t85090 + t85092 - t85094 + t8063 * t77623 / 0.3e1 - t80895 + t77035 + t555 * t77755 / 0.6e1 + t1941 * t15362 / 0.12e2 + t1946 * t15362 / 0.12e2 + t555 * t77763 / 0.12e2 + t555 * t78369 / 0.12e2 - t1421 * t85108 / 0.6e1;
  t85121 = t9293 * t11588 / 0.2e1 + t2189 * t39722 / 0.6e1 - t2180 + t2251 - t8214 * t77745 / 0.6e1 + t39976 * t15894 / 0.4e1 + t84591 - t84593 - t80925 + t80926 + t77122 + t80927;
  t85131 = t9544 * t1965;
  t85132 = t85131 / 0.12e2;
  t85133 = t1058 * t16603;
  t85134 = t85133 / 0.4e1;
  t85137 = t373 * t8600 * t2208 * t376;
  t85138 = t85137 / 0.4e1;
  t85150 = t8091 * t81399 - 0.2e1 * t39124 * t15969 + t5814 * t2521 / 0.2e1 + t1383 * t11378 / 0.2e1 + t1383 * t11472 / 0.2e1 - t85132 + t85134 + t85138 + t5797 * t2521 / 0.2e1 + 0.2e1 / 0.3e1 * t4533 * t1430 * t11499 * t2337 + t11501 * t1447 / 0.2e1 - t11501 * t1439 - t11501 * t1443 / 0.2e1;
  t85172 = t84600 - t84613 - t84615 + t8063 * t77606 / 0.6e1 - 0.3e1 / 0.2e1 * t5665 * t2060 * t77636 + 0.23e2 / 0.18e2 * t11399 * t82604 + 0.44e2 / 0.27e2 * t55994 * t81812 + 0.23e2 / 0.36e2 * t11399 * t82595 - 0.3e1 / 0.2e1 * t11399 * t45335 - 0.23e2 / 0.3e1 * t55987 * t81467 - 0.23e2 / 0.12e2 * t11399 * t82601 - 0.3e1 * t11399 * t45353;
  t85193 = t1070 * t16465;
  t85194 = t85193 / 0.2e1;
  t85195 = t1058 * t16465;
  t85196 = t85195 / 0.2e1;
  t85198 = t373 * t8351 * t16117;
  t85199 = t85198 / 0.2e1;
  t85200 = -0.43e2 / 0.9e1 * t55994 * t81443 + 0.7e1 / 0.3e1 * t11399 * t46657 + 0.9e1 / 0.2e1 * t11399 * t45340 - 0.7e1 * t11399 * t46517 + 0.14e2 / 0.3e1 * t11399 * t45368 + 0.89e2 / 0.9e1 * t55994 * t81087 + 0.9e1 * t5639 * t8438 * t82082 - 0.6e1 * t5639 * t8438 * t82086 - t5814 * t2506 - t1383 * t11436 - t85194 - t85196 - t85199;
  t85202 = t4204 * t16491;
  t85203 = t85202 / 0.2e1;
  t85207 = t1070 * t16462;
  t85208 = t85207 / 0.2e1;
  t85209 = t1058 * t16462;
  t85210 = t85209 / 0.2e1;
  t85212 = t373 * t8246 * t16125;
  t85213 = t85212 / 0.2e1;
  t85227 = t5665 * t8460 * t81004;
  t85228 = 0.3e1 * t85227;
  t85229 = -t85203 - t373 * t2040 * t78373 / 0.4e1 + t85208 + t85210 + t85213 - 0.3e1 / 0.2e1 * t39523 * t15882 + 0.7e1 / 0.3e1 * t39527 * t15878 + 0.7e1 / 0.3e1 * t8169 * t45104 - 0.3e1 * t1029 * t39373 * t15985 + 0.7e1 / 0.3e1 * t39523 * t15878 + t39705 * t15975 - t85228;
  t85243 = t10358 * t11551;
  t85246 = t11646 * t80906;
  t85247 = t85246 / 0.2e1;
  t85248 = t8219 * t80910;
  t85249 = t85248 / 0.6e1;
  t85250 = t11510 * t80913;
  t85251 = t85250 / 0.2e1;
  t85252 = t8219 * t80917;
  t85253 = t85252 / 0.6e1;
  t85260 = t8063 * t81564;
  t85261 = t85260 / 0.6e1;
  t85262 = t5665 * t2056 * t77529 / 0.2e1 + t5665 * t559 * t77534 / 0.2e1 - t24973 * t5691 * t1018 * t552 * t15359 / 0.3e1 + t44474 * t40023 / 0.6e1 - 0.5e1 / 0.36e2 * t44470 * t85243 - t85247 - t85249 + t85251 + t85253 + t8063 * t81024 / 0.3e1 - 0.5e1 / 0.18e2 * t11399 * t81027 - t8063 * t81030 / 0.6e1 + t85261;
  t85267 = t10513 * t8438 * t77614;
  t85268 = 0.3e1 / 0.2e1 * t85267;
  t85270 = t11399 * t80860;
  t85271 = t85270 / 0.2e1;
  t85272 = t56429 * t9331;
  t85291 = t84625 + t85268 - t11399 * t81810 - t85271 + t5673 * t85272 / 0.6e1 + 0.3e1 * t81058 * t11523 - 0.6e1 * t45286 * t11527 + 0.3e1 * t4188 * t16382 + 0.3e1 * t1029 * t39943 * t15866 + 0.3e1 / 0.2e1 * t373 * t40894 * t15861 + 0.3e1 * t4204 * t16382 + 0.3e1 / 0.2e1 * t1070 * t16399;
  t85315 = 0.3e1 / 0.2e1 * t1058 * t16399 + t373 * t8133 * t15319 / 0.2e1 + t1070 * t16394 / 0.2e1 + t1058 * t16394 / 0.2e1 + t2184 * t8563 / 0.6e1 + t2184 * t8602 / 0.6e1 - t373 * t8600 * t2211 * t1047 / 0.2e1 + t9522 * t1965 / 0.6e1 - t1058 * t16413 / 0.2e1 - t1070 * t16413 / 0.2e1 + t84629 - t77290 - t81115;
  t85318 = t1430 * t1954 * t15906;
  t85319 = t4533 * t85318;
  t85320 = t85319 / 0.3e1;
  t85321 = t1956 * t9414;
  t85322 = t85321 / 0.4e1;
  t85325 = t1423 * t85107;
  t85335 = t81116 + t81117 + t85320 + t85322 + 0.3e1 / 0.2e1 * t25290 * t16409 - t1421 * t85325 / 0.3e1 + t9293 * t11562 + t2189 * t39313 / 0.3e1 + 0.2e1 / 0.3e1 * t1981 * t45391 + t8063 * t77798 / 0.6e1 - t84633 - t77339;
  t85344 = t8600 * t2215;
  t85358 = 0.2e1 / 0.3e1 * t1981 * t45385 - t5792 * t11459 - t5792 * t11462 + 0.2e1 / 0.3e1 * t8081 * t15951 + 0.2e1 / 0.3e1 * t8086 * t15951 - t1029 * t85344 * t1034 / 0.2e1 - t9469 * t2037 / 0.2e1 + t2189 * t40868 / 0.3e1 - t4204 * t16425 / 0.2e1 - t4188 * t16425 / 0.2e1 - t39527 * t15873 / 0.2e1 - t84642 + t84644;
  t85369 = -t84646 + t84648 + t84657 - t84659 - t84661 + t84663 - t1946 * t9531 / 0.12e2 - t555 * t44617 / 0.12e2 - t1941 * t9531 / 0.12e2 - t442 * t56967 / 0.6e1 + t81168 + t81169;
  t85381 = t11399 * t81556;
  t85382 = 0.5e1 / 0.36e2 * t85381;
  t85383 = t8063 * t81561;
  t85384 = t85383 / 0.12e2;
  t85387 = t5691 * t11551;
  t85390 = -t81170 - t81171 + 0.3e1 / 0.2e1 * t4695 * t39421 * t15861 + 0.2e1 / 0.3e1 * t8063 * t45482 - 0.2e1 * t45289 * t11751 + 0.14e2 / 0.3e1 * t45332 * t81275 * t56589 + t29985 * t11742 - t85382 - t85384 + 0.5e1 / 0.12e2 * t11399 * t81378 + t84665 + t81204 - t44470 * t85387 / 0.2e1;
  t85393 = t10358 * t5647 * t11550;
  t85396 = t56210 * t9252;
  t85426 = -0.3e1 / 0.2e1 * t44470 * t85393 + 0.3e1 / 0.2e1 * t30451 * t85396 * t9698 + 0.3e1 / 0.2e1 * t4695 * t85396 * t9717 - 0.18e2 * t5639 * t40324 * t81773 - 0.18e2 * t5639 * t40329 * t81065 + 0.18e2 * t5665 * t40329 * t82569 - 0.18e2 * t10513 * t40336 * t81142 + 0.36e2 * t5639 * t40336 * t82533 - 0.3e1 * t5649 * t85396 * t9703 - t5639 * t2060 * t77110 + t5665 * t2060 * t77099 + t44465 * t11552;
  t85427 = t11402 * t9291;
  t85434 = t552 * t2181;
  t85435 = t4191 * t85434;
  t85455 = -0.3e1 * t4695 * t85427 * t1415 + 0.3e1 * t5649 * t85427 * t1410 + t81206 - 0.62e2 / 0.3e1 * t82045 * t50318 * t85435 - 0.3e1 * t5649 * t39825 * t15985 - 0.9e1 / 0.2e1 * t10513 * t8438 * t81146 + 0.3e1 * t10513 * t8438 * t81150 + 0.8e1 * t82045 * t50144 * t10511 * t85434 + 0.3e1 / 0.2e1 * t30451 * t39825 * t15886 - t77433 + t84684 - t84686 - t81239;
  t85472 = t57102 * t1424;
  t85473 = t1423 * t85472;
  t85476 = t9279 * t11562;
  t85477 = t85476 / 0.6e1;
  t85478 = t5595 * t11565;
  t85481 = t5733 * t11561;
  t85485 = 0.3e1 * t45289 * t11543 - t11646 * t80920 - t8219 * t80922 / 0.3e1 + t11510 * t81373 + t8219 * t81375 / 0.3e1 - t39906 * t9460 / 0.4e1 - t1981 * t77681 / 0.6e1 - t1421 * t85473 / 0.3e1 - t85477 + 0.23e2 / 0.36e2 * t9254 * t85478 - 0.11e2 / 0.18e2 * t9254 * t85481 - t56071 * t1411;
  t85487 = t1956 * t9711;
  t85488 = t85487 / 0.2e1;
  t85497 = t1101 * t85107;
  t85504 = t11501 * t1416 + t85488 + t9469 * t2029 / 0.2e1 + t84690 + t2184 * t8553 / 0.6e1 + t1397 * t16510 / 0.12e2 + t1402 * t16510 / 0.12e2 + t1451 * t85497 / 0.3e1 - t9285 * t11603 / 0.2e1 - t2184 * t8264 / 0.6e1 + t80479 + t81340;
  t85509 = t81341 + t81372 + t84692 + t84695 + t84697 + t84699 + t84701 - t84703 - t84705 + t84707 + t84709 - t5665 * t2060 * t77461 / 0.2e1;
  t85511 = t5639 * t8438 * t77619;
  t85512 = 0.3e1 * t85511;
  t85514 = t5665 * t8438 * t80997;
  t85515 = 0.3e1 / 0.2e1 * t85514;
  t85517 = t45376 * t11552;
  t85518 = t85517 / 0.6e1;
  t85519 = t45269 * t11551;
  t85522 = t11402 * t9277;
  t85524 = t4695 * t85522 * t1415;
  t85525 = t85524 / 0.2e1;
  t85528 = t5649 * t85522 * t1410;
  t85529 = t85528 / 0.2e1;
  t85543 = -t85512 + t85515 + t29985 * t11404 - t85518 - t5673 * t85519 / 0.3e1 + t85525 - t45293 * t11530 - t85529 - t8063 * t77103 / 0.3e1 - 0.2e1 * t55994 * t81754 - 0.6e1 * t50541 * t40324 * t81761 + 0.18e2 * t10513 * t40324 * t81769 + 0.6e1 * t5665 * t40324 * t81765;
  t85559 = t1956 * t9406;
  t85560 = t85559 / 0.2e1;
  t85561 = t1956 * t9410;
  t85562 = t85561 / 0.4e1;
  t85569 = -t8169 * t81267 / 0.2e1 + t39124 * t15975 + 0.23e2 / 0.36e2 * t8169 * t81673 - t39523 * t15873 / 0.2e1 + 0.23e2 / 0.36e2 * t39523 * t15966 + 0.23e2 / 0.36e2 * t39527 * t15966 - t1941 * t15315 / 0.6e1 - t85560 - t85562 - t2189 * t40879 / 0.6e1 + t9515 * t8157 / 0.3e1 + t2189 * t40865 / 0.3e1;
  t85577 = t11402 * t2187;
  t85582 = -t2189 * t40876 / 0.6e1 - t84731 + t81425 + t84733 - t84735 - t84737 - t84739 + t84742 - t4695 * t8077 * t15395 / 0.4e1 + t84744 + t4695 * t11403 * t9489 - t4695 * t85577 * t4324 + 0.3e1 / 0.2e1 * t29339 * t16459;
  t85609 = 0.3e1 / 0.2e1 * t5639 * t8457 * t9340 + 0.3e1 / 0.2e1 * t5639 * t2060 * t77311 + 0.3e1 / 0.2e1 * t5639 * t2060 * t81061 - 0.6e1 * t5639 * t8460 * t81069 + 0.6e1 * t5639 * t8460 * t81073 + 0.18e2 * t81183 * t10358 * t85435 + 0.3e1 * t5649 * t40682 * t15866 + 0.3e1 / 0.2e1 * t29436 * t16459 - 0.5e1 / 0.18e2 * t11399 * t81381 - t81454 - t81459 + t81460;
  t85611 = t5665 * t2060 * t81574;
  t85612 = t552 * t2175;
  t85613 = t1018 * t85612;
  t85615 = t45332 * t10447 * t85613;
  t85616 = 0.7e1 / 0.3e1 * t85615;
  t85618 = t4695 * t8072 * t16125;
  t85619 = t85618 / 0.2e1;
  t85621 = t5665 * t8443 * t80870;
  t85622 = 0.3e1 / 0.2e1 * t85621;
  t85623 = -t85611 + t85616 + t85619 + t81489 - t80536 + t84746 + t77545 + t77547 + t81501 - t81502 + t85622 - t77564 - t77566;
  t85627 = t25122 * t16588;
  t85630 = t583 * t1392;
  t85631 = t380 * t85630;
  t85632 = t6005 * t85631;
  t85652 = t8226 * t2182;
  t85656 = t583 * t2181;
  t85657 = t4693 * t85656;
  t85663 = t6012 * t85627 / 0.12e2 + t6004 * t85632 / 0.3e1 - t44488 * t11746 / 0.2e1 - t45951 * t8211 / 0.6e1 - t25376 * t16584 / 0.4e1 - t25561 * t16584 / 0.4e1 - t4695 * t56917 * t2257 / 0.4e1 - t4695 * t56921 * t2257 / 0.4e1 - t4695 * t11776 * t9401 / 0.4e1 + t4695 * t85652 * t1084 / 0.2e1 - 0.2e1 * t45444 * t5695 * t85657 - t4695 * t11783 * t9498;
  t85672 = 0.3e1 / 0.2e1 * t4695 * t8226 * t2187 * t1438 - 0.4e1 / 0.3e1 * t8063 * t45453 + 0.23e2 / 0.18e2 * t11399 * t80956 - t77593 + t81541 + t81542 - t81543 + t81544 + t77605 + t81545 - t81546 - t81547 + t77630;
  t85677 = t5665 * t8451 * t15857 + t29346 * t16457 + t16374 - t77632 + t84767 - t84769 - t84773 - t84775 - t84777 + t84779 - t9281 + t9283;
  t85684 = t5665 * t2056 * t78478 + t5665 * t2056 * t81833 + t77644 + t15849 + t15850 - t15851 + t15327 + t15852 - t15853 + t15369 - t15373 + t9307 - 0.23e2 / 0.12e2 * t11399 * t82614;
  t85711 = t8063 * t81989 / 0.2e1 - 0.8e1 / 0.3e1 * t11510 * t82649 - 0.3e1 / 0.2e1 * t8063 * t81986 + 0.11e2 / 0.6e1 * t11399 * t82610 - 0.3e1 / 0.2e1 * t4695 * t8072 * t81710 - t8219 * t82008 / 0.3e1 + t11646 * t82053 + 0.2e1 / 0.3e1 * t8219 * t82106 + 0.5e1 / 0.12e2 * t11399 * t81979 + t8063 * t81983 / 0.4e1 - 0.4e1 / 0.3e1 * t11510 * t82005 - 0.3e1 / 0.4e1 * t8063 * t81975;
  t85721 = t5733 * t11565;
  t85725 = t5595 * t8278 * t1424;
  t85732 = t5639 * t8460 * t80981;
  t85733 = 0.3e1 * t85732;
  t85734 = -t8063 * t81608 + 0.3e1 * t8063 * t81603 + 0.3e1 / 0.2e1 * t39807 * t9699 - 0.3e1 * t8280 * t9704 + 0.3e1 / 0.2e1 * t1956 * t9718 + 0.7e1 / 0.3e1 * t9254 * t85721 - 0.3e1 / 0.2e1 * t9254 * t85725 + 0.9e1 / 0.2e1 * t5665 * t2060 * t82028 + t85733 - t9147 + t9172 - t77651 - t15382;
  t85746 = t11535 * t439;
  t85747 = t1018 * t85746;
  t85755 = t40145 * t9331;
  t85758 = t4575 * t565;
  t85759 = t85758 * t9446;
  t85762 = -t15386 - t77653 - t8219 * t81906 / 0.3e1 - t8219 * t78349 / 0.3e1 - t8219 * t81911 / 0.3e1 + t45289 * t11756 - t110 * t9692 * t584 / 0.4e1 - 0.7e1 * t45332 * t29468 * t85747 + 0.2e1 * t11510 * t81033 + 0.2e1 / 0.3e1 * t8063 * t81261 - t6004 * t85755 / 0.6e1 - t6012 * t85759 / 0.6e1;
  t85763 = t56645 * t9331;
  t85766 = t40145 * t9440;
  t85777 = t5695 * t4693 * t85630;
  t85782 = t10358 * t11555;
  t85785 = t10447 * t11551;
  t85792 = t5673 * t85763 / 0.12e2 + t6012 * t85766 / 0.12e2 + 0.6e1 * t5665 * t8460 * t82573 + t5649 * t85577 * t4307 - t5649 * t11403 * t9311 + 0.2e1 / 0.3e1 * t5673 * t85777 - 0.2e1 / 0.3e1 * t44474 * t40790 + 0.23e2 / 0.36e2 * t44470 * t85782 - 0.11e2 / 0.18e2 * t44470 * t85785 - 0.61e2 / 0.27e2 * t55994 * t81285 - t84788 - t39976 * t15923 - t39979 * t15923;
  t85811 = t45376 * t11780;
  t85812 = t85811 / 0.12e2;
  t85813 = t44549 * t11551;
  t85820 = -t8063 * t81237 - t8063 * t80945 - t8063 * t77256 + t39976 * t15919 / 0.2e1 + t39979 * t15919 / 0.2e1 + t8063 * t81226 / 0.2e1 + t8063 * t81230 / 0.2e1 + t8063 * t78395 / 0.2e1 - t85812 + t6004 * t85813 / 0.3e1 + 0.2e1 * t11510 * t81741 + 0.22e2 / 0.3e1 * t55987 * t81464;
  t85826 = t1101 * t45091 * t1963;
  t85843 = t11510 * t81744 + t5814 * t2512 + t1383 * t11479 + t1383 * t11482 - t338 * t85826 / 0.12e2 + t9469 * t1969 / 0.4e1 - t555 * t45093 / 0.12e2 - t1981 * t77127 / 0.12e2 + t555 * t45097 / 0.12e2 + t1974 * t77668 / 0.6e1 - t442 * t57104 / 0.6e1 - 0.3e1 / 0.2e1 * t39527 * t15882;
  t85853 = t10447 * t85657;
  t85859 = t1070 * t16603;
  t85860 = t85859 / 0.4e1;
  t85867 = -0.3e1 / 0.2e1 * t8169 * t45127 - t80563 - t80564 - t80565 - 0.9e1 / 0.2e1 * t5665 * t8438 * t81887 + 0.3e1 * t5665 * t8438 * t82094 + 0.7e1 / 0.3e1 * t45332 * t85853 - 0.3e1 * t373 * t39943 * t16106 + t85860 - t1946 * t15315 / 0.6e1 - t555 * t77447 / 0.6e1 - t39482 * t16110 / 0.2e1;
  t85873 = t1430 * t9467 * t8252;
  t85878 = t1974 * t81305;
  t85879 = t85878 / 0.6e1;
  t85890 = -t39486 * t16110 / 0.2e1 - t8145 * t81426 / 0.2e1 + t4533 * t85873 / 0.3e1 + t9469 * t2045 / 0.4e1 - t15870 - t84803 - t16419 + t85879 + t39124 * t16096 / 0.2e1 + t39705 * t16096 / 0.2e1 + t8091 * t81297 / 0.2e1 + t8125 * t15954 / 0.3e1 + t8130 * t15954 / 0.3e1;
  t85897 = t8125 * t15947;
  t85898 = t85897 / 0.6e1;
  t85899 = t8130 * t15947;
  t85900 = t85899 / 0.6e1;
  t85905 = t2178 * t8316;
  t85906 = t85905 / 0.12e2;
  t85907 = t9544 * t1951;
  t85908 = t85907 / 0.12e2;
  t85911 = t1974 * t81312 / 0.3e1 + t1974 * t77352 / 0.3e1 + t85898 + t85900 - t84807 - t84809 - t84811 - t1397 * t11422 / 0.6e1 - t1402 * t11422 / 0.6e1 - t85906 - t85908 + t11501 * t1394 / 0.2e1;
  t85920 = t8287 * t2249;
  t85921 = t85920 / 0.4e1;
  t85924 = t8296 * t2249;
  t85925 = t85924 / 0.4e1;
  t85930 = -t9515 * t8309 / 0.12e2 - t2189 * t39891 / 0.12e2 + t57677 * t457 / 0.2e1 + t57682 * t457 / 0.2e1 + t85921 + t9469 * t1938 / 0.4e1 + t85925 + t44678 * t570 / 0.4e1 + t44684 * t570 / 0.4e1 - t77684 + t77700 + t77702 + t84813;
  t85945 = t1018 * t85434;
  t85961 = -t84815 - 0.3e1 / 0.2e1 * t29349 * t16448 - 0.3e1 / 0.2e1 * t29346 * t16448 - 0.3e1 / 0.2e1 * t5665 * t8457 * t15897 - 0.3e1 / 0.2e1 * t5665 * t2060 * t80993 - 0.6e1 * t5665 * t8460 * t81175 - 0.28e2 * t81183 * t10447 * t85945 - 0.3e1 * t4695 * t40682 * t16106 - 0.9e1 / 0.2e1 * t5639 * t2060 * t82655 + 0.9e1 / 0.2e1 * t45332 * t29474 * t4191 * t85746 + t81714 - 0.11e2 / 0.18e2 * t11399 * t82598;
  t85988 = 0.11e2 / 0.6e1 * t11399 * t81532 - 0.11e2 / 0.9e1 * t11399 * t81538 + 0.4e1 * t11510 * t45446 - 0.4e1 * t11510 * t45498 - 0.2e1 * t11510 * t45521 + 0.3e1 / 0.2e1 * t1058 * t16389 + 0.3e1 / 0.2e1 * t373 * t39373 * t15980 - t9515 * t8153 / 0.6e1 + 0.3e1 / 0.2e1 * t1070 * t16389 + t1058 * t16386 / 0.2e1 + t373 * t85344 * t1039 / 0.2e1 + t1070 * t16386 / 0.2e1 + t16440;
  t85996 = t110 * t5640 * t24522;
  t86004 = t1954 * t15871;
  t86014 = 0.3e1 * t5665 * t8443 * t81844 + 0.12e2 * t85996 * t5695 * t85945 - t9408 - t9412 + t9416 + t76766 - t1956 * t9402 / 0.4e1 + t1956 * t9506 / 0.2e1 - 0.2e1 * t45112 * t1430 * t86004 - t1956 * t9510 / 0.2e1 - t8296 * t2258 / 0.4e1 - t8287 * t2258 / 0.4e1;
  t86027 = t4188 * t16491;
  t86028 = t86027 / 0.2e1;
  t86030 = t1029 * t8246 * t15371;
  t86031 = t86030 / 0.2e1;
  t86033 = -t1383 * t11446 / 0.2e1 - t1383 * t11449 / 0.2e1 - t1956 * t9499 + 0.3e1 / 0.2e1 * t1956 * t9502 - t1383 * t11439 - t5797 * t2509 / 0.2e1 - t5814 * t2509 / 0.2e1 - t86028 - t86031 - t5797 * t2506 + t16464 - t16467 - t81746;
  t86042 = -t81747 - t81748 + t84838 - t80602 + t81749 + t77784 + t77786 + t77788 - t77790 + 0.3e1 / 0.2e1 * t25543 * t16409 + 0.3e1 / 0.2e1 * t4718 * t39373 * t15886 - 0.3e1 * t4204 * t16402;
  t86064 = -0.3e1 * t4188 * t16402 - t77824 - t77827 - t2189 * t40083 / 0.6e1 - t9515 * t8271 / 0.6e1 + t8287 * t2261 / 0.2e1 + t8296 * t2261 / 0.2e1 - t40091 * t2245 / 0.2e1 - t40223 * t2245 / 0.2e1 + t2189 * t40087 / 0.3e1 + t9515 * t8275 / 0.3e1 - t110 * t16573 * t404 / 0.4e1 - t84842;
  t86071 = t84844 - t84846 + t84848 - t84850 + t84855 + t84857 - t84859 - t84863 - t84865 - t84867 - 0.35e2 / 0.108e3 * t55994 * t81384 - 0.5e1 / 0.36e2 * t11399 * t80972;
  t86097 = t2178 * t8563;
  t86098 = t86097 / 0.12e2;
  t86099 = t8214 * t76992 / 0.6e1 - t8219 * t77633 / 0.6e1 - t8214 * t77568 / 0.6e1 - t1070 * t16445 / 0.4e1 - t1058 * t16445 / 0.4e1 - t373 * t8133 * t15395 / 0.4e1 - t2189 * t39103 / 0.12e2 - t2189 * t39106 / 0.12e2 - t442 * t57335 / 0.6e1 - t9515 * t8150 / 0.12e2 - t1402 * t11368 / 0.6e1 - t442 * t56476 / 0.6e1 - t86098;
  t86101 = t2178 * t8602;
  t86102 = t86101 / 0.12e2;
  t86105 = t1430 * t85472;
  t86118 = -t86102 - t1397 * t11368 / 0.6e1 - t1421 * t86105 / 0.6e1 - t16473 + 0.3e1 / 0.2e1 * t5649 * t8072 * t82660 - 0.3e1 * t5665 * t8443 * t81715 + t81868 + t77854 - t81869 - t77860 - t8296 * t2253 / 0.2e1 - t8287 * t2253 / 0.2e1;
  t86121 = t349 * t16574;
  t86126 = t321 * t369 * t16572 * t370;
  t86138 = t1981 * t81048;
  t86139 = t86138 / 0.12e2;
  t86146 = t2178 * t8553;
  t86147 = t86146 / 0.12e2;
  t86148 = t9305 * t11603;
  t86149 = t86148 / 0.6e1;
  t86150 = t2184 * t8316 / 0.6e1 - t338 * t86121 / 0.12e2 + t86126 * t377 / 0.4e1 + t9522 * t1951 / 0.6e1 - t110 * t2238 * t2021 / 0.4e1 - t9469 * t2041 / 0.4e1 - 0.3e1 * t1070 * t16406 - t86139 - 0.5e1 / 0.36e2 * t39523 * t16093 - 0.5e1 / 0.36e2 * t39527 * t16093 - 0.5e1 / 0.36e2 * t8169 * t82617 - t86147 + t86149;
  t86155 = t2178 * t8264;
  t86156 = t86155 / 0.12e2;
  t86157 = t9279 * t11588;
  t86158 = t86157 / 0.12e2;
  t86161 = t5595 * t11561;
  t86164 = t1101 * t85472;
  t86172 = t86156 - t86158 - t2189 * t39725 / 0.12e2 - 0.5e1 / 0.36e2 * t9254 * t86161 - t16493 - t84871 - t81949 + t1451 * t86164 / 0.3e1 + t442 * t57395 / 0.6e1 - t29068 * t2503 - t29078 * t2503 + t1956 * t9490;
  t86193 = -t1956 * t9492 + t1956 * t9494 / 0.2e1 - t8280 * t9322 / 0.2e1 - t8280 * t9312 + t8280 * t9319 + t2189 * t39925 / 0.3e1 + 0.2e1 / 0.3e1 * t1421 * t57124 - 0.2e1 / 0.3e1 * t2189 * t39562 + t5797 * t2512 - t29985 * t11759 / 0.2e1 + t57324 * t9454 / 0.2e1 + t57324 * t9464 / 0.2e1;
  t86204 = t5665 * t2056 * t80874;
  t86205 = t86204 / 0.2e1;
  t86207 = t45444 * t5695 * t85613;
  t86208 = 0.2e1 * t86207;
  t86210 = t4695 * t8060 * t16117;
  t86211 = t86210 / 0.2e1;
  t86212 = -t24973 * t56645 * t15922 / 0.3e1 - 0.4e1 * t45444 * t45481 * t56589 - t29985 * t11768 + t45289 * t11753 + t86205 - t86208 - t86211 - t81957 - t81958 - t16506 + t16514 + t9482;
  t86223 = -t9485 - t9487 - 0.2e1 * t39705 * t15969 - 0.2e1 * t8091 * t45113 - t2189 * t39921 / 0.6e1 - 0.3e1 * t1058 * t16406 - t82011 - t82012 - t318 * t16432 / 0.4e1 - t84873 + t80613 + t84877 - t84879;
  t86229 = t17596 * t2196;
  t86236 = t4695 * t8226 * t9303 * t1438;
  t86237 = t86236 / 0.2e1;
  t86253 = t80614 + t4695 * t11776 * t45866 / 0.2e1 - t24973 * t5691 * t4693 * t86229 / 0.3e1 - t86237 + 0.2e1 * t56930 * t81580 + t11646 * t81923 / 0.2e1 - t11646 * t81926 - 0.3e1 * t56113 * t81891 - t11646 * t81567 / 0.2e1 - t40730 * t15891 / 0.3e1 - t40161 * t15891 / 0.3e1 + 0.6e1 * t55987 * t80948;
  t86271 = t8508 * t82401;
  t86272 = 0.2e1 / 0.3e1 * t86271;
  t86273 = t11651 * t82404;
  t86274 = t86273 / 0.9e1;
  t86281 = 0.2e1 * t8511 * t78326 + 0.2e1 * t11656 * t78330 - t77892 - 0.1e2 * t40315 * t82140 - 0.72e2 * t57967 * t82117 + t8508 * t77992 / 0.3e1 + 0.6e1 * t40455 * t82169 + t86272 - t86274 + t40315 * t82407 / 0.3e1 - 0.2e1 / 0.9e1 * t11651 * t82410 - t57753 * t82413 / 0.9e1;
  t86296 = -t82349 + t82390 + t82391 + t82392 + t77948 + 0.2e1 * t2054 * t15484 + 0.4e1 / 0.3e1 * t2060 * t77938 - 0.2e1 / 0.3e1 * t40346 * t16021 - 0.1e2 * t8438 * t82364 + 0.2e2 / 0.3e1 * t8438 * t82367 - 0.12e2 * t40367 * t16018 + 0.1e2 / 0.3e1 * t40324 * t82370;
  t86299 = t8438 * t82301;
  t86300 = 0.3e1 * t86299;
  t86303 = t2060 * t77894 + 0.3e1 * t2060 * t82231 - t15481 - t15999 - t16000 - t82393 - t82394 - t82395 + t82396 + t82398 + t82399 - t86300;
  t86316 = t8457 * t16068;
  t86327 = -0.4e1 / 0.3e1 * t11651 * t82143 + 0.4e1 * t40455 * t78319 + 0.72e2 * t57964 * t82175 + 0.8e1 * t57967 * t82159 + t40346 * t16079 / 0.18e2 + 0.1e2 / 0.3e1 * t40346 * t16070 - t86316 - t78001 - 0.12e2 * t40324 * t82123 - 0.2e1 / 0.3e1 * t2060 * t78197 - 0.2e1 * t8457 * t16041 - 0.2e1 * t2060 * t78176 - 0.2e1 * t2060 * t82214;
  t86340 = t11651 * t82260;
  t86341 = 0.6e1 * t86340;
  t86348 = 0.12e2 * t11651 * t82429 + 0.6e1 * t40428 * t16050 - t2056 * t78192 + 0.9e1 * t40315 * t82172 - 0.18e2 * t40315 * t82426 - t559 * t78195 + 0.24e2 * t57753 * t82159 + 0.9e1 * t8438 * t82236 - 0.6e1 * t8438 * t82239 - t16527 + t82400 + t86341;
  t86353 = t2060 * t82375;
  t86354 = 0.2e1 * t86353;
  t86355 = t2060 * t82189;
  t86356 = 0.4e1 / 0.3e1 * t86355;
  t86357 = t8508 * t82180;
  t86358 = 0.4e1 * t86357;
  t86359 = 0.24e2 * t40329 * t82319 + t16546 - t16551 - 0.4e1 / 0.3e1 * t57753 * t82147 + t86354 - t86356 - t86358 - t82439 - t82440 - t78137 - t78140 - t78142;
  t86361 = t11668 * t82442;
  t86362 = 0.12e2 * t86361;
  t86379 = -t86362 - t82453 + t82454 - t82455 + 0.5e2 / 0.3e1 * t40324 * t82304 + 0.3e1 * t8457 * t16014 - 0.4e2 * t40336 * t82361 + 0.6e1 * t40346 * t16024 - 0.36e2 * t40329 * t82126 - 0.12e2 * t8460 * t82223 + 0.12e2 * t8460 * t82226 - 0.2e1 * t559 * t78122;
  t86388 = t8438 * t82382;
  t86389 = 0.1e2 / 0.3e1 * t86388;
  t86394 = t8457 * t16044;
  t86395 = 0.2e1 * t86394;
  t86400 = t8457 * t16034;
  t86401 = t86400 / 0.3e1;
  t86402 = t8438 * t82336;
  t86403 = t86402 / 0.18e2;
  t86406 = 0.2e1 * t2056 * t78007 + 0.3e1 * t559 * t78011 - 0.6e1 * t8443 * t82202 - 0.2e1 * t8451 * t16011 + t86389 + 0.12e2 * t40350 * t82194 + 0.3e1 * t8443 * t82198 + t86395 - t40346 * t16037 / 0.9e1 - 0.2e1 / 0.3e1 * t40336 * t82333 - t86401 + t86403 + t559 * t78286 / 0.2e1;
  t86424 = t2054 * t15523 / 0.2e1 + 0.2e1 * t40315 * t82509 - 0.18e2 * t40315 * t82486 + 0.32e2 * t40318 * t82495 - t82456 - t82460 + 0.36e2 * t40336 * t82131 + 0.24e2 * t40318 * t82166 - 0.24e2 * t11668 * t82156 - t9586 - t9610 - t9611;
  t86431 = t8511 * t82421;
  t86432 = 0.2e1 * t86431;
  t86433 = t11668 * t82260;
  t86434 = 0.2e1 * t86433;
  t86439 = t11663 * t82418;
  t86440 = 0.6e1 * t86439;
  t86447 = t9635 + 0.4e1 / 0.3e1 * t57967 * t82432 - 0.4e1 * t40318 * t82426 + 0.4e1 * t11668 * t82429 + t86432 + t86434 + 0.12e2 * t11663 * t82112 - 0.12e2 * t57964 * t82117 + t86440 - 0.24e2 * t57984 * t82285 - 0.6e1 * t40458 * t82288 - t40315 * t82273 / 0.6e1;
  t86470 = -0.4e1 * t40461 * t78314 + 0.32e2 / 0.3e1 * t40318 * t82172 + t40448 * t16005 + t8508 * t77989 + t8508 * t82271 + 0.4e1 * t8511 * t78275 + 0.4e1 * t8511 * t82267 - 0.6e1 * t8508 * t82135 - 0.6e1 * t8508 * t77955 + 0.4e1 * t40540 * t16007 + 0.4e1 * t11656 * t77973 - 0.2e1 / 0.3e1 * t40455 * t77977;
  t86488 = -0.6e1 * t40448 * t16002 - 0.2e1 * t2056 * t78217 - 0.2e1 * t2056 * t82242 - 0.2e1 * t2060 * t77905 + 0.3e1 * t2060 * t77942 - 0.9e1 * t40455 * t82292 - t559 * t78119 - 0.6e1 * t58028 * t77969 - 0.2e1 * t8508 * t77888 + t16053 - t82464 + t82465 + t9669;
  t86503 = t8460 * t82307;
  t86504 = 0.6e1 * t86503;
  t86507 = t11651 * t82255;
  t86508 = 0.2e1 / 0.3e1 * t86507;
  t86513 = -0.12e2 * t40458 * t82503 - 0.8e1 * t40461 * t82506 - 0.16e2 / 0.3e1 * t40318 * t82486 - 0.3e1 * t40455 * t82489 + t40315 * t82492 / 0.3e1 + 0.18e2 * t40455 * t82500 + t86504 + 0.2e1 * t40315 * t82163 - t86508 + 0.6e1 * t40458 * t82185 + 0.4e1 * t40461 * t82387 - t16558;
  t86522 = t8460 * t82327;
  t86523 = 0.4e1 * t86522;
  t86524 = -t2054 * t15497 - t2054 * t15510 - 0.3e1 * t40428 * t16055 + 0.6e1 * t40367 * t16059 - 0.3e1 * t40346 * t16062 + t16560 + t16561 + t78282 + t82483 - t86523 + t9675 + t9677 - t9683;
  t86534 = t8457 * t16073;
  t86535 = 0.2e1 / 0.3e1 * t86534;
  t86536 = t8451 * t16082;
  t86539 = 0.2e1 * t40367 * t16031 - t16084 + t15518 + t16085 + t16086 + t8438 * t82316 / 0.9e1 - t2229 - 0.16e2 * t40318 * t82295 + 0.8e1 / 0.3e1 * t57753 * t82432 + t86535 + t86536 - 0.4e1 * t40367 * t16076;
  t86540 = t8443 * t82322;
  t86541 = 0.3e1 * t86540;
  t86542 = t2056 * t82325;
  t86549 = t8451 * t16028;
  t86550 = 0.2e1 * t86549;
  t86551 = -t86541 - t86542 + 0.8e1 * t8460 * t82339 - 0.8e1 * t8460 * t82330 - t8438 * t82311 / 0.6e1 + t78304 + t78307 + t78309 + t82515 - t82516 + t2210 - t86550 + t82517;
  t86560 = t8063 * t81518;
  t86561 = t86560 / 0.6e1;
  t86578 = 0.3e1 / 0.2e1 * t11399 * t80952 - t11399 * t81220 - 0.38e2 / 0.9e1 * t55994 * t80934 - t110 * t139 * (t86281 + t86296 + t86303 + t86327 + t86348 + t86359 + t86379 + t86406 + t86424 + t86447 + t86470 + t86488 + t86513 + t86524 + t86539 + t86551) * t168 / 0.4e1 - t86561 - t8219 * t77647 / 0.3e1 - t8214 * t77795 / 0.3e1 - t318 * t16574 / 0.4e1 + t39979 * t15894 / 0.4e1 + t8063 * t81918 / 0.4e1 + t8063 * t77586 / 0.4e1 + t8063 * t81896 / 0.4e1 + t8219 * t77251 / 0.3e1;
  t86588 = t45481 * t11551;
  t86591 = t5695 * t85631;
  t86606 = t8214 * t77731 / 0.2e1 - t8214 * t77735 / 0.3e1 - t8063 * t77740 / 0.6e1 + t6012 * t56808 / 0.6e1 - t5673 * t86588 / 0.6e1 - t5673 * t86591 / 0.6e1 - 0.18e2 * t5665 * t40336 * t81883 + t80620 - t76849 + t4695 * t8077 * t15319 / 0.2e1 - 0.6e1 * t5665 * t40350 * t81836 - 0.3e1 / 0.2e1 * t5665 * t8443 * t81840;
  t86611 = t8226 * t2176;
  t86613 = t4695 * t86611 * t1084;
  t86614 = t86613 / 0.4e1;
  t86615 = t583 * t2175;
  t86617 = t5695 * t4693 * t86615;
  t86618 = t24973 * t86617;
  t86619 = t86618 / 0.3e1;
  t86630 = t380 * t16587 * t333;
  t86631 = t5691 * t86630;
  t86634 = t9535 + t9543 + t8063 * t77572 / 0.12e2 + t8214 * t77582 / 0.12e2 - t86614 + t86619 + t29349 * t16457 - 0.2e1 * t5665 * t2056 * t81719 + 0.16e2 / 0.3e1 * t45444 * t5691 * t85747 + t4695 * t8060 * t81724 + t5673 * t86631 / 0.12e2 - t9546 - t9548;
  t86657 = t30141 * t1018 * t552 * t15312;
  t86662 = t4687 * t380 * t2020 * t2196;
  t86667 = t4687 * t380 * t583 * t9399;
  t86670 = -t57324 * t9336 / 0.2e1 - t45289 * t11540 + t57328 * t9341 / 0.2e1 + 0.6e1 * t45286 * t11801 - 0.6e1 * t45289 * t11407 + t45286 * t11537 - t5665 * t2056 * t77525 - 0.3e1 / 0.2e1 * t5665 * t559 * t77086 + t5665 * t559 * t77091 + 0.2e1 / 0.3e1 * t24973 * t86657 + t6012 * t86662 / 0.12e2 + t6012 * t86667 / 0.12e2;
  t86684 = t1094 * t39769 * t2197;
  t86688 = t1094 * t8262 * t9425;
  t86691 = t8081 * t15912;
  t86692 = t86691 / 0.3e1;
  t86693 = t8086 * t15912;
  t86694 = t86693 / 0.3e1;
  t86695 = t1981 * t45120;
  t86696 = t86695 / 0.3e1;
  t86703 = t44465 * t11780 / 0.2e1 + t30611 * t16589 / 0.12e2 + t30614 * t16589 / 0.12e2 - 0.9e1 / 0.2e1 * t10513 * t8438 * t82560 + 0.9e1 * t5639 * t8438 * t82549 + t442 * t86684 / 0.12e2 + t442 * t86688 / 0.12e2 + t86692 + t86694 + t86696 - t8081 * t15916 / 0.3e1 - t8086 * t15916 / 0.3e1 - t1981 * t81095 / 0.3e1;
  t86707 = t8081 * t15908;
  t86708 = t86707 / 0.6e1;
  t86709 = t8086 * t15908;
  t86710 = t86709 / 0.6e1;
  t86711 = t1981 * t81213;
  t86712 = t86711 / 0.6e1;
  t86727 = t8081 * t16102;
  t86728 = t86727 / 0.12e2;
  t86729 = -t1981 * t77591 / 0.3e1 - t86708 - t86710 - t86712 + t1941 * t15376 / 0.6e1 + t1946 * t15376 / 0.6e1 + t555 * t77751 / 0.6e1 - t8081 * t16099 / 0.6e1 - t8086 * t16099 / 0.6e1 - t1981 * t81294 / 0.6e1 - t1981 * t77366 / 0.6e1 - t86728;
  t86730 = t8086 * t16102;
  t86731 = t86730 / 0.12e2;
  t86744 = t5674 * t86630;
  t86753 = -t86731 - 0.11e2 / 0.18e2 * t39523 * t15972 - 0.11e2 / 0.18e2 * t39527 * t15972 - 0.11e2 / 0.18e2 * t8169 * t81676 + t5649 * t11403 * t45767 / 0.2e1 - t4695 * t11403 * t45790 / 0.2e1 + t5673 * t86744 / 0.6e1 - 0.8e1 * t5639 * t8460 * t81597 + 0.8e1 * t5665 * t8460 * t82024 - t78429 - t78431 - t78434 - t78437;
  t86760 = t78439 + t84884 - t78469 - t78472 + t82544 - t82545 - t82546 - t9710 + t9713 - t84886 - t11399 * t80938 / 0.2e1 - 0.6e1 * t56113 * t81784;
  t86765 = t45481 * t17621;
  t86768 = t45946 * t11746;
  t86769 = t86768 / 0.6e1;
  t86770 = t45379 * t8211;
  t86771 = t86770 / 0.12e2;
  t86772 = t5563 * t11561;
  t86783 = t5679 * t85631;
  t86789 = -0.2e1 * t11510 * t81738 - t29985 * t11777 / 0.2e1 + 0.2e1 / 0.3e1 * t24973 * t86765 + t86769 + t86771 + t84891 - t84893 - t9254 * t86772 / 0.2e1 + t44474 * t40767 / 0.3e1 + 0.47e2 / 0.3e1 * t82045 * t29474 * t85945 + 0.3e1 / 0.2e1 * t4695 * t39825 * t15980 - t5673 * t86783 / 0.3e1 + t5639 * t2060 * t77465 / 0.2e1;
  t86808 = t8063 * t45437;
  t86809 = 0.2e1 / 0.3e1 * t86808;
  t86810 = t11399 * t81282;
  t86811 = 0.23e2 / 0.36e2 * t86810;
  t86812 = -t16593 + 0.3e1 / 0.2e1 * t11399 * t82553 - 0.9e1 / 0.2e1 * t5665 * t8438 * t82556 - t11510 * t81894 + t11510 * t80897 + 0.5e1 / 0.3e1 * t55987 * t80901 + t11510 * t81021 / 0.2e1 + 0.2e1 * t45286 * t11804 - 0.3e1 * t45332 * t80955 * t56504 - t45293 * t11771 - t86809 + t86811;
  t86813 = t8063 * t45432;
  t86814 = t86813 / 0.3e1;
  t86815 = t4687 * t86630;
  t86820 = t9444 * t380 * t16587 * t1082;
  t86830 = t5639 * t2060 * t77429;
  t86833 = t45332 * t10358 * t4191 * t85612;
  t86834 = 0.3e1 / 0.2e1 * t86833;
  t86836 = t5649 * t8072 * t15371;
  t86837 = t86836 / 0.2e1;
  t86841 = t86814 - t6004 * t86815 / 0.6e1 - t6012 * t86820 / 0.6e1 + t4695 * t11783 * t45858 / 0.2e1 - 0.2e1 / 0.3e1 * t24973 * t45452 * t56712 + t86830 - t86834 - t86837 + 0.3e1 * t45289 * t11762 + t45289 * t11765 + t16605 + t78508 + t78510;
  t86848 = my_piecewise3(t100, 0, t86841 + t86812 + t86789 + t86760 + t86753 + t86729 + t86703 + t86670 + t86634 + t86606 + t86578 + t86253 + t86223 + t86212 + t86193 + t86172 + t86150 + t86118 + t86099 + t86071 + t86064 + t86042 + t86033 + t86014 + t85988 + t85961 + t85930 + t85911 + t85890 + t85867 + t85843 + t85820 + t85792 + t85762 + t85734 + t85711 + t85684 + t85677 + t85672 + t85663 + t85623 + t85609 + t85582 + t85569 + t85543 + t85509 + t85504 + t85485 + t85455 + t85426 + t85390 + t85369 + t85358 + t85335 + t85315 + t85291 + t85262 + t85229 + t85200 + t85172 + t85150 + t85121 + t85111 + t85089);
  tv4rhosigma2tau23 = t3 * t86848 + t16612;

  if(out->v4rhosigma2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigma2tau[ip*p->dim.v4rhosigma2tau + 23] += tv4rhosigma2tau23;

  t86856 = t414 * t1524;
  t86857 = t670 * t86856;
  t86858 = t4873 * t86857;
  t86866 = t58894 * t432 / 0.12e2;
  t86871 = -t6454 * t80124 / 0.3e1 - t6451 * t80111 / 0.3e1 - 0.2e1 * t58268 * t9971 - 0.4e1 * t9863 * t86858 + 0.4e1 * t58268 * t9967 + t75038 + t2534 * t27464 / 0.3e1 + t86866 - 0.2e1 * t59554 * t2282 + t12047 * t10144 + t12047 * t8696;
  t86875 = t78573 / 0.6e1;
  t86876 = t78579 / 0.6e1;
  t86877 = t78581 / 0.6e1;
  t86879 = t11868 * t15094 / 0.18e2;
  t86880 = t31872 * t2266;
  t86881 = t843 * t86880;
  t86890 = t4748 * t12024;
  t86891 = t1261 * t86890;
  t86896 = t59554 * t2276 - 0.3e1 * t630 * t16902 + t86875 - t86876 - t86877 + t86879 + t1568 * t86881 / 0.3e1 + t417 * t60087 / 0.12e2 - t5286 * t12151 / 0.2e1 + t2529 * t4750 / 0.6e1 - t1541 * t86891 / 0.6e1 + t2534 * t27584 / 0.6e1;
  t86898 = t843 * t86890;
  t86920 = t836 * t3389 * t16750;
  t86925 = t1568 * t86898 / 0.3e1 - t12030 * t8987 / 0.2e1 - t2529 * t4754 / 0.6e1 + t12047 * t8992 / 0.2e1 + t2534 * t75561 / 0.3e1 + t12217 * t15094 / 0.6e1 + t2534 * t75737 / 0.6e1 + t2534 * t75730 / 0.6e1 - 0.5e1 / 0.36e2 * t58843 * t16613 + t1534 * t16752 / 0.12e2 + t466 * t86920 / 0.12e2 - t12217 * t5229 / 0.12e2;
  t86926 = t75061 / 0.12e2;
  t86928 = t9744 * t3156 * t86856;
  t86932 = t31415 * t16775 / 0.18e2;
  t86935 = t30 * t59117;
  t86936 = t47881 * t9889;
  t86943 = t3168 * t476;
  t86950 = -t2089 + t2160 - t86926 - 0.3e1 * t9743 * t86928 - t86932 + 0.9e1 / 0.2e1 * t58252 * t26191 - 0.43e2 / 0.9e1 * t86935 * t86936 - 0.3e1 / 0.2e1 * t58252 * t26184 + 0.2e1 * t47381 * t10117 - 0.3e1 * t26808 * t86943 * t17287 - t47374 * t9963 + 0.2e1 / 0.3e1 * t6439 * t47866;
  t86956 = t637 * t16906 / 0.2e1;
  t86958 = t58853 * t16910 / 0.2e1;
  t86970 = t3125 * t476;
  t86971 = t86970 * t9746;
  t86976 = -t6067 * t16894 / 0.6e1 + t86956 - t86958 - t78617 + t78619 + 0.36e2 * t4983 * t59109 * t48029 - 0.3e1 * t9877 * t11896 * t76430 + t47381 * t9899 - t47384 * t9882 - 0.5e1 * t4983 * t11892 * t42120 - 0.11e2 / 0.9e1 * t9743 * t86971 + 0.6e1 * t47381 * t10114;
  t86981 = 0.3e1 * t75114;
  t86982 = t75146 / 0.6e1;
  t86983 = 0.14e2 / 0.3e1 * t78650;
  t86984 = 0.3e1 * t78654;
  t87012 = t15109 + 0.2e1 / 0.3e1 * t41431 * t2728 + 0.2e1 / 0.3e1 * t8685 * t12141 + 0.2e1 * t1599 * t2166 + 0.12e2 * t58445 * t48862 - 0.4e1 * t11927 * t43309 + 0.32e2 / 0.3e1 * t58445 * t48248 - 0.24e2 * t58440 * t47430 - 0.8e1 / 0.3e1 * t11927 * t47245 + 0.16e2 / 0.9e1 * t58445 * t48874 + 0.4e1 * t11924 * t42516 + 0.4e1 * t11930 * t42508 - 0.4e1 / 0.3e1 * t11927 * t43320;
  t87031 = 0.4e1 * t11924 * t47251 - 0.8e1 * t11927 * t47240 + 0.4e1 * t11937 * t8976 - 0.4e1 * t11942 * t8968 + 0.4e1 * t58480 * t2323 - 0.4e1 * t58487 * t2331 + 0.2e1 * t472 * t8963 + 0.12e2 * t58448 * t48134 - 0.8e1 * t58440 * t48143 + t75277 - t75280 + t75299 + t75318;
  t87053 = -0.2e1 * t11930 * t8963 + 0.4e1 * t58426 * t2331 - 0.4e1 * t10114 - 0.4e1 / 0.3e1 * t10117 + 0.2e2 / 0.9e1 * t9879 + 0.8e1 * t9771 - 0.4e1 * t58430 * t2323 - 0.4e1 * t11924 * t8976 + 0.4e1 / 0.3e1 * t58426 * t2318 + 0.4e1 / 0.3e1 * t11927 * t8848 - 0.2e1 * t58433 * t2166 - 0.12e2 * t9886 + 0.4e1 / 0.3e1 * t9872;
  t87063 = -0.2e1 / 0.3e1 * t9899 - 0.4e1 * t10124 - 0.4e1 * t9767 - 0.4e1 * t9761 + 0.24e2 * t9894 + 0.4e1 * t9882 + 0.4e1 * t11927 * t8968 - 0.12e2 * t10120 - t15121 + t75338 - t75344 - t75347 + t75349;
  t87065 = t87012 + t87031 + t87053 + t87063;
  t87067 = t824 * t221 * t87065;
  t87073 = t59450 * t2276 / 0.3e1;
  t87075 = 0.23e2 / 0.108e3 * t58853 * t16629;
  t87076 = -0.6e1 * t47384 * t9894 + t6439 * t78723 / 0.3e1 + t86981 + t86982 - t78643 + t86983 - t86984 - t246 * t6273 * t16760 / 0.4e1 - t246 * t1559 * t87067 / 0.4e1 - t630 * t16685 + t87073 + t87075;
  t87079 = t637 * t16687 / 0.2e1;
  t87081 = t637 * t16685 / 0.3e1;
  t87083 = t11855 * t2108 / 0.18e2;
  t87088 = t78673 / 0.6e1;
  t87089 = t4851 * t9784;
  t87098 = 0.3e1 * t78687;
  t87099 = t87079 - t87081 - t87083 + t12220 * t1223 / 0.6e1 + t2529 * t5261 / 0.6e1 - t78662 - t87088 - 0.11e2 / 0.18e2 * t12052 * t87089 - 0.11e2 / 0.18e2 * t58843 * t16640 - t1541 * t80412 / 0.6e1 - t466 * t47748 / 0.6e1 + t87098;
  t87100 = t637 * t16902;
  t87101 = t95 * t86856;
  t87102 = t9744 * t87101;
  t87105 = 0.3e1 * t78716;
  t87106 = t222 * t16886;
  t87111 = t191 * t242 * t16884 * t243;
  t87114 = 0.3e1 / 0.2e1 * t75177;
  t87117 = t48404 * t9746;
  t87119 = t31478 * t9934;
  t87122 = t48404 * t9757;
  t87125 = t78692 - t87100 - 0.5e1 / 0.18e2 * t9743 * t87102 + t87105 - t78738 - t211 * t87106 / 0.12e2 + t87111 * t250 / 0.4e1 + t87114 + t58268 * t9842 / 0.2e1 - t10155 * t87117 - t6454 * t87119 / 0.3e1 + t6454 * t87122 / 0.3e1;
  t87133 = t47865 * t9746;
  t87135 = t47795 * t9934;
  t87138 = t86943 * t9746;
  t87147 = t637 * t16755;
  t87148 = t87147 / 0.12e2;
  t87151 = t6439 * t80114 / 0.6e1 + t6451 * t80106 / 0.6e1 + t9863 * t87133 + t6439 * t87135 / 0.3e1 - 0.5e1 / 0.18e2 * t9743 * t87138 - 0.23e2 / 0.18e2 * t58252 * t75130 - 0.2e1 / 0.3e1 * t58249 * t75117 - t6411 * t9799 - t6411 * t9796 - t87148 - t2534 * t26868 / 0.12e2;
  t87152 = t75199 / 0.4e1;
  t87153 = t75232 / 0.36e2;
  t87154 = t75234 / 0.36e2;
  t87155 = t75236 / 0.18e2;
  t87156 = t86943 * t9846;
  t87159 = t47377 * t9746;
  t87162 = t41761 * t11827;
  t87163 = t87162 / 0.6e1;
  t87164 = t43406 * t11826;
  t87167 = t47865 * t9757;
  t87171 = t4772 * t9045 * t11877;
  t87172 = t87171 / 0.2e1;
  t87174 = t4772 * t2118 * t12194;
  t87175 = t87174 / 0.2e1;
  t87176 = t30 * t59109;
  t87179 = t87152 - t87153 + t87154 + t87155 + 0.23e2 / 0.18e2 * t9743 * t87156 + 0.2e1 * t9863 * t87159 + t87163 + t6439 * t87164 / 0.6e1 - t6439 * t87167 / 0.6e1 + t87172 + t87175 - 0.23e2 / 0.3e1 * t87176 * t9857;
  t87183 = t47881 * t9846;
  t87186 = t78782 / 0.3e1;
  t87187 = t78784 / 0.3e1;
  t87191 = t30793 * t2319 / 0.3e1;
  t87193 = t6226 * t2332 / 0.3e1;
  t87195 = 0.11e2 / 0.54e2 * t58853 * t16640;
  t87197 = t6226 * t2324 / 0.3e1;
  t87201 = t58670 * t1255;
  t87202 = t1254 * t87201;
  t87205 = 0.22e2 / 0.3e1 * t87176 * t9860 + 0.44e2 / 0.27e2 * t86935 * t87183 + t87186 + t87187 - 0.2e1 * t12047 * t9837 - t87191 + t87193 - t87195 - t87197 + t11843 * t1275 / 0.2e1 - t47008 * t1548 - t1252 * t87202 / 0.6e1;
  t87206 = 0.2e1 / 0.3e1 * t78803;
  t87207 = 0.2e1 / 0.3e1 * t78805;
  t87208 = 0.2e1 / 0.3e1 * t78807;
  t87210 = t6284 * t16897 / 0.9e1;
  t87212 = t6140 * t16894 / 0.18e2;
  t87214 = t1506 * t15691 / 0.18e2;
  t87216 = 0.2e1 / 0.3e1 * t59450 * t2282;
  t87218 = 0.2e1 / 0.9e1 * t11868 * t15209;
  t87221 = t16749 * t206;
  t87222 = t95 * t87221;
  t87223 = t5175 * t87222;
  t87226 = t26189 * t9746;
  t87229 = t26847 * t9934;
  t87232 = t87206 + t87207 + t87208 + t87210 - t87212 + t87214 - t87216 - t87218 + t466 * t79283 / 0.6e1 + t6439 * t87223 / 0.6e1 - 0.38e2 / 0.9e1 * t86935 * t87226 + 0.11e2 / 0.6e1 * t58252 * t87229;
  t87235 = t11945 * t414;
  t87236 = t95 * t87235;
  t87237 = t5175 * t87236;
  t87240 = t2541 * t1237;
  t87241 = t95 * t87240;
  t87242 = t5175 * t87241;
  t87252 = 0.7e1 / 0.9e1 * t58853 * t16659;
  t87253 = 0.2e1 / 0.3e1 * t78852;
  t87256 = 0.23e2 / 0.18e2 * t78855;
  t87257 = 0.4e1 * t78858;
  t87258 = 0.4e1 / 0.3e1 * t78860;
  t87259 = 0.5e1 / 0.36e2 * t75408;
  t87260 = t6439 * t87237 / 0.6e1 + t6439 * t87242 / 0.6e1 - t31172 * t16671 / 0.3e1 - t31175 * t16671 / 0.3e1 + 0.2e1 / 0.3e1 * t1541 * t47778 + t87252 + t87253 + t58266 * t9935 / 0.2e1 + t87256 - t87257 - t87258 - t87259;
  t87261 = t75410 / 0.12e2;
  t87262 = 0.7e1 / 0.3e1 * t75428;
  t87263 = t75431 / 0.2e1;
  t87264 = t75440 / 0.3e1;
  t87265 = 0.11e2 / 0.18e2 * t75441;
  t87266 = t75443 / 0.6e1;
  t87267 = 0.2e1 / 0.3e1 * t75445;
  t87268 = t75450 / 0.3e1;
  t87269 = t75453 / 0.4e1;
  t87270 = t4762 * t87101;
  t87272 = -t10155 * t87270 - t75423 + t75438 - t87261 + t87262 + t87263 + t87264 - t87265 - t87266 - t87267 - t87268 - t87269;
  t87274 = t75456 / 0.2e1;
  t87275 = t78886 / 0.6e1;
  t87276 = 0.5e1 / 0.18e2 * t78889;
  t87277 = t78893 / 0.3e1;
  t87279 = t4983 * t9020 * t59497;
  t87280 = t87279 / 0.2e1;
  t87282 = t4772 * t9020 * t12239;
  t87283 = t87282 / 0.2e1;
  t87284 = t3130 * t87221;
  t87288 = t3556 * t87221;
  t87292 = t9845 * t87101;
  t87296 = t31675 * t16779 / 0.18e2;
  t87297 = 0.2e1 / 0.3e1 * t78921;
  t87298 = t87274 - t87275 - t87276 + t87277 + t78896 + t87280 - t87283 + t4983 * t1591 * t87284 / 0.2e1 - t4772 * t1591 * t87288 / 0.2e1 - 0.11e2 / 0.9e1 * t9743 * t87292 - t87296 + t87297;
  t87299 = t78923 / 0.2e1;
  t87300 = t78925 / 0.2e1;
  t87301 = t75478 / 0.12e2;
  t87302 = t75480 / 0.12e2;
  t87304 = t3266 * t42286 * t2592;
  t87305 = t87304 / 0.4e1;
  t87306 = t788 * t87221;
  t87310 = t16749 * t794;
  t87311 = t3562 * t87310;
  t87315 = t683 * t86856;
  t87322 = t2526 * t414;
  t87323 = t3156 * t87322;
  t87324 = t9744 * t87323;
  t87327 = t20876 * t9745;
  t87333 = t87299 - t87300 - t87301 - t87302 - t87305 + t4772 * t1587 * t87306 / 0.2e1 + t4772 * t470 * t87311 / 0.2e1 + 0.6e1 * t4983 * t6300 * t87315 - 0.6e1 * t4983 * t11892 * t4987 + 0.18e2 * t79127 * t87324 - 0.18e2 * t4983 * t59117 * t87327 + 0.23e2 / 0.36e2 * t58843 * t16629;
  t87343 = t47807 * t9846;
  t87346 = t2541 * t8688;
  t87348 = t8790 * t95 * t87346;
  t87355 = t26056 * t16666;
  t87358 = t4877 * t87236;
  t87365 = t1254 * t86880;
  t87368 = -0.11e2 / 0.18e2 * t12052 * t75914 - 0.3e1 * t4993 * t58954 * t16651 + 0.89e2 / 0.9e1 * t86935 * t87343 - t6451 * t87348 / 0.6e1 + t31172 * t16782 / 0.12e2 + t31175 * t16782 / 0.12e2 + t6439 * t87355 / 0.12e2 + t6439 * t87358 / 0.12e2 - t11843 * t1286 / 0.4e1 + t11843 * t1290 / 0.4e1 - t1541 * t87365 / 0.3e1;
  t87380 = t2526 * t2105;
  t87381 = t670 * t87380;
  t87382 = t4877 * t87381;
  t87398 = -t1541 * t78963 / 0.3e1 + 0.2e1 / 0.3e1 * t6062 * t16637 + 0.2e1 / 0.3e1 * t6067 * t16637 - 0.3e1 / 0.2e1 * t4772 * t11912 * t8774 - t4772 * t2554 * t8779 + 0.1e2 / 0.3e1 * t42312 * t87382 + t3266 * t58233 * t2166 / 0.2e1 - t58255 * t8800 / 0.6e1 + 0.7e1 / 0.3e1 * t58843 * t16659 + 0.7e1 / 0.3e1 * t12052 * t25780 + 0.7e1 / 0.3e1 * t12052 * t25903 - t6062 * t16633 / 0.3e1;
  t87404 = t75578 / 0.4e1;
  t87405 = t75581 / 0.2e1;
  t87406 = t75583 / 0.4e1;
  t87407 = t75585 / 0.4e1;
  t87413 = 0.2e1 * t79029;
  t87414 = 0.6e1 * t79034;
  t87415 = t75635 / 0.2e1;
  t87416 = -t6067 * t16633 / 0.3e1 - t11843 * t1282 / 0.2e1 - t87404 - t87405 - t87406 - t87407 + 0.3e1 * t4993 * t58373 * t2318 - t60007 * t1270 / 0.2e1 + t87413 - t79031 + t87414 - t87415;
  t87417 = t75637 / 0.2e1;
  t87418 = t75641 / 0.2e1;
  t87438 = t79071 / 0.3e1;
  t87441 = -t87417 - t87418 + 0.18e2 * t4772 * t59123 * t9893 - t1228 * t12176 / 0.4e1 - t1228 * t12181 / 0.4e1 + 0.3e1 * t3070 * t16695 + t246 * t12135 * t8963 / 0.2e1 - t5277 * t2593 / 0.4e1 + 0.3e1 / 0.2e1 * t246 * t12131 * t8976 + t630 * t16690 / 0.2e1 + t87438 - 0.2e1 / 0.3e1 * t2534 * t26948;
  t87458 = t4808 * t9784;
  t87469 = 0.23e2 / 0.36e2 * t12052 * t76478 + t59554 * t2271 / 0.2e1 + t12047 * t10187 / 0.2e1 + t12047 * t8703 / 0.2e1 - t58866 * t2268 / 0.2e1 - t12030 * t9785 / 0.2e1 - t12030 * t8833 / 0.2e1 - 0.5e1 / 0.36e2 * t12052 * t87458 - 0.5e1 / 0.36e2 * t12052 * t75063 - t12220 * t2108 / 0.6e1 - t2529 * t8658 / 0.6e1 - t2529 * t8691 / 0.6e1;
  t87485 = t75667 / 0.6e1;
  t87486 = t75669 / 0.6e1;
  t87487 = t75671 / 0.18e2;
  t87488 = t75675 / 0.9e1;
  t87489 = -0.5e1 / 0.36e2 * t12052 * t75066 - t2534 * t26288 / 0.12e2 + t608 * t16690 / 0.2e1 - t608 * t16685 - t246 * t12147 * t75565 + 0.3e1 / 0.2e1 * t630 * t16687 + 0.3e1 / 0.2e1 * t608 * t16687 - t608 * t16761 / 0.4e1 - t87485 + t87486 - t87487 + t87488;
  t87491 = t79098 / 0.6e1;
  t87492 = t79100 / 0.6e1;
  t87493 = t75682 / 0.12e2;
  t87494 = t75684 / 0.12e2;
  t87495 = t75686 / 0.12e2;
  t87496 = t75688 / 0.12e2;
  t87497 = t2105 * t1524;
  t87498 = t3556 * t87497;
  t87508 = t26847 * t87381;
  t87511 = t47881 * t9746;
  t87514 = t9744 * t9757;
  t87517 = -t87491 + t87492 + t87493 + t87494 - t87495 - t87496 - 0.2e1 * t4772 * t1591 * t87498 + 0.5e1 * t4772 * t11892 * t8762 + 0.3e1 * t4772 * t2558 * t75542 - 0.14e2 / 0.3e1 * t26808 * t87508 - 0.35e2 / 0.108e3 * t86935 * t87511 - 0.5e1 / 0.36e2 * t58252 * t87514;
  t87518 = t95 * t87497;
  t87519 = t3273 * t87518;
  t87534 = t2087 * t12075;
  t87535 = t87534 / 0.12e2;
  t87537 = t6226 * t2327 / 0.6e1;
  t87539 = t3051 * t16678 / 0.3e1;
  t87542 = -t6454 * t87519 / 0.3e1 + t58266 * t8786 / 0.2e1 + t58255 * t8792 / 0.3e1 - t58249 * t76407 / 0.2e1 + 0.5e1 / 0.18e2 * t58252 * t76396 + t58249 * t76399 / 0.6e1 + t1534 * t15691 / 0.6e1 + t87535 - t87537 + t87539 - t6209 * t2324 - t6217 * t2324;
  t87546 = t3556 * t87240;
  t87554 = t3130 * t16665;
  t87558 = t3130 * t87235;
  t87562 = t3130 * t87240;
  t87570 = t26778 * t16666;
  t87574 = t4877 * t670 * t87240;
  t87577 = t3556 * t87235;
  t87581 = -t4772 * t1591 * t87546 / 0.2e1 + t26257 * t16662 / 0.2e1 + t26263 * t16662 / 0.2e1 + t4983 * t6335 * t87554 / 0.2e1 + t4983 * t1591 * t87558 / 0.2e1 + t4983 * t1591 * t87562 / 0.2e1 + t31172 * t16667 / 0.6e1 + t31175 * t16667 / 0.6e1 + t6439 * t87570 / 0.6e1 - t6439 * t87574 / 0.3e1 - t4772 * t1591 * t87577 / 0.2e1;
  t87585 = t670 * t87322;
  t87592 = t3130 * t86856;
  t87596 = t22290 * t4986;
  t87606 = t79104 / 0.3e1;
  t87607 = t75690 / 0.3e1;
  t87614 = 0.6e1 * t4772 * t11892 * t9770 - 0.28e2 * t79127 * t9845 * t87585 - 0.3e1 * t3266 * t58373 * t2331 + 0.3e1 * t4772 * t6304 * t87592 - 0.9e1 / 0.2e1 * t4772 * t11896 * t87596 + 0.47e2 / 0.3e1 * t79576 * t26189 * t87585 + 0.3e1 / 0.2e1 * t3266 * t58954 * t16905 - t87606 + t87607 - t58249 * t75521 + 0.11e2 / 0.9e1 * t58252 * t75524 - 0.3e1 * t679 * t12038 * t75708;
  t87625 = t46876 * t9934;
  t87628 = t79150 / 0.18e2;
  t87639 = -0.3e1 * t3070 * t16652 - 0.3e1 * t3061 * t16652 + 0.3e1 / 0.2e1 * t3167 * t12038 * t75937 + 0.3e1 / 0.2e1 * t21529 * t16647 + 0.2e1 / 0.3e1 * t6439 * t87625 - t87628 - t1516 * t9919 - t1516 * t9922 - t1516 * t9778 / 0.2e1 - t1516 * t9902 / 0.2e1 - t6209 * t2327 / 0.2e1 - t6217 * t2327 / 0.2e1;
  t87641 = t79163 / 0.3e1;
  t87642 = t75700 / 0.2e1;
  t87643 = t75702 / 0.2e1;
  t87644 = t75705 / 0.2e1;
  t87649 = t41697 * t19108;
  t87654 = t788 * t87497;
  t87659 = t75726 / 0.2e1;
  t87660 = t3070 * t16678 + t87641 + t87642 + t87643 + t87644 + t42708 * t11878 / 0.2e1 + t42708 * t12195 / 0.2e1 - t20708 * t87649 / 0.3e1 - t26650 * t12198 / 0.4e1 + t4772 * t1587 * t87654 + 0.7e1 / 0.3e1 * t58252 * t26254 - t87659;
  t87663 = t75728 / 0.2e1;
  t87664 = t75733 / 0.2e1;
  t87665 = t75735 / 0.4e1;
  t87666 = t79188 / 0.3e1;
  t87667 = t79192 / 0.3e1;
  t87668 = t75785 / 0.12e2;
  t87669 = t16770 * t794;
  t87670 = t22302 * t87669;
  t87674 = t12232 * t2105;
  t87676 = t26405 * t670 * t87674;
  t87680 = t3459 * t2591 * t2105;
  t87684 = t16665 * t794;
  t87685 = t22290 * t87684;
  t87690 = t21994 * t16647 / 0.2e1;
  t87692 = t46995 * t481 / 0.6e1;
  t87693 = t87663 - t87664 - t87665 + t87666 - t87667 + t87668 - 0.3e1 / 0.2e1 * t4772 * t470 * t87670 + 0.2e1 / 0.3e1 * t20708 * t87676 + t3266 * t6163 * t87680 / 0.2e1 - 0.3e1 / 0.2e1 * t4983 * t1591 * t87685 + t87690 + t87692;
  t87694 = t16665 * t206;
  t87695 = t788 * t87694;
  t87699 = t3562 * t87684;
  t87702 = t3125 * t86856;
  t87706 = t4877 * t87241;
  t87713 = t75810 / 0.2e1;
  t87714 = t12204 * t414;
  t87715 = t253 * t87714;
  t87716 = t4877 * t87715;
  t87719 = t75813 / 0.3e1;
  t87720 = -0.3e1 / 0.2e1 * t4772 * t6309 * t87695 - t4772 * t1587 * t87699 - 0.6e1 * t4983 * t6304 * t87702 - t8624 + t8645 - t8647 + t6439 * t87706 / 0.12e2 - t26260 * t16786 / 0.2e1 - t26266 * t16786 / 0.2e1 + t87713 + t6439 * t87716 / 0.12e2 + t87719;
  t87722 = t75814 / 0.4e1;
  t87728 = t26467 * t16786 / 0.6e1;
  t87729 = t9845 * t86857;
  t87732 = t4877 * t9757;
  t87735 = t12232 * t414;
  t87736 = t670 * t87735;
  t87737 = t4877 * t87736;
  t87741 = t824 * t2591 * t414;
  t87745 = t22309 * t87684;
  t87753 = t3360 * t18610 * t414;
  t87759 = t87722 - t31651 * t9764 / 0.2e1 + 0.3e1 * t47384 * t10120 - t87728 + 0.14e2 / 0.3e1 * t9743 * t87729 - t58252 * t87732 / 0.2e1 + 0.2e1 * t42312 * t87737 + t3266 * t6169 * t87741 / 0.2e1 + 0.3e1 / 0.2e1 * t4772 * t1591 * t87745 - 0.7e1 / 0.3e1 * t26808 * t26847 * t87736 - t3266 * t6175 * t87753 / 0.2e1 - 0.7e1 * t58252 * t27595;
  t87778 = 0.5e1 / 0.108e3 * t58853 * t16613;
  t87779 = -t8720 + 0.3e1 / 0.2e1 * t246 * t12038 * t75614 + 0.3e1 / 0.2e1 * t608 * t16906 + 0.3e1 / 0.2e1 * t26784 * t12039 + t3061 * t16678 + t679 * t12147 * t76528 + 0.3e1 * t3061 * t16695 + 0.3e1 * t679 * t12087 * t8848 - t5266 * t2593 / 0.4e1 - t87778 + t16622 - t16623;
  t87785 = t1261 * t87201;
  t87791 = t59450 * t2271 / 0.6e1;
  t87792 = 0.3e1 * t75846;
  t87793 = t75849 / 0.2e1;
  t87794 = t75851 / 0.2e1;
  t87795 = t47377 * t9757;
  t87803 = -t16624 + t16625 - t1252 * t87785 / 0.12e2 - t417 * t58672 / 0.12e2 + t87791 - t87792 + t87793 - t87794 - t6439 * t87795 / 0.3e1 - t4772 * t6335 * t16785 / 0.2e1 - t31558 * t16775 / 0.6e1;
  t87828 = -t31586 * t16775 / 0.6e1 + t11843 * t1239 / 0.4e1 + t58583 * t432 / 0.4e1 + t58589 * t432 / 0.4e1 - t1242 * t11838 / 0.12e2 - t1247 * t11838 / 0.12e2 - t417 * t58592 / 0.12e2 - t26932 * t2584 / 0.2e1 - t27454 * t2584 / 0.2e1 - t5277 * t2588 / 0.2e1 - t5266 * t2588 / 0.2e1 + t5277 * t2596 / 0.2e1;
  t87832 = t75855 / 0.6e1;
  t87833 = t75857 / 0.6e1;
  t87834 = t75859 / 0.3e1;
  t87835 = t75860 / 0.3e1;
  t87836 = t75867 / 0.6e1;
  t87838 = t1218 * t11838 / 0.36e2;
  t87840 = t27552 * t2584 / 0.6e1;
  t87841 = t75879 / 0.6e1;
  t87844 = t95 * t87694;
  t87845 = t26405 * t87844;
  t87848 = t5266 * t2596 / 0.2e1 - t87832 - t87833 + t87834 + t87835 - t87836 - t87838 - t87840 - t87841 + t8741 + t1529 * t15691 / 0.6e1 + t9743 * t87845 / 0.2e1;
  t87849 = t20876 * t87694;
  t87853 = t22290 * t87694;
  t87857 = t20862 * t87694;
  t87861 = t3130 * t87694;
  t87865 = t26189 * t87844;
  t87868 = t95 * t87684;
  t87869 = t26400 * t87868;
  t87872 = t5175 * t87715;
  t87876 = t26189 * t3156 * t87735;
  t87880 = t3360 * t18593 * t414;
  t87885 = t26405 * t670 * t87684;
  t87888 = t4877 * t3264 * t87714;
  t87893 = t8790 * t253 * t12204 * t2105;
  t87896 = -0.3e1 / 0.2e1 * t9877 * t6304 * t87849 - 0.3e1 / 0.2e1 * t4772 * t6304 * t87853 + 0.3e1 * t4983 * t6304 * t87857 - 0.3e1 * t4983 * t6300 * t87861 + 0.5e1 / 0.36e2 * t9743 * t87865 - t6439 * t87869 / 0.2e1 + t6439 * t87872 / 0.6e1 + 0.3e1 / 0.2e1 * t26808 * t87876 + t4993 * t6175 * t87880 / 0.2e1 + t6439 * t87885 - t6439 * t87888 / 0.3e1 - t6451 * t87893 / 0.6e1;
  t87902 = t4877 * t87518;
  t87912 = t31085 * t16671 / 0.9e1;
  t87914 = t31085 * t16667 / 0.18e2;
  t87915 = t3273 * t87715;
  t87918 = t16770 * t206;
  t87919 = t95 * t87918;
  t87920 = t8790 * t87919;
  t87923 = t26405 * t87868;
  t87926 = t788 * t87240;
  t87930 = t58249 * t75527 / 0.3e1 + t58252 * t75842 + t6439 * t87902 / 0.3e1 - 0.5e1 / 0.6e1 * t58268 * t8795 + 0.14e2 / 0.3e1 * t26808 * t86970 * t17295 + t31651 * t9773 - t87912 + t87914 - t6454 * t87915 / 0.6e1 + t6454 * t87920 / 0.3e1 - t6439 * t87923 / 0.4e1 + t4772 * t1587 * t87926 / 0.2e1;
  t87938 = t11945 * t2105;
  t87939 = t3562 * t87938;
  t87943 = t3562 * t87346;
  t87947 = 0.1e2 / 0.3e1 * t76001;
  t87948 = 0.4e1 / 0.3e1 * t79673;
  t87949 = 0.2e1 / 0.9e1 * t79677;
  t87950 = 0.4e1 * t79680;
  t87951 = 0.4e1 * t79683;
  t87952 = 0.24e2 * t79686;
  t87953 = 0.8e1 * t79689;
  t87954 = 0.4e1 / 0.3e1 * t79692;
  t87955 = 0.12e2 * t79696;
  t87956 = t2557 * t48706;
  t87959 = t8999 * t1524;
  t87960 = t233 * t87959;
  t87965 = t2553 * t27418;
  t87970 = t9996 * t1524;
  t87971 = t802 * t87970;
  t87974 = t87947 + t87948 - t87949 + t87950 + t87951 - t87952 - t87953 - t87954 + t87955 - 0.12e2 * t87956 * t9998 + 0.4e1 * t6344 * t87960 - 0.6e1 * t59134 * t9078 - 0.4e1 * t87965 * t9084 - 0.1e2 / 0.3e1 * t59026 * t9087 + 0.4e1 * t10002 * t87971;
  t87977 = t11895 * t48416;
  t87980 = t59116 * t48410;
  t87989 = t62 * t16749;
  t87990 = t87989 * t206;
  t87991 = t815 * t87990;
  t87994 = t815 * t87918;
  t87997 = t42744 * t11975;
  t87998 = 0.2e1 * t87997;
  t88001 = t42887 * t11965;
  t88002 = 0.2e1 * t88001;
  t88003 = t76113 * t11969;
  t88004 = 0.2e1 * t88003;
  t88005 = t42744 * t11972;
  t88006 = t88005 / 0.3e1;
  t88007 = t233 * t87990;
  t88011 = t233 * t87989 * t794;
  t88014 = -0.4e1 * t59026 * t10017 + 0.4e1 / 0.3e1 * t87977 * t10083 + 0.24e2 * t87980 * t10006 + 0.8e1 / 0.3e1 * t87980 * t10083 - 0.72e2 * t87977 * t9998 - 0.12e2 * t59023 * t9087 - 0.2e1 * t6341 * t87991 - 0.2e1 * t32108 * t87994 - t87998 - 0.6e1 * t59134 * t10098 + t88002 + t88004 + t88006 + 0.2e1 * t6344 * t88007 + 0.2e1 * t10088 * t88011;
  t88016 = t802 * t87990;
  t88019 = t233 * t87694;
  t88022 = t233 * t87684;
  t88025 = t233 * t87918;
  t88028 = t233 * t87669;
  t88037 = t59066 * t414;
  t88038 = t815 * t88037;
  t88041 = t11963 * t1237;
  t88042 = t815 * t88041;
  t88045 = t815 * t87684;
  t88048 = t3580 * t87694;
  t88051 = t815 * t87970;
  t88056 = 0.4e1 * t76079;
  t88057 = t6341 * t88016 / 0.3e1 + 0.3e1 * t32232 * t88019 + 0.2e1 * t32105 * t88022 + 0.2e1 * t32105 * t88025 + 0.3e1 * t48493 * t88028 + 0.12e2 * t9995 * t87971 - 0.18e2 * t59023 * t10017 - 0.2e1 * t32123 * t16877 - 0.2e1 * t6341 * t88038 - 0.2e1 * t6341 * t88042 - 0.3e1 * t32108 * t88045 - 0.1e2 / 0.3e1 * t32067 * t88048 - 0.24e2 * t10002 * t88051 + 0.72e2 * t87956 * t10003 - t88056;
  t88058 = 0.2e1 / 0.3e1 * t76088;
  t88059 = t76091 / 0.9e1;
  t88060 = 0.6e1 * t76102;
  t88061 = 0.2e1 * t76104;
  t88062 = 0.2e1 * t76107;
  t88063 = 0.2e1 * t76111;
  t88064 = 0.2e1 * t76114;
  t88065 = t76116 / 0.3e1;
  t88066 = t16851 * t206;
  t88067 = t3556 * t88066;
  t88071 = 0.6e1 * t76124;
  t88077 = t3562 * t2571 * t8688;
  t88079 = t20876 * t10028;
  t88082 = t88058 - t88059 + t88060 + t88061 + t88062 + t88063 + t88064 + t88065 + t1591 * t88067 - 0.36e2 * t59123 * t10042 + t88071 + 0.8e1 * t11892 * t10056 - 0.2e1 / 0.3e1 * t59109 * t10052 - t470 * t88077 - t11896 * t88079 / 0.6e1;
  t88090 = 0.4e1 * t79717;
  t88091 = t20876 * t10038;
  t88096 = t20871 * t10038;
  t88099 = t802 * t87959;
  t88102 = t2557 * t27404;
  t88106 = t3562 * t16851 * t794;
  t88108 = t9020 * t11983;
  t88109 = 0.2e1 / 0.3e1 * t88108;
  t88112 = t788 * t88066;
  t88114 = t3130 * t88066;
  t88117 = t48481 * t9997;
  t88120 = -t6329 * t16802 + 0.6e1 * t11896 * t76184 - 0.12e2 * t11892 * t9057 + t88090 + 0.5e2 / 0.3e1 * t59117 * t88091 - 0.2e1 / 0.3e1 * t11896 * t76006 + 0.1e2 / 0.3e1 * t59117 * t88096 + 0.4e1 / 0.3e1 * t6341 * t88099 - 0.2e1 * t88102 * t76057 - t470 * t88106 - t88109 + 0.2e1 * t2554 * t9065 - t1587 * t88112 - 0.2e1 / 0.3e1 * t1591 * t88114 - t87980 * t88117 / 0.9e1;
  t88122 = t3562 * t11946 * t2105;
  t88124 = t11946 * t414;
  t88125 = t788 * t88124;
  t88127 = t2571 * t1237;
  t88128 = t788 * t88127;
  t88131 = t79751 / 0.9e1;
  t88132 = 0.8e1 / 0.3e1 * t79769;
  t88133 = t2118 * t11979;
  t88136 = t788 * t63 * t87065;
  t88138 = 0.12e2 * t79791;
  t88139 = 0.3e1 * t76182;
  t88140 = 0.2e1 * t76189;
  t88141 = -t1585 * t16805 - t1585 * t16816 - t1587 * t88125 - t1587 * t88128 - t470 * t88122 - t470 * t88136 - t76171 - t76173 - t76175 + t88131 - t88132 - t88133 + t88138 - t88139 + t88140;
  t88144 = t788 * t60 * t87065;
  t88159 = 0.12e2 * t79842;
  t88162 = t3590 * t87970;
  t88165 = 0.12e2 * t76196;
  t88166 = 0.2e1 * t76198;
  t88167 = 0.2e1 / 0.3e1 * t76206;
  t88168 = 0.6e1 * t76210;
  t88169 = t470 * t88144 / 0.2e1 + 0.1e2 / 0.3e1 * t11896 * t76149 - 0.4e1 / 0.3e1 * t2558 * t76309 - 0.4e1 * t11892 * t9116 + t11896 * t76168 / 0.18e2 + 0.6e1 * t11892 * t9005 - 0.3e1 * t11896 * t76326 - t16807 + t88159 + 0.2e1 / 0.9e1 * t59023 * t76060 - 0.2e1 / 0.9e1 * t9995 * t88162 - t88165 - t88166 - t88167 + t88168;
  t88170 = 0.6e1 * t79877;
  t88171 = 0.4e1 * t79892;
  t88172 = 0.4e1 * t79894;
  t88173 = 0.2e1 / 0.3e1 * t79902;
  t88178 = t3580 * t87970;
  t88181 = t3580 * t10011;
  t88184 = t22190 * t9997;
  t88188 = t233 * t59066 * t2105;
  t88191 = -t88170 + t16808 - t16809 - t15239 - t16810 + t88171 - t88172 + t16812 - t88173 + 0.24e2 * t59026 * t10012 + 0.8e1 * t87977 * t10006 - 0.4e1 / 0.3e1 * t9995 * t88178 + 0.2e1 * t59023 * t88181 - 0.4e1 / 0.3e1 * t87980 * t88184 + 0.2e1 * t10088 * t88188;
  t88196 = t233 * t11963 * t8688;
  t88199 = t802 * t87918;
  t88204 = t802 * t88037;
  t88207 = t802 * t88041;
  t88210 = t3590 * t87694;
  t88213 = t815 * t87694;
  t88218 = t233 * t88037;
  t88221 = t233 * t88041;
  t88224 = t802 * t87694;
  t88229 = t2298 * t1524;
  t88230 = t683 * t88229;
  t88235 = 0.2e1 * t10088 * t88196 + 0.4e1 / 0.3e1 * t32108 * t88199 + t32123 * t16874 / 0.3e1 + t6341 * t88204 / 0.3e1 + t6341 * t88207 / 0.3e1 - t32067 * t88210 / 0.18e2 - 0.6e1 * t32130 * t88213 + 0.2e1 * t32116 * t16867 + 0.2e1 * t6344 * t88218 + 0.2e1 * t6344 * t88221 + 0.4e1 * t32130 * t88224 + 0.2e1 * t48793 * t16871 - 0.8e1 * t6300 * t88230 - t11896 * t76257 / 0.9e1 - t16813;
  t88236 = t3556 * t88127;
  t88240 = t20862 * t10038;
  t88243 = 0.2e2 / 0.3e1 * t79930;
  t88244 = 0.6e1 * t79933;
  t88245 = 0.2e1 * t79936;
  t88246 = 0.8e1 * t79938;
  t88250 = t3556 * t88124;
  t88254 = 0.2e1 * t76234;
  t88255 = 0.4e1 / 0.3e1 * t76249;
  t88256 = -0.4e2 * t59109 * t10039 + 0.36e2 * t59109 * t10046 + t1591 * t88236 + t1591 * t88250 + t6335 * t16792 + 0.3e1 * t32067 * t88224 - 0.12e2 * t59117 * t88240 - t16814 + t88243 - t88244 - t88245 - t88246 + t88254 - t88255 + t9022;
  t88258 = 0.2e1 / 0.3e1 * t76263;
  t88259 = t76265 / 0.3e1;
  t88260 = t76266 / 0.18e2;
  t88261 = 0.3e1 * t76279;
  t88262 = t3168 * t88229;
  t88269 = 0.2e1 * t80017;
  t88270 = 0.2e1 * t80018;
  t88271 = -t9047 - t9048 - t9050 - t76261 - t88258 - t88259 + t88260 - t88261 + t76295 + t16850 + t6304 * t88262 / 0.9e1 + 0.4e1 * t2558 * t76051 + t1585 * t16852 / 0.2e1 - t88269 + t88270;
  t88272 = t802 * t87684;
  t88275 = t815 * t87959;
  t88284 = t233 * t87970;
  t88290 = t3130 * t88124;
  t88293 = t229 * t88229;
  t88298 = t2141 * t1524;
  t88299 = t788 * t88298;
  t88308 = t2118 * t11993;
  t88309 = 0.2e1 * t32108 * t88272 - 0.8e1 * t6341 * t88275 + 0.2e2 * t59026 * t9001 + 0.12e2 * t88102 * t76085 + 0.4e1 / 0.3e1 * t59023 * t76200 + 0.12e2 * t10094 * t88284 - 0.24e2 * t2553 * t48521 * t10095 - 0.2e1 / 0.3e1 * t1591 * t88290 - 0.6e1 * t6309 * t88293 - 0.2e2 / 0.3e1 * t11896 * t76036 - 0.2e1 * t1587 * t88299 + 0.3e1 * t11912 * t9062 + 0.3e1 * t11912 * t10062 + 0.24e2 * t59123 * t10068 - t88308;
  t88316 = t9045 * t11990;
  t88317 = 0.2e1 * t76302;
  t88318 = 0.4e1 * t76304;
  t88323 = t3130 * t88127;
  t88332 = 0.4e1 / 0.3e1 * t80038;
  t88333 = 0.2e1 / 0.3e1 * t76320;
  t88336 = 0.12e2 * t59177 * t10059 + 0.2e2 / 0.3e1 * t11892 * t9054 - t88316 - t88317 - t88318 + 0.2e1 * t2554 * t9052 - 0.2e1 / 0.3e1 * t6335 * t16818 - 0.2e1 / 0.3e1 * t1591 * t88323 - 0.4e1 * t2558 * t76003 + 0.6e1 * t11912 * t9069 - t11896 * t76241 / 0.9e1 + t88332 - t76314 + t88333 + 0.2e1 / 0.3e1 * t2558 * t76255;
  t88339 = t43067 * t87694;
  t88342 = t48591 * t87694;
  t88345 = t43071 * t87694;
  t88348 = t43071 * t87684;
  t88353 = t43071 * t87918;
  t88356 = t43071 * t87669;
  t88359 = t43067 * t87918;
  t88362 = t43067 * t87684;
  t88364 = t48556 * t87694;
  t88367 = t43075 * t87684;
  t88370 = 0.2e1 * t11892 * t9035 + t16862 - t16864 + t16865 - 0.6e1 * t32067 * t88339 + 0.2e1 / 0.3e1 * t32067 * t88342 - 0.6e1 * t32232 * t88345 - 0.4e1 * t32105 * t88348 - 0.2e1 * t32130 * t88339 - 0.4e1 * t32105 * t88353 - 0.6e1 * t48493 * t88356 - 0.2e1 / 0.3e1 * t32108 * t88359 - t32108 * t88362 + t32067 * t88364 / 0.9e1 + 0.6e1 * t32108 * t88367;
  t88372 = t43075 * t87694;
  t88375 = t43075 * t87918;
  t88381 = t2118 * t11947;
  t88382 = t88381 / 0.2e1;
  t88385 = t3556 * t88298;
  t88392 = t3130 * t88229;
  t88395 = -0.1e2 * t11892 * t9017 - 0.3e1 * t11912 * t9010 + 0.4e1 * t1591 * t88385 - t2554 * t9110 - 0.6e1 * t2558 * t76033 + 0.2e1 * t2558 * t76323 + 0.4e1 * t32108 * t88375 + 0.12e2 * t32130 * t88372 - 0.6e1 * t6304 * t88392 - t15274 + t15282 + t16880 + t16881 - t2138 + t88382;
  t88396 = t689 * t88229;
  t88401 = t22290 * t10028;
  t88404 = t9020 * t11890;
  t88407 = t76341 / 0.2e1;
  t88408 = t3590 * t10011;
  t88411 = t3125 * t88229;
  t88414 = t20862 * t10028;
  t88417 = t3130 * t88298;
  t88420 = 0.12e2 * t6300 * t88396 - 0.12e2 * t11892 * t10029 + 0.9e1 * t11896 * t88401 + t88404 + 0.6e1 * t11896 * t76133 + t9091 + t9093 - t9100 + t76339 + t88407 + t9121 + t59023 * t88408 / 0.3e1 + 0.2e2 / 0.3e1 * t6304 * t88411 - 0.1e2 * t11896 * t88414 - 0.8e1 / 0.3e1 * t1591 * t88417 + t2119;
  t88431 = t75882 / 0.2e1;
  t88432 = 0.3e1 / 0.2e1 * t75885;
  t88433 = 0.2e1 * t75888;
  t88434 = t75894 / 0.2e1;
  t88437 = t26260 * t16772 / 0.2e1 + t26266 * t16772 / 0.2e1 + t4772 * t1585 * t16771 / 0.2e1 + t4772 * t470 * t87939 / 0.2e1 + t4772 * t470 * t87943 / 0.2e1 - t30 * t59 * (t87974 + t88014 + t88057 + t88082 + t88120 + t88141 + t88169 + t88191 + t88235 + t88256 + t88271 + t88309 + t88336 + t88370 + t88395 + t88420) * t95 / 0.4e1 - t58266 * t9758 / 0.2e1 + t88431 + t88432 - t88433 - t88434 - 0.2e1 * t12047 * t8980;
  t88439 = t20724 * t16666;
  t88449 = t788 * t87235;
  t88453 = t79345 / 0.6e1;
  t88454 = t79347 / 0.3e1;
  t88456 = t1506 * t10198 / 0.18e2;
  t88458 = t11868 * t5291 / 0.18e2;
  t88460 = t11868 * t5281 / 0.9e1;
  t88462 = t11868 * t5229 / 0.36e2;
  t88463 = -t6454 * t88439 / 0.6e1 + t26260 * t16767 / 0.2e1 + t26266 * t16767 / 0.2e1 + t4772 * t6329 * t16766 / 0.2e1 + t4772 * t1587 * t88449 / 0.2e1 - t8811 - t88453 + t88454 - t88456 - t88458 + t88460 - t88462;
  t88465 = t11855 * t1223 / 0.18e2;
  t88467 = t5234 * t2588 / 0.6e1;
  t88469 = t5234 * t2596 / 0.6e1;
  t88479 = t1261 * t9946 * t2676;
  t88486 = t4808 * t9836;
  t88489 = t88465 - t88467 + t88469 + t9948 * t1526 / 0.2e1 + t47296 * t481 / 0.2e1 + t47291 * t481 / 0.2e1 - t9948 * t1560 / 0.2e1 + 0.2e1 / 0.3e1 * t3396 * t88479 + t9948 * t1564 / 0.2e1 + 0.23e2 / 0.36e2 * t12052 * t75512 + 0.23e2 / 0.36e2 * t12052 * t88486 - t8829;
  t88506 = t31085 * t16782 / 0.36e2;
  t88507 = t20876 * t4986;
  t88511 = t4873 * t87101;
  t88513 = t30 * t59123;
  t88517 = -t1529 * t10198 / 0.6e1 - t1534 * t10198 / 0.6e1 - t466 * t47308 / 0.6e1 - t2534 * t27457 / 0.6e1 - t12217 * t5291 / 0.6e1 + t12217 * t5281 / 0.3e1 + t88506 - 0.9e1 / 0.2e1 * t9877 * t11896 * t88507 + t9863 * t88511 - 0.3e1 * t88513 * t9957 - t58268 * t10110;
  t88520 = t47865 * t17295;
  t88525 = t4877 * t670 * t87497;
  t88530 = t16698 - t16699 + t16700 - t16701 + t16704 + t16705 + t58268 * t10169 + t47384 * t10124 - 0.4e1 * t42312 * t88520 - t31651 * t10127 - 0.4e1 / 0.3e1 * t6439 * t88525 + 0.2e1 * t58249 * t75127;
  t88535 = t26467 * t16767 / 0.6e1;
  t88536 = t3130 * t87497;
  t88544 = t26189 * t3156 * t87380;
  t88552 = t30 * t476 * t9875;
  t88559 = t47881 * t9875 * t9745;
  t88562 = t79402 / 0.6e1;
  t88563 = t79405 / 0.6e1;
  t88564 = -0.6e1 * t88513 * t9864 + t88535 + 0.2e1 * t4983 * t1591 * t88536 - 0.3e1 * t4983 * t2558 * t75492 + 0.3e1 * t26808 * t88544 + t4993 * t58766 * t15163 - 0.6e1 * t47381 * t9872 + 0.3e1 * t88552 * t9879 - 0.62e2 / 0.3e1 * t86935 * t47807 * t9889 + 0.8e1 * t86935 * t88559 - t88562 - t88563;
  t88574 = t75953 / 0.2e1;
  t88582 = t43351 * t12234 / 0.2e1 - t42708 * t12240 / 0.2e1 - 0.18e2 * t9877 * t59109 * t48018 + t16706 + t15675 - t15680 - t15683 - 0.3e1 * t608 * t16902 - t88574 + 0.2e1 * t30 * t59177 * t10156 + t466 * t79287 / 0.6e1 - t6062 * t16894 / 0.6e1;
  t88585 = t3168 * t86856;
  t88589 = t689 * t86856;
  t88593 = t79454 / 0.18e2;
  t88595 = 0.2e1 / 0.9e1 * t6140 * t16637;
  t88596 = t3051 * t16652;
  t88598 = t59853 * t2268 / 0.6e1;
  t88604 = t4808 * t3059 * t2266;
  t88611 = 0.3e1 * t9877 * t6304 * t88585 - 0.6e1 * t4772 * t6300 * t88589 - t88593 + t88595 - t88596 - t88598 - t31139 * t2319 - t31990 * t2319 - 0.3e1 / 0.2e1 * t12052 * t75260 - 0.3e1 / 0.2e1 * t12052 * t88604 - 0.3e1 / 0.2e1 * t58843 * t16910 + 0.2e1 / 0.3e1 * t1541 * t46744;
  t88612 = 0.3e1 / 0.2e1 * t75976;
  t88613 = t75979 / 0.2e1;
  t88614 = t26645 * t12205;
  t88619 = -t88612 - t88613 - t79485 - t79487 - t79491 - t79493 - t79495 - t79498 + t79510 + t79512 + t6451 * t88614 / 0.12e2 - 0.2e1 * t47384 * t9771;
  t88621 = t42342 * t12201;
  t88622 = t88621 / 0.6e1;
  t88623 = t42408 * t12188;
  t88624 = t88623 / 0.6e1;
  t88625 = t41761 * t12191;
  t88626 = t88625 / 0.12e2;
  t88627 = t42408 * t12206;
  t88628 = t88627 / 0.12e2;
  t88631 = t2084 * t2541;
  t88633 = t4877 * t670 * t88631;
  t88634 = t20708 * t88633;
  t88635 = t88634 / 0.3e1;
  t88637 = t26535 * t16662 / 0.6e1;
  t88641 = 0.6e1 * t79550;
  t88642 = 0.6e1 * t79555;
  t88643 = -0.18e2 * t4772 * t59109 * t9885 + 0.3e1 * t47384 * t9886 - t16757 + t16764 - t88622 - t88624 + t88626 + t88628 - t88635 + t88637 - t88641 - t88642;
  t88644 = t843 * t87201;
  t88650 = t4808 * t5284 * t18970;
  t88654 = t11868 * t15211 / 0.9e1;
  t88656 = t1506 * t16752 / 0.36e2;
  t88657 = t8622 * t2544;
  t88658 = t88657 / 0.36e2;
  t88660 = t1506 * t16730 / 0.36e2;
  t88662 = t637 * t16761 / 0.12e2;
  t88663 = -t16765 + t8874 + t8877 + t1294 * t88644 / 0.6e1 - t5286 * t12142 + t5286 * t12148 - 0.3e1 / 0.2e1 * t41080 * t88650 + t88654 + t88656 + t88658 + t88660 - t88662;
  t88670 = t8809 * t2544;
  t88671 = t88670 / 0.12e2;
  t88674 = t1226 * t18970;
  t88675 = t1261 * t88674;
  t88678 = t79591 / 0.3e1;
  t88679 = t79604 / 0.3e1;
  t88680 = t79606 / 0.2e1;
  t88681 = t79608 / 0.2e1;
  t88682 = t26189 * t9966;
  t88686 = t26467 * t16772 / 0.6e1;
  t88688 = t188 * t16886 / 0.12e2;
  t88689 = t466 * t47046 / 0.6e1 + t88671 + t1228 * t12136 / 0.2e1 - 0.2e1 * t41383 * t88675 - t88678 - t88679 + t88680 + t88681 - 0.23e2 / 0.12e2 * t58252 * t88682 + t88686 - t88688;
  t88690 = t4996 * t87101;
  t88693 = t20862 * t4986;
  t88706 = t58853 * t16656 / 0.6e1;
  t88714 = 0.2e1 * t9863 * t88690 + 0.9e1 * t4983 * t11896 * t88693 + 0.3e1 / 0.2e1 * t21524 * t16647 + 0.3e1 / 0.2e1 * t1228 * t12091 + 0.3e1 * t5286 * t12144 - 0.3e1 * t5286 * t12042 - t88706 - t9948 * t1556 + t1516 * t9909 + t1516 * t9912 + t6217 * t2332 - t30 * t16885 * t277 / 0.4e1;
  t88716 = t3562 * t87918;
  t88721 = t4867 * t9784;
  t88727 = t246 * t8897 * t12180;
  t88728 = t88727 / 0.4e1;
  t88731 = t630 * t16755;
  t88732 = t88731 / 0.4e1;
  t88733 = t608 * t16755;
  t88734 = t88733 / 0.4e1;
  t88737 = t836 * t837 * t94 * t87065;
  t88745 = t5234 * t2593 / 0.12e2;
  t88746 = -t4772 * t1587 * t88716 - t12052 * t75830 / 0.2e1 - t12052 * t88721 / 0.2e1 - t58843 * t16656 / 0.2e1 - t88728 - t630 * t16761 / 0.4e1 - t88732 - t88734 + t466 * t88737 / 0.12e2 + t12217 * t15211 / 0.3e1 + t2534 * t75558 / 0.3e1 - t88745;
  t88747 = t3051 * t16695;
  t88749 = t637 * t16690 / 0.6e1;
  t88757 = t836 * t26512 * t2542;
  t88761 = t836 * t4748 * t12119;
  t88766 = t2087 * t12121;
  t88767 = t88766 / 0.12e2;
  t88768 = t3556 * t87694;
  t88772 = t22290 * t87918;
  t88775 = t88747 + t88749 + t1568 * t79423 / 0.3e1 + t1529 * t16730 / 0.12e2 + t1534 * t16730 / 0.12e2 + t466 * t88757 / 0.12e2 + t466 * t88761 / 0.12e2 + t1529 * t16752 / 0.12e2 + t88767 + 0.3e1 * t4772 * t6300 * t88768 - t4983 * t1591 * t88772 - t16789;
  t88778 = t80078 / 0.9e1;
  t88779 = 0.2e1 * t80091;
  t88780 = t76377 / 0.12e2;
  t88781 = t670 * t87694;
  t88782 = t26189 * t88781;
  t88785 = t26400 * t87919;
  t88788 = t26847 * t87844;
  t88793 = -t88778 + t80087 - t88779 - t16889 - t16890 - t8896 - t8900 - t88780 - 0.23e2 / 0.36e2 * t9743 * t88782 - t6439 * t88785 / 0.3e1 + 0.11e2 / 0.18e2 * t9743 * t88788 - 0.4e1 / 0.3e1 * t6439 * t47796;
  t88794 = t26405 * t9934;
  t88797 = t47807 * t9746;
  t88802 = t47795 * t17473;
  t88806 = t6140 * t16633 / 0.9e1;
  t88807 = t26056 * t16670;
  t88811 = t4877 * t670 * t87235;
  t88815 = t42389 * t95 * t87669;
  t88818 = t26405 * t87919;
  t88821 = 0.3e1 / 0.2e1 * t58252 * t88794 - 0.61e2 / 0.27e2 * t86935 * t88797 + t47384 * t9767 + t47384 * t9761 - 0.2e1 / 0.3e1 * t20708 * t88802 - t88806 - t6439 * t88807 / 0.3e1 - t6439 * t88811 / 0.3e1 + t6451 * t88815 / 0.2e1 - t6439 * t88818 / 0.6e1 + t8913 + t8915;
  t88823 = 0.3e1 * t80122;
  t88824 = t20862 * t9745;
  t88828 = 0.2e1 / 0.9e1 * t80134;
  t88829 = t4851 * t88674;
  t88838 = -t8939 - t8952 + t8954 + t88823 + 0.6e1 * t4772 * t59117 * t88824 + t88828 - t16891 + 0.7e1 / 0.3e1 * t41080 * t88829 + t1228 * t12165 / 0.2e1 - t1228 * t12163 - 0.3e1 * t1228 * t12088 + t1228 * t12161;
  t88850 = t9744 * t9970;
  t88853 = 0.23e2 / 0.36e2 * t76410;
  t88854 = t76412 / 0.3e1;
  t88855 = t4877 * t87101;
  t88859 = -t12052 * t76481 / 0.2e1 - t1541 * t79593 / 0.3e1 + t9948 * t1551 + t1252 * t1261 * t11841 * t1255 / 0.3e1 - 0.2e1 * t58268 * t9960 + 0.23e2 / 0.36e2 * t58252 * t88850 + t88853 + t88854 + t16901 + t8974 - t9743 * t88855 + 0.6e1 * t87176 * t9854;
  t88863 = 0.3e1 / 0.2e1 * t76424;
  t88864 = 0.3e1 * t76428;
  t88867 = t3273 * t87844;
  t88870 = t76491 / 0.6e1;
  t88871 = t8790 * t87868;
  t88874 = t4877 * t87844;
  t88884 = t88863 - t88864 - t182 * t16886 / 0.4e1 + t10155 * t88867 / 0.2e1 - t88870 + t6454 * t88871 / 0.3e1 - t9863 * t88874 / 0.2e1 - t80240 - t1228 * t12169 / 0.2e1 - t1228 * t12129 + 0.3e1 / 0.2e1 * t1228 * t12132 - 0.11e2 / 0.18e2 * t12052 * t76611;
  t88893 = t1254 * t86890;
  t88901 = t1261 * t86880;
  t88908 = t76532 / 0.2e1;
  t88909 = -t2534 * t26021 / 0.6e1 + t1568 * t78798 / 0.3e1 + t6468 * t16897 / 0.3e1 + t2534 * t26526 / 0.3e1 - t1541 * t88893 / 0.3e1 + t12047 * t8749 + t2534 * t26024 / 0.3e1 + 0.2e1 / 0.3e1 * t1541 * t47050 - t1541 * t88901 / 0.6e1 - t1541 * t80405 / 0.6e1 + t6464 * t16897 / 0.3e1 - t88908;
  t88911 = t76534 / 0.2e1;
  t88916 = t41871 * t16778;
  t88920 = t8790 * t95 * t87938;
  t88923 = t3273 * t87236;
  t88926 = t47795 * t9746;
  t88928 = t26847 * t9746;
  t88931 = t20871 * t9745;
  t88935 = t20845 * t9745;
  t88939 = t3273 * t87222;
  t88943 = t8790 * t95 * t87310;
  t88946 = -t88911 - t31915 * t16779 / 0.6e1 - t31161 * t16779 / 0.6e1 - t6451 * t88916 / 0.6e1 - t6451 * t88920 / 0.6e1 - t6454 * t88923 / 0.6e1 - t9743 * t88926 - 0.2e1 * t86935 * t88928 + 0.18e2 * t9877 * t59117 * t88931 - 0.6e1 * t48902 * t59117 * t88935 - t6454 * t88939 / 0.6e1 - t6451 * t88943 / 0.6e1;
  t88947 = t4877 * t87222;
  t88952 = t3273 * t253 * t276 * t16749;
  t88955 = t5175 * t87518;
  t88960 = t26645 * t11826;
  t88963 = t75396 * t12187;
  t88966 = t41697 * t11826;
  t88969 = t80295 / 0.3e1;
  t88970 = t80297 / 0.3e1;
  t88971 = t80300 / 0.3e1;
  t88972 = t5175 * t87844;
  t88976 = t6439 * t88947 / 0.12e2 + t6451 * t88952 / 0.12e2 + 0.2e1 / 0.3e1 * t6439 * t88955 - 0.5e1 / 0.3e1 * t58268 * t8767 - t6454 * t88960 / 0.6e1 - t6451 * t88963 / 0.6e1 + t6439 * t88966 / 0.12e2 - t88969 - t88970 - t88971 - t9863 * t88972 - 0.2e1 / 0.3e1 * t12217 * t15209;
  t88983 = t76560 / 0.12e2;
  t88984 = t76562 / 0.6e1;
  t88985 = t76564 / 0.6e1;
  t88986 = t76566 / 0.6e1;
  t88987 = t76568 / 0.12e2;
  t88991 = t76570 / 0.12e2;
  t88992 = t76572 / 0.6e1;
  t88993 = t76574 / 0.6e1;
  t88994 = -0.2e1 / 0.3e1 * t2534 * t75551 - 0.2e1 / 0.3e1 * t2534 * t75554 + t80343 - t88983 + t88984 + t88985 + t88986 + t88987 + 0.3e1 / 0.2e1 * t26550 * t58954 * t16646 + t88991 + t88992 - t88993;
  t88995 = t76576 / 0.6e1;
  t88996 = t76578 / 0.12e2;
  t88997 = t80388 / 0.3e1;
  t88998 = t76581 / 0.2e1;
  t88999 = t76585 / 0.6e1;
  t89000 = t76587 / 0.2e1;
  t89001 = t76589 / 0.6e1;
  t89002 = 0.11e2 / 0.9e1 * t80393;
  t89003 = 0.2e1 / 0.3e1 * t80396;
  t89004 = 0.2e1 * t80399;
  t89005 = t80415 / 0.9e1;
  t89009 = -0.3e1 * t246 * t12087 * t8968 - t88995 + t88996 - t88997 - t88998 - t88999 + t89000 + t89001 - t89002 + t89003 + t89004 + t89005;
  t89014 = t76597 / 0.6e1;
  t89015 = t76599 / 0.12e2;
  t89016 = t76601 / 0.12e2;
  t89028 = t229 * t86856;
  t89038 = 0.3e1 / 0.2e1 * t630 * t16906 + t6209 * t2332 + t89014 + t89015 - t89016 + 0.6e1 * t4983 * t11896 * t76442 - 0.3e1 * t4772 * t11896 * t76446 - 0.18e2 * t4983 * t59123 * t47699 - t3266 * t58766 * t15215 + 0.3e1 * t4772 * t6309 * t89028 - 0.6e1 * t4772 * t59177 * t10119 - 0.3e1 / 0.2e1 * t4772 * t11912 * t10123;
  t89039 = t4873 * t87585;
  t89045 = t463 * t16749;
  t89047 = t4877 * t670 * t89045;
  t89055 = t26189 * t9934;
  t89058 = t76630 / 0.4e1;
  t89059 = t76643 / 0.36e2;
  t89060 = t9744 * t86857;
  t89063 = t9845 * t9757;
  t89066 = t22309 * t87918;
  t89069 = t3273 * t87241;
  t89072 = 0.12e2 * t83114 * t89039 + 0.3e1 / 0.2e1 * t3266 * t58229 * t2323 - t20708 * t89047 / 0.3e1 - t3266 * t6163 * t16760 / 0.4e1 + 0.5e1 / 0.3e1 * t87176 * t9747 + 0.5e1 / 0.12e2 * t58252 * t89055 + t89058 - t89059 + 0.23e2 / 0.18e2 * t9743 * t89060 - 0.11e2 / 0.18e2 * t58252 * t89063 + t4772 * t1591 * t89066 - t6454 * t89069 / 0.6e1;
  t89079 = my_piecewise3(t2, 0, t87759 + t87720 + t87693 + t87660 + t87639 + t87614 + t87581 + t87542 + t87517 + t87489 + t87469 + t87441 + t87416 + t87398 + t87368 + t87333 + t87298 + t87272 + t87260 + t87232 + t87205 + t87179 + t87151 + t87125 + t87099 + t87076 + t86976 + t86950 + t86925 + t86896 + t86871 + t89072 + t89038 + t89009 + t88994 + t88976 + t88946 + t88909 + t88884 + t88859 + t88838 + t88821 + t88793 + t88775 + t88746 + t88714 + t88689 + t88663 + t88643 + t88619 + t88611 + t88582 + t88564 + t88530 + t88517 + t88489 + t88463 + t88437 + t87930 + t87896 + t87848 + t87828 + t87803 + t87779);
  tv4rhosigmalapl20 = t3 * t89079 + t16917;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 0] += tv4rhosigmalapl20;

  tv4rhosigmalapl21 = 0.e0;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 1] += tv4rhosigmalapl21;

  tv4rhosigmalapl22 = 0.e0;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 2] += tv4rhosigmalapl22;

  tv4rhosigmalapl23 = 0.e0;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 3] += tv4rhosigmalapl23;

  tv4rhosigmalapl24 = 0.e0;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 4] += tv4rhosigmalapl24;

  tv4rhosigmalapl25 = 0.e0;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 5] += tv4rhosigmalapl25;

  tv4rhosigmalapl26 = 0.e0;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 6] += tv4rhosigmalapl26;

  tv4rhosigmalapl27 = 0.e0;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 7] += tv4rhosigmalapl27;

  t89082 = t33521 * t17051 / 0.18e2;
  t89084 = t60612 * t17203 / 0.6e1;
  t89086 = t12292 * t2199 / 0.18e2;
  t89098 = t948 * t16984 / 0.2e1;
  t89099 = t948 * t17019;
  t89101 = t948 * t17016 / 0.2e1;
  t89111 = t23651 * t17175 / 0.2e1;
  t89120 = -t89082 - t89084 - t89086 - t28461 * t17058 / 0.2e1 + t28713 * t17054 / 0.2e1 - t33478 * t17051 / 0.6e1 + t33483 * t17048 / 0.12e2 - t33486 * t17043 / 0.6e1 + t89098 - t89099 + t89101 - t33483 * t17065 / 0.3e1 + t28461 * t17195 / 0.2e1 + t28461 * t17191 / 0.2e1 + t1615 * t15926 / 0.6e1 + t89111 - t6640 * t17208 / 0.3e1 - 0.2e1 / 0.3e1 * t12262 * t15448 + t12262 * t15451 / 0.3e1 + t60608 * t2342 / 0.2e1;
  t89131 = t945 * t16992;
  t89132 = t89131 / 0.4e1;
  t89155 = t76706 / 0.12e2;
  t89156 = t12262 * t15365 / 0.6e1 - 0.5e1 / 0.36e2 * t60667 * t17004 - 0.3e1 * t945 * t17019 - 0.3e1 / 0.2e1 * t60667 * t5597 - t5449 * t2668 / 0.4e1 - t89132 - t945 * t16971 / 0.4e1 + 0.3e1 * t3971 * t16974 + t3971 * t16977 - t6700 * t2395 - t6700 * t2398 / 0.2e1 + 0.3e1 / 0.2e1 * t945 * t17016 + t1615 * t16999 / 0.12e2 + t6657 * t17028 / 0.3e1 + t60759 * t457 / 0.4e1 + t12262 * t5804 / 0.3e1 - t1351 * t12469 / 0.12e2 - t28872 * t2659 / 0.2e1 + t89155 + t80486;
  t89158 = 0.2e1 / 0.3e1 * t80500;
  t89159 = t80502 / 0.3e1;
  t89160 = t80510 / 0.6e1;
  t89161 = t80516 / 0.3e1;
  t89163 = t12289 * t5804 / 0.9e1;
  t89165 = t60876 * t457 / 0.12e2;
  t89167 = t28796 * t2659 / 0.6e1;
  t89169 = t49541 * t505 / 0.6e1;
  t89183 = t76710 / 0.6e1;
  t89184 = t80545 / 0.18e2;
  t89185 = t80551 / 0.6e1;
  t89186 = -t80488 - t80490 + t89158 - t89159 - t89160 + t89161 + t89163 + t89165 - t89167 + t89169 - t1615 * t10421 / 0.6e1 - t12262 * t5800 / 0.6e1 - t6640 * t17025 / 0.6e1 + t1615 * t17036 / 0.12e2 - t945 * t16982 + 0.3e1 / 0.2e1 * t945 * t16984 + t945 * t16987 / 0.2e1 - t89183 - t89184 + t89185;
  t89188 = t33495 * t17065 / 0.9e1;
  t89190 = t33495 * t17061 / 0.18e2;
  t89192 = t28763 * t17054 / 0.6e1;
  t89194 = t28548 * t17058 / 0.6e1;
  t89195 = t76722 / 0.6e1;
  t89196 = t76724 / 0.36e2;
  t89198 = t76730 / 0.18e2;
  t89200 = t948 * t16971 / 0.12e2;
  t89201 = t948 * t16992;
  t89202 = t89201 / 0.12e2;
  t89204 = t5484 * t2668 / 0.12e2;
  t89205 = t9145 * t2619;
  t89206 = t89205 / 0.36e2;
  t89210 = t33573 * t2390 / 0.3e1;
  t89212 = t60612 * t5597 / 0.2e1;
  t89214 = t948 * t16982 / 0.3e1;
  t89218 = -t89198 - t89200 - t89202 - t89204 + t89206 + 0.2e1 / 0.3e1 * t6640 * t17212 - t89210 - t89212 - t89214 + 0.7e1 / 0.3e1 * t60667 * t5734 - t33583 * t2390;
  t89223 = t948 * t16987 / 0.6e1;
  t89225 = 0.2e1 / 0.3e1 * t60634 * t2353;
  t89227 = t60634 * t2347 / 0.3e1;
  t89229 = 0.2e1 / 0.9e1 * t6647 * t17212;
  t89231 = t6647 * t17208 / 0.9e1;
  t89233 = 0.7e1 / 0.9e1 * t60612 * t5734;
  t89234 = t80566 / 0.9e1;
  t89235 = 0.2e1 / 0.9e1 * t80578;
  t89236 = t80580 / 0.9e1;
  t89237 = t76752 / 0.12e2;
  t89238 = t76765 / 0.36e2;
  t89239 = t76769 / 0.36e2;
  t89241 = t12289 * t5819 / 0.36e2;
  t89243 = t12292 * t1378 / 0.18e2;
  t89245 = t5484 * t2663 / 0.6e1;
  t89247 = t5484 * t2671 / 0.6e1;
  t89249 = t12289 * t5800 / 0.18e2;
  t89256 = t89223 - t89225 + t89227 + t89229 - t89231 + t89233 + t89234 + t89235 - t89236 - t89237 + t89238 - t89239 - t89241 + t89243 - t89245 + t89247 - t89249 + t49893 * t505 / 0.2e1 - t5449 * t2663 / 0.2e1 + t5449 * t2671 / 0.2e1;
  t89265 = 0.23e2 / 0.108e3 * t60612 * t17187;
  t89267 = 0.11e2 / 0.54e2 * t60612 * t17183;
  t89269 = t1354 * t12469 / 0.36e2;
  t89271 = t1618 * t16999 / 0.36e2;
  t89273 = t6715 * t2403 / 0.3e1;
  t89274 = t76796 / 0.4e1;
  t89276 = t33495 * t17048 / 0.36e2;
  t89278 = t28548 * t17195 / 0.6e1;
  t89280 = t33526 * t17043 / 0.18e2;
  t89282 = t28548 * t17191 / 0.6e1;
  t89290 = t1618 * t10421 / 0.18e2;
  t89292 = t12289 * t15451 / 0.9e1;
  t89293 = t4005 * t17200;
  t89294 = 0.23e2 / 0.36e2 * t60667 * t17187 - 0.11e2 / 0.18e2 * t60667 * t17183 - 0.2e1 * t60608 * t2353 + t60608 * t2347 + t89265 - t89267 - t89269 + t89271 + t89273 + t89274 + t89276 + t89278 - t89280 + t89282 + t33483 * t17061 / 0.6e1 + t12267 * t1378 / 0.6e1 - t12262 * t5819 / 0.12e2 - t89290 + t89292 - t89293;
  t89297 = t1618 * t15926 / 0.18e2;
  t89299 = t6668 * t17028 / 0.9e1;
  t89301 = t6647 * t17025 / 0.18e2;
  t89303 = 0.2e1 / 0.9e1 * t12289 * t15448;
  t89305 = t6715 * t2398 / 0.6e1;
  t89307 = t6715 * t2395 / 0.3e1;
  t89309 = t4005 * t16977 / 0.3e1;
  t89310 = t4005 * t16974;
  t89313 = t76802 / 0.18e2;
  t89314 = t76813 / 0.6e1;
  t89315 = t76815 / 0.6e1;
  t89316 = t76817 / 0.3e1;
  t89317 = t76818 / 0.12e2;
  t89318 = t76820 / 0.12e2;
  t89319 = t76824 / 0.2e1;
  t89320 = t76826 / 0.4e1;
  t89321 = t76835 / 0.2e1;
  t89322 = t76842 / 0.6e1;
  t89323 = t76844 / 0.9e1;
  t89324 = t89297 + t89299 - t89301 - t89303 - t89305 - t89307 + t89309 + t89310 - t290 * t17169 / 0.4e1 + t89313 + t89314 - t89315 + t89316 + t89317 - t89318 - t89319 - t89320 - t89321 + t89322 + t89323;
  t89325 = t76848 / 0.12e2;
  t89333 = t9166 * t2619;
  t89334 = t89333 / 0.12e2;
  t89336 = t60627 * t2339 / 0.6e1;
  t89338 = t60634 * t2342 / 0.6e1;
  t89340 = t12289 * t15365 / 0.18e2;
  t89342 = 0.5e1 / 0.108e3 * t60612 * t17004;
  t89345 = t1618 * t17036 / 0.36e2;
  t89350 = t80630 / 0.3e1;
  t89351 = t80632 / 0.3e1;
  t89352 = t80658 / 0.18e2;
  t89354 = t294 * t17169 / 0.12e2;
  t89355 = t80680 / 0.3e1;
  t89356 = t76858 / 0.2e1;
  t89357 = t80698 / 0.6e1;
  t89358 = t80706 / 0.2e1;
  t89359 = t89345 - t12267 * t2199 / 0.6e1 - t60649 * t2339 / 0.2e1 - t89350 - t89351 - t89352 - t89354 + t89355 + t89356 - t89357 + t89358;
  t89364 = my_piecewise3(t100, 0, t89359 + t89338 + t89340 - t89342 + t89334 - t89336 - t89325 + t89324 + t89294 + t89256 + t89218 - t89196 + t89192 - t89194 - t89195 - t89188 + t89190 + t89186 + t89156 + t89120 + 0.3e1 / 0.2e1 * t24004 * t17175 + t6700 * t2403 - t60667 * t17203 / 0.2e1 - 0.3e1 * t3971 * t17200 - t9147 + t9195 - t9168 + t9172);
  tv4rhosigmalapl28 = t3 * t89364 + t17219;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 8] += tv4rhosigmalapl28;

  t89372 = t903 * t16755;
  t89373 = t89372 / 0.4e1;
  t89386 = t9222 * t2544;
  t89387 = t89386 / 0.12e2;
  t89390 = 0.2e1 / 0.3e1 * t80718;
  t89391 = t86866 + t86875 - t12320 * t5291 / 0.6e1 + t12320 * t5281 / 0.3e1 + t49454 * t481 / 0.2e1 + t86879 - t89373 - t12325 * t2108 / 0.6e1 - 0.5e1 / 0.36e2 * t60359 * t16613 + t12320 * t15094 / 0.6e1 - t86932 + t86956 - t86958 + t12320 * t15211 / 0.3e1 + t1632 * t16752 / 0.12e2 + t1632 * t16730 / 0.12e2 + t89387 + t6561 * t16897 / 0.3e1 + t89390 + t87073;
  t89392 = t80737 / 0.6e1;
  t89393 = t76889 / 0.4e1;
  t89394 = t87075 + t87079 - t87081 - t87083 - t87100 - t89392 - t87148 - t87153 + t87154 + t87155 + t89393 - t87191 + t87193 - t87195 - t87197 + t87210 - t87212 + t87214 - t87216 - t87218;
  t89400 = t80750 / 0.2e1;
  t89401 = t76909 / 0.6e1;
  t89402 = t76912 / 0.6e1;
  t89403 = t76914 / 0.2e1;
  t89404 = t80767 / 0.6e1;
  t89420 = t87252 + t60368 * t2271 / 0.2e1 - t6585 * t2327 / 0.2e1 + t89400 - t87296 + t89401 - t89402 + t89403 - t80756 - t80758 - t89404 + t3740 * t16678 + t6585 * t2332 - t32645 * t2319 + 0.3e1 / 0.2e1 * t903 * t16906 - 0.3e1 / 0.2e1 * t60359 * t16910 - 0.3e1 * t903 * t16902 - t6542 * t16894 / 0.6e1 - 0.2e1 / 0.3e1 * t12320 * t15209 + t1632 * t15691 / 0.6e1;
  t89421 = t76916 / 0.3e1;
  t89422 = t76923 / 0.12e2;
  t89423 = t76925 / 0.12e2;
  t89430 = t76939 / 0.2e1;
  t89431 = t76941 / 0.4e1;
  t89446 = 0.7e1 / 0.3e1 * t60359 * t16659 - 0.2e1 * t60368 * t2282 + t60368 * t2276 + 0.23e2 / 0.36e2 * t60359 * t16629 - t87485 + t87486 - t87487 + t87488 - t87537 + t87539 + t28063 * t16767 / 0.2e1;
  t89469 = t76945 / 0.12e2;
  t89470 = t28063 * t16772 / 0.2e1 - t87606 + 0.3e1 * t3740 * t16695 - t5384 * t2593 / 0.4e1 + 0.3e1 / 0.2e1 * t903 * t16687 + t903 * t16690 / 0.2e1 - t903 * t16685 - t903 * t16761 / 0.4e1 - t87628 + t32879 * t16667 / 0.6e1 + t27950 * t16662 / 0.2e1 + t87666 - t87667 + t87668 - t27911 * t2584 / 0.2e1 + t87690 + t87692 - t89469 - t9224 + t9234;
  t89471 = t80798 / 0.3e1;
  t89475 = t76952 / 0.2e1;
  t89476 = t80811 / 0.3e1;
  t89481 = -t8624 + t8645 - t87728 - t87778 - t89471 - t6585 * t2324 - t60375 * t2268 / 0.2e1 + t87791 - t89475 - t87838 - t87840 - t87841 - t87912 + t87914 + t89476 + t80825 - t32677 * t16775 / 0.6e1 - t32879 * t16671 / 0.3e1 - t88456 - t88458;
  t89489 = t88460 - t88462 + t88465 - t88467 + t88469 + t5384 * t2596 / 0.2e1 - t5384 * t2588 / 0.2e1 + t88506 + t88535 - t88593 - t1632 * t10198 / 0.6e1 + t88595 - t88596 - t88598 + t88637 + t88654 + t88656 + t88658 + t88660 - t88662;
  t89509 = t88749 - t88778 - t88806 + t88828 - 0.11e2 / 0.18e2 * t60359 * t16640 - t88983 + t89005 - t307 * t16886 / 0.4e1 - t89059 - t1368 * t11838 / 0.12e2 + t60479 * t432 / 0.4e1;
  t89514 = my_piecewise3(t2, 0, t89509 + t89489 + t89481 + t89470 + t89446 - t89431 - t89430 + t89422 - t89423 + t89420 + t89421 + t89394 + t89391 - t88745 + t88747 - t88706 + t88686 - t88688 - t60359 * t16656 / 0.2e1 - 0.3e1 * t3740 * t16652 + 0.3e1 / 0.2e1 * t22632 * t16647 - t28063 * t16786 / 0.2e1 + t32879 * t16782 / 0.12e2 - t32681 * t16779 / 0.6e1 + 0.2e1 / 0.3e1 * t6542 * t16637 - t6542 * t16633 / 0.3e1 - t12320 * t5229 / 0.12e2 + t12325 * t1223 / 0.6e1);
  tv4rhosigmalapl29 = t3 * t89514 + t16917;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 9] += tv4rhosigmalapl29;

  tv4rhosigmalapl210 = 0.e0;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 10] += tv4rhosigmalapl210;

  tv4rhosigmalapl211 = 0.e0;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 11] += tv4rhosigmalapl211;

  tv4rhosigmalapl212 = 0.e0;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 12] += tv4rhosigmalapl212;

  tv4rhosigmalapl213 = 0.e0;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 13] += tv4rhosigmalapl213;

  tv4rhosigmalapl214 = 0.e0;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 14] += tv4rhosigmalapl214;

  tv4rhosigmalapl215 = 0.e0;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 15] += tv4rhosigmalapl215;

  tv4rhosigmalapl216 = 0.e0;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 16] += tv4rhosigmalapl216;

  t89516 = t50552 * t10365;
  t89519 = t29468 * t10373;
  t89522 = t10447 * t10365;
  t89525 = t439 * t1655;
  t89526 = t1018 * t89525;
  t89527 = t10358 * t89526;
  t89532 = 0.2e1 * t80866;
  t89533 = -t89082 - t6769 * t89516 / 0.3e1 + 0.11e2 / 0.6e1 * t61081 * t89519 - 0.11e2 / 0.18e2 * t61081 * t89522 + 0.23e2 / 0.18e2 * t10357 * t89527 - t89084 - t89086 - t29985 * t12519 / 0.4e1 - t80861 + t89532 - t80868;
  t89534 = 0.3e1 * t80872;
  t89536 = t76990 / 0.6e1;
  t89537 = t77031 / 0.6e1;
  t89538 = t77035 / 0.2e1;
  t89539 = t12398 * t439;
  t89540 = t168 * t89539;
  t89541 = t5691 * t89540;
  t89544 = t2616 * t1392;
  t89545 = t168 * t89544;
  t89546 = t5691 * t89545;
  t89549 = t89534 + t80876 - t80879 + t12535 * t10583 + t89536 - t89537 + t89538 + t89098 - t89099 + t89101 + t6769 * t89541 / 0.12e2 + t6769 * t89546 / 0.12e2;
  t89558 = t80911 / 0.3e1;
  t89559 = t80918 / 0.3e1;
  t89560 = t50296 * t10360;
  t89566 = t4695 * t62263 * t2257 / 0.2e1 + t45289 * t12720 / 0.2e1 + t45289 * t12725 / 0.2e1 - t2180 + t2251 - t80907 - t89558 + t80914 + t89559 - t10357 * t89560 + 0.3e1 / 0.2e1 * t1070 * t17016 + 0.3e1 / 0.2e1 * t1058 * t17016;
  t89584 = 0.7e1 / 0.3e1 * t77119;
  t89585 = t77122 / 0.2e1;
  t89586 = 0.3e1 / 0.2e1 * t373 * t12672 * t77389 - 0.3e1 * t5792 * t12685 + 0.3e1 / 0.2e1 * t1383 * t12691 - t51333 * t1675 + t10426 * t1679 + t1665 * t15926 / 0.6e1 + t490 * t82014 / 0.6e1 + t490 * t82021 / 0.6e1 + t12462 * t15451 / 0.3e1 - t77114 + t89584 + t89585;
  t89589 = t77124 / 0.6e1;
  t89599 = t110 * t62557;
  t89605 = 0.6e1 * t80983;
  t89606 = t110 * t62609;
  t89607 = t50144 * t10443;
  t89617 = t89589 - 0.3e1 * t5665 * t12580 * t78388 - 0.18e2 * t5639 * t62557 * t50868 + 0.6e1 * t5639 * t12580 * t78384 - 0.6e1 * t89599 * t10441 + 0.3e1 / 0.2e1 * t4695 * t62130 * t2394 + t89605 + 0.44e2 / 0.27e2 * t89606 * t89607 + 0.6e1 * t5665 * t12551 * t10486 + t89111 - t1683 * t81494 / 0.6e1 - t490 * t50382 / 0.6e1;
  t89618 = t5553 * t12364;
  t89619 = t1423 * t89618;
  t89632 = t349 * t17169;
  t89637 = t321 * t369 * t17167 * t370;
  t89640 = t62134 * t1424;
  t89641 = t1430 * t89640;
  t89648 = 0.3e1 * t80999;
  t89649 = -t1683 * t89619 / 0.3e1 + t1702 * t82638 / 0.3e1 + t490 * t50386 / 0.6e1 + 0.3e1 * t5792 * t12421 - 0.3e1 * t1383 * t12688 - t5797 * t2663 / 0.2e1 - t338 * t89632 / 0.12e2 + t89637 * t377 / 0.4e1 - t1421 * t89641 / 0.12e2 + t1702 * t81349 / 0.3e1 + t1660 * t15926 / 0.6e1 + t89648;
  t89651 = 0.6e1 * t81006;
  t89652 = 0.3e1 * t81012;
  t89653 = 0.6e1 * t81015;
  t89655 = t5665 * t9584 * t12345;
  t89656 = t89655 / 0.2e1;
  t89657 = t16968 * t333;
  t89658 = t4572 * t89657;
  t89663 = t5639 * t9584 * t61165;
  t89664 = t89663 / 0.2e1;
  t89675 = t45452 * t19442;
  t89680 = -t89651 + t89652 - t89653 - t89656 + t5639 * t1720 * t89658 / 0.2e1 + t89664 + t45286 * t12351 / 0.2e1 - t45289 * t12346 / 0.2e1 - 0.5e1 * t5639 * t12551 * t45837 + 0.18e2 * t5665 * t62557 * t10530 - t24973 * t89675 / 0.3e1 - t12462 * t5819 / 0.12e2;
  t89691 = t24582 * t10359;
  t89695 = t50318 * t10436;
  t89699 = t50144 * t10511 * t10359;
  t89703 = t110 * t500 * t10511;
  t89708 = t24418 * t10359;
  t89712 = 0.2e1 * t81037;
  t89713 = -t2609 * t30242 / 0.12e2 + t2604 * t5809 / 0.6e1 + t12712 * t1378 / 0.6e1 - t2609 * t29073 / 0.6e1 + 0.3e1 * t50860 * t10507 - 0.6e1 * t50541 * t62609 * t89691 - 0.62e2 / 0.3e1 * t89606 * t89695 + 0.8e1 * t89606 * t89699 + 0.3e1 * t89703 * t10515 - 0.6e1 * t51176 * t10527 + 0.6e1 * t5665 * t62609 * t89708 + t89712;
  t89717 = 0.4e1 * t81040;
  t89718 = t81042 / 0.6e1;
  t89719 = t81044 / 0.6e1;
  t89720 = t81049 / 0.6e1;
  t89722 = t5595 * t5790 * t19368;
  t89727 = t2196 * t1655;
  t89728 = t4626 * t89727;
  t89738 = t2601 * t2196;
  t89739 = t1018 * t89738;
  t89740 = t29468 * t89739;
  t89743 = -t89717 + t89718 - t89719 - t89720 - 0.3e1 / 0.2e1 * t45102 * t89722 - t5792 * t12428 / 0.2e1 - t81051 - 0.2e1 * t5665 * t1720 * t89728 + 0.5e1 * t5665 * t12551 * t9335 + 0.3e1 * t5665 * t2633 * t78399 - 0.14e2 / 0.3e1 * t45332 * t89740;
  t89746 = t30011 * t17064;
  t89750 = t5691 * t1018 * t89539;
  t89754 = t5691 * t1018 * t89544;
  t89758 = t5665 * t9608 * t12719;
  t89759 = t89758 / 0.2e1;
  t89761 = t5665 * t2209 * t12724;
  t89762 = t89761 / 0.2e1;
  t89765 = 0.2e1 / 0.3e1 * t81090;
  t89766 = t81100 / 0.3e1;
  t89767 = t81106 / 0.3e1;
  t89772 = -t4695 * t61443 * t15455 - t6769 * t89746 / 0.3e1 - t6769 * t89750 / 0.3e1 - t6769 * t89754 / 0.3e1 + t89759 + t89762 + 0.5e1 / 0.18e2 * t61081 * t77557 + t89765 - t89766 - t89767 + 0.3e1 / 0.2e1 * t1070 * t16984 + 0.3e1 / 0.2e1 * t1058 * t16984;
  t89796 = 0.3e1 / 0.2e1 * t373 * t12507 * t9498 + t1070 * t16987 / 0.2e1 + t1058 * t16987 / 0.2e1 - t1070 * t16982 + 0.3e1 / 0.2e1 * t4718 * t12672 * t77705 - 0.3e1 * t4204 * t17200 - 0.3e1 * t4188 * t17200 + 0.3e1 / 0.2e1 * t25290 * t17175 + 0.3e1 / 0.2e1 * t25543 * t17175 + t1647 * t10518 + t1647 * t10521 - t6955 * t10328;
  t89799 = t77290 / 0.2e1;
  t89800 = t77292 / 0.4e1;
  t89801 = t77296 / 0.3e1;
  t89802 = t77297 / 0.4e1;
  t89812 = t1430 * t10424 * t2756;
  t89815 = t6965 * t2403 + t6960 * t2403 - t89799 - t89800 + t89801 + t89802 - t1383 * t12501 - 0.2e1 * t62054 * t2353 - 0.2e1 * t12535 * t10322 - 0.2e1 * t12535 * t9347 - t5792 * t12438 + 0.2e1 / 0.3e1 * t4533 * t89812;
  t89823 = t77339 / 0.2e1;
  t89824 = t4609 * t500;
  t89828 = t77341 / 0.6e1;
  t89829 = t77343 / 0.12e2;
  t89830 = t77345 / 0.12e2;
  t89831 = t77347 / 0.12e2;
  t89832 = t29468 * t10360;
  t89835 = t50296 * t10373;
  t89838 = t50292 * t10360;
  t89840 = t10426 * t1698 / 0.2e1 - t10426 * t1690 - t10426 * t1694 / 0.2e1 - t89823 - 0.3e1 * t45332 * t89824 * t17679 + t89828 + t89829 - t89830 - t89831 - 0.2e1 * t89606 * t89832 + t6769 * t89835 / 0.3e1 + t10440 * t89838;
  t89845 = t77387 / 0.6e1;
  t89846 = t4619 * t500;
  t89851 = t5691 * t10365;
  t89858 = t168 * t89727;
  t89859 = t4687 * t89858;
  t89866 = -0.2e1 / 0.3e1 * t61173 * t77269 - 0.2e1 * t50860 * t10487 + t89845 + 0.14e2 / 0.3e1 * t45332 * t89846 * t17839 + t34833 * t10477 - t61081 * t89851 / 0.2e1 + t77431 - t61720 * t9441 / 0.6e1 - t61122 * t10719 / 0.2e1 - t6764 * t89859 / 0.3e1 + t61122 * t9457 / 0.2e1 + t61720 * t9447 / 0.3e1;
  t89868 = t50144 * t10436;
  t89871 = t77433 / 0.2e1;
  t89872 = 0.2e1 / 0.3e1 * t81209;
  t89873 = t81211 / 0.3e1;
  t89874 = t81214 / 0.3e1;
  t89875 = 0.2e1 / 0.3e1 * t81216;
  t89876 = t110 * t62620;
  t89881 = t2175 * t2616;
  t89883 = t5691 * t1018 * t89881;
  t89884 = t24973 * t89883;
  t89885 = t89884 / 0.3e1;
  t89887 = t4695 * t45439 * t2667;
  t89888 = t89887 / 0.4e1;
  t89889 = 0.3e1 / 0.2e1 * t77437;
  t89892 = -0.43e2 / 0.9e1 * t89606 * t89868 - t89871 + t89872 - t89873 - t89874 + t89875 - 0.23e2 / 0.3e1 * t89876 * t10451 + 0.22e2 / 0.3e1 * t89876 * t10448 - t89885 - t89888 - t89889 + t12474 * t1394 / 0.4e1;
  t89901 = t81264 / 0.2e1;
  t89904 = 0.11e2 / 0.9e1 * t81280;
  t89905 = 0.23e2 / 0.18e2 * t81283;
  t89914 = t373 * t9409 * t12493;
  t89915 = t89914 / 0.4e1;
  t89916 = t12462 * t5804 / 0.3e1 + t62365 * t457 / 0.4e1 + t62360 * t457 / 0.4e1 - t1402 * t12469 / 0.12e2 + t89901 - 0.6e1 * t50860 * t10531 - t89904 + t89905 + t51176 * t10536 + 0.36e2 * t5639 * t62620 * t50404 - 0.3e1 * t10513 * t12580 * t77453 - t89915;
  t89950 = 0.2e1 * t496 * t9401 - 0.4e1 * t61245 * t2402 - 0.4e1 * t12395 * t9489 + 0.32e2 / 0.3e1 * t61223 * t50914 - 0.4e1 * t12380 * t45790 + 0.12e2 * t61223 * t52038 + 0.12e2 * t61216 * t51223 + 0.4e1 * t12377 * t51289 - 0.8e1 * t61211 * t50878 - 0.4e1 * t10494 - 0.4e1 * t10380 - 0.4e1 * t10480 + 0.24e2 * t10531;
  t89975 = 0.4e1 * t10503 - 0.12e2 * t10507 + 0.2e1 * t1728 * t2257 + 0.2e1 / 0.3e1 * t44923 * t2808 + 0.2e1 / 0.3e1 * t9396 * t12437 + 0.4e1 * t12383 * t45866 - 0.4e1 / 0.3e1 * t12380 * t45767 - 0.24e2 * t61211 * t50909 - 0.4e1 * t61200 * t2394 - 0.4e1 * t12377 * t9498 + 0.4e1 / 0.3e1 * t61206 * t2389 + 0.4e1 / 0.3e1 * t12380 * t9311 - 0.2e1 * t61203 * t2257;
  t89990 = -t78030 + t78038 + t78044 + t78046 - 0.8e1 * t12380 * t51230 + 0.16e2 / 0.9e1 * t61223 * t50894 + 0.4e1 * t12377 * t45858 + 0.4e1 / 0.3e1 * t10527 - 0.2e1 / 0.3e1 * t10536 - t15352 - 0.8e1 / 0.3e1 * t12380 * t51938 - 0.2e1 * t12383 * t9401 - 0.4e1 * t10385;
  t90003 = -0.4e1 / 0.3e1 * t10388 + 0.2e2 / 0.9e1 * t10515 + 0.8e1 * t10487 + 0.4e1 * t61206 * t2402 + 0.4e1 * t12380 * t9489 - 0.12e2 * t10490 + t78067 - t78095 - t78098 + t78100 + t15340 + 0.4e1 * t61254 * t2394 + 0.4e1 * t12390 * t9498;
  t90005 = t89950 + t89975 + t89990 + t90003;
  t90007 = t1076 * t348 * t90005;
  t90022 = t1070 * t16992;
  t90023 = t90022 / 0.4e1;
  t90026 = -t1070 * t16971 / 0.4e1 - t1058 * t16971 / 0.4e1 - t373 * t6974 * t16970 / 0.4e1 - t373 * t1693 * t90007 / 0.4e1 + t373 * t12511 * t9401 / 0.2e1 - t5797 * t2668 / 0.4e1 - t5814 * t2668 / 0.4e1 - t1383 * t12489 / 0.4e1 - t1383 * t12494 / 0.4e1 - t90023 - t2604 * t9427 / 0.6e1;
  t90030 = t81288 / 0.6e1;
  t90031 = t81306 / 0.3e1;
  t90032 = t81308 / 0.3e1;
  t90033 = t81310 / 0.3e1;
  t90044 = -t1058 * t16982 - t373 * t12424 * t77200 - t90030 + t90031 + t90032 + t90033 + t89155 - t442 * t61955 / 0.12e2 - t1397 * t12469 / 0.12e2 + t10426 * t1657 / 0.2e1 - t29068 * t2659 / 0.2e1 - t29078 * t2659 / 0.2e1;
  t90046 = t81326 / 0.6e1;
  t90047 = t81328 / 0.6e1;
  t90058 = t77442 / 0.3e1;
  t90059 = t77443 / 0.3e1;
  t90060 = 0.3e1 * t77451;
  t90061 = t1038 * t89525;
  t90065 = t24435 * t5642;
  t90069 = -t90046 - t90047 + t50267 * t505 / 0.2e1 + t5814 * t2671 / 0.2e1 + t50262 * t505 / 0.2e1 - t5814 * t2663 / 0.2e1 + t5797 * t2671 / 0.2e1 + t90058 + t90059 + t90060 - 0.6e1 * t5665 * t7089 * t90061 - 0.9e1 / 0.2e1 * t5665 * t12580 * t90065;
  t90070 = t2601 * t439;
  t90071 = t1018 * t90070;
  t90078 = t5691 * t89858;
  t90083 = t10358 * t10365;
  t90086 = t1033 * t89525;
  t90093 = t4191 * t90070;
  t90094 = t10358 * t90093;
  t90097 = 0.3e1 * t81415;
  t90098 = t5674 * t89858;
  t90104 = 0.47e2 / 0.3e1 * t82045 * t29474 * t90071 + 0.3e1 / 0.2e1 * t4695 * t61176 * t17015 + t6769 * t90078 / 0.3e1 - 0.5e1 / 0.6e1 * t61124 * t9450 - 0.5e1 / 0.36e2 * t61081 * t90083 + 0.6e1 * t5639 * t7089 * t90086 - 0.6e1 * t5639 * t12551 * t5643 + 0.18e2 * t81183 * t90094 - t90097 + 0.2e1 / 0.3e1 * t6769 * t90098 - 0.5e1 / 0.3e1 * t61124 * t9332 - t61173 * t77271;
  t90117 = t50305 * t10365;
  t90120 = t34283 * t10373;
  t90123 = t77490 / 0.3e1;
  t90124 = 0.11e2 / 0.9e1 * t61081 * t77274 + t6772 * t81503 / 0.6e1 - t6764 * t81507 / 0.3e1 - t6772 * t81511 / 0.3e1 + t6769 * t81943 / 0.6e1 + t6764 * t90117 / 0.3e1 - t6764 * t90120 / 0.3e1 - t81421 + t81423 + t90123 + t81429 + t81432;
  t90125 = t4572 * t89727;
  t90133 = t29474 * t4191 * t89738;
  t90136 = t16968 * t1082;
  t90138 = t9444 * t168 * t90136;
  t90141 = t45452 * t12354;
  t90144 = t4572 * t89525;
  t90148 = t24557 * t10359;
  t90152 = t77515 / 0.12e2;
  t90153 = 0.2e1 * t5639 * t1720 * t90125 - 0.3e1 * t5639 * t2633 * t77315 + 0.3e1 * t45332 * t90133 - t6772 * t90138 / 0.6e1 + t6769 * t90141 / 0.12e2 + 0.3e1 * t5665 * t7093 * t90144 + 0.18e2 * t10513 * t62609 * t90148 + t89163 + t89165 - t89167 + t89169 - t90152;
  t90155 = t77517 / 0.12e2;
  t90156 = t77523 / 0.4e1;
  t90161 = t5595 * t4186 * t2337;
  t90176 = -t90155 + t90156 - t34833 * t10483 / 0.2e1 + t50860 * t10480 - 0.3e1 / 0.2e1 * t12414 * t90161 - 0.3e1 / 0.2e1 * t12414 * t77220 - t34276 * t2390 - t34477 * t2390 - t6955 * t10325 - 0.3e1 * t1070 * t17019 - 0.3e1 * t1058 * t17019 - 0.3e1 * t373 * t12420 * t9489;
  t90179 = t24477 * t10359;
  t90183 = t77528 / 0.3e1;
  t90184 = t168 * t89525;
  t90185 = t5695 * t90184;
  t90192 = t77544 / 0.12e2;
  t90193 = t77547 / 0.2e1;
  t90194 = t77549 / 0.6e1;
  t90195 = 0.5e1 / 0.36e2 * t77552;
  t90196 = -0.3e1 / 0.2e1 * t61605 * t5597 - 0.18e2 * t5639 * t62609 * t90179 + t90183 + t10440 * t90185 - 0.3e1 * t89599 * t10716 - t61124 * t10722 + t61173 * t77560 / 0.6e1 - t89183 + t90192 + t90193 + t90194 - t90195;
  t90200 = t77563 / 0.6e1;
  t90201 = t77565 / 0.6e1;
  t90202 = 0.2e1 / 0.3e1 * t81514;
  t90203 = 0.4e1 / 0.3e1 * t81516;
  t90204 = t81519 / 0.3e1;
  t90205 = 0.2e1 / 0.3e1 * t81522;
  t90206 = t50552 * t10360;
  t90210 = t77593 / 0.2e1;
  t90211 = 0.3e1 / 0.2e1 * t77596;
  t90212 = 0.2e1 * t10440 * t90206 - t50860 * t10503 + t77598 - t90200 - t90201 + t90202 - t90203 - t90204 + t90205 - t90210 + t90211;
  t90213 = 0.11e2 / 0.18e2 * t77600;
  t90214 = 0.23e2 / 0.36e2 * t77602;
  t90215 = t77604 / 0.6e1;
  t90216 = 0.3e1 / 0.2e1 * t77616;
  t90217 = 0.3e1 * t77621;
  t90218 = 0.3e1 * t77627;
  t90219 = t77630 / 0.2e1;
  t90220 = t77632 / 0.2e1;
  t90221 = 0.5e1 / 0.18e2 * t81557;
  t90222 = t81562 / 0.6e1;
  t90223 = -t90213 + t90214 + t90215 + t90216 - t90217 - t90218 + t90219 - t90220 - t9281 + t9283 - t90221 - t90222;
  t90225 = t81565 / 0.3e1;
  t90226 = t77643 / 0.12e2;
  t90227 = 0.2e1 * t81576;
  t90228 = t45283 * t12354;
  t90234 = t89846 * t10360;
  t90237 = t89824 * t10443;
  t90240 = t90225 + t90226 - t90227 + t81578 + t6769 * t90228 / 0.6e1 + t61081 * t78392 + t6769 * t81410 / 0.3e1 - 0.11e2 / 0.9e1 * t10357 * t90234 + 0.23e2 / 0.18e2 * t10357 * t90237 + t16918 + t16919 - t16920;
  t90241 = t24477 * t5642;
  t90245 = t4609 * t89525;
  t90249 = t29474 * t10393;
  t90252 = t10358 * t10399;
  t90257 = t16921 + t16922 - t16923 + t16924 - t16925 + t9307 - 0.9e1 / 0.2e1 * t10513 * t12580 * t90241 + 0.3e1 * t10513 * t7093 * t90245 - 0.23e2 / 0.12e2 * t61081 * t90249 + 0.23e2 / 0.36e2 * t61081 * t90252 + 0.2e1 / 0.3e1 * t6769 * t50309 - t89184;
  t90260 = t12735 * t439;
  t90262 = t5691 * t4693 * t90260;
  t90267 = t1101 * t89618;
  t90272 = t1423 * t89640;
  t90289 = t89185 - t6769 * t90262 / 0.3e1 - t2609 * t29333 / 0.6e1 + t1702 * t90267 / 0.3e1 + 0.3e1 / 0.2e1 * t29089 * t12673 - t1421 * t90272 / 0.6e1 + t1421 * t1430 * t12472 * t1424 / 0.3e1 - t61509 * t1411 / 0.2e1 + t2609 * t29337 / 0.3e1 + 0.23e2 / 0.36e2 * t12414 * t77018 - 0.2e1 / 0.3e1 * t2609 * t29216 + 0.2e1 / 0.3e1 * t1683 * t50921;
  t90290 = t50292 * t17839;
  t90299 = t77651 / 0.2e1;
  t90300 = t17046 * t1082;
  t90301 = t24435 * t90300;
  t90305 = t380 * t90260;
  t90306 = t4687 * t90305;
  t90309 = -0.4e1 * t45444 * t90290 - t34833 * t10497 + 0.3e1 * t50860 * t10490 + t50860 * t10494 + t5649 * t61443 * t15388 - t9147 + t9172 - t90299 - t16926 - t16927 - 0.3e1 / 0.2e1 * t5639 * t1720 * t90301 - t6764 * t90306 / 0.6e1;
  t90311 = t77653 / 0.2e1;
  t90312 = t29988 * t12354;
  t90315 = t77794 * t12728;
  t90323 = t50318 * t10443;
  t90326 = t10447 * t10399;
  t90331 = -t90311 - t6764 * t90312 / 0.6e1 - t6772 * t90315 / 0.6e1 - 0.3e1 * t1029 * t12672 * t77687 - t61605 * t17203 / 0.2e1 + 0.89e2 / 0.9e1 * t89606 * t90323 + 0.7e1 / 0.3e1 * t61081 * t90326 - t89188 + t89190 + t89192 - t89194 - t12462 * t5800 / 0.6e1;
  t90338 = t4619 * t89525;
  t90342 = t5679 * t90184;
  t90347 = t50503 * t10373;
  t90353 = t5595 * t10461;
  t90356 = t1381 * t19368;
  t90357 = t5733 * t90356;
  t90364 = -t490 * t50279 / 0.6e1 - t1660 * t10421 / 0.6e1 - t1665 * t10421 / 0.6e1 - 0.6e1 * t5639 * t7093 * t90338 + 0.2e1 * t10440 * t90342 - 0.2e1 * t61124 * t10374 + 0.2e1 / 0.3e1 * t6769 * t90347 + 0.3e1 / 0.2e1 * t30451 * t61176 * t17174 - 0.5e1 / 0.36e2 * t12414 * t90353 + 0.7e1 / 0.3e1 * t45102 * t90357 + t1383 * t12482 / 0.2e1 - t1683 * t81109 / 0.3e1;
  t90374 = t17046 * t333;
  t90375 = t24477 * t90374;
  t90379 = t168 * t90374;
  t90380 = t29468 * t90379;
  t90383 = t2609 * t77208 / 0.3e1 + t2609 * t77211 / 0.3e1 - t89195 - t89196 - t89198 - t89200 - t89202 - t89204 + t89206 - 0.3e1 / 0.2e1 * t10513 * t7093 * t90375 + 0.11e2 / 0.18e2 * t10357 * t90380;
  t90384 = t24435 * t90374;
  t90388 = t24418 * t90374;
  t90392 = t5674 * t90379;
  t90394 = t4572 * t90374;
  t90398 = t4626 * t90374;
  t90402 = t17041 * t333;
  t90403 = t24435 * t90402;
  t90406 = t24564 * t90402;
  t90409 = t168 * t90402;
  t90410 = t30134 * t90409;
  t90417 = -0.3e1 / 0.2e1 * t5665 * t7093 * t90384 + 0.3e1 * t5639 * t7093 * t90388 - t10440 * t90392 - t81638 - t16951 - 0.3e1 * t5639 * t7089 * t90394 + 0.3e1 * t5665 * t7089 * t90398 - t5639 * t1720 * t90403 + t5665 * t1720 * t90406 - t6769 * t90410 / 0.3e1 - t6960 * t2398 / 0.2e1 - t1647 * t10739 / 0.2e1;
  t90435 = t1430 * t89618;
  t90443 = -t1647 * t10742 / 0.2e1 + t2609 * t29204 / 0.6e1 - 0.5e1 / 0.36e2 * t12414 * t77373 - t2609 * t29413 / 0.12e2 - t12544 * t9729 / 0.2e1 - t2604 * t5555 / 0.6e1 + t12535 * t9734 / 0.2e1 + t2604 * t5607 / 0.6e1 - t1683 * t90435 / 0.6e1 + t12535 * t9274 + t2609 * t30287 / 0.3e1 - 0.11e2 / 0.18e2 * t12414 * t77663;
  t90444 = t4575 * t90300;
  t90447 = t12349 * t439;
  t90448 = t1018 * t90447;
  t90449 = t5691 * t90448;
  t90452 = -t5665 * t1716 * t90444 + 0.2e1 * t45444 * t90449 + t81653 - t89210 - t89212 - t89214 + t89223 - t89225 + t89227 + t89229 - t89231 + t89233;
  t90457 = t5733 * t10461;
  t90471 = t77684 / 0.2e1;
  t90472 = t77700 / 0.2e1;
  t90473 = t77702 / 0.2e1;
  t90474 = t81682 / 0.2e1;
  t90475 = -0.11e2 / 0.18e2 * t61605 * t17183 - 0.11e2 / 0.18e2 * t12414 * t90457 - 0.11e2 / 0.18e2 * t12414 * t77816 + 0.23e2 / 0.36e2 * t61605 * t17187 + t6896 * t17028 / 0.3e1 + t6900 * t17028 / 0.3e1 + t1383 * t12499 - t6808 * t17025 / 0.6e1 - t90471 + t90472 + t90473 + t90474;
  t90476 = t81684 / 0.2e1;
  t90485 = t45659 * t17042;
  t90488 = t12398 * t2196;
  t90490 = t9444 * t168 * t90488;
  t90493 = t2616 * t9399;
  t90495 = t9444 * t168 * t90493;
  t90500 = t90476 + t2609 * t29057 / 0.3e1 + t89234 + t89235 - t89236 - t16994 - 0.28e2 * t81183 * t10447 * t90071 - 0.3e1 * t4695 * t62020 * t2402 - t6772 * t90485 / 0.6e1 - t6772 * t90490 / 0.6e1 - t6772 * t90495 / 0.6e1 + t34216 * t17048 / 0.12e2;
  t90504 = t30011 * t17047;
  t90507 = t77723 / 0.6e1;
  t90508 = t50305 * t10360;
  t90513 = t5691 * t90184;
  t90517 = t24418 * t5642;
  t90530 = t34529 * t17048 / 0.12e2 + t6769 * t90504 / 0.12e2 + t90507 - t10725 * t90508 - t4695 * t6760 * t16970 / 0.4e1 - t10357 * t90513 + 0.6e1 * t89876 * t10543 + 0.9e1 * t5639 * t12580 * t90517 - 0.3e1 * t5649 * t61176 * t17199 - t2604 * t9422 / 0.6e1 - t12712 * t2199 / 0.6e1 - t12544 * t9430 / 0.2e1;
  t90550 = t1094 * t29195 * t2617;
  t90554 = t1094 * t5553 * t12399;
  t90559 = -t12544 * t10592 / 0.2e1 + t12535 * t9300 / 0.2e1 - t61806 * t2339 / 0.2e1 + t12535 * t10462 / 0.2e1 + t62054 * t2342 / 0.2e1 + t2609 * t77780 / 0.6e1 + t2609 * t77777 / 0.6e1 + t1660 * t17036 / 0.12e2 + t1665 * t17036 / 0.12e2 + t490 * t90550 / 0.12e2 + t490 * t90554 / 0.12e2 + t1660 * t16999 / 0.12e2;
  t90565 = t30141 * t90379;
  t90568 = t29988 * t12736;
  t90571 = t17041 * t1082;
  t90573 = t45083 * t168 * t90571;
  t90576 = t30141 * t90409;
  t90582 = t1665 * t16999 / 0.12e2 + t10357 * t90565 / 0.2e1 + t6772 * t90568 / 0.12e2 + t6772 * t90573 / 0.2e1 - t6769 * t90576 / 0.6e1 - t51173 * t10390 + 0.2e1 * t51176 * t10388 - t9408 - t9412 + t9416 + t17003;
  t90583 = t45376 * t12732;
  t90584 = t90583 / 0.12e2;
  t90585 = t168 * t89657;
  t90586 = t5691 * t90585;
  t90591 = t4687 * t380 * t403 * t16968;
  t90594 = t45946 * t12740;
  t90595 = t90594 / 0.6e1;
  t90596 = t4687 * t90585;
  t90599 = t77766 / 0.6e1;
  t90600 = t77768 / 0.6e1;
  t90601 = t77770 / 0.6e1;
  t90602 = t77772 / 0.4e1;
  t90603 = t89238 + t90584 + t6769 * t90586 / 0.12e2 + t6772 * t90591 / 0.12e2 - t90595 - t6764 * t90596 / 0.6e1 - t90599 - t90600 - t90601 - t89239 + t90602 - t89241;
  t90605 = t2178 * t12401;
  t90606 = t90605 / 0.12e2;
  t90610 = t1094 * t4440 * t16997;
  t90615 = t1094 * t1095 * t167 * t90005;
  t90618 = t9544 * t2619;
  t90619 = t90618 / 0.12e2;
  t90620 = t77783 / 0.12e2;
  t90621 = t77785 / 0.12e2;
  t90622 = t77787 / 0.12e2;
  t90623 = t89243 - t89245 + t89247 - t89249 + t90606 - 0.5e1 / 0.36e2 * t61605 * t17004 + t490 * t90610 / 0.12e2 + t490 * t90615 / 0.12e2 + t90619 + t90620 + t90621 + t90622;
  t90624 = t77790 / 0.2e1;
  t90625 = 0.14e2 / 0.3e1 * t81752;
  t90628 = t4626 * t89657;
  t90635 = t50144 * t10360;
  t90638 = t10358 * t90184;
  t90643 = t29474 * t10373;
  t90646 = t45379 * t12737;
  t90647 = t90646 / 0.12e2;
  t90648 = -t90624 + t90625 + 0.6e1 * t51176 * t10385 - t5665 * t1720 * t90628 / 0.2e1 - 0.18e2 * t10513 * t62620 * t52125 + t89265 - t89267 - 0.35e2 / 0.108e3 * t89606 * t90635 - 0.5e1 / 0.18e2 * t10357 * t90638 + 0.5e1 / 0.3e1 * t89876 * t10361 + 0.5e1 / 0.12e2 * t61081 * t90643 + t90647;
  t90651 = t45379 * t12729;
  t90652 = t90651 / 0.6e1;
  t90653 = t50296 * t17858;
  t90657 = t356 * t89525;
  t90667 = t45376 * t12355;
  t90668 = t90667 / 0.6e1;
  t90669 = t77823 / 0.4e1;
  t90670 = t77826 / 0.4e1;
  t90675 = -t90652 - 0.2e1 / 0.3e1 * t24973 * t90653 + t50860 * t10380 + 0.3e1 * t5665 * t7086 * t90657 - 0.6e1 * t5665 * t62534 * t10489 - 0.3e1 / 0.2e1 * t5665 * t12606 * t10493 + t90668 - t90669 - t90670 - t89269 - t34222 * t17051 / 0.6e1 - t34669 * t17051 / 0.6e1;
  t90676 = t25122 * t17047;
  t90679 = t4687 * t89540;
  t90682 = t4687 * t89545;
  t90689 = t4572 * t17046;
  t90698 = t6005 * t90184;
  t90705 = -t6764 * t90676 / 0.6e1 - t6764 * t90679 / 0.6e1 - t6764 * t90682 / 0.6e1 + t29436 * t17054 / 0.2e1 + t29339 * t17054 / 0.2e1 + t5639 * t7081 * t90689 / 0.2e1 - t81817 + 0.3e1 * t5649 * t62020 * t2389 + t61124 * t10366 / 0.2e1 - t10725 * t90698 + 0.2e1 * t110 * t62534 * t10726 + t61122 * t10500 / 0.2e1;
  t90726 = 0.2e1 / 0.3e1 * t1683 * t50364 - t6960 * t2395 - t1647 * t10729 - t1647 * t10732 - t6965 * t2398 / 0.2e1 + t4204 * t16977 + t4188 * t16977 + t1029 * t12424 * t78425 - t6965 * t2395 + 0.3e1 * t4204 * t16974 + 0.3e1 * t4188 * t16974 + 0.3e1 * t1029 * t12420 * t9311;
  t90727 = t1058 * t16992;
  t90728 = t90727 / 0.4e1;
  t90729 = 0.3e1 / 0.2e1 * t77851;
  t90730 = t77854 / 0.2e1;
  t90731 = 0.2e1 * t77857;
  t90732 = t77860 / 0.2e1;
  t90733 = t24564 * t90300;
  t90741 = t4305 * t18876 * t439;
  t90746 = t29474 * t4191 * t90447;
  t90750 = t4305 * t18791 * t439;
  t90754 = t50318 * t10360;
  t90757 = t5674 * t90585;
  t90760 = -t90728 + t90729 + t90730 - t90731 - t90732 + 0.3e1 / 0.2e1 * t5665 * t1720 * t90733 - 0.7e1 / 0.3e1 * t45332 * t29468 * t90448 - t4695 * t6827 * t90741 / 0.2e1 + 0.3e1 / 0.2e1 * t45332 * t90746 + t5649 * t6827 * t90750 / 0.2e1 - 0.61e2 / 0.27e2 * t89606 * t90754 + t6769 * t90757 / 0.6e1;
  t90765 = t77862 / 0.12e2;
  t90773 = t89271 + t89273 - t17070 + t17072 - t90765 + t29349 * t17191 / 0.2e1 + t29346 * t17191 / 0.2e1 + t5665 * t7075 * t17190 / 0.2e1 + t89276 + t89278 - t89280;
  t90774 = t1165 * t89539;
  t90783 = t1101 * t89640;
  t90788 = t5595 * t10321;
  t90793 = t4687 * t90379;
  t90796 = t168 * t90300;
  t90797 = t9444 * t90796;
  t90801 = t10358 * t5647 * t10364;
  t90804 = t89282 + t5665 * t1716 * t90774 / 0.2e1 - t110 * t17168 * t404 / 0.4e1 - t442 * t62140 / 0.12e2 + t1451 * t90783 / 0.6e1 + t442 * t62136 / 0.12e2 + 0.23e2 / 0.36e2 * t12414 * t90788 + 0.23e2 / 0.36e2 * t12414 * t78411 + t10725 * t90793 / 0.2e1 + t6764 * t90797 / 0.3e1 + t17073 - 0.3e1 / 0.2e1 * t61081 * t90801;
  t90806 = t2178 * t12409;
  t90807 = t90806 / 0.12e2;
  t90808 = t78341 / 0.12e2;
  t90809 = t78343 / 0.12e2;
  t90814 = t17172 + t90807 - t89290 - t90808 - t90809 + t9482 - t9485 - t9487 - t12414 * t77041 / 0.2e1 + t12474 * t1416 / 0.2e1 + t89292 - t89293;
  t90819 = t4575 * t90136;
  t90823 = t487 * t16968;
  t90825 = t5691 * t1018 * t90823;
  t90828 = t89297 + t89299 - t89301 - t89303 - t89305 - t89307 + t89309 + t89310 + 0.4e1 * t61124 * t10394 - 0.2e1 * t61124 * t10400 + t5665 * t494 * t90819 / 0.2e1 - t24973 * t90825 / 0.3e1;
  t90831 = t1165 * t89657;
  t90835 = t78345 / 0.6e1;
  t90836 = t78347 / 0.12e2;
  t90837 = t4575 * t90402;
  t90840 = t24458 * t90571;
  t90844 = t1165 * t90374;
  t90853 = t5691 * t1018 * t89727;
  t90856 = t4599 * t10604;
  t90859 = t62608 * t51552;
  t90860 = t24682 * t10610;
  t90863 = t12579 * t51558;
  t90866 = t10603 * t1655;
  t90867 = t4599 * t90866;
  t90870 = t1186 * t90866;
  t90873 = t2632 * t51567;
  t90883 = t12575 * t439;
  t90884 = t1165 * t90883;
  t90886 = t2646 * t1392;
  t90887 = t1165 * t90886;
  t90890 = t24418 * t10636;
  t90895 = 0.2e1 * t62506 * t90856 - 0.4e1 / 0.3e1 * t90859 * t90860 + 0.8e1 * t90863 * t10619 - 0.4e1 / 0.3e1 * t10618 * t90867 - 0.24e2 * t10609 * t90870 + 0.72e2 * t90873 * t10627 + 0.2e1 / 0.3e1 * t2633 * t78004 - t12580 * t78166 / 0.9e1 - 0.4e1 * t2633 * t78202 - t7075 * t17134 - t1716 * t90884 - t1716 * t90887 - t1714 * t17137 - 0.12e2 * t62609 * t90890 + 0.36e2 * t62620 * t10688;
  t90896 = 0.2e1 * t77891;
  t90897 = 0.8e1 * t82181;
  t90898 = t1186 * t90300;
  t90901 = 0.8e1 / 0.3e1 * t82190;
  t90902 = 0.4e1 * t82192;
  t90903 = 0.2e1 / 0.3e1 * t82217;
  t90904 = t1173 * t90866;
  t90909 = 0.4e1 / 0.3e1 * t82256;
  t90910 = 0.12e2 * t82261;
  t90911 = t24477 * t10640;
  t90914 = t2369 * t1655;
  t90915 = t4619 * t90914;
  t90918 = t24418 * t10640;
  t90921 = t356 * t90914;
  t90926 = -t90896 - t90897 - 0.3e1 * t34871 * t90898 - t90901 + t90902 - t90903 + 0.4e1 * t10609 * t90904 - 0.4e1 * t62424 * t10614 - t90909 + t90910 - t12580 * t90911 / 0.6e1 + 0.2e2 / 0.3e1 * t7093 * t90915 - 0.1e2 * t12580 * t90918 - 0.6e1 * t7086 * t90921 + 0.12e2 * t62534 * t10644;
  t90932 = t4609 * t90914;
  t90937 = t4626 * t90883;
  t90939 = t4626 * t90886;
  t90946 = t4575 * t17100 * t1082;
  t90948 = t2209 * t12626;
  t90949 = t9584 * t12635;
  t90950 = 0.2e1 / 0.3e1 * t90949;
  t90953 = t9608 * t12623;
  t90958 = 0.3e1 * t12606 * t10695 + 0.24e2 * t62557 * t10651 + t7093 * t90932 / 0.9e1 - 0.2e1 / 0.3e1 * t62620 * t10702 + t1720 * t90937 + t1720 * t90939 - 0.12e2 * t12551 * t9612 - 0.4e2 * t62620 * t10637 - t494 * t90946 - t90948 - t90950 + 0.2e2 / 0.3e1 * t12551 * t9629 - t90953 - 0.6e1 * t2633 * t78205 - 0.2e2 / 0.3e1 * t12580 * t77901;
  t90959 = t2232 * t1655;
  t90960 = t1165 * t90959;
  t90967 = t1038 * t90914;
  t90972 = t4572 * t90914;
  t90975 = t24435 * t10640;
  t90978 = 0.6e1 * t82302;
  t90979 = 0.12e2 * t82308;
  t90980 = 0.6e1 * t82323;
  t90981 = 0.2e1 * t82326;
  t90982 = 0.8e1 * t82328;
  t90983 = t82337 / 0.9e1;
  t90984 = t17100 * t333;
  t90985 = t4572 * t90984;
  t90988 = t4572 * t90959;
  t90991 = -0.2e1 * t1716 * t90960 + 0.3e1 * t12606 * t9618 + 0.2e1 * t2629 * t9621 + 0.12e2 * t7089 * t90967 - 0.12e2 * t12551 * t10699 - 0.6e1 * t7093 * t90972 + 0.9e1 * t12580 * t90975 - t90978 + t90979 - t90980 - t90981 - t90982 + t90983 - 0.2e1 / 0.3e1 * t1720 * t90985 - 0.8e1 / 0.3e1 * t1720 * t90988;
  t90998 = t1165 * t90984;
  t91000 = 0.3e1 * t77908;
  t91001 = 0.4e1 * t82351;
  t91002 = 0.4e1 * t82376;
  t91003 = 0.2e2 / 0.3e1 * t82383;
  t91005 = 0.1e2 / 0.3e1 * t77910;
  t91006 = t77926 / 0.18e2;
  t91007 = 0.6e1 * t77945;
  t91010 = t24557 * t10636;
  t91015 = 0.4e1 * t2633 * t78179 - t12580 * t78182 / 0.9e1 - t1716 * t90998 - t91000 - t91001 + t91002 + t91003 + t7081 * t17122 + t91005 + t91006 + t91007 + t77947 - 0.2e1 / 0.3e1 * t12580 * t78214 + 0.1e2 / 0.3e1 * t62609 * t91010 + 0.6e1 * t12580 * t78125;
  t91016 = t24477 * t10636;
  t91019 = t4626 * t90984;
  t91021 = t4626 * t90959;
  t91026 = t46256 * t90571;
  t91029 = t46248 * t90374;
  t91032 = t46248 * t90300;
  t91035 = t51889 * t90374;
  t91038 = t46248 * t90402;
  t91041 = t46252 * t90374;
  t91044 = t51878 * t90374;
  t91047 = t46252 * t90402;
  t91050 = t46252 * t90300;
  t91052 = t1186 * t90374;
  t91055 = t360 * t90402;
  t91058 = 0.5e2 / 0.3e1 * t62609 * t91016 + t1720 * t91019 + 0.4e1 * t1720 * t91021 - 0.1e2 * t12551 * t9632 - 0.6e1 * t51596 * t91026 + 0.12e2 * t34885 * t91029 + 0.6e1 * t34871 * t91032 + 0.2e1 / 0.3e1 * t34882 * t91035 + 0.4e1 * t34871 * t91038 - 0.6e1 * t34882 * t91041 + t34882 * t91044 / 0.9e1 - 0.2e1 / 0.3e1 * t34871 * t91047 - t34871 * t91050 - 0.6e1 * t34885 * t91052 + 0.2e1 * t34877 * t91055;
  t91060 = t360 * t90374;
  t91063 = t360 * t90300;
  t91066 = t360 * t90866;
  t91072 = 0.2e1 / 0.3e1 * t77965;
  t91073 = 0.12e2 * t77981;
  t91074 = 0.4e1 * t77983;
  t91077 = t1165 * t140 * t90005;
  t91080 = t142 * t16968;
  t91081 = t91080 * t333;
  t91082 = t1186 * t91081;
  t91085 = 0.2e1 * t77985;
  t91086 = 0.2e1 * t77987;
  t91087 = 0.6e1 * t77998;
  t91088 = 0.3e1 * t34874 * t91060 + 0.2e1 * t34877 * t91063 + 0.12e2 * t10684 * t91066 - 0.24e2 * t2628 * t51603 * t10685 - t91072 - t91073 - t91074 - t2629 * t9652 + t494 * t91077 / 0.2e1 - 0.2e1 * t7150 * t91082 + t91085 + t91086 + t91087 - t17074 - t15480;
  t91091 = t9566 * t1655;
  t91092 = t1186 * t91091;
  t91097 = t360 * t91091;
  t91102 = t2628 * t29820;
  t91109 = t2632 * t29892;
  t91114 = t62473 * t439;
  t91115 = t1173 * t91114;
  t91118 = t12560 * t1392;
  t91119 = t1173 * t91118;
  t91122 = t4586 * t90374;
  t91125 = -t17075 + t1714 * t17101 / 0.2e1 - 0.8e1 * t7150 * t91092 + 0.2e2 * t62424 * t9568 + 0.4e1 * t7147 * t91097 - 0.6e1 * t62421 * t9574 - 0.4e1 * t91102 * t9580 - 0.6e1 * t62421 * t10605 - 0.12e2 * t90873 * t10611 + 0.12e2 * t91109 * t77961 + 0.4e1 / 0.3e1 * t62506 * t77951 - t78000 + t7150 * t91115 / 0.3e1 + t7150 * t91119 / 0.3e1 - t34882 * t91122 / 0.18e2;
  t91129 = t360 * t91118;
  t91132 = t1173 * t90374;
  t91138 = t360 * t62473 * t2196;
  t91141 = t46256 * t90374;
  t91144 = t46256 * t90300;
  t91149 = t46256 * t90402;
  t91156 = t360 * t91114;
  t91159 = 0.2e1 * t78130;
  t91160 = 0.4e1 / 0.3e1 * t82402;
  t91161 = 0.2e1 / 0.9e1 * t82405;
  t91162 = 0.12e2 * t82419;
  t91163 = -0.18e2 * t62506 * t10614 + 0.2e1 * t10674 * t91138 + 0.2e1 * t34954 * t17155 + 0.2e1 * t51667 * t17159 - 0.6e1 * t34874 * t91141 - 0.4e1 * t34877 * t91144 - 0.4e1 * t34877 * t91149 - 0.2e1 * t34885 * t91041 + 0.4e1 * t34885 * t91132 + 0.2e1 * t7147 * t91129 + 0.2e1 * t7147 * t91156 + t91159 + t91160 - t91161 + t91162;
  t91164 = 0.4e1 * t82422;
  t91165 = 0.4e1 * t82424;
  t91174 = 0.4e1 * t78134;
  t91175 = 0.2e1 / 0.3e1 * t78141;
  t91176 = 0.24e2 * t82443;
  t91177 = t78143 / 0.3e1;
  t91178 = 0.2e1 * t78151;
  t91179 = 0.2e1 * t78153;
  t91180 = t91164 + t91165 - 0.36e2 * t62557 * t10691 + 0.2e1 * t12551 * t9596 - 0.2e1 * t91109 * t78155 + 0.2e1 / 0.9e1 * t62506 * t78158 - t78132 - t91174 - t78136 - t78139 - t91175 - t91176 - t91177 + t91178 - t91179;
  t91182 = t9584 * t12617;
  t91185 = t1033 * t90914;
  t91192 = t4572 * t90886;
  t91203 = t1186 * t90402;
  t91206 = t46214 * t12572;
  t91207 = 0.2e1 * t91206;
  t91208 = t91182 + 0.6e1 * t12580 * t77915 - 0.8e1 * t7089 * t91185 + 0.8e1 * t12551 * t10641 - 0.2e1 / 0.3e1 * t7081 * t17080 - 0.2e1 / 0.3e1 * t1720 * t91192 - 0.12e2 * t62506 * t9571 + 0.8e1 / 0.3e1 * t90859 * t10669 + 0.24e2 * t90859 * t10619 + 0.3e1 * t34882 * t91132 - t17089 - t17090 + t17091 - 0.2e1 * t34871 * t91203 - t91207;
  t91210 = t1165 * t143 * t90005;
  t91213 = t4575 * t12575 * t2196;
  t91216 = t4575 * t2646 * t9399;
  t91218 = t2209 * t12576;
  t91219 = t91218 / 0.2e1;
  t91224 = 0.4e1 / 0.3e1 * t78188;
  t91225 = 0.3e1 * t78200;
  t91226 = 0.2e1 * t82461;
  t91227 = t4572 * t90883;
  t91230 = -t494 * t91210 - t494 * t91213 - t494 * t91216 + t91219 + 0.6e1 * t12551 * t9670 - 0.3e1 * t12580 * t78235 - t91224 - t91225 + t17099 - t9586 - t9610 - t9611 + t9635 - t91226 - 0.2e1 / 0.3e1 * t1720 * t91227;
  t91237 = t2209 * t12633;
  t91239 = 0.2e1 / 0.3e1 * t78273;
  t91244 = 0.2e1 * t82474;
  t91251 = 0.6e1 * t12606 * t9623 + 0.2e1 * t2629 * t9627 - t91237 - t1714 * t17077 + t17119 - t78264 + t91239 + t9669 + 0.1e2 / 0.3e1 * t12580 * t78240 - 0.4e1 * t12551 * t9662 + t91244 - t17144 - 0.4e1 / 0.3e1 * t2633 * t78161 - 0.3e1 * t12606 * t9678 + t12580 * t78258 / 0.18e2;
  t91252 = 0.4e1 / 0.3e1 * t82477;
  t91254 = t360 * t91080 * t1082;
  t91257 = t4586 * t90866;
  t91262 = t4586 * t10604;
  t91265 = t51643 * t10610;
  t91268 = t46364 * t12565;
  t91269 = 0.2e1 * t91268;
  t91270 = t78305 * t12569;
  t91271 = 0.2e1 * t91270;
  t91272 = t360 * t90571;
  t91275 = t1173 * t91091;
  t91280 = t78282 / 0.2e1;
  t91281 = t91252 - t17145 + t17147 + 0.2e1 * t10674 * t91254 - 0.2e1 / 0.9e1 * t10618 * t91257 + 0.4e1 / 0.3e1 * t90863 * t10669 + t62506 * t91262 / 0.3e1 - t90859 * t91265 / 0.9e1 + t91269 + t91271 + 0.3e1 * t51596 * t91272 + 0.4e1 / 0.3e1 * t7150 * t91275 - 0.1e2 / 0.3e1 * t62424 * t9571 + t78280 + t91280;
  t91287 = t1173 * t91081;
  t91290 = t1173 * t90300;
  t91293 = t46214 * t12562;
  t91294 = t91293 / 0.3e1;
  t91295 = t360 * t91081;
  t91299 = t360 * t12560 * t9399;
  t91302 = t1173 * t90402;
  t91311 = 0.2e1 * t2633 * t78261 + t9675 + t9677 + t17148 - 0.72e2 * t90863 * t10611 + t7150 * t91287 / 0.3e1 + 0.2e1 * t34871 * t91290 + t91294 + 0.2e1 * t7147 * t91295 - t9683 + 0.2e1 * t10674 * t91299 + 0.4e1 / 0.3e1 * t34871 * t91302 + t34959 * t17162 / 0.3e1 + 0.12e2 * t10618 * t90904 + 0.24e2 * t62424 * t10680;
  t91314 = t1186 * t91114;
  t91317 = t1186 * t91118;
  t91320 = t4599 * t90374;
  t91323 = 0.2e1 * t78303;
  t91324 = 0.2e1 * t78306;
  t91325 = t78308 / 0.3e1;
  t91326 = 0.2e1 / 0.3e1 * t78310;
  t91327 = t78312 / 0.9e1;
  t91328 = 0.6e1 * t78322;
  t91329 = -0.2e1 * t34959 * t17152 - 0.2e1 * t7150 * t91314 - 0.2e1 * t7150 * t91317 - 0.1e2 / 0.3e1 * t34882 * t91320 - t15516 + t17149 + t17150 + t15538 - t2229 + t91323 + t91324 + t91325 + t91326 - t91327 + t2210 + t91328;
  t91338 = t5665 * t1716 * t90831 / 0.2e1 - t90835 - t90836 - t5665 * t1716 * t90837 - 0.3e1 / 0.2e1 * t5665 * t494 * t90840 - 0.3e1 / 0.2e1 * t5665 * t7086 * t90844 + t89313 + t89314 + 0.2e1 * t61173 * t77262 - 0.23e2 / 0.18e2 * t61081 * t77265 - 0.4e1 / 0.3e1 * t6769 * t90853 - t110 * t139 * (t90895 + t90926 + t90958 + t90991 + t91015 + t91058 + t91088 + t91125 + t91163 + t91180 + t91208 + t91230 + t91251 + t91281 + t91311 + t91329) * t168 / 0.4e1;
  t91343 = t82056 / 0.2e1;
  t91344 = 0.2e1 / 0.3e1 * t82060;
  t91350 = t33917 * t2337;
  t91351 = t1101 * t91350;
  t91354 = t61173 * t77277 / 0.3e1 - t318 * t17169 / 0.4e1 - t91343 + t91344 + t5792 * t12425 + t12462 * t15365 / 0.6e1 - t82064 - t82066 - t82069 - t82072 - 0.5e1 / 0.36e2 * t12414 * t77354 + t1702 * t91351 / 0.3e1;
  t91360 = t29474 * t1018 * t90374;
  t91363 = t1430 * t91350;
  t91378 = 0.2e1 / 0.3e1 * t1683 * t50424 + t62054 * t2347 + t89323 - t89325 - 0.23e2 / 0.36e2 * t10357 * t91360 - t1683 * t91363 / 0.6e1 - t1683 * t80856 / 0.6e1 - 0.2e1 / 0.3e1 * t2609 * t77806 - t6804 * t17025 / 0.6e1 - 0.2e1 / 0.3e1 * t12462 * t15448 - 0.2e1 / 0.3e1 * t2609 * t77803 - t1383 * t12516 / 0.2e1;
  t91379 = t1430 * t90356;
  t91387 = t89824 * t10360;
  t91390 = t50292 * t10365;
  t91393 = t29468 * t10393;
  t91396 = t10447 * t89526;
  t91399 = t1165 * t89727;
  t91405 = -0.2e1 * t45112 * t91379 + t1383 * t12512 / 0.2e1 - t1383 * t12505 + 0.3e1 / 0.2e1 * t1383 * t12508 + t9535 + t9543 - 0.5e1 / 0.18e2 * t10357 * t91387 - t6769 * t91390 / 0.6e1 - 0.7e1 * t61081 * t91393 + 0.14e2 / 0.3e1 * t10357 * t91396 + t5665 * t1716 * t91399 - 0.3e1 / 0.2e1 * t5665 * t12606 * t9453;
  t91411 = t5691 * t89739;
  t91414 = t5695 * t90071;
  t91417 = t1165 * t89544;
  t91428 = t4575 * t90488;
  t91432 = t4575 * t90493;
  t91436 = -t5665 * t2629 * t9463 + 0.1e2 / 0.3e1 * t45444 * t91411 + 0.12e2 * t85996 * t91414 - t9546 - t9548 - t17178 + t5665 * t1716 * t91417 / 0.2e1 + t29349 * t17195 / 0.2e1 + t29346 * t17195 / 0.2e1 + t5665 * t1714 * t17194 / 0.2e1 + t5665 * t494 * t91428 / 0.2e1 + t5665 * t494 * t91432 / 0.2e1;
  t91441 = t10447 * t90184;
  t91450 = t5563 * t10461;
  t91457 = t5733 * t10321;
  t91464 = -t34520 * t17043 / 0.6e1 - t34671 * t17043 / 0.6e1 - 0.11e2 / 0.9e1 * t10357 * t91441 + t12474 * t1447 / 0.4e1 - t12474 * t1439 / 0.2e1 - t12474 * t1443 / 0.4e1 - t12414 * t91450 / 0.2e1 - t12414 * t78418 / 0.2e1 + 0.7e1 / 0.3e1 * t61605 * t5734 + 0.7e1 / 0.3e1 * t12414 * t91457 + 0.7e1 / 0.3e1 * t12414 * t77240 - t6804 * t17208 / 0.3e1;
  t91468 = t1423 * t91350;
  t91477 = t5674 * t90305;
  t91480 = t12349 * t2196;
  t91482 = t30141 * t1018 * t91480;
  t91485 = -t6808 * t17208 / 0.3e1 - t1683 * t91468 / 0.3e1 - t1683 * t81355 / 0.3e1 + 0.2e1 / 0.3e1 * t6804 * t17212 + 0.2e1 / 0.3e1 * t6808 * t17212 + t6769 * t91477 / 0.6e1 - t89336 + t89338 + t89340 - t89342 + t89345 + 0.2e1 / 0.3e1 * t24973 * t91482;
  t91487 = t4344 * t2666 * t2196;
  t91491 = t9444 * t90409;
  t91495 = t1076 * t2666 * t439;
  t91499 = t78429 / 0.2e1;
  t91500 = t78431 / 0.2e1;
  t91501 = t78434 / 0.2e1;
  t91502 = t78436 / 0.4e1;
  t91503 = t78439 / 0.2e1;
  t91506 = t9444 * t380 * t12735 * t2196;
  t91511 = t78468 / 0.3e1;
  t91512 = t4695 * t6760 * t91487 / 0.2e1 + t6764 * t91491 / 0.3e1 + t4695 * t6841 * t91495 / 0.2e1 - t91499 - t91500 - t91501 - t91502 + t91503 - t17179 - t6772 * t91506 / 0.6e1 - 0.4e1 / 0.3e1 * t6769 * t50853 - t91511;
  t91515 = t78471 / 0.4e1;
  t91516 = t78473 / 0.3e1;
  t91517 = t78474 / 0.6e1;
  t91518 = 0.2e1 / 0.3e1 * t78476;
  t91519 = t5695 * t89526;
  t91523 = t61124 * t10377 - 0.4e1 * t10440 * t91519 - t89350 - t89351 - t89352 - t89354 - t91515 + t91516 - t91517 - t91518 - t9710 + t9713;
  t91524 = t29474 * t10360;
  t91527 = t30141 * t10373;
  t91534 = t30022 * t17047;
  t91537 = t5674 * t89540;
  t91540 = t5674 * t89545;
  t91547 = t4572 * t89539;
  t91551 = t4572 * t89544;
  t91555 = -0.38e2 / 0.9e1 * t89606 * t91524 + 0.3e1 / 0.2e1 * t61081 * t91527 - t61173 * t77554 / 0.2e1 + t89355 + t34529 * t17061 / 0.6e1 + t6769 * t91534 / 0.6e1 + t6769 * t91537 / 0.6e1 + t6769 * t91540 / 0.6e1 - t34216 * t17065 / 0.3e1 - t34529 * t17065 / 0.3e1 + t5639 * t1720 * t91547 / 0.2e1 + t5639 * t1720 * t91551 / 0.2e1;
  t91564 = t4626 * t89539;
  t91568 = t4626 * t89544;
  t91575 = t30141 * t1018 * t90300;
  t91577 = t82643 / 0.6e1;
  t91578 = t82645 / 0.6e1;
  t91579 = t82647 / 0.3e1;
  t91581 = t10358 * t4191 * t89525;
  t91585 = t29474 * t4191 * t5642;
  t91588 = -t29349 * t17058 / 0.2e1 - t29346 * t17058 / 0.2e1 - t5665 * t7081 * t17057 / 0.2e1 - t5665 * t1720 * t91564 / 0.2e1 - t5665 * t1720 * t91568 / 0.2e1 + t34216 * t17061 / 0.6e1 + t6769 * t91575 - t91577 - t91578 + t91579 - 0.3e1 * t10357 * t91581 + 0.9e1 / 0.2e1 * t61081 * t91585;
  t91592 = t30134 * t90796;
  t91595 = t5691 * t90379;
  t91598 = t30141 * t90796;
  t91601 = t29474 * t90379;
  t91604 = t5691 * t90305;
  t91608 = t78508 / 0.2e1;
  t91609 = t78510 / 0.2e1;
  t91610 = -0.18e2 * t5665 * t62620 * t10506 - t6769 * t91592 / 0.2e1 - t16114 - t16119 + t16127 - t10440 * t91595 / 0.2e1 - t6769 * t91598 / 0.4e1 + 0.5e1 / 0.36e2 * t10357 * t91601 + t6769 * t91604 / 0.12e2 + t12535 * t9350 + t91608 + t91609;
  t91617 = my_piecewise3(t100, 0, t90176 + t90153 + t91610 + t91588 + t91555 + t91523 + t91512 + t91485 + t91464 + t91436 + t91405 + t91378 + t91354 + t91338 + t90828 + t90814 + t90804 + t90773 + t90760 + t90726 + t90705 + t90675 + t90648 + t90623 + t90603 + t90582 + t90559 + t90530 + t90500 + t90475 + t90452 + t90443 + t90417 + t90383 + t90364 + t90331 + t90309 + t90289 + t90257 + t90240 + t90223 + t90212 + t90196 + t90124 + t90104 + t90069 + t90044 + t90026 + t89916 + t89892 + t89866 + t89840 + t89815 + t89796 + t89772 + t89743 + t89713 + t89680 + t89649 + t89617 + t89586 + t89566 + t89549 + t89533);
  tv4rhosigmalapl217 = t3 * t91617 + t17219;

  if(out->v4rhosigmalapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapl2[ip*p->dim.v4rhosigmalapl2 + 17] += tv4rhosigmalapl217;

  t91629 = t26410 * t17503;
  t91632 = t1854 * t414;
  t91634 = t4873 * t3264 * t91632;
  t91653 = t63293 * t1255;
  t91654 = t1254 * t91653;
  t91659 = t36429 * t16667 / 0.6e1 + t7251 * t87570 / 0.6e1 - t7251 * t87167 / 0.12e2 + t31172 * t17504 / 0.3e1 + t31175 * t17504 / 0.3e1 + t6439 * t91629 / 0.3e1 + t6439 * t91634 / 0.3e1 + t6439 * t83837 / 0.3e1 - t1541 * t83882 / 0.12e2 + t1529 * t16167 / 0.12e2 + t1534 * t16167 / 0.12e2 + t466 * t84529 / 0.12e2 + t466 * t84510 / 0.12e2 + t6464 * t17260 / 0.6e1 + t6468 * t17260 / 0.6e1 - t1252 * t91654 / 0.6e1 - t26932 * t2729 / 0.2e1;
  t91661 = t1760 * t16730 / 0.36e2;
  t91680 = t26512 * t2676;
  t91690 = t91661 + t3266 * t63329 * t2331 / 0.2e1 + t26263 * t17366 + t75038 + t82702 + t1516 * t10994 / 0.4e1 + t1516 * t10998 / 0.4e1 - t5277 * t2737 / 0.4e1 - t5266 * t2737 / 0.4e1 - t1228 * t12852 / 0.4e1 - t1228 * t12855 / 0.4e1 - t630 * t17313 / 0.4e1 + t1815 * t843 * t91680 / 0.6e1 + t1815 * t86898 / 0.6e1 - t1779 * t86891 / 0.12e2 + t1750 * t16730 / 0.12e2 + t82705 - t82707;
  t91694 = t9897 * t794;
  t91700 = t3360 * t2727 * t2105;
  t91703 = t17286 * t206;
  t91704 = t95 * t91703;
  t91720 = t1760 * t15691 / 0.36e2;
  t91721 = -t82733 + t78574 - t78580 - t78582 - t1516 * t10938 / 0.2e1 - 0.3e1 * t4983 * t1876 * t22290 * t91694 + t4993 * t7457 * t91700 - 0.35e2 / 0.108e3 * t52309 * t47881 * t91704 + 0.3e1 * t4993 * t63039 * t48143 + t4993 * t12998 * t47245 - t36048 * t2319 / 0.2e1 - t7587 * t9796 / 0.2e1 - t7228 * t16894 / 0.12e2 + t91720 - t2089 + t2160 - t86926;
  t91723 = t5234 * t2742 / 0.6e1;
  t91726 = t3125 * t525;
  t91727 = t91726 * t9746;
  t91730 = t3168 * t525;
  t91731 = t91730 * t9846;
  t91749 = 0.5e1 / 0.108e3 * t52233 * t17493;
  t91751 = t37357 * t17490 / 0.18e2;
  t91753 = t53830 * t17487 / 0.6e1;
  t91754 = -t82745 + t82760 + t82762 + t82766 + t91723 - t13203 * t1286 / 0.4e1 - 0.11e2 / 0.18e2 * t9743 * t91727 + 0.23e2 / 0.36e2 * t9743 * t91731 + t6439 * t83037 / 0.6e1 + 0.3e1 * t47381 * t10912 - 0.3e1 * t47384 * t11239 + t47381 * t11208 / 0.2e1 - t47384 * t11211 / 0.2e1 + 0.3e1 * t52936 * t10114 - 0.3e1 * t52942 * t9894 - t91749 + t91751 + t91753;
  t91773 = t35347 * t2266;
  t91774 = t1261 * t91773;
  t91777 = t463 * t1237;
  t91786 = -t1770 * t9919 / 0.2e1 - t1770 * t9922 / 0.2e1 - t7592 * t2327 / 0.4e1 - t7600 * t2327 / 0.4e1 - t1770 * t9778 / 0.4e1 - t1770 * t9902 / 0.4e1 - t6062 * t17243 / 0.12e2 - t6067 * t17243 / 0.12e2 - t1541 * t91774 / 0.12e2 - t78618 + t78620 + 0.3e1 / 0.2e1 * t4772 * t7686 * t3130 * t91777 - t31172 * t17517 / 0.6e1 - t31175 * t17517 / 0.6e1 + t82779 - t82786 + t82789;
  t91810 = t52501 * t481 / 0.12e2;
  t91811 = -t82791 + t86981 + t86982 + t10777 * t1526 / 0.4e1 - t1529 * t10808 / 0.12e2 - t1534 * t10808 / 0.12e2 - t466 * t54480 / 0.12e2 + t13203 * t1239 / 0.4e1 + t54162 * t481 / 0.4e1 - t78644 + t78651 - t78655 - t6062 * t17273 / 0.6e1 + t9948 * t1747 / 0.4e1 - t1242 * t13198 / 0.12e2 - t1247 * t13198 / 0.12e2 - t417 * t64134 / 0.12e2 + t91810;
  t91814 = t63699 * t432 / 0.12e2;
  t91822 = t1218 * t13198 / 0.36e2;
  t91824 = t46995 * t530 / 0.12e2;
  t91847 = t91814 - t1750 * t10198 / 0.12e2 - t1755 * t10198 / 0.12e2 - t515 * t47308 / 0.12e2 - t78663 - t78674 - t91822 + t91824 - t1779 * t1254 * t91680 / 0.6e1 - t1779 * t88893 / 0.6e1 - t7228 * t17230 / 0.12e2 - t7233 * t17230 / 0.12e2 - t1779 * t1261 * t91680 / 0.12e2 + t1750 * t15691 / 0.12e2 + t1755 * t15691 / 0.12e2 + t515 * t79283 / 0.12e2 + t515 * t79287 / 0.12e2 + t1750 * t16752 / 0.12e2;
  t91849 = t30793 * t2444 / 0.6e1;
  t91851 = t7611 * t2332 / 0.6e1;
  t91854 = t843 * t91773;
  t91881 = -t91849 + t91851 + t1815 * t79423 / 0.6e1 + t1568 * t91854 / 0.6e1 + t1755 * t16730 / 0.12e2 + t515 * t88757 / 0.12e2 + t515 * t88761 / 0.12e2 + t7742 * t17224 / 0.6e1 - t82875 + t82881 - t54113 * t1548 / 0.2e1 + t1228 * t12862 / 0.2e1 + t1228 * t12865 / 0.2e1 - t5277 * t2734 / 0.2e1 - t5266 * t2734 / 0.2e1 - t1228 * t12873 / 0.2e1 - t515 * t47748 / 0.12e2 - t1228 * t12876 / 0.2e1;
  t91893 = t1568 * t84094 / 0.6e1 + t466 * t52782 / 0.12e2 + t78688 + t78693 + t82909 + t78717 + 0.3e1 * t4983 * t7680 * t683 * t91777 - t78739 + t87114 - t87148 - t82926 - t82928 - t82930 + t87152 - t87153 + t87154 + t87155;
  t91902 = t26535 * t17366 / 0.3e1;
  t91903 = t26535 * t17363;
  t91904 = t253 * t91632;
  t91905 = t4996 * t91904;
  t91914 = t1261 * t91653;
  t91923 = t87163 + t21748 * t17510 / 0.2e1 + t3266 * t63324 * t2331 / 0.2e1 + t7248 * t88952 / 0.12e2 + t87172 + t87175 + t91902 + t91903 - t6439 * t91905 / 0.6e1 - t6439 * t83819 / 0.6e1 + t78783 + t78785 + t13203 * t1290 / 0.4e1 - t13203 * t1282 / 0.2e1 - t1252 * t91914 / 0.12e2 - t417 * t63295 / 0.12e2 - 0.3e1 * t26257 * t17381 - 0.3e1 * t26263 * t17381;
  t91925 = t3125 * t17286;
  t91936 = t52327 * t9746;
  t91939 = t36464 * t9934;
  t91950 = t53027 * t9934;
  t91958 = -0.3e1 * t4983 * t36146 * t91925 - 0.3e1 * t4983 * t7686 * t87702 - 0.3e1 * t4983 * t7686 * t3125 * t91777 - t10155 * t91936 / 0.2e1 - t6454 * t91939 / 0.6e1 - t1242 * t12910 / 0.12e2 - t1247 * t12910 / 0.12e2 - t417 * t63213 / 0.12e2 - t417 * t63217 / 0.12e2 + t78804 + t78806 + t78808 + t6439 * t91950 / 0.3e1 - 0.11e2 / 0.18e2 * t10757 * t78845 * t12764 + 0.3e1 * t26263 * t17363 - t83003 + t83005;
  t91964 = t1506 * t10808 / 0.36e2;
  t91968 = t7611 * t2324 / 0.6e1;
  t91975 = t83007 + t54156 * t481 / 0.4e1 + t65121 * t432 / 0.4e1 - t91964 + t47296 * t530 / 0.4e1 - t91968 - t1779 * t80412 / 0.12e2 + t1770 * t9909 / 0.2e1 + t1770 * t9912 / 0.2e1 + t78853 + t78856 - t78859 - t78861 - t87259 - t87261 - t75423 + t87262 + t87263;
  t91982 = t4772 * t1876 * t89066 - t4983 * t1876 * t88772 + t75438 - t78887 - t78890 + t78894 + t78897 - t83025 + t87264 - t87265 - t87266 - t87267 - t87268 - t87269 + t87274 + t87280 - t87283;
  t92019 = -0.18e2 * t4983 * t36084 * t683 * t91703 - t3266 * t65011 * t2166 / 0.4e1 - t3266 * t12753 * t8963 / 0.4e1 - t21744 * t17276 / 0.2e1 - t21748 * t17276 / 0.2e1 - t3266 * t65020 * t2323 / 0.2e1 - t3266 * t65008 * t2323 / 0.2e1 - t3266 * t13185 * t8976 / 0.2e1 - t21744 * t17279 / 0.4e1 - t21748 * t17279 / 0.4e1 - t3266 * t65023 * t2166 / 0.4e1 + t7251 * t87237 / 0.6e1 + t78922 + t78924 - t78926 - t87301 - t87302 - 0.6e1 * t4772 * t36211 * t229 * t91703;
  t92021 = t17286 * t794;
  t92047 = t4873 * t91904;
  t92056 = -0.3e1 / 0.2e1 * t4772 * t7690 * t788 * t92021 - 0.3e1 / 0.2e1 * t4772 * t519 * t87670 + t3266 * t7361 * t87680 / 0.2e1 - t87305 - t83044 - t83047 + t83049 + t26260 * t17350 / 0.2e1 + t26266 * t17350 / 0.2e1 + t4772 * t1870 * t16771 / 0.2e1 + t4772 * t519 * t87939 / 0.2e1 + t4772 * t519 * t87943 / 0.2e1 + 0.3e1 / 0.2e1 * t26260 * t17354 - t6439 * t92047 / 0.12e2 - t6439 * t83238 / 0.12e2 - t26260 * t17345 - t26266 * t17345 - t4772 * t7665 * t17344;
  t92059 = t463 * t8688;
  t92074 = t26396 * t17507 / 0.6e1;
  t92082 = t26467 * t17358 / 0.6e1;
  t92084 = t52233 * t17288 / 0.2e1;
  t92091 = -t4772 * t1876 * t87498 - t4772 * t1876 * t3556 * t92059 + t26260 * t17347 / 0.2e1 + t26266 * t17347 / 0.2e1 + t83063 + t83065 + t83067 - t63486 * t1270 / 0.2e1 + t1252 * t1261 * t13201 * t1255 / 0.3e1 - t92074 + t47381 * t10905 - 0.3e1 / 0.2e1 * t26808 * t86943 * t83032 - t47374 * t10907 / 0.2e1 + t92082 - t92084 - 0.2e1 / 0.3e1 * t7251 * t47796 + t47384 * t10860 / 0.2e1 + t47384 * t10863 / 0.2e1;
  t92096 = t47795 * t52971;
  t92100 = t6284 * t17260 / 0.18e2;
  t92102 = t1506 * t16167 / 0.36e2;
  t92104 = t1506 * t10965 / 0.36e2;
  t92106 = t6226 * t2447 / 0.6e1;
  t92108 = t7611 * t2327 / 0.12e2;
  t92117 = -t83073 - t83082 - t20708 * t92096 / 0.3e1 - t87404 - t87405 - t87406 - t87407 + t92100 + t92102 - t92104 - t92106 - t92108 + t83104 - t7254 * t88960 / 0.6e1 - t7248 * t88963 / 0.6e1 + t7251 * t88966 / 0.12e2 + t7248 * t88614 / 0.12e2;
  t92131 = t22052 * t17279 / 0.12e2;
  t92155 = -t7251 * t43371 * t12928 / 0.6e1 + t10838 * t41850 * t12764 / 0.2e1 + t7251 * t41697 * t12891 / 0.6e1 - 0.5e1 / 0.36e2 * t10757 * t78631 * t12764 - t92131 + t42708 * t13176 / 0.2e1 + t79029 - t79032 + t79035 + t10838 * t87133 / 0.2e1 + t7251 * t87135 / 0.6e1 - 0.5e1 / 0.36e2 * t10757 * t87138 - 0.2e1 / 0.3e1 * t7251 * t47919 + 0.23e2 / 0.36e2 * t10757 * t78631 * t12757 + t4983 * t1876 * t87284 / 0.2e1 - t4772 * t1876 * t87288 / 0.2e1 - 0.3e1 * t43351 * t12949 + 0.3e1 / 0.2e1 * t47384 * t10841;
  t92171 = t670 * t91777;
  t92187 = t47384 * t10832 / 0.2e1 - 0.2e1 * t42312 * t47865 * t53094 - t31651 * t10835 / 0.2e1 - t87415 - t87417 - t87418 + t79072 + 0.23e2 / 0.36e2 * t52268 * t17296 + 0.23e2 / 0.36e2 * t10757 * t46783 * t17295 + 0.23e2 / 0.36e2 * t10757 * t89060 + 0.23e2 / 0.36e2 * t10757 * t9744 * t92171 + t36448 * t16667 / 0.6e1 - t36038 * t2319 / 0.2e1 - t1516 * t10948 / 0.4e1 - t1516 * t10951 / 0.4e1 - t7592 * t2324 / 0.2e1 - t7600 * t2324 / 0.2e1;
  t92191 = t7276 * t17264 / 0.9e1;
  t92195 = t26467 * t17354 / 0.2e1;
  t92218 = t53031 * t9746;
  t92224 = -t47008 * t1785 / 0.2e1 + t92191 - t1541 * t83877 / 0.12e2 + t92195 - t47384 * t11171 + 0.7e1 / 0.3e1 * t26808 * t86970 * t53094 + t31651 * t11164 / 0.2e1 + t7251 * t87625 / 0.3e1 + t7251 * t47866 / 0.3e1 + t7251 * t87223 / 0.6e1 - t10757 * t41697 * t12764 / 0.2e1 + 0.23e2 / 0.36e2 * t10757 * t87156 + t10838 * t87159 + t7251 * t78723 / 0.6e1 - 0.11e2 / 0.18e2 * t10757 * t86971 + t9863 * t92218 + t52936 * t9899 / 0.2e1 - t52942 * t9882 / 0.2e1;
  t92230 = t37357 * t16782 / 0.36e2;
  t92235 = -t87485 + t87486 - t87487 + t87488 - t79099 + t79101 + t83151 + t21744 * t17510 / 0.2e1 + t92230 + t87493 + t87494 - t87495 - t87496 - t47374 * t11226 / 0.2e1 + t31651 * t11242 / 0.2e1 + t83175 - t83177;
  t92240 = t52331 * t17473;
  t92253 = t52565 * t17295;
  t92272 = -t83179 + t87535 + t52942 * t9767 / 0.2e1 + t52942 * t9761 / 0.2e1 - t20708 * t92240 / 0.3e1 + t42708 * t13034 / 0.2e1 + t42708 * t13025 / 0.2e1 - t31651 * t10857 / 0.2e1 - t31651 * t10879 / 0.4e1 + t52942 * t10124 / 0.2e1 - 0.2e1 * t42312 * t92253 - t36004 * t10127 / 0.2e1 + 0.3e1 / 0.2e1 * t52942 * t10120 - 0.3e1 * t4772 * t36223 * t17520 - 0.3e1 * t4772 * t7680 * t88589 - 0.3e1 * t4772 * t7680 * t689 * t91777 + t26257 * t17370 / 0.2e1 - t79105;
  t92287 = t37183 * t2319 / 0.6e1;
  t92310 = t52327 * t9757;
  t92313 = t87607 - t26211 * t17507 / 0.2e1 - t26896 * t17507 / 0.2e1 + t7251 * t87164 / 0.6e1 - t4993 * t63324 * t2318 / 0.2e1 - t4993 * t63329 * t2318 / 0.2e1 - t92287 - t608 * t17313 / 0.4e1 - t246 * t7525 * t16760 / 0.4e1 - t246 * t1797 * t87067 / 0.4e1 + t5277 * t2742 / 0.2e1 + t5266 * t2742 / 0.2e1 + t1568 * t83797 / 0.6e1 + t7228 * t17264 / 0.3e1 + t7233 * t17264 / 0.3e1 + t1779 * t48375 / 0.3e1 + t1779 * t47050 / 0.3e1 + t6454 * t92310 / 0.6e1;
  t92332 = t37357 * t16671 / 0.9e1;
  t92334 = t37357 * t16667 / 0.18e2;
  t92336 = 0.23e2 / 0.108e3 * t52233 * t17296;
  t92338 = 0.11e2 / 0.54e2 * t52233 * t17292;
  t92339 = t48404 * t10883;
  t92344 = t47865 * t10883;
  t92349 = t52565 * t9746;
  t92352 = t52331 * t9934;
  t92355 = -t11019 * t42321 * t12764 / 0.2e1 - t7254 * t26645 * t12891 / 0.6e1 + t7254 * t42321 * t12928 / 0.6e1 - t6454 * t83252 / 0.6e1 - t6451 * t82972 / 0.6e1 - t11019 * t87117 / 0.2e1 + t10838 * t43371 * t12764 - t79151 - t92332 + t92334 + t92336 - t92338 + t4761 * t92339 / 0.6e1 + t4882 * t64520 / 0.12e2 - t4872 * t92344 / 0.12e2 - t36004 * t9764 / 0.4e1 + t9863 * t92349 / 0.2e1 + t6439 * t92352 / 0.6e1;
  t92368 = t79164 + t87642 + t87643 + t87644 + t7251 * t43406 * t12891 / 0.3e1 - t87659 + t87663 - t87664 - t87665 + t79189 - t79193 + t87668 - t83260 - t83263 + t83265 + t4983 * t1876 * t3130 * t92059 + 0.3e1 / 0.2e1 * t4772 * t7686 * t87592;
  t92406 = t83285 + t83287 - 0.3e1 / 0.2e1 * t10757 * t86928 - 0.3e1 / 0.2e1 * t10757 * t9744 * t3156 * t91777 - 0.11e2 / 0.18e2 * t52266 * t17292 - 0.11e2 / 0.18e2 * t52268 * t17292 - 0.11e2 / 0.18e2 * t10757 * t48159 * t17291 - 0.11e2 / 0.18e2 * t10757 * t87292 - t16134 + t16144 + t4772 * t7670 * t16766 / 0.2e1 + t4772 * t1872 * t88449 / 0.2e1 + t4772 * t1872 * t87926 / 0.2e1 + t10777 * t1551 / 0.2e1 + t83302 + 0.3e1 / 0.2e1 * t3266 * t63258 * t48862 - 0.18e2 * t4983 * t36075 * t20876 * t91703 + 0.6e1 * t4772 * t36075 * t20862 * t91703;
  t92408 = t9897 * t206;
  t92426 = t670 * t92408;
  t92437 = t95 * t92021;
  t92440 = -0.5e1 * t4983 * t7680 * t3130 * t92408 - t1779 * t87365 / 0.6e1 - t1779 * t78963 / 0.6e1 + t7228 * t16637 / 0.3e1 + t7233 * t16637 / 0.3e1 + t1779 * t47778 / 0.3e1 + t83324 - t83328 + t83332 + t83336 - t83338 - t4993 * t12998 * t8848 / 0.2e1 + t83364 + 0.1e2 / 0.3e1 * t10838 * t4877 * t92426 + 0.2e1 * t7251 * t26405 * t670 * t91694 - 0.3e1 * t53916 * t4873 * t91704 - t10838 * t4877 * t92437;
  t92452 = t17334 * t206;
  t92453 = t253 * t92452;
  t92454 = t4873 * t92453;
  t92457 = t4762 * t92453;
  t92460 = t17334 * t794;
  t92461 = t253 * t92460;
  t92462 = t3273 * t92461;
  t92465 = t9744 * t92453;
  t92468 = t4877 * t92461;
  t92475 = -t8624 + t8645 - t8647 - t83378 + t87713 + t3266 * t13185 * t47251 / 0.2e1 - 0.3e1 / 0.2e1 * t9877 * t7686 * t87849 + 0.3e1 * t4983 * t7686 * t87857 + t87719 + t87722 - t6451 * t84163 / 0.6e1 + t9863 * t92454 / 0.2e1 - t10155 * t92457 / 0.2e1 - t6454 * t92462 / 0.6e1 - 0.5e1 / 0.36e2 * t9743 * t92465 + t6439 * t92468 / 0.6e1 + t6439 * t84147 / 0.12e2 + t10757 * t87845 / 0.2e1;
  t92485 = t3360 * t2740 * t2105;
  t92503 = t843 * t47044 * t1805;
  t92512 = t41850 * t19511;
  t92517 = t26535 * t17381;
  t92519 = 0.7e1 / 0.9e1 * t52233 * t17387;
  t92522 = -t6454 * t84020 / 0.6e1 + 0.5e1 * t4772 * t7680 * t3556 * t92408 - t3266 * t7457 * t92485 + 0.3e1 * t4772 * t1876 * t22309 * t91694 - t4772 * t1872 * t88716 - 0.3e1 / 0.2e1 * t4772 * t7690 * t87695 - t4772 * t1872 * t87699 + t3266 * t7449 * t87741 / 0.2e1 - t211 * t92503 / 0.12e2 + t9948 * t1811 / 0.4e1 - t26650 * t13186 / 0.2e1 - t26650 * t12754 / 0.4e1 + t20708 * t92512 / 0.3e1 - t7251 * t87795 / 0.6e1 - t92517 + t92519 - t7248 * t87893 / 0.6e1;
  t92523 = t26425 * t17335;
  t92542 = t95 * t91777;
  t92549 = t52233 * t17384 / 0.6e1;
  t92560 = -t6439 * t92523 / 0.6e1 + t7251 * t87242 / 0.6e1 - t36448 * t16671 / 0.3e1 - t36429 * t16671 / 0.3e1 - t7251 * t88807 / 0.3e1 - t7251 * t88811 / 0.3e1 - t7251 * t87574 / 0.3e1 + t52301 * t17304 + t52303 * t17304 + t10838 * t26425 * t17291 - 0.11e2 / 0.18e2 * t10757 * t9845 * t92542 + 0.23e2 / 0.36e2 * t52266 * t17296 - t92549 - t10757 * t88926 / 0.2e1 + 0.3e1 / 0.2e1 * t47384 * t11214 + 0.3e1 / 0.2e1 * t52942 * t9886 + 0.3e1 / 0.2e1 * t88552 * t11232 - 0.3e1 * t47381 * t11236;
  t92565 = t30 * t525 * t9875;
  t92572 = t47603 * t17377 / 0.2e1;
  t92574 = t26467 * t17373 / 0.6e1;
  t92584 = t95 * t92059;
  t92607 = -0.3e1 * t52936 * t9872 + 0.3e1 / 0.2e1 * t92565 * t9879 - 0.3e1 / 0.2e1 * t9743 * t91730 * t9889 + t92572 - t92574 - 0.5e1 / 0.36e2 * t10757 * t87102 - 0.5e1 / 0.36e2 * t10757 * t9744 * t92542 - t53908 * t17497 / 0.2e1 - t53910 * t17497 / 0.2e1 + t7251 * t5175 * t92584 / 0.3e1 + t7251 * t26056 * t17477 / 0.6e1 + t7251 * t87902 / 0.6e1 + t7251 * t4877 * t92584 / 0.6e1 - 0.5e1 / 0.36e2 * t52266 * t17493 - 0.5e1 / 0.36e2 * t52268 * t17493 - 0.5e1 / 0.36e2 * t10757 * t46783 * t17291 + t52301 * t17487 / 0.2e1 + t52303 * t17487 / 0.2e1;
  t92621 = t26535 * t17370 / 0.6e1;
  t92622 = t26467 * t17521;
  t92628 = t4877 * t670 * t512 * t16749;
  t92636 = t10838 * t26410 * t17291 / 0.2e1 + t10838 * t88511 / 0.2e1 + t10838 * t4873 * t92542 / 0.2e1 + t36448 * t17490 / 0.6e1 + t36429 * t17490 / 0.6e1 + t92621 - t92622 + t4772 * t519 * t87311 / 0.2e1 - t20708 * t92628 / 0.3e1 - t3266 * t7361 * t16760 / 0.4e1 - 0.3e1 * t42708 * t12953 - t8720 - t83414 - t83416 - t83426 - t83434 - t83436 + t83442;
  t92642 = t670 * t91703;
  t92665 = t1254 * t91773;
  t92676 = t12927 * t2105;
  t92677 = t253 * t92676;
  t92681 = t83444 + t83446 - t16163 + t16165 + 0.44e2 / 0.27e2 * t52309 * t47881 * t92642 - 0.6e1 * t53916 * t4996 * t91704 + 0.12e2 * t53916 * t4873 * t92642 - 0.18e2 * t9877 * t36087 * t3168 * t91703 - 0.9e1 / 0.2e1 * t9877 * t7686 * t20876 * t92021 + 0.3e1 / 0.2e1 * t4772 * t1876 * t87745 - t6067 * t17273 / 0.6e1 - t1541 * t92665 / 0.6e1 - t1541 * t82681 / 0.6e1 + t6062 * t17525 / 0.3e1 + t6067 * t17525 / 0.3e1 + t1541 * t52899 / 0.3e1 + t7251 * t4877 * t92677 / 0.6e1;
  t92682 = t19506 * t2105;
  t92684 = t4877 * t3264 * t92682;
  t92715 = t3156 * t91703;
  t92719 = t12927 * t414;
  t92730 = t15613 - t20708 * t92684 / 0.3e1 - 0.3e1 / 0.2e1 * t4772 * t7686 * t87853 - 0.6e1 * t48902 * t36075 * t20845 * t91703 + 0.2e1 / 0.3e1 * t7251 * t26405 * t670 * t87918 + 0.9e1 / 0.2e1 * t10757 * t26189 * t3156 * t92021 + 0.11e2 / 0.18e2 * t10757 * t88788 - 0.23e2 / 0.36e2 * t10757 * t88782 - t10838 * t88972 + 0.2e1 * t10838 * t4877 * t88781 - t7251 * t88785 / 0.3e1 + 0.11e2 / 0.6e1 * t10757 * t26847 * t92437 - 0.43e2 / 0.9e1 * t52309 * t47881 * t92715 - 0.3e1 / 0.2e1 * t10757 * t9744 * t4991 * t92719 - 0.61e2 / 0.27e2 * t52309 * t47807 * t91704 + 0.18e2 * t52236 * t9744 * t92715 - t15624 - t15634;
  t92745 = t637 * t17313 / 0.12e2;
  t92747 = t27552 * t2729 / 0.6e1;
  t92749 = t6226 * t2453 / 0.6e1;
  t92751 = t7276 * t16633 / 0.18e2;
  t92758 = t1261 * t10775 * t2676;
  t92765 = t15641 - t31990 * t2444 / 0.2e1 - t31139 * t2444 / 0.2e1 - t6411 * t10930 / 0.2e1 - t6411 * t10933 / 0.2e1 + t6209 * t2453 / 0.2e1 + t6217 * t2453 / 0.2e1 - t92745 - t92747 + t92749 - t92751 - t30 * t10104 * t544 / 0.4e1 - t16171 - t10777 * t1560 / 0.4e1 + t3396 * t92758 / 0.3e1 + t10777 * t1564 / 0.4e1 + t36429 * t16782 / 0.12e2;
  t92780 = t63414 * t414;
  t92786 = t3139 * t19550 * t414;
  t92793 = t253 * t92719;
  t92798 = t26467 * t17514 / 0.2e1;
  t92800 = t53037 * t17497 / 0.6e1;
  t92810 = t91730 * t9746;
  t92813 = t7251 * t87355 / 0.12e2 + t7251 * t87358 / 0.12e2 + t7251 * t87706 / 0.12e2 - t37284 * t16775 / 0.6e1 - t37275 * t16775 / 0.6e1 - 0.2e1 / 0.3e1 * t36448 * t17474 - 0.2e1 / 0.3e1 * t36429 * t17474 + 0.8e1 * t79576 * t47881 * t9875 * t92780 + 0.3e1 / 0.2e1 * t26550 * t35984 * t92786 - 0.38e2 / 0.9e1 * t52309 * t26189 * t91704 - t10757 * t4877 * t92793 / 0.2e1 + t92798 - t92800 - t11019 * t4762 * t92542 / 0.2e1 - t37284 * t17500 / 0.6e1 + t6439 * t83249 / 0.12e2 + t6451 * t84477 / 0.12e2 - 0.5e1 / 0.36e2 * t9743 * t92810;
  t92816 = t52565 * t9757;
  t92825 = t78631 * t63838;
  t92831 = t683 * t17286;
  t92844 = t95 * t91694;
  t92848 = t95 * t92408;
  t92853 = t31085 * t17517 / 0.18e2;
  t92854 = -t6439 * t92816 / 0.12e2 + t6454 * t83246 / 0.6e1 + t6451 * t53817 / 0.12e2 - t6439 * t83243 / 0.12e2 - 0.3e1 / 0.2e1 * t26808 * t92825 - t43357 * t13037 / 0.2e1 + t43351 * t12959 - t87792 + t87793 - t87794 + 0.3e1 * t4983 * t36223 * t92831 + 0.3e1 * t4983 * t7680 * t87315 + 0.5e1 / 0.3e1 * t52236 * t9744 * t91704 + t10838 * t4873 * t92793 / 0.2e1 - t7251 * t26405 * t92844 / 0.2e1 + 0.5e1 / 0.18e2 * t10757 * t26189 * t92848 - t92853;
  t92885 = t83514 - t7228 * t16633 / 0.6e1 - t7233 * t16633 / 0.6e1 + t1755 * t16752 / 0.12e2 + t515 * t86920 / 0.12e2 + t515 * t88737 / 0.12e2 - t7233 * t16894 / 0.12e2 - t1779 * t88901 / 0.12e2 - t1779 * t80405 / 0.12e2 + t7742 * t16897 / 0.6e1 + t7746 * t16897 / 0.6e1 + t1815 * t86881 / 0.6e1 + t1815 * t78798 / 0.6e1 - t466 * t54256 / 0.12e2 - t466 * t54033 / 0.12e2 + t9948 * t1788 / 0.2e1 - t87832 - t87833;
  t92905 = t37082 * t16779 / 0.18e2;
  t92907 = t36791 * t16775 / 0.18e2;
  t92909 = t188 * t17470 / 0.12e2;
  t92911 = t87834 + t87835 - t87836 - t87841 + t8741 + 0.5e1 / 0.12e2 * t10757 * t26189 * t92437 + t83540 - t83542 + t7248 * t80106 / 0.12e2 - t7254 * t88939 / 0.6e1 - t37275 * t17500 / 0.6e1 - t7254 * t20724 * t17477 / 0.6e1 - t7254 * t87519 / 0.6e1 - t7254 * t3273 * t92584 / 0.6e1 - t92905 - t92907 - t92909 + t26257 * t17366;
  t92913 = t6140 * t17273 / 0.18e2;
  t92914 = t41850 * t63415;
  t92918 = t78845 * t63415;
  t92926 = t22052 * t17276 / 0.6e1;
  t92928 = 0.2e1 / 0.3e1 * t53830 * t17306;
  t92930 = t53830 * t17304 / 0.3e1;
  t92932 = t7276 * t17227 / 0.18e2;
  t92933 = t88431 + t88432 + t83548 - t88433 - t88434 - t83550 - t83552 + t16191 - t92913 - 0.2e1 * t42312 * t92914 - t42708 * t13190 + 0.7e1 / 0.3e1 * t26808 * t92918 + t26650 * t13192 / 0.2e1 + 0.3e1 / 0.2e1 * t42708 * t13172 - t92926 - t92928 + t92930 - t92932;
  t92954 = t670 * t92021;
  t92958 = t3264 * t92719;
  t92962 = t12937 * t414;
  t92978 = -0.2e1 * t10838 * t5175 * t92437 + t10838 * t4996 * t92793 - t7251 * t87888 / 0.3e1 + t7251 * t87885 + t16199 - t16203 + t4993 * t12998 * t43320 / 0.2e1 - t3266 * t12998 * t43309 / 0.2e1 + 0.3e1 / 0.2e1 * t3266 * t62980 * t48134 + 0.4e1 * t10838 * t4877 * t92954 - 0.2e1 * t10838 * t4873 * t92958 - 0.7e1 / 0.3e1 * t26808 * t26847 * t670 * t92962 - t3266 * t7457 * t87753 / 0.2e1 + t4983 * t7665 * t9898 + t4983 * t1876 * t88536 - t52266 * t17384 / 0.2e1 - t52268 * t17384 / 0.2e1;
  t93007 = -t10757 * t26056 * t17291 / 0.2e1 - t10757 * t88855 / 0.2e1 - t10757 * t4877 * t92542 / 0.2e1 + 0.7e1 / 0.3e1 * t52266 * t17387 + 0.7e1 / 0.3e1 * t52268 * t17387 + 0.7e1 / 0.3e1 * t10757 * t48159 * t17295 + 0.7e1 / 0.3e1 * t10757 * t87729 + 0.7e1 / 0.3e1 * t10757 * t9845 * t92171 - t7251 * t41850 * t12928 / 0.12e2 - t8811 - t79346 + t79348 - t83674 - t83676 - t83678 - t8829 + t26263 * t17370 / 0.2e1 + t4983 * t7665 * t87554 / 0.2e1;
  t93032 = t3168 * t17286;
  t93052 = t3139 * t19555 * t414;
  t93060 = t4983 * t1876 * t87558 / 0.2e1 + t4983 * t1876 * t87562 / 0.2e1 - t26260 * t17373 / 0.2e1 - t26266 * t17373 / 0.2e1 - t4772 * t7665 * t16785 / 0.2e1 - t4772 * t1876 * t87577 / 0.2e1 - t4772 * t1876 * t87546 / 0.2e1 + 0.3e1 / 0.2e1 * t48254 * t17377 + 0.3e1 / 0.2e1 * t48042 * t17377 + 0.3e1 / 0.2e1 * t9877 * t36146 * t93032 + 0.3e1 / 0.2e1 * t9877 * t7686 * t88585 + 0.3e1 / 0.2e1 * t9877 * t7686 * t3168 * t91777 + 0.9e1 * t4983 * t7686 * t20862 * t92021 - 0.62e2 / 0.3e1 * t79576 * t47807 * t3156 * t92780 - 0.3e1 * t4993 * t35984 * t93052 + t6209 * t2462 / 0.4e1 + t6217 * t2462 / 0.4e1;
  t93069 = t1218 * t12910 / 0.36e2;
  t93071 = t6140 * t17243 / 0.36e2;
  t93075 = t5234 * t2737 / 0.12e2;
  t93087 = -0.23e2 / 0.12e2 * t10757 * t26189 * t92954 - t6209 * t2447 / 0.2e1 - t6217 * t2447 / 0.2e1 - t93069 - t93071 - t10777 * t1556 / 0.2e1 - t93075 + t7254 * t87920 / 0.3e1 + t7248 * t88815 / 0.2e1 - t7251 * t88818 / 0.6e1 + t16698 - t16699 + t16700 - t16701 + t16704 + t16705 + t3266 * t12998 * t8968 / 0.2e1 + 0.3e1 / 0.2e1 * t26260 * t17514;
  t93097 = t36791 * t17500 / 0.18e2;
  t93107 = t31085 * t17504 / 0.9e1;
  t93109 = t1760 * t10198 / 0.36e2;
  t93113 = t37357 * t17478 / 0.9e1;
  t93114 = 0.3e1 / 0.2e1 * t26266 * t17514 - t7248 * t80111 / 0.6e1 + t7251 * t80114 / 0.12e2 - t93097 + 0.3e1 / 0.2e1 * t4772 * t36146 * t17513 - t83756 + t83759 - t83767 + t83769 - t79403 - t79406 + t47291 * t530 / 0.4e1 - t30 * t2309 * t1855 / 0.4e1 + t93107 - t93109 + t65114 * t432 / 0.4e1 + t93113;
  t93116 = 0.2e1 / 0.9e1 * t37357 * t17474;
  t93134 = -t93116 + t15662 + t15676 - t15681 - t15684 - t83788 + t83792 + t83794 + t83796 + t83810 + t83812 - t88574 - 0.5e1 / 0.6e1 * t10838 * t4877 * t92848 - 0.3e1 / 0.2e1 * t52266 * t17288 - 0.3e1 / 0.2e1 * t52268 * t17288 - 0.3e1 / 0.2e1 * t10757 * t46783 * t17287 + 0.3e1 / 0.2e1 * t4772 * t7690 * t89028 + 0.3e1 / 0.2e1 * t4772 * t7690 * t229 * t91777;
  t93162 = t6140 * t17525 / 0.9e1;
  t93166 = t1760 * t16752 / 0.36e2;
  t93167 = t26260 * t17358 / 0.2e1 + t26266 * t17358 / 0.2e1 + t4772 * t7670 * t17357 / 0.2e1 + t4772 * t1872 * t87654 / 0.2e1 + t4772 * t1872 * t788 * t92059 / 0.2e1 + 0.3e1 * t26257 * t17363 - t7254 * t87119 / 0.6e1 + t7254 * t87122 / 0.6e1 - t7254 * t80124 / 0.6e1 - t79455 + t7251 * t41850 * t13045 / 0.3e1 + t93162 + t7746 * t17224 / 0.6e1 + t93166 - t88612 - t88613 - t79486 - t79488;
  t93168 = t670 * t92780;
  t93181 = t222 * t17470;
  t93186 = t191 * t242 * t17468 * t243;
  t93192 = -t79492 - t79494 - t79496 - t79499 + t79511 + t79513 + 0.47e2 / 0.3e1 * t79576 * t26189 * t93168 - 0.2e1 * t52309 * t26847 * t91704 - t88622 - t88624 + t88626 + t88628 - t88635 + 0.6e1 * t52236 * t4877 * t91704 + 0.3e1 / 0.2e1 * t10757 * t26405 * t92437 - t211 * t93181 / 0.12e2 + t93186 * t250 / 0.4e1 + 0.3e1 / 0.2e1 * t4772 * t36252 * t17353;
  t93200 = t4762 * t91904;
  t93219 = t26410 * t17335;
  t93224 = -t79551 - t79556 - t16757 - 0.7e1 * t10757 * t26847 * t92954 + t16764 - t16765 + t6454 * t93200 / 0.6e1 + t6454 * t84137 / 0.6e1 + t31915 * t16229 / 0.12e2 + t31161 * t16229 / 0.12e2 + t6451 * t83959 / 0.12e2 + t6451 * t83964 / 0.12e2 + t6451 * t83969 / 0.12e2 - t31172 * t17341 / 0.12e2 - t31175 * t17341 / 0.12e2 - t6439 * t93219 / 0.12e2 + t31558 * t17336 / 0.6e1;
  t93227 = t26581 * t17335;
  t93241 = t6226 * t2462 / 0.12e2;
  t93247 = t5234 * t2751 / 0.12e2;
  t93249 = t9744 * t4991 * t92452;
  t93252 = t31586 * t17336 / 0.6e1 + t6454 * t93227 / 0.6e1 - t42708 * t12942 / 0.2e1 - t182 * t17470 / 0.4e1 - t5286 * t13230 / 0.2e1 + t515 * t47046 / 0.12e2 - t5286 * t13233 / 0.2e1 + t8874 + t8877 + t88658 + t88671 + t93241 - t7251 * t87923 / 0.4e1 + 0.5e1 / 0.36e2 * t10757 * t87865 - t79592 - t79605 + t93247 - 0.3e1 / 0.2e1 * t9743 * t93249;
  t93257 = t6226 * t2450 / 0.12e2;
  t93270 = t79607 + t79609 + t16273 - t16280 - t16283 - t83946 + 0.3e1 / 0.2e1 * t26266 * t17354 - t83950 + t83953 + t83956 - t93257 + t1228 * t12900 / 0.4e1 + t1228 * t12904 / 0.4e1 - t1529 * t10965 / 0.12e2 - t1534 * t10965 / 0.12e2 - t1779 * t79593 / 0.6e1 - t31651 * t10866 / 0.4e1;
  t93272 = t26467 * t17350 / 0.6e1;
  t93274 = t26467 * t17347 / 0.6e1;
  t93280 = t26467 * t17345 / 0.3e1;
  t93282 = t31085 * t17341 / 0.36e2;
  t93290 = t824 * t2732 * t2105;
  t93294 = t3264 * t92452;
  t93304 = t2727 * t414;
  t93305 = t659 * t93304;
  t93318 = t5234 * t2734 / 0.6e1;
  t93321 = t93272 + t93274 - t43357 * t12999 / 0.2e1 + t26650 * t13002 / 0.2e1 - t93280 - t93282 - 0.3e1 * t26260 * t17521 - 0.3e1 * t26266 * t17521 + t7251 * t88947 / 0.12e2 + t3266 * t7449 * t93290 / 0.2e1 - 0.2e1 * t9863 * t4873 * t93294 - t7254 * t3273 * t92677 / 0.6e1 + t7254 * t8790 * t92844 / 0.3e1 + 0.3e1 * t4993 * t37339 * t93305 - 0.3e1 / 0.2e1 * t4772 * t7690 * t788 * t92408 - 0.6e1 * t4983 * t7680 * t3130 * t92021 - t93318 - t27454 * t2729 / 0.2e1;
  t93348 = -t84012 - t84014 + t13203 * t1275 / 0.2e1 - t88728 - t88732 - t88734 - 0.5e1 / 0.3e1 * t10838 * t5175 * t92848 - t7251 * t26400 * t92844 + 0.11e2 / 0.9e1 * t10757 * t26847 * t92848 + t7251 * t5175 * t92677 / 0.3e1 - t10838 * t88874 / 0.2e1 + t88767 - t7587 * t9799 / 0.2e1 + t7592 * t2332 / 0.2e1 + t7600 * t2332 / 0.2e1 - t16789 - 0.5e1 / 0.36e2 * t10757 * t9744 * t92793;
  t93381 = t52331 * t9746;
  t93384 = t52331 * t9966;
  t93387 = -t7254 * t87915 / 0.6e1 + t7254 * t88871 / 0.3e1 + t7251 * t87716 / 0.12e2 - t80079 - 0.2e1 / 0.3e1 * t7251 * t26056 * t17473 - 0.2e1 / 0.3e1 * t7251 * t88525 - 0.2e1 / 0.3e1 * t7251 * t4877 * t670 * t92059 + t36448 * t17478 / 0.3e1 + t36429 * t17478 / 0.3e1 + t7251 * t26778 * t17477 / 0.3e1 + t7251 * t88955 / 0.3e1 + t80088 - t80091 - t11019 * t26581 * t17291 / 0.2e1 - t11019 * t87270 / 0.2e1 + 0.7e1 / 0.3e1 * t9743 * t91726 * t9846 - t9743 * t93381 / 0.2e1 - 0.2e1 / 0.3e1 * t6439 * t93384;
  t93389 = t53031 * t9757;
  t93392 = t3139 * t93304;
  t93415 = t52565 * t9970;
  t93423 = -t6439 * t93389 / 0.6e1 + 0.3e1 / 0.2e1 * t3266 * t35984 * t93392 - t4772 * t1872 * t3562 * t91694 + 0.89e2 / 0.9e1 * t52309 * t47807 * t92642 + 0.7e1 / 0.3e1 * t10757 * t9845 * t92958 - 0.3e1 * t9877 * t7686 * t20876 * t92408 + t36004 * t9773 / 0.2e1 - t52942 * t9771 - t52940 * t9963 / 0.2e1 + t52936 * t10117 + t6439 * t93415 / 0.3e1 - t16889 - t16890 - t182 * t17220 / 0.4e1 - t30 * t17469 * t277 / 0.4e1 - t8896 - t8900 - t88780;
  t93442 = -0.3e1 * t3266 * t63039 * t47430 - t3266 * t12998 * t47240 - 0.3e1 * t4983 * t7680 * t87861 - 0.3e1 / 0.2e1 * t4983 * t1876 * t87685 + 0.3e1 / 0.2e1 * t26808 * t26189 * t3156 * t92962 + t4993 * t7457 * t87880 / 0.2e1 + t84068 + t84071 - t84073 - t84076 + t8913 + t8915 - t8939 - t8952 + t8954 + t80123 - t84091 - t84093;
  t93453 = t31675 * t16229 / 0.36e2;
  t93464 = t80135 + t7251 * t87872 / 0.6e1 - t15734 - t7228 * t17227 / 0.6e1 - t7233 * t17227 / 0.6e1 + t93453 + t88853 + t88854 + t5277 * t2751 / 0.4e1 + t5266 * t2751 / 0.4e1 + t1516 * t11001 / 0.2e1 + t1516 * t11004 / 0.2e1 + t16901 + t8974 - t7248 * t88943 / 0.6e1 + t88863 - t88864;
  t93466 = t22052 * t17510 / 0.6e1;
  t93483 = t7276 * t16637 / 0.9e1;
  t93484 = t4996 * t92453;
  t93490 = t659 * t2740 * t414;
  t93494 = t5175 * t92461;
  t93497 = t9845 * t92453;
  t93503 = t7183 * t17224 / 0.18e2;
  t93505 = t7276 * t17230 / 0.36e2;
  t93509 = t93466 + t10838 * t88690 + t10838 * t4996 * t92542 - 0.2e1 * t52301 * t17306 - 0.2e1 * t52303 * t17306 - 0.2e1 * t10838 * t26410 * t17295 - 0.2e1 * t10838 * t86858 - 0.2e1 * t10838 * t4873 * t92171 + t93483 + t9863 * t93484 - 0.28e2 * t79127 * t9845 * t93168 - 0.3e1 * t3266 * t37339 * t93490 + t6439 * t93494 / 0.3e1 - 0.11e2 / 0.18e2 * t9743 * t93497 - t466 * t53391 / 0.12e2 + t93503 - t93505 + t11019 * t3273 * t92437 / 0.2e1;
  t93525 = t4877 * t3264 * t92460;
  t93528 = t9744 * t93294;
  t93532 = t219 * t2732 * t414;
  t93551 = t7183 * t16897 / 0.18e2;
  t93561 = 0.2e1 * t53040 * t4762 * t91704 + 0.6e1 * t4772 * t7680 * t3556 * t92021 + 0.18e2 * t4772 * t36084 * t689 * t91703 - t88870 + t11019 * t88867 / 0.2e1 - 0.2e1 / 0.3e1 * t6439 * t93525 + 0.23e2 / 0.36e2 * t9743 * t93528 + 0.3e1 / 0.2e1 * t3266 * t36452 * t93532 - t80241 + 0.22e2 / 0.3e1 * t52236 * t9845 * t91704 - 0.11e2 / 0.18e2 * t10757 * t9845 * t92793 - 0.23e2 / 0.3e1 * t52236 * t9744 * t92642 - t7251 * t87869 / 0.2e1 + 0.23e2 / 0.36e2 * t10757 * t9744 * t92958 + t93551 + t1541 * t54510 / 0.3e1 + 0.3e1 * t4772 * t7680 * t88768 + 0.6e1 * t4983 * t7686 * t20862 * t92408;
  t93572 = t4877 * t92453;
  t93580 = t1261 * t9946 * t37476;
  t93585 = t843 * t91653;
  t93597 = t7276 * t16894 / 0.36e2;
  t93598 = -0.3e1 * t4772 * t7686 * t22290 * t92408 + t6439 * t83661 / 0.6e1 - t88908 - t88911 + 0.18e2 * t9877 * t36075 * t20871 * t91703 - t9743 * t93572 / 0.2e1 + 0.36e2 * t4983 * t36087 * t3125 * t91703 - t80296 - t80298 - t80301 + t3396 * t93580 / 0.3e1 + t9948 * t1802 / 0.4e1 + t1294 * t93585 / 0.6e1 + t417 * t63299 / 0.12e2 - t9948 * t1793 / 0.2e1 - t9948 * t1798 / 0.4e1 + t1779 * t46744 / 0.3e1 - t93597;
  t93607 = -t1516 * t10941 / 0.2e1 - t6209 * t2450 / 0.4e1 - t6217 * t2450 / 0.4e1 + t80344 - t88983 + t88984 + t88985 + t88986 + t88987 + t88991 + t88992 - t88993 - t88995 + t88996 - t80389 - t88998 - t88999;
  t93609 = t188 * t17220 / 0.12e2;
  t93653 = t13080 * t1237;
  t93663 = t13080 * t8688;
  t93669 = -t519 * t88136 + 0.2e1 * t11138 * t88196 + t36114 * t16874 / 0.3e1 + t7651 * t88204 / 0.3e1 + t7651 * t88207 / 0.3e1 + 0.6e1 * t53737 * t17417 + 0.2e1 * t7655 * t88218 + 0.2e1 * t7655 * t88221 + 0.2e1 * t53457 * t16871 + 0.2e1 * t11138 * t88188 - t53596 * t17407 / 0.9e1 - t11072 * t88162 / 0.9e1 - t11072 * t3590 * t93653 / 0.9e1 + 0.2e1 * t36069 * t16867 - 0.4e1 * t36114 * t17403 - 0.4e1 * t7651 * t88275 - 0.4e1 * t7651 * t815 * t93663 - 0.4e1 / 0.3e1 * t1876 * t88417;
  t93670 = t2708 * t8688;
  t93678 = t2708 * t1237;
  t93692 = t802 * t92408;
  t93699 = -0.4e1 / 0.3e1 * t1876 * t3130 * t93670 - 0.3e1 * t36252 * t17443 - 0.3e1 * t7690 * t88293 - 0.3e1 * t7690 * t229 * t93678 - t7670 * t17446 - t1872 * t88299 + t84172 - t84174 + t84180 + t84182 + t84184 + 0.4e1 / 0.3e1 * t36191 * t88199 + 0.3e1 * t36105 * t88019 + 0.2e1 * t36100 * t88022 + 0.4e1 * t36194 * t88224 + 0.6e1 * t36092 * t93692 - 0.2e1 * t7651 * t87991 - 0.2e1 * t36191 * t87994;
  t93724 = t87947 + t79674 - t79678 + t79681 + t79684 - t79687 - t79690 - t79693 + t79697 + 0.2e2 / 0.3e1 * t36194 * t93692 + 0.4e1 * t36191 * t802 * t91694 - 0.1e2 * t36092 * t3580 * t92021 - 0.1e2 * t36194 * t815 * t92408 - 0.6e1 * t36191 * t815 * t91694 - 0.2e2 / 0.3e1 * t36092 * t3580 * t92408 + 0.2e1 * t36100 * t88025 + 0.3e1 * t53473 * t88028 - 0.12e2 * t11079 * t88051;
  t93728 = t3580 * t91703;
  t93731 = t802 * t91703;
  t93734 = t802 * t92021;
  t93768 = -0.12e2 * t11079 * t815 * t93653 - 0.4e2 * t53424 * t93728 + 0.36e2 * t53424 * t93731 + 0.9e1 * t36092 * t93734 - 0.2e1 / 0.3e1 * t1876 * t88114 - t1872 * t88112 - t519 * t88106 - 0.2e1 / 0.3e1 * t7665 * t16818 - 0.2e1 / 0.3e1 * t1876 * t88323 - 0.2e1 / 0.3e1 * t1876 * t88290 + 0.24e2 * t53421 * t93731 + 0.3e1 * t36105 * t233 * t92021 + 0.12e2 * t53518 * t233 * t91703 - t36092 * t3590 * t92408 / 0.9e1 - 0.36e2 * t53421 * t815 * t91703 - 0.12e2 * t36194 * t815 * t92021 - 0.6e1 * t36194 * t88213 - 0.3e1 * t36191 * t88045;
  t93771 = t3590 * t91703;
  t93786 = 0.5e2 / 0.3e1 * t53409 * t93771 - 0.2e1 / 0.3e1 * t53596 * t17453 - 0.2e1 / 0.3e1 * t11072 * t88178 - 0.2e1 / 0.3e1 * t11072 * t3580 * t93653 + 0.1e2 / 0.3e1 * t53409 * t22190 * t91703 - 0.12e2 * t53579 * t17456 - t87998 + t88002 + t88004 + t88006 - t88056 + t88058 - t88059 + t88060 + t88061 + t88062 + t88063 + t88064;
  t93794 = t802 * t93653;
  t93817 = t88065 + 0.2e1 / 0.3e1 * t7651 * t88099 + 0.2e1 / 0.3e1 * t7651 * t802 * t93663 + 0.2e1 * t11079 * t87971 + 0.2e1 * t11079 * t93794 + 0.2e1 / 0.3e1 * t36114 * t17426 + 0.6e1 * t11143 * t88284 + 0.6e1 * t11143 * t233 * t93653 + 0.2e1 * t36069 * t17420 + 0.2e1 * t7655 * t87960 + 0.2e1 * t7655 * t233 * t93663 + 0.2e1 * t53579 * t17423 - t7670 * t16802 - t1872 * t88125 - t1872 * t88128 - t1870 * t16805 + t88071 + t79718;
  t93819 = -t88109 - t16305 - t16309 + t79752 - t79770 - t88133 + t79792 - t84236 - t84244 - t84249 - t84255 + t84257 + t84259 - t76171 - t76173 - t76175 - t88139 + t88140;
  t93853 = -t16807 - t1870 * t16816 - t84265 - t519 * t88122 - t519 * t88077 + 0.2e1 * t7665 * t17432 + 0.2e1 * t1876 * t88385 + 0.2e1 * t1876 * t3556 * t93670 + 0.1e2 / 0.3e1 * t36146 * t17435 + 0.1e2 / 0.3e1 * t7686 * t3125 * t93678 + 0.1e2 / 0.3e1 * t7686 * t88411 - 0.4e1 / 0.3e1 * t7665 * t17440 - t1872 * t788 * t93670 - 0.4e1 * t36223 * t17391 - 0.4e1 * t7680 * t683 * t93678 - 0.4e1 * t7680 * t88230 + t36146 * t17394 / 0.18e2 + t7686 * t3168 * t93678 / 0.18e2;
  t93883 = t7686 * t88262 / 0.18e2 + t79843 - t88165 - t88166 - t88167 + t88168 - 0.2e1 * t36114 * t16877 - 0.2e1 * t7651 * t88038 - 0.2e1 * t7651 * t88042 - 0.1e2 / 0.3e1 * t36092 * t88048 + 0.6e1 * t53596 * t17423 + 0.6e1 * t11072 * t87971 + 0.6e1 * t11072 * t93794 + 0.2e1 * t36191 * t88272 - t36092 * t88210 / 0.18e2 + t7651 * t88016 / 0.3e1 + 0.2e1 * t11138 * t88011 + 0.2e1 * t7655 * t88007;
  t93902 = -t36092 * t3590 * t92021 / 0.6e1 + 0.8e1 * t36194 * t93734 - 0.2e1 / 0.3e1 * t53424 * t93771 + 0.3e1 * t36105 * t233 * t92408 + 0.2e1 * t36100 * t233 * t91694 - t79878 + t15762 - 0.12e2 * t53409 * t93728 + 0.3e1 * t36092 * t88224 - t16809 - t15239 - t16810 + t79893 - t79895 + t16812 - t79903 + t1876 * t88067 - t15768;
  t93923 = -t15774 + t16318 + t79931 - t79934 - t79936 - t79939 - t84304 + t1870 * t16852 / 0.2e1 - 0.3e1 * t36146 * t17459 - 0.3e1 * t7686 * t88392 - 0.3e1 * t7686 * t3130 * t93678 + 0.6e1 * t36223 * t17462 + 0.6e1 * t7680 * t88396 + 0.6e1 * t7680 * t689 * t93678 + t7665 * t16792 + t1876 * t88250 + t1876 * t88236 + t88254;
  t93933 = t43067 * t91703;
  t93942 = t48556 * t91703;
  t93959 = t48591 * t91703;
  t93965 = -t88255 + t84314 + t84320 + 0.2e1 / 0.9e1 * t36092 * t48556 * t92408 + 0.12e2 * t36194 * t88372 + 0.6e1 * t36191 * t88367 + 0.2e1 / 0.3e1 * t36092 * t88342 - 0.72e2 * t53424 * t93933 + 0.12e2 * t36191 * t43075 * t91694 + 0.4e1 / 0.3e1 * t36092 * t48591 * t92408 + 0.4e1 / 0.3e1 * t53424 * t93942 + t36092 * t48556 * t92021 / 0.3e1 - t53409 * t48481 * t62 * t91703 / 0.9e1 - 0.6e1 * t36105 * t88345 - 0.4e1 * t36100 * t88348 - 0.2e1 * t36191 * t43067 * t91694 + 0.8e1 * t53424 * t93959 + 0.2e1 * t36092 * t48591 * t92021;
  t93981 = -0.4e1 / 0.3e1 * t53409 * t22190 * t62 * t91703 + 0.72e2 * t53421 * t43075 * t91703 + 0.24e2 * t36194 * t43075 * t92021 + 0.2e2 * t36194 * t43075 * t92408 + t9022 - t9047 - t9048 - t9050 - t84328 + t84330 - t76261 - t88258 - t88259 + t88260 - t88261 + t76295 + t16850 - t80017;
  t93988 = -0.4e1 * t36100 * t88353 - 0.2e1 * t36194 * t88339 - 0.6e1 * t53473 * t88356 + t15802 + t16336 + t16337 - t16340 - t76314 + t80018 + t80039 - t84353 + t84355 + t84356 - t88308 - t88316 - t88317 - t88318 + t88333;
  t94001 = t43067 * t92408;
  t94004 = t43067 * t92021;
  t94019 = -t15811 + t15813 - t84423 - 0.6e1 * t36105 * t43071 * t92021 - 0.12e2 * t53421 * t93933 - 0.6e1 * t36105 * t43071 * t92408 - 0.4e1 * t36100 * t43071 * t91694 - 0.1e2 / 0.3e1 * t36194 * t94001 - 0.4e1 * t36194 * t94004 - 0.2e1 / 0.3e1 * t36191 * t88359 - t36191 * t88362 + t36092 * t88364 / 0.9e1 - 0.24e2 * t53518 * t43071 * t91703 - t84425 - t84427 + t84437 - 0.18e2 * t36092 * t94004 + 0.8e1 / 0.3e1 * t53409 * t93942;
  t94030 = t519 * t88144 / 0.2e1 - 0.6e1 * t36092 * t88339 + 0.24e2 * t53409 * t93959 + t16880 - t15274 + t15282 + t16881 + t88382 - t2138 + t88404 + t9091 + t9093 - t9100 + t76339 + t88407 + t9121 - 0.12e2 * t36092 * t94001 + 0.4e1 * t36191 * t88375 + t2119;
  t94039 = t89000 + t89001 - t80394 + t80397 + t80399 + t80416 - t93609 + t3266 * t12753 * t42508 / 0.2e1 - 0.14e2 / 0.3e1 * t10757 * t26847 * t92426 + 0.3e1 * t10757 * t26189 * t3156 * t92408 + t10757 * t26405 * t92848 - 0.18e2 * t4772 * t36087 * t3130 * t91703 - 0.9e1 / 0.2e1 * t4772 * t7686 * t22290 * t92021 - t30 * t59 * (t93669 + t93699 + t93724 + t93768 + t93786 + t93817 + t93819 + t93853 + t93883 + t93902 + t93923 + t93965 + t93981 + t93988 + t94019 + t94030) * t95 / 0.4e1 - t84499 - t84501 - t84504 - t84507;
  t94044 = t47865 * t11220;
  t94058 = t47377 * t10883;
  t94079 = t3266 * t13185 * t42516 / 0.2e1 + t89014 + t89015 - t89016 + t4872 * t94044 / 0.3e1 - 0.23e2 / 0.18e2 * t10757 * t26189 * t92426 - 0.2e1 / 0.3e1 * t7251 * t4877 * t3264 * t92676 + t43351 * t12939 / 0.2e1 - t6439 * t83201 / 0.6e1 - t4872 * t94058 / 0.6e1 + t11019 * t3273 * t92848 / 0.2e1 - t11019 * t4762 * t92793 / 0.2e1 - t7254 * t88439 / 0.6e1 - t7254 * t88923 / 0.6e1 - t7254 * t89069 / 0.6e1 - t37301 * t16779 / 0.6e1 - t37277 * t16779 / 0.6e1 - t7248 * t88916 / 0.6e1;
  t94092 = t41697 * t63262;
  t94103 = t31415 * t17336 / 0.18e2;
  t94110 = t9845 * t93294;
  t94115 = -t7248 * t88920 / 0.6e1 - t7248 * t87348 / 0.6e1 + t36448 * t16782 / 0.12e2 + t89058 - t89059 + 0.3e1 / 0.2e1 * t42708 * t12991 + 0.3e1 * t43351 * t12956 + 0.3e1 / 0.2e1 * t79563 * t13059 - t20708 * t94092 / 0.3e1 - t26650 * t13028 / 0.4e1 + t4772 * t1872 * t87306 / 0.2e1 - t26650 * t13031 / 0.2e1 + t94103 + 0.3e1 / 0.2e1 * t26550 * t63258 * t48874 - 0.3e1 * t4993 * t63258 * t48248 + 0.7e1 / 0.3e1 * t9743 * t94110 - t1541 * t82735 / 0.6e1 - t84575;
  t94122 = my_piecewise3(t2, 0, t94115 + t94079 + t94039 + t93607 + t93598 + t93561 + t93509 + t93464 + t93442 + t93423 + t93387 + t93348 + t93321 + t93270 + t93252 + t93224 + t93192 + t93167 + t93134 + t93114 + t93087 + t93060 + t93007 + t92978 + t92933 + t92911 + t92885 + t92854 + t92813 + t92765 + t92730 + t92681 + t92636 + t92607 + t92560 + t92522 + t92475 + t92440 + t92406 + t92368 + t92355 + t92313 + t92272 + t92235 + t92224 + t92187 + t92155 + t92117 + t92091 + t92056 + t92019 + t91982 + t91975 + t91958 + t91923 + t91893 + t91881 + t91847 + t91811 + t91786 + t91754 + t91721 + t91690 + t91659);
  tv4rhosigmalapltau0 = t3 * t94122 + t17544;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 0] += tv4rhosigmalapltau0;

  tv4rhosigmalapltau1 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 1] += tv4rhosigmalapltau1;

  tv4rhosigmalapltau2 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 2] += tv4rhosigmalapltau2;

  tv4rhosigmalapltau3 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 3] += tv4rhosigmalapltau3;

  tv4rhosigmalapltau4 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 4] += tv4rhosigmalapltau4;

  tv4rhosigmalapltau5 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 5] += tv4rhosigmalapltau5;

  tv4rhosigmalapltau6 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 6] += tv4rhosigmalapltau6;

  tv4rhosigmalapltau7 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 7] += tv4rhosigmalapltau7;

  tv4rhosigmalapltau8 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 8] += tv4rhosigmalapltau8;

  tv4rhosigmalapltau9 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 9] += tv4rhosigmalapltau9;

  tv4rhosigmalapltau10 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 10] += tv4rhosigmalapltau10;

  t94125 = t38570 * t17061 / 0.18e2;
  t94127 = t55231 * t17829 / 0.6e1;
  t94129 = t1618 * t11422 / 0.36e2;
  t94136 = t1618 * t11368 / 0.36e2;
  t94138 = t7911 * t17644 / 0.36e2;
  t94140 = t5484 * t2831 / 0.12e2;
  t94142 = t28548 * t17713 / 0.6e1;
  t94148 = 0.2e1 / 0.3e1 * t55231 * t17855;
  t94150 = t28548 * t17702 / 0.6e1;
  t94151 = t94125 + t94127 - t94129 + t55722 * t17853 + 0.7e1 / 0.3e1 * t55396 * t17850 - t55396 * t17847 / 0.2e1 - t94136 - t94138 + t94140 + t94142 + 0.3e1 / 0.2e1 * t49732 * t17685 - 0.3e1 / 0.2e1 * t55396 * t17680 - t94148 + t94150;
  t94153 = t6715 * t2521 / 0.12e2;
  t94155 = t38688 * t2390 / 0.6e1;
  t94157 = t5484 * t2822 / 0.6e1;
  t94159 = t5484 * t2817 / 0.12e2;
  t94161 = t948 * t17654 / 0.12e2;
  t94163 = t5484 * t2814 / 0.6e1;
  t94165 = t28796 * t2809 / 0.6e1;
  t94167 = t6647 * t17585 / 0.18e2;
  t94177 = t33521 * t17699 / 0.18e2;
  t94178 = -t84596 - t84598 + t94153 - t94155 + t94157 - t94159 - t94161 - t94163 - t94165 - t94167 - t38554 * t17065 / 0.3e1 + t38554 * t17061 / 0.6e1 + 0.23e2 / 0.36e2 * t55396 * t17840 - 0.11e2 / 0.18e2 * t55396 * t17836 + t94177;
  t94180 = t28763 * t17719;
  t94182 = t66290 * t457 / 0.12e2;
  t94184 = t1354 * t13616 / 0.36e2;
  t94186 = t49541 * t570 / 0.12e2;
  t94188 = t55552 * t505 / 0.12e2;
  t94197 = 0.11e2 / 0.54e2 * t55228 * t17836;
  t94199 = t33495 * t17598 / 0.36e2;
  t94200 = t94180 - t89132 + t94182 - t94184 + t94186 + t94188 - t1351 * t13616 / 0.12e2 + t84625 - t28445 * t17676 / 0.2e1 + t23548 * t17603 / 0.2e1 + t28713 * t17601 - t94197 - t94199 - t84640;
  t94202 = t28548 * t17615 / 0.2e1;
  t94220 = t7911 * t17208 / 0.18e2;
  t94222 = t1618 * t16510 / 0.36e2;
  t94225 = t84653 + t84657 - t84659 + t94202 + t28461 * t17713 / 0.2e1 + 0.3e1 / 0.2e1 * t28461 * t17709 + 0.3e1 * t28713 * t17719 - t7921 * t17638 / 0.6e1 + t5449 * t2831 / 0.4e1 + t6700 * t2521 / 0.4e1 + t1902 * t16999 / 0.12e2 + t1902 * t17036 / 0.12e2 - t94220 + t94222 - t1615 * t11368 / 0.12e2;
  t94229 = t6715 * t2509 / 0.12e2;
  t94231 = t7953 * t17028 / 0.18e2;
  t94233 = t6715 * t2506 / 0.6e1;
  t94235 = t6668 * t17551 / 0.18e2;
  t94240 = -t94229 + t94231 - t94233 + t94235 - t1351 * t13580 / 0.12e2 + t6640 * t17664 / 0.3e1 + t89155 + t84695 - t84703 + t84707 - t84711 + t84719 - t84729 - t84737;
  t94250 = t6647 * t17568 / 0.36e2;
  t94252 = t7997 * t2395 / 0.6e1;
  t94253 = -t84739 + t84742 + t80487 - t80489 - t80491 + t80501 - t80503 - t80511 + t80517 - 0.3e1 * t28713 * t17689 + t7916 * t17641 / 0.6e1 - t5449 * t2817 / 0.4e1 - t28872 * t2809 / 0.2e1 - t94250 - t94252;
  t94258 = t7997 * t2403 / 0.6e1;
  t94262 = t6647 * t17664 / 0.9e1;
  t94271 = t28548 * t17705 / 0.6e1;
  t94273 = t28548 * t17709 / 0.2e1;
  t94278 = t5449 * t2822 / 0.2e1 + t94258 - t7921 * t17025 / 0.12e2 + t94262 - t6700 * t2506 / 0.2e1 - t28461 * t17697 - t33483 * t17598 / 0.12e2 + t33486 * t16589 / 0.12e2 + t94271 + t94273 - t89183 - t84752 + t84756 + 0.3e1 / 0.2e1 * t28461 * t17615 - 0.3e1 * t28461 * t17693;
  t94287 = t28763 * t17689;
  t94289 = t49777 * t17685 / 0.2e1;
  t94291 = t55231 * t17853 / 0.3e1;
  t94293 = t24028 * t17591 / 0.12e2;
  t94294 = -t84777 - t80546 + t80552 + t66489 * t457 / 0.4e1 + t55340 * t505 / 0.4e1 + t49893 * t570 / 0.4e1 - t9147 - t9168 + t9172 + t9195 - t23548 * t17591 / 0.4e1 - t94287 + t94289 + t94291 - t94293;
  t94299 = t33526 * t16589 / 0.36e2;
  t94301 = 0.7e1 / 0.9e1 * t55228 * t17850;
  t94303 = t55228 * t17847 / 0.6e1;
  t94305 = t55228 * t17680 / 0.2e1;
  t94307 = t33495 * t17618 / 0.18e2;
  t94309 = t7997 * t2398 / 0.12e2;
  t94311 = t7953 * t17641 / 0.18e2;
  t94313 = t7911 * t17638 / 0.18e2;
  t94315 = t1905 * t16999 / 0.36e2;
  t94317 = t1905 * t17036 / 0.36e2;
  t94318 = t94299 + t94301 - t94303 - t94305 - t94307 - t94309 + t94311 - t94313 + t94315 + t94317 - t89195 - t89196 - t89198 - t89202;
  t94322 = t33495 * t17622 / 0.9e1;
  t94324 = t24028 * t17603 / 0.6e1;
  t94340 = t7911 * t17025 / 0.36e2;
  t94341 = t89206 - t290 * t17862 / 0.4e1 + t80567 + t80579 - t80581 + t94322 + t94324 + t1615 * t16510 / 0.12e2 + t6657 * t17551 / 0.6e1 + t7921 * t17572 / 0.3e1 - t6640 * t17568 / 0.12e2 - t7921 * t17644 / 0.12e2 - t8016 * t2395 / 0.2e1 - t8016 * t2398 / 0.4e1 - t94340;
  t94344 = t1905 * t15926 / 0.36e2;
  t94356 = t7911 * t17572 / 0.9e1;
  t94365 = t94344 + t84823 - t89237 - t33583 * t2503 / 0.2e1 + t6700 * t2512 / 0.2e1 - t7921 * t17208 / 0.6e1 + t7921 * t17212 / 0.3e1 - t6640 * t17585 / 0.6e1 + t94356 - t6700 * t2509 / 0.4e1 - t5449 * t2814 / 0.2e1 - t945 * t17654 / 0.4e1 + t33483 * t17622 / 0.3e1 + t89238;
  t94367 = t1905 * t10421 / 0.36e2;
  t94369 = 0.23e2 / 0.108e3 * t55228 * t17840;
  t94375 = t1354 * t13580 / 0.36e2;
  t94379 = t7911 * t17212 / 0.9e1;
  t94385 = t294 * t17862 / 0.12e2;
  t94389 = t38570 * t17819 / 0.18e2;
  t94390 = -t89239 - t94367 + t94369 - t84865 - t55354 * t17832 / 0.2e1 + t55722 * t17829 / 0.2e1 - t94375 + t1902 * t15926 / 0.12e2 + t94379 - t38631 * t2390 / 0.2e1 + t8016 * t2403 / 0.2e1 - t94385 + t89274 - t28461 * t17610 / 0.2e1 + t94389;
  t94394 = t38570 * t17048 / 0.36e2;
  t94402 = t6715 * t2512 / 0.6e1;
  t94404 = t33573 * t2503 / 0.6e1;
  t94406 = t55655 * t17832 / 0.6e1;
  t94407 = t28548 * t17693;
  t94409 = t38935 * t17826 / 0.18e2;
  t94414 = t94394 - t1615 * t11422 / 0.12e2 - t1902 * t10421 / 0.12e2 + t7916 * t17028 / 0.6e1 + t94402 - t94404 - t94406 + t89313 + t89314 - t94407 - t94409 - t23548 * t17588 / 0.2e1 - t290 * t17806 / 0.4e1 - t89315;
  t94425 = t89316 + t89317 - t89318 - t89319 - t89320 - t89321 + t89322 + t89323 - t89325 + t89334 - t38984 * t17826 / 0.6e1 - 0.5e1 / 0.36e2 * t55396 * t17823 + t38554 * t17819 / 0.6e1 + t38554 * t17048 / 0.12e2 - t38588 * t17043 / 0.6e1;
  t94436 = t294 * t17806 / 0.12e2;
  t94438 = t38570 * t17065 / 0.9e1;
  t94440 = 0.5e1 / 0.108e3 * t55228 * t17823;
  t94442 = t28548 * t17610 / 0.6e1;
  t94444 = t28548 * t17697 / 0.3e1;
  t94448 = t28899 * t17676 / 0.6e1;
  t94450 = t28763 * t17607 / 0.6e1;
  t94451 = -t38984 * t17051 / 0.6e1 + t38554 * t17810 / 0.3e1 - 0.2e1 / 0.3e1 * t38554 * t17859 - 0.2e1 * t55722 * t17855 - t94436 - t94438 - t94440 - t94442 - t94444 - t33483 * t17618 / 0.6e1 - t94448 - t80631 - t80633 - t80659 + t94450;
  t94453 = t28763 * t17601 / 0.3e1;
  t94463 = t38942 * t17043 / 0.18e2;
  t94465 = t38935 * t17051 / 0.18e2;
  t94467 = t38570 * t17810 / 0.9e1;
  t94469 = 0.2e1 / 0.9e1 * t38570 * t17859;
  t94471 = t24028 * t17588 / 0.6e1;
  t94472 = t94453 + t28713 * t17607 / 0.2e1 + t84888 + t80681 + t89356 + t28461 * t17705 / 0.2e1 + t28461 * t17702 / 0.2e1 + t33478 * t17699 / 0.6e1 - t94463 - t94465 + t94467 - t94469 - t94471 - t80699 + t80707;
  t94477 = my_piecewise3(t100, 0, t94151 + t94178 + t94200 + t94225 + t94240 + t94253 + t94278 + t94294 + t94318 + t94341 + t94365 + t94390 + t94414 + t94425 + t94451 + t94472);
  tv4rhosigmalapltau11 = t3 * t94477 + t17869;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 11] += tv4rhosigmalapltau11;

  t94485 = -0.2e1 * t54967 * t17306 + t28063 * t17347 / 0.2e1 + t32677 * t17336 / 0.6e1 + t91661 + t78574 + t84908 - t84910 - t84921 + t84925 - t89373 + t91720 + t91723 - t91749 + t91751;
  t94500 = t91753 + t89387 + t7825 * t17224 / 0.6e1 + t1923 * t16730 / 0.12e2 - t7820 * t17230 / 0.12e2 - t7820 * t17227 / 0.6e1 + t1923 * t16752 / 0.12e2 + t1923 * t15691 / 0.12e2 + t80719 - t32879 * t17341 / 0.12e2 + t91810 + t91814 - t91822 + t91824 - t91849;
  t94507 = t91851 - t82875 + t82881 - t80738 - t87148 - t87153 + t87154 + t87155 - t54722 * t17384 / 0.2e1 + t91902 + t91903 + t54967 * t17304 + t89393 + t6542 * t17525 / 0.3e1;
  t94520 = t7869 * t2332 / 0.2e1 - t37752 * t2319 / 0.2e1 - t7820 * t16633 / 0.6e1 - t91964 - t91968 + t80751 - t37876 * t17500 / 0.6e1 + t28063 * t17358 / 0.2e1 + t89401 - t89402 + t89403 - t80757 - t80759 - t80768 + t27950 * t17370 / 0.2e1;
  t94529 = -t92074 + t92082 - t92084 - t6542 * t17273 / 0.6e1 + t7820 * t16637 / 0.3e1 + t92100 + t92102 - t92104 - t92106 - t92108 + t89421 + t89422 - t89423 - t307 * t17220 / 0.4e1;
  t94532 = -t92131 - t89430 - t89431 + t92191 + t92195 - t87485 + t87486 - t87487 + t87488 + t92230 + t37688 * t16782 / 0.12e2 - t79105 - t92287 - t79151 - t92332;
  t94540 = t92334 + t92336 - t92338 - t28063 * t17373 / 0.2e1 + t79189 - t79193 + t87668 + t37688 * t17490 / 0.6e1 + 0.3e1 * t27950 * t17363 + t83302 - t89469 + t83324 - t9224 + t9234 - t8624;
  t94541 = t8645 - t92517 + t92519 - t92549 + t92572 - t92574 + t92621 - t92622 - t84990 + t84992 - t83426 + t83446 - t80799 - t92745 - t92747;
  t94555 = t92749 - t92751 - t89475 + t37688 * t17478 / 0.3e1 + t92798 - t92800 - t92853 + t84999 - t87841 - t32645 * t2444 / 0.2e1 + t28063 * t17350 / 0.2e1 + 0.23e2 / 0.36e2 * t54722 * t17296 - 0.3e1 / 0.2e1 * t54722 * t17288 - t92905;
  t94569 = -t92907 - t92909 + t27950 * t17366 + t80812 + t80826 - t903 * t17313 / 0.4e1 - t5384 * t2737 / 0.4e1 + t6585 * t2462 / 0.4e1 - t1368 * t12910 / 0.12e2 - t1632 * t10965 / 0.12e2 - t92913 - t92926 - t92928 + t92930 + 0.3e1 / 0.2e1 * t49258 * t17377;
  t94579 = -t92932 + t37688 * t16667 / 0.6e1 - t37688 * t16671 / 0.3e1 + t49454 * t530 / 0.4e1 - t1368 * t13198 / 0.12e2 - t93069 - t93071 - t93075 - t93097 - t83756 + t83759 + t93107 - t85016 - t93109;
  t94596 = t85020 + t93113 - t93116 - t83788 - t79455 + t22522 * t17510 / 0.2e1 - t28099 * t17507 / 0.2e1 + t32879 * t17504 / 0.3e1 - t55128 * t17497 / 0.2e1 - 0.5e1 / 0.36e2 * t54722 * t17493 + t93162 + t93166 + t7825 * t16897 / 0.6e1 - t7820 * t16894 / 0.12e2 + t7820 * t17264 / 0.3e1;
  t94623 = t6561 * t17260 / 0.6e1 + t1632 * t16167 / 0.12e2 - t6542 * t17243 / 0.12e2 - t7869 * t2327 / 0.4e1 - t7869 * t2324 / 0.2e1 - t6585 * t2450 / 0.4e1 - t6585 * t2447 / 0.2e1 - t27911 * t2729 / 0.2e1 - t5384 * t2734 / 0.2e1 + t5384 * t2742 / 0.2e1 + t88658 + t93241 + t5384 * t2751 / 0.4e1 + t32681 * t16229 / 0.12e2;
  t94637 = -t32879 * t17517 / 0.6e1 + t93247 - t1923 * t10198 / 0.12e2 - t1632 * t10808 / 0.12e2 + t65628 * t432 / 0.4e1 + t54846 * t481 / 0.4e1 - t93257 + t93272 + t93274 - t28063 * t17345 - t93280 - t93282 + 0.3e1 / 0.2e1 * t28063 * t17354 - t85037 - t85039;
  t94647 = -t93318 - t84012 - t84014 - 0.3e1 * t27950 * t17381 - t80079 + t80135 + t93453 + t6585 * t2453 / 0.2e1 - t22522 * t17279 / 0.4e1 + 0.7e1 / 0.3e1 * t54722 * t17387 + t93466 + t93483 + t93503 - t93505 + t93551;
  t94666 = -t22522 * t17276 / 0.2e1 - 0.11e2 / 0.18e2 * t54722 * t17292 - t307 * t17470 / 0.4e1 + 0.3e1 / 0.2e1 * t28063 * t17514 - t93597 - t88983 + t80416 - t93609 - 0.3e1 * t28063 * t17521 - t37876 * t16775 / 0.6e1 - t37747 * t16779 / 0.6e1 + t54967 * t17487 / 0.2e1 - 0.2e1 / 0.3e1 * t37688 * t17474 - t89059 + t94103;
  t94671 = my_piecewise3(t2, 0, t94485 + t94500 + t94507 + t94520 + t94529 + t94532 + t94540 + t94541 + t94555 + t94569 + t94579 + t94596 + t94623 + t94637 + t94647 + t94666);
  tv4rhosigmalapltau12 = t3 * t94671 + t17544;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 12] += tv4rhosigmalapltau12;

  tv4rhosigmalapltau13 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 13] += tv4rhosigmalapltau13;

  tv4rhosigmalapltau14 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 14] += tv4rhosigmalapltau14;

  tv4rhosigmalapltau15 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 15] += tv4rhosigmalapltau15;

  tv4rhosigmalapltau16 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 16] += tv4rhosigmalapltau16;

  tv4rhosigmalapltau17 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 17] += tv4rhosigmalapltau17;

  tv4rhosigmalapltau18 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 18] += tv4rhosigmalapltau18;

  tv4rhosigmalapltau19 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 19] += tv4rhosigmalapltau19;

  tv4rhosigmalapltau20 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 20] += tv4rhosigmalapltau20;

  tv4rhosigmalapltau21 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 21] += tv4rhosigmalapltau21;

  tv4rhosigmalapltau22 = 0.e0;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 22] += tv4rhosigmalapltau22;

  t94677 = t17613 * t1082;
  t94678 = t168 * t94677;
  t94682 = t13669 * t439;
  t94683 = t380 * t94682;
  t94687 = t94125 + t94127 - 0.3e1 * t45289 * t13551 - t85075 - t1956 * t10729 / 0.2e1 - t80862 + t80866 - t80869 + t80873 + t80877 - t80880 + t11646 * t4687 * t94678 / 0.2e1 - t11646 * t6005 * t94683 / 0.2e1 - t94129 + t89536 + t85090 + t85092;
  t94688 = t10534 * t333;
  t94689 = t168 * t94688;
  t94693 = t10534 * t1082;
  t94694 = t168 * t94693;
  t94701 = t13669 * t2196;
  t94702 = t380 * t94701;
  t94717 = -t85094 - 0.5e1 / 0.6e1 * t11510 * t5691 * t94689 - t8063 * t30141 * t94694 / 0.2e1 + 0.5e1 / 0.18e2 * t11399 * t29474 * t94689 + t8063 * t5691 * t94702 / 0.6e1 - t8063 * t91598 / 0.4e1 + 0.5e1 / 0.36e2 * t11399 * t91601 + t8063 * t91604 / 0.12e2 - t89537 + t89538 - 0.3e1 * t5649 * t67226 * t50914 - t25376 * t17588 / 0.2e1 - t94136 - t94138 + t94140 + t94142 - t94148 - t2180;
  t94727 = t487 * t1392;
  t94736 = t17613 * t333;
  t94737 = t168 * t94736;
  t94753 = t67380 * t439;
  t94758 = t4191 * t94736;
  t94774 = t2251 + 0.3e1 / 0.2e1 * t29346 * t17709 + 0.3e1 / 0.2e1 * t5665 * t40428 * t17708 + 0.3e1 / 0.2e1 * t5665 * t8443 * t90657 + 0.3e1 / 0.2e1 * t5665 * t8443 * t356 * t94727 - 0.3e1 / 0.2e1 * t11399 * t10358 * t4191 * t94727 - 0.3e1 * t56113 * t5695 * t94737 - t11510 * t5691 * t94678 + t11510 * t5695 * t94683 / 0.2e1 + 0.2e1 * t56930 * t6005 * t94737 - 0.6e1 * t5639 * t8460 * t4572 * t94677 + 0.18e2 * t81183 * t10358 * t4191 * t94753 - 0.62e2 / 0.3e1 * t55994 * t50318 * t94758 + 0.8e1 * t55994 * t50144 * t10511 * t94736 - 0.6e1 * t50541 * t40324 * t24582 * t94736 + 0.18e2 * t10513 * t40324 * t24557 * t94736 - t80908;
  t94775 = t1033 * t17613;
  t94792 = t487 * t9399;
  t94798 = -t80912 + t80915 + t80919 + 0.3e1 * t5639 * t40367 * t94775 + 0.3e1 * t5639 * t8460 * t90086 + 0.3e1 * t5639 * t8460 * t1033 * t94727 + t29436 * t17601 + t29339 * t17601 + t5639 * t8457 * t10535 + t5639 * t2060 * t90125 + t5639 * t2060 * t4572 * t94792 + t25376 * t17603 / 0.2e1 + t94150 - t77114 + t89584 + t89585 + t89589 - t85132;
  t94818 = t85134 + t85138 - t29985 * t13645 / 0.4e1 + t5665 * t2056 * t90831 / 0.2e1 - t1660 * t11368 / 0.12e2 - t1665 * t11368 / 0.12e2 - t490 * t56476 / 0.12e2 - t490 * t57335 / 0.12e2 - t1981 * t81494 / 0.12e2 - t555 * t50382 / 0.12e2 + t94153 - t94155 + t80984 + t94157 - t94159 - t94161 - t94163;
  t94835 = -t94165 - t94167 + 0.23e2 / 0.36e2 * t11399 * t80955 * t13742 - 0.3e1 * t5639 * t8438 * t90338 + t94177 + t94180 + t10426 * t1938 / 0.4e1 - t1397 * t13616 / 0.12e2 + t50267 * t570 / 0.4e1 + t50262 * t570 / 0.4e1 - t85194 - t85196 - t85199 - t85203 + t85208 + t85210 + t85213 + t13591 * t1394 / 0.4e1;
  t94851 = t56433 * t10360;
  t94863 = -t1660 * t11422 / 0.12e2 + t67673 * t457 / 0.4e1 + t67681 * t457 / 0.4e1 + t1665 * t16510 / 0.12e2 + 0.7e1 / 0.3e1 * t11399 * t81275 * t13742 - 0.3e1 / 0.2e1 * t11399 * t80955 * t13746 + t10440 * t94851 + t6764 * t85813 / 0.6e1 + t6772 * t56808 / 0.12e2 - t6769 * t86588 / 0.12e2 + t8063 * t90141 / 0.12e2 + t8214 * t90568 / 0.12e2 - t85228 - t85247 - t85249 + t85251 + t85253 + t85261;
  t94866 = t94182 - t94184 + t94186 + t94188 + t81000 - t81007 + t81013 - t81016 - t89656 + t89664 + t81037 - t81041 + t81043 - t81045 - t81050 - t81052 + t84625 - t6808 * t17585 / 0.6e1;
  t94870 = t39769 * t2337;
  t94871 = t1423 * t94870;
  t94876 = t17596 * t333;
  t94877 = t380 * t94876;
  t94878 = t5695 * t94877;
  t94883 = t67380 * t2196;
  t94884 = t1018 * t94883;
  t94885 = t29468 * t94884;
  t94889 = t4305 * t2820 * t2196;
  t94897 = t67282 * t1424;
  t94898 = t1430 * t94897;
  t94911 = -t1683 * t94871 / 0.6e1 + t6769 * t86631 / 0.12e2 + t10440 * t94878 / 0.2e1 + t11399 * t30141 * t94689 - 0.14e2 / 0.3e1 * t45332 * t94885 - t4695 * t8072 * t94889 - t11510 * t90392 - t8063 * t91592 / 0.2e1 - t442 * t67284 / 0.12e2 - t1421 * t94898 / 0.12e2 + t1647 * t11479 / 0.2e1 + t1647 * t11482 / 0.2e1 - 0.2e1 / 0.3e1 * t8063 * t50853 + 0.23e2 / 0.36e2 * t11399 * t90237 + t8063 * t50309 / 0.3e1 + t89759 + t89762;
  t94919 = t10358 * t5647 * t94876;
  t94929 = t1018 * t94753;
  t94934 = t1007 * t2820 * t439;
  t94938 = t85268 - t85271 - t94197 - t45293 * t13729 / 0.2e1 - t94199 + 0.3e1 / 0.2e1 * t50860 * t11762 + t50860 * t11765 / 0.2e1 - 0.3e1 / 0.2e1 * t10357 * t94919 + 0.3e1 / 0.2e1 * t30451 * t67226 * t50894 + 0.6e1 * t5665 * t8460 * t4626 * t94677 - 0.28e2 * t81183 * t10447 * t94929 - 0.3e1 * t4695 * t40682 * t94934 + t81091 - t81101 - t81107 - t89799 - t89800 + t89801;
  t94979 = t89802 - t8063 * t45269 * t13670 / 0.6e1 - t11646 * t44549 * t13563 / 0.2e1 - t8219 * t29988 * t13570 / 0.6e1 + t11510 * t45481 * t13563 / 0.2e1 + t8219 * t44549 * t13670 / 0.6e1 + t8063 * t90586 / 0.12e2 + t8214 * t90591 / 0.12e2 + t11510 * t45269 * t13563 + t8063 * t45283 * t13570 / 0.3e1 - 0.11e2 / 0.18e2 * t11399 * t81275 * t13563 - t6808 * t17568 / 0.12e2 + t8125 * t17028 / 0.6e1 + t8130 * t17028 / 0.6e1 + t1974 * t91351 / 0.6e1 + t11501 * t1698 / 0.4e1 - t11501 * t1694 / 0.4e1;
  t94981 = t1430 * t11499 * t2756;
  t94988 = t56645 * t10360;
  t95005 = t4533 * t94981 / 0.3e1 - t11501 * t1690 / 0.2e1 + t1702 * t86164 / 0.6e1 + t85320 + t85322 - t10357 * t94988 / 0.2e1 + 0.3e1 / 0.2e1 * t50860 * t11543 - t11399 * t89560 / 0.2e1 + t1974 * t82638 / 0.6e1 + t555 * t50386 / 0.12e2 - t89823 + t84657 - t84659 + t1647 * t11378 / 0.4e1 + t1647 * t11472 / 0.4e1 + t5797 * t2831 / 0.4e1 + t89828 + t89829;
  t95024 = t5679 * t94877;
  t95029 = t168 * t94727;
  t95040 = -t89830 - t89831 + t11501 * t1657 / 0.4e1 - t85382 - t85384 + 0.36e2 * t5639 * t40336 * t4619 * t94736 - 0.3e1 * t10513 * t8438 * t24477 * t94688 + t5649 * t13533 * t51938 - 0.3e1 * t5665 * t8438 * t24435 * t94688 + t10440 * t95024 - 0.3e1 * t5639 * t8460 * t90394 + t94202 - 0.11e2 / 0.18e2 * t11399 * t10447 * t95029 + 0.23e2 / 0.36e2 * t55984 * t17840 + 0.23e2 / 0.36e2 * t56003 * t17840 + 0.23e2 / 0.36e2 * t11399 * t50328 * t17839 + t89845;
  t95059 = t29195 * t2756;
  t95063 = -0.3e1 / 0.2e1 * t10513 * t8438 * t90375 + 0.3e1 / 0.2e1 * t4695 * t67226 * t52038 - t39497 * t17043 / 0.6e1 - t40920 * t17043 / 0.6e1 - t8214 * t90485 / 0.6e1 + t77431 - t89871 + t81210 - t81212 - t81215 + t81217 - t89885 - t89888 + t1974 * t90267 / 0.6e1 - t8081 * t17644 / 0.12e2 - t8086 * t17644 / 0.12e2 - t1981 * t1430 * t95059 / 0.12e2 - t89889;
  t95101 = -t1941 * t10421 / 0.12e2 - t1665 * t11422 / 0.12e2 - t490 * t56967 / 0.12e2 + t1683 * t56686 / 0.3e1 + t1683 * t57124 / 0.3e1 - t1397 * t13580 / 0.12e2 - t1402 * t13580 / 0.12e2 - t442 * t69126 / 0.12e2 + t5814 * t2831 / 0.4e1 + t1383 * t13810 / 0.4e1 + t1383 * t13814 / 0.4e1 + t1956 * t10521 / 0.2e1 - t34276 * t2503 / 0.2e1 - t34477 * t2503 / 0.2e1 + t13591 * t1447 / 0.4e1 - t1981 * t89619 / 0.6e1 + t8125 * t17641 / 0.6e1 + t8130 * t17641 / 0.6e1;
  t95116 = t168 * t94792;
  t95127 = t1974 * t1101 * t95059 / 0.6e1 + t1981 * t51354 / 0.3e1 - t85477 + t85488 - t40730 * t17826 / 0.6e1 - t40161 * t17826 / 0.6e1 - t8219 * t25122 * t17809 / 0.6e1 - t8219 * t89859 / 0.6e1 - t8219 * t4687 * t95116 / 0.6e1 + t56237 * t17829 / 0.2e1 + t56239 * t17829 / 0.2e1 + t11510 * t30121 * t17822 / 0.2e1 + t81265 - t81281 + t81284 - t94220 + t94222 - t94229;
  t95132 = t1430 * t94870;
  t95156 = t94231 - t94233 + t94235 - t1683 * t95132 / 0.12e2 - t1683 * t85108 / 0.12e2 + t8081 * t17572 / 0.3e1 + t8086 * t17572 / 0.3e1 - 0.3e1 * t45286 * t13752 + 0.3e1 / 0.2e1 * t45289 * t13761 - t5665 * t2060 * t90628 / 0.2e1 + 0.3e1 * t45286 * t13736 + 0.3e1 / 0.2e1 * t81058 * t13768 + t45286 * t13556 / 0.2e1 - t45289 * t13560 / 0.2e1 - t89915 - t90023 - t81289;
  t95177 = t5691 * t94877;
  t95182 = t81307 + t81309 + t81311 + t89155 - 0.3e1 * t5639 * t8438 * t4619 * t94727 - 0.3e1 * t29349 * t17693 - 0.3e1 * t29346 * t17693 - 0.3e1 * t5665 * t40367 * t17692 - 0.3e1 * t5665 * t8460 * t90061 - 0.3e1 * t5665 * t8460 * t1038 * t94727 - t45293 * t13537 / 0.2e1 - t81327 - t81329 + t90058 + t90059 - t10357 * t95177 / 0.2e1 + t6960 * t2521 / 0.4e1 + t90060;
  t95199 = t4609 * t17613;
  t95214 = t4619 * t17613;
  t95228 = t50860 * t11753 / 0.2e1 + t50860 * t11756 / 0.2e1 - t24973 * t50296 * t56712 / 0.3e1 - t34833 * t11759 / 0.4e1 + t29985 * t13534 / 0.2e1 + 0.3e1 / 0.2e1 * t52118 * t17685 + 0.3e1 / 0.2e1 * t52122 * t17685 + 0.3e1 / 0.2e1 * t10513 * t40346 * t95199 + 0.3e1 / 0.2e1 * t10513 * t8438 * t90245 + 0.3e1 / 0.2e1 * t10513 * t8438 * t4609 * t94727 - 0.3e1 * t29436 * t17689 - 0.3e1 * t29339 * t17689 - 0.3e1 * t5639 * t40346 * t95214 - t30473 * t17676 / 0.2e1 - t30693 * t17676 / 0.2e1 - t5649 * t67786 * t2389 / 0.2e1 - t5649 * t67789 * t2389 / 0.2e1;
  t95253 = t30121 * t17597;
  t95256 = t2020 * t439;
  t95257 = t380 * t95256;
  t95258 = t5695 * t95257;
  t95264 = -t5649 * t13533 * t9311 / 0.2e1 - 0.3e1 / 0.2e1 * t55984 * t17680 - 0.3e1 / 0.2e1 * t56003 * t17680 + t84695 - t84703 + t84707 - 0.2e1 / 0.3e1 * t8063 * t90853 - 0.2e1 / 0.3e1 * t8063 * t5691 * t1018 * t94792 + t51176 * t11537 / 0.2e1 + 0.7e1 / 0.3e1 * t11399 * t50343 * t17839 + 0.7e1 / 0.3e1 * t11399 * t91396 - t34833 * t11768 / 0.2e1 - t34529 * t17598 / 0.12e2 - t6769 * t95253 / 0.12e2 - t6769 * t95258 / 0.12e2 - t6769 * t86591 / 0.12e2 - t29349 * t17697 - t81416;
  t95283 = -t85512 + t85515 - t85518 + t85525 - t85529 - t85560 - t85562 - t81422 + t81424 + t8063 * t81943 / 0.12e2 + t8214 * t81503 / 0.12e2 - t11646 * t90508 / 0.2e1 - t8219 * t90120 / 0.6e1 + t11510 * t89838 / 0.2e1 + t8219 * t90117 / 0.6e1 + t490 * t57395 / 0.12e2 - t29349 * t17610 / 0.2e1;
  t95313 = t57328 * t10536 / 0.2e1 - t29985 * t13721 / 0.2e1 + t45286 * t13678 + t5665 * t559 * t90819 / 0.2e1 - t24973 * t5691 * t1018 * t552 * t16968 / 0.3e1 - t4695 * t8077 * t16970 / 0.4e1 + 0.3e1 / 0.2e1 * t45289 * t13733 + t45289 * t13718 / 0.2e1 + t45289 * t13726 / 0.2e1 + t45289 * t13642 / 0.2e1 - t24973 * t45452 * t67943 / 0.3e1 + t90123 + t81430 + t81433 - t84737 - t84739 + t84742 + t8063 * t89541 / 0.12e2;
  t95343 = -t25561 * t17588 / 0.2e1 - t4695 * t67771 * t2394 / 0.2e1 + t5665 * t2054 * t17194 / 0.2e1 + t5665 * t559 * t91428 / 0.2e1 + t5665 * t559 * t91432 / 0.2e1 + 0.3e1 / 0.2e1 * t29349 * t17709 - t50860 * t11540 / 0.2e1 - t94250 - t94252 + t94258 + t94262 + t94271 + t94273 - 0.3e1 * t57328 * t10527 - t8063 * t89746 / 0.3e1 - t8063 * t89750 / 0.3e1 - t8063 * t89754 / 0.3e1 - t55984 * t17847 / 0.2e1;
  t95358 = -t90152 - t90155 + t90156 - t8214 * t90495 / 0.6e1 + t39976 * t17048 / 0.12e2 + t39979 * t17048 / 0.12e2 + t1981 * t50364 / 0.3e1 - t8214 * t90138 / 0.6e1 - t85611 + t85616 + t85619 + t90183 + t8063 * t90347 / 0.3e1 - 0.11e2 / 0.18e2 * t11399 * t90234 - t89183 + t90192 + t90193 + t90194;
  t95362 = t1018 * t94727;
  t95375 = t4609 * t565;
  t95376 = t95375 * t10360;
  t95379 = t56637 * t10365;
  t95387 = -t90195 + t85622 - t90200 - t90201 + 0.7e1 / 0.3e1 * t11399 * t10447 * t95362 + t56237 * t17853 + t56239 * t17853 + t11510 * t29451 * t17822 + t11510 * t90342 + t11510 * t5679 * t95029 - 0.2e1 * t56237 * t17855 - 0.5e1 / 0.36e2 * t10357 * t95376 - t6769 * t95379 / 0.12e2 - 0.2e1 * t11510 * t45481 * t13742 - 0.2e1 / 0.3e1 * t8063 * t50223 + t81515 - t81517;
  t95388 = t95375 * t17679;
  t95393 = t56645 * t10393;
  t95396 = t56637 * t10399;
  t95399 = t50305 * t11551;
  t95402 = t56429 * t10373;
  t95405 = t56433 * t10365;
  t95421 = t1101 * t50380 * t1963;
  t95424 = -t81520 + t81523 - 0.3e1 / 0.2e1 * t45332 * t95388 - t57332 * t10390 / 0.2e1 - 0.2e1 / 0.3e1 * t6769 * t95393 + t6769 * t95396 / 0.3e1 + t6004 * t95399 / 0.6e1 + t6769 * t95402 / 0.3e1 - t6769 * t95405 / 0.6e1 - t6960 * t2506 / 0.2e1 - t1647 * t11436 / 0.2e1 - t1647 * t11439 / 0.2e1 + t10426 * t1969 / 0.4e1 - t442 * t68124 / 0.12e2 + t6965 * t2521 / 0.4e1 - t338 * t95421 / 0.12e2 - t90210 + t90211;
  t95426 = t77598 - t90213 + t90214 + t90215 + t90216 - t90217 - t90218 + t90219 - t90220 + t16374 - t9281 + t9283 - t84777 - t81558 - t81563 + t81566 + t90226;
  t95439 = -t81576 + t81579 - t1956 * t10732 / 0.2e1 - t6804 * t17568 / 0.12e2 + t16918 + t16919 - t16920 + t16921 + t16922 - t16923 + t16924 - t16925 + t9307 - t8219 * t90312 / 0.6e1 - t8214 * t90315 / 0.6e1 + 0.9e1 / 0.2e1 * t11399 * t29474 * t4191 * t94677 - t80546 + t80552;
  t95483 = -t29078 * t2809 / 0.2e1 - t5792 * t13839 / 0.2e1 - t5792 * t13842 / 0.2e1 - t6965 * t2506 / 0.2e1 - t5814 * t2814 / 0.2e1 - t1383 * t13777 / 0.2e1 - t1383 * t13780 / 0.2e1 - t29068 * t2809 / 0.2e1 + 0.11e2 / 0.6e1 * t11399 * t29468 * t94678 - t5665 * t2060 * t91568 / 0.2e1 + 0.3e1 / 0.2e1 * t29349 * t17615 + 0.3e1 / 0.2e1 * t29346 * t17615 + 0.3e1 / 0.2e1 * t5665 * t40346 * t17614 + 0.3e1 / 0.2e1 * t5665 * t8438 * t90144 + 0.3e1 / 0.2e1 * t5665 * t8438 * t4572 * t94727 + t25561 * t17603 / 0.2e1 + t4695 * t67786 * t2402 / 0.2e1;
  t95512 = t29451 * t17597;
  t95515 = t5679 * t95257;
  t95524 = t30121 * t17621;
  t95528 = t5695 * t4693 * t95256;
  t95531 = t4695 * t67789 * t2402 / 0.2e1 + t4695 * t13533 * t9489 / 0.2e1 + t29436 * t17607 / 0.2e1 + t29339 * t17607 / 0.2e1 + t5639 * t8457 * t90689 / 0.2e1 + t5639 * t2060 * t91547 / 0.2e1 + t5639 * t2060 * t91551 / 0.2e1 - 0.3e1 / 0.2e1 * t11399 * t50328 * t17679 - 0.3e1 / 0.2e1 * t11399 * t91581 - t34216 * t17618 / 0.6e1 - t34529 * t17618 / 0.6e1 - t6769 * t95512 / 0.6e1 - t6769 * t95515 / 0.6e1 - t6769 * t86783 / 0.6e1 + t34216 * t17622 / 0.3e1 + t34529 * t17622 / 0.3e1 + t6769 * t95524 / 0.3e1 + t6769 * t95528 / 0.3e1;
  t95564 = t5691 * t94884;
  t95576 = t6769 * t85777 / 0.3e1 - t29346 * t17610 / 0.2e1 - t5665 * t8457 * t17057 / 0.2e1 - t5665 * t2060 * t91564 / 0.2e1 - 0.2e1 * t56239 * t17855 - 0.2e1 * t11510 * t30121 * t17839 - 0.2e1 * t11510 * t91519 - 0.2e1 * t11510 * t5695 * t95362 - 0.2e1 / 0.3e1 * t39976 * t17859 - 0.2e1 / 0.3e1 * t39979 * t17859 - 0.2e1 / 0.3e1 * t8063 * t30011 * t17858 - t8219 * t90306 / 0.6e1 + t8219 * t91491 / 0.3e1 + 0.1e2 / 0.3e1 * t45444 * t95564 - t5665 * t2056 * t4575 * t94693 - 0.9e1 / 0.2e1 * t10513 * t8438 * t24477 * t94677 + t85733 + t1941 * t17036 / 0.12e2;
  t95589 = t2807 * t439;
  t95590 = t4148 * t95589;
  t95594 = t4693 * t94682;
  t95610 = t1974 * t81349 / 0.6e1 - t6965 * t2509 / 0.4e1 - t6960 * t2509 / 0.4e1 - t1647 * t11446 / 0.4e1 - t1647 * t11449 / 0.4e1 + t8063 * t90504 / 0.12e2 - t9147 + t9172 - t90299 - t16926 - t16927 + 0.3e1 / 0.2e1 * t4695 * t39825 * t95590 - t90311 - 0.2e1 * t11510 * t5695 * t95594 + 0.11e2 / 0.9e1 * t11399 * t29468 * t94689 - t8063 * t30134 * t94694 - 0.5e1 / 0.3e1 * t11510 * t5674 * t94689 - 0.2e1 / 0.3e1 * t8063 * t5691 * t4693 * t94701;
  t95634 = t1946 * t17036 / 0.12e2 + t555 * t90550 / 0.12e2 - t8081 * t17025 / 0.12e2 - t8086 * t17025 / 0.12e2 - t1981 * t91363 / 0.12e2 + t1941 * t15926 / 0.12e2 + t1946 * t15926 / 0.12e2 + t555 * t82014 / 0.12e2 + t555 * t82021 / 0.12e2 - t94287 + t94289 + t94291 - t94293 + t94299 + t94301 - t94303 - t94305;
  t95662 = t57682 * t505 / 0.4e1 + t57677 * t505 / 0.4e1 - t1946 * t10421 / 0.12e2 - t94307 - t8287 * t2395 / 0.2e1 - t1402 * t13616 / 0.12e2 - t442 * t67592 / 0.12e2 - t85812 - 0.23e2 / 0.18e2 * t11399 * t29474 * t1018 * t94688 + t10426 * t2029 / 0.2e1 - t94309 + t94311 - t94313 + t94315 + t94317 + t8219 * t9444 * t94694 / 0.3e1 - t8219 * t4687 * t94702 / 0.6e1 + t11646 * t4687 * t94689 / 0.2e1;
  t95686 = t1702 * t85497 / 0.6e1 + t1660 * t16510 / 0.12e2 + t490 * t86684 / 0.12e2 + t490 * t86688 / 0.12e2 + t1981 * t50921 / 0.3e1 - t89195 - t89196 - t89198 - t318 * t17862 / 0.4e1 - t89202 + t85860 + t89206 - t11399 * t90513 / 0.2e1 - t11399 * t5691 * t95029 / 0.2e1 + 0.7e1 / 0.3e1 * t55984 * t17850 + 0.7e1 / 0.3e1 * t56003 * t17850 - t29346 * t17697;
  t95688 = t4148 * t19840 * t439;
  t95697 = t4148 * t19945 * t439;
  t95701 = t10447 * t94877;
  t95718 = t56637 * t10360;
  t95721 = t56645 * t10373;
  t95735 = 0.3e1 / 0.2e1 * t30451 * t39825 * t95688 + 0.9e1 * t5639 * t8438 * t24418 * t94677 - 0.3e1 * t5649 * t39825 * t95697 - 0.11e2 / 0.18e2 * t10357 * t95701 + t8287 * t2403 / 0.2e1 + t1956 * t10518 / 0.2e1 - t40091 * t2390 / 0.2e1 - t8280 * t10325 / 0.2e1 - t8280 * t10328 / 0.2e1 + t8296 * t2403 / 0.2e1 - t40223 * t2390 / 0.2e1 + t10440 * t95718 / 0.2e1 + t6769 * t95721 / 0.6e1 + t8063 * t89546 / 0.12e2 + t39976 * t17819 / 0.6e1 + t39979 * t17819 / 0.6e1 + t8063 * t30011 * t17809 / 0.6e1 + t8063 * t90078 / 0.6e1;
  t95749 = t110 * t565 * t10511;
  t95765 = t29503 * t17597;
  t95768 = t6005 * t95257;
  t95779 = t8063 * t5691 * t95116 / 0.6e1 - 0.5e1 / 0.36e2 * t55984 * t17823 - 0.5e1 / 0.36e2 * t56003 * t17823 - 0.5e1 / 0.36e2 * t11399 * t50328 * t17822 + 0.3e1 / 0.2e1 * t95749 * t10515 - t81639 + t5665 * t8451 * t17190 / 0.2e1 + t5665 * t2056 * t90774 / 0.2e1 + t5665 * t2056 * t91417 / 0.2e1 + t29349 * t17705 / 0.2e1 + t29346 * t17705 / 0.2e1 + t6764 * t95765 / 0.6e1 + t6764 * t95768 / 0.6e1 + t6764 * t85632 / 0.6e1 + t29349 * t17702 / 0.2e1 + t29346 * t17702 / 0.2e1 + t57324 * t10494 / 0.2e1;
  t95780 = t56637 * t17839;
  t95813 = -0.2e1 * t45444 * t95780 - t39906 * t10497 / 0.2e1 - t16951 - 0.43e2 / 0.9e1 * t55994 * t50144 * t94758 - 0.18e2 * t5639 * t40329 * t1033 * t94736 + 0.18e2 * t5665 * t40329 * t1038 * t94736 - 0.5e1 * t5639 * t8460 * t4572 * t94688 - 0.3e1 / 0.2e1 * t45332 * t89824 * t56504 - t51173 * t11771 / 0.2e1 - 0.3e1 * t50860 * t11407 - t50860 * t11751 - t8296 * t2395 / 0.2e1 + t81654 - t16419 + t85879 + t85898 + t85900 - t1981 * t1423 * t95059 / 0.6e1;
  t95825 = t1007 * t95589;
  t95829 = t555 * t90554 / 0.12e2 + t1941 * t16999 / 0.12e2 + t1946 * t16999 / 0.12e2 + t555 * t90610 / 0.12e2 - t85906 - t85908 + t85921 + t85925 - t90471 + t90472 + t90473 + t81683 + t81685 - t555 * t50279 / 0.12e2 + t80567 + t80579 - t80581 + 0.3e1 * t5649 * t40682 * t95825;
  t95830 = t50552 * t11551;
  t95833 = t50292 * t11555;
  t95855 = t56645 * t17858;
  t95870 = -t16994 - t5673 * t95830 / 0.6e1 + t5673 * t95833 / 0.3e1 - t51173 * t11530 / 0.2e1 + t34833 * t11404 / 0.2e1 - t4695 * t67139 * t2394 / 0.2e1 - t4695 * t13659 * t9498 / 0.2e1 - 0.3e1 / 0.2e1 * t5665 * t8438 * t90384 + 0.3e1 * t5639 * t8438 * t90388 - 0.3e1 / 0.2e1 * t5639 * t2060 * t90301 + t90507 - t24973 * t95855 / 0.3e1 - t39906 * t10483 / 0.4e1 + 0.3e1 / 0.2e1 * t57324 * t10490 + t57328 * t10388 - t8214 * t90490 / 0.6e1 + t11510 * t90185 / 0.2e1 + t11510 * t5695 * t95029 / 0.2e1;
  t95903 = -t56170 * t17832 / 0.2e1 - t56172 * t17832 / 0.2e1 - t11646 * t29503 * t17822 / 0.2e1 - t11646 * t90698 / 0.2e1 - t11646 * t6005 * t95029 / 0.2e1 - 0.5e1 / 0.36e2 * t11399 * t90638 - 0.5e1 / 0.36e2 * t11399 * t10358 * t95029 + t94322 + t94324 - t94340 + t94344 - t13591 * t1439 / 0.2e1 - t13591 * t1443 / 0.4e1 - t6769 * t85519 / 0.6e1 + 0.3e1 / 0.2e1 * t57324 * t10507 + 0.3e1 / 0.2e1 * t89703 * t11523 - 0.3e1 * t51176 * t11527;
  t95920 = t13554 * t439;
  t95921 = t1018 * t95920;
  t95937 = t6896 * t17551 / 0.6e1 + t5665 * t2060 * t90406 - t5639 * t2060 * t90403 + t16440 + 0.3e1 * t5665 * t8460 * t90398 - 0.18e2 * t5665 * t40336 * t4572 * t94736 - 0.2e1 * t55994 * t29468 * t94737 - 0.7e1 / 0.3e1 * t45332 * t29468 * t95921 - t4695 * t8072 * t90741 / 0.2e1 + t94356 + 0.11e2 / 0.18e2 * t11399 * t90380 + t8063 * t91477 / 0.6e1 - t5665 * t2056 * t90837 - 0.3e1 / 0.2e1 * t5665 * t559 * t90840 - t9408 - t9412 + t9416 + t17003;
  t95956 = t89238 + 0.3e1 / 0.2e1 * t5665 * t2060 * t90733 - t86028 - t86031 + t4695 * t13663 * t45866 / 0.2e1 + t16464 - t16467 + t90584 - t90595 - t90599 - t90600 - t90601 - t6764 * t86815 / 0.6e1 - t6772 * t86820 / 0.6e1 + t8063 * t5674 * t94702 / 0.3e1 + t11646 * t90793 / 0.2e1 + t8219 * t90797 / 0.3e1;
  t95960 = t1076 * t2812 * t2196;
  t95966 = t380 * t57734;
  t95967 = t5691 * t95966;
  t95970 = t10358 * t94877;
  t95981 = -t11510 * t91595 / 0.2e1 + t4695 * t8060 * t95960 / 0.2e1 - t89239 - t94367 + t90602 + t90606 + t442 * t69122 / 0.12e2 + t90619 + t90620 + t90621 + t90622 - t90624 + t81753 + t6769 * t95967 / 0.6e1 - 0.5e1 / 0.36e2 * t10357 * t95970 + 0.5e1 * t5665 * t8460 * t4626 * t94688 + 0.3e1 * t5665 * t2060 * t24564 * t94693 + t90647;
  t95987 = t1430 * t10424 * t8252;
  t95992 = t349 * t17806;
  t95997 = t321 * t369 * t17804 * t370;
  t96019 = -t90652 + t90668 - t90669 - t90670 + t10426 * t2045 / 0.4e1 + t4533 * t95987 / 0.3e1 - t10426 * t2041 / 0.4e1 - t338 * t95992 / 0.12e2 + t95997 * t377 / 0.4e1 - t25376 * t17591 / 0.4e1 - t25561 * t17591 / 0.4e1 - t4695 * t67752 * t2257 / 0.4e1 - t4695 * t67756 * t2257 / 0.4e1 - t4695 * t13663 * t9401 / 0.4e1 + t34520 * t16589 / 0.12e2 + t34671 * t16589 / 0.12e2 + t6772 * t85627 / 0.12e2;
  t96028 = t45481 * t19934;
  t96033 = t50292 * t11551;
  t96060 = t6772 * t86662 / 0.12e2 + t6772 * t86667 / 0.12e2 - t29985 * t13660 / 0.2e1 - t29985 * t13664 / 0.4e1 + t24973 * t96028 / 0.3e1 + t6012 * t68265 / 0.12e2 - t5673 * t96033 / 0.12e2 - t34833 * t11784 / 0.2e1 - t34833 * t11777 / 0.4e1 + t39976 * t17810 / 0.3e1 + t39979 * t17810 / 0.3e1 + t8063 * t30022 * t17809 / 0.3e1 + t8063 * t90098 / 0.3e1 + t8063 * t5674 * t95116 / 0.3e1 - t40730 * t17051 / 0.6e1 - t40161 * t17051 / 0.6e1 - t8219 * t90676 / 0.6e1 - t8219 * t90679 / 0.6e1;
  t96093 = -t8219 * t90682 / 0.6e1 + t6769 * t85272 / 0.6e1 + t6960 * t2512 / 0.2e1 + t6965 * t2512 / 0.2e1 - t6955 * t11462 / 0.2e1 - t6955 * t11459 / 0.2e1 - t490 * t57104 / 0.12e2 - t1683 * t86105 / 0.12e2 + t1981 * t50424 / 0.3e1 - t6804 * t17585 / 0.6e1 + t8063 * t89835 / 0.6e1 - 0.5e1 / 0.36e2 * t11399 * t91387 + t94369 - t8063 * t91390 / 0.12e2 - t84865 - t81818 - t8219 * t90596 / 0.6e1 + 0.7e1 / 0.3e1 * t45332 * t89846 * t56589;
  t96119 = t34833 * t11742 / 0.2e1 + t11510 * t90206 - t90728 - t86098 - t86102 - t94375 + t94379 - t8081 * t17208 / 0.6e1 - t8086 * t17208 / 0.6e1 - t1981 * t91468 / 0.6e1 + t5797 * t2822 / 0.2e1 + t5814 * t2822 / 0.2e1 + t1383 * t13817 / 0.2e1 + t1383 * t13820 / 0.2e1 - t5797 * t2817 / 0.4e1 - t1981 * t81355 / 0.6e1 + t8081 * t17212 / 0.3e1 + t8086 * t17212 / 0.3e1;
  t96124 = t56641 * t10365;
  t96137 = t56641 * t10360;
  t96140 = t40145 * t10373;
  t96146 = t1018 * t94736;
  t96159 = t6764 * t96124 / 0.6e1 - t6764 * t85755 / 0.6e1 - t6772 * t85759 / 0.6e1 + t6769 * t85763 / 0.12e2 + t6772 * t85766 / 0.12e2 + t8063 * t50220 / 0.3e1 - t10725 * t96137 / 0.2e1 - t6764 * t96140 / 0.6e1 - t16473 - 0.38e2 / 0.9e1 * t55994 * t29474 * t94737 + 0.89e2 / 0.9e1 * t55994 * t50318 * t96146 + t11399 * t90565 / 0.2e1 + 0.3e1 / 0.2e1 * t45332 * t29474 * t4191 * t95920 + t5649 * t8072 * t90750 / 0.2e1 + t90729 + t90730 - t90731;
  t96162 = t4619 * t565;
  t96163 = t96162 * t10360;
  t96166 = t95375 * t10443;
  t96177 = t4693 * t94876;
  t96178 = t10358 * t96177;
  t96204 = -t90732 - 0.3e1 * t57324 * t10531 - 0.11e2 / 0.18e2 * t10357 * t96163 + 0.23e2 / 0.36e2 * t10357 * t96166 - t57324 * t10503 / 0.2e1 + 0.3e1 * t57328 * t10385 - t8219 * t81507 / 0.6e1 - t8214 * t81511 / 0.6e1 + 0.23e2 / 0.36e2 * t10357 * t96178 + 0.6e1 * t5639 * t8438 * t24418 * t94688 + t6769 * t86744 / 0.6e1 - 0.3e1 / 0.2e1 * t5665 * t8443 * t90844 - t5665 * t2056 * t90444 + 0.2e1 * t45444 * t5691 * t95921 - 0.18e2 * t10513 * t40336 * t4609 * t94736 - t110 * t10708 * t584 / 0.4e1 - t34216 * t17598 / 0.12e2 - t86139;
  t96233 = -t86147 + t86149 + t86156 - t86158 - t94385 - t16493 + t29349 * t17713 / 0.2e1 + t29346 * t17713 / 0.2e1 + t5665 * t8451 * t17712 / 0.2e1 + t5665 * t2056 * t91399 / 0.2e1 + t5665 * t2056 * t1165 * t94792 / 0.2e1 + 0.3e1 * t29436 * t17719 + 0.3e1 * t29339 * t17719 - t11399 * t45452 * t13563 / 0.2e1 + t8063 * t90757 / 0.6e1 + t8063 * t90228 / 0.6e1 + t8063 * t81410 / 0.6e1;
  t96234 = t1018 * t94677;
  t96253 = t1101 * t94870;
  t96256 = t5674 * t95966;
  t96263 = -t15910 + t15914 + 0.4e1 * t11510 * t5691 * t96234 + 0.7e1 / 0.3e1 * t11399 * t10447 * t95594 - 0.6e1 * t56113 * t5679 * t94737 - t90765 - t45289 * t13653 + t29985 * t13656 / 0.2e1 - 0.3e1 / 0.2e1 * t5665 * t8443 * t1165 * t94688 + t6900 * t17551 / 0.6e1 + t1702 * t96253 / 0.6e1 + t6769 * t96256 / 0.3e1 + t15946 + t86205 - t86208 - t86211 + t555 * t90615 / 0.12e2 - t8081 * t17638 / 0.6e1;
  t96278 = t1423 * t94897;
  t96297 = -t8086 * t17638 / 0.6e1 + t15949 + t90807 - t5814 * t2817 / 0.4e1 - t1383 * t13787 / 0.4e1 - t1383 * t13790 / 0.4e1 - t1070 * t17654 / 0.4e1 - t1981 * t81109 / 0.6e1 - t1421 * t96278 / 0.6e1 + t1421 * t1430 * t13589 * t1424 / 0.3e1 - t69146 * t1411 / 0.2e1 + t13591 * t1416 / 0.2e1 - t1683 * t85473 / 0.6e1 - t56071 * t1675 / 0.2e1 + t11501 * t1679 / 0.2e1 - t51333 * t2026 / 0.2e1 + t94389;
  t96306 = t13390 * t1392;
  t96312 = t1173 * t94677;
  t96331 = t13390 * t9399;
  t96340 = t8508 * t91115 / 0.3e1 + t8508 * t91119 / 0.3e1 + 0.6e1 * t57952 * t17767 + 0.6e1 * t11663 * t91066 + 0.6e1 * t11663 * t360 * t96306 - 0.3e1 * t40455 * t90898 + 0.9e1 * t40315 * t96312 - 0.12e2 * t11668 * t90870 - 0.12e2 * t11668 * t1186 * t96306 - 0.2e1 / 0.3e1 * t57746 * t17752 - 0.2e1 / 0.3e1 * t11651 * t90867 - 0.2e1 / 0.3e1 * t11651 * t4599 * t96306 + 0.2e1 / 0.3e1 * t40448 * t17755 + 0.2e1 / 0.3e1 * t8508 * t91275 + 0.2e1 / 0.3e1 * t8508 * t1173 * t96331 - t57746 * t17758 / 0.9e1 - t90896 + 0.4e1 * t40455 * t1173 * t94693;
  t96354 = -t40315 * t4586 * t94688 / 0.9e1 - t82182 + t86272 - t86274 - t82191 + t82193 - t82218 - t82257 + t82262 - t90948 - t90950 - t90953 - 0.4e1 * t40448 * t17739 - 0.4e1 * t8508 * t91092 - 0.4e1 * t8508 * t1186 * t96331 - 0.12e2 * t40318 * t1186 * t94677 - t82303 + t82309;
  t96356 = t2788 * t9399;
  t96364 = t4586 * t94736;
  t96376 = -t82324 - t82326 - t82329 + t82338 - t91000 - t2056 * t1165 * t96356 - t8451 * t17134 - t2056 * t90884 - t2056 * t90887 - t82352 + t82377 + t82384 + 0.8e1 * t40318 * t96312 - 0.2e1 / 0.3e1 * t57967 * t96364 - t40315 * t4586 * t94677 / 0.6e1 + t8508 * t91287 / 0.3e1 + 0.2e1 * t40455 * t91290 - t40315 * t91122 / 0.18e2;
  t96377 = t4599 * t94736;
  t96384 = t1173 * t96306;
  t96403 = -0.4e2 * t57967 * t96377 + t91005 + t91006 + t91007 + t77947 + 0.2e1 * t57762 * t17746 + 0.2e1 * t11668 * t90904 + 0.2e1 * t11668 * t96384 + 0.2e1 * t8511 * t91156 + 0.2e1 * t8511 * t91129 + 0.2e1 * t58051 * t17159 + 0.2e1 * t11656 * t91138 + 0.2e1 * t11656 * t91299 + t40448 * t17162 / 0.3e1 - t2054 * t17137 - t559 * t91213 - t559 * t91216 - t2054 * t17077;
  t96417 = t1173 * t94736;
  t96426 = t1173 * t94688;
  t96443 = -0.2e1 / 0.3e1 * t2060 * t90985 - t86300 - 0.2e2 / 0.3e1 * t40315 * t4599 * t94688 + 0.12e2 * t57984 * t360 * t94736 + 0.3e1 * t40458 * t360 * t94677 + 0.24e2 * t57964 * t96417 + 0.3e1 * t40458 * t360 * t94688 + 0.2e1 * t40461 * t360 * t94693 + 0.2e2 / 0.3e1 * t40318 * t96426 - 0.2e1 * t40448 * t17152 - 0.2e1 * t8508 * t91314 - 0.2e1 * t8508 * t91317 + 0.6e1 * t57746 * t17746 + 0.6e1 * t11651 * t90904 + 0.6e1 * t11651 * t96384 - 0.12e2 * t57762 * t17749 - t91072 - t91073;
  t96452 = t9661 * t487;
  t96465 = -t91074 + t91085 + t91086 + t91087 - t17074 - t15480 - t17075 - t86316 - t78000 + 0.2e1 * t8457 * t17727 + 0.2e1 * t2060 * t91021 - 0.2e1 / 0.3e1 * t2060 * t91227 + 0.1e2 / 0.3e1 * t40346 * t17790 + 0.1e2 / 0.3e1 * t8438 * t4619 * t96452 + 0.1e2 / 0.3e1 * t8438 * t90915 - 0.4e1 / 0.3e1 * t8457 * t17793 - 0.4e1 / 0.3e1 * t2060 * t90988 + 0.2e1 * t2060 * t4626 * t96356;
  t96481 = -0.3e1 * t40428 * t17731 - 0.3e1 * t8443 * t90921 - 0.3e1 * t8443 * t356 * t96452 - t8451 * t17734 - t2056 * t90960 + t2060 * t91019 - t16527 + t86341 + t91159 + t16546 - t16551 + t82403 - t82406 + t82420 + t82423 + t82425 - 0.2e1 / 0.3e1 * t8457 * t17080 + 0.6e1 * t40315 * t96426;
  t96496 = -0.36e2 * t57964 * t1186 * t94736 + 0.3e1 * t40315 * t91132 - 0.12e2 * t57753 * t96377 + 0.36e2 * t57967 * t96417 - 0.1e2 / 0.3e1 * t40315 * t91320 + 0.5e2 / 0.3e1 * t57753 * t96364 - t2056 * t90998 + t86354 - t86356 - t86358 - t78132 - t91174 - t78136 - t78139 - t91175 - t82444 - t86362 - t91177;
  t96517 = t91178 - t91179 + t91182 + t8438 * t4609 * t96452 / 0.18e2 + t8438 * t90932 / 0.18e2 - t16030 - t16036 + t16046 + t86389 + t86395 - t86401 + t86403 + t2060 * t90939 - 0.3e1 * t40346 * t17781 - 0.3e1 * t8438 * t90972 - 0.3e1 * t8438 * t4572 * t96452 + 0.2e1 * t40540 * t17770 + 0.2e1 * t8511 * t91097;
  t96543 = 0.2e1 * t8511 * t360 * t96331 - t91207 + t91219 - 0.4e1 / 0.3e1 * t2060 * t4572 * t96356 - 0.4e1 * t40367 * t17796 - 0.4e1 * t8460 * t1033 * t96452 - 0.4e1 * t8460 * t91185 + t40346 * t17799 / 0.18e2 - t91224 - t91225 + t17099 - 0.4e1 * t40461 * t91144 - 0.2e1 * t40318 * t91041 - 0.4e1 * t40461 * t91149 - 0.6e1 * t58028 * t91026 - 0.2e1 / 0.3e1 * t40455 * t91047 - t9586 - t9610;
  t96568 = -t9611 + t9635 + t86432 + t86434 + t86440 - t82461 + t559 * t91077 / 0.2e1 - 0.2e1 / 0.3e1 * t2060 * t91192 - t91237 - t559 * t91210 - 0.1e2 * t40315 * t4599 * t94677 + 0.1e2 / 0.3e1 * t57753 * t24682 * t94736 + 0.3e1 * t40458 * t91060 + 0.2e1 * t40461 * t91063 + 0.4e1 * t40318 * t91132 + 0.2e1 * t40461 * t91055 + 0.3e1 * t58028 * t91272 + 0.4e1 / 0.3e1 * t40455 * t91302;
  t96579 = t46252 * t94688;
  t96585 = t51878 * t94736;
  t96599 = t51889 * t94736;
  t96605 = 0.2e1 * t8511 * t91295 + 0.2e1 * t11656 * t91254 - 0.1e2 * t40318 * t1186 * t94688 - 0.6e1 * t40455 * t1186 * t94693 + t17119 - 0.1e2 / 0.3e1 * t40318 * t96579 + 0.2e1 / 0.9e1 * t40315 * t51878 * t94688 + 0.4e1 / 0.3e1 * t57967 * t96585 + t40315 * t51878 * t94677 / 0.3e1 - t57753 * t51643 * t142 * t94736 / 0.9e1 - 0.6e1 * t40458 * t91141 - t78264 + t91239 + t9669 - 0.6e1 * t40315 * t91041 + 0.24e2 * t57753 * t96599 - t40455 * t91050 + t40315 * t91044 / 0.9e1;
  t96625 = t82474 - t17144 + t86504 - t559 * t90946 + 0.6e1 * t40367 * t17777 + 0.6e1 * t8460 * t90967 + 0.6e1 * t8460 * t1038 * t96452 + t8457 * t17122 + t2060 * t90937 - t86508 - t16558 + t16560 + t16561 - t11651 * t91257 / 0.9e1 - t11651 * t4586 * t96306 / 0.9e1 + 0.2e1 * t40540 * t17155 + t82478 - t16069;
  t96628 = t46252 * t94736;
  t96641 = t46252 * t94677;
  t96661 = t16075 + t91269 + t91271 + t78280 + t91280 + t2054 * t17101 / 0.2e1 - 0.12e2 * t57964 * t96628 - 0.6e1 * t40458 * t46256 * t94688 - 0.4e1 * t40461 * t46256 * t94693 + 0.2e1 / 0.3e1 * t40315 * t91035 - 0.72e2 * t57967 * t96628 - 0.18e2 * t40315 * t96641 + 0.8e1 / 0.3e1 * t57753 * t96585 + 0.72e2 * t57964 * t46248 * t94736 + 0.24e2 * t40318 * t46248 * t94677 + 0.8e1 * t57967 * t96599 + 0.2e1 * t40315 * t51889 * t94677 - 0.4e1 / 0.3e1 * t57753 * t24682 * t142 * t94736;
  t96692 = -0.24e2 * t57984 * t46256 * t94736 - 0.6e1 * t40458 * t46256 * t94677 + t9675 + t9677 + t16083 - t86523 + 0.2e2 * t40318 * t46248 * t94688 + 0.12e2 * t40455 * t46248 * t94693 + 0.4e1 / 0.3e1 * t40315 * t51889 * t94688 + 0.12e2 * t40318 * t91029 + 0.6e1 * t40455 * t91032 - 0.4e1 * t40318 * t96641 + 0.4e1 * t40455 * t91038 + t91294 - t9683 - 0.6e1 * t40318 * t91052 - 0.2e1 * t40455 * t91203 - 0.2e1 * t8508 * t91082;
  t96698 = -0.2e1 * t40455 * t46252 * t94693 - 0.12e2 * t40315 * t96579 - t15516 + t15538 + t17149 + t17150 + t2210 - t2229 + t86535 + t86536 - t86541 - t86542 - t86550 + t91323 + t91324 + t91325 + t91326 - t91327 + t91328;
  t96711 = t96162 * t17839;
  t96726 = t94394 - t110 * t139 * (t96340 + t96354 + t96376 + t96403 + t96443 + t96465 + t96481 + t96496 + t96517 + t96543 + t96568 + t96605 + t96625 + t96661 + t96692 + t96698) * t168 / 0.4e1 - t90808 - t90809 - t16506 + t16514 - 0.11e2 / 0.18e2 * t11399 * t10447 * t94683 - t57324 * t10487 + 0.7e1 / 0.3e1 * t45332 * t96711 + t39906 * t10477 / 0.2e1 + 0.3e1 * t51176 * t11801 + t51176 * t11804 - 0.61e2 / 0.27e2 * t55994 * t50318 * t94737 + t9482 - t9485 - t9487 - t1683 * t85325 / 0.6e1 + t6804 * t17664 / 0.3e1;
  t96762 = t6808 * t17664 / 0.3e1 + t94402 - t94404 - t1981 * t90435 / 0.12e2 - t8063 * t89516 / 0.6e1 - 0.2e1 * t11510 * t50292 * t10443 - t94406 - t90835 - t90836 - t11399 * t5691 * t94683 / 0.2e1 + 0.3e1 / 0.2e1 * t11399 * t30141 * t94678 + 0.3e1 / 0.2e1 * t4695 * t67480 * t51223 + t4695 * t13659 * t51289 / 0.2e1 - 0.23e2 / 0.3e1 * t55987 * t10358 * t96146 - 0.23e2 / 0.12e2 * t11399 * t29474 * t96234 + 0.44e2 / 0.27e2 * t55994 * t50144 * t96146 + 0.23e2 / 0.36e2 * t11399 * t10358 * t95594 + t8063 * t91575;
  t96793 = -0.23e2 / 0.36e2 * t11399 * t91360 + t89313 + t89314 - 0.3e1 * t4695 * t68973 * t50909 + t5649 * t13533 * t45767 / 0.2e1 - t4695 * t13533 * t45790 / 0.2e1 - t94407 - t94409 - t86237 + t5639 * t2060 * t89658 / 0.2e1 - t86561 - t110 * t17805 * t404 / 0.4e1 - t8296 * t2398 / 0.4e1 - t8287 * t2398 / 0.4e1 - t1956 * t10739 / 0.4e1 - t1956 * t10742 / 0.4e1 - t1058 * t17654 / 0.4e1 - t373 * t8133 * t16970 / 0.4e1;
  t96806 = -t373 * t2040 * t90007 / 0.4e1 - t5797 * t2814 / 0.2e1 - t82057 + t82061 - t82065 - t82067 - t82070 - t82073 + t89323 - t89325 - t1981 * t80856 / 0.12e2 + t9535 + t9543 - t86614 + t86619 - t94436 - t318 * t17806 / 0.4e1;
  t96814 = t1101 * t94897;
  t96817 = t4687 * t95966;
  t96820 = t19926 * t2196;
  t96822 = t5691 * t4693 * t96820;
  t96825 = t19926 * t439;
  t96826 = t4693 * t96825;
  t96830 = -0.2e1 * t11510 * t5674 * t94678 - t9546 - t9548 - t15994 + t57324 * t10380 / 0.2e1 + t57324 * t10480 / 0.2e1 + t1451 * t96814 / 0.6e1 - t6764 * t96817 / 0.6e1 + t86692 + t86694 + t86696 - t86708 - t86710 - t86712 - t86728 - t86731 - t24973 * t96822 / 0.3e1 - 0.2e1 * t45444 * t5695 * t96826;
  t96844 = t10447 * t96826;
  t96852 = t29474 * t4191 * t94883;
  t96856 = t4305 * t2807 * t2196;
  t96859 = t6005 * t94877;
  t96874 = -t8063 * t90262 / 0.3e1 + 0.6e1 * t55987 * t5691 * t94737 + 0.3e1 * t5649 * t68973 * t50878 - 0.2e1 / 0.3e1 * t6769 * t57736 - t4695 * t13533 * t51230 + 0.7e1 / 0.3e1 * t45332 * t96844 - 0.3e1 * t5639 * t2060 * t24435 * t94693 + 0.3e1 * t45332 * t96852 + t5649 * t8072 * t96856 - t10725 * t96859 / 0.2e1 - 0.5e1 / 0.36e2 * t11399 * t10358 * t94683 + 0.5e1 / 0.3e1 * t55987 * t10358 * t94737 + 0.5e1 / 0.12e2 * t11399 * t29474 * t94678 - 0.35e2 / 0.108e3 * t55994 * t50144 * t94737 - t91499 - t91500 - t91501 - t91502;
  t96883 = t346 * t2812 * t439;
  t96889 = t30141 * t1018 * t13554 * t2196;
  t96928 = t91503 - t16104 - 0.3e1 / 0.2e1 * t5665 * t8443 * t1165 * t94677 + 0.12e2 * t85996 * t5695 * t94929 + 0.3e1 / 0.2e1 * t4695 * t39421 * t96883 + 0.2e1 / 0.3e1 * t24973 * t96889 + t4695 * t8077 * t91487 / 0.2e1 - 0.6e1 * t5665 * t40350 * t356 * t94736 - 0.18e2 * t5639 * t40324 * t24477 * t94736 + 0.6e1 * t5665 * t40324 * t24418 * t94736 + t4695 * t8060 * t91495 / 0.2e1 - 0.3e1 / 0.2e1 * t11399 * t10358 * t5647 * t94682 - 0.7e1 * t11399 * t29468 * t96234 + 0.23e2 / 0.36e2 * t11399 * t89527 + 0.23e2 / 0.36e2 * t11399 * t10358 * t95362 + t39976 * t17061 / 0.6e1 + t39979 * t17061 / 0.6e1 + t8063 * t91534 / 0.6e1;
  t96951 = t8063 * t91537 / 0.6e1 + t8063 * t91540 / 0.6e1 - t39976 * t17065 / 0.3e1 - t39979 * t17065 / 0.3e1 - 0.11e2 / 0.18e2 * t55984 * t17836 - 0.11e2 / 0.18e2 * t56003 * t17836 - 0.11e2 / 0.18e2 * t11399 * t50343 * t17822 - 0.11e2 / 0.18e2 * t11399 * t91441 - t91511 - t91515 + t91516 - t91517 - t91518 - t94438 - t94440 - t94442 + t8063 * t45452 * t13570 / 0.6e1;
  t96969 = -t94444 - 0.5e1 / 0.36e2 * t11399 * t80955 * t13563 - t8063 * t45481 * t13670 / 0.12e2 - t94448 - t80631 - t80633 - t80659 + 0.2e1 * t8063 * t30141 * t1018 * t94693 - t9710 + t9713 + t11510 * t5679 * t94683 + t86769 + t86771 + t94450 + t94453 + t80681 - t10426 * t2037 / 0.2e1 + t4695 * t13659 * t45858 / 0.2e1;
  t96989 = t8214 * t90573 / 0.2e1 - t8063 * t90576 / 0.6e1 - t8214 * t91506 / 0.6e1 + 0.22e2 / 0.3e1 * t55987 * t10447 * t94737 - t82644 - t82646 + t82648 - 0.9e1 / 0.2e1 * t5665 * t8438 * t24435 * t94677 + 0.47e2 / 0.3e1 * t82045 * t29474 * t94929 - t8063 * t90410 / 0.3e1 - t16593 - t94463 - t94465 + t94467 - t94469 - t94471 - t86809 + t86811;
  t97009 = t86814 - t110 * t2380 * t2021 / 0.4e1 - t56003 * t17847 / 0.2e1 - t11399 * t30011 * t17822 / 0.2e1 - t16115 - t16120 + t16128 - t5665 * t8457 * t17696 - t5665 * t2060 * t89728 - t5665 * t2060 * t4626 * t94792 + t34222 * t17699 / 0.6e1 + t34669 * t17699 / 0.6e1 + t86830 - t86834 - t86837 + t16605 + t91608 + t91609;
  t97016 = my_piecewise3(t100, 0, t95829 + t95813 + t96874 + t96793 + t95903 + t96989 + t96159 + t95870 + t96297 + t96204 + t96263 + t96119 + t96830 + t96019 + t96060 + t97009 + t95610 + t95576 + t95531 + t96233 + t96762 + t96951 + t95779 + t95424 + t95426 + t95439 + t95483 + t95937 + t96093 + t96969 + t95662 + t95981 + t96928 + t95264 + t95156 + t95686 + t95343 + t95127 + t95101 + t95182 + t96806 + t95063 + t95313 + t95956 + t95040 + t95358 + t95387 + t95005 + t94979 + t94938 + t94911 + t94866 + t94863 + t94835 + t94818 + t94798 + t94774 + t94717 + t94687 + t95283 + t95735 + t95228 + t96726 + t95634);
  tv4rhosigmalapltau23 = t3 * t97016 + t17869;

  if(out->v4rhosigmalapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmalapltau[ip*p->dim.v4rhosigmalapltau + 23] += tv4rhosigmalapltau23;

  t97025 = t30 * t70446;
  t97030 = t414 * t1745;
  t97043 = t17873 * t206;
  t97044 = t95 * t97043;
  t97048 = t17873 * t794;
  t97049 = t95 * t97048;
  t97053 = 0.2e1 / 0.3e1 * t82701;
  t97054 = -0.6e1 * t48902 * t70446 * t88935 + 0.2e1 * t52936 * t10905 - 0.3e1 / 0.2e1 * t70173 * t26184 - 0.43e2 / 0.9e1 * t97025 * t86936 + 0.9e1 / 0.2e1 * t70173 * t26191 - 0.3e1 * t10757 * t9744 * t3156 * t97030 - t26211 * t17919 + 0.2e1 / 0.3e1 * t7251 * t83837 - t7248 * t8790 * t253 * t14269 * t2105 / 0.6e1 - t10838 * t4877 * t97044 / 0.2e1 - t7251 * t26405 * t97049 / 0.4e1 + t75038 + t97053 + t82704;
  t97055 = t82706 / 0.6e1;
  t97056 = t82732 / 0.3e1;
  t97062 = t36791 * t17948 / 0.18e2;
  t97064 = t37082 * t16229 / 0.18e2;
  t97068 = t2836 * t414;
  t97069 = t670 * t97068;
  t97087 = -t97055 - t97056 + t2839 * t5261 / 0.6e1 + t5266 * t2915 / 0.2e1 - t97062 + t97064 - 0.3e1 / 0.2e1 * t4772 * t14313 * t10123 + 0.12e2 * t83114 * t4873 * t97069 + 0.3e1 / 0.2e1 * t3266 * t70973 * t2323 - t26650 * t14063 - t26650 * t14066 / 0.2e1 - t1779 * t92665 / 0.3e1 - t7228 * t17273 / 0.3e1 - t7233 * t17273 / 0.3e1 + 0.7e1 / 0.3e1 * t13908 * t25780;
  t97100 = t37357 * t17341 / 0.18e2;
  t97105 = t2105 * t1745;
  t97106 = t95 * t97105;
  t97112 = t30 * t70499;
  t97117 = 0.7e1 / 0.3e1 * t13908 * t25903 + 0.8e1 * t97025 * t88559 + 0.3e1 * t92565 * t11232 - 0.6e1 * t52936 * t11236 + 0.3e1 * t52942 * t11214 - t2089 + t2160 - t97100 + t71047 * t8786 / 0.2e1 + t71614 * t8792 / 0.3e1 - t7254 * t3273 * t97106 / 0.3e1 - t71047 * t9758 / 0.2e1 - 0.3e1 * t97112 * t9957 + t71047 * t9935 / 0.2e1;
  t97118 = t95 * t97030;
  t97121 = t30 * t70488;
  t97124 = t14269 * t414;
  t97129 = t82759 / 0.2e1;
  t97130 = t82761 / 0.2e1;
  t97131 = t82765 / 0.2e1;
  t97136 = t8809 * t2854;
  t97137 = t97136 / 0.12e2;
  t97138 = t2087 * t14155;
  t97139 = t97138 / 0.12e2;
  t97143 = -t11019 * t4762 * t97118 + 0.2e1 * t97121 * t10156 - t86926 - t7251 * t4877 * t3264 * t97124 / 0.3e1 - t82744 + t97129 + t97130 + t97131 - 0.2e1 * t52942 * t11171 - t7587 * t10933 + t7592 * t2453 + t97137 + t97139 + t7248 * t83969 / 0.6e1 - t1770 * t10938;
  t97155 = t253 * t97124;
  t97168 = 0.2e1 / 0.3e1 * t82778;
  t97169 = 0.6e1 * t82785;
  t97170 = 0.3e1 * t82788;
  t97171 = t82790 / 0.3e1;
  t97174 = -t1770 * t10941 - t7592 * t2450 / 0.2e1 - t7600 * t2450 / 0.2e1 - t1770 * t10948 / 0.2e1 - t1770 * t10951 / 0.2e1 + t7251 * t4877 * t97155 / 0.12e2 + t11019 * t3273 * t97044 / 0.2e1 + t7254 * t8790 * t97049 / 0.3e1 - t7254 * t3273 * t97155 / 0.6e1 + t97168 - t97169 + t97170 - t97171 - 0.4e1 / 0.3e1 * t7251 * t93525;
  t97181 = t14053 * t414;
  t97182 = t670 * t97181;
  t97187 = t3360 * t20269 * t414;
  t97195 = t630 * t18051;
  t97196 = t97195 / 0.4e1;
  t97204 = t36791 * t17336 / 0.9e1;
  t97212 = 0.2e1 / 0.3e1 * t7251 * t93494 + 0.3e1 / 0.2e1 * t4772 * t1876 * t22309 * t97048 - 0.7e1 / 0.3e1 * t26808 * t26847 * t97182 - t3266 * t7457 * t97187 / 0.2e1 - 0.3e1 / 0.2e1 * t4983 * t1876 * t22290 * t97048 + t86981 + t86982 - t97196 - t2839 * t8658 / 0.6e1 - t2839 * t8691 / 0.6e1 + t69647 * t2271 / 0.2e1 + t97204 - 0.18e2 * t4983 * t70499 * t47699 + 0.18e2 * t4772 * t70499 * t9893 - t43357 * t14121;
  t97226 = t37357 * t17879 / 0.9e1;
  t97228 = t13952 * t1223 / 0.18e2;
  t97241 = t26650 * t14123 - t52940 * t11226 + t36004 * t11242 + t1815 * t83797 / 0.3e1 - 0.6e1 * t4772 * t70488 * t10119 + t7251 * t26778 * t17874 / 0.6e1 - t97226 + t97228 + t10777 * t1747 / 0.2e1 - t1242 * t14006 / 0.12e2 - t1247 * t14006 / 0.12e2 + t2844 * t26526 / 0.3e1 + 0.23e2 / 0.36e2 * t13908 * t76478 - 0.2e1 / 0.3e1 * t2844 * t26948;
  t97248 = t82874 / 0.18e2;
  t97249 = t82880 / 0.9e1;
  t97267 = t2844 * t75561 / 0.3e1 + 0.2e1 / 0.3e1 * t1779 * t52788 + t7600 * t2453 - t7587 * t10930 - t97248 + t97249 - t21748 * t17930 - t3266 * t69433 * t2323 - t3266 * t69423 * t2323 - t3266 * t14062 * t8976 - t21744 * t17932 / 0.2e1 - t21748 * t17932 / 0.2e1 + t26260 * t18174 / 0.2e1 - t1779 * t83882 / 0.6e1 + t7742 * t17260 / 0.3e1;
  t97277 = t82908 / 0.3e1;
  t97279 = t1218 * t14230 / 0.36e2;
  t97284 = t82925 / 0.6e1;
  t97285 = t82927 / 0.6e1;
  t97286 = t82929 / 0.6e1;
  t97287 = -t1779 * t91774 / 0.6e1 - 0.2e1 / 0.3e1 * t2844 * t75554 - t7228 * t17243 / 0.6e1 + t97277 + t87114 - t97279 - t417 * t71032 / 0.12e2 + t630 * t18048 / 0.4e1 - t97284 - t97285 - t97286 + t87152 - t87153 + t87154;
  t97304 = t69265 * t1255;
  t97305 = t1261 * t97304;
  t97309 = t1760 * t16167 / 0.18e2;
  t97320 = t87155 - t70846 * t1270 / 0.2e1 + t14011 * t1275 / 0.2e1 + 0.3e1 / 0.2e1 * t26784 * t14038 - t54113 * t1785 + t10777 * t1788 + 0.3e1 * t5286 * t13990 - 0.3e1 * t1228 * t14026 - 0.3e1 * t5286 * t14041 + 0.3e1 / 0.2e1 * t1228 * t14031 - t1252 * t97305 / 0.12e2 + t97309 - 0.3e1 / 0.2e1 * t4772 * t7690 * t788 * t97043 - t4772 * t1872 * t3562 * t97048 + 0.2e1 * t42312 * t4877 * t97182;
  t97323 = t824 * t2910 * t414;
  t97328 = t843 * t4748 * t14228;
  t97335 = t843 * t97304;
  t97339 = t7183 * t17260 / 0.9e1;
  t97340 = t637 * t17885;
  t97346 = t22052 * t17921 / 0.3e1;
  t97350 = t3051 * t17985;
  t97352 = t3051 * t17988 / 0.3e1;
  t97357 = t3266 * t7449 * t97323 / 0.2e1 - t211 * t97328 / 0.12e2 + t1228 * t14234 / 0.4e1 + t417 * t69271 / 0.12e2 + t1294 * t97335 / 0.6e1 + t97339 - t97340 - 0.2e1 * t4772 * t1876 * t3556 * t97105 + t97346 + 0.5e1 / 0.36e2 * t10757 * t26189 * t97044 + t97350 + t97352 - 0.11e2 / 0.18e2 * t13908 * t76611 - t13908 * t76481 / 0.2e1;
  t97358 = t1254 * t97304;
  t97362 = t1261 * t14009 * t1255;
  t97369 = t14187 * t2105;
  t97374 = t2851 * t8688;
  t97385 = t843 * t52780 * t1805;
  t97390 = t608 * t18051;
  t97391 = t97390 / 0.4e1;
  t97393 = t246 * t8897 * t14241;
  t97394 = t97393 / 0.4e1;
  t97399 = -t1252 * t97358 / 0.6e1 + t1252 * t97362 / 0.3e1 + t37284 * t17336 / 0.3e1 + t37275 * t17336 / 0.3e1 + t4772 * t519 * t3562 * t97369 / 0.2e1 + t4772 * t519 * t3562 * t97374 / 0.2e1 - t21744 * t17930 + t515 * t84529 / 0.6e1 + t7746 * t17260 / 0.3e1 - t211 * t97385 / 0.6e1 + t10777 * t1811 / 0.2e1 - t97391 - t97394 - t630 * t18056 / 0.4e1 - t608 * t18056 / 0.4e1;
  t97407 = t670 * t97030;
  t97413 = t2932 * t206;
  t97414 = t253 * t97413;
  t97415 = t4873 * t97414;
  t97436 = t17925 * t206;
  t97440 = -t246 * t7525 * t18055 / 0.4e1 - 0.7e1 * t70173 * t27595 + 0.14e2 / 0.3e1 * t10757 * t9845 * t97407 - t70173 * t87732 / 0.2e1 - t4872 * t97415 / 0.12e2 + t515 * t84510 / 0.6e1 + t13955 * t15211 / 0.3e1 - t36048 * t2444 - t14011 * t1286 / 0.4e1 - t36038 * t2444 - 0.3e1 / 0.2e1 * t13908 * t75260 - 0.3e1 * t4983 * t7680 * t3130 * t97043 + 0.3e1 * t4772 * t7680 * t3556 * t97043 - t4983 * t1876 * t22290 * t97436;
  t97447 = t37357 * t17945 / 0.36e2;
  t97476 = -0.2e1 * t69822 * t9971 - 0.28e2 * t79127 * t9845 * t97069 + t97447 + 0.4e1 * t69822 * t9967 + t69822 * t10169 + 0.6e1 * t4772 * t14318 * t9770 - 0.4e1 * t10838 * t4873 * t97407 - 0.2e1 * t69822 * t9960 + 0.2e1 / 0.3e1 * t7251 * t93415 - 0.6e1 * t4772 * t7680 * t689 * t97030 + 0.2e1 * t10838 * t4996 * t97118 - 0.6e1 * t97112 * t9864 - 0.4e1 / 0.3e1 * t7251 * t93384 + 0.23e2 / 0.18e2 * t10757 * t91731 + t2839 * t4750 / 0.6e1;
  t97480 = t4748 * t13899;
  t97490 = t83002 / 0.6e1;
  t97491 = t83004 / 0.6e1;
  t97492 = t83006 / 0.3e1;
  t97500 = t5234 * t2907 / 0.6e1;
  t97502 = t71248 * t432 / 0.12e2;
  t97503 = t637 * t18051;
  t97504 = t97503 / 0.12e2;
  t97505 = -t2839 * t4754 / 0.6e1 + t1815 * t843 * t97480 / 0.3e1 - t13915 * t8987 / 0.2e1 - t515 * t53391 / 0.6e1 - t1779 * t83877 / 0.6e1 - t97490 + t97491 + t97492 + 0.2e1 / 0.3e1 * t1779 * t52899 + 0.2e1 / 0.3e1 * t1779 * t54510 + t2844 * t27464 / 0.3e1 - t97500 + t97502 - t97504 - t87259;
  t97506 = 0.4e1 / 0.3e1 * t83024;
  t97511 = -t87261 - t75423 + t87262 + t87263 + t75438 + t87264 - t87265 - t87266 - t87267 - t87268 - t87269 + t87274 - t97506 - t26932 * t2899 / 0.2e1 - t27454 * t2899 / 0.2e1;
  t97517 = t1218 * t14006 / 0.36e2;
  t97530 = t2836 * t2105;
  t97531 = t670 * t97530;
  t97532 = t26847 * t97531;
  t97546 = -t97517 - t1755 * t10808 / 0.6e1 - t515 * t54480 / 0.6e1 + t7251 * t83249 / 0.6e1 + t7248 * t84477 / 0.6e1 - 0.5e1 / 0.18e2 * t10757 * t92810 + t7251 * t92352 / 0.3e1 - 0.14e2 / 0.3e1 * t26808 * t97532 + t21744 * t17921 - t4993 * t14120 * t8848 - t4993 * t69185 * t2318 - t4993 * t70161 * t2318 - t26896 * t17919 - t30 * t427 * t14110 / 0.4e1;
  t97561 = 0.11e2 / 0.9e1 * t83046;
  t97562 = 0.23e2 / 0.18e2 * t83048;
  t97566 = t83062 / 0.3e1;
  t97567 = t83064 / 0.3e1;
  t97568 = t83066 / 0.3e1;
  t97570 = -t182 * t17908 / 0.2e1 - t87301 - t87302 - 0.18e2 * t4983 * t70446 * t87327 + 0.6e1 * t4772 * t70446 * t88824 + 0.18e2 * t9877 * t70446 * t88931 + 0.14e2 / 0.3e1 * t26808 * t91726 * t53094 - t83043 - t97561 + t97562 + 0.5e1 * t4772 * t14318 * t8762 + t97566 + t97567 + t97568 + t3070 * t17988;
  t97577 = t4808 * t5284 * t69348;
  t97586 = t1226 * t69348;
  t97587 = t4851 * t97586;
  t97597 = t3061 * t17988 + t679 * t13885 * t76528 - t7592 * t2447 - 0.3e1 / 0.2e1 * t41080 * t97577 - t5286 * t13995 / 0.2e1 - t5286 * t13987 + t5286 * t13993 + t1228 * t13889 / 0.2e1 + 0.7e1 / 0.3e1 * t41080 * t97587 - t1228 * t13886 + t1228 * t14247 + 0.2e1 / 0.3e1 * t7251 * t91950 - t7251 * t83201 / 0.3e1 - t10757 * t93381;
  t97598 = t83081 / 0.2e1;
  t97610 = t3360 * t20239 * t414;
  t97625 = t4877 * t97531;
  t97632 = t1218 * t14400 / 0.18e2;
  t97634 = t7611 * t2450 / 0.6e1;
  t97636 = t7611 * t2447 / 0.3e1;
  t97637 = -t83072 - t97598 + t1755 * t17999 / 0.12e2 + t515 * t836 * t26512 * t2852 / 0.12e2 + 0.3e1 / 0.2e1 * t26808 * t26189 * t3156 * t97181 + t4993 * t7457 * t97610 / 0.2e1 - 0.18e2 * t9877 * t70494 * t48018 + t4772 * t1872 * t788 * t97105 - 0.3e1 / 0.2e1 * t4772 * t14313 * t8774 - t4772 * t2866 * t8779 + 0.1e2 / 0.3e1 * t42312 * t97625 + t3266 * t70983 * t2166 / 0.2e1 - t97632 - t97634 - t97636;
  t97663 = t17925 * t794;
  t97670 = t26405 * t670 * t14053 * t2105;
  t97673 = -0.2e1 * t3266 * t14120 * t47240 + 0.2e1 * t4993 * t14120 * t47245 + t2844 * t75558 / 0.3e1 - t87404 - t87405 - t87406 - t87407 + 0.3e1 * t3266 * t70312 * t48134 + t3266 * t14062 * t47251 - 0.4e1 * t42312 * t4873 * t3264 * t72115 * t414 + t3266 * t14062 * t42516 - t4772 * t1872 * t3562 * t97436 - 0.3e1 / 0.2e1 * t4772 * t519 * t22302 * t97663 + 0.2e1 / 0.3e1 * t20708 * t97670;
  t97675 = t3459 * t2910 * t2105;
  t97701 = 0.2e1 * t83104;
  t97705 = t18018 * t206;
  t97706 = t95 * t97705;
  t97710 = t3266 * t7361 * t97675 / 0.2e1 - 0.11e2 / 0.18e2 * t13908 * t75914 - t37275 * t17948 / 0.6e1 - t7254 * t20724 * t17874 / 0.6e1 + t10838 * t92349 - t7248 * t41871 * t17941 / 0.6e1 - t7248 * t8790 * t95 * t97369 / 0.6e1 - t7248 * t8790 * t95 * t97374 / 0.6e1 - t30 * t18153 * t277 / 0.4e1 + t97701 + t7251 * t43406 * t14125 / 0.6e1 + t7251 * t5175 * t97706 / 0.6e1 - t87415 - t87417 - t87418;
  t97717 = t7611 * t2462 / 0.6e1;
  t97745 = 0.2e1 / 0.3e1 * t7228 * t17525 + 0.2e1 / 0.3e1 * t7233 * t17525 + t97717 - t3266 * t69430 * t2166 / 0.2e1 - t3266 * t69427 * t2166 / 0.2e1 - t3266 * t14065 * t8963 / 0.2e1 - t36448 * t17341 / 0.6e1 - t36429 * t17341 / 0.6e1 - t7251 * t93219 / 0.6e1 - t7251 * t92047 / 0.6e1 - t7251 * t83238 / 0.6e1 - t13908 * t75830 / 0.2e1 + 0.7e1 / 0.3e1 * t69633 * t16659 - 0.5e1 / 0.36e2 * t70173 * t87514 - 0.35e2 / 0.108e3 * t97025 * t87511;
  t97746 = t30 * t70494;
  t97776 = 0.5e1 / 0.3e1 * t97746 * t9747 + 0.5e1 / 0.12e2 * t70173 * t89055 - 0.5e1 / 0.18e2 * t10757 * t9744 * t97118 + 0.5e1 / 0.18e2 * t70173 * t76396 + t71059 * t76399 / 0.6e1 + t7251 * t4877 * t97106 / 0.3e1 - 0.5e1 / 0.6e1 * t69822 * t8795 - t71059 * t76407 / 0.2e1 + t7251 * t4877 * t97706 / 0.12e2 - 0.11e2 / 0.9e1 * t10757 * t91727 + 0.2e1 * t10838 * t92218 + t7248 * t83959 / 0.6e1 + t7248 * t83964 / 0.6e1 - t87485 + t87486;
  t97780 = 0.3e1 * t83150;
  t97782 = t83174 / 0.3e1;
  t97783 = 0.5e1 / 0.18e2 * t83176;
  t97784 = t83178 / 0.6e1;
  t97791 = -t87487 + t87488 + t97780 + t36004 * t11164 + t87493 + t87494 - t87495 - t87496 + t97782 - t97783 - t97784 - 0.11e2 / 0.18e2 * t70173 * t89063 + 0.11e2 / 0.6e1 * t70173 * t87229 - 0.61e2 / 0.27e2 * t97025 * t88797;
  t97801 = 0.2e1 / 0.9e1 * t37357 * t17504;
  t97803 = t37357 * t17517 / 0.9e1;
  t97805 = t26535 * t17951 / 0.6e1;
  t97807 = t26467 * t17912 / 0.6e1;
  t97812 = t52565 * t10883;
  t97817 = t52331 * t52971;
  t97822 = t52327 * t10883;
  t97825 = -0.11e2 / 0.9e1 * t10757 * t9845 * t97118 + 0.22e2 / 0.3e1 * t97746 * t9860 + 0.3e1 / 0.2e1 * t26550 * t69452 * t16646 + t97801 - t97803 + t97805 - t97807 + t69822 * t9842 / 0.2e1 + t4882 * t69964 / 0.6e1 - t4872 * t97812 / 0.6e1 + t52942 * t10860 + t52942 * t10863 - 0.2e1 / 0.3e1 * t20708 * t97817 - t36004 * t10866 / 0.2e1 + t4761 * t97822 / 0.3e1;
  t97854 = t191 * t242 * t18152 * t243;
  t97857 = 0.3e1 * t52942 * t10841 - 0.3e1 * t630 * t17885 - 0.3e1 * t608 * t17885 + 0.3e1 / 0.2e1 * t246 * t14030 * t75614 + 0.3e1 / 0.2e1 * t630 * t17882 + 0.3e1 / 0.2e1 * t608 * t17882 - t3266 * t69407 * t15215 - t7254 * t84020 / 0.3e1 - t7248 * t84163 / 0.3e1 - t7254 * t83252 / 0.3e1 + t87607 - t5266 * t2907 / 0.2e1 + t5277 * t2915 / 0.2e1 + t97854 * t250 / 0.4e1;
  t97865 = t41761 * t14126;
  t97866 = t97865 / 0.6e1;
  t97868 = t637 * t17882 / 0.2e1;
  t97881 = 0.2e1 / 0.3e1 * t7251 * t91629 + 0.2e1 / 0.3e1 * t36429 * t17504 + t7251 * t83037 / 0.3e1 + t70173 * t75842 + t97866 + t87642 + t87643 + t87644 + t97868 + t515 * t52782 / 0.6e1 + t1815 * t84094 / 0.3e1 - t2844 * t26021 / 0.6e1 + t2844 * t26024 / 0.3e1 - t1779 * t1254 * t97480 / 0.3e1 + t13894 * t8749;
  t97884 = 0.3e1 * t83259;
  t97885 = 0.2e1 * t83265;
  t97886 = t83284 / 0.3e1;
  t97887 = t83286 / 0.6e1;
  t97892 = -t87659 + t87663 - t87664 - t87665 + t87668 - t97884 - t83262 + t97885 + t97886 + t97887 - t17872 + t16143 + t7254 * t93227 / 0.3e1 + t7254 * t93200 / 0.3e1;
  t97899 = t1261 * t97586;
  t97914 = t14187 * t414;
  t97919 = t2851 * t1237;
  t97931 = t7254 * t84137 / 0.3e1 + t37301 * t16229 / 0.6e1 + t37277 * t16229 / 0.6e1 - 0.2e1 * t41383 * t97899 - t1228 * t14254 / 0.2e1 + t1228 * t14250 / 0.2e1 + 0.3e1 / 0.2e1 * t1228 * t14266 - t1228 * t14263 + t26266 * t18174 / 0.2e1 + t4772 * t7670 * t18173 / 0.2e1 + t4772 * t1872 * t788 * t97914 / 0.2e1 + t4772 * t1872 * t788 * t97919 / 0.2e1 + t26260 * t17927 / 0.2e1 + t26266 * t17927 / 0.2e1 + t4772 * t1870 * t17926 / 0.2e1;
  t97946 = t26189 * t3156 * t97530;
  t97951 = t83301 / 0.3e1;
  t97952 = t83323 / 0.6e1;
  t97953 = t83327 / 0.2e1;
  t97954 = 0.2e1 / 0.3e1 * t83331;
  t97955 = t83335 / 0.2e1;
  t97958 = 0.6e1 * t83363;
  t97959 = t52942 * t10832 - 0.4e1 * t42312 * t52565 * t53094 - t36004 * t10835 + 0.2e1 * t4983 * t1876 * t3130 * t97105 - 0.3e1 * t4983 * t2870 * t75492 + 0.3e1 * t26808 * t97946 + t4993 * t69407 * t15163 + t97951 + t97952 - t97953 + t97954 + t97955 - t83337 + t1815 * t91854 / 0.3e1 + t97958;
  t97968 = t18018 * t794;
  t97980 = -t8624 + t8645 - t8647 - t83377 + t87713 + t87719 + t87722 - 0.3e1 * t26808 * t91730 * t83032 - t52940 * t10907 + t4772 * t1872 * t788 * t97705 / 0.2e1 + t4772 * t519 * t3562 * t97968 / 0.2e1 + t1770 * t11004 + 0.3e1 / 0.2e1 * t21524 * t18026 + t1770 * t11001 + 0.6e1 * t4983 * t14328 * t76442;
  t97996 = t4996 * t97414;
  t98000 = t4873 * t3264 * t97413;
  t98003 = t2932 * t648;
  t98004 = t98003 * t1250;
  t98026 = t95 * t97914;
  t98030 = -0.3e1 * t4772 * t14328 * t76446 - 0.5e1 * t4983 * t14318 * t42120 + t43351 * t14055 / 0.2e1 - t42708 * t14059 / 0.2e1 - t4872 * t97996 / 0.6e1 + t4872 * t98000 / 0.3e1 - t4993 * t98004 * t1269 / 0.2e1 + t3266 * t98004 * t1274 / 0.2e1 - t7251 * t4877 * t670 * t97914 / 0.3e1 - t7251 * t4877 * t670 * t97919 / 0.3e1 - t36429 * t17879 / 0.3e1 - t7251 * t26056 * t17878 / 0.3e1 - t36448 * t17879 / 0.3e1 + t7251 * t5175 * t98026 / 0.6e1;
  t98031 = t95 * t97919;
  t98036 = t26467 * t18174 / 0.6e1;
  t98048 = t37082 * t17942 / 0.18e2;
  t98053 = t83413 / 0.6e1;
  t98054 = t83415 / 0.6e1;
  t98055 = t83425 / 0.18e2;
  t98056 = t83433 / 0.6e1;
  t98057 = t83435 / 0.6e1;
  t98058 = t83441 / 0.2e1;
  t98059 = t7251 * t5175 * t98031 / 0.6e1 + t98036 - 0.2e1 / 0.3e1 * t71059 * t75117 + 0.2e1 * t71059 * t75127 - 0.23e2 / 0.18e2 * t70173 * t75130 - 0.4e1 / 0.3e1 * t7251 * t4877 * t670 * t97105 - t98048 - t4772 * t1876 * t3556 * t97705 / 0.2e1 - t8720 - t98053 - t98054 - t98055 - t98056 - t98057 + t98058;
  t98061 = t83443 / 0.2e1;
  t98062 = t83445 / 0.6e1;
  t98072 = t188 * t17908 / 0.6e1;
  t98074 = t188 * t17905 / 0.12e2;
  t98076 = t637 * t18048 / 0.12e2;
  t98085 = t98061 + t98062 - t30 * t11149 * t544 / 0.2e1 - t182 * t17905 / 0.4e1 - t30 * t1341 * t2933 / 0.4e1 - t98072 - t98074 - t17902 + t17903 + t98076 + t2844 * t75737 / 0.6e1 + t2844 * t75730 / 0.6e1 - t417 * t69267 / 0.12e2 - t69633 * t16656 / 0.2e1;
  t98095 = t637 * t18056 / 0.12e2;
  t98108 = t3051 * t17888;
  t98112 = t1261 * t10775 * t37476;
  t98115 = -t13908 * t88721 / 0.2e1 + 0.23e2 / 0.36e2 * t69633 * t16629 + 0.23e2 / 0.36e2 * t13908 * t88486 + 0.23e2 / 0.36e2 * t13908 * t75512 - t98095 - 0.11e2 / 0.18e2 * t13908 * t87089 + 0.3e1 / 0.2e1 * t3167 * t14030 * t75937 - 0.11e2 / 0.18e2 * t69633 * t16640 + 0.3e1 / 0.2e1 * t21529 * t18026 - t17904 - t7248 * t82972 / 0.3e1 - t7600 * t2447 - t98108 + t10777 * t1802 / 0.2e1 + 0.2e1 / 0.3e1 * t3396 * t98112;
  t98141 = t3130 * t17873;
  t98147 = 0.2e1 / 0.3e1 * t36448 * t17504 - t87792 + t87793 - t87794 - t7251 * t93389 / 0.3e1 + t83513 - t4772 * t7665 * t17911 / 0.2e1 - t4772 * t1876 * t3556 * t97914 / 0.2e1 - t26266 * t17912 / 0.2e1 - t26260 * t17912 / 0.2e1 + t4983 * t1876 * t3130 * t97919 / 0.2e1 + t4983 * t1876 * t3130 * t97914 / 0.2e1 + t4983 * t7665 * t98141 / 0.2e1 + t26263 * t17951 / 0.2e1;
  t98157 = t4772 * t2118 * t13936;
  t98158 = t98157 / 0.2e1;
  t98159 = t2084 * t2851;
  t98161 = t4877 * t670 * t98159;
  t98162 = t20708 * t98161;
  t98163 = t98162 / 0.3e1;
  t98165 = t3266 * t42286 * t2911;
  t98166 = t98165 / 0.4e1;
  t98170 = t52565 * t17503;
  t98173 = t3156 * t97068;
  t98177 = t26257 * t17951 / 0.2e1 - t7254 * t3273 * t98026 / 0.6e1 - t7254 * t3273 * t98031 / 0.6e1 + t98158 - t98163 - t98166 - t87832 - t87833 + t87834 + t87835 - t87836 - t36004 * t10857 - t36004 * t10879 / 0.2e1 + 0.2e1 / 0.3e1 * t20708 * t98170 - 0.62e2 / 0.3e1 * t79576 * t47807 * t98173;
  t98196 = t4877 * t3264 * t72115 * t2105;
  t98203 = t37183 * t2444 / 0.3e1;
  t98205 = t69683 * t16910 / 0.2e1;
  t98212 = -0.3e1 * t4993 * t69452 * t16651 + 0.9e1 * t4983 * t14328 * t88693 - 0.6e1 * t4983 * t7686 * t3125 * t97030 - 0.18e2 * t4772 * t70494 * t9885 - t87841 + t8741 + t3266 * t14065 * t42508 - 0.2e1 / 0.3e1 * t20708 * t98196 + t10838 * t92454 + t7251 * t92468 / 0.3e1 - t98203 - t98205 - t1779 * t82735 / 0.3e1 - t1242 * t14400 / 0.6e1 - t1247 * t14400 / 0.6e1;
  t98235 = t42408 * t14278;
  t98236 = t98235 / 0.6e1;
  t98245 = -t417 * t70279 / 0.6e1 - t417 * t70274 / 0.6e1 + 0.6e1 * t97746 * t9854 + 0.3e1 / 0.2e1 * t70173 * t88794 + 0.44e2 / 0.27e2 * t97025 * t87183 + 0.23e2 / 0.36e2 * t70173 * t88850 - 0.23e2 / 0.12e2 * t70173 * t88682 + 0.23e2 / 0.18e2 * t10757 * t9744 * t97407 - 0.23e2 / 0.3e1 * t97746 * t9857 - 0.9e1 / 0.2e1 * t9877 * t14328 * t88507 - t98236 + 0.11e2 / 0.9e1 * t70173 * t75524 + t71059 * t75527 / 0.3e1 - t71059 * t75521 + 0.2e1 / 0.3e1 * t7251 * t5175 * t97106;
  t98251 = 0.2e1 / 0.3e1 * t83539;
  t98252 = t83541 / 0.3e1;
  t98253 = t83549 / 0.3e1;
  t98257 = t71099 * t2271 / 0.6e1;
  t98259 = t69683 * t16656 / 0.6e1;
  t98260 = -0.5e1 / 0.3e1 * t69822 * t8767 + t98251 - t98252 + t88431 + t88432 + t83547 - t88433 - t88434 - t98253 - t83551 + t17954 - t417 * t71028 / 0.12e2 + t98257 - t98259;
  t98262 = 0.23e2 / 0.108e3 * t69683 * t16629;
  t98264 = 0.11e2 / 0.54e2 * t69683 * t16640;
  t98266 = t13952 * t2108 / 0.18e2;
  t98268 = t71531 * t2268 / 0.6e1;
  t98270 = 0.5e1 / 0.108e3 * t69683 * t16613;
  t98272 = t13943 * t15094 / 0.18e2;
  t98274 = t1760 * t18021 / 0.36e2;
  t98276 = t1760 * t17999 / 0.36e2;
  t98295 = t98262 - t98264 - t98266 - t98268 - t98270 + t98272 + t98274 + t98276 + t515 * t836 * t4748 * t14188 / 0.12e2 + t14011 * t1290 / 0.4e1 + t1750 * t18021 / 0.12e2 + t1755 * t18021 / 0.12e2 + t515 * t836 * t3389 * t18019 / 0.12e2 + t36448 * t17945 / 0.12e2 + t36429 * t17945 / 0.12e2;
  t98318 = t7276 * t17273 / 0.9e1;
  t98320 = 0.7e1 / 0.9e1 * t69683 * t16659;
  t98327 = t7251 * t26056 * t17874 / 0.12e2 + t7251 * t4877 * t98026 / 0.12e2 + t7251 * t4877 * t98031 / 0.12e2 - t37284 * t17948 / 0.6e1 - t7251 * t26400 * t97049 / 0.2e1 + t7251 * t5175 * t97155 / 0.6e1 + t7251 * t26405 * t670 * t97048 + t17955 - t17957 - t98318 + t98320 - t13915 * t8833 / 0.2e1 - t13966 * t2108 / 0.6e1 + t608 * t18048 / 0.4e1;
  t98338 = t95 * t97436;
  t98361 = t53031 * t10883;
  t98370 = t246 * t70144 * t420 * t249 / 0.4e1 + t246 * t14228 * t1310 * t249 / 0.4e1 + t7251 * t84147 / 0.6e1 + t7254 * t8790 * t98338 / 0.3e1 + t7248 * t42389 * t95 * t97663 / 0.2e1 - t7251 * t26405 * t98338 / 0.6e1 + 0.36e2 * t4983 * t70494 * t48029 - 0.3e1 * t9877 * t14328 * t76430 + 0.6e1 * t52936 * t10912 - 0.6e1 * t52942 * t11239 + t52936 * t11208 - t52942 * t11211 - t4872 * t98361 / 0.3e1 + 0.3e1 / 0.2e1 * t3266 * t69452 * t16905 + 0.47e2 / 0.3e1 * t79576 * t26189 * t97069;
  t98374 = t4772 * t9045 * t13931;
  t98375 = t98374 / 0.2e1;
  t98407 = t98375 + t17973 - t8811 - t30 * t2436 * t1855 / 0.2e1 - t10757 * t93572 + 0.14e2 / 0.3e1 * t10757 * t94110 - 0.3e1 * t10757 * t93249 + 0.3e1 * t26550 * t70108 * t48874 - 0.6e1 * t4993 * t70108 * t48248 + 0.3e1 * t3266 * t70108 * t48862 - 0.23e2 / 0.36e2 * t10757 * t26189 * t670 * t97043 - t10838 * t5175 * t97044 - 0.3e1 / 0.2e1 * t9877 * t7686 * t20876 * t97043 + 0.3e1 * t4983 * t7686 * t20862 * t97043;
  t98417 = t83673 / 0.3e1;
  t98418 = t83675 / 0.3e1;
  t98419 = t83677 / 0.3e1;
  t98424 = t222 * t18154;
  t98447 = t15109 - 0.24e2 * t69699 * t47430 + 0.32e2 / 0.3e1 * t69704 * t48248 - 0.4e1 * t14169 * t43309 + 0.12e2 * t69704 * t48862 + 0.2e1 * t521 * t8963 + 0.2e1 / 0.3e1 * t8685 * t13986 + 0.2e1 / 0.3e1 * t41431 * t14160 + t75277 - t75280 + t75299 + 0.4e1 / 0.3e1 * t69722 * t2318 + 0.4e1 / 0.3e1 * t14169 * t8848;
  t98466 = -0.2e1 * t69726 * t2166 - 0.2e1 * t14172 * t8963 + 0.4e1 * t69722 * t2331 + 0.4e1 * t14169 * t8968 - 0.4e1 * t10912 - 0.4e1 / 0.3e1 * t10905 + 0.2e2 / 0.9e1 * t11232 + 0.8e1 * t11171 - 0.12e2 * t10841 - 0.4e1 * t10832 - 0.4e1 * t10860 - 0.4e1 * t10863 - 0.4e1 * t69710 * t2323;
  t98485 = -0.4e1 * t14166 * t8976 - 0.4e1 * t69757 * t2331 - 0.4e1 * t14184 * t8968 + 0.4e1 * t69781 * t2323 + 0.4e1 * t14179 * t8976 + 0.2e1 * t1884 * t2166 + t75318 - 0.2e1 / 0.3e1 * t11208 + 0.24e2 * t11239 + 0.4e1 * t11211 - 0.12e2 * t11214 + 0.4e1 / 0.3e1 * t11236 - t15121;
  t98504 = 0.12e2 * t69715 * t48134 + 0.4e1 * t14166 * t47251 - 0.8e1 * t69699 * t48143 - 0.8e1 / 0.3e1 * t14169 * t47245 + 0.16e2 / 0.9e1 * t69704 * t48874 + 0.4e1 * t14166 * t42516 + 0.4e1 * t14172 * t42508 - 0.4e1 / 0.3e1 * t14169 * t43320 - 0.8e1 * t14169 * t47240 + t75338 - t75344 - t75347 + t75349;
  t98506 = t98447 + t98466 + t98485 + t98504;
  t98515 = t13943 * t15211 / 0.9e1;
  t98516 = -0.3e1 / 0.2e1 * t4772 * t7686 * t22290 * t97043 - 0.5e1 / 0.18e2 * t10757 * t92465 - t11019 * t92457 - t7254 * t92462 / 0.3e1 - t98417 - t98418 - t98419 - t8829 + 0.7e1 / 0.3e1 * t70173 * t26254 - t5277 * t2907 / 0.2e1 - t211 * t98424 / 0.12e2 - 0.3e1 / 0.2e1 * t13908 * t88604 + t515 * t836 * t837 * t94 * t98506 / 0.12e2 + t13955 * t15094 / 0.6e1 + t98515;
  t98535 = t83755 / 0.9e1;
  t98536 = -0.3e1 / 0.2e1 * t69633 * t16910 + t36429 * t17875 / 0.6e1 + t36448 * t17875 / 0.6e1 + t3266 * t14120 * t8968 + t3266 * t69185 * t2331 + t3266 * t70161 * t2331 + 0.3e1 * t4772 * t7686 * t3130 * t97030 + t16698 - t16699 + t16700 - t16701 + t16704 + t16705 + t69647 * t2276 - t98535;
  t98537 = 0.2e1 / 0.9e1 * t83758;
  t98544 = t13943 * t5281 / 0.9e1;
  t98562 = t98537 + t13894 * t10144 - t83766 + t83768 - t13955 * t5229 / 0.12e2 - t2844 * t26868 / 0.12e2 + t98544 + t14011 * t1239 / 0.4e1 + t13955 * t5281 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t14265 * t8976 + t5277 * t2903 / 0.2e1 + t5266 * t2903 / 0.2e1 + t1228 * t13978 / 0.2e1 + t1228 * t13982 / 0.2e1 + t7592 * t2462 / 0.2e1;
  t98581 = t26396 * t17919 / 0.3e1;
  t98582 = t83787 / 0.18e2;
  t98583 = 0.2e1 / 0.3e1 * t83791;
  t98584 = 0.2e1 / 0.3e1 * t83793;
  t98585 = 0.2e1 / 0.3e1 * t83795;
  t98586 = t7600 * t2462 / 0.2e1 - t14011 * t1282 / 0.2e1 - t37301 * t17942 / 0.6e1 - t37277 * t17942 / 0.6e1 - t182 * t18154 / 0.4e1 - 0.9e1 / 0.2e1 * t4772 * t14328 * t87596 - t98581 - t98582 + t98583 + t98584 + t98585 + t83809 + t83811 - t88574;
  t98595 = t41697 * t71561;
  t98602 = t2087 * t14190;
  t98603 = t98602 / 0.12e2;
  t98611 = t7276 * t17243 / 0.18e2;
  t98613 = 0.2e1 / 0.9e1 * t13943 * t15209;
  t98614 = -t10777 * t1798 / 0.2e1 - t10777 * t1793 - t3266 * t7361 * t18055 / 0.4e1 + t42708 * t13937 / 0.2e1 - t20708 * t98595 / 0.3e1 - t26650 * t13940 / 0.4e1 + 0.2e1 / 0.3e1 * t7251 * t91634 + t98603 + t1750 * t17999 / 0.12e2 - t88612 - t88613 - 0.5e1 / 0.36e2 * t69633 * t16613 - 0.5e1 / 0.36e2 * t13908 * t87458 - t98611 - t98613;
  t98623 = t1760 * t10965 / 0.18e2;
  t98625 = 0.2e1 / 0.3e1 * t71099 * t2282;
  t98627 = t71099 * t2276 / 0.3e1;
  t98629 = 0.2e1 / 0.9e1 * t7276 * t17525;
  t98648 = -0.5e1 / 0.36e2 * t13908 * t75063 - t69818 * t2268 / 0.2e1 - t13915 * t9785 / 0.2e1 - t98623 - t98625 + t98627 + t98629 - t7251 * t83819 / 0.3e1 - t7251 * t91905 / 0.3e1 - t7251 * t92523 / 0.3e1 - t36448 * t17517 / 0.3e1 - t36429 * t17517 / 0.3e1 - t4772 * t1876 * t3556 * t97919 / 0.2e1 + 0.3e1 * t9877 * t7686 * t3168 * t97030;
  t98655 = t52501 * t530 / 0.6e1;
  t98657 = t27552 * t2899 / 0.6e1;
  t98659 = t5234 * t2915 / 0.6e1;
  t98671 = t5234 * t2903 / 0.6e1;
  t98676 = t10757 * t26405 * t97044 / 0.2e1 - t1750 * t10808 / 0.6e1 + t98655 - t98657 + t98659 + t70016 * t432 / 0.4e1 + t69303 * t432 / 0.4e1 - t417 * t69298 / 0.12e2 - t13955 * t5291 / 0.6e1 - t2844 * t27457 / 0.6e1 + t16764 - t16765 + t98671 - t1242 * t14230 / 0.12e2 - t1247 * t14230 / 0.12e2;
  t98685 = t8622 * t2854;
  t98686 = t98685 / 0.36e2;
  t98704 = t8874 + t8877 - t1779 * t82681 / 0.3e1 + t42708 * t13932 / 0.2e1 + t7254 * t92310 / 0.3e1 + t98686 - t5266 * t2912 / 0.4e1 - t1228 * t14237 / 0.4e1 - t1228 * t14242 / 0.4e1 + 0.3e1 / 0.2e1 * t630 * t18066 + 0.3e1 / 0.2e1 * t608 * t18066 + t630 * t18061 / 0.2e1 + t608 * t18061 / 0.2e1 + t246 * t14249 * t8963 / 0.2e1;
  t98717 = t37357 * t17875 / 0.18e2;
  t98735 = -t5277 * t2912 / 0.4e1 - t246 * t1797 * t824 * t221 * t98506 / 0.4e1 - t630 * t18059 - t608 * t18059 - t246 * t13885 * t75565 + t98717 + t13894 * t10187 / 0.2e1 + t13894 * t8703 / 0.2e1 - t1750 * t10965 / 0.6e1 - 0.2e1 * t69647 * t2282 - 0.2e1 * t13894 * t9837 - 0.2e1 * t13894 * t8980 + t13894 * t8696 - 0.2e1 / 0.3e1 * t13955 * t15209 - t1755 * t10965 / 0.6e1;
  t98738 = t13943 * t5229 / 0.36e2;
  t98765 = t1760 * t10808 / 0.18e2;
  t98766 = -t98738 + t13966 * t1223 / 0.6e1 + 0.2e1 * t10838 * t93484 + t7251 * t83661 / 0.3e1 - t7251 * t26400 * t98338 / 0.3e1 + 0.11e2 / 0.18e2 * t10757 * t26847 * t97044 + t4772 * t1876 * t22309 * t97436 + 0.6e1 * t4993 * t69526 * t48143 - 0.6e1 * t3266 * t69526 * t47430 + t18044 - t16279 - t16282 + t54162 * t530 / 0.2e1 + t54156 * t530 / 0.2e1 - t98765;
  t98768 = t13943 * t5291 / 0.18e2;
  t98769 = 0.4e1 * t83949;
  t98770 = 0.3e1 * t83955;
  t98791 = -t98768 - t83945 - t98769 + t83952 + t98770 + t1770 * t10994 / 0.2e1 + t1770 * t10998 / 0.2e1 + 0.3e1 * t3070 * t17985 + 0.3e1 * t3061 * t17985 + 0.3e1 * t679 * t13989 * t8848 - 0.3e1 * t679 * t14030 * t75708 - t18053 - 0.38e2 / 0.9e1 * t97025 * t87226 + 0.89e2 / 0.9e1 * t97025 * t87343 - 0.2e1 * t97025 * t88928;
  t98811 = t84011 / 0.3e1;
  t98812 = t84013 / 0.3e1;
  t98820 = t4983 * t9020 * t71371;
  t98821 = t98820 / 0.2e1;
  t98822 = -t69822 * t10110 + t10838 * t4873 * t97118 - t71614 * t8800 / 0.6e1 - t10757 * t4877 * t97118 - 0.3e1 * t3061 * t17888 - 0.3e1 * t246 * t13989 * t8968 - 0.3e1 * t3070 * t17888 - t515 * t54256 / 0.6e1 - t98811 - t98812 + 0.18e2 * t79127 * t9744 * t98173 + 0.3e1 * t4993 * t70006 * t2318 - t16789 + t98821;
  t98824 = t4772 * t9020 * t14058;
  t98825 = t98824 / 0.2e1;
  t98839 = 0.4e1 / 0.3e1 * t84171;
  t98840 = 0.2e1 / 0.9e1 * t84173;
  t98841 = 0.12e2 * t84179;
  t98842 = 0.4e1 * t84181;
  t98843 = 0.4e1 * t84183;
  t98856 = t2869 * t27404;
  t98859 = t14357 * t1237;
  t98863 = t8999 * t1745;
  t98867 = t9996 * t1745;
  t98873 = t98839 - t98840 + t98841 + t98842 + t98843 + 0.2e1 * t36100 * t233 * t97436 + 0.3e1 * t53473 * t233 * t97663 + 0.2e1 * t36100 * t233 * t97048 + 0.3e1 * t36105 * t233 * t97043 + 0.12e2 * t98856 * t76085 - 0.2e1 * t7651 * t815 * t98859 - 0.8e1 * t7651 * t815 * t98863 + t87947 - 0.2e1 / 0.9e1 * t11072 * t3590 * t98867 + t70373 * t88408 / 0.3e1;
  t98874 = t70445 * t48410;
  t98877 = t42887 * t14362;
  t98878 = 0.2e1 * t98877;
  t98879 = t2869 * t48706;
  t98887 = t2865 * t27418;
  t98892 = t802 * t98867;
  t98897 = t14327 * t48416;
  t98903 = t2865 * t48521;
  t98912 = -t98874 * t88117 / 0.9e1 + t98878 - 0.12e2 * t98879 * t9998 + 0.4e1 * t7655 * t233 * t98863 - 0.6e1 * t70364 * t9078 - 0.4e1 * t98887 * t9084 - 0.1e2 / 0.3e1 * t70384 * t9087 + 0.4e1 * t11079 * t98892 - 0.4e1 * t70384 * t10017 + 0.4e1 / 0.3e1 * t98897 * t10083 + 0.12e2 * t11143 * t233 * t98867 - 0.24e2 * t98903 * t10095 - 0.6e1 * t70364 * t10098 + 0.72e2 * t98879 * t10003 + 0.2e2 * t70384 * t9001;
  t98930 = t18094 * t206;
  t98933 = t9020 * t14331;
  t98934 = 0.8e1 * t98897 * t10006 + 0.36e2 * t70494 * t10046 - 0.12e2 * t70446 * t88240 + 0.5e2 / 0.3e1 * t70446 * t88091 - 0.4e2 * t70494 * t10039 + 0.1e2 / 0.3e1 * t70446 * t88096 + 0.6e1 * t14328 * t76133 - 0.36e2 * t70499 * t10042 + t1876 * t3556 * t98930 + t98933 - t88056 + t88058 - t88059 + t88060 + t88061;
  t98958 = t88062 + t88063 + t88064 + t88065 - t1872 * t788 * t98930 + t88071 - t519 * t3562 * t14339 * t2105 + t36092 * t48556 * t97043 / 0.9e1 - 0.4e1 * t36100 * t43071 * t97436 - 0.6e1 * t53473 * t43071 * t97663 - t1870 * t18130 - t14328 * t76241 / 0.9e1 - t14328 * t76257 / 0.9e1 + 0.6e1 * t14318 * t9005 - 0.3e1 * t14328 * t76326;
  t98974 = t14339 * t414;
  t98979 = t2298 * t1745;
  t98986 = t2883 * t1237;
  t98994 = 0.24e2 * t98874 * t10006 + 0.8e1 / 0.3e1 * t98874 * t10083 - 0.1e2 * t14328 * t88414 - t14328 * t88079 / 0.6e1 - 0.12e2 * t14318 * t9057 + 0.6e1 * t14328 * t76184 + t7665 * t18077 + t1876 * t3556 * t98974 - 0.2e1 / 0.3e1 * t14328 * t76006 + 0.2e2 / 0.3e1 * t7686 * t3125 * t98979 - t519 * t3562 * t2883 * t8688 + t1876 * t3556 * t98986 - t1872 * t788 * t98974 - t1872 * t788 * t98986 - t1870 * t18086;
  t99009 = t70423 * t414;
  t99013 = t2118 * t14340;
  t99014 = t99013 / 0.2e1;
  t99026 = -0.6e1 * t36194 * t815 * t97043 + 0.12e2 * t11072 * t98892 - 0.72e2 * t98897 * t9998 - 0.18e2 * t70373 * t10017 - 0.4e1 / 0.3e1 * t11072 * t3580 * t98867 + 0.2e1 * t70373 * t88181 + 0.2e1 * t7655 * t233 * t99009 - t18070 - t18071 + t99014 + t1870 * t18095 / 0.2e1 - 0.2e1 / 0.3e1 * t1876 * t3130 * t98974 - t519 * t3562 * t18094 * t794 - 0.4e1 * t2870 * t76003 - t7670 * t18083;
  t99041 = 0.6e1 * t84235;
  t99042 = 0.4e1 * t84243;
  t99043 = 0.8e1 * t84248;
  t99044 = 0.2e1 / 0.3e1 * t84254;
  t99045 = t84256 / 0.9e1;
  t99046 = 0.12e2 * t84258;
  t99047 = 0.2e1 * t7655 * t233 * t98859 + t36114 * t18119 / 0.3e1 + t7651 * t802 * t99009 / 0.3e1 + t7651 * t802 * t98859 / 0.3e1 + 0.2e1 * t36069 * t18122 - t99041 - t99042 - t99043 - t99044 + t99045 + t99046 - t76171 - t76173 - t76175 - t88139;
  t99051 = t43067 * t97043;
  t99083 = 0.8e1 * t84264;
  t99084 = t88140 - 0.2e1 / 0.3e1 * t36191 * t43067 * t97436 - 0.2e1 * t36194 * t99051 - t36191 * t43067 * t97048 + 0.2e1 * t11138 * t233 * t14357 * t8688 - 0.4e1 / 0.3e1 * t2870 * t76309 + t14328 * t76168 / 0.18e2 + 0.1e2 / 0.3e1 * t14328 * t76149 - t519 * t788 * t63 * t98506 + 0.4e1 * t36191 * t43075 * t97436 + 0.2e1 / 0.3e1 * t36092 * t48591 * t97043 + 0.12e2 * t36194 * t43075 * t97043 + 0.6e1 * t36191 * t43075 * t97048 - 0.6e1 * t36092 * t99051 - t99083;
  t99095 = t42744 * t14359;
  t99096 = 0.2e1 * t99095;
  t99097 = t62 * t18018;
  t99098 = t99097 * t206;
  t99122 = t802 * t97043;
  t99125 = -0.2e1 / 0.3e1 * t1876 * t3130 * t98986 + 0.4e1 / 0.3e1 * t70373 * t76200 - 0.4e1 / 0.3e1 * t98874 * t88184 - t99096 - 0.2e1 * t7651 * t815 * t99098 - 0.1e2 / 0.3e1 * t36092 * t3580 * t97043 + 0.2e1 * t53457 * t18126 - t36092 * t3590 * t97043 / 0.18e2 + 0.4e1 / 0.3e1 * t7651 * t802 * t98863 - 0.2e1 * t98856 * t76057 + 0.2e1 / 0.9e1 * t70373 * t76060 - 0.2e1 * t36191 * t815 * t97436 - 0.12e2 * t70373 * t9087 + 0.3e1 * t36092 * t99122 - t88165;
  t99126 = t9045 * t14292;
  t99127 = t2118 * t14295;
  t99128 = t76113 * t14366;
  t99129 = 0.2e1 * t99128;
  t99130 = t42744 * t14369;
  t99131 = t99130 / 0.3e1;
  t99139 = t2141 * t1745;
  t99145 = 0.2e1 * t11138 * t233 * t99097 * t794 + 0.4e1 * t1876 * t3556 * t99139 + 0.2e1 * t7655 * t233 * t99098 - 0.6e1 * t2870 * t76033 - t15239 - t16809 - t16810 + t16812 - t88166 - t88167 + t88168 - t99126 - t99127 + t99129 + t99131;
  t99154 = 0.6e1 * t84303;
  t99178 = -0.24e2 * t11079 * t815 * t98867 - 0.2e1 * t1872 * t788 * t99139 - 0.6e1 * t7690 * t229 * t98979 - 0.3e1 * t36191 * t815 * t97048 - 0.2e1 * t7651 * t815 * t99009 + 0.24e2 * t70384 * t10012 + 0.12e2 * t70488 * t10059 + 0.3e1 * t14313 * t10062 - 0.3e1 * t14313 * t9010 - 0.4e1 * t14318 * t9116 - 0.2e1 * t36114 * t18116 - t2866 * t9110 + 0.2e1 * t2870 * t76323 + t18089 - t99154;
  t99189 = 0.4e1 * t84313;
  t99190 = 0.2e2 / 0.3e1 * t84319;
  t99191 = 0.2e1 * t84328;
  t99192 = 0.4e1 * t84329;
  t99193 = -0.4e1 * t36100 * t43071 * t97048 - 0.6e1 * t36105 * t43071 * t97043 + 0.3e1 * t14313 * t9062 + 0.2e1 * t2866 * t9065 + t18114 + t88254 - t88255 + t9022 - t9047 - t9048 - t9050 + t99189 + t99190 - t99191 + t99192;
  t99212 = 0.2e1 * t84353;
  t99213 = 0.4e1 / 0.3e1 * t84354;
  t99214 = 0.2e1 * t84356;
  t99215 = -t76261 - t88258 - t88259 + t88260 - t88261 + t76295 - 0.2e2 / 0.3e1 * t14328 * t76036 - 0.8e1 / 0.3e1 * t1876 * t3130 * t99139 + 0.4e1 * t2870 * t76051 - 0.1e2 * t14318 * t9017 + 0.4e1 / 0.3e1 * t36191 * t802 * t97436 + t519 * t788 * t60 * t98506 / 0.2e1 - t99212 + t99213 + t99214;
  t99237 = -0.8e1 * t7680 * t683 * t98979 + t7686 * t3168 * t98979 / 0.9e1 + 0.8e1 * t14318 * t10056 - t88317 - t88318 + t18135 + t18136 - t18137 - t76314 + t88333 - 0.2e1 / 0.3e1 * t1876 * t3130 * t98930 - 0.2e1 / 0.3e1 * t7665 * t18132 + 0.12e2 * t7680 * t689 * t98979 - 0.6e1 * t7686 * t3130 * t98979 + 0.9e1 * t14328 * t88401;
  t99239 = 0.8e1 / 0.3e1 * t84422;
  t99248 = 0.24e2 * t84424;
  t99249 = 0.4e1 / 0.3e1 * t84426;
  t99250 = 0.12e2 * t84436;
  t99255 = t9020 * t14301;
  t99256 = 0.2e1 / 0.3e1 * t99255;
  t99257 = -t99239 + t7651 * t802 * t99098 / 0.3e1 + 0.4e1 * t36194 * t99122 + 0.2e1 * t36191 * t802 * t97048 - t18149 - t99248 - t99249 + t99250 + 0.2e1 * t11138 * t233 * t70423 * t2105 + t16880 - t15274 + t15282 + t16881 - t99256 - t2138;
  t99260 = t2118 * t14299;
  t99275 = -0.12e2 * t14318 * t10029 + t9091 + t9093 - t9100 + t76339 + t88407 + t9121 - t99260 + 0.2e1 / 0.3e1 * t2870 * t76255 + 0.2e2 / 0.3e1 * t14318 * t9054 + 0.2e1 * t14318 * t9035 - 0.2e1 / 0.3e1 * t70494 * t10052 + 0.6e1 * t14313 * t9069 + 0.24e2 * t70499 * t10068 + 0.2e1 * t2866 * t9052 + t2119;
  t99286 = t4877 * t670 * t512 * t18018;
  t99293 = t22052 * t17932 / 0.6e1;
  t99295 = t22052 * t17930 / 0.3e1;
  t99297 = t26467 * t17927 / 0.6e1;
  t99298 = -t98825 + t4983 * t1876 * t3130 * t97705 / 0.2e1 - 0.3e1 * t3266 * t70006 * t2331 - t7251 * t83243 / 0.6e1 + t7254 * t83246 / 0.3e1 + t7248 * t53817 / 0.6e1 - t30 * t59 * (t98873 + t98912 + t98934 + t98958 + t98994 + t99026 + t99047 + t99084 + t99125 + t99145 + t99178 + t99193 + t99215 + t99237 + t99257 + t99275) * t95 / 0.4e1 - t20708 * t99286 / 0.3e1 - t11019 * t91936 - t7251 * t92816 / 0.6e1 - t99293 - t99295 + t99297 - t16889 - t16890;
  t99301 = t188 * t18154 / 0.12e2;
  t99317 = 0.14e2 / 0.3e1 * t84070;
  t99318 = 0.2e1 * t84073;
  t99319 = -t8896 - t8900 - t99301 - t88780 - t2844 * t26288 / 0.12e2 - 0.5e1 / 0.36e2 * t13908 * t75066 + t2844 * t27584 / 0.6e1 - t1779 * t1261 * t97480 / 0.6e1 + t13894 * t8992 / 0.2e1 + t1750 * t16167 / 0.6e1 + t1755 * t16167 / 0.6e1 + t84067 + t99317 - t99318;
  t99320 = 0.6e1 * t84075;
  t99321 = t41850 * t72116;
  t99324 = t84090 / 0.6e1;
  t99325 = t84092 / 0.6e1;
  t99336 = -t99320 + t8913 + t8915 - t8939 + 0.2e1 / 0.3e1 * t20708 * t99321 - t8952 + t8954 - t99324 - t99325 - t7233 * t17243 / 0.6e1 - 0.2e1 / 0.3e1 * t2844 * t75551 - t515 * t54033 / 0.6e1 + t88853 + t88854 + 0.3e1 * t4772 * t7690 * t229 * t97030;
  t99340 = t5234 * t2912 / 0.12e2;
  t99342 = t21994 * t18026 / 0.2e1;
  t99344 = t637 * t18061 / 0.6e1;
  t99346 = t7611 * t2453 / 0.3e1;
  t99348 = t637 * t18059 / 0.3e1;
  t99350 = t637 * t18066 / 0.2e1;
  t99370 = t8974 - t99340 + t99342 + t99344 + t99346 - t99348 + t99350 + t88863 - t88864 + 0.6e1 * t4983 * t7680 * t683 * t97030 - 0.6e1 * t4983 * t14318 * t4987 + t7248 * t3273 * t253 * t276 * t18018 / 0.12e2 - t7254 * t3273 * t97706 / 0.6e1 - t7248 * t8790 * t95 * t97968 / 0.6e1;
  t99383 = t41761 * t14281;
  t99384 = t99383 / 0.12e2;
  t99385 = t42408 * t14271;
  t99386 = t99385 / 0.12e2;
  t99387 = t42342 * t14274;
  t99388 = t99387 / 0.6e1;
  t99393 = t69462 * t415;
  t99397 = t4762 * t97414;
  t99403 = t7251 * t41697 * t14125 / 0.12e2 + t7248 * t26645 * t14270 / 0.12e2 - t7254 * t26645 * t14125 / 0.6e1 - t7248 * t75396 * t14277 / 0.6e1 + t99384 + t99386 - t99388 - t3266 * t69462 * t1278 * t1281 / 0.2e1 - t3266 * t99393 * t826 / 0.4e1 + t4761 * t99397 / 0.6e1 + t4882 * t70817 / 0.12e2 - t88870 - t88908 - t88911 + t21748 * t17921;
  t99405 = -t88983 + t88984 + t88985 + t88986 + t88987 + t88991 + t88992 - t88993 - t88995 + t88996 - t88998 - t88999 + t89000 + t89001 - t84498;
  t99419 = -t84500 - t84503 - t84506 + t89014 + t89015 - t89016 + 0.3e1 * t4772 * t2870 * t75542 + t4993 * t14120 * t43320 - t3266 * t14120 * t43309 - 0.11e2 / 0.9e1 * t10757 * t93497 + 0.23e2 / 0.18e2 * t10757 * t93528 + t89058 - t89059 - t7254 * t91939 / 0.3e1 - t84574;
  t99426 = my_piecewise3(t2, 0, t98735 + t98260 + t98212 + t97673 + t97505 + t99298 + t97476 + t98766 + t98536 + t97980 + t97597 + t97357 + t98059 + t98704 + t98030 + t98177 + t97931 + t98586 + t99405 + t98115 + t97745 + t97570 + t97959 + t98327 + t99336 + t97117 + t99370 + t98245 + t98516 + t98370 + t97892 + t98791 + t97825 + t98648 + t98295 + t97087 + t98147 + t98614 + t97143 + t98676 + t97881 + t97440 + t97791 + t97776 + t97637 + t97546 + t99319 + t97320 + t97511 + t99403 + t97287 + t97174 + t98085 + t97710 + t97212 + t97399 + t98562 + t99419 + t97857 + t98407 + t98822 + t97054 + t97241 + t97267);
  tv4rhosigmatau20 = t3 * t99426 + t18181;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 0] += tv4rhosigmatau20;

  tv4rhosigmatau21 = 0.e0;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 1] += tv4rhosigmatau21;

  tv4rhosigmatau22 = 0.e0;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 2] += tv4rhosigmatau22;

  tv4rhosigmatau23 = 0.e0;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 3] += tv4rhosigmatau23;

  tv4rhosigmatau24 = 0.e0;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 4] += tv4rhosigmatau24;

  tv4rhosigmatau25 = 0.e0;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 5] += tv4rhosigmatau25;

  tv4rhosigmatau26 = 0.e0;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 6] += tv4rhosigmatau26;

  tv4rhosigmatau27 = 0.e0;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 7] += tv4rhosigmatau27;

  t99429 = t24028 * t18291 / 0.6e1;
  t99431 = t38935 * t17699 / 0.9e1;
  t99439 = t38935 * t18303 / 0.18e2;
  t99441 = t38570 * t17598 / 0.18e2;
  t99443 = t24028 * t18209 / 0.3e1;
  t99445 = t28899 * t18207 / 0.3e1;
  t99447 = t1354 * t14706 / 0.36e2;
  t99448 = -t99429 + t99431 - t38984 * t18303 / 0.6e1 - t38554 * t17598 / 0.6e1 + t38588 * t16589 / 0.6e1 - t99439 - t99441 + t99443 - t99445 - t84595 - t84597 - t99447;
  t99450 = t948 * t18243 / 0.3e1;
  t99452 = t84624 / 0.6e1;
  t99454 = t7997 * t2521 / 0.6e1;
  t99456 = t948 * t18278 / 0.2e1;
  t99458 = t948 * t18275 / 0.12e2;
  t99459 = t948 * t18253;
  t99460 = t99459 / 0.12e2;
  t99462 = t5484 * t3015 / 0.12e2;
  t99464 = t948 * t18248 / 0.12e2;
  t99468 = t24028 * t18289 / 0.3e1;
  t99470 = t38942 * t18188 / 0.18e2;
  t99473 = -t99450 + t8016 * t2512 + t99452 + t99454 + t99456 - t99458 - t99460 - t99462 + t99464 + t1902 * t16510 / 0.6e1 - t99468 - t99470 + t28461 * t18286 / 0.2e1;
  t99479 = t7997 * t2506 / 0.3e1;
  t99481 = t4005 * t18474 / 0.3e1;
  t99487 = t14433 * t5804 / 0.9e1;
  t99489 = t72202 * t457 / 0.12e2;
  t99491 = t948 * t18482 / 0.2e1;
  t99495 = t7997 * t2509 / 0.6e1;
  t99497 = t38688 * t2503 / 0.3e1;
  t99498 = -t23548 * t18289 - t23548 * t18291 / 0.2e1 - t99479 + t99481 + t7916 * t17551 / 0.3e1 - t1902 * t11368 / 0.6e1 + t99487 + t99489 + t99491 - t72455 * t2339 / 0.2e1 - t99495 - t99497;
  t99499 = t84639 / 0.6e1;
  t99500 = t84652 / 0.2e1;
  t99501 = t84656 / 0.6e1;
  t99502 = t84658 / 0.18e2;
  t99520 = -t99499 + t99500 + t99501 - t99502 + t14485 * t1378 / 0.6e1 + t14447 * t5804 / 0.3e1 - t14447 * t5800 / 0.6e1 + t28461 * t18282 / 0.2e1 + 0.2e1 / 0.3e1 * t38554 * t17622 - t28445 * t18207 - t38554 * t17618 / 0.3e1 - t28461 * t18200 / 0.2e1 + 0.3e1 / 0.2e1 * t945 * t18482;
  t99535 = t38570 * t18193 / 0.36e2;
  t99537 = t38570 * t17618 / 0.9e1;
  t99541 = t7911 * t17568 / 0.18e2;
  t99543 = t1905 * t16510 / 0.18e2;
  t99544 = t72169 * t2342 / 0.2e1 - t14485 * t2199 / 0.6e1 - t8016 * t2509 / 0.2e1 - t8016 * t2506 + t38554 * t18193 / 0.12e2 - t38588 * t18188 / 0.6e1 + t99535 - t99537 + t28713 * t18196 / 0.2e1 + t89155 - t99541 + t99543;
  t99546 = t7953 * t17551 / 0.9e1;
  t99548 = t1905 * t11368 / 0.18e2;
  t99549 = t84694 / 0.9e1;
  t99550 = t84702 / 0.9e1;
  t99551 = 0.2e1 / 0.9e1 * t84706;
  t99552 = t84710 / 0.6e1;
  t99553 = t84718 / 0.3e1;
  t99554 = t84728 / 0.3e1;
  t99555 = t84736 / 0.3e1;
  t99556 = t84738 / 0.3e1;
  t99557 = t84741 / 0.3e1;
  t99559 = 0.2e1 / 0.9e1 * t38570 * t17622;
  t99561 = t38942 * t16589 / 0.18e2;
  t99562 = t99546 - t99548 + t99549 - t99550 + t99551 - t99552 + t99553 - t99554 - t99555 - t99556 + t99557 + t99559 + t99561;
  t99565 = t28763 * t18196 / 0.6e1;
  t99567 = t28548 * t18282 / 0.6e1;
  t99569 = t28548 * t18286 / 0.6e1;
  t99571 = t38570 * t18211 / 0.18e2;
  t99572 = t945 * t18253;
  t99573 = t99572 / 0.4e1;
  t99574 = t84751 / 0.6e1;
  t99575 = t84755 / 0.2e1;
  t99576 = t84776 / 0.18e2;
  t99578 = t72497 * t2339 / 0.6e1;
  t99580 = t7997 * t2512 / 0.3e1;
  t99581 = t99565 + t99567 + t99569 + t99571 - t99573 - t89183 - t99574 + t99575 - t99576 - t99578 + t99580 - t9147;
  t99585 = t28548 * t18200 / 0.6e1;
  t99587 = t294 * t18444 / 0.12e2;
  t99593 = t14433 * t15451 / 0.9e1;
  t99597 = t7911 * t17585 / 0.9e1;
  t99599 = t5484 * t3006 / 0.6e1;
  t99600 = t4005 * t18471;
  t99601 = -t9168 + t9172 + t9195 + t38984 * t17699 / 0.3e1 - t99585 - t99587 + t72211 * t457 / 0.4e1 - t1351 * t14661 / 0.12e2 + t99593 - 0.2e1 / 0.3e1 * t14447 * t15448 - t99597 + t99599 + t99600;
  t99610 = t72166 * t17203 / 0.6e1;
  t99613 = t4005 * t18355;
  t99615 = t72166 * t5597 / 0.2e1;
  t99617 = t72367 * t2347 / 0.3e1;
  t99619 = 0.23e2 / 0.108e3 * t72166 * t17187;
  t99621 = 0.2e1 / 0.9e1 * t7911 * t17664;
  t99623 = 0.2e1 / 0.3e1 * t72367 * t2353;
  t99624 = -0.3e1 * t3971 * t18355 + 0.3e1 / 0.2e1 * t24004 * t18352 - t99610 + t14447 * t15365 / 0.6e1 - t99613 - t99615 + t99617 + t99619 + t99621 - t99623 - t89195 - t89196;
  t99633 = t14433 * t5819 / 0.36e2;
  t99638 = t9166 * t2957;
  t99639 = t99638 / 0.12e2;
  t99648 = -t89198 + 0.2e1 / 0.3e1 * t7921 * t17664 - t7921 * t17585 / 0.3e1 + 0.7e1 / 0.3e1 * t72163 * t5734 + t72169 * t2347 - t99633 + t1902 * t18330 / 0.12e2 + t1902 * t18325 / 0.12e2 + t99639 - 0.5e1 / 0.36e2 * t72163 * t17004 + t14447 * t15451 / 0.3e1 - t7921 * t17568 / 0.6e1 + t945 * t18248 / 0.4e1;
  t99654 = t72367 * t2342 / 0.6e1;
  t99655 = 0.2e1 / 0.3e1 * t84822;
  t99657 = t14438 * t1378 / 0.18e2;
  t99659 = t1905 * t11422 / 0.18e2;
  t99661 = t14433 * t5800 / 0.18e2;
  t99663 = t55552 * t570 / 0.6e1;
  t99665 = t28796 * t3002 / 0.6e1;
  t99666 = -t1351 * t14706 / 0.12e2 - t945 * t18243 + t99654 + t99655 - t89237 + t89238 + t99657 - t99659 - t99661 - t89239 + t99663 - t99665;
  t99668 = t5484 * t3018 / 0.6e1;
  t99673 = t9145 * t2957;
  t99674 = t99673 / 0.36e2;
  t99676 = 0.11e2 / 0.54e2 * t72166 * t17183;
  t99678 = 0.7e1 / 0.9e1 * t72166 * t5734;
  t99680 = t1354 * t14793 / 0.18e2;
  t99686 = t948 * t18466 / 0.6e1;
  t99688 = t1905 * t18330 / 0.36e2;
  t99690 = 0.5e1 / 0.108e3 * t72166 * t17004;
  t99692 = t23651 * t18352 / 0.2e1;
  t99693 = t99668 + t5449 * t3018 / 0.2e1 - t28872 * t3002 / 0.2e1 + t99674 - t99676 + t99678 - t99680 + t8016 * t2521 / 0.2e1 - 0.3e1 * t945 * t18485 + t99686 + t99688 - t99690 + t99692;
  t99702 = t1905 * t18325 / 0.36e2;
  t99703 = t84864 / 0.18e2;
  t99712 = t948 * t18485;
  t99714 = t14438 * t2199 / 0.18e2;
  t99715 = -t1351 * t14793 / 0.6e1 - t38631 * t2503 - 0.3e1 / 0.2e1 * t72163 * t5597 + t99702 - t99703 - t72163 * t17203 / 0.2e1 + 0.23e2 / 0.36e2 * t72163 * t17187 - 0.11e2 / 0.18e2 * t72163 * t17183 - 0.2e1 * t72169 * t2353 - t99712 - t99714 + t89274;
  t99719 = t5484 * t3010 / 0.6e1;
  t99727 = t1354 * t14661 / 0.36e2;
  t99741 = -t5449 * t3010 / 0.2e1 - t99719 + t55340 * t570 / 0.2e1 - t14447 * t5819 / 0.12e2 - t1902 * t11422 / 0.6e1 - t99727 + t3971 * t18474 + 0.3e1 * t3971 * t18471 + t5449 * t3006 / 0.2e1 + 0.3e1 / 0.2e1 * t945 * t18278 + t945 * t18466 / 0.2e1 - t945 * t18275 / 0.4e1 - t5449 * t3015 / 0.4e1;
  t99744 = t14433 * t15365 / 0.18e2;
  t99746 = 0.2e1 / 0.9e1 * t14433 * t15448;
  t99749 = t89313 + t89314 + t99744 - t99746 - t290 * t18444 / 0.4e1 - t89315 + t89316 + t89317 - t89318 - t89319 - t89320 - t89321;
  t99753 = t38570 * t18215 / 0.9e1;
  t99755 = t294 * t18238 / 0.6e1;
  t99757 = t294 * t18306 / 0.12e2;
  t99765 = t89322 + t89323 - t89325 - t290 * t18238 / 0.2e1 - t99753 - t99755 - t99757 - t290 * t18306 / 0.4e1 + t84887 + t89356 + t38554 * t18211 / 0.6e1 - t38554 * t18215 / 0.3e1 + t23548 * t18209;
  t99770 = my_piecewise3(t100, 0, t99448 + t99473 + t99498 + t99520 + t99544 + t99562 + t99581 + t99601 + t99624 + t99648 + t99666 + t99693 + t99715 + t99741 + t99749 + t99765);
  tv4rhosigmatau28 = t3 * t99770 + t18493;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 8] += tv4rhosigmatau28;

  t99772 = 0.2e1 / 0.3e1 * t84907;
  t99773 = t84909 / 0.3e1;
  t99774 = t84920 / 0.6e1;
  t99775 = t84924 / 0.3e1;
  t99782 = t99772 - t99773 - t99774 + t99775 - t97062 + t97064 - t97100 - t14517 * t2108 / 0.6e1 - t1368 * t14400 / 0.6e1 - t7869 * t2450 / 0.2e1 + t97204 - t97226;
  t99787 = t903 * t18051;
  t99788 = t99787 / 0.4e1;
  t99803 = t97228 - t97248 + t97249 - t903 * t18056 / 0.4e1 + t903 * t18048 / 0.4e1 - t99788 - 0.5e1 / 0.36e2 * t71744 * t16613 + t14512 * t15211 / 0.3e1 + t1923 * t16167 / 0.6e1 - t7820 * t17243 / 0.6e1 + t7825 * t17260 / 0.3e1 - t1923 * t10965 / 0.6e1 - 0.2e1 / 0.3e1 * t14512 * t15209;
  t99807 = -t97279 - t87153 + t87154 + t87155 + t97309 + t97339 - t97340 + t97346 + t89393 + t97350 + t97352 + t28063 * t18174 / 0.2e1;
  t99823 = t97447 - t97500 + t97502 - t7869 * t2447 + t3740 * t17988 + 0.3e1 * t3740 * t17985 + t7869 * t2462 / 0.2e1 + t5384 * t2903 / 0.2e1 - t5384 * t2912 / 0.4e1 + 0.3e1 / 0.2e1 * t903 * t18066 - t903 * t18059 + t903 * t18061 / 0.2e1 - t97504;
  t99831 = t71963 * t2276 - 0.2e1 * t71963 * t2282 + 0.2e1 / 0.3e1 * t7820 * t17525 - t97517 + t89401 - t89402 + t89403 - t97632 - t97634 - t97636 + t89421 + t89422;
  t99842 = -t89423 - t28063 * t17912 / 0.2e1 + t97717 - t89430 - t89431 - t87485 + t87486 - t87487 + t87488 + 0.7e1 / 0.3e1 * t71744 * t16659 - 0.11e2 / 0.18e2 * t71744 * t16640 + 0.23e2 / 0.36e2 * t71744 * t16629 - t71744 * t16656 / 0.2e1;
  t99858 = 0.3e1 / 0.2e1 * t22632 * t18026 - t37752 * t2444 + t7869 * t2453 - 0.3e1 / 0.2e1 * t71744 * t16910 - 0.3e1 * t903 * t17885 + t97801 - t97803 + t97805 - t97807 - t14512 * t5291 / 0.6e1 - t14512 * t5229 / 0.12e2 + t14512 * t5281 / 0.3e1;
  t99881 = t72035 * t432 / 0.4e1 - t1368 * t14006 / 0.12e2 + t54846 * t530 / 0.2e1 - t27911 * t2899 / 0.2e1 + t5384 * t2915 / 0.2e1 - t5384 * t2907 / 0.2e1 + t97868 + t87668 - t37688 * t17879 / 0.3e1 - t37747 * t17942 / 0.6e1 + t37688 * t17945 / 0.12e2 - t22522 * t17932 / 0.2e1 + t28063 * t17927 / 0.2e1;
  t99891 = -t22522 * t17930 + t97951 - t89469 - t307 * t18154 / 0.4e1 + t97952 - t9224 + t9234 - t8624 + t8645 - t28099 * t17919 + t98036 + t37876 * t17336 / 0.3e1;
  t99892 = t84989 / 0.6e1;
  t99893 = t84998 / 0.2e1;
  t99896 = -t98048 - t99892 + t84991 - t98055 + t98062 - t98072 - t98074 + t98076 - t98095 - t89475 - t98108 + t99893 + t14517 * t1223 / 0.6e1;
  t99900 = -t1923 * t10808 / 0.6e1 - t87841 - t98203 - t98205 + t98257 - t98259 + t98262 - t98264 - t98266 - t98268 - t98270 + t98272;
  t99905 = t85015 / 0.6e1;
  t99906 = t85019 / 0.2e1;
  t99908 = t98274 + t98276 - t37876 * t17948 / 0.6e1 + t27950 * t17951 / 0.2e1 - t98318 + t98320 + t98515 - t98535 + t98537 + t98544 - t99905 + t99906 + t22522 * t17921;
  t99919 = -t98581 - t7820 * t17273 / 0.3e1 - t98582 - t98611 - t98613 - t98623 - t98625 + t98627 + t98629 - 0.3e1 * t3740 * t17888 + 0.3e1 / 0.2e1 * t903 * t17882 + t71963 * t2271 / 0.2e1;
  t99926 = t9222 * t2854;
  t99927 = t99926 / 0.12e2;
  t99930 = t14512 * t15094 / 0.6e1 + t1923 * t18021 / 0.12e2 + t1923 * t17999 / 0.12e2 + t99927 + t98655 - t98657 + t98659 + t98671 + t98686 + t98717 - t1368 * t14230 / 0.12e2 - t98738 - t98765;
  t99940 = -t98768 - t85036 - t85038 - t307 * t17905 / 0.4e1 - t98811 - t98812 + 0.2e1 / 0.3e1 * t37688 * t17504 + t37747 * t16229 / 0.6e1 - t37688 * t17341 / 0.6e1 - t99293 - t99295 + t99297;
  t99949 = -t99301 - t99340 + t99342 + t99344 + t99346 - t99348 + t99350 + t37688 * t17875 / 0.6e1 - t307 * t17908 / 0.2e1 - t72097 * t2268 / 0.2e1 - t88983 - t89059 - t37688 * t17517 / 0.3e1;
  t99954 = my_piecewise3(t2, 0, t99782 + t99803 + t99807 + t99823 + t99831 + t99842 + t99858 + t99881 + t99891 + t99896 + t99900 + t99908 + t99919 + t99930 + t99940 + t99949);
  tv4rhosigmatau29 = t3 * t99954 + t18181;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 9] += tv4rhosigmatau29;

  tv4rhosigmatau210 = 0.e0;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 10] += tv4rhosigmatau210;

  tv4rhosigmatau211 = 0.e0;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 11] += tv4rhosigmatau211;

  tv4rhosigmatau212 = 0.e0;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 12] += tv4rhosigmatau212;

  tv4rhosigmatau213 = 0.e0;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 13] += tv4rhosigmatau213;

  tv4rhosigmatau214 = 0.e0;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 14] += tv4rhosigmatau214;

  tv4rhosigmatau215 = 0.e0;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 15] += tv4rhosigmatau215;

  tv4rhosigmatau216 = 0.e0;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 16] += tv4rhosigmatau216;

  t99971 = t1101 * t5553 * t14704;
  t99986 = 0.2e1 / 0.3e1 * t39979 * t17622 + 0.2e1 / 0.3e1 * t8063 * t95524 - t85074 + t4695 * t14605 * t51289 + 0.2e1 / 0.3e1 * t1981 * t56536 - 0.2e1 / 0.3e1 * t2947 * t29216 + 0.23e2 / 0.36e2 * t14711 * t77018 + t2947 * t29337 / 0.3e1 + t89536 - t338 * t99971 / 0.12e2 + t555 * t1094 * t5553 * t14864 / 0.12e2 + t1941 * t18330 / 0.12e2 + t1946 * t18330 / 0.12e2 + t555 * t1094 * t4440 * t18328 / 0.12e2;
  t100013 = 0.4e1 * t14727 * t45858 + 0.4e1 * t14733 * t45866 - 0.4e1 / 0.3e1 * t14730 * t45767 - 0.8e1 * t14730 * t51230 + 0.12e2 * t74008 * t51223 + 0.4e1 * t14727 * t51289 - 0.8e1 * t74003 * t50878 - 0.8e1 / 0.3e1 * t14730 * t51938 + 0.2e1 * t561 * t9401 - 0.4e1 * t73954 * t2402 - 0.4e1 * t14745 * t9489 + 0.4e1 * t73959 * t2394 + 0.4e1 * t14740 * t9498;
  t100030 = 0.2e1 * t2068 * t2257 + 0.2e1 / 0.3e1 * t44923 * t14721 + 0.2e1 / 0.3e1 * t9396 * t14803 + 0.16e2 / 0.9e1 * t73998 * t50894 - 0.4e1 * t14730 * t45790 + 0.12e2 * t73998 * t52038 - 0.24e2 * t74003 * t50909 + 0.32e2 / 0.3e1 * t73998 * t50914 - t78030 + t78038 + t78044 + t78046 - t15352;
  t100050 = -0.4e1 * t11753 - 0.4e1 * t11756 + 0.8e1 * t11751 - 0.4e1 * t14727 * t9498 + 0.4e1 / 0.3e1 * t73995 * t2389 - 0.2e1 / 0.3e1 * t11537 + 0.24e2 * t11407 + 0.4e1 * t11540 - 0.12e2 * t11543 + 0.4e1 / 0.3e1 * t11527 - 0.2e1 * t14733 * t9401 + 0.4e1 * t73995 * t2402 + 0.4e1 * t14730 * t9489;
  t100062 = -0.12e2 * t11762 - 0.4e1 * t11765 - 0.4e1 * t11801 - 0.4e1 / 0.3e1 * t11804 + 0.2e2 / 0.9e1 * t11523 - 0.4e1 * t74020 * t2394 + 0.4e1 / 0.3e1 * t14730 * t9311 - 0.2e1 * t74023 * t2257 + t78067 - t78095 - t78098 + t78100 + t15340;
  t100064 = t100013 + t100030 + t100050 + t100062;
  t100080 = 0.2e1 * t85090;
  t100081 = 0.2e1 / 0.3e1 * t85091;
  t100082 = 0.11e2 / 0.9e1 * t85093;
  t100083 = t18186 * t333;
  t100087 = t555 * t1094 * t1095 * t167 * t100064 / 0.12e2 + t74090 * t2342 / 0.2e1 + t14831 * t10462 / 0.2e1 + t14831 * t9300 / 0.2e1 + t14695 * t15365 / 0.6e1 + 0.7e1 / 0.3e1 * t14711 * t91457 + t100080 + t100081 - t100082 - t5665 * t2056 * t4575 * t100083 - t89537 + t89538 - t99429 + t99431 - t99439;
  t100101 = t1381 * t72781;
  t100102 = t1430 * t100101;
  t100110 = -t99441 + t99443 - t99445 - 0.5e1 / 0.3e1 * t73070 * t9332 - t73236 * t77271 + t4204 * t18474 + t4188 * t18474 + t1029 * t14857 * t78425 - t1383 * t14679 + 0.3e1 / 0.2e1 * t1383 * t14870 + t1383 * t14686 / 0.2e1 - 0.2e1 * t45112 * t100102 - t1383 * t14682 / 0.2e1 + 0.18e2 * t10513 * t74549 * t90148;
  t100141 = -0.6e1 * t50541 * t74549 * t89691 + 0.3e1 * t57324 * t11543 - 0.6e1 * t57328 * t11527 + t8219 * t85813 / 0.3e1 + t8214 * t56808 / 0.6e1 - t5649 * t74161 * t2389 - t5649 * t74165 * t2389 - t5649 * t14814 * t9311 + t25376 * t18209 + 0.7e1 / 0.3e1 * t14711 * t77240 - t8081 * t17585 / 0.3e1 - t8086 * t17585 / 0.3e1 - t1981 * t94871 / 0.3e1 - t1981 * t85325 / 0.3e1 + 0.2e1 / 0.3e1 * t8081 * t17664;
  t100168 = 0.2e1 / 0.3e1 * t8086 * t17664 + t1956 * t11479 + t1956 * t11482 + 0.3e1 / 0.2e1 * t25290 * t18352 + 0.3e1 / 0.2e1 * t25543 * t18352 + 0.3e1 / 0.2e1 * t4718 * t14876 * t77705 - 0.3e1 * t4204 * t18355 - 0.3e1 * t4188 * t18355 - 0.3e1 * t1029 * t14876 * t77687 + 0.7e1 / 0.3e1 * t72982 * t5734 + 0.2e1 / 0.3e1 * t39976 * t17622 - t2180 + t2251 - 0.11e2 / 0.18e2 * t14711 * t90457;
  t100187 = t110 * t74549;
  t100194 = t439 * t1936;
  t100195 = t168 * t100194;
  t100203 = -0.11e2 / 0.18e2 * t14711 * t77816 + t2947 * t77777 / 0.6e1 + t2947 * t77780 / 0.6e1 - t73754 * t2339 / 0.2e1 - t15036 * t10592 / 0.2e1 - t15036 * t9430 / 0.2e1 - t14581 * t2199 / 0.6e1 - t2942 * t9422 / 0.6e1 - t2942 * t9427 / 0.6e1 - 0.38e2 / 0.9e1 * t100187 * t91524 + 0.3e1 / 0.2e1 * t73218 * t91527 + t29436 * t18196 / 0.2e1 - 0.11e2 / 0.9e1 * t11399 * t10447 * t100195 + 0.11e2 / 0.6e1 * t73218 * t89519 - 0.2e1 * t73070 * t10400;
  t100205 = t1018 * t100194;
  t100209 = t85131 / 0.6e1;
  t100210 = t85133 / 0.2e1;
  t100211 = t85137 / 0.2e1;
  t100214 = t168 * t100083;
  t100218 = t18186 * t1082;
  t100223 = -0.4e1 * t11510 * t5695 * t100205 - t77114 + t89584 + t89585 + t89589 - t100209 + t100210 + t100211 - t99447 - t99450 + t11501 * t2029 - t56071 * t2026 + t8219 * t9444 * t100214 / 0.3e1 + t8214 * t45083 * t168 * t100218 / 0.2e1;
  t100232 = t18191 * t333;
  t100233 = t168 * t100232;
  t100237 = t14638 * t439;
  t100238 = t380 * t100237;
  t100242 = t2939 * t2196;
  t100243 = t1018 * t100242;
  t100244 = t29468 * t100243;
  t100247 = t2196 * t1936;
  t100270 = -t8063 * t30141 * t100214 / 0.6e1 - t8214 * t9444 * t380 * t14638 * t2196 / 0.6e1 - t11510 * t5691 * t100233 / 0.2e1 - t8219 * t4687 * t100238 / 0.6e1 - 0.14e2 / 0.3e1 * t45332 * t100244 - 0.2e1 * t5665 * t2060 * t4626 * t100247 + 0.5e1 * t5665 * t14928 * t9335 + 0.3e1 * t5665 * t2973 * t78399 + 0.23e2 / 0.36e2 * t14711 * t78411 - t72982 * t17203 / 0.2e1 - t14711 * t91450 / 0.2e1 - t14711 * t78418 / 0.2e1 + t74090 * t2347 + t14831 * t10583 + 0.89e2 / 0.9e1 * t100187 * t90323;
  t100276 = t349 * t18444;
  t100281 = t321 * t369 * t18442 * t370;
  t100300 = -0.7e1 * t73218 * t91393 - t338 * t100276 / 0.12e2 + t100281 * t377 / 0.4e1 - t2947 * t30242 / 0.12e2 - t14666 * t1439 / 0.2e1 - t14666 * t1443 / 0.4e1 + t14666 * t1447 / 0.4e1 - 0.3e1 / 0.2e1 * t14711 * t77220 - t40223 * t2503 - t40091 * t2503 - t8280 * t11459 - t8280 * t11462 + t8296 * t2512 + t8287 * t2512;
  t100316 = -0.3e1 / 0.2e1 * t72982 * t5597 - 0.3e1 / 0.2e1 * t14711 * t90161 + t1383 * t14908 - t85193 - t85195 - t85198 - t85202 + t85207 + t85209 + t85212 - t8063 * t86591 / 0.6e1 - t40730 * t18303 / 0.6e1 - t40161 * t18303 / 0.6e1 + t40161 * t17699 / 0.3e1 + t8219 * t95765 / 0.3e1;
  t100348 = t8219 * t95768 / 0.3e1 + t8219 * t85632 / 0.3e1 + t39497 * t16589 / 0.6e1 + t40920 * t16589 / 0.6e1 + t8214 * t85627 / 0.6e1 + t8214 * t86662 / 0.6e1 - 0.35e2 / 0.108e3 * t100187 * t90635 - t73218 * t89851 / 0.2e1 - 0.18e2 * t5639 * t74549 * t90179 + t5792 * t14858 + 0.3e1 * t10513 * t8438 * t4609 * t100194 + t39906 * t11742 + 0.14e2 / 0.3e1 * t45332 * t96162 * t56589 - t29985 * t14609 / 0.2e1;
  t100349 = 0.6e1 * t85227;
  t100350 = t85248 / 0.3e1;
  t100351 = t85252 / 0.3e1;
  t100352 = t85260 / 0.3e1;
  t100369 = -t100349 - t85246 - t100350 + t85250 + t100351 + t100352 + t99452 - t1397 * t14793 / 0.6e1 - t1402 * t14793 / 0.6e1 - t442 * t73011 / 0.6e1 - t442 * t74304 / 0.6e1 + t8296 * t2521 / 0.2e1 + t8287 * t2521 / 0.2e1 + t1956 * t11378 / 0.2e1 + t1956 * t11472 / 0.2e1;
  t100373 = t72986 * t1424;
  t100374 = t1430 * t100373;
  t100382 = t1430 * t11499 * t8252;
  t100392 = t14831 * t9350 - t1421 * t100374 / 0.12e2 - t442 * t72988 / 0.12e2 - t11501 * t2041 / 0.2e1 + 0.2e1 / 0.3e1 * t4533 * t100382 + t11501 * t2045 / 0.2e1 + t99454 + t99456 - t99458 - t99460 - t99462 + t99464 - t4695 * t14608 * t9401 / 0.2e1 + t40730 * t17699 / 0.3e1;
  t100393 = 0.3e1 * t85267;
  t100412 = t100393 + 0.23e2 / 0.36e2 * t73218 * t90252 - t85270 + 0.2e1 / 0.3e1 * t8063 * t95528 + 0.2e1 / 0.3e1 * t8063 * t85777 - t30473 * t18207 - t30693 * t18207 - 0.4e1 / 0.3e1 * t8063 * t57736 + t25561 * t18209 + t4695 * t74161 * t2402 + t4695 * t74165 * t2402 + 0.6e1 * t5639 * t14932 * t78384 - t99468 - t99470 - t89799;
  t100430 = 0.2e1 / 0.3e1 * t85319;
  t100431 = -t89800 + t89801 + t89802 - t8219 * t85755 / 0.3e1 - t8214 * t85759 / 0.3e1 + t8063 * t85763 / 0.6e1 + t8219 * t96124 / 0.3e1 - t8219 * t96140 / 0.3e1 + t11510 * t95718 - t11646 * t96137 - t8063 * t86588 / 0.6e1 - t99479 + t99481 - t5797 * t3015 / 0.4e1 + t100430;
  t100432 = t85321 / 0.2e1;
  t100433 = t18191 * t1082;
  t100438 = t14817 * t439;
  t100444 = t4305 * t20690 * t439;
  t100450 = t100432 + t99487 + t99489 - 0.3e1 / 0.2e1 * t5639 * t2060 * t24435 * t100433 + 0.3e1 / 0.2e1 * t45332 * t29474 * t4191 * t100438 + t5649 * t8072 * t100444 / 0.2e1 + t99491 - t99495 - t99497 - t89823 - t5814 * t3015 / 0.4e1 + t99501 - t99502 + t89828 + t89829;
  t100472 = t45379 * t14640;
  t100473 = t100472 / 0.12e2;
  t100477 = t14748 * t439;
  t100482 = t2954 * t1392;
  t100489 = -t89830 - t89831 - t11399 * t94988 - t39906 * t11784 - t39906 * t11777 / 0.2e1 + 0.6e1 * t5639 * t8460 * t1033 * t100194 - t8219 * t29988 * t14627 / 0.6e1 - t8214 * t77794 * t14631 / 0.6e1 + t8063 * t45452 * t14627 / 0.12e2 + t100473 - t5665 * t8457 * t18199 / 0.2e1 - t5665 * t2060 * t4626 * t100477 / 0.2e1 - t5665 * t2060 * t4626 * t100482 / 0.2e1 - t39976 * t17618 / 0.3e1;
  t100492 = 0.5e1 / 0.18e2 * t85381;
  t100493 = t85383 / 0.6e1;
  t100519 = -t39979 * t17618 / 0.3e1 - t100492 - t100493 + 0.3e1 / 0.2e1 * t4695 * t72910 * t17015 - t110 * t1498 * t3036 / 0.4e1 - t110 * t452 * t14571 / 0.4e1 + t89845 - 0.2e1 * t57324 * t11751 - t57332 * t11771 - 0.3e1 * t45332 * t95375 * t56504 + 0.2e1 * t57328 * t11804 - t8063 * t95512 / 0.3e1 - t8063 * t95515 / 0.3e1 - t8063 * t86783 / 0.3e1 + t29339 * t18196 / 0.2e1;
  t100521 = t4572 * t18191;
  t100548 = t5639 * t8457 * t100521 / 0.2e1 + t5639 * t2060 * t4572 * t100477 / 0.2e1 + t5639 * t2060 * t4572 * t100482 / 0.2e1 - t29349 * t18200 / 0.2e1 - t29346 * t18200 / 0.2e1 + t73070 * t10377 - 0.2e1 * t73070 * t10374 + t77431 + 0.3e1 / 0.2e1 * t29089 * t14888 + t73912 * t9447 / 0.3e1 - t73912 * t9441 / 0.6e1 + t29349 * t18282 / 0.2e1 - t89871 - t89889;
  t100574 = t85476 / 0.3e1;
  t100575 = -t1070 * t18243 - t1058 * t18243 - t373 * t14857 * t77200 - t1397 * t14706 / 0.12e2 - t1402 * t14706 / 0.12e2 + t2947 * t29204 / 0.6e1 - 0.5e1 / 0.36e2 * t14711 * t77373 - t2947 * t29413 / 0.12e2 + 0.3e1 / 0.2e1 * t1070 * t18278 + 0.3e1 / 0.2e1 * t1058 * t18278 + 0.3e1 / 0.2e1 * t373 * t14869 * t9498 + t1070 * t18466 / 0.2e1 + t1058 * t18466 / 0.2e1 - t100574 + t85487;
  t100578 = t18272 * t333;
  t100583 = t18272 * t1082;
  t100590 = t168 * t100247;
  t100616 = t5665 * t2056 * t1165 * t100578 / 0.2e1 + t5665 * t559 * t4575 * t100583 / 0.2e1 - t8063 * t95379 / 0.6e1 + 0.2e1 / 0.3e1 * t8063 * t5674 * t100590 + 0.2e1 / 0.3e1 * t8063 * t96256 + t11399 * t30141 * t100233 / 0.2e1 + 0.14e2 / 0.3e1 * t11399 * t10447 * t96177 - 0.3e1 * t11399 * t94919 + 0.3e1 * t30451 * t73081 * t50894 - 0.6e1 * t5649 * t73081 * t50914 + 0.3e1 * t4695 * t73081 * t52038 + 0.11e2 / 0.18e2 * t11399 * t29468 * t100233 + t99535 - t99537;
  t100634 = t1070 * t18253;
  t100635 = t100634 / 0.4e1;
  t100636 = t1058 * t18253;
  t100637 = t100636 / 0.4e1;
  t100639 = t373 * t9409 * t14750;
  t100640 = t100639 / 0.4e1;
  t100653 = t89155 + t5665 * t2056 * t1165 * t100247 - 0.3e1 / 0.2e1 * t5665 * t14955 * t9453 + t373 * t14685 * t9401 / 0.2e1 + t5797 * t3006 / 0.2e1 + t5814 * t3006 / 0.2e1 - t1383 * t14717 / 0.4e1 - t1383 * t14751 / 0.4e1 - t100635 - t100637 - t100640 - t1070 * t18275 / 0.4e1 - t1058 * t18275 / 0.4e1 - t373 * t8133 * t18274 / 0.4e1 - t373 * t2040 * t1076 * t348 * t100064 / 0.4e1;
  t100664 = t4305 * t20637 * t439;
  t100672 = t1018 * t100438;
  t100680 = -t442 * t73056 / 0.12e2 - t442 * t73063 / 0.12e2 + t1070 * t18248 / 0.4e1 + t1058 * t18248 / 0.4e1 - t99541 + t99543 + t99546 - t99548 - t4695 * t8072 * t100664 / 0.2e1 + 0.3e1 / 0.2e1 * t5665 * t2060 * t24564 * t100433 - 0.7e1 / 0.3e1 * t45332 * t29468 * t100672 + t90058 + t90059 - t8214 * t86820 / 0.3e1 + t8063 * t86631 / 0.6e1;
  t100690 = t5639 * t9584 * t73629;
  t100691 = t100690 / 0.2e1;
  t100693 = t5665 * t9584 * t14822;
  t100694 = t100693 / 0.2e1;
  t100718 = -0.2e1 * t4695 * t14814 * t51230 - t73070 * t10722 + t73070 * t10366 / 0.2e1 - t45289 * t14823 / 0.2e1 + t100691 - t100694 + t5639 * t2060 * t4572 * t100578 / 0.2e1 - t5665 * t2060 * t4626 * t100578 / 0.2e1 - 0.18e2 * t5639 * t74561 * t50868 + 0.18e2 * t5665 * t74561 * t10530 - 0.5e1 * t5639 * t14928 * t45837 + t90060 + 0.4e1 * t73070 * t10394 + 0.2e1 / 0.3e1 * t8063 * t95396 - 0.4e1 / 0.3e1 * t8063 * t95393;
  t100735 = t2939 * t439;
  t100736 = t1018 * t100735;
  t100740 = 0.6e1 * t85511;
  t100741 = 0.3e1 * t85514;
  t100742 = t85517 / 0.3e1;
  t100743 = -t8063 * t95405 / 0.3e1 + 0.2e1 / 0.3e1 * t8063 * t95402 + 0.7e1 / 0.3e1 * t73218 * t90326 + t99549 - t99550 + t99551 - 0.6e1 * t5665 * t8460 * t1038 * t100194 + 0.6e1 * t5665 * t14928 * t10486 - 0.28e2 * t81183 * t10447 * t100736 - t100740 + t100741 - t100742 + t85524 - t85528;
  t100744 = t3035 * t333;
  t100745 = t380 * t100744;
  t100746 = t5695 * t100745;
  t100749 = t6005 * t100745;
  t100762 = t5665 * t9608 * t14613;
  t100763 = t100762 / 0.2e1;
  t100765 = t5665 * t2209 * t14618;
  t100766 = t100765 / 0.2e1;
  t100767 = t2175 * t2954;
  t100769 = t5691 * t1018 * t100767;
  t100770 = t24973 * t100769;
  t100771 = t100770 / 0.3e1;
  t100773 = t4695 * t45439 * t3014;
  t100774 = t100773 / 0.4e1;
  t100785 = -t5673 * t100746 / 0.12e2 + t6004 * t100749 / 0.6e1 - t73900 * t10719 / 0.2e1 - t8219 * t4687 * t100590 / 0.3e1 + t73900 * t9457 / 0.2e1 - t29985 * t14622 / 0.4e1 + t100763 + t100766 - t100771 - t100774 + t8214 * t86667 / 0.6e1 - t39976 * t17598 / 0.6e1 - t39979 * t17598 / 0.6e1 - t8063 * t95253 / 0.6e1 - t8063 * t95258 / 0.6e1;
  t100787 = t85561 / 0.2e1;
  t100790 = t56645 * t56712;
  t100799 = -t85559 - t100787 + t57324 * t11753 + t57324 * t11756 - 0.2e1 / 0.3e1 * t24973 * t100790 - t39906 * t11759 / 0.2e1 + 0.3e1 * t57324 * t11762 - t4695 * t73540 * t15455 + t90123 - t99555 - t99556 + t99557 + t99559 + t99561;
  t100803 = t5553 * t14770;
  t100815 = t1101 * t57102 * t1963;
  t100826 = t99565 + t99567 + t99569 - t110 * t18443 * t404 / 0.4e1 - t1981 * t1423 * t100803 / 0.3e1 + t14831 * t9274 + t2947 * t30287 / 0.3e1 - 0.11e2 / 0.18e2 * t14711 * t77663 - t2947 * t29333 / 0.6e1 - t338 * t100815 / 0.6e1 + t11501 * t1969 / 0.2e1 + t1383 * t14827 / 0.4e1 + t99571 + 0.8e1 * t100187 * t89699 + 0.3e1 * t95749 * t11523;
  t100850 = t45481 * t73401;
  t100859 = t30141 * t1018 * t14817 * t2196;
  t100862 = -t39979 * t18215 / 0.3e1 - t8063 * t30011 * t18214 / 0.3e1 - t8086 * t17568 / 0.6e1 - t1981 * t95132 / 0.6e1 - t1981 * t85108 / 0.6e1 + t14695 * t15451 / 0.3e1 + t2947 * t77208 / 0.3e1 + t2947 * t77211 / 0.3e1 - 0.5e1 / 0.36e2 * t72982 * t17004 - t5665 * t2969 * t9463 + 0.2e1 / 0.3e1 * t24973 * t100850 - 0.3e1 / 0.2e1 * t5665 * t559 * t24458 * t100218 + 0.2e1 / 0.3e1 * t24973 * t100859 - t90152;
  t100864 = t5733 * t100101;
  t100890 = -t90155 + t90156 - t1383 * t14910 + 0.7e1 / 0.3e1 * t45102 * t100864 + t1383 * t14674 / 0.2e1 - t5792 * t14804 + t1974 * t1101 * t100803 / 0.3e1 - t15036 * t9729 / 0.2e1 - t2942 * t5555 / 0.6e1 + t14831 * t9734 / 0.2e1 + t2942 * t5607 / 0.6e1 - t1981 * t1430 * t100803 / 0.6e1 + 0.3e1 * t5792 * t14808 - 0.3e1 * t1383 * t14873 - 0.3e1 * t5792 * t14891;
  t100898 = 0.2e1 * t85611;
  t100899 = 0.14e2 / 0.3e1 * t85615;
  t100900 = 0.3e1 * t85621;
  t100901 = 0.3e1 / 0.2e1 * t1383 * t14877 + 0.23e2 / 0.36e2 * t72982 * t17187 + 0.23e2 / 0.36e2 * t14711 * t90788 - t100898 + t100899 + t85618 + t90183 - t89183 + t90192 + t90193 + t90194 - t90195 + t100900 - t90200 - t90201;
  t100923 = -t8214 * t9444 * t168 * t100583 / 0.6e1 + t6012 * t73551 / 0.12e2 - 0.2e1 * t100187 * t89832 - 0.11e2 / 0.18e2 * t73218 * t89522 + t8063 * t85272 / 0.3e1 - 0.11e2 / 0.9e1 * t11399 * t96163 + 0.23e2 / 0.18e2 * t11399 * t96166 + t73218 * t78392 - 0.61e2 / 0.27e2 * t100187 * t90754 + 0.44e2 / 0.27e2 * t100187 * t89607 - t90210 + t90211 + t77598 - t90213 + t90214;
  t100929 = t90215 + t90216 - t90217 - t90218 + t90219 - t90220 + t18182 - t9281 + t9283 - t99576 + t90226 + t16918 + t16919 - t16920;
  t100939 = t1101 * t100373;
  t100948 = t16921 + t16922 - t16923 + t16924 - t16925 + t9307 - 0.3e1 * t4695 * t73509 * t2402 - 0.3e1 / 0.2e1 * t73218 * t90801 - 0.3e1 * t11399 * t10358 * t4191 * t100194 + t1451 * t100939 / 0.6e1 + t442 * t73506 / 0.12e2 - t8296 * t2506 - t8287 * t2506 - t1956 * t11436 - t1956 * t11439;
  t100980 = t9544 * t2957;
  t100981 = t100980 / 0.12e2;
  t100982 = -t8296 * t2509 / 0.2e1 - t8287 * t2509 / 0.2e1 - t1956 * t11446 / 0.2e1 - t1956 * t11449 / 0.2e1 + t1383 * t14847 / 0.2e1 + t1383 * t14799 / 0.2e1 + 0.3e1 * t4204 * t18471 + 0.3e1 * t4188 * t18471 + 0.3e1 * t1029 * t14807 * t9311 - 0.6e1 * t4695 * t72807 * t50909 + t5649 * t14814 * t45767 + t5665 * t2060 * t24564 * t100083 + 0.6e1 * t5649 * t72807 * t50878 + t100981;
  t101000 = t5679 * t100745;
  t101007 = t3035 * t648;
  t101008 = t101007 * t1407;
  t101021 = t29474 * t4191 * t100242;
  t101026 = -t99578 + t99580 - 0.6e1 * t5639 * t14928 * t5643 + 0.18e2 * t81183 * t10358 * t4191 * t100735 + 0.3e1 * t5649 * t73509 * t2389 + 0.2e1 * t5639 * t2060 * t4572 * t100247 - 0.3e1 * t5665 * t14932 * t78388 - t5673 * t101000 / 0.6e1 + t5673 * t5695 * t4693 * t100744 / 0.3e1 - t5649 * t101008 * t1410 / 0.2e1 + t4695 * t101008 * t1415 / 0.2e1 + t45286 * t14819 / 0.2e1 - 0.3e1 * t5639 * t2973 * t77315 + 0.3e1 * t45332 * t101021 + t5649 * t73540 * t15388;
  t101031 = 0.6e1 * t85732;
  t101047 = -0.62e2 / 0.3e1 * t100187 * t89695 + t101031 - t9147 + t9172 - t90299 - t16926 - t16927 - t90311 - t99585 + 0.3e1 / 0.2e1 * t30451 * t72910 * t17174 - 0.9e1 / 0.2e1 * t10513 * t14932 * t90241 + 0.12e2 * t85996 * t5695 * t100736 + 0.3e1 / 0.2e1 * t4695 * t74911 * t2394 - 0.3e1 / 0.2e1 * t5665 * t14955 * t10493;
  t101057 = t1430 * t14664 * t1424;
  t101060 = t1423 * t100373;
  t101063 = -t99587 + t99593 - t1981 * t85473 / 0.3e1 - t14711 * t77041 / 0.2e1 - t72822 * t1411 / 0.2e1 + t14666 * t1416 / 0.2e1 + t1421 * t101057 / 0.3e1 - t1421 * t101060 / 0.6e1 - t99597 + t99599 + t99600 - t99610 - t99613 - t99615 + t99617;
  t101065 = t85811 / 0.6e1;
  t101074 = t45946 * t14628;
  t101075 = t101074 / 0.6e1;
  t101076 = t85859 / 0.2e1;
  t101082 = t99619 + t99621 - t99623 - t101065 - t318 * t18444 / 0.4e1 + t373 * t14704 * t1467 * t376 / 0.4e1 - t89195 - t89196 - t89198 - 0.5e1 / 0.36e2 * t73218 * t90083 - t101075 + t101076 - t45293 * t14916 + t29985 * t14815 - 0.18e2 * t10513 * t74545 * t52125;
  t101089 = t85878 / 0.3e1;
  t101090 = t85897 / 0.3e1;
  t101091 = t85899 / 0.3e1;
  t101092 = t85905 / 0.6e1;
  t101093 = t85907 / 0.6e1;
  t101094 = t85920 / 0.2e1;
  t101095 = t85924 / 0.2e1;
  t101096 = -0.3e1 * t10513 * t14932 * t77453 + 0.36e2 * t5639 * t74545 * t50404 + t101089 + t101090 + t101091 - t101092 - t101093 + t101094 + t101095 - t16951 - t18237 - t90471 + t90472 + t90473 - t99633;
  t101100 = t168 * t100433;
  t101137 = -t8063 * t30141 * t101100 / 0.4e1 - 0.3e1 * t373 * t14807 * t9489 - 0.4e1 * t45444 * t5695 * t4693 * t73400 * t439 + t90507 - 0.2e1 / 0.3e1 * t73236 * t77269 - 0.4e1 / 0.3e1 * t8063 * t5691 * t1018 * t100247 + 0.2e1 * t73236 * t77262 - 0.23e2 / 0.12e2 * t73218 * t90249 + 0.23e2 / 0.18e2 * t11399 * t10358 * t100205 + t99654 - t8063 * t5691 * t1018 * t100477 / 0.3e1 - t8063 * t5691 * t1018 * t100482 / 0.3e1 + t4695 * t14814 * t9489 + t39976 * t18211 / 0.6e1;
  t101143 = t168 * t100477;
  t101147 = t168 * t100482;
  t101180 = t39979 * t18211 / 0.6e1 + t8063 * t30022 * t18192 / 0.6e1 + t8063 * t5674 * t101143 / 0.6e1 + t8063 * t5674 * t101147 / 0.6e1 - t39976 * t18215 / 0.3e1 + 0.6e1 * t5665 * t74549 * t89708 - t8063 * t5691 * t4693 * t100237 / 0.3e1 + t8063 * t5674 * t100238 / 0.6e1 + t8063 * t30141 * t1018 * t100433 - t8063 * t30134 * t101100 / 0.2e1 + t8063 * t86744 / 0.3e1 - 0.11e2 / 0.9e1 * t11399 * t95701 + 0.23e2 / 0.18e2 * t11399 * t96178 - t11510 * t5674 * t100233 - t8063 * t30134 * t100214 / 0.3e1;
  t101192 = -t1981 * t86105 / 0.6e1 - t555 * t57104 / 0.6e1 + t1974 * t86164 / 0.3e1 + t555 * t57395 / 0.6e1 + t18241 - t9408 - t9412 + t9416 - t318 * t18306 / 0.4e1 + t89238 + t99657 - t99659 - t99661 - t18255;
  t101213 = t110 * t74545;
  t101218 = t56641 * t11551;
  t101223 = t56637 * t11551;
  t101226 = -t86027 - t86030 + t16463 - t16466 - 0.23e2 / 0.36e2 * t11399 * t29474 * t1018 * t100232 - 0.3e1 / 0.2e1 * t10513 * t8438 * t24477 * t100232 + 0.3e1 * t5639 * t8438 * t24418 * t100232 - 0.3e1 / 0.2e1 * t5665 * t8438 * t24435 * t100232 - t11399 * t95177 - 0.5e1 / 0.18e2 * t11399 * t10358 * t100195 + 0.5e1 / 0.3e1 * t101213 * t10361 + 0.5e1 / 0.12e2 * t73218 * t90643 + t6004 * t101218 / 0.3e1 + t6012 * t74943 / 0.6e1 - t5673 * t101223 / 0.6e1;
  t101237 = t110 * t74561;
  t101240 = -t11399 * t5691 * t100195 + 0.6e1 * t101213 * t10543 + 0.11e2 / 0.9e1 * t73218 * t77274 + t73236 * t77277 / 0.3e1 - 0.3e1 * t101237 * t10716 - t90599 - t90600 - t90601 - t89239 + t90602 + t99663 - t99665 + t99668 + t90620;
  t101256 = t5691 * t1018 * t552 * t18272;
  t101266 = t90621 + t90622 - t90624 + 0.14e2 / 0.3e1 * t11399 * t10447 * t100205 - 0.3e1 * t5649 * t72910 * t17199 + 0.9e1 * t5639 * t14932 * t90517 - 0.6e1 * t5639 * t8438 * t4619 * t100194 - t24973 * t101256 / 0.3e1 - t4695 * t8077 * t18274 / 0.4e1 + t555 * t1094 * t29195 * t2955 / 0.12e2 + t99674 - t99676 + t99678 - t99680 + t99686;
  t101274 = t2178 * t14757;
  t101275 = t101274 / 0.12e2;
  t101276 = t2178 * t14866;
  t101277 = t101276 / 0.12e2;
  t101288 = t99688 - t99690 + 0.3e1 * t4695 * t73153 * t51223 - t90669 - t90670 - t110 * t11734 * t584 / 0.2e1 + t99692 + t101275 + t101277 + t1941 * t18325 / 0.12e2 + t1946 * t18325 / 0.12e2 - t25376 * t18289 - t25561 * t18289 - t4695 * t73166 * t2394 - t4695 * t73162 * t2394;
  t101297 = t5595 * t5790 * t72781;
  t101304 = t86097 / 0.6e1;
  t101305 = t86101 / 0.6e1;
  t101308 = -t4695 * t14605 * t9498 + t39906 * t11404 - t8063 * t85519 / 0.3e1 + 0.2e1 * t11510 * t94851 - 0.3e1 / 0.2e1 * t45102 * t101297 - t5792 * t14854 / 0.2e1 + t18322 - 0.5e1 / 0.36e2 * t14711 * t77354 + t99702 - t99703 - t101304 - t101305 - t99712 - t18339 - 0.5e1 / 0.36e2 * t14711 * t90353;
  t101344 = t8130 * t17551 / 0.3e1 + t1974 * t96253 / 0.3e1 + t1974 * t85497 / 0.3e1 + t1941 * t16510 / 0.6e1 + t1946 * t16510 / 0.6e1 + t555 * t86684 / 0.6e1 + t555 * t86688 / 0.6e1 - t8081 * t17568 / 0.6e1 + t5665 * t2056 * t1165 * t100482 / 0.2e1 + t29349 * t18286 / 0.2e1 + t29346 * t18286 / 0.2e1 + t5665 * t2054 * t18285 / 0.2e1 - t4695 * t73544 * t1435 * t1438 / 0.2e1 + t90729;
  t101352 = t86138 / 0.6e1;
  t101353 = t86146 / 0.6e1;
  t101354 = t86148 / 0.3e1;
  t101355 = t86155 / 0.6e1;
  t101356 = t86157 / 0.6e1;
  t101360 = t90730 - t90731 - t90732 - t14695 * t5819 / 0.12e2 - t110 * t2495 * t2021 / 0.2e1 - t318 * t18238 / 0.2e1 - t101352 - t101353 + t101354 + t101355 - t101356 - t16492 - t99714 - t90765 + 0.2e1 * t45444 * t5691 * t100672;
  t101390 = -0.2e1 / 0.3e1 * t14695 * t15448 - 0.2e1 / 0.3e1 * t2947 * t77803 - 0.2e1 / 0.3e1 * t2947 * t77806 - t1941 * t11368 / 0.6e1 - t1946 * t11368 / 0.6e1 - t555 * t56476 / 0.6e1 - t555 * t57335 / 0.6e1 + t8125 * t17551 / 0.3e1 + 0.2e1 / 0.3e1 * t1981 * t56686 + 0.2e1 / 0.3e1 * t1981 * t57124 - 0.2e1 * t74090 * t2353 - 0.2e1 * t14831 * t10322 - 0.2e1 * t14831 * t9347 - 0.11e2 / 0.18e2 * t72982 * t17183;
  t101407 = t45376 * t14918;
  t101408 = t101407 / 0.6e1;
  t101412 = t168 * t100578;
  t101419 = t4344 * t3013 * t2196;
  t101423 = 0.4e1 * t86207;
  t101424 = t373 * t73061 * t445 * t376 / 0.4e1 + t11510 * t94878 + 0.3e1 * t5665 * t8443 * t356 * t100194 - 0.6e1 * t5665 * t74808 * t10489 - 0.23e2 / 0.3e1 * t101213 * t10451 - 0.6e1 * t101237 * t10441 + t101408 + t8063 * t45283 * t14627 / 0.6e1 + t8063 * t5674 * t101412 / 0.6e1 + 0.22e2 / 0.3e1 * t101213 * t10448 + t4695 * t8077 * t101419 / 0.2e1 - t99719 + t86204 - t101423 - t86210;
  t101438 = t56433 * t11551;
  t101441 = t56637 * t11555;
  t101445 = t73544 * t440;
  t101449 = t57324 * t11765 - 0.4e1 * t45444 * t56637 * t56589 - t39906 * t11768 + 0.6e1 * t57328 * t11801 - 0.6e1 * t57324 * t11407 + t57328 * t11537 - t57324 * t11540 - t5673 * t101438 / 0.3e1 + 0.2e1 / 0.3e1 * t5673 * t101441 - t57332 * t11530 - t99727 - t4695 * t101445 * t1084 / 0.4e1 - t90808 - t90809;
  t101465 = t5691 * t4693 * t73400 * t2196;
  t101475 = -0.43e2 / 0.9e1 * t100187 * t89868 + 0.9e1 / 0.2e1 * t73218 * t91585 + t8214 * t85766 / 0.6e1 - t18340 + t18341 + 0.5e1 / 0.36e2 * t11399 * t29474 * t100233 + t4695 * t14605 * t45858 + t4695 * t14608 * t45866 - 0.2e1 / 0.3e1 * t24973 * t101465 + t9482 - t9485 - t9487 - t25376 * t18291 / 0.2e1 - t25561 * t18291 / 0.2e1 - t4695 * t74276 * t2257 / 0.2e1;
  t101504 = -t4695 * t73159 * t2257 / 0.2e1 - t90835 - t90836 - t8219 * t96817 / 0.3e1 - t555 * t56967 / 0.6e1 - t1941 * t11422 / 0.6e1 - t1946 * t11422 / 0.6e1 - t14695 * t5800 / 0.6e1 - t2947 * t29073 / 0.6e1 + t2947 * t29057 / 0.3e1 + t14666 * t1394 / 0.4e1 + t14695 * t5804 / 0.3e1 + t74990 * t457 / 0.4e1 + t73117 * t457 / 0.4e1 - t1397 * t14661 / 0.12e2;
  t101516 = t14748 * t2196;
  t101521 = t2954 * t9399;
  t101539 = -t1402 * t14661 / 0.12e2 - t442 * t74985 / 0.12e2 + t11501 * t1938 / 0.2e1 + t89313 + t89314 + t8063 * t5691 * t100238 / 0.12e2 - t4695 * t14814 * t45790 - t86236 - t8214 * t9444 * t168 * t101516 / 0.6e1 - t8214 * t9444 * t168 * t101521 / 0.6e1 + t39976 * t18193 / 0.12e2 + t39979 * t18193 / 0.12e2 + t8063 * t30011 * t18192 / 0.12e2 + t8063 * t5691 * t101143 / 0.12e2 + t8063 * t5691 * t101147 / 0.12e2;
  t101547 = t86560 / 0.3e1;
  t101548 = t86613 / 0.2e1;
  t101549 = 0.2e1 / 0.3e1 * t86618;
  t101556 = t8063 * t95721 / 0.3e1 - 0.5e1 / 0.18e2 * t11399 * t95376 - t101547 + t99744 - t99746 + t89323 - t89325 + t9535 + t9543 - t101548 + t101549 + t57677 * t570 / 0.2e1 + t57682 * t570 / 0.2e1 - t29068 * t3002 / 0.2e1;
  t101583 = -t29078 * t3002 / 0.2e1 + t5814 * t3018 / 0.2e1 + t5797 * t3018 / 0.2e1 - t5797 * t3010 / 0.2e1 - t5814 * t3010 / 0.2e1 + t14581 * t1378 / 0.6e1 + t2942 * t5809 / 0.6e1 - t11501 * t2037 + 0.3e1 / 0.2e1 * t1070 * t18482 + 0.3e1 / 0.2e1 * t1058 * t18482 + 0.3e1 / 0.2e1 * t373 * t14876 * t77389 - 0.3e1 * t1070 * t18485 - 0.3e1 * t1058 * t18485 - t9546 - t9548;
  t101593 = t110 * t74808;
  t101605 = t5691 * t100243;
  t101625 = 0.3e1 * t5665 * t8438 * t4572 * t100194 + t73236 * t77560 / 0.6e1 - t11646 * t6005 * t100195 + 0.2e1 * t101593 * t10726 + t73900 * t10500 / 0.2e1 + t8063 * t5691 * t100590 / 0.3e1 - 0.5e1 / 0.6e1 * t73070 * t9450 - t73236 * t77554 / 0.2e1 + 0.1e2 / 0.3e1 * t45444 * t101605 + t4695 * t74343 * t2257 / 0.2e1 - 0.23e2 / 0.18e2 * t73218 * t77265 + t5665 * t559 * t4575 * t101516 / 0.2e1 + t5665 * t559 * t4575 * t101521 / 0.2e1 - 0.3e1 / 0.2e1 * t5665 * t8443 * t1165 * t100232;
  t101629 = 0.2e1 / 0.3e1 * t86691;
  t101630 = 0.2e1 / 0.3e1 * t86693;
  t101631 = 0.2e1 / 0.3e1 * t86695;
  t101632 = t86707 / 0.3e1;
  t101633 = t86709 / 0.3e1;
  t101634 = t86711 / 0.3e1;
  t101635 = t86727 / 0.6e1;
  t101636 = t86730 / 0.6e1;
  t101638 = t1076 * t3013 * t439;
  t101642 = -t5665 * t2056 * t4575 * t100433 - t99753 + t101629 + t101630 + t101631 - t101632 - t101633 - t101634 - t101635 - t101636 + t4695 * t8060 * t101638 / 0.2e1 - t91499 - t91500 - t91501 - t91502;
  t101658 = t45452 * t72886;
  t101670 = t91503 - t5639 * t2060 * t24435 * t100083 + 0.3e1 * t5665 * t8460 * t4626 * t100232 + 0.5e1 / 0.18e2 * t73218 * t77557 + t45289 * t14614 / 0.2e1 + t45289 * t14619 / 0.2e1 - t24973 * t101658 / 0.3e1 + t29346 * t18282 / 0.2e1 + t5665 * t8451 * t18281 / 0.2e1 + t5665 * t2056 * t1165 * t100477 / 0.2e1 - t99755 - t99757 - t91511 - t91515;
  t101702 = t91516 - t91517 - t91518 - 0.18e2 * t5665 * t74545 * t10506 - 0.9e1 / 0.2e1 * t5665 * t14932 * t90065 + 0.47e2 / 0.3e1 * t82045 * t29474 * t100736 + t8214 * t29988 * t14639 / 0.12e2 - t8219 * t4687 * t101412 / 0.6e1 - t8219 * t25122 * t18192 / 0.6e1 - t8219 * t4687 * t101143 / 0.6e1 - t8219 * t4687 * t101147 / 0.6e1 - t39497 * t18188 / 0.6e1 - t40920 * t18188 / 0.6e1 - t8214 * t45659 * t18187 / 0.6e1 - t9710;
  t101707 = t86768 / 0.3e1;
  t101708 = t86770 / 0.6e1;
  t101725 = t2232 * t1936;
  t101733 = t9608 * t14946;
  t101734 = t9584 * t14926;
  t101746 = t2369 * t1936;
  t101754 = -t559 * t4575 * t14986 * t2196 - t559 * t4575 * t2986 * t9399 - 0.2e1 * t2056 * t1165 * t101725 + 0.3e1 * t14955 * t9618 + 0.2e1 * t2969 * t9621 - t101733 + t101734 - 0.2e2 / 0.3e1 * t14932 * t77901 - 0.8e1 / 0.3e1 * t2060 * t4572 * t101725 + 0.2e2 / 0.3e1 * t14928 * t9629 + 0.4e1 * t2973 * t78179 - t14932 * t78182 / 0.9e1 - 0.6e1 * t8443 * t356 * t101746 + 0.12e2 * t74808 * t10644 + 0.3e1 * t14955 * t10695;
  t101773 = t46364 * t14971;
  t101774 = 0.2e1 * t101773;
  t101775 = t78305 * t14975;
  t101776 = 0.2e1 * t101775;
  t101777 = t46214 * t14978;
  t101778 = t101777 / 0.3e1;
  t101781 = t2972 * t29892;
  t101784 = t10603 * t1936;
  t101788 = 0.12e2 * t8460 * t1038 * t101746 - 0.6e1 * t8438 * t4572 * t101746 + 0.12e2 * t11663 * t360 * t101784 + 0.12e2 * t101781 * t77961 + 0.24e2 * t74561 * t10651 - 0.12e2 * t14928 * t10699 + 0.2e1 * t14928 * t9596 + 0.9e1 * t14932 * t90975 + 0.6e1 * t14955 * t9623 + 0.2e1 * t2969 * t9627 + 0.2e2 * t74592 * t9568 + t101774 + t101776 + t101778 - t90896;
  t101790 = t2968 * t51603;
  t101795 = t2972 * t51567;
  t101800 = t74525 * t439;
  t101804 = t14969 * t1392;
  t101808 = t1173 * t100232;
  t101826 = 0.4e1 / 0.3e1 * t86271;
  t101827 = 0.2e1 / 0.9e1 * t86273;
  t101828 = t9661 * t2954;
  t101832 = -0.24e2 * t101790 * t10685 - 0.6e1 * t74875 * t10605 - 0.12e2 * t101795 * t10611 + 0.2e1 * t40540 * t18401 + 0.2e1 * t8511 * t360 * t101800 + 0.2e1 * t8511 * t360 * t101804 + 0.4e1 * t40318 * t101808 + 0.2e1 * t58051 * t18407 + 0.2e1 * t11656 * t360 * t74525 * t2196 + 0.2e1 * t11656 * t360 * t14969 * t9399 + 0.4e1 / 0.3e1 * t40455 * t1173 * t100083 - 0.4e1 * t74592 * t10614 + t101826 - t101827 - 0.2e1 / 0.3e1 * t2060 * t4572 * t101828;
  t101851 = t9566 * t1936;
  t101865 = t142 * t18272;
  t101866 = t101865 * t333;
  t101876 = 0.36e2 * t74545 * t10688 - 0.12e2 * t74549 * t90890 - 0.6e1 * t2973 * t78205 + 0.3e1 * t40458 * t360 * t100232 + 0.2e1 * t40461 * t360 * t100433 + 0.2e1 * t40461 * t360 * t100083 + 0.3e1 * t58028 * t360 * t100218 + 0.4e1 / 0.3e1 * t8508 * t1173 * t101851 - 0.1e2 / 0.3e1 * t74592 * t9571 - 0.2e1 * t40448 * t18398 - 0.2e1 * t8508 * t1186 * t101800 - 0.2e1 * t8508 * t1186 * t101804 + t8508 * t1173 * t101866 / 0.3e1 + 0.2e1 * t40455 * t1173 * t100433 - 0.8e1 * t8508 * t1186 * t101851;
  t101892 = t2369 * t14748;
  t101896 = t1173 * t101784;
  t101906 = t14931 * t51558;
  t101912 = t40448 * t18410 / 0.3e1 + t8508 * t1173 * t101800 / 0.3e1 + t8508 * t1173 * t101804 / 0.3e1 - t40315 * t4586 * t100232 / 0.18e2 - 0.4e1 * t2973 * t78202 - 0.2e1 / 0.3e1 * t2060 * t4572 * t101892 - t91000 + 0.12e2 * t11651 * t101896 - 0.18e2 * t74564 * t10614 - 0.2e1 * t40455 * t1186 * t100083 + 0.3e1 * t40315 * t101808 - 0.72e2 * t101906 * t10611 + 0.5e2 / 0.3e1 * t74549 * t91016 + t91005 + t8457 * t18361;
  t101937 = 0.6e1 * t86299;
  t101938 = t2060 * t4626 * t101892 + t91006 + t2060 * t4626 * t101828 - 0.12e2 * t14928 * t9612 + t91007 + t77947 - 0.4e1 / 0.3e1 * t2973 * t78161 - 0.3e1 * t14955 * t9678 - 0.2e1 / 0.3e1 * t8457 * t18384 - 0.2e1 / 0.3e1 * t74545 * t10702 + t8438 * t4609 * t101746 / 0.9e1 - t14932 * t90911 / 0.6e1 + 0.2e2 / 0.3e1 * t8438 * t4619 * t101746 - 0.1e2 * t14932 * t90918 - t101937;
  t101940 = 0.2e1 * t86316;
  t101943 = t18423 * t333;
  t101952 = -t91072 - t91073 - t91074 + t91085 + t91086 + t91087 - t17074 - t15480 - t17075 - t101940 - t78000 + 0.8e1 * t14928 * t10641 - 0.2e1 / 0.3e1 * t2060 * t4572 * t101943 + 0.4e1 * t2060 * t4626 * t101725 - 0.1e2 * t14928 * t9632;
  t101981 = t74548 * t51552;
  t101987 = -0.4e2 * t74545 * t10637 - 0.2e1 / 0.3e1 * t14932 * t78214 + 0.1e2 / 0.3e1 * t74549 * t91010 + 0.6e1 * t14932 * t78125 - t18369 + t2054 * t18424 / 0.2e1 + 0.2e1 * t8511 * t360 * t101866 + 0.2e1 * t11656 * t360 * t101865 * t1082 - 0.2e1 * t101781 * t78155 + 0.2e1 / 0.9e1 * t74564 * t78158 - 0.2e1 / 0.9e1 * t11651 * t4586 * t101784 + 0.4e1 / 0.3e1 * t101906 * t10669 + t74564 * t91262 / 0.3e1 - t101981 * t91265 / 0.9e1 - 0.1e2 / 0.3e1 * t40315 * t4599 * t100232;
  t102013 = 0.12e2 * t86340;
  t102023 = -0.24e2 * t11668 * t1186 * t101784 + 0.72e2 * t101795 * t10627 + 0.24e2 * t74592 * t10680 + 0.8e1 * t101906 * t10619 - 0.4e1 / 0.3e1 * t11651 * t4599 * t101784 + 0.2e1 * t74564 * t90856 - 0.4e1 / 0.3e1 * t101981 * t90860 - 0.6e1 * t40318 * t1186 * t100232 - 0.3e1 * t40455 * t1186 * t100433 + t102013 + t91159 - t559 * t4575 * t18423 * t1082 + t2060 * t4626 * t101943 + 0.6e1 * t14932 * t77915 - 0.36e2 * t74561 * t10691;
  t102024 = t2209 * t14949;
  t102025 = t9584 * t14937;
  t102026 = 0.2e1 / 0.3e1 * t102025;
  t102036 = 0.4e1 * t86353;
  t102037 = 0.8e1 / 0.3e1 * t86355;
  t102043 = t2209 * t14987;
  t102044 = t102043 / 0.2e1;
  t102045 = -0.8e1 * t8460 * t1033 * t101746 - t2056 * t1165 * t101828 - t2056 * t1165 * t101892 + 0.6e1 * t14928 * t9670 - 0.3e1 * t14932 * t78235 - t2054 * t18373 - t8451 * t18395 - t2969 * t9652 - t102024 - t102026 + t102036 - t102037 + t102044 + t18370 - t18371;
  t102047 = 0.8e1 * t86357;
  t102057 = t2968 * t29820;
  t102062 = 0.24e2 * t86361;
  t102065 = -t102047 - t18380 - t78132 - t91174 - t78136 - t78139 - t91175 + 0.8e1 / 0.3e1 * t101981 * t10669 + 0.24e2 * t101981 * t10619 + 0.4e1 * t8511 * t360 * t101851 - 0.6e1 * t74875 * t9574 - 0.4e1 * t102057 * t9580 + 0.4e1 * t11668 * t101896 - t102062 + 0.2e1 * t2973 * t78261;
  t102066 = 0.2e2 / 0.3e1 * t86388;
  t102067 = 0.4e1 * t86394;
  t102068 = 0.2e1 / 0.3e1 * t86400;
  t102069 = t86402 / 0.9e1;
  t102073 = t2209 * t14923;
  t102081 = t46214 * t14981;
  t102082 = 0.2e1 * t102081;
  t102086 = -t91177 + t91178 - t91179 + t102066 + t102067 - t102068 + t102069 - t559 * t1165 * t143 * t100064 - t102073 - t2054 * t18382 + 0.2e1 / 0.3e1 * t2973 * t78004 - t14932 * t78166 / 0.9e1 + 0.4e1 / 0.3e1 * t74564 * t77951 - t102082 - 0.2e1 * t8508 * t1186 * t101866;
  t102100 = 0.4e1 * t86431;
  t102101 = 0.4e1 * t86433;
  t102102 = 0.12e2 * t86439;
  t102103 = -0.4e1 * t14928 * t9662 + t14932 * t78258 / 0.18e2 + 0.1e2 / 0.3e1 * t14932 * t78240 - t91224 - t2056 * t1165 * t101943 - t91225 + 0.6e1 * t40455 * t46248 * t100433 - t9586 - t9610 - t9611 + t9635 + t102100 + t102101 + t102102 + t17119;
  t102106 = 0.12e2 * t86503;
  t102107 = 0.4e1 / 0.3e1 * t86507;
  t102118 = -t78264 + t91239 + t9669 - 0.12e2 * t74564 * t9571 + t18436 + t102106 - t102107 - t18437 + t18438 + t18439 + t559 * t1165 * t140 * t100064 / 0.2e1 - 0.6e1 * t58028 * t46256 * t100218 - 0.2e1 / 0.3e1 * t40455 * t46252 * t100083 + t78280 + t91280;
  t102120 = 0.8e1 * t86522;
  t102130 = t46252 * t100232;
  t102149 = t9675 + t9677 - t102120 - t9683 + 0.2e1 / 0.3e1 * t40315 * t51889 * t100232 + 0.12e2 * t40318 * t46248 * t100232 + 0.4e1 * t40455 * t46248 * t100083 - 0.6e1 * t40315 * t102130 - 0.2e1 * t40318 * t102130 - t40455 * t46252 * t100433 + t40315 * t51878 * t100232 / 0.9e1 - 0.6e1 * t40458 * t46256 * t100232 - 0.4e1 * t40461 * t46256 * t100433 - 0.4e1 * t40461 * t46256 * t100083 - t15516;
  t102150 = 0.4e1 / 0.3e1 * t86534;
  t102151 = 0.2e1 * t86536;
  t102152 = 0.6e1 * t86540;
  t102153 = 0.2e1 * t86542;
  t102154 = 0.4e1 * t86549;
  t102155 = t17149 + t17150 + t15538 - t2229 + t102150 + t102151 - t102152 - t102153 + t91323 + t91324 + t91325 + t91326 - t91327 + t2210 - t102154 + t91328;
  t102170 = 0.4e1 / 0.3e1 * t86808;
  t102171 = 0.23e2 / 0.18e2 * t86810;
  t102172 = t9713 + 0.2e1 * t11510 * t5679 * t100195 + t101707 + t101708 + t11646 * t4687 * t100233 / 0.2e1 + t8219 * t9444 * t101100 / 0.3e1 + t8063 * t95967 / 0.3e1 - 0.5e1 / 0.18e2 * t11399 * t95970 - t18481 - t110 * t139 * (t101754 + t101788 + t101832 + t101876 + t101912 + t101938 + t101952 + t101987 + t102023 + t102045 + t102065 + t102086 + t102103 + t102118 + t102149 + t102155) * t168 / 0.4e1 - t8219 * t86815 / 0.3e1 - t11646 * t96859 + 0.2e1 * t5649 * t14814 * t51938 - t102170 + t102171;
  t102173 = 0.2e1 / 0.3e1 * t86813;
  t102191 = t45379 * t14632;
  t102192 = t102191 / 0.6e1;
  t102193 = t45376 * t14635;
  t102194 = t102193 / 0.12e2;
  t102195 = 0.2e1 * t86830;
  t102196 = 0.3e1 * t86833;
  t102197 = t102173 + 0.2e1 * t11510 * t95024 - 0.3e1 * t5639 * t8460 * t4572 * t100232 - t29985 * t14606 + t8063 * t5691 * t101412 / 0.12e2 + t8214 * t4687 * t380 * t403 * t18272 / 0.12e2 + t11510 * t5695 * t100195 - t102192 + t102194 + t102195 - t102196 - t86836 + t18488 + t91608 + t91609;
  t102204 = my_piecewise3(t100, 0, t100110 + t101180 + t100412 + t100270 + t101449 + t100519 + t100785 + t100890 + t100203 + t100348 + t100369 + t100141 + t101390 + t100923 + t100799 + t100168 + t100929 + t101240 + t101308 + t100087 + t101583 + t100901 + t101047 + t100982 + t101063 + t101539 + t101288 + t100826 + t101360 + t101096 + t101702 + t100616 + t100680 + t102197 + t100450 + t99986 + t100575 + t100948 + t101475 + t100862 + t100653 + t100431 + t100316 + t100489 + t101424 + t101344 + t101625 + t101556 + t100392 + t100743 + t101192 + t101266 + t101137 + t101504 + t101082 + t101226 + t100300 + t101670 + t101026 + t100718 + t100223 + t101642 + t100548 + t102172);
  tv4rhosigmatau217 = t3 * t102204 + t18493;

  if(out->v4rhosigmatau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhosigmatau2[ip*p->dim.v4rhosigmatau2 + 17] += tv4rhosigmatau217;

  t102206 = t78573 / 0.4e1;
  t102219 = t2557 * t3076;
  t102222 = t15109 + 0.4e1 * t11930 * t60145 - 0.4e1 / 0.3e1 * t11927 * t60050 + t75277 - t75280 + 0.2e1 * t472 * t12180 - 0.8e1 * t11942 * t12160 + 0.8e1 * t2566 * t3410 + t75299 + t75318 + 0.24e2 * t102219 * t1274;
  t102223 = t11895 * t3118;
  t102230 = t2553 * t651;
  t102239 = -0.12e2 * t102223 * t8922 + 0.4e1 / 0.3e1 * t102223 * t8933 + 0.8e1 * t11937 * t12128 - 0.12e2 * t102230 * t1281 - 0.4e1 * t2569 * t826 + 0.2e1 * t1599 * t2592 - 0.4e1 * t11927 * t60054 - t15121 + t75338 - t75344 - t75347 + t75349;
  t102249 = t3428 * t2532;
  t102260 = t789 * t2527;
  t102263 = -0.4e1 / 0.3e1 * t2566 * t3362 + 0.2e2 / 0.9e1 * t102223 * t8928 + 0.4e1 / 0.3e1 * t11942 * t12141 - 0.4e1 * t102219 * t1269 - 0.8e1 * t102249 * t3410 - 0.4e1 * t11878 - 0.4e1 * t12195 - 0.2e1 * t58433 * t2592 - 0.2e1 * t11930 * t12180 + 0.8e1 * t11927 * t12160 + 0.4e1 * t102260 * t826;
  t102264 = t3428 * t12045;
  t102271 = t21298 * t12037;
  t102276 = t789 * t2532;
  t102289 = -0.8e1 * t102264 * t1269 + 0.8e1 / 0.3e1 * t11927 * t12141 - 0.8e1 / 0.3e1 * t102249 * t3362 + 0.16e2 / 0.9e1 * t102271 * t8928 - 0.8e1 * t11924 * t12128 + 0.12e2 * t102276 * t1281 + 0.32e2 / 0.3e1 * t102271 * t8933 - 0.2e1 / 0.3e1 * t12234 + 0.12e2 * t102271 * t8922 + 0.4e1 * t12240 - 0.24e2 * t102264 * t1274 + 0.4e1 * t11924 * t60136;
  t102291 = t102222 + t102239 + t102263 + t102289;
  t102293 = t824 * t221 * t102291;
  t102306 = t1261 * t1514 * t12024;
  t102315 = t102206 - t78579 / 0.4e1 - t78581 / 0.4e1 - t246 * t1559 * t102293 / 0.4e1 + t630 * t18589 + t608 * t18589 - 0.2e1 * t18539 * t3691 + t18539 * t3366 + 0.3e1 * t12047 * t12124 + t2534 * t31748 + 0.2e1 * t1541 * t102306 - 0.2e1 * t2534 * t30835 + 0.7e1 / 0.3e1 * t18529 * t21426 - 0.5e1 / 0.36e2 * t18529 * t20919;
  t102316 = t18507 * t20825;
  t102318 = t191 * t20823 * t102316;
  t102323 = t4808 * t12025;
  t102329 = t58894 * t481 / 0.4e1;
  t102332 = t633 * t18528;
  t102334 = 0.11e2 / 0.54e2 * t102332 * t3141;
  t102336 = t637 * t18711 / 0.2e1;
  t102337 = t633 * t18538;
  t102339 = t102337 * t667 / 0.3e1;
  t102341 = t11868 * t6424 / 0.3e1;
  t102343 = t11868 * t6233 / 0.12e2;
  t102345 = t102337 * t662 / 0.6e1;
  t102347 = 0.23e2 / 0.108e3 * t102332 * t3146;
  t102348 = t3051 * t18517;
  t102349 = -0.35e2 / 0.108e3 * t102318 * t75220 + 0.5e1 / 0.12e2 * t18529 * t22035 - 0.5e1 / 0.12e2 * t12052 * t102323 - t2534 * t31107 / 0.4e1 + t102329 - t466 * t58592 / 0.4e1 - t102334 + t102336 + t102339 + t102341 - t102343 + t102345 + t102347 - t102348;
  t102351 = t637 * t18521;
  t102353 = t637 * t18524 / 0.2e1;
  t102356 = t626 * t18538;
  t102360 = t3360 * t665 * t11945;
  t102369 = t18507 * t20811;
  t102371 = t191 * t3135 * t102369;
  t102377 = t191 * t194 * t18537;
  t102380 = t3115 * t102369;
  t102384 = -t102351 + t102353 + t2529 * t6212 / 0.2e1 + t102356 * t662 / 0.2e1 - 0.3e1 / 0.2e1 * t246 * t12147 * t102360 - 0.3e1 / 0.2e1 * t630 * t18612 - 0.3e1 / 0.2e1 * t608 * t18612 - t12217 * t18608 + 0.6e1 * t102371 * t8742 - t2089 + t2160 - 0.3e1 / 0.2e1 * t12030 * t12026 + 0.2e1 * t102377 * t1295 - 0.18e2 * t246 * t102380 * t8922;
  t102385 = t20842 * t102316;
  t102390 = t191 * t649 * t18527;
  t102416 = -0.18e2 * t679 * t102385 * t75596 - 0.6e1 * t102390 * t1257 + 0.12e2 * t102390 * t1263 - 0.6e1 * t20841 * t102385 * t75791 + 0.18e2 * t3167 * t102385 * t75589 + 0.23e2 / 0.12e2 * t12052 * t79599 - 0.61e2 / 0.27e2 * t102318 * t76457 + 0.44e2 / 0.27e2 * t102318 * t76461 - 0.9e1 * t6411 * t12042 - 0.3e1 / 0.2e1 * t78617 + 0.3e1 / 0.2e1 * t78619 - 0.3e1 / 0.2e1 * t78643 + 0.7e1 * t78650 - 0.9e1 / 0.2e1 * t78654 - t18529 * t20934 / 0.2e1;
  t102429 = t4867 * t12025;
  t102435 = t26405 * t11826;
  t102438 = t20862 * t11825;
  t102442 = t22290 * t11825;
  t102446 = t26847 * t11885;
  t102450 = t26189 * t3156 * t11825;
  t102453 = t18496 * t206;
  t102454 = t95 * t102453;
  t102455 = t26400 * t102454;
  t102460 = -0.3e1 * t6411 * t12142 - 0.43e2 / 0.9e1 * t102318 * t75254 - 0.3e1 / 0.2e1 * t18529 * t21430 + 0.3e1 / 0.2e1 * t18529 * t20931 - t1541 * t87785 / 0.4e1 - 0.3e1 / 0.2e1 * t12052 * t102429 - t246 * t6273 * t18585 / 0.4e1 + 0.3e1 / 0.2e1 * t58252 * t102435 + 0.9e1 * t4983 * t11896 * t102438 - 0.9e1 / 0.2e1 * t4772 * t11896 * t102442 - 0.7e1 * t58252 * t102446 + 0.9e1 / 0.2e1 * t58252 * t102450 - t6439 * t102455 / 0.3e1 - 0.8e1 / 0.3e1 * t58268 * t11827;
  t102463 = t22290 * t102453;
  t102466 = t22309 * t102453;
  t102482 = t1261 * t11841 * t2676;
  t102489 = t11868 * t18608 / 0.3e1;
  t102490 = t18496 * t794;
  t102492 = t42389 * t95 * t102490;
  t102495 = 0.16e2 / 0.3e1 * t58268 * t11886 - t4983 * t1591 * t102463 + t4772 * t1591 * t102466 - 0.3e1 / 0.2e1 * t78662 - t78673 / 0.4e1 - t12217 * t6402 / 0.2e1 - t2534 * t31954 / 0.2e1 - t1529 * t11838 / 0.4e1 - 0.5e1 / 0.12e2 * t12052 * t80402 + t2534 * t31881 / 0.2e1 + t3396 * t102482 - 0.3e1 / 0.4e1 * t11843 * t1560 - 0.3e1 / 0.2e1 * t11843 * t1556 - t102489 + t6451 * t102492 / 0.2e1;
  t102501 = t87147 / 0.6e1;
  t102508 = t3690 * t12120;
  t102511 = t3690 * t12074;
  t102514 = t87162 / 0.3e1;
  t102516 = 0.9e1 / 0.2e1 * t78687 + 0.3e1 / 0.2e1 * t78692 + 0.9e1 / 0.2e1 * t78716 - 0.3e1 / 0.2e1 * t78738 - t102501 - t2529 * t12121 / 0.3e1 - t18510 * t845 / 0.2e1 - t12220 * t2544 / 0.3e1 + t2534 * t102508 / 0.2e1 + t2534 * t102511 / 0.2e1 + t102514 + t87171 + t87174 + t78782 / 0.2e1;
  t102531 = t8790 * t102454;
  t102534 = t2541 * t11945;
  t102535 = t3562 * t102534;
  t102538 = t463 * t18496;
  t102540 = t26405 * t670 * t102538;
  t102546 = t3520 * t12120;
  t102549 = t78784 / 0.2e1 - t1534 * t18504 / 0.6e1 + t246 * t6273 * t18498 / 0.2e1 + t630 * t18499 / 0.2e1 + t608 * t18499 / 0.2e1 - t2529 * t12075 / 0.3e1 + 0.3e1 / 0.2e1 * t47384 * t12195 + t6454 * t102531 / 0.3e1 + t4772 * t470 * t102535 + 0.2e1 / 0.3e1 * t20708 * t102540 + t3266 * t6163 * t18498 / 0.2e1 + t78803 + t78805 + t78807 + t2534 * t102546 / 0.4e1;
  t102556 = t6119 * t12024;
  t102557 = t1254 * t102556;
  t102566 = t4808 * t6409 * t18970;
  t102578 = t247 * t18537;
  t102583 = t11868 * t18623 / 0.12e2;
  t102585 = t1506 * t18620 / 0.12e2;
  t102586 = t12217 * t18623 / 0.4e1 + t2534 * t30831 - t1541 * t102557 + 0.3e1 * t12047 * t9981 + 0.3e1 / 0.4e1 * t11843 * t1564 - 0.2e1 * t102318 * t75806 - 0.9e1 / 0.2e1 * t41080 * t102566 - 0.3e1 / 0.2e1 * t6411 * t12151 + 0.3e1 / 0.2e1 * t11843 * t1551 - 0.3e1 / 0.2e1 * t60007 * t1548 + 0.9e1 / 0.2e1 * t246 * t12131 * t12128 - 0.6e1 * t246 * t102578 * t1281 + t102583 + t102585;
  t102587 = t247 * t18508;
  t102598 = t11868 * t18615 / 0.6e1;
  t102608 = -0.3e1 / 0.2e1 * t246 * t102587 * t826 + 0.3e1 / 0.2e1 * t246 * t830 * t18661 * t3260 + t246 * t12135 * t12180 + t102598 - t630 * t18586 / 0.4e1 + t78852 + 0.23e2 / 0.12e2 * t78855 - 0.6e1 * t78858 - 0.2e1 * t78860 - t78886 / 0.4e1 - 0.5e1 / 0.12e2 * t78889 + t78893 / 0.2e1 + 0.3e1 / 0.2e1 * t78896 + t87279;
  t102616 = t87304 / 0.2e1;
  t102617 = t1261 * t102556;
  t102626 = t11855 * t2544 / 0.9e1;
  t102631 = -t87282 + t78921 + 0.3e1 / 0.4e1 * t78923 - 0.3e1 / 0.4e1 * t78925 - t2529 * t6121 / 0.2e1 + 0.3e1 / 0.2e1 * t12047 * t9827 - t102616 - t1541 * t102617 / 0.2e1 + t18539 * t3380 / 0.2e1 + 0.5e1 / 0.3e1 * t102371 * t8711 - t18539 * t3525 - t102626 - 0.6e1 * t12047 * t12110 - 0.38e2 / 0.9e1 * t102318 * t75839;
  t102637 = t18578 * t206;
  t102638 = t3130 * t102637;
  t102644 = t8790 * t253 * t276 * t18496;
  t102648 = t8790 * t95 * t102534;
  t102651 = t26405 * t102454;
  t102654 = t3115 * t18527;
  t102658 = t94 * t18507;
  t102659 = t244 * t102658;
  t102660 = t25709 * t102659;
  t102663 = t830 * t18641;
  t102671 = t1506 * t18581 / 0.36e2;
  t102680 = 0.89e2 / 0.9e1 * t102318 * t75101 - 0.8e1 * t4983 * t11892 * t59497 + t4983 * t1591 * t102638 / 0.2e1 - t6451 * t102644 / 0.6e1 - t6451 * t102648 / 0.3e1 - t6439 * t102651 / 0.6e1 - 0.9e1 / 0.2e1 * t246 * t102654 * t20761 + 0.47e2 / 0.3e1 * t75604 * t102660 + 0.3e1 / 0.2e1 * t246 * t102663 * t3131 + 0.6e1 * t246 * t102385 * t75802 + t102671 - 0.3e1 * t1516 * t12129 + t2529 * t6503 / 0.2e1 + 0.11e2 / 0.6e1 * t18529 * t21629 - 0.3e1 * t1516 * t12163;
  t102685 = t4851 * t12025;
  t102689 = t3139 * t3144 * t1524;
  t102704 = t843 * t102556;
  t102708 = t2541 * t1524;
  t102709 = t95 * t102708;
  t102710 = t3273 * t102709;
  t102713 = 0.3e1 / 0.2e1 * t1516 * t12165 - 0.11e2 / 0.6e1 * t12052 * t102685 + 0.9e1 / 0.2e1 * t3167 * t12038 * t102689 - 0.18e2 * t3167 * t102380 * t8928 + 0.3e1 * t79029 - 0.3e1 / 0.2e1 * t79031 + 0.9e1 * t79034 + t79071 / 0.2e1 - t79098 / 0.4e1 + t79100 / 0.4e1 - 0.3e1 / 0.2e1 * t12030 * t10172 + t1568 * t102704 - t466 * t58672 / 0.4e1 - 0.2e1 / 0.3e1 * t6454 * t102710;
  t102718 = t4877 * t3264 * t12204;
  t102720 = t87534 / 0.6e1;
  t102725 = t626 * t18528;
  t102728 = t222 * t18701;
  t102733 = t191 * t242 * t18699 * t243;
  t102748 = t58266 * t12201 + 0.2e1 / 0.3e1 * t58255 * t12188 - t58249 * t102718 + t102720 - 0.2e1 * t102356 * t672 - 0.2e1 * t18539 * t3091 - 0.11e2 / 0.18e2 * t102725 * t3141 - t211 * t102728 / 0.12e2 + t102733 * t250 / 0.4e1 + 0.3e1 / 0.2e1 * t21524 * t18514 + 0.3e1 / 0.2e1 * t21529 * t18514 - 0.5e1 / 0.36e2 * t18529 * t21580 + 0.3e1 / 0.4e1 * t11843 * t1526 + 0.3e1 / 0.4e1 * t58583 * t481 + 0.3e1 / 0.4e1 * t58589 * t481;
  t102751 = t11855 * t1511 / 0.6e1;
  t102753 = 0.5e1 / 0.108e3 * t102332 * t3178;
  t102755 = 0.7e1 / 0.9e1 * t102332 * t3153;
  t102757 = t30793 * t2584 / 0.2e1;
  t102758 = t79104 / 0.2e1;
  t102760 = t3139 * t3124 * t1524;
  t102770 = t677 * t102658;
  t102771 = t25714 * t102770;
  t102780 = t680 * t18527;
  t102784 = t680 * t18537;
  t102788 = t4851 * t102659;
  t102791 = t102751 - t102753 + t102755 - t102757 - t102758 - 0.9e1 * t679 * t12038 * t102760 + 0.36e2 * t679 * t102380 * t8933 + 0.9e1 * t679 * t102654 * t21547 - 0.62e2 / 0.3e1 * t75604 * t102771 - 0.3e1 * t679 * t102663 * t3126 - 0.9e1 * t246 * t12087 * t12160 + 0.18e2 * t246 * t102780 * t1274 + 0.6e1 * t246 * t102784 * t3410 - 0.28e2 * t75949 * t102788;
  t102792 = t830 * t18645;
  t102796 = t3139 * t12140;
  t102800 = t3562 * t102453;
  t102810 = t21994 * t18514 / 0.2e1;
  t102815 = t79150 / 0.12e2;
  t102819 = t79188 / 0.2e1;
  t102820 = t79192 / 0.2e1;
  t102821 = -0.3e1 * t246 * t102792 * t3082 + 0.9e1 / 0.2e1 * t246 * t12038 * t102796 - t4772 * t1587 * t102800 - t12217 * t6233 / 0.4e1 - t2534 * t31967 / 0.4e1 - 0.5e1 / 0.36e2 * t102725 * t3178 + t102810 + 0.7e1 / 0.3e1 * t18529 * t21037 + t12217 * t6424 + t2534 * t31999 - t102815 + t79163 / 0.2e1 + t18510 * t840 / 0.2e1 + t102819 - t102820;
  t102828 = t5175 * t102709;
  t102830 = t26189 * t11826;
  t102833 = t4877 * t12205;
  t102839 = t836 * t3389 * t18579;
  t102844 = t836 * t837 * t94 * t102291;
  t102852 = t3520 * t244 * t12119;
  t102856 = t12217 * t18615 / 0.2e1 + t6439 * t102828 + 0.5e1 / 0.12e2 * t58252 * t102830 + t58249 * t102833 / 0.4e1 - 0.3e1 * t102390 * t1300 + t466 * t102839 / 0.12e2 + t466 * t102844 / 0.12e2 + t1529 * t18581 / 0.12e2 + t1534 * t18581 / 0.12e2 - t2534 * t102852 - t8624 + t8645 - t8647 + 0.3e1 / 0.2e1 * t47384 * t11878;
  t102862 = t26405 * t12187;
  t102865 = t4877 * t102709;
  t102870 = t31478 * t12205;
  t102873 = t47795 * t11826;
  t102876 = t31478 * t11826;
  t102879 = t80110 * t12187;
  t102895 = 0.3e1 / 0.2e1 * t4993 * t58766 * t18594 - t58255 * t12206 / 0.3e1 - 0.3e1 / 0.4e1 * t58249 * t102862 + t6439 * t102865 / 0.2e1 - 0.4e1 / 0.3e1 * t58268 * t12191 + t6451 * t102870 / 0.4e1 + t6439 * t102873 / 0.4e1 - t6454 * t102876 / 0.2e1 - t6451 * t102879 / 0.2e1 + 0.3e1 / 0.2e1 * t3061 * t18595 - 0.6e1 * t679 * t102784 * t3362 + 0.3e1 * t679 * t102792 * t3078 + 0.9e1 * t679 * t12087 * t12141 + t466 * t60087 / 0.4e1;
  t102905 = t22302 * t102490;
  t102917 = t1568 * t88644 / 0.2e1 - t8720 - t2534 * t31744 / 0.2e1 - 0.11e2 / 0.6e1 * t12052 * t79596 + 0.9e1 / 0.2e1 * t18529 * t22063 + t18600 - t18601 - t18602 + t15640 - 0.3e1 / 0.2e1 * t4772 * t470 * t102905 - t1534 * t11838 / 0.4e1 - 0.3e1 / 0.2e1 * t102725 * t3158 - 0.3e1 / 0.2e1 * t18529 * t21041 - 0.3e1 / 0.2e1 * t31990 * t2584;
  t102944 = t5175 * t12205;
  t102947 = t26400 * t12187;
  t102950 = -0.3e1 / 0.2e1 * t31139 * t2584 - 0.3e1 * t3070 * t18517 - 0.3e1 * t3061 * t18517 - 0.3e1 * t630 * t18521 - 0.3e1 * t608 * t18521 + 0.3e1 / 0.2e1 * t630 * t18524 + 0.3e1 / 0.2e1 * t608 * t18524 - t18529 * t21532 / 0.2e1 + 0.7e1 / 0.3e1 * t102725 * t3153 - 0.11e2 / 0.18e2 * t18529 * t21113 + 0.23e2 / 0.36e2 * t102725 * t3146 + 0.23e2 / 0.36e2 * t18529 * t21116 - t102725 * t3150 / 0.2e1 + t58249 * t102944 / 0.2e1 - 0.3e1 / 0.2e1 * t58249 * t102947;
  t102953 = t95 * t102637;
  t102954 = t5175 * t102953;
  t102961 = t20876 * t11825;
  t102965 = t3556 * t102637;
  t102977 = t788 * t102708;
  t102981 = t463 * t18578;
  t102983 = t4877 * t670 * t102981;
  t102989 = t4808 * t677 * t12024;
  t102993 = t637 * t18612 / 0.2e1;
  t102994 = t6439 * t102954 / 0.6e1 - 0.3e1 / 0.2e1 * t47384 * t12240 + 0.3e1 / 0.2e1 * t47381 * t12234 - 0.9e1 / 0.2e1 * t9877 * t11896 * t102961 - t4772 * t1591 * t102965 / 0.2e1 + t3266 * t58233 * t2592 - 0.3e1 * t4772 * t11912 * t11877 - 0.2e1 * t4772 * t2554 * t12194 + 0.2e1 * t4772 * t1587 * t102977 - t20708 * t102983 / 0.3e1 + t8741 - t1529 * t18504 / 0.6e1 - 0.9e1 / 0.2e1 * t12052 * t102989 - t102993;
  t102996 = t3051 * t18595 / 0.2e1;
  t102998 = t637 * t18589 / 0.3e1;
  t103000 = t637 * t18586 / 0.12e2;
  t103004 = t788 * t102637;
  t103008 = t18578 * t794;
  t103009 = t3562 * t103008;
  t103021 = t26189 * t11885;
  t103024 = t26847 * t11826;
  t103027 = t102996 + t102998 - t103000 - t3266 * t6163 * t18585 / 0.4e1 + t4772 * t1587 * t103004 / 0.2e1 + t4772 * t470 * t103009 / 0.2e1 - t8811 - t79345 / 0.4e1 + t79347 / 0.2e1 - t8829 + 0.9e1 * t6411 * t12144 + 0.3e1 * t6411 * t12148 + 0.18e2 * t102371 * t8947 - 0.23e2 / 0.12e2 * t58252 * t103021 + 0.11e2 / 0.6e1 * t58252 * t103024;
  t103029 = t46876 * t11826;
  t103033 = t836 * t31872 * t2542;
  t103037 = t836 * t6119 * t12119;
  t103052 = t6439 * t103029 / 0.2e1 + t466 * t103033 / 0.4e1 + t466 * t103037 / 0.4e1 + t1529 * t18620 / 0.4e1 + t1534 * t18620 / 0.4e1 + 0.3e1 / 0.2e1 * t3070 * t18595 - t79402 / 0.4e1 - t79405 / 0.4e1 + t18603 + t18604 - t18605 - t18606 + 0.3e1 / 0.2e1 * t12047 * t12082 - t1541 * t87202 / 0.2e1;
  t103057 = t3520 * t12074;
  t103060 = t79454 / 0.12e2;
  t103069 = t88621 / 0.3e1;
  t103070 = t88623 / 0.3e1;
  t103071 = t88625 / 0.6e1;
  t103072 = -0.3e1 / 0.2e1 * t12052 * t79156 + 0.7e1 * t12052 * t79159 + t2534 * t103057 / 0.4e1 - t103060 - 0.3e1 / 0.2e1 * t79485 - 0.3e1 / 0.2e1 * t79487 - 0.3e1 / 0.2e1 * t79491 - 0.3e1 / 0.2e1 * t79493 - 0.3e1 / 0.2e1 * t79495 - 0.3e1 / 0.2e1 * t79498 + 0.3e1 / 0.2e1 * t79510 + 0.3e1 / 0.2e1 * t79512 - t103069 - t103070 + t103071;
  t103076 = t88627 / 0.6e1;
  t103077 = 0.2e1 / 0.3e1 * t88634;
  t103080 = t88657 / 0.18e2;
  t103081 = t88670 / 0.6e1;
  t103090 = t103076 - t103077 - 0.9e1 * t79550 - 0.9e1 * t79555 - t18626 + t8874 + t8877 + t103080 + t103081 - t79591 / 0.2e1 - t608 * t18586 / 0.4e1 - t30 * t18700 * t277 / 0.4e1 - t79604 / 0.2e1 + 0.3e1 / 0.4e1 * t79606;
  t103097 = t102332 * t3158 / 0.2e1;
  t103099 = t6226 * t2588 / 0.2e1;
  t103115 = 0.2e1 / 0.3e1 * t102337 * t672;
  t103116 = t88727 / 0.2e1;
  t103117 = 0.3e1 / 0.4e1 * t79608 + t18539 * t3175 / 0.2e1 + t12220 * t1511 / 0.2e1 - t103097 - t103099 - 0.3e1 / 0.2e1 * t6217 * t2588 - 0.3e1 / 0.2e1 * t6209 * t2588 + 0.3e1 * t3061 * t18714 + 0.3e1 * t3070 * t18714 + 0.3e1 / 0.2e1 * t630 * t18711 + 0.3e1 / 0.2e1 * t608 * t18711 + t18539 * t3056 + t102356 * t667 - t103115 - t103116;
  t103119 = t88731 / 0.2e1;
  t103120 = t88733 / 0.2e1;
  t103121 = t88766 / 0.6e1;
  t103122 = t80078 / 0.6e1;
  t103125 = t3273 * t102953;
  t103130 = t3130 * t102708;
  t103134 = -t103119 - t103120 + t103121 - t103122 - 0.3e1 / 0.4e1 * t31651 * t12198 - t6454 * t103125 / 0.6e1 + 0.3e1 / 0.2e1 * t80087 - 0.3e1 * t80091 - t8896 - t8900 + t8913 + t8915 - t8939 + 0.3e1 * t4983 * t1591 * t103130;
  t103135 = t22290 * t12186;
  t103140 = t80134 / 0.3e1;
  t103144 = t3460 * t3389 * t18502;
  t103148 = t188 * t18701 / 0.12e2;
  t103151 = t3273 * t253 * t276 * t18578;
  t103155 = t8790 * t95 * t103008;
  t103158 = t4877 * t102953;
  t103162 = -0.9e1 / 0.2e1 * t4983 * t2558 * t103135 - t8952 + t8954 + 0.9e1 / 0.2e1 * t80122 + t103140 - t18627 + t18628 + t8974 + 0.9e1 / 0.2e1 * t32356 * t12039 - t466 * t103144 / 0.6e1 - t103148 + t6451 * t103151 / 0.12e2 - t6451 * t103155 / 0.6e1 + t6439 * t103158 / 0.12e2 - 0.3e1 / 0.2e1 * t80240;
  t103172 = t3360 * t660 * t11945;
  t103196 = t1506 * t18504 / 0.18e2;
  t103197 = -0.3e1 / 0.4e1 * t1516 * t12176 - 0.3e1 / 0.4e1 * t1516 * t12181 - 0.3e1 / 0.4e1 * t6217 * t2593 + 0.3e1 / 0.2e1 * t679 * t12147 * t103172 - 0.3e1 / 0.4e1 * t6209 * t2593 - 0.18e2 * t679 * t102780 * t1269 + 0.9e1 / 0.2e1 * t1516 * t12091 + 0.7e1 * t12052 * t31786 - 0.7e1 * t18529 * t21953 + 0.3e1 * t1516 * t12161 - 0.9e1 * t1516 * t12088 - 0.2e1 * t18539 * t3503 + 0.4e1 * t18539 * t3522 - t103196;
  t103205 = t6226 * t2593 / 0.4e1;
  t103209 = t637 * t18499 / 0.6e1;
  t103214 = t3520 * t606 * t2542;
  t103220 = t4808 * t12109;
  t103227 = -0.6e1 * t12047 * t9985 + 0.22e2 / 0.3e1 * t102371 * t8940 - 0.23e2 / 0.3e1 * t102371 * t8943 - t103205 + 0.23e2 / 0.36e2 * t18529 * t21882 + t103209 - t80295 / 0.2e1 - t80297 / 0.2e1 - t80300 / 0.2e1 - t2534 * t103214 - 0.23e2 / 0.12e2 * t18529 * t21625 - 0.11e2 / 0.18e2 * t18529 * t21898 + 0.23e2 / 0.12e2 * t12052 * t103220 + 0.9e1 / 0.2e1 * t1516 * t12132 + 0.3e1 / 0.2e1 * t1516 * t12136;
  t103235 = t26011 * t3165 * t102658;
  t103252 = 0.4e1 * t87997;
  t103253 = 0.4e1 * t88001;
  t103254 = 0.4e1 * t88003;
  t103255 = 0.2e1 / 0.3e1 * t88005;
  t103256 = t62 * t18496;
  t103257 = t103256 * t206;
  t103258 = t233 * t103257;
  t103261 = t815 * t11968;
  t103264 = t815 * t103257;
  t103268 = t233 * t103256 * t794;
  t103271 = t62 * t18578;
  t103272 = t103271 * t206;
  t103273 = t233 * t103272;
  t103277 = t233 * t103271 * t794;
  t103280 = 0.2e1 * t79673 - t79677 / 0.3e1 + 0.6e1 * t79680 + 0.6e1 * t79683 - 0.36e2 * t79686 - 0.12e2 * t79689 - 0.2e1 * t79692 + 0.18e2 * t79696 - t103252 + t103253 + t103254 + t103255 - 0.4e1 * t32105 * t103258 + 0.18e2 * t88102 * t103261 + 0.4e1 * t32108 * t103264 - 0.6e1 * t48493 * t103268 + 0.2e1 * t6344 * t103273 + 0.2e1 * t10088 * t103277;
  t103281 = t802 * t103272;
  t103284 = t11963 * t1524;
  t103285 = t815 * t103284;
  t103289 = 0.4e1 / 0.3e1 * t88108;
  t103293 = t788 * t63 * t102291;
  t103295 = t1327 * t18578;
  t103296 = t3130 * t103295;
  t103300 = t20822 * t18507 * t20844;
  t103303 = t3556 * t11978;
  t103306 = 0.2e1 * t88133;
  t103307 = t3580 * t11964;
  t103313 = t3168 * t11986;
  t103322 = t18645 * t21138;
  t103325 = t6341 * t103281 / 0.3e1 - 0.12e2 * t6341 * t103285 + 0.6e1 * t79717 - t103289 + t79751 / 0.6e1 - 0.4e1 * t79769 - t470 * t103293 - 0.2e1 / 0.3e1 * t1591 * t103296 + 0.5e2 / 0.3e1 * t103300 * t76143 - 0.6e1 * t2558 * t103303 - t103306 + 0.2e1 * t59023 * t103307 - 0.36e2 * t11892 * t11987 + 0.18e2 * t79791 - t11896 * t103313 / 0.3e1 + t18658 * t22277 / 0.3e1 - t103300 * t76246 / 0.9e1 + 0.6e1 * t11892 * t11995 - 0.12e2 * t103322 * t1320;
  t103329 = t18641 * t20885;
  t103332 = t2571 * t1524;
  t103333 = t3130 * t103332;
  t103336 = t22290 * t11992;
  t103339 = t788 * t103332;
  t103344 = t22309 * t11992;
  t103351 = t3130 * t11946;
  t103363 = t18661 * t21714;
  t103368 = -0.4e1 * t18655 * t3543 + 0.4e1 / 0.3e1 * t103329 * t9041 - 0.4e1 * t1591 * t103333 + 0.6e1 * t2558 * t103336 - 0.4e1 * t1587 * t103339 + 0.6e1 * t11912 * t11990 - 0.9e1 * t2558 * t103344 + 0.24e2 * t103322 * t1328 - 0.2e1 / 0.3e1 * t103329 * t9097 - 0.2e1 * t2558 * t103351 + 0.2e1 * t18658 * t22334 - t18629 + 0.1e2 / 0.3e1 * t103300 * t76157 + 0.4e1 * t2554 * t11979 + 0.18e2 * t79842 + 0.18e2 * t11912 * t12006 - 0.24e2 * t103363 * t1315 - 0.6e1 * t18662 * t796;
  t103373 = t788 * t103295;
  t103376 = t3562 * t18679 * t794;
  t103383 = t1327 * t18496;
  t103384 = t22290 * t103383;
  t103387 = t3130 * t11978;
  t103392 = t788 * t60 * t102291;
  t103404 = 0.4e1 * t2554 * t11993 + 0.32e2 / 0.3e1 * t11892 * t11983 - t1587 * t103373 - t470 * t103376 - 0.9e1 * t79877 + 0.24e2 * t103300 * t76121 + 0.2e1 * t1585 * t18631 + 0.4e1 / 0.3e1 * t1591 * t103384 + t2558 * t103387 + t18639 + 0.6e1 * t79892 - 0.6e1 * t79894 - t79902 + t470 * t103392 / 0.2e1 - 0.9e1 * t11912 * t11909 + 0.12e2 * t103363 * t1334 + 0.3e1 * t18662 * t812 - t1585 * t18675 - 0.4e2 * t103329 * t9113;
  t103407 = t3556 * t11946;
  t103414 = t20876 * t11889;
  t103422 = t233 * t11963 * t11945;
  t103425 = t802 * t103257;
  t103428 = t802 * t103284;
  t103433 = t802 * t11968;
  t103436 = t3590 * t11964;
  t103443 = -t18640 - t15773 + 0.3e1 * t2558 * t103407 + 0.1e2 * t79930 - 0.9e1 * t79933 - 0.3e1 * t79936 - 0.12e2 * t79938 - t11896 * t103414 / 0.6e1 - 0.8e1 * t87965 * t11969 - 0.12e2 * t59134 * t11965 + 0.4e1 * t10088 * t103422 - 0.2e1 / 0.3e1 * t32108 * t103425 + 0.2e1 * t6341 * t103428 - 0.16e2 / 0.3e1 * t59026 * t11972 - 0.3e1 * t88102 * t103433 + t59023 * t103436 / 0.3e1 - 0.18e2 * t59023 * t11972 + 0.32e2 * t59026 * t11975;
  t103446 = t3130 * t11986;
  t103451 = t22309 * t103383;
  t103454 = t3556 * t103295;
  t103460 = t3556 * t103332;
  t103465 = t20862 * t11889;
  t103468 = t3168 * t11901;
  t103473 = t3125 * t11901;
  t103478 = -0.4e1 / 0.3e1 * t103300 * t76013 + 0.18e2 * t11896 * t103446 - 0.18e2 * t18658 * t22317 - 0.2e1 * t1591 * t103451 + t1591 * t103454 - 0.2e1 * t2554 * t11947 + t1585 * t18680 / 0.2e1 + 0.6e1 * t1591 * t103460 - 0.16e2 * t11892 * t11890 + t9022 - t9047 - t9048 - t9050 + t16849 - 0.1e2 * t11896 * t103465 + t11896 * t103468 / 0.6e1 - t18658 * t22359 / 0.6e1 + 0.1e2 * t11896 * t103473 - 0.1e2 * t18658 * t22439;
  t103488 = t3130 * t11901;
  t103497 = t233 * t103284;
  t103500 = t815 * t103272;
  t103503 = 0.2e1 * t88308;
  t103504 = 0.2e1 * t88316;
  t103506 = t3562 * t103383;
  t103510 = t22302 * t18674 * t794;
  t103513 = 0.36e2 * t103329 * t9103 - 0.9e1 * t11896 * t103488 + 0.8e1 * t6344 * t103497 - 0.2e1 * t6341 * t103500 + 0.2e1 * t1587 * t103506 + 0.3e1 * t470 * t103510 + 0.18e2 * t11892 * t11902 - 0.12e2 * t11892 * t11952 - 0.12e2 * t18655 * t3607 + 0.8e1 * t18655 * t3616 + 0.9e1 * t18658 * t22424 - t103503 - t103504 + t18666 - t18667 + t18668 - 0.3e1 * t80017 + 0.3e1 * t80018 + 0.2e1 * t80038;
  t103515 = t3562 * t2571 * t11945;
  t103525 = t3125 * t11986;
  t103528 = 0.2e1 * t88404;
  t103533 = t22290 * t11889;
  t103540 = -0.2e1 * t470 * t103515 - t1585 * t18637 + 0.72e2 * t103322 * t1324 + 0.24e2 * t18655 * t3557 + 0.8e1 * t103329 * t9028 - 0.2e1 * t11896 * t103525 + t88381 - t2138 + t103528 + t9091 + t9093 - t9100 + t9121 - 0.12e2 * t103300 * t76138 - 0.36e2 * t103322 * t1338 + 0.9e1 * t11896 * t103533 - 0.72e2 * t103329 * t9031 + 0.8e1 / 0.3e1 * t103300 * t76118 + t2119;
  t103551 = t80415 / 0.6e1;
  t103553 = t102332 * t3150 / 0.6e1;
  t103556 = -0.3e1 / 0.2e1 * t1516 * t12169 - 0.9e1 / 0.2e1 * t3167 * t102654 * t20943 + 0.8e1 * t75604 * t103235 + 0.3e1 / 0.2e1 * t3167 * t102663 * t3169 + 0.3e1 / 0.2e1 * t80343 - t182 * t18701 / 0.4e1 - t30 * t59 * (t103280 + t103325 + t103368 + t103404 + t103443 + t103478 + t103513 + t103540) * t95 / 0.4e1 - t80388 / 0.2e1 - 0.11e2 / 0.6e1 * t80393 + t80396 + 0.3e1 * t80399 + t103551 - t103553 + 0.3e1 / 0.2e1 * t6209 * t2596;
  t103563 = t6226 * t2596 / 0.2e1;
  t103566 = t633 * t18509 * t223 / 0.6e1;
  t103567 = t3051 * t18714;
  t103569 = t1506 * t11838 / 0.12e2;
  t103573 = t11868 * t6402 / 0.6e1;
  t103575 = t26405 * t670 * t12186;
  t103579 = t4877 * t670 * t102708;
  t103587 = t22309 * t12186;
  t103591 = t3556 * t102708;
  t103598 = 0.3e1 / 0.2e1 * t6217 * t2596 - t626 * t18509 * t223 / 0.2e1 + t103563 - t103566 + t103567 - t103569 - t18510 * t645 / 0.2e1 - t103573 + 0.3e1 * t58249 * t103575 - 0.2e1 * t6439 * t103579 - t6439 * t47795 * t11885 - 0.3e1 / 0.2e1 * t3266 * t58766 * t18611 + 0.9e1 / 0.2e1 * t4772 * t2558 * t103587 - 0.3e1 * t4772 * t1591 * t103591 + 0.8e1 * t4772 * t11892 * t12239;
  t103604 = my_piecewise3(t2, 0, t103598 + t103556 + t102586 + t103134 + t102713 + t102994 + t102349 + t103117 + t102608 + t103162 + t103090 + t102631 + t102384 + t103027 + t103052 + t102821 + t102460 + t102315 + t103227 + t102950 + t102516 + t102895 + t102748 + t102680 + t102917 + t102416 + t102856 + t103197 + t102791 + t102549 + t103072 + t102495);
  tv4rholapl30 = t3 * t103604 + t18722;

  if(out->v4rholapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 0] += tv4rholapl30;

  tv4rholapl31 = 0.e0;

  if(out->v4rholapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 1] += tv4rholapl31;

  tv4rholapl32 = 0.e0;

  if(out->v4rholapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 2] += tv4rholapl32;

  t103606 = t933 * t18915;
  t103615 = t933 * t18900;
  t103623 = t948 * t18725 / 0.2e1;
  t103624 = t937 * t18900;
  t103626 = t103624 * t4707 / 0.6e1;
  t103636 = t103606 * t1010 / 0.2e1 - 0.3e1 * t945 * t18891 - t12262 * t6946 / 0.2e1 - t12262 * t7021 / 0.4e1 - 0.5e1 / 0.36e2 * t103615 * t4231 + 0.3e1 / 0.4e1 * t60759 * t505 - t1615 * t12469 / 0.4e1 + t103623 - t103626 - t933 * t18735 * t350 / 0.2e1 - 0.3e1 / 0.2e1 * t6700 * t2663 + 0.3e1 * t3971 * t18729 + 0.3e1 / 0.2e1 * t945 * t18725;
  t103642 = t1618 * t18764 / 0.36e2;
  t103644 = t1618 * t18780 / 0.18e2;
  t103646 = t948 * t18775 / 0.6e1;
  t103648 = t948 * t18798 / 0.3e1;
  t103650 = t948 * t18788 / 0.12e2;
  t103651 = t89131 / 0.2e1;
  t103658 = t12289 * t18881 / 0.6e1;
  t103660 = t4005 * t18793 / 0.2e1;
  t103661 = 0.7e1 / 0.3e1 * t103615 * t4200 - t103615 * t4707 / 0.2e1 + t103642 - t103644 + t103646 + t103648 - t103650 - t103651 - t12262 * t18885 + t12262 * t18881 / 0.2e1 - 0.3e1 / 0.2e1 * t945 * t18878 + t103658 + t103660;
  t103670 = t33573 * t2659 / 0.2e1;
  t103672 = t103624 * t4193 / 0.2e1;
  t103674 = t12289 * t6950 / 0.3e1;
  t103676 = t948 * t18895 / 0.2e1;
  t103677 = t948 * t18891;
  t103678 = t937 * t18915;
  t103680 = t103678 * t1010 / 0.6e1;
  t103681 = 0.3e1 / 0.2e1 * t80486 - 0.3e1 / 0.2e1 * t80488 - 0.3e1 / 0.2e1 * t80490 + t80500 - t80502 / 0.2e1 - t80510 / 0.4e1 + t80516 / 0.2e1 - t103670 - t103672 + t103674 + t103676 - t103677 + t103680;
  t103683 = t12292 * t1642 / 0.6e1;
  t103685 = t12289 * t6946 / 0.6e1;
  t103687 = 0.5e1 / 0.108e3 * t103624 * t4231;
  t103689 = t12289 * t7021 / 0.12e2;
  t103690 = t80545 / 0.12e2;
  t103691 = t80551 / 0.4e1;
  t103692 = t89201 / 0.6e1;
  t103693 = t89205 / 0.18e2;
  t103694 = t80566 / 0.6e1;
  t103695 = t103683 - t103685 - t103687 - t103689 - t103690 + t103691 - t9147 - t9168 + t9172 + t9195 - t103692 + t103693 + t103694;
  t103698 = t80578 / 0.3e1;
  t103699 = t80580 / 0.6e1;
  t103701 = t1618 * t12469 / 0.12e2;
  t103703 = t60876 * t505 / 0.4e1;
  t103705 = 0.23e2 / 0.108e3 * t103624 * t4156;
  t103707 = 0.11e2 / 0.54e2 * t103624 * t4151;
  t103709 = 0.2e1 / 0.3e1 * t103678 * t1020;
  t103712 = t937 * t18735 * t350 / 0.6e1;
  t103714 = 0.7e1 / 0.9e1 * t103624 * t4200;
  t103716 = t6715 * t2663 / 0.2e1;
  t103718 = t6715 * t2671 / 0.2e1;
  t103720 = t103678 * t1015 / 0.3e1;
  t103721 = t4005 * t18911;
  t103722 = t103698 - t103699 - t103701 + t103703 + t103705 - t103707 - t103709 - t103712 + t103714 - t103716 + t103718 + t103720 - t103721;
  t103735 = t294 * t18872 / 0.12e2;
  t103736 = t89333 / 0.6e1;
  t103738 = t1618 * t18740 / 0.12e2;
  t103740 = t6715 * t2668 / 0.4e1;
  t103746 = -0.3e1 / 0.2e1 * t103615 * t4193 + t12262 * t6950 + 0.3e1 / 0.2e1 * t945 * t18895 + t12267 * t1642 / 0.2e1 - t1615 * t18780 / 0.6e1 + t945 * t18775 / 0.2e1 - t103735 + t103736 + t103738 - t103740 - t945 * t18788 / 0.4e1 + t945 * t18798 + 0.3e1 / 0.2e1 * t3971 * t18793;
  t103751 = t948 * t18878 / 0.2e1;
  t103753 = t12289 * t18885 / 0.3e1;
  t103755 = t12292 * t2619 / 0.9e1;
  t103757 = t12289 * t18767 / 0.12e2;
  t103773 = -t290 * t18872 / 0.4e1 - t103751 - t103753 - t103755 + t103757 + 0.23e2 / 0.36e2 * t103615 * t4156 - 0.11e2 / 0.18e2 * t103615 * t4151 - 0.2e1 * t103606 * t1020 + t103606 * t1015 - 0.3e1 * t3971 * t18911 + 0.3e1 / 0.2e1 * t6700 * t2671 + 0.3e1 / 0.2e1 * t24004 * t18908 - 0.3e1 / 0.2e1 * t33583 * t2659;
  t103774 = t4005 * t18729;
  t103776 = t23651 * t18908 / 0.2e1;
  t103777 = t80630 / 0.2e1;
  t103778 = t80632 / 0.2e1;
  t103779 = t80658 / 0.12e2;
  t103780 = t80680 / 0.2e1;
  t103793 = t103774 + t103776 - t103777 - t103778 - t103779 + t103780 - t12267 * t2619 / 0.3e1 + t12262 * t18767 / 0.4e1 + t1615 * t18764 / 0.12e2 + t1615 * t18740 / 0.4e1 - 0.3e1 / 0.4e1 * t6700 * t2668 - t80698 / 0.4e1 + 0.3e1 / 0.4e1 * t80706;
  t103797 = my_piecewise3(t100, 0, t103636 + t103661 + t103681 + t103695 + t103722 + t103746 + t103773 + t103793);
  tv4rholapl33 = t3 * t103797 + t18951;

  if(out->v4rholapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 3] += tv4rholapl33;

  t103803 = t102206 + t1632 * t18620 / 0.4e1 + t12320 * t18623 / 0.4e1 + t102329 - t102334 + t102336 + t102339 + t102341 - t102343 + t102345 + t102347 - t102348 - t102351;
  t103804 = t89372 / 0.2e1;
  t103806 = t897 * t18538;
  t103815 = t897 * t18528;
  t103824 = t89386 / 0.6e1;
  t103827 = t102353 - t103804 + t12320 * t6424 + t103806 * t667 + 0.3e1 / 0.2e1 * t903 * t18524 - t897 * t18509 * t223 / 0.2e1 + 0.3e1 / 0.2e1 * t22632 * t18514 - 0.5e1 / 0.36e2 * t103815 * t3178 + t103806 * t662 / 0.2e1 - t12320 * t6233 / 0.4e1 + t12325 * t1511 / 0.2e1 + t103824 + t1632 * t18581 / 0.12e2;
  t103836 = -0.3e1 / 0.4e1 * t6585 * t2593 + t80718 - t102489 - t80737 / 0.4e1 - t102501 + t102583 + t102585 + t102598 + 0.3e1 / 0.4e1 * t80750 - 0.3e1 / 0.2e1 * t80756 - 0.3e1 / 0.2e1 * t80758 - t80767 / 0.4e1 - t102626;
  t103837 = t102671 + t102751 - t102753 + t102755 - t102757 - t102758 + t102810 - t102815 + t102819 - t102820 - t9224 + t9234 - t8624;
  t103859 = t8645 - t80798 / 0.2e1 + 0.3e1 / 0.2e1 * t3740 * t18595 + t903 * t18589 - t903 * t18586 / 0.4e1 + t12320 * t18615 / 0.2e1 - 0.3e1 / 0.2e1 * t903 * t18612 - t12320 * t18608 + t903 * t18499 / 0.2e1 - t1632 * t18504 / 0.6e1 - t12325 * t2544 / 0.3e1 + t80811 / 0.2e1 + 0.3e1 / 0.2e1 * t80825;
  t103864 = -t102993 + t102996 + t102998 - t103000 - t103060 + t103080 - t103097 - t103099 - t103115 - t307 * t18701 / 0.4e1 - t103122 + t103140 + 0.3e1 / 0.2e1 * t903 * t18711;
  t103890 = 0.7e1 / 0.3e1 * t103815 * t3153 - t103815 * t3150 / 0.2e1 - 0.2e1 * t103806 * t672 - 0.11e2 / 0.18e2 * t103815 * t3141 + 0.23e2 / 0.36e2 * t103815 * t3146 - 0.3e1 / 0.2e1 * t103815 * t3158 - 0.3e1 / 0.2e1 * t32645 * t2584 + 0.3e1 / 0.2e1 * t6585 * t2596 - 0.3e1 * t3740 * t18517 - 0.3e1 * t903 * t18521 - t103148 - t1632 * t11838 / 0.4e1 - t12320 * t6402 / 0.2e1;
  t103897 = 0.3e1 / 0.4e1 * t60479 * t481 - 0.3e1 / 0.2e1 * t6585 * t2588 + 0.3e1 * t3740 * t18714 - t103196 - t103205 + t103209 + t103551 - t103553 + t103563 - t103566 + t103567 - t103569 - t103573;
  t103901 = my_piecewise3(t2, 0, t103803 + t103827 + t103836 + t103837 + t103859 + t103864 + t103890 + t103897);
  tv4rholapl34 = t3 * t103901 + t18722;

  if(out->v4rholapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 4] += tv4rholapl34;

  tv4rholapl35 = 0.e0;

  if(out->v4rholapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 5] += tv4rholapl35;

  tv4rholapl36 = 0.e0;

  if(out->v4rholapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 6] += tv4rholapl36;

  t103912 = t24435 * t12344;
  t103916 = t30141 * t12354;
  t103920 = t29474 * t4191 * t12344;
  t103932 = -0.3e1 / 0.2e1 * t4695 * t61443 * t18877 - 0.3e1 / 0.2e1 * t80861 + 0.3e1 * t80866 - 0.3e1 / 0.2e1 * t80868 + 0.9e1 / 0.2e1 * t80872 + 0.3e1 / 0.2e1 * t80876 - 0.3e1 / 0.2e1 * t80879 - 0.9e1 / 0.2e1 * t5665 * t12580 * t103912 + 0.3e1 / 0.2e1 * t61081 * t103916 + 0.9e1 / 0.2e1 * t61081 * t103920 - 0.3e1 * t5665 * t12606 * t12719 - t61720 * t12737 / 0.3e1 - 0.3e1 * t1647 * t12505 + 0.9e1 / 0.2e1 * t1647 * t12508;
  t103939 = t4687 * t380 * t403 * t18761;
  t103942 = t18761 * t333;
  t103943 = t168 * t103942;
  t103944 = t4687 * t103943;
  t103947 = t18761 * t1082;
  t103949 = t9444 * t168 * t103947;
  t103956 = t18772 * t333;
  t103957 = t24564 * t103956;
  t103960 = 0.3e1 / 0.2e1 * t1647 * t12512 - t2180 + t2251 + 0.3e1 / 0.2e1 * t12474 * t1679 + t6772 * t103939 / 0.12e2 - t6764 * t103944 / 0.6e1 - t6772 * t103949 / 0.6e1 - 0.3e1 / 0.2e1 * t80907 - t80911 / 0.2e1 + 0.3e1 / 0.2e1 * t80914 + t80918 / 0.2e1 + t5665 * t1720 * t103957 + t103623 - t103626;
  t103969 = t4719 * t18899;
  t103973 = t167 * t18723;
  t103974 = t371 * t103973;
  t103975 = t29113 * t103974;
  t103978 = t1088 * t18815;
  t103984 = 0.9e1 * t80983 + t103642 - t103644 + t103646 + t103648 - t103650 + t1660 * t18740 / 0.4e1 - t2609 * t33999 / 0.2e1 + 0.2e1 * t1683 * t62152 - 0.9e1 / 0.2e1 * t373 * t103969 * t25635 + 0.47e2 / 0.3e1 * t77402 * t103975 + 0.3e1 / 0.2e1 * t373 * t103978 * t4729 + 0.9e1 / 0.2e1 * t80999 - 0.9e1 * t81006;
  t103988 = t4305 * t1013 * t12398;
  t103994 = t4553 * t12408;
  t103997 = t1030 * t18899;
  t104001 = t18723 * t24537;
  t104003 = t321 * t20823 * t104001;
  t104010 = t18723 * t24087;
  t104012 = t321 * t3135 * t104010;
  t104021 = 0.9e1 / 0.2e1 * t81012 - 0.9e1 * t81015 - t89655 + t89663 - 0.3e1 / 0.2e1 * t373 * t12424 * t103988 + t12462 * t18881 / 0.2e1 + t2609 * t103994 / 0.2e1 - 0.18e2 * t1029 * t103997 * t1410 - 0.2e1 * t104003 * t77132 - 0.38e2 / 0.9e1 * t104003 * t77141 + 0.89e2 / 0.9e1 * t104003 * t77147 + 0.6e1 * t104012 * t9267 + 0.9e1 / 0.2e1 * t34264 * t12673 - 0.9e1 * t6955 * t12685 + 0.9e1 / 0.2e1 * t1647 * t12691;
  t104024 = t25460 * t104001;
  t104040 = t5595 * t1027 * t12364;
  t104043 = -0.6e1 * t25474 * t104024 * t77171 + 0.18e2 * t4718 * t104024 * t77176 + 0.3e1 * t81037 - 0.6e1 * t81040 + t81042 / 0.4e1 - t81044 / 0.4e1 - t81049 / 0.4e1 - 0.3e1 / 0.2e1 * t81051 + t89758 + t89761 + t81090 - t81100 / 0.2e1 - t81106 / 0.2e1 - 0.9e1 / 0.2e1 * t12414 * t104040;
  t104056 = t50296 * t12354;
  t104059 = t34283 * t12736;
  t104062 = t1165 * t61426;
  t104066 = t2601 * t2616;
  t104067 = t1018 * t104066;
  t104068 = t29468 * t104067;
  t104073 = t6755 * t12364;
  t104074 = t1423 * t104073;
  t104079 = 0.18e2 * t104012 * t9256 - 0.5e1 / 0.36e2 * t18901 * t24360 - 0.6e1 * t12535 * t10556 + 0.22e2 / 0.3e1 * t104012 * t9261 - 0.23e2 / 0.3e1 * t104012 * t9264 - 0.3e1 / 0.4e1 * t6960 * t2668 + t6769 * t104056 / 0.4e1 + t6772 * t104059 / 0.4e1 + 0.2e1 * t5665 * t1716 * t104062 - 0.7e1 * t45332 * t104068 + t103658 + 0.2e1 / 0.3e1 * t61720 * t12729 - t1683 * t104074 + 0.3e1 * t12535 * t10552 + t2609 * t33930;
  t104086 = t4354 * t4440 * t18778;
  t104105 = -t1660 * t18780 / 0.6e1 - t1665 * t18780 / 0.6e1 - t490 * t104086 / 0.6e1 + t18916 * t4433 / 0.2e1 - 0.3e1 / 0.2e1 * t1070 * t18878 - 0.2e1 * t18916 * t4361 + 0.3e1 / 0.2e1 * t1647 * t12482 + 0.3e1 * t1647 * t12499 - 0.9e1 * t1647 * t12688 - 0.3e1 * t1647 * t12501 + t81209 - t81211 / 0.2e1 - t81214 / 0.2e1 + t81216;
  t104106 = 0.2e1 / 0.3e1 * t89884;
  t104107 = t89887 / 0.2e1;
  t104125 = t4388 * t2607;
  t104128 = t24205 * t12412;
  t104135 = 0.4e1 * t12377 * t62034 - 0.4e1 * t12380 * t61961 + 0.4e1 * t12383 * t61866 - 0.4e1 / 0.3e1 * t12380 * t61965 - 0.2e1 * t12383 * t12493 + 0.8e1 * t12380 * t12498 - 0.8e1 * t104125 * t4324 + 0.16e2 / 0.9e1 * t104128 * t9698 - 0.2e1 * t61203 * t2667 - 0.4e1 * t12720 - 0.4e1 * t12725;
  t104140 = t4388 * t12419;
  t104149 = -0.8e1 / 0.3e1 * t104125 * t4307 - t78030 + t78038 + t78044 + t78046 - t15352 + 0.8e1 / 0.3e1 * t12380 * t12437 - 0.24e2 * t104140 * t1415 + 0.32e2 / 0.3e1 * t104128 * t9703 - 0.2e1 / 0.3e1 * t12351 + 0.12e2 * t104128 * t9717 + 0.4e1 * t12346;
  t104153 = t1077 * t2607;
  t104156 = t1077 * t2602;
  t104167 = -0.8e1 * t104140 * t1410 + 0.12e2 * t104153 * t1438 + 0.4e1 * t104156 * t1084 - 0.8e1 * t12377 * t12504 - 0.8e1 * t12395 * t12498 + 0.2e1 * t496 * t12493 + 0.8e1 * t2641 * t4324 + t78067 - t78095 - t78098 + t78100;
  t104168 = t2632 * t4160;
  t104171 = t12579 * t4140;
  t104178 = t2628 * t999;
  t104193 = 0.24e2 * t104168 * t1415 - 0.12e2 * t104171 * t9717 + 0.4e1 / 0.3e1 * t104171 * t9703 + 0.8e1 * t12390 * t12504 - 0.12e2 * t104178 * t1438 - 0.4e1 * t2644 * t1084 + 0.2e1 * t1728 * t2667 + 0.4e1 / 0.3e1 * t12395 * t12437 - 0.4e1 * t104168 * t1410 - 0.4e1 / 0.3e1 * t2641 * t4307 + 0.2e2 / 0.9e1 * t104171 * t9698 + t15340;
  t104195 = t104135 + t104149 + t104167 + t104193;
  t104198 = t1094 * t1095 * t167 * t104195;
  t104203 = t4376 * t12408;
  t104206 = t4376 * t12400;
  t104211 = t5563 * t12365;
  t104214 = t5595 * t12442;
  t104224 = -t104106 - t104107 - 0.61e2 / 0.27e2 * t104003 * t77024 + 0.9e1 * t1029 * t12420 * t12437 + t490 * t104198 / 0.12e2 + t12462 * t18767 / 0.4e1 + t2609 * t104203 / 0.4e1 + t2609 * t104206 / 0.4e1 + 0.23e2 / 0.36e2 * t18901 * t24917 - 0.3e1 / 0.2e1 * t12414 * t104211 + 0.23e2 / 0.12e2 * t12414 * t104214 - 0.23e2 / 0.12e2 * t18901 * t24149 - t373 * t6974 * t18787 / 0.4e1 + 0.3e1 / 0.4e1 * t81264 - 0.11e2 / 0.6e1 * t81280;
  t104229 = t89914 / 0.2e1;
  t104230 = t90022 / 0.2e1;
  t104238 = t30141 * t1018 * t12723;
  t104247 = 0.23e2 / 0.12e2 * t81283 + t103660 - t104229 - t104230 - t81288 / 0.4e1 + t81306 / 0.2e1 + t81308 / 0.2e1 + t81310 / 0.2e1 - t81326 / 0.4e1 - t81328 / 0.4e1 + 0.3e1 * t61173 * t104238 + 0.3e1 / 0.2e1 * t50860 * t12720 + t2604 * t6812 / 0.2e1 - 0.3e1 / 0.2e1 * t1647 * t12516;
  t104250 = t29474 * t12354;
  t104253 = t5691 * t12736;
  t104256 = t168 * t61426;
  t104257 = t5691 * t104256;
  t104262 = t30141 * t12728;
  t104265 = t24418 * t12344;
  t104283 = -0.3e1 / 0.4e1 * t6965 * t2668 + 0.5e1 / 0.12e2 * t61081 * t104250 + t61173 * t104253 / 0.4e1 + t6769 * t104257 / 0.2e1 - 0.4e1 / 0.3e1 * t61124 * t12732 - 0.3e1 / 0.4e1 * t61173 * t104262 + 0.9e1 * t5639 * t12580 * t104265 - t2604 * t12409 / 0.3e1 - t2604 * t12401 / 0.3e1 - 0.9e1 / 0.2e1 * t81415 - t1065 * t18735 * t350 / 0.2e1 - t18736 * t994 / 0.2e1 + 0.3e1 * t4188 * t18729 - 0.3e1 / 0.2e1 * t6965 * t2663;
  t104293 = t1065 * t18900;
  t104302 = t5733 * t12442;
  t104307 = t4148 * t12436;
  t104311 = t1030 * t18914;
  t104315 = t5733 * t103974;
  t104318 = -0.3e1 / 0.2e1 * t6960 * t2663 + 0.3e1 * t4204 * t18729 + 0.3e1 / 0.2e1 * t1070 * t18725 + 0.3e1 / 0.2e1 * t1058 * t18725 - t104293 * t4707 / 0.2e1 - t18901 * t25457 / 0.2e1 - 0.3e1 / 0.2e1 * t81421 + 0.3e1 / 0.2e1 * t81423 - t2609 * t34303 / 0.4e1 + 0.7e1 * t12414 * t104302 - t18901 * t25632 / 0.2e1 + 0.9e1 / 0.2e1 * t373 * t12672 * t104307 + 0.6e1 * t373 * t104311 * t4324 - 0.28e2 * t77424 * t104315;
  t104319 = t1088 * t18811;
  t104329 = t4553 * t12400;
  t104334 = t4376 * t1056 * t2617;
  t104337 = t4376 * t371 * t12399;
  t104345 = t168 * t103956;
  t104346 = t30141 * t104345;
  t104351 = t9444 * t380 * t403 * t18772;
  t104354 = t18772 * t1082;
  t104356 = t45083 * t168 * t104354;
  t104359 = t5674 * t12736;
  t104362 = -0.3e1 * t373 * t104319 * t4215 - 0.9e1 * t373 * t12420 * t12498 + 0.18e2 * t373 * t103997 * t1415 + t2609 * t104329 / 0.2e1 - t12462 * t18885 - t2609 * t104334 - t2609 * t104337 + 0.3e1 / 0.2e1 * t81429 + 0.3e1 / 0.2e1 * t81432 + t490 * t62136 / 0.4e1 - t1683 * t89641 / 0.4e1 - t6769 * t104346 / 0.6e1 - t6772 * t104351 / 0.6e1 + t6772 * t104356 / 0.2e1 + t61173 * t104359 / 0.2e1;
  t104365 = t29468 * t12354;
  t104368 = t5674 * t104256;
  t104372 = t5674 * t103943;
  t104375 = 0.11e2 / 0.6e1 * t61081 * t104365 + t6769 * t104368 - t2604 * t6757 / 0.2e1 - t103670 - t103672 + t103674 + t103676 - t103677 + t103680 + t103683 - t103685 - t103687 - t103689 + t6769 * t104372 / 0.6e1;
  t104376 = t2616 * t12398;
  t104377 = t4575 * t104376;
  t104380 = t487 * t18772;
  t104382 = t30141 * t1018 * t104380;
  t104385 = t24458 * t104354;
  t104389 = t4575 * t103956;
  t104408 = t5665 * t494 * t104377 + 0.2e1 / 0.3e1 * t24973 * t104382 - 0.3e1 / 0.2e1 * t5665 * t494 * t104385 - t5665 * t1716 * t104389 + t81514 - 0.2e1 * t81516 - t81519 / 0.2e1 + t81522 - 0.3e1 / 0.2e1 * t104293 * t4193 - 0.3e1 / 0.2e1 * t18901 * t24836 - 0.3e1 / 0.2e1 * t34276 * t2659 - 0.3e1 / 0.2e1 * t34477 * t2659 + 0.3e1 / 0.2e1 * t25290 * t18908 + 0.3e1 / 0.2e1 * t25543 * t18908 - 0.3e1 * t4204 * t18911;
  t104412 = t1065 * t18915;
  t104424 = -0.3e1 * t4188 * t18911 + t104412 * t1015 + t18916 * t4135 - 0.2e1 * t104412 * t1020 - 0.11e2 / 0.6e1 * t12414 * t80886 - t9281 + t9283 - 0.5e1 / 0.12e2 * t81557 - t81562 / 0.4e1 + t81565 / 0.2e1 - 0.3e1 * t81576 + 0.3e1 / 0.2e1 * t81578 + t9307 - t103690;
  t104434 = t4305 * t1008 * t12398;
  t104447 = t321 * t194 * t18914;
  t104454 = t103691 - t9147 + t9172 - 0.43e2 / 0.9e1 * t104003 * t77150 - 0.3e1 / 0.2e1 * t18901 * t25567 - 0.11e2 / 0.18e2 * t18901 * t24901 + 0.3e1 / 0.2e1 * t4188 * t18793 + 0.3e1 / 0.2e1 * t1029 * t12424 * t104434 + 0.3e1 / 0.2e1 * t4204 * t18793 + 0.7e1 / 0.3e1 * t18901 * t25361 - 0.7e1 * t18901 * t25327 - 0.3e1 / 0.2e1 * t12544 * t12540 + 0.2e1 * t104447 * t1452 + t18736 * t1098 / 0.2e1 - t18736 * t1103 / 0.2e1;
  t104465 = t5733 * t12365;
  t104476 = t29474 * t12522;
  t104480 = t5691 * t4693 * t12735;
  t104482 = t5691 * t103943;
  t104487 = -t12712 * t2619 / 0.3e1 - 0.3e1 / 0.2e1 * t12474 * t1690 - 0.3e1 / 0.4e1 * t12474 * t1694 - 0.11e2 / 0.6e1 * t12414 * t104465 + 0.11e2 / 0.6e1 * t18901 * t24276 - 0.5e1 / 0.12e2 * t12414 * t81201 - 0.2e1 * t2609 * t34654 + 0.16e2 / 0.3e1 * t61124 * t12523 - 0.23e2 / 0.12e2 * t61081 * t104476 - t61173 * t104480 + t6769 * t104482 / 0.12e2 - t103692 + t103693 + 0.44e2 / 0.27e2 * t104003 * t77027;
  t104488 = t9444 * t104345;
  t104496 = t50296 * t19442;
  t104503 = t9444 * t168 * t104376;
  t104508 = t6764 * t104488 / 0.3e1 + t4695 * t6760 * t18774 / 0.2e1 - 0.3e1 / 0.2e1 * t81638 + 0.3e1 / 0.2e1 * t81653 - t24973 * t104496 - 0.3e1 / 0.4e1 * t34833 * t12519 + 0.3e1 / 0.4e1 * t81682 + 0.3e1 / 0.4e1 * t81684 + t103694 + t103698 - t103699 - t18783 - t6772 * t104503 / 0.3e1 - 0.2e1 * t6769 * t61428;
  t104510 = t30134 * t104345;
  t104513 = t4719 * t104010;
  t104524 = t1094 * t6755 * t12399;
  t104532 = t1094 * t4440 * t18762;
  t104542 = t1101 * t104073;
  t104550 = -t6769 * t104510 / 0.3e1 - 0.18e2 * t373 * t104513 * t9717 - 0.18e2 * t1029 * t104024 * t77158 + 0.6e1 * t373 * t104024 * t77162 + t490 * t104524 / 0.4e1 + t1660 * t18764 / 0.12e2 + t1665 * t18764 / 0.12e2 + t490 * t104532 / 0.12e2 + t1070 * t18775 / 0.2e1 + t1058 * t18775 / 0.2e1 + t373 * t6974 * t18774 / 0.2e1 + t1702 * t104542 - 0.6e1 * t1029 * t104311 * t4307 + 0.3e1 * t1029 * t104319 * t4219;
  t104553 = t1430 * t104073;
  t104560 = -t490 * t62140 / 0.4e1 - t1683 * t104553 / 0.2e1 + 0.3e1 / 0.2e1 * t12535 * t10344 + t2609 * t34634 / 0.2e1 - t103701 + t103703 + t103705 - t103707 - t103709 - t103712 + t103714 - t103716 + t103718 + t103720 - t103721;
  t104563 = t34283 * t12354;
  t104566 = t81510 * t12728;
  t104585 = t321 * t369 * t18870 * t370;
  t104588 = -t9408 - t9412 + t9416 + t18785 - t6764 * t104563 / 0.2e1 - t6772 * t104566 / 0.2e1 - 0.5e1 / 0.36e2 * t104293 * t4231 - 0.5e1 / 0.36e2 * t18901 * t25224 - t12462 * t6946 / 0.2e1 - t12462 * t7021 / 0.4e1 - t2609 * t34692 / 0.4e1 + 0.3e1 / 0.2e1 * t6965 * t2671 + 0.3e1 / 0.2e1 * t6960 * t2671 + t104585 * t377 / 0.4e1;
  t104589 = t349 * t18872;
  t104612 = t90583 / 0.6e1;
  t104613 = t90594 / 0.3e1;
  t104614 = t90605 / 0.6e1;
  t104615 = -t338 * t104589 / 0.12e2 - t1660 * t12469 / 0.4e1 - t1665 * t12469 / 0.4e1 - t490 * t61955 / 0.4e1 + 0.3e1 / 0.4e1 * t12474 * t1657 + 0.3e1 / 0.2e1 * t1058 * t18895 + t12462 * t6950 + t2609 * t34473 + t18916 * t4228 / 0.2e1 - 0.3e1 * t1070 * t18891 - 0.3e1 * t1058 * t18891 + 0.3e1 / 0.2e1 * t1070 * t18895 + t104612 - t104613 + t104614;
  t104617 = t90618 / 0.6e1;
  t104621 = t90646 / 0.6e1;
  t104622 = t90651 / 0.3e1;
  t104623 = t90667 / 0.3e1;
  t104627 = t1094 * t33917 * t2617;
  t104631 = t4626 * t61426;
  t104638 = t24564 * t12723;
  t104642 = t90727 / 0.2e1;
  t104643 = t24435 * t103956;
  t104646 = t104617 + 0.7e1 * t81752 + 0.9e1 / 0.2e1 * t18901 * t25331 + t104621 - t104622 + t104623 + t1665 * t18740 / 0.4e1 + t490 * t104627 / 0.4e1 - 0.3e1 / 0.2e1 * t81817 - 0.3e1 * t5665 * t1720 * t104631 + 0.8e1 * t5665 * t12551 * t12345 + 0.9e1 / 0.2e1 * t5665 * t2633 * t104638 - t104642 - t5639 * t1720 * t104643;
  t104647 = t24477 * t12344;
  t104651 = t4572 * t103942;
  t104655 = t4626 * t103942;
  t104666 = t5595 * t12365;
  t104677 = -0.9e1 / 0.2e1 * t10513 * t12580 * t104647 + t5639 * t1720 * t104651 / 0.2e1 - t5665 * t1720 * t104655 / 0.2e1 - 0.8e1 * t5639 * t12551 * t61165 - t18875 + t15913 - 0.3e1 / 0.4e1 * t1647 * t12489 - 0.3e1 / 0.4e1 * t1647 * t12494 - 0.5e1 / 0.12e2 * t12414 * t104666 + 0.5e1 / 0.3e1 * t104012 * t9360 + 0.5e1 / 0.12e2 * t18901 * t24805 - 0.35e2 / 0.108e3 * t104003 * t77361 - 0.3e1 / 0.2e1 * t61509 * t1675 + t18887 + t18888;
  t104681 = t90806 / 0.6e1;
  t104702 = t104681 + t9482 - t9485 - t9487 - 0.3e1 * t6955 * t12438 + 0.9e1 * t6955 * t12421 + 0.3e1 * t6955 * t12425 - 0.3e1 / 0.2e1 * t6955 * t12428 - t1070 * t18788 / 0.4e1 - t1058 * t18788 / 0.4e1 + 0.3e1 / 0.2e1 * t373 * t1088 * t18844 * t4209 + t1070 * t18798 + t1058 * t18798 + t373 * t12511 * t12493;
  t104706 = t374 * t18914;
  t104710 = t374 * t18734;
  t104738 = 0.9e1 / 0.2e1 * t373 * t12507 * t12504 - 0.6e1 * t373 * t104706 * t1438 - 0.3e1 / 0.2e1 * t373 * t104710 * t1084 + 0.7e1 / 0.3e1 * t104293 * t4200 + 0.7e1 / 0.3e1 * t18901 * t24820 + 0.23e2 / 0.36e2 * t104293 * t4156 + 0.23e2 / 0.36e2 * t18901 * t24708 - 0.11e2 / 0.18e2 * t18901 * t24729 - 0.2e1 * t18916 * t4264 - 0.11e2 / 0.18e2 * t104293 * t4151 + t12712 * t1642 / 0.2e1 + t2604 * t7018 / 0.2e1 + t104412 * t1010 / 0.2e1 + 0.3e1 / 0.4e1 * t62360 * t505 + 0.3e1 / 0.4e1 * t62365 * t505;
  t104745 = t321 * t649 * t18899;
  t104761 = t1430 * t12472 * t2756;
  t104773 = -t2609 * t34469 / 0.2e1 + 0.3e1 / 0.2e1 * t12535 * t12529 - 0.3e1 * t104745 * t1457 - t18916 * t4452 + 0.3e1 / 0.2e1 * t18901 * t25629 - 0.9e1 / 0.2e1 * t12414 * t81646 - 0.62e2 / 0.3e1 * t104003 * t29118 * t9255 + 0.8e1 * t104003 * t28999 * t4716 * t1424 + t4533 * t104761 + 0.3e1 / 0.4e1 * t12474 * t1698 + t1702 * t90783 / 0.2e1 + 0.36e2 * t1029 * t104513 * t9703 + 0.23e2 / 0.12e2 * t12414 * t81486 - 0.3e1 / 0.4e1 * t82056;
  t104782 = t82060 - 0.3e1 / 0.2e1 * t82064 - 0.3e1 / 0.2e1 * t82066 - 0.3e1 / 0.2e1 * t82069 - 0.3e1 / 0.2e1 * t82072 - t103735 + t103738 - t103740 + t9535 + t9543 - t318 * t18872 / 0.4e1 - t1683 * t90272 / 0.2e1 - t9546 - t9548 - t18929;
  t104796 = t1076 * t348 * t104195;
  t104810 = -0.8e1 / 0.3e1 * t61124 * t12355 - t103751 - t103753 - t103755 + t103757 - t110 * t18871 * t404 / 0.4e1 - 0.2e1 * t5665 * t2629 * t12724 + t4695 * t62263 * t2667 - t373 * t1693 * t104796 / 0.4e1 - 0.6e1 * t12535 * t12443 + 0.12e2 * t104745 * t1432 + 0.4e1 * t18916 * t4378 + 0.3e1 * t12535 * t12366 - 0.6e1 * t104745 * t1426;
  t104821 = t4148 * t4149 * t1655;
  t104826 = t4148 * t4154 * t1655;
  t104842 = t4572 * t61426;
  t104846 = -0.2e1 * t18916 * t4554 + t18916 * t4550 + 0.9e1 * t1029 * t103969 * t25427 - 0.3e1 * t1029 * t103978 * t4725 - 0.9e1 * t1029 * t12672 * t104821 + 0.9e1 / 0.2e1 * t4718 * t12672 * t104826 - 0.18e2 * t4718 * t104513 * t9698 - 0.9e1 / 0.2e1 * t4718 * t103969 * t24762 + 0.3e1 / 0.2e1 * t4718 * t103978 * t4721 - 0.3e1 / 0.2e1 * t1058 * t18878 + t103774 + t103776 - t18930 + t2609 * t34004 + 0.3e1 * t5639 * t1720 * t104842;
  t104848 = t1165 * t103942;
  t104852 = t4575 * t103947;
  t104856 = t487 * t18761;
  t104858 = t5691 * t1018 * t104856;
  t104866 = t50503 * t12354;
  t104873 = t5665 * t1716 * t104848 / 0.2e1 + t5665 * t494 * t104852 / 0.2e1 - t24973 * t104858 / 0.3e1 - t4695 * t6760 * t18787 / 0.4e1 + 0.3e1 / 0.2e1 * t51176 * t12351 + t6769 * t104866 / 0.2e1 - 0.3e1 / 0.2e1 * t50860 * t12346 - t103777 - t103778 - t103779 - t9710 + t9713 - 0.3e1 / 0.2e1 * t12544 * t10339 + t103780;
  t104874 = t30134 * t12728;
  t104882 = t142 * t18772;
  t104883 = t104882 * t333;
  t104884 = t1186 * t104883;
  t104889 = t4599 * t12561;
  t104894 = t360 * t104883;
  t104898 = t360 * t104882 * t1082;
  t104902 = t360 * t12560 * t12398;
  t104908 = t12560 * t1655;
  t104909 = t1173 * t104908;
  t104918 = t360 * t104908;
  t104921 = t142 * t18761;
  t104923 = t360 * t104921 * t1082;
  t104926 = t104921 * t333;
  t104927 = t1173 * t104926;
  t104930 = 0.4e1 * t34871 * t104884 + 0.32e2 * t62424 * t12572 + 0.2e1 * t62506 * t104889 - 0.18e2 * t62506 * t12562 - 0.4e1 * t34877 * t104894 - 0.6e1 * t51596 * t104898 + 0.4e1 * t10674 * t104902 - 0.12e2 * t82181 - 0.4e1 * t82190 + 0.6e1 * t82192 - t82217 + 0.2e1 * t7150 * t104909 - 0.12e2 * t62421 * t12565 - 0.8e1 * t91102 * t12569 - 0.16e2 / 0.3e1 * t62424 * t12562 + 0.8e1 * t7147 * t104918 + 0.2e1 * t10674 * t104923 + t7150 * t104927 / 0.3e1;
  t104931 = t1173 * t104883;
  t104934 = t360 * t104926;
  t104939 = 0.2e1 * t90948;
  t104940 = 0.4e1 / 0.3e1 * t90949;
  t104941 = 0.2e1 * t90953;
  t104951 = t18804 * t333;
  t104952 = t4626 * t104951;
  t104955 = t1165 * t143 * t104195;
  t104959 = -0.2e1 / 0.3e1 * t34871 * t104931 + 0.2e1 * t7147 * t104934 - 0.2e1 * t82256 + 0.18e2 * t82261 - t104939 - t104940 - t104941 - 0.9e1 * t82302 + 0.18e2 * t82308 - 0.9e1 * t82323 - 0.3e1 * t82326 - 0.12e2 * t82328 + t82337 / 0.6e1 - 0.6e1 * t82351 + 0.6e1 * t82376 + 0.1e2 * t82383 + t1720 * t104952 - t494 * t104955 + 0.4e1 * t2629 * t12633;
  t104962 = t4575 * t18804 * t1082;
  t104964 = t2646 * t1655;
  t104965 = t1165 * t104964;
  t104973 = t4572 * t104951;
  t104976 = t18854 * t333;
  t104977 = t4575 * t104976;
  t104981 = t24458 * t18854 * t1082;
  t104993 = t24435 * t104976;
  t104997 = t4626 * t12575;
  t105000 = -t494 * t104962 - 0.4e1 * t1716 * t104965 + 0.6e1 * t12606 * t12623 + 0.4e1 * t2629 * t12626 - t1714 * t18824 - 0.2e1 / 0.3e1 * t1720 * t104973 + 0.2e1 * t1716 * t104977 + 0.3e1 * t494 * t104981 + 0.18e2 * t12606 * t12643 + 0.2e1 * t82402 - t82405 / 0.3e1 + 0.18e2 * t82419 + 0.6e1 * t82422 + 0.6e1 * t82424 + 0.2e1 * t1714 * t18820 + 0.4e1 / 0.3e1 * t1720 * t104993 - 0.36e2 * t82443 + 0.3e1 * t2633 * t104997;
  t105001 = t4572 * t104964;
  t105004 = t24435 * t12625;
  t105007 = t1165 * t104951;
  t105009 = 0.2e1 * t91182;
  t105010 = t1186 * t104926;
  t105013 = t1186 * t12568;
  t105016 = t1186 * t104908;
  t105019 = t1173 * t12568;
  t105022 = t4586 * t12561;
  t105025 = 0.4e1 * t91206;
  t105026 = t4626 * t12632;
  t105033 = t18815 * t24552;
  t105036 = t4609 * t12554;
  t105041 = -0.4e1 * t1720 * t105001 + 0.6e1 * t2633 * t105004 - t1716 * t105007 + t105009 - 0.2e1 * t7150 * t105010 - t18800 - t16035 + t18801 + 0.18e2 * t91109 * t105013 - 0.12e2 * t7150 * t105016 - 0.3e1 * t91109 * t105019 + t62506 * t105022 / 0.3e1 - t105025 - 0.6e1 * t2633 * t105026 + 0.6e1 * t12551 * t12555 - 0.4e1 * t18812 * t4573 + 0.4e1 / 0.3e1 * t105033 * t9603 - t12580 * t105036 / 0.3e1 + t18816 * t24478 / 0.3e1;
  t105045 = t20822 * t18723 * t24540;
  t105049 = t4575 * t2646 * t12398;
  t105053 = 0.2e1 * t91237;
  t105058 = t18844 * t24126;
  t105063 = t18811 * t24522;
  t105068 = t4626 * t104964;
  t105073 = -t105045 * t78173 / 0.9e1 + t91218 - 0.2e1 * t494 * t105049 + t17098 - t9586 - t9610 - t9611 + t9635 - 0.3e1 * t82461 - t105053 + 0.2e1 * t18816 * t24622 - 0.4e1 / 0.3e1 * t105045 * t77898 - 0.24e2 * t105058 * t1472 - 0.6e1 * t18857 * t1167 - 0.12e2 * t105063 * t1477 - 0.18e2 * t18816 * t24611 + 0.6e1 * t1720 * t105068 - 0.16e2 * t12551 * t12617;
  t105074 = t24564 * t12625;
  t105077 = t24418 * t12616;
  t105080 = t24477 * t12616;
  t105089 = t4619 * t12554;
  t105095 = 0.4e1 * t91268;
  t105096 = 0.4e1 * t91270;
  t105097 = -0.9e1 * t2633 * t105074 - 0.1e2 * t12580 * t105077 - t12580 * t105080 / 0.6e1 - 0.36e2 * t12551 * t12638 + 0.24e2 * t18812 * t4656 + 0.8e1 * t105033 * t9640 - 0.2e1 * t12580 * t105089 + t9669 + 0.3e1 * t82474 - t18839 - t1714 * t18855 + 0.2e1 * t82477 - t18851 + t18852 + t105095 + t105096 + t9675 + t9677 + t18853;
  t105099 = 0.2e1 / 0.3e1 * t91293;
  t105102 = t4572 * t12632;
  t105104 = t4619 * t12583;
  t105111 = t4609 * t12583;
  t105126 = t4572 * t12575;
  t105137 = t105099 - t9683 + 0.32e2 / 0.3e1 * t12551 * t12635 + t2633 * t105102 + 0.1e2 * t12580 * t105104 - 0.4e2 * t105033 * t9658 - 0.2e1 / 0.3e1 * t105033 * t9655 + t12580 * t105111 / 0.6e1 - t18816 * t24601 / 0.6e1 - 0.1e2 * t18816 * t24419 + 0.1e2 / 0.3e1 * t105045 * t78247 - 0.12e2 * t12551 * t12584 + 0.24e2 * t105063 * t1485 + 0.8e1 * t18812 * t4613 - 0.2e1 * t2633 * t105126 - 0.12e2 * t105045 * t78227 + 0.36e2 * t105033 * t9686 + 0.5e2 / 0.3e1 * t105045 * t78230 - 0.2e1 * t2629 * t12576;
  t105138 = t24435 * t12616;
  t105147 = t24564 * t104976;
  t105152 = t4572 * t12554;
  t105161 = t4572 * t12583;
  t105169 = t1165 * t140 * t104195;
  t105178 = -t2229 + 0.9e1 * t12580 * t105138 - 0.72e2 * t105033 * t9643 + 0.8e1 / 0.3e1 * t105045 * t77920 + 0.24e2 * t105045 * t77923 - 0.2e1 * t1720 * t105147 + 0.72e2 * t105063 * t1481 + 0.18e2 * t12580 * t105152 + 0.18e2 * t12551 * t12598 - 0.36e2 * t105063 * t1495 - 0.12e2 * t18812 * t4627 - 0.9e1 * t12580 * t105161 + 0.9e1 * t18816 * t24548 + t1714 * t18805 / 0.2e1 + t2210 + t494 * t105169 / 0.2e1 - 0.9e1 * t12606 * t12603 + 0.12e2 * t105058 * t1491 + 0.3e1 * t18857 * t1183;
  t105191 = t24435 * t12723;
  t105198 = t4687 * t104256;
  t105202 = -0.3e1 / 0.2e1 * t61173 * t104874 - 0.3e1 / 0.2e1 * t12414 * t81642 + 0.7e1 * t12414 * t5733 * t10555 - t110 * t139 * (t104930 + t104959 + t105000 + t105041 + t105073 + t105097 + t105137 + t105178) * t168 / 0.4e1 - t82643 / 0.4e1 - t82645 / 0.4e1 + t82647 / 0.2e1 + 0.3e1 / 0.2e1 * t50860 * t12725 - 0.9e1 / 0.2e1 * t5639 * t2633 * t105191 + 0.3e1 / 0.2e1 * t5649 * t61443 * t18792 - 0.2e1 / 0.3e1 * t6764 * t105198 + t61122 * t12740 - t18931 - t18932 + t18933;
  t105208 = my_piecewise3(t100, 0, t105202 + t104873 + t104846 + t104810 + t104782 + t104773 + t104738 + t104702 + t104677 + t104646 + t104615 + t104588 + t104560 + t104550 + t104508 + t104487 + t104454 + t104424 + t104408 + t104375 + t104362 + t104318 + t104283 + t104247 + t104224 + t104105 + t104079 + t104043 + t104021 + t103984 + t103960 + t103932);
  tv4rholapl37 = t3 * t105208 + t18951;

  if(out->v4rholapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl3[ip*p->dim.v4rholapl3 + 7] += tv4rholapl37;

  t105219 = t1506 * t12910 / 0.18e2;
  t105220 = t12232 * t206;
  t105232 = t637 * t18987 / 0.6e1;
  t105240 = -t246 * t7400 * t2553 * t597 / 0.2e1 - t7233 * t19024 / 0.6e1 - t7228 * t19024 / 0.6e1 - t105219 + 0.8e1 * t4772 * t7680 * t3556 * t105220 + t35579 * t19021 / 0.2e1 + t2529 * t7402 / 0.6e1 + t2529 * t7374 / 0.6e1 + t105232 + t1815 * t102704 / 0.3e1 + t12220 * t1807 / 0.6e1 + t246 * t7525 * t18498 / 0.2e1;
  t105262 = t82702 + t608 * t18987 / 0.2e1 + t630 * t18987 / 0.2e1 - t1770 * t12176 / 0.4e1 - t1770 * t12181 / 0.4e1 - t7592 * t2593 / 0.4e1 - t7600 * t2593 / 0.4e1 - t1770 * t12169 / 0.2e1 + t1770 * t12136 / 0.2e1 - t1770 * t12129 + 0.3e1 / 0.2e1 * t1770 * t12132 - t1516 * t12855 / 0.2e1;
  t105277 = -t1516 * t12852 / 0.2e1 - t6217 * t2737 / 0.2e1 + t82705 - t82707 - t82733 + t86875 - t86876 - t86877 + t1516 * t12865 + 0.2e1 / 0.3e1 * t7228 * t19033 + 0.2e1 / 0.3e1 * t7233 * t19033 + 0.2e1 / 0.3e1 * t1779 * t1261 * t6215 * t2676;
  t105279 = 0.2e1 / 0.9e1 * t7276 * t19033;
  t105285 = 0.11e2 / 0.54e2 * t35320 * t19056;
  t105287 = 0.2e1 / 0.3e1 * t35441 * t19052;
  t105301 = t105279 - t1529 * t12910 / 0.6e1 - t1534 * t12910 / 0.6e1 - t105285 - t105287 - 0.3e1 * t4772 * t7690 * t788 * t105220 - 0.2e1 * t4772 * t1872 * t3562 * t60139 - 0.11e2 / 0.18e2 * t58252 * t83825 - t30 * t12018 * t544 / 0.4e1 - t2089 + t2160 - t82745 + t82760;
  t105307 = t63699 * t481 / 0.6e1;
  t105309 = t11868 * t7532 / 0.36e2;
  t105315 = t7611 * t2596 / 0.6e1;
  t105317 = t37183 * t2584 / 0.6e1;
  t105319 = t1506 * t13198 / 0.18e2;
  t105321 = t58894 * t530 / 0.12e2;
  t105322 = t95 * t58761;
  t105326 = t82762 + t82766 - t2534 * t36756 / 0.12e2 + t105307 - t105309 + t12217 * t7582 / 0.3e1 + t2534 * t36044 / 0.3e1 + t105315 - t105317 - t105319 + t105321 + 0.11e2 / 0.6e1 * t10757 * t26847 * t105322;
  t105327 = t11945 * t463;
  t105328 = t95 * t105327;
  t105344 = t95 * t105220;
  t105359 = t7251 * t5175 * t105328 / 0.2e1 + t7251 * t102828 / 0.2e1 + t36448 * t18967 / 0.2e1 + t36429 * t18967 / 0.2e1 + t7251 * t26778 * t18966 / 0.2e1 - t3266 * t12753 * t12180 / 0.4e1 - 0.4e1 / 0.3e1 * t10838 * t4877 * t105344 + 0.3e1 / 0.2e1 * t10757 * t26405 * t105344 + 0.9e1 * t4983 * t7686 * t20862 * t105220 - 0.9e1 / 0.2e1 * t4772 * t7686 * t22290 * t105220 - t78617 + t78619 + t82779;
  t105365 = t7213 * t12024;
  t105366 = t1254 * t105365;
  t105369 = t7351 * t2527;
  t105377 = t47795 * t63262;
  t105382 = -t82786 + t82789 - t82791 - t2534 * t36664 / 0.6e1 + 0.2e1 / 0.3e1 * t1779 * t102306 - t1541 * t105366 / 0.3e1 + t3266 * t105369 * t826 / 0.2e1 + t7248 * t103151 / 0.12e2 + t47384 * t13034 + t47384 * t13025 - 0.2e1 / 0.3e1 * t20708 * t105377 - t31651 * t13028 / 0.2e1;
  t105388 = t35441 * t19049 / 0.3e1;
  t105398 = t35441 * t19021 / 0.6e1;
  t105399 = 0.3e1 * t88552 * t13059 - 0.6e1 * t47381 * t12949 - t78643 + t86983 - t86984 + t105388 + t1770 * t12161 - 0.3e1 * t1770 * t12088 - t1770 * t12163 + t1770 * t12165 / 0.2e1 - t31990 * t2729 - t31139 * t2729 + t105398;
  t105407 = t2526 * t206;
  t105422 = -t630 * t19042 / 0.4e1 - t608 * t19042 / 0.4e1 - 0.18e2 * t9877 * t36087 * t3168 * t105407 - 0.9e1 / 0.2e1 * t9877 * t7686 * t20876 * t58761 - t3266 * t65023 * t2592 / 0.4e1 - t3266 * t65011 * t2592 / 0.4e1 - t78662 - t87088 - t82875 + t82881 + t87098 + t78692;
  t105424 = t637 * t18984 / 0.2e1;
  t105425 = t3051 * t18979;
  t105427 = t6226 * t2737 / 0.6e1;
  t105436 = t3389 * t18970;
  t105444 = t82909 + t87105 + t105424 + t105425 - t105427 - t78738 + t12047 * t10990 / 0.2e1 + t2534 * t35892 / 0.6e1 - 0.5e1 / 0.36e2 * t12052 * t83290 - t608 * t19101 / 0.2e1 + t7243 * t1261 * t105436 / 0.2e1 + t35584 * t19021 / 0.2e1 - t630 * t19101 / 0.2e1;
  t105456 = t512 * t2526;
  t105457 = t670 * t105456;
  t105458 = t26189 * t105457;
  t105464 = -t102501 - t82926 - t82928 - t82930 + t3266 * t13185 * t60136 / 0.2e1 + t3266 * t12753 * t60145 / 0.2e1 + t102514 + t87171 + t87174 + 0.3e1 * t4772 * t7686 * t3130 * t58386 + 0.47e2 / 0.3e1 * t79576 * t105458 + 0.3e1 / 0.2e1 * t3266 * t35984 * t19062;
  t105473 = t95 * t60139;
  t105480 = t87186 + t87187 - 0.11e2 / 0.9e1 * t10757 * t86970 * t12764 - t7251 * t47377 * t12928 / 0.3e1 - t11019 * t48404 * t12764 + t87206 + t87207 + t87208 - 0.3e1 / 0.2e1 * t7251 * t26400 * t105473 + 0.11e2 / 0.6e1 * t10757 * t26847 * t105344 - t83003 + t83005 + t83007;
  t105491 = t6226 * t2742 / 0.3e1;
  t105493 = t11855 * t1807 / 0.18e2;
  t105505 = t11868 * t7516 / 0.36e2;
  t105506 = -t246 * t7525 * t18585 / 0.4e1 - t246 * t1797 * t102293 / 0.4e1 - t6209 * t2734 + t105491 + t105493 + t1568 * t93585 / 0.3e1 + t466 * t63299 / 0.6e1 - t7587 * t12142 + 0.3e1 * t7587 * t12144 + t7587 * t12148 - t7587 * t12151 / 0.2e1 - t105505;
  t105514 = t1760 * t18581 / 0.36e2;
  t105519 = t606 * t18970;
  t105524 = t21994 * t19079 / 0.2e1;
  t105529 = 0.2e1 / 0.3e1 * t1541 * t65363 - 0.2e1 * t12047 * t10818 - 0.2e1 / 0.3e1 * t2534 * t35900 + t105514 + 0.23e2 / 0.36e2 * t35814 * t19059 + 0.23e2 / 0.36e2 * t35507 * t19059 + 0.23e2 / 0.36e2 * t7196 * t4808 * t105519 + t105524 + t87253 + t87256 - t87257 - t87258 + 0.6e1 * t4983 * t7680 * t683 * t58386;
  t105540 = t670 * t105407;
  t105549 = t47384 * t13176 - t31651 * t13031 + 0.3e1 * t47384 * t13172 + 0.3e1 / 0.2e1 * t10757 * t26405 * t105322 + 0.14e2 / 0.3e1 * t10757 * t58388 + 0.89e2 / 0.9e1 * t52309 * t47807 * t105540 - 0.7e1 * t10757 * t59480 - t4772 * t1876 * t102965 / 0.2e1 - t83025 - t87275 - t87276 + t87277;
  t105558 = t670 * t105220;
  t105568 = t78896 + t87279 - t87282 + t7251 * t26056 * t18966 / 0.4e1 + t7251 * t102865 / 0.4e1 + t7251 * t4877 * t105328 / 0.4e1 + 0.16e2 / 0.3e1 * t10838 * t4877 * t105558 + t87297 + t87299 - t87300 - t3070 * t19071 / 0.2e1 - t1541 * t91914 / 0.6e1 - t466 * t63295 / 0.6e1;
  t105578 = t1506 * t19003 / 0.36e2;
  t105580 = t843 * t58670 * t1805;
  t105587 = t11224 * t12045;
  t105596 = t95 * t58386;
  t105600 = t95 * t105407;
  t105604 = 0.3e1 / 0.2e1 * t630 * t19063 + 0.3e1 / 0.2e1 * t608 * t19063 + t105578 - t211 * t105580 / 0.12e2 + t11843 * t1811 / 0.4e1 - t4993 * t12998 * t12141 + 0.3e1 * t4993 * t105587 * t1269 + 0.23e2 / 0.36e2 * t58252 * t84125 - 0.2e1 * t10838 * t5175 * t105322 + 0.2e1 * t10838 * t4996 * t105596 + 0.22e2 / 0.3e1 * t52236 * t9845 * t105600 - t102616;
  t105613 = t35502 * t18972 / 0.6e1;
  t105614 = t1261 * t105365;
  t105620 = -t83044 - t83047 + t83049 - t7254 * t3273 * t105328 / 0.3e1 + t36448 * t19111 / 0.4e1 + t36429 * t19111 / 0.4e1 + t83063 + t83065 + t83067 - t105613 - t1541 * t105614 / 0.6e1 - 0.3e1 * t246 * t36680 * t19088;
  t105642 = -t35814 * t19092 / 0.2e1 - t35507 * t19092 / 0.2e1 + t1516 * t12900 / 0.2e1 + t1516 * t12904 / 0.2e1 - t466 * t63213 / 0.6e1 - t466 * t63217 / 0.6e1 - t12217 * t7516 / 0.12e2 - t2534 * t35472 / 0.12e2 - t2534 * t35476 / 0.12e2 + t6209 * t2751 / 0.2e1 - t83073 - t83082;
  t105643 = t253 * t60150;
  t105648 = t824 * t2732 * t2541;
  t105651 = t19121 * t206;
  t105652 = t253 * t105651;
  t105653 = t3273 * t105652;
  t105657 = t3360 * t2727 * t2541;
  t105680 = t26535 * t19114 / 0.2e1;
  t105681 = t7251 * t5175 * t105643 / 0.2e1 + t3266 * t7449 * t105648 - t6454 * t105653 / 0.6e1 + 0.3e1 / 0.2e1 * t4993 * t7457 * t105657 + 0.4e1 * t10838 * t59659 - 0.3e1 / 0.2e1 * t4772 * t7690 * t788 * t58761 + 0.3e1 * t4772 * t7690 * t229 * t58386 + 0.3e1 / 0.2e1 * t3266 * t36452 * t18983 + t26260 * t19118 + t83104 - t7251 * t102651 / 0.6e1 - t7248 * t102644 / 0.6e1 + t105680;
  t105684 = t253 * t58221;
  t105714 = -t10757 * t4877 * t105684 / 0.2e1 - t10757 * t4877 * t105596 - 0.38e2 / 0.9e1 * t52309 * t26189 * t105600 - t7251 * t26056 * t19108 - t7251 * t4877 * t670 * t105327 - t7251 * t103579 + 0.6e1 * t52236 * t4877 * t105600 + 0.2e1 * t10838 * t47377 * t12764 + 0.3e1 / 0.2e1 * t246 * t35828 * t19062 - t12217 * t7487 / 0.6e1 - t2534 * t36555 / 0.6e1 - t2534 * t37249 / 0.6e1;
  t105732 = t188 * t18962 / 0.12e2;
  t105735 = t12217 * t7491 / 0.3e1 + t2534 * t37096 / 0.3e1 + t2534 * t35647 / 0.3e1 + t87413 - t79031 + t87414 + t4772 * t1872 * t102977 + t4772 * t1872 * t788 * t105327 - t4772 * t1872 * t102800 - 0.3e1 / 0.2e1 * t4772 * t519 * t102905 - t105732 + t87438 + t515 * t102839 / 0.12e2;
  t105762 = -t1755 * t18504 / 0.6e1 - t515 * t103144 / 0.6e1 - t1750 * t18504 / 0.6e1 - t37136 * t18972 / 0.2e1 - t36923 * t18972 / 0.2e1 - 0.4e1 / 0.3e1 * t7251 * t58718 - 0.3e1 / 0.2e1 * t10757 * t59492 - 0.6e1 * t53916 * t4996 * t105600 - t47374 * t12999 + t31651 * t13002 + t4983 * t1876 * t102638 / 0.2e1 - 0.2e1 * t52309 * t26847 * t105600;
  t105763 = t9845 * t105457;
  t105783 = t31675 * t19123 / 0.36e2;
  t105785 = t26467 * t19118 / 0.3e1;
  t105792 = t1261 * t11841 * t37476;
  t105797 = -0.28e2 * t79127 * t105763 - 0.3e1 * t3266 * t37339 * t19088 - 0.3e1 / 0.2e1 * t26260 * t19105 - 0.3e1 / 0.2e1 * t26266 * t19105 - 0.3e1 / 0.2e1 * t4772 * t7665 * t19104 - 0.3e1 / 0.2e1 * t4772 * t1876 * t3556 * t105327 + 0.6e1 * t47381 * t12956 + t105783 + t105785 + 0.2e1 / 0.3e1 * t7251 * t46876 * t12891 - t11843 * t1798 / 0.4e1 + t3396 * t105792 / 0.3e1 + t11843 * t1802 / 0.4e1;
  t105802 = t7611 * t2588 / 0.6e1;
  t105804 = t11868 * t7582 / 0.9e1;
  t105816 = -t87491 + t87492 + t83151 - t105802 + t105804 - t2534 * t36051 / 0.6e1 - t12217 * t7595 / 0.6e1 - t11019 * t4762 * t105596 - t11019 * t4762 * t105684 / 0.2e1 - t37284 * t18994 / 0.3e1 + t83175 - t83177;
  t105819 = t26467 * t19105 / 0.2e1;
  t105836 = -t83179 + t102720 - t31651 * t13186 - t105819 - 0.3e1 * t53916 * t4873 * t105600 - t10838 * t4877 * t105322 + t10838 * t4873 * t105596 - t87606 - t87628 - 0.6e1 * t47384 * t12953 - 0.2e1 * t47384 * t13190 - 0.4e1 * t10838 * t59671 - 0.23e2 / 0.3e1 * t52236 * t9744 * t105540;
  t105841 = t11868 * t7487 / 0.18e2;
  t105861 = -0.2e1 * t10838 * t58237 - t105841 + 0.7e1 / 0.3e1 * t12052 * t4851 * t10817 - 0.3e1 / 0.2e1 * t12052 * t83471 + 0.3e1 / 0.2e1 * t36012 * t12039 - 0.3e1 * t7587 * t12042 - 0.11e2 / 0.18e2 * t12052 * t82687 + 0.23e2 / 0.36e2 * t12052 * t83345 - t63486 * t1548 + t13203 * t1551 - t1779 * t87202 / 0.6e1 - t1541 * t91654 / 0.3e1;
  t105865 = t1760 * t18620 / 0.18e2;
  t105867 = 0.5e1 / 0.108e3 * t35320 * t19007;
  t105872 = 0.3e1 / 0.2e1 * t1770 * t12091 + t105865 - t105867 + t87641 + t7600 * t2596 / 0.2e1 - t36038 * t2584 / 0.2e1 + t87666 - t87667 - t83260 - t83263 + t83265 + t83285 + t83287;
  t105887 = t253 * t65015;
  t105888 = t4873 * t105887;
  t105899 = -t16134 + t16144 - t52942 * t12240 / 0.2e1 + t4772 * t1876 * t102466 - t4983 * t1876 * t102463 - t7251 * t102455 / 0.3e1 + 0.2e1 / 0.3e1 * t7251 * t26405 * t670 * t102453 - t6439 * t105888 / 0.6e1 + t58268 * t10884 / 0.2e1 + t7248 * t102492 / 0.2e1 - t7248 * t102648 / 0.3e1 + 0.9e1 / 0.2e1 * t10757 * t58763;
  t105902 = t3156 * t105407;
  t105913 = t4877 * t670 * t512 * t18578;
  t105923 = t5175 * t105652;
  t105933 = -0.3e1 * t10757 * t59847 - 0.43e2 / 0.9e1 * t52309 * t47881 * t105902 - t6439 * t94058 / 0.3e1 + t4772 * t519 * t103009 / 0.2e1 - t20708 * t105913 / 0.3e1 - t3266 * t7361 * t18585 / 0.4e1 - 0.18e2 * t4772 * t36087 * t3130 * t105407 + t83302 + t6439 * t105923 / 0.6e1 - t6439 * t4877 * t3264 * t105651 / 0.3e1 + t4993 * t12998 * t60050 / 0.2e1 + t83324 - t83328;
  t105938 = t53027 * t11826;
  t105943 = t83332 + t83336 - t83338 + 0.18e2 * t52236 * t9744 * t105902 + t83364 - t8624 + t8645 - t8647 - t83378 + t6439 * t105938 / 0.6e1 + t47381 * t12939 - t47384 * t12942;
  t105960 = t52936 * t12234 / 0.2e1 + t7251 * t103158 / 0.12e2 + t10838 * t4873 * t105684 / 0.2e1 + 0.2e1 / 0.3e1 * t6439 * t94044 - t7254 * t102876 / 0.3e1 - t7248 * t102879 / 0.3e1 - t30 * t19207 * t277 / 0.4e1 - t8720 - t83414 - t83416 - t83426 - t83434 - t83436;
  t105981 = t36464 * t12205;
  t105984 = t52331 * t11826;
  t105987 = t83442 + t83444 + t83446 - t16163 + t16165 - 0.5e1 / 0.36e2 * t10757 * t9744 * t105684 - 0.5e1 / 0.18e2 * t10757 * t9744 * t105596 - 0.35e2 / 0.108e3 * t52309 * t47881 * t105600 + 0.5e1 / 0.3e1 * t52236 * t9744 * t105600 + 0.5e1 / 0.12e2 * t10757 * t26189 * t105322 + t6451 * t105981 / 0.12e2 + t6439 * t105984 / 0.12e2;
  t106008 = 0.23e2 / 0.18e2 * t10757 * t86943 * t12757 + 0.2e1 / 0.3e1 * t7251 * t58715 - 0.4e1 * t10838 * t47865 * t12757 + t16622 - t16623 - t16624 + t16625 - t16171 - t7254 * t31478 * t12891 / 0.3e1 + 0.23e2 / 0.36e2 * t10757 * t9744 * t58222 - 0.23e2 / 0.12e2 * t10757 * t26189 * t59479 + 0.23e2 / 0.18e2 * t10757 * t9744 * t58387;
  t106014 = t37357 * t19111 / 0.12e2;
  t106016 = t36791 * t18994 / 0.9e1;
  t106017 = t11224 * t2532;
  t106022 = t53260 * t12037;
  t106039 = t1760 * t11838 / 0.36e2;
  t106040 = 0.44e2 / 0.27e2 * t52309 * t47881 * t105540 + t106014 - t106016 + t4993 * t106017 * t3362 + t4772 * t519 * t102535 + 0.3e1 / 0.2e1 * t3266 * t106022 * t8922 - 0.6e1 * t48902 * t36075 * t20845 * t105407 + 0.18e2 * t9877 * t36075 * t20871 * t105407 + t83514 + t2529 * t7606 / 0.6e1 + t12220 * t1765 / 0.6e1 - t106039;
  t106045 = t222 * t19208;
  t106050 = t191 * t242 * t19206 * t243;
  t106054 = t11855 * t1765 / 0.18e2;
  t106059 = 0.23e2 / 0.108e3 * t35320 * t19059;
  t106071 = -t7592 * t2588 / 0.2e1 - t7600 * t2588 / 0.2e1 - t211 * t106045 / 0.12e2 + t106050 * t250 / 0.4e1 + t106054 - t7187 * t843 * t105436 / 0.2e1 + t106059 + t1755 * t18581 / 0.12e2 + t1750 * t18581 / 0.12e2 + t515 * t103037 / 0.6e1 + t515 * t103033 / 0.6e1 + t12047 * t10814 + t2534 * t35520 / 0.3e1;
  t106083 = -t6411 * t13230 - t6411 * t13233 + t6209 * t2742 + t6217 * t2742 + t1516 * t12862 + t8741 - 0.9e1 / 0.2e1 * t9877 * t7686 * t20876 * t105220 + t83540 - t83542 + t83548 - t83550 - t83552;
  t106089 = t6226 * t2734 / 0.3e1;
  t106091 = t637 * t19063 / 0.2e1;
  t106093 = t637 * t19101 / 0.6e1;
  t106095 = t35320 * t19046 / 0.2e1;
  t106104 = t836 * t7213 * t12119;
  t106108 = t836 * t35347 * t2542;
  t106115 = t1755 * t18620 / 0.6e1 + t1750 * t18620 / 0.6e1 - t106089 + t106091 - t106093 - t106095 - 0.5e1 / 0.36e2 * t7196 * t4808 * t105436 - 0.5e1 / 0.36e2 * t35507 * t19007 - 0.5e1 / 0.36e2 * t35814 * t19007 + t466 * t106104 / 0.12e2 + t466 * t106108 / 0.12e2 + t1529 * t19003 / 0.12e2 + t1534 * t19003 / 0.12e2;
  t106123 = t1760 * t18504 / 0.18e2;
  t106129 = t6226 * t2751 / 0.6e1;
  t106130 = t2529 * t7262 / 0.6e1 + t16191 + t16199 - t16203 - t7251 * t60152 + 0.3e1 * t7251 * t60141 - t106123 - t60007 * t1785 / 0.2e1 + t11843 * t1788 / 0.2e1 + t106129 - t8811 - t88453;
  t106132 = t7611 * t2593 / 0.12e2;
  t106133 = t31872 * t2676;
  t106140 = t7276 * t19024 / 0.18e2;
  t106156 = t88454 - t106132 - t1779 * t1254 * t106133 / 0.3e1 - t7233 * t19015 / 0.3e1 - t106140 - t12052 * t83467 / 0.2e1 - t7228 * t19015 / 0.3e1 + t515 * t102844 / 0.12e2 + 0.9e1 / 0.2e1 * t10757 * t26189 * t3156 * t105220 + t10838 * t4996 * t105684 + 0.12e2 * t53916 * t4873 * t105540 - t83674 - t83676;
  t106169 = t26847 * t670 * t12937 * t463;
  t106173 = t3360 * t18610 * t463;
  t106179 = t8790 * t253 * t19121 * t794;
  t106182 = t4877 * t105652;
  t106197 = -t83678 - t8829 - 0.8e1 / 0.3e1 * t10838 * t5175 * t105344 + 0.9e1 / 0.2e1 * t4772 * t1876 * t22309 * t60139 - 0.7e1 * t26808 * t106169 - 0.3e1 / 0.2e1 * t3266 * t7457 * t106173 - t6451 * t106179 / 0.6e1 + t6439 * t106182 / 0.12e2 - t30 * t2577 * t1855 / 0.4e1 - t182 * t18962 / 0.4e1 + t7251 * t4877 * t105643 / 0.4e1 - 0.9e1 / 0.2e1 * t4772 * t7686 * t22290 * t58761;
  t106200 = t7351 * t2532;
  t106204 = t20724 * t19122;
  t106209 = t3273 * t253 * t1854 * t2541;
  t106214 = t3273 * t253 * t543 * t11945;
  t106218 = t37357 * t19109 / 0.3e1;
  t106225 = t637 * t19089;
  t106226 = t3051 * t19084;
  t106228 = t30793 * t2729 / 0.3e1;
  t106230 = t637 * t19042 / 0.12e2;
  t106231 = -t3266 * t13185 * t12128 + 0.3e1 / 0.2e1 * t3266 * t106200 * t1281 + t6451 * t106204 / 0.12e2 + t6451 * t106209 / 0.12e2 + t6451 * t106214 / 0.12e2 - t106218 + t31915 * t19123 / 0.12e2 + t31161 * t19123 / 0.12e2 + 0.7e1 / 0.3e1 * t10757 * t58223 - t106225 - t106226 - t106228 - t106230;
  t106234 = t11868 * t7491 / 0.9e1;
  t106246 = t36464 * t11826;
  t106249 = t106234 - t7254 * t3273 * t105643 / 0.3e1 - 0.3e1 / 0.4e1 * t7251 * t26405 * t105473 + t11019 * t3273 * t105344 + 0.2e1 / 0.3e1 * t7254 * t8790 * t105473 - t83756 + t83759 - t83767 + t83769 - t88562 - t88563 - t6454 * t106246 / 0.6e1;
  t106250 = t82971 * t12187;
  t106276 = -t6451 * t106250 / 0.6e1 - 0.11e2 / 0.9e1 * t10757 * t9845 * t105596 - 0.61e2 / 0.27e2 * t52309 * t47807 * t105600 - 0.11e2 / 0.18e2 * t10757 * t9845 * t105684 - t21744 * t19126 / 0.4e1 - t21748 * t19126 / 0.4e1 - 0.3e1 / 0.2e1 * t4772 * t1876 * t103591 - t36448 * t19109 - t36429 * t19109 + t10838 * t47865 * t12764 + t7254 * t48404 * t12928 / 0.3e1 + t16706 + t15675;
  t106288 = -t15680 - t15683 - t83788 + t83792 + t83794 + t83796 + t83810 + t83812 + t7742 * t19018 / 0.3e1 + t7746 * t19018 / 0.3e1 + t1815 * t843 * t106133 / 0.3e1 - t3061 * t19071 / 0.2e1;
  t106289 = t7400 * t2557;
  t106310 = 0.7e1 / 0.9e1 * t35320 * t19097;
  t106316 = t35320 * t19092 / 0.6e1;
  t106317 = -t679 * t106289 * t684 / 0.2e1 + t630 * t19074 / 0.2e1 + t608 * t19074 / 0.2e1 + t246 * t106289 * t690 / 0.2e1 + 0.3e1 / 0.2e1 * t21524 * t19079 + 0.3e1 / 0.2e1 * t21529 * t19079 + 0.3e1 / 0.2e1 * t3167 * t35828 * t19078 - t88593 + t2534 * t36668 / 0.3e1 + t106310 - t1779 * t87785 / 0.12e2 - t515 * t58672 / 0.12e2 - t106316;
  t106327 = t7276 * t19015 / 0.9e1;
  t106328 = -t1779 * t102557 / 0.3e1 - t1779 * t102617 / 0.6e1 - t1779 * t1261 * t106133 / 0.6e1 - t106327 - t79485 - t79487 - t79491 - t79493 - t79495 - t79498 + t79510 + t79512;
  t106331 = t52331 * t19108;
  t106359 = t4996 * t105887;
  t106362 = t52942 * t12195 / 0.2e1 - t20708 * t106331 / 0.3e1 - t36004 * t12198 / 0.4e1 + t52942 * t11878 / 0.2e1 - t7251 * t47865 * t12928 / 0.6e1 + t7251 * t47795 * t12891 / 0.3e1 - 0.5e1 / 0.18e2 * t10757 * t86943 * t12764 + t6454 * t92339 / 0.3e1 + t6451 * t64520 / 0.6e1 - t6439 * t92344 / 0.6e1 + 0.2e1 * t53040 * t4762 * t105600 + t11019 * t3273 * t105322 / 0.2e1 - t6439 * t106359 / 0.3e1;
  t106374 = t58268 * t11217 + t58249 * t36881 / 0.3e1 - t103069 - t103070 + t103071 + t103076 - t103077 - t88641 - t88642 - t18626 + t7254 * t102531 / 0.3e1 + t58249 * t36802 / 0.6e1;
  t106395 = -0.5e1 / 0.36e2 * t58252 * t83231 + t7251 * t102873 / 0.6e1 + t7248 * t102870 / 0.6e1 + t8874 + t8877 - t36048 * t2584 / 0.2e1 + t7592 * t2596 / 0.2e1 + t58583 * t530 / 0.4e1 + t58589 * t530 / 0.4e1 - t1529 * t13198 / 0.6e1 - t1534 * t13198 / 0.6e1 - t466 * t64134 / 0.6e1;
  t106410 = t11868 * t7595 / 0.18e2;
  t106417 = t843 * t105365;
  t106422 = t13203 * t1526 / 0.2e1 - t1750 * t11838 / 0.12e2 - t1755 * t11838 / 0.12e2 - t515 * t58592 / 0.12e2 + t65121 * t481 / 0.2e1 + t65114 * t481 / 0.2e1 - t106410 + t11843 * t1747 / 0.4e1 - t12217 * t7532 / 0.12e2 - t2529 * t7215 / 0.6e1 + t1568 * t106417 / 0.3e1 - t12030 * t10985 / 0.2e1;
  t106427 = t1261 * t13201 * t2676;
  t106444 = -t13203 * t1556 - t13203 * t1560 / 0.2e1 + 0.2e1 / 0.3e1 * t3396 * t106427 + t13203 * t1564 / 0.2e1 + t1815 * t88644 / 0.6e1 + t515 * t60087 / 0.12e2 + t103080 + t103081 - t88678 - t88679 - t3266 * t12998 * t60054 / 0.2e1 + 0.5e1 / 0.12e2 * t10757 * t26189 * t105344 - t37275 * t18994 / 0.3e1;
  t106455 = -t7254 * t20724 * t18966 / 0.3e1 - t7254 * t102710 / 0.3e1 + t88680 + t88681 + t16273 - t16280 - t16283 - t83946 - t83950 + t83953 + t83956 + t4772 * t1872 * t103004 / 0.2e1;
  t106464 = t86943 * t63838;
  t106471 = t4762 * t105887;
  t106484 = 0.2e1 / 0.3e1 * t6439 * t65017 - 0.2e1 * t58268 * t11221 - 0.2e1 / 0.3e1 * t58249 * t35961 + 0.2e1 * t47381 * t12959 - 0.3e1 * t26808 * t106464 - t47374 * t13037 + t3266 * t7361 * t18498 / 0.2e1 + t6454 * t106471 / 0.3e1 - t58266 * t11167 / 0.2e1 - t58255 * t7358 / 0.6e1 + t26266 * t19118 + t4772 * t7670 * t19117 + 0.3e1 / 0.2e1 * t4983 * t1876 * t103130;
  t106514 = 0.3e1 / 0.2e1 * t4983 * t1876 * t3130 * t105327 - 0.6e1 * t4772 * t36211 * t229 * t105407 + 0.3e1 * t4993 * t37339 * t18978 + 0.3e1 / 0.2e1 * t26257 * t19114 + 0.3e1 / 0.2e1 * t26263 * t19114 + 0.3e1 / 0.2e1 * t4983 * t7665 * t12233 - 0.18e2 * t4983 * t36084 * t683 * t105407 - 0.6e1 * t4983 * t7680 * t3130 * t58761 - t182 * t19208 / 0.4e1 - t84012 - t84014 - t103116;
  t106515 = t84172 - t84174 + t84180 + t84182 + t84184 + t87948 - t87949 + t87950 + t87951 - t87952 - t87953 - t87954;
  t106521 = t19155 * t206;
  t106535 = t19155 * t794;
  t106539 = t2708 * t1524;
  t106546 = t87955 - 0.12e2 * t36223 * t19183 + 0.6e1 * t36146 * t19180 + t1876 * t103454 + 0.36e2 * t36087 * t3130 * t106521 - 0.12e2 * t36075 * t20862 * t106521 - 0.36e2 * t36084 * t689 * t106521 - 0.2e1 * t1876 * t103451 - 0.2e1 / 0.3e1 * t36146 * t19177 - t7686 * t20876 * t106535 / 0.6e1 + t7686 * t3168 * t106539 / 0.9e1 + 0.8e1 * t7680 * t3130 * t106535;
  t106566 = -0.8e1 * t7680 * t683 * t106539 + 0.2e2 / 0.3e1 * t7686 * t3125 * t106539 + 0.1e2 / 0.3e1 * t36075 * t20871 * t106521 - 0.1e2 * t7686 * t20862 * t106535 - t1872 * t103373 - t519 * t103376 - t103252 + t103253 + t103254 + t103255 - 0.2e1 / 0.3e1 * t1876 * t103296 - 0.2e1 * t7665 * t19193;
  t106569 = t2708 * t11945;
  t106586 = t62 * t2526;
  t106587 = t106586 * t206;
  t106588 = t3590 * t106587;
  t106591 = t3580 * t106587;
  t106596 = t59066 * t463;
  t106602 = -0.2e1 * t1876 * t103333 - 0.2e1 * t1876 * t3130 * t106569 + 0.12e2 * t36211 * t229 * t106521 + 0.3e1 * t7690 * t788 * t106535 + 0.2e1 * t1872 * t103506 + 0.3e1 * t519 * t103510 - 0.2e1 * t519 * t103515 - t1870 * t18637 + 0.8e1 / 0.3e1 * t53409 * t106588 + 0.24e2 * t53409 * t106591 - 0.6e1 * t36114 * t19202 - 0.6e1 * t7651 * t815 * t106596 - 0.6e1 * t7651 * t103285;
  t106605 = t802 * t106587;
  t106608 = t106586 * t794;
  t106609 = t802 * t106608;
  t106612 = t13080 * t1524;
  t106613 = t802 * t106612;
  t106622 = -0.72e2 * t53424 * t106605 - 0.18e2 * t36092 * t106609 + 0.12e2 * t11072 * t106613 + 0.2e1 * t36092 * t3580 * t106608 - 0.2e1 / 0.9e1 * t11072 * t3590 * t106612 + t88090 - t103289 - t16305 - t16309 + t88131 - t88132 - t103306;
  t106654 = 0.4e1 * t11138 * t103422 - 0.2e1 / 0.3e1 * t36191 * t103425 - 0.24e2 * t53518 * t233 * t106587 - t53409 * t48481 * t106587 / 0.9e1 - 0.9e1 * t36191 * t815 * t60139 + 0.24e2 * t36194 * t815 * t106608 - 0.24e2 * t11079 * t815 * t106612 - 0.4e1 * t36194 * t106609 + 0.4e1 * t11079 * t106613 + 0.4e1 / 0.3e1 * t53424 * t106588 + t36092 * t3590 * t106608 / 0.3e1 - 0.6e1 * t7686 * t3130 * t106539;
  t106678 = 0.5e2 / 0.3e1 * t36075 * t20876 * t106521 + 0.9e1 * t7686 * t22290 * t106535 + 0.3e1 * t1876 * t3556 * t106569 + 0.3e1 * t1876 * t103460 + 0.3e1 * t7665 * t19187 - 0.12e2 * t7680 * t3556 * t106535 + 0.12e2 * t7680 * t689 * t106539 - 0.4e2 * t36087 * t3125 * t106521 + t88138 - t84236 - t84244 - t84249;
  t106694 = -t84255 + t84257 + t84259 - t18629 - t84265 + t88159 - t519 * t103293 + 0.2e1 * t1870 * t18631 + 0.4e1 / 0.3e1 * t1876 * t103384 + 0.6e1 * t36252 * t19144 + 0.24e2 * t36084 * t683 * t106521 - 0.6e1 * t7690 * t229 * t106539 - 0.2e1 * t7670 * t19196;
  t106710 = -0.2e1 * t1872 * t103339 - 0.2e1 * t1872 * t788 * t106569 + 0.2e1 * t36223 * t19199 - 0.2e1 / 0.3e1 * t36087 * t3168 * t106521 - t36146 * t19190 / 0.9e1 - t88170 + t16808 + t88171 - t88172 - t88173 - t16813 - t16814;
  t106720 = t43067 * t105220;
  t106727 = t16318 + t88243 - t88244 - t88245 - t88246 + 0.32e2 * t36194 * t43075 * t105220 - 0.12e2 * t36105 * t43071 * t105220 - 0.8e1 * t36100 * t43071 * t60139 - 0.16e2 / 0.3e1 * t36194 * t106720 - t84304 + t1870 * t18680 / 0.2e1 + 0.6e1 * t36223 * t19159;
  t106758 = -0.3e1 * t36146 * t19162 + 0.1e2 / 0.3e1 * t36146 * t19168 - 0.4e1 * t36223 * t19171 + t36146 * t19174 / 0.18e2 - 0.4e1 / 0.3e1 * t11072 * t3580 * t106612 + 0.4e1 * t36191 * t103264 + 0.72e2 * t53421 * t815 * t106587 - 0.2e1 * t7651 * t103500 - 0.1e2 * t36092 * t3580 * t105220 - 0.16e2 * t36194 * t815 * t105220 + 0.8e1 * t53424 * t106591 - 0.4e1 / 0.3e1 * t53409 * t22190 * t106587;
  t106759 = t802 * t105220;
  t106771 = 0.9e1 * t36092 * t106759 + 0.6e1 * t36105 * t233 * t105220 + t84314 - 0.3e1 * t36252 * t19156 + t84320 + t519 * t103392 / 0.2e1 - 0.18e2 * t36092 * t106720 + t9022 - t9047 - t9048 - t9050 - t84328 + t84330;
  t106788 = t16849 - t88269 + t88270 - t84353 + t84355 + t84356 + 0.4e1 * t36100 * t233 * t60139 + 0.2e1 * t7655 * t103273 + 0.2e1 * t11138 * t103277 + t7651 * t103281 / 0.3e1 + 0.6e1 * t36191 * t802 * t60139 + 0.32e2 / 0.3e1 * t36194 * t106759;
  t106815 = t36114 * t19152 + t7651 * t103428 + t7651 * t802 * t106596 - t36092 * t3590 * t105220 / 0.6e1 - 0.6e1 * t36105 * t233 * t106608 + 0.12e2 * t11143 * t233 * t106612 - 0.12e2 * t53421 * t106605 + 0.4e1 * t36069 * t19149 + 0.4e1 * t7655 * t103497 + 0.4e1 * t7655 * t233 * t106596 - 0.4e1 * t36100 * t103258 - 0.6e1 * t53473 * t103268 - t103503;
  t106827 = -t103504 + t16336 + t16337 - t16340 + t88332 - t1870 * t18675 + 0.18e2 * t36191 * t43075 * t60139 - 0.3e1 * t36191 * t43067 * t60139 + t36092 * t48556 * t105220 / 0.3e1 + t16862 - t16864 + t16865;
  t106831 = 0.2e1 * t36092 * t48591 * t105220 + t103528 + t2119 - t2138 - t84423 - t84425 - t84427 + t84437 + t88381 + t9091 + t9093 - t9100 + t9121;
  t106850 = t37357 * t18967 / 0.6e1;
  t106855 = -t103119 - t103120 - t30 * t59 * (t106515 + t106546 + t106566 + t106602 + t106622 + t106654 + t106678 + t106694 + t106710 + t106727 + t106758 + t106771 + t106788 + t106815 + t106827 + t106831) * t95 / 0.4e1 - t2534 * t35781 / 0.12e2 - t11843 * t1793 / 0.2e1 + t103121 + t3266 * t12998 * t12160 - 0.3e1 * t3266 * t105587 * t1274 - t88778 + t80087 - t88779 + t106850 + 0.18e2 * t4772 * t36084 * t689 * t105407;
  t106876 = t188 * t19208 / 0.12e2;
  t106877 = 0.36e2 * t4983 * t36087 * t3125 * t105407 + 0.9e1 * t4983 * t7686 * t20862 * t58761 + 0.6e1 * t4772 * t7680 * t3556 * t58761 - 0.6e1 * t4772 * t7680 * t689 * t58386 - t106876 + t84068 + t84071 - t84073 - t84076 - t8896 - t8900 + t8913;
  t106883 = t8915 - t8939 - t8952 + t8954 + t88823 - t84091 - t84093 + t88828 - t16891 - t6209 * t2737 / 0.2e1 - t1516 * t12876 - t1516 * t12873 - t6217 * t2734;
  t106902 = t7183 * t19018 / 0.9e1;
  t106904 = t637 * t19074 / 0.6e1;
  t106906 = t3051 * t19071 / 0.6e1;
  t106907 = 0.3e1 / 0.2e1 * t246 * t35762 * t18983 + 0.3e1 / 0.2e1 * t608 * t18984 + 0.3e1 * t679 * t36680 * t18978 + 0.3e1 / 0.2e1 * t630 * t18984 + 0.3e1 * t3061 * t18979 + 0.3e1 * t3070 * t18979 + t6217 * t2751 / 0.2e1 + t106902 + t106904 - t106906 + t18628 + t8974;
  t106937 = 0.7e1 / 0.3e1 * t35814 * t19097 + 0.7e1 / 0.3e1 * t35507 * t19097 + 0.7e1 / 0.3e1 * t7196 * t4851 * t105519 - 0.3e1 / 0.2e1 * t35814 * t19046 - 0.3e1 / 0.2e1 * t35507 * t19046 - 0.3e1 / 0.2e1 * t7196 * t4808 * t3059 * t18970 + t35579 * t19049 - 0.3e1 * t3070 * t19084 - 0.3e1 * t3061 * t19084 - 0.3e1 * t679 * t35828 * t19083 - 0.3e1 * t630 * t19089 - 0.3e1 * t608 * t19089 - t31651 * t12754 / 0.2e1;
  t106955 = t86970 * t63415;
  t106969 = 0.3e1 * t47384 * t12991 - t10757 * t47795 * t12764 + t7251 * t103029 / 0.3e1 + t7251 * t102954 / 0.6e1 - t80240 - 0.9e1 / 0.2e1 * t4983 * t1876 * t22290 * t60139 - 0.23e2 / 0.12e2 * t10757 * t26189 * t105558 + 0.14e2 / 0.3e1 * t26808 * t106955 + t31651 * t13192 - 0.18e2 * t4983 * t36075 * t20876 * t105407 + 0.6e1 * t4772 * t36075 * t20862 * t105407 - t58252 * t83738 / 0.2e1;
  t106981 = t22052 * t19126 / 0.12e2;
  t106993 = t47807 * t3156 * t105456;
  t107004 = t47881 * t9875 * t105456;
  t107007 = 0.7e1 / 0.3e1 * t58252 * t83145 - 0.3e1 / 0.2e1 * t58252 * t83139 + 0.3e1 / 0.2e1 * t26550 * t106022 * t8928 - 0.3e1 * t4993 * t106022 * t8933 - t106981 - t7254 * t103125 / 0.6e1 - t7248 * t103155 / 0.6e1 - t3266 * t106017 * t3410 - 0.6e1 * t4983 * t7686 * t3125 * t58386 - 0.62e2 / 0.3e1 * t79576 * t106993 - 0.3e1 * t4993 * t35984 * t19083 + 0.3e1 * t9877 * t7686 * t3168 * t58386 + 0.8e1 * t79576 * t107004;
  t107012 = 0.3e1 / 0.2e1 * t26550 * t35984 * t19078 - t88969 - t88970 - t88971 + t80343 - t88997 - t89002 + t89003 + t89004 + t89005 - t84499 - t84501;
  t107037 = -t84504 - t84507 - 0.8e1 * t4983 * t7680 * t3130 * t105220 + t35584 * t19049 + t7243 * t1254 * t105436 - 0.2e1 * t35579 * t19052 - 0.2e1 * t35584 * t19052 - 0.2e1 * t7243 * t1261 * t105519 - 0.11e2 / 0.18e2 * t35814 * t19056 - 0.11e2 / 0.18e2 * t35507 * t19056 - 0.11e2 / 0.18e2 * t7196 * t4851 * t105436 - t7196 * t4867 * t105436 / 0.2e1 - t84575;
  t107044 = my_piecewise3(t2, 0, t105240 + t107037 + t107012 + t107007 + t106969 + t106937 + t106907 + t106883 + t106877 + t106855 + t106514 + t106484 + t106455 + t106444 + t106422 + t106395 + t106374 + t106362 + t106328 + t106317 + t106288 + t106276 + t106249 + t106231 + t106197 + t106156 + t106130 + t106115 + t106083 + t106071 + t106040 + t106008 + t105987 + t105960 + t105943 + t105933 + t105899 + t105872 + t105861 + t105836 + t105816 + t105797 + t105762 + t105735 + t105714 + t105681 + t105642 + t105620 + t105604 + t105568 + t105549 + t105529 + t105506 + t105480 + t105464 + t105444 + t105422 + t105399 + t105382 + t105359 + t105326 + t105301 + t105277 + t105262);
  tv4rholapl2tau0 = t3 * t107044 + t19215;

  if(out->v4rholapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 0] += tv4rholapl2tau0;

  tv4rholapl2tau1 = 0.e0;

  if(out->v4rholapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 1] += tv4rholapl2tau1;

  tv4rholapl2tau2 = 0.e0;

  if(out->v4rholapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 2] += tv4rholapl2tau2;

  tv4rholapl2tau3 = 0.e0;

  if(out->v4rholapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 3] += tv4rholapl2tau3;

  tv4rholapl2tau4 = 0.e0;

  if(out->v4rholapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 4] += tv4rholapl2tau4;

  t107047 = t28548 * t19434 / 0.2e1;
  t107049 = t24028 * t19382 / 0.12e2;
  t107053 = t294 * t19472 / 0.12e2;
  t107055 = t4005 * t19351 / 0.6e1;
  t107068 = t948 * t19326 / 0.2e1;
  t107070 = t7997 * t2668 / 0.12e2;
  t107072 = 0.2e1 / 0.3e1 * t38409 * t19463;
  t107076 = 0.3e1 / 0.2e1 * t945 * t19343 - t12262 * t8153 / 0.6e1 - t945 * t19339 / 0.2e1 + t107068 + t84625 - t107070 - t107072 - 0.3e1 / 0.2e1 * t28461 * t19434 - t38554 * t19443 - t84640 + t84653;
  t107083 = t6715 * t2831 / 0.6e1;
  t107085 = t12289 * t8150 / 0.36e2;
  t107087 = t948 * t19329 / 0.6e1;
  t107094 = t84657 - t84659 + 0.2e1 / 0.3e1 * t7921 * t19414 - t33583 * t2809 + t6700 * t2822 + t107083 - t107085 + t107087 + 0.23e2 / 0.36e2 * t38373 * t19469 - 0.11e2 / 0.18e2 * t38373 * t19466 - 0.2e1 * t38536 * t19463;
  t107101 = t28548 * t19389 / 0.3e1;
  t107110 = t38536 * t19461 + 0.3e1 / 0.2e1 * t24004 * t19458 - 0.3e1 / 0.2e1 * t38373 * t19395 + t84695 - t84703 + t84707 + t107101 + t38554 * t19402 / 0.4e1 + t60759 * t570 / 0.4e1 + t66489 * t505 / 0.2e1 - t1615 * t13580 / 0.6e1;
  t107130 = t38409 * t19430 / 0.6e1;
  t107132 = t7953 * t19427 / 0.9e1;
  t107135 = t1905 * t18764 / 0.36e2;
  t107137 = t38935 * t19399 / 0.9e1;
  t107139 = t7997 * t2671 / 0.6e1;
  t107141 = t38688 * t2659 / 0.6e1;
  t107143 = t12289 * t8275 / 0.9e1;
  t107144 = t107135 - t84711 + t84719 - t84729 - t107137 - t84737 - t84739 + t84742 + t107139 - t107141 + t107143;
  t107147 = t12289 * t8271 / 0.18e2;
  t107149 = t1618 * t13616 / 0.18e2;
  t107154 = -t107147 - t107149 + t80486 - t80488 - t80490 + t89158 - t89159 - t89160 + t89161 - t23548 * t19382 / 0.4e1 + t33486 * t19379 / 0.12e2;
  t107156 = t38570 * t19402 / 0.12e2;
  t107158 = t1905 * t12469 / 0.36e2;
  t107160 = t12289 * t8309 / 0.36e2;
  t107162 = t60876 * t570 / 0.12e2;
  t107164 = t66290 * t505 / 0.6e1;
  t107166 = t7997 * t2663 / 0.6e1;
  t107168 = t12292 * t1951 / 0.18e2;
  t107173 = t107156 - t84752 + t84756 - t107158 - t107160 + t107162 + t107164 - t107166 + t107168 - t8016 * t2663 / 0.2e1 + t12267 * t1951 / 0.6e1;
  t107199 = t23651 * t19458 / 0.2e1;
  t107201 = t38396 * t19395 / 0.2e1;
  t107203 = 0.7e1 / 0.9e1 * t38396 * t19374;
  t107205 = t38396 * t19370 / 0.6e1;
  t107206 = t948 * t19365;
  t107208 = t33526 * t19379 / 0.36e2;
  t107209 = 0.7e1 / 0.3e1 * t38373 * t19374 - t38373 * t19370 / 0.2e1 - 0.3e1 * t945 * t19365 + t107199 - t107201 + t107203 - t107205 - t107206 + t107208 - t9147 - t9168;
  t107211 = t4005 * t19321;
  t107213 = t38740 * t19405 / 0.6e1;
  t107217 = 0.23e2 / 0.108e3 * t38396 * t19469;
  t107219 = t6715 * t2817 / 0.6e1;
  t107221 = t38409 * t19461 / 0.3e1;
  t107224 = t9172 + t9195 + t107211 - t107213 - t7921 * t19417 / 0.6e1 + t107217 - t107219 + t107221 + t1615 * t19231 / 0.12e2 - t103692 + t103693;
  t107226 = t38570 * t19443 / 0.3e1;
  t107232 = t1618 * t13580 / 0.18e2;
  t107234 = 0.11e2 / 0.54e2 * t38396 * t19466;
  t107236 = t948 * t19314 / 0.12e2;
  t107239 = t89234 + t89235 - t89236 + t84823 - t107226 - t38984 * t19399 / 0.3e1 + 0.3e1 / 0.2e1 * t28713 * t19385 - t107232 - t107234 - t107236 - t7921 * t19227 / 0.3e1;
  t107247 = t6715 * t2814 / 0.3e1;
  t107248 = t4005 * t19359;
  t107250 = t12289 * t8157 / 0.9e1;
  t107263 = t12289 * t8153 / 0.18e2;
  t107265 = t948 * t19343 / 0.2e1;
  t107267 = t948 * t19339 / 0.6e1;
  t107269 = t948 * t19354 / 0.6e1;
  t107271 = t28763 * t19385 / 0.2e1;
  t107273 = t1905 * t18780 / 0.18e2;
  t107275 = t12292 * t1965 / 0.18e2;
  t107277 = t7911 * t19227 / 0.9e1;
  t107279 = t1618 * t19231 / 0.36e2;
  t107281 = t38570 * t19439 / 0.6e1;
  t107282 = t1902 * t18764 / 0.12e2 - t107263 + t107265 - t107267 + t107269 + t107271 - t107273 + t107275 - t107277 + t107279 + t107281;
  t107290 = t294 * t19307 / 0.12e2;
  t107292 = t1905 * t18740 / 0.18e2;
  t107294 = 0.5e1 / 0.108e3 * t38396 * t19420;
  t107296 = t7911 * t19417 / 0.18e2;
  t107298 = 0.2e1 / 0.9e1 * t7911 * t19414;
  t107300 = t6715 * t2822 / 0.3e1;
  t107302 = t33573 * t2809 / 0.3e1;
  t107303 = t38554 * t19439 / 0.2e1 + t28461 * t19389 - t290 * t19307 / 0.4e1 + t103736 - t107290 + t107292 - t107294 - t107296 + t107298 + t107300 - t107302;
  t107311 = -t38466 * t19405 / 0.2e1 - t8016 * t2668 / 0.4e1 - t6700 * t2817 / 0.2e1 - t6700 * t2814 - t89350 - t89351 - t89352 + t84888 + t89355 - t89357 + t89358;
  t107316 = my_piecewise3(t100, 0, -t84865 - t84777 - t84596 - t84598 - t89184 + t89185 - t12262 * t8271 / 0.6e1 + t12262 * t8275 / 0.3e1 - t1615 * t13616 / 0.6e1 - t1902 * t12469 / 0.12e2 - t12262 * t8309 / 0.12e2 - t945 * t19314 / 0.4e1 + t6700 * t2831 / 0.2e1 - t12262 * t8150 / 0.12e2 + t12267 * t1965 / 0.6e1 + t945 * t19329 / 0.2e1 + 0.3e1 / 0.2e1 * t945 * t19326 + 0.3e1 * t3971 * t19321 - t1902 * t18780 / 0.6e1 - t290 * t19472 / 0.4e1 - t3971 * t19351 / 0.2e1 + t12262 * t8157 / 0.3e1 - 0.3e1 * t3971 * t19359 + t945 * t19354 / 0.2e1 + t38536 * t19430 / 0.2e1 + t7916 * t19427 / 0.3e1 + t1902 * t18740 / 0.6e1 - 0.5e1 / 0.36e2 * t38373 * t19420 - t38631 * t2659 / 0.2e1 + t8016 * t2671 / 0.2e1 + t107311 + t107303 + t107282 - t107248 + t107250 - t107247 + t107239 + t107224 + t107209 + t107173 + t107154 + t107144 + t107130 + t107132 + t107110 + t107094 + t107076 - t107053 - t107055 - t107049 - t107047 - t103651);
  tv4rholapl2tau5 = t3 * t107316 + t19479;

  if(out->v4rholapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 5] += tv4rholapl2tau5;

  t107319 = -t103804 + t105307 - t105309 + t105315 - t105317 - t105319 + t105321 + t103824 + t105388 + t105398 + t89390;
  t107328 = -t7869 * t2588 / 0.2e1 - t82875 + t82881 + t105424 + t105425 - t105427 - t89392 - t102501 - t37688 * t19109 - t1923 * t11838 / 0.12e2 + t65628 * t481 / 0.2e1;
  t107337 = -t1632 * t12910 / 0.6e1 + t105491 + t105493 - t105505 + t105514 + t105524 + t89400 + 0.3e1 / 0.2e1 * t27950 * t19114 + t105578 - t903 * t19101 / 0.2e1 - 0.3e1 / 0.2e1 * t28063 * t19105;
  t107372 = -t80756 - t80758 - t89404 - t105613 - t1923 * t18504 / 0.6e1 + t6585 * t2742 - t32645 * t2729 + t37688 * t19111 / 0.4e1 - t22522 * t19126 / 0.4e1 + t32681 * t19123 / 0.12e2 + t12320 * t7491 / 0.3e1;
  t107381 = 0.3e1 / 0.2e1 * t903 * t19063 - t12320 * t7487 / 0.6e1 + t105680 - t105732 + t105783 + t37688 * t18967 / 0.2e1 + t105785 + t28063 * t19118 - t105802 + t105804 - t105819;
  t107386 = -t87606 - t87628 - t105841 + t105865 - t105867 + t87666 - t87667 - t307 * t18962 / 0.4e1 + t83302 + t83324 + t7825 * t19018 / 0.3e1;
  t107397 = -t89471 - t3740 * t19071 / 0.2e1 + t106014 - t106016 + t84999 - t106039 + t106054 + t106059 - t106089 + t106091 - t106093;
  t107405 = -t106095 + t89476 + t80825 + t12325 * t1807 / 0.6e1 - t106123 + t106129 - t12320 * t7532 / 0.12e2 + t60479 * t530 / 0.4e1 - t106132 - t106140 - t106218;
  t107412 = -t106225 - t106226 - t106228 - t106230 + t106234 - t83756 + t83759 - t1632 * t13198 / 0.6e1 + t12320 * t7582 / 0.3e1 - t85016 + t12325 * t1765 / 0.6e1;
  t107441 = -0.3e1 / 0.2e1 * t37576 * t19046 + 0.7e1 / 0.3e1 * t37576 * t19097 - t37576 * t19092 / 0.2e1 - t37610 * t18972 / 0.2e1 - 0.3e1 * t903 * t19089 - t106410 + t103080 + t37616 * t19021 / 0.2e1 - t7820 * t19024 / 0.6e1 + 0.23e2 / 0.36e2 * t37576 * t19059 - 0.11e2 / 0.18e2 * t37576 * t19056;
  t107455 = -t307 * t19208 / 0.4e1 - t85037 - t85039 - t84012 - t84014 - 0.3e1 * t3740 * t19084 + 0.3e1 / 0.2e1 * t22632 * t19079 + t903 * t19074 / 0.2e1 + t6585 * t2751 / 0.2e1 - t12320 * t7516 / 0.12e2 - t88778;
  t107462 = t106850 - t106876 + t88828 + t106902 + t106904 - t106906 + 0.3e1 / 0.2e1 * t903 * t18984 - t106981 - t37876 * t18994 / 0.3e1 + t1923 * t18581 / 0.12e2 + t89005;
  t107467 = my_piecewise3(t2, 0, t86875 + t85020 + t84992 - t84990 + t84925 - t84921 - t84910 + t84908 - t83788 + t83446 - t83426 - t105219 - t88593 + t1923 * t18620 / 0.6e1 + t1632 * t19003 / 0.12e2 - 0.5e1 / 0.36e2 * t37576 * t19007 - t7869 * t2593 / 0.4e1 + t903 * t18987 / 0.2e1 + 0.2e1 / 0.3e1 * t7820 * t19033 + 0.3e1 * t3740 * t18979 - t6585 * t2734 - t6585 * t2737 / 0.2e1 - t903 * t19042 / 0.4e1 + t37616 * t19049 - t7820 * t19015 / 0.3e1 - 0.2e1 * t37616 * t19052 - t37752 * t2584 / 0.2e1 + t7869 * t2596 / 0.2e1 - t12320 * t7595 / 0.6e1 - t106327 - t106316 + t106310 - t105285 - t105287 + t105279 + t107405 + t107337 + t107455 - t8624 + t107372 + t107328 + t105232 + t107462 + t107319 + t107381 + t9234 - t9224 + t8645 + t107386 + t107412 + t107397 + t107441);
  tv4rholapl2tau6 = t3 * t107467 + t19215;

  if(out->v4rholapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 6] += tv4rholapl2tau6;

  tv4rholapl2tau7 = 0.e0;

  if(out->v4rholapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 7] += tv4rholapl2tau7;

  tv4rholapl2tau8 = 0.e0;

  if(out->v4rholapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 8] += tv4rholapl2tau8;

  tv4rholapl2tau9 = 0.e0;

  if(out->v4rholapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 9] += tv4rholapl2tau9;

  tv4rholapl2tau10 = 0.e0;

  if(out->v4rholapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 10] += tv4rholapl2tau10;

  t107490 = 0.3e1 / 0.2e1 * t25290 * t19458 + 0.3e1 / 0.2e1 * t25543 * t19458 + 0.3e1 / 0.2e1 * t4718 * t39373 * t19457 + t39124 * t19461 - t8280 * t12438 + 0.3e1 * t8280 * t12421 + t8280 * t12425 + t2609 * t39925 / 0.3e1 - t1647 * t13780 - t6965 * t2817 / 0.2e1 - t6960 * t2817 / 0.2e1 + t13591 * t1698 / 0.2e1;
  t107491 = t11402 * t12419;
  t107495 = t12349 * t333;
  t107504 = t33917 * t2756;
  t107510 = -t85075 - t80861 + t89532 - t80868 + t89534 + t80876 - t80879 + 0.3e1 * t5649 * t107491 * t1410 - 0.8e1 * t5639 * t8460 * t4572 * t107495 - 0.9e1 / 0.2e1 * t5639 * t2060 * t24435 * t61860 - t1981 * t1423 * t107504 / 0.3e1 - t1981 * t104074 / 0.3e1;
  t107512 = t8262 * t12364;
  t107513 = t1101 * t107512;
  t107537 = t1702 * t107513 / 0.3e1 - t12544 * t11603 / 0.2e1 - t2604 * t8264 / 0.6e1 + t12462 * t8157 / 0.3e1 + t2609 * t40865 / 0.3e1 + t2609 * t40868 / 0.3e1 - t4204 * t19351 / 0.2e1 - t4188 * t19351 / 0.2e1 + t12474 * t2029 / 0.2e1 + 0.23e2 / 0.36e2 * t39527 * t19469 + 0.23e2 / 0.36e2 * t8169 * t5595 * t62155 + t85090;
  t107539 = t1101 * t62134 * t1963;
  t107546 = t2601 * t333;
  t107559 = t552 * t2601;
  t107561 = t50318 * t4191 * t107559;
  t107575 = t85092 - t85094 - t338 * t107539 / 0.12e2 + t12474 * t1969 / 0.4e1 - t12462 * t8150 / 0.12e2 + 0.36e2 * t5639 * t40336 * t4619 * t107546 + 0.9e1 * t5639 * t8438 * t24418 * t61438 - 0.6e1 * t5639 * t8438 * t4619 * t61137 - 0.62e2 / 0.3e1 * t82045 * t107561 - 0.3e1 / 0.2e1 * t29349 * t19434 - 0.3e1 / 0.2e1 * t29346 * t19434 - 0.3e1 / 0.2e1 * t5665 * t8457 * t19433 - 0.3e1 / 0.2e1 * t5665 * t2060 * t4626 * t61297;
  t107581 = t168 * t107546;
  t107590 = t583 * t1655;
  t107591 = t380 * t107590;
  t107592 = t6005 * t107591;
  t107601 = -0.3e1 / 0.2e1 * t5665 * t2060 * t104631 + 0.6e1 * t55987 * t5691 * t107581 + t12462 * t8275 / 0.3e1 - t107047 - t107049 + t4695 * t8077 * t18774 / 0.2e1 + t6764 * t107592 / 0.3e1 - t1647 * t13787 / 0.2e1 - t1665 * t13580 / 0.6e1 - t2180 + t2251 + t1702 * t96814 / 0.3e1;
  t107614 = t168 * t61438;
  t107618 = t168 * t61137;
  t107627 = 0.2e1 / 0.3e1 * t8063 * t61142 + t11510 * t50292 * t13563 - 0.6e1 * t50541 * t40324 * t24582 * t107546 + 0.8e1 * t55994 * t50144 * t10511 * t107546 - t80907 - t89558 + t80914 + t89559 - 0.2e1 * t11510 * t5674 * t107614 + 0.2e1 * t11510 * t5679 * t107618 + 0.22e2 / 0.3e1 * t55987 * t10447 * t107581 - t8063 * t61299 - t8063 * t61428;
  t107635 = t1018 * t107546;
  t107647 = t4191 * t107546;
  t107653 = -0.23e2 / 0.12e2 * t11399 * t29474 * t62203 + 0.23e2 / 0.18e2 * t11399 * t10358 * t61932 + 0.44e2 / 0.27e2 * t55994 * t50144 * t107635 + 0.23e2 / 0.36e2 * t11399 * t10358 * t62256 - t85132 + t85134 + t85138 + t89605 + t1974 * t1101 * t107504 / 0.3e1 + t1974 * t104542 / 0.3e1 - 0.43e2 / 0.9e1 * t55994 * t50144 * t107647 - 0.3e1 / 0.2e1 * t11399 * t61435;
  t107688 = -0.18e2 * t10513 * t40336 * t4609 * t107546 - 0.9e1 / 0.2e1 * t10513 * t8438 * t24477 * t61438 + 0.3e1 * t10513 * t8438 * t4609 * t61137 - t1660 * t13580 / 0.6e1 + 0.3e1 * t4188 * t19321 + 0.3e1 * t1029 * t39943 * t19320 + 0.3e1 / 0.2e1 * t1070 * t19326 - t107053 + 0.6e1 * t5639 * t8460 * t1033 * t61137 + 0.3e1 * t5649 * t40682 * t19320 - t8214 * t104503 / 0.3e1 - t8063 * t104346 / 0.6e1 - t8214 * t104351 / 0.6e1;
  t107700 = t4440 * t19368;
  t107719 = -0.18e2 * t5639 * t40329 * t1033 * t107546 - 0.6e1 * t5639 * t8460 * t4572 * t61438 - 0.11e2 / 0.18e2 * t8169 * t5733 * t107700 + 0.23e2 / 0.36e2 * t39523 * t19469 + t50860 * t13642 + t12474 * t1938 / 0.4e1 - t12462 * t8309 / 0.12e2 - t2609 * t39891 / 0.12e2 + t62365 * t570 / 0.4e1 - t12462 * t8271 / 0.6e1 - t2609 * t40083 / 0.6e1 - t107055;
  t107731 = 0.23e2 / 0.36e2 * t12414 * t85478 - 0.11e2 / 0.18e2 * t12414 * t85481 - t1981 * t89641 / 0.12e2 - t555 * t62140 / 0.12e2 + t107068 - t8145 * t1101 * t107700 / 0.2e1 - t85194 - t85196 - t85199 - t85203 + t85208 + t85210 + t85213;
  t107740 = t5679 * t107591;
  t107755 = 0.4e1 * t11510 * t62316 - 0.4e1 * t11510 * t61933 - 0.23e2 / 0.3e1 * t55987 * t10358 * t107635 - t6769 * t107740 / 0.3e1 + t61124 * t11552 + t57324 * t12720 / 0.2e1 + t57324 * t12725 / 0.2e1 - t39906 * t12519 / 0.4e1 + 0.3e1 * t50860 * t13733 + 0.2e1 / 0.3e1 * t8063 * t50503 * t13570 - t85228 - t85247;
  t107762 = -t85249 + t85251 + t85253 + t85261 - t2609 * t39103 / 0.12e2 - t2609 * t39106 / 0.12e2 + t6965 * t2831 / 0.2e1 + t89648 - t89651 + t89652 - t89653 - t89655 + t89663;
  t107774 = -t8287 * t2668 / 0.4e1 - t1956 * t12489 / 0.4e1 - t1956 * t12494 / 0.4e1 - t6965 * t2814 - t6960 * t2814 - t1647 * t13777 + t89712 - t89717 + t89718 - t89719 - t89720 - t81051;
  t107780 = t12735 * t487;
  t107800 = t1018 * t107559;
  t107801 = t29474 * t107800;
  t107804 = t84625 + t89758 + t89761 + t85268 - t85271 + 0.14e2 / 0.3e1 * t11399 * t62215 + 0.89e2 / 0.9e1 * t55994 * t50318 * t107635 - t8063 * t5691 * t4693 * t107780 - 0.9e1 / 0.2e1 * t10513 * t8438 * t24477 * t107495 - 0.18e2 * t5665 * t40336 * t4572 * t107546 - 0.9e1 / 0.2e1 * t5665 * t8438 * t24435 * t61438 + 0.3e1 * t5665 * t8438 * t4572 * t61137 + 0.47e2 / 0.3e1 * t82045 * t107801;
  t107827 = 0.3e1 / 0.2e1 * t4695 * t39825 * t19342 - t34833 * t13660 - t34833 * t13664 / 0.2e1 - 0.2e1 * t55994 * t29468 * t107581 + t89765 - t89766 + t5665 * t2056 * t104062 + t5665 * t2056 * t1165 * t61297 - t5665 * t2056 * t104389 - 0.3e1 / 0.2e1 * t5665 * t559 * t104385 - t89767 + t61173 * t40767 / 0.3e1;
  t107829 = t5695 * t4693 * t107590;
  t107842 = t380 * t107780;
  t107846 = t168 * t61860;
  t107850 = t168 * t107495;
  t107854 = 0.2e1 / 0.3e1 * t6769 * t107829 - 0.2e1 / 0.3e1 * t61173 * t40790 + t85320 + t85322 - t107070 + t1956 * t12512 / 0.2e1 - t1956 * t12516 / 0.2e1 - t107072 - t8296 * t2668 / 0.4e1 + 0.3e1 * t8063 * t61862 + t8063 * t5674 * t107842 / 0.2e1 - 0.3e1 / 0.2e1 * t8063 * t30134 * t107846 + 0.11e2 / 0.6e1 * t11399 * t29468 * t107850;
  t107864 = t29468 * t1018 * t13554 * t487;
  t107867 = t50292 * t19934;
  t107874 = t1430 * t13589 * t2756;
  t107887 = -0.8e1 / 0.3e1 * t11510 * t5674 * t107850 - 0.7e1 * t45332 * t107864 + 0.2e1 / 0.3e1 * t24973 * t107867 + t84657 - t84659 - t373 * t2040 * t104796 / 0.4e1 + 0.2e1 / 0.3e1 * t4533 * t107874 - t13591 * t1690 - t13591 * t1694 / 0.2e1 - t1070 * t19314 / 0.4e1 - t11399 * t5691 * t107618 - 0.38e2 / 0.9e1 * t55994 * t29474 * t107581;
  t107888 = t380 * t61433;
  t107904 = t583 * t2601;
  t107905 = t4693 * t107904;
  t107906 = t5695 * t107905;
  t107916 = -t11399 * t5691 * t107888 / 0.2e1 - 0.7e1 * t11399 * t62204 + t39976 * t19402 / 0.4e1 + t39979 * t19402 / 0.4e1 - t85382 - t85384 + 0.2e1 * t56930 * t6005 * t107581 + t11646 * t4687 * t107614 / 0.2e1 - 0.2e1 * t45444 * t107906 - t25376 * t19382 / 0.4e1 - t25561 * t19382 / 0.4e1 - t4695 * t67752 * t2667 / 0.4e1;
  t107937 = t107083 - t107085 + t107087 - 0.3e1 * t11399 * t61139 + 0.3e1 * t4204 * t19321 + t8063 * t30011 * t19398 / 0.4e1 - t1647 * t13790 / 0.2e1 - t12414 * t86772 / 0.2e1 + 0.7e1 / 0.3e1 * t12414 * t85721 - 0.3e1 / 0.2e1 * t12414 * t85725 + 0.3e1 / 0.2e1 * t39807 * t12673 + t8214 * t103939 / 0.12e2;
  t107955 = -t11646 * t50305 * t13563 - t8219 * t34283 * t13570 / 0.3e1 + t8219 * t50305 * t13670 / 0.3e1 + t8063 * t104056 / 0.6e1 + t8214 * t104059 / 0.6e1 - t8219 * t103944 / 0.6e1 - t8214 * t103949 / 0.6e1 - t6955 * t13842 + t89872 - t89873 - t89874 + t89875 - t104106;
  t107966 = -t104107 - 0.3e1 * t8280 * t12685 + 0.3e1 / 0.2e1 * t1956 * t12691 - t85477 + t85488 + t89901 - t89904 + t89905 - t1946 * t18780 / 0.6e1 - t555 * t104086 / 0.6e1 - t104229 - t104230;
  t107971 = t4305 * t18876 * t487;
  t107989 = -t90030 + t90031 + t90032 + t90033 + t29346 * t19389 + t5665 * t8451 * t19388 - t90046 - t90047 - 0.3e1 / 0.2e1 * t4695 * t8072 * t107971 + 0.9e1 / 0.2e1 * t5665 * t2060 * t24564 * t61860 + 0.8e1 * t5665 * t8460 * t4626 * t107495 + 0.5e1 / 0.3e1 * t55987 * t10358 * t107581 + 0.5e1 / 0.12e2 * t11399 * t29474 * t107614;
  t107995 = t25122 * t19378;
  t108012 = t34520 * t19379 / 0.12e2 + t34671 * t19379 / 0.12e2 + t6772 * t107995 / 0.12e2 + t6764 * t95399 / 0.3e1 + 0.2e1 / 0.3e1 * t8063 * t30141 * t1018 * t103956 + t84695 - t84703 + t84707 + 0.3e1 / 0.2e1 * t1956 * t12508 + t2604 * t8553 / 0.6e1 + t1660 * t19231 / 0.12e2 + t1665 * t19231 / 0.12e2;
  t108014 = t1094 * t39769 * t2617;
  t108017 = t8600 * t2632;
  t108044 = t490 * t108014 / 0.12e2 - t1029 * t108017 * t1034 / 0.2e1 + t1070 * t19354 / 0.2e1 + t107101 + 0.3e1 / 0.2e1 * t30451 * t39825 * t19457 - 0.6e1 * t56113 * t5679 * t107581 - t90097 - 0.3e1 * t4695 * t107491 * t1415 - 0.18e2 * t5639 * t40324 * t24477 * t107546 - t69146 * t1675 - t39523 * t19370 / 0.2e1 - t39527 * t19370 / 0.2e1 - t8169 * t5563 * t107700 / 0.2e1;
  t108050 = t89846 * t67381;
  t108053 = t107130 + t107132 + t107135 - t85512 + t85515 - t85518 + t85525 - t85529 - t85560 - t85562 - 0.2e1 * t50860 * t13653 + 0.14e2 / 0.3e1 * t45332 * t108050;
  t108066 = t56210 * t12412;
  t108070 = -t81421 + t81423 - t107137 - t51173 * t13537 + 0.6e1 * t5665 * t40324 * t24418 * t107546 - t61081 * t85387 / 0.2e1 + 0.7e1 / 0.3e1 * t61081 * t10447 * t11555 - 0.3e1 / 0.2e1 * t61081 * t85393 + 0.3e1 / 0.2e1 * t30451 * t108066 * t9698 + t81429 + t81432 - t84737 - t84739;
  t108085 = t84742 + 0.3e1 / 0.2e1 * t11399 * t30141 * t107614 + t490 * t69122 / 0.6e1 - t39482 * t19405 / 0.2e1 - t39486 * t19405 / 0.2e1 + t107139 - t107141 + t107143 - t107147 - t107149 + t8063 * t104866 / 0.3e1 + 0.7e1 / 0.3e1 * t11399 * t62337;
  t108107 = t349 * t19307;
  t108110 = t85758 * t12728;
  t108113 = t56645 * t12354;
  t108116 = 0.18e2 * t55987 * t10358 * t107647 - t1981 * t104553 / 0.6e1 - 0.5e1 / 0.36e2 * t39523 * t19420 - 0.5e1 / 0.36e2 * t39527 * t19420 - 0.5e1 / 0.36e2 * t8169 * t5595 * t107700 + t1956 * t12482 / 0.2e1 - t8081 * t19417 / 0.6e1 - t8086 * t19417 / 0.6e1 - t1981 * t1430 * t107504 / 0.6e1 - t338 * t108107 / 0.12e2 - t6772 * t108110 / 0.6e1 + t6769 * t108113 / 0.12e2 + t107156;
  t108122 = t40145 * t12354;
  t108126 = t1094 * t8262 * t12399;
  t108130 = t1018 * t107495;
  t108134 = -t8063 * t50552 * t13670 / 0.3e1 - t6764 * t108122 / 0.6e1 - t85611 + t85616 + t85619 + t490 * t108126 / 0.12e2 - t1956 * t12505 - 0.23e2 / 0.12e2 * t11399 * t29474 * t108130 - t107158 - t107160 + t107162 + t107164;
  t108139 = -t107166 + t107168 + t85622 - t8296 * t2663 / 0.2e1 - t8287 * t2663 / 0.2e1 + t90202 - t90203 - t90204 + t90205 + t16374 - t9281 + t9283 - t84777;
  t108141 = t40145 * t12736;
  t108157 = -t90221 - t90222 + t90225 - t90227 + t81578 + t9307 + t6772 * t108141 / 0.12e2 - 0.3e1 * t56113 * t5695 * t107581 - t11510 * t5691 * t107614 + t11510 * t5695 * t107618 + t11510 * t5695 * t107888 / 0.2e1 + t5665 * t2056 * t104848 / 0.2e1;
  t108163 = t5691 * t1018 * t552 * t18761;
  t108173 = t1076 * t2812 * t2616;
  t108182 = t5665 * t559 * t104852 / 0.2e1 - t24973 * t108163 / 0.3e1 - t4695 * t8077 * t18787 / 0.4e1 - t89184 + t89185 - t5665 * t2060 * t104655 / 0.2e1 + t4695 * t8060 * t108173 + t107199 + 0.2e1 / 0.3e1 * t1683 * t68271 - 0.2e1 * t12535 * t11566 - t107201 - 0.2e1 / 0.3e1 * t2609 * t39562 + t107203;
  t108190 = t1423 * t107512;
  t108200 = t89824 * t68897;
  t108204 = -t2609 * t39921 / 0.6e1 - t107205 - t1683 * t108190 / 0.3e1 + t12535 * t11562 - t107206 + t2609 * t39313 / 0.3e1 + t107208 + 0.6e1 * t51176 * t13736 + 0.2e1 * t51176 * t13678 - 0.3e1 * t45332 * t108200 - t51173 * t13729 + t85733;
  t108228 = -t1981 * t90272 / 0.6e1 - t1683 * t96278 / 0.3e1 - t1058 * t19339 / 0.2e1 - t373 * t8600 * t2628 * t1047 / 0.2e1 + 0.3e1 / 0.2e1 * t1070 * t19343 + 0.3e1 / 0.2e1 * t1058 * t19343 + 0.3e1 / 0.2e1 * t373 * t39373 * t19342 + 0.3e1 * t50860 * t13761 - t9147 + t9172 + t555 * t62136 / 0.12e2 - 0.3e1 * t4188 * t19359;
  t108248 = -0.3e1 * t1029 * t39373 * t19358 - 0.3e1 * t1070 * t19365 - 0.3e1 * t1058 * t19365 - 0.3e1 * t373 * t39943 * t19364 + t107211 - t107213 + t107217 - t107219 + t1941 * t18740 / 0.6e1 + t1946 * t18740 / 0.6e1 + t555 * t104627 / 0.6e1 + t555 * t104524 / 0.6e1;
  t108277 = t107221 + t5665 * t559 * t104377 - t5639 * t2060 * t104643 + t5665 * t2060 * t103957 - t6769 * t95830 / 0.3e1 + t39976 * t19439 / 0.2e1 + t39979 * t19439 / 0.2e1 + t8063 * t30022 * t19398 / 0.2e1 + t8063 * t104482 / 0.12e2 - 0.5e1 / 0.18e2 * t11399 * t10358 * t107618 - 0.35e2 / 0.108e3 * t55994 * t50144 * t107581 - 0.5e1 / 0.36e2 * t11399 * t10358 * t107888 - t8219 * t104563 / 0.3e1;
  t108292 = t56429 * t12354;
  t108295 = t56645 * t12522;
  t108310 = -t8214 * t104566 / 0.3e1 + t11510 * t5679 * t107888 + 0.12e2 * t56113 * t5695 * t107635 - t110 * t12651 * t584 / 0.4e1 - t85812 - t11399 * t50296 * t13563 + t6769 * t108292 / 0.6e1 - t6769 * t108295 / 0.3e1 + t57328 * t12351 / 0.2e1 - t373 * t8133 * t18787 / 0.4e1 + 0.3e1 * t5665 * t8443 * t356 * t61137 + 0.3e1 / 0.2e1 * t4695 * t39421 * t19325;
  t108327 = t10447 * t107800;
  t108335 = t29349 * t19389 - 0.5e1 / 0.36e2 * t61081 * t85243 - t103692 + t85860 + t103693 - t81638 - t110 * t2652 * t2021 / 0.4e1 - t318 * t19472 / 0.4e1 + 0.6e1 * t5665 * t8460 * t4626 * t61438 - 0.6e1 * t5665 * t8460 * t1038 * t61137 - 0.28e2 * t81183 * t108327 - 0.3e1 * t4695 * t40682 * t19364 - t8063 * t104510 / 0.3e1;
  t108353 = t81653 - t16419 + t85879 + t85898 + t85900 - t8280 * t12428 / 0.2e1 + 0.3e1 / 0.2e1 * t1058 * t19326 + 0.3e1 / 0.2e1 * t373 * t40894 * t19325 + t1070 * t19329 / 0.2e1 + t1058 * t19329 / 0.2e1 + t373 * t8133 * t18774 / 0.2e1 + t12712 * t1965 / 0.6e1;
  t108359 = t2604 * t8563 / 0.6e1 - t85906 - t85908 + t85921 + t85925 + t90474 + t90476 + t89234 + t89235 - t89236 - t18783 + t2604 * t8602 / 0.6e1 + t39705 * t19461;
  t108364 = t1430 * t12472 * t8252;
  t108369 = t1430 * t107512;
  t108395 = t4533 * t108364 / 0.3e1 + t12474 * t2045 / 0.4e1 - t1683 * t108369 / 0.6e1 + t12535 * t11588 / 0.2e1 + t2609 * t39722 / 0.6e1 - 0.11e2 / 0.9e1 * t11399 * t89846 * t13563 - 0.6e1 * t5665 * t40350 * t356 * t107546 - 0.3e1 / 0.2e1 * t5665 * t8443 * t1165 * t61438 - t107226 + 0.3e1 / 0.2e1 * t29339 * t19385 + 0.3e1 / 0.2e1 * t5639 * t8457 * t12350 + 0.3e1 / 0.2e1 * t5639 * t2060 * t104842;
  t108409 = t4687 * t380 * t2020 * t2616;
  t108414 = t4687 * t380 * t583 * t12398;
  t108419 = t8226 * t2607;
  t108423 = t8226 * t2602;
  t108433 = 0.3e1 / 0.2e1 * t5639 * t2060 * t4572 * t61297 - t34477 * t2809 - t6955 * t13839 - t490 * t68124 / 0.6e1 + t16440 - 0.3e1 * t5649 * t39825 * t19358 + t6772 * t108409 / 0.12e2 + t6772 * t108414 / 0.12e2 - t4695 * t13659 * t12504 + 0.3e1 / 0.2e1 * t4695 * t108419 * t1438 + t4695 * t108423 * t1084 / 0.2e1 - 0.3e1 / 0.4e1 * t8063 * t30141 * t107846 + t4695 * t13659 * t62034 / 0.2e1;
  t108438 = t19377 * t333;
  t108439 = t380 * t108438;
  t108440 = t4687 * t108439;
  t108445 = t9444 * t380 * t19377 * t1082;
  t108451 = t4695 * t13663 * t61866 / 0.2e1 - t6764 * t108440 / 0.6e1 - t6772 * t108445 / 0.6e1 - t9408 - t9412 + t9416 + t18785 - t86028 - t86031 + t16464 - t16467 + 0.16e2 / 0.3e1 * t11510 * t5691 * t108130;
  t108458 = -t107232 - t107234 + t13591 * t1679 - t107236 - t61509 * t2026 / 0.2e1 - t107247 + t104612 - t104613 + t104614 + t104617 + t90625 + t1956 * t12499 - 0.3e1 * t1956 * t12688;
  t108476 = t5674 * t108439;
  t108482 = -t1956 * t12501 - t8081 * t19227 / 0.3e1 - t8086 * t19227 / 0.3e1 - t4695 * t13533 * t61961 / 0.2e1 + t5649 * t13533 * t61965 / 0.2e1 - t6769 * t5691 * t4693 * t108438 / 0.3e1 + t6769 * t108476 / 0.6e1 + t104621 - t104622 + t104623 + t34833 * t13656 - 0.2e1 * t11510 * t62257;
  t108513 = 0.11e2 / 0.6e1 * t11399 * t29468 * t107614 - 0.11e2 / 0.9e1 * t11399 * t10447 * t107618 - 0.61e2 / 0.27e2 * t55994 * t50318 * t107581 - 0.11e2 / 0.18e2 * t11399 * t10447 * t107888 + t1941 * t18764 / 0.12e2 + t1946 * t18764 / 0.12e2 + t555 * t104532 / 0.12e2 + t555 * t104198 / 0.12e2 - t12474 * t2037 / 0.2e1 - t12474 * t2041 / 0.4e1 - t1058 * t19314 / 0.4e1 + 0.2e1 / 0.3e1 * t8081 * t19414 + 0.2e1 / 0.3e1 * t8086 * t19414;
  t108526 = 0.2e1 / 0.3e1 * t1981 * t61067 + 0.2e1 / 0.3e1 * t1981 * t62152 - t84865 - t81817 + t6772 * t68265 / 0.6e1 - t57324 * t12346 / 0.2e1 + t51176 * t13556 - t50860 * t13560 - t34833 * t13721 - t104642 - t86098 - t86102;
  t108539 = t6960 * t2831 / 0.2e1 + t1647 * t13810 / 0.2e1 + t1647 * t13814 / 0.2e1 - t107248 + t107250 - t107263 + t107265 - t1683 * t94898 / 0.6e1 - t107267 - t490 * t67284 / 0.6e1 + t107269 - t1070 * t19339 / 0.2e1 - t16473;
  t108544 = t168 * t61297;
  t108553 = t5691 * t108439;
  t108575 = t8063 * t5674 * t108544 / 0.2e1 + t8063 * t104368 / 0.2e1 - t39976 * t19443 - t39979 * t19443 - t8063 * t62849 + t6769 * t108553 / 0.12e2 + 0.9e1 / 0.2e1 * t11399 * t29474 * t4191 * t107495 + 0.3e1 / 0.2e1 * t11399 * t30141 * t107850 + 0.9e1 * t5639 * t8438 * t24418 * t107495 - 0.9e1 / 0.2e1 * t5665 * t8438 * t24435 * t107495 - t34833 * t13645 / 0.2e1 + t4695 * t13533 * t12498;
  t108576 = t11402 * t2607;
  t108597 = t107271 - t4695 * t108576 * t4324 - t5649 * t13533 * t12437 + t5649 * t108576 * t4307 + t12712 * t1951 / 0.6e1 + t2604 * t8316 / 0.6e1 - t1941 * t12469 / 0.12e2 - t1946 * t12469 / 0.12e2 - t555 * t61955 / 0.12e2 + t2609 * t40087 / 0.3e1 + t67681 * t505 / 0.2e1 - t107273;
  t108609 = t107275 - t107277 + t107279 - t86139 - t86147 + t86149 + t86156 - t86158 - t4695 * t67756 * t2667 / 0.4e1 - t4695 * t13663 * t12493 / 0.4e1 + 0.3e1 * t89703 * t13768 - 0.6e1 * t51176 * t13752;
  t108629 = t8091 * t1423 * t107700 - 0.2e1 * t39124 * t19463 - 0.2e1 * t39705 * t19463 - 0.2e1 * t8091 * t62156 - 0.11e2 / 0.18e2 * t39523 * t19466 - 0.11e2 / 0.18e2 * t39527 * t19466 - 0.3e1 / 0.2e1 * t8169 * t62144 - t16493 + 0.3e1 / 0.2e1 * t29436 * t19385 + t107281 - t17070 + t17072 + t8063 * t50296 * t13570 / 0.3e1;
  t108663 = -0.5e1 / 0.18e2 * t11399 * t89824 * t13563 - t8063 * t50292 * t13670 / 0.6e1 - 0.4e1 * t11510 * t50292 * t13742 - 0.4e1 / 0.3e1 * t8063 * t61145 + 0.23e2 / 0.18e2 * t11399 * t89824 * t13742 - 0.6e1 * t50860 * t13551 - t8219 * t4687 * t107842 / 0.3e1 + t8063 * t5691 * t107842 / 0.4e1 + 0.5e1 / 0.12e2 * t11399 * t29474 * t107850 + 0.2e1 / 0.3e1 * t8219 * t9444 * t107846 - 0.4e1 / 0.3e1 * t11510 * t5691 * t107850 + t17073;
  t108664 = t19240 * t333;
  t108669 = t19240 * t1082;
  t108673 = t2788 * t1655;
  t108681 = t2788 * t12398;
  t108691 = t142 * t2601;
  t108692 = t108691 * t1082;
  t108696 = t13390 * t1655;
  t108700 = 0.36e2 * t40336 * t4572 * t108664 + 0.3e1 * t8443 * t1165 * t108669 - 0.6e1 * t8443 * t356 * t108673 - 0.2e1 * t2056 * t1165 * t108681 + 0.24e2 * t40318 * t1186 * t108692 - 0.24e2 * t11668 * t1186 * t108696 - t559 * t104955 - 0.2e1 * t2056 * t104965 + 0.2e1 * t2056 * t104977 + 0.3e1 * t559 * t104981 - 0.2e1 * t559 * t105049 - 0.2e1 * t8451 * t19301;
  t108711 = t62473 * t487;
  t108717 = -0.6e1 * t8508 * t105016 + 0.2e1 * t40315 * t4599 * t108692 - 0.4e1 / 0.3e1 * t11651 * t4599 * t108696 - 0.6e1 * t40448 * t19263 - 0.6e1 * t8508 * t1186 * t108711 + 0.4e1 * t40455 * t104884 - t90897 + t86272 - t86274 - t90901 + t90902 - t90903;
  t108739 = -t90909 + t90910 - 0.4e2 * t40336 * t4619 * t108664 + 0.2e1 * t40367 * t19290 - 0.2e1 / 0.3e1 * t40336 * t4609 * t108664 - t40346 * t19293 / 0.9e1 - t2054 * t18824 - 0.2e1 * t2060 * t4572 * t108681 - 0.12e2 * t8460 * t4626 * t108669 + 0.12e2 * t8460 * t1038 * t108673 - t104939 - t104940;
  t108747 = 0.3e1 * t2060 * t4626 * t108681 + 0.3e1 * t2060 * t105068 + 0.3e1 * t8457 * t19283 - t104941 - t90978 + t90979 - t90980 - t90981 - t90982 + t90983 - t91001 + t91002 + t91003;
  t108766 = t108691 * t333;
  t108775 = t1173 * t107495;
  t108778 = 0.9e1 * t8438 * t24435 * t108669 - 0.6e1 * t8438 * t4572 * t108673 + 0.5e2 / 0.3e1 * t40324 * t24477 * t108664 - 0.2e1 / 0.3e1 * t2060 * t104973 - 0.2e1 * t8457 * t19287 - 0.2e1 * t2060 * t105001 - t86300 + t40448 * t19266 - 0.4e1 / 0.3e1 * t57753 * t24682 * t108766 - 0.2e1 * t8508 * t105010 - 0.1e2 * t40315 * t4599 * t107495 + 0.9e1 * t40315 * t108775;
  t108779 = t1173 * t108692;
  t108791 = t1173 * t108766;
  t108799 = t4599 * t108766;
  t108807 = -0.18e2 * t40315 * t108779 - 0.24e2 * t57984 * t360 * t108766 - 0.6e1 * t40458 * t360 * t108692 + 0.12e2 * t11663 * t360 * t108696 - 0.12e2 * t57964 * t108791 + 0.4e1 * t40540 * t19268 + 0.4e1 * t8511 * t104918 + t2060 * t104952 + 0.24e2 * t57753 * t108799 - t86316 + 0.4e1 * t8511 * t360 * t108711 + 0.32e2 / 0.3e1 * t40318 * t108775;
  t108812 = t46252 * t107495;
  t108828 = -t16527 - 0.8e1 * t40461 * t46256 * t61860 - 0.16e2 / 0.3e1 * t40318 * t108812 + 0.18e2 * t40455 * t46248 * t61860 + t86341 + t16546 - t16551 + t8508 * t104927 / 0.3e1 + t8508 * t104909 + t8508 * t1173 * t108711 - t40315 * t4586 * t107495 / 0.6e1 - 0.4e1 * t40461 * t104894;
  t108851 = -0.2e1 / 0.9e1 * t11651 * t4586 * t108696 - t57753 * t51643 * t108766 / 0.9e1 + 0.2e1 * t8511 * t104934 + 0.2e1 * t11656 * t104923 + 0.6e1 * t40455 * t1173 * t61860 - 0.9e1 * t40455 * t1186 * t61860 + t91160 - t91161 + t91162 + t91164 + t91165 - 0.12e2 * t40324 * t24418 * t108664 - 0.36e2 * t40329 * t1038 * t108664;
  t108877 = -0.2e1 * t2060 * t105147 + 0.2e1 * t2054 * t18820 + 0.4e1 / 0.3e1 * t2060 * t104993 + 0.6e1 * t40428 * t19298 + 0.24e2 * t40329 * t1033 * t108664 + 0.12e2 * t40350 * t356 * t108664 - 0.18e2 * t40315 * t108812 + 0.2e1 * t40315 * t51889 * t107495 + 0.32e2 * t40318 * t46248 * t107495 + t86354 - t86356 - t86358;
  t108878 = -t91176 - t86362 + t105009 - t17089 - t17090 + t17091 + t86389 + t86395 - t86401 + t86403 - t105025 + t91218;
  t108897 = t1173 * t108696;
  t108906 = -0.8e1 * t8460 * t1033 * t108673 - 0.12e2 * t40367 * t19273 - 0.2e1 / 0.3e1 * t40346 * t19276 + 0.1e2 / 0.3e1 * t40324 * t24557 * t108664 + 0.6e1 * t40346 * t19279 + 0.8e1 * t8460 * t4572 * t108669 + t17098 + 0.6e1 * t40367 * t19253 + 0.4e1 * t11668 * t108897 + 0.6e1 * t40458 * t360 * t107495 + 0.4e1 * t40461 * t360 * t61860 - t9586;
  t108918 = -0.16e2 * t40318 * t1186 * t107495 + 0.72e2 * t57964 * t1186 * t108766 - 0.6e1 * t58028 * t104898 + 0.12e2 * t11651 * t108897 - t2054 * t18855 - t105053 + t86432 + t86434 + t86440 - t91226 - t9610 - t9611 + t9635;
  t108925 = t4586 * t108766;
  t108945 = 0.4e1 * t11656 * t104902 - 0.2e1 / 0.3e1 * t40455 * t104931 + 0.4e1 / 0.3e1 * t57967 * t108925 + t40315 * t4586 * t108692 / 0.3e1 - 0.4e1 * t40318 * t108779 + t559 * t105169 / 0.2e1 - 0.4e1 * t40367 * t19241 + t40346 * t19244 / 0.18e2 + 0.1e2 / 0.3e1 * t40346 * t19247 - 0.3e1 * t40428 * t19259 + t9669 + 0.8e1 / 0.3e1 * t57753 * t108925;
  t108959 = -0.72e2 * t57967 * t108791 + 0.8e1 * t57967 * t108799 + t2054 * t18805 / 0.2e1 + t91244 - t18839 + t86504 - t86508 - t16558 + t16560 + t16561 - t2056 * t105007 - 0.1e2 * t8438 * t24418 * t108669 + 0.2e2 / 0.3e1 * t8438 * t4619 * t108673;
  t108969 = -t8438 * t24477 * t108669 / 0.6e1 + t8438 * t4609 * t108673 / 0.9e1 + t91252 - 0.3e1 * t40346 * t19256 - t17145 + t17147 + t105095 + t105096 + t9675 + t9677 + t17148 - t86523;
  t108980 = -t559 * t104962 + t105099 - t9683 - 0.3e1 * t40455 * t46252 * t61860 + t40315 * t51878 * t107495 / 0.3e1 - 0.12e2 * t40458 * t46256 * t107495 - t2229 + t86535 + t86536 - t86541 - t86542 + t2210 - t86550;
  t108999 = t86205 - t86208 - t86211 - t110 * t139 * (t108700 + t108717 + t108739 + t108747 + t108778 + t108807 + t108828 + t108851 + t108877 + t108878 + t108906 + t108918 + t108945 + t108959 + t108969 + t108980) * t168 / 0.4e1 + t17172 + t104681 - t40223 * t2659 / 0.2e1 - t40091 * t2659 / 0.2e1 + t8296 * t2671 / 0.2e1 + t8287 * t2671 / 0.2e1 - t16506 + t16514 - t61122 * t11746 / 0.2e1;
  t109023 = -t61720 * t8211 / 0.6e1 - t110 * t19306 * t404 / 0.4e1 + t9482 - t9485 - t9487 - t11646 * t6005 * t107618 - t11646 * t6005 * t107888 / 0.2e1 - t40730 * t19399 / 0.3e1 - t40161 * t19399 / 0.3e1 - t8219 * t25122 * t19398 / 0.3e1 - t8219 * t105198 / 0.3e1 - t8219 * t4687 * t108544 / 0.3e1;
  t109047 = t62360 * t570 / 0.4e1 - t1660 * t13616 / 0.6e1 - t1665 * t13616 / 0.6e1 + 0.9e1 / 0.2e1 * t11399 * t61440 - 0.3e1 * t5649 * t108066 * t9703 + 0.3e1 / 0.2e1 * t4695 * t108066 * t9717 + 0.18e2 * t10513 * t40324 * t24557 * t107546 + t6965 * t2822 + t6960 * t2822 + t1647 * t13817 + t1647 * t13820 - t34276 * t2809 - t86237;
  t109056 = t4305 * t2807 * t2616;
  t109063 = t34833 * t13534 + t5639 * t2060 * t104651 / 0.2e1 + 0.3e1 / 0.2e1 * t5649 * t8072 * t109056 - t86561 + t50860 * t13718 - t91343 + t91344 - t82064 - t82066 - t82069 - t82072 + t8063 * t104257 / 0.4e1;
  t109087 = t8063 * t5691 * t108544 / 0.4e1 + t8219 * t104488 / 0.3e1 + t8214 * t104356 / 0.2e1 + 0.18e2 * t5665 * t40329 * t1038 * t107546 + t39124 * t19430 / 0.2e1 + t39705 * t19430 / 0.2e1 + t8091 * t1430 * t107700 / 0.2e1 + t8125 * t19427 / 0.3e1 + t8130 * t19427 / 0.3e1 + t9535 + t9543 + t50860 * t13726 - t86614;
  t109099 = t86619 + t67673 * t505 / 0.2e1 - t490 * t67592 / 0.6e1 + t13591 * t1657 / 0.2e1 - t107290 - t9546 - t9548 - t17178 - 0.2e1 * t5665 * t2056 * t4575 * t61860 + t86692 + t86694 + t86696;
  t109118 = -t86708 - t86710 - t86712 - t318 * t19307 / 0.4e1 - t86728 - t86731 - t17179 + t1058 * t19354 / 0.2e1 + t373 * t108017 * t1039 / 0.2e1 - 0.3e1 * t4204 * t19359 - 0.3e1 * t5665 * t8443 * t1165 * t107495 - 0.2e1 / 0.3e1 * t8063 * t50296 * t12522 + t8063 * t104372 / 0.6e1;
  t109134 = 0.2e1 * t11510 * t50552 * t13563 + t107292 + 0.7e1 / 0.3e1 * t39523 * t19374 - t107294 - t107296 + 0.7e1 / 0.3e1 * t39527 * t19374 + t107298 + t107300 - t107302 + 0.7e1 / 0.3e1 * t8169 * t62900 - 0.3e1 / 0.2e1 * t39523 * t19395 - 0.3e1 / 0.2e1 * t39527 * t19395;
  t109135 = t5695 * t107591;
  t109152 = -t6769 * t109135 / 0.6e1 + t61124 * t11780 / 0.2e1 + t61173 * t40023 / 0.6e1 - t89350 - t89351 - t89352 - 0.11e2 / 0.18e2 * t61081 * t85785 + 0.23e2 / 0.36e2 * t61081 * t85782 - t9710 + t9713 - t6769 * t96033 / 0.6e1 - t12462 * t8153 / 0.6e1 - t2609 * t40876 / 0.6e1;
  t109160 = t321 * t369 * t19305 * t370;
  t109165 = -t2609 * t40879 / 0.6e1 + t86769 + t86771 + t89355 - t490 * t69126 / 0.6e1 + t109160 * t377 / 0.4e1 - t91577 - t91578 + t91579 - t16593 + t11646 * t4687 * t107850 - t86809;
  t109174 = t86811 + t86814 - t16114 - t16119 + t16127 - t1941 * t18780 / 0.6e1 + t86830 - t86834 - t86837 - 0.5e1 / 0.36e2 * t12414 * t86161 - t2609 * t39725 / 0.12e2 + t1974 * t90783 / 0.6e1 + t16605;
  t109181 = my_piecewise3(t100, 0, t108070 + t109099 + t108248 + t108999 + t107937 + t108663 + t107989 + t108044 + t107490 + t109118 + t108359 + t108335 + t109087 + t107854 + t108526 + t107537 + t108134 + t107774 + t107966 + t108353 + t108277 + t108597 + t107762 + t107755 + t108458 + t108513 + t108539 + t109152 + t108139 + t108433 + t108012 + t108482 + t109165 + t108157 + t107827 + t107955 + t108228 + t107804 + t108395 + t108609 + t107719 + t107916 + t107627 + t108451 + t108575 + t108629 + t107575 + t107688 + t108053 + t109134 + t107653 + t107601 + t108116 + t108204 + t107887 + t107510 + t107731 + t108085 + t109063 + t109047 + t109023 + t109174 + t108182 + t108310);
  tv4rholapl2tau11 = t3 * t109181 + t19479;

  if(out->v4rholapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapl2tau[ip*p->dim.v4rholapl2tau + 11] += tv4rholapl2tau11;

  t109183 = t253 * t65027;
  t109195 = t98003 * t1539;
  t109199 = t19598 * t206;
  t109220 = t7254 * t4762 * t109183 / 0.3e1 + t7254 * t106471 / 0.3e1 + t37301 * t19123 / 0.6e1 - t31651 * t13940 / 0.4e1 + t26260 * t19677 / 0.2e1 + t97053 + t3266 * t109195 * t1274 / 0.2e1 + t4983 * t1876 * t3130 * t109199 / 0.2e1 - t4772 * t1876 * t3556 * t109199 / 0.2e1 + 0.6e1 * t4983 * t14328 * t102438 - 0.3e1 * t4772 * t14328 * t102442 + 0.3e1 * t70173 * t102450 - t7251 * t94058 / 0.3e1 + 0.2e1 / 0.3e1 * t7251 * t94044;
  t109243 = -t6439 * t97996 / 0.6e1 + t6439 * t98000 / 0.3e1 - t4993 * t109195 * t1269 / 0.2e1 + t82704 - t97055 - t97056 + t78574 - t78580 - t78582 - 0.38e2 / 0.9e1 * t97025 * t26189 * t12764 + 0.89e2 / 0.9e1 * t97025 * t47807 * t12757 - 0.2e1 * t97025 * t26847 * t12764 - t36429 * t19695 / 0.6e1 - t1534 * t14006 / 0.12e2 - t466 * t69298 / 0.12e2;
  t109252 = t6226 * t2915 / 0.6e1;
  t109254 = t6226 * t2907 / 0.6e1;
  t109259 = t72115 * t463;
  t109260 = t3264 * t109259;
  t109261 = t9845 * t109260;
  t109264 = t14269 * t463;
  t109265 = t253 * t109264;
  t109269 = t19501 * t794;
  t109270 = t95 * t109269;
  t109274 = -t31990 * t2899 / 0.2e1 - t31139 * t2899 / 0.2e1 - t1529 * t14006 / 0.12e2 + t109252 - t109254 + t65121 * t530 / 0.2e1 + t65114 * t530 / 0.2e1 + 0.14e2 / 0.3e1 * t26808 * t109261 - t2089 + t2160 + t7251 * t5175 * t109265 / 0.6e1 - t7251 * t26400 * t109270 / 0.2e1 - t82744 + t97129;
  t109276 = t7276 * t19641 / 0.9e1;
  t109278 = t637 * t19521 / 0.2e1;
  t109290 = t637 * t19668 / 0.3e1;
  t109292 = t637 * t19665 / 0.12e2;
  t109300 = t13943 * t6402 / 0.18e2;
  t109301 = t97130 + t97131 - t109276 + t109278 + 0.3e1 / 0.2e1 * t32356 * t14038 - 0.3e1 * t6411 * t14041 - t1541 * t97358 / 0.6e1 + t1541 * t97362 / 0.3e1 - t70846 * t1548 / 0.2e1 - t109290 - t109292 + t13955 * t6424 / 0.3e1 + t2844 * t31999 / 0.3e1 + t14011 * t1526 / 0.4e1 - t109300;
  t109305 = t13943 * t6233 / 0.36e2;
  t109311 = t13943 * t6424 / 0.9e1;
  t109316 = t95 * t64162;
  t109334 = t670 * t2836 * t463;
  t109335 = t9845 * t109334;
  t109341 = -t109305 + t70016 * t481 / 0.4e1 + t69303 * t481 / 0.4e1 + t109311 - t466 * t70274 / 0.6e1 - t52940 * t12999 + t36004 * t13002 - 0.11e2 / 0.9e1 * t10757 * t9845 * t109316 + 0.11e2 / 0.6e1 * t70173 * t26847 * t12891 - 0.11e2 / 0.18e2 * t70173 * t9845 * t12928 - 0.6e1 * t4772 * t7680 * t689 * t64162 + 0.6e1 * t4772 * t14318 * t13189 - 0.28e2 * t79127 * t109335 - 0.3e1 * t3266 * t70006 * t2741;
  t109356 = -0.5e1 / 0.18e2 * t10757 * t9744 * t109316 + t97137 + t97139 - t47374 * t14121 + t31651 * t14123 + t52936 * t12939 - t52942 * t12942 - t3266 * t7361 * t19664 / 0.4e1 - 0.2e1 * t4772 * t1876 * t3556 * t63781 - t78618 + t78620 + t97168 - t97169 + t97170 - t97171;
  t109359 = t71248 * t481 / 0.12e2;
  t109361 = t1506 * t14006 / 0.36e2;
  t109383 = t109359 - t109361 - t7587 * t13233 + t7592 * t2742 + t7600 * t2742 + t1770 * t12862 + t1770 * t12865 + 0.3e1 / 0.2e1 * t21524 * t19552 + 0.2e1 / 0.3e1 * t7228 * t19645 + 0.2e1 / 0.3e1 * t7233 * t19645 + 0.2e1 / 0.3e1 * t1779 * t65367 + 0.2e1 / 0.3e1 * t1779 * t65363 - 0.3e1 / 0.2e1 * t69633 * t19649 - 0.3e1 / 0.2e1 * t13908 * t4808 * t3059 * t2676;
  t109405 = -0.3e1 / 0.2e1 * t13908 * t102989 - t36038 * t2729 - t97196 - t78644 + t78651 - t78655 - 0.2e1 * t13894 * t9985 - 0.11e2 / 0.18e2 * t13908 * t79596 - t13908 * t79156 / 0.2e1 - t515 * t63217 / 0.6e1 - t1529 * t14230 / 0.12e2 - t1534 * t14230 / 0.12e2 - t466 * t71028 / 0.12e2 - t466 * t71032 / 0.12e2 + t630 * t19660 / 0.4e1;
  t109416 = t6226 * t2912 / 0.12e2;
  t109417 = t2851 * t1524;
  t109429 = t14187 * t463;
  t109450 = t608 * t19660 / 0.4e1 + t246 * t70144 * t469 * t249 / 0.4e1 - t109416 + t4983 * t1876 * t3130 * t109417 / 0.2e1 - t26260 * t19634 / 0.2e1 - t26266 * t19634 / 0.2e1 - t4772 * t7665 * t19633 / 0.2e1 - t4772 * t1876 * t3556 * t109429 / 0.2e1 - t4772 * t1876 * t3556 * t109417 / 0.2e1 + t36448 * t19638 / 0.6e1 + t36429 * t19638 / 0.6e1 - t21748 * t19687 / 0.2e1 - t3266 * t69430 * t2592 / 0.2e1 - t3266 * t69427 * t2592 / 0.2e1;
  t109468 = t14053 * t463;
  t109470 = t26189 * t3156 * t109468;
  t109473 = t19501 * t206;
  t109493 = -t3266 * t14065 * t12180 / 0.2e1 + t37284 * t19690 / 0.3e1 + t37275 * t19690 / 0.3e1 + t7254 * t26581 * t19507 / 0.3e1 - t78663 - t78674 - t7251 * t26405 * t109270 / 0.4e1 - 0.3e1 / 0.2e1 * t4983 * t1876 * t22290 * t109269 + 0.3e1 / 0.2e1 * t26808 * t109470 - 0.23e2 / 0.36e2 * t10757 * t26189 * t670 * t109473 + 0.3e1 * t26550 * t70108 * t63869 - 0.6e1 * t4993 * t70108 * t63792 + 0.3e1 * t3266 * t70108 * t63744 - 0.3e1 / 0.2e1 * t9877 * t7686 * t20876 * t109473 + t1770 * t12900 / 0.2e1;
  t109497 = t3051 * t19557;
  t109499 = t71099 * t2686 / 0.3e1;
  t109501 = t21994 * t19552 / 0.2e1;
  t109503 = t13952 * t2544 / 0.18e2;
  t109505 = 0.5e1 / 0.108e3 * t69683 * t19480;
  t109507 = t71531 * t2678 / 0.6e1;
  t109512 = t1261 * t13201 * t37476;
  t109519 = t7600 * t2751 / 0.2e1 - t97248 + t97249 - t109497 + t109499 + t109501 - t109503 - t109505 - t109507 - t13203 * t1793 - t13203 * t1798 / 0.2e1 + 0.2e1 / 0.3e1 * t3396 * t109512 + t13203 * t1802 / 0.2e1 + 0.2e1 / 0.3e1 * t1779 * t65373;
  t109526 = t95 * t109429;
  t109530 = t95 * t109417;
  t109551 = t3130 * t19501;
  t109555 = t78688 + t78693 + t97277 + t78717 - t7248 * t41871 * t19619 / 0.6e1 + t7251 * t26778 * t19614 / 0.6e1 + t7251 * t5175 * t109526 / 0.6e1 + t7251 * t5175 * t109530 / 0.6e1 - t36448 * t19503 / 0.3e1 - t36429 * t19503 / 0.3e1 - t7251 * t26056 * t19502 / 0.3e1 - t7251 * t4877 * t670 * t109429 / 0.3e1 - t7251 * t4877 * t670 * t109417 / 0.3e1 - t36448 * t19508 / 0.3e1 + t4983 * t7665 * t109551 / 0.2e1;
  t109574 = t4983 * t1876 * t3130 * t109429 / 0.2e1 - t78739 + t7254 * t92339 / 0.3e1 + t7248 * t64520 / 0.6e1 - t7251 * t92344 / 0.6e1 - t87148 - t97284 - t97285 - t97286 + t87163 + t87172 + t87175 - t30 * t13165 * t544 / 0.2e1 - t30 * t476 * t14110 / 0.4e1;
  t109578 = t22052 * t19628 / 0.3e1;
  t109586 = t19506 * t206;
  t109587 = t253 * t109586;
  t109591 = t19506 * t794;
  t109592 = t253 * t109591;
  t109604 = -t182 * t19673 / 0.4e1 + t109578 + 0.6e1 * t4983 * t7680 * t683 * t64162 - 0.6e1 * t4983 * t14318 * t6433 + t78783 + t78785 - t97391 - t97394 - 0.5e1 / 0.18e2 * t10757 * t9744 * t109587 + t7251 * t4877 * t109592 / 0.3e1 + t7251 * t106182 / 0.6e1 - t21744 * t19685 - t21748 * t19685 - t3266 * t69433 * t2733 - t3266 * t69423 * t2733;
  t109641 = -t3266 * t14062 * t12128 - t21744 * t19687 / 0.2e1 + 0.9e1 * t4983 * t14328 * t20862 * t6432 - 0.3e1 * t4993 * t69452 * t19556 + 0.3e1 * t9877 * t7686 * t3168 * t64162 - 0.18e2 * t9877 * t70494 * t9878 - 0.9e1 / 0.2e1 * t9877 * t14328 * t20876 * t6432 + 0.3e1 / 0.2e1 * t26550 * t69452 * t19551 - t36004 * t12754 / 0.2e1 - t11019 * t4762 * t109316 + 0.2e1 * t97121 * t12917 + t71047 * t12920 / 0.2e1 - t71047 * t12929 / 0.2e1 + t78804 + t78806;
  t109671 = t69683 * t19649 / 0.2e1;
  t109672 = t78808 + 0.36e2 * t4983 * t70494 * t9871 - 0.18e2 * t4772 * t70494 * t12990 - 0.18e2 * t4983 * t70446 * t20876 * t9870 + 0.6e1 * t4772 * t70446 * t20862 * t9870 - t10757 * t52331 * t12764 - t69818 * t2678 / 0.2e1 - t13915 * t12779 / 0.2e1 - t13915 * t12026 / 0.2e1 - t13966 * t2544 / 0.6e1 - t2839 * t12075 / 0.6e1 - t2839 * t12121 / 0.6e1 - t109671 - t97490 + t97491;
  t109677 = t35347 * t2676;
  t109710 = t97492 - t1779 * t1261 * t109677 / 0.6e1 - t1779 * t105614 / 0.6e1 + t1750 * t19576 / 0.12e2 + t1755 * t19576 / 0.12e2 + t515 * t836 * t31872 * t2852 / 0.12e2 + t515 * t836 * t6119 * t14188 / 0.12e2 + t1750 * t19601 / 0.12e2 + t1755 * t19601 / 0.12e2 + t1815 * t843 * t109677 / 0.3e1 + t1815 * t106417 / 0.3e1 + t1750 * t19003 / 0.6e1 + t1755 * t19003 / 0.6e1 + t515 * t106108 / 0.6e1;
  t109721 = t515 * t106104 / 0.6e1 - t7228 * t19493 / 0.6e1 - t7233 * t19493 / 0.6e1 - t97504 + t78853 + t78856 - t78859 - t78861 + 0.6e1 * t97746 * t12971 - t97506 - t78887 - t78890 + t78894 + t78897 - t10757 * t4877 * t109316;
  t109732 = t22052 * t19685 / 0.3e1;
  t109734 = t26467 * t19681 / 0.6e1;
  t109736 = t26467 * t19677 / 0.6e1;
  t109749 = t95 * t109199;
  t109758 = 0.6e1 * t4993 * t69526 * t63846 + 0.3e1 * t3266 * t70312 * t65453 + t3266 * t14062 * t65458 + t87280 - t87283 - t109732 + t109734 + t109736 + t71059 * t102944 / 0.3e1 + 0.3e1 * t4772 * t7690 * t229 * t64162 - 0.6e1 * t4772 * t70488 * t13171 - 0.3e1 / 0.2e1 * t4772 * t14313 * t13175 + t7251 * t4877 * t109749 / 0.12e2 + t7248 * t3273 * t253 * t276 * t19598 / 0.12e2;
  t109759 = t95 * t63781;
  t109778 = 0.2e1 / 0.3e1 * t7251 * t5175 * t109759 - t71059 * t102947 - t7254 * t106246 / 0.3e1 - t7248 * t106250 / 0.3e1 + t7251 * t105984 / 0.6e1 + t7248 * t105981 / 0.6e1 + t78922 + t78924 - t78926 - t7248 * t80110 * t14277 / 0.6e1 + t7251 * t47795 * t14125 / 0.12e2 - t87305 - t83043 - t97561 + t97562;
  t109782 = 0.23e2 / 0.108e3 * t69683 * t19566;
  t109788 = t1506 * t14400 / 0.18e2;
  t109790 = t13943 * t18623 / 0.18e2;
  t109792 = t71099 * t2681 / 0.6e1;
  t109794 = 0.2e1 / 0.9e1 * t7276 * t19645;
  t109801 = t109782 - t1534 * t14400 / 0.6e1 - t1529 * t14400 / 0.6e1 - t109788 + t109790 + t109792 + t109794 + t97566 + t97567 + t97568 + t21744 * t19628 + t21748 * t19628 + t3266 * t70161 * t2741 + t3266 * t69185 * t2741;
  t109816 = t14187 * t2541;
  t109821 = t2851 * t11945;
  t109836 = t3266 * t14120 * t12160 + t26257 * t19630 / 0.2e1 + t26263 * t19630 / 0.2e1 - 0.4e1 / 0.3e1 * t7251 * t63783 + 0.2e1 * t71059 * t103575 - 0.2e1 / 0.3e1 * t71059 * t102718 - t26211 * t19626 - t26896 * t19626 - t7248 * t8790 * t95 * t109816 / 0.6e1 - t7248 * t8790 * t95 * t109821 / 0.6e1 + t36448 * t19623 / 0.12e2 + t7248 * t106209 / 0.6e1 - 0.4e1 * t10838 * t65478 + 0.4e1 * t69822 * t13053 - 0.2e1 * t69822 * t13046;
  t109859 = t36791 * t19615 / 0.18e2;
  t109867 = 0.2e1 * t10838 * t4996 * t109316 - 0.2e1 * t69822 * t12932 + t69822 * t13049 + t47381 * t14055 / 0.2e1 - t47384 * t14059 / 0.2e1 + t7251 * t5175 * t109749 / 0.6e1 - t7251 * t4877 * t670 * t109199 / 0.3e1 + t70173 * t102435 - 0.14e2 / 0.3e1 * t70173 * t102446 - t83072 - t97598 - t109859 + 0.3e1 * t52942 * t13172 + t52942 * t13176 + 0.3e1 * t4983 * t7686 * t20862 * t109473;
  t109870 = t26405 * t670 * t14053 * t2541;
  t109874 = t3459 * t2910 * t2541;
  t109878 = t19618 * t206;
  t109882 = t19618 * t794;
  t109893 = t26189 * t109334;
  t109906 = 0.2e1 / 0.3e1 * t20708 * t109870 + t3266 * t7361 * t109874 / 0.2e1 - t4772 * t1872 * t3562 * t109878 - 0.3e1 / 0.2e1 * t4772 * t519 * t22302 * t109882 - 0.3e1 / 0.2e1 * t4772 * t7690 * t788 * t109473 + 0.2e1 / 0.3e1 * t7251 * t65017 + t97701 + 0.47e2 / 0.3e1 * t79576 * t109893 + 0.3e1 / 0.2e1 * t3266 * t69452 * t19520 + t79029 - t79032 + t79035 + 0.44e2 / 0.27e2 * t97025 * t47881 * t12757 - 0.6e1 * t97112 * t12765 + 0.12e2 * t97112 * t12758;
  t109921 = t191 * t242 * t19791 * t243;
  t109940 = -0.5e1 / 0.3e1 * t69822 * t11827 + 0.1e2 / 0.3e1 * t69822 * t11886 + 0.2e1 * t10838 * t53031 * t12764 + t6217 * t2915 / 0.2e1 + t109921 * t250 / 0.4e1 + t79072 + t7248 * t106214 / 0.6e1 - t79099 + t79101 + 0.3e1 / 0.2e1 * t70173 * t26405 * t12891 - t70173 * t4877 * t12928 / 0.2e1 + 0.14e2 / 0.3e1 * t10757 * t64164 + 0.23e2 / 0.18e2 * t10757 * t9744 * t64163 - 0.23e2 / 0.12e2 * t70173 * t26189 * t13052;
  t109970 = 0.23e2 / 0.36e2 * t70173 * t9744 * t13045 + t97780 - t10757 * t4877 * t109587 - 0.6e1 * t3266 * t69526 * t65074 + t4993 * t14120 * t60050 - t3266 * t14120 * t60054 + 0.2e1 * t10838 * t4996 * t109587 - 0.3e1 * t10757 * t91730 * t12945 - 0.62e2 / 0.3e1 * t97025 * t47807 * t12945 + 0.8e1 * t97025 * t47881 * t9875 * t9870 + 0.3e1 * t92565 * t13059 + t97782 - t97783 - t97784 + t7251 * t105923 / 0.3e1;
  t109990 = t37082 * t19620 / 0.18e2;
  t109996 = -0.11e2 / 0.9e1 * t10757 * t9845 * t109587 + 0.23e2 / 0.18e2 * t10757 * t9744 * t3264 * t109586 + t7251 * t4877 * t109265 / 0.12e2 + 0.6e1 * t52936 * t12956 + 0.2e1 * t52936 * t12959 - 0.3e1 * t9877 * t14328 * t102961 - t109990 + t87535 - t7251 * t105888 / 0.6e1 - t79105 - t79151 - t30 * t2719 * t1855 / 0.2e1 + t97866 + t79164;
  t110000 = t95 * t109473;
  t110011 = t79189 - t79193 - t97884 - t83262 + t97885 + t97886 + t97887 - t17872 + t16143 - 0.5e1 / 0.36e2 * t70173 * t9744 * t12928 + 0.5e1 / 0.36e2 * t10757 * t26189 * t110000 + t10838 * t4873 * t109316 - 0.3e1 * t97112 * t12923 - t69822 * t12892 + 0.5e1 / 0.3e1 * t97746 * t12983;
  t110034 = 0.2e1 / 0.9e1 * t37357 * t19512;
  t110035 = 0.2e1 / 0.3e1 * t7251 * t53027 * t12891 - t7251 * t53031 * t12928 / 0.3e1 - 0.4e1 / 0.3e1 * t7251 * t65298 + 0.3e1 * t4772 * t7686 * t3130 * t64162 - 0.9e1 / 0.2e1 * t4772 * t14328 * t22290 * t6432 + t97951 + 0.14e2 / 0.3e1 * t10757 * t91726 * t12757 + t97952 - t97953 + t97954 + t97955 - t83337 + t110034 + t97958;
  t110040 = t37357 * t19695 / 0.18e2;
  t110042 = t37082 * t19123 / 0.18e2;
  t110044 = t36791 * t19690 / 0.9e1;
  t110046 = t22052 * t19687 / 0.6e1;
  t110060 = -t8624 + t8645 - t8647 - t83377 - t30 * t19792 * t277 / 0.4e1 - t110040 + t110042 + t110044 - t110046 + t37277 * t19123 / 0.6e1 - t7248 * t106179 / 0.3e1 - t7254 * t105653 / 0.3e1 + t10838 * t4873 * t109587 - t7254 * t3273 * t109592 / 0.3e1 - t11019 * t4762 * t109587;
  t110064 = t4877 * t3264 * t72115 * t2541;
  t110071 = t4873 * t109260;
  t110078 = t637 * t19517;
  t110080 = t637 * t19660 / 0.12e2;
  t110082 = t7611 * t2742 / 0.3e1;
  t110084 = t37183 * t2729 / 0.3e1;
  t110094 = -0.2e1 / 0.3e1 * t20708 * t110064 + t3266 * t14062 * t60136 + t3266 * t14065 * t60145 - 0.4e1 * t42312 * t110071 - t8720 - 0.3e1 * t630 * t19517 - 0.3e1 * t608 * t19517 - t110078 + t110080 + t110082 - t110084 + 0.3e1 / 0.2e1 * t1516 * t14031 - 0.3e1 * t1516 * t14026 - t1779 * t91654 / 0.3e1 + 0.3e1 / 0.2e1 * t246 * t14265 * t12128;
  t110110 = t1516 * t13889 / 0.2e1 - t1516 * t13886 + t1516 * t14247 - t1516 * t14254 / 0.2e1 - t98053 - t98054 - t98055 - t98056 - t98057 + t98058 + t98061 + t98062 - 0.18e2 * t4983 * t70499 * t10113 + 0.18e2 * t4772 * t70499 * t12952 - 0.5e1 * t4983 * t14318 * t59497;
  t110152 = 0.5e1 * t4772 * t14318 * t12239 - 0.4e1 * t10838 * t52565 * t12757 + t7251 * t105938 / 0.3e1 - 0.2e1 / 0.3e1 * t7251 * t52331 * t11885 - 0.11e2 / 0.9e1 * t10757 * t91726 * t12764 + 0.23e2 / 0.18e2 * t10757 * t91730 * t12757 + t7251 * t46876 * t14125 / 0.6e1 - t7251 * t47795 * t14129 / 0.3e1 + t7251 * t52331 * t12891 / 0.3e1 - 0.5e1 / 0.18e2 * t10757 * t91730 * t12764 - t7251 * t52565 * t12928 / 0.6e1 - t17902 + t17903 - 0.3e1 / 0.2e1 * t4772 * t7686 * t22290 * t109473;
  t110179 = t10757 * t26405 * t110000 / 0.2e1 + t15613 - t15624 - t15634 + t15641 - 0.2e1 * t13894 * t12110 - 0.11e2 / 0.18e2 * t69633 * t19563 - 0.11e2 / 0.18e2 * t13908 * t4851 * t12778 - 0.11e2 / 0.18e2 * t13908 * t102685 + 0.23e2 / 0.36e2 * t69633 * t19566 + 0.23e2 / 0.36e2 * t13908 * t4808 * t12833 + 0.3e1 / 0.2e1 * t21529 * t19552 + 0.3e1 / 0.2e1 * t3167 * t14030 * t102689 - 0.3e1 * t3070 * t19557 - 0.3e1 * t3061 * t19557;
  t110194 = t1506 * t14230 / 0.36e2;
  t110196 = t1760 * t12910 / 0.18e2;
  t110205 = -0.3e1 * t679 * t14030 * t102760 + t69647 * t2686 + t13894 * t12784 + t13894 * t12124 - t36048 * t2729 - t7587 * t13230 + t7742 * t19488 / 0.3e1 + t7746 * t19488 / 0.3e1 - t110194 - t110196 - t1541 * t97305 / 0.12e2 - t466 * t69267 / 0.12e2 + t69647 * t2681 / 0.2e1 + t13894 * t12799 / 0.2e1;
  t110223 = t843 * t63293 * t1805;
  t110233 = t4808 * t6409 * t69348;
  t110237 = t637 * t19606 / 0.2e1;
  t110238 = t13894 * t12082 / 0.2e1 + t13955 * t18623 / 0.6e1 + t2844 * t103057 / 0.6e1 + t2844 * t102546 / 0.6e1 - 0.5e1 / 0.36e2 * t69633 * t19480 - t6411 * t13995 / 0.2e1 + t1568 * t97335 / 0.6e1 + t466 * t69271 / 0.12e2 - t211 * t110223 / 0.6e1 + t13203 * t1811 / 0.2e1 - t6411 * t13987 + 0.3e1 * t6411 * t13990 + t6411 * t13993 - 0.3e1 / 0.2e1 * t41080 * t110233 + t110237;
  t110242 = t13943 * t18615 / 0.9e1;
  t110244 = t7276 * t19493 / 0.18e2;
  t110248 = t26396 * t19626 / 0.3e1;
  t110250 = t37357 * t19503 / 0.9e1;
  t110262 = t69462 * t1554;
  t110269 = t110242 - t110244 - 0.6e1 * t52936 * t12949 - t110248 - t110250 - t6439 * t98361 / 0.3e1 + 0.2e1 / 0.3e1 * t6439 * t52565 * t11220 - t17904 + t6454 * t99397 / 0.6e1 + t6451 * t70817 / 0.12e2 - t6439 * t97415 / 0.12e2 - t3266 * t110262 * t1281 / 0.2e1 - t52940 * t13037 - 0.6e1 * t52942 * t12953;
  t110293 = -0.2e1 * t52942 * t13190 + t36004 * t13192 - 0.43e2 / 0.9e1 * t97025 * t47881 * t12945 - 0.3e1 / 0.2e1 * t70173 * t31239 + 0.22e2 / 0.3e1 * t97746 * t13056 - 0.23e2 / 0.3e1 * t97746 * t12974 + 0.11e2 / 0.9e1 * t70173 * t103024 - 0.23e2 / 0.18e2 * t70173 * t103021 - 0.61e2 / 0.27e2 * t97025 * t47807 * t12764 + t83513 - t182 * t19793 / 0.4e1 + t98158 - t98163 - t98166 + t1516 * t14250 / 0.2e1;
  t110326 = 0.3e1 / 0.2e1 * t1516 * t14266 - t1516 * t14263 - t1770 * t12855 / 0.2e1 - t1770 * t12852 / 0.2e1 - t7600 * t2737 / 0.2e1 + t8741 - t7251 * t26410 * t19507 / 0.6e1 - t7251 * t4873 * t109183 / 0.6e1 + t36429 * t19623 / 0.12e2 + t7251 * t26056 * t19614 / 0.12e2 + t7251 * t4877 * t109526 / 0.12e2 + t7251 * t4877 * t109530 / 0.12e2 + t4993 * t69407 * t18594 - t31651 * t14063 - t31651 * t14066 / 0.2e1;
  t110347 = 0.3e1 * t4993 * t70006 * t2728 + 0.2e1 * t4983 * t1876 * t3130 * t63781 - 0.3e1 * t4983 * t2870 * t103135 - t98236 + t98251 - t98252 - t7592 * t2737 / 0.2e1 - t1770 * t12876 - t1770 * t12873 - t7600 * t2734 - t7592 * t2734 + t1516 * t13982 / 0.2e1 + t1516 * t13978 / 0.2e1 + t83547 - t98253;
  t110352 = t7183 * t19488 / 0.9e1;
  t110354 = t1760 * t19003 / 0.18e2;
  t110356 = 0.2e1 / 0.9e1 * t13943 * t18608;
  t110358 = t6226 * t2903 / 0.6e1;
  t110360 = t3051 * t19701 / 0.3e1;
  t110371 = -t83551 + t17954 + t110352 + t110354 - t110356 + t110358 + t110360 + t17955 - t17957 - t13915 * t10172 / 0.2e1 - t2839 * t6121 / 0.6e1 + t1770 * t12904 / 0.2e1 + 0.7e1 / 0.3e1 * t13908 * t79159 + t14011 * t1551 / 0.2e1;
  t110374 = t222 * t19793;
  t110378 = t9744 * t4991 * t109259;
  t110399 = t3051 * t19698;
  t110400 = -t63486 * t1785 + t13203 * t1788 - t211 * t110374 / 0.12e2 - 0.3e1 * t26808 * t110378 - 0.2e1 * t3266 * t14120 * t65088 + t6217 * t2903 / 0.2e1 + t6209 * t2903 / 0.2e1 + t679 * t13885 * t103172 + t3061 * t19701 + t3070 * t19701 + 0.3e1 * t679 * t13989 * t12141 + 0.3e1 * t3061 * t19698 + 0.3e1 * t3070 * t19698 + t110399 + t98375;
  t110403 = t188 * t19670 / 0.6e1;
  t110405 = t188 * t19673 / 0.12e2;
  t110412 = t6119 * t13899;
  t110423 = t17973 - t8811 - t110403 - t110405 - t79346 + t79348 + t2844 * t31881 / 0.6e1 - 0.5e1 / 0.36e2 * t13908 * t80402 - t2844 * t31107 / 0.12e2 - t1779 * t1254 * t110412 / 0.3e1 + t13894 * t9981 + t2844 * t30831 / 0.3e1 - 0.2e1 / 0.3e1 * t2844 * t30835 + 0.23e2 / 0.36e2 * t13908 * t79599;
  t110444 = t37357 * t19638 / 0.18e2;
  t110446 = t26467 * t19634 / 0.6e1;
  t110451 = t2844 * t31748 / 0.3e1 - t1779 * t1261 * t110412 / 0.6e1 + t13894 * t9827 / 0.2e1 + t246 * t14228 * t1584 * t249 / 0.4e1 - t630 * t19665 / 0.4e1 + 0.3e1 * t52942 * t12991 - 0.6e1 * t48902 * t70446 * t20845 * t9870 - t98417 - t98418 - t98419 - t8829 + t110444 - t110446 - t3266 * t69407 * t18611 - t37284 * t19615 / 0.6e1;
  t110477 = t670 * t109468;
  t110478 = t26847 * t110477;
  t110482 = t3360 * t20269 * t463;
  t110491 = t3360 * t20239 * t463;
  t110499 = -t37275 * t19615 / 0.6e1 - t7254 * t20724 * t19614 / 0.6e1 - t7254 * t3273 * t109526 / 0.6e1 - t7254 * t3273 * t109530 / 0.6e1 - t37301 * t19620 / 0.6e1 - t37277 * t19620 / 0.6e1 - 0.3e1 * t4983 * t7680 * t3130 * t109473 + 0.3e1 * t4772 * t7680 * t3556 * t109473 - 0.7e1 / 0.3e1 * t26808 * t110478 - t3266 * t7457 * t110482 / 0.2e1 + 0.3e1 / 0.2e1 * t4772 * t1876 * t22309 * t109269 + t4993 * t7457 * t110491 / 0.2e1 - t466 * t70279 / 0.6e1 + t2839 * t6503 / 0.6e1;
  t110507 = t1760 * t19601 / 0.36e2;
  t110518 = t69462 * t464;
  t110522 = -t1750 * t12910 / 0.6e1 - t1755 * t12910 / 0.6e1 - t515 * t63213 / 0.6e1 + t110507 - t1779 * t91914 / 0.6e1 - t515 * t63295 / 0.6e1 + t1815 * t843 * t110412 / 0.3e1 - t98535 + t98537 - t83766 + t83768 - t79403 - t79406 + 0.3e1 * t4772 * t2870 * t103587 - t3266 * t110518 * t826 / 0.4e1;
  t110528 = t19598 * t794;
  t110539 = t4772 * t1872 * t788 * t109199 / 0.2e1 + t4772 * t519 * t3562 * t110528 / 0.2e1 - t36448 * t19695 / 0.6e1 + t52942 * t13034 + t52942 * t13025 - t36004 * t13028 / 0.2e1 + t15662 + t15676 - t15681 - t15684 - t98582 + t98583 + t98584 + t98585 + t83809;
  t110548 = t37357 * t19508 / 0.9e1;
  t110549 = t83811 - t2844 * t31744 / 0.6e1 + t1815 * t93585 / 0.3e1 + t515 * t63299 / 0.6e1 - t36004 * t13031 - t110548 - t79455 + t98603 - t79486 - t79488 - t79492 - t79494 - t79496 - t79499 + t79511;
  t110560 = t79513 + 0.7e1 / 0.3e1 * t70173 * t31275 - t88622 - t88624 + t88626 + t88628 - t88635 - t79551 - t79556 - t16757 + t8874 + t8877 + t630 * t19609 / 0.2e1 + t608 * t19609 / 0.2e1;
  t110594 = t15109 + t75277 - t75280 + t75299 + 0.12e2 * t69704 * t63744 - 0.8e1 * t69699 * t63846 - 0.8e1 / 0.3e1 * t14169 * t64339 + 0.4e1 * t14166 * t60136 + 0.4e1 * t14172 * t60145 - 0.4e1 / 0.3e1 * t14169 * t60050 - 0.8e1 * t14169 * t65088 + 0.12e2 * t69715 * t65453 + 0.4e1 * t14166 * t65458;
  t110616 = 0.16e2 / 0.9e1 * t69704 * t63869 - 0.24e2 * t69699 * t65074 + 0.32e2 / 0.3e1 * t69704 * t63792 - 0.4e1 * t14169 * t60054 + t75318 - 0.2e1 * t14172 * t12180 + 0.4e1 * t69722 * t2741 + 0.4e1 * t14169 * t12160 - 0.4e1 * t12956 - 0.4e1 / 0.3e1 * t12959 + 0.2e2 / 0.9e1 * t13059 - 0.4e1 * t69710 * t2733 - 0.4e1 * t14166 * t12128;
  t110640 = 0.4e1 / 0.3e1 * t69722 * t2728 + 0.4e1 / 0.3e1 * t14169 * t12141 - 0.2e1 * t69726 * t2592 - t15121 - 0.4e1 * t69757 * t2741 - 0.4e1 * t14184 * t12160 + 0.4e1 * t69781 * t2733 + 0.4e1 * t14179 * t12128 + 0.2e1 * t1884 * t2592 + 0.2e1 * t521 * t12180 + 0.2e1 / 0.3e1 * t58487 * t14160 + 0.2e1 / 0.3e1 * t11942 * t13986 + t75338;
  t110651 = -t75344 - t75347 + t75349 - 0.2e1 / 0.3e1 * t12939 + 0.24e2 * t12953 + 0.4e1 * t12942 - 0.12e2 * t12991 + 0.4e1 / 0.3e1 * t12949 - 0.12e2 * t13172 - 0.4e1 * t13176 - 0.4e1 * t13034 - 0.4e1 * t13025 + 0.8e1 * t13190;
  t110653 = t110594 + t110616 + t110640 + t110651;
  t110666 = t843 * t6119 * t14228;
  t110675 = t246 * t14249 * t12180 / 0.2e1 - t6209 * t2912 / 0.4e1 - t6217 * t2912 / 0.4e1 - t1516 * t14237 / 0.4e1 - t1516 * t14242 / 0.4e1 + t515 * t836 * t3389 * t19599 / 0.12e2 + t515 * t836 * t837 * t94 * t110653 / 0.12e2 + t13955 * t18615 / 0.3e1 + t2844 * t102511 / 0.3e1 + t2844 * t102508 / 0.3e1 - t211 * t110666 / 0.12e2 + t1516 * t14234 / 0.4e1 + 0.3e1 / 0.2e1 * t630 * t19606 + 0.3e1 / 0.2e1 * t608 * t19606 + t88658;
  t110703 = t88671 + t98686 - 0.3e1 * t246 * t13989 * t12160 + 0.3e1 / 0.2e1 * t630 * t19521 + 0.3e1 / 0.2e1 * t608 * t19521 + 0.3e1 / 0.2e1 * t246 * t14030 * t102796 - t7228 * t19641 / 0.3e1 - t7233 * t19641 / 0.3e1 - t1779 * t1254 * t109677 / 0.3e1 - t1779 * t105366 / 0.3e1 - 0.2e1 / 0.3e1 * t2844 * t103214 - 0.2e1 / 0.3e1 * t2844 * t102852 - t79592 - t4772 * t1872 * t3562 * t109269;
  t110704 = t4877 * t110477;
  t110708 = t824 * t2910 * t463;
  t110719 = 0.2e1 * t42312 * t110704 + t3266 * t7449 * t110708 / 0.2e1 - t79605 + t79607 + t79609 + t18044 - t16279 - t16282 - t83945 - t98769 + t83952 + t98770 + t69822 * t12987 / 0.2e1 + t7251 * t4877 * t109759 / 0.3e1 - 0.5e1 / 0.6e1 * t69822 * t12191;
  t110732 = t95 * t109878;
  t110752 = -t71059 * t102862 / 0.2e1 + 0.5e1 / 0.18e2 * t70173 * t102830 + t71059 * t102833 / 0.6e1 + 0.18e2 * t9877 * t70446 * t20871 * t9870 - t18053 - t7251 * t26405 * t110732 / 0.6e1 + t7254 * t8790 * t110732 / 0.3e1 + t7248 * t42389 * t95 * t109882 / 0.2e1 - t7254 * t3273 * t109265 / 0.6e1 - t4983 * t1876 * t22290 * t109878 + t4772 * t1876 * t22309 * t109878 - t98811 - t98812 - t88728;
  t110754 = t37357 * t19623 / 0.36e2;
  t110764 = t26535 * t19630 / 0.6e1;
  t110766 = t188 * t19793 / 0.12e2;
  t110767 = -t88732 - t88734 + t88767 - t80079 + t110754 + 0.2e1 / 0.3e1 * t7251 * t65294 - 0.3e1 * t10757 * t65263 + 0.18e2 * t97746 * t12946 + 0.9e1 / 0.2e1 * t70173 * t32280 + t110764 + t80088 - t80091 - t110766 + t98821 - t98825;
  t110789 = t7248 * t106204 / 0.6e1 + t7251 * t26405 * t670 * t109269 - t10838 * t5175 * t110000 - t7251 * t26400 * t110732 / 0.3e1 + 0.11e2 / 0.18e2 * t10757 * t26847 * t110000 + 0.2e1 / 0.3e1 * t7251 * t5175 * t109592 - 0.4e1 / 0.3e1 * t7251 * t4877 * t3264 * t109591 - t8896 - t8900 + t84067 + t99317 - t99318 - t99320 + t8913 + t8915;
  t110806 = -t8939 - t7251 * t26425 * t19507 / 0.3e1 - t7251 * t4996 * t109183 / 0.3e1 - t7251 * t106359 / 0.3e1 + 0.2e1 / 0.3e1 * t36448 * t19512 + 0.2e1 / 0.3e1 * t36429 * t19512 + 0.2e1 / 0.3e1 * t7251 * t65190 + 0.2e1 / 0.3e1 * t7251 * t65029 - t8952 + t8954 + t80123 - t99324 - t99325 + t80135 - t15734;
  t110811 = t7611 * t2734 / 0.3e1;
  t110813 = t7611 * t2737 / 0.6e1;
  t110836 = 0.11e2 / 0.54e2 * t69683 * t19563;
  t110838 = 0.2e1 / 0.3e1 * t71099 * t2692;
  t110839 = -t110811 - t110813 - 0.5e1 / 0.36e2 * t13908 * t4808 * t12778 - 0.5e1 / 0.36e2 * t13908 * t102323 + t16901 - t608 * t19665 / 0.4e1 - t246 * t7525 * t19664 / 0.4e1 - t246 * t1797 * t824 * t221 * t110653 / 0.4e1 - t630 * t19668 - t608 * t19668 - t246 * t13885 * t102360 - 0.2e1 / 0.3e1 * t13955 * t18608 - t110836 - t110838;
  t110841 = t1760 * t19576 / 0.36e2;
  t110843 = t7611 * t2751 / 0.6e1;
  t110871 = t110841 + t110843 - t13955 * t6233 / 0.12e2 - t2844 * t31967 / 0.12e2 + t13203 * t1747 / 0.2e1 + t8974 - t11019 * t52327 * t12764 - t7254 * t36464 * t12891 / 0.3e1 + t10838 * t52565 * t12764 + t7254 * t52327 * t12928 / 0.3e1 - t7254 * t3273 * t109759 / 0.3e1 + t71047 * t12201 / 0.2e1 + t71614 * t12188 / 0.3e1 - t71614 * t12206 / 0.6e1 - t4993 * t70161 * t2728;
  t110900 = -t4993 * t69185 * t2728 - t4993 * t14120 * t12141 - 0.7e1 * t70173 * t32418 + t99384 + t99386 - t99388 - t30 * t1607 * t2933 / 0.4e1 + t47384 * t13932 / 0.2e1 + t47384 * t13937 / 0.2e1 + 0.3e1 / 0.2e1 * t3266 * t70973 * t2733 + t4772 * t1872 * t788 * t63781 - 0.3e1 / 0.2e1 * t4772 * t14313 * t11877 - t4772 * t2866 * t12194 - t7254 * t31478 * t14125 / 0.6e1;
  t110928 = t63699 * t530 / 0.6e1;
  t110937 = t26260 * t19681 / 0.2e1 + t26266 * t19681 / 0.2e1 + t4772 * t1870 * t19680 / 0.2e1 + t4772 * t519 * t3562 * t109816 / 0.2e1 + t4772 * t519 * t3562 * t109821 / 0.2e1 + t6454 * t97822 / 0.3e1 + t6451 * t69964 / 0.6e1 - t6439 * t97812 / 0.6e1 - t36004 * t13186 - 0.6e1 * t4983 * t7686 * t3125 * t64162 + t110928 + t13966 * t1511 / 0.6e1 + t2839 * t6212 / 0.6e1 - t1755 * t13198 / 0.6e1 - t515 * t64134 / 0.6e1;
  t110947 = t13952 * t1511 / 0.18e2;
  t110955 = t30793 * t2899 / 0.6e1;
  t110957 = t1760 * t13198 / 0.18e2;
  t110959 = t637 * t19609 / 0.6e1;
  t110961 = 0.7e1 / 0.9e1 * t69683 * t19572;
  t110963 = t69683 * t19569 / 0.6e1;
  t110968 = -t13955 * t6402 / 0.6e1 - t2844 * t31954 / 0.6e1 - t1750 * t13198 / 0.6e1 + t110947 - t6209 * t2907 / 0.2e1 - t6217 * t2907 / 0.2e1 + t6209 * t2915 / 0.2e1 - t110955 - t110957 + t110959 + t110961 - t110963 - t14011 * t1556 / 0.2e1 - t14011 * t1560 / 0.4e1;
  t111002 = t14011 * t1564 / 0.4e1 + 0.23e2 / 0.36e2 * t13908 * t103220 - t69633 * t19569 / 0.2e1 - t13908 * t4867 * t12778 / 0.2e1 - t13908 * t102429 / 0.2e1 + 0.7e1 / 0.3e1 * t69633 * t19572 + 0.7e1 / 0.3e1 * t13908 * t32434 + 0.7e1 / 0.3e1 * t13908 * t31786 - 0.2e1 * t69647 * t2692 - 0.2e1 * t13894 * t12834 - t80241 + t7592 * t2751 / 0.2e1 + t7248 * t31478 * t14270 / 0.12e2 - t7254 * t3273 * t109749 / 0.6e1 - t7248 * t8790 * t95 * t110528 / 0.6e1;
  t111038 = -t80296 - t80298 - t80301 + t26266 * t19677 / 0.2e1 + t4772 * t7670 * t19676 / 0.2e1 + t4772 * t1872 * t788 * t109429 / 0.2e1 + t4772 * t1872 * t788 * t109417 / 0.2e1 + 0.2e1 * t4993 * t14120 * t64339 + t7254 * t8790 * t109270 / 0.3e1 - t10838 * t4877 * t110000 / 0.2e1 + t11019 * t3273 * t110000 / 0.2e1 - t7251 * t4877 * t3264 * t109264 / 0.3e1 - t7248 * t8790 * t253 * t14269 * t2541 / 0.6e1 + t80344 - t80389;
  t111052 = t1327 * t19598;
  t111058 = t11901 * t2851;
  t111062 = t2708 * t14187;
  t111071 = -t519 * t788 * t63 * t110653 + 0.36e2 * t70494 * t13114 - 0.12e2 * t70446 * t20862 * t13113 - 0.2e1 / 0.3e1 * t1876 * t3130 * t111052 - 0.2e1 / 0.3e1 * t7665 * t19731 - 0.2e1 / 0.3e1 * t1876 * t3130 * t111058 - 0.2e1 / 0.3e1 * t1876 * t3130 * t111062 + t98839 - t98840 + t98841 + t98842 + t98843 + t7665 * t19724 + t1876 * t3556 * t111062 + 0.6e1 * t14328 * t103446;
  t111078 = t13080 * t1745;
  t111084 = t802 * t111078;
  t111101 = t802 * t109473;
  t111112 = 0.2e1 * t70373 * t3580 * t13085 - 0.3e1 * t36191 * t815 * t109269 - 0.24e2 * t11079 * t815 * t111078 + 0.24e2 * t70384 * t13103 + 0.12e2 * t11072 * t111084 - 0.72e2 * t98897 * t13090 - 0.18e2 * t70373 * t13093 + 0.8e1 / 0.3e1 * t98874 * t13096 - t98874 * t48481 * t13081 / 0.9e1 - 0.4e1 / 0.3e1 * t98874 * t22190 * t13081 + 0.24e2 * t98874 * t13109 + 0.3e1 * t36092 * t111101 - 0.2e1 / 0.9e1 * t11072 * t3590 * t111078 + t70373 * t3590 * t13085 / 0.3e1 + 0.2e1 / 0.9e1 * t70373 * t103436;
  t111116 = t11963 * t1745;
  t111120 = t2571 * t1745;
  t111129 = -0.2e1 * t98856 * t103433 + 0.4e1 / 0.3e1 * t7651 * t802 * t111116 + t79674 - t79678 + t79681 + t79684 - t79687 - t79690 - t79693 + t79697 - t87998 + t98878 + 0.4e1 * t1876 * t3556 * t111120 - 0.6e1 * t2870 * t103344 - 0.8e1 / 0.3e1 * t1876 * t3130 * t111120;
  t111142 = t62 * t19598;
  t111143 = t111142 * t206;
  t111160 = t98933 + t88002 + t88004 + t88006 - 0.12e2 * t70373 * t11972 - 0.6e1 * t36194 * t815 * t109473 + 0.72e2 * t98879 * t13106 + 0.8e1 * t98897 * t13109 - 0.2e1 * t36191 * t815 * t109878 - 0.2e1 * t7651 * t815 * t111143 - 0.1e2 / 0.3e1 * t36092 * t3580 * t109473 - 0.1e2 * t14318 * t11890 + 0.1e2 / 0.3e1 * t70446 * t20871 * t13113 + 0.5e2 / 0.3e1 * t70446 * t20876 * t13113 - 0.2e2 / 0.3e1 * t14328 * t103465;
  t111197 = 0.2e1 * t36100 * t233 * t109878 + 0.3e1 * t53473 * t233 * t109882 + 0.4e1 / 0.3e1 * t36191 * t802 * t109878 - t36092 * t3590 * t109473 / 0.18e2 - 0.8e1 * t7651 * t815 * t111116 + 0.2e2 * t70384 * t11975 + 0.12e2 * t98856 * t103261 + 0.4e1 / 0.3e1 * t70373 * t103307 + t7651 * t802 * t111143 / 0.3e1 + 0.4e1 * t36194 * t111101 + 0.2e1 * t36191 * t802 * t109269 + t79718 - 0.12e2 * t98879 * t13090 + 0.12e2 * t11143 * t233 * t111078 - t88109;
  t111209 = t2708 * t1745;
  t111221 = -t18070 - t18071 + t79752 - t79770 + t99014 - 0.4e1 * t14318 * t11952 + 0.4e1 * t2870 * t103336 - t14328 * t103414 / 0.9e1 - t1872 * t788 * t111052 - t519 * t3562 * t19783 * t794 - 0.8e1 * t7680 * t683 * t111209 + 0.8e1 * t14318 * t13137 + 0.9e1 * t14328 * t22290 * t13129 - 0.6e1 * t7686 * t3130 * t111209 - t88133;
  t111260 = 0.2e1 * t7655 * t233 * t111143 + 0.2e1 * t11138 * t233 * t111142 * t794 + 0.6e1 * t14318 * t11902 + 0.3e1 * t14313 * t13143 + 0.24e2 * t70499 * t13151 - 0.36e2 * t70499 * t13117 - 0.2e1 * t1872 * t788 * t111120 + 0.3e1 * t14313 * t11990 + 0.2e1 * t2866 * t11993 + 0.2e2 / 0.3e1 * t14318 * t11983 + t7686 * t3168 * t111209 / 0.9e1 - 0.2e1 / 0.3e1 * t70494 * t13158 - t14328 * t20876 * t13129 / 0.6e1 + 0.2e2 / 0.3e1 * t7686 * t3125 * t111209 - 0.4e2 * t70494 * t13134;
  t111278 = -t519 * t3562 * t14339 * t2541 + 0.2e1 * t36100 * t233 * t109269 + 0.3e1 * t36105 * t233 * t109473 - 0.1e2 * t14328 * t20862 * t13129 - 0.24e2 * t98903 * t13082 - 0.6e1 * t70364 * t13086 - t1870 * t19752 - t16807 + t79792 - t99041 - t99042 - t99043 - t99044 + t99045 + t99046;
  t111305 = -t99083 + t519 * t788 * t60 * t110653 / 0.2e1 + 0.2e1 * t2870 * t103407 - t99096 + t79843 + 0.4e1 / 0.3e1 * t98897 * t13096 - 0.4e1 * t70384 * t13093 + 0.4e1 * t11079 * t111084 - 0.1e2 / 0.3e1 * t70384 * t11972 - 0.4e1 * t98887 * t11969 - 0.6e1 * t70364 * t11965 + 0.4e1 * t7655 * t233 * t111116 - 0.3e1 * t14328 * t103488 - t99126 - t99127;
  t111322 = t99129 + t99131 + 0.12e2 * t7680 * t689 * t111209 - 0.12e2 * t14318 * t13130 - 0.2e1 / 0.3e1 * t14328 * t103525 - 0.12e2 * t14318 * t11987 + t1876 * t3556 * t111058 - t79878 + t15762 + t79893 - t79895 - t79903 - 0.3e1 * t14313 * t11909 - 0.4e1 / 0.3e1 * t2870 * t103351 - t2866 * t11947;
  t111340 = t14328 * t103468 / 0.18e2 + 0.1e2 / 0.3e1 * t14328 * t103473 + t1870 * t19784 / 0.2e1 - t15768 - t15774 + t18089 - t14328 * t103313 / 0.9e1 + 0.2e1 * t14318 * t11995 + 0.2e1 / 0.3e1 * t2870 * t103387 + 0.2e1 * t2866 * t11979 + 0.6e1 * t14313 * t12006 + t79931 - t79934 - t79936 - t79939;
  t111350 = t1876 * t3556 * t111052 - 0.6e1 * t7690 * t229 * t111209 + 0.6e1 * t14328 * t103533 + 0.12e2 * t70488 * t13140 + t16850 + t18114 + t9022 - t9047 - t9048 - t9050 - t99154 + t99189 + t99190 - t99191 + t99192;
  t111367 = t70423 * t463;
  t111371 = t14357 * t1524;
  t111378 = -t80017 + t80018 - 0.4e1 * t36100 * t43071 * t109878 - 0.6e1 * t53473 * t43071 * t109882 - 0.2e1 / 0.3e1 * t36191 * t43067 * t109878 - t36191 * t43067 * t109269 + t36092 * t48556 * t109473 / 0.9e1 - t99212 + t99213 + t99214 - t88308 - t88316 + t7651 * t802 * t111367 / 0.3e1 + t7651 * t802 * t111371 / 0.3e1 + 0.2e1 * t7655 * t233 * t111371;
  t111407 = 0.2e1 * t53457 * t19773 + 0.2e1 * t11138 * t233 * t70423 * t2541 + 0.2e1 * t11138 * t233 * t14357 * t11945 + t36114 * t19713 / 0.3e1 - 0.2e1 * t36114 * t19765 - 0.2e1 * t7651 * t815 * t111367 - 0.2e1 * t7651 * t815 * t111371 + 0.2e1 * t36069 * t19768 + 0.2e1 * t7655 * t233 * t111367 - 0.4e1 / 0.3e1 * t11072 * t3580 * t111078 + t18135 + t18136 - t18137 + t80039 + t15802;
  t111418 = t43067 * t109473;
  t111434 = -t15811 + t15813 - t99239 - t18149 + 0.2e1 / 0.3e1 * t36092 * t48591 * t109473 - 0.6e1 * t36105 * t43071 * t109473 - 0.4e1 * t36100 * t43071 * t109269 - 0.2e1 * t36194 * t111418 + 0.12e2 * t36194 * t43075 * t109473 + 0.6e1 * t36191 * t43075 * t109269 - t1872 * t788 * t111058 - t1872 * t788 * t111062 - t7670 * t19736 - 0.4e1 * t2870 * t103303 - t99248;
  t111444 = -t519 * t3562 * t2883 * t11945 + 0.4e1 * t36191 * t43075 * t109878 - 0.6e1 * t36092 * t111418 - t1870 * t19747 + t2119 - t2138 + t88382 + t88404 + t9091 + t9093 - t9100 + t9121 - t99249 + t99250 - t99256 - t99260;
  t111461 = -t80394 + t80397 + t80399 + t80416 - t182 * t19670 / 0.2e1 - t84498 - t84500 - t84503 - t84506 + t3266 * t70983 * t2592 / 0.2e1 - t30 * t59 * (t111071 + t111112 + t111129 + t111160 + t111197 + t111221 + t111260 + t111278 + t111305 + t111322 + t111340 + t111350 + t111378 + t111407 + t111434 + t111444) * t95 / 0.4e1 - t36429 * t19508 / 0.3e1 + 0.5e1 / 0.12e2 * t70173 * t26189 * t12891 - 0.35e2 / 0.108e3 * t97025 * t47881 * t12764 - t84574;
  t111468 = my_piecewise3(t2, 0, t111461 + t110205 + t110499 + t109641 + t109801 + t109220 + t110806 + t109274 + t110522 + t110326 + t109604 + t110179 + t110451 + t109836 + t110937 + t110789 + t109301 + t110703 + t110293 + t110752 + t110767 + t110060 + t109341 + t110152 + t109405 + t109672 + t110238 + t110968 + t110560 + t110675 + t109721 + t109710 + t110871 + t109996 + t110539 + t109243 + t109758 + t110269 + t110110 + t109867 + t111002 + t110423 + t109450 + t109493 + t110371 + t109574 + t110900 + t109383 + t109356 + t110839 + t110549 + t110719 + t110400 + t109970 + t109778 + t110094 + t109555 + t109940 + t109906 + t110011 + t109519 + t111038 + t110347 + t110035);
  tv4rholapltau20 = t3 * t111468 + t19800;

  if(out->v4rholapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 0] += tv4rholapltau20;

  tv4rholapltau21 = 0.e0;

  if(out->v4rholapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 1] += tv4rholapltau21;

  tv4rholapltau22 = 0.e0;

  if(out->v4rholapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 2] += tv4rholapltau22;

  tv4rholapltau23 = 0.e0;

  if(out->v4rholapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 3] += tv4rholapltau23;

  tv4rholapltau24 = 0.e0;

  if(out->v4rholapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 4] += tv4rholapltau24;

  t111475 = t4005 * t19811;
  t111477 = t72166 * t6781 / 0.2e1;
  t111479 = t38570 * t20104 / 0.18e2;
  t111481 = t38570 * t19879 / 0.9e1;
  t111483 = t294 * t19942 / 0.12e2;
  t111492 = -t23548 * t19980 + t28461 * t19988 / 0.2e1 + t38554 * t20104 / 0.6e1 + t111475 - t111477 + t111479 - t111481 - t111483 + 0.3e1 / 0.2e1 * t945 * t19871 - t945 * t19868 / 0.4e1 - t1902 * t13616 / 0.6e1 + t66489 * t570 / 0.2e1;
  t111496 = t33573 * t3002 / 0.6e1;
  t111498 = t38688 * t2809 / 0.3e1;
  t111501 = t294 * t19939 / 0.6e1;
  t111503 = t6715 * t3018 / 0.6e1;
  t111505 = t1618 * t14661 / 0.36e2;
  t111509 = 0.2e1 / 0.9e1 * t7911 * t19967;
  t111511 = t7911 * t19963 / 0.9e1;
  t111512 = t72211 * t505 / 0.4e1 - t111496 - t84595 - t84597 - t111498 + t72169 * t2766 - t111501 + t111503 - t111505 - t89132 + t38554 * t20098 / 0.12e2 + t111509 - t111511;
  t111515 = t72166 * t19957 / 0.6e1;
  t111517 = 0.11e2 / 0.54e2 * t72166 * t19827;
  t111519 = t7997 * t2814 / 0.3e1;
  t111521 = t948 * t19868 / 0.12e2;
  t111525 = 0.2e1 / 0.3e1 * t72367 * t2772;
  t111526 = -t111515 - t111517 - t111519 + t99452 - t99460 - t111521 + t945 * t19874 / 0.2e1 - t111525 - t99499 + t99500 + t99501 - t99502;
  t111528 = 0.2e1 / 0.9e1 * t14433 * t18885;
  t111530 = t1905 * t13580 / 0.18e2;
  t111532 = t6715 * t3015 / 0.12e2;
  t111534 = t1618 * t14706 / 0.36e2;
  t111542 = t948 * t19950;
  t111543 = t4005 * t19947;
  t111545 = t23651 * t19842 / 0.2e1;
  t111547 = t6715 * t3006 / 0.6e1;
  t111550 = -t111528 - t111530 - t111532 - t111534 - t1902 * t13580 / 0.6e1 - t6700 * t3015 / 0.4e1 - t1615 * t14706 / 0.12e2 - t945 * t19820 - t111542 - t111543 + t111545 + t111547 + t1902 * t19896 / 0.12e2;
  t111554 = 0.5e1 / 0.108e3 * t72166 * t19887;
  t111556 = t1905 * t19891 / 0.36e2;
  t111564 = t948 * t19954 / 0.2e1;
  t111566 = t24028 * t20107 / 0.3e1;
  t111575 = -t111554 + t111556 - t6700 * t3010 / 0.2e1 - 0.11e2 / 0.18e2 * t72163 * t19827 - 0.2e1 * t72169 * t2772 + t111564 + t111566 + 0.2e1 / 0.3e1 * t38554 * t19935 - t38554 * t19928 / 0.3e1 - t28461 * t19900 / 0.2e1 + t28713 * t20111 / 0.2e1 + t99549;
  t111591 = -t99550 + t99551 - t99552 - t72163 * t19957 / 0.2e1 + 0.3e1 / 0.2e1 * t945 * t19954 - 0.3e1 * t945 * t19950 + 0.3e1 / 0.2e1 * t24004 * t19842 - 0.3e1 * t3971 * t19947 + t6700 * t3006 / 0.2e1 + t3971 * t19836 - t7921 * t20084 / 0.6e1 + t99553 - t99554;
  t111594 = t28899 * t20109 / 0.3e1;
  t111596 = 0.2e1 / 0.9e1 * t38570 * t19935;
  t111598 = t38570 * t19928 / 0.9e1;
  t111600 = t38942 * t19379 / 0.18e2;
  t111602 = t38935 * t19972 / 0.9e1;
  t111603 = -t111594 + t111596 - t111598 - t99555 - t99556 + t99557 + t111600 + t111602 + t80487 - t80489 - t80491 + t80501;
  t111605 = t38942 * t20094 / 0.18e2;
  t111607 = t38570 * t20098 / 0.36e2;
  t111610 = 0.7e1 / 0.9e1 * t72166 * t6915;
  t111617 = -t80503 - t80511 + t80517 - t99573 - t111605 + t111607 - t8016 * t2814 - t99574 + t99575 + t111610 - t14447 * t7021 / 0.12e2 + t14485 * t1642 / 0.6e1 - t14447 * t6946 / 0.6e1;
  t111622 = t1905 * t19896 / 0.36e2;
  t111624 = t28548 * t19900 / 0.6e1;
  t111626 = t38935 * t20101 / 0.18e2;
  t111631 = -t99576 - t80546 + t80552 - t9147 - t9168 + t9172 + t9195 + t111622 - t111624 - t111626 - t1615 * t14661 / 0.12e2 - t38554 * t20090 / 0.6e1;
  t111635 = t24028 * t19975 / 0.6e1;
  t111637 = t24028 * t19980 / 0.3e1;
  t111639 = t28548 * t19988 / 0.6e1;
  t111641 = t28548 * t19983 / 0.6e1;
  t111650 = -t38588 * t20094 / 0.6e1 - t111635 - t111637 + t111639 + t111641 - t89202 + t89206 + t1902 * t19231 / 0.6e1 + t7916 * t20079 / 0.3e1 - t33583 * t3002 / 0.2e1 + t6700 * t3018 / 0.2e1 + t80567 + t80579;
  t111657 = t4005 * t19836 / 0.3e1;
  t111665 = t1905 * t19231 / 0.18e2;
  t111667 = t72367 * t2761 / 0.6e1;
  t111669 = t14438 * t2619 / 0.18e2;
  t111670 = -t80581 + t99639 - t38984 * t20101 / 0.6e1 - t38554 * t19879 / 0.3e1 + t99655 + t111657 + t28461 * t19983 / 0.2e1 + t14447 * t18767 / 0.6e1 + t14447 * t18881 / 0.3e1 + t111665 + t111667 - t111669;
  t111672 = t72497 * t2758 / 0.6e1;
  t111678 = t14433 * t18767 / 0.18e2;
  t111680 = t7911 * t20084 / 0.18e2;
  t111682 = t948 * t19871 / 0.2e1;
  t111693 = t14433 * t6950 / 0.9e1;
  t111695 = t1905 * t13616 / 0.18e2;
  t111696 = -t111672 + t1902 * t19891 / 0.12e2 - 0.5e1 / 0.36e2 * t72163 * t19887 + t111678 - t111680 + t111682 - t38631 * t2809 - 0.3e1 / 0.2e1 * t72163 * t6781 + 0.2e1 / 0.3e1 * t7921 * t19967 - t7921 * t19963 / 0.3e1 + 0.7e1 / 0.3e1 * t72163 * t6915 + t111693 - t111695;
  t111700 = t66290 * t570 / 0.6e1;
  t111702 = t72202 * t505 / 0.12e2;
  t111704 = t6715 * t3010 / 0.6e1;
  t111706 = t14433 * t7021 / 0.36e2;
  t111708 = t14438 * t1642 / 0.18e2;
  t111712 = t948 * t19816 / 0.12e2;
  t111721 = t111700 + t111702 - t111704 - t111706 + t111708 - 0.2e1 / 0.3e1 * t14447 * t18885 + t111712 + t38588 * t19379 / 0.6e1 + t38984 * t19972 / 0.3e1 - t23548 * t19975 / 0.2e1 + t99674 - t14485 * t2619 / 0.6e1;
  t111727 = t14433 * t6946 / 0.18e2;
  t111732 = t948 * t19874 / 0.6e1;
  t111734 = t72367 * t2766 / 0.3e1;
  t111736 = t7953 * t20079 / 0.9e1;
  t111738 = t948 * t19820 / 0.3e1;
  t111742 = t28763 * t20111 / 0.6e1;
  t111745 = -t72455 * t2758 / 0.2e1 + 0.23e2 / 0.36e2 * t72163 * t19931 - t111727 - t290 * t19942 / 0.4e1 - t99703 + t8016 * t2822 + t111732 + t111734 + t111736 - t111738 + t14447 * t6950 / 0.3e1 + t111742 - t290 * t19939 / 0.2e1;
  t111748 = t7997 * t2831 / 0.6e1;
  t111750 = t1618 * t14793 / 0.18e2;
  t111752 = t7997 * t2817 / 0.6e1;
  t111754 = t7997 * t2822 / 0.3e1;
  t111756 = t38570 * t20090 / 0.18e2;
  t111764 = t14433 * t18881 / 0.9e1;
  t111769 = t89334 + t111748 - t111750 - t111752 + t111754 - t111756 - t290 * t20072 / 0.4e1 + 0.3e1 * t3971 * t19811 + t8016 * t2831 / 0.2e1 + t111764 - t1615 * t14793 / 0.6e1 - t8016 * t2817 / 0.2e1;
  t111775 = t294 * t20072 / 0.12e2;
  t111779 = 0.23e2 / 0.108e3 * t72166 * t19931;
  t111780 = t72169 * t2761 / 0.2e1 - t80631 - t80633 - t80659 + t945 * t19816 / 0.4e1 + t84887 + t80681 - t111775 + t23548 * t20107 - t28445 * t20109 + t111779 - t80699 + t80707;
  t111785 = my_piecewise3(t100, 0, t111492 + t111512 + t111526 + t111550 + t111575 + t111591 + t111603 + t111617 + t111631 + t111650 + t111670 + t111696 + t111721 + t111745 + t111769 + t111780);
  tv4rholapltau25 = t3 * t111785 + t20118;

  if(out->v4rholapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 5] += tv4rholapltau25;

  t111805 = -t1632 * t14230 / 0.12e2 + t7825 * t19488 / 0.3e1 - t14517 * t2544 / 0.6e1 - t72097 * t2678 / 0.2e1 + t14512 * t18623 / 0.6e1 + t22522 * t19628 - t28099 * t19626 + t37688 * t19638 / 0.6e1 - t28063 * t19634 / 0.2e1 + 0.2e1 / 0.3e1 * t37688 * t19512 + t78574 + t99772;
  t111806 = -t99773 - t99774 + t99775 - t89373 + t109252 - t109254 - t109276 + t109278 - t109290 - t109292 - t109300 - t109305 + t109311;
  t111812 = t89387 + t109359 - t109361 + 0.3e1 * t3740 * t19698 - t109416 + t80719 - t32645 * t2899 / 0.2e1 - t97248 + t97249 - t99788 - t109497 + t109499;
  t111817 = t109501 - t109503 - t109505 - t109507 - t80738 + t28063 * t19677 / 0.2e1 - t87148 + t109578 + t37688 * t19623 / 0.12e2 - t109671 - t97504 + t80751 - t109732;
  t111831 = t109734 + t109736 - t37688 * t19508 / 0.3e1 - t71744 * t19569 / 0.2e1 + 0.7e1 / 0.3e1 * t71744 * t19572 + 0.23e2 / 0.36e2 * t71744 * t19566 - 0.5e1 / 0.36e2 * t71744 * t19480 - t903 * t19668 + t109782 - t109788 + t109790 + t109792;
  t111847 = t109794 - t307 * t19673 / 0.4e1 - t307 * t19670 / 0.2e1 - t80757 - t80759 - t80768 - t1923 * t12910 / 0.6e1 - 0.2e1 * t71963 * t2692 + t71963 * t2686 + 0.3e1 / 0.2e1 * t22632 * t19552 - 0.3e1 * t3740 * t19557 + t7869 * t2742 - t37752 * t2729;
  t111859 = -t109859 - t109990 + t37747 * t19123 / 0.6e1 + t71963 * t2681 / 0.2e1 - t37688 * t19695 / 0.6e1 - t37747 * t19620 / 0.6e1 + t27950 * t19630 / 0.2e1 - t79105 - t79151 + t79189 - t79193 + t97951;
  t111864 = t97952 + t110034 - t9224 + t9234 - t8624 + t8645 - t6585 * t2912 / 0.4e1 + t903 * t19609 / 0.2e1 - t110040 + t110042 + t110044 - t110046 - t110078;
  t111876 = t1923 * t19576 / 0.12e2 + t1923 * t19003 / 0.6e1 + t110080 + t110082 - t110084 - t7820 * t19493 / 0.6e1 - 0.2e1 / 0.3e1 * t14512 * t18608 - t99892 + t84991 - t98055 + t98062 - t80799;
  t111885 = -t110194 - t110196 + t110237 + t110242 - t110244 - t110248 - t110250 - t22522 * t19687 / 0.2e1 + t37876 * t19690 / 0.3e1 + t28063 * t19681 / 0.2e1 - t37876 * t19615 / 0.6e1 + t99893 + t80812;
  t111891 = t80826 - 0.3e1 * t903 * t19517 + t110352 + t110354 - t110356 + t110358 + t110360 + t110399 - t110403 - t110405 - 0.11e2 / 0.18e2 * t71744 * t19563 + t110444;
  t111900 = -t110446 - t7869 * t2737 / 0.2e1 + t6585 * t2903 / 0.2e1 - t7869 * t2734 + t110507 + t3740 * t19701 - t98535 + t98537 - t99905 + t99906 - t98582 - t903 * t19665 / 0.4e1 - t110548;
  t111919 = -t79455 + t99927 + t6585 * t2915 / 0.2e1 - t6585 * t2907 / 0.2e1 + t14517 * t1511 / 0.6e1 - t1923 * t13198 / 0.6e1 - t14512 * t6402 / 0.6e1 - t14512 * t6233 / 0.12e2 + t14512 * t6424 / 0.3e1 + t65628 * t530 / 0.2e1 + t88658 + t98686;
  t111936 = 0.3e1 / 0.2e1 * t903 * t19606 + t14512 * t18615 / 0.3e1 + t1923 * t19601 / 0.12e2 - t85036 - t85038 - t307 * t19793 / 0.4e1 - t98811 - t98812 - 0.3e1 / 0.2e1 * t71744 * t19649 + 0.2e1 / 0.3e1 * t7820 * t19645 + 0.3e1 / 0.2e1 * t903 * t19521 - t7820 * t19641 / 0.3e1 - t80079;
  t111942 = t110754 + t110764 - t110766 + t80135 - t110811 - t110813 + t72035 * t481 / 0.4e1 - t1632 * t14006 / 0.12e2 - t110836 - t110838 + t110841 + t110843;
  t111952 = t110928 + t110947 - t110955 - t110957 + t110959 + t110961 - t110963 - t37688 * t19503 / 0.3e1 - t22522 * t19685 + t80416 + t903 * t19660 / 0.4e1 - t1632 * t14400 / 0.6e1 + t7869 * t2751 / 0.2e1;
  t111957 = my_piecewise3(t2, 0, t111805 + t111806 + t111812 + t111817 + t111831 + t111847 + t111859 + t111864 + t111876 + t111885 + t111891 + t111900 + t111919 + t111936 + t111942 + t111952);
  tv4rholapltau26 = t3 * t111957 + t19800;

  if(out->v4rholapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 6] += tv4rholapltau26;

  tv4rholapltau27 = 0.e0;

  if(out->v4rholapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 7] += tv4rholapltau27;

  tv4rholapltau28 = 0.e0;

  if(out->v4rholapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 8] += tv4rholapltau28;

  tv4rholapltau29 = 0.e0;

  if(out->v4rholapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 9] += tv4rholapltau29;

  tv4rholapltau210 = 0.e0;

  if(out->v4rholapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 10] += tv4rholapltau210;

  t111978 = -0.2e1 * t73070 * t13711 + 0.22e2 / 0.3e1 * t101213 * t13801 + 0.89e2 / 0.9e1 * t100187 * t50318 * t13742 - 0.7e1 * t73218 * t29468 * t13674 - t85074 - t80862 + t80866 - t80869 + t80873 + t80877 - t80880 + 0.11e2 / 0.6e1 * t73218 * t29468 * t13570 - 0.61e2 / 0.27e2 * t100187 * t50318 * t13563 - 0.11e2 / 0.18e2 * t73218 * t10447 * t13670;
  t111983 = t487 * t1936;
  t111984 = t168 * t111983;
  t111993 = t5595 * t6953 * t72781;
  t112004 = -0.23e2 / 0.3e1 * t101213 * t13804 - 0.2e1 * t73070 * t13685 - 0.11e2 / 0.9e1 * t11399 * t10447 * t111984 + t111475 + 0.7e1 / 0.3e1 * t73218 * t10447 * t13684 + t6955 * t14858 - 0.3e1 / 0.2e1 * t45102 * t111993 - t6955 * t14854 / 0.2e1 - t6955 * t14804 + t100080 + t100081 - t100082 - t111477 - 0.3e1 * t11399 * t95375 * t13746 + 0.3e1 * t95749 * t13768;
  t112012 = t19986 * t1082;
  t112017 = t19926 * t1082;
  t112018 = t380 * t112017;
  t112022 = t19926 * t333;
  t112023 = t380 * t112022;
  t112027 = t19877 * t333;
  t112028 = t168 * t112027;
  t112032 = t19877 * t1082;
  t112033 = t168 * t112032;
  t112043 = -0.6e1 * t57328 * t13752 + 0.3e1 * t57324 * t13761 + t57324 * t13718 - t39906 * t13721 + t111479 - t111481 + t8214 * t45083 * t168 * t112012 / 0.2e1 + t8063 * t5691 * t112018 / 0.3e1 - 0.5e1 / 0.18e2 * t11399 * t10358 * t112023 + t11646 * t4687 * t112028 / 0.2e1 + t8219 * t9444 * t112033 / 0.3e1 - t1660 * t14661 / 0.12e2 - t111483 - 0.3e1 * t11399 * t10358 * t4191 * t111983;
  t112044 = t2020 * t487;
  t112054 = t380 * t112044;
  t112083 = 0.2e1 / 0.3e1 * t8063 * t5695 * t4693 * t112044 + 0.2e1 / 0.3e1 * t8063 * t107829 - t8063 * t29451 * t19927 / 0.3e1 - t8063 * t5679 * t112054 / 0.3e1 - t8063 * t107740 / 0.3e1 + 0.2e1 / 0.3e1 * t39976 * t19935 - t6769 * t101223 / 0.6e1 - 0.6e1 * t5639 * t14928 * t6833 + 0.3e1 * t5649 * t73509 * t2808 + t40920 * t19379 / 0.6e1 + t8214 * t107995 / 0.6e1 + t8214 * t108409 / 0.6e1 + t8219 * t6005 * t112054 / 0.3e1 + t8219 * t107592 / 0.3e1 + t39497 * t19379 / 0.6e1;
  t112093 = t2616 * t1936;
  t112112 = t19986 * t333;
  t112119 = t40730 * t19972 / 0.3e1 + t40161 * t19972 / 0.3e1 + t8219 * t29503 * t19927 / 0.3e1 + t5665 * t2056 * t1165 * t112093 - 0.3e1 / 0.2e1 * t5665 * t14955 * t12719 - t5665 * t2969 * t12724 - t2180 + t2251 - 0.6e1 * t4695 * t72807 * t68371 + t5649 * t14814 * t61965 - t4695 * t14814 * t61961 + 0.2e1 * t11510 * t5679 * t112023 - t5639 * t2060 * t24435 * t112112 + t5665 * t2060 * t24564 * t112112;
  t112138 = t349 * t20072;
  t112143 = t321 * t369 * t20070 * t370;
  t112154 = 0.6e1 * t5649 * t72807 * t67647 + 0.2e1 / 0.3e1 * t8063 * t5674 * t112018 - 0.4e1 / 0.3e1 * t8063 * t5691 * t4693 * t112017 + t39979 * t20104 / 0.6e1 + t8063 * t108553 / 0.6e1 - t34276 * t3002 / 0.2e1 - t6960 * t3010 / 0.2e1 - t111496 - t338 * t112138 / 0.12e2 + t112143 * t377 / 0.4e1 + t8214 * t68265 / 0.6e1 + t8219 * t95399 / 0.3e1 + 0.5e1 / 0.18e2 * t73218 * t104250 + t73236 * t104253 / 0.6e1 - t80908;
  t112172 = -t80912 + t80915 + t80919 - t6769 * t101438 / 0.3e1 + 0.2e1 / 0.3e1 * t6769 * t101441 + t51176 * t14819 / 0.2e1 - t50860 * t14823 / 0.2e1 - t100209 + t100210 + t100211 - t110 * t1736 * t3036 / 0.4e1 - t110 * t500 * t14571 / 0.4e1 - t318 * t19939 / 0.2e1 + t80984;
  t112178 = t4305 * t20690 * t487;
  t112186 = t14817 * t487;
  t112188 = t29474 * t4191 * t112186;
  t112198 = t4693 * t112022;
  t112202 = t168 * t112112;
  t112206 = t14638 * t487;
  t112207 = t380 * t112206;
  t112211 = -t111498 - t111501 + 0.2e1 * t57328 * t13678 + t2947 * t34473 / 0.3e1 + t5649 * t8072 * t112178 / 0.2e1 - 0.3e1 / 0.2e1 * t5639 * t2060 * t24435 * t112032 + 0.3e1 / 0.2e1 * t45332 * t112188 - t11399 * t5691 * t112023 + t8063 * t108476 / 0.3e1 - 0.11e2 / 0.9e1 * t11399 * t10447 * t112023 + 0.23e2 / 0.18e2 * t11399 * t10358 * t112198 - t8063 * t30134 * t112202 / 0.3e1 + t111503 - t111505 - t8219 * t4687 * t112207 / 0.6e1;
  t112217 = t5649 * t73540 * t18792 - t100349 - t100350 + t100351 + t100352 - t85193 - t85195 - t85198 - t85202 + t85207 + t85209 + t85212 - t85246 + t85250;
  t112229 = -0.6e1 * t101237 * t13750 + t111509 - t111511 - t111515 - t111517 + t81000 - t81007 + t81013 - t81016 - t89656 + t89664 - t8063 * t109135 / 0.6e1 - t39497 * t20094 / 0.6e1 - t40920 * t20094 / 0.6e1 - 0.4e1 * t11510 * t56637 * t13742;
  t112253 = t8063 * t108292 / 0.3e1 - 0.2e1 / 0.3e1 * t8063 * t108295 - 0.11e2 / 0.9e1 * t11399 * t96162 * t13563 + 0.23e2 / 0.18e2 * t11399 * t95375 * t13742 - 0.6e1 * t50541 * t74549 * t24582 * t10383 + 0.18e2 * t10513 * t74549 * t24557 * t10383 - t111519 + t81037 - t81041 + t81043 - t81045 - t81050 - t81052 - 0.9e1 / 0.2e1 * t10513 * t14932 * t24477 * t6832;
  t112272 = 0.3e1 * t10513 * t8438 * t4609 * t111983 - 0.18e2 * t10513 * t74545 * t10514 + 0.2e1 / 0.3e1 * t8063 * t56637 * t13684 + t99452 - t99460 + t89759 + t89762 + t100393 - t85270 - t8063 * t5691 * t4693 * t112206 / 0.3e1 - t51173 * t14916 + t34833 * t14815 + t81091 - t81101 - t11646 * t56641 * t13563;
  t112278 = t14748 * t487;
  t112279 = t168 * t112278;
  t112283 = t2954 * t1655;
  t112284 = t168 * t112283;
  t112301 = t14748 * t2616;
  t112306 = -t8219 * t40145 * t13570 / 0.3e1 - t8219 * t4687 * t112279 / 0.6e1 - t8219 * t4687 * t112284 / 0.6e1 - t81107 + t100430 + t100432 - t8063 * t30121 * t19927 / 0.6e1 - t8063 * t5695 * t112054 / 0.6e1 - t39976 * t20090 / 0.6e1 - t39979 * t20090 / 0.6e1 - t111521 - t111525 + t5665 * t2054 * t19987 / 0.2e1 + t5665 * t559 * t4575 * t112301 / 0.2e1;
  t112307 = t2954 * t12398;
  t112320 = t168 * t112093;
  t112326 = t5665 * t559 * t4575 * t112307 / 0.2e1 - t25376 * t19980 + t99501 - t99502 - t111528 - t111530 - t111532 - t111534 + t100473 - t100492 - t100493 - 0.18e2 * t5639 * t74549 * t24477 * t10383 - 0.18e2 * t5665 * t74545 * t13760 + t8063 * t5691 * t112320 / 0.3e1 - t73236 * t104262 / 0.2e1;
  t112338 = t50296 * t72886;
  t112361 = -t6769 * t101000 / 0.6e1 + 0.3e1 * t5639 * t8438 * t24418 * t112027 + t50860 * t14614 / 0.2e1 + t50860 * t14619 / 0.2e1 - t24973 * t112338 / 0.3e1 + 0.5e1 / 0.36e2 * t11399 * t29474 * t112028 - t11510 * t5691 * t112028 / 0.2e1 - t8063 * t30141 * t112033 / 0.4e1 - t8063 * t30141 * t112202 / 0.6e1 - t8214 * t9444 * t380 * t14638 * t2616 / 0.6e1 + t8219 * t9444 * t112202 / 0.3e1 - t111542 - t111543 + t111545 + t111547;
  t112373 = t2939 * t487;
  t112374 = t1018 * t112373;
  t112375 = t29474 * t112374;
  t112381 = -t111554 + t111556 + t81210 - t81212 - t81215 + t81217 - t8219 * t4687 * t112320 / 0.3e1 + t73900 * t12740 / 0.2e1 + t73912 * t12729 / 0.3e1 - 0.5e1 / 0.6e1 * t73070 * t12732 - t73912 * t12737 / 0.6e1 + 0.47e2 / 0.3e1 * t82045 * t112375 + 0.3e1 / 0.2e1 * t4695 * t72910 * t19953 - t89885 - t89888;
  t112390 = t14695 * t6950 / 0.3e1 + t111564 - t100574 + t85487 + t81265 - t81281 + t81284 - t34833 * t14622 / 0.4e1 - t89915 - t90023 - t81289 + t81307 + t81309 + t81311;
  t112405 = t1430 * t13589 * t8252;
  t112412 = t111566 - 0.2e1 / 0.3e1 * t73236 * t104480 - 0.4e1 / 0.3e1 * t8063 * t5691 * t1018 * t112093 - t81327 - t81329 - t100635 - t100637 - t100640 - t6960 * t3015 / 0.4e1 - t1647 * t14717 / 0.4e1 - t13591 * t2037 - t13591 * t2041 / 0.2e1 + 0.2e1 / 0.3e1 * t4533 * t112405 + t13591 * t2045 / 0.2e1 + t1974 * t96814 / 0.3e1;
  t112422 = t39769 * t2756;
  t112434 = t555 * t69122 / 0.6e1 + t555 * t108126 / 0.6e1 - t8081 * t20084 / 0.6e1 - t8086 * t20084 / 0.6e1 - t1981 * t1430 * t112422 / 0.6e1 + t100691 - t100694 - t11510 * t5674 * t112028 + t99549 - t99550 + t99551 + t13591 * t1938 / 0.2e1 - t1941 * t13616 / 0.6e1 - t1946 * t13616 / 0.6e1;
  t112466 = -t555 * t67592 / 0.6e1 - t14695 * t6946 / 0.6e1 - t2947 * t34469 / 0.6e1 - t81416 - 0.35e2 / 0.108e3 * t100187 * t50144 * t13563 - 0.5e1 / 0.36e2 * t73218 * t10358 * t13670 + t5665 * t8451 * t19982 / 0.2e1 + t1647 * t14799 / 0.2e1 + 0.3e1 / 0.2e1 * t25290 * t19842 + 0.3e1 / 0.2e1 * t25543 * t19842 - t14711 * t81642 / 0.2e1 + t8296 * t2831 / 0.2e1 + t8287 * t2831 / 0.2e1 + t1956 * t13810 / 0.2e1 + t1956 * t13814 / 0.2e1;
  t112471 = 0.3e1 * t4204 * t19811 - t100740 + t100741 - t100742 + t100763 + t100766 - t100771 - t100774 - t100787 - t81422 + t81424 + t85524 - t85528 - t85559;
  t112503 = t57324 * t13642 + t11510 * t5695 * t111984 - t73070 * t13705 + 0.5e1 / 0.3e1 * t101213 * t13564 + t73070 * t13714 / 0.2e1 - 0.6e1 * t5639 * t8438 * t4619 * t111983 + 0.36e2 * t5639 * t74545 * t10526 + 0.9e1 * t5639 * t14932 * t24418 * t6832 - t4695 * t74276 * t2667 / 0.2e1 - t4695 * t73159 * t2667 / 0.2e1 - t4695 * t14608 * t12493 / 0.2e1 - t111594 + t111596 - t111598 + t8063 * t30022 * t20097 / 0.6e1;
  t112530 = 0.9e1 / 0.2e1 * t73218 * t29474 * t4191 * t6832 - 0.43e2 / 0.9e1 * t100187 * t50144 * t13746 - t8063 * t5691 * t1018 * t112278 / 0.3e1 - t8063 * t5691 * t1018 * t112283 / 0.3e1 - 0.6e1 * t57324 * t13551 - 0.2e1 * t57324 * t13653 - 0.5e1 / 0.18e2 * t11399 * t10358 * t111984 + 0.5e1 / 0.12e2 * t73218 * t29474 * t13570 + t81430 + t81433 - t99555 - t99556 + t99557 + t111600 + t111602;
  t112531 = t19865 * t1082;
  t112536 = t19865 * t333;
  t112537 = t168 * t112536;
  t112543 = t4344 * t3013 * t2616;
  t112565 = t1018 * t112186;
  t112566 = t29468 * t112565;
  t112570 = t4305 * t20637 * t487;
  t112580 = -t8214 * t9444 * t168 * t112531 / 0.6e1 + t8063 * t5691 * t112537 / 0.12e2 + t25561 * t20107 + t4695 * t8077 * t112543 / 0.2e1 - 0.3e1 * t11399 * t10358 * t5647 * t112022 + 0.3e1 * t30451 * t73081 * t68382 + 0.14e2 / 0.3e1 * t11399 * t10447 * t112198 + t14581 * t1642 / 0.6e1 + t14666 * t1657 / 0.4e1 + 0.3e1 / 0.2e1 * t5665 * t2060 * t24564 * t112032 - 0.7e1 / 0.3e1 * t45332 * t112566 - t4695 * t8072 * t112570 / 0.2e1 - t39906 * t13645 / 0.2e1 + t6764 * t101218 / 0.3e1 + t6772 * t74943 / 0.6e1;
  t112618 = t39976 * t20104 / 0.6e1 - t40730 * t20101 / 0.6e1 - t40161 * t20101 / 0.6e1 - t8219 * t25122 * t20097 / 0.6e1 + t39979 * t20098 / 0.12e2 + t8063 * t30011 * t20097 / 0.12e2 + t8063 * t5691 * t112279 / 0.12e2 - t8214 * t45659 * t20093 / 0.6e1 - t8214 * t9444 * t168 * t112301 / 0.6e1 - t8214 * t9444 * t168 * t112307 / 0.6e1 + t39976 * t20098 / 0.12e2 + t57324 * t13726 - t1981 * t96278 / 0.3e1 + t13591 * t2029;
  t112634 = t6755 * t14770;
  t112643 = t101007 * t1673;
  t112655 = t1683 * t101057 / 0.3e1 - t72822 * t1675 / 0.2e1 + t14666 * t1679 / 0.2e1 - t69146 * t2026 - t1683 * t101060 / 0.6e1 - 0.3e1 * t6955 * t14891 + 0.3e1 / 0.2e1 * t1647 * t14877 + 0.3e1 / 0.2e1 * t34264 * t14888 - t1981 * t1423 * t112634 / 0.3e1 + t14831 * t10552 + t2947 * t33930 / 0.3e1 - 0.11e2 / 0.18e2 * t14711 * t80886 - t5649 * t112643 * t1410 / 0.2e1 + t8214 * t4687 * t380 * t403 * t19865 / 0.12e2 + 0.2e1 / 0.3e1 * t8063 * t5674 * t112320;
  t112677 = -t73236 * t104874 + 0.2e1 * t11510 * t5679 * t111984 - 0.3e1 / 0.2e1 * t10513 * t8438 * t24477 * t112027 - t8287 * t2817 / 0.2e1 - t111605 + t111607 + t8063 * t108113 / 0.6e1 + t8214 * t108141 / 0.6e1 - t100898 + t100899 + t85618 - t1981 * t108190 / 0.3e1 + 0.2e1 / 0.3e1 * t8081 * t19967 + 0.2e1 / 0.3e1 * t8086 * t19967;
  t112705 = 0.2e1 / 0.3e1 * t1981 * t67008 - t1981 * t94898 / 0.6e1 - t555 * t67284 / 0.6e1 + 0.2e1 / 0.3e1 * t1981 * t68280 + 0.11e2 / 0.18e2 * t11399 * t29468 * t112028 - 0.23e2 / 0.36e2 * t11399 * t29474 * t1018 * t112027 + t67681 * t570 / 0.2e1 + t67673 * t570 / 0.2e1 + t100900 - 0.2e1 * t100187 * t29468 * t13563 - t11399 * t56645 * t13563 + 0.14e2 / 0.3e1 * t11399 * t96162 * t13742 + t111610 + t81515 - t81517;
  t112718 = t1101 * t6755 * t14704;
  t112735 = -t81520 + t81523 + t8063 * t5674 * t112279 / 0.6e1 + t14695 * t18881 / 0.3e1 + t2947 * t103994 / 0.3e1 + t2947 * t104329 / 0.3e1 - t338 * t112718 / 0.12e2 + t1647 * t14827 / 0.4e1 - t1956 * t13787 / 0.2e1 - t1956 * t13790 / 0.2e1 - t1660 * t14793 / 0.6e1 - t1665 * t14793 / 0.6e1 - t490 * t73011 / 0.6e1 - t490 * t74304 / 0.6e1;
  t112752 = t4572 * t19877;
  t112764 = t14831 * t13528 + t14831 * t12366 + t74090 * t2766 - t73218 * t5691 * t13670 / 0.2e1 - 0.38e2 / 0.9e1 * t100187 * t29474 * t13563 + 0.6e1 * t101213 * t13739 + 0.3e1 / 0.2e1 * t73218 * t30141 * t13570 + t29339 * t20111 / 0.2e1 + t5639 * t8457 * t112752 / 0.2e1 + t29436 * t20111 / 0.2e1 + t18182 - t14666 * t1690 / 0.2e1 - t14666 * t1694 / 0.4e1 + t14666 * t1698 / 0.4e1 - t9281;
  t112779 = t9283 - t99576 - t81558 - t81563 + t81566 - t81576 + t81579 - 0.2e1 / 0.3e1 * t2947 * t104337 - t1941 * t13580 / 0.6e1 - t1946 * t13580 / 0.6e1 + t6965 * t3006 / 0.2e1 + t6960 * t3006 / 0.2e1 + t1647 * t14847 / 0.2e1 + t1647 * t14908 + t9307;
  t112800 = t50144 * t10511 * t112373;
  t112808 = -t80546 + t80552 + t4695 * t74343 * t2667 / 0.2e1 - 0.4e1 / 0.3e1 * t8063 * t56645 * t13674 - 0.3e1 * t1647 * t14873 + 0.3e1 * t6955 * t14808 + 0.2e1 * t73236 * t104238 + 0.2e1 / 0.3e1 * t8063 * t56429 * t13570 + t100981 + t4695 * t14814 * t12498 + t57328 * t13556 - t57324 * t13560 + 0.8e1 * t82045 * t112800 + 0.3e1 / 0.2e1 * t30451 * t72910 * t19841 - t11646 * t6005 * t111984;
  t112837 = t5695 * t4693 * t73400 * t487;
  t112851 = 0.2e1 * t101593 * t13567 + t73900 * t13571 / 0.2e1 - t5665 * t8457 * t19899 / 0.2e1 - t5665 * t2060 * t4626 * t112278 / 0.2e1 - t5665 * t2060 * t4626 * t112283 / 0.2e1 - t39976 * t19928 / 0.3e1 - t39979 * t19928 / 0.3e1 + t4695 * t14605 * t67726 - 0.4e1 * t45444 * t112837 + 0.3e1 * t4695 * t73081 * t67658 + t11399 * t30141 * t112028 / 0.2e1 - 0.6e1 * t5649 * t73081 * t68400 + t101031 + t29346 * t19983 / 0.2e1;
  t112858 = t73544 * t1688;
  t112862 = t73544 * t488;
  t112866 = t3035 * t487;
  t112868 = t5695 * t4693 * t112866;
  t112883 = -t9147 + t9172 + t111622 + 0.1e2 / 0.3e1 * t73070 * t12523 + 0.11e2 / 0.9e1 * t73218 * t104365 + t73236 * t104359 / 0.3e1 - t4695 * t112858 * t1438 / 0.2e1 - t4695 * t112862 * t1084 / 0.4e1 + t24973 * t112868 / 0.3e1 + t25376 * t20107 - t5649 * t14814 * t12437 - t5649 * t74161 * t2808 - t5649 * t74165 * t2808 + t8063 * t5691 * t112284 / 0.12e2 + 0.6e1 * t57328 * t13736;
  t112898 = t20044 * t333;
  t112908 = t2060 * t4626 * t112898 - 0.12e2 * t74549 * t24418 * t13418 + 0.6e1 * t14932 * t105138 - 0.1e2 * t14928 * t12617 + 0.36e2 * t74545 * t13455 - t101733 + t101734 + t101774 + t101776 + t101778 + t101826 - t101827 - t82182 - t82191 + t82193;
  t112909 = t13390 * t1936;
  t112917 = -0.24e2 * t11668 * t1186 * t112909 + 0.72e2 * t101795 * t13392 + 0.24e2 * t74592 * t13466 - t82218 - t82257 + t82262 - t82303 + t82309 - t82324 - t82326 - t82329 + t82338 - t90948 - t90950 - t90953;
  t112925 = t12560 * t1936;
  t112933 = t1173 * t112027;
  t112946 = -t82352 + t82377 + t82384 - t559 * t4575 * t2986 * t12398 - 0.12e2 * t14928 * t12638 - t8451 * t20035 - t101937 + 0.4e1 / 0.3e1 * t8508 * t1173 * t112925 - 0.2e1 * t101781 * t105019 + 0.2e1 / 0.9e1 * t74564 * t105022 + 0.3e1 * t40315 * t112933 + 0.8e1 / 0.3e1 * t101981 * t13480 + 0.24e2 * t101981 * t13395 - 0.3e1 * t40455 * t1186 * t112032 - 0.4e1 / 0.3e1 * t11651 * t4599 * t112909;
  t112957 = t14969 * t1655;
  t112961 = t74525 * t487;
  t112968 = t142 * t19865;
  t112969 = t112968 * t333;
  t112992 = 0.8e1 * t101906 * t13395 + 0.2e1 * t74564 * t4599 * t13465 - 0.6e1 * t40318 * t1186 * t112027 - 0.4e2 * t74545 * t13437 + t8508 * t1173 * t112957 / 0.3e1 + t8508 * t1173 * t112961 / 0.3e1 - 0.2e1 * t40455 * t1186 * t112112 - 0.2e1 * t8508 * t1186 * t112969 + 0.6e1 * t14932 * t105152 - 0.24e2 * t101790 * t13469 - 0.6e1 * t74875 * t13472 + 0.2e1 * t8511 * t360 * t112969 + 0.2e1 * t11656 * t360 * t112968 * t1082 + t8508 * t1173 * t112969 / 0.3e1 + 0.2e1 * t40455 * t1173 * t112032;
  t113026 = t2788 * t1936;
  t113030 = 0.3e1 * t58028 * t360 * t112012 - 0.2e1 / 0.9e1 * t11651 * t4586 * t112909 + 0.4e1 / 0.3e1 * t101906 * t13480 + t74564 * t4586 * t13465 / 0.3e1 - t101981 * t51643 * t13391 / 0.9e1 + 0.3e1 * t40458 * t360 * t112027 + 0.2e1 * t40461 * t360 * t112032 + 0.2e1 * t40461 * t360 * t112112 - 0.12e2 * t74564 * t12562 - t101940 - t18369 + 0.6e1 * t14928 * t12598 - 0.3e1 * t14932 * t105161 + 0.8e1 * t14928 * t13441 + t8438 * t4609 * t113026 / 0.9e1;
  t113065 = -t14932 * t24477 * t13440 / 0.6e1 + t102013 - t102024 - t102026 - 0.2e1 * t40448 * t19992 - 0.2e1 * t8508 * t1186 * t112961 - 0.2e1 * t8508 * t1186 * t112957 - 0.1e2 / 0.3e1 * t40315 * t4599 * t112027 + 0.2e1 * t8511 * t360 * t112957 + 0.4e1 * t40318 * t112933 + 0.2e1 * t58051 * t19999 + 0.2e1 * t11656 * t360 * t74525 * t2616 + 0.2e1 * t11656 * t360 * t14969 * t12398 + 0.4e1 / 0.3e1 * t40455 * t1173 * t112112 + t40448 * t20002 / 0.3e1;
  t113069 = t2986 * t1655;
  t113074 = t18370 - t18371 - 0.18e2 * t74564 * t13477 + t82403 - t82406 + t82420 + t82423 + t82425 + t2060 * t4626 * t113069 - 0.2e1 / 0.3e1 * t14932 * t105089 + t102036 - t102037 + t102044 - t102047 - t18380;
  t113087 = t14986 * t487;
  t113096 = -t82444 - t102062 - 0.8e1 * t8508 * t1186 * t112925 + 0.2e2 * t74592 * t12572 + 0.12e2 * t101781 * t105013 + 0.4e1 / 0.3e1 * t74564 * t104889 + 0.12e2 * t11663 * t360 * t112909 - t2056 * t1165 * t113087 - t2056 * t1165 * t113069 - t2054 * t20038 + t8457 * t20023 + t2060 * t4626 * t113087 + t91182 - t16030 - t16036;
  t113126 = -0.4e1 * t14730 * t61961 + 0.12e2 * t73998 * t67658 - 0.24e2 * t74003 * t68371 + 0.32e2 / 0.3e1 * t73998 * t68400 + 0.4e1 * t14727 * t62034 + 0.4e1 * t14733 * t61866 - 0.4e1 / 0.3e1 * t14730 * t61965 - 0.8e1 * t14730 * t68050 + 0.12e2 * t74008 * t67817 + 0.4e1 * t14727 * t67726 - 0.8e1 * t74003 * t67647 - 0.8e1 / 0.3e1 * t14730 * t67939 + 0.16e2 / 0.9e1 * t73998 * t68382;
  t113141 = -0.4e1 * t74020 * t2813 - 0.4e1 * t14727 * t12504 + 0.4e1 / 0.3e1 * t73995 * t2808 + 0.4e1 / 0.3e1 * t14730 * t12437 - 0.2e1 * t74023 * t2667 - t78030 + t78038 + t78044 + t78046 - 0.4e1 * t13642 + 0.8e1 * t13653 - 0.2e1 / 0.3e1 * t13556 + 0.24e2 * t13551;
  t113163 = 0.4e1 * t13560 - t15352 - 0.2e1 * t14733 * t12493 - 0.4e1 * t13736 - 0.4e1 / 0.3e1 * t13678 + 0.2e2 / 0.9e1 * t13768 + 0.4e1 * t73959 * t2813 + 0.4e1 * t14740 * t12504 + 0.2e1 * t2068 * t2667 + 0.2e1 * t561 * t12493 - 0.4e1 * t14745 * t12498 + 0.2e1 / 0.3e1 * t61245 * t14721 + 0.2e1 / 0.3e1 * t12395 * t14803;
  t113175 = -0.4e1 * t73954 * t2821 + 0.4e1 * t14730 * t12498 - 0.12e2 * t13733 - 0.4e1 * t13718 - 0.4e1 * t13726 + 0.4e1 / 0.3e1 * t13752 + 0.4e1 * t73995 * t2821 + t78067 - t78095 - t78098 + t78100 - 0.12e2 * t13761 + t15340;
  t113177 = t113126 + t113141 + t113163 + t113175;
  t113187 = t1173 * t112909;
  t113190 = t16046 + t102066 + t102067 - t102068 + t102069 - t91207 - t102073 - t102082 + t91219 - t559 * t1165 * t143 * t113177 + t17099 - 0.6e1 * t74875 * t12565 - 0.4e1 * t102057 * t12569 - 0.1e2 / 0.3e1 * t74592 * t12562 + 0.4e1 * t11668 * t113187;
  t113207 = t2646 * t1936;
  t113223 = -0.4e1 * t74592 * t13477 + 0.2e1 * t40540 * t19995 + 0.2e1 * t8511 * t360 * t112961 - 0.4e1 / 0.3e1 * t101981 * t24682 * t13391 + 0.12e2 * t11651 * t113187 - 0.72e2 * t101906 * t13400 - 0.6e1 * t2973 * t105074 + 0.4e1 * t2060 * t4626 * t113207 - t2056 * t1165 * t112898 - t559 * t4575 * t20044 * t1082 - 0.6e1 * t8443 * t356 * t113026 + 0.12e2 * t74808 * t13444 + 0.3e1 * t14955 * t13447 - t9586 - t9610;
  t113243 = -t9611 + t9635 + t102100 + t102101 + t102102 - t82461 - t559 * t4575 * t14986 * t2616 - t91237 + 0.1e2 / 0.3e1 * t74549 * t24557 * t13418 - t40315 * t4586 * t112027 / 0.18e2 - 0.12e2 * t101795 * t13400 + 0.4e1 * t8511 * t360 * t112925 + t9669 - 0.2e1 / 0.3e1 * t8457 * t20010 - t14932 * t105036 / 0.9e1;
  t113260 = -0.2e1 / 0.3e1 * t2060 * t4572 * t112898 + 0.2e1 * t2969 * t12633 + t82474 + t18436 - t17144 + t102106 - t102107 - t18437 + t18438 + t18439 + 0.24e2 * t74561 * t13428 + 0.6e1 * t14955 * t12643 - 0.4e1 * t2973 * t105026 - 0.2e2 / 0.3e1 * t14932 * t105077 + 0.12e2 * t8460 * t1038 * t113026;
  t113276 = -0.36e2 * t74561 * t13451 - 0.12e2 * t14928 * t13460 + t559 * t1165 * t140 * t113177 / 0.2e1 + t82478 - t16069 + t16075 + t91269 + t91271 + t2054 * t20045 / 0.2e1 + 0.2e1 * t2973 * t104997 + t9675 + t9677 + t16083 - t102120 - t2054 * t20007;
  t113306 = t46252 * t112027;
  t113315 = t91294 - t9683 - 0.6e1 * t8438 * t4572 * t113026 + 0.9e1 * t14932 * t24435 * t13440 + 0.5e2 / 0.3e1 * t74549 * t24477 * t13418 + t40315 * t51878 * t112027 / 0.9e1 + 0.6e1 * t40455 * t46248 * t112032 - 0.6e1 * t58028 * t46256 * t112012 - 0.2e1 / 0.3e1 * t40455 * t46252 * t112112 - t40455 * t46252 * t112032 - 0.6e1 * t40458 * t46256 * t112027 - 0.4e1 * t40461 * t46256 * t112032 - 0.2e1 * t40318 * t113306 - 0.4e1 * t40461 * t46256 * t112112 - 0.2e1 * t2056 * t1165 * t113207;
  t113353 = 0.3e1 * t14955 * t12623 + 0.2e1 * t2969 * t12626 + 0.2e2 / 0.3e1 * t8438 * t4619 * t113026 - 0.1e2 * t14932 * t24418 * t13440 - 0.8e1 / 0.3e1 * t2060 * t4572 * t113207 + 0.4e1 * t2973 * t105004 + 0.2e2 / 0.3e1 * t14928 * t12635 + 0.2e1 * t14928 * t12555 - 0.2e1 / 0.3e1 * t74545 * t13419 + 0.2e1 / 0.3e1 * t2973 * t105102 - t14932 * t105080 / 0.9e1 - 0.8e1 * t8460 * t1033 * t113026 - 0.2e1 / 0.3e1 * t2060 * t4572 * t113069 + 0.2e1 / 0.3e1 * t40315 * t51889 * t112027 - 0.6e1 * t40315 * t113306;
  t113374 = 0.12e2 * t40318 * t46248 * t112027 + 0.4e1 * t40455 * t46248 * t112112 - t2229 - 0.2e1 / 0.3e1 * t2060 * t4572 * t113087 + t102150 + t102151 - t102152 - t102153 + t2210 - 0.4e1 / 0.3e1 * t2973 * t105126 - 0.3e1 * t14955 * t12603 - t102154 - t2969 * t12576 - 0.4e1 * t14928 * t12584 + t14932 * t105111 / 0.18e2 + 0.1e2 / 0.3e1 * t14932 * t105104;
  t113390 = -t111624 - t111626 + t4204 * t19836 + t5639 * t2060 * t4572 * t112278 / 0.2e1 + t5639 * t2060 * t4572 * t112283 / 0.2e1 - t29349 * t19900 / 0.2e1 - t111635 - t111637 + t111639 + t111641 - t110 * t139 * (t112908 + t112917 + t112946 + t112992 + t113030 + t113065 + t113074 + t113096 + t113190 + t113223 + t113243 + t113260 + t113276 + t113315 + t113353 + t113374) * t168 / 0.4e1 + t1058 * t19874 / 0.2e1 + t373 * t14685 * t12493 / 0.2e1 - t1647 * t14751 / 0.4e1;
  t113425 = -t1070 * t19868 / 0.4e1 - t1058 * t19868 / 0.4e1 - t373 * t8133 * t19867 / 0.4e1 - t373 * t2040 * t1076 * t348 * t113177 / 0.4e1 + 0.3e1 / 0.2e1 * t1070 * t19871 + 0.3e1 / 0.2e1 * t1058 * t19871 + 0.3e1 / 0.2e1 * t373 * t14869 * t12504 - t373 * t14857 * t103988 - t1660 * t14706 / 0.12e2 - t1665 * t14706 / 0.12e2 - t490 * t73056 / 0.12e2 - t490 * t73063 / 0.12e2 - t6965 * t3015 / 0.4e1 - t101065 + 0.44e2 / 0.27e2 * t100187 * t50144 * t13742;
  t113428 = t1018 * t111983;
  t113452 = 0.14e2 / 0.3e1 * t11399 * t10447 * t113428 - t101075 - t89202 + t101076 + t89206 - t29346 * t19900 / 0.2e1 + t39906 * t13656 - t8219 * t4687 * t112537 / 0.6e1 + t5665 * t2056 * t1165 * t112278 / 0.2e1 + t5665 * t2056 * t1165 * t112283 / 0.2e1 + t29349 * t19988 / 0.2e1 + t29346 * t19988 / 0.2e1 + t29349 * t19983 / 0.2e1 - t81639;
  t113462 = t81654 - t14695 * t7021 / 0.12e2 - t2947 * t34692 / 0.12e2 + t2942 * t7018 / 0.6e1 - t18237 + t101089 + t101090 + t101091 - t110 * t13493 * t584 / 0.2e1 - t101092 - t101093 + t101094 + t101095 + t81683 + t81685;
  t113490 = t80567 + t80579 - t80581 - t16994 + 0.23e2 / 0.18e2 * t11399 * t10358 * t113428 - 0.23e2 / 0.12e2 * t73218 * t29474 * t13674 + t111657 + t6764 * t100749 / 0.6e1 + t6772 * t73551 / 0.12e2 - t6769 * t100746 / 0.12e2 - 0.2e1 * t5665 * t2060 * t4626 * t112093 + 0.5e1 * t5665 * t14928 * t12345 + 0.3e1 * t5665 * t2973 * t104638 - t4695 * t73540 * t18877 - 0.23e2 / 0.18e2 * t73218 * t104476;
  t113514 = t18241 + t8063 * t50296 * t14627 / 0.12e2 + t8214 * t34283 * t14639 / 0.12e2 - t8063 * t96033 / 0.6e1 - t57332 * t13537 + t39906 * t13534 + t111665 + t111667 - t111669 - t111672 + t111678 - 0.6e1 * t5665 * t8460 * t1038 * t111983 + 0.18e2 * t5665 * t74561 * t13550 + 0.6e1 * t5665 * t14928 * t13652 - t8219 * t34283 * t14627 / 0.6e1;
  t113536 = -t8214 * t81510 * t14631 / 0.6e1 - t9408 - t9412 + t9416 + t17003 - t8219 * t108440 / 0.3e1 - t18255 - t86027 - t86030 + 0.6e1 * t5639 * t8460 * t1033 * t111983 - 0.18e2 * t5639 * t74561 * t10384 - t25376 * t19975 / 0.2e1 - t25561 * t19975 / 0.2e1 - t34833 * t14609 / 0.2e1;
  t113569 = -t34833 * t14606 - 0.6e1 * t5665 * t74808 * t13732 - 0.3e1 / 0.2e1 * t5665 * t14955 * t13717 + t1974 * t107513 / 0.3e1 + t1941 * t19231 / 0.6e1 + t1946 * t19231 / 0.6e1 + t555 * t108014 / 0.6e1 + 0.3e1 / 0.2e1 * t1070 * t19954 + 0.3e1 / 0.2e1 * t1058 * t19954 + 0.3e1 / 0.2e1 * t373 * t14876 * t104307 - t72982 * t19957 / 0.2e1 + t1974 * t1101 * t112634 / 0.3e1 - t15036 * t10339 / 0.2e1 - t1981 * t1430 * t112634 / 0.6e1 - t111680;
  t113577 = t111682 + t111693 - t111695 + t111700 + t111702 - t111704 + t8063 * t5674 * t112207 / 0.6e1 - t8063 * t30134 * t112033 / 0.2e1 + t16463 - t16466 - t111706 + t111708 + t111712 + t90584;
  t113599 = t30141 * t1018 * t14817 * t2616;
  t113608 = -t90595 - 0.3e1 * t5639 * t2973 * t105191 - t14711 * t5563 * t13505 / 0.2e1 - t14711 * t104211 / 0.2e1 + 0.7e1 / 0.3e1 * t72982 * t6915 + 0.7e1 / 0.3e1 * t14711 * t5733 * t13868 + 0.7e1 / 0.3e1 * t14711 * t104302 - t8081 * t19963 / 0.3e1 - t8086 * t19963 / 0.3e1 + t90606 + t90619 + 0.2e1 / 0.3e1 * t24973 * t113599 + t81753 - 0.3e1 / 0.2e1 * t73218 * t10358 * t5647 * t13669 + 0.18e2 * t101213 * t13747;
  t113627 = t5691 * t4693 * t73400 * t2616;
  t113649 = t99674 - 0.3e1 / 0.2e1 * t5665 * t8443 * t1165 * t112027 - t5665 * t2056 * t4575 * t112032 + t11510 * t5695 * t112023 - t11646 * t6005 * t112023 - t8219 * t4687 * t112018 / 0.3e1 - 0.2e1 / 0.3e1 * t24973 * t113627 + t8063 * t30141 * t1018 * t112032 + 0.23e2 / 0.36e2 * t72982 * t19931 + 0.23e2 / 0.36e2 * t14711 * t5595 * t13868 + 0.23e2 / 0.36e2 * t14711 * t104214 + t373 * t73061 * t493 * t376 / 0.4e1 + t373 * t14704 * t1713 * t376 / 0.4e1 - t1070 * t19820;
  t113680 = -t1058 * t19820 - 0.3e1 * t1029 * t14876 * t104821 - 0.3e1 * t1070 * t19950 - 0.3e1 * t1058 * t19950 - 0.3e1 * t373 * t14807 * t12498 + 0.3e1 / 0.2e1 * t4718 * t14876 * t104826 - 0.3e1 * t4204 * t19947 - 0.3e1 * t4188 * t19947 + t90647 - t90652 + t90668 + t555 * t1094 * t4440 * t19894 / 0.12e2 + t555 * t1094 * t1095 * t167 * t113177 / 0.12e2 + t1956 * t13820 + t1070 * t19816 / 0.4e1;
  t113724 = t1058 * t19816 / 0.4e1 + t5639 * t2060 * t4572 * t112536 / 0.2e1 - t5665 * t2060 * t4626 * t112536 / 0.2e1 - 0.9e1 / 0.2e1 * t5665 * t14932 * t24435 * t6832 + 0.3e1 * t5665 * t8438 * t4572 * t111983 - t111727 - 0.14e2 / 0.3e1 * t73218 * t29468 * t12522 + 0.3e1 * t73218 * t103920 - t8063 * t95830 / 0.3e1 + 0.2e1 / 0.3e1 * t8063 * t95833 + 0.2e1 * t11510 * t56433 * t13563 - t8063 * t56433 * t13670 / 0.3e1 - t8063 * t56637 * t13670 / 0.6e1 + t8063 * t56645 * t13570 / 0.3e1 - 0.5e1 / 0.18e2 * t11399 * t95375 * t13563;
  t113732 = t1645 * t72781;
  t113733 = t1430 * t113732;
  t113746 = t101275 + t101277 + t18322 - t2947 * t33999 / 0.6e1 - t1647 * t14679 + 0.3e1 / 0.2e1 * t1647 * t14870 + t1647 * t14686 / 0.2e1 - 0.2e1 * t45112 * t113733 - t1647 * t14682 / 0.2e1 - t73754 * t2758 / 0.2e1 - t15036 * t13623 / 0.2e1 - t15036 * t12540 / 0.2e1 - t14581 * t2619 / 0.6e1 - t99703 - t81818;
  t113761 = -0.3e1 * t101237 * t13574 - t73900 * t13702 / 0.2e1 - t90728 - t101304 - t101305 + t111732 - t18339 + t4695 * t74161 * t2821 + t4695 * t74165 * t2821 + t111734 + t111736 - t111738 - t318 * t20072 / 0.4e1 - t101352;
  t113778 = -t101353 + t101354 + t101355 - t101356 - t11399 * t5691 * t111984 - t16492 - t15910 + t15914 - 0.2e1 / 0.3e1 * t14695 * t18885 - 0.2e1 / 0.3e1 * t2947 * t104334 + t8063 * t5674 * t112284 / 0.6e1 - t39976 * t19879 / 0.3e1 - t39979 * t19879 / 0.3e1 - t8063 * t30011 * t19878 / 0.3e1 + t101408;
  t113796 = -0.2e1 * t4695 * t14814 * t68050 + t15946 + t86204 - t101423 - t86210 + t111742 + t15949 - 0.5e1 / 0.3e1 * t73070 * t12355 + t90807 - 0.3e1 * t5639 * t8460 * t4572 * t112027 + 0.3e1 * t5665 * t8460 * t4626 * t112027 - t18340 + t18341 - t110 * t2799 * t2021 / 0.2e1;
  t113813 = t5691 * t112565;
  t113817 = t1076 * t3013 * t487;
  t113822 = t50318 * t4191 * t112373;
  t113834 = t11510 * t56637 * t13563 - t8219 * t108122 / 0.3e1 - t8214 * t108110 / 0.3e1 + t8219 * t56641 * t13670 / 0.3e1 + t9482 - t9485 - t9487 - 0.3e1 / 0.2e1 * t5665 * t8438 * t24435 * t112027 + 0.3e1 * t4695 * t73153 * t67817 + 0.2e1 * t45444 * t113813 + t4695 * t8060 * t113817 / 0.2e1 - 0.62e2 / 0.3e1 * t82045 * t113822 - 0.3e1 * t5649 * t72910 * t19946 - 0.3e1 * t5665 * t14932 * t103912 + t4695 * t112643 * t1415 / 0.2e1;
  t113853 = -t318 * t19942 / 0.4e1 - t86236 - t101547 - t82057 + t82061 - t82065 - t82067 - t82070 - t82073 + t1702 * t100939 / 0.6e1 + t490 * t73506 / 0.12e2 + 0.3e1 / 0.2e1 * t4695 * t74911 * t2813 - t4695 * t8077 * t19867 / 0.4e1 + 0.3e1 * t5665 * t8443 * t356 * t111983;
  t113882 = -t25561 * t19980 - t4695 * t73166 * t2813 - t4695 * t73162 * t2813 - t4695 * t14605 * t12504 - t39906 * t13660 - t39906 * t13664 / 0.2e1 - t30473 * t20109 - t30693 * t20109 + 0.2e1 / 0.3e1 * t39979 * t19935 + 0.2e1 / 0.3e1 * t8063 * t30121 * t19934 - 0.11e2 / 0.18e2 * t14711 * t5733 * t13505 - 0.11e2 / 0.18e2 * t14711 * t104465 - 0.2e1 * t74090 * t2772 - 0.2e1 * t14831 * t13869 - 0.2e1 * t14831 * t12443;
  t113908 = -0.11e2 / 0.18e2 * t72982 * t19827 + t1941 * t19896 / 0.12e2 + t1946 * t19896 / 0.12e2 - t1683 * t100374 / 0.12e2 - t490 * t72988 / 0.12e2 - t1981 * t108369 / 0.6e1 + t111748 - t111750 - t111752 - t2942 * t12409 / 0.6e1 - t2942 * t12401 / 0.6e1 + t74090 * t2761 / 0.2e1 + t14831 * t13506 / 0.2e1 + t14831 * t12529 / 0.2e1 - t8296 * t2817 / 0.2e1;
  t113930 = -t555 * t69126 / 0.6e1 - t555 * t68124 / 0.6e1 + t8125 * t20079 / 0.3e1 + t8130 * t20079 / 0.3e1 + t1974 * t1101 * t112422 / 0.3e1 + t111754 + t9535 + t9543 - t101548 + t101549 - t34477 * t3002 / 0.2e1 + t6965 * t3018 / 0.2e1 + t6960 * t3018 / 0.2e1 + t2947 * t34634 / 0.6e1 - 0.5e1 / 0.36e2 * t14711 * t81201;
  t113957 = -t2947 * t34303 / 0.12e2 - t2942 * t6757 / 0.6e1 + t14831 * t10344 / 0.2e1 + t2942 * t6812 / 0.6e1 + 0.3e1 * t4188 * t19811 + 0.3e1 * t1029 * t14807 * t12437 - t8296 * t2814 - t8287 * t2814 - t1956 * t13777 - t1956 * t13780 + t4188 * t19836 + t1029 * t14857 * t104434 + t1956 * t13817 - 0.2e1 / 0.3e1 * t2947 * t34654;
  t113980 = t1101 * t67282 * t1963;
  t113995 = 0.23e2 / 0.36e2 * t14711 * t81486 + t2947 * t34004 / 0.3e1 + t555 * t1094 * t33917 * t2955 / 0.12e2 + t555 * t1094 * t6755 * t14864 / 0.12e2 - 0.5e1 / 0.36e2 * t14711 * t5595 * t13505 - 0.5e1 / 0.36e2 * t14711 * t104666 + t1941 * t19891 / 0.12e2 + t1946 * t19891 / 0.12e2 - t338 * t113980 / 0.6e1 + t13591 * t1969 / 0.2e1 + t14695 * t18767 / 0.6e1 + t2947 * t104203 / 0.6e1 + t2947 * t104206 / 0.6e1 - 0.5e1 / 0.36e2 * t72982 * t19887 + t1070 * t19874 / 0.2e1;
  t113999 = t10447 * t112374;
  t114008 = -t9546 - t9548 - t15994 + 0.3e1 * t57324 * t13733 - t111756 - 0.28e2 * t81183 * t113999 - 0.3e1 * t4695 * t73509 * t2821 + t8063 * t5691 * t112207 / 0.12e2 + t101629 + t101630 + t101631 - t101632 - t101633 - t101634;
  t114031 = -t101635 - t101636 + t4695 * t14605 * t62034 + t4695 * t14608 * t61866 + 0.23e2 / 0.36e2 * t73218 * t10358 * t13684 + t8214 * t108414 / 0.6e1 - t6965 * t3010 / 0.2e1 - t1665 * t14661 / 0.12e2 - t490 * t74985 / 0.12e2 - t16104 + t111764 - t110 * t20071 * t404 / 0.4e1 + 0.6e1 * t5665 * t74549 * t24418 * t10383 - t80631 - t80633;
  t114050 = -t80659 - t9710 + t9713 + t73070 * t13671 - 0.4e1 * t11510 * t5695 * t113428 + 0.12e2 * t101237 * t13798 + 0.4e1 * t73070 * t13675 - 0.3e1 * t10513 * t14932 * t104647 + 0.6e1 * t5639 * t14932 * t104265 + t101707 + t101708 + t80681 - t8214 * t108445 / 0.3e1 - t111775;
  t114061 = t5691 * t1018 * t552 * t19865;
  t114087 = t5665 * t2056 * t1165 * t112536 / 0.2e1 + t5665 * t559 * t4575 * t112531 / 0.2e1 - t24973 * t114061 / 0.3e1 - t57332 * t13729 + t8063 * t50503 * t14627 / 0.6e1 + t8063 * t5674 * t112537 / 0.6e1 + t73218 * t103916 + t73117 * t505 / 0.4e1 + t74990 * t505 / 0.4e1 - t82644 - t82646 + t82648 - t5665 * t2056 * t4575 * t112112 - 0.3e1 / 0.2e1 * t5665 * t559 * t24458 * t112012 + 0.2e1 * t5639 * t2060 * t4572 * t112093;
  t114096 = t5733 * t113732;
  t114108 = -0.5e1 * t5639 * t14928 * t61165 - t18481 + 0.2e1 * t5649 * t14814 * t67939 - t102170 + t102171 + t102173 - t1647 * t14910 + 0.7e1 / 0.3e1 * t45102 * t114096 + t1647 * t14674 / 0.2e1 - t40091 * t2809 - t8280 * t13839 - t8280 * t13842 + t8296 * t2822 + t8287 * t2822 + 0.2e1 / 0.3e1 * t1981 * t68271;
  t114121 = -0.3e1 / 0.2e1 * t72982 * t6781 - 0.3e1 / 0.2e1 * t14711 * t5595 * t4186 * t2756 - 0.3e1 / 0.2e1 * t14711 * t104040 - t40223 * t2809 - t1981 * t1423 * t112422 / 0.3e1 - t16115 - t16120 + t16128 - t102192 + t102194 + t111779 + t102195 - t102196 - t86836 + t18488;
  t114128 = my_piecewise3(t100, 0, t113569 + t113536 + t113514 + t113490 + t113462 + t113452 + t113425 + t113390 + t112883 + t112851 + t112808 + t112779 + t112764 + t112735 + t112705 + t112677 + t112655 + t112618 + t112580 + t112530 + t112503 + t112471 + t112466 + t112434 + t112412 + t112390 + t112381 + t112361 + t112326 + t112306 + t112272 + t112253 + t112229 + t112217 + t112211 + t112172 + t112154 + t112119 + t112083 + t112043 + t112004 + t111978 + t114121 + t114108 + t114087 + t114050 + t114031 + t114008 + t113995 + t113957 + t113930 + t113908 + t113882 + t113853 + t113834 + t113796 + t113778 + t113761 + t113746 + t113724 + t113680 + t113649 + t113608 + t113577);
  tv4rholapltau211 = t3 * t114128 + t20118;

  if(out->v4rholapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rholapltau2[ip*p->dim.v4rholapltau2 + 11] += tv4rholapltau211;

  t114141 = t7400 * t2869;
  t114152 = t2851 * t1745;
  t114153 = t95 * t114152;
  t114177 = t13955 * t20274 / 0.2e1 - 0.3e1 / 0.2e1 * t246 * t13885 * t3360 * t665 * t14187 - 0.3e1 / 0.2e1 * t608 * t20271 - 0.3e1 / 0.2e1 * t630 * t20271 + 0.3e1 / 0.2e1 * t246 * t114141 * t690 + 0.3e1 / 0.2e1 * t608 * t20367 - 0.3e1 / 0.2e1 * t71059 * t26400 * t14277 - 0.3e1 * t52940 * t14121 - 0.2e1 / 0.3e1 * t7254 * t3273 * t114153 + t71059 * t4877 * t14270 / 0.4e1 - 0.3e1 / 0.2e1 * t3266 * t14120 * t71108 + t82701 - 0.3e1 / 0.4e1 * t21748 * t20403 - 0.3e1 / 0.4e1 * t3266 * t69430 * t2911 - 0.3e1 / 0.4e1 * t3266 * t69427 * t2911 - 0.3e1 / 0.4e1 * t3266 * t14065 * t14241 + 0.3e1 / 0.2e1 * t82704 - t82706 / 0.4e1 - t82732 / 0.2e1;
  t114187 = t2851 * t14187;
  t114192 = t20162 * t206;
  t114193 = t95 * t114192;
  t114218 = t626 * t20318;
  t114223 = t543 * t1745;
  t114232 = 0.4e1 * t20285 * t3522 + 0.3e1 / 0.2e1 * t630 * t20367 + t7248 * t3273 * t253 * t276 * t20146 / 0.12e2 - t7248 * t8790 * t95 * t114187 / 0.3e1 - t7251 * t26405 * t114193 / 0.6e1 - t7248 * t8790 * t253 * t276 * t20162 / 0.6e1 + t37301 * t20400 / 0.4e1 + t7251 * t52331 * t14125 / 0.4e1 - 0.3e1 / 0.4e1 * t30 * t14393 * t544 - 0.3e1 / 0.2e1 * t7600 * t2907 - 0.3e1 * t3061 * t20335 - 0.3e1 * t630 * t20338 - 0.3e1 * t608 * t20338 - 0.11e2 / 0.18e2 * t114218 * t3141 + 0.3e1 / 0.2e1 * t7592 * t2915 + 0.2e1 * t7251 * t4873 * t3264 * t114223 - 0.2e1 * t71059 * t35961 + 0.3e1 / 0.2e1 * t52942 * t13932 - t2089;
  t114238 = t7351 * t2842;
  t114246 = t7611 * t2907 / 0.2e1;
  t114257 = t633 * t20284;
  t114259 = t114257 * t667 / 0.3e1;
  t114260 = t633 * t20318;
  t114262 = 0.11e2 / 0.54e2 * t114260 * t3141;
  t114267 = t637 * t20338;
  t114269 = 0.5e1 / 0.108e3 * t114260 * t3178;
  t114270 = t2160 - 0.3e1 / 0.2e1 * t82744 + 0.3e1 / 0.4e1 * t82759 + 0.3e1 / 0.4e1 * t82761 + 0.3e1 / 0.4e1 * t82765 + 0.9e1 / 0.2e1 * t3266 * t114238 * t1281 - t626 * t20304 * t223 / 0.2e1 - t114246 + 0.3e1 * t3070 * t20298 + 0.3e1 * t3061 * t20298 + 0.3e1 / 0.4e1 * t14011 * t1747 + 0.3e1 / 0.2e1 * t630 * t20292 + 0.3e1 / 0.2e1 * t608 * t20292 + t114259 - t114262 - t2844 * t36051 / 0.2e1 - t1750 * t14006 / 0.4e1 - t114267 - t114269;
  t114274 = t637 * t20325 / 0.2e1;
  t114278 = t114260 * t3158 / 0.2e1;
  t114280 = t13943 * t7582 / 0.3e1;
  t114282 = 0.7e1 / 0.9e1 * t114260 * t3153;
  t114284 = 0.23e2 / 0.108e3 * t114260 * t3146;
  t114286 = t7611 * t2915 / 0.2e1;
  t114288 = t21994 * t20332 / 0.2e1;
  t114290 = 0.2e1 / 0.3e1 * t114257 * t672;
  t114291 = t222 * t20214;
  t114296 = t191 * t242 * t20212 * t243;
  t114300 = t37183 * t2899 / 0.2e1;
  t114307 = 0.3e1 / 0.4e1 * t69303 * t530 + t114274 + t97136 / 0.6e1 + t97138 / 0.6e1 - t114278 + t114280 + t114282 + t114284 + t114286 + t114288 - t114290 - t211 * t114291 / 0.12e2 + t114296 * t250 / 0.4e1 - t114300 + t82778 - 0.9e1 * t82785 + 0.9e1 / 0.2e1 * t82788 - t82790 / 0.2e1 - 0.3e1 / 0.4e1 * t30 * t2889 * t1855;
  t114316 = t26405 * t670 * t512 * t20162;
  t114323 = t20121 * t20811;
  t114325 = t191 * t3135 * t114323;
  t114339 = t20146 * t206;
  t114340 = t95 * t114339;
  t114362 = -t97195 / 0.2e1 + t4772 * t519 * t3562 * t114187 + 0.2e1 / 0.3e1 * t20708 * t114316 + t20305 * t840 / 0.2e1 + t2844 * t35892 / 0.2e1 + 0.6e1 * t114325 * t8742 - 0.3e1 / 0.2e1 * t13908 * t4867 * t13900 - 0.9e1 * t679 * t14030 * t3139 * t3124 * t1745 + t7251 * t53027 * t14125 / 0.2e1 + t7251 * t5175 * t114340 / 0.6e1 - t7251 * t97996 / 0.2e1 + t2844 * t36044 - 0.11e2 / 0.18e2 * t20319 * t21113 + 0.23e2 / 0.36e2 * t114218 * t3146 + 0.23e2 / 0.36e2 * t20319 * t21116 + t2839 * t7402 / 0.2e1 + t2844 * t3520 * t14189 / 0.4e1 + t13966 * t1807 / 0.2e1 + 0.3e1 * t13894 * t14141;
  t114364 = t191 * t649 * t20317;
  t114372 = t1261 * t14009 * t37476;
  t114380 = t94 * t20121;
  t114381 = t244 * t114380;
  t114382 = t4851 * t114381;
  t114385 = t830 * t20154;
  t114389 = t82874 / 0.12e2;
  t114390 = t82880 / 0.6e1;
  t114392 = t843 * t69265 * t1805;
  t114401 = t637 * t20266 / 0.12e2;
  t114405 = -0.6e1 * t114364 * t1257 - 0.3e1 / 0.2e1 * t20319 * t21430 + 0.9e1 / 0.2e1 * t20319 * t22063 + t3396 * t114372 - 0.3e1 / 0.4e1 * t14011 * t1798 - 0.3e1 / 0.2e1 * t14011 * t1793 + 0.3e1 / 0.2e1 * t20319 * t20931 - 0.28e2 * t75949 * t114382 - 0.3e1 * t246 * t114385 * t3082 - t114389 + t114390 - t211 * t114392 / 0.4e1 + 0.3e1 / 0.4e1 * t14011 * t1811 + t82908 / 0.2e1 - 0.3e1 / 0.2e1 * t13908 * t83467 - t114401 - t82925 / 0.4e1 - t82927 / 0.4e1 - t82929 / 0.4e1;
  t114408 = t253 * t20398 * t206;
  t114465 = t14327 * t3118;
  t114469 = -0.4e1 * t14169 * t71108 + 0.4e1 * t14166 * t71448 + 0.4e1 * t14172 * t71444 - 0.4e1 / 0.3e1 * t14169 * t70065 + t15109 + t75277 - t75280 + t75299 + 0.4e1 / 0.3e1 * t114465 * t8933 + t75318 - 0.4e1 * t13937;
  t114472 = t789 * t2842;
  t114475 = t789 * t2837;
  t114478 = t3428 * t13892;
  t114483 = t3428 * t2842;
  t114486 = t21298 * t13906;
  t114495 = t2865 * t651;
  t114500 = -0.8e1 * t14166 * t14262 + 0.12e2 * t114472 * t1281 + 0.4e1 * t114475 * t826 - 0.8e1 * t114478 * t1269 + 0.8e1 / 0.3e1 * t14169 * t13986 - 0.8e1 / 0.3e1 * t114483 * t3362 + 0.16e2 / 0.9e1 * t114486 * t8928 - 0.2e1 * t69726 * t2911 + 0.2e1 * t521 * t14241 + 0.8e1 * t14179 * t14262 - 0.12e2 * t114495 * t1281 + 0.4e1 / 0.3e1 * t14184 * t13986;
  t114502 = t2869 * t3076;
  t114523 = -0.4e1 * t114502 * t1269 - 0.4e1 / 0.3e1 * t2878 * t3362 + 0.2e2 / 0.9e1 * t114465 * t8928 + 0.24e2 * t114502 * t1274 - 0.12e2 * t114465 * t8922 - 0.8e1 * t14184 * t14246 + 0.8e1 * t2878 * t3410 - 0.4e1 * t2881 * t826 + 0.2e1 * t1884 * t2911 - t15121 - 0.2e1 * t14172 * t14241;
  t114537 = 0.8e1 * t14169 * t14246 + 0.32e2 / 0.3e1 * t114486 * t8933 - 0.2e1 / 0.3e1 * t14055 + 0.12e2 * t114486 * t8922 + 0.4e1 * t14059 - 0.8e1 * t114483 * t3410 - 0.4e1 * t13932 + t75338 - t75344 - t75347 + t75349 - 0.24e2 * t114478 * t1274;
  t114539 = t114469 + t114500 + t114523 + t114537;
  t114547 = -t7254 * t3273 * t114408 / 0.2e1 - t7248 * t8790 * t253 * t20398 * t794 / 0.2e1 + 0.3e1 / 0.2e1 * t4993 * t14120 * t70065 - 0.8e1 * t4983 * t14318 * t71371 - t4772 * t1876 * t3556 * t114339 / 0.2e1 + t7248 * t36464 * t14270 / 0.4e1 - t7254 * t3273 * t114340 / 0.6e1 - t7254 * t36464 * t14125 / 0.2e1 - t7248 * t82971 * t14277 / 0.2e1 - 0.3e1 * t3266 * t14062 * t14262 - t97390 / 0.2e1 - t97393 / 0.2e1 - 0.3e1 / 0.4e1 * t21744 * t20403 - t2844 * t35476 / 0.4e1 + t13955 * t20228 / 0.4e1 + t2844 * t3520 * t14154 / 0.4e1 + t515 * t836 * t3389 * t20221 / 0.12e2 + t515 * t836 * t837 * t94 * t114539 / 0.12e2 - t13955 * t7516 / 0.4e1;
  t114579 = t97503 / 0.6e1;
  t114587 = t515 * t836 * t7213 * t14188 / 0.4e1 + t1750 * t20223 / 0.12e2 - 0.3e1 / 0.2e1 * t70173 * t83738 + 0.3e1 * t36004 * t14123 + 0.3e1 / 0.2e1 * t52936 * t14055 - 0.6e1 * t13894 * t10818 - 0.2e1 * t2844 * t35900 + 0.7e1 / 0.3e1 * t20319 * t21426 - 0.7e1 * t20319 * t21953 + 0.7e1 * t13908 * t4851 * t14137 - t20319 * t20934 / 0.2e1 + t2844 * t3690 * t14154 / 0.2e1 - t83002 / 0.4e1 + t83004 / 0.4e1 + t83006 / 0.2e1 - t114579 - 0.3e1 / 0.2e1 * t13915 * t13911 - 0.2e1 * t83024 - 0.23e2 / 0.12e2 * t70173 * t26189 * t14129 - 0.3e1 / 0.2e1 * t83043;
  t114594 = t25714 * t677 * t114380;
  t114597 = t3115 * t20317;
  t114602 = t26011 * t3165 * t114380;
  t114605 = t830 * t20158;
  t114617 = t4877 * t670 * t512 * t20146;
  t114627 = t20146 * t794;
  t114642 = t1760 * t20223 / 0.36e2;
  t114643 = -0.11e2 / 0.6e1 * t83046 + 0.23e2 / 0.12e2 * t83048 - 0.62e2 / 0.3e1 * t75604 * t114594 + 0.9e1 * t679 * t114597 * t21547 + 0.8e1 * t75604 * t114602 + 0.3e1 / 0.2e1 * t3167 * t114605 * t3169 - t515 * t70274 / 0.2e1 - t1755 * t14400 / 0.2e1 - t515 * t70279 / 0.2e1 - t20708 * t114617 / 0.3e1 - t3266 * t7361 * t20265 / 0.4e1 + t4772 * t1872 * t788 * t114339 / 0.2e1 + t4772 * t519 * t3562 * t114627 / 0.2e1 - 0.3e1 * t4772 * t1876 * t3556 * t114152 + t83062 / 0.2e1 + t83064 / 0.2e1 + t83066 / 0.2e1 - t1750 * t14400 / 0.2e1 + t114642;
  t114645 = t1760 * t20218 / 0.12e2;
  t114649 = t637 * t20359 / 0.2e1;
  t114664 = t11224 * t13892;
  t114676 = t626 * t20284;
  t114685 = t114645 - t1779 * t97358 / 0.2e1 - t114649 - t1755 * t14230 / 0.4e1 - 0.3e1 / 0.2e1 * t83072 - 0.3e1 / 0.4e1 * t83081 + t37277 * t20400 / 0.4e1 + t7248 * t20724 * t20399 / 0.4e1 - 0.6e1 * t13894 * t14138 - t7251 * t26400 * t114193 / 0.3e1 + 0.9e1 * t4993 * t114664 * t1269 - t4983 * t1876 * t22290 * t114192 + t4772 * t1876 * t22309 * t114192 + 0.3e1 * t83104 + t20285 * t3056 - 0.2e1 * t114676 * t672 - 0.2e1 * t20285 * t3091 + 0.3e1 / 0.4e1 * t70016 * t530 - 0.3e1 / 0.2e1 * t114218 * t3158;
  t114691 = t71248 * t530 / 0.4e1;
  t114702 = t7213 * t13899;
  t114724 = -0.3e1 / 0.2e1 * t20319 * t21041 + t114676 * t667 + t114691 + 0.3e1 / 0.2e1 * t7600 * t2915 + 0.3e1 / 0.2e1 * t21524 * t20332 + 0.3e1 / 0.2e1 * t21529 * t20332 + 0.3e1 / 0.2e1 * t608 * t20325 - 0.3e1 / 0.2e1 * t36038 * t2899 + t1815 * t843 * t114702 - 0.3e1 / 0.2e1 * t13915 * t10985 + t71047 * t14274 + 0.2e1 / 0.3e1 * t71614 * t14278 - t71614 * t14271 / 0.3e1 + 0.3e1 / 0.2e1 * t13894 * t10990 + t20285 * t3380 / 0.2e1 - t1779 * t1261 * t114702 / 0.2e1 - t20285 * t3525 + 0.5e1 / 0.3e1 * t114325 * t8711 + 0.3e1 / 0.2e1 * t13894 * t13901;
  t114741 = t53260 * t13906;
  t114745 = t253 * t114223;
  t114773 = -t1779 * t97305 / 0.4e1 - t515 * t69267 / 0.4e1 + t1815 * t97335 / 0.2e1 + t515 * t69271 / 0.4e1 - t2844 * t36664 / 0.2e1 - 0.11e2 / 0.6e1 * t13908 * t82687 + t2844 * t35520 - t71059 * t4877 * t3264 * t14269 + 0.9e1 / 0.2e1 * t26550 * t114741 * t8928 - t7251 * t4873 * t114745 / 0.2e1 + 0.3e1 / 0.2e1 * t69822 * t10884 + t71059 * t36802 / 0.2e1 - 0.5e1 / 0.12e2 * t70173 * t83231 - t7248 * t8790 * t95 * t114627 / 0.6e1 + t7251 * t4877 * t114340 / 0.12e2 + 0.3e1 * t71059 * t26405 * t670 * t13935 + 0.9e1 / 0.2e1 * t83150 + t114676 * t662 / 0.2e1 + t20285 * t3175 / 0.2e1 - t13955 * t7532 / 0.4e1;
  t114778 = t3051 * t20335;
  t114780 = t114260 * t3150 / 0.6e1;
  t114788 = t69462 * t513;
  t114792 = t69462 * t1791;
  t114817 = -t2844 * t36756 / 0.4e1 - t114778 - t114780 + t83174 / 0.2e1 - 0.5e1 / 0.12e2 * t83176 - t83178 / 0.4e1 - 0.9e1 / 0.2e1 * t4983 * t2870 * t22290 * t13935 - 0.3e1 / 0.4e1 * t3266 * t114788 * t826 - 0.3e1 / 0.2e1 * t3266 * t114792 * t1281 - 0.3e1 / 0.4e1 * t1770 * t14242 - 0.3e1 / 0.4e1 * t7600 * t2912 - 0.3e1 / 0.2e1 * t1770 * t14254 - 0.3e1 / 0.4e1 * t7592 * t2912 + 0.3e1 / 0.2e1 * t1770 * t14250 - 0.3e1 * t1770 * t14263 + 0.9e1 / 0.2e1 * t1770 * t14266 + 0.3e1 / 0.2e1 * t1770 * t13982 - t114218 * t3150 / 0.2e1 + t7254 * t8790 * t114193 / 0.3e1;
  t114818 = t20162 * t794;
  t114830 = t4873 * t3264 * t2932 * t512;
  t114842 = t52565 * t72116;
  t114855 = t13943 * t7532 / 0.12e2;
  t114857 = t114257 * t662 / 0.6e1;
  t114859 = t1760 * t14006 / 0.12e2;
  t114861 = t13943 * t7595 / 0.6e1;
  t114867 = t7248 * t42389 * t95 * t114818 / 0.2e1 + 0.3e1 * t3266 * t14120 * t14246 - 0.3e1 / 0.2e1 * t52942 * t14059 + t20708 * t114830 + 0.11e2 / 0.6e1 * t70173 * t26847 * t14125 + t71059 * t5175 * t14270 / 0.2e1 - 0.3e1 * t36004 * t14063 - 0.3e1 / 0.2e1 * t36004 * t14066 + 0.2e1 * t20708 * t114842 - t30 * t20213 * t277 / 0.4e1 - 0.11e2 / 0.18e2 * t20319 * t21898 - 0.3e1 / 0.2e1 * t246 * t7400 * t2865 * t597 - t114855 + t114857 - t114859 - t114861 + t97865 / 0.3e1 - t515 * t69298 / 0.4e1 + 0.11e2 / 0.6e1 * t20319 * t21629;
  t114869 = t680 * t20283;
  t114876 = t680 * t20317;
  t114902 = t83301 / 0.2e1;
  t114903 = t83323 / 0.4e1;
  t114904 = 0.6e1 * t246 * t114869 * t3410 - 0.9e1 * t246 * t13989 * t14246 + 0.18e2 * t246 * t114876 * t1274 - 0.11e2 / 0.6e1 * t13908 * t4851 * t13900 + 0.22e2 / 0.3e1 * t114325 * t8940 - 0.9e1 / 0.2e1 * t83259 - 0.3e1 / 0.2e1 * t83262 + 0.3e1 * t83265 + t83284 / 0.2e1 + t83286 / 0.4e1 - 0.2e1 * t7251 * t4877 * t670 * t114152 + 0.16e2 / 0.3e1 * t69822 * t14130 + t7251 * t5175 * t114153 - 0.8e1 / 0.3e1 * t69822 * t14126 - t20119 + t20120 + t7248 * t70817 / 0.4e1 + t114902 + t114903;
  t114909 = t37082 * t20400 / 0.12e2;
  t114937 = -0.3e1 / 0.4e1 * t83327 + t83331 + 0.3e1 / 0.4e1 * t83335 - 0.3e1 / 0.2e1 * t83337 + t114909 + 0.9e1 * t83363 - t8624 + t8645 - t8647 - 0.3e1 / 0.2e1 * t83377 - 0.3e1 / 0.2e1 * t679 * t114141 * t684 + 0.3e1 / 0.4e1 * t630 * t20250 + 0.3e1 / 0.4e1 * t608 * t20250 + 0.3e1 / 0.2e1 * t3070 * t20241 + 0.3e1 / 0.2e1 * t3061 * t20241 + 0.3e1 / 0.2e1 * t679 * t13885 * t3360 * t660 * t14187 - 0.3e1 / 0.2e1 * t3070 * t20245 + t630 * t20237 + t1755 * t20223 / 0.12e2 + t515 * t836 * t35347 * t2852 / 0.4e1;
  t114950 = t22052 * t20403 / 0.4e1;
  t114960 = t26847 * t670 * t2836 * t2851;
  t114966 = t11224 * t2842;
  t114970 = t543 * t2836;
  t114971 = t3264 * t114970;
  t114972 = t9845 * t114971;
  t114975 = t20121 * t20825;
  t114977 = t191 * t20823 * t114975;
  t114997 = t637 * t20355 / 0.6e1;
  t114998 = -t2844 * t36555 / 0.2e1 - t2844 * t37249 / 0.2e1 + t3266 * t7361 * t20354 / 0.2e1 - t114950 + 0.8e1 * t4772 * t14318 * t14058 + 0.9e1 / 0.2e1 * t4772 * t2870 * t22309 * t13935 - 0.7e1 * t26808 * t114960 - 0.3e1 / 0.2e1 * t3266 * t69407 * t20270 - 0.3e1 * t3266 * t114966 * t3410 + 0.7e1 * t26808 * t114972 - t8720 - 0.2e1 * t114977 * t75806 - t246 * t7525 * t20265 / 0.4e1 - t246 * t1797 * t824 * t221 * t114539 / 0.4e1 - t630 * t20266 / 0.4e1 - t608 * t20266 / 0.4e1 - 0.2e1 * t20285 * t3503 - 0.61e2 / 0.27e2 * t114977 * t76457 + t114997;
  t115000 = t1760 * t14230 / 0.12e2;
  t115002 = t13943 * t7491 / 0.3e1;
  t115009 = t83425 / 0.12e2;
  t115014 = t83445 / 0.4e1;
  t115016 = t7611 * t2903 / 0.2e1;
  t115018 = t13943 * t20278 / 0.3e1;
  t115020 = t13943 * t20274 / 0.6e1;
  t115022 = t13952 * t2854 / 0.9e1;
  t115024 = t13952 * t1807 / 0.6e1;
  t115025 = -t115000 + t115002 - 0.3e1 / 0.2e1 * t70846 * t1785 + 0.3e1 / 0.2e1 * t14011 * t1788 - t83413 / 0.4e1 - t83415 / 0.4e1 - t115009 - t83433 / 0.4e1 - t83435 / 0.4e1 + 0.3e1 / 0.4e1 * t83441 + 0.3e1 / 0.4e1 * t83443 + t115014 - t20235 + t16164 + t115016 - t115018 + t115020 - t115022 + t115024;
  t115046 = t3051 * t20298;
  t115048 = t637 * t20292 / 0.2e1;
  t115055 = -0.38e2 / 0.9e1 * t114977 * t75839 + 0.89e2 / 0.9e1 * t114977 * t75101 - t20236 - t7251 * t4996 * t114745 + 0.3e1 * t69822 * t11217 + t71059 * t36881 - 0.11e2 / 0.6e1 * t70173 * t83825 + t7254 * t97822 + t7248 * t69964 / 0.2e1 - t7251 * t97812 / 0.2e1 + 0.3e1 / 0.2e1 * t83513 + t98157 - 0.2e1 / 0.3e1 * t98162 - t98165 / 0.2e1 + t115046 + t115048 - 0.5e1 / 0.36e2 * t114218 * t3178 - 0.5e1 / 0.36e2 * t20319 * t21580 + t13966 * t1765 / 0.2e1;
  t115059 = t188 * t20373 / 0.4e1;
  t115064 = t3051 * t20241 / 0.2e1;
  t115066 = t637 * t20237 / 0.3e1;
  t115089 = t2839 * t7606 / 0.2e1 - t115059 - 0.18e2 * t679 * t114876 * t1269 + t115064 + t115066 + t8741 + 0.3e1 / 0.2e1 * t3266 * t14062 * t71448 - t98235 / 0.3e1 + t83539 - t83541 / 0.2e1 + t246 * t7525 * t20354 / 0.2e1 + t608 * t20355 / 0.2e1 + t630 * t20355 / 0.2e1 + 0.3e1 / 0.2e1 * t83547 - t83549 / 0.2e1 - 0.3e1 / 0.2e1 * t83551 + t20280 + t608 * t20237 + t246 * t14249 * t14241 + 0.3e1 / 0.2e1 * t246 * t830 * t20122 * t3260;
  t115092 = t247 * t20303;
  t115132 = t1760 * t20364 / 0.18e2;
  t115144 = -0.3e1 / 0.2e1 * t246 * t115092 * t826 + 0.9e1 / 0.2e1 * t246 * t14265 * t14262 + t20281 - t20282 - t4772 * t1872 * t3562 * t114192 - 0.3e1 / 0.2e1 * t4772 * t519 * t22302 * t114818 + 0.23e2 / 0.12e2 * t70173 * t84125 + t7254 * t99397 / 0.2e1 - 0.3e1 / 0.4e1 * t36004 * t13940 + t7248 * t3273 * t253 * t1854 * t2851 / 0.4e1 + t7248 * t3273 * t253 * t543 * t14187 / 0.4e1 - 0.35e2 / 0.108e3 * t114977 * t75220 - 0.5e1 / 0.36e2 * t20319 * t20919 - 0.5e1 / 0.12e2 * t13908 * t4808 * t13900 + 0.5e1 / 0.12e2 * t20319 * t22035 - t115132 + 0.3e1 / 0.2e1 * t3266 * t14065 * t71444 + 0.3e1 * t4983 * t1876 * t3130 * t114152 + 0.2e1 * t4772 * t1872 * t788 * t114152;
  t115154 = t25709 * t114381;
  t115160 = t3115 * t114323;
  t115181 = t4808 * t7585 * t69348;
  t115190 = -0.3e1 * t4772 * t14313 * t13931 - 0.2e1 * t4772 * t2866 * t13936 + t7251 * t5175 * t114408 / 0.2e1 + 0.47e2 / 0.3e1 * t75604 * t115154 + 0.3e1 / 0.2e1 * t246 * t114605 * t3131 - 0.18e2 * t246 * t115160 * t8922 - 0.9e1 / 0.2e1 * t246 * t114597 * t20761 + 0.9e1 / 0.2e1 * t246 * t14030 * t3139 * t13985 - t2844 * t3520 * t244 * t14188 + t98374 + t20316 - t8811 + 0.12e2 * t114364 * t1263 - 0.3e1 / 0.2e1 * t630 * t20359 - 0.3e1 / 0.2e1 * t608 * t20359 - 0.9e1 / 0.2e1 * t41080 * t115181 - 0.3e1 / 0.2e1 * t7587 * t13995 - t1779 * t1254 * t114702 + 0.3e1 * t13894 * t10814;
  t115193 = t637 * t20250 / 0.4e1;
  t115195 = t3051 * t20245 / 0.2e1;
  t115216 = t13943 * t20228 / 0.12e2;
  t115218 = t13943 * t7516 / 0.12e2;
  t115222 = t1760 * t14400 / 0.6e1;
  t115224 = t115193 - t115195 - t2839 * t14190 / 0.3e1 - t2839 * t14155 / 0.3e1 - t13966 * t2854 / 0.3e1 - t20305 * t845 / 0.2e1 - 0.3e1 * t114364 * t1300 + t2839 * t7262 / 0.2e1 - t2839 * t7215 / 0.2e1 - t1755 * t14006 / 0.4e1 - t83673 / 0.2e1 - t83675 / 0.2e1 - t83677 / 0.2e1 + t115216 - t115218 - t2844 * t35472 / 0.4e1 - t8829 - t115222 + t20285 * t3366;
  t115233 = t83755 / 0.6e1;
  t115234 = t83758 / 0.3e1;
  t115244 = t4851 * t1768 * t69348;
  t115271 = -0.2e1 * t20285 * t3691 - t7251 * t97415 / 0.4e1 + 0.23e2 / 0.36e2 * t20319 * t21882 + 0.44e2 / 0.27e2 * t114977 * t76461 - t115233 + t115234 - 0.3e1 / 0.2e1 * t83766 + 0.3e1 / 0.2e1 * t83768 + 0.3e1 * t1770 * t14247 - 0.9e1 * t1770 * t14026 - 0.3e1 * t1770 * t13886 + 0.7e1 * t41080 * t115244 + 0.3e1 / 0.2e1 * t1770 * t13889 + 0.9e1 / 0.2e1 * t3167 * t14030 * t3139 * t3144 * t1745 - 0.18e2 * t3167 * t115160 * t8928 - 0.9e1 / 0.2e1 * t3167 * t114597 * t20943 + t7251 * t4877 * t114153 / 0.2e1 - 0.4e1 / 0.3e1 * t69822 * t14281 - 0.3e1 / 0.4e1 * t71059 * t26405 * t14277 + 0.5e1 / 0.12e2 * t70173 * t26189 * t14125;
  t115277 = t7351 * t2837;
  t115281 = t83787 / 0.12e2;
  t115296 = t20842 * t114975;
  t115313 = -t20305 * t645 / 0.2e1 + 0.3e1 / 0.2e1 * t3266 * t115277 * t826 - t115281 + t83791 + t83793 + t83795 + 0.3e1 / 0.2e1 * t83809 + 0.3e1 / 0.2e1 * t83811 - t515 * t3460 * t3389 * t20362 / 0.6e1 - t1755 * t20364 / 0.6e1 - t1750 * t20364 / 0.6e1 - 0.43e2 / 0.9e1 * t114977 * t75254 + 0.9e1 / 0.2e1 * t1770 * t14031 - 0.6e1 * t20841 * t115296 * t75791 + 0.18e2 * t3167 * t115296 * t75589 - 0.18e2 * t679 * t115296 * t75596 + 0.6e1 * t246 * t115296 * t75802 + 0.9e1 / 0.2e1 * t36012 * t14038 - 0.9e1 * t7587 * t14041;
  t115314 = t98003 * t1777;
  t115323 = t191 * t194 * t20283;
  t115334 = t98685 / 0.18e2;
  t115336 = t188 * t20391 / 0.12e2;
  t115337 = t247 * t20283;
  t115362 = 0.3e1 / 0.2e1 * t3266 * t115314 * t1274 - 0.3e1 / 0.2e1 * t4993 * t115314 * t1269 + t98602 / 0.6e1 + 0.2e1 * t115323 * t1295 + 0.7e1 / 0.3e1 * t114218 * t3153 + t1750 * t20218 / 0.4e1 + t1755 * t20218 / 0.4e1 - t13955 * t7487 / 0.2e1 + t8874 + t8877 + t115334 - t115336 - 0.6e1 * t246 * t115337 * t1281 + t4983 * t1876 * t3130 * t114339 / 0.2e1 + 0.9e1 / 0.2e1 * t70173 * t26189 * t3156 * t13930 + 0.3e1 / 0.2e1 * t70173 * t26405 * t14125 - 0.9e1 / 0.2e1 * t4772 * t14328 * t22290 * t13930 - 0.9e1 * t4993 * t114741 * t8933 + 0.9e1 / 0.2e1 * t3266 * t114741 * t8922;
  t115372 = t7611 * t2912 / 0.4e1;
  t115374 = t13943 * t7487 / 0.6e1;
  t115376 = t188 * t20394 / 0.4e1;
  t115381 = t4873 * t114971;
  t115386 = t52331 * t71561;
  t115390 = t84011 / 0.2e1;
  t115391 = t84013 / 0.2e1;
  t115392 = 0.9e1 * t4983 * t14328 * t20862 * t13930 - 0.9e1 * t3266 * t114664 * t1274 - t115372 - t115374 - t115376 + t20370 - t20371 - t20372 - 0.3e1 / 0.2e1 * t83945 - 0.6e1 * t83949 + 0.3e1 / 0.2e1 * t83952 + 0.9e1 / 0.2e1 * t83955 - 0.6e1 * t42312 * t115381 - t20397 + 0.3e1 / 0.2e1 * t52942 * t13937 - t20708 * t115386 + t3266 * t70983 * t2911 - t115390 - t115391;
  t115410 = t633 * t20304 * t223 / 0.6e1;
  t115412 = t13952 * t1765 / 0.6e1;
  t115418 = t20122 * t21714;
  t115435 = t14357 * t1745;
  t115441 = t62 * t20162;
  t115442 = t115441 * t206;
  t115460 = 0.18e2 * t14313 * t14310 - 0.24e2 * t115418 * t1315 - 0.6e1 * t20123 * t796 + 0.4e1 * t2866 * t14299 - 0.16e2 / 0.3e1 * t70384 * t14369 + 0.2e1 * t84171 - t84173 / 0.3e1 + 0.18e2 * t84179 + 0.6e1 * t84181 + 0.6e1 * t84183 + 0.18e2 * t98856 * t815 * t14365 - 0.12e2 * t7651 * t815 * t115435 + 0.32e2 * t70384 * t14359 - 0.2e1 / 0.3e1 * t36191 * t802 * t115442 + 0.4e1 * t11138 * t233 * t14357 * t14187 + 0.2e1 * t70373 * t3580 * t14358 + 0.9e1 * t14328 * t22290 * t14291 - 0.2e1 * t519 * t3562 * t2883 * t14187;
  t115463 = t20154 * t21138;
  t115468 = t20158 * t20885;
  t115471 = t20147 * t206;
  t115475 = t2883 * t1745;
  t115501 = t62 * t20146;
  t115512 = 0.6e1 * t14318 * t14322 - 0.12e2 * t115463 * t1320 - 0.4e1 * t20155 * t3543 + 0.4e1 / 0.3e1 * t115468 * t9041 - 0.2e1 / 0.3e1 * t1876 * t3130 * t115471 - 0.4e1 * t1876 * t3130 * t115475 + 0.6e1 * t2870 * t22290 * t14294 - t14328 * t20876 * t14291 / 0.6e1 + 0.32e2 / 0.3e1 * t14318 * t14301 - t1872 * t788 * t115471 - t519 * t3562 * t20147 * t794 - 0.4e1 * t1872 * t788 * t115475 + 0.6e1 * t14313 * t14292 + 0.4e1 * t2866 * t14295 + 0.4e1 * t98877 + 0.2e1 * t98933 + 0.2e1 * t11138 * t233 * t115501 * t794 + 0.2e1 * t7651 * t802 * t115435 - t519 * t788 * t63 * t114539;
  t115524 = t20822 * t20121 * t20844;
  t115529 = t20163 * t206;
  t115541 = t2870 * t3130 * t14298 - t20166 - t16308 + t99013 + 0.18e2 * t14328 * t3130 * t14304 - 0.72e2 * t115468 * t9031 - 0.18e2 * t20159 * t22317 + 0.8e1 / 0.3e1 * t115524 * t76118 + 0.2e1 * t1870 * t20192 - 0.2e1 * t1876 * t22309 * t115529 + t1876 * t3556 * t115471 - 0.9e1 * t84235 - 0.6e1 * t84243 - 0.12e2 * t84248 - t84254 + t84256 / 0.6e1 + 0.18e2 * t84258 - 0.12e2 * t84264;
  t115567 = t115501 * t206;
  t115582 = -t1870 * t20187 - t14328 * t3168 * t14304 / 0.3e1 + t20159 * t22277 / 0.3e1 - t115524 * t76246 / 0.9e1 + 0.2e1 * t1872 * t3562 * t115529 + 0.3e1 * t519 * t22302 * t20163 * t794 - 0.4e1 * t99095 - 0.2e1 * t99126 - 0.2e1 * t99127 + 0.4e1 * t99128 + 0.2e1 / 0.3e1 * t99130 - 0.3e1 * t98856 * t802 * t14365 - 0.8e1 * t98887 * t14366 + t7651 * t802 * t115567 / 0.3e1 + 0.8e1 * t7655 * t233 * t115435 - 0.12e2 * t70364 * t14362 + t70373 * t3590 * t14358 / 0.3e1 + 0.2e1 * t7655 * t233 * t115567 + t20182;
  t115611 = -0.6e1 * t53473 * t233 * t115441 * t794 - 0.4e1 * t36100 * t233 * t115442 + 0.4e1 * t36191 * t815 * t115442 - 0.2e1 * t7651 * t815 * t115567 + 0.24e2 * t115463 * t1328 + 0.24e2 * t115524 * t76121 - 0.12e2 * t14318 * t14346 - 0.18e2 * t70373 * t14369 + t18113 - 0.9e1 * t84303 + 0.6e1 * t84313 + 0.1e2 * t84319 - 0.3e1 * t84328 + 0.6e1 * t84329 + t9022 - t9047 - t9048 - t9050;
  t115644 = 0.8e1 * t20155 * t3616 - 0.3e1 * t84353 + 0.2e1 * t84354 + 0.3e1 * t84356 + t20198 + t20199 - t20200 + 0.36e2 * t115468 * t9103 - 0.2e1 * t2866 * t14340 + 0.9e1 * t20159 * t22424 + 0.18e2 * t14318 * t14372 - 0.36e2 * t115463 * t1338 - 0.12e2 * t20155 * t3607 - 0.1e2 * t20159 * t22439 - 0.9e1 * t14328 * t3130 * t14345 + t519 * t788 * t60 * t114539 / 0.2e1 + t1870 * t20148 / 0.2e1 + 0.1e2 / 0.3e1 * t115524 * t76157 - 0.12e2 * t115524 * t76138;
  t115681 = 0.1e2 * t14328 * t3125 * t14345 - 0.9e1 * t14313 * t14378 + 0.12e2 * t115418 * t1334 - 0.2e1 * t2870 * t3130 * t14339 - 0.4e2 * t115468 * t9113 + 0.3e1 * t2870 * t3556 * t14339 - t1870 * t20164 + 0.3e1 * t20123 * t812 - 0.2e1 / 0.3e1 * t115468 * t9097 + t14328 * t3168 * t14345 / 0.6e1 - t20159 * t22359 / 0.6e1 + 0.5e2 / 0.3e1 * t115524 * t76143 - 0.4e1 * t84422 - t20210 - 0.36e2 * t84424 - 0.2e1 * t84426 + 0.18e2 * t84436 - 0.4e1 / 0.3e1 * t99255 - 0.6e1 * t2870 * t3556 * t14298;
  t115712 = 0.2e1 * t20159 * t22334 - 0.4e1 / 0.3e1 * t115524 * t76013 + 0.8e1 * t115468 * t9028 - 0.2e1 * t14328 * t3125 * t14304 - 0.36e2 * t14318 * t14305 + 0.72e2 * t115463 * t1324 + 0.24e2 * t20155 * t3557 + 0.6e1 * t1876 * t3556 * t115475 - 0.16e2 * t14318 * t14331 - 0.9e1 * t2870 * t22309 * t14294 - 0.1e2 * t14328 * t20862 * t14291 + 0.4e1 / 0.3e1 * t1876 * t22290 * t115529 - t2138 + t9091 + t9093 - t9100 + t9121 - 0.2e1 * t99260 + t2119;
  t115731 = -t515 * t71028 / 0.4e1 - t515 * t71032 / 0.4e1 - t1750 * t14230 / 0.4e1 + t2844 * t35647 + t13955 * t7491 + t2844 * t37096 - 0.3e1 / 0.4e1 * t1770 * t14237 - 0.3e1 / 0.2e1 * t36048 * t2899 + 0.3e1 / 0.2e1 * t630 * t20325 - t115410 + t115412 - 0.3e1 / 0.4e1 * t182 * t20373 - t7251 * t98361 - t30 * t59 * (t115460 + t115512 + t115541 + t115582 + t115611 + t115644 + t115681 + t115712) * t95 / 0.4e1 + t98820 - t98824 + t7251 * t4877 * t114408 / 0.4e1 - 0.3e1 / 0.4e1 * t30 * t1892 * t2933 - t30 * t238 * t20390 / 0.4e1 - t182 * t20391 / 0.4e1;
  t115740 = t188 * t20214 / 0.12e2;
  t115753 = -0.3e1 / 0.4e1 * t30 * t525 * t14110 - 0.3e1 / 0.4e1 * t182 * t20394 - t8896 - t8900 - t115740 + 0.3e1 / 0.2e1 * t84067 + 0.7e1 * t84070 - 0.3e1 * t84073 - 0.9e1 * t84075 + t8913 + t8915 - t8939 - t8952 + t8954 - 0.3e1 * t7587 * t13987 + 0.9e1 * t7587 * t13990 + 0.3e1 * t7587 * t13993 - t84090 / 0.4e1 - t84092 / 0.4e1;
  t115755 = t637 * t20271 / 0.2e1;
  t115758 = 0.1e1 / t32 / t7293;
  t115762 = t115758 * tau[0];
  t115783 = 0.2e3 * t115758 * t264 * tau[0] + 0.4e3 * t21827 * t115762 - 0.48e4 * t21830 * t115762 - 0.7e4 * t21833 * t115762 - 0.28e4 * t21838 * t115762 + 0.12e4 * t21843 * t115762 + 0.9e3 * t3314 * t14084 + 0.225e4 * t3321 * t14084 + 0.105e4 * t3326 * t14084 - 0.51e3 * t3331 * t14084 - 0.78e3 * t3334 * t14084 - 0.3e2 * t14085;
  t115810 = t637 * t20367 / 0.2e1;
  t115819 = -t115755 - t30 * t65 * t253 * t115783 / 0.4e1 - t2844 * t3520 * t606 * t2852 - t13955 * t20278 + t2844 * t3690 * t14189 / 0.2e1 - 0.9e1 / 0.2e1 * t13908 * t4808 * t677 * t13899 + 0.18e2 * t114325 * t8947 + t2844 * t36668 + 0.23e2 / 0.12e2 * t13908 * t83345 + 0.2e1 * t1779 * t70336 + 0.7e1 / 0.3e1 * t20319 * t21037 + t13955 * t7582 + t115810 + t8974 + t99383 / 0.6e1 + t99385 / 0.6e1 - t99387 / 0.3e1 - 0.3e1 / 0.2e1 * t7592 * t2907 + 0.36e2 * t679 * t115160 * t8933;
  t115823 = t4877 * t3264 * t72115 * t2851;
  t115834 = t9744 * t4991 * t114970;
  t115841 = t843 * t7213 * t14228;
  t115846 = params->at * t20389;
  t115848 = t843 * t837 * t115846;
  t115874 = -t20708 * t115823 - t182 * t20214 / 0.4e1 - 0.3e1 * t4993 * t14120 * t13986 + 0.3e1 * t4993 * t114966 * t3362 - 0.9e1 / 0.2e1 * t26808 * t115834 + 0.3e1 / 0.2e1 * t4993 * t69407 * t20240 - t211 * t115841 / 0.4e1 + 0.3e1 / 0.4e1 * t1770 * t14234 - t211 * t115848 / 0.12e2 + t246 * t115846 * t226 * t249 / 0.4e1 - 0.3e1 * t679 * t114605 * t3126 - 0.5e1 / 0.12e2 * t13908 * t83290 - t2844 * t35781 / 0.4e1 - 0.23e2 / 0.12e2 * t20319 * t21625 + 0.3e1 / 0.4e1 * t14011 * t1802 + t2839 * t7374 / 0.2e1 + t7254 * t4762 * t114745 - 0.3e1 / 0.2e1 * t71047 * t11167 - t71614 * t7358 / 0.2e1;
  t115920 = -0.9e1 / 0.2e1 * t9877 * t14328 * t20876 * t13930 - t20319 * t21532 / 0.2e1 - 0.3e1 * t3070 * t20335 - t13955 * t7595 / 0.2e1 - 0.3e1 / 0.2e1 * t84498 - 0.3e1 / 0.2e1 * t84500 - 0.3e1 / 0.2e1 * t84503 - 0.3e1 / 0.2e1 * t84506 + 0.23e2 / 0.12e2 * t13908 * t4808 * t14137 - 0.23e2 / 0.3e1 * t114325 * t8943 - 0.3e1 / 0.2e1 * t84574 + 0.3e1 / 0.2e1 * t7592 * t2903 + 0.3e1 / 0.2e1 * t7600 * t2903 + 0.3e1 / 0.2e1 * t1770 * t13978 + 0.3e1 * t679 * t114385 * t3078 + 0.9e1 * t679 * t13989 * t13986 - 0.6e1 * t679 * t114869 * t3362 + 0.3e1 / 0.4e1 * t246 * t70144 * t518 * t249 + 0.3e1 / 0.4e1 * t246 * t14228 * t1869 * t249 - 0.3e1 / 0.2e1 * t3061 * t20245;
  t115926 = my_piecewise3(t2, 0, t115920 + t115874 + t115819 + t115753 + t115731 + t115392 + t115362 + t115313 + t115271 + t115224 + t115190 + t115144 + t115089 + t115055 + t115025 + t114998 + t114937 + t114904 + t114867 + t114817 + t114773 + t114724 + t114685 + t114643 + t114587 + t114547 + t114405 + t114362 + t114307 + t114270 + t114232 + t114177);
  tv4rhotau30 = t3 * t115926 + t20409;

  if(out->v4rhotau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 0] += tv4rhotau30;

  tv4rhotau31 = 0.e0;

  if(out->v4rhotau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 1] += tv4rhotau31;

  tv4rhotau32 = 0.e0;

  if(out->v4rhotau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 2] += tv4rhotau32;

  t115930 = t937 * t20415;
  t115932 = 0.2e1 / 0.3e1 * t115930 * t1020;
  t115934 = t948 * t20561 / 0.2e1;
  t115935 = t948 * t20558;
  t115936 = t4005 * t20554;
  t115939 = t937 * t20428 * t350 / 0.6e1;
  t115941 = t115930 * t1015 / 0.3e1;
  t115943 = t115930 * t1010 / 0.6e1;
  t115945 = t14433 * t8271 / 0.6e1;
  t115947 = t1905 * t14661 / 0.12e2;
  t115949 = t7997 * t3018 / 0.2e1;
  t115951 = t14433 * t8309 / 0.12e2;
  t115953 = t23651 * t20551 / 0.2e1;
  t115954 = t937 * t20421;
  t115956 = 0.23e2 / 0.108e3 * t115954 * t4156;
  t115958 = t14433 * t8275 / 0.3e1;
  t115960 = 0.7e1 / 0.9e1 * t115954 * t4200;
  t115962 = t115954 * t4707 / 0.6e1;
  t115963 = -0.3e1 / 0.4e1 * t23548 * t20680 - t115932 + t115934 - t115935 - t115936 - t115939 + t115941 + t115943 - t115945 - t115947 + t115949 - t115951 + t115953 + t115956 + t115958 + t115960 - t115962;
  t115964 = t933 * t20421;
  t115975 = t84624 / 0.4e1;
  t115976 = t99459 / 0.6e1;
  t115979 = t84656 / 0.4e1;
  t115980 = t84658 / 0.12e2;
  t115993 = -0.5e1 / 0.36e2 * t115964 * t4231 + t14485 * t1965 / 0.2e1 - 0.3e1 / 0.2e1 * t84595 - 0.3e1 / 0.2e1 * t84597 + t38588 * t20593 / 0.4e1 - t945 * t20685 / 0.4e1 + t115975 - t115976 - t84639 / 0.4e1 + 0.3e1 / 0.4e1 * t84652 + t115979 - t115980 - t1902 * t20584 / 0.6e1 + 0.7e1 / 0.3e1 * t115964 * t4200 - t115964 * t4707 / 0.2e1 + 0.3e1 / 0.2e1 * t945 * t20561 - 0.3e1 * t945 * t20558 - 0.3e1 * t3971 * t20554;
  t116000 = t115954 * t4193 / 0.2e1;
  t116002 = t14438 * t1951 / 0.6e1;
  t116006 = t14433 * t8157 / 0.3e1;
  t116007 = t84694 / 0.6e1;
  t116008 = t84702 / 0.6e1;
  t116009 = t84706 / 0.3e1;
  t116015 = t14438 * t1965 / 0.6e1;
  t116017 = t14438 * t2957 / 0.9e1;
  t116021 = t84736 / 0.2e1;
  t116022 = 0.3e1 / 0.2e1 * t24004 * t20551 + t14485 * t1951 / 0.2e1 - t116000 + t116002 - 0.3e1 / 0.4e1 * t8016 * t3015 + t116006 + t116007 - t116008 + t116009 + 0.3e1 / 0.2e1 * t8016 * t3006 - t1902 * t14706 / 0.4e1 + t116015 - t116017 - t84710 / 0.4e1 + t84718 / 0.2e1 - t84728 / 0.2e1 - t116021;
  t116023 = t84738 / 0.2e1;
  t116024 = t84741 / 0.2e1;
  t116027 = t948 * t20639 / 0.2e1;
  t116029 = t7997 * t3006 / 0.2e1;
  t116031 = t7997 * t3015 / 0.4e1;
  t116033 = t948 * t20629 / 0.4e1;
  t116035 = t4005 * t20692 / 0.2e1;
  t116037 = t14433 * t8153 / 0.6e1;
  t116045 = t948 * t20688 / 0.3e1;
  t116047 = t948 * t20685 / 0.12e2;
  t116054 = -t116023 + t116024 - t99572 / 0.2e1 - t116027 + t116029 - t116031 + t116033 + t116035 - t116037 + t1902 * t20605 / 0.12e2 - t14447 * t8153 / 0.2e1 - t1902 * t14793 / 0.2e1 + t116045 - t116047 - t84751 / 0.4e1 + 0.3e1 / 0.4e1 * t84755 - 0.3e1 / 0.2e1 * t3971 * t20625 - t14485 * t2957 / 0.3e1;
  t116058 = t14433 * t20649 / 0.3e1;
  t116062 = t4005 * t20625 / 0.2e1;
  t116064 = t1905 * t20584 / 0.18e2;
  t116065 = t84776 / 0.12e2;
  t116067 = t14433 * t20614 / 0.12e2;
  t116069 = t1905 * t20611 / 0.12e2;
  t116071 = t14433 * t8150 / 0.12e2;
  t116073 = t1905 * t20605 / 0.36e2;
  t116075 = t1905 * t14706 / 0.12e2;
  t116077 = t1905 * t14793 / 0.6e1;
  t116079 = t294 * t20534 / 0.12e2;
  t116081 = t948 * t20539 / 0.6e1;
  t116082 = -t116058 - 0.3e1 / 0.2e1 * t945 * t20620 - t116062 - t116064 - t116065 + t116067 + t116069 - t116071 + t116073 - t116075 - t116077 - t116079 - t9147 - t9168 + t9172 + t9195 + t116081;
  t116090 = t14433 * t20645 / 0.6e1;
  t116092 = t948 * t20642 / 0.2e1;
  t116094 = t38688 * t3002 / 0.2e1;
  t116096 = t7997 * t3010 / 0.2e1;
  t116098 = t72202 * t570 / 0.4e1;
  t116099 = t4005 * t20579;
  t116101 = 0.5e1 / 0.108e3 * t115954 * t4231;
  t116103 = t948 * t20576 / 0.2e1;
  t116105 = 0.11e2 / 0.54e2 * t115954 * t4151;
  t116107 = t294 * t20655 / 0.4e1;
  t116109 = t294 * t20676 / 0.4e1;
  t116111 = t294 * t20673 / 0.12e2;
  t116115 = t14447 * t20614 / 0.4e1 + t1902 * t20611 / 0.4e1 - t14447 * t8150 / 0.4e1 + t116090 + t116092 - t116094 - t116096 + t116098 + t116099 - t116101 + t116103 - t116105 - t116107 - t116109 - t116111 + t99638 / 0.6e1 + t84822 + 0.3e1 / 0.4e1 * t945 * t20629;
  t116117 = t99673 / 0.18e2;
  t116118 = t84864 / 0.12e2;
  t116123 = t933 * t20415;
  t116150 = t116117 - t116118 + 0.3e1 / 0.2e1 * t3971 * t20692 - t14447 * t8309 / 0.4e1 + t116123 * t1010 / 0.2e1 - t14447 * t8271 / 0.2e1 - t1902 * t14661 / 0.4e1 - t933 * t20428 * t350 / 0.2e1 - 0.11e2 / 0.18e2 * t115964 * t4151 + 0.23e2 / 0.36e2 * t115964 * t4156 - 0.2e1 * t116123 * t1020 - 0.3e1 / 0.2e1 * t8016 * t3010 + 0.3e1 * t3971 * t20579 + 0.3e1 / 0.2e1 * t945 * t20576 + 0.3e1 / 0.4e1 * t72211 * t570 + t116123 * t1015 + 0.3e1 / 0.2e1 * t8016 * t3018;
  t116157 = t948 * t20620 / 0.2e1;
  t116159 = t38942 * t20593 / 0.12e2;
  t116161 = t24028 * t20680 / 0.4e1;
  t116182 = -0.3e1 / 0.2e1 * t38631 * t3002 - 0.3e1 / 0.2e1 * t115964 * t4193 + t14447 * t8275 - t116157 + t116159 - t116161 + t945 * t20539 / 0.2e1 - t290 * t20534 / 0.4e1 + t945 * t20688 + t14447 * t8157 - t14447 * t20649 + t14447 * t20645 / 0.2e1 + 0.3e1 / 0.2e1 * t945 * t20642 - 0.3e1 / 0.2e1 * t945 * t20639 - 0.3e1 / 0.4e1 * t290 * t20676 - 0.3e1 / 0.4e1 * t290 * t20655 - t290 * t20673 / 0.4e1 + 0.3e1 / 0.2e1 * t84887;
  t116186 = my_piecewise3(t100, 0, t115963 + t115993 + t116022 + t116054 + t116082 + t116115 + t116150 + t116182);
  tv4rhotau33 = t3 * t116186 + t20700;

  if(out->v4rhotau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 3] += tv4rhotau33;

  t116204 = t897 * t20284;
  t116208 = t897 * t20318;
  t116218 = t84907 - t84909 / 0.2e1 - t84920 / 0.4e1 + t84924 / 0.2e1 - t14512 * t7595 / 0.2e1 - 0.3e1 / 0.2e1 * t7869 * t2907 - t897 * t20304 * t223 / 0.2e1 + 0.3e1 * t3740 * t20298 + 0.3e1 / 0.2e1 * t903 * t20292 + 0.3e1 / 0.4e1 * t72035 * t530 + t116204 * t667 - 0.2e1 * t116204 * t672 - 0.3e1 / 0.2e1 * t116208 * t3158 + 0.7e1 / 0.3e1 * t116208 * t3153 + t14512 * t7582 - t116208 * t3150 / 0.2e1 + 0.23e2 / 0.36e2 * t116208 * t3146;
  t116223 = t1923 * t20223 / 0.12e2 - t114246 + t114259 - t114262 - t114267 - t114269 + t114274 - t114278 + t114280 + t114282 + t114284 + t114286 + t114288 - t114290 - t114300 + t14512 * t20274 / 0.2e1 - t114389 + t114390;
  t116243 = -t99787 / 0.2e1 - t14517 * t2854 / 0.3e1 - t14512 * t20278 + t14517 * t1807 / 0.2e1 - t114401 - t114579 - 0.11e2 / 0.18e2 * t116208 * t3141 - 0.3e1 * t3740 * t20335 + 0.3e1 / 0.2e1 * t7869 * t2915 + 0.3e1 / 0.2e1 * t22632 * t20332 + 0.3e1 / 0.2e1 * t903 * t20325 - 0.3e1 / 0.2e1 * t37752 * t2899 + t114642 + t114645 - t114649 + t114691 - t114778;
  t116248 = -t114780 - 0.3e1 * t903 * t20338 - t114855 + t114857 - t114859 - t114861 - 0.3e1 / 0.4e1 * t7869 * t2912 + t114902 + t114903 + t114909 - t9224 + t9234 - t8624 + t8645 - t114950 + t114997 - t115000 + t115002;
  t116264 = -t84989 / 0.4e1 + 0.3e1 / 0.2e1 * t84991 - t115009 + t115014 + t14517 * t1765 / 0.2e1 - 0.5e1 / 0.36e2 * t116208 * t3178 - t14512 * t7532 / 0.4e1 + t116204 * t662 / 0.2e1 - t1923 * t14006 / 0.4e1 + t115016 - t115018 + t115020 - t115022 + t115024 + 0.3e1 / 0.4e1 * t84998 + t115046 + t115048;
  t116287 = -t307 * t20214 / 0.4e1 - t115059 - t14512 * t7487 / 0.2e1 + t1923 * t20218 / 0.4e1 - t1923 * t14400 / 0.2e1 + t115064 + t115066 - 0.3e1 / 0.4e1 * t307 * t20373 - t307 * t20391 / 0.4e1 + t14512 * t20228 / 0.4e1 - t1923 * t20364 / 0.6e1 - t14512 * t7516 / 0.4e1 - t115132 + t115193 - t115195 + 0.3e1 / 0.2e1 * t7869 * t2903 + t903 * t20355 / 0.2e1 + t115216;
  t116302 = -t115218 - t115222 - t115233 + t115234 - t85015 / 0.4e1 + 0.3e1 / 0.4e1 * t85019 - t115281 - 0.3e1 / 0.2e1 * t903 * t20271 - 0.3e1 / 0.2e1 * t903 * t20359 + t99926 / 0.6e1 + t115334 + t14512 * t7491 - t1923 * t14230 / 0.4e1 + 0.3e1 / 0.2e1 * t3740 * t20241 + t903 * t20237 - t115336 - t115372;
  t116319 = -t115374 - t115376 - 0.3e1 / 0.4e1 * t307 * t20394 - 0.3e1 / 0.2e1 * t85036 - 0.3e1 / 0.2e1 * t85038 - t115390 - t115391 - t115410 + t115412 - t115740 - 0.3e1 / 0.2e1 * t3740 * t20245 - t115755 - t903 * t20266 / 0.4e1 + t115810 + 0.3e1 / 0.2e1 * t903 * t20367 + 0.3e1 / 0.4e1 * t903 * t20250 + t37747 * t20400 / 0.4e1 - 0.3e1 / 0.4e1 * t22522 * t20403;
  t116323 = my_piecewise3(t2, 0, t116218 + t116223 + t116243 + t116248 + t116264 + t116287 + t116302 + t116319);
  tv4rhotau34 = t3 * t116323 + t20409;

  if(out->v4rhotau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 4] += tv4rhotau34;

  tv4rhotau35 = 0.e0;

  if(out->v4rhotau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 5] += tv4rhotau35;

  tv4rhotau36 = 0.e0;

  if(out->v4rhotau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 6] += tv4rhotau36;

  t116333 = t20413 * t24537;
  t116335 = t321 * t20823 * t116333;
  t116344 = params->at * t20671;
  t116346 = t1101 * t1095 * t116344;
  t116354 = t1101 * t8262 * t14704;
  t116357 = -0.3e1 / 0.2e1 * t85074 - 0.2e1 * t20416 * t4361 - 0.11e2 / 0.6e1 * t14711 * t5733 * t14860 + 0.11e2 / 0.6e1 * t20422 * t24276 - 0.61e2 / 0.27e2 * t116335 * t77024 - 0.3e1 / 0.2e1 * t1058 * t20620 - 0.3e1 / 0.2e1 * t373 * t8600 * t2968 * t1047 - t338 * t116346 / 0.12e2 + t373 * t116344 * t353 * t376 / 0.4e1 - t338 * t116354 / 0.4e1 - t115932 + t115934 - t115935 - t115936 - t115939 + t115941 + t115943 - t115945 - t115947;
  t116370 = t321 * t649 * t20420;
  t116383 = t115949 - t115951 + t115953 + t115956 + t115958 + t115960 - t115962 + t20416 * t4550 - 0.6e1 * t14831 * t14772 + 0.4e1 * t20416 * t4378 - 0.3e1 * t1956 * t14910 + 0.3e1 / 0.2e1 * t1956 * t14674 + 0.3e1 * t14831 * t14861 - 0.6e1 * t116370 * t1426 - 0.2e1 * t20416 * t4554 - 0.3e1 * t8280 * t14804 + 0.3e1 * t8280 * t14858 - 0.3e1 / 0.2e1 * t8280 * t14854 + 0.3e1 * t1956 * t14908;
  t116405 = t8262 * t14770;
  t116416 = t20487 * t333;
  t116417 = t168 * t116416;
  t116421 = -0.9e1 / 0.2e1 * t14711 * t5595 * t1027 * t14770 + 0.9e1 / 0.2e1 * t20422 * t25331 - 0.43e2 / 0.9e1 * t116335 * t77150 - 0.3e1 / 0.2e1 * t20422 * t25567 + 0.3e1 * t85090 + t85091 - 0.11e2 / 0.6e1 * t85093 - 0.2e1 * t116335 * t77132 + 0.7e1 * t14711 * t85721 - 0.9e1 / 0.2e1 * t14711 * t85725 - t2180 + t2251 - 0.5e1 / 0.36e2 * t20422 * t24360 + t1974 * t1101 * t116405 - 0.3e1 / 0.2e1 * t15036 * t11603 - t2942 * t8264 / 0.2e1 - 0.5e1 / 0.12e2 * t14711 * t86161 - t2947 * t39725 / 0.4e1 + t8219 * t9444 * t116417 / 0.3e1;
  t116433 = t1030 * t20414;
  t116466 = -t1070 * t20685 / 0.4e1 + 0.2e1 * t1981 * t1430 * t1954 * t14770 - 0.2e1 * t2947 * t39562 + 0.23e2 / 0.12e2 * t14711 * t85478 + t2947 * t39925 - 0.6e1 * t1029 * t116433 * t4307 + 0.3e1 / 0.4e1 * t1956 * t14827 - 0.3e1 * t116370 * t1457 - t20429 * t1103 / 0.2e1 - t14581 * t2957 / 0.3e1 - t2942 * t14757 / 0.3e1 - t2942 * t14866 / 0.3e1 + t14581 * t1965 / 0.2e1 + t2942 * t8563 / 0.2e1 + t2942 * t8602 / 0.2e1 + 0.3e1 / 0.2e1 * t1956 * t14799 - 0.3e1 / 0.2e1 * t1070 * t20639 - 0.3e1 / 0.2e1 * t1058 * t20639 - 0.3e1 / 0.2e1 * t373 * t14857 * t4305 * t1013 * t14748;
  t116473 = t8600 * t2972;
  t116477 = t583 * t1936;
  t116478 = t380 * t116477;
  t116512 = 0.3e1 / 0.2e1 * t1070 * t20642 + 0.3e1 / 0.2e1 * t1058 * t20642 + 0.3e1 / 0.2e1 * t373 * t116473 * t1039 - t8063 * t5695 * t116478 / 0.2e1 + 0.3e1 / 0.2e1 * t73070 * t11780 - t85131 / 0.4e1 + 0.3e1 / 0.4e1 * t85133 + 0.3e1 / 0.4e1 * t85137 - t1941 * t14793 / 0.2e1 - t1946 * t14793 / 0.2e1 - t1941 * t20584 / 0.6e1 - t1946 * t20584 / 0.6e1 - t555 * t4354 * t4440 * t20582 / 0.6e1 + t1974 * t100939 / 0.2e1 + t555 * t73506 / 0.4e1 - 0.3e1 / 0.2e1 * t1070 * t20620 + t2942 * t8553 / 0.2e1 + t40920 * t20593 / 0.4e1 + t8063 * t56645 * t14627 / 0.4e1;
  t116516 = t583 * t2939;
  t116518 = t10358 * t5647 * t116516;
  t116521 = t11402 * t2945;
  t116556 = -t8214 * t85758 * t14631 / 0.2e1 - 0.9e1 / 0.2e1 * t45332 * t116518 + 0.3e1 * t5649 * t116521 * t4307 - 0.3e1 * t5649 * t14814 * t14803 - 0.3e1 / 0.4e1 * t73236 * t30141 * t14631 - 0.5e1 / 0.12e2 * t73218 * t85243 + t2947 * t4553 * t14756 / 0.2e1 - 0.3e1 / 0.4e1 * t318 * t20655 - t8063 * t30141 * t116417 / 0.6e1 - 0.3e1 / 0.2e1 * t85193 - 0.3e1 / 0.2e1 * t85195 - 0.3e1 / 0.2e1 * t85198 - 0.3e1 / 0.2e1 * t85202 + 0.3e1 / 0.2e1 * t85207 + 0.3e1 / 0.2e1 * t85209 + 0.3e1 / 0.2e1 * t85212 - t8219 * t40145 * t14627 / 0.2e1 - 0.8e1 / 0.3e1 * t73070 * t14918 - 0.3e1 / 0.2e1 * t73236 * t30134 * t14631;
  t116564 = t2954 * t1936;
  t116565 = t168 * t116564;
  t116568 = t2954 * t14748;
  t116580 = t1430 * t14664 * t8252;
  t116596 = 0.11e2 / 0.6e1 * t73218 * t29468 * t14627 + t73236 * t5674 * t14639 / 0.2e1 + t8063 * t5674 * t116565 + t5665 * t559 * t4575 * t116568 - t555 * t72988 / 0.4e1 - t1981 * t1423 * t116405 + 0.3e1 * t14831 * t11562 + t2947 * t39313 + t4533 * t116580 + 0.3e1 / 0.4e1 * t14666 * t2045 - 0.3e1 / 0.2e1 * t14666 * t2037 - 0.3e1 / 0.4e1 * t14666 * t2041 - 0.9e1 * t85227 - 0.3e1 / 0.2e1 * t85246 - t85248 / 0.2e1 + 0.3e1 / 0.2e1 * t85250 + t85252 / 0.2e1 + t85260 / 0.2e1 - 0.3e1 / 0.2e1 * t73900 * t11746;
  t116620 = t1430 * t1954 * t72781;
  t116625 = t20413 * t24087;
  t116627 = t321 * t3135 * t116625;
  t116630 = t4719 * t20420;
  t116634 = t167 * t20413;
  t116636 = t28999 * t4716 * t116634;
  t116639 = t1088 * t20467;
  t116643 = -t73912 * t8211 / 0.2e1 - t8063 * t101438 - t8063 * t101000 / 0.2e1 + t115975 - t115976 + 0.9e1 / 0.2e1 * t85267 - 0.3e1 / 0.2e1 * t85270 + t85319 + 0.3e1 / 0.4e1 * t85321 + 0.3e1 / 0.4e1 * t373 * t73061 * t558 * t376 + 0.3e1 / 0.4e1 * t373 * t14704 * t2053 * t376 - 0.3e1 * t1956 * t14679 + 0.9e1 / 0.2e1 * t1956 * t14870 + 0.3e1 / 0.2e1 * t1956 * t14686 - 0.6e1 * t45112 * t116620 - 0.3e1 / 0.2e1 * t1956 * t14682 + 0.22e2 / 0.3e1 * t116627 * t9261 - 0.9e1 / 0.2e1 * t4718 * t116630 * t24762 + 0.8e1 * t77402 * t116636 + 0.3e1 / 0.2e1 * t4718 * t116639 * t4721;
  t116678 = -0.9e1 * t1029 * t14876 * t4148 * t4149 * t1936 + 0.9e1 * t1029 * t116630 * t25427 - t1941 * t14706 / 0.4e1 - t1946 * t14706 / 0.4e1 - t555 * t73056 / 0.4e1 - t555 * t73063 / 0.4e1 + t14695 * t8157 + t2947 * t40865 + t2947 * t40868 + t115979 - t115980 + t100472 / 0.6e1 - 0.5e1 / 0.12e2 * t85381 - t85383 / 0.4e1 - t116000 + t116002 - t8214 * t9444 * t380 * t403 * t20487 / 0.6e1 + t39497 * t20593 / 0.4e1 - 0.2e1 * t20416 * t4264;
  t116679 = t1065 * t20421;
  t116686 = t20462 * t333;
  t116687 = t168 * t116686;
  t116703 = t11402 * t14806;
  t116711 = t10447 * t4693 * t116516;
  t116714 = t2939 * t2954;
  t116715 = t1018 * t116714;
  t116716 = t29468 * t116715;
  t116727 = -0.11e2 / 0.18e2 * t116679 * t4151 - 0.11e2 / 0.18e2 * t20422 * t24729 - t85476 / 0.2e1 + 0.3e1 / 0.2e1 * t85487 + t8063 * t5691 * t116687 / 0.12e2 + t4695 * t8077 * t20538 / 0.2e1 - 0.2e1 / 0.3e1 * t8219 * t4687 * t116565 + t73900 * t14628 + 0.2e1 / 0.3e1 * t73912 * t14632 + 0.3e1 * t4695 * t14814 * t14907 - 0.9e1 * t4695 * t116703 * t1415 - 0.3e1 * t4695 * t116521 * t4324 + 0.7e1 * t45332 * t116711 - 0.7e1 * t45332 * t116716 - 0.3e1 / 0.2e1 * t4695 * t73540 * t20638 - 0.3e1 / 0.2e1 * t14711 * t86772 - 0.23e2 / 0.3e1 * t116627 * t9264 + t116006 - t100634 / 0.2e1;
  t116731 = t20462 * t1082;
  t116754 = t5695 * t4693 * t3035 * t552;
  t116756 = t73544 * t1972;
  t116760 = t73544 * t553;
  t116772 = -t100636 / 0.2e1 - t100639 / 0.2e1 - t8214 * t9444 * t168 * t116731 / 0.6e1 - t8219 * t4687 * t116687 / 0.6e1 - t5639 * t2060 * t24435 * t116416 + t5665 * t2060 * t24564 * t116416 - t8063 * t30134 * t116417 / 0.3e1 + 0.2e1 / 0.3e1 * t8063 * t30141 * t1018 * t116416 + t24973 * t116754 - 0.3e1 / 0.2e1 * t4695 * t116756 * t1438 - 0.3e1 / 0.4e1 * t4695 * t116760 * t1084 + t100690 - t100693 + t116007 - t116008 + t116009 - 0.3e1 / 0.4e1 * t110 * t15023 * t584 - 0.3e1 / 0.4e1 * t318 * t20676 - 0.3e1 / 0.4e1 * t110 * t2076 * t3036;
  t116780 = 0.1e1 / t112 / t8387;
  t116784 = t116780 * tau[1];
  t116805 = 0.2e3 * t116780 * t391 * tau[1] - 0.48e4 * t25049 * t116784 - 0.7e4 * t25057 * t116784 - 0.28e4 * t25062 * t116784 + 0.12e4 * t25067 * t116784 + 0.4e3 * t25070 * t116784 + 0.225e4 * t4465 * t14545 + 0.105e4 * t4474 * t14545 - 0.51e3 * t4480 * t14545 - 0.78e3 * t4483 * t14545 + 0.9e3 * t4486 * t14545 - 0.3e2 * t14546;
  t116820 = t29474 * t4191 * t116714;
  t116832 = -t318 * t20673 / 0.4e1 - t110 * t365 * t20672 / 0.4e1 - t110 * t145 * t380 * t116805 / 0.4e1 + t116015 - t116017 - 0.9e1 * t85511 + 0.9e1 / 0.2e1 * t85514 - t85517 / 0.2e1 + 0.3e1 / 0.2e1 * t85524 - 0.3e1 / 0.2e1 * t85528 + t100762 + t100765 - 0.2e1 / 0.3e1 * t100770 - t100773 / 0.2e1 - 0.3e1 / 0.2e1 * t85559 - 0.3e1 / 0.4e1 * t85561 + 0.9e1 / 0.2e1 * t45332 * t116820 + 0.3e1 / 0.2e1 * t5649 * t73540 * t20691 + 0.3e1 * t5639 * t2060 * t4572 * t116564 + t8219 * t100749 / 0.2e1;
  t116842 = t56637 * t73401;
  t116873 = 0.3e1 * t73236 * t30141 * t1018 * t14617 - 0.23e2 / 0.12e2 * t73218 * t29474 * t14656 + 0.2e1 * t24973 * t116842 + t14695 * t20645 / 0.2e1 - t116021 - t116023 + t116024 - 0.11e2 / 0.18e2 * t20422 * t24901 + 0.23e2 / 0.12e2 * t14711 * t5595 * t14771 - 0.23e2 / 0.12e2 * t20422 * t24149 + 0.44e2 / 0.27e2 * t116335 * t77027 + 0.23e2 / 0.36e2 * t20422 * t24917 - 0.3e1 / 0.4e1 * t8296 * t3015 - 0.3e1 / 0.4e1 * t8287 * t3015 - 0.3e1 / 0.4e1 * t1956 * t14717 - 0.3e1 / 0.4e1 * t1956 * t14751 + 0.3e1 / 0.2e1 * t8296 * t3006 + 0.3e1 / 0.2e1 * t8287 * t3006 - 0.3e1 / 0.4e1 * t110 * t2992 * t2021;
  t116883 = t380 * t20591 * t333;
  t116903 = t5691 * t4693 * t73400 * t2954;
  t116911 = t8214 * t25122 * t20592 / 0.4e1 + t8214 * t4687 * t380 * t2020 * t2954 / 0.4e1 - t116027 + t116029 - t116031 + t116033 + t116035 - t116037 + t116045 - t116047 - t8219 * t4687 * t116883 / 0.2e1 - t8214 * t9444 * t380 * t20591 * t1082 / 0.2e1 + t8063 * t5691 * t116883 / 0.4e1 + 0.3e1 / 0.2e1 * t4695 * t14605 * t73524 + 0.3e1 / 0.2e1 * t4695 * t14608 * t74373 - t24973 * t116903 + 0.3e1 * t4204 * t20579 + 0.3e1 * t4188 * t20579 + 0.3e1 / 0.2e1 * t1070 * t20576;
  t116930 = 0.3e1 / 0.2e1 * t1058 * t20576 + 0.3e1 / 0.4e1 * t14666 * t1938 + t2942 * t8316 / 0.2e1 + 0.3e1 / 0.4e1 * t73117 * t570 + 0.3e1 / 0.4e1 * t74990 * t570 - 0.3e1 * t85611 + 0.7e1 * t85615 + 0.3e1 / 0.2e1 * t85618 + 0.9e1 / 0.2e1 * t85621 - t116058 - t116062 - t116064 + t20410 - t9281 + t9283 - t116065 - t110 * t20533 * t404 / 0.4e1 + t9307 + t116067;
  t116955 = t116069 - t116071 + t116073 - t116075 - t116077 + t100980 / 0.6e1 - t116079 + 0.9e1 * t85732 - t9147 + t9172 - 0.3e1 * t4204 * t20554 - 0.3e1 * t4188 * t20554 - 0.3e1 * t1070 * t20558 - 0.3e1 * t1058 * t20558 - 0.3e1 / 0.2e1 * t8296 * t3010 - 0.3e1 / 0.2e1 * t116679 * t4193 - 0.3e1 / 0.2e1 * t20422 * t24836 - 0.3e1 / 0.2e1 * t40223 * t3002 - 0.3e1 / 0.2e1 * t40091 * t3002 - 0.2e1 * t8063 * t5691 * t1018 * t116564;
  t116964 = t1065 * t20415;
  t116977 = t116081 + t116090 + t116092 - t14695 * t8271 / 0.2e1 - t2947 * t40083 / 0.2e1 + t116964 * t1015 + t20416 * t4135 - 0.2e1 * t116964 * t1020 + 0.3e1 / 0.2e1 * t8296 * t3018 + 0.3e1 / 0.2e1 * t8287 * t3018 + 0.3e1 / 0.2e1 * t5649 * t14814 * t74210 - t85811 / 0.4e1 - t116094 - t116096 + t116098 + t116099 - t116101 + t116103 - t116105;
  t117007 = t56210 * t14709;
  t117022 = -t101074 / 0.3e1 + 0.3e1 / 0.4e1 * t85859 + t4695 * t74343 * t3014 - 0.2e1 * t5665 * t2969 * t14618 + 0.2e1 * t5665 * t2056 * t1165 * t116564 - 0.3e1 * t5665 * t14955 * t14613 + 0.5e1 / 0.12e2 * t73218 * t29474 * t14627 + t73236 * t5691 * t14639 / 0.4e1 + 0.3e1 / 0.2e1 * t73218 * t30141 * t14627 + 0.3e1 * t39906 * t14815 - 0.9e1 / 0.2e1 * t5665 * t14932 * t24435 * t14612 + 0.9e1 / 0.2e1 * t4695 * t117007 * t9717 + t8063 * t5674 * t116687 / 0.6e1 + t8063 * t56429 * t14627 / 0.2e1 - 0.3e1 / 0.2e1 * t73218 * t85387 - 0.3e1 / 0.4e1 * t4695 * t73159 * t3014 - t116107 - t116109 - t116111;
  t117044 = t8226 * t2945;
  t117048 = t8226 * t2940;
  t117062 = -t20542 + t85878 / 0.2e1 + t85897 / 0.2e1 + t85899 / 0.2e1 - t85905 / 0.4e1 - t85907 / 0.4e1 + 0.3e1 / 0.4e1 * t85920 + 0.3e1 / 0.4e1 * t85924 - 0.3e1 / 0.4e1 * t4695 * t14608 * t14750 - 0.3e1 / 0.4e1 * t25376 * t20680 - 0.3e1 / 0.4e1 * t25561 * t20680 - 0.3e1 / 0.4e1 * t4695 * t74276 * t3014 - 0.3e1 * t4695 * t14605 * t14678 + 0.9e1 / 0.2e1 * t4695 * t117044 * t1438 + 0.3e1 / 0.2e1 * t4695 * t117048 * t1084 - 0.2e1 * t73236 * t40790 + 0.23e2 / 0.12e2 * t73218 * t85782 + 0.2e1 * t8063 * t5695 * t4693 * t116477 - 0.6e1 * t73070 * t11556;
  t117085 = t2972 * t4160;
  t117090 = t14931 * t4140;
  t117093 = 0.4e1 * t14733 * t74373 - 0.4e1 / 0.3e1 * t14730 * t74210 + 0.4e1 * t14727 * t73524 - 0.4e1 * t14730 * t74202 - 0.8e1 * t14745 * t14907 + 0.8e1 * t2981 * t4324 + 0.4e1 / 0.3e1 * t14745 * t14803 - 0.4e1 * t117085 * t1410 - 0.4e1 / 0.3e1 * t2981 * t4307 + 0.2e2 / 0.9e1 * t117090 * t9698 - t78030;
  t117104 = t2968 * t999;
  t117111 = t78038 + t78044 + t78046 + 0.2e1 * t561 * t14750 - 0.12e2 * t117090 * t9717 + 0.4e1 / 0.3e1 * t117090 * t9703 + 0.24e2 * t117085 * t1415 + 0.8e1 * t14740 * t14678 - 0.12e2 * t117104 * t1438 - 0.4e1 * t2984 * t1084 + 0.2e1 * t2068 * t3014 - t15352;
  t117115 = t4388 * t2945;
  t117122 = t24205 * t14709;
  t117125 = t78067 - t78095 - t78098 + t78100 + t15340 + 0.8e1 * t14730 * t14907 - 0.8e1 * t117115 * t4324 - 0.4e1 * t14614 - 0.4e1 * t14619 - 0.8e1 / 0.3e1 * t117115 * t4307 + 0.16e2 / 0.9e1 * t117122 * t9698;
  t117132 = t1077 * t2945;
  t117135 = t1077 * t2940;
  t117138 = t4388 * t14806;
  t117151 = -0.2e1 * t74023 * t3014 - 0.2e1 * t14733 * t14750 - 0.8e1 * t14727 * t14678 + 0.12e2 * t117132 * t1438 + 0.4e1 * t117135 * t1084 - 0.8e1 * t117138 * t1410 + 0.8e1 / 0.3e1 * t14730 * t14803 + 0.12e2 * t117122 * t9717 + 0.4e1 * t14823 - 0.24e2 * t117138 * t1415 + 0.32e2 / 0.3e1 * t117122 * t9703 - 0.2e1 / 0.3e1 * t14819;
  t117153 = t117093 + t117111 + t117125 + t117151;
  t117175 = t20487 * t1082;
  t117186 = -t8214 * t9444 * t168 * t116568 / 0.3e1 + t373 * t14685 * t14750 + t1058 * t20688 + t1070 * t20688 + t555 * t1094 * t1095 * t167 * t117153 / 0.12e2 - t14695 * t8150 / 0.4e1 + t5639 * t2060 * t4572 * t116686 / 0.2e1 - t5665 * t2060 * t4626 * t116686 / 0.2e1 - 0.8e1 * t5639 * t14928 * t73629 + t20546 - t5665 * t2056 * t4575 * t116416 - 0.3e1 / 0.2e1 * t5665 * t559 * t24458 * t117175 - t9408 - t9412 + t9416 - t20547 - 0.3e1 / 0.2e1 * t86027 - 0.3e1 / 0.2e1 * t86030 + t8214 * t73551 / 0.4e1 - t8063 * t100746 / 0.4e1;
  t117189 = t101007 * t1979;
  t117236 = t1101 * t72986 * t1963;
  t117244 = 0.3e1 / 0.2e1 * t4695 * t117189 * t1415 + 0.3e1 / 0.2e1 * t57328 * t14819 - 0.3e1 / 0.2e1 * t57324 * t14823 - 0.3e1 * t57332 * t14916 + 0.8e1 * t5665 * t14928 * t14822 - 0.9e1 / 0.2e1 * t10513 * t14932 * t24477 * t14612 + 0.9e1 * t5639 * t14932 * t24418 * t14612 + 0.9e1 / 0.2e1 * t30451 * t117007 * t9698 - 0.9e1 * t5649 * t117007 * t9703 - 0.3e1 / 0.2e1 * t5649 * t117189 * t1410 - t2947 * t39103 / 0.4e1 - t2947 * t39106 / 0.4e1 + t1941 * t20611 / 0.4e1 + t1946 * t20611 / 0.4e1 + t555 * t1094 * t39769 * t2955 / 0.4e1 + t555 * t1094 * t8262 * t14864 / 0.4e1 - t338 * t117236 / 0.4e1 + 0.3e1 / 0.4e1 * t14666 * t1969 + 0.9e1 / 0.2e1 * t373 * t14869 * t14678;
  t117275 = t321 * t194 * t20414;
  t117280 = t1027 * t116634;
  t117281 = t5595 * t117280;
  t117284 = -t1981 * t100374 / 0.4e1 + t20587 - t20590 - t73236 * t5691 * t4693 * t14638 - 0.11e2 / 0.6e1 * t73218 * t85785 + 0.3e1 * t73070 * t11552 + t73236 * t40767 - t8063 * t5679 * t116478 - 0.11e2 / 0.6e1 * t14711 * t85481 - t2947 * t39921 / 0.2e1 + 0.3e1 / 0.2e1 * t14831 * t15027 - t20416 * t4452 + t14695 * t20614 / 0.4e1 + t2947 * t4376 * t14756 / 0.4e1 + t2947 * t4376 * t14865 / 0.4e1 - 0.3e1 / 0.2e1 * t15036 * t15032 + 0.2e1 * t117275 * t1452 + t20429 * t1098 / 0.2e1 + 0.18e2 * t77424 * t117281;
  t117286 = t1088 * t20474;
  t117294 = t374 * t20427;
  t117298 = t371 * t116634;
  t117299 = t1430 * t117298;
  t117309 = t374 * t20414;
  t117313 = t25460 * t116333;
  t117337 = 0.3e1 * t1029 * t117286 * t4219 + 0.3e1 / 0.2e1 * t4204 * t20692 + 0.3e1 / 0.2e1 * t4188 * t20692 - 0.3e1 / 0.2e1 * t373 * t117294 * t1084 + 0.12e2 * t77726 * t117299 + 0.3e1 / 0.2e1 * t373 * t1088 * t20491 * t4209 + 0.9e1 * t1029 * t14807 * t14803 - 0.6e1 * t373 * t117309 * t1438 + 0.6e1 * t373 * t117313 * t77162 + 0.7e1 * t14711 * t5733 * t14771 - 0.7e1 * t20422 * t25327 + 0.89e2 / 0.9e1 * t116335 * t77147 + 0.7e1 / 0.3e1 * t20422 * t25361 + t116117 - 0.3e1 / 0.2e1 * t14711 * t5563 * t14860 + 0.6e1 * t116627 * t9267 + 0.3e1 / 0.2e1 * t20422 * t25629 - 0.38e2 / 0.9e1 * t116335 * t77141 - t20422 * t25632 / 0.2e1;
  t117338 = t5733 * t117298;
  t117351 = t29113 * t117298;
  t117379 = t5691 * t116715;
  t117382 = -0.28e2 * t77424 * t117338 - 0.3e1 * t373 * t117286 * t4215 + 0.9e1 / 0.2e1 * t373 * t14876 * t4148 * t14802 - 0.9e1 / 0.2e1 * t373 * t116630 * t25635 + 0.47e2 / 0.3e1 * t77402 * t117351 + 0.3e1 / 0.2e1 * t373 * t116639 * t4729 + t101274 / 0.6e1 + t101276 / 0.6e1 + t20623 - t116118 - t86097 / 0.4e1 - t86101 / 0.4e1 - t20651 + t8214 * t4687 * t380 * t583 * t14748 / 0.4e1 + t73236 * t40023 / 0.2e1 - t73912 * t14640 / 0.3e1 + t8063 * t5691 * t116565 / 0.2e1 - 0.4e1 / 0.3e1 * t73070 * t14635 + t8214 * t45083 * t168 * t117175 / 0.2e1 + 0.16e2 / 0.3e1 * t45444 * t117379;
  t117417 = -t86138 / 0.4e1 - t86146 / 0.4e1 + t86148 / 0.2e1 + t86155 / 0.4e1 - t86157 / 0.4e1 - t20652 - t555 * t73011 / 0.2e1 - t555 * t74304 / 0.2e1 - t14695 * t8153 / 0.2e1 - t2947 * t40876 / 0.2e1 - t2947 * t40879 / 0.2e1 + t1941 * t20605 / 0.12e2 + t1946 * t20605 / 0.12e2 + t555 * t1094 * t4440 * t20603 / 0.12e2 + 0.9e1 / 0.2e1 * t1956 * t14877 + 0.9e1 / 0.2e1 * t39807 * t14888 - 0.9e1 * t8280 * t14891 - t1981 * t101060 / 0.2e1 - t116157;
  t117455 = t8214 * t4687 * t380 * t403 * t20462 / 0.12e2 + t101407 / 0.3e1 - 0.5e1 / 0.36e2 * t116679 * t4231 - 0.5e1 / 0.36e2 * t20422 * t25224 + t14581 * t1951 / 0.2e1 + t116964 * t1010 / 0.2e1 + t20416 * t4228 / 0.2e1 - t14695 * t8309 / 0.4e1 - t2947 * t39891 / 0.4e1 - 0.3e1 / 0.2e1 * t8287 * t3010 + 0.23e2 / 0.36e2 * t116679 * t4156 + 0.23e2 / 0.36e2 * t20422 * t24708 + 0.3e1 / 0.2e1 * t86204 - 0.6e1 * t86207 - 0.3e1 / 0.2e1 * t86210 - 0.3e1 * t39906 * t14606 - 0.3e1 / 0.2e1 * t39906 * t14609 + 0.3e1 / 0.2e1 * t57324 * t14614 + 0.3e1 / 0.2e1 * t57324 * t14619;
  t117457 = t56645 * t72886;
  t117471 = t5691 * t1018 * t552 * t20462;
  t117493 = -t24973 * t117457 - 0.3e1 / 0.4e1 * t39906 * t14622 - t8063 * t101223 / 0.2e1 + t8219 * t101218 + t8214 * t74943 / 0.2e1 - t20679 + t16513 - 0.3e1 / 0.4e1 * t110 * t565 * t14571 - t24973 * t117471 / 0.3e1 - t4695 * t8077 * t20684 / 0.4e1 + t5665 * t2056 * t1165 * t116686 / 0.2e1 + t5665 * t559 * t4575 * t116731 / 0.2e1 - 0.3e1 / 0.2e1 * t4695 * t14814 * t74202 + t9482 - t9485 - t9487 + 0.7e1 / 0.3e1 * t116679 * t4200 + 0.7e1 / 0.3e1 * t20422 * t24820 + t14695 * t8275;
  t117503 = t349 * t20534;
  t117508 = t321 * t369 * t20532 * t370;
  t117537 = t2947 * t40087 + 0.3e1 / 0.2e1 * t1070 * t20561 + 0.3e1 / 0.2e1 * t1058 * t20561 - t116679 * t4707 / 0.2e1 - t20422 * t25457 / 0.2e1 - t338 * t117503 / 0.12e2 + t117508 * t377 / 0.4e1 - t1065 * t20428 * t350 / 0.2e1 - t20429 * t994 / 0.2e1 - t1941 * t14661 / 0.4e1 - t1946 * t14661 / 0.4e1 - t555 * t74985 / 0.4e1 + 0.3e1 / 0.2e1 * t25290 * t20551 + 0.3e1 / 0.2e1 * t25543 * t20551 + 0.9e1 * t5649 * t116703 * t1410 + t8214 * t40145 * t14639 / 0.4e1 + t116159 - t116161 - 0.5e1 / 0.12e2 * t14711 * t5595 * t14860 + 0.5e1 / 0.12e2 * t20422 * t24805;
  t117583 = t4719 * t116625;
  t117587 = t1030 * t20420;
  t117591 = -0.35e2 / 0.108e3 * t116335 * t77361 + 0.5e1 / 0.3e1 * t116627 * t9360 + t20416 * t4433 / 0.2e1 - t1981 * t1430 * t116405 / 0.2e1 + 0.3e1 / 0.2e1 * t14831 * t11588 + t2947 * t39722 / 0.2e1 - t373 * t8133 * t20684 / 0.4e1 - t373 * t2040 * t1076 * t348 * t117153 / 0.4e1 - t1058 * t20685 / 0.4e1 - 0.3e1 / 0.2e1 * t86236 - t86560 / 0.2e1 + t2947 * t4553 * t14865 / 0.2e1 - t14695 * t20649 - t2947 * t4376 * t1056 * t2955 - t2947 * t4376 * t371 * t14864 + 0.9e1 / 0.2e1 * t4718 * t14876 * t4148 * t4154 * t1936 - 0.18e2 * t1029 * t117313 * t77158 - 0.18e2 * t373 * t117583 * t9717 + 0.18e2 * t373 * t117587 * t1415;
  t117613 = -0.18e2 * t4718 * t117583 * t9698 + 0.36e2 * t1029 * t117583 * t9703 + 0.9e1 * t8280 * t14808 - 0.9e1 * t1956 * t14873 - 0.6e1 * t25474 * t117313 * t77171 + 0.18e2 * t4718 * t117313 * t77176 + t9535 + t9543 - 0.3e1 / 0.4e1 * t86613 + t86618 - t9546 - t9548 + t86691 + t86693 + t86695 - t86707 / 0.2e1 - t86709 / 0.2e1 - t86711 / 0.2e1 - t86727 / 0.4e1;
  t117625 = t29118 * t117280;
  t117650 = t20474 * t24522;
  t117653 = t14969 * t1936;
  t117670 = t142 * t20487;
  t117671 = t117670 * t333;
  t117682 = 0.6e1 * t14928 * t14962 - 0.4e1 * t20475 * t4573 - 0.36e2 * t14928 * t14941 + 0.72e2 * t117650 * t1481 - 0.12e2 * t8508 * t1186 * t117653 + 0.32e2 * t74592 * t14981 + 0.18e2 * t101781 * t1186 * t14974 + 0.2e1 * t74564 * t4599 * t14970 - 0.2e1 * t101733 + 0.2e1 * t101734 + 0.4e1 * t101773 + 0.4e1 * t101775 + 0.2e1 / 0.3e1 * t101777 + 0.4e1 * t40455 * t1186 * t117671 - 0.18e2 * t74564 * t14978 + 0.2e1 * t86271 - t86273 / 0.3e1 - 0.6e1 * t2973 * t4626 * t14922;
  t117688 = t20463 * t333;
  t117691 = t20488 * t333;
  t117695 = t20467 * t24552;
  t117699 = t20822 * t20413 * t24540;
  t117707 = t142 * t20462;
  t117708 = t117707 * t333;
  t117737 = 0.18e2 * t14932 * t4572 * t14940 - 0.18e2 * t20468 * t24611 + t2060 * t4626 * t117688 - 0.2e1 * t2060 * t24564 * t117691 - 0.72e2 * t117695 * t9643 + 0.8e1 / 0.3e1 * t117699 * t77920 + 0.24e2 * t117699 * t77923 + 0.9e1 * t14932 * t24435 * t14925 + t8508 * t1173 * t117708 / 0.3e1 + 0.2e1 * t8508 * t1173 * t117653 - 0.16e2 / 0.3e1 * t74592 * t14978 - 0.3e1 * t101781 * t1173 * t14974 + t74564 * t4586 * t14970 / 0.3e1 + 0.24e2 * t20475 * t4656 + 0.8e1 * t117695 * t9640 - 0.2e1 * t14932 * t4619 * t14940 + 0.2e1 * t20468 * t24622 - 0.4e1 / 0.3e1 * t117699 * t77898 - 0.2e1 * t8508 * t1186 * t117708;
  t117773 = t20491 * t24126;
  t117780 = t2986 * t1936;
  t117790 = -0.2e1 / 0.3e1 * t40455 * t1173 * t117671 - 0.9e1 * t86299 - 0.4e1 * t40461 * t360 * t117671 - 0.6e1 * t58028 * t360 * t117670 * t1082 + 0.4e1 * t11656 * t360 * t14969 * t14748 - t559 * t1165 * t143 * t117153 + 0.2e1 * t2056 * t4575 * t117691 + 0.3e1 * t559 * t24458 * t20488 * t1082 - 0.2e1 * t559 * t4575 * t2986 * t14748 + t2973 * t4572 * t14922 - 0.3e1 * t86316 + 0.18e2 * t14955 * t14952 - 0.24e2 * t117773 * t1472 - 0.6e1 * t20492 * t1167 - 0.12e2 * t117650 * t1477 - 0.4e1 * t2060 * t4572 * t117780 + 0.6e1 * t2973 * t24435 * t14948 - t14932 * t4609 * t14940 / 0.3e1;
  t117818 = 0.4e1 / 0.3e1 * t117695 * t9603 + t20468 * t24478 / 0.3e1 - t16526 + 0.18e2 * t86340 - 0.2e1 * t102024 - 0.4e1 / 0.3e1 * t102025 + t20511 - t20512 + 0.6e1 * t86353 - 0.4e1 * t86355 + 0.8e1 * t8511 * t360 * t117653 - 0.12e2 * t74875 * t14971 - 0.8e1 * t102057 * t14975 + 0.2e1 * t8511 * t360 * t117708 + 0.2e1 * t11656 * t360 * t117707 * t1082 + t102043 - 0.12e2 * t86357 - t20513 + 0.6e1 * t2060 * t4626 * t117780;
  t117853 = -0.16e2 * t14928 * t14926 - 0.9e1 * t2973 * t24564 * t14948 - 0.1e2 * t14932 * t24418 * t14925 + 0.2e1 * t2054 * t20522 + 0.4e1 / 0.3e1 * t2060 * t24435 * t117691 - 0.36e2 * t86361 - t14932 * t24477 * t14925 / 0.6e1 - t2054 * t20517 + 0.1e2 * t86388 + 0.6e1 * t86394 - t86400 + t86402 / 0.6e1 - 0.2e1 * t102073 - 0.4e1 * t102081 + 0.3e1 * t2973 * t4626 * t14986 - 0.12e2 * t14928 * t15009 + 0.24e2 * t117650 * t1485 + 0.8e1 * t20475 * t4613;
  t117881 = -0.2e1 / 0.3e1 * t117695 * t9655 + t14932 * t4609 * t14990 / 0.6e1 - t20468 * t24601 / 0.6e1 + 0.1e2 * t14932 * t4619 * t14990 - t9586 - t9610 - t9611 + t9635 + 0.6e1 * t86431 + 0.6e1 * t86433 + 0.18e2 * t86439 + t9669 - 0.2e1 / 0.3e1 * t2060 * t4572 * t117688 - 0.12e2 * t20475 * t4627 - 0.9e1 * t14955 * t14997 + 0.12e2 * t117773 * t1491 + 0.3e1 * t20492 * t1183 - t2054 * t20489 - 0.2e1 * t2969 * t14987;
  t117908 = -0.9e1 * t14932 * t4572 * t14990 + 0.36e2 * t117695 * t9686 + 0.9e1 * t20468 * t24548 + 0.18e2 * t14928 * t14991 - 0.36e2 * t117650 * t1495 + t559 * t1165 * t140 * t117153 / 0.2e1 + t18435 + t2054 * t20464 / 0.2e1 + 0.18e2 * t86503 - 0.2e1 * t86507 - t20528 + t20529 + t20530 - 0.2e1 * t2973 * t4572 * t14986 + t9675 + t9677 - 0.12e2 * t86522 - t9683 - t117699 * t78173 / 0.9e1;
  t117940 = -t2056 * t1165 * t117688 - t559 * t4575 * t20463 * t1082 - 0.4e1 * t2056 * t1165 * t117780 + 0.6e1 * t14955 * t14946 + 0.4e1 * t2969 * t14949 + 0.4e1 * t2969 * t14923 + 0.32e2 / 0.3e1 * t14928 * t14937 - t2229 - 0.4e2 * t117695 * t9658 - 0.1e2 * t20468 * t24419 + 0.1e2 / 0.3e1 * t117699 * t78247 + 0.2e1 * t86534 + 0.3e1 * t86536 - 0.9e1 * t86540 - 0.3e1 * t86542 + t2210 - 0.6e1 * t86549 - 0.12e2 * t117699 * t78227 + 0.5e2 / 0.3e1 * t117699 * t78230;
  t117962 = -t86730 / 0.4e1 + 0.3e1 / 0.2e1 * t1956 * t14847 + t1070 * t20539 / 0.2e1 + t1058 * t20539 / 0.2e1 + t373 * t8133 * t20538 / 0.2e1 - 0.62e2 / 0.3e1 * t77402 * t117625 - 0.3e1 * t1029 * t116639 * t4725 - 0.9e1 * t373 * t14807 * t14907 + 0.6e1 * t373 * t116433 * t4324 - 0.3e1 / 0.2e1 * t72822 * t2026 + 0.3e1 / 0.2e1 * t14666 * t2029 - 0.18e2 * t1029 * t117587 * t1410 - t110 * t139 * (t117682 + t117737 + t117790 + t117818 + t117853 + t117881 + t117908 + t117940) * t168 / 0.4e1 - t9710 + t9713 - t318 * t20534 / 0.4e1 - 0.3e1 * t5665 * t2060 * t4626 * t116564 + 0.9e1 / 0.2e1 * t5665 * t2973 * t24564 * t14617 - 0.9e1 / 0.2e1 * t5639 * t2973 * t24435 * t14617;
  t117993 = 0.3e1 / 0.2e1 * t1029 * t14857 * t4305 * t1008 * t14748 - 0.3e1 / 0.2e1 * t4204 * t20625 - 0.3e1 / 0.2e1 * t4188 * t20625 - 0.3e1 / 0.2e1 * t1029 * t116473 * t1034 + 0.3e1 / 0.4e1 * t1070 * t20629 + 0.3e1 / 0.4e1 * t1058 * t20629 + t86768 / 0.2e1 + t86770 / 0.4e1 + t8063 * t5674 * t116883 / 0.2e1 + t8219 * t6005 * t116478 - t20695 - 0.2e1 * t86808 + 0.23e2 / 0.12e2 * t86810 + t86813 - t102191 / 0.3e1 + t102193 / 0.6e1 + 0.3e1 * t86830 - 0.9e1 / 0.2e1 * t86833 - 0.3e1 / 0.2e1 * t86836 + t20696;
  t117999 = my_piecewise3(t100, 0, t117993 + t117962 + t117613 + t117591 + t117537 + t117493 + t117455 + t117417 + t117382 + t117337 + t117284 + t117244 + t117186 + t117062 + t117022 + t116977 + t116955 + t116930 + t116911 + t116873 + t116832 + t116772 + t116727 + t116678 + t116643 + t116596 + t116556 + t116512 + t116466 + t116421 + t116383 + t116357);
  tv4rhotau37 = t3 * t117999 + t20700;

  if(out->v4rhotau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4rhotau3[ip*p->dim.v4rhotau3 + 7] += tv4rhotau37;

  t118001 = t21755 * t15083;
  t118004 = t5286 * t15171;
  t118006 = t1228 * t15102;
  t118011 = t3360 * t660 * t15128;
  t118016 = t246 * t8897 * t15078;
  t118017 = 0.3e1 / 0.2e1 * t118016;
  t118018 = t20760 * t15162;
  t118022 = t20930 * t2107;
  t118026 = t836 * t41274 * t2106;
  t118029 = t8844 * t15622;
  t118032 = t2087 * t9131;
  t118040 = t2090 * t2090;
  t118043 = t191 * t3135 * t118040 * t20811;
  t118046 = t2084 * t2084;
  t118047 = t680 * t118046;
  t118050 = 0.3e1 / 0.2e1 * t246 * t118047 * t690;
  t118051 = t15128 * t2105;
  t118052 = t3562 * t118051;
  t118056 = -t2089 + t2160 - 0.11e2 / 0.12e2 * t2098 * t118001 - 0.6e1 * t118004 + 0.6e1 * t118006 - 0.4e1 / 0.3e1 * t2093 * t15137 + 0.2e1 * t679 * t8735 * t118011 + t118017 - 0.9e1 * t246 * t75618 * t118018 + 0.3e1 * t15050 * t118022 + t417 * t118026 / 0.2e1 + 0.3e1 * t118029 + t75486 * t432 - t118032 / 0.2e1 - t417 * t75772 / 0.3e1 - 0.3e1 * t41073 * t2154 - 0.3e1 * t9136 * t2162 + 0.6e1 * t118043 * t3150 + t118050 + 0.3e1 / 0.2e1 * t4772 * t421 * t118052;
  t118057 = t3556 * t75447;
  t118059 = t4772 * t1319 * t118057;
  t118062 = t21624 * t677 * t2106;
  t118065 = t8710 * t41228;
  t118071 = t836 * t4748 * t15129;
  t118074 = t2087 * t15131;
  t118075 = t118074 / 0.4e1;
  t118078 = t75342 * t2323;
  t118080 = t75345 * t2166;
  t118081 = 0.4e1 * t118080;
  t118082 = t75336 * t2318;
  t118084 = t75297 * t2323;
  t118086 = t2136 * t2166;
  t118087 = 0.4e1 * t118086;
  t118096 = t75278 * t2331;
  t118098 = t21298 * t15047;
  t118101 = t8685 * t15170;
  t118105 = t15109 - 0.2e1 * t8673 * t15204 - 0.12e2 * t118078 - t118081 + 0.4e1 * t118082 + 0.12e2 * t118084 + t118087 - 0.8e1 * t2139 * t2166 + 0.12e2 * t2133 * t15215 + 0.8e1 * t75356 * t2166 - 0.4e1 * t75328 * t15163 - 0.12e2 * t118096 - t15121 + 0.16e2 / 0.9e1 * t118098 * t3169 + 0.2e1 * t118101 - 0.2e1 * t2133 * t15163;
  t118106 = t3428 * t15047;
  t118138 = t75336 * t2331;
  t118140 = -0.8e1 * t118106 * t3078 + 0.2e1 * t423 * t15204 - 0.4e1 * t423 * t15078 + 0.12e2 * t789 * t15047 * t3260 - 0.24e2 * t118106 * t3082 + 0.32e2 / 0.3e1 * t118098 * t3126 + 0.12e2 * t118098 * t3131 + 0.4e1 * t8673 * t15078 - 0.12e2 * t75328 * t15215 + 0.24e2 * t15228 * t666 - 0.12e2 * t15224 * t3149 - 0.4e1 * t15228 * t661 - 0.12e2 * t15220 * t222 + 0.2e2 / 0.9e1 * t15224 * t3145 + 0.4e1 / 0.3e1 * t15224 * t3140 + 0.12e2 * t118138;
  t118141 = t118105 + t118140;
  t118144 = t836 * t837 * t94 * t118141;
  t118147 = t3520 * t15130;
  t118152 = t41018 * t15573;
  t118154 = t41018 * t15718;
  t118156 = t8911 * t15615;
  t118158 = t2087 * t15137;
  t118162 = t191 * t20823 * t118040 * t20825;
  t118169 = t191 * t649 * t118046 * t651;
  t118171 = t118169 * t667 / 0.2e1;
  t118172 = t118169 * t672;
  t118178 = t118169 * t662 / 0.4e1;
  t118179 = -0.7e1 * t118059 + 0.9e1 * t15050 * t118062 + 0.14e2 * t118065 - 0.14e2 * t679 * t75943 * t15163 + t417 * t118071 / 0.3e1 + t118075 + t417 * t118144 / 0.12e2 + t2098 * t118147 / 0.3e1 + 0.28e2 / 0.3e1 * t15063 * t15209 - 0.11e2 / 0.3e1 * t118152 + 0.23e2 / 0.6e1 * t118154 + 0.2e1 * t118156 + 0.2e1 / 0.3e1 * t118158 - 0.43e2 / 0.9e1 * t118162 * t20859 - t2098 * t42583 / 0.2e1 - t118171 + t118172 - 0.12e2 * t5286 * t15189 - 0.62e2 / 0.3e1 * t118162 * t22091 - t118178;
  t118190 = 0.3e1 / 0.2e1 * t679 * t118047 * t684;
  t118203 = t20842 * t118040;
  t118207 = t3115 * t118040;
  t118212 = t21336 * t665 * t15076;
  t118220 = t246 * t41027 * t15602;
  t118225 = t41289 * t15567;
  t118227 = t15076 * t2105;
  t118230 = t21238 * t837 * t94 * t118227;
  t118236 = t1228 * t15159;
  t118238 = t4867 * t15610;
  t118239 = t8710 * t118238;
  t118241 = 0.2e1 * t191 * t194 * t118040 * t3076 * t223 + 0.4e1 * t15063 * t5291 - t118190 - 0.6e1 * t246 * t247 * t118040 * t21715 + 0.2e1 * t15063 * t5229 - 0.6e1 * t15050 * t27641 + 0.8e1 * t118162 * t20834 + 0.6e1 * t26784 * t15058 - 0.18e2 * t679 * t118203 * t20877 - 0.18e2 * t246 * t118207 * t20886 + 0.11e2 / 0.2e1 * t246 * t8735 * t118212 - 0.3e1 * t246 * t8725 * t15078 + 0.9e1 * t118220 + 0.14e2 * t246 * t75943 * t15215 + 0.6e1 * t118225 + t417 * t118230 / 0.2e1 + t2093 * t15084 - 0.3e1 / 0.2e1 * t9136 * t2167 - 0.6e1 * t118236 - 0.3e1 * t118239;
  t118243 = t3139 * t3124 * t2084;
  t118245 = t679 * t8921 * t118243;
  t118266 = t191 * t194 * t118046 * t595 * t223 / 0.2e1;
  t118270 = 0.3e1 / 0.2e1 * t246 * t247 * t118046 * t597;
  t118287 = t9136 * t2158;
  t118297 = -0.2e1 * t118162 * t20851 - 0.38e2 / 0.9e1 * t118162 * t20868 + 0.89e2 / 0.9e1 * t118162 * t20856 - 0.28e2 * t118043 * t3153 + 0.6e1 * t1228 * t15195 + 0.47e2 / 0.3e1 * t118162 * t22100 + 0.3e1 / 0.2e1 * t118287 + 0.2e1 * t2098 * t41066 + 0.3e1 * t9136 * t2170 - 0.2e1 * t15050 * t26795 + 0.28e2 / 0.3e1 * t15050 * t27637;
  t118307 = t191 * t649 * t118040 * t3118;
  t118313 = t20760 * t3144 * t2105;
  t118341 = t680 * t118040;
  t118348 = -0.35e2 / 0.108e3 * t118162 * t21698 + 0.6e1 * t1228 * t15179 + 0.12e2 * t118307 * t672 - 0.6e1 * t118307 * t667 - 0.9e1 * t3167 * t75618 * t118313 - 0.8e1 * t15063 * t5281 + 0.22e2 / 0.3e1 * t118043 * t3141 - 0.23e2 / 0.3e1 * t118043 * t3146 + 0.23e2 / 0.9e1 * t15050 * t27559 - 0.61e2 / 0.27e2 * t118162 * t21119 + t2093 * t9131 - 0.3e1 * t118307 * t662 - 0.2e1 * t15073 * t1223 + 0.5e1 / 0.3e1 * t118043 * t3178 - 0.5e1 / 0.9e1 * t15050 * t26863 - t2098 * t41062 - 0.22e2 / 0.9e1 * t15050 * t26432 + 0.44e2 / 0.27e2 * t118162 * t21122 - 0.18e2 * t679 * t118341 * t21139 + 0.18e2 * t246 * t118341 * t21143;
  t118353 = t20760 * t3124 * t2105;
  t118357 = t41608 * t15697;
  t118360 = t3520 * t1226 * t2106;
  t118364 = t3520 * t244 * t15129;
  t118367 = t21624 * t15208;
  t118371 = t3460 * t4748 * t15082;
  t118375 = t246 * t41590 * t15592;
  t118377 = t788 * t75447;
  t118379 = t4772 * t1313 * t118377;
  t118382 = t3139 * t3144 * t2084;
  t118384 = t3167 * t8921 * t118382;
  t118387 = t15090 / 0.4e1;
  t118395 = t3520 * t15136;
  t118398 = t95 * t75447;
  t118399 = t4877 * t118398;
  t118400 = t4872 * t118399;
  t118402 = t118387 - t15092 / 0.3e1 + 0.2e1 / 0.3e1 * t15097 - 0.2e1 / 0.3e1 * t15099 + 0.4e1 / 0.3e1 * t15101 + 0.2e1 * t15103 - 0.7e1 / 0.3e1 * t15063 * t15094 + t2098 * t118395 + t15142 - t15150 / 0.3e1 + 0.7e1 / 0.6e1 * t118400;
  t118405 = t5175 * t118398;
  t118406 = t4872 * t118405;
  t118409 = t21336 * t660 * t15076;
  t118413 = t8718 * t15629;
  t118420 = t21755 * t244 * t15082;
  t118423 = t1228 * t15156;
  t118425 = t1252 * t75812;
  t118427 = t4748 * t15609;
  t118428 = t1254 * t118427;
  t118429 = t1252 * t118428;
  t118434 = t3360 * t665 * t15128;
  t118438 = t21628 * t15208;
  t118441 = t3690 * t15136;
  t118444 = 0.3e1 / 0.4e1 * t15157;
  t118445 = t3690 * t15130;
  t118448 = t21628 * t2107;
  t118451 = t8710 * t41222;
  t118454 = t21237 * t221 * t118227;
  t118459 = t679 * t8851 * t15170;
  t118462 = 0.7e1 / 0.3e1 * t118406 - 0.11e2 / 0.2e1 * t679 * t8735 * t118409 - t118413 + 0.3e1 / 0.2e1 * t246 * t8725 * t15204 + 0.3e1 / 0.2e1 * t15073 * t2108 + 0.11e2 / 0.3e1 * t2098 * t118420 - 0.2e1 * t118423 + 0.4e1 * t118425 - 0.2e1 * t118429 - 0.6e1 * t1228 * t15216 - 0.2e1 * t246 * t8735 * t118434 - 0.14e2 * t15050 * t118438 + 0.2e1 * t2098 * t118441 - t118444 + 0.2e1 / 0.3e1 * t2098 * t118445 + 0.11e2 / 0.3e1 * t15050 * t118448 - 0.9e1 * t118451 - 0.3e1 / 0.2e1 * t246 * t1285 * t118454 + 0.18e2 * t118459 - t1228 * t15205;
  t118464 = t246 * t8897 * t15204;
  t118465 = 0.3e1 / 0.4e1 * t118464;
  t118467 = t824 * t221 * t118141;
  t118472 = t246 * t8721 * t15678;
  t118474 = t4808 * t15610;
  t118475 = t8710 * t118474;
  t118477 = t21624 * t2107;
  t118485 = t4872 * t75449;
  t118492 = t3130 * t75447;
  t118494 = t4983 * t1319 * t118492;
  t118497 = t8790 * t95 * t118051;
  t118502 = t8844 * t15639;
  t118504 = t2087 * t15084;
  t118505 = t118504 / 0.2e1;
  t118508 = t21363 * t15083;
  t118513 = t42342 * t15643;
  t118515 = t193 * t118040;
  t118519 = t69 * t118040;
  t118520 = t118519 * t20811;
  t118523 = t648 * t118040;
  t118524 = t118523 * t3118;
  t118527 = t3130 * t15759;
  t118528 = t9027 * t118527;
  t118532 = t20822 * t118040;
  t118533 = t118532 * t20825;
  t118536 = t648 * t118046;
  t118537 = t118536 * t651;
  t118539 = 0.2e1 * t118537 * t803;
  t118540 = t118532 * t20844;
  t118543 = t3130 * t15799;
  t118544 = t9027 * t118543;
  t118546 = t22290 * t2128;
  t118552 = t20862 * t2128;
  t118555 = t3556 * t15255;
  t118558 = t42900 * t15782;
  t118560 = t42891 * t15785;
  t118564 = t9020 * t15779;
  t118566 = t42891 * t15775;
  t118572 = t22290 * t15249;
  t118575 = 0.56e2 * t15268 * t15246 + 0.4e1 * t15271 * t118552 - 0.8e1 * t2125 * t118555 - 0.72e2 * t118558 - 0.4e1 * t118560 - 0.18e2 * t15290 * t2129 - 0.28e2 / 0.3e1 * t118564 - 0.2e1 / 0.3e1 * t118566 + 0.6e1 * t2121 * t15256 - 0.28e2 / 0.3e1 * t15268 * t15253 - 0.11e2 / 0.3e1 * t2125 * t118572;
  t118577 = t42738 * t15750;
  t118579 = t22309 * t15249;
  t118582 = t9045 * t15756;
  t118587 = 0.3e1 * t118537 * t816;
  t118589 = t788 * t63 * t118141;
  t118593 = t118519 * t20885;
  t118600 = t42744 * t15746;
  t118602 = 0.36e2 * t118577 + 0.22e2 * t2125 * t118579 - 0.9e1 * t118582 + 0.36e2 * t118520 * t3573 - t118587 - t421 * t118589 + 0.6e1 * t2121 * t15288 + 0.8e1 * t118593 * t3613 - 0.4e1 / 0.3e1 * t118540 * t22433 + 0.9e1 * t15290 * t2142 - 0.28e2 * t118600;
  t118603 = t193 * t118046;
  t118606 = 0.3e1 * t118603 * t595 * t234;
  t118610 = t22302 * t63 * t118227;
  t118613 = t2141 * t2084;
  t118614 = t3556 * t118613;
  t118615 = t1319 * t118614;
  t118617 = t8999 * t2084;
  t118618 = t802 * t118617;
  t118619 = t5022 * t118618;
  t118621 = t42738 * t15806;
  t118624 = 0.3e1 * t15239;
  t118629 = t118606 - 0.12e2 * t118533 * t22237 - 0.6e1 * t421 * t118610 + 0.14e2 * t118615 + 0.14e2 / 0.3e1 * t118619 - 0.18e2 * t118621 - 0.8e1 * t15237 - t118624 - 0.4e1 / 0.3e1 * t15241 + 0.8e1 * t15244 + 0.1e2 / 0.3e1 * t118533 * t22191;
  t118635 = t22302 * t60 * t118227;
  t118639 = t3562 * t2141 * t15128;
  t118642 = t3130 * t15255;
  t118645 = t20876 * t2128;
  t118648 = t2118 * t15256;
  t118649 = 0.3e1 * t118648;
  t118651 = t233 * t76191 * t2105;
  t118654 = t42887 * t15825;
  t118658 = t2118 * t15259;
  t118659 = 0.3e1 / 0.2e1 * t118658;
  t118660 = t3556 * t15258;
  t118663 = -0.2e1 / 0.3e1 * t118520 * t3591 + 0.3e1 * t421 * t118635 - 0.3e1 * t421 * t118639 + 0.4e1 / 0.3e1 * t2125 * t118642 + 0.2e1 / 0.3e1 * t15271 * t118645 - t118649 + 0.6e1 * t9082 * t118651 + 0.18e2 * t118654 - 0.3e1 * t2121 * t15259 + t118659 + 0.4e1 * t2125 * t118660;
  t118664 = t42900 * t15769;
  t118666 = t118536 * t682;
  t118668 = 0.6e1 * t118666 * t798;
  t118674 = t118666 * t785;
  t118677 = 0.6e1 * t118603 * t596 * t230;
  t118680 = t42900 * t15819;
  t118682 = t22309 * t15287;
  t118685 = t118523 * t21138;
  t118688 = t22290 * t2141;
  t118691 = -0.24e2 * t118515 * t21714 * t230 + 0.24e2 * t118540 * t22413 - 0.11e2 * t2125 * t118682 + 0.72e2 * t118685 * t798 + 0.18e2 * t15271 * t118688 - 0.28e2 * t15268 * t15293 + 0.12e2 * t118664 + t118668 - t118674 - t118677 + 0.36e2 * t118680;
  t118699 = t2118 * t15250;
  t118700 = 0.6e1 * t118699;
  t118704 = 0.3e1 / 0.2e1 * t15284;
  t118706 = t788 * t60 * t118141;
  t118711 = -0.72e2 * t118593 * t3596 + 0.8e1 / 0.3e1 * t118540 * t22410 - 0.12e2 * t2121 * t15250 + t118700 + 0.8e1 / 0.3e1 * t15266 - 0.4e1 * t15274 + 0.4e1 * t15282 + t118704 - t2138 + t421 * t118706 / 0.2e1 + 0.4e1 / 0.3e1 * t118593 * t3628;
  t118712 = t3130 * t15258;
  t118717 = t3125 * t15799;
  t118718 = t9027 * t118717;
  t118720 = t20862 * t2141;
  t118723 = t9023 * t15800;
  t118727 = t3168 * t15799;
  t118728 = t9027 * t118727;
  t118730 = t20876 * t2141;
  t118733 = t2118 * t15288;
  t118734 = 0.3e1 * t118733;
  t118735 = t22290 * t15287;
  t118738 = -0.8e1 / 0.3e1 * t2125 * t118712 - 0.12e2 * t118685 * t785 + 0.2e2 * t118718 - 0.2e2 * t15271 * t118720 - 0.24e2 * t118723 + 0.56e2 / 0.3e1 * t15268 * t15263 + t2119 + t118728 / 0.3e1 - t15271 * t118730 / 0.3e1 - t118734 + 0.22e2 / 0.3e1 * t2125 * t118735;
  t118746 = -0.14e2 / 0.3e1 * t15063 * t15211 + 0.7e1 * t118494 - t4882 * t118497 / 0.2e1 + 0.6e1 * t5286 * t15164 - 0.12e2 * t118502 - t118505 + 0.2e1 * t1228 * t15079 - 0.11e2 / 0.6e1 * t2098 * t118508 - t2093 * t15131 / 0.2e1 - 0.3e1 / 0.2e1 * t118513 - t30 * t59 * (0.12e2 * t118515 * t3076 * t234 - 0.4e2 * t118520 * t3581 + 0.24e2 * t118524 * t803 + 0.36e2 * t118528 - 0.36e2 * t118524 * t816 + 0.5e2 / 0.3e1 * t118533 * t22240 + t118539 - t118540 * t22347 / 0.9e1 - 0.18e2 * t118544 - 0.36e2 * t15271 * t118546 + t118575 + t118602 + t118629 + t118663 + t118691 + t118711 + t118738) * t95 / 0.4e1;
  t118751 = my_piecewise3(t2, 0, t118746 - 0.14e2 / 0.3e1 * t118485 - 0.5e1 / 0.6e1 * t118475 + 0.9e1 * t118472 - t118465 + t118462 + t118402 + 0.9e1 * t118384 + 0.9e1 / 0.2e1 * t118379 - 0.18e2 * t118375 - 0.3e1 * t118357 + t118348 + t118297 - t118270 + t118266 - 0.18e2 * t118245 + t118241 + t118179 + t118056 - 0.23e2 / 0.6e1 * t15050 * t118367 - 0.2e1 / 0.3e1 * t417 * t118371 - 0.4e1 * t2098 * t118360 - 0.12e2 * t1228 * t15192 + 0.12e2 * t5286 * t15184 + 0.18e2 * t118043 * t3158 + 0.5e1 / 0.6e1 * t15050 * t118477 + 0.4e1 * t1228 * t15167 - 0.4e1 / 0.3e1 * t2098 * t118364 + 0.6e1 * t246 * t118203 * t20863 - 0.18e2 * t3167 * t118207 * t21997 + 0.18e2 * t679 * t75618 * t118353 - t246 * t1285 * t118467 / 0.4e1 - 0.9e1 / 0.2e1 * t246 * t75740 * t2166 + 0.36e2 * t679 * t118207 * t20890 + 0.18e2 * t3167 * t118203 * t20872 - 0.6e1 * t20841 * t118203 * t20846 - 0.2e1 * t15172 - 0.2e1 * t15160);
  tv4sigma40 = t3 * t118751;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 0] += tv4sigma40;

  tv4sigma41 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 1] += tv4sigma41;

  tv4sigma42 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 2] += tv4sigma42;

  tv4sigma43 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 3] += tv4sigma43;

  tv4sigma44 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 4] += tv4sigma44;

  tv4sigma45 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 5] += tv4sigma45;

  tv4sigma46 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 6] += tv4sigma46;

  tv4sigma47 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 7] += tv4sigma47;

  tv4sigma48 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 8] += tv4sigma48;

  tv4sigma49 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 9] += tv4sigma49;

  tv4sigma410 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 10] += tv4sigma410;

  tv4sigma411 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 11] += tv4sigma411;

  tv4sigma412 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 12] += tv4sigma412;

  tv4sigma413 = 0.e0;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 13] += tv4sigma413;

  t118753 = t4376 * t1381 * t2197;
  t118757 = t4376 * t371 * t15360;
  t118760 = t24148 * t15447;
  t118764 = t4148 * t4149 * t2175;
  t118766 = t1029 * t9696 * t118764;
  t118769 = t4148 * t4154 * t2175;
  t118771 = t4718 * t9696 * t118769;
  t118773 = t9285 * t15947;
  t118777 = t2181 * t2181;
  t118778 = t1030 * t118777;
  t118785 = t4719 * t118777;
  t118799 = t321 * t20823 * t118777 * t24537;
  t118807 = t9469 * t2249;
  t118811 = -0.4e1 * t2189 * t118753 - 0.4e1 / 0.3e1 * t2189 * t118757 - 0.23e2 / 0.6e1 * t15408 * t118760 - 0.18e2 * t118766 + 0.9e1 * t118771 - 0.3e1 * t118773 + 0.3e1 / 0.2e1 * t15432 * t2199 - 0.18e2 * t1029 * t118778 * t25403 + 0.18e2 * t373 * t118778 * t25407 - 0.18e2 * t4718 * t118785 * t25298 - t2189 * t44687 / 0.2e1 - 0.5e1 / 0.9e1 * t15408 * t30231 + 0.28e2 / 0.3e1 * t15408 * t29095 + 0.23e2 / 0.9e1 * t15408 * t29062 - 0.61e2 / 0.27e2 * t118799 * t24715 + 0.44e2 / 0.27e2 * t118799 * t24719 - t442 * t77875 / 0.3e1 + t77880 * t457 + 0.3e1 / 0.2e1 * t118807 - 0.3e1 * t44765 * t2245;
  t118820 = t2175 * t2175;
  t118823 = t321 * t649 * t118820 * t999;
  t118825 = t118823 * t1010 / 0.4e1;
  t118837 = t25460 * t118777;
  t118853 = t321 * t649 * t118777 * t4140;
  t118864 = 0.3e1 * t9469 * t2261 - 0.2e1 * t15408 * t29092 + 0.6e1 * t29089 * t15441 + 0.8e1 * t118799 * t25283 - t2180 + t2251 - t118825 + 0.2e1 * t321 * t194 * t118777 * t4160 * t350 + 0.89e2 / 0.9e1 * t118799 * t25646 - 0.43e2 / 0.9e1 * t118799 * t25609 - 0.2e1 * t118799 * t25451 - 0.6e1 * t25474 * t118837 * t25475 + 0.18e2 * t4718 * t118837 * t25479 - 0.38e2 / 0.9e1 * t118799 * t25454 + 0.36e2 * t1029 * t118785 * t25302 - 0.12e2 * t1383 * t15459 - 0.6e1 * t118853 * t1015 - 0.18e2 * t1029 * t118837 * t25462 + 0.6e1 * t373 * t118837 * t25466 - 0.12e2 * t5792 * t15444;
  t118870 = t321 * t3135 * t118777 * t24087;
  t118876 = t24275 * t2198;
  t118879 = t45946 * t15891;
  t118881 = t24148 * t2198;
  t118884 = t9305 * t15954;
  t118886 = t168 * t78465;
  t118887 = t5674 * t118886;
  t118888 = t5673 * t118887;
  t118890 = t5553 * t15906;
  t118891 = t1423 * t118890;
  t118892 = t1421 * t118891;
  t118894 = t9254 * t45234;
  t118896 = t9254 * t45241;
  t118901 = t1094 * t45091 * t2197;
  t118905 = t373 * t45192 * t16106;
  t118907 = t1383 * t15381;
  t118909 = t1383 * t15384;
  t118911 = t1421 * t77295;
  t118914 = t4354 * t5553 * t15313;
  t118918 = t24147 * t4154 * t2196;
  t118922 = -0.8e1 * t15417 * t5804 + 0.22e2 / 0.3e1 * t118870 * t4151 - 0.23e2 / 0.3e1 * t118870 * t4156 + t2184 * t15315 + 0.11e2 / 0.3e1 * t15408 * t118876 - 0.3e1 / 0.2e1 * t118879 + 0.5e1 / 0.6e1 * t15408 * t118881 + 0.2e1 * t118884 + 0.7e1 / 0.3e1 * t118888 - 0.2e1 * t118892 + 0.14e2 * t118894 - 0.9e1 * t118896 - 0.6e1 * t1383 * t15456 + t442 * t118901 / 0.2e1 - 0.18e2 * t118905 - 0.6e1 * t118907 - 0.2e1 * t118909 + 0.4e1 * t118911 - 0.2e1 / 0.3e1 * t442 * t118914 - 0.9e1 * t4718 * t77396 * t118918;
  t118924 = t4305 * t1013 * t15359;
  t118928 = t24275 * t15447;
  t118931 = t4553 * t15375;
  t118934 = t4553 * t15361;
  t118937 = t5595 * t15907;
  t118938 = t9254 * t118937;
  t118940 = t44847 * t15972;
  t118942 = t44847 * t15966;
  t118944 = t5792 * t15372;
  t118946 = t1383 * t15326;
  t118950 = t24147 * t4149 * t2196;
  t118955 = t24148 * t1027 * t2197;
  t118959 = t24141 * t1008 * t15312;
  t118970 = t15368 / 0.4e1;
  t118972 = 0.18e2 * t1029 * t77396 * t118950 + 0.9e1 * t15408 * t118955 - 0.11e2 / 0.2e1 * t1029 * t9318 * t118959 - 0.3e1 / 0.2e1 * t9469 * t2258 + 0.4e1 / 0.3e1 * t15323 - 0.2e1 / 0.3e1 * t15324 + 0.2e1 * t15327 + 0.2e1 / 0.3e1 * t15331 - t15333 / 0.3e1 + t118970 - 0.2e1 * t15373;
  t118979 = t2178 * t9531;
  t118987 = t118823 * t1020;
  t119006 = t2178 * t15376;
  t119010 = t2178 * t15315;
  t119011 = t119010 / 0.2e1;
  t119015 = t5563 * t15907;
  t119016 = t9254 * t119015;
  t119018 = -t2189 * t44628 - 0.22e2 / 0.9e1 * t15408 * t29059 - t118979 / 0.2e1 - 0.6e1 * t373 * t374 * t118777 * t24127 - 0.35e2 / 0.108e3 * t118799 * t25509 + t118987 - 0.3e1 * t9469 * t2253 + 0.4e1 * t15417 * t5800 - 0.3e1 * t118853 * t1010 + 0.2e1 * t2189 * t44760 + 0.2e1 * t15417 * t5819 + 0.6e1 * t1383 * t15421 + 0.12e2 * t118853 * t1020 + 0.12e2 * t5792 * t15425 + 0.18e2 * t118870 * t4193 + 0.2e1 / 0.3e1 * t119006 - 0.4e1 / 0.3e1 * t2184 * t15376 - t119011 + 0.3e1 / 0.2e1 * t373 * t9505 * t15395 - 0.3e1 * t119016;
  t119019 = t5691 * t118886;
  t119020 = t5673 * t119019;
  t119023 = 0.3e1 / 0.4e1 * t15385;
  t119024 = t1165 * t78465;
  t119026 = t5665 * t1470 * t119024;
  t119031 = t24142 * t15314;
  t119036 = t4572 * t78465;
  t119038 = t5639 * t1476 * t119036;
  t119041 = t1430 * t118890;
  t119042 = t1421 * t119041;
  t119044 = t9293 * t16102;
  t119048 = t45035 * t15975;
  t119054 = t25570 * t15314;
  t119057 = t9293 * t15912;
  t119062 = t24142 * t371 * t15313;
  t119065 = t4148 * t15370;
  t119067 = t373 * t9696 * t119065;
  t119070 = t4305 * t1008 * t15359;
  t119074 = 0.3e1 * t119044 - 0.7e1 / 0.3e1 * t15417 * t15365 + 0.6e1 * t119048 + 0.6e1 * t5792 * t15389 - 0.14e2 / 0.3e1 * t15417 * t15451 - 0.11e2 / 0.6e1 * t2189 * t119054 - 0.12e2 * t119057 + 0.28e2 / 0.3e1 * t15417 * t15448 + 0.11e2 / 0.3e1 * t2189 * t119062 + 0.9e1 * t119067 + 0.2e1 * t1029 * t9318 * t119070;
  t119077 = t24147 * t15387;
  t119081 = t25628 * t2198;
  t119084 = t15312 * t2196;
  t119086 = t25183 * t348 * t119084;
  t119092 = t25411 * t1095 * t167 * t119084;
  t119095 = t15359 * t2196;
  t119097 = t9444 * t168 * t119095;
  t119100 = t4575 * t119095;
  t119104 = t4626 * t78465;
  t119106 = t5665 * t1476 * t119104;
  t119109 = t373 * t9501 * t16117;
  t119120 = t1030 * t118820;
  t119123 = 0.3e1 / 0.2e1 * t373 * t119120 * t1039;
  t119126 = 0.3e1 / 0.2e1 * t1029 * t119120 * t1034;
  t119130 = t118823 * t1015 / 0.2e1;
  t119138 = 0.3e1 / 0.2e1 * t373 * t374 * t118820 * t1047;
  t119143 = t321 * t194 * t118820 * t1045 * t350 / 0.2e1;
  t119144 = -0.9e1 * t373 * t77396 * t119077 + 0.3e1 * t15408 * t119081 - 0.3e1 / 0.2e1 * t373 * t1442 * t119086 + t442 * t119092 / 0.2e1 - t6012 * t119097 / 0.2e1 + 0.3e1 / 0.2e1 * t5665 * t446 * t119100 - 0.7e1 * t119106 + 0.9e1 * t119109 - 0.9e1 / 0.2e1 * t373 * t77486 * t2257 + 0.6e1 * t1383 * t15436 + 0.47e2 / 0.3e1 * t118799 * t25287 - 0.6e1 * t15408 * t29084 + t119123 - t119126 + 0.5e1 / 0.3e1 * t118870 * t4231 - t119130 - 0.2e1 * t15432 * t1378 + 0.6e1 * t118870 * t4707 - t119138 + t119143;
  t119154 = t1094 * t5553 * t15360;
  t119157 = t2178 * t15362;
  t119158 = t119157 / 0.4e1;
  t119161 = t4388 * t15405;
  t119164 = t24205 * t15405;
  t119171 = t78042 * t2394;
  t119173 = t78028 * t2402;
  t119175 = t2227 * t2257;
  t119176 = 0.4e1 * t119175;
  t119179 = t78065 * t2402;
  t119181 = t78093 * t2394;
  t119183 = t78096 * t2257;
  t119184 = 0.4e1 * t119183;
  t119185 = t78065 * t2389;
  t119191 = 0.2e1 * t448 * t15395 - 0.8e1 * t119161 * t4219 + 0.16e2 / 0.9e1 * t119164 * t4721 - 0.4e1 * t448 * t15319 + 0.12e2 * t119164 * t4729 + 0.12e2 * t119171 - 0.12e2 * t119173 + t119176 - 0.8e1 * t2230 * t2257 - t15352 + 0.12e2 * t119179 - 0.12e2 * t119181 - t119184 + 0.4e1 * t119185 + 0.8e1 * t78077 * t2257 - 0.2e1 * t9384 * t15395;
  t119216 = t9396 * t15371;
  t119223 = 0.4e1 * t9384 * t15319 - 0.12e2 * t78084 * t15455 - 0.4e1 * t78084 * t15388 + 0.2e2 / 0.9e1 * t15543 * t4155 - 0.4e1 * t15540 * t1009 + 0.24e2 * t15540 * t1014 - 0.12e2 * t15543 * t4706 - 0.12e2 * t15546 * t349 + 0.4e1 / 0.3e1 * t15543 * t4150 + 0.12e2 * t2224 * t15455 - 0.24e2 * t119161 * t4215 + 0.32e2 / 0.3e1 * t119164 * t4725 + 0.2e1 * t119216 - 0.2e1 * t2224 * t15388 + 0.12e2 * t1077 * t15405 * t4209 + t15340;
  t119224 = t119191 + t119223;
  t119227 = t1094 * t1095 * t167 * t119224;
  t119230 = t4376 * t15361;
  t119241 = t373 * t9409 * t15395;
  t119242 = 0.3e1 / 0.4e1 * t119241;
  t119244 = t1076 * t348 * t119224;
  t119250 = t2209 * t15484;
  t119251 = 0.6e1 * t119250;
  t119252 = t24435 * t15483;
  t119255 = t9592 * t16044;
  t119259 = t4609 * t16027;
  t119260 = t9602 * t119259;
  t119262 = t24477 * t2219;
  t119265 = t9592 * t16034;
  t119267 = t9584 * t16014;
  t119269 = t46239 * t16050;
  t119272 = t9566 * t2175;
  t119273 = t1173 * t119272;
  t119274 = t5889 * t119273;
  t119276 = t4572 * t15496;
  t119279 = t2209 * t15497;
  t119280 = 0.3e1 * t119279;
  t119286 = t24458 * t143 * t119084;
  t119289 = t4619 * t16027;
  t119290 = t9602 * t119289;
  t119292 = t24418 * t2219;
  t119295 = t4572 * t16027;
  t119296 = t9602 * t119295;
  t119298 = t24435 * t2219;
  t119302 = t4575 * t15522 * t2196;
  t119305 = 0.14e2 / 0.3e1 * t119274 + 0.4e1 / 0.3e1 * t2216 * t119276 - t119280 - 0.18e2 * t15513 * t2220 - 0.12e2 * t2212 * t15484 - 0.6e1 * t446 * t119286 - 0.4e1 * t119290 + 0.4e1 * t15504 * t119292 + 0.36e2 * t119296 - 0.36e2 * t15504 * t119298 - 0.3e1 * t446 * t119302;
  t119307 = t9608 * t16011;
  t119309 = t9584 * t16041;
  t119311 = t24564 * t15483;
  t119314 = t4626 * t15496;
  t119319 = t20822 * t118777;
  t119320 = t119319 * t24537;
  t119324 = 0.3e1 * t15480;
  t119326 = t193 * t118777;
  t119330 = t193 * t118820;
  t119333 = 0.3e1 * t119330 * t1045 * t361;
  t119334 = -0.9e1 * t119307 - 0.28e2 / 0.3e1 * t119309 + 0.22e2 * t2216 * t119311 - 0.8e1 * t2216 * t119314 + 0.6e1 * t2212 * t15497 + 0.1e2 / 0.3e1 * t119320 * t24683 - 0.8e1 * t15478 - t119324 - 0.4e1 / 0.3e1 * t15482 + 0.12e2 * t119326 * t4160 * t361 + t119333;
  t119335 = t69 * t118777;
  t119336 = t119335 * t24087;
  t119339 = t648 * t118820;
  t119340 = t119339 * t999;
  t119342 = 0.3e1 * t119340 * t1187;
  t119344 = 0.2e1 * t119340 * t1174;
  t119350 = t1165 * t143 * t119224;
  t119354 = t648 * t118777;
  t119355 = t119354 * t4140;
  t119358 = t360 * t119272;
  t119359 = t5896 * t119358;
  t119361 = t46214 * t16002;
  t119364 = t360 * t9566 * t15359;
  t119367 = -0.4e2 * t119336 * t4600 - t119342 + t119344 + 0.36e2 * t119336 * t4590 - 0.12e2 * t119320 * t24689 - t446 * t119350 - 0.2e1 / 0.3e1 * t119336 * t4587 + 0.24e2 * t119355 * t1174 + 0.18e2 * t119359 - 0.28e2 * t119361 + 0.6e1 * t9578 * t119364;
  t119375 = t2209 * t15523;
  t119376 = 0.3e1 / 0.2e1 * t119375;
  t119382 = t1165 * t140 * t119224;
  t119387 = t4626 * t15522;
  t119390 = t119319 * t24540;
  t119393 = t119335 * t24552;
  t119396 = 0.5e2 / 0.3e1 * t119320 * t24679 - 0.36e2 * t119355 * t1187 + 0.8e1 * t15487 + t119376 + 0.9e1 * t15513 * t2233 - 0.3e1 * t2212 * t15523 + t446 * t119382 / 0.2e1 - 0.28e2 * t15500 * t15535 + 0.4e1 * t2216 * t119387 - 0.4e1 / 0.3e1 * t119390 * t24558 + 0.8e1 * t119393 * t4620;
  t119397 = t24435 * t2232;
  t119401 = t24458 * t140 * t119084;
  t119404 = t2209 * t15510;
  t119405 = 0.3e1 * t119404;
  t119406 = t4572 * t15522;
  t119411 = t24477 * t2232;
  t119414 = t4619 * t16067;
  t119415 = t9602 * t119414;
  t119419 = t46239 * t16055;
  t119421 = t24418 * t2232;
  t119424 = t9592 * t16073;
  t119426 = 0.18e2 * t15504 * t119397 + 0.3e1 * t446 * t119401 - t119405 - 0.8e1 / 0.3e1 * t2216 * t119406 - t119390 * t24583 / 0.9e1 - t15504 * t119411 / 0.3e1 + 0.2e2 * t119415 + 0.6e1 * t2212 * t15510 - 0.18e2 * t119419 - 0.2e2 * t15504 * t119421 - 0.24e2 * t119424;
  t119430 = t4609 * t16067;
  t119431 = t9602 * t119430;
  t119433 = t24435 * t15509;
  t119436 = t46045 * t16059;
  t119443 = 0.6e1 * t119330 * t1046 * t357;
  t119444 = t119339 * t1032;
  t119445 = t119444 * t1162;
  t119446 = t24564 * t15509;
  t119449 = t119354 * t24522;
  t119455 = 0.6e1 * t119444 * t1169;
  t119456 = 0.56e2 / 0.3e1 * t15500 * t15528 + t119431 / 0.3e1 + 0.22e2 / 0.3e1 * t2216 * t119433 + 0.36e2 * t119436 - 0.24e2 * t119326 * t24126 * t357 - t119443 - t119445 - 0.11e2 * t2216 * t119446 + 0.72e2 * t119449 * t1169 + 0.4e1 / 0.3e1 * t119393 * t4610 + t119455;
  t119457 = t46055 * t16062;
  t119468 = 0.3e1 / 0.2e1 * t15518;
  t119471 = -0.18e2 * t119457 - 0.72e2 * t119393 * t4623 + 0.8e1 / 0.3e1 * t119390 * t24542 + 0.24e2 * t119390 * t24545 - 0.12e2 * t119449 * t1162 - 0.4e1 * t15516 + t119468 + 0.8e1 / 0.3e1 * t15531 + 0.4e1 * t15538 - t2229 + t2210;
  t119482 = t1029 * t9314 * t15371;
  t119484 = t4376 * t15375;
  t119490 = t24141 * t1013 * t15312;
  t119495 = t373 * t9409 * t15319;
  t119496 = 0.3e1 / 0.2e1 * t119495;
  t119497 = t5673 * t78467;
  t119499 = -t1383 * t15396 - t119242 - t373 * t1442 * t119244 / 0.4e1 - t110 * t139 * (-0.28e2 / 0.3e1 * t15500 * t15494 + t119251 - 0.11e2 / 0.3e1 * t2216 * t119252 - 0.72e2 * t119255 + 0.56e2 * t15500 * t15489 - 0.2e1 / 0.3e1 * t119260 + 0.2e1 / 0.3e1 * t15504 * t119262 + 0.12e2 * t119265 + 0.14e2 * t119267 + 0.36e2 * t119269 + t119305 + t119334 + t119367 + t119396 + t119426 + t119456 + t119471) * t168 / 0.4e1 + 0.4e1 * t1383 * t15392 + 0.18e2 * t119482 + t2189 * t119484 + 0.14e2 * t373 * t77418 * t15455 + 0.11e2 / 0.2e1 * t373 * t9318 * t119490 + t119496 - 0.14e2 / 0.3e1 * t119497;
  t119504 = my_piecewise3(t100, 0, t119499 + t119158 + t119144 + t119074 - t119042 + 0.7e1 * t119038 - t119023 + 0.9e1 / 0.2e1 * t119026 + 0.7e1 / 0.6e1 * t119020 + t119018 + t118972 - 0.6e1 * t118944 + 0.6e1 * t118946 - 0.11e2 / 0.3e1 * t118940 + 0.23e2 / 0.6e1 * t118942 - 0.5e1 / 0.6e1 * t118938 + t118922 + t118864 + t118811 + t2189 * t119230 / 0.3e1 + 0.2e1 * t1383 * t15320 + t442 * t119227 / 0.12e2 + t442 * t119154 / 0.3e1 - 0.62e2 / 0.3e1 * t118799 * t25280 - 0.28e2 * t118870 * t4200 + t2184 * t9531 - 0.11e2 / 0.12e2 * t2189 * t119031 - t2184 * t15362 / 0.2e1 - 0.14e2 * t15408 * t118928 + 0.2e1 * t2189 * t118931 + 0.2e1 / 0.3e1 * t2189 * t118934 - 0.18e2 * t373 * t118785 * t25306 - 0.14e2 * t1029 * t77418 * t15388 - 0.2e1 * t373 * t9318 * t118924 - 0.3e1 * t373 * t9505 * t15319 - 0.2e1 * t15382 + t15306 - t15411 / 0.3e1);
  tv4sigma414 = t3 * t119504;

  if(out->v4sigma4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma4[ip*p->dim.v4sigma4 + 14] += tv4sigma414;

  t119523 = t414 * t15076;
  t119524 = t3562 * t119523;
  t119528 = t41274 * t2266;
  t119529 = t1254 * t119528;
  t119532 = t6411 * t15171;
  t119533 = 0.3e1 / 0.2e1 * t119532;
  t119534 = t1516 * t15102;
  t119535 = 0.3e1 / 0.2e1 * t119534;
  t119538 = t837 * t75605;
  t119539 = t26011 * t119538;
  t119542 = -0.3e1 / 0.2e1 * t47008 * t2154 + 0.3e1 / 0.2e1 * t9948 * t2170 - t2098 * t47013 / 0.2e1 - 0.11e2 / 0.18e2 * t15050 * t31459 + 0.23e2 / 0.36e2 * t15050 * t32001 - t15073 * t1511 / 0.2e1 - t466 * t75772 / 0.12e2 + 0.7e1 / 0.3e1 * t15050 * t31470 - 0.3e1 / 0.2e1 * t15050 * t31474 - 0.3e1 * t4772 * t1587 * t119524 - t1541 * t119529 / 0.2e1 - t119533 + t119535 - 0.3e1 / 0.2e1 * t41073 * t2319 - 0.35e2 / 0.108e3 * t31048 * t119539;
  t119552 = t95 * t75425;
  t119553 = t9744 * t119552;
  t119554 = t9743 * t119553;
  t119555 = 0.5e1 / 0.12e2 * t119554;
  t119556 = t6439 * t118399;
  t119559 = t4983 * t1591 * t118492;
  t119562 = t219 * t221 * t15047;
  t119566 = t3520 * t15690;
  t119569 = t6119 * t15609;
  t119570 = t1261 * t119569;
  t119571 = t1252 * t119570;
  t119572 = t119571 / 0.4e1;
  t119574 = t836 * t47044 * t2106;
  t119581 = t1261 * t118427;
  t119582 = t1541 * t119581;
  t119583 = t119582 / 0.4e1;
  t119584 = -0.62e2 / 0.3e1 * t75100 * t25714 * t19648 + 0.47e2 / 0.3e1 * t75100 * t32454 + 0.9e1 / 0.2e1 * t1228 * t15603 - t1516 * t15205 / 0.4e1 - t119555 + 0.5e1 / 0.12e2 * t119556 + 0.5e1 / 0.2e1 * t119559 - t2089 + t2160 - 0.6e1 * t246 * t30981 * t119562 + t2098 * t119566 / 0.4e1 - t119572 + t417 * t119574 / 0.4e1 - 0.3e1 / 0.4e1 * t9948 * t2167 + 0.12e2 * t30916 * t75746 - t119583;
  t119586 = t4748 * t15565;
  t119587 = t4808 * t119586;
  t119590 = t660 * t15047;
  t119591 = t3139 * t119590;
  t119595 = t8718 * t16633;
  t119596 = t119595 / 0.2e1;
  t119597 = t25714 * t119538;
  t119601 = t4772 * t1591 * t118057;
  t119603 = t95 * t75537;
  t119604 = t26189 * t119603;
  t119607 = t3130 * t75903;
  t119611 = t9863 * t75887;
  t119612 = 0.6e1 * t119611;
  t119615 = t1226 * t15565;
  t119616 = t4808 * t119615;
  t119619 = t3144 * t15047;
  t119620 = t3139 * t119619;
  t119624 = t8911 * t16897;
  t119625 = t119624 / 0.2e1;
  t119626 = t2087 * t15691;
  t119627 = t119626 / 0.6e1;
  t119628 = 0.3e1 * t118004;
  t119629 = 0.3e1 * t118006;
  t119630 = -0.5e1 / 0.12e2 * t6100 * t119587 - 0.18e2 * t246 * t30935 * t119591 - t119596 - 0.61e2 / 0.27e2 * t31048 * t119597 - 0.5e1 / 0.2e1 * t119601 + 0.5e1 / 0.6e1 * t9743 * t119604 + 0.2e1 * t4983 * t1591 * t119607 - t119612 - 0.9e1 / 0.2e1 * t42708 * t15657 + 0.23e2 / 0.12e2 * t6100 * t119616 - 0.18e2 * t3167 * t30935 * t119620 + t119625 + t119627 - t119628 + t119629;
  t119633 = t4808 * t119538;
  t119638 = t1261 * t119586;
  t119641 = t1541 * t118428;
  t119642 = t119641 / 0.2e1;
  t119643 = t25709 * t119538;
  t119646 = t4867 * t119586;
  t119651 = t26011 * t75715;
  t119655 = t4808 * t5284 * t15565;
  t119664 = t26405 * t119603;
  t119669 = t466 * t118071 / 0.4e1 + 0.5e1 / 0.3e1 * t30842 * t119633 + t466 * t118144 / 0.12e2 + 0.3e1 / 0.2e1 * t6087 * t119638 - t119642 - 0.38e2 / 0.9e1 * t31048 * t119643 - 0.3e1 / 0.2e1 * t6100 * t119646 + 0.9e1 / 0.2e1 * t26784 * t15588 - 0.43e2 / 0.9e1 * t31048 * t119651 - 0.9e1 / 0.2e1 * t6100 * t119655 - 0.28e2 * t75834 * t19572 - 0.9e1 * t1228 * t15593 - 0.9e1 * t5286 * t15598 + t118017 + 0.3e1 * t9743 * t119664 + 0.9e1 / 0.2e1 * t43351 * t15839;
  t119672 = t22290 * t119523;
  t119678 = t4873 * t119552;
  t119679 = t9863 * t119678;
  t119680 = 0.3e1 / 0.2e1 * t119679;
  t119681 = t3130 * t75537;
  t119685 = t4996 * t119552;
  t119686 = t9863 * t119685;
  t119687 = 0.3e1 * t119686;
  t119688 = t5175 * t119603;
  t119691 = t9743 * t75427;
  t119692 = 0.7e1 * t119691;
  t119693 = t4877 * t119552;
  t119694 = t9743 * t119693;
  t119695 = 0.3e1 / 0.2e1 * t119694;
  t119696 = t843 * t119538;
  t119704 = t1252 * t78920;
  t119705 = t1516 * t15156;
  t119706 = t119705 / 0.2e1;
  t119707 = t1516 * t15159;
  t119708 = 0.3e1 / 0.2e1 * t119707;
  t119709 = -0.11e2 / 0.2e1 * t4983 * t1591 * t119672 - 0.14e2 * t41686 * t47932 + t119680 - 0.14e2 * t4983 * t6300 * t119681 + t119687 - 0.14e2 / 0.3e1 * t9863 * t119688 + t119692 - t119695 + 0.2e1 * t30990 * t119696 + t1252 * t79315 - 0.3e1 / 0.4e1 * t9136 * t2327 - 0.3e1 / 0.2e1 * t9136 * t2324 + t119704 - t119706 - t119708;
  t119710 = t26011 * t75606;
  t119716 = t3520 * t1514 * t2106;
  t119718 = t6439 * t75449;
  t119720 = t26189 * t75538;
  t119727 = t788 * t75903;
  t119732 = t4772 * t1587 * t118377;
  t119733 = 0.3e1 / 0.2e1 * t119732;
  t119734 = t20862 * t75537;
  t119738 = t843 * t119586;
  t119741 = 0.3e1 / 0.2e1 * t118029;
  t119742 = t22290 * t75537;
  t119746 = t118032 / 0.4e1;
  t119747 = t3124 * t15047;
  t119748 = t3139 * t119747;
  t119752 = 0.44e2 / 0.27e2 * t31048 * t119710 + 0.3e1 / 0.2e1 * t6411 * t15164 - t2098 * t119716 - 0.5e1 / 0.3e1 * t119718 - 0.23e2 / 0.6e1 * t9743 * t119720 - 0.3e1 * t6439 * t75405 - 0.4e1 / 0.3e1 * t6439 * t75905 + 0.3e1 / 0.2e1 * t4772 * t1587 * t119727 + t119733 + 0.18e2 * t4983 * t6304 * t119734 - 0.3e1 / 0.2e1 * t6496 * t119738 + t119741 - 0.9e1 * t4772 * t6304 * t119742 - t119746 + t118050 + 0.36e2 * t679 * t30935 * t119748;
  t119754 = 0.9e1 / 0.2e1 * t118059;
  t119755 = t3273 * t119603;
  t119761 = 0.7e1 * t118065;
  t119762 = 0.11e2 / 0.6e1 * t118152;
  t119763 = 0.23e2 / 0.12e2 * t118154;
  t119764 = t118158 / 0.2e1;
  t119765 = 0.9e1 / 0.2e1 * t118220;
  t119766 = 0.3e1 * t118225;
  t119767 = 0.3e1 * t118236;
  t119768 = -t119754 + 0.3e1 / 0.2e1 * t10155 * t119755 - t246 * t1559 * t118467 / 0.4e1 + t119761 + t118075 - t119762 + t119763 + t118156 + t119764 - t118171 + t118172 - t118178 - t118190 + t119765 + t119766 - t119767;
  t119769 = 0.3e1 / 0.2e1 * t118239;
  t119770 = t788 * t75537;
  t119774 = t229 * t75425;
  t119776 = t4772 * t6309 * t119774;
  t119777 = 0.9e1 / 0.2e1 * t119776;
  t119778 = t689 * t75425;
  t119780 = t4772 * t6300 * t119778;
  t119781 = 0.9e1 * t119780;
  t119782 = t95 * t119523;
  t119783 = t26405 * t119782;
  t119786 = t3556 * t75537;
  t119790 = t22309 * t119523;
  t119794 = t95 * t75903;
  t119795 = t5175 * t119794;
  t119798 = t6439 * t118405;
  t119800 = t43406 * t15642;
  t119803 = t9744 * t75426;
  t119804 = t9743 * t119803;
  t119805 = 0.23e2 / 0.12e2 * t119804;
  t119806 = t9845 * t119552;
  t119807 = t9743 * t119806;
  t119808 = 0.11e2 / 0.6e1 * t119807;
  t119809 = t3273 * t119794;
  t119813 = t26189 * t3156 * t75537;
  t119820 = -t119769 - 0.9e1 / 0.2e1 * t4772 * t6309 * t119770 + t119777 - t119781 - 0.11e2 / 0.12e2 * t6439 * t119783 + 0.14e2 * t4772 * t6300 * t119786 + 0.11e2 / 0.2e1 * t4772 * t1591 * t119790 + 0.2e1 / 0.3e1 * t6439 * t119795 + 0.5e1 / 0.6e1 * t119798 + 0.3e1 / 0.2e1 * t6439 * t119800 + t119805 - t119808 - t6454 * t119809 / 0.2e1 + 0.9e1 * t9743 * t119813 + t466 * t118230 / 0.2e1 + t466 * t118026 / 0.4e1;
  t119826 = 0.9e1 * t118245;
  t119827 = t26400 * t119782;
  t119831 = t26405 * t670 * t119523;
  t119839 = t8790 * t119782;
  t119849 = 0.3e1 / 0.4e1 * t118287;
  t119850 = t843 * t118427;
  t119851 = t1568 * t119850;
  t119852 = t119851 / 0.2e1;
  t119853 = -t466 * t118371 / 0.2e1 - t119826 - 0.11e2 / 0.6e1 * t6439 * t119827 + 0.11e2 / 0.3e1 * t6439 * t119831 - t2093 * t15691 / 0.3e1 + 0.3e1 / 0.2e1 * t4772 * t470 * t118052 + t6454 * t119839 + t15063 * t6233 / 0.2e1 + t2093 * t10198 / 0.2e1 - 0.3e1 / 0.2e1 * t9948 * t2162 + t118266 - t118270 + 0.9e1 / 0.2e1 * t1228 * t15708 + t119849 + t119852;
  t119854 = t26645 * t15642;
  t119856 = t659 * t119590;
  t119860 = t1261 * t119528;
  t119863 = t1228 * t15674;
  t119864 = 0.3e1 / 0.2e1 * t119863;
  t119865 = t5286 * t15682;
  t119866 = 0.3e1 / 0.2e1 * t119865;
  t119869 = 0.3e1 / 0.2e1 * t118357;
  t119870 = t1541 * t75812;
  t119873 = t4851 * t119586;
  t119876 = t4808 * t75606;
  t119879 = t1261 * t119615;
  t119882 = -t6454 * t119854 - 0.18e2 * t679 * t30949 * t119856 - t1541 * t119860 / 0.4e1 + t15613 - t15624 - t15634 + t15641 + t119864 - t119866 + t1516 * t15079 / 0.2e1 - t119869 + t119870 + 0.18e2 * t30842 * t76546 - 0.11e2 / 0.6e1 * t6100 * t119873 - 0.23e2 / 0.3e1 * t30842 * t119876 - 0.6e1 * t6087 * t119879;
  t119884 = t4851 * t119538;
  t119887 = t1254 * t119586;
  t119890 = t26847 * t119603;
  t119893 = t3556 * t75903;
  t119897 = t4877 * t119603;
  t119900 = t3273 * t118398;
  t119901 = t6454 * t119900;
  t119902 = t119901 / 0.2e1;
  t119903 = t4762 * t119552;
  t119904 = t10155 * t119903;
  t119905 = 0.3e1 / 0.2e1 * t119904;
  t119918 = t683 * t75425;
  t119920 = t4983 * t6300 * t119918;
  t119921 = 0.9e1 * t119920;
  t119926 = t659 * t665 * t15047;
  t119930 = 0.22e2 / 0.3e1 * t30842 * t119884 + 0.3e1 * t6087 * t119887 + 0.11e2 / 0.3e1 * t9743 * t119890 - 0.2e1 * t4772 * t1591 * t119893 - 0.7e1 / 0.3e1 * t9863 * t119897 - t119902 - t119905 - 0.3e1 / 0.2e1 * t1516 * t15216 + 0.3e1 * t42708 * t15843 + 0.3e1 / 0.2e1 * t32356 * t15058 - 0.3e1 * t6411 * t15189 + 0.3e1 / 0.2e1 * t1516 * t15195 - 0.5e1 / 0.36e2 * t15050 * t31970 + t119921 - 0.3e1 / 0.2e1 * t246 * t1559 * t118454 + 0.18e2 * t246 * t30949 * t119926;
  t119931 = t1228 * t15679;
  t119932 = 0.3e1 / 0.2e1 * t119931;
  t119933 = t25714 * t75606;
  t119936 = t4851 * t119615;
  t119939 = 0.9e1 * t118375;
  t119944 = 0.3e1 * t118379;
  t119946 = t836 * t6119 * t15129;
  t119949 = t843 * t119528;
  t119952 = 0.9e1 / 0.2e1 * t118384;
  t119955 = -t119932 + 0.89e2 / 0.9e1 * t31048 * t119933 + 0.7e1 * t6100 * t119936 - t119939 + 0.8e1 * t31048 * t26011 * t3165 * t75605 + t119944 + t417 * t119946 / 0.12e2 + t1568 * t119949 / 0.2e1 + t119952 + t118387 - t15093 + t15098 - t15100 + t15101 + t15104 + 0.3e1 / 0.2e1 * t1228 * t15694;
  t119959 = t3460 * t6119 * t15082;
  t119962 = t3125 * t75425;
  t119964 = t4983 * t6304 * t119962;
  t119965 = 0.9e1 * t119964;
  t119966 = t3690 * t15690;
  t119969 = t20831 * t119747;
  t119973 = t26954 * t119538;
  t119983 = t2087 * t10198;
  t119984 = t119983 / 0.4e1;
  t119987 = -t417 * t119959 / 0.6e1 - t119965 + t15662 + t15676 - t15681 - t15684 + t2098 * t119966 / 0.2e1 + 0.6e1 * t246 * t31752 * t119969 - 0.2e1 * t31048 * t119973 - t15050 * t32351 / 0.2e1 + 0.3e1 / 0.4e1 * t79470 * t432 - t2098 * t47299 / 0.4e1 + t2098 * t47003 - t119984 - t417 * t79473 / 0.4e1;
  t119988 = t9948 * t2158;
  t119989 = 0.3e1 / 0.4e1 * t119988;
  t120001 = 0.3e1 / 0.4e1 * t118400;
  t120002 = 0.3e1 / 0.2e1 * t118406;
  t120004 = t20831 * t20854 * t15047;
  t120008 = t20831 * t119619;
  t120013 = t118413 / 0.2e1;
  t120014 = 0.3e1 / 0.2e1 * t118423;
  t120015 = t119989 + t75486 * t481 / 0.4e1 + 0.3e1 / 0.2e1 * t1516 * t15179 - 0.3e1 * t1516 * t15192 + 0.3e1 * t6411 * t15184 - 0.2e1 * t15063 * t6424 + t15063 * t6402 + t15143 - t15151 + t120001 + t120002 + 0.18e2 * t3167 * t31752 * t120004 - 0.18e2 * t679 * t31752 * t120008 + t1516 * t15167 - t120013 - t120014;
  t120017 = 0.2e1 * t118425;
  t120018 = t8999 * t2090;
  t120019 = t802 * t120018;
  t120022 = t815 * t120018;
  t120025 = t3580 * t120018;
  t120028 = t9996 * t15128;
  t120029 = t802 * t120028;
  t120032 = t3590 * t120018;
  t120035 = t6341 * t118618;
  t120037 = t79670 * t414;
  t120038 = t3590 * t120037;
  t120039 = t9995 * t120038;
  t120040 = t120039 / 0.3e1;
  t120041 = t63 * t15047;
  t120042 = t20871 * t120041;
  t120047 = 0.18e2 * t118528;
  t120048 = t815 * t120037;
  t120049 = t10002 * t120048;
  t120050 = 0.36e2 * t120049;
  t120051 = t815 * t118617;
  t120052 = t6341 * t120051;
  t120054 = t3580 * t120037;
  t120055 = t9995 * t120054;
  t120056 = 0.2e1 * t120055;
  t120057 = -0.36e2 * t32067 * t120019 + 0.56e2 * t32130 * t120022 + 0.4e1 * t32067 * t120025 + 0.4e1 / 0.3e1 * t6341 * t120029 + 0.2e1 / 0.3e1 * t32067 * t120032 + 0.5e1 / 0.3e1 * t120035 - t120040 - 0.4e1 / 0.3e1 * t32043 * t120042 - 0.6e1 * t470 * t118610 + t120047 - t120050 - 0.1e2 * t120052 - t120056;
  t120058 = 0.9e1 * t118544;
  t120059 = t233 * t120018;
  t120062 = t233 * t120037;
  t120063 = t10094 * t120062;
  t120064 = 0.18e2 * t120063;
  t120065 = t233 * t118617;
  t120066 = t6344 * t120065;
  t120067 = 0.6e1 * t120066;
  t120068 = t3125 * t120041;
  t120071 = t15795 * t2105;
  t120072 = t788 * t120071;
  t120075 = t2298 * t15076;
  t120076 = t22290 * t120075;
  t120079 = 0.36e2 * t118558;
  t120080 = 0.2e1 * t118560;
  t120081 = t3130 * t120071;
  t120084 = t229 * t120041;
  t120087 = t683 * t120041;
  t120090 = t3130 * t118613;
  t120091 = t1591 * t120090;
  t120093 = t118539 - t120058 - 0.18e2 * t32232 * t120059 + t120064 + t120067 + 0.8e1 * t32039 * t120068 + 0.9e1 * t6309 * t120072 + 0.22e2 / 0.3e1 * t1591 * t120076 - t120079 - t120080 + 0.56e2 / 0.3e1 * t6300 * t120081 - 0.24e2 * t32177 * t120084 - 0.12e2 * t32082 * t120087 - 0.1e2 / 0.3e1 * t120091;
  t120095 = 0.6e1 * t118564;
  t120096 = t118566 / 0.3e1;
  t120097 = t22309 * t120075;
  t120100 = t3130 * t120041;
  t120103 = t3562 * t120075;
  t120106 = t20876 * t120071;
  t120109 = t2298 * t2084;
  t120110 = t3168 * t120109;
  t120111 = t6304 * t120110;
  t120112 = t120111 / 0.6e1;
  t120113 = 0.18e2 * t118577;
  t120114 = 0.6e1 * t118582;
  t120115 = t683 * t120109;
  t120116 = t6300 * t120115;
  t120117 = 0.12e2 * t120116;
  t120118 = t60 * t15047;
  t120119 = t20862 * t120118;
  t120122 = t3130 * t120118;
  t120127 = t229 * t120118;
  t120130 = -t120095 - t120096 - 0.11e2 * t1591 * t120097 - 0.72e2 * t32039 * t120100 + 0.6e1 * t1587 * t120103 - t6304 * t120106 / 0.3e1 + t120112 + t120113 - t120114 - t120117 - 0.12e2 * t32043 * t120119 + 0.36e2 * t32039 * t120122 + 0.3e1 * t470 * t118635 + 0.12e2 * t32177 * t120127;
  t120131 = t683 * t120118;
  t120134 = t3168 * t120118;
  t120137 = t20876 * t120118;
  t120140 = t3125 * t120118;
  t120143 = t20871 * t120118;
  t120146 = t3168 * t120041;
  t120149 = t689 * t120041;
  t120154 = t229 * t120109;
  t120155 = t6309 * t120154;
  t120156 = 0.9e1 * t120155;
  t120157 = t788 * t118613;
  t120158 = t1587 * t120157;
  t120159 = 0.3e1 * t120158;
  t120160 = t15258 * t414;
  t120161 = t3130 * t120160;
  t120164 = t788 * t120160;
  t120169 = 0.24e2 * t32082 * t120131 - 0.2e1 / 0.3e1 * t32039 * t120134 + 0.5e2 / 0.3e1 * t32043 * t120137 - 0.4e2 * t32039 * t120140 + 0.1e2 / 0.3e1 * t32043 * t120143 - t118587 + 0.4e1 / 0.3e1 * t32039 * t120146 + 0.72e2 * t32082 * t120149 - 0.28e2 / 0.3e1 * t32130 * t120019 - t120156 - t120159 - 0.8e1 / 0.3e1 * t1591 * t120161 - 0.3e1 * t1587 * t120164 - 0.3e1 * t470 * t118639;
  t120172 = t233 * t120028;
  t120175 = 0.18e2 * t118600;
  t120176 = t20862 * t120041;
  t120179 = t3125 * t120109;
  t120180 = t6304 * t120179;
  t120181 = 0.1e2 * t120180;
  t120182 = 0.9e1 * t118615;
  t120183 = 0.3e1 * t118619;
  t120184 = t22290 * t120071;
  t120187 = t9996 * t15076;
  t120188 = t233 * t120187;
  t120191 = 0.9e1 * t118621;
  t120192 = t802 * t120037;
  t120193 = t10002 * t120192;
  t120194 = 0.6e1 * t120193;
  t120195 = 0.6e1 * t6344 * t120172 + 0.24e2 * t32043 * t120176 + 0.18e2 * t6304 * t120184 - 0.12e2 * t32105 * t120188 + t118606 - t118624 - t120175 + t120181 + t120182 + t120183 - t120191 + t120194 - t15238 + t15762;
  t120196 = t20876 * t120041;
  t120200 = t20845 * t120041;
  t120203 = t9995 * t120192;
  t120204 = 0.18e2 * t120203;
  t120205 = t802 * t120187;
  t120208 = t815 * t120028;
  t120213 = t3130 * t120109;
  t120214 = t6304 * t120213;
  t120215 = 0.9e1 * t120214;
  t120216 = t3556 * t120071;
  t120219 = -t15241 + t15245 + 0.8e1 / 0.3e1 * t32043 * t120196 - t15768 - t15774 - t470 * t118589 - t32043 * t120200 / 0.9e1 - t118649 + t120204 - 0.11e2 / 0.3e1 * t32108 * t120205 - 0.8e1 * t6341 * t120208 + 0.6e1 * t10088 * t118651 - t120215 - 0.28e2 * t6300 * t120216;
  t120221 = t689 * t120118;
  t120224 = 0.12e2 * t118654;
  t120225 = 0.6e1 * t118664;
  t120228 = 0.18e2 * t118680;
  t120229 = t815 * t120187;
  t120232 = t689 * t120109;
  t120233 = t6300 * t120232;
  t120234 = 0.18e2 * t120233;
  t120235 = -0.36e2 * t32082 * t120221 + t120224 + t118659 + t120225 + t470 * t118706 / 0.2e1 + t118668 - t118674 - t118677 + t120228 + 0.22e2 * t32108 * t120229 + t15802 - t15811 + t15813 + t120234;
  t120236 = t3556 * t120160;
  t120239 = t1591 * t118614;
  t120241 = t20862 * t120071;
  t120244 = 0.1e2 * t118718;
  t120245 = 0.12e2 * t118723;
  t120246 = t118728 / 0.6e1;
  t120247 = 0.4e1 * t1591 * t120236 - 0.2e2 * t6304 * t120241 + t118700 + t118704 - t118734 + 0.5e1 * t120239 + t120244 - t120245 + t120246 + t15267 - t15275 + t15283 + t2119 - t2138;
  t120255 = t1261 * t119538;
  t120258 = 0.9e1 / 0.2e1 * t118451;
  t120259 = 0.9e1 * t118459;
  t120260 = 0.9e1 / 0.2e1 * t118472;
  t120261 = 0.5e1 / 0.12e2 * t118475;
  t120264 = t1254 * t119538;
  t120267 = t4867 * t119538;
  t120270 = 0.3e1 * t118485;
  t120271 = t120017 - t118429 - t30 * t59 * (t120057 + t120093 + t120130 + t120169 + t120195 + t120219 + t120235 + t120247) * t95 / 0.4e1 - 0.3e1 * t30916 * t120255 - t118444 - t120258 + t120259 - t118465 + t120260 - t120261 - 0.3e1 / 0.4e1 * t1228 * t15669 - 0.6e1 * t30916 * t120264 + 0.6e1 * t30842 * t120267 - t120270 - t15161 - t15173;
  t120272 = t4877 * t75538;
  t120277 = 0.9e1 / 0.2e1 * t118494;
  t120278 = t4877 * t119794;
  t120283 = t3168 * t75425;
  t120285 = t9877 * t6304 * t120283;
  t120286 = 0.9e1 / 0.2e1 * t120285;
  t120287 = t20876 * t75537;
  t120291 = t9743 * t75975;
  t120292 = 0.9e1 / 0.2e1 * t120291;
  t120295 = 0.6e1 * t118502;
  t120296 = t3130 * t75425;
  t120298 = t4772 * t6304 * t120296;
  t120299 = 0.9e1 / 0.2e1 * t120298;
  t120300 = t41697 * t15642;
  t120304 = t20831 * t20832 * t15047;
  t120308 = 0.28e2 / 0.3e1 * t9863 * t120272 - t15734 + 0.9e1 * t5286 * t15703 + t120277 + t6439 * t120278 / 0.3e1 - t6451 * t118497 / 0.2e1 + t120286 - 0.9e1 * t9877 * t6304 * t120287 - t120292 + 0.3e1 / 0.2e1 * t9136 * t2332 - t120295 - t118505 + t120299 + 0.3e1 / 0.4e1 * t6439 * t120300 - t118513 - 0.6e1 * t20841 * t31752 * t120304;
  t120313 = my_piecewise3(t2, 0, t119542 + t119584 + t119630 + t119669 + t119709 + t119752 + t119768 + t119820 + t119853 + t119882 + t119930 + t119955 + t119987 + t120015 + t120271 + t120308);
  tv4sigma3lapl0 = t3 * t120313;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 0] += tv4sigma3lapl0;

  tv4sigma3lapl1 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 1] += tv4sigma3lapl1;

  tv4sigma3lapl2 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 2] += tv4sigma3lapl2;

  tv4sigma3lapl3 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 3] += tv4sigma3lapl3;

  tv4sigma3lapl4 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 4] += tv4sigma3lapl4;

  tv4sigma3lapl5 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 5] += tv4sigma3lapl5;

  tv4sigma3lapl6 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 6] += tv4sigma3lapl6;

  tv4sigma3lapl7 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 7] += tv4sigma3lapl7;

  tv4sigma3lapl8 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 8] += tv4sigma3lapl8;

  tv4sigma3lapl9 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 9] += tv4sigma3lapl9;

  tv4sigma3lapl10 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 10] += tv4sigma3lapl10;

  tv4sigma3lapl11 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 11] += tv4sigma3lapl11;

  tv4sigma3lapl12 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 12] += tv4sigma3lapl12;

  tv4sigma3lapl13 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 13] += tv4sigma3lapl13;

  tv4sigma3lapl14 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 14] += tv4sigma3lapl14;

  tv4sigma3lapl15 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 15] += tv4sigma3lapl15;

  tv4sigma3lapl16 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 16] += tv4sigma3lapl16;

  tv4sigma3lapl17 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 17] += tv4sigma3lapl17;

  tv4sigma3lapl18 = 0.e0;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 18] += tv4sigma3lapl18;

  t120314 = t6769 * t119019;
  t120316 = t1008 * t15405;
  t120317 = t4148 * t120316;
  t120321 = t1381 * t15871;
  t120322 = t1430 * t120321;
  t120325 = 0.9e1 * t118766;
  t120326 = 0.9e1 / 0.2e1 * t118771;
  t120327 = 0.3e1 / 0.2e1 * t118773;
  t120330 = t1647 * t15384;
  t120331 = t120330 / 0.2e1;
  t120339 = t5553 * t15871;
  t120340 = t1430 * t120339;
  t120343 = 0.3e1 / 0.4e1 * t118807;
  t120344 = 0.5e1 / 0.12e2 * t120314 - 0.18e2 * t373 * t34805 * t120317 - 0.6e1 * t6788 * t120322 - t120325 + t120326 - t120327 - 0.3e1 / 0.4e1 * t10426 * t2258 - t120331 + 0.3e1 / 0.2e1 * t5665 * t494 * t119100 + 0.11e2 / 0.3e1 * t5673 * t81794 - 0.3e1 * t6769 * t77474 + 0.3e1 / 0.2e1 * t6788 * t120340 + t120343 - t2180 + t2251;
  t120345 = t1095 * t77403;
  t120346 = t5563 * t120345;
  t120349 = t5595 * t120345;
  t120352 = t4687 * t118886;
  t120353 = t6764 * t120352;
  t120354 = t120353 / 0.2e1;
  t120355 = t168 * t77116;
  t120356 = t6005 * t120355;
  t120357 = t10725 * t120356;
  t120358 = 0.3e1 / 0.2e1 * t120357;
  t120359 = t168 * t78403;
  t120360 = t29468 * t120359;
  t120363 = t29474 * t78404;
  t120366 = t24418 * t78403;
  t120370 = t24435 * t78403;
  t120374 = t4572 * t78403;
  t120378 = t1647 * t15381;
  t120379 = 0.3e1 / 0.2e1 * t120378;
  t120382 = t1094 * t6755 * t15360;
  t120385 = t4376 * t15925;
  t120388 = t4154 * t15405;
  t120389 = t4148 * t120388;
  t120395 = t1101 * t120339;
  t120398 = 0.6e1 * t34074 * t120346 + 0.5e1 / 0.3e1 * t34074 * t120349 - t120354 - t120358 + 0.11e2 / 0.3e1 * t10357 * t120360 - 0.23e2 / 0.6e1 * t10357 * t120363 + 0.18e2 * t5639 * t7093 * t120366 - 0.9e1 * t5665 * t7093 * t120370 - 0.14e2 * t5639 * t7089 * t120374 - t120379 + t1647 * t15392 + t442 * t120382 / 0.12e2 + t2189 * t120385 / 0.4e1 - 0.18e2 * t4718 * t34805 * t120389 + 0.47e2 / 0.3e1 * t77023 * t34062 - 0.3e1 / 0.2e1 * t6928 * t120395;
  t120400 = t1423 * t120345;
  t120405 = t45091 * t2337;
  t120406 = t1430 * t120405;
  t120409 = t1683 * t119041;
  t120410 = t120409 / 0.4e1;
  t120413 = t29118 * t120345;
  t120416 = t28999 * t77404;
  t120419 = t1033 * t77116;
  t120421 = t5639 * t7089 * t120419;
  t120422 = 0.9e1 * t120421;
  t120424 = t5639 * t1720 * t119036;
  t120428 = t6755 * t15906;
  t120429 = t1423 * t120428;
  t120430 = t1421 * t120429;
  t120431 = t120430 / 0.2e1;
  t120432 = t4553 * t15925;
  t120435 = t5792 * t16113;
  t120436 = 0.3e1 / 0.2e1 * t120435;
  t120441 = -0.6e1 * t33976 * t120400 - 0.28e2 * t76997 * t6915 - t1683 * t120406 / 0.4e1 - t120410 + 0.3e1 / 0.2e1 * t1383 * t15903 - 0.61e2 / 0.27e2 * t33874 * t120413 + 0.44e2 / 0.27e2 * t33874 * t120416 + t120422 + 0.5e1 / 0.2e1 * t120424 + 0.3e1 * t45289 * t15858 - t120431 + t2189 * t120432 / 0.2e1 - t120436 - 0.9e1 / 0.2e1 * t9254 * t52077 + 0.18e2 * t34074 * t77426;
  t120444 = t1007 * t120316;
  t120448 = t5679 * t120355;
  t120449 = t10440 * t120448;
  t120450 = 0.3e1 * t120449;
  t120451 = t439 * t15312;
  t120452 = t168 * t120451;
  t120453 = t9444 * t120452;
  t120455 = t1423 * t120339;
  t120458 = t10440 * t77856;
  t120459 = 0.6e1 * t120458;
  t120460 = t10358 * t77117;
  t120461 = t10357 * t120460;
  t120462 = 0.23e2 / 0.12e2 * t120461;
  t120463 = t45452 * t15890;
  t120467 = t5665 * t1720 * t119104;
  t120472 = t346 * t348 * t15405;
  t120476 = t28999 * t120345;
  t120483 = t490 * t119227 / 0.12e2 - 0.18e2 * t1029 * t34819 * t120444 + t120450 - t118825 + t6764 * t120453 + 0.3e1 * t6788 * t120455 - t120459 - t118879 + t120462 + 0.3e1 / 0.4e1 * t6769 * t120463 - 0.5e1 / 0.2e1 * t120467 + 0.3e1 / 0.2e1 * t6955 * t15389 - 0.6e1 * t373 * t35134 * t120472 - 0.35e2 / 0.108e3 * t33874 * t120476 + t490 * t118901 / 0.4e1 + t490 * t119154 / 0.4e1;
  t120487 = t4376 * t1645 * t2197;
  t120495 = t1430 * t120428;
  t120496 = t1421 * t120495;
  t120497 = t120496 / 0.4e1;
  t120500 = t5733 * t120339;
  t120503 = t5733 * t120345;
  t120517 = -t2189 * t120487 - 0.3e1 / 0.2e1 * t1647 * t15456 - 0.3e1 / 0.2e1 * t44765 * t2390 - 0.9e1 * t1383 * t16107 - t120497 + 0.23e2 / 0.36e2 * t15408 * t34466 - 0.11e2 / 0.6e1 * t6855 * t120500 + 0.22e2 / 0.3e1 * t34074 * t120503 + t118884 - t15432 * t1642 / 0.2e1 + t15417 * t7021 / 0.2e1 - 0.3e1 / 0.2e1 * t10426 * t2253 + t2184 * t10421 / 0.2e1 + t15417 * t6946 + 0.3e1 * t6955 * t15425;
  t120529 = t5665 * t1716 * t119024;
  t120530 = 0.3e1 / 0.2e1 * t120529;
  t120531 = 0.3e1 / 0.2e1 * t118888;
  t120532 = t2178 * t15926;
  t120533 = t120532 / 0.6e1;
  t120535 = t1094 * t50380 * t2197;
  t120540 = t24678 * t120388;
  t120544 = t4149 * t15405;
  t120545 = t24678 * t120544;
  t120551 = t30141 * t120359;
  t120554 = t45283 * t15890;
  t120557 = -0.2e1 * t15417 * t6950 - t2189 * t51336 / 0.2e1 - t2189 * t50270 / 0.4e1 - 0.5e1 / 0.36e2 * t15408 * t34611 + 0.7e1 / 0.3e1 * t15408 * t34460 + t120530 + t120531 - t118892 + t120533 + t442 * t120535 / 0.4e1 + 0.12e2 * t33976 * t77727 - 0.18e2 * t1029 * t33940 * t120540 + 0.6e1 * t373 * t33940 * t120545 - 0.9e1 / 0.2e1 * t45289 * t15898 + 0.3e1 * t10357 * t120551 + 0.3e1 / 0.2e1 * t6769 * t120554;
  t120559 = 0.7e1 * t118894;
  t120560 = 0.9e1 / 0.2e1 * t118896;
  t120561 = 0.9e1 * t118905;
  t120562 = 0.3e1 * t118907;
  t120563 = 0.3e1 / 0.2e1 * t118909;
  t120564 = 0.2e1 * t118911;
  t120565 = 0.5e1 / 0.12e2 * t118938;
  t120566 = 0.11e2 / 0.6e1 * t118940;
  t120567 = 0.23e2 / 0.12e2 * t118942;
  t120568 = 0.3e1 * t118944;
  t120569 = 0.3e1 * t118946;
  t120572 = t1647 * t15326;
  t120573 = 0.3e1 / 0.2e1 * t120572;
  t120577 = t120559 - t120560 - t120561 - t120562 - t120563 + t120564 - t120565 - t120566 + t120567 - t120568 + t120569 + t15307 + 0.7e1 * t9254 * t52071 + t120573 - 0.3e1 / 0.2e1 * t373 * t1693 * t119086 + t15323;
  t120578 = t118979 / 0.4e1;
  t120579 = t119006 / 0.2e1;
  t120580 = 0.3e1 / 0.2e1 * t119016;
  t120583 = t4626 * t77538;
  t120587 = t4572 * t77116;
  t120589 = t5665 * t7093 * t120587;
  t120590 = 0.9e1 / 0.2e1 * t120589;
  t120591 = t356 * t77116;
  t120593 = t5665 * t7086 * t120591;
  t120594 = 0.9e1 / 0.2e1 * t120593;
  t120595 = 0.3e1 / 0.4e1 * t119020;
  t120596 = -0.2e1 * t5665 * t1720 * t120583 - 0.14e2 * t44470 * t50487 + t118970 + t118987 - t119011 - t120578 + t120579 - t120580 + t120590 + t120594 + t120595 - t15325 + t15328 + t15332 - t15334 - t15374;
  t120600 = t10357 * t77118;
  t120601 = 0.7e1 * t120600;
  t120602 = t10357 * t77436;
  t120603 = 0.9e1 / 0.2e1 * t120602;
  t120604 = t4626 * t78403;
  t120608 = 0.3e1 * t119026;
  t120609 = t29988 * t15890;
  t120611 = 0.9e1 / 0.2e1 * t119038;
  t120616 = t10426 * t2249;
  t120617 = 0.3e1 / 0.4e1 * t120616;
  t120626 = t120601 - t120603 - t15383 - t119023 + 0.14e2 * t5665 * t7089 * t120604 + t120608 - t6764 * t120609 + t120611 + 0.3e1 / 0.2e1 * t10426 * t2261 - 0.3e1 / 0.2e1 * t51333 * t2245 + t120617 - t442 * t81249 / 0.4e1 + 0.3e1 / 0.4e1 * t81254 * t457 - 0.3e1 / 0.2e1 * t15408 * t34257 - t15408 * t34456 / 0.2e1;
  t120634 = t10447 * t120355;
  t120635 = t10357 * t120634;
  t120636 = 0.11e2 / 0.6e1 * t120635;
  t120637 = t5691 * t120355;
  t120638 = t10357 * t120637;
  t120639 = 0.3e1 / 0.2e1 * t120638;
  t120640 = t24477 * t78403;
  t120644 = t168 * t77538;
  t120645 = t5674 * t120644;
  t120660 = t2178 * t10421;
  t120661 = t120660 / 0.4e1;
  t120662 = 0.3e1 / 0.2e1 * t1647 * t15436 - 0.3e1 * t6955 * t15444 + t2189 * t51326 - 0.11e2 / 0.18e2 * t15408 * t34463 - t120636 - t120639 - t15412 - 0.9e1 * t10513 * t7093 * t120640 + 0.2e1 / 0.3e1 * t6769 * t120645 - 0.4e1 / 0.3e1 * t6769 * t77540 + 0.3e1 / 0.2e1 * t34264 * t15441 + t77880 * t505 / 0.4e1 - 0.3e1 * t1647 * t15459 - t490 * t77875 / 0.12e2 + 0.3e1 / 0.2e1 * t1647 * t15421 - t120661;
  t120664 = t119042 / 0.2e1;
  t120665 = 0.3e1 / 0.2e1 * t119044;
  t120668 = t5674 * t120359;
  t120674 = t10358 * t120355;
  t120675 = t10357 * t120674;
  t120676 = 0.5e1 / 0.12e2 * t120675;
  t120677 = t4687 * t120644;
  t120682 = t5691 * t120644;
  t120685 = t30134 * t120452;
  t120688 = t1430 * t120345;
  t120691 = 0.3e1 * t119048;
  t120692 = t6769 * t78467;
  t120694 = t1683 * t118891;
  t120695 = t120694 / 0.2e1;
  t120696 = t1423 * t120405;
  t120700 = t1007 * t1013 * t15405;
  t120704 = -t120664 + t120665 - t490 * t118914 / 0.2e1 - 0.14e2 / 0.3e1 * t10440 * t120668 + 0.28e2 / 0.3e1 * t10440 * t5691 * t78404 - t120676 - t6764 * t120677 / 0.2e1 - t6772 * t119097 / 0.2e1 + t6769 * t120682 / 0.3e1 - 0.11e2 / 0.6e1 * t6769 * t120685 - 0.3e1 * t33976 * t120688 + t120691 - 0.5e1 / 0.3e1 * t120692 - t120695 - t1683 * t120696 / 0.2e1 + 0.18e2 * t373 * t34819 * t120700;
  t120707 = 0.6e1 * t119057;
  t120708 = 0.9e1 / 0.2e1 * t119067;
  t120709 = t5691 * t120359;
  t120712 = t29474 * t120359;
  t120715 = t30141 * t120452;
  t120718 = t6769 * t118887;
  t120720 = 0.9e1 / 0.2e1 * t119106;
  t120721 = 0.9e1 / 0.2e1 * t119109;
  t120725 = t1683 * t77295;
  t120726 = t5595 * t120321;
  t120731 = -t2184 * t15926 / 0.3e1 - t120707 + t120708 - 0.7e1 / 0.3e1 * t10440 * t120709 + 0.5e1 / 0.6e1 * t10357 * t120712 - 0.11e2 / 0.12e2 * t6769 * t120715 + 0.5e1 / 0.6e1 * t120718 - t120720 - t15910 + t15914 + t120721 - 0.3e1 / 0.2e1 * t9469 * t2395 + t1683 * t77081 + t120725 + 0.23e2 / 0.12e2 * t6855 * t120726 + 0.9e1 * t5792 * t15867;
  t120734 = t1383 * t16126;
  t120735 = 0.3e1 / 0.2e1 * t120734;
  t120738 = t4148 * t120544;
  t120742 = t6955 * t15372;
  t120743 = 0.3e1 / 0.2e1 * t120742;
  t120746 = t4575 * t120451;
  t120750 = t4687 * t120359;
  t120753 = t5595 * t77404;
  t120760 = t1165 * t78403;
  t120764 = t24435 * t120451;
  t120768 = t24564 * t120451;
  t120772 = t120735 - 0.3e1 / 0.4e1 * t1383 * t16121 + 0.36e2 * t1029 * t34805 * t120738 - t120743 + 0.9e1 / 0.2e1 * t45286 * t15854 - 0.3e1 * t5665 * t1716 * t120746 + 0.3e1 / 0.2e1 * t10725 * t120750 + t15946 + t15949 - 0.23e2 / 0.3e1 * t34074 * t120753 + t490 * t119092 / 0.2e1 + t1647 * t15320 / 0.2e1 - 0.9e1 / 0.2e1 * t5665 * t7086 * t120760 - 0.11e2 / 0.2e1 * t5639 * t1720 * t120764 + 0.11e2 / 0.2e1 * t5665 * t1720 * t120768;
  t120777 = t5695 * t120355;
  t120778 = t10440 * t120777;
  t120779 = 0.3e1 / 0.2e1 * t120778;
  t120780 = t1383 * t16118;
  t120781 = 0.3e1 / 0.2e1 * t120780;
  t120784 = 0.9e1 * t119482;
  t120785 = t4609 * t77116;
  t120787 = t10513 * t7093 * t120785;
  t120788 = 0.9e1 / 0.2e1 * t120787;
  t120790 = t24678 * t24556 * t15405;
  t120794 = 0.9e1 * t10357 * t29474 * t4191 * t78403 + t120779 + t119123 - t119126 - t119130 - t119138 + t119143 - t120781 - 0.3e1 / 0.4e1 * t9469 * t2398 + t119158 - t119242 + t120784 - t15994 + t120788 - t16104 + 0.18e2 * t4718 * t33940 * t120790;
  t120801 = t1421 * t82059;
  t120802 = t5595 * t120339;
  t120806 = t4354 * t6755 * t15313;
  t120815 = t1101 * t120345;
  t120818 = t5563 * t120339;
  t120821 = t1101 * t120405;
  t120824 = t1101 * t118890;
  t120825 = t1702 * t120824;
  t120826 = t120825 / 0.2e1;
  t120827 = t1165 * t77538;
  t120831 = t4619 * t77116;
  t120833 = t5639 * t7093 * t120831;
  t120834 = 0.9e1 * t120833;
  t120835 = 0.3e1 * t119497;
  t120836 = 0.9e1 / 0.2e1 * t1383 * t15862 - t373 * t1693 * t119244 / 0.4e1 + t119496 + t120801 - 0.5e1 / 0.12e2 * t6855 * t120802 - t442 * t120806 / 0.6e1 - 0.9e1 * t5792 * t15986 + 0.9e1 / 0.2e1 * t1383 * t15981 + 0.9e1 / 0.2e1 * t29089 * t15887 + 0.2e1 * t35231 * t120815 - 0.3e1 / 0.2e1 * t6855 * t120818 + t1702 * t120821 / 0.2e1 + t120826 + 0.3e1 / 0.2e1 * t5665 * t1716 * t120827 - t120834 - t120835;
  t120837 = t1038 * t77116;
  t120839 = t5665 * t7089 * t120837;
  t120840 = 0.9e1 * t120839;
  t120841 = t4572 * t77538;
  t120845 = t7150 * t119273;
  t120847 = t10603 * t15359;
  t120848 = t1173 * t120847;
  t120851 = t82115 * t2196;
  t120852 = t4586 * t120851;
  t120855 = t1173 * t120851;
  t120858 = t10603 * t2175;
  t120859 = t4599 * t120858;
  t120860 = t10618 * t120859;
  t120861 = 0.2e1 * t120860;
  t120862 = t1186 * t120858;
  t120863 = t10609 * t120862;
  t120864 = 0.36e2 * t120863;
  t120865 = t77967 * t439;
  t120866 = t1186 * t120865;
  t120869 = t4586 * t120858;
  t120870 = t10618 * t120869;
  t120871 = t120870 / 0.3e1;
  t120872 = t1173 * t120858;
  t120873 = t10609 * t120872;
  t120874 = 0.6e1 * t120873;
  t120875 = t15522 * t439;
  t120876 = t1165 * t120875;
  t120881 = t2369 * t15312;
  t120882 = t24435 * t120881;
  t120885 = t143 * t15405;
  t120886 = t1033 * t120885;
  t120889 = 0.5e1 / 0.3e1 * t120845 + 0.4e1 / 0.3e1 * t7150 * t120848 + 0.2e1 / 0.3e1 * t34882 * t120852 - 0.36e2 * t34882 * t120855 - t120861 - t120864 + 0.22e2 * t34871 * t120866 - t120871 + t120874 - 0.3e1 * t1716 * t120876 - 0.3e1 * t494 * t119302 + 0.22e2 / 0.3e1 * t1720 * t120882 - 0.12e2 * t34914 * t120886;
  t120890 = t16054 * t2196;
  t120891 = t4572 * t120890;
  t120894 = t24477 * t120890;
  t120897 = t4626 * t120890;
  t120900 = 0.36e2 * t119255;
  t120901 = t119260 / 0.3e1;
  t120902 = 0.6e1 * t119265;
  t120903 = 0.9e1 * t119267;
  t120904 = 0.18e2 * t119269;
  t120905 = 0.3e1 * t119274;
  t120906 = 0.2e1 * t119290;
  t120907 = 0.18e2 * t119296;
  t120910 = 0.56e2 / 0.3e1 * t7089 * t120891 - t7093 * t120894 / 0.3e1 - 0.28e2 * t7089 * t120897 + t119251 - t120900 - t120901 + t120902 + t120903 + t120904 + t120905 - t119280 - t120906 + t120907 + 0.6e1 * t10674 * t119364;
  t120912 = t4575 * t120881;
  t120915 = t1038 * t120885;
  t120918 = t356 * t120885;
  t120923 = t1165 * t120890;
  t120927 = t24582 * t120885;
  t120930 = t4609 * t120885;
  t120933 = t4619 * t120885;
  t120936 = t24557 * t120885;
  t120939 = t4626 * t120875;
  t120942 = t16067 * t439;
  t120943 = t4572 * t120942;
  t120944 = t7093 * t120943;
  t120945 = 0.9e1 * t120944;
  t120946 = t24418 * t120885;
  t120949 = t4572 * t120885;
  t120952 = 0.6e1 * t1716 * t120912 + 0.72e2 * t34914 * t120915 - 0.24e2 * t34927 * t120918 - 0.6e1 * t494 * t119286 + 0.9e1 * t7086 * t120923 - t494 * t119350 - t34905 * t120927 / 0.9e1 + 0.4e1 / 0.3e1 * t34896 * t120930 + 0.8e1 * t34896 * t120933 - 0.4e1 / 0.3e1 * t34905 * t120936 + 0.4e1 * t1720 * t120939 - t120945 + 0.24e2 * t34905 * t120946 - 0.72e2 * t34896 * t120949;
  t120953 = t24477 * t120885;
  t120956 = t1186 * t120847;
  t120959 = t1186 * t119272;
  t120960 = t7150 * t120959;
  t120962 = t1173 * t120865;
  t120967 = 0.6e1 * t119307;
  t120968 = 0.6e1 * t119309;
  t120969 = t360 * t120851;
  t120972 = 0.8e1 / 0.3e1 * t34905 * t120953 - 0.8e1 * t7150 * t120956 - 0.1e2 * t120960 - 0.11e2 / 0.3e1 * t34871 * t120962 - 0.28e2 / 0.3e1 * t34885 * t120855 - t120967 - t120968 - t15479 - t119324 - t15482 + t119333 - t119342 + t119344 - 0.18e2 * t34874 * t120969;
  t120975 = t360 * t120858;
  t120976 = t10684 * t120975;
  t120977 = 0.18e2 * t120976;
  t120978 = t7147 * t119358;
  t120979 = 0.6e1 * t120978;
  t120980 = t360 * t120847;
  t120983 = t360 * t120865;
  t120986 = t356 * t120942;
  t120987 = t7086 * t120986;
  t120988 = 0.9e1 * t120987;
  t120989 = t16067 * t2196;
  t120990 = t1165 * t120989;
  t120991 = t1716 * t120990;
  t120992 = 0.3e1 * t120991;
  t120993 = t1033 * t120942;
  t120994 = t7089 * t120993;
  t120995 = 0.12e2 * t120994;
  t120996 = t24564 * t120881;
  t120999 = t1038 * t120942;
  t121000 = t7089 * t120999;
  t121001 = 0.18e2 * t121000;
  t121002 = t24435 * t120890;
  t121005 = t24418 * t120890;
  t121008 = t4572 * t120989;
  t121009 = t1720 * t121008;
  t121011 = t4609 * t120942;
  t121012 = t7093 * t121011;
  t121013 = t121012 / 0.6e1;
  t121014 = t4572 * t120875;
  t121017 = t120977 + t120979 + 0.6e1 * t7147 * t120980 - 0.12e2 * t34877 * t120983 - t120988 - t120992 - t120995 - 0.11e2 * t1720 * t120996 + t121001 + 0.18e2 * t7093 * t121002 - 0.2e2 * t7093 * t121005 - 0.1e2 / 0.3e1 * t121009 + t121013 - 0.8e1 / 0.3e1 * t1720 * t121014;
  t121018 = t4626 * t120989;
  t121019 = t1720 * t121018;
  t121021 = t4619 * t120942;
  t121022 = t7093 * t121021;
  t121023 = 0.1e2 * t121022;
  t121026 = t140 * t15405;
  t121027 = t356 * t121026;
  t121030 = 0.12e2 * t119359;
  t121031 = 0.18e2 * t119361;
  t121032 = t1038 * t121026;
  t121035 = t1033 * t121026;
  t121038 = t24557 * t121026;
  t121041 = t4609 * t121026;
  t121044 = t4619 * t121026;
  t121047 = 0.5e1 * t121019 + t121023 - t16030 - t16036 + t16046 + 0.3e1 * t494 * t119401 + 0.12e2 * t34927 * t121027 + t121030 - t121031 - 0.36e2 * t34914 * t121032 + 0.24e2 * t34914 * t121035 + 0.1e2 / 0.3e1 * t34905 * t121038 - 0.2e1 / 0.3e1 * t34896 * t121041 - 0.4e2 * t34896 * t121044;
  t121051 = t4599 * t120851;
  t121054 = t1186 * t120851;
  t121057 = t10618 * t120872;
  t121058 = 0.18e2 * t121057;
  t121059 = 0.1e2 * t119415;
  t121060 = 0.9e1 * t119419;
  t121061 = 0.12e2 * t119424;
  t121062 = t119431 / 0.6e1;
  t121063 = 0.18e2 * t119436;
  t121064 = t494 * t119382 / 0.2e1 + 0.4e1 * t34882 * t121051 + 0.56e2 * t34885 * t121054 + t121058 + t15488 + t119376 - t119405 + t121059 - t121060 - t121061 + t121062 + t121063 - t119443 - t119445;
  t121065 = 0.9e1 * t119457;
  t121066 = t24477 * t121026;
  t121069 = t24418 * t121026;
  t121072 = t4572 * t121026;
  t121075 = t119455 - t121065 - t16069 + t16075 + 0.5e2 / 0.3e1 * t34905 * t121066 - 0.12e2 * t34905 * t121069 + 0.36e2 * t34896 * t121072 + t16083 - t15517 + t119468 + t15532 + t15539 - t2229 + t2210;
  t121085 = t29118 * t77404;
  t121088 = t29113 * t120345;
  t121091 = t28999 * t77425;
  t121099 = t24678 * t24581 * t15405;
  t121103 = t29545 * t120345;
  t121108 = t1101 * t120428;
  t121109 = t1451 * t121108;
  t121110 = t121109 / 0.2e1;
  t121111 = -t120840 + 0.2e1 * t5639 * t1720 * t120841 - t110 * t139 * (t120889 + t120910 + t120952 + t120972 + t121017 + t121047 + t121064 + t121075) * t168 / 0.4e1 - t1647 * t15396 / 0.4e1 + 0.89e2 / 0.9e1 * t33874 * t121085 - 0.38e2 / 0.9e1 * t33874 * t121088 - 0.43e2 / 0.9e1 * t33874 * t121091 + 0.3e1 / 0.2e1 * t9469 * t2403 + 0.8e1 * t33874 * t77713 - 0.6e1 * t25474 * t33940 * t121099 - 0.2e1 * t33874 * t121103 - 0.62e2 / 0.3e1 * t77023 * t34028 + t121110 - t16115 - t16120 + t16128;
  t121116 = my_piecewise3(t100, 0, t120344 + t120398 + t120441 + t120483 + t120517 + t120557 + t120577 + t120596 + t120626 + t120662 + t120704 + t120731 + t120772 + t120794 + t120836 + t121111);
  tv4sigma3lapl19 = t3 * t121116;

  if(out->v4sigma3lapl != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3lapl[ip*p->dim.v4sigma3lapl + 19] += tv4sigma3lapl19;

  t121120 = t4772 * t1872 * t118377;
  t121121 = 0.3e1 / 0.2e1 * t121120;
  t121128 = t8718 * t17243;
  t121129 = t121128 / 0.4e1;
  t121132 = t1779 * t118428;
  t121133 = t121132 / 0.2e1;
  t121159 = 0.3e1 * t42708 * t16232 + t121121 + 0.3e1 / 0.2e1 * t4772 * t1872 * t119727 - 0.9e1 / 0.2e1 * t4772 * t7690 * t119770 - t121129 - t1779 * t119529 / 0.2e1 - t121133 - 0.3e1 / 0.2e1 * t9136 * t2447 - 0.3e1 / 0.2e1 * t246 * t1797 * t118454 - 0.18e2 * t246 * t35914 * t119591 - t515 * t118371 / 0.2e1 - t2098 * t54099 / 0.2e1 + t515 * t118071 / 0.4e1 + t515 * t118144 / 0.12e2 - 0.6e1 * t20841 * t35527 * t120304 + 0.18e2 * t3167 * t35527 * t120004 - 0.2e1 * t35300 * t119973 + t15063 * t7487;
  t121164 = t25714 * t37944;
  t121177 = t10777 * t2158;
  t121178 = 0.3e1 / 0.4e1 * t121177;
  t121189 = t25709 * t37483;
  t121196 = 0.7e1 * t7196 * t119936 + 0.89e2 / 0.9e1 * t35300 * t119933 - 0.62e2 / 0.3e1 * t75100 * t121164 - 0.3e1 / 0.2e1 * t7196 * t119646 - 0.38e2 / 0.9e1 * t35300 * t119643 + 0.9e1 / 0.2e1 * t26784 * t16250 - t2089 + t2160 - 0.3e1 * t1770 * t15192 + t2093 * t10808 / 0.2e1 + t121178 - 0.3e1 / 0.2e1 * t10777 * t2162 + t15063 * t7532 / 0.2e1 - 0.3e1 / 0.2e1 * t1228 * t16173 + t2093 * t10965 / 0.2e1 + 0.9e1 / 0.2e1 * t1228 * t16260 + 0.47e2 / 0.3e1 * t75100 * t121189 - t2098 * t52380 / 0.2e1 + t1770 * t15079 / 0.2e1;
  t121198 = t7213 * t15609;
  t121199 = t843 * t121198;
  t121200 = t1294 * t121199;
  t121201 = t121200 / 0.2e1;
  t121203 = t7254 * t119900;
  t121204 = t121203 / 0.2e1;
  t121211 = t9877 * t7686 * t120283;
  t121212 = 0.9e1 / 0.2e1 * t121211;
  t121216 = t10757 * t75427;
  t121217 = 0.7e1 * t121216;
  t121227 = t5286 * t16281;
  t121228 = 0.3e1 / 0.2e1 * t121227;
  t121231 = t1770 * t15102;
  t121232 = 0.3e1 / 0.2e1 * t121231;
  t121235 = t1805 * t15227;
  t121239 = t121201 - t7254 * t119854 - t121204 + 0.18e2 * t4983 * t7686 * t119734 + 0.9e1 * t10757 * t119813 - t119628 + t119629 + t121212 + 0.3e1 / 0.2e1 * t4772 * t519 * t118052 + t121217 - 0.11e2 / 0.2e1 * t4983 * t1876 * t119672 - 0.3e1 / 0.2e1 * t7187 * t119738 - 0.3e1 * t35438 * t120255 - 0.3e1 / 0.2e1 * t41073 * t2444 - t121228 + 0.3e1 / 0.2e1 * t9136 * t2453 + t121232 - 0.3e1 / 0.2e1 * t1770 * t15216 - 0.3e1 * t246 * t121235 * t3082;
  t121255 = t2087 * t16167;
  t121256 = t121255 / 0.6e1;
  t121258 = t836 * t52780 * t2106;
  t121262 = t836 * t7213 * t15129;
  t121265 = t3520 * t16166;
  t121270 = t7587 * t15171;
  t121271 = 0.3e1 / 0.2e1 * t121270;
  t121282 = t15063 * t7516 / 0.2e1 + 0.3e1 / 0.2e1 * t1228 * t16180 + 0.9e1 / 0.2e1 * t1228 * t16183 - 0.11e2 / 0.18e2 * t15050 * t37252 + t118017 - t7254 * t119809 / 0.2e1 + t3266 * t10878 * t15078 / 0.2e1 + t515 * t118026 / 0.4e1 + t121256 + t417 * t121258 / 0.4e1 + t417 * t121262 / 0.12e2 + t2098 * t121265 / 0.4e1 + 0.2e1 * t35499 * t119696 - t121271 + 0.3e1 / 0.2e1 * t7587 * t15164 - 0.6e1 * t246 * t35595 * t119562 + t15063 * t7595 - 0.2e1 * t15063 * t7582 - 0.14e2 / 0.3e1 * t10838 * t119688;
  t121288 = t3266 * t10856 * t15678;
  t121289 = 0.3e1 / 0.2e1 * t121288;
  t121296 = t4983 * t7680 * t119918;
  t121297 = 0.9e1 * t121296;
  t121301 = t4983 * t1876 * t118492;
  t121304 = t4993 * t11225 * t15170;
  t121305 = 0.3e1 / 0.2e1 * t121304;
  t121318 = t119741 + 0.3e1 / 0.2e1 * t1770 * t15179 - t121289 + t3266 * t83914 * t2166 - 0.3e1 * t7251 * t75405 + t7254 * t119839 + t121297 + 0.9e1 / 0.2e1 * t43351 * t16234 + 0.5e1 / 0.2e1 * t121301 - t119746 + t118050 - t121305 + 0.3e1 / 0.2e1 * t4993 * t82982 * t15163 - t119754 - 0.11e2 / 0.6e1 * t7251 * t119827 - 0.3e1 / 0.2e1 * t54113 * t2154 + t2098 * t54103 + 0.23e2 / 0.36e2 * t15050 * t37190 - t515 * t75772 / 0.12e2;
  t121329 = t1254 * t121198;
  t121330 = t1252 * t121329;
  t121331 = t121330 / 0.2e1;
  t121332 = t3690 * t16166;
  t121335 = t1228 * t16142;
  t121336 = 0.3e1 / 0.2e1 * t121335;
  t121338 = t1779 * t75812;
  t121339 = t1252 * t83330;
  t121341 = t3520 * t1768 * t2106;
  t121356 = t4772 * t1876 * t118057;
  t121359 = t26011 * t3165 * t37476;
  t121362 = -0.5e1 / 0.36e2 * t15050 * t36759 - t2098 * t54159 / 0.4e1 - t417 * t82854 / 0.4e1 + 0.3e1 / 0.4e1 * t82859 * t432 + 0.3e1 / 0.2e1 * t10777 * t2170 - t121331 + t2098 * t121332 / 0.2e1 + t121336 + t1779 * t75228 + t121338 + t121339 - t2098 * t121341 + 0.18e2 * t35417 * t76546 + 0.6e1 * t35417 * t120267 - 0.23e2 / 0.3e1 * t35417 * t119876 + 0.3e1 * t679 * t121235 * t3078 - 0.2e1 * t4772 * t1876 * t119893 - 0.5e1 / 0.2e1 * t121356 + 0.8e1 * t75100 * t121359;
  t121370 = t1805 * t15223;
  t121389 = -0.9e1 * t5286 * t16241 + 0.7e1 / 0.3e1 * t15050 * t37121 - 0.3e1 / 0.2e1 * t15050 * t36896 + 0.3e1 / 0.2e1 * t3167 * t121370 * t3169 - 0.3e1 * t679 * t121370 * t3126 - 0.6e1 * t7243 * t119879 - 0.3e1 / 0.4e1 * t1228 * t16135 + 0.3e1 / 0.4e1 * t9136 * t2462 + 0.22e2 / 0.3e1 * t35417 * t119884 - 0.11e2 / 0.6e1 * t7196 * t119873 - 0.61e2 / 0.27e2 * t35300 * t119597 + t119761 + t118075 - t119762 + t119763 + t118156 + t119764 - t118171 + t118172;
  t121391 = t4983 * t7686 * t119962;
  t121392 = 0.9e1 * t121391;
  t121399 = t4772 * t7686 * t120296;
  t121400 = 0.9e1 / 0.2e1 * t121399;
  t121401 = t253 * t82775;
  t121402 = t4996 * t121401;
  t121403 = t4872 * t121402;
  t121404 = t121403 / 0.2e1;
  t121409 = -t118178 - t118190 - t121392 - 0.9e1 * t9877 * t7686 * t120287 + t119765 + t119766 - t119767 - t119769 + 0.11e2 / 0.3e1 * t10757 * t119890 + t121400 - t121404 - t119826 + t75486 * t530 / 0.4e1 - t16134 + t16144 + t118266 - t118270 + t119849 + 0.3e1 * t7243 * t119887;
  t121433 = t1815 * t119850;
  t121434 = t121433 / 0.2e1;
  t121443 = t8790 * t253 * t543 * t15076;
  t121446 = t10757 * t119806;
  t121447 = 0.11e2 / 0.6e1 * t121446;
  t121448 = t10838 * t119685;
  t121449 = 0.3e1 * t121448;
  t121451 = t4772 * t7690 * t119774;
  t121452 = 0.9e1 / 0.2e1 * t121451;
  t121453 = -t2098 * t54036 / 0.4e1 - 0.5e1 / 0.36e2 * t15050 * t36813 + 0.3e1 / 0.2e1 * t246 * t121370 * t3131 - 0.18e2 * t679 * t35527 * t120008 + 0.6e1 * t246 * t35527 * t119969 - t15050 * t35311 / 0.2e1 + 0.36e2 * t679 * t35914 * t119748 + t1815 * t119949 / 0.2e1 + t121434 + 0.3e1 / 0.2e1 * t7243 * t119638 - t2093 * t16167 / 0.3e1 - 0.6e1 * t35438 * t120264 - t4882 * t121443 / 0.6e1 - t121447 + t121449 + t121452 - t16163 + t16165 - t16171;
  t121460 = t7251 * t118405;
  t121468 = t4762 * t121401;
  t121469 = t4761 * t121468;
  t121470 = t121469 / 0.2e1;
  t121473 = t42408 * t16229;
  t121474 = t121473 / 0.6e1;
  t121478 = t3266 * t83079 * t2166;
  t121479 = t121478 / 0.2e1;
  t121487 = t4772 * t7680 * t119778;
  t121488 = 0.9e1 * t121487;
  t121491 = t5175 * t16228;
  t121494 = t7251 * t120278 / 0.3e1 + 0.3e1 / 0.2e1 * t7251 * t119800 + 0.2e1 / 0.3e1 * t7251 * t119795 + 0.5e1 / 0.6e1 * t121460 + 0.3e1 / 0.2e1 * t36012 * t15058 - 0.3e1 * t7587 * t15189 + 0.3e1 / 0.2e1 * t1770 * t15195 - t119869 + t16191 + t121470 - t41784 * t16229 / 0.3e1 + t121474 - 0.3e1 / 0.4e1 * t26650 * t16224 - t121479 - t3266 * t10878 * t15204 / 0.4e1 + 0.14e2 * t4772 * t7680 * t119786 - t121488 - 0.9e1 / 0.2e1 * t42708 * t16287 + t41843 * t121491 / 0.2e1;
  t121510 = t1228 * t16278;
  t121511 = 0.3e1 / 0.2e1 * t121510;
  t121528 = t1779 * t119581;
  t121529 = t121528 / 0.4e1;
  t121534 = t16199 - t16203 - t15050 * t36029 / 0.2e1 - 0.3e1 / 0.2e1 * t15050 * t36022 - 0.18e2 * t679 * t35430 * t119856 + 0.12e2 * t75694 * t37484 + 0.9e1 * t5286 * t16149 - t246 * t1797 * t118467 / 0.4e1 - t121511 + 0.3e1 / 0.2e1 * t246 * t1805 * t15219 * t3260 + t515 * t118230 / 0.2e1 + 0.3e1 / 0.2e1 * t1228 * t16257 - 0.11e2 / 0.18e2 * t15050 * t37193 + 0.7e1 / 0.3e1 * t15050 * t36032 + 0.5e1 / 0.3e1 * t35417 * t119633 - t1779 * t119860 / 0.4e1 - t121529 - 0.5e1 / 0.12e2 * t7196 * t119587 - t15073 * t1765 / 0.2e1;
  t121535 = t2087 * t10808;
  t121536 = t121535 / 0.4e1;
  t121539 = t3273 * t253 * t543 * t15128;
  t121542 = t4877 * t16228;
  t121550 = t10838 * t119678;
  t121551 = 0.3e1 / 0.2e1 * t121550;
  t121559 = -t121536 - t119939 + t4882 * t121539 / 0.12e2 + t41843 * t121542 / 0.4e1 - 0.7e1 / 0.3e1 * t10838 * t119897 - 0.9e1 * t4772 * t7686 * t119742 + t119944 + t121551 + t119952 + t118387 - t15093 + t15098 - t15100 + t15101 + t15104 + 0.3e1 * t7587 * t15184 - 0.9e1 * t1228 * t16247 - 0.28e2 * t75834 * t37951 + t2098 * t52384;
  t121570 = t3266 * t11225 * t15673;
  t121571 = 0.3e1 / 0.2e1 * t121570;
  t121572 = t10757 * t119803;
  t121573 = 0.23e2 / 0.12e2 * t121572;
  t121577 = t4872 * t82777;
  t121579 = t4877 * t3264 * t16227;
  t121581 = -0.14e2 * t41686 * t52972 + 0.5e1 / 0.6e1 * t10757 * t119604 + t15143 - t15151 - 0.3e1 / 0.2e1 * t3266 * t82982 * t15215 + t120001 + t121571 + t121573 + t120002 + t16273 - t16280 - t16283 + 0.2e1 * t4983 * t1876 * t119607 + t121577 - t41843 * t121579 - t120013 - t120014 + t120017 - t118429;
  t121584 = t7251 * t118399;
  t121592 = t10757 * t119693;
  t121593 = 0.3e1 / 0.2e1 * t121592;
  t121594 = t4873 * t121401;
  t121595 = t4872 * t121594;
  t121596 = t121595 / 0.4e1;
  t121599 = t7251 * t75449;
  t121603 = t10757 * t75975;
  t121604 = 0.9e1 / 0.2e1 * t121603;
  t121605 = -t118444 - t120258 + t120259 - t118465 + t120260 - t120261 + 0.3e1 / 0.4e1 * t7251 * t120300 + 0.5e1 / 0.12e2 * t121584 - t7248 * t118497 / 0.2e1 - 0.11e2 / 0.12e2 * t7251 * t119783 + 0.3e1 * t10757 * t119664 - t121593 - t120270 - t121596 - 0.4e1 / 0.3e1 * t7251 * t75905 - 0.5e1 / 0.3e1 * t121599 - 0.23e2 / 0.6e1 * t10757 * t119720 - t121604 - t15161;
  t121610 = t1770 * t15159;
  t121611 = 0.3e1 / 0.2e1 * t121610;
  t121615 = t1770 * t15156;
  t121616 = t121615 / 0.2e1;
  t121619 = t1228 * t16189;
  t121620 = 0.3e1 / 0.4e1 * t121619;
  t121621 = t2087 * t10965;
  t121622 = t121621 / 0.4e1;
  t121629 = t10757 * t119553;
  t121630 = 0.5e1 / 0.12e2 * t121629;
  t121631 = t26106 * t83948;
  t121632 = 0.6e1 * t121631;
  t121639 = t26645 * t16228;
  t121644 = -t15173 - t30 * t15298 * t544 / 0.4e1 - t121611 + t1770 * t15167 - 0.3e1 / 0.4e1 * t10777 * t2167 - t121616 - t1770 * t15205 / 0.4e1 + t121620 - t121622 - t417 * t82727 / 0.4e1 + 0.23e2 / 0.36e2 * t15050 * t35649 - 0.3e1 / 0.2e1 * t5286 * t16254 + t120277 - t121630 - t121632 - 0.14e2 * t4983 * t7680 * t119681 - 0.3e1 * t4772 * t1872 * t119524 + t4882 * t121639 / 0.4e1 + 0.11e2 / 0.3e1 * t7251 * t119831;
  t121671 = t3460 * t7213 * t15082;
  t121678 = t11019 * t119903;
  t121679 = 0.3e1 / 0.2e1 * t121678;
  t121682 = t7651 * t120051;
  t121684 = t11072 * t120192;
  t121685 = 0.18e2 * t121684;
  t121706 = -0.8e1 * t7651 * t120208 - 0.1e2 * t121682 + t121685 - 0.12e2 * t36084 * t120087 + 0.56e2 / 0.3e1 * t7680 * t120081 - 0.28e2 * t7680 * t120216 + 0.6e1 * t1872 * t120103 - 0.6e1 * t519 * t118610 - 0.24e2 * t36211 * t120084 - 0.12e2 * t36100 * t120188 + 0.6e1 * t11138 * t118651 - t7686 * t120106 / 0.3e1 + 0.22e2 / 0.3e1 * t1876 * t120076;
  t121711 = t1876 * t118614;
  t121713 = t1872 * t120157;
  t121714 = 0.3e1 * t121713;
  t121723 = t11143 * t120062;
  t121724 = 0.18e2 * t121723;
  t121725 = t7655 * t120065;
  t121726 = 0.6e1 * t121725;
  t121735 = -0.11e2 * t1876 * t120097 + 0.4e1 * t1876 * t120236 + 0.5e1 * t121711 - t121714 - 0.3e1 * t1872 * t120164 + 0.56e2 * t36194 * t120022 - 0.36e2 * t36092 * t120019 - 0.18e2 * t36105 * t120059 + t121724 + t121726 + 0.6e1 * t7655 * t120172 + 0.4e1 * t36092 * t120025 - 0.4e1 / 0.3e1 * t36075 * t120042 - 0.2e2 * t7686 * t120241;
  t121737 = t7680 * t120115;
  t121738 = 0.12e2 * t121737;
  t121745 = t7686 * t120213;
  t121746 = 0.9e1 * t121745;
  t121747 = t7680 * t120232;
  t121748 = 0.18e2 * t121747;
  t121751 = t11079 * t120048;
  t121752 = 0.36e2 * t121751;
  t121753 = -t121738 + 0.4e1 / 0.3e1 * t36087 * t120146 + 0.8e1 * t36087 * t120068 + 0.18e2 * t7686 * t120184 - t121746 + t121748 + 0.22e2 * t36191 * t120229 - t121752 - t16305 - t16309 + t120047 + t118539 - t120058 - t120079;
  t121754 = t7651 * t118618;
  t121760 = t11079 * t120192;
  t121761 = 0.6e1 * t121760;
  t121762 = t11072 * t120038;
  t121763 = t121762 / 0.3e1;
  t121770 = -t120080 + 0.5e1 / 0.3e1 * t121754 + 0.4e1 / 0.3e1 * t7651 * t120029 + 0.2e1 / 0.3e1 * t36092 * t120032 + t121761 - t121763 - t120095 - t120096 + t120113 - t120114 - t118587 - 0.72e2 * t36087 * t120100 + 0.8e1 / 0.3e1 * t36075 * t120196 + 0.24e2 * t36075 * t120176;
  t121775 = t7686 * t120110;
  t121776 = t121775 / 0.6e1;
  t121784 = 0.72e2 * t36084 * t120149 + t121776 - t36075 * t120200 / 0.9e1 - t519 * t118589 - t120175 - 0.28e2 / 0.3e1 * t36194 * t120019 - 0.11e2 / 0.3e1 * t36191 * t120205 + t118606 + t120182 + t120183 - t120191 - t15238 - t118624 - t15241;
  t121799 = t15245 + t16318 - t118649 + 0.5e2 / 0.3e1 * t36075 * t120137 - 0.2e1 / 0.3e1 * t36087 * t120134 - 0.4e2 * t36087 * t120140 + 0.1e2 / 0.3e1 * t36075 * t120143 - 0.12e2 * t36075 * t120119 - 0.36e2 * t36084 * t120221 + t120224 + t118659 + t120225 - 0.3e1 * t519 * t118639 + t118668;
  t121811 = t11072 * t120054;
  t121812 = 0.2e1 * t121811;
  t121815 = t1876 * t120090;
  t121817 = -t118674 - t118677 + 0.12e2 * t36211 * t120127 + t519 * t118706 / 0.2e1 + 0.36e2 * t36087 * t120122 + 0.3e1 * t519 * t118635 + 0.24e2 * t36084 * t120131 + t120228 - t121812 + t16336 + t16337 - t16340 - 0.8e1 / 0.3e1 * t1876 * t120161 - 0.1e2 / 0.3e1 * t121815;
  t121818 = t7686 * t120179;
  t121819 = 0.1e2 * t121818;
  t121822 = t7690 * t120154;
  t121823 = 0.9e1 * t121822;
  t121824 = 0.9e1 * t7690 * t120072 + t118700 + t118704 - t118734 + t120244 - t120245 + t120246 + t121819 - t121823 + t15267 - t15275 + t15283 + t2119 - t2138;
  t121832 = 0.28e2 / 0.3e1 * t10838 * t120272 + 0.11e2 / 0.2e1 * t4772 * t1876 * t119790 - t120295 - t118505 - 0.2e1 * t15063 * t7491 - 0.9e1 / 0.2e1 * t7196 * t119655 - 0.43e2 / 0.9e1 * t35300 * t119651 + 0.23e2 / 0.12e2 * t7196 * t119616 + 0.44e2 / 0.27e2 * t35300 * t119710 - t15073 * t1807 / 0.2e1 + 0.18e2 * t246 * t35430 * t119926 - 0.3e1 / 0.4e1 * t9136 * t2450 - 0.18e2 * t3167 * t35914 * t119620 - t417 * t121671 / 0.6e1 - 0.35e2 / 0.108e3 * t35300 * t119539 + 0.3e1 / 0.2e1 * t11019 * t119755 - t121679 - t30 * t59 * (t121706 + t121735 + t121753 + t121770 + t121784 + t121799 + t121817 + t121824) * t95 / 0.4e1 - t118513;
  t121837 = my_piecewise3(t2, 0, t121159 + t121196 + t121239 + t121282 + t121318 + t121362 + t121389 + t121409 + t121453 + t121494 + t121534 + t121559 + t121581 + t121605 + t121644 + t121832);
  tv4sigma3tau0 = t3 * t121837;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 0] += tv4sigma3tau0;

  tv4sigma3tau1 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 1] += tv4sigma3tau1;

  tv4sigma3tau2 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 2] += tv4sigma3tau2;

  tv4sigma3tau3 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 3] += tv4sigma3tau3;

  tv4sigma3tau4 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 4] += tv4sigma3tau4;

  tv4sigma3tau5 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 5] += tv4sigma3tau5;

  tv4sigma3tau6 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 6] += tv4sigma3tau6;

  tv4sigma3tau7 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 7] += tv4sigma3tau7;

  tv4sigma3tau8 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 8] += tv4sigma3tau8;

  tv4sigma3tau9 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 9] += tv4sigma3tau9;

  tv4sigma3tau10 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 10] += tv4sigma3tau10;

  tv4sigma3tau11 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 11] += tv4sigma3tau11;

  tv4sigma3tau12 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 12] += tv4sigma3tau12;

  tv4sigma3tau13 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 13] += tv4sigma3tau13;

  tv4sigma3tau14 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 14] += tv4sigma3tau14;

  tv4sigma3tau15 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 15] += tv4sigma3tau15;

  tv4sigma3tau16 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 16] += tv4sigma3tau16;

  tv4sigma3tau17 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 17] += tv4sigma3tau17;

  tv4sigma3tau18 = 0.e0;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 18] += tv4sigma3tau18;

  t121840 = t9444 * t380 * t583 * t15312;
  t121843 = t5673 * t86617;
  t121858 = t1383 * t16603;
  t121859 = 0.3e1 / 0.4e1 * t121858;
  t121863 = t4354 * t8262 * t15313;
  t121866 = t9279 * t17585;
  t121867 = t121866 / 0.2e1;
  t121868 = t380 * t86615;
  t121869 = t5679 * t121868;
  t121870 = t5673 * t121869;
  t121871 = t121870 / 0.2e1;
  t121872 = t8262 * t15906;
  t121873 = t1430 * t121872;
  t121874 = t1421 * t121873;
  t121875 = t121874 / 0.4e1;
  t121876 = t4376 * t16509;
  t121879 = t4553 * t16509;
  t121885 = -t6012 * t121840 / 0.6e1 + t121843 + 0.44e2 / 0.27e2 * t39461 * t120416 - 0.3e1 / 0.2e1 * t8169 * t120818 - 0.38e2 / 0.9e1 * t39461 * t121088 + 0.3e1 * t8091 * t120455 - t555 * t118914 / 0.2e1 - 0.3e1 / 0.2e1 * t8145 * t120395 - 0.3e1 * t39492 * t120688 + t121859 + t555 * t119092 / 0.2e1 - t442 * t121863 / 0.6e1 - t121867 - t121871 - t121875 + t2189 * t121876 / 0.4e1 + t2189 * t121879 / 0.2e1 - 0.6e1 * t373 * t40779 * t120472;
  t121888 = t8063 * t78467;
  t121896 = t9305 * t17551;
  t121897 = t121896 / 0.2e1;
  t121898 = t2178 * t16510;
  t121899 = t121898 / 0.6e1;
  t121900 = t2178 * t11368;
  t121901 = t121900 / 0.4e1;
  t121912 = t11399 * t120674;
  t121913 = 0.5e1 / 0.12e2 * t121912;
  t121914 = -t2184 * t16510 / 0.3e1 - t120325 + t120326 - t120327 - 0.5e1 / 0.3e1 * t121888 + t120343 - t2180 + t2251 - 0.3e1 / 0.2e1 * t11501 * t2253 - 0.2e1 * t15417 * t8275 + t77880 * t570 / 0.4e1 + t121897 + t121899 - t121901 - t442 * t85826 / 0.4e1 - t2189 * t57338 / 0.4e1 - 0.11e2 / 0.2e1 * t5639 * t2060 * t120764 + 0.11e2 / 0.2e1 * t5665 * t2060 * t120768 - t121913;
  t121916 = t29988 * t16588;
  t121921 = t4687 * t380 * t583 * t15359;
  t121935 = t5674 * t16588;
  t121943 = t45379 * t16589;
  t121944 = t121943 / 0.6e1;
  t121946 = t4695 * t11783 * t16117;
  t121947 = 0.3e1 / 0.2e1 * t121946;
  t121952 = t11646 * t120356;
  t121953 = 0.3e1 / 0.2e1 * t121952;
  t121959 = t8280 * t15372;
  t121960 = 0.3e1 / 0.2e1 * t121959;
  t121961 = t6012 * t121916 / 0.4e1 + t6012 * t121921 / 0.12e2 + 0.5e1 / 0.6e1 * t11399 * t120712 + t4695 * t11776 * t15319 / 0.2e1 + 0.3e1 / 0.2e1 * t5649 * t85577 * t15388 - 0.3e1 / 0.2e1 * t4695 * t85577 * t15455 + t44474 * t121935 / 0.2e1 - 0.14e2 * t5639 * t8460 * t120374 - t118825 - t45951 * t16589 / 0.3e1 + t121944 - t121947 + t4695 * t85652 * t2257 + 0.3e1 / 0.2e1 * t11646 * t120750 - t121953 - t8219 * t120609 - 0.3e1 / 0.2e1 * t44765 * t2503 + 0.3e1 / 0.2e1 * t9469 * t2512 - t121960;
  t121975 = t1981 * t119041;
  t121976 = t121975 / 0.4e1;
  t121977 = t1383 * t16462;
  t121978 = 0.3e1 / 0.2e1 * t121977;
  t121993 = t1963 * t15503;
  t122009 = 0.3e1 / 0.2e1 * t8280 * t15389 - 0.35e2 / 0.108e3 * t39461 * t120476 - 0.18e2 * t373 * t39264 * t120317 - t1981 * t120406 / 0.4e1 + t1974 * t120821 / 0.2e1 + t555 * t118901 / 0.4e1 - t121976 + t121978 + t1956 * t15320 / 0.2e1 - 0.3e1 / 0.2e1 * t1956 * t15456 - 0.6e1 * t39492 * t120400 - 0.2e1 * t39461 * t121103 - t15432 * t1965 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t1963 * t15512 * t4209 + 0.3e1 / 0.2e1 * t4718 * t121993 * t4721 - 0.6e1 * t25474 * t39467 * t121099 + 0.18e2 * t4718 * t39467 * t120790 + 0.3e1 / 0.2e1 * t373 * t121993 * t4729 - 0.18e2 * t1029 * t39467 * t120540;
  t122013 = t5665 * t8438 * t120587;
  t122014 = 0.9e1 / 0.2e1 * t122013;
  t122032 = t5665 * t2056 * t119024;
  t122033 = 0.3e1 / 0.2e1 * t122032;
  t122037 = t4695 * t11403 * t16125;
  t122038 = 0.3e1 / 0.2e1 * t122037;
  t122055 = t122014 - t118879 + 0.3e1 * t8280 * t15425 - 0.3e1 * t1956 * t15459 - t555 * t77875 / 0.12e2 - t15408 * t39810 / 0.2e1 - 0.3e1 / 0.2e1 * t15408 * t39048 + 0.3e1 / 0.2e1 * t39807 * t15441 - t8219 * t120677 / 0.2e1 + 0.3e1 * t45289 * t16457 + t122033 + 0.9e1 * t44470 * t57025 + t122038 + 0.6e1 * t373 * t39467 * t120545 - t15408 * t40942 / 0.2e1 - 0.3e1 / 0.2e1 * t15408 * t40931 - 0.18e2 * t1029 * t39318 * t120444 + 0.18e2 * t373 * t39318 * t120700 - 0.18e2 * t4718 * t39264 * t120389;
  t122062 = t1963 * t15499;
  t122075 = t5639 * t8438 * t120831;
  t122076 = 0.9e1 * t122075;
  t122078 = t5665 * t2060 * t119104;
  t122083 = t10513 * t8438 * t120785;
  t122084 = 0.9e1 / 0.2e1 * t122083;
  t122091 = t1094 * t57102 * t2197;
  t122095 = 0.36e2 * t1029 * t39264 * t120738 - 0.3e1 * t1029 * t121993 * t4725 + 0.3e1 * t1029 * t122062 * t4219 - 0.3e1 * t373 * t122062 * t4215 + t15417 * t8153 + 0.5e1 / 0.3e1 * t39293 * t120349 + t118884 - 0.9e1 / 0.2e1 * t45289 * t16448 + t120531 - t118892 - t122076 - 0.5e1 / 0.2e1 * t122078 - 0.14e2 * t44470 * t56713 + t122084 + t1956 * t15392 - 0.3e1 / 0.2e1 * t9469 * t2506 - 0.3e1 / 0.4e1 * t9469 * t2509 + t442 * t122091 / 0.4e1 + t1421 * t85873;
  t122097 = t1383 * t16465;
  t122098 = 0.3e1 / 0.2e1 * t122097;
  t122099 = t5792 * t16491;
  t122100 = 0.3e1 / 0.2e1 * t122099;
  t122103 = t1956 * t15326;
  t122104 = 0.3e1 / 0.2e1 * t122103;
  t122119 = t2178 * t11422;
  t122120 = t122119 / 0.4e1;
  t122131 = t5665 * t8460 * t120837;
  t122132 = 0.9e1 * t122131;
  t122136 = -t122098 - t122100 - 0.23e2 / 0.3e1 * t39293 * t120753 + t122104 - 0.3e1 * t8280 * t15444 + 0.3e1 / 0.2e1 * t1956 * t15436 + 0.3e1 / 0.2e1 * t1956 * t15421 + t2184 * t11422 / 0.2e1 - t442 * t86121 / 0.4e1 - t2189 * t56960 / 0.4e1 - 0.5e1 / 0.36e2 * t15408 * t39880 - t122120 - 0.3e1 / 0.2e1 * t56071 * t2245 + 0.3e1 / 0.2e1 * t11501 * t2261 - 0.11e2 / 0.18e2 * t15408 * t40226 + t15417 * t8309 / 0.2e1 + t2189 * t57671 - t122132 + 0.3e1 / 0.2e1 * t5665 * t2056 * t120827;
  t122140 = t5639 * t8460 * t120419;
  t122141 = 0.9e1 * t122140;
  t122145 = t5639 * t2060 * t119036;
  t122150 = t11501 * t2249;
  t122151 = 0.3e1 / 0.4e1 * t122150;
  t122161 = 0.28e2 / 0.3e1 * t44465 * t57638 + t122141 + 0.9e1 / 0.2e1 * t45286 * t16459 + 0.5e1 / 0.2e1 * t122145 + 0.2e1 * t5639 * t2060 * t120841 + t120559 - t120560 + t122151 + 0.3e1 / 0.4e1 * t86126 * t457 + t15417 * t8271 - t15432 * t1951 / 0.2e1 + 0.23e2 / 0.36e2 * t15408 * t40229 - t2189 * t56036 / 0.2e1 - t120561 - t120562 - t120563 + t120564 - t120565 + t16374;
  t122169 = -t120566 + t120567 - t120568 + t120569 + t15307 + t15323 - t15325 + t15328 + t15332 - t15334 + t118970 - t15374 + 0.3e1 / 0.2e1 * t8063 * t120554 + 0.2e1 / 0.3e1 * t8063 * t120645 - t120578 + t118987 + t120579 - t119011 - t120580;
  t122170 = t11399 * t120637;
  t122171 = 0.3e1 / 0.2e1 * t122170;
  t122181 = t11510 * t77856;
  t122182 = 0.6e1 * t122181;
  t122191 = t8063 * t119019;
  t122198 = t120595 - t122171 + 0.14e2 * t5665 * t8460 * t120604 - 0.9e1 * t10513 * t8438 * t120640 + 0.18e2 * t5639 * t8438 * t120366 - t122182 - t15383 - t119023 + 0.3e1 * t11399 * t120551 - t8214 * t119097 / 0.2e1 - 0.11e2 / 0.12e2 * t8063 * t120715 + 0.3e1 / 0.4e1 * t8063 * t120463 + 0.5e1 / 0.12e2 * t122191 + t8063 * t120682 / 0.3e1 + t120608 + t120611 - 0.9e1 / 0.2e1 * t5665 * t8443 * t120760 - t15412 - t16419;
  t122201 = t5665 * t8443 * t120591;
  t122202 = 0.9e1 / 0.2e1 * t122201;
  t122204 = t4695 * t86611 * t2257;
  t122205 = t122204 / 0.2e1;
  t122210 = t5691 * t4693 * t16587;
  t122214 = t11399 * t120634;
  t122215 = 0.11e2 / 0.6e1 * t122214;
  t122219 = t1974 * t120824;
  t122220 = t122219 / 0.2e1;
  t122225 = t1981 * t118891;
  t122226 = t122225 / 0.2e1;
  t122229 = t122202 + t16440 - t122205 - t4695 * t11776 * t15395 / 0.4e1 - t44474 * t122210 - 0.7e1 / 0.3e1 * t11510 * t120709 - t120664 + t120665 + t16464 - t16467 - t122215 + t8219 * t120453 + t120691 + 0.3e1 / 0.2e1 * t8091 * t120340 + t122220 + t555 * t119227 / 0.12e2 + t555 * t119154 / 0.4e1 - t122226 + 0.3e1 / 0.4e1 * t9469 * t2521;
  t122248 = t1981 * t77295;
  t122249 = t1421 * t85318;
  t122262 = 0.6e1 * t39293 * t120346 + 0.8e1 * t77023 * t39518 - 0.9e1 * t5792 * t16402 - 0.62e2 / 0.3e1 * t77023 * t39505 + 0.7e1 * t8169 * t5733 * t120321 - 0.9e1 * t1383 * t16406 - t120707 + t120708 + t2189 * t57166 + 0.23e2 / 0.36e2 * t15408 * t40870 - 0.3e1 / 0.2e1 * t5792 * t16425 + t122248 + t122249 - 0.3e1 / 0.2e1 * t1383 * t16413 - 0.2e1 * t15417 * t8157 + 0.22e2 / 0.3e1 * t39293 * t120503 - 0.6e1 * t8091 * t120322 - 0.11e2 / 0.6e1 * t8169 * t120500 - 0.61e2 / 0.27e2 * t39461 * t120413;
  t122272 = t8063 * t118887;
  t122280 = t11399 * t77436;
  t122281 = 0.9e1 / 0.2e1 * t122280;
  t122284 = t11399 * t120460;
  t122285 = 0.23e2 / 0.12e2 * t122284;
  t122286 = t11399 * t77118;
  t122287 = 0.7e1 * t122286;
  t122288 = t8219 * t120352;
  t122289 = t122288 / 0.2e1;
  t122292 = -0.3e1 / 0.4e1 * t29985 * t16584 - t16473 + 0.3e1 / 0.2e1 * t5665 * t559 * t119100 + 0.11e2 / 0.3e1 * t5673 * t86657 - t120720 - t16493 + t120721 + 0.5e1 / 0.6e1 * t122272 + 0.11e2 / 0.3e1 * t11399 * t120360 - 0.3e1 * t8063 * t77474 - 0.4e1 / 0.3e1 * t8063 * t77540 - t122281 - 0.23e2 / 0.6e1 * t11399 * t120363 + t122285 + t122287 - t122289 + 0.7e1 / 0.3e1 * t15408 * t39044 - t16506 + t16514;
  t122299 = t11663 * t120975;
  t122300 = 0.18e2 * t122299;
  t122301 = t8511 * t119358;
  t122302 = 0.6e1 * t122301;
  t122311 = -0.18e2 * t40458 * t120969 + t122300 + t122302 + 0.6e1 * t8511 * t120980 - 0.28e2 / 0.3e1 * t40318 * t120855 + 0.56e2 * t40318 * t121054 + 0.4e1 * t40315 * t121051 + t119251 - t120900 - t120901 + t120902 + t120903 + t120904;
  t122312 = t8508 * t119273;
  t122328 = t120905 + 0.5e1 / 0.3e1 * t122312 + 0.4e1 / 0.3e1 * t8508 * t120848 + 0.2e1 / 0.3e1 * t40315 * t120852 + 0.6e1 * t11656 * t119364 + 0.22e2 * t40455 * t120866 - t119280 - t120906 + t120907 - 0.72e2 * t40336 * t120949 - 0.28e2 * t8460 * t120897 - 0.11e2 * t2060 * t120996 - t120967 - t120968;
  t122330 = t2060 * t121008;
  t122340 = t8438 * t121011;
  t122341 = t122340 / 0.6e1;
  t122342 = t2056 * t120990;
  t122343 = 0.3e1 * t122342;
  t122348 = -0.1e2 / 0.3e1 * t122330 - 0.4e1 / 0.3e1 * t40324 * t120936 + 0.8e1 * t40336 * t120933 - t40324 * t120927 / 0.9e1 - 0.8e1 / 0.3e1 * t2060 * t121014 - t15479 - t119324 - t15482 + t122341 - t122343 - t16527 - t8438 * t120894 / 0.3e1 + 0.22e2 / 0.3e1 * t2060 * t120882 + t16546;
  t122351 = t8438 * t121021;
  t122352 = 0.1e2 * t122351;
  t122357 = t11651 * t120869;
  t122358 = t122357 / 0.3e1;
  t122359 = t11668 * t120862;
  t122360 = 0.36e2 * t122359;
  t122361 = t11651 * t120859;
  t122362 = 0.2e1 * t122361;
  t122363 = t11668 * t120872;
  t122364 = 0.6e1 * t122363;
  t122369 = -t16551 + t119333 - t119342 + t119344 - 0.3e1 * t2056 * t120876 + t122352 - 0.36e2 * t40315 * t120855 - 0.11e2 / 0.3e1 * t40455 * t120962 - t122358 - t122360 - t122362 + t122364 - 0.12e2 * t40461 * t120983 - 0.8e1 * t8508 * t120956;
  t122372 = t8508 * t120959;
  t122374 = t11651 * t120872;
  t122375 = 0.18e2 * t122374;
  t122381 = t2060 * t121018;
  t122393 = -0.1e2 * t122372 + t122375 - 0.6e1 * t559 * t119286 - t559 * t119350 + 0.4e1 * t2060 * t120939 + 0.5e1 * t122381 + 0.24e2 * t40324 * t120946 + t121030 - t121031 + t15488 - 0.24e2 * t40350 * t120918 + 0.24e2 * t40329 * t121035 + t559 * t119382 / 0.2e1 - 0.2e1 / 0.3e1 * t40336 * t121041;
  t122416 = t8443 * t120986;
  t122417 = 0.9e1 * t122416;
  t122422 = -0.4e2 * t40336 * t121044 + 0.5e2 / 0.3e1 * t40324 * t121066 - 0.2e2 * t8438 * t121005 + 0.8e1 / 0.3e1 * t40324 * t120953 - 0.12e2 * t40329 * t120886 + 0.56e2 / 0.3e1 * t8460 * t120891 - 0.36e2 * t40329 * t121032 + 0.36e2 * t40336 * t121072 + 0.12e2 * t40350 * t121027 + 0.3e1 * t559 * t119401 + 0.9e1 * t8443 * t120923 - t122417 + 0.6e1 * t2056 * t120912 - 0.3e1 * t559 * t119302;
  t122424 = t8438 * t120943;
  t122425 = 0.9e1 * t122424;
  t122426 = t8460 * t120999;
  t122427 = 0.18e2 * t122426;
  t122432 = t8460 * t120993;
  t122433 = 0.12e2 * t122432;
  t122436 = -t122425 + t122427 - t16558 + t16560 + t16561 + t119376 - 0.12e2 * t40324 * t121069 + 0.1e2 / 0.3e1 * t40324 * t121038 - t122433 + 0.4e1 / 0.3e1 * t40336 * t120930 - t119405 + t121059 - t121060 - t121061;
  t122441 = 0.72e2 * t40329 * t120915 + 0.18e2 * t8438 * t121002 - t119443 - t119445 + t119455 + t119468 + t121062 + t121063 - t121065 - t15517 + t15532 + t15539 + t2210 - t2229;
  t122449 = t5691 * t16588;
  t122456 = t5649 * t11403 * t15371;
  t122457 = 0.3e1 / 0.2e1 * t122456;
  t122459 = t1094 * t8262 * t15360;
  t122470 = -0.14e2 / 0.3e1 * t11510 * t120668 - 0.11e2 / 0.6e1 * t8063 * t120685 - t110 * t139 * (t122311 + t122328 + t122348 + t122369 + t122393 + t122422 + t122436 + t122441) * t168 / 0.4e1 + t44474 * t122449 / 0.4e1 - 0.3e1 * t5665 * t2056 * t120746 - t122457 + t119123 - t119126 - t119130 - t119138 + t119143 + t119158 - t119242 + t120784 + t442 * t122459 / 0.12e2 - 0.11e2 / 0.18e2 * t15408 * t40885 - 0.9e1 * t5665 * t8438 * t120370 + t119496 - 0.3e1 / 0.2e1 * t373 * t2040 * t119086;
  t122490 = t29113 * t8253;
  t122514 = 0.89e2 / 0.9e1 * t39461 * t121085 - 0.9e1 / 0.2e1 * t8169 * t5595 * t5790 * t15871 - 0.43e2 / 0.9e1 * t39461 * t121091 + 0.23e2 / 0.12e2 * t8169 * t120726 - t1981 * t120696 / 0.2e1 - 0.5e1 / 0.12e2 * t8169 * t120802 + 0.7e1 / 0.3e1 * t15408 * t40945 + 0.9e1 / 0.2e1 * t1383 * t16389 + 0.47e2 / 0.3e1 * t77023 * t122490 - t2189 * t57443 / 0.2e1 + 0.12e2 * t77154 * t1430 * t8253 + 0.9e1 * t5792 * t16382 + 0.18e2 * t76997 * t8587 + 0.3e1 / 0.2e1 * t1383 * t16386 + t2184 * t11368 / 0.2e1 + t15417 * t8150 / 0.2e1 + 0.3e1 / 0.2e1 * t1383 * t16394 + 0.9e1 / 0.2e1 * t1383 * t16399 - 0.5e1 / 0.36e2 * t15408 * t39127;
  t122531 = t1956 * t15384;
  t122532 = t122531 / 0.2e1;
  t122536 = t4376 * t1954 * t2197;
  t122538 = t1956 * t15381;
  t122539 = 0.3e1 / 0.2e1 * t122538;
  t122540 = t11510 * t120777;
  t122541 = 0.3e1 / 0.2e1 * t122540;
  t122545 = t11510 * t120448;
  t122546 = 0.3e1 * t122545;
  t122547 = t45376 * t17598;
  t122548 = t122547 / 0.4e1;
  t122549 = t6005 * t121868;
  t122550 = t6004 * t122549;
  t122551 = t122550 / 0.2e1;
  t122552 = -0.3e1 / 0.4e1 * t1383 * t16445 - t373 * t2040 * t119244 / 0.4e1 - t110 * t15557 * t584 / 0.4e1 - t120835 - 0.28e2 * t76997 * t8254 + 0.9e1 / 0.2e1 * t29089 * t16409 + 0.2e1 * t39302 * t120815 - 0.3e1 / 0.4e1 * t11501 * t2258 - t122532 - t1956 * t15396 / 0.4e1 - t2189 * t122536 - t122539 + t122541 - 0.2e1 * t5665 * t2060 * t120583 + t122546 - t122548 + t122551 - t16593 + t16605;
  t122557 = my_piecewise3(t100, 0, t121885 + t121914 + t121961 + t122009 + t122055 + t122095 + t122136 + t122161 + t122169 + t122198 + t122229 + t122262 + t122292 + t122470 + t122514 + t122552);
  tv4sigma3tau19 = t3 * t122557;

  if(out->v4sigma3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma3tau[ip*p->dim.v4sigma3tau + 19] += tv4sigma3tau19;

  t122558 = t4867 * t15614;
  t122566 = t6119 * t15565;
  t122567 = t4867 * t122566;
  t122581 = 0.8e1 * t118078;
  t122582 = 0.8e1 / 0.3e1 * t118082;
  t122583 = 0.8e1 * t118084;
  t122584 = 0.8e1 * t118096;
  t122585 = t11927 * t15673;
  t122586 = 0.4e1 * t122585;
  t122588 = t11924 * t15678;
  t122589 = 0.4e1 * t122588;
  t122592 = t11927 * t15170;
  t122593 = 0.4e1 / 0.3e1 * t122592;
  t122598 = 0.4e1 / 0.3e1 * t118101;
  t122599 = t15109 + 0.8e1 * t11924 * t80332 - 0.12e2 * t11927 * t80229 - 0.4e1 * t11927 * t80160 - t122581 - t118081 + t122582 + t122583 + t118087 - t122584 + t122586 - 0.2e1 * t15839 - t122589 - 0.8e1 * t58440 * t15702 + t122593 + 0.16e2 / 0.9e1 * t58445 * t15587 - 0.2e1 * t11930 * t15204 - t15121 + t122598;
  t122602 = t11942 * t15673;
  t122603 = 0.4e1 * t122602;
  t122608 = t11937 * t15678;
  t122609 = 0.4e1 * t122608;
  t122616 = t75278 * t2728;
  t122617 = 0.2e1 / 0.3e1 * t122616;
  t122634 = 0.8e1 * t118138;
  t122635 = -0.4e1 * t75281 * t2728 - t122603 - 0.12e2 * t58461 * t15707 - 0.4e1 * t472 * t15078 + t122609 + 0.24e2 * t58466 * t15592 - 0.12e2 * t58469 * t15602 + 0.4e1 / 0.3e1 * t75284 * t19556 + t122617 + 0.2e2 / 0.9e1 * t75284 * t19551 + 0.2e1 * t472 * t15204 + 0.12e2 * t15657 + 0.12e2 * t58445 * t15602 - 0.24e2 * t58440 * t15592 + 0.32e2 / 0.3e1 * t58445 * t15597 + 0.4e1 * t11930 * t15078 + 0.12e2 * t58448 * t15707 - 0.8e1 * t15843 + t122634;
  t122636 = t122599 + t122635;
  t122639 = t836 * t837 * t94 * t122636;
  t122649 = t1228 * t16755;
  t122650 = t122649 / 0.2e1;
  t122654 = t843 * t119569;
  t122655 = t1568 * t122654;
  t122656 = t122655 / 0.3e1;
  t122657 = t1541 * t119570;
  t122658 = t122657 / 0.6e1;
  t122659 = t4808 * t122566;
  t122662 = 0.3e1 * t32356 * t15588 - 0.6e1 * t6411 * t15598 - t122650 - 0.5e1 / 0.9e1 * t119554 + 0.2e1 / 0.3e1 * t119556 + 0.4e1 * t119559 + t122656 - t122658 - 0.5e1 / 0.18e2 * t6100 * t122659 - t2089 + t2160;
  t122676 = t246 * t12087 * t15673;
  t122677 = 0.3e1 * t122676;
  t122682 = -t119571 / 0.3e1 - t119582 / 0.3e1 + t2534 * t118395 / 0.3e1 + t2534 * t118147 / 0.6e1 - 0.2e1 / 0.3e1 * t119595 - 0.4e1 * t119601 - 0.8e1 * t119611 + 0.2e1 * t47384 * t15843 - t122677 - 0.28e2 * t41242 * t19097 + 0.4e1 / 0.3e1 * t1252 * t88479;
  t122685 = t4851 * t19032;
  t122688 = t6411 * t15682;
  t122693 = t47044 * t2266;
  t122694 = t1254 * t122693;
  t122700 = t6439 * t88633;
  t122702 = t41761 * t16671;
  t122703 = 0.2e1 / 0.3e1 * t122702;
  t122704 = 0.2e1 / 0.3e1 * t119624 + t119626 / 0.3e1 - t118004 + t118006 + 0.14e2 / 0.3e1 * t8710 * t122685 - t122688 - 0.3e1 * t8710 * t4808 * t6409 * t2676 - 0.2e1 / 0.3e1 * t1541 * t122694 + t246 * t12135 * t15204 / 0.2e1 - t122700 / 0.3e1 - t122703;
  t122719 = t4983 * t9020 * t87554;
  t122721 = t118016 / 0.2e1;
  t122723 = t1541 * t78920;
  t122724 = 0.2e1 / 0.3e1 * t122723;
  t122726 = t12047 * t15639;
  t122727 = 0.2e1 * t122726;
  t122728 = t1254 * t119569;
  t122729 = t1541 * t122728;
  t122730 = t122729 / 0.3e1;
  t122732 = t679 * t12038 * t118243;
  t122733 = 0.3e1 * t122732;
  t122734 = t12052 * t118238;
  t122735 = t122734 / 0.2e1;
  t122736 = t25709 * t15566;
  t122740 = t3167 * t12038 * t118382;
  t122741 = 0.3e1 / 0.2e1 * t122740;
  t122746 = -t122727 - t122730 - t122733 - t122735 - 0.38e2 / 0.9e1 * t58604 * t122736 + t122741 + 0.4e1 * t119686 + 0.28e2 / 0.3e1 * t119691 - 0.2e1 * t119694 + 0.4e1 / 0.3e1 * t119704 - t119705;
  t122751 = t118029 / 0.2e1;
  t122752 = t26189 * t15642;
  t122755 = t26405 * t15642;
  t122760 = t2087 * t11838;
  t122761 = t122760 / 0.12e2;
  t122768 = -0.2e1 * t119707 - 0.8e1 / 0.3e1 * t119718 + 0.2e1 * t119732 + t122751 + 0.25e2 / 0.36e2 * t58252 * t122752 + 0.5e1 / 0.2e1 * t58252 * t122755 - t417 * t87106 / 0.6e1 - t122761 - t41073 * t2584 / 0.2e1 - t466 * t79473 / 0.6e1 - t2534 * t41062 / 0.6e1;
  t122771 = t118032 / 0.12e2;
  t122772 = t16749 * t414;
  t122773 = t788 * t122772;
  t122776 = t788 * t88631;
  t122778 = t4772 * t1587 * t122776;
  t122781 = t4772 * t9045 * t16766;
  t122785 = t4808 * t1514 * t15565;
  t122788 = t1254 * t122566;
  t122791 = t2541 * t2090;
  t122792 = t95 * t122791;
  t122793 = t4877 * t122792;
  t122796 = t95 * t122772;
  t122797 = t3273 * t122796;
  t122800 = t2534 * t41066 / 0.3e1 - t122771 + t118050 + t4772 * t1587 * t122773 + t122778 / 0.2e1 + t122781 + 0.12e2 * t41644 * t19052 + 0.23e2 / 0.18e2 * t6100 * t122785 + 0.2e1 * t6087 * t122788 - t9863 * t122793 / 0.2e1 - t6454 * t122797 / 0.3e1;
  t122804 = t26645 * t16666;
  t122807 = t42342 * t16775;
  t122808 = t122807 / 0.3e1;
  t122809 = t2541 * t15128;
  t122810 = t3562 * t122809;
  t122815 = t4772 * t2118 * t16771;
  t122816 = t16749 * t2105;
  t122817 = t3562 * t122816;
  t122820 = 0.3e1 / 0.2e1 * t118059;
  t122821 = t3130 * t122791;
  t122828 = t843 * t122566;
  t122831 = t1261 * t122566;
  t122833 = t843 * t122693;
  t122836 = t1261 * t122693;
  t122841 = t26011 * t15569;
  t122844 = 0.7e1 / 0.3e1 * t118065;
  t122845 = t12047 * t15632;
  t122846 = t118074 / 0.12e2;
  t122847 = t4808 * t15638;
  t122848 = t12052 * t122847;
  t122849 = 0.23e2 / 0.36e2 * t122848;
  t122850 = 0.11e2 / 0.18e2 * t118152;
  t122851 = 0.23e2 / 0.36e2 * t118154;
  t122852 = t6087 * t122831 + 0.2e1 / 0.3e1 * t1568 * t122833 - t1541 * t122836 / 0.3e1 - t2534 * t118001 / 0.2e1 + 0.44e2 / 0.27e2 * t58604 * t122841 + t122844 + t122845 + t122846 + t122849 - t122850 + t122851;
  t122854 = t118156 / 0.3e1;
  t122855 = t118158 / 0.6e1;
  t122856 = t5175 * t122796;
  t122860 = t12052 * t41228;
  t122861 = 0.7e1 / 0.3e1 * t122860;
  t122862 = t75396 * t16778;
  t122865 = t42408 * t16779;
  t122866 = t122865 / 0.3e1;
  t122867 = t122854 + t122855 + t6439 * t122856 / 0.3e1 + t58266 * t15643 + t122861 - t118171 + t118172 - t118178 - t118190 - t6451 * t122862 / 0.3e1 - t122866;
  t122871 = t20831 * t20832 * t2090;
  t122876 = t20831 * t20854 * t2090;
  t122880 = 0.3e1 / 0.2e1 * t118220;
  t122881 = t26954 * t15566;
  t122884 = t25714 * t15566;
  t122887 = t118239 / 0.2e1;
  t122890 = 0.3e1 * t1516 * t15603 - 0.6e1 * t20841 * t58341 * t122871 + 0.18e2 * t3167 * t58341 * t122876 + t122880 - 0.2e1 * t58604 * t122881 + t118225 - 0.61e2 / 0.27e2 * t58604 * t122884 - t118236 - t122887 + 0.6e1 * t119776 - 0.12e2 * t119780;
  t122895 = t47795 * t15642;
  t122898 = t26847 * t122792;
  t122901 = t670 * t122791;
  t122902 = t26189 * t122901;
  t122905 = t20862 * t122791;
  t122909 = t22290 * t122791;
  t122913 = t20876 * t122791;
  t122920 = t4808 * t15723;
  t122923 = -0.11e2 / 0.3e1 * t58268 * t15712 + t6439 * t122895 / 0.2e1 + 0.11e2 / 0.18e2 * t9743 * t122898 - 0.23e2 / 0.36e2 * t9743 * t122902 + 0.3e1 * t4983 * t6304 * t122905 - 0.3e1 / 0.2e1 * t4772 * t6304 * t122909 - 0.3e1 / 0.2e1 * t9877 * t6304 * t122913 + 0.4e1 / 0.3e1 * t119798 + 0.23e2 / 0.9e1 * t119804 - 0.22e2 / 0.9e1 * t119807 + 0.23e2 / 0.18e2 * t12052 * t122920;
  t122925 = t836 * t41274 * t2542;
  t122929 = t836 * t4748 * t16750;
  t122932 = t4851 * t15610;
  t122933 = t12052 * t122932;
  t122934 = 0.11e2 / 0.18e2 * t122933;
  t122936 = 0.3e1 * t118245;
  t122943 = t12030 * t15611;
  t122944 = t122943 / 0.2e1;
  t122947 = t466 * t122925 / 0.12e2 + t466 * t122929 / 0.6e1 - t122934 - t2534 * t118508 - t122936 - t1228 * t16761 / 0.2e1 + 0.2e1 * t2534 * t118420 + 0.3e1 * t1516 * t15708 - t122944 - t12030 * t15615 + t12047 * t15629;
  t122949 = t12047 * t15622;
  t122950 = t122949 / 0.2e1;
  t122969 = t122950 - t2529 * t15131 / 0.6e1 - t2529 * t15137 / 0.3e1 - t246 * t12135 * t15078 - 0.6e1 * t246 * t59934 * t15707 + 0.3e1 * t246 * t12147 * t118212 - t2098 * t59998 / 0.6e1 + t118266 + t9136 * t2596 / 0.2e1 + t2098 * t60002 / 0.3e1 - t118270;
  t122970 = t25714 * t15569;
  t122973 = t118287 / 0.4e1;
  t122975 = t26405 * t122792;
  t122979 = t31478 * t15642;
  t122982 = t26189 * t15649;
  t122985 = t11963 * t2090;
  t122986 = t802 * t122985;
  t122991 = t42744 * t16877;
  t122992 = 0.4e1 * t122991;
  t122993 = t87989 * t414;
  t122994 = t815 * t122993;
  t122997 = t11963 * t2084;
  t122998 = t815 * t122997;
  t122999 = t6341 * t122998;
  t123002 = t788 * t63 * t122636;
  t123004 = t20862 * t15755;
  t123009 = t11896 * t118527;
  t123010 = 0.6e1 * t123009;
  t123011 = t3125 * t15759;
  t123012 = t11896 * t123011;
  t123013 = 0.2e1 / 0.3e1 * t123012;
  t123014 = t20871 * t15749;
  t123017 = t11892 * t15760;
  t123018 = 0.12e2 * t123017;
  t123021 = t2571 * t2090;
  t123022 = t20862 * t123021;
  t123025 = t9020 * t16792;
  t123026 = 0.2e1 * t123025;
  t123027 = t3590 * t15745;
  t123035 = t3562 * t16851 * t2105;
  t123038 = t2118 * t16805;
  t123039 = 0.2e1 * t123038;
  t123040 = -0.6e1 * t32067 * t122986 - 0.3e2 * t59023 * t15828 - t122992 - 0.4e1 * t6341 * t122994 - 0.2e1 * t122999 - t470 * t123002 - 0.5e2 / 0.3e1 * t11896 * t123004 - 0.22e2 * t11892 * t15791 + t123010 - t123013 - 0.4e1 / 0.3e1 * t59117 * t123014 - t123018 + 0.8e1 * t59109 * t15785 - 0.1e2 / 0.3e1 * t6304 * t123022 + t123026 + 0.5e1 / 0.9e1 * t59023 * t123027 - 0.22e2 / 0.3e1 * t59026 * t15828 - 0.12e2 * t59134 * t15825 - 0.2e1 * t470 * t123035 - t123039;
  t123041 = t9020 * t16818;
  t123042 = 0.4e1 / 0.3e1 * t123041;
  t123043 = t22290 * t15755;
  t123048 = t9045 * t16802;
  t123049 = 0.2e1 * t123048;
  t123050 = t3580 * t122985;
  t123053 = t42887 * t16867;
  t123054 = 0.4e1 * t123053;
  t123055 = t233 * t122993;
  t123058 = t233 * t122997;
  t123059 = t6344 * t123058;
  t123063 = t16665 * t2105;
  t123064 = t802 * t123063;
  t123068 = t42744 * t16874;
  t123069 = 0.2e1 / 0.3e1 * t123068;
  t123070 = t20876 * t123021;
  t123081 = t20876 * t15749;
  t123084 = t20862 * t15749;
  t123089 = t22290 * t123021;
  t123092 = t3130 * t123021;
  t123095 = t123069 - t6304 * t123070 / 0.18e2 - 0.2e1 * t2558 * t118572 - 0.4e1 * t2554 * t15250 - 0.24e2 * t59177 * t15750 + 0.12e2 * t2558 * t118579 + 0.8e1 / 0.3e1 * t59117 * t123081 + 0.24e2 * t59117 * t123084 - 0.72e2 * t59109 * t15788 + 0.3e1 * t6304 * t123089 + 0.4e1 * t6300 * t123092;
  t123100 = t3168 * t15759;
  t123101 = t11896 * t123100;
  t123102 = t123101 / 0.9e1;
  t123103 = t20845 * t15749;
  t123108 = t11892 * t15772;
  t123109 = 0.2e1 * t123108;
  t123112 = t788 * t123021;
  t123116 = t22302 * t2571 * t15076;
  t123119 = t233 * t123063;
  t123125 = t2571 * t2084;
  t123126 = t788 * t123125;
  t123127 = t1587 * t123126;
  t123130 = t11892 * t15800;
  t123131 = 0.4e1 * t123130;
  t123134 = t11896 * t118727;
  t123135 = t123134 / 0.18e2;
  t123136 = t11896 * t118717;
  t123137 = 0.1e2 / 0.3e1 * t123136;
  t123139 = t788 * t60 * t122636;
  t123142 = t11892 * t15810;
  t123143 = 0.6e1 * t123142;
  t123146 = 0.6e1 * t118528;
  t123147 = -t123127 - 0.4e1 / 0.3e1 * t2558 * t118712 - t123131 - 0.2e1 / 0.3e1 * t59109 * t15816 + t123135 + t123137 + t470 * t123139 / 0.2e1 + t123143 + 0.8e1 / 0.3e1 * t120035 - 0.4e1 / 0.9e1 * t120039 + t123146;
  t123152 = 0.3e1 * t118544;
  t123155 = 0.12e2 * t118558;
  t123156 = 0.2e1 / 0.3e1 * t118560;
  t123157 = t20876 * t15755;
  t123161 = t16851 * t414;
  t123162 = t3130 * t123161;
  t123165 = t788 * t123161;
  t123169 = 0.2e1 * t118564;
  t123170 = t118566 / 0.9e1;
  t123172 = 0.6e1 * t118577;
  t123173 = 0.2e1 * t118582;
  t123175 = t233 * t122985;
  t123178 = -0.4e1 / 0.3e1 * t1591 * t123162 - 0.2e1 * t1587 * t123165 - 0.16e2 / 0.3e1 * t120091 - t123169 - t123170 + 0.2e1 / 0.9e1 * t120111 + t123172 - t123173 - 0.16e2 * t120116 - t118587 - 0.6e1 * t32232 * t123175;
  t123183 = t233 * t11963 * t15076;
  t123188 = t3556 * t123021;
  t123191 = 0.6e1 * t118600;
  t123194 = t11912 * t15766;
  t123195 = 0.6e1 * t123194;
  t123198 = t3130 * t123125;
  t123199 = t1591 * t123198;
  t123203 = 0.3e1 * t118615;
  t123206 = 0.3e1 * t118621;
  t123208 = t118606 + 0.4e2 / 0.3e1 * t120180 + t123203 + t118619 + 0.6e1 * t11912 * t15756 + t16808 - t123206 + 0.8e1 * t120193 - t15763 - t15240 - t15764;
  t123210 = t3580 * t15745;
  t123217 = 0.4e1 * t118654;
  t123219 = t118658 / 0.2e1;
  t123220 = 0.2e1 * t118664;
  t123225 = t20871 * t15795;
  t123228 = t20876 * t15795;
  t123238 = t20862 * t15795;
  t123241 = t123219 + t123220 + 0.2e1 * t2558 * t118660 - 0.4e2 * t59109 * t15796 + 0.1e2 / 0.3e1 * t59117 * t123225 + 0.5e2 / 0.3e1 * t59117 * t123228 - 0.36e2 * t59123 * t15819 - t2554 * t15259 + 0.2e1 * t2554 * t15288 + 0.36e2 * t59109 * t15822 - 0.12e2 * t59117 * t123238;
  t123244 = t11912 * t15812;
  t123245 = 0.3e1 * t123244;
  t123248 = t43075 * t123063;
  t123251 = t815 * t122985;
  t123254 = t76113 * t16871;
  t123255 = 0.4e1 * t123254;
  t123258 = t11896 * t118543;
  t123259 = 0.3e1 * t123258;
  t123261 = 0.6e1 * t118680;
  t123262 = t3556 * t123161;
  t123265 = t3556 * t123125;
  t123266 = t1591 * t123265;
  t123268 = t3562 * t2571 * t15128;
  t123270 = t2118 * t16816;
  t123271 = 0.2e1 * t123270;
  t123274 = t43071 * t123063;
  t123277 = 0.2e1 * t1591 * t123262 - t470 * t123268 - 0.8e1 * t32105 * t123274 + 0.24e2 * t120233 + 0.8e1 * t120239 + t123261 + t123266 - t123271 + t16862 - t16864 + t16865;
  t123279 = t43067 * t123063;
  t123283 = t233 * t87989 * t2105;
  t123287 = t233 * t11963 * t15128;
  t123290 = t815 * t123063;
  t123293 = t802 * t122993;
  t123296 = t802 * t122997;
  t123297 = t6341 * t123296;
  t123299 = t3590 * t122985;
  t123302 = 0.2e1 * t118699;
  t123304 = t2118 * t16852;
  t123309 = 0.1e2 / 0.3e1 * t118718;
  t123310 = 0.4e1 * t118723;
  t123311 = t118728 / 0.18e2;
  t123312 = -0.6e1 * t2558 * t118682 + 0.12e2 * t59177 * t15806 - t118733 + t123304 + t123309 - t123310 + t123311 + t15284 + t15832 + t2119 - t2138;
  t123327 = 0.89e2 / 0.9e1 * t58604 * t122970 + t122973 + 0.2e1 / 0.3e1 * t119851 + t9743 * t122975 / 0.2e1 + t42708 * t16767 - 0.2e1 / 0.3e1 * t6454 * t122979 - 0.115e3 / 0.36e2 * t58252 * t122982 - t30 * t59 * (t123312 + t123302 + t123297 / 0.3e1 + t123277 - t123259 + t123255 - t123245 + t123241 + t123217 + t123208 - 0.2e1 / 0.3e1 * t123199 + t123195 - t123191 + t123178 - t123155 - t123156 - t123152 + t123147 + t123109 - t123102 + t123095 + 0.2e1 * t123059 + t123054 - t123049 - t123042 + t123040 - 0.12e2 * t120214 + 0.24e2 * t120203 - 0.4e1 * t120158 - 0.12e2 * t120155 + 0.8e1 * t120066 + 0.24e2 * t120063 - 0.8e1 / 0.3e1 * t120055 - 0.48e2 * t120049 - 0.16e2 * t120052 - t118677 - t118674 + t118668 - t118648 + t118539 + t15830 + t16850 - t16814 - 0.5e1 / 0.3e1 * t32108 * t123279 + 0.4e1 * t10088 * t123283 + 0.2e1 * t10088 * t123287 - 0.5e1 * t32108 * t123290 + 0.2e1 / 0.3e1 * t6341 * t123293 - t15831 + t32067 * t123299 / 0.9e1 + 0.44e2 * t59026 * t15746 + 0.24e2 * t59123 * t15803 + 0.1e2 * t32108 * t123248 + 0.12e2 * t32130 * t123251 + 0.1e2 / 0.3e1 * t59023 * t123210 + 0.4e1 * t2558 * t118735 - 0.6e1 * t48493 * t123183 - 0.6e1 * t6300 * t123188 - 0.4e1 * t2558 * t118555 - 0.12e2 * t59123 * t15769 - 0.5e1 / 0.18e2 * t11896 * t123157 + 0.72e2 * t59123 * t15782 - t59117 * t123103 / 0.9e1 + 0.2e1 * t2554 * t15256 + 0.4e1 / 0.3e1 * t59109 * t15775 + 0.3e1 * t6309 * t123112 + 0.3e1 * t470 * t123116 + 0.4e1 * t32105 * t123119 + 0.2e1 / 0.3e1 * t2558 * t118642 + 0.4e1 * t6344 * t123055 - 0.2e1 * t32130 * t122986 + 0.1e2 / 0.3e1 * t32108 * t123064 + 0.15e2 * t11896 * t123043 + 0.44e2 / 0.3e1 * t11892 * t15779 + 0.2e1 / 0.3e1 * t32067 * t123050 - t16813 + t15765 - t16807) * t95 / 0.4e1 - t11843 * t2162 / 0.2e1 + 0.14e2 / 0.3e1 * t4806 * t88829 - 0.6e1 * t1228 * t16902;
  t123332 = t4851 * t15614;
  t123345 = t11843 * t2158;
  t123346 = t123345 / 0.4e1;
  t123356 = t95 * t123063;
  t123357 = t26400 * t123356;
  t123360 = t3562 * t123063;
  t123364 = t118357 / 0.2e1;
  t123366 = t26847 * t19108;
  t123369 = -t16623 - t16624 + t16625 - t9136 * t2588 / 0.2e1 + 0.2e1 * t119863 - 0.2e1 * t119865 - 0.5e1 / 0.6e1 * t6439 * t123357 - 0.2e1 * t4772 * t1587 * t123360 - t123364 + 0.4e1 / 0.3e1 * t119870 - 0.7e1 / 0.3e1 * t41686 * t123366;
  t123371 = t3556 * t122772;
  t123374 = t3556 * t88631;
  t123376 = t4772 * t1591 * t123374;
  t123379 = t246 * t8897 * t16760;
  t123380 = t123379 / 0.2e1;
  t123384 = t20831 * t15586;
  t123390 = t12052 * t118474;
  t123391 = 0.5e1 / 0.36e2 * t123390;
  t123392 = t4808 * t15614;
  t123395 = t3130 * t122772;
  t123398 = t3130 * t88631;
  t123400 = t4983 * t1591 * t123398;
  t123402 = -t4772 * t1591 * t123371 - t123376 / 0.2e1 - t123380 - 0.18e2 * t246 * t59472 * t15602 - 0.18e2 * t679 * t58341 * t123384 - 0.2e1 / 0.3e1 * t119901 - 0.2e1 * t119904 - t123391 - 0.5e1 / 0.18e2 * t12052 * t123392 + t4983 * t1591 * t123395 + t123400 / 0.2e1;
  t123404 = t26189 * t3156 * t12232;
  t123409 = t26847 * t15642;
  t123412 = t8790 * t123356;
  t123419 = t679 * t12087 * t15170;
  t123420 = 0.3e1 * t123419;
  t123429 = 0.3e1 / 0.2e1 * t41686 * t123404 - 0.11e2 / 0.6e1 * t58268 * t15646 + 0.55e2 / 0.18e2 * t58252 * t123409 + 0.2e1 / 0.3e1 * t6454 * t123412 + 0.5e1 / 0.3e1 * t4872 * t87676 + 0.12e2 * t119920 + t123420 + 0.18e2 * t41242 * t19046 - t9136 * t2593 / 0.4e1 + t466 * t119574 / 0.3e1 - 0.2e1 / 0.3e1 * t2534 * t118364;
  t123436 = t43406 * t16666;
  t123440 = t20831 * t15596;
  t123448 = 0.3e1 * t118375;
  t123452 = t1516 * t15674;
  t123460 = 0.3e1 / 0.2e1 * t118384;
  t123463 = -0.2e1 * t1228 * t16685 + 0.3e1 * t1228 * t16687 + t1228 * t16690 - 0.3e1 * t4806 * t88650 - 0.4e1 * t5156 * t88675 + t123452 + t123460 + t15091 - t15652 + t15653 - t15654;
  t123466 = t824 * t221 * t122636;
  t123473 = t836 * t58670 * t2106;
  t123479 = t41761 * t16667;
  t123480 = t123479 / 0.3e1;
  t123481 = t95 * t88631;
  t123482 = t5175 * t123481;
  t123483 = t6439 * t123482;
  t123485 = t15655 + t15103 - t246 * t1559 * t123466 / 0.4e1 - t11843 * t2167 / 0.4e1 + t417 * t123473 / 0.12e2 + 0.2e1 * t5286 * t16678 - 0.12e2 * t119964 + t123480 + t123483 / 0.6e1 + t16706 + t15675;
  t123486 = t788 * t122791;
  t123490 = t20862 * t8756;
  t123494 = t22290 * t8756;
  t123504 = t5175 * t122792;
  t123506 = t46876 * t15642;
  t123508 = -t15680 - t15683 - 0.3e1 / 0.2e1 * t4772 * t6309 * t123486 + 0.15e2 * t4983 * t11896 * t123490 - 0.15e2 / 0.2e1 * t4772 * t11896 * t123494 - 0.11e2 * t4983 * t11892 * t8757 + 0.2e1 / 0.3e1 * t2534 * t118441 - t119983 / 0.3e1 + t119988 - t9863 * t123504 + t6439 * t123506;
  t123512 = t20876 * t8756;
  t123520 = t2541 * t15076;
  t123522 = t42389 * t95 * t123520;
  t123534 = t118400 / 0.4e1;
  t123535 = t118406 / 0.2e1;
  t123537 = t246 * t12131 * t15678;
  t123538 = 0.3e1 / 0.2e1 * t123537;
  t123539 = t3273 * t122792;
  t123542 = t22302 * t123520;
  t123546 = t118413 / 0.6e1;
  t123551 = t118423 / 0.2e1;
  t123552 = 0.2e1 / 0.3e1 * t118425;
  t123553 = t118429 / 0.3e1;
  t123554 = t123534 + t123535 + t123538 + t10155 * t123539 / 0.2e1 - 0.3e1 / 0.2e1 * t4772 * t470 * t123542 - t123546 + t2529 * t15084 / 0.3e1 + 0.2e1 * t9948 * t2332 - t123551 + t123552 - t123553;
  t123556 = t22290 * t123063;
  t123560 = t22309 * t123063;
  t123564 = 0.3e1 / 0.2e1 * t118451;
  t123565 = 0.3e1 * t118459;
  t123566 = t118464 / 0.4e1;
  t123567 = 0.3e1 / 0.2e1 * t118472;
  t123568 = 0.5e1 / 0.36e2 * t118475;
  t123569 = t26405 * t123356;
  t123576 = -0.5e1 / 0.2e1 * t4983 * t1591 * t123556 + 0.5e1 / 0.2e1 * t4772 * t1591 * t123560 - t15158 - t123564 + t123565 - t123566 + t123567 - t123568 - 0.5e1 / 0.12e2 * t6439 * t123569 + 0.5e1 / 0.3e1 * t58610 * t15626 - t60007 * t2154 / 0.2e1;
  t123581 = t3273 * t123481;
  t123582 = t6454 * t123581;
  t123587 = t3139 * t15169;
  t123589 = t246 * t12038 * t123587;
  t123590 = 0.3e1 / 0.2e1 * t123589;
  t123593 = t11843 * t2170 / 0.2e1 - 0.2e1 * t4872 * t88802 - t118485 - t123582 / 0.6e1 - t15160 - t15172 - 0.3e1 * t679 * t12147 * t118409 + t123590 + 0.47e2 / 0.3e1 * t41034 * t59532 - t16891 + t16901;
  t123598 = t26011 * t15566;
  t123603 = t12052 * t41222;
  t123604 = 0.3e1 / 0.2e1 * t123603;
  t123605 = t26011 * t15582;
  t123608 = 0.3e1 / 0.2e1 * t118494;
  t123609 = t3556 * t122791;
  t123615 = 0.2e1 * t118502;
  t123616 = t118504 / 0.6e1;
  t123617 = -0.3e1 * t59568 * t15606 - 0.35e2 / 0.108e3 * t58604 * t123598 - t466 * t119959 / 0.3e1 - t123604 - 0.43e2 / 0.9e1 * t58604 * t123605 + t123608 + 0.3e1 * t4772 * t6300 * t123609 + 0.6e1 * t120285 - 0.6e1 * t120291 - t123615 - t123616;
  t123633 = t2087 * t16730;
  t123634 = t123633 / 0.6e1;
  t123635 = t2087 * t16752;
  t123636 = t123635 / 0.6e1;
  t123639 = -0.2e1 * t47008 * t2319 + 0.3e1 * t26784 * t16647 + 0.3e1 * t1228 * t16906 + 0.6e1 * t5286 * t16695 - 0.6e1 * t5286 * t16652 + t466 * t119946 / 0.6e1 - 0.2e1 * t9948 * t2324 - t9948 * t2327 + t123634 + t123636 - t1516 * t15669 / 0.2e1;
  t123641 = t1516 * t15679;
  t123648 = t4772 * t9020 * t16785;
  t123649 = t4877 * t123481;
  t123650 = t6439 * t123649;
  t123652 = t26189 * t122792;
  t123655 = t41697 * t16666;
  t123658 = t4877 * t122796;
  t123661 = t41761 * t16782;
  t123662 = t123661 / 0.6e1;
  t123664 = t8790 * t95 * t122809;
  t123667 = -t123641 - 0.4e1 * t8844 * t19033 - 0.4e1 / 0.3e1 * t2534 * t118360 - t42708 * t16786 - t123648 + t123650 / 0.12e2 + 0.5e1 / 0.36e2 * t9743 * t123652 + t6439 * t123655 / 0.6e1 + t6439 * t123658 / 0.6e1 + t123662 - t6451 * t123664 / 0.6e1;
  t123669 = t8790 * t95 * t122816;
  t123673 = t118513 / 0.3e1;
  t123678 = t4851 * t122566;
  t123693 = -t6451 * t123669 / 0.3e1 + 0.6e1 * t120298 - t123673 + 0.6e1 * t6411 * t15703 - 0.6e1 * t1516 * t15593 - 0.11e2 / 0.9e1 * t6100 * t123678 - 0.18e2 * t3167 * t59472 * t15587 + 0.36e2 * t679 * t59472 * t15597 + 0.22e2 / 0.3e1 * t58610 * t15573 - 0.23e2 / 0.3e1 * t58610 * t15718 - 0.6e1 * t59568 * t15567;
  t123699 = my_piecewise3(t2, 0, t122969 + t122947 + t122923 + t122890 + t122867 + t122852 - t122820 + t122815 - t122808 + t122800 + t122768 + t122746 + t122724 + t122719 + t122721 + t122704 + t122682 + t122662 - 0.2e1 * t119931 + 0.2e1 * t119679 - 0.2e1 / 0.3e1 * t119641 - 0.2e1 * t119532 + 0.2e1 * t119534 + t118379 + t123693 + t123667 + t123639 + t123617 + t123593 + t123576 + t123554 + t123508 + t123485 + t123463 - t123448 + t123429 + t123402 + t123369 + t123346 + t123327 - t246 * t12147 * t118434 + 0.6e1 * t246 * t58341 * t123440 + t679 * t12147 * t118011 - 0.15e2 / 0.2e1 * t9877 * t11896 * t123512 - 0.2e1 / 0.3e1 * t6439 * t41697 * t16670 + t4772 * t470 * t122810 / 0.2e1 + t4772 * t470 * t122817 - 0.3e1 * t4983 * t6300 * t122821 - 0.18e2 * t679 * t58802 * t15702 + 0.18e2 * t246 * t58802 * t15592 - 0.3e1 * t4772 * t11912 * t15842 + 0.11e2 * t4772 * t11892 * t15656 - 0.2e1 / 0.3e1 * t6439 * t4877 * t670 * t122772 - t15716 + t2529 * t9131 / 0.6e1 + t79470 * t481 / 0.2e1 + t87111 * t432 / 0.2e1 - t2098 * t58580 / 0.12e2 - 0.11e2 / 0.9e1 * t12052 * t123332 + t42708 * t16772 + 0.2e1 * t41787 * t19109 - t6496 * t122828 - t6454 * t122804 / 0.3e1 + t43351 * t16662 + 0.22e2 / 0.3e1 * t26106 * t87382 - 0.35e2 / 0.3e1 * t26050 * t87508 + 0.8e1 * t58604 * t41097 + t466 * t122639 / 0.12e2 - t6100 * t122567 + 0.15e2 / 0.2e1 * t26050 * t88544 + t2534 * t118445 / 0.3e1 - t12052 * t122558 + t16622 + t15715 - t16757 + t1516 * t15694 + 0.3e1 * t47381 * t15839 - 0.3e1 * t47384 * t15657 + t6451 * t123522 / 0.2e1 + 0.2e1 * t60079 * t15697 + 0.6e1 * t58610 * t15576 + t6439 * t123436 / 0.3e1 - 0.62e2 / 0.3e1 * t58604 * t41234 + 0.2e1 * t12047 * t15635 + t2093 * t11838 / 0.6e1 - t2534 * t42583 / 0.12e2);
  tv4sigma2lapl20 = t3 * t123699;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 0] += tv4sigma2lapl20;

  tv4sigma2lapl21 = 0.e0;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 1] += tv4sigma2lapl21;

  tv4sigma2lapl22 = 0.e0;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 2] += tv4sigma2lapl22;

  tv4sigma2lapl23 = 0.e0;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 3] += tv4sigma2lapl23;

  tv4sigma2lapl24 = 0.e0;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 4] += tv4sigma2lapl24;

  tv4sigma2lapl25 = 0.e0;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 5] += tv4sigma2lapl25;

  tv4sigma2lapl26 = 0.e0;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 6] += tv4sigma2lapl26;

  tv4sigma2lapl27 = 0.e0;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 7] += tv4sigma2lapl27;

  tv4sigma2lapl28 = 0.e0;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 8] += tv4sigma2lapl28;

  tv4sigma2lapl29 = 0.e0;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 9] += tv4sigma2lapl29;

  tv4sigma2lapl210 = 0.e0;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 10] += tv4sigma2lapl210;

  tv4sigma2lapl211 = 0.e0;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 11] += tv4sigma2lapl211;

  tv4sigma2lapl212 = 0.e0;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 12] += tv4sigma2lapl212;

  tv4sigma2lapl213 = 0.e0;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 13] += tv4sigma2lapl213;

  tv4sigma2lapl214 = 0.e0;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 14] += tv4sigma2lapl214;

  tv4sigma2lapl215 = 0.e0;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 15] += tv4sigma2lapl215;

  tv4sigma2lapl216 = 0.e0;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 16] += tv4sigma2lapl216;

  t123701 = t5733 * t15907;
  t123702 = t12414 * t123701;
  t123703 = 0.11e2 / 0.18e2 * t123702;
  t123706 = t29545 * t15872;
  t123712 = t24678 * t24581 * t2181;
  t123717 = t24678 * t24556 * t2181;
  t123729 = t373 * t12420 * t16125;
  t123730 = 0.3e1 * t123729;
  t123733 = t50380 * t2337;
  t123734 = t1430 * t123733;
  t123737 = t1683 * t120495;
  t123738 = t123737 / 0.6e1;
  t123739 = t6755 * t15871;
  t123740 = t5595 * t123739;
  t123743 = t5595 * t15950;
  t123757 = -t123730 - 0.28e2 * t44592 * t19374 - t1683 * t123734 / 0.3e1 - t123738 - 0.5e1 / 0.18e2 * t6855 * t123740 + 0.23e2 / 0.18e2 * t12414 * t123743 - 0.2e1 / 0.3e1 * t2609 * t118757 - 0.2e1 * t51333 * t2390 + 0.2e1 * t10426 * t2403 + 0.3e1 * t29089 * t17175 + 0.18e2 * t373 * t61365 * t16106;
  t123761 = 0.3e1 * t118766;
  t123762 = 0.3e1 / 0.2e1 * t118771;
  t123763 = t118773 / 0.2e1;
  t123772 = t118807 / 0.4e1;
  t123773 = t45379 * t17043;
  t123774 = t123773 / 0.3e1;
  t123775 = t50503 * t15890;
  t123777 = 0.4e1 / 0.3e1 * t1421 * t89812 - t123761 + t123762 - t123763 - 0.18e2 * t4718 * t61532 * t15886 + 0.36e2 * t1029 * t61532 * t15985 + 0.6e1 * t6955 * t15867 - t120330 + t123772 - t123774 + t6769 * t123775;
  t123778 = t2616 * t2181;
  t123779 = t1165 * t123778;
  t123783 = t45283 * t17047;
  t123786 = t16968 * t439;
  t123787 = t168 * t123786;
  t123788 = t5674 * t123787;
  t123791 = t168 * t89881;
  t123792 = t5674 * t123791;
  t123793 = t6769 * t123792;
  t123797 = t45376 * t17061;
  t123798 = t123797 / 0.3e1;
  t123801 = t28999 * t15872;
  t123806 = -0.3e1 / 0.2e1 * t5665 * t7086 * t123779 + t6769 * t123783 / 0.3e1 + t6769 * t123788 / 0.3e1 + t123793 / 0.6e1 - 0.7e1 / 0.3e1 * t44470 * t62177 + t123798 - t2180 + t2251 + t9469 * t2671 / 0.2e1 - 0.35e2 / 0.108e3 * t61342 * t123801 + t2609 * t119484 / 0.3e1;
  t123810 = t4718 * t12672 * t118769;
  t123811 = 0.3e1 / 0.2e1 * t123810;
  t123812 = t1647 * t16126;
  t123813 = t5733 * t19413;
  t123819 = t1029 * t12672 * t118764;
  t123820 = 0.3e1 * t123819;
  t123821 = t12414 * t119015;
  t123822 = t123821 / 0.2e1;
  t123823 = t29113 * t15872;
  t123828 = t1383 * t16992;
  t123829 = t123828 / 0.2e1;
  t123835 = t1094 * t5553 * t16997;
  t123838 = t2178 * t16999;
  t123839 = t123838 / 0.6e1;
  t123840 = t1683 * t82059;
  t123841 = 0.2e1 / 0.3e1 * t123840;
  t123845 = t1423 * t123733;
  t123854 = -0.2e1 * t120357 - 0.2e1 * t120378 + t490 * t123835 / 0.6e1 + t123839 + t123841 - t12474 * t2253 / 0.2e1 - t120409 / 0.3e1 - 0.2e1 / 0.3e1 * t1683 * t123845 + t2604 * t15315 / 0.3e1 + 0.18e2 * t44592 * t19395 + 0.2e1 * t5792 * t16977;
  t123860 = t12380 * t16125;
  t123861 = 0.4e1 * t123860;
  t123862 = t12380 * t15371;
  t123863 = 0.4e1 / 0.3e1 * t123862;
  t123864 = 0.8e1 * t119171;
  t123865 = 0.8e1 * t119173;
  t123873 = t12377 * t16117;
  t123874 = 0.4e1 * t123873;
  t123888 = 0.16e2 / 0.9e1 * t61223 * t15886 - 0.2e1 * t12383 * t15395 + t123861 + t123863 + t123864 - t123865 + t119176 + 0.8e1 * t12377 * t81724 - 0.4e1 * t12380 * t82660 - 0.12e2 * t12380 * t81710 - 0.2e1 * t15854 - t123874 - 0.8e1 * t61211 * t15866 + 0.12e2 * t15898 + 0.4e1 * t12383 * t15319 + 0.12e2 * t61216 * t15861 + 0.12e2 * t61223 * t15980 - 0.24e2 * t61211 * t16106 + 0.32e2 / 0.3e1 * t61223 * t15985;
  t123889 = t12390 * t16117;
  t123890 = 0.4e1 * t123889;
  t123896 = t78028 * t2808;
  t123897 = 0.2e1 / 0.3e1 * t123896;
  t123902 = t12395 * t16125;
  t123903 = 0.4e1 * t123902;
  t123904 = 0.8e1 * t119179;
  t123905 = 0.8e1 * t119181;
  t123906 = 0.8e1 / 0.3e1 * t119185;
  t123907 = 0.4e1 / 0.3e1 * t119216;
  t123916 = t123890 - 0.8e1 * t15858 - t15352 - 0.12e2 * t61268 * t15861 - 0.4e1 * t496 * t15319 + t123897 + 0.2e2 / 0.9e1 * t78025 * t19841 + 0.2e1 * t496 * t15395 - t123903 + t123904 - t123905 - t119184 + t123906 + t123907 - 0.4e1 * t78020 * t2808 - 0.12e2 * t61240 * t15980 + 0.4e1 / 0.3e1 * t78025 * t19946 + 0.24e2 * t61237 * t16106 + t15340;
  t123917 = t123888 + t123916;
  t123919 = t1076 * t348 * t123917;
  t123926 = t1029 * t12420 * t15371;
  t123927 = 0.3e1 * t123926;
  t123928 = t5563 * t123739;
  t123932 = t17046 * t2196;
  t123933 = t4575 * t123932;
  t123937 = t45376 * t17048;
  t123938 = t123937 / 0.6e1;
  t123939 = t45452 * t17047;
  t123942 = t5691 * t123787;
  t123945 = t16968 * t2196;
  t123947 = t9444 * t168 * t123945;
  t123950 = -t373 * t1693 * t123919 / 0.4e1 + 0.6e1 * t5792 * t16974 + t123927 - t6855 * t123928 + 0.12e2 * t120421 + 0.4e1 * t120424 - 0.2e1 * t5665 * t1716 * t123933 + t123938 + t6769 * t123939 / 0.6e1 + t6769 * t123942 / 0.6e1 - t6772 * t123947 / 0.3e1;
  t123951 = t2616 * t15359;
  t123953 = t9444 * t168 * t123951;
  t123956 = t77794 * t17042;
  t123960 = t5691 * t1018 * t123786;
  t123965 = t5595 * t15911;
  t123966 = t12414 * t123965;
  t123967 = 0.23e2 / 0.36e2 * t123966;
  t123972 = t5733 * t15915;
  t123975 = t168 * t123778;
  t123976 = t4687 * t123975;
  t123979 = -t6772 * t123953 / 0.6e1 - t6772 * t123956 / 0.3e1 - 0.2e1 / 0.3e1 * t6769 * t123960 - 0.2e1 / 0.3e1 * t120430 - 0.2e1 * t120435 + t123967 + 0.4e1 * t120449 - t118825 - 0.18e2 * t373 * t61532 * t15980 - 0.11e2 / 0.9e1 * t12414 * t123972 + t10725 * t123976 / 0.2e1;
  t123983 = t5691 * t123975;
  t123988 = t12544 * t15947;
  t123989 = t123988 / 0.2e1;
  t123994 = t1683 * t120429;
  t123995 = t123994 / 0.3e1;
  t123999 = t1094 * t62134 * t2197;
  t124007 = t29118 * t15872;
  t124010 = t28999 * t15877;
  t124020 = t1647 * t16118;
  t124025 = t1094 * t1095 * t167 * t123917;
  t124028 = t2178 * t17036;
  t124029 = t124028 / 0.6e1;
  t124031 = t1094 * t45091 * t2617;
  t124034 = -0.61e2 / 0.27e2 * t61342 * t124007 + 0.44e2 / 0.27e2 * t61342 * t124010 + 0.22e2 / 0.3e1 * t61327 * t15972 - 0.23e2 / 0.3e1 * t61327 * t15966 - t10426 * t2398 - t1647 * t16121 / 0.2e1 - t124020 + 0.3e1 * t1647 * t15862 + t490 * t124025 / 0.12e2 + t124029 + t490 * t124031 / 0.12e2;
  t124036 = t24678 * t15984;
  t124041 = t118879 / 0.3e1;
  t124051 = t45376 * t17065;
  t124052 = 0.2e1 / 0.3e1 * t124051;
  t124055 = t373 * t12672 * t119065;
  t124056 = 0.3e1 / 0.2e1 * t124055;
  t124057 = 0.6e1 * t373 * t61536 * t124036 - 0.8e1 * t120458 - t124041 + 0.23e2 / 0.9e1 * t120461 - t9469 * t2663 / 0.2e1 + t89637 * t457 / 0.2e1 - t2189 * t62826 / 0.12e2 - t2609 * t44687 / 0.12e2 - t124052 - 0.4e1 * t120467 + t124056;
  t124067 = t118884 / 0.3e1;
  t124068 = t24418 * t9339;
  t124072 = t24435 * t9339;
  t124076 = t29474 * t15890;
  t124082 = -t120496 / 0.3e1 + 0.5e1 / 0.3e1 * t5673 * t91482 - 0.4e1 * t9293 * t19414 + t1029 * t12424 * t119070 - 0.2e1 * t10426 * t2395 + t124067 + 0.15e2 * t5639 * t12580 * t124068 - 0.15e2 / 0.2e1 * t5665 * t12580 * t124072 + 0.25e2 / 0.36e2 * t61081 * t124076 - 0.11e2 / 0.3e1 * t61124 * t15919 + 0.2e1 * t120529;
  t124085 = t118888 / 0.2e1;
  t124086 = t118892 / 0.3e1;
  t124088 = t5595 * t15915;
  t124091 = t6769 * t89883;
  t124094 = t373 * t12507 * t16117;
  t124095 = 0.3e1 / 0.2e1 * t124094;
  t124103 = t12535 * t15908;
  t124104 = t124085 - t124086 - t12544 * t15954 - 0.5e1 / 0.18e2 * t12414 * t124088 - t124091 / 0.3e1 + t124095 + 0.12e2 * t45142 * t19463 + 0.3e1 * t1383 * t17016 - t490 * t81249 / 0.6e1 + t120532 / 0.3e1 + t124103;
  t124105 = 0.7e1 / 0.3e1 * t118894;
  t124106 = 0.3e1 / 0.2e1 * t118896;
  t124107 = t2616 * t15312;
  t124109 = t45083 * t168 * t124107;
  t124114 = t2178 * t12469;
  t124115 = t124114 / 0.12e2;
  t124116 = t45452 * t17064;
  t124123 = 0.3e1 * t118905;
  t124124 = t118909 / 0.2e1;
  t124125 = t124105 - t124106 + t6772 * t124109 / 0.2e1 + t2609 * t44760 / 0.3e1 - t124115 - 0.2e1 / 0.3e1 * t6769 * t124116 + t45286 * t17054 - 0.3e1 * t5665 * t12606 * t15857 - t124123 - t118907 - t124124;
  t124127 = 0.2e1 / 0.3e1 * t118911;
  t124128 = 0.5e1 / 0.36e2 * t118938;
  t124129 = 0.11e2 / 0.18e2 * t118940;
  t124130 = 0.23e2 / 0.36e2 * t118942;
  t124132 = t12535 * t16102;
  t124133 = t124132 / 0.2e1;
  t124134 = t124127 - t124128 - t124129 + t124130 - t118944 + t118946 + t15849 + 0.2e1 * t120572 + t124133 + t15850 - t15851;
  t124135 = t118979 / 0.12e2;
  t124136 = t119006 / 0.6e1;
  t124137 = t119010 / 0.6e1;
  t124138 = t119016 / 0.2e1;
  t124140 = t15327 + t15852 - t15853 + t15369 - t15373 - t124135 + t118987 + t124136 - t124137 - t124138 + 0.6e1 * t120589;
  t124146 = t119020 / 0.4e1;
  t124147 = t24435 * t123932;
  t124151 = t24564 * t123932;
  t124155 = t168 * t123932;
  t124156 = t30134 * t124155;
  t124159 = t4572 * t123778;
  t124163 = t4626 * t123778;
  t124169 = t24477 * t123778;
  t124173 = t24418 * t123778;
  t124178 = t24435 * t123778;
  t124182 = t30141 * t123975;
  t124185 = t29468 * t123975;
  t124189 = t29474 * t1018 * t123778;
  t124192 = t5674 * t123975;
  t124200 = -0.3e1 / 0.2e1 * t5665 * t7093 * t124178 + t10357 * t124182 / 0.2e1 + 0.11e2 / 0.18e2 * t10357 * t124185 - 0.23e2 / 0.36e2 * t10357 * t124189 - t10440 * t124192 + 0.28e2 / 0.3e1 * t120600 - 0.6e1 * t120602 - t15382 - t15386 + t2184 * t12469 / 0.6e1 + t81254 * t505 / 0.2e1;
  t124212 = 0.3e1 / 0.2e1 * t119038;
  t124215 = t2604 * t9531 / 0.6e1 - t2189 * t61514 / 0.6e1 + t119026 + t2189 * t61518 / 0.3e1 - t61509 * t2245 / 0.2e1 + t12474 * t2261 / 0.2e1 + t124212 + t120616 - 0.22e2 / 0.9e1 * t120635 - 0.2e1 * t120638 - t15870;
  t124222 = t5639 * t9584 * t90689;
  t124223 = t4572 * t123786;
  t124226 = t4572 * t89881;
  t124228 = t5639 * t1720 * t124226;
  t124233 = t5665 * t9608 * t17190;
  t124234 = t1165 * t123786;
  t124238 = -t16994 + 0.3e1 * t34264 * t15887 - 0.3e1 * t62074 * t16096 + t1647 * t15903 + t124222 + t5639 * t1720 * t124223 + t124228 / 0.2e1 + 0.3e1 / 0.2e1 * t44470 * t62124 + t124233 + t5665 * t1716 * t124234 + t45289 * t17191;
  t124241 = t30141 * t15890;
  t124246 = t5665 * t9584 * t17057;
  t124247 = t4626 * t123786;
  t124250 = t4626 * t89881;
  t124252 = t5665 * t1720 * t124250;
  t124254 = t24678 * t15885;
  t124259 = t119042 / 0.6e1;
  t124260 = t119044 / 0.2e1;
  t124262 = t12414 * t118937;
  t124263 = 0.5e1 / 0.36e2 * t124262;
  t124264 = t29474 * t15922;
  t124275 = t12414 * t45234;
  t124276 = 0.7e1 / 0.3e1 * t124275;
  t124277 = t29118 * t15877;
  t124283 = -t124263 - 0.115e3 / 0.36e2 * t61081 * t124264 + t490 * t120535 / 0.3e1 + t490 * t120382 / 0.6e1 + 0.2e1 / 0.3e1 * t2609 * t118931 + t2609 * t118934 / 0.3e1 + t124276 + 0.89e2 / 0.9e1 * t61342 * t124277 - 0.5e1 / 0.9e1 * t120675 + t119048 - t12474 * t2258 / 0.4e1;
  t124292 = 0.2e1 * t119057;
  t124293 = 0.3e1 / 0.2e1 * t119067;
  t124294 = t5563 * t15915;
  t124299 = t12535 * t15912;
  t124300 = 0.2e1 * t124299;
  t124301 = t1101 * t123739;
  t124306 = -0.8e1 / 0.3e1 * t120692 + 0.3e1 * t373 * t12424 * t119490 - 0.2e1 / 0.3e1 * t120694 - 0.6e1 * t1647 * t16107 - t124292 + t124293 - t12414 * t124294 - 0.6e1 * t373 * t62370 * t15861 - t124300 - t6928 * t124301 - 0.18e2 * t1029 * t61365 * t15866;
  t124320 = t373 * t9409 * t16970;
  t124321 = t124320 / 0.2e1;
  t124322 = t9444 * t124155;
  t124325 = t30141 * t124155;
  t124329 = 0.3e1 / 0.2e1 * t119106;
  t124330 = -0.3e1 * t1029 * t12424 * t118959 - 0.2e1 * t1383 * t16982 - t373 * t12424 * t118924 - t2609 * t119054 - t490 * t120806 / 0.3e1 - t373 * t12511 * t15319 - t124321 + 0.2e1 / 0.3e1 * t6764 * t124322 - 0.5e1 / 0.12e2 * t6769 * t124325 + 0.4e1 / 0.3e1 * t120718 - t124329;
  t124334 = 0.3e1 / 0.2e1 * t119109;
  t124346 = t12474 * t2249;
  t124347 = t124346 / 0.4e1;
  t124353 = t124347 + t17073 + t17172 + 0.2e1 * t120778 + t2609 * t119230 / 0.6e1 + t119123 - t119126 - t119130 - t119138 + t119143 - 0.2e1 * t5673 * t90653;
  t124355 = t24477 * t9339;
  t124360 = t119157 / 0.12e2;
  t124361 = t119241 / 0.4e1;
  t124362 = 0.3e1 * t119482;
  t124363 = t6955 * t16113;
  t124365 = t5595 * t6953 * t2756;
  t124368 = t12414 * t45241;
  t124369 = 0.3e1 / 0.2e1 * t124368;
  t124370 = t28999 * t15881;
  t124375 = -0.15e2 / 0.2e1 * t10513 * t12580 * t124355 - 0.2e1 * t120780 + t124360 - t124361 + t124362 - t124363 - 0.3e1 * t9254 * t124365 - t124369 - 0.43e2 / 0.9e1 * t61342 * t124370 - 0.4e1 / 0.3e1 * t2609 * t118753 - t17178;
  t124381 = t1101 * t123733;
  t124384 = t1702 * t121108;
  t124385 = t124384 / 0.3e1;
  t124390 = t12580 * t119289;
  t124391 = 0.2e1 / 0.3e1 * t124390;
  t124392 = t24557 * t16017;
  t124395 = t12580 * t119295;
  t124396 = 0.6e1 * t124395;
  t124399 = t16054 * t2616;
  t124400 = t24418 * t124399;
  t124403 = t9584 * t17122;
  t124404 = 0.2e1 * t124403;
  t124405 = t17100 * t439;
  t124406 = t4626 * t124405;
  t124409 = t2646 * t2175;
  t124410 = t4626 * t124409;
  t124411 = t1720 * t124410;
  t124412 = t12551 * t16044;
  t124413 = 0.12e2 * t124412;
  t124416 = 0.2e1 * t119250;
  t124417 = t4572 * t124405;
  t124420 = 0.12e2 * t119255;
  t124421 = t12606 * t16028;
  t124422 = 0.6e1 * t124421;
  t124423 = t119260 / 0.9e1;
  t124426 = 0.8e1 / 0.3e1 * t120845 - 0.8e1 / 0.3e1 * t120860 - 0.48e2 * t120863 - t124391 - 0.4e1 / 0.3e1 * t62609 * t124392 + t124396 - 0.4e1 / 0.9e1 * t120870 + 0.8e1 * t120873 - 0.1e2 / 0.3e1 * t7093 * t124400 + t124404 + 0.2e1 * t1720 * t124406 + t124411 - t124413 + 0.8e1 * t62620 * t16021 + t124416 - 0.4e1 / 0.3e1 * t1720 * t124417 - t124420 + t124422 - t124423 - 0.12e2 * t62557 * t16031;
  t124427 = 0.2e1 * t119265;
  t124430 = 0.3e1 * t119267;
  t124431 = 0.6e1 * t119269;
  t124432 = t12551 * t16034;
  t124433 = 0.2e1 * t124432;
  t124434 = 0.2e1 / 0.3e1 * t119290;
  t124435 = 0.6e1 * t119296;
  t124436 = t24477 * t16010;
  t124440 = t12560 * t2181;
  t124441 = t1173 * t124440;
  t124450 = t360 * t124440;
  t124454 = t360 * t12560 * t15312;
  t124457 = t4599 * t16001;
  t124460 = t46214 * t17152;
  t124461 = 0.4e1 * t124460;
  t124462 = t91080 * t439;
  t124463 = t1186 * t124462;
  t124466 = t12560 * t2175;
  t124467 = t1186 * t124466;
  t124468 = t7150 * t124467;
  t124470 = -0.2e1 * t34885 * t124441 - 0.12e2 * t120944 - 0.16e2 * t120960 - 0.12e2 * t62421 * t16007 + 0.44e2 * t62424 * t16002 - 0.6e1 * t34874 * t124450 - 0.6e1 * t51596 * t124454 + 0.1e2 / 0.3e1 * t62506 * t124457 - t124461 - 0.4e1 * t7150 * t124463 - 0.2e1 * t124468;
  t124473 = t4599 * t124440;
  t124476 = t1186 * t123932;
  t124481 = t46364 * t17155;
  t124482 = 0.4e1 * t124481;
  t124485 = t4586 * t16001;
  t124488 = t360 * t123932;
  t124493 = 0.2e1 * t119307;
  t124494 = 0.2e1 * t119309;
  t124496 = t24418 * t16054;
  t124499 = t4626 * t124399;
  t124502 = t24435 * t16010;
  t124505 = t4572 * t124399;
  t124508 = t24477 * t124399;
  t124513 = t9608 * t17134;
  t124514 = 0.2e1 * t124513;
  t124515 = t2209 * t17137;
  t124516 = 0.2e1 * t124515;
  t124517 = -0.12e2 * t62609 * t124496 - 0.6e1 * t7089 * t124499 + 0.15e2 * t12580 * t124502 - t15999 - t15481 - t16000 + 0.4e1 * t7089 * t124505 - t7093 * t124508 / 0.18e2 + 0.44e2 / 0.3e1 * t12551 * t16041 - t124514 - t124516;
  t124519 = t1186 * t124440;
  t124522 = t12606 * t16082;
  t124523 = 0.3e1 * t124522;
  t124526 = t12580 * t119430;
  t124527 = t124526 / 0.18e2;
  t124528 = t12580 * t119414;
  t124529 = 0.1e2 / 0.3e1 * t124528;
  t124530 = t9584 * t17080;
  t124531 = 0.4e1 / 0.3e1 * t124530;
  t124533 = t1165 * t143 * t123917;
  t124535 = t4572 * t124409;
  t124536 = t1720 * t124535;
  t124538 = t1165 * t124405;
  t124542 = t4575 * t17100 * t2196;
  t124550 = t1165 * t124399;
  t124559 = -0.2e1 * t2633 * t119252 + 0.4e1 / 0.3e1 * t62620 * t16037 + 0.3e1 * t7086 * t124550 + 0.12e2 * t2633 * t119311 + t119333 - t119342 + t119344 + 0.24e2 * t120976 + 0.8e1 * t120978 - 0.12e2 * t120987 - 0.4e1 * t120991;
  t124564 = t4586 * t124440;
  t124567 = t1173 * t123932;
  t124570 = t46214 * t17162;
  t124571 = 0.2e1 / 0.3e1 * t124570;
  t124572 = t1173 * t124462;
  t124575 = t1173 * t124466;
  t124576 = t7150 * t124575;
  t124584 = t46256 * t123932;
  t124587 = t46252 * t123932;
  t124591 = t24458 * t2646 * t15312;
  t124594 = 0.4e1 * t119359;
  t124595 = 0.6e1 * t119361;
  t124597 = 0.4e2 / 0.3e1 * t121022 - t17089 - t17090 + t17091 - 0.8e1 * t34877 * t124584 - 0.5e1 / 0.3e1 * t34871 * t124587 + 0.3e1 * t494 * t124591 + t17099 + t124594 - t124595 + 0.24e2 * t121057;
  t124599 = t360 * t124462;
  t124602 = t360 * t124466;
  t124603 = t7147 * t124602;
  t124607 = t24418 * t16010;
  t124616 = t1165 * t124409;
  t124617 = t1716 * t124616;
  t124619 = t4575 * t2646 * t15359;
  t124624 = t2209 * t17077;
  t124625 = 0.2e1 * t124624;
  t124626 = t119375 / 0.2e1;
  t124627 = t78305 * t17159;
  t124628 = 0.4e1 * t124627;
  t124630 = t360 * t91080 * t2196;
  t124634 = t360 * t12560 * t15359;
  t124637 = t12580 * t119259;
  t124638 = t124637 / 0.9e1;
  t124639 = t24582 * t16017;
  t124646 = 0.2e1 / 0.3e1 * t2633 * t119276 - t17144 - t124625 + t124626 + t124628 + 0.4e1 * t10674 * t124630 + 0.2e1 * t10674 * t124634 - t124638 - t62609 * t124639 / 0.9e1 - 0.4e1 * t2629 * t15484 - 0.24e2 * t62534 * t16050;
  t124651 = 0.1e2 / 0.3e1 * t119415;
  t124652 = 0.3e1 * t119419;
  t124653 = 0.4e1 * t119424;
  t124654 = t119431 / 0.18e2;
  t124655 = 0.6e1 * t119436;
  t124657 = 0.3e1 * t119457;
  t124658 = t46248 * t123932;
  t124661 = t24477 * t16054;
  t124664 = t24557 * t16054;
  t124675 = -t124657 - t17145 + t17147 + 0.1e2 * t34871 * t124658 + 0.5e2 / 0.3e1 * t62609 * t124661 + t17148 + 0.1e2 / 0.3e1 * t62609 * t124664 + 0.4e1 * t2633 * t119433 + 0.12e2 * t62534 * t16055 - 0.2e1 / 0.3e1 * t62620 * t16079 - 0.4e2 * t62620 * t16070;
  t124679 = t24477 * t16017;
  t124682 = t24418 * t16017;
  t124685 = t24435 * t124399;
  t124695 = t12551 * t16068;
  t124696 = 0.6e1 * t124695;
  t124697 = t4572 * t16067;
  t124698 = t12580 * t124697;
  t124699 = 0.3e1 * t124698;
  t124701 = t12551 * t16073;
  t124702 = 0.4e1 * t124701;
  t124707 = t2209 * t17101;
  t124709 = t1165 * t140 * t123917;
  t124712 = -t16084 + t15518 + t16085 + t16086 - t2229 - t124702 + 0.36e2 * t62620 * t16062 + t2210 - 0.4e1 / 0.3e1 * t2633 * t119406 + t124707 + t494 * t124709 / 0.2e1;
  t124721 = t29468 * t15890;
  t124726 = t34283 * t15890;
  t124731 = -0.11e2 * t5639 * t12551 * t9340 + 0.14e2 / 0.3e1 * t5562 * t90357 + 0.2e1 / 0.3e1 * t1702 * t124381 + t124385 + 0.6e1 * t120787 - t110 * t139 * (0.8e1 * t121019 - 0.16e2 / 0.3e1 * t121009 + 0.2e1 / 0.9e1 * t121012 + 0.24e2 * t121000 - 0.16e2 * t120994 + t119455 - t119445 - t119443 - t119404 - t119279 + t119274 + t124712 - t124699 + t124696 + t124675 - t124653 + t124654 + t124655 + t124651 - t124652 + t124646 - t124617 + 0.2e1 * t124603 + t124597 + t124576 / 0.3e1 + t124571 + t124559 - 0.2e1 / 0.3e1 * t124536 - t124531 + t124527 + t124529 - t124523 + t124517 - t124493 - t124494 + t124482 + t124470 + t124433 - t124434 + t124435 + t124427 + t124430 + t124431 + t124426 + t16053 + 0.24e2 * t62609 * t124682 + 0.3e1 * t7093 * t124685 - 0.6e1 * t2633 * t119446 + 0.2e1 * t2633 * t119387 - t2629 * t15523 - 0.36e2 * t62557 * t16059 + 0.2e1 * t2629 * t15510 + 0.8e1 / 0.3e1 * t62609 * t124679 + 0.72e2 * t62557 * t16018 - 0.72e2 * t62620 * t16024 - 0.4e1 * t2633 * t119314 - t494 * t124619 + 0.4e1 * t7147 * t124599 - 0.22e2 * t12551 * t16014 - 0.5e2 / 0.3e1 * t12580 * t124607 + 0.6e1 * t12606 * t16011 + t34882 * t124564 / 0.9e1 + 0.1e2 / 0.3e1 * t34871 * t124567 + 0.2e1 / 0.3e1 * t7150 * t124572 - t494 * t124533 - 0.2e1 * t1716 * t124538 - 0.2e1 * t494 * t124542 + 0.12e2 * t34885 * t124519 + 0.24e2 * t62557 * t16076 + 0.4e1 * t34877 * t124488 - 0.6e1 * t34882 * t124441 + 0.2e1 / 0.3e1 * t34882 * t124473 - 0.5e1 * t34871 * t124476 - 0.3e2 * t62506 * t16005 - 0.22e2 / 0.3e1 * t62424 * t16005 + 0.5e1 / 0.9e1 * t62506 * t124485 + 0.2e1 * t2629 * t15497 - 0.5e1 / 0.18e2 * t12580 * t124436) * t168 / 0.4e1 - t17179 + 0.55e2 / 0.18e2 * t61081 * t124721 + 0.2e1 * t50860 * t15858 - 0.2e1 / 0.3e1 * t6764 * t124726 + 0.22e2 / 0.3e1 * t29461 * t91411;
  t124736 = t50296 * t15890;
  t124739 = t45946 * t17051;
  t124740 = t124739 / 0.3e1;
  t124741 = t29988 * t17047;
  t124744 = t4687 * t123787;
  t124747 = t4687 * t123791;
  t124748 = t6764 * t124747;
  t124750 = t5691 * t123791;
  t124751 = t6769 * t124750;
  t124753 = t29474 * t123975;
  t124756 = t24458 * t124107;
  t124760 = t119495 / 0.2e1;
  t124762 = -0.11e2 / 0.6e1 * t61124 * t15894 + t6769 * t124736 / 0.2e1 - t124740 - t6764 * t124741 / 0.3e1 - t6764 * t124744 / 0.3e1 - t124748 / 0.6e1 + t124751 / 0.12e2 + 0.5e1 / 0.36e2 * t10357 * t124753 - 0.3e1 / 0.2e1 * t5665 * t494 * t124756 + t124760 + 0.4e1 / 0.3e1 * t120801;
  t124773 = t5733 * t123739;
  t124776 = t5595 * t81361;
  t124779 = t1423 * t123739;
  t124784 = t1430 * t123739;
  t124787 = 0.3e1 * t51176 * t15854 - 0.3e1 * t50860 * t15898 - 0.35e2 / 0.3e1 * t29352 * t89740 + 0.11e2 * t5665 * t12551 * t15897 + 0.2e1 / 0.3e1 * t120825 - 0.11e2 / 0.9e1 * t6855 * t124773 + 0.23e2 / 0.18e2 * t6855 * t124776 + 0.2e1 * t6788 * t124779 - 0.3e1 * t5562 * t89722 + t6788 * t124784 - 0.12e2 * t120833;
  t124802 = t4575 * t123945;
  t124805 = t4575 * t123951;
  t124810 = t5665 * t2209 * t17194;
  t124811 = -t119497 - 0.12e2 * t120839 + 0.5e1 / 0.3e1 * t61327 * t16093 - 0.4e1 * t5631 * t91379 + t1383 * t16987 + t373 * t12511 * t15395 / 0.2e1 - 0.6e1 * t62074 * t15975 + 0.3e1 * t1383 * t16984 + t5665 * t494 * t124802 + t5665 * t494 * t124805 / 0.2e1 + t124810;
  t124815 = t1165 * t89881;
  t124817 = t5665 * t1716 * t124815;
  t124827 = t45289 * t17195 + 0.2e1 * t44465 * t19443 + t124817 / 0.2e1 + t61122 * t15891 + 0.2e1 / 0.3e1 * t121109 - t16114 - t16119 + t16127 + 0.6e1 * t61327 * t15873 - 0.6e1 * t1383 * t17019 - 0.6e1 * t5792 * t17200;
  t124833 = my_piecewise3(t100, 0, -0.2e1 * t120742 + 0.2e1 * t120734 + 0.4e1 / 0.3e1 * t120725 - t120660 / 0.3e1 + 0.6e1 * t120593 - 0.2e1 / 0.3e1 * t120353 + 0.2e1 / 0.3e1 * t120314 + t124827 + t124811 + t124787 + t124762 + t124731 + t124375 + t124353 + t124334 + t124330 + t124306 + t124283 - t124259 + t124260 - t124252 / 0.2e1 - t124246 + t124238 + t124215 + t124200 + t124146 + t124140 + t124134 + t124125 + t124104 + t124082 + t124057 + t124034 - t123995 - t123989 + t123979 + t123950 + t123854 - t123829 - t123822 - t123820 + t123812 + t123811 + t123806 + t123777 + t123757 - t123703 - 0.18e2 * t1029 * t61536 * t124254 - t5665 * t1720 * t124247 - 0.5e1 / 0.2e1 * t5639 * t1720 * t124147 + 0.5e1 / 0.2e1 * t5665 * t1720 * t124151 - 0.3e1 * t5639 * t7089 * t124159 + 0.3e1 * t5665 * t7089 * t124163 - 0.3e1 / 0.2e1 * t10513 * t7093 * t124169 + 0.3e1 * t5639 * t7093 * t124173 - 0.6e1 * t25474 * t61536 * t123712 + 0.18e2 * t4718 * t61536 * t123717 - t17070 + t17072 + t17003 - 0.38e2 / 0.9e1 * t61342 * t123823 - t9469 * t2668 / 0.4e1 + 0.14e2 / 0.3e1 * t9254 * t123813 + 0.47e2 / 0.3e1 * t44866 * t61549 - 0.2e1 * t61342 * t123706 + 0.3e1 * t1647 * t15981 - 0.6e1 * t6955 * t15986 - 0.62e2 / 0.3e1 * t61342 * t44570 + 0.8e1 * t61342 * t44578 + t12535 * t16099 - t442 * t89632 / 0.6e1 - t44765 * t2659 / 0.2e1 - t2609 * t44628 / 0.6e1 + 0.5e1 / 0.2e1 * t61081 * t124241 - t45289 * t17058 + 0.15e2 / 0.2e1 * t29352 * t90133 - 0.5e1 / 0.6e1 * t6769 * t124156 + 0.2e1 * t2609 * t119062 - t2604 * t15376 / 0.3e1 - t2604 * t15362 / 0.6e1 + 0.2e1 * t12535 * t15916 + t442 * t123999 / 0.12e2 - t1383 * t16971 / 0.2e1 + 0.2e1 * t61334 * t16110 - t10440 * t123983 / 0.2e1 - t2609 * t119031 / 0.2e1);
  tv4sigma2lapl217 = t3 * t124833;

  if(out->v4sigma2lapl2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapl2[ip*p->dim.v4sigma2lapl2 + 17] += tv4sigma2lapl217;

  t124841 = t13203 * t2158;
  t124843 = t2087 * t13198;
  t124845 = t121128 / 0.6e1;
  t124846 = t121132 / 0.3e1;
  t124847 = t95 * t79128;
  t124851 = t463 * t2084;
  t124854 = t4983 * t7686 * t3125 * t124851;
  t124856 = t30 * t42726;
  t124859 = t463 * t15076;
  t124860 = t95 * t124859;
  t124864 = t121120 - t26650 * t17276 - t515 * t79473 / 0.12e2 - t466 * t82854 / 0.12e2 + t79470 * t530 / 0.4e1 + t124841 / 0.4e1 - t124843 / 0.12e2 - t124845 - t124846 - 0.38e2 / 0.9e1 * t52309 * t26189 * t124847 - 0.3e1 * t124854 - 0.62e2 / 0.3e1 * t124856 * t63839 + t7254 * t8790 * t124860 / 0.3e1 - t119532 + t119534 - t122650;
  t124869 = t7254 * t123581;
  t124871 = 0.5e1 / 0.18e2 * t119554;
  t124872 = t119556 / 0.3e1;
  t124873 = 0.2e1 * t119559;
  t124877 = t119571 / 0.6e1;
  t124884 = t95 * t124851;
  t124886 = t10757 * t9744 * t124884;
  t124897 = t7251 * t123655 / 0.6e1 + t7251 * t123658 / 0.6e1 - t124869 / 0.6e1 - t124871 + t124872 + t124873 - t2089 + t2160 + 0.5e1 / 0.2e1 * t4772 * t1876 * t123560 - t124877 - 0.5e1 / 0.6e1 * t7251 * t123357 + 0.5e1 / 0.3e1 * t7251 * t26405 * t670 * t123063 - 0.5e1 / 0.36e2 * t124886 - 0.35e2 / 0.108e3 * t52309 * t47881 * t124847 + 0.5e1 / 0.3e1 * t52236 * t9744 * t124847 + t7251 * t41697 * t17477 / 0.3e1;
  t124899 = t119582 / 0.6e1;
  t124900 = t119595 / 0.3e1;
  t124901 = 0.2e1 * t119601;
  t124902 = 0.4e1 * t119611;
  t124903 = t670 * t124851;
  t124905 = t10838 * t4873 * t124903;
  t124912 = t543 * t2090;
  t124913 = t253 * t124912;
  t124914 = t4762 * t124913;
  t124919 = t7251 * t123482;
  t124921 = t7251 * t88633;
  t124923 = t121177 / 0.2e1;
  t124926 = t121200 / 0.3e1;
  t124927 = t119624 / 0.3e1;
  t124928 = -t124899 - t124900 - t124901 - t124902 - 0.2e1 * t124905 - t7254 * t122979 / 0.3e1 + 0.2e1 * t53040 * t4762 * t124847 - t10155 * t124914 / 0.2e1 + t7251 * t122856 / 0.3e1 + t124919 / 0.6e1 - t124921 / 0.3e1 + t124923 + t82859 * t481 / 0.4e1 + t124926 + t124927 + t119627;
  t124934 = t10757 * t9845 * t124884;
  t124936 = t121203 / 0.3e1;
  t124948 = t4772 * t7686 * t3130 * t124851;
  t124953 = t3266 * t12998 * t15673;
  t124957 = t3264 * t124912;
  t124958 = t9845 * t124957;
  t124962 = t9744 * t4991 * t124912;
  t124965 = t42708 * t17347 - 0.11e2 / 0.9e1 * t10757 * t78845 * t17291 - 0.11e2 / 0.18e2 * t124934 - t124936 - t118004 + t118006 - t10838 * t123504 + 0.15e2 * t4983 * t7686 * t20862 * t80222 - 0.15e2 / 0.2e1 * t9877 * t7686 * t20876 * t80222 - t122703 + 0.3e1 / 0.2e1 * t124948 + 0.47e2 / 0.3e1 * t124856 * t63416 + t124953 / 0.2e1 + t6451 * t121539 / 0.12e2 + 0.7e1 / 0.3e1 * t9743 * t124958 - 0.3e1 / 0.2e1 * t9743 * t124962;
  t124971 = 0.3e1 * t121211;
  t124973 = t10757 * t9744 * t124903;
  t124980 = t463 * t15128;
  t124981 = t95 * t124980;
  t124989 = 0.14e2 / 0.3e1 * t121216;
  t124993 = t119641 / 0.3e1;
  t124995 = 0.3e1 / 0.2e1 * t26550 * t63258 * t15587 + t124971 + 0.23e2 / 0.36e2 * t124973 + t7251 * t123436 / 0.3e1 - t7254 * t26645 * t17477 / 0.3e1 - t7254 * t3273 * t124981 / 0.6e1 + t4772 * t519 * t122817 - 0.2e1 / 0.3e1 * t4872 * t92628 + t124989 + 0.3e1 / 0.2e1 * t4993 * t12998 * t80160 - t124993 + t122719 - t121227 + t121231 + t122721 + t7243 * t122788;
  t125000 = t1815 * t122654;
  t125004 = t1779 * t119570;
  t125006 = t1568 * t121199;
  t125011 = t1770 * t15679;
  t125031 = -0.5e1 / 0.36e2 * t7196 * t122659 + t1815 * t122833 / 0.3e1 + t125000 / 0.6e1 - t1779 * t122836 / 0.6e1 - t125004 / 0.12e2 + t125006 / 0.6e1 + t1779 * t79315 / 0.3e1 - t10777 * t2324 - t125011 / 0.2e1 - 0.2e1 * t8844 * t19645 + 0.3e1 / 0.2e1 * t3266 * t62980 * t15707 + 0.23e2 / 0.18e2 * t10757 * t78631 * t17295 + 0.2e1 / 0.3e1 * t1252 * t92758 + 0.3e1 / 0.2e1 * t1770 * t15708 + t1516 * t16180 / 0.2e1 + 0.3e1 * t4772 * t1876 * t22309 * t124859;
  t125047 = 0.2e1 * t119686;
  t125048 = 0.14e2 / 0.3e1 * t119691;
  t125049 = 0.2e1 / 0.3e1 * t119704;
  t125050 = t95 * t80222;
  t125054 = 0.4e1 / 0.3e1 * t119718;
  t125055 = -t4772 * t1876 * t123371 + t119679 - 0.6e1 * t43351 * t17381 - t7254 * t122797 / 0.3e1 - 0.3e1 * t4772 * t7690 * t788 * t80222 - 0.11e2 * t4983 * t7680 * t3130 * t80222 + t125047 + t125048 - t119694 + t121256 - t121270 + t125049 - t119706 - t119707 - 0.11e2 / 0.6e1 * t10838 * t4877 * t125050 - t125054;
  t125059 = t1779 * t78920;
  t125061 = t7213 * t15565;
  t125062 = t1261 * t125061;
  t125067 = t1541 * t83330;
  t125069 = t1541 * t121329;
  t125072 = t4983 * t1876 * t123398;
  t125076 = 0.6e1 * t121296;
  t125079 = 0.2e1 * t121301;
  t125080 = t119732 - 0.2e1 * t9863 * t4873 * t124957 + t122751 + t125059 / 0.3e1 + t6087 * t125062 / 0.2e1 + 0.3e1 * t6411 * t16149 + t125067 / 0.3e1 - t125069 / 0.6e1 + t125072 / 0.2e1 + 0.3e1 / 0.2e1 * t41686 * t63952 - t121288 + t125076 + t7251 * t122895 / 0.4e1 + t125079 - t122771 + t118050;
  t125087 = t6439 * t121594;
  t125089 = t9744 * t124913;
  t125097 = t41850 * t17335;
  t125113 = -t30 * t15835 * t544 / 0.4e1 + t122781 - t125087 / 0.12e2 - 0.5e1 / 0.36e2 * t9743 * t125089 - t4772 * t1876 * t3556 * t124980 + t6451 * t121639 / 0.6e1 - t6439 * t125097 / 0.6e1 + 0.3e1 / 0.2e1 * t47381 * t16234 - 0.3e1 / 0.2e1 * t47384 * t16287 - t121304 - t122808 + t122815 - t122820 - 0.3e1 * t4993 * t63258 * t15597 - 0.61e2 / 0.27e2 * t52309 * t47807 * t124847 + 0.44e2 / 0.27e2 * t52309 * t47881 * t79129;
  t125122 = t4772 * t7680 * t689 * t124851;
  t125131 = t3266 * t13185 * t15678;
  t125142 = t121330 / 0.3e1;
  t125143 = 0.2e1 / 0.3e1 * t121338;
  t125144 = 0.2e1 / 0.3e1 * t121339;
  t125145 = 0.2e1 * t121356;
  t125146 = -0.6e1 * t53916 * t4996 * t124847 + 0.12e2 * t53916 * t4873 * t79129 - 0.3e1 * t125122 - 0.28e2 * t30 * t42733 * t63598 - t3266 * t12753 * t15204 / 0.4e1 - t125131 / 0.2e1 - t43357 * t17507 + t2098 * t63481 / 0.3e1 - t63486 * t2154 / 0.2e1 - t2098 * t65118 / 0.12e2 + t93186 * t432 / 0.2e1 - t125142 + t121335 + t125143 + t125144 - t125145;
  t125163 = t53027 * t15642;
  t125170 = 0.2e1 / 0.3e1 * t4872 * t92512 - 0.2e1 * t4772 * t1872 * t123360 + 0.55e2 / 0.18e2 * t10757 * t26847 * t125050 + t122844 + t122846 - t122850 + t122851 + t122854 + t122855 - 0.18e2 * t4983 * t36084 * t683 * t79128 - 0.3e1 / 0.2e1 * t4772 * t519 * t123542 + t6439 * t125163 / 0.2e1 - 0.3e1 / 0.2e1 * t52942 * t15657 + 0.3e1 / 0.2e1 * t52936 * t15839 - t118171 + t118172;
  t125171 = 0.6e1 * t121391;
  t125174 = t1516 * t16278;
  t125184 = t52780 * t2266;
  t125185 = t1254 * t125184;
  t125192 = -t118178 - t118190 - t122866 - t125171 - t10777 * t2327 / 0.2e1 - t125174 / 0.2e1 - 0.2e1 * t8844 * t63308 - t9948 * t2450 / 0.2e1 - t1516 * t16135 / 0.4e1 + t2093 * t12910 / 0.6e1 - t1541 * t125185 / 0.3e1 + t2093 * t13198 / 0.6e1 - t13203 * t2162 / 0.2e1 + t122880 + t118225 - t118236;
  t125201 = 0.3e1 * t119776;
  t125202 = 0.6e1 * t119780;
  t125203 = t52331 * t15642;
  t125209 = t6439 * t121402;
  t125211 = t9845 * t124913;
  t125230 = -t122887 - 0.18e2 * t4772 * t36087 * t3130 * t79128 + 0.3e1 * t79563 * t17377 + t125201 - t125202 + t6439 * t125203 / 0.4e1 + t3266 * t12753 * t15078 / 0.2e1 - t125209 / 0.6e1 - 0.11e2 / 0.18e2 * t9743 * t125211 - 0.5e1 / 0.2e1 * t4983 * t1876 * t123556 + 0.11e2 * t4772 * t7680 * t3556 * t80222 - 0.3e1 * t3266 * t63039 * t15592 + t52942 * t15843 - t4872 * t92096 - t31651 * t16224 / 0.4e1 - t10757 * t41697 * t17291;
  t125231 = 0.3e1 * t121399;
  t125232 = t121403 / 0.3e1;
  t125233 = 0.2e1 / 0.3e1 * t119798;
  t125234 = 0.23e2 / 0.18e2 * t119804;
  t125235 = 0.11e2 / 0.9e1 * t119807;
  t125245 = t9877 * t7686 * t3168 * t124851;
  t125249 = t253 * t83572;
  t125250 = t5175 * t125249;
  t125265 = t10838 * t4873 * t124884;
  t125267 = t125231 - t125232 + t125233 + t125234 - t125235 + 0.2e1 * t10838 * t4877 * t122901 + t10757 * t122975 / 0.2e1 - 0.7e1 / 0.3e1 * t41686 * t63941 + 0.3e1 / 0.2e1 * t125245 + t4772 * t1872 * t122773 + t6439 * t125250 / 0.2e1 - 0.35e2 / 0.3e1 * t10757 * t80224 + 0.15e2 / 0.2e1 * t10757 * t26189 * t3156 * t80222 + 0.5e1 / 0.2e1 * t10757 * t26405 * t125050 + t10838 * t41850 * t17291 + t125265 / 0.2e1;
  t125271 = t7587 * t15682;
  t125273 = t1770 * t15674;
  t125283 = t4867 * t125061;
  t125303 = -t7254 * t122804 / 0.3e1 - t125271 / 0.2e1 + t125273 / 0.2e1 - 0.3e1 / 0.2e1 * t6100 * t4808 * t7585 * t15565 + 0.3e1 / 0.2e1 * t36012 * t15588 - 0.3e1 * t7587 * t15598 - t6100 * t125283 / 0.2e1 + 0.7e1 / 0.3e1 * t6100 * t82752 - t122936 - t2098 * t63517 / 0.6e1 + t2098 * t63521 / 0.3e1 - t6411 * t16254 / 0.2e1 - 0.11e2 / 0.18e2 * t7196 * t123678 + 0.23e2 / 0.36e2 * t7196 * t122785 + 0.36e2 * t4983 * t36087 * t3125 * t79128 + t42708 * t17350;
  t125324 = t119851 / 0.3e1;
  t125325 = -0.2e1 / 0.3e1 * t4872 * t94092 + 0.22e2 / 0.3e1 * t52236 * t9845 * t124847 - 0.23e2 / 0.3e1 * t52236 * t9744 * t79129 + t4983 * t1876 * t123395 - t42708 * t17373 + 0.3e1 * t42708 * t17354 + t42708 * t17358 - 0.6e1 * t42708 * t17521 - 0.2e1 * t42708 * t17345 + 0.14e2 / 0.3e1 * t26050 * t92918 - t16134 + t16144 + t118266 - t118270 + t122973 + t125324;
  t125333 = t4877 * t125249;
  t125350 = t121433 / 0.3e1;
  t125362 = t4877 * t124913;
  t125371 = t9744 * t124957;
  t125374 = 0.25e2 / 0.36e2 * t10757 * t26189 * t125050 + t6439 * t125333 / 0.4e1 + 0.22e2 / 0.3e1 * t10838 * t4877 * t80223 - 0.115e3 / 0.36e2 * t10757 * t26189 * t80223 - 0.11e2 / 0.3e1 * t10838 * t5175 * t125050 - t7251 * t26405 * t124860 / 0.2e1 + 0.3e1 * t42708 * t17514 + t125350 + 0.3e1 / 0.2e1 * t3266 * t63258 * t15602 - 0.18e2 * t4983 * t36075 * t20876 * t79128 + 0.6e1 * t4772 * t36075 * t20862 * t79128 - t9743 * t125362 / 0.2e1 + t1516 * t16257 / 0.2e1 + t515 * t119574 / 0.6e1 + t515 * t119946 / 0.12e2 + 0.23e2 / 0.36e2 * t9743 * t125371;
  t125375 = 0.11e2 / 0.9e1 * t121446;
  t125376 = t42321 * t17335;
  t125379 = 0.2e1 * t121448;
  t125381 = t4772 * t1876 * t123374;
  t125383 = 0.3e1 * t121451;
  t125390 = 0.2e1 / 0.3e1 * t121460;
  t125391 = -t125375 + t6454 * t125376 / 0.3e1 + t125379 - t125381 / 0.2e1 + t125383 + 0.2e1 / 0.3e1 * t7254 * t123412 - t16163 + t16165 + t13203 * t2170 / 0.2e1 - t2098 * t63477 / 0.6e1 + t15613 - t15624 - t15634 + t15641 - t16171 + t125390;
  t125397 = 0.2e1 / 0.3e1 * t119870;
  t125405 = t31478 * t16228;
  t125408 = t121469 / 0.3e1;
  t125409 = 0.6e1 * t121487;
  t125412 = 0.8e1 * t124856 * t47881 * t9875 * t63414 + t119863 - t119865 - t123364 + t125397 - 0.3e1 * t4983 * t7680 * t122821 + 0.18e2 * t4772 * t36084 * t689 * t79128 + t4882 * t125405 / 0.12e2 + t16191 + t125408 + t121474 - t121479 - t125409 - t123380 - t47008 * t2444 + t9948 * t2453;
  t125413 = t41274 * t2676;
  t125417 = t843 * t125061;
  t125426 = t4873 * t124913;
  t125434 = t4993 * t12998 * t15170;
  t125436 = t119901 / 0.3e1;
  t125437 = t7251 * t123649;
  t125442 = t836 * t63293 * t2106;
  t125447 = t1815 * t843 * t125413 / 0.6e1 - t6496 * t125417 / 0.2e1 - t466 * t121671 / 0.6e1 + 0.3e1 / 0.2e1 * t1516 * t16183 + t515 * t122925 / 0.12e2 + t9863 * t125426 / 0.2e1 + 0.2e1 * t7251 * t26405 * t670 * t124859 + t16199 - t16203 - t125434 / 0.2e1 - t125436 - t119904 + t125437 / 0.12e2 + 0.2e1 / 0.3e1 * t1252 * t93580 + t417 * t125442 / 0.12e2 + 0.7e1 / 0.3e1 * t8710 * t65442;
  t125450 = t1779 * t122728;
  t125452 = t6411 * t16281;
  t125456 = t1516 * t16142;
  t125460 = t2087 * t12910;
  t125467 = t6454 * t121468;
  t125487 = -t125450 / 0.6e1 - t125452 / 0.2e1 - 0.3e1 / 0.2e1 * t8710 * t65446 + t125456 / 0.2e1 + t1770 * t15694 / 0.2e1 - t125460 / 0.12e2 + 0.89e2 / 0.9e1 * t52309 * t47807 * t79129 - t6451 * t121443 / 0.6e1 + t125467 / 0.6e1 - t417 * t93181 / 0.6e1 + 0.2e1 * t43351 * t17366 - 0.3e1 * t26050 * t92825 - 0.6e1 * t4772 * t36211 * t229 * t79128 + 0.3e1 * t4993 * t63039 * t15702 + 0.6e1 * t43351 * t17363 + 0.2e1 * t10838 * t43371 * t17291;
  t125490 = 0.6e1 * t119920;
  t125497 = t10757 * t9744 * t3156 * t124851;
  t125503 = t11019 * t4762 * t124884;
  t125507 = t36464 * t15642;
  t125511 = t6439 * t82777;
  t125513 = t121528 / 0.6e1;
  t125514 = t121535 / 0.6e1;
  t125519 = -0.5e1 / 0.12e2 * t7251 * t123569 + t125490 + t7248 * t123522 / 0.2e1 - t121510 + t11019 * t123539 / 0.2e1 - 0.3e1 / 0.2e1 * t125497 - 0.43e2 / 0.9e1 * t52309 * t47881 * t79577 - t125503 / 0.2e1 - t11019 * t42321 * t17291 - t6454 * t125507 / 0.3e1 + t47384 * t16232 + t125511 / 0.3e1 - t119931 - t125513 - t125514 - 0.2e1 / 0.3e1 * t7251 * t4877 * t670 * t124980;
  t125542 = 0.2e1 / 0.3e1 * t7251 * t43406 * t17477 + t4772 * t1872 * t788 * t124980 / 0.2e1 - t123448 + 0.3e1 * t4983 * t7686 * t122905 - 0.3e1 / 0.2e1 * t4772 * t7686 * t122909 - 0.6e1 * t48902 * t36075 * t20845 * t79128 + t118379 + 0.18e2 * t9877 * t36075 * t20871 * t79128 + t121550 + t123460 + t15091 - t15652 + t15653 - t15654 + t15655 + t15103;
  t125543 = 0.6e1 * t119964;
  t125545 = t10838 * t4996 * t124884;
  t125553 = t4996 * t124913;
  t125564 = t119983 / 0.6e1;
  t125565 = t119988 / 0.2e1;
  t125566 = -t125543 + t123480 + t15662 + t15676 - t15681 - t15684 + t125545 - 0.3e1 / 0.2e1 * t4772 * t7690 * t123486 - t7251 * t26400 * t124860 - t10838 * t122793 / 0.2e1 + t9863 * t125553 - t26650 * t17279 / 0.2e1 - 0.3e1 * t4983 * t1876 * t22290 * t124859 - t4772 * t1872 * t3562 * t124859 - t125564 + t125565;
  t125575 = t4772 * t7690 * t229 * t124851;
  t125594 = 0.23e2 / 0.18e2 * t121572;
  t125599 = t4772 * t519 * t122810 / 0.2e1 + 0.3e1 / 0.2e1 * t125575 + 0.18e2 * t52236 * t9744 * t79577 + 0.6e1 * t52236 * t4877 * t124847 - 0.18e2 * t9877 * t36087 * t3168 * t79128 + 0.3e1 * t4772 * t7680 * t123609 - t16757 + t15715 - t15716 - 0.3e1 * t53916 * t4873 * t124847 - t4872 * t92240 + t123534 + t121570 + t125594 + t123535 - 0.15e2 / 0.2e1 * t4772 * t7686 * t22290 * t80222;
  t125620 = 0.2e1 / 0.3e1 * t121577;
  t125621 = t16273 - t16280 - t16283 - t417 * t92503 / 0.6e1 - t2098 * t63224 / 0.12e2 - t1779 * t1254 * t125413 / 0.6e1 - t1779 * t1261 * t125413 / 0.12e2 + t515 * t122929 / 0.6e1 + t515 * t122639 / 0.12e2 - t1516 * t16173 / 0.2e1 - t13203 * t2167 / 0.4e1 - 0.3e1 * t1516 * t16247 + t125620 - t123546 - t123551 + t123552;
  t125624 = t10757 * t9845 * t124903;
  t125628 = t3273 * t125249;
  t125632 = t4772 * t1872 * t122776;
  t125646 = -t123553 + 0.7e1 / 0.3e1 * t125624 + t11019 * t3273 * t125050 - t6454 * t125628 / 0.3e1 - t15158 - t123564 + t123565 - t123566 + t123567 - t123568 + t125632 / 0.2e1 + t7251 * t4877 * t124981 / 0.6e1 - 0.5e1 / 0.18e2 * t10757 * t78631 * t17291 - t7248 * t122862 / 0.3e1 - t7248 * t123669 / 0.3e1 - t7248 * t123664 / 0.6e1;
  t125654 = t121584 / 0.3e1;
  t125655 = t121595 / 0.6e1;
  t125656 = 0.4e1 / 0.3e1 * t121599;
  t125657 = 0.3e1 * t121603;
  t125662 = t7251 * t5175 * t124981 / 0.3e1 - 0.3e1 / 0.2e1 * t3266 * t12998 * t80229 - t6439 * t83574 + t125654 - t121592 - t118485 - t125655 - t125656 - t125657 - t15160 + t3266 * t13185 * t80332 - t15172 - t15734 + t16901 + 0.5e1 / 0.36e2 * t10757 * t123652 - t121610;
  t125665 = t121619 / 0.2e1;
  t125666 = t121621 / 0.6e1;
  t125671 = t843 * t125184;
  t125676 = 0.8e1 * t121682;
  t125677 = 0.12e2 * t121684;
  t125682 = t2708 * t2090;
  t125692 = t2708 * t15076;
  t125698 = t13080 * t2090;
  t125699 = t3580 * t125698;
  t125702 = -0.36e2 * t36084 * t689 * t125682 - 0.6e1 * t1876 * t22309 * t125692 - 0.6e1 * t36092 * t122986 - 0.2e1 * t519 * t123035 + 0.3e1 * t7690 * t123112 + 0.3e1 * t519 * t123116 - 0.2e1 * t1872 * t123165 - 0.6e1 * t7680 * t123188 + 0.24e2 * t53409 * t125699 - t125676 + t125677;
  t125709 = t2708 * t15128;
  t125713 = t15799 * t463;
  t125715 = t7686 * t3125 * t125713;
  t125727 = t1876 * t123265;
  t125728 = t13080 * t15128;
  t125732 = -0.22e2 * t36194 * t815 * t80222 - 0.5e1 * t36191 * t123290 - t122992 - t519 * t123268 + 0.2e1 * t1876 * t3556 * t125709 + 0.1e2 / 0.3e1 * t125715 - 0.4e1 / 0.3e1 * t1876 * t3130 * t125709 - 0.12e2 * t36075 * t20862 * t125682 + 0.3e1 * t7686 * t123089 + 0.2e1 * t1876 * t123262 + t125727 - 0.4e1 * t7651 * t815 * t125728;
  t125734 = t13080 * t2084;
  t125736 = t11072 * t3590 * t125734;
  t125745 = t802 * t125698;
  t125750 = t7651 * t122998;
  t125754 = t802 * t125734;
  t125755 = t11072 * t125754;
  t125757 = t3590 * t125698;
  t125761 = t11072 * t3580 * t125734;
  t125763 = -t125736 / 0.9e1 - t53409 * t48481 * t125698 / 0.9e1 + t123026 + 0.8e1 * t53424 * t125699 + 0.12e2 * t36194 * t123251 - 0.72e2 * t53424 * t125745 - 0.4e1 * t7651 * t122994 - 0.2e1 * t125750 + 0.2e1 / 0.3e1 * t36092 * t123050 + 0.6e1 * t125755 + 0.8e1 / 0.3e1 * t53409 * t125757 - 0.2e1 / 0.3e1 * t125761;
  t125768 = t11079 * t815 * t125734;
  t125770 = t802 * t80222;
  t125773 = 0.4e1 * t121711;
  t125774 = 0.2e1 * t121713;
  t125775 = 0.12e2 * t121723;
  t125776 = 0.4e1 * t121725;
  t125777 = -0.4e1 / 0.3e1 * t53409 * t22190 * t125698 - 0.12e2 * t125768 + 0.15e2 * t36092 * t125770 - t123039 - t123042 - t123049 + t123054 + t123069 + t125773 - t125774 + t125775 + t125776;
  t125780 = 0.8e1 * t121737;
  t125781 = 0.6e1 * t121745;
  t125782 = 0.12e2 * t121747;
  t125783 = 0.24e2 * t121751;
  t125786 = 0.4e1 / 0.3e1 * t120035;
  t125787 = 0.2e1 / 0.9e1 * t120039;
  t125788 = 0.24e2 * t120049;
  t125789 = 0.8e1 * t120052;
  t125790 = -t125780 - t125781 + t125782 - t125783 + t519 * t123139 / 0.2e1 + t125786 - t125787 - t16305 - t16309 + t123146 - t125788 - t125789;
  t125791 = 0.4e1 / 0.3e1 * t120055;
  t125792 = 0.12e2 * t120063;
  t125793 = 0.4e1 * t120066;
  t125794 = 0.4e1 / 0.3e1 * t121754;
  t125795 = 0.4e1 * t121760;
  t125796 = 0.2e1 / 0.9e1 * t121762;
  t125797 = 0.8e1 / 0.3e1 * t120091;
  t125798 = -t125791 + t118539 - t123152 + t125792 + t125793 - t123155 - t123156 + t125794 + t125795 - t125796 - t125797 - t123169;
  t125800 = t120111 / 0.9e1;
  t125801 = 0.8e1 * t120116;
  t125804 = t7690 * t229 * t125713;
  t125812 = t7680 * t683 * t125713;
  t125818 = t7686 * t3168 * t125713;
  t125820 = -t123170 + t125800 + t123172 - t123173 - t125801 - t519 * t123002 - 0.3e1 * t125804 + 0.24e2 * t36084 * t683 * t125682 - t1872 * t788 * t125709 - 0.4e1 * t125812 - 0.2e1 / 0.3e1 * t36087 * t3168 * t125682 + t125818 / 0.18e2;
  t125830 = 0.6e1 * t120155;
  t125831 = 0.2e1 * t120158;
  t125843 = 0.4e1 * t1876 * t22290 * t125692 + 0.12e2 * t36211 * t229 * t125682 + 0.2e1 * t1872 * t3562 * t125692 - t118587 - t16807 - t125830 - t125831 + 0.4e1 * t36100 * t123119 + 0.1e2 / 0.3e1 * t36191 * t123064 - 0.5e2 / 0.3e1 * t36092 * t3580 * t80222 + 0.2e1 / 0.3e1 * t7651 * t123293 + 0.4e1 * t7655 * t123055;
  t125852 = t121775 / 0.9e1;
  t125865 = t7686 * t3130 * t125713;
  t125868 = t7680 * t689 * t125713;
  t125870 = t1876 * t123198;
  t125874 = 0.4e1 * t11138 * t123283 + 0.2e1 / 0.3e1 * t7651 * t802 * t125728 + t125852 - t123191 - 0.1e2 / 0.3e1 * t7686 * t123022 + 0.5e2 / 0.3e1 * t36075 * t20876 * t125682 + 0.1e2 / 0.3e1 * t36075 * t20871 * t125682 - 0.4e2 * t36087 * t3125 * t125682 - 0.3e1 * t125865 + 0.6e1 * t125868 - 0.2e1 / 0.3e1 * t125870 - t7686 * t123070 / 0.18e2;
  t125875 = 0.2e2 / 0.3e1 * t120180;
  t125877 = t11143 * t233 * t125734;
  t125884 = t11079 * t125754;
  t125886 = t7655 * t123058;
  t125892 = 0.2e1 * t7655 * t233 * t125728 + 0.2e1 * t11138 * t123287 - 0.2e1 * t36194 * t122986 - 0.12e2 * t53421 * t125745 + t118606 + t118619 + t123203 + t125875 + 0.6e1 * t125877 + 0.2e1 * t125884 + 0.2e1 * t125886 + t15762;
  t125894 = t7651 * t123296;
  t125901 = t13080 * t15076;
  t125907 = 0.4e1 * t120193;
  t125910 = t125894 / 0.3e1 + t36092 * t123299 / 0.9e1 + 0.72e2 * t53421 * t815 * t125698 + 0.12e2 * t36191 * t815 * t125901 + 0.4e1 / 0.3e1 * t53424 * t125757 - t123206 + t125907 - t15763 - t15240 - t15764 + t15765 - 0.4e1 / 0.3e1 * t1876 * t123162;
  t125911 = t1872 * t123126;
  t125917 = 0.12e2 * t120203;
  t125918 = 0.6e1 * t120214;
  t125919 = 0.36e2 * t36087 * t3130 * t125682 + 0.4e1 * t7680 * t123092 - t118648 + t123217 + t123219 - t125911 + t125917 - t125918 - t15768 - t15774 + t16318 + t16850;
  t125922 = 0.4e1 / 0.3e1 * t121811;
  t125925 = -0.6e1 * t36105 * t123175 + t118668 - t118674 - t118677 + t123220 + t123255 + t123261 - t123271 - t125922 + t16336 + t16337 - t16340;
  t125945 = 0.12e2 * t120233;
  t125946 = 0.4e1 * t120239;
  t125947 = -0.6e1 * t53473 * t123183 - 0.24e2 * t53518 * t233 * t125698 - 0.4e1 * t36100 * t233 * t125901 - 0.2e1 * t36191 * t802 * t125901 + 0.44e2 / 0.3e1 * t36194 * t125770 - 0.5e1 / 0.18e2 * t36092 * t3590 * t80222 + 0.6e1 * t36105 * t233 * t80222 + t15802 - t15811 + t15813 + t125945 + t125946;
  t125949 = 0.8e1 / 0.3e1 * t121815;
  t125950 = 0.2e2 / 0.3e1 * t121818;
  t125951 = 0.6e1 * t121822;
  t125952 = t43067 * t80222;
  t125975 = -t125949 + t125950 - t125951 - 0.3e2 * t36092 * t125952 + 0.1e2 / 0.3e1 * t36092 * t48591 * t80222 + 0.1e2 * t36191 * t123248 + 0.5e1 / 0.9e1 * t36092 * t48556 * t80222 - 0.8e1 * t36100 * t123274 - 0.5e1 / 0.3e1 * t36191 * t123279 - 0.12e2 * t36105 * t43071 * t80222 - 0.22e2 / 0.3e1 * t36194 * t125952 + 0.44e2 * t36194 * t43075 * t80222;
  t125976 = t123302 + t15830 - t15831 + t15832 + t15284 + t123304 - t2138 + t123309 - t123310 + t2119 + t123311 - t118733;
  t125988 = t10757 * t4877 * t124884;
  t125999 = t1516 * t16189;
  t126003 = -t121616 + t125665 - t125666 + t466 * t121258 / 0.6e1 + t466 * t121262 / 0.12e2 + t1568 * t125671 / 0.3e1 - t9136 * t2734 / 0.2e1 - t30 * t59 * (t125702 + t125732 + t125763 + t125777 + t125790 + t125798 + t125820 + t125843 + t125874 + t125892 + t125910 + t125919 + t125925 + t125947 + t125975 + t125976) * t95 / 0.4e1 - 0.23e2 / 0.36e2 * t10757 * t122902 - t125988 / 0.2e1 - t246 * t1797 * t123466 / 0.4e1 + t9136 * t2742 / 0.2e1 + t7243 * t122831 / 0.2e1 + t9948 * t2462 / 0.2e1 + t125999 / 0.4e1 - t9136 * t2737 / 0.4e1;
  t126009 = 0.5e1 / 0.18e2 * t121629;
  t126010 = 0.4e1 * t121631;
  t126017 = 0.3e1 * t120285;
  t126018 = 0.3e1 * t120291;
  t126023 = t1254 * t125061;
  t126025 = t4808 * t82751;
  t126028 = -t1228 * t17313 / 0.2e1 + t123608 - 0.4e1 / 0.3e1 * t7251 * t41697 * t17473 - t126009 - t126010 - 0.2e1 * t52309 * t26847 * t124847 - 0.3e1 / 0.2e1 * t9877 * t7686 * t122913 + t126017 - t126018 + t43351 * t17370 - t123615 - t123616 - t41073 * t2729 / 0.2e1 - t9948 * t2447 + t6087 * t126023 + 0.23e2 / 0.36e2 * t6100 * t126025;
  t126030 = t4851 * t125061;
  t126044 = t43371 * t17335;
  t126047 = 0.3e1 * t120298;
  t126050 = t4983 * t7680 * t683 * t124851;
  t126052 = -0.11e2 / 0.18e2 * t6100 * t126030 - 0.3e1 * t1770 * t15593 + 0.3e1 * t7587 * t15703 - t7187 * t122828 / 0.2e1 - t54113 * t2319 + t10777 * t2332 + t123634 + t123636 - t123648 + t123662 - t121678 + t7251 * t123506 / 0.2e1 + t26650 * t17510 - t6439 * t126044 / 0.3e1 + t126047 + 0.3e1 * t126050;
  t126076 = t1261 * t125184;
  t126079 = t1261 * t121198;
  t126080 = t1541 * t126079;
  t126082 = t4808 * t125061;
  t126089 = t4983 * t1876 * t3130 * t124980 - 0.4e1 * t26106 * t92914 - t1779 * t122694 / 0.3e1 - 0.3e1 * t6411 * t16241 + 0.3e1 / 0.2e1 * t1516 * t16260 - t7196 * t122567 / 0.2e1 + 0.3e1 / 0.2e1 * t1770 * t15603 + 0.3e1 / 0.2e1 * t32356 * t16250 + t9136 * t2751 / 0.4e1 - t466 * t82727 / 0.12e2 - t1770 * t15669 / 0.4e1 - t1541 * t126076 / 0.6e1 - t126080 / 0.12e2 - 0.5e1 / 0.36e2 * t6100 * t126082 - t515 * t119959 / 0.6e1 - t123673 + 0.11e2 / 0.18e2 * t10757 * t122898;
  t126095 = my_piecewise3(t2, 0, t126089 + t126052 + t126028 + t126003 + t125662 + t125646 + t125621 + t125599 + t125566 + t125542 + t125519 + t125487 + t125447 + t125412 + t125391 + t125374 + t125325 + t125303 + t125267 + t125230 + t125192 + t125170 + t125146 + t125113 + t125080 + t125055 + t125031 + t124995 + t124965 + t124928 + t124897 + t124864);
  tv4sigma2lapltau0 = t3 * t126095;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 0] += tv4sigma2lapltau0;

  tv4sigma2lapltau1 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 1] += tv4sigma2lapltau1;

  tv4sigma2lapltau2 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 2] += tv4sigma2lapltau2;

  tv4sigma2lapltau3 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 3] += tv4sigma2lapltau3;

  tv4sigma2lapltau4 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 4] += tv4sigma2lapltau4;

  tv4sigma2lapltau5 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 5] += tv4sigma2lapltau5;

  tv4sigma2lapltau6 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 6] += tv4sigma2lapltau6;

  tv4sigma2lapltau7 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 7] += tv4sigma2lapltau7;

  tv4sigma2lapltau8 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 8] += tv4sigma2lapltau8;

  tv4sigma2lapltau9 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 9] += tv4sigma2lapltau9;

  tv4sigma2lapltau10 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 10] += tv4sigma2lapltau10;

  tv4sigma2lapltau11 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 11] += tv4sigma2lapltau11;

  tv4sigma2lapltau12 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 12] += tv4sigma2lapltau12;

  tv4sigma2lapltau13 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 13] += tv4sigma2lapltau13;

  tv4sigma2lapltau14 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 14] += tv4sigma2lapltau14;

  tv4sigma2lapltau15 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 15] += tv4sigma2lapltau15;

  tv4sigma2lapltau16 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 16] += tv4sigma2lapltau16;

  tv4sigma2lapltau17 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 17] += tv4sigma2lapltau17;

  tv4sigma2lapltau18 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 18] += tv4sigma2lapltau18;

  tv4sigma2lapltau19 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 19] += tv4sigma2lapltau19;

  tv4sigma2lapltau20 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 20] += tv4sigma2lapltau20;

  tv4sigma2lapltau21 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 21] += tv4sigma2lapltau21;

  tv4sigma2lapltau22 = 0.e0;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 22] += tv4sigma2lapltau22;

  t126096 = t120314 / 0.3e1;
  t126097 = t2178 * t13616;
  t126101 = t168 * t81184;
  t126108 = t487 * t2175;
  t126109 = t168 * t126108;
  t126111 = t11399 * t10358 * t126109;
  t126123 = t10358 * t5647 * t85656;
  t126126 = 0.2e1 / 0.3e1 * t121843;
  t126129 = t57102 * t2337;
  t126130 = t1430 * t126129;
  t126133 = t1101 * t126129;
  t126140 = t126096 - t126097 / 0.12e2 + t81254 * t570 / 0.4e1 - 0.35e2 / 0.108e3 * t55994 * t50144 * t126101 - 0.5e1 / 0.18e2 * t11399 * t80955 * t17822 - 0.5e1 / 0.36e2 * t126111 + 0.3e1 / 0.2e1 * t30451 * t67226 * t15886 - 0.62e2 / 0.3e1 * t55994 * t82047 + 0.8e1 * t55994 * t50144 * t10511 * t81184 - 0.3e1 / 0.2e1 * t10357 * t126123 + t126126 + t1974 * t124381 / 0.3e1 - t1683 * t126130 / 0.6e1 + t1702 * t126133 / 0.3e1 + t490 * t122091 / 0.6e1 - t13591 * t2258 / 0.4e1;
  t126148 = t121858 / 0.2e1;
  t126149 = t121866 / 0.3e1;
  t126150 = t121870 / 0.3e1;
  t126151 = t121874 / 0.6e1;
  t126152 = t168 * t82032;
  t126155 = 0.4e1 / 0.3e1 * t121888;
  t126156 = t45091 * t2756;
  t126163 = -t373 * t2040 * t123919 / 0.4e1 - t1383 * t17654 / 0.2e1 + t9469 * t2822 / 0.2e1 + t126148 - t126149 - t126150 - t126151 - t123761 + t123762 - t123763 - t120331 + t11646 * t4687 * t126152 - t126155 + t123772 + t1974 * t1101 * t126156 / 0.6e1 - t1981 * t1423 * t126156 / 0.6e1;
  t126182 = t121896 / 0.3e1;
  t126183 = t121900 / 0.6e1;
  t126184 = -t1647 * t16445 / 0.4e1 - t442 * t95421 / 0.6e1 + t10426 * t2521 / 0.2e1 - t1647 * t16413 / 0.2e1 - t11501 * t2398 / 0.2e1 - t123774 + 0.3e1 * t5665 * t2060 * t24564 * t81792 + t6772 * t121921 / 0.12e2 - t11510 * t124192 + t123798 - t2180 + t2251 + t126182 + t121899 - t126183 - t123829;
  t126191 = t120353 / 0.3e1;
  t126194 = t120409 / 0.6e1;
  t126195 = 0.5e1 / 0.18e2 * t121912;
  t126198 = 0.6e1 * t120421;
  t126199 = 0.2e1 * t120424;
  t126205 = t6955 * t16491;
  t126208 = t5595 * t8278 * t2756;
  t126211 = -0.5e1 / 0.2e1 * t5639 * t2060 * t124147 + 0.5e1 / 0.2e1 * t5665 * t2060 * t124151 - t126191 - t120357 - t120378 + t123839 + 0.5e1 / 0.3e1 * t5673 * t96889 - t126194 - t126195 - 0.2e1 * t45289 * t17697 + t126198 + t126199 - t9469 * t2814 / 0.2e1 - 0.2e1 * t8091 * t1430 * t81361 - t126205 / 0.2e1 - 0.3e1 / 0.2e1 * t9254 * t126208;
  t126214 = t8280 * t16113;
  t126216 = t5595 * t86004;
  t126219 = t8262 * t15871;
  t126220 = t1423 * t126219;
  t126222 = t6764 * t122549;
  t126227 = t10358 * t85657;
  t126231 = t11646 * t6005 * t126109;
  t126236 = t11510 * t5695 * t126109;
  t126238 = t120430 / 0.3e1;
  t126244 = t44549 * t17597;
  t126247 = 0.2e1 * t120449;
  t126248 = -t126214 / 0.2e1 + 0.23e2 / 0.36e2 * t6855 * t126216 + t6788 * t126220 + t126222 / 0.6e1 + 0.3e1 / 0.2e1 * t5649 * t13533 * t82660 + 0.23e2 / 0.36e2 * t10357 * t126227 + t123938 - t126231 / 0.2e1 - t11646 * t44549 * t17822 + t126236 / 0.2e1 - t126238 - t120435 + 0.14e2 / 0.3e1 * t11399 * t82592 - t110 * t16089 * t584 / 0.4e1 + t6764 * t126244 / 0.3e1 + t126247;
  t126252 = t487 * t15359;
  t126260 = t1018 * t126108;
  t126262 = t11399 * t10447 * t126260;
  t126272 = t6769 * t86617;
  t126281 = t1101 * t126219;
  t126291 = -t118825 - 0.4e1 / 0.3e1 * t8063 * t45452 * t17858 - 0.2e1 / 0.3e1 * t8063 * t5691 * t1018 * t126252 + 0.2e1 / 0.3e1 * t8063 * t45283 * t17809 + 0.7e1 / 0.3e1 * t126262 - 0.18e2 * t10513 * t40336 * t4609 * t81184 + 0.36e2 * t5639 * t40336 * t4619 * t81184 + t126272 / 0.3e1 - t45293 * t17676 - t9469 * t2817 / 0.4e1 + t1956 * t15903 / 0.2e1 - t490 * t121863 / 0.6e1 - t6928 * t126281 / 0.2e1 - t8169 * t123928 / 0.2e1 + t555 * t124031 / 0.12e2 + 0.7e1 / 0.3e1 * t9254 * t5733 * t68149;
  t126293 = t1647 * t16462;
  t126301 = t11399 * t10447 * t126109;
  t126306 = t121975 / 0.6e1;
  t126314 = t11510 * t5679 * t126109;
  t126323 = t126293 / 0.2e1 + t121944 - t121946 - t8219 * t124726 / 0.3e1 - 0.11e2 / 0.9e1 * t11399 * t81275 * t17822 - 0.11e2 / 0.18e2 * t126301 - 0.61e2 / 0.27e2 * t55994 * t50318 * t126101 - t121952 - t121959 - t126306 + 0.89e2 / 0.9e1 * t55994 * t50318 * t81185 + 0.2e1 * t11510 * t45269 * t17822 + t126314 + t8214 * t124109 / 0.2e1 - t34833 * t16584 / 0.4e1 - 0.18e2 * t5639 * t40329 * t1033 * t81184;
  t126324 = 0.3e1 * t122013;
  t126325 = 0.4e1 * t120458;
  t126336 = t11399 * t10358 * t126260;
  t126344 = t168 * t81792;
  t126348 = 0.23e2 / 0.18e2 * t120461;
  t126359 = t121977 + t126324 + t124029 - t126325 - t124041 + 0.3e1 / 0.2e1 * t4695 * t67226 * t15980 - 0.3e1 / 0.2e1 * t10513 * t8438 * t124169 + 0.23e2 / 0.18e2 * t11399 * t80955 * t17839 + 0.23e2 / 0.36e2 * t126336 + 0.2e1 * t56930 * t6005 * t126101 - 0.3e1 * t56113 * t5695 * t126101 + t8219 * t9444 * t126344 / 0.3e1 + t126348 - 0.6e1 * t50541 * t40324 * t24582 * t81184 + 0.18e2 * t10513 * t40324 * t24557 * t81184 - 0.3e1 / 0.2e1 * t50860 * t16448;
  t126373 = t1647 * t16603;
  t126383 = t4695 * t13533 * t16125;
  t126388 = t8063 * t123792;
  t126392 = -0.3e1 / 0.2e1 * t57324 * t15898 + 0.3e1 / 0.2e1 * t57328 * t15854 - t29985 * t17588 + t555 * t123835 / 0.6e1 - t56071 * t2390 + t8091 * t124784 / 0.2e1 + t126373 / 0.4e1 - t2189 * t68331 / 0.12e2 + t45286 * t17607 + t8063 * t124736 / 0.4e1 + 0.7e1 / 0.3e1 * t44470 * t67795 + t126383 / 0.2e1 + t29985 * t17603 + t8063 * t123788 / 0.3e1 + t126388 / 0.6e1 + 0.11e2 / 0.18e2 * t11399 * t124185;
  t126398 = t6769 * t121869;
  t126412 = 0.2e1 * t120467;
  t126413 = t120496 / 0.6e1;
  t126422 = -0.2e1 / 0.3e1 * t8063 * t124116 - t124052 - 0.3e1 * t4695 * t68973 * t16106 - t126398 / 0.6e1 + 0.2e1 / 0.3e1 * t6769 * t86765 + t2184 * t13616 / 0.6e1 - t13591 * t2253 / 0.2e1 - t555 * t81249 / 0.12e2 - t2189 * t69153 / 0.6e1 + t2189 * t69150 / 0.3e1 - t126412 + t122032 - t126413 + 0.11e2 * t5665 * t8460 * t4626 * t82032 + 0.3e1 / 0.2e1 * t39807 * t15887 - 0.3e1 * t8280 * t15986;
  t126426 = t1683 * t121873;
  t126428 = t5595 * t126219;
  t126431 = t1956 * t16118;
  t126451 = t5639 * t8460 * t1033 * t126108;
  t126453 = t110 * t46125;
  t126468 = 0.2e1 / 0.3e1 * t1421 * t95987 - t126426 / 0.12e2 - 0.5e1 / 0.36e2 * t6855 * t126428 - t126431 / 0.2e1 - 0.2e1 * t9293 * t19967 - 0.3e1 / 0.2e1 * t9254 * t5595 * t6953 * t8252 - 0.7e1 / 0.3e1 * t44470 * t67944 + 0.3e1 * t45289 * t17615 + t122037 - 0.18e2 * t5665 * t40336 * t4572 * t81184 + 0.2e1 * t45286 * t17601 + 0.3e1 * t126451 + 0.18e2 * t126453 * t10358 * t68897 - 0.3e1 * t5639 * t2060 * t24435 * t81792 - 0.6e1 * t5665 * t40350 * t356 * t81184 - 0.38e2 / 0.9e1 * t55994 * t29474 * t126101;
  t126477 = t380 * t85656;
  t126478 = t5691 * t126477;
  t126483 = 0.6e1 * t122075;
  t126484 = 0.2e1 * t122078;
  t126485 = 0.3e1 * t122083;
  t126493 = t40145 * t15890;
  t126496 = t124067 - 0.18e2 * t5639 * t40324 * t24477 * t81184 + 0.6e1 * t5665 * t40324 * t24418 * t81184 - t10357 * t126478 / 0.2e1 + t86126 * t505 / 0.4e1 + t120529 + t124085 - t124086 - t126483 - t126484 + t126485 + 0.55e2 / 0.18e2 * t11399 * t29468 * t126152 - 0.2e1 * t5665 * t2056 * t123933 - t5673 * t95855 - t6764 * t126493 / 0.3e1 - t122097;
  t126499 = t122119 / 0.6e1;
  t126500 = 0.6e1 * t122131;
  t126503 = t45269 * t17597;
  t126509 = t5665 * t2060 * t124250;
  t126511 = 0.6e1 * t122140;
  t126512 = 0.2e1 * t122145;
  t126515 = t122150 / 0.2e1;
  t126516 = t2178 * t13580;
  t126518 = -t122099 + t122103 - t126499 + t120533 - t126500 + 0.2e1 / 0.3e1 * t8219 * t124322 - t6769 * t126503 / 0.3e1 - t5665 * t2060 * t124247 - t126509 / 0.2e1 + t126511 + t126512 + t124105 - t124106 - 0.35e2 / 0.3e1 * t29352 * t94885 + t126515 - t126516 / 0.12e2;
  t126519 = t1683 * t85318;
  t126525 = t5733 * t126219;
  t126530 = t1423 * t121872;
  t126531 = t1683 * t126530;
  t126551 = t126519 / 0.3e1 + 0.3e1 * t8280 * t15867 - 0.3e1 * t1956 * t16107 - 0.11e2 / 0.18e2 * t6855 * t126525 + t555 * t120382 / 0.12e2 - t126531 / 0.6e1 - 0.5e1 / 0.12e2 * t8063 * t124325 - 0.3e1 / 0.2e1 * t4695 * t13533 * t81710 - 0.23e2 / 0.36e2 * t11399 * t124189 + 0.3e1 * t5665 * t8460 * t124163 - t5665 * t2056 * t4575 * t81792 + t6772 * t121916 / 0.6e1 - t4695 * t13663 * t15395 / 0.4e1 - t124123 - t118907 - t124124;
  t126553 = t124127 - t124128 + t16374 - t124129 + t124130 - t118944 + t118946 + t15849 + t120572 + t15850 - t15851 + t15327 + t15852 - t15853 + t15369 - t15373;
  t126554 = t168 * t126252;
  t126560 = t13591 * t2249;
  t126562 = 0.3e1 * t120589;
  t126563 = 0.3e1 * t120593;
  t126566 = t1101 * t121872;
  t126567 = t1702 * t126566;
  t126571 = t1981 * t120495;
  t126575 = t8063 * t5691 * t126554 / 0.6e1 - t124135 + t118987 - t490 * t86121 / 0.12e2 + t126560 / 0.4e1 + t124136 - t124137 - t124138 + t126562 + t126563 + t124146 - t8145 * t124301 / 0.2e1 + t126567 / 0.6e1 + t1981 * t81998 / 0.3e1 - t126571 / 0.12e2 - 0.5e1 / 0.36e2 * t8169 * t123740;
  t126583 = 0.4e1 * t122181;
  t126586 = t1981 * t82059;
  t126596 = t1974 * t121108;
  t126598 = t1647 * t16465;
  t126605 = 0.14e2 / 0.3e1 * t120600;
  t126606 = t11501 * t2403 - t51333 * t2503 + t10426 * t2512 - t122170 - t126583 + t4695 * t13659 * t81724 + t126586 / 0.3e1 + 0.23e2 / 0.36e2 * t8169 * t124776 - 0.3e1 * t1647 * t16406 - t555 * t120806 / 0.6e1 + t2184 * t13580 / 0.6e1 + t126596 / 0.6e1 - t126598 / 0.2e1 - t44765 * t2809 / 0.2e1 + t4695 * t13663 * t15319 / 0.2e1 + t126605;
  t126607 = 0.3e1 * t120602;
  t126616 = t122191 / 0.3e1;
  t126620 = t5563 * t126219;
  t126625 = t1430 * t126219;
  t126631 = -t126607 - t15382 - t15386 + t11510 * t45481 * t17822 - t8219 * t29988 * t17809 / 0.3e1 - t8219 * t4687 * t126554 / 0.6e1 + t126616 + t119026 + t124212 - t11501 * t2395 + 0.3e1 / 0.2e1 * t1647 * t16389 - t6855 * t126620 / 0.2e1 + t9469 * t2831 / 0.4e1 + t6788 * t126625 / 0.2e1 + t8091 * t124779 + t555 * t124025 / 0.12e2;
  t126633 = t120616 / 0.2e1;
  t126642 = 0.11e2 / 0.9e1 * t120635;
  t126644 = t5665 * t2056 * t124815;
  t126659 = t5665 * t8443 * t356 * t126108;
  t126669 = t11510 * t5695 * t126260;
  t126674 = t10358 * t126477;
  t126677 = t126633 - 0.3e1 * t5665 * t8443 * t1165 * t82032 - 0.11e2 * t5639 * t8460 * t4572 * t82032 - t126642 + t126644 / 0.2e1 + 0.2e1 * t44465 * t5691 * t67943 + t45289 * t17705 + t5665 * t559 * t124802 + t5665 * t559 * t124805 / 0.2e1 + 0.3e1 * t45289 * t17709 + 0.3e1 / 0.2e1 * t126659 + 0.12e2 * t110 * t46048 * t5695 * t67381 - 0.4e1 * t11510 * t45481 * t17839 - 0.2e1 * t126669 + 0.6e1 * t55987 * t5691 * t126101 - 0.5e1 / 0.36e2 * t10357 * t126674;
  t126678 = t380 * t86229;
  t126679 = t5691 * t126678;
  t126689 = 0.3e1 * t122201;
  t126695 = t56645 * t15890;
  t126704 = t6769 * t126679 / 0.4e1 - t120638 - t15870 - t16419 - 0.23e2 / 0.3e1 * t55987 * t10358 * t81185 - t16994 - 0.15e2 / 0.2e1 * t5665 * t8438 * t24435 * t82032 + t126689 - 0.5e1 / 0.6e1 * t8063 * t124156 - 0.11e2 / 0.3e1 * t11510 * t5674 * t126152 + t124222 + t6769 * t126695 / 0.4e1 - t8063 * t50296 * t15922 + t8063 * t123775 / 0.2e1 - 0.2e1 / 0.3e1 * t8063 * t123960 + t124233;
  t126707 = t8063 * t89883;
  t126715 = t120660 / 0.6e1;
  t126726 = t11399 * t10358 * t4191 * t126108;
  t126731 = -t126707 / 0.3e1 + t16440 + 0.3e1 / 0.2e1 * t51176 * t16459 - t124246 - t8063 * t30134 * t126344 + 0.2e1 * t8063 * t81794 - t122205 - t126715 - t124259 + t17003 + t124260 + 0.3e1 / 0.2e1 * t4695 * t67480 * t15861 + 0.22e2 / 0.3e1 * t55987 * t10447 * t126101 - 0.6e1 * t45286 * t17689 - 0.3e1 / 0.2e1 * t126726 - 0.43e2 / 0.9e1 * t55994 * t50144 * t82046;
  t126736 = t10513 * t8438 * t4609 * t126108;
  t126744 = t4695 * t13659 * t16117;
  t126751 = 0.5e1 / 0.18e2 * t120675;
  t126752 = 0.11e2 / 0.9e1 * t122214;
  t126753 = 0.4e1 / 0.3e1 * t120692;
  t126756 = t122219 / 0.3e1;
  t126757 = t122225 / 0.3e1;
  t126758 = 0.3e1 * t81058 * t17685 + 0.3e1 / 0.2e1 * t126736 + 0.5e1 / 0.3e1 * t55987 * t10358 * t126101 - t29985 * t17591 / 0.2e1 - t126744 / 0.2e1 - 0.2e1 * t44465 * t19935 - t8063 * t30141 * t126344 / 0.2e1 + t16464 - t16467 - t126751 - t126752 + t119048 - t126753 + 0.15e2 / 0.2e1 * t29352 * t96852 + t126756 - t126757;
  t126760 = t120694 / 0.3e1;
  t126769 = 0.2e1 / 0.3e1 * t122248;
  t126770 = 0.2e1 / 0.3e1 * t122249;
  t126777 = t1981 * t120429;
  t126782 = t1094 * t67282 * t2197;
  t126789 = -t126760 + 0.18e2 * t5665 * t40329 * t1038 * t81184 + 0.3e1 * t5649 * t68973 * t15866 + t57324 * t15858 - t124292 + t124293 + t126769 + t126770 + 0.3e1 * t6955 * t16382 + t490 * t122459 / 0.12e2 - 0.11e2 / 0.18e2 * t8169 * t124773 - t126777 / 0.6e1 + t1647 * t16394 / 0.2e1 + t442 * t126782 / 0.12e2 - t1981 * t123734 / 0.6e1 + t555 * t120535 / 0.6e1;
  t126790 = t5695 * t126477;
  t126795 = t34283 * t16588;
  t126816 = t5674 * t126678;
  t126827 = t10440 * t126790 / 0.2e1 - t6772 * t121840 / 0.6e1 + t6012 * t126795 / 0.12e2 - 0.3e1 * t5649 * t67226 * t15985 + t11399 * t124182 / 0.2e1 - 0.2e1 * t55994 * t29468 * t126101 - 0.15e2 / 0.2e1 * t10513 * t8438 * t24477 * t82032 - t124321 + t95997 * t457 / 0.2e1 - t2189 * t67678 / 0.12e2 - t442 * t95992 / 0.6e1 - t16473 + t6769 * t126816 / 0.2e1 - 0.115e3 / 0.36e2 * t11399 * t29474 * t82033 - t1981 * t1430 * t126156 / 0.12e2 - t1956 * t16121 / 0.4e1;
  t126841 = 0.2e1 / 0.3e1 * t120718;
  t126842 = 0.2e1 / 0.3e1 * t120725;
  t126849 = -t490 * t85826 / 0.12e2 + 0.2e1 / 0.3e1 * t1421 * t94981 - 0.3e1 * t6955 * t16402 + 0.3e1 / 0.2e1 * t34264 * t16409 + 0.3e1 / 0.2e1 * t1956 * t15981 + t126841 - t124329 - t16493 - t15910 + t15914 + t124334 + t126842 + t120734 - t120742 + 0.25e2 / 0.36e2 * t11399 * t29474 * t126152 - 0.11e2 / 0.6e1 * t11510 * t5691 * t126152;
  t126850 = 0.2e1 / 0.3e1 * t122272;
  t126851 = 0.3e1 * t122280;
  t126854 = t5665 * t8438 * t4572 * t126108;
  t126856 = 0.23e2 / 0.18e2 * t122284;
  t126857 = 0.14e2 / 0.3e1 * t122286;
  t126861 = t122288 / 0.3e1;
  t126868 = t6005 * t126477;
  t126872 = t4687 * t126678;
  t126875 = t126850 - t126851 + 0.3e1 / 0.2e1 * t126854 + t126856 + t126857 + 0.47e2 / 0.3e1 * t110 * t46112 * t68215 - t126861 + t15946 + t15949 + t5639 * t2060 * t4572 * t126252 - 0.3e1 / 0.2e1 * t5665 * t8443 * t123779 - t10725 * t126868 / 0.2e1 - t16506 + t16514 - t5673 * t96822 - t6764 * t126872 / 0.3e1;
  t126879 = t1956 * t16126;
  t126881 = t5733 * t19966;
  t126886 = t1423 * t126129;
  t126897 = t8219 * t124747;
  t126906 = t11399 * t5691 * t126109;
  t126909 = t45481 * t17597;
  t126912 = 0.3e1 / 0.2e1 * t1956 * t15862 + t126879 / 0.2e1 + 0.7e1 / 0.3e1 * t9254 * t126881 + t1647 * t16386 / 0.2e1 - t1683 * t126886 / 0.3e1 - t1981 * t123845 / 0.3e1 - t2189 * t67343 / 0.6e1 + t2189 * t67347 / 0.3e1 - t6955 * t16425 / 0.2e1 - t126897 / 0.6e1 - t11510 * t123983 / 0.2e1 - t8214 * t123956 / 0.3e1 - t11399 * t45452 * t17822 - t126906 / 0.2e1 + t50860 * t16457 - t6769 * t126909 / 0.6e1;
  t126925 = t56429 * t15890;
  t126929 = t5649 * t13533 * t15371;
  t126936 = t11646 * t123976 / 0.2e1 + 0.44e2 / 0.27e2 * t55994 * t50144 * t81185 + t8063 * t123783 / 0.3e1 - t8214 * t123947 / 0.3e1 + t120778 - t122456 + 0.5e1 / 0.2e1 * t11399 * t30141 * t126152 + t119123 - t119126 - t119130 - t119138 + t119143 + t6769 * t126925 / 0.2e1 - t126929 / 0.2e1 - 0.3e1 * t11399 * t80964 - 0.3e1 / 0.2e1 * t5665 * t559 * t124756;
  t126942 = 0.4e1 / 0.3e1 * t120845;
  t126943 = 0.4e1 / 0.3e1 * t120860;
  t126944 = 0.24e2 * t120863;
  t126947 = t8508 * t124575;
  t126955 = 0.2e1 / 0.9e1 * t120870;
  t126957 = t2788 * t2175;
  t126959 = t8443 * t356 * t126957;
  t126961 = t2788 * t2181;
  t126965 = t126942 - t126943 - t126944 + 0.2e1 * t11656 * t124634 + t126947 / 0.3e1 - 0.5e2 / 0.3e1 * t40315 * t4599 * t82032 + 0.6e1 * t40458 * t360 * t82032 - t126955 - t559 * t124533 - 0.3e1 * t126959 + 0.24e2 * t40329 * t1033 * t126961;
  t126966 = t2788 * t15359;
  t126971 = t2056 * t124616;
  t126982 = t2788 * t15312;
  t126989 = 0.4e1 * t120873;
  t126993 = -t2056 * t1165 * t126966 - 0.2e1 * t2056 * t124538 - t126971 + 0.4e1 * t8460 * t124505 - 0.2e1 * t559 * t124542 + 0.2e1 * t2060 * t4626 * t126966 - 0.4e2 * t40336 * t4619 * t126961 + 0.4e1 * t2060 * t24435 * t126982 - 0.5e1 / 0.18e2 * t40315 * t4586 * t82032 + t126989 + t124404 - 0.36e2 * t40329 * t1038 * t126961;
  t126999 = 0.12e2 * t122299;
  t127000 = 0.4e1 * t122301;
  t127001 = t13390 * t2181;
  t127002 = t4599 * t127001;
  t127005 = -0.4e1 * t8508 * t124463 - 0.5e1 * t40455 * t124476 + 0.24e2 * t57753 * t127002 + t119274 + t124416 - t124420 - t124423 + t124427 + t124430 + t124431 + t126999 + t127000;
  t127006 = t13390 * t15312;
  t127015 = t4586 * t127001;
  t127023 = t1173 * t127001;
  t127034 = 0.4e1 / 0.3e1 * t122312;
  t127037 = -0.4e1 * t40461 * t360 * t127006 - 0.24e2 * t57984 * t360 * t127001 - 0.6e1 * t58028 * t124454 + 0.4e1 / 0.3e1 * t57967 * t127015 - 0.6e1 * t40458 * t124450 - 0.2e1 * t40455 * t1173 * t127006 - 0.72e2 * t57967 * t127023 + 0.72e2 * t57964 * t1186 * t127001 + 0.12e2 * t40318 * t124519 + 0.12e2 * t40455 * t1186 * t127006 + t127034 + 0.2e1 / 0.3e1 * t8508 * t124572;
  t127046 = t8438 * t4619 * t126957;
  t127060 = t8460 * t1033 * t126957;
  t127066 = t8438 * t4609 * t126957;
  t127070 = -0.22e2 * t40318 * t1186 * t82032 - t119279 - t8438 * t124508 / 0.18e2 + 0.1e2 / 0.3e1 * t127046 + 0.1e2 / 0.3e1 * t40324 * t24557 * t126961 - 0.4e1 / 0.3e1 * t2060 * t4572 * t126966 + 0.2e1 * t2056 * t4575 * t126982 + 0.3e1 * t8443 * t124550 - 0.4e1 * t127060 - 0.2e1 / 0.3e1 * t40336 * t4609 * t126961 + t127066 / 0.18e2 + 0.3e1 * t559 * t124591;
  t127074 = t8508 * t124467;
  t127078 = t13390 * t15359;
  t127082 = t13390 * t2175;
  t127084 = t11668 * t1186 * t127082;
  t127089 = t11651 * t4599 * t127082;
  t127094 = t1173 * t127082;
  t127095 = t11668 * t127094;
  t127097 = 0.6e1 * t120944;
  t127098 = -t124434 + t124435 - 0.6e1 * t2060 * t24564 * t126982 - 0.2e1 * t127074 + 0.2e1 / 0.3e1 * t40315 * t124473 - 0.4e1 * t8508 * t1186 * t127078 - 0.12e2 * t127084 + 0.8e1 * t57967 * t127002 - 0.2e1 / 0.3e1 * t127089 - 0.4e1 / 0.3e1 * t57753 * t24682 * t127001 + 0.2e1 * t127095 - t127097;
  t127100 = 0.8e1 * t120960;
  t127105 = t1173 * t82032;
  t127116 = -t127100 - 0.6e1 * t40315 * t124441 + 0.8e1 / 0.3e1 * t57753 * t127015 + 0.44e2 / 0.3e1 * t40318 * t127105 + 0.1e2 / 0.3e1 * t40455 * t124567 + 0.4e1 * t8511 * t124599 + 0.4e1 * t11656 * t124630 + 0.4e1 * t40461 * t124488 - t124461 + t124482 - t124493 - t124494;
  t127117 = 0.8e1 / 0.3e1 * t122330;
  t127120 = t122340 / 0.9e1;
  t127121 = 0.2e1 * t122342;
  t127125 = t11651 * t127094;
  t127127 = -t127117 + t559 * t124709 / 0.2e1 - t15999 - t15481 - t16000 + t127120 - t127121 - t124514 - t124516 + 0.2e1 / 0.3e1 * t8508 * t1173 * t127078 + 0.6e1 * t127125 - t124531;
  t127135 = t8460 * t1038 * t126957;
  t127139 = t2060 * t124410;
  t127141 = t8438 * t4572 * t126957;
  t127151 = -0.12e2 * t40324 * t24418 * t126961 + 0.36e2 * t40336 * t4572 * t126961 - 0.12e2 * t40458 * t46256 * t82032 + 0.2e1 * t2060 * t124406 + 0.3e1 * t8438 * t124685 + t119333 + 0.6e1 * t127135 + t127139 - 0.3e1 * t127141 - t16527 + t16546 - t16551;
  t127152 = 0.2e2 / 0.3e1 * t122351;
  t127153 = 0.12e2 * t120976;
  t127154 = 0.4e1 * t120978;
  t127155 = 0.2e1 / 0.9e1 * t122357;
  t127156 = 0.24e2 * t122359;
  t127157 = 0.4e1 / 0.3e1 * t122361;
  t127158 = 0.4e1 * t122363;
  t127161 = 0.8e1 * t122372;
  t127162 = 0.12e2 * t122374;
  t127163 = 0.15e2 * t40315 * t127105 - t119342 + t119344 + t127152 + t127153 + t127154 - t127155 - t127156 - t127157 + t127158 - t127161 + t127162;
  t127165 = 0.6e1 * t120987;
  t127166 = 0.2e1 * t120991;
  t127167 = 0.8e1 * t120994;
  t127169 = t11651 * t4586 * t127082;
  t127174 = t8511 * t124602;
  t127181 = 0.12e2 * t121000;
  t127182 = 0.8e1 / 0.3e1 * t121009;
  t127183 = t121012 / 0.9e1;
  t127184 = -t127165 - t127166 - t127167 - t127169 / 0.9e1 - t57753 * t51643 * t127001 / 0.9e1 + t124571 + 0.2e1 * t127174 - 0.2e1 * t40318 * t124441 + 0.12e2 * t40350 * t356 * t126961 + t127181 - t127182 + t127183;
  t127185 = 0.4e1 * t121019;
  t127186 = 0.2e2 / 0.3e1 * t121022;
  t127187 = 0.4e1 * t122381;
  t127188 = 0.12e2 * t121057;
  t127193 = t127185 + t127186 - t16030 - t16036 + t16046 + t127187 + t17099 + t124594 - t124595 + t127188 - 0.5e1 / 0.3e1 * t40455 * t124587 - 0.8e1 * t40461 * t124584;
  t127196 = t46252 * t82032;
  t127202 = 0.6e1 * t122416;
  t127203 = 0.6e1 * t122424;
  t127204 = 0.12e2 * t122426;
  t127205 = -0.22e2 / 0.3e1 * t40318 * t127196 + 0.5e1 / 0.9e1 * t40315 * t51878 * t82032 + t16053 - t17144 - t127202 - t127203 - t124625 + t127204 - t16558 + t16560 + t16561 + t124626;
  t127214 = t11663 * t360 * t127082;
  t127216 = 0.8e1 * t122432;
  t127217 = t124628 - 0.12e2 * t57964 * t127023 + 0.2e1 * t8511 * t360 * t127078 + t40315 * t124564 / 0.9e1 + 0.6e1 * t127214 - t127216 - t119404 + t124651 - t124652 - t124653 + t124654 + t124655;
  t127221 = t2060 * t124535;
  t127230 = -t119443 - t119445 + t119455 - t124657 - t16069 + t16075 - 0.4e1 / 0.3e1 * t2060 * t124417 - 0.2e1 / 0.3e1 * t127221 - 0.1e2 / 0.3e1 * t8438 * t124400 + 0.5e2 / 0.3e1 * t40324 * t24477 * t126961 - 0.6e1 * t8460 * t124499 + t16083;
  t127242 = -0.3e2 * t40315 * t127196 + 0.44e2 * t40318 * t46248 * t82032 - t559 * t124619 + 0.1e2 * t40455 * t124658 + 0.1e2 / 0.3e1 * t40315 * t51889 * t82032 - t16084 + t15518 + t16085 + t16086 - t2229 + t2210 + t124707;
  t127257 = t8063 * t124750;
  t127273 = t5665 * t8460 * t1038 * t126108;
  t127275 = -t5665 * t2060 * t4626 * t126252 - t120780 + t124360 - t124361 + t124362 - t110 * t139 * (t126965 + t126993 + t127005 + t127037 + t127070 + t127098 + t127116 + t127127 + t127151 + t127163 + t127184 + t127193 + t127205 + t127217 + t127230 + t127242) * t168 / 0.4e1 - t8214 * t123953 / 0.6e1 + t8063 * t123939 / 0.6e1 + t8063 * t123942 / 0.6e1 + t127257 / 0.12e2 + 0.5e1 / 0.36e2 * t11399 * t124753 + t8063 * t45452 * t17809 / 0.3e1 + t8063 * t5674 * t126554 / 0.3e1 - t8219 * t124741 / 0.3e1 - t8219 * t124744 / 0.3e1 - 0.3e1 * t127273;
  t127285 = t5695 * t121868;
  t127286 = t6769 * t127285;
  t127295 = 0.3e1 * t120787;
  t127305 = -0.28e2 * t126453 * t67382 + t45289 * t17702 + t5665 * t2056 * t124234 - t69146 * t2245 / 0.2e1 + t13591 * t2261 / 0.2e1 - t15994 - t127286 / 0.12e2 + t5665 * t2056 * t1165 * t126252 / 0.2e1 + 0.6e1 * t45286 * t17719 + t45289 * t17713 + t127295 - t10426 * t2506 - t10426 * t2509 / 0.2e1 + 0.3e1 / 0.2e1 * t1647 * t16399 - t16104 + 0.15e2 * t5639 * t8438 * t24418 * t82032;
  t127307 = t10447 * t126477;
  t127313 = 0.2e1 / 0.3e1 * t120801;
  t127316 = t5639 * t8438 * t4619 * t126108;
  t127320 = t5679 * t126477;
  t127328 = t5639 * t2060 * t124226;
  t127333 = t120825 / 0.3e1;
  t127334 = 0.6e1 * t120833;
  t127335 = -0.11e2 / 0.18e2 * t10357 * t127307 - 0.6e1 * t56113 * t5679 * t126101 - t124740 + t124760 + t127313 - 0.3e1 * t127316 - 0.6e1 * t45289 * t17693 + t10440 * t127320 - 0.3e1 * t5639 * t8460 * t124159 + t5639 * t2060 * t124223 + t127328 / 0.2e1 + 0.3e1 / 0.2e1 * t44470 * t67396 - t45289 * t17610 + t127333 - t127334 - t119497;
  t127336 = 0.6e1 * t120839;
  t127343 = t121109 / 0.3e1;
  t127346 = 0.2e1 * t122545;
  t127347 = t122547 / 0.6e1;
  t127348 = t122550 / 0.3e1;
  t127349 = -t127336 - t122532 - t122538 + t124810 + 0.3e1 * t5639 * t8438 * t124173 - 0.3e1 / 0.2e1 * t5665 * t8438 * t124178 + t127343 + t122540 + 0.22e2 / 0.3e1 * t29461 * t95564 + t127346 - t127347 + t127348 - t16593 - t16115 - t16120 + t16128 + t16605;
  t127355 = my_piecewise3(t100, 0, t127349 + t127335 + t127305 + t127275 + t126936 + t126912 + t126875 + t126849 + t126827 + t126789 + t126758 + t126731 + t126704 + t126677 + t126631 + t126606 + t126575 + t126551 + t126553 + t126518 + t126496 + t126468 + t126422 + t126392 + t126359 + t126323 + t126291 + t126248 + t126211 + t126184 + t126163 + t126140);
  tv4sigma2lapltau23 = t3 * t127355;

  if(out->v4sigma2lapltau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2lapltau[ip*p->dim.v4sigma2lapltau + 23] += tv4sigma2lapltau23;

  t127360 = t13915 * t15611;
  t127361 = t127360 / 0.2e1;
  t127364 = t1779 * t83330;
  t127365 = 0.2e1 / 0.3e1 * t127364;
  t127368 = t1779 * t121329;
  t127369 = t127368 / 0.3e1;
  t127372 = t13908 * t41228;
  t127373 = 0.7e1 / 0.3e1 * t127372;
  t127376 = 0.2e1 * t121120 - t30 * t2147 * t2933 / 0.4e1 - t127361 - t121128 / 0.3e1 - 0.2e1 / 0.3e1 * t121132 + t127365 + 0.23e2 / 0.18e2 * t7196 * t126025 - t127369 - 0.11e2 / 0.9e1 * t7196 * t126030 + t127373 - t2089 + t2160 + t2844 * t118395 / 0.3e1;
  t127378 = t679 * t14030 * t118243;
  t127379 = 0.3e1 * t127378;
  t127382 = t17925 * t414;
  t127394 = t2087 * t14400;
  t127395 = t127394 / 0.6e1;
  t127398 = t1770 * t16278;
  t127401 = -t127379 + t7251 * t125333 / 0.2e1 - 0.5e1 / 0.2e1 * t4983 * t1876 * t22290 * t127382 + 0.2e1 * t3266 * t14062 * t80332 - 0.35e2 / 0.108e3 * t69237 * t123598 + t121177 - t2098 * t70297 / 0.6e1 - t127395 - t417 * t97385 / 0.3e1 - t127398 + 0.2e1 / 0.3e1 * t121200 - 0.2e1 / 0.3e1 * t121203 - t118004 + t118006;
  t127403 = t1815 * t121199;
  t127404 = t127403 / 0.3e1;
  t127405 = t36464 * t16228;
  t127413 = t7251 * t121594;
  t127414 = t127413 / 0.6e1;
  t127419 = t18018 * t414;
  t127420 = t95 * t127419;
  t127424 = t95 * t98159;
  t127426 = t7251 * t5175 * t127424;
  t127427 = t127426 / 0.6e1;
  t127431 = t4772 * t9020 * t17911;
  t127432 = t127404 + t4882 * t127405 / 0.6e1 - 0.2e1 * t4872 * t97817 + 0.2e1 * t52942 * t16232 + t42708 * t18174 - t127414 - 0.5e1 / 0.18e2 * t10757 * t125089 + 0.6e1 * t121211 + 0.28e2 / 0.3e1 * t121216 + t7251 * t5175 * t127420 / 0.3e1 + t127427 - 0.11e2 / 0.6e1 * t69822 * t15646 - t127431;
  t127442 = t4772 * t1876 * t3556 * t98159;
  t127443 = t127442 / 0.2e1;
  t127452 = t13908 * t122847;
  t127453 = 0.23e2 / 0.36e2 * t127452;
  t127456 = t13908 * t118238;
  t127457 = t127456 / 0.2e1;
  t127460 = 0.3e1 * t52936 * t16234 - 0.3e1 * t52942 * t16287 - 0.15e2 / 0.2e1 * t9877 * t14328 * t123512 - t127443 - 0.7e1 / 0.3e1 * t41686 * t71562 - 0.2e1 * t121227 + 0.2e1 * t121231 - 0.4e1 * t8844 * t70772 - 0.2e1 * t10777 * t2447 + t122721 + t127453 + 0.44e2 / 0.27e2 * t69237 * t122841 - t127457 - 0.6e1 * t71096 * t15567;
  t127475 = t1770 * t16142;
  t127478 = t7587 * t16281;
  t127486 = -t2844 * t118508 + 0.15e2 / 0.2e1 * t26050 * t97946 - 0.62e2 / 0.3e1 * t41034 * t25714 * t69381 + t2844 * t118147 / 0.6e1 - 0.4e1 / 0.3e1 * t2844 * t118360 + 0.23e2 / 0.18e2 * t13908 * t122920 + t127475 + 0.14e2 / 0.3e1 * t8710 * t71361 - t127478 - 0.3e1 * t8710 * t69489 + 0.2e1 * t5286 * t17988 + t121255 / 0.3e1 - 0.3e1 * t4806 * t97577;
  t127494 = t246 * t13989 * t15673;
  t127495 = 0.3e1 * t127494;
  t127499 = t246 * t14030 * t123587;
  t127500 = 0.3e1 / 0.2e1 * t127499;
  t127512 = 0.4e1 / 0.3e1 * t1252 * t98112 - 0.11e2 / 0.9e1 * t13908 * t123332 - 0.2e1 * t121270 - t13908 * t122558 + t122751 - t127495 - 0.28e2 * t41242 * t69359 + t127500 + 0.47e2 / 0.3e1 * t41034 * t69499 - 0.18e2 * t246 * t69897 * t15602 - 0.6e1 * t7587 * t16241 + 0.3e1 * t36012 * t16250 - 0.2e1 * t121288 + 0.12e2 * t121296;
  t127527 = 0.4e1 * t121301 - t122771 + t118050 - 0.2e1 * t121304 - t122820 - 0.2e1 / 0.3e1 * t7254 * t125628 - 0.2e1 / 0.3e1 * t1779 * t125185 - 0.2e1 / 0.3e1 * t121330 + t7243 * t125062 + 0.2e1 * t121335 + 0.2e1 * t2844 * t118420 + 0.4e1 / 0.3e1 * t121338 + 0.4e1 / 0.3e1 * t121339;
  t127550 = -0.4e1 * t121356 - 0.2e1 * t26650 * t17930 - t26650 * t17932 + 0.4e1 / 0.3e1 * t4872 * t99321 + 0.2e1 * t26650 * t17921 - 0.2e1 * t43357 * t17919 + 0.3e1 * t26550 * t70108 * t15587 - 0.6e1 * t4993 * t70108 * t15597 + 0.3e1 * t3266 * t70108 * t15602 + t7251 * t4877 * t127420 / 0.6e1 + t122844 + t122846 - t122850 + t122851;
  t127566 = t3266 * t14062 * t15678;
  t127569 = t7251 * t98161;
  t127570 = t127569 / 0.3e1;
  t127571 = t7251 * t121402;
  t127572 = t127571 / 0.3e1;
  t127575 = t2851 * t2090;
  t127580 = t122854 + t122855 - t9136 * t2907 / 0.2e1 + t9136 * t2915 / 0.2e1 - t41073 * t2899 / 0.2e1 + t679 * t13885 * t118011 + 0.6e1 * t4993 * t69526 * t15702 - t127566 - 0.4e1 * t41787 * t72117 - t127570 - t127572 - 0.2e1 / 0.3e1 * t7251 * t126044 - 0.3e1 / 0.2e1 * t4772 * t7690 * t788 * t127575;
  t127587 = t246 * t14228 * t2117 * t249;
  t127588 = t127587 / 0.4e1;
  t127589 = t2087 * t14230;
  t127590 = t127589 / 0.12e2;
  t127595 = t13894 * t15632;
  t127596 = t1228 * t18051;
  t127597 = t127596 / 0.2e1;
  t127598 = -t118171 + t118172 - t118178 - t118190 - 0.12e2 * t121391 + t10777 * t2462 + t1228 * t18048 / 0.2e1 + t127588 - t127590 - t417 * t97328 / 0.6e1 - t2098 * t71035 / 0.12e2 + t127595 - t127597 + t122880;
  t127608 = t7254 * t121468;
  t127609 = t127608 / 0.3e1;
  t127610 = t95 * t127382;
  t127619 = t3273 * t253 * t2932 * t2105;
  t127623 = t118225 - t118236 - t122887 + 0.6e1 * t121399 - 0.2e1 / 0.3e1 * t121403 + 0.5e1 / 0.2e1 * t4772 * t1876 * t22309 * t127382 - 0.11e2 / 0.3e1 * t69822 * t15712 + t127609 - t122936 - 0.5e1 / 0.12e2 * t7251 * t26405 * t127610 + 0.2e1 / 0.3e1 * t7254 * t8790 * t127610 + t4882 * t127619 / 0.12e2 - t11019 * t124914;
  t127653 = t14169 * t15673;
  t127654 = 0.4e1 * t127653;
  t127656 = t14166 * t15678;
  t127657 = 0.4e1 * t127656;
  t127660 = t14169 * t15170;
  t127661 = 0.4e1 / 0.3e1 * t127660;
  t127665 = t15109 + 0.8e1 * t14166 * t80332 - 0.4e1 * t14169 * t80160 - t122581 - t118081 + t122582 + t122583 + t118087 - 0.12e2 * t14169 * t80229 - t122584 + 0.12e2 * t16287 - 0.2e1 * t14172 * t15204 + t127654 - 0.8e1 * t16232 - t127657 - 0.8e1 * t69699 * t15702 + t127661 + 0.16e2 / 0.9e1 * t69704 * t15587 - 0.2e1 * t16234;
  t127690 = t14184 * t15673;
  t127691 = 0.4e1 * t127690;
  t127692 = t75278 * t14160;
  t127693 = 0.2e1 / 0.3e1 * t127692;
  t127696 = t14179 * t15678;
  t127697 = 0.4e1 * t127696;
  t127698 = -0.24e2 * t69699 * t15592 + 0.32e2 / 0.3e1 * t69704 * t15597 + 0.4e1 * t14172 * t15078 + 0.12e2 * t69704 * t15602 + 0.12e2 * t69715 * t15707 - 0.4e1 * t75281 * t14160 + 0.24e2 * t69767 * t15592 - 0.12e2 * t69770 * t15602 + 0.4e1 / 0.3e1 * t75284 * t69774 - 0.4e1 * t521 * t15078 - 0.12e2 * t69760 * t15707 + 0.2e1 * t521 * t15204 - t127691 + t127693 + 0.2e2 / 0.9e1 * t75284 * t69749 + t127697 - t15121 + t122598 + t122634;
  t127699 = t127665 + t127698;
  t127713 = t4983 * t1876 * t3130 * t127419 + t43351 * t17951 - t42708 * t17912 + t10838 * t125426 - 0.11e2 * t4983 * t14318 * t8757 - 0.15e2 / 0.2e1 * t4772 * t14328 * t123494 + 0.15e2 * t4983 * t14328 * t123490 - t4772 * t1876 * t3556 * t127419 - 0.115e3 / 0.36e2 * t70173 * t122982 - t246 * t1797 * t824 * t221 * t127699 / 0.4e1 - t1228 * t18056 / 0.2e1 - 0.5e1 / 0.18e2 * t13908 * t123392 + 0.2e1 * t13894 * t15635 + 0.2e1 / 0.3e1 * t2844 * t118441;
  t127724 = t95 * t127575;
  t127735 = -0.6e1 * t246 * t69593 * t15707 - t17872 + t16143 + t118266 - t118270 - t2839 * t15131 / 0.6e1 + t122973 - 0.5e1 / 0.6e1 * t7251 * t26400 * t127610 + t10757 * t26405 * t127724 / 0.2e1 - t36004 * t16224 / 0.2e1 + 0.2e1 / 0.3e1 * t1815 * t125671 + 0.2e1 / 0.3e1 * t121433 + t515 * t121258 / 0.3e1;
  t127744 = t18018 * t2105;
  t127752 = t4993 * t14120 * t15170;
  t127753 = t7251 * t82777;
  t127754 = 0.2e1 / 0.3e1 * t127753;
  t127759 = t3266 * t14120 * t15673;
  t127760 = t1779 * t126079;
  t127761 = t127760 / 0.6e1;
  t127766 = t7251 * t125250 + 0.14e2 / 0.3e1 * t10757 * t124958 - 0.3e1 * t10757 * t124962 + t4772 * t1872 * t788 * t127419 + t4772 * t519 * t3562 * t127744 + t7251 * t125163 - t7251 * t125097 / 0.3e1 - t127752 + t127754 - t3266 * t99393 * t2166 / 0.4e1 + t127759 - t127761 - 0.5e1 / 0.18e2 * t7196 * t126082 - t9136 * t2912 / 0.4e1;
  t127780 = t2851 * t15076;
  t127787 = t1228 * t18061 + t246 * t14249 * t15204 / 0.2e1 - 0.4e1 * t5156 * t97899 - 0.22e2 / 0.9e1 * t121446 + 0.4e1 * t121448 - 0.3e1 * t71096 * t15606 + 0.6e1 * t121451 - t17902 + t17903 - t17904 + 0.4e1 / 0.3e1 * t121460 + t7248 * t42389 * t95 * t127780 / 0.2e1 - t7248 * t121443 / 0.3e1;
  t127806 = t1770 * t16189;
  t127807 = t127806 / 0.2e1;
  t127808 = -t7248 * t75396 * t17941 / 0.3e1 - t7248 * t8790 * t95 * t127744 / 0.3e1 + 0.3e1 * t4993 * t14120 * t80160 - 0.3e1 * t3266 * t14120 * t80229 - t123364 + t17954 + 0.2e1 / 0.3e1 * t121469 + t121473 / 0.3e1 - t121478 - 0.12e2 * t121487 + t17955 - t17957 - t515 * t82727 / 0.6e1 + t127807;
  t127825 = t42408 * t17942;
  t127826 = t127825 / 0.3e1;
  t127838 = t14228 * t2124;
  t127842 = 0.2e1 / 0.3e1 * t2098 * t69975 - t7187 * t125417 - 0.38e2 / 0.9e1 * t69237 * t122736 + 0.89e2 / 0.9e1 * t69237 * t122970 + 0.6e1 * t69246 * t15576 + t42708 * t17927 - 0.2e1 / 0.3e1 * t4872 * t98595 - t127826 + t7248 * t121539 / 0.6e1 - 0.3e1 * t4772 * t14313 * t15842 + 0.22e2 / 0.3e1 * t26106 * t97625 - 0.2e1 * t4772 * t1872 * t3562 * t127382 + t246 * t127838 * t690 / 0.2e1;
  t127843 = t13908 * t41222;
  t127844 = 0.3e1 / 0.2e1 * t127843;
  t127863 = t13894 * t15639;
  t127864 = 0.2e1 * t127863;
  t127868 = t42342 * t17948;
  t127869 = t127868 / 0.3e1;
  t127872 = -t127844 - 0.43e2 / 0.9e1 * t69237 * t123605 - t2844 * t118001 / 0.2e1 - t2098 * t69971 / 0.3e1 - 0.6e1 * t1770 * t16247 + 0.6e1 * t7587 * t16149 - 0.18e2 * t3167 * t69897 * t15587 + 0.36e2 * t679 * t69897 * t15597 + 0.8e1 * t69237 * t41097 - t127864 + t17973 - t30 * t16348 * t544 / 0.2e1 - t127869 - t10838 * t5175 * t127724;
  t127895 = t4983 * t9020 * t98141;
  t127896 = t41761 * t17875;
  t127897 = t127896 / 0.3e1;
  t127906 = -0.3e1 / 0.2e1 * t9877 * t7686 * t20876 * t127575 + 0.11e2 / 0.18e2 * t10757 * t26847 * t127724 - 0.23e2 / 0.36e2 * t10757 * t26189 * t670 * t127575 - 0.11e2 / 0.9e1 * t10757 * t125211 + 0.23e2 / 0.18e2 * t10757 * t125371 + 0.2e1 * t10838 * t125553 - 0.6e1 * t3266 * t69526 * t15592 + t127895 + t127897 + t7251 * t43406 * t17874 / 0.3e1 - 0.2e1 * t121510 - 0.6e1 * t1228 * t17885 - 0.6e1 * t5286 * t17888;
  t127929 = 0.3e1 * t1228 * t17882 + 0.3e1 * t26784 * t18026 - 0.2e1 * t54113 * t2444 - t121528 / 0.3e1 - t14011 * t2167 / 0.4e1 - t121535 / 0.3e1 - 0.2e1 * t4872 * t98196 - t123448 + t118379 + 0.2e1 * t121550 - t7587 * t16254 + t1770 * t16257 + 0.18e2 * t246 * t71565 * t15592 + 0.3e1 * t4772 * t7680 * t3556 * t127575;
  t127935 = t679 * t13989 * t15170;
  t127936 = 0.3e1 * t127935;
  t127942 = t14357 * t2090;
  t127946 = t14357 * t2084;
  t127948 = t7655 * t233 * t127946;
  t127949 = 0.2e1 * t127948;
  t127964 = t14328 * t123100;
  t127965 = t127964 / 0.9e1;
  t127968 = t2118 * t18130;
  t127969 = 0.2e1 * t127968;
  t127970 = t9020 * t18132;
  t127971 = 0.4e1 / 0.3e1 * t127970;
  t127974 = t15795 * t2851;
  t127978 = t18094 * t414;
  t127984 = -0.16e2 * t121682 + 0.24e2 * t121684 + 0.4e1 * t36100 * t233 * t127382 + t36092 * t3590 * t127942 / 0.9e1 + t127949 + 0.2e1 * t11138 * t233 * t14357 * t15128 - 0.24e2 * t70488 * t15750 - 0.4e1 * t2866 * t15250 + 0.12e2 * t2870 * t118579 + 0.2e1 / 0.3e1 * t2870 * t118642 - 0.5e1 / 0.18e2 * t14328 * t123157 - t127965 - t70446 * t123103 / 0.9e1 - t127969 - t127971 + 0.8e1 * t121711 - 0.4e1 * t121713 + 0.4e1 * t7680 * t3130 * t127974 + 0.2e1 * t1876 * t3556 * t127978 + 0.15e2 * t14328 * t123043;
  t127985 = t9020 * t18077;
  t127986 = 0.2e1 * t127985;
  t128013 = 0.3e1 * t519 * t22302 * t2883 * t15076 + 0.3e1 * t7690 * t788 * t127974 - 0.2e1 * t1872 * t788 * t127978 + t118539 - 0.48e2 * t121751 + t123146 - t123152 - t123155 - t123156 - t18070 - t18071;
  t128025 = t2883 * t2084;
  t128027 = t1872 * t788 * t128025;
  t128043 = t14318 * t15800;
  t128044 = 0.4e1 * t128043;
  t128047 = t14318 * t15810;
  t128048 = 0.6e1 * t128047;
  t128049 = t14328 * t118543;
  t128050 = 0.3e1 * t128049;
  t128051 = 0.24e2 * t70446 * t123084 + 0.3e1 * t7686 * t22290 * t127974 - 0.1e2 / 0.3e1 * t7686 * t20862 * t127974 + 0.5e1 / 0.9e1 * t70373 * t123027 + t123172 - t123173 - t2866 * t15259 - t128044 + 0.2e1 * t2866 * t15288 + t128048 - t128050;
  t128053 = t14328 * t118727;
  t128054 = t128053 / 0.18e2;
  t128055 = t14328 * t118717;
  t128056 = 0.1e2 / 0.3e1 * t128055;
  t128057 = t14313 * t15812;
  t128058 = 0.3e1 * t128057;
  t128059 = t802 * t127942;
  t128074 = t1876 * t3130 * t128025;
  t128075 = 0.2e1 / 0.3e1 * t128074;
  t128080 = t14328 * t118527;
  t128081 = 0.6e1 * t128080;
  t128083 = t1876 * t3556 * t128025;
  t128084 = t14318 * t15760;
  t128085 = 0.12e2 * t128084;
  t128086 = t14313 * t15766;
  t128087 = 0.6e1 * t128086;
  t128094 = t14318 * t15772;
  t128095 = 0.2e1 * t128094;
  t128101 = -t7686 * t20876 * t127974 / 0.18e2 + t128081 + t128083 - t128085 + t128087 - 0.12e2 * t70499 * t15769 + 0.2e1 * t2866 * t15256 + 0.44e2 / 0.3e1 * t14318 * t15779 + t128095 + 0.4e1 / 0.3e1 * t70494 * t15775 + 0.2e1 / 0.3e1 * t36092 * t3580 * t127942;
  t128134 = t42744 * t18116;
  t128135 = 0.4e1 * t128134;
  t128136 = t99097 * t414;
  t128144 = -0.36e2 * t70499 * t15819 - 0.4e2 * t70494 * t15796 + t118606 + t123203 - 0.2e1 / 0.3e1 * t70494 * t15816 + 0.24e2 * t70499 * t15803 - t128135 - 0.4e1 * t7651 * t815 * t128136 + t118619 - 0.22e2 / 0.3e1 * t70384 * t15828 - 0.12e2 * t70364 * t15825;
  t128147 = t7651 * t815 * t127946;
  t128148 = 0.2e1 * t128147;
  t128152 = t76113 * t18126;
  t128153 = 0.4e1 * t128152;
  t128154 = t42744 * t18119;
  t128155 = 0.2e1 / 0.3e1 * t128154;
  t128163 = t42887 * t18122;
  t128164 = 0.4e1 * t128163;
  t128175 = t2118 * t18086;
  t128176 = 0.2e1 * t128175;
  t128177 = t9045 * t18083;
  t128178 = 0.2e1 * t128177;
  t128179 = -t15764 + t15765 - 0.6e1 * t2870 * t118682 + t18089 - t118648 + 0.12e2 * t36194 * t815 * t127942 + 0.2e1 * t2870 * t118660 - 0.4e1 / 0.3e1 * t2870 * t118712 - t128176 - t128178 + t18114;
  t128185 = t7651 * t802 * t127946;
  t128186 = t128185 / 0.3e1;
  t128191 = t2118 * t18095;
  t128193 = t14328 * t123011;
  t128194 = 0.2e1 / 0.3e1 * t128193;
  t128208 = -t128194 + t123261 - 0.8e1 / 0.3e1 * t121811 + t18135 + t18136 - t18137 - 0.2e1 * t2870 * t118572 + 0.2e1 / 0.3e1 * t7651 * t802 * t128136 + 0.1e2 / 0.3e1 * t36191 * t802 * t127382 + 0.1e2 / 0.3e1 * t70373 * t123210 + 0.44e2 * t70384 * t15746;
  t128230 = t123302 + t15830 - t15831 + t15832 + t15284 - t2138 + t123309 - t123310 + t2119 + t123311 - t118733;
  t128239 = t13908 * t118474;
  t128240 = 0.5e1 / 0.36e2 * t128239;
  t128245 = t123460 + 0.6e1 * t5286 * t17985 + t127936 + t15091 - t15652 + t15653 - t15654 + t15655 + t15103 - t30 * t59 * (t123219 + t123220 + t123217 - t123206 - t123191 - t123169 - t123170 - 0.12e2 * t121822 - 0.16e2 / 0.3e1 * t121815 + 0.4e2 / 0.3e1 * t121818 + 0.2e1 / 0.9e1 * t121775 + 0.8e1 * t121760 - 0.4e1 / 0.9e1 * t121762 + 0.8e1 / 0.3e1 * t121754 + 0.24e2 * t121747 - 0.12e2 * t121745 - 0.16e2 * t121737 + 0.24e2 * t121723 + 0.8e1 * t121725 - t118677 - t118674 + t118668 - t118587 + t128230 + t128208 + t128191 + t128186 + t128179 + t128164 + t128155 + t128153 - t128148 + t128144 + t128101 - t128075 + t128056 - t128058 + t128051 + t128054 - t128027 + t128013 + t127984 + t127986 + 0.8e1 * t70494 * t15785 - 0.4e1 / 0.3e1 * t70446 * t123014 + 0.72e2 * t70499 * t15782 - 0.6e1 * t36092 * t128059 - 0.3e2 * t70373 * t15828 + 0.1e2 / 0.3e1 * t70446 * t123225 + 0.5e2 / 0.3e1 * t70446 * t123228 - 0.4e1 * t2870 * t118555 - 0.5e2 / 0.3e1 * t14328 * t123004 - 0.12e2 * t70446 * t123238 + 0.36e2 * t70494 * t15822 - 0.22e2 * t14318 * t15791 - 0.2e1 * t36194 * t128059 + 0.4e1 * t2870 * t118735 + 0.12e2 * t70488 * t15806 - 0.72e2 * t70494 * t15788 + 0.8e1 / 0.3e1 * t70446 * t123081 + 0.6e1 * t14313 * t15756 - 0.4e1 / 0.3e1 * t1876 * t3130 * t127978 - 0.6e1 * t36105 * t233 * t127942 - 0.5e1 * t36191 * t815 * t127382 + 0.4e1 * t7655 * t233 * t128136 - 0.6e1 * t7680 * t3556 * t127974 - 0.8e1 * t36100 * t43071 * t127382 - 0.5e1 / 0.3e1 * t36191 * t43067 * t127382 + 0.1e2 * t36191 * t43075 * t127382 - t519 * t3562 * t2883 * t15128 - 0.6e1 * t53473 * t233 * t14357 * t15076 - t519 * t788 * t63 * t127699 - 0.2e1 * t519 * t3562 * t18094 * t2105 + 0.4e1 * t11138 * t233 * t99097 * t2105 + t519 * t788 * t60 * t127699 / 0.2e1 - t15240 - t18149 - t15763) * t95 / 0.4e1 - t128240 - 0.2e1 * t1228 * t18059 - t1770 * t16135 / 0.2e1;
  t128266 = t7251 * t4877 * t127424;
  t128267 = t128266 / 0.12e2;
  t128268 = -t246 * t14249 * t15078 + 0.2e1 * t10777 * t2453 - 0.2e1 / 0.3e1 * t4872 * t99286 + 0.55e2 / 0.18e2 * t70173 * t123409 - t3266 * t14065 * t15204 / 0.2e1 - t7254 * t26645 * t17874 / 0.3e1 - t7254 * t3273 * t127420 / 0.3e1 + t15715 - t15716 + t123534 + 0.2e1 * t121570 + 0.23e2 / 0.9e1 * t121572 + t123535 + t128267;
  t128276 = t4983 * t1876 * t3130 * t98159;
  t128277 = t128276 / 0.2e1;
  t128287 = 0.5e1 / 0.36e2 * t10757 * t26189 * t127724 + t71047 * t15643 + t128277 + 0.3e1 / 0.2e1 * t41686 * t71383 + t18044 - t16279 - t16282 + t515 * t121262 / 0.6e1 + t2093 * t14230 / 0.6e1 + 0.5e1 / 0.3e1 * t69246 * t15626 + 0.4e1 / 0.3e1 * t121577 - t123546 - t123551;
  t128289 = t836 * t69265 * t2106;
  t128292 = t4872 * t98161;
  t128293 = 0.2e1 / 0.3e1 * t128292;
  t128295 = t4772 * t9045 * t18173;
  t128315 = t123552 - t123553 + t417 * t128289 / 0.12e2 - t128293 + t128295 + 0.3e1 * t4983 * t7686 * t20862 * t127575 - 0.3e1 / 0.2e1 * t4772 * t7686 * t22290 * t127575 - t10757 * t125362 - t18053 - t2844 * t42583 / 0.12e2 + t2844 * t41066 / 0.3e1 - t2098 * t69927 / 0.12e2 - t2098 * t70025 / 0.6e1 + t2098 * t70841 / 0.3e1;
  t128327 = t2087 * t14006;
  t128328 = t128327 / 0.12e2;
  t128329 = t14011 * t2158;
  t128330 = t128329 / 0.4e1;
  t128333 = -t70846 * t2154 / 0.2e1 + t14011 * t2170 / 0.2e1 - t14011 * t2162 / 0.2e1 + t82859 * t530 / 0.2e1 - t128328 + t128330 - t15158 - t123564 + t123565 - t123566 + t123567 - t123568 + t2839 * t15084 / 0.3e1;
  t128350 = t2851 * t15128;
  t128355 = 0.2e1 / 0.3e1 * t121584 - 0.2e1 * t121592 - t118485 - t121595 / 0.3e1 - 0.8e1 / 0.3e1 * t121599 - 0.6e1 * t121603 - t15160 - t15172 - 0.2e1 * t69237 * t122881 + 0.6e1 * t246 * t69249 * t123440 + 0.18e2 * t3167 * t69249 * t122876 - t1770 * t16173 + 0.2e1 / 0.3e1 * t7254 * t125376 - t7248 * t8790 * t95 * t128350 / 0.6e1;
  t128357 = t41761 * t17945;
  t128358 = t128357 / 0.6e1;
  t128365 = t13894 * t15622;
  t128366 = t128365 / 0.2e1;
  t128386 = t128358 + t7251 * t41697 * t17874 / 0.6e1 + 0.11e2 * t4772 * t14318 * t15656 + t128366 - t417 * t98424 / 0.6e1 + t97854 * t432 / 0.2e1 + t2093 * t14006 / 0.6e1 + t2839 * t9131 / 0.6e1 - t515 * t82854 / 0.6e1 - t2844 * t41062 / 0.6e1 - 0.3e1 * t4983 * t7680 * t3130 * t127575 + 0.3e1 * t1770 * t16260 - 0.2e1 * t121610;
  t128410 = -0.6e1 * t20841 * t69249 * t122871 - t121615 + t121619 - t121621 / 0.3e1 + t13894 * t15629 - 0.2e1 / 0.3e1 * t2844 * t118364 - 0.18e2 * t679 * t71565 * t15702 - 0.2e1 / 0.3e1 * t7254 * t125507 + 0.5e1 / 0.2e1 * t70173 * t122755 + t3266 * t14065 * t15078 + t2093 * t14400 / 0.3e1 + t1770 * t16180 + 0.3e1 * t1770 * t16183 - t246 * t13885 * t118434;
  t128424 = t246 * t14265 * t15678;
  t128425 = 0.3e1 / 0.2e1 * t128424;
  t128430 = t2087 * t18021;
  t128431 = t128430 / 0.6e1;
  t128438 = t2087 * t17999;
  t128439 = t128438 / 0.6e1;
  t128442 = -t7196 * t125283 - t10777 * t2450 - t246 * t14228 * t2120 * t597 / 0.2e1 + 0.12e2 * t41644 * t69350 + 0.3e1 * t1228 * t18066 + t128425 - 0.23e2 / 0.3e1 * t69246 * t15718 - t515 * t121671 / 0.3e1 + t128431 + t515 * t836 * t41274 * t2852 / 0.12e2 + t2844 * t118445 / 0.3e1 + t128439 + t9136 * t2903 / 0.2e1;
  t128444 = t7254 * t3273 * t127424;
  t128445 = t128444 / 0.6e1;
  t128448 = t4772 * t1872 * t788 * t98159;
  t128449 = t128448 / 0.2e1;
  t128467 = -t128445 + t128449 + 0.2e1 * t41787 * t72107 - 0.35e2 / 0.3e1 * t26050 * t97532 + t7248 * t121639 / 0.3e1 + t123608 - 0.5e1 / 0.9e1 * t121629 - 0.8e1 * t121631 - t123615 - t123616 - 0.18e2 * t679 * t69249 * t123384 + t2098 * t71579 / 0.3e1 - t2098 * t71585 / 0.6e1 + 0.2e1 * t71224 * t15697;
  t128502 = -0.3e1 * t679 * t13885 * t118409 - t13915 * t15615 - t2839 * t15137 / 0.3e1 - t1779 * t126076 / 0.3e1 - t679 * t127838 * t684 / 0.2e1 + 0.22e2 / 0.3e1 * t69246 * t15573 + t515 * t836 * t4748 * t18019 / 0.6e1 + t515 * t836 * t837 * t94 * t127699 / 0.12e2 + 0.3e1 * t246 * t13885 * t118212 + 0.18e2 * t41242 * t69382 - 0.2e1 * t121678 + 0.25e2 / 0.36e2 * t70173 * t122752 + 0.3e1 * t3266 * t70312 * t15707;
  t128522 = t4772 * t2118 * t17926;
  t128524 = t246 * t8897 * t18055;
  t128525 = t128524 / 0.2e1;
  t128530 = t13908 * t122932;
  t128531 = 0.11e2 / 0.18e2 * t128530;
  t128535 = t3167 * t14030 * t118382;
  t128536 = 0.3e1 / 0.2e1 * t128535;
  t128537 = -0.3e1 / 0.2e1 * t4772 * t519 * t22302 * t127780 - t10838 * t4877 * t127724 / 0.2e1 + t11019 * t3273 * t127724 / 0.2e1 + 0.5e1 / 0.3e1 * t4872 * t97670 + t7251 * t125203 / 0.2e1 + t4772 * t519 * t3562 * t128350 / 0.2e1 + t128522 - t128525 + 0.2e1 * t7243 * t126023 - t123673 + 0.14e2 / 0.3e1 * t4806 * t97587 - t128531 - 0.61e2 / 0.27e2 * t69237 * t122884 + t128536;
  t128543 = my_piecewise3(t2, 0, t128442 + t128537 + t128502 + t128467 + t128410 + t128386 + t128355 + t128333 + t128315 + t128287 + t128268 + t128245 + t127929 + t127906 + t127872 + t127842 + t127808 + t127787 + t127766 + t127735 + t127713 + t127623 + t127598 + t127580 + t127550 + t127512 + t127486 + t127460 + t127432 + t127376 + t127401 + t127527);
  tv4sigma2tau20 = t3 * t128543;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 0] += tv4sigma2tau20;

  tv4sigma2tau21 = 0.e0;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 1] += tv4sigma2tau21;

  tv4sigma2tau22 = 0.e0;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 2] += tv4sigma2tau22;

  tv4sigma2tau23 = 0.e0;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 3] += tv4sigma2tau23;

  tv4sigma2tau24 = 0.e0;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 4] += tv4sigma2tau24;

  tv4sigma2tau25 = 0.e0;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 5] += tv4sigma2tau25;

  tv4sigma2tau26 = 0.e0;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 6] += tv4sigma2tau26;

  tv4sigma2tau27 = 0.e0;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 7] += tv4sigma2tau27;

  tv4sigma2tau28 = 0.e0;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 8] += tv4sigma2tau28;

  tv4sigma2tau29 = 0.e0;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 9] += tv4sigma2tau29;

  tv4sigma2tau210 = 0.e0;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 10] += tv4sigma2tau210;

  tv4sigma2tau211 = 0.e0;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 11] += tv4sigma2tau211;

  tv4sigma2tau212 = 0.e0;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 12] += tv4sigma2tau212;

  tv4sigma2tau213 = 0.e0;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 13] += tv4sigma2tau213;

  tv4sigma2tau214 = 0.e0;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 14] += tv4sigma2tau214;

  tv4sigma2tau215 = 0.e0;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 15] += tv4sigma2tau215;

  tv4sigma2tau216 = 0.e0;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 16] += tv4sigma2tau216;

  t128544 = t2954 * t15359;
  t128549 = t8063 * t100769;
  t128550 = t128549 / 0.3e1;
  t128551 = t168 * t100767;
  t128553 = t8063 * t5674 * t128551;
  t128554 = t128553 / 0.6e1;
  t128560 = t8280 * t16491;
  t128565 = t14711 * t45241;
  t128566 = 0.3e1 / 0.2e1 * t128565;
  t128573 = t5665 * t559 * t4575 * t128544 / 0.2e1 - t128550 + t128554 + 0.4e1 / 0.3e1 * t121843 + 0.6e1 * t73825 * t15873 - t2189 * t72756 / 0.6e1 - t128560 - 0.3e1 * t9254 * t5595 * t8278 * t8252 - t128566 - 0.43e2 / 0.9e1 * t73366 * t124370 + t11501 * t2521 - 0.6e1 * t373 * t73268 * t15861 + t121858;
  t128577 = t15036 * t15947;
  t128578 = t128577 / 0.2e1;
  t128581 = t2954 * t15312;
  t128587 = t18191 * t2196;
  t128588 = t168 * t128587;
  t128597 = -0.2e1 / 0.3e1 * t121866 - 0.2e1 / 0.3e1 * t121870 - t121874 / 0.3e1 - t128578 - t123761 + t123762 - t123763 + 0.2e1 * t11510 * t127320 - 0.3e1 / 0.2e1 * t5665 * t559 * t24458 * t128581 - 0.8e1 / 0.3e1 * t121888 + t123772 + 0.2e1 / 0.3e1 * t8219 * t9444 * t128588 - 0.2e1 * t5673 * t101465 + 0.2e1 * t4695 * t14605 * t81724;
  t128605 = t2954 * t2181;
  t128606 = t168 * t128605;
  t128615 = t18272 * t2196;
  t128624 = 0.14e2 / 0.3e1 * t5562 * t100864 + 0.2e1 * t5792 * t18474 + t555 * t122091 / 0.3e1 + t11646 * t4687 * t128606 / 0.2e1 + t4695 * t14608 * t15319 - t2180 + t2251 + 0.2e1 / 0.3e1 * t121896 + t121898 / 0.3e1 - t121900 / 0.3e1 + t5665 * t559 * t4575 * t128615 - 0.2e1 / 0.3e1 * t5673 * t101256 - 0.3e1 * t5665 * t14955 * t15857;
  t128627 = t2178 * t14706;
  t128628 = t128627 / 0.12e2;
  t128638 = t14730 * t15371;
  t128639 = 0.4e1 / 0.3e1 * t128638;
  t128649 = t14745 * t16125;
  t128650 = 0.4e1 * t128649;
  t128653 = t78028 * t14721;
  t128654 = 0.2e1 / 0.3e1 * t128653;
  t128655 = t14740 * t16117;
  t128656 = 0.4e1 * t128655;
  t128661 = -0.12e2 * t14730 * t81710 + 0.8e1 * t14727 * t81724 - 0.4e1 * t14730 * t82660 - 0.8e1 * t74003 * t15866 + t128639 + 0.16e2 / 0.9e1 * t73998 * t15886 - 0.2e1 * t16459 + 0.12e2 * t74008 * t15861 + 0.4e1 * t14733 * t15319 + t123864 - t123865 + t119176 - 0.4e1 * t78020 * t14721 - t128650 + 0.2e2 / 0.9e1 * t78025 * t73971 + t128654 + t128656 + 0.12e2 * t73998 * t15980 + 0.32e2 / 0.3e1 * t73998 * t15985;
  t128680 = t14730 * t16125;
  t128681 = 0.4e1 * t128680;
  t128682 = t14727 * t16117;
  t128683 = 0.4e1 * t128682;
  t128684 = -0.24e2 * t74003 * t16106 + 0.12e2 * t16448 - t15352 + 0.2e1 * t561 * t15395 + 0.24e2 * t73979 * t16106 - 0.12e2 * t73982 * t15980 + 0.4e1 / 0.3e1 * t78025 * t73951 - 0.12e2 * t73943 * t15861 - 0.4e1 * t561 * t15319 - 0.8e1 * t16457 - 0.2e1 * t14733 * t15395 + t128681 - t128683 + t123904 - t123905 - t119184 + t123906 + t123907 + t15340;
  t128685 = t128661 + t128684;
  t128691 = t1981 * t126530;
  t128692 = t128691 / 0.3e1;
  t128704 = t8063 * t121869;
  t128705 = t128704 / 0.3e1;
  t128711 = -0.5e1 / 0.18e2 * t8169 * t126428 - t128628 - 0.5e1 / 0.9e1 * t121912 + t555 * t1094 * t1095 * t167 * t128685 / 0.12e2 - t128692 + t2184 * t14793 / 0.3e1 - t1956 * t16413 - 0.6e1 * t8280 * t16402 + 0.3e1 * t1956 * t16389 - 0.38e2 / 0.9e1 * t73366 * t123823 - 0.3e1 * t57324 * t16448 - t128705 + 0.15e2 * t5639 * t14932 * t124068 + 0.47e2 / 0.3e1 * t44866 * t72783;
  t128714 = t8063 * t127285;
  t128715 = t128714 / 0.6e1;
  t128717 = t5665 * t9608 * t18281;
  t128719 = t5665 * t2209 * t18285;
  t128720 = t5673 * t100769;
  t128721 = 0.2e1 / 0.3e1 * t128720;
  t128722 = t18272 * t439;
  t128729 = t168 * t128722;
  t128742 = -t128715 + t128717 + t128719 - t128721 + t5665 * t2056 * t1165 * t128722 - t5665 * t2060 * t4626 * t128722 - t118825 - t8219 * t4687 * t128729 / 0.3e1 + t1956 * t16394 - 0.3e1 * t1029 * t14857 * t118959 + 0.3e1 * t1956 * t16399 - t15036 * t15954 - t2942 * t15376 / 0.3e1;
  t128771 = t14831 * t16099 - t1981 * t126130 / 0.3e1 - 0.2e1 * t73366 * t123706 - t373 * t14704 * t2211 * t1047 / 0.2e1 + 0.6e1 * t5792 * t18471 - 0.23e2 / 0.3e1 * t73825 * t15966 + 0.22e2 / 0.3e1 * t73825 * t15972 + 0.44e2 / 0.27e2 * t73366 * t124010 - 0.61e2 / 0.27e2 * t73366 * t124007 - 0.11e2 / 0.9e1 * t8169 * t126525 + 0.23e2 / 0.18e2 * t8169 * t126216 + 0.2e1 * t8091 * t126220 + t1956 * t16386 - t2189 * t74392 / 0.3e1;
  t128780 = t373 * t14869 * t16117;
  t128781 = 0.3e1 / 0.2e1 * t128780;
  t128803 = 0.2e1 / 0.3e1 * t2189 * t74396 - t8280 * t16425 + t373 * t14685 * t15395 / 0.2e1 + t128781 + 0.12e2 * t45142 * t1430 * t72782 - t373 * t2040 * t1076 * t348 * t128685 / 0.4e1 + t121943 / 0.3e1 - 0.2e1 * t121946 + t14666 * t2261 / 0.2e1 + 0.5e1 / 0.2e1 * t73218 * t124241 + t8063 * t126925 - 0.2e1 / 0.3e1 * t8063 * t126503 - 0.3e1 * t5639 * t8460 * t4572 * t128605;
  t128819 = t373 * t14704 * t2208 * t376;
  t128820 = t128819 / 0.4e1;
  t128827 = t45376 * t18211;
  t128828 = t128827 / 0.3e1;
  t128829 = t1027 * t72781;
  t128833 = -0.2e1 * t121952 - 0.2e1 * t121959 - t121975 / 0.3e1 - t39906 * t16584 / 0.2e1 - 0.115e3 / 0.36e2 * t73218 * t124264 - 0.5e1 / 0.2e1 * t5639 * t2060 * t24435 * t128587 + 0.2e1 * t121977 + 0.6e1 * t122013 + t128820 - t124041 + t8063 * t45283 * t18192 / 0.3e1 + t8063 * t5674 * t128729 / 0.3e1 + t128828 + 0.18e2 * t44592 * t5595 * t128829;
  t128838 = t1029 * t14807 * t15371;
  t128839 = 0.3e1 * t128838;
  t128844 = t45946 * t18303;
  t128845 = t128844 / 0.3e1;
  t128864 = t128839 + t9469 * t3006 / 0.2e1 + 0.25e2 / 0.36e2 * t73218 * t124076 - t128845 + 0.3e1 * t57328 * t16459 - 0.18e2 * t373 * t73284 * t15980 + t2947 * t119484 / 0.3e1 - 0.5e1 / 0.18e2 * t14711 * t124088 - 0.2e1 * t11501 * t2506 - t11501 * t2509 - 0.62e2 / 0.3e1 * t73366 * t44570 + 0.8e1 * t73366 * t44578 + 0.3e1 * t39807 * t16409;
  t128871 = t40145 * t16588;
  t128876 = t5665 * t9584 * t18199;
  t128878 = t5639 * t9584 * t100521;
  t128880 = t14711 * t45234;
  t128881 = 0.7e1 / 0.3e1 * t128880;
  t128888 = t4695 * t14814 * t16125;
  t128889 = -0.3e1 * t5562 * t101297 + 0.2e1 * t14831 * t15916 + 0.2e1 / 0.3e1 * t2947 * t118931 + t6012 * t128871 / 0.6e1 + 0.2e1 * t122032 - t128876 + t128878 + 0.2e1 * t122037 + t128881 + 0.22e2 / 0.3e1 * t29461 * t101605 - t11399 * t126478 + 0.14e2 / 0.3e1 * t11399 * t85853 + t124067 + t128888;
  t128899 = t373 * t9409 * t18274;
  t128900 = t128899 / 0.2e1;
  t128910 = t8214 * t121921 / 0.6e1 - 0.2e1 * t45293 * t18207 - 0.11e2 * t5639 * t14928 * t9340 - t128900 + t124085 - t124086 - 0.12e2 * t122075 - 0.4e1 * t122078 + 0.6e1 * t122083 + t11399 * t30141 * t128606 / 0.2e1 - t11646 * t126868 - 0.2e1 * t122097 - 0.2e1 * t122099;
  t128920 = t4718 * t14876 * t118769;
  t128921 = 0.3e1 / 0.2e1 * t128920;
  t128931 = -t14666 * t2258 / 0.4e1 + 0.6e1 * t373 * t73842 * t124036 - 0.18e2 * t1029 * t73842 * t124254 + t128921 + 0.2e1 * t122103 - t122119 / 0.3e1 - 0.12e2 * t122131 + 0.12e2 * t122140 + 0.4e1 * t122145 + t124105 - t124106 + t122150 - t14666 * t2253 / 0.2e1 - t442 * t100276 / 0.6e1;
  t128934 = t2178 * t14661;
  t128935 = t128934 / 0.12e2;
  t128960 = -t128935 + t86126 * t570 / 0.2e1 - t44765 * t3002 / 0.2e1 + t9469 * t3018 / 0.2e1 - t9469 * t3010 / 0.2e1 - t2189 * t72825 / 0.6e1 + t2189 * t72817 / 0.3e1 - t72822 * t2245 / 0.2e1 - 0.11e2 / 0.9e1 * t14711 * t123972 + 0.2e1 / 0.3e1 * t1974 * t126133 - 0.4e1 / 0.3e1 * t2947 * t118753 + 0.23e2 / 0.18e2 * t14711 * t123743 - 0.6e1 * t1956 * t16406;
  t128985 = 0.6e1 * t8280 * t16382 + 0.36e2 * t1029 * t73284 * t15985 - 0.18e2 * t4718 * t73284 * t15886 + 0.18e2 * t373 * t74066 * t16106 + t8063 * t5691 * t128729 / 0.6e1 - t8214 * t9444 * t168 * t128615 / 0.3e1 - t124123 - t118907 - t124124 + t124127 - t124128 - 0.4e1 * t5631 * t100102 - 0.6e1 * t74261 * t15975 - 0.2e1 * t1383 * t18243;
  t128996 = t14704 * t2215;
  t129013 = -t8145 * t126281 - t555 * t121863 / 0.3e1 - 0.6e1 * t25474 * t73842 * t123712 + 0.18e2 * t4718 * t73842 * t123717 + t373 * t128996 * t1039 / 0.2e1 - t1029 * t128996 * t1034 / 0.2e1 + 0.6e1 * t5649 * t72807 * t15866 - 0.6e1 * t4695 * t72807 * t16106 + 0.3e1 * t5665 * t8460 * t4626 * t128605 + t18182 - t124129 + t124130 - t118944;
  t129020 = t118946 + t15849 + t15850 - t15851 + t15327 + t15852 - t15853 + t15369 - t15373 - t124135 + t118987 + t2184 * t14661 / 0.6e1 - t2947 * t44687 / 0.12e2 + t2942 * t9531 / 0.6e1;
  t129031 = t14666 * t2249;
  t129032 = t129031 / 0.4e1;
  t129037 = t5695 * t73401;
  t129041 = t4695 * t14605 * t16117;
  t129044 = -t555 * t86121 / 0.6e1 - t2947 * t44628 / 0.6e1 + t2947 * t44760 / 0.3e1 + t129032 + t100281 * t457 / 0.2e1 - t2189 * t72961 / 0.12e2 + t124136 - t124137 - t124138 + t124146 - 0.4e1 * t44465 * t129037 - t129041 + 0.89e2 / 0.9e1 * t73366 * t124277;
  t129045 = t1383 * t18253;
  t129046 = t129045 / 0.2e1;
  t129071 = t2178 * t18325;
  t129072 = t129071 / 0.6e1;
  t129073 = -t129046 - t1383 * t18275 / 0.2e1 - t9469 * t3015 / 0.4e1 - t442 * t99971 / 0.6e1 + 0.2e1 * t11501 * t2512 - 0.2e1 * t122170 - 0.8e1 * t122181 - 0.18e2 * t1029 * t74066 * t15866 - t555 * t85826 / 0.6e1 - t2947 * t119031 / 0.2e1 + 0.2e1 * t74407 * t16110 - t2947 * t119054 - 0.2e1 * t5665 * t2056 * t4575 * t128587 + t129072;
  t129075 = t2178 * t18330;
  t129076 = t129075 / 0.6e1;
  t129079 = t14711 * t118937;
  t129080 = 0.5e1 / 0.36e2 * t129079;
  t129082 = t373 * t14807 * t16125;
  t129083 = 0.3e1 * t129082;
  t129093 = t129076 - 0.35e2 / 0.108e3 * t73366 * t123801 - t129080 - t129083 - t15382 - t15386 + 0.2e1 / 0.3e1 * t122191 + t119026 + t124212 - 0.6e1 * t1383 * t18485 - 0.6e1 * t5792 * t18355 + 0.3e1 * t1383 * t18482 + 0.3e1 * t29089 * t18352;
  t129096 = t1981 * t85318;
  t129097 = 0.2e1 / 0.3e1 * t129096;
  t129100 = t14831 * t15908;
  t129116 = t2178 * t14793;
  t129117 = t129116 / 0.6e1;
  t129120 = -0.2e1 * t56071 * t2503 + t129097 + 0.5e1 / 0.3e1 * t73825 * t16093 + t129100 - t15870 - t18237 - 0.15e2 / 0.2e1 * t5665 * t14932 * t124072 + 0.11e2 / 0.18e2 * t11399 * t29468 * t128606 - 0.23e2 / 0.36e2 * t11399 * t29474 * t1018 * t128605 + 0.6e1 * t122201 + 0.2e1 * t29985 * t18209 - t442 * t100815 / 0.3e1 - t129117 - t1956 * t16445 / 0.2e1;
  t129143 = t5649 * t14814 * t15371;
  t129149 = t5665 * t2060 * t4626 * t100767;
  t129150 = t129149 / 0.2e1;
  t129155 = t5639 * t2060 * t4572 * t100767;
  t129156 = t129155 / 0.2e1;
  t129159 = t555 * t1094 * t45091 * t2955 / 0.12e2 + 0.3e1 * t373 * t14857 * t119490 + t2184 * t14706 / 0.6e1 + t8214 * t45083 * t168 * t128581 / 0.2e1 + 0.3e1 * t30451 * t73081 * t15886 - 0.6e1 * t5649 * t73081 * t15985 + t18241 - t129143 + 0.3e1 * t4695 * t73081 * t15980 - t129150 - 0.7e1 / 0.3e1 * t44470 * t72887 + t129156 + 0.3e1 / 0.2e1 * t44470 * t74297;
  t129166 = t8219 * t122549;
  t129167 = t129166 / 0.3e1;
  t129177 = t1029 * t14876 * t118764;
  t129178 = 0.3e1 * t129177;
  t129181 = -t122204 + t45286 * t18196 - 0.5e1 / 0.6e1 * t8063 * t30134 * t128588 - 0.2e1 / 0.3e1 * t8219 * t126872 - t124259 - t18255 + t129167 + t11510 * t126790 - t4695 * t14608 * t15395 / 0.2e1 + 0.23e2 / 0.18e2 * t11399 * t126227 - t11510 * t5674 * t128606 - t129178 + t124260 - 0.2e1 * t5673 * t100790;
  t129204 = 0.15e2 / 0.2e1 * t29352 * t101021 + 0.2e1 * t57324 * t16457 + t8063 * t126695 / 0.2e1 + t8063 * t45452 * t18192 / 0.6e1 + 0.11e2 * t5665 * t14928 * t15897 - 0.35e2 / 0.3e1 * t29352 * t100244 + t16463 - t16466 - 0.22e2 / 0.9e1 * t122214 + t119048 + t1383 * t18248 / 0.2e1 + t8063 * t126816 - 0.3e1 * t4695 * t14814 * t81710;
  t129215 = t373 * t14876 * t119065;
  t129216 = 0.3e1 / 0.2e1 * t129215;
  t129222 = t1974 * t126566;
  t129223 = t129222 / 0.3e1;
  t129226 = 0.5e1 / 0.3e1 * t5673 * t100859 + 0.3e1 * t5649 * t14814 * t82660 + 0.5e1 / 0.2e1 * t5665 * t2060 * t24564 * t128587 + t129216 + 0.2e1 / 0.3e1 * t122219 - 0.2e1 / 0.3e1 * t122225 + t73900 * t15891 - t124292 + t124293 + 0.4e1 / 0.3e1 * t122248 + 0.4e1 / 0.3e1 * t122249 + t129223 + t8091 * t126625 - t8169 * t126620;
  t129232 = t1956 * t16462;
  t129233 = t1954 * t8252;
  t129241 = t4687 * t380 * t3035 * t2196;
  t129248 = t8063 * t5691 * t128551;
  t129249 = t129248 / 0.12e2;
  t129255 = t8219 * t4687 * t128551;
  t129256 = t129255 / 0.6e1;
  t129262 = t2947 * t118934 / 0.3e1 + t129232 + 0.14e2 / 0.3e1 * t9254 * t5733 * t129233 - t373 * t14685 * t15319 + t6012 * t129241 / 0.12e2 - t4695 * t101445 * t2257 / 0.4e1 + t18322 - t18339 + t129249 - t8214 * t9444 * t168 * t128544 / 0.6e1 - t129256 - t11510 * t5691 * t128606 / 0.2e1 - 0.5e1 / 0.18e2 * t11399 * t126674;
  t129263 = t14711 * t119015;
  t129264 = t129263 / 0.2e1;
  t129265 = t14711 * t123965;
  t129266 = 0.23e2 / 0.36e2 * t129265;
  t129267 = t14711 * t123701;
  t129268 = 0.11e2 / 0.18e2 * t129267;
  t129269 = t14831 * t15912;
  t129270 = 0.2e1 * t129269;
  t129277 = t1094 * t72986 * t2197;
  t129284 = -t129264 + t129266 - t129268 - t129270 - t14711 * t124294 - 0.2e1 / 0.3e1 * t1981 * t126886 + 0.4e1 / 0.3e1 * t1421 * t100382 + t442 * t129277 / 0.12e2 - t124329 - t16492 + t124334 + t45289 * t18282 + t45289 * t18286 - 0.2e1 / 0.3e1 * t5673 * t101658;
  t129310 = 0.2e1 / 0.3e1 * t8219 * t126244 + t8214 * t121916 / 0.3e1 - t8063 * t126909 / 0.3e1 + 0.5e1 / 0.36e2 * t11399 * t29474 * t128606 + 0.4e1 / 0.3e1 * t122272 - 0.6e1 * t122280 + 0.23e2 / 0.9e1 * t122284 + 0.28e2 / 0.3e1 * t122286 - 0.2e1 / 0.3e1 * t122288 - t373 * t14857 * t118924 - t2942 * t15362 / 0.6e1 - 0.15e2 / 0.2e1 * t10513 * t14932 * t124355 - 0.5e1 / 0.12e2 * t8063 * t30141 * t128588;
  t129315 = t1956 * t16603;
  t129316 = t129315 / 0.2e1;
  t129321 = t1981 * t121873;
  t129322 = t129321 / 0.6e1;
  t129324 = -t18340 + t18341 - t2189 * t72996 / 0.6e1 + t2189 * t73000 / 0.3e1 + t129316 - 0.2e1 / 0.3e1 * t2947 * t118757 + 0.2e1 * t2947 * t119062 - t129322 - 0.2e1 * t122456 + t119123 - t119126 - t119130 - t119138 + t119143;
  t129353 = t5639 * t2060 * t4572 * t128722 - t110 * t16573 * t584 / 0.2e1 - t110 * t2238 * t3036 / 0.4e1 + t8063 * t126679 / 0.2e1 - t8214 * t121840 / 0.3e1 - 0.2e1 * t29985 * t18289 - t29985 * t18291 + 0.4e1 / 0.3e1 * t5673 * t100850 - t8214 * t77794 * t18187 / 0.3e1 - t8219 * t29988 * t18192 / 0.3e1 + t124360 - t124361 - 0.11e2 / 0.9e1 * t11399 * t127307;
  t129381 = t1956 * t16465;
  t129382 = t14831 * t16102;
  t129383 = t129382 / 0.2e1;
  t129386 = t124362 + t2947 * t119230 / 0.6e1 + t555 * t122459 / 0.6e1 + t2942 * t15315 / 0.3e1 - 0.3e1 / 0.2e1 * t10513 * t8438 * t24477 * t128605 + 0.3e1 * t5639 * t8438 * t24418 * t128605 - 0.3e1 / 0.2e1 * t5665 * t8438 * t24435 * t128605 - 0.11e2 / 0.6e1 * t73070 * t15894 - 0.4e1 * t9293 * t1430 * t129233 - t2189 * t73604 / 0.12e2 + t1029 * t14857 * t119070 - t129381 + t129383 - 0.28e2 * t44592 * t72786;
  t129398 = t5691 * t72886;
  t129403 = t5665 * t2056 * t1165 * t100767;
  t129404 = t129403 / 0.2e1;
  t129415 = t8063 * t86617;
  t129416 = 0.2e1 / 0.3e1 * t129415;
  t129419 = -0.3e1 / 0.2e1 * t5665 * t8443 * t1165 * t128605 + t555 * t1094 * t5553 * t18328 / 0.6e1 - 0.3e1 * t74261 * t16096 + 0.2e1 * t44465 * t129398 + t129404 - 0.3e1 * t11399 * t126123 - t45289 * t18200 - 0.11e2 / 0.3e1 * t73070 * t15919 + 0.55e2 / 0.18e2 * t73218 * t124721 + 0.3e1 * t4695 * t73153 * t15861 + t129416 + t124760 + 0.3e1 * t1383 * t18278;
  t129422 = t45376 * t18193;
  t129423 = t129422 / 0.6e1;
  t129424 = t45379 * t18188;
  t129425 = t129424 / 0.3e1;
  t129432 = t46214 * t18398;
  t129433 = 0.4e1 * t129432;
  t129434 = t101865 * t439;
  t129438 = t14969 * t2175;
  t129440 = t8508 * t1186 * t129438;
  t129441 = 0.2e1 * t129440;
  t129442 = t78305 * t18407;
  t129443 = 0.4e1 * t129442;
  t129467 = -t129433 - 0.4e1 * t8508 * t1186 * t129434 - t129441 + t129443 + 0.4e1 * t11656 * t360 * t101865 * t2196 + 0.2e1 * t11656 * t360 * t14969 * t15359 + 0.1e2 / 0.3e1 * t40455 * t1173 * t128587 + 0.4e1 * t8511 * t360 * t129434 - t559 * t1165 * t143 * t128685 + 0.2e1 / 0.3e1 * t2973 * t119276 + 0.24e2 * t122299 + 0.8e1 * t122301 + t124416 - t124420 - t124423 + t124427 + t124430 + t124431 + t119274 + 0.1e2 / 0.3e1 * t74564 * t124457;
  t129472 = t2986 * t2181;
  t129476 = t9584 * t18361;
  t129477 = 0.2e1 * t129476;
  t129495 = 0.72e2 * t74561 * t16018 + 0.3e1 * t8438 * t24435 * t129472 - 0.5e2 / 0.3e1 * t14932 * t124607 - t15999 - t15481 - t16000 + 0.2e1 / 0.9e1 * t122340 - 0.4e1 * t122342 - t8438 * t24477 * t129472 / 0.18e2 + 0.2e1 * t2969 * t15510 + 0.4e1 * t2973 * t119433;
  t129508 = t9608 * t18395;
  t129509 = 0.2e1 * t129508;
  t129537 = t14932 * t119295;
  t129538 = 0.6e1 * t129537;
  t129539 = t14932 * t119259;
  t129540 = t129539 / 0.9e1;
  t129543 = -0.4e1 * t2973 * t119314 - 0.2e1 * t2973 * t119252 - 0.4e1 * t2969 * t15484 - 0.24e2 * t74808 * t16050 + 0.12e2 * t2973 * t119311 + 0.4e1 / 0.3e1 * t74545 * t16037 + 0.24e2 * t74549 * t124682 + 0.8e1 / 0.3e1 * t74549 * t124679 + t129538 - t129540 - t74549 * t124639 / 0.9e1;
  t129545 = t2986 * t2175;
  t129547 = t2056 * t1165 * t129545;
  t129553 = t2209 * t18424;
  t129570 = t14955 * t16082;
  t129571 = 0.3e1 * t129570;
  t129572 = 0.4e1 * t8460 * t4572 * t129472 - 0.5e1 * t40455 * t1186 * t128587 - 0.4e1 / 0.9e1 * t122357 - 0.48e2 * t122359 - 0.8e1 / 0.3e1 * t122361 + 0.8e1 * t122363 - 0.16e2 * t122372 + 0.24e2 * t122374 - t18380 - 0.4e1 / 0.3e1 * t2973 * t119406 - t129571;
  t129578 = t14955 * t16028;
  t129579 = 0.6e1 * t129578;
  t129584 = t14928 * t16034;
  t129585 = 0.2e1 * t129584;
  t129590 = t14969 * t2181;
  t129591 = t1173 * t129590;
  t129600 = t18423 * t439;
  t129609 = t14932 * t119289;
  t129610 = 0.2e1 / 0.3e1 * t129609;
  t129612 = t14928 * t16068;
  t129613 = 0.6e1 * t129612;
  t129614 = t14932 * t124697;
  t129615 = 0.3e1 * t129614;
  t129617 = t8511 * t360 * t129438;
  t129618 = 0.2e1 * t129617;
  t129629 = 0.2e1 * t2973 * t119387 - 0.4e1 / 0.3e1 * t74549 * t124392 - t129610 + 0.8e1 * t122381 + t129613 - t129615 + t129618 + 0.12e2 * t40318 * t1186 * t129590 + 0.2e1 / 0.3e1 * t40315 * t4599 * t129590 - 0.22e2 / 0.3e1 * t74592 * t16005 + 0.5e1 / 0.9e1 * t74564 * t124485;
  t129631 = t14928 * t16073;
  t129632 = 0.4e1 * t129631;
  t129635 = t14932 * t119430;
  t129636 = t129635 / 0.18e2;
  t129637 = t14932 * t119414;
  t129638 = 0.1e2 / 0.3e1 * t129637;
  t129654 = t2060 * t4626 * t129545;
  t129660 = t2209 * t18373;
  t129661 = 0.2e1 * t129660;
  t129662 = t9584 * t18384;
  t129663 = 0.4e1 / 0.3e1 * t129662;
  t129672 = 0.2e1 * t2060 * t4626 * t129600 + t129654 - 0.1e2 / 0.3e1 * t8438 * t24418 * t129472 + t16053 + 0.15e2 * t14932 * t124502 - t129661 - t129663 - 0.4e2 * t74545 * t16070 + 0.1e2 / 0.3e1 * t74549 * t124664 + 0.5e2 / 0.3e1 * t74549 * t124661 + 0.36e2 * t74545 * t16062;
  t129680 = t14928 * t16044;
  t129681 = 0.12e2 * t129680;
  t129692 = t18439 + t124626 + t559 * t1165 * t140 * t128685 / 0.2e1 - 0.16e2 * t122432 - t119404 + t124651 - t124652 - t124653 + t124654 + t124655 - t119443;
  t129701 = t2060 * t4572 * t129545;
  t129702 = 0.2e1 / 0.3e1 * t129701;
  t129703 = t2209 * t18382;
  t129704 = 0.2e1 * t129703;
  t129710 = t46364 * t18401;
  t129711 = 0.4e1 * t129710;
  t129719 = t8508 * t1173 * t129438;
  t129720 = t129719 / 0.3e1;
  t129723 = t46214 * t18410;
  t129724 = 0.2e1 / 0.3e1 * t129723;
  t129725 = t16086 - t2229 - 0.6e1 * t40315 * t129591 - 0.12e2 * t74875 * t16007 + t129711 + t40315 * t4586 * t129590 / 0.9e1 + 0.2e1 / 0.3e1 * t8508 * t1173 * t129434 + t129720 - 0.3e2 * t74564 * t16005 + t129724 + t2210;
  t129734 = t1383 * t18466 - t119497 - t122531 - 0.2e1 * t122538 + t129423 - t129425 + 0.2e1 * t122540 - 0.2e1 / 0.3e1 * t8219 * t126493 + 0.4e1 * t122545 - t122547 / 0.3e1 + 0.2e1 / 0.3e1 * t122550 - t18481 - t110 * t139 * (0.24e2 * t122426 - 0.12e2 * t122424 - 0.12e2 * t122416 + 0.4e2 / 0.3e1 * t122351 - 0.16e2 / 0.3e1 * t122330 + 0.8e1 / 0.3e1 * t122312 + t119455 - t119445 + t119344 - t119342 + t119333 - t119279 - t124657 + t124594 - t124595 - t124493 - t124494 - t124434 + t124435 + 0.6e1 * t14955 * t16011 + 0.12e2 * t74808 * t16055 + 0.44e2 * t74592 * t16002 - 0.12e2 * t74549 * t124496 - 0.36e2 * t74561 * t16059 + 0.8e1 * t74545 * t16021 - t2969 * t15523 - 0.2e1 / 0.3e1 * t74545 * t16079 - 0.2e1 * t40318 * t129591 + 0.24e2 * t74561 * t16076 - 0.12e2 * t74561 * t16031 + 0.2e1 * t2969 * t15497 - 0.72e2 * t74545 * t16024 - 0.6e1 * t2973 * t119446 - 0.22e2 * t14928 * t16014 - 0.5e1 / 0.18e2 * t14932 * t124436 + 0.44e2 / 0.3e1 * t14928 * t16041 - 0.2e1 * t559 * t4575 * t18423 * t2196 + 0.3e1 * t559 * t24458 * t2986 * t15312 - t559 * t4575 * t2986 * t15359 - 0.6e1 * t58028 * t360 * t14969 * t15312 - 0.6e1 * t8460 * t4626 * t129472 - 0.6e1 * t40458 * t360 * t129590 + 0.4e1 * t40461 * t360 * t128587 - 0.2e1 * t2056 * t1165 * t129600 + 0.3e1 * t8443 * t1165 * t129472 - 0.5e1 / 0.3e1 * t40455 * t46252 * t128587 - 0.8e1 * t40461 * t46256 * t128587 + 0.1e2 * t40455 * t46248 * t128587 - 0.4e1 / 0.3e1 * t2060 * t4572 * t129600 - t16084 + t16085 + t15518 + t18436 - t18437 + t18438 - t18369 + t18370 - t18371 + t129725 - t129702 - t129704 + t129692 - t129681 + t129672 + t129638 + t129636 - t129632 + t129629 + t129585 + t129579 + t129572 + t129553 - t129547 + t129543 - t129509 + t129495 + t129467 + t129477) * t168 / 0.4e1 + t18488;
  t129740 = my_piecewise3(t100, 0, t128771 + t129419 + t129386 + t129353 + t129324 + t129310 + t129284 + t129262 + t129226 + t129204 + t129181 + t129159 + t129120 + t129093 + t129073 + t129044 + t129020 + t129013 + t128985 + t128960 + t128931 + t128910 + t128889 + t128864 + t128833 + t128742 + t128711 + t128624 + t128597 + t128573 + t128803 + t129734);
  tv4sigma2tau217 = t3 * t129740;

  if(out->v4sigma2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigma2tau2[ip*p->dim.v4sigma2tau2 + 17] += tv4sigma2tau217;

  t129743 = t122657 / 0.2e1;
  t129745 = 0.9e1 * t122676;
  t129747 = 0.3e1 * t122688;
  t129748 = -t119533 + t119535 - t122650 - t119555 + t119556 / 0.2e1 + 0.3e1 * t119559 + t122655 - t129743 - t2089 + t2160 - t119572 - t119583 - t119596 - 0.3e1 * t119601 - t119612 - t129745 + t119625 + t119626 / 0.4e1 - t129747;
  t129749 = t26400 * t16778;
  t129755 = t18496 * t2105;
  t129757 = t42389 * t95 * t129755;
  t129770 = t246 * t8897 * t18585;
  t129771 = t129770 / 0.4e1;
  t129780 = 0.4e1 * t118078;
  t129781 = 0.2e1 * t118080;
  t129782 = 0.4e1 / 0.3e1 * t118082;
  t129783 = 0.4e1 * t118084;
  t129784 = 0.2e1 * t118086;
  t129785 = 0.4e1 * t118096;
  t129786 = t15109 + 0.4e1 * t11924 * t87741 + 0.4e1 * t11930 * t87680 - 0.4e1 / 0.3e1 * t11927 * t87880 - 0.4e1 * t11927 * t87753 - t129780 - t129781 + t129782 + t129783 + t129784 - t129785;
  t129794 = t2136 * t2592;
  t129795 = 0.2e1 * t129794;
  t129804 = 0.8e1 * t122585;
  t129805 = 0.8e1 * t122588;
  t129806 = 0.8e1 / 0.3e1 * t122592;
  t129807 = -0.4e1 * t16772 + 0.8e1 * t2566 * t15215 - 0.12e2 * t102230 * t2323 - 0.4e1 * t2569 * t2166 + t129795 + 0.2e1 * t472 * t16760 - 0.8e1 * t102264 * t2318 - 0.8e1 / 0.3e1 * t102249 * t15163 + 0.16e2 / 0.9e1 * t102271 * t16646 + t129804 - t129805 + t129806;
  t129809 = 0.2e1 / 0.3e1 * t118101;
  t129815 = 0.8e1 * t122602;
  t129816 = 0.8e1 * t122608;
  t129817 = 0.4e1 / 0.3e1 * t122616;
  t129821 = t75345 * t2592;
  t129822 = 0.2e1 * t129821;
  t129823 = -t15121 + t129809 + 0.4e1 * t16786 - 0.24e2 * t102264 * t2331 + 0.32e2 / 0.3e1 * t102271 * t16651 - t129815 + t129816 + t129817 - 0.2e1 / 0.3e1 * t16662 + 0.12e2 * t102271 * t16905 - t129822;
  t129845 = 0.4e1 * t118138;
  t129846 = -0.2e1 * t11930 * t16760 - 0.8e1 * t102249 * t15215 - 0.4e1 * t16767 + 0.12e2 * t102276 * t2323 + 0.4e1 * t102260 * t2166 - 0.4e1 / 0.3e1 * t2566 * t15163 + 0.2e2 / 0.9e1 * t102223 * t16646 - 0.4e1 * t102219 * t2318 + 0.24e2 * t102219 * t2331 - 0.12e2 * t102223 * t16905 + 0.4e1 / 0.3e1 * t102223 * t16651 + t129845;
  t129848 = t129786 + t129807 + t129823 + t129846;
  t129850 = t824 * t221 * t129848;
  t129866 = -0.3e1 / 0.2e1 * t58249 * t129749 + t58266 * t16775 + 0.2e1 / 0.3e1 * t58255 * t16779 + t6451 * t129757 / 0.2e1 - 0.2e1 * t122700 - t122703 - t119642 - 0.18e2 * t3167 * t102380 * t16646 - 0.9e1 / 0.2e1 * t3167 * t102654 * t118313 + 0.8e1 * t26009 * t103235 - t129771 - t246 * t1559 * t129850 / 0.4e1 + t122719 - 0.3e1 / 0.2e1 * t47008 * t2584 - 0.3e1 / 0.2e1 * t18529 * t27641 + 0.3e1 / 0.2e1 * t1228 * t18524 + 0.7e1 / 0.3e1 * t18529 * t27637 - t18529 * t26795 / 0.2e1 + 0.3e1 / 0.4e1 * t87111 * t481;
  t129879 = t26405 * t16778;
  t129882 = 0.2e1 * t122723;
  t129883 = 0.6e1 * t122726;
  t129884 = 0.9e1 * t122732;
  t129885 = 0.3e1 / 0.2e1 * t122734;
  t129886 = 0.9e1 / 0.2e1 * t122740;
  t129888 = 0.3e1 * t5286 * t18714 - 0.3e1 / 0.2e1 * t9948 * t2588 + t18539 * t5291 + 0.3e1 / 0.2e1 * t1228 * t18711 - 0.3e1 * t5286 * t18517 - 0.3e1 * t1228 * t18521 - 0.3e1 / 0.4e1 * t58249 * t129879 + t119680 + t129882 - t129883 - t122729 - t129884 - t129885 + t129886 + t119687 + t119692 - t119695 + t119704 - 0.3e1 / 0.4e1 * t119705;
  t129894 = t3520 * t16729;
  t129897 = t3520 * t16751;
  t129900 = t26954 * t2267;
  t129903 = t25709 * t2267;
  t129906 = t25714 * t2281;
  t129918 = t18496 * t414;
  t129919 = t95 * t129918;
  t129920 = t26405 * t129919;
  t129930 = -t119708 - 0.3e1 / 0.4e1 * t9948 * t2593 + 0.36e2 * t679 * t102380 * t16651 + t2534 * t129894 / 0.4e1 + t2534 * t129897 / 0.4e1 - 0.2e1 * t102318 * t129900 - 0.38e2 / 0.9e1 * t102318 * t129903 + 0.89e2 / 0.9e1 * t102318 * t129906 + 0.9e1 / 0.2e1 * t1516 * t16906 - 0.23e2 / 0.12e2 * t18529 * t118367 - 0.9e1 * t1516 * t16902 - 0.3e1 * t1516 * t16685 - 0.2e1 * t119718 + t119733 - t6439 * t129920 / 0.6e1 + 0.5e1 / 0.3e1 * t102371 * t16613 - 0.3e1 * t102390 * t2271 - t18539 * t15094 - 0.6e1 * t102390 * t2276;
  t129933 = t4808 * t16636;
  t129937 = t3360 * t665 * t16749;
  t129941 = t3690 * t16729;
  t129944 = t3690 * t16751;
  t129953 = t58670 * t2266;
  t129954 = t1254 * t129953;
  t129957 = t4851 * t16636;
  t129960 = t4867 * t16632;
  t129970 = t836 * t47044 * t2542;
  t129975 = t18578 * t414;
  t129976 = t95 * t129975;
  t129977 = t3273 * t129976;
  t129980 = t18578 * t2105;
  t129982 = t8790 * t95 * t129980;
  t129985 = t122760 / 0.4e1;
  t129986 = 0.23e2 / 0.12e2 * t12052 * t129933 - 0.3e1 / 0.2e1 * t246 * t12147 * t129937 + t2534 * t129941 / 0.2e1 + t2534 * t129944 / 0.2e1 + 0.22e2 / 0.3e1 * t102371 * t16640 - 0.23e2 / 0.3e1 * t102371 * t16629 - 0.6e1 * t12047 * t16637 - t1541 * t129954 / 0.2e1 + 0.7e1 * t12052 * t129957 - 0.3e1 / 0.2e1 * t12052 * t129960 + 0.3e1 / 0.2e1 * t11843 * t2332 - 0.3e1 / 0.2e1 * t60007 * t2319 - 0.3e1 / 0.2e1 * t11843 * t2324 + t466 * t129970 / 0.4e1 - t1228 * t18586 / 0.4e1 - t6454 * t129977 / 0.6e1 - t6451 * t129982 / 0.6e1 - t129985 + t118050;
  t130003 = t25714 * t2267;
  t130006 = t26011 * t2281;
  t130012 = t3556 * t129975;
  t130016 = 0.3e1 * t122845;
  t130017 = 0.23e2 / 0.12e2 * t122848;
  t130018 = 0.7e1 * t122860;
  t130019 = -0.6e1 * t679 * t102784 * t15163 + 0.2e1 * t122778 + t122781 - t122808 + t122815 - t2534 * t47013 / 0.2e1 - t466 * t87106 / 0.4e1 + t2529 * t10198 / 0.2e1 - 0.11e2 / 0.18e2 * t18529 * t26432 + 0.23e2 / 0.36e2 * t18529 * t27559 - t18510 * t1223 / 0.2e1 - 0.61e2 / 0.27e2 * t102318 * t130003 + 0.44e2 / 0.27e2 * t102318 * t130006 - 0.9e1 / 0.2e1 * t246 * t102654 * t118018 - t4772 * t1591 * t130012 / 0.2e1 + t130016 + t130017 + t130018 - t118171;
  t130024 = t47795 * t16666;
  t130027 = 0.11e2 / 0.6e1 * t122933;
  t130037 = t836 * t837 * t94 * t129848;
  t130046 = t118172 - t118178 - t118190 - t122866 + t119777 - t119781 - 0.3e1 * t4772 * t11912 * t16766 + t119798 + t119805 - t119808 + t6439 * t130024 / 0.4e1 - t130027 + t246 * t12135 * t16760 + 0.9e1 / 0.2e1 * t1516 * t16687 - 0.18e2 * t679 * t102780 * t2318 + t466 * t130037 / 0.12e2 - 0.9e1 * t6411 * t16652 + 0.2e1 * t102377 * t2268 + t18510 * t2108 / 0.2e1;
  t130047 = t26011 * t16909;
  t130054 = 0.3e1 / 0.2e1 * t122943;
  t130055 = 0.3e1 / 0.2e1 * t122949;
  t130057 = t815 * t16870;
  t130060 = 0.18e2 * t123009;
  t130061 = 0.2e1 * t123012;
  t130062 = 0.36e2 * t123017;
  t130063 = t20876 * t16791;
  t130067 = t3556 * t16815;
  t130074 = t20845 * t2287;
  t130077 = -t122992 - 0.12e2 * t122999 + 0.18e2 * t88102 * t130057 + t130060 - t130061 - t130062 + t123026 - t123039 - t123042 - t11896 * t130063 / 0.6e1 - t123049 + t123054 + 0.8e1 * t123059 + t123069 - 0.6e1 * t2558 * t130067 + 0.4e1 * t2554 * t16816 + t18658 * t118645 / 0.3e1 - t103300 * t130074 / 0.9e1;
  t130082 = t22309 * t16804;
  t130085 = t20862 * t16791;
  t130090 = t2298 * t18578;
  t130091 = t3130 * t130090;
  t130094 = t123101 / 0.3e1;
  t130095 = 0.6e1 * t123108;
  t130102 = t20871 * t2287;
  t130105 = t2118 * t18631;
  t130106 = 0.2e1 * t130105;
  t130107 = t2298 * t18496;
  t130108 = t22290 * t130107;
  t130111 = t3130 * t16815;
  t130114 = t3556 * t130090;
  t130116 = t22309 * t130107;
  t130119 = t20862 * t2287;
  t130122 = 0.24e2 * t18655 * t15246 + 0.8e1 * t103329 * t16796 - 0.9e1 * t2558 * t130082 - 0.1e2 * t11896 * t130085 + 0.72e2 * t103322 * t2295 - 0.2e1 / 0.3e1 * t1591 * t130091 - t130094 + t130095 - 0.24e2 * t103363 * t2288 - 0.6e1 * t18662 * t2129 + 0.2e1 * t18658 * t118552 - 0.4e1 / 0.3e1 * t103300 * t130102 + t130106 + 0.4e1 / 0.3e1 * t1591 * t130108 + t2558 * t130111 - 0.4e1 * t123127 + t1591 * t130114 - 0.2e1 * t1591 * t130116 + 0.24e2 * t103300 * t130119;
  t130124 = t20876 * t2287;
  t130128 = t788 * t60 * t129848;
  t130131 = t20862 * t2298;
  t130136 = 0.12e2 * t123130;
  t130137 = t123134 / 0.6e1;
  t130138 = 0.1e2 * t123136;
  t130139 = 0.18e2 * t123142;
  t130141 = t103256 * t414;
  t130142 = t815 * t130141;
  t130146 = t3580 * t16866;
  t130150 = t233 * t11963 * t16749;
  t130153 = t802 * t130141;
  t130156 = 0.8e1 / 0.3e1 * t103300 * t130124 + t470 * t130128 / 0.2e1 - 0.12e2 * t103300 * t130131 - 0.36e2 * t103322 * t2306 - t130136 + t130137 + t130138 + t130139 + 0.2e1 * t120035 - t120040 + 0.4e1 * t32108 * t130142 - t120050 - 0.12e2 * t120052 - t120056 + 0.2e1 * t59023 * t130146 + t118539 + 0.4e1 * t10088 * t130150 - 0.2e1 / 0.3e1 * t32108 * t130153;
  t130157 = t103271 * t414;
  t130158 = t233 * t130157;
  t130161 = t3590 * t16866;
  t130165 = t2118 * t18637;
  t130166 = t802 * t16870;
  t130169 = t233 * t130141;
  t130174 = 0.18e2 * t123194;
  t130176 = t120064 + t120067 + 0.2e1 * t6344 * t130158 + t59023 * t130161 / 0.3e1 - 0.4e1 * t120091 + t120112 - t120117 - t130165 - t118587 - 0.3e1 * t88102 * t130166 - 0.4e1 * t32105 * t130169 - t18629 - t120156 - t120159 - 0.18e2 * t59023 * t16874 + t130174 - 0.4e1 * t123199 + t118606 + t120181;
  t130179 = t22290 * t16791;
  t130186 = t2118 * t18675;
  t130193 = -0.72e2 * t103329 * t16799 - 0.16e2 * t11892 * t16792 + 0.9e1 * t11896 * t130179 - 0.12e2 * t59134 * t16867 - 0.8e1 * t87965 * t16871 + 0.32e2 * t59026 * t16877 + t120194 + t120204 - t120215 - t130186 - t15239 - t15773 - t16809 - t16810 + t16812 + t16849 + t18639 - t18640;
  t130194 = t802 * t130157;
  t130197 = t2118 * t18680;
  t130198 = t130197 / 0.2e1;
  t130199 = 0.9e1 * t123244;
  t130206 = t22290 * t16804;
  t130213 = t788 * t130090;
  t130216 = t3562 * t18679 * t2105;
  t130221 = t22302 * t18674 * t2105;
  t130225 = t3562 * t2571 * t16749;
  t130228 = t3562 * t130107;
  t130231 = t6341 * t130194 / 0.3e1 + t130198 - t130199 - 0.12e2 * t103322 * t2291 - 0.4e1 * t18655 * t15253 + 0.4e1 / 0.3e1 * t103329 * t16831 + 0.6e1 * t2558 * t130206 + 0.4e1 * t2554 * t16805 + 0.32e2 / 0.3e1 * t11892 * t16818 - t1587 * t130213 - t470 * t130216 + 0.6e1 * t11912 * t16802 + 0.3e1 * t470 * t130221 - 0.2e1 * t470 * t130225 + 0.2e1 * t1587 * t130228 + t118668 - t118674 - t118677 + t123255;
  t130233 = t3130 * t16851;
  t130238 = 0.9e1 * t123258;
  t130252 = t233 * t103256 * t2105;
  t130259 = t788 * t63 * t129848;
  t130269 = -0.2e1 * t2558 * t130233 - 0.2e1 / 0.3e1 * t103329 * t16841 - t130238 - 0.1e2 * t18658 * t118720 - 0.12e2 * t18655 * t15293 + 0.8e1 * t18655 * t15263 + 0.36e2 * t103329 * t16838 + 0.9e1 * t18658 * t118688 - t18658 * t118730 / 0.6e1 - 0.6e1 * t48493 * t130252 + 0.6e1 * t123266 - t123271 + 0.12e2 * t103363 * t2302 - t470 * t130259 - 0.18e2 * t18658 * t118546 - 0.2e1 * t2554 * t16852 + 0.3e1 * t18662 * t2142 + 0.24e2 * t103322 * t2299 + t18666;
  t130272 = t815 * t130157;
  t130278 = t233 * t103271 * t2105;
  t130281 = t3556 * t16851;
  t130286 = t20871 * t2298;
  t130289 = t20876 * t2298;
  t130292 = -t18667 + t18668 + t120234 + 0.6e1 * t120239 + 0.2e1 * t123297 - 0.2e1 * t6341 * t130272 - 0.16e2 / 0.3e1 * t59026 * t16874 + 0.2e1 * t10088 * t130278 + t16880 - t15274 + t15282 + t16881 + t123304 - t2138 + 0.3e1 * t2558 * t130281 - 0.4e2 * t103329 * t16855 + 0.1e2 / 0.3e1 * t103300 * t130286 + 0.5e2 / 0.3e1 * t103300 * t130289 + t2119;
  t130300 = t4877 * t129976;
  t130305 = t3562 * t129918;
  t130308 = t22302 * t129755;
  t130312 = t26400 * t129919;
  t130315 = t26847 * t16670;
  t130319 = t26189 * t3156 * t16665;
  t130324 = t26011 * t2267;
  t130329 = -0.43e2 / 0.9e1 * t102318 * t130047 + 0.18e2 * t102371 * t16910 + 0.9e1 / 0.2e1 * t18529 * t118062 - t130054 + t130055 + t118266 - t118270 + t119852 - t30 * t59 * (t130077 + t130122 + t130156 + t130176 + t130193 + t130231 + t130269 + t130292) * t95 / 0.4e1 + t6439 * t130300 / 0.12e2 - 0.4e1 / 0.3e1 * t58268 * t16782 - t4772 * t1587 * t130305 - 0.3e1 / 0.2e1 * t4772 * t470 * t130308 - t6439 * t130312 / 0.3e1 - 0.7e1 * t58252 * t130315 + 0.9e1 / 0.2e1 * t58252 * t130319 - 0.7e1 * t18529 * t118438 - 0.35e2 / 0.108e3 * t102318 * t130324 + 0.5e1 / 0.12e2 * t18529 * t118477;
  t130333 = t1516 * t16755;
  t130349 = t2541 * t16749;
  t130351 = t8790 * t95 * t130349;
  t130354 = t8790 * t129919;
  t130357 = t3562 * t130349;
  t130363 = t26405 * t670 * t16770;
  t130366 = 0.3e1 / 0.4e1 * t123345;
  t130367 = t2087 * t18504;
  t130368 = t130367 / 0.6e1;
  t130370 = t3460 * t4748 * t18502;
  t130374 = t246 * t8897 * t18498;
  t130375 = t130374 / 0.2e1;
  t130380 = -0.3e1 / 0.4e1 * t130333 - 0.3e1 / 0.4e1 * t1516 * t16761 - 0.28e2 * t25893 * t102788 + 0.6e1 * t246 * t102784 * t15215 + 0.18e2 * t246 * t102780 * t2331 + 0.3e1 / 0.2e1 * t47384 * t16772 + 0.3e1 / 0.2e1 * t47384 * t16767 - t6451 * t130351 / 0.3e1 + t6454 * t130354 / 0.3e1 + t4772 * t470 * t130357 + 0.2e1 / 0.3e1 * t4872 * t102540 + 0.3e1 * t58249 * t130363 + t130366 + t18600 - t130368 - t466 * t130370 / 0.6e1 + t130375 + t1228 * t18499 / 0.2e1 - t2529 * t16752 / 0.3e1;
  t130387 = t1261 * t129953;
  t130406 = t843 * t129953;
  t130409 = t4851 * t16632;
  t130414 = -t18601 - t18602 + t15640 + 0.3e1 / 0.2e1 * t12047 * t16894 - 0.3e1 / 0.2e1 * t12030 * t16897 - t2529 * t15691 / 0.2e1 - t1541 * t130387 / 0.4e1 - 0.6e1 * t246 * t102578 * t2323 + 0.11e2 / 0.6e1 * t18529 * t118448 + 0.4e1 * t18539 * t15209 + 0.9e1 * t679 * t102654 * t118353 - 0.62e2 / 0.3e1 * t26009 * t102771 - t4872 * t102983 / 0.3e1 + t119864 - t119866 + t466 * t123473 / 0.4e1 + t1568 * t130406 / 0.2e1 - 0.11e2 / 0.6e1 * t12052 * t130409 + 0.9e1 * t6411 * t16695;
  t130427 = t836 * t6119 * t16750;
  t130434 = t3520 * t1226 * t2542;
  t130441 = t3360 * t660 * t16749;
  t130447 = t20831 * t16650;
  t130455 = t20831 * t20854 * t414;
  t130459 = t20831 * t16645;
  t130466 = t20831 * t20832 * t414;
  t130470 = 0.3e1 * t6411 * t16678 - 0.9e1 / 0.2e1 * t4806 * t102566 - 0.2e1 * t2534 * t119716 + 0.3e1 / 0.2e1 * t18529 * t118022 - 0.2e1 * t18539 * t15211 + t466 * t130427 / 0.4e1 - 0.3e1 / 0.2e1 * t246 * t102587 * t2166 - t2534 * t130434 + 0.6e1 * t102371 * t16656 + t119870 + 0.3e1 / 0.2e1 * t5286 * t18595 + 0.3e1 / 0.2e1 * t679 * t12147 * t130441 + 0.9e1 / 0.2e1 * t32356 * t16647 + 0.6e1 * t246 * t102385 * t130447 - 0.18e2 * t246 * t102380 * t16905 + 0.18e2 * t3167 * t102385 * t130455 - 0.18e2 * t679 * t102385 * t130459 + 0.12e2 * t102390 * t2282 - 0.6e1 * t20841 * t102385 * t130466;
  t130472 = 0.5e1 / 0.12e2 * t123390;
  t130480 = t22309 * t16770;
  t130484 = t31478 * t16666;
  t130487 = t80110 * t16778;
  t130490 = t2087 * t18620;
  t130493 = t20876 * t16665;
  t130497 = 0.9e1 * t123419;
  t130502 = -0.3e1 * t123376 - t123380 - t119902 - t119905 - t130472 + 0.3e1 / 0.2e1 * t47381 * t16662 - 0.3e1 / 0.2e1 * t47384 * t16786 + 0.8e1 * t4772 * t11892 * t16785 + 0.9e1 / 0.2e1 * t4772 * t2558 * t130480 - t6454 * t130484 / 0.2e1 - t6451 * t130487 / 0.2e1 + t130490 / 0.4e1 + 0.3e1 * t123400 + t119921 - 0.9e1 / 0.2e1 * t9877 * t11896 * t130493 + t130497 - t119932 - 0.8e1 / 0.3e1 * t58268 * t16667 + 0.16e2 / 0.3e1 * t58268 * t16671;
  t130505 = t22290 * t129918;
  t130508 = 0.3e1 * t123452;
  t130509 = t3130 * t129975;
  t130513 = -t4983 * t1591 * t130505 + t130508 + t16698 - t16699 + t16700 - t16701 + t16704 + t16705 - t119965 + t123480 + t123483 + t18603 + t18604 - t18605 - t18606 - t119984 + t119989 - t18626 + t4983 * t1591 * t130509 / 0.2e1;
  t130514 = t22309 * t129918;
  t130517 = 0.9e1 / 0.2e1 * t123537;
  t130541 = t3562 * t129980;
  t130545 = t788 * t129975;
  t130549 = t20862 * t16665;
  t130553 = t22290 * t16665;
  t130557 = t16764 - t16765 + t4772 * t1591 * t130514 + t130517 - 0.8e1 * t4983 * t11892 * t87554 - 0.2e1 * t4772 * t2554 * t16771 - t417 * t102728 / 0.12e2 + t102733 * t432 / 0.4e1 + 0.3e1 / 0.2e1 * t26784 * t18514 - 0.5e1 / 0.36e2 * t18529 * t26863 + t2534 * t47003 - t2534 * t47299 / 0.4e1 + t18539 * t5229 / 0.2e1 - 0.2e1 * t18539 * t5281 + 0.3e1 / 0.2e1 * t9948 * t2596 + t4772 * t470 * t130541 / 0.2e1 + t4772 * t1587 * t130545 / 0.2e1 + 0.9e1 * t4983 * t11896 * t130549 - 0.9e1 / 0.2e1 * t4772 * t11896 * t130553;
  t130559 = t26405 * t16666;
  t130562 = t46876 * t16666;
  t130573 = 0.9e1 / 0.2e1 * t123589;
  t130574 = t26847 * t16666;
  t130577 = t26189 * t16670;
  t130580 = t2087 * t18581;
  t130581 = t130580 / 0.12e2;
  t130583 = t836 * t4748 * t18579;
  t130588 = t3520 * t244 * t16750;
  t130592 = 0.3e1 / 0.2e1 * t58252 * t130559 - t16789 + t6439 * t130562 / 0.2e1 - t6439 * t47795 * t16670 + t1228 * t18589 + 0.3e1 / 0.2e1 * t1516 * t16690 - t2529 * t16730 / 0.3e1 - 0.2e1 / 0.3e1 * t123582 - t16889 - t16890 + t130573 - t18627 + 0.11e2 / 0.6e1 * t58252 * t130574 - 0.23e2 / 0.12e2 * t58252 * t130577 + t130581 + t466 * t130583 / 0.12e2 + t2534 * t119966 - t2534 * t130588 - 0.3e1 / 0.2e1 * t1228 * t18612;
  t130598 = t4808 * t16632;
  t130605 = 0.9e1 / 0.2e1 * t123603;
  t130606 = 0.3e1 * t123641;
  t130608 = t22290 * t16770;
  t130612 = t5175 * t129976;
  t130615 = t26189 * t16666;
  t130618 = 0.3e1 * t12047 * t16633 + t1252 * t102482 - 0.3e1 / 0.4e1 * t11843 * t2327 - 0.5e1 / 0.12e2 * t12052 * t130598 + t2534 * t119566 / 0.2e1 + t18628 + 0.47e2 / 0.3e1 * t26009 * t102660 - t130605 + t120286 - t120292 + t123634 + t123636 - t130606 - t123648 + t123650 / 0.2e1 - 0.9e1 / 0.2e1 * t4983 * t2558 * t130608 + t123662 + t6439 * t130612 / 0.6e1 + 0.5e1 / 0.12e2 * t58252 * t130615 + t120299;
  t130623 = my_piecewise3(t2, 0, t129748 + t129866 + t129888 + t129930 + t129986 + t130019 + t130046 + t130329 + t130380 + t130414 + t130470 + t130502 + t130513 + t130557 + t130592 + t130618);
  tv4sigmalapl30 = t3 * t130623;

  if(out->v4sigmalapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 0] += tv4sigmalapl30;

  tv4sigmalapl31 = 0.e0;

  if(out->v4sigmalapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 1] += tv4sigmalapl31;

  tv4sigmalapl32 = 0.e0;

  if(out->v4sigmalapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 2] += tv4sigmalapl32;

  tv4sigmalapl33 = 0.e0;

  if(out->v4sigmalapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 3] += tv4sigmalapl33;

  tv4sigmalapl34 = 0.e0;

  if(out->v4sigmalapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 4] += tv4sigmalapl34;

  tv4sigmalapl35 = 0.e0;

  if(out->v4sigmalapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 5] += tv4sigmalapl35;

  tv4sigmalapl36 = 0.e0;

  if(out->v4sigmalapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 6] += tv4sigmalapl36;

  tv4sigmalapl37 = 0.e0;

  if(out->v4sigmalapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 7] += tv4sigmalapl37;

  tv4sigmalapl38 = 0.e0;

  if(out->v4sigmalapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 8] += tv4sigmalapl38;

  tv4sigmalapl39 = 0.e0;

  if(out->v4sigmalapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 9] += tv4sigmalapl39;

  tv4sigmalapl310 = 0.e0;

  if(out->v4sigmalapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 10] += tv4sigmalapl310;

  t130625 = 0.11e2 / 0.6e1 * t123702;
  t130626 = 0.9e1 * t123729;
  t130627 = t123737 / 0.2e1;
  t130629 = 0.9e1 / 0.2e1 * t123810;
  t130630 = 0.3e1 * t123812;
  t130631 = 0.9e1 * t123819;
  t130632 = 0.3e1 / 0.2e1 * t123821;
  t130633 = t18772 * t439;
  t130634 = t168 * t130633;
  t130635 = t30134 * t130634;
  t130638 = t24435 * t130633;
  t130641 = t120314 / 0.2e1 - t130625 - t130626 - t130627 - 0.3e1 / 0.4e1 * t120330 - t123774 + t123793 + t123798 - t2180 + t2251 + t130629 + t130630 - t130631 - t130632 - t123829 - t120354 - t120358 - t6769 * t130635 / 0.3e1 - t5639 * t1720 * t130638;
  t130642 = t24564 * t130633;
  t130645 = 0.2e1 * t123840;
  t130646 = 0.9e1 * t123926;
  t130648 = t30141 * t17042;
  t130654 = 0.23e2 / 0.12e2 * t123966;
  t130656 = t4354 * t5553 * t18778;
  t130659 = t34283 * t17047;
  t130662 = 0.3e1 / 0.2e1 * t123988;
  t130663 = t5665 * t1720 * t130642 - t120379 + t123839 + t130645 - t120410 + t130646 + t120422 + 0.3e1 * t120424 - 0.3e1 / 0.4e1 * t61173 * t130648 + t123938 - 0.2e1 * t5665 * t2629 * t17194 - t120431 - t120436 + t130654 + t120450 - t118825 - t490 * t130656 / 0.6e1 - t6764 * t130659 / 0.2e1 - t130662;
  t130665 = 0.3e1 * t124020;
  t130666 = t18761 * t439;
  t130667 = t168 * t130666;
  t130668 = t4687 * t130667;
  t130671 = t29474 * t17047;
  t130679 = t29113 * t2338;
  t130696 = -t123994 - t130665 + t124029 - t120459 + t120462 - t6764 * t130668 / 0.6e1 + 0.5e1 / 0.12e2 * t61081 * t130671 + 0.3e1 * t12535 * t17208 + t2609 * t120432 + 0.6e1 * t104012 * t17203 - 0.38e2 / 0.9e1 * t104003 * t130679 - 0.9e1 / 0.2e1 * t12414 * t5595 * t6953 * t2337 - 0.62e2 / 0.3e1 * t104003 * t29280 + 0.8e1 * t104003 * t29575 + 0.9e1 / 0.2e1 * t34264 * t17175 - 0.9e1 * t6955 * t17200 - t124052 - 0.3e1 * t120467 + t18916 * t5800;
  t130713 = 0.9e1 / 0.2e1 * t124055;
  t130732 = -0.2e1 * t18916 * t5804 - t2609 * t51336 / 0.2e1 + t2604 * t10421 / 0.2e1 + t18916 * t5819 / 0.2e1 - 0.3e1 * t1383 * t18891 + 0.3e1 / 0.2e1 * t1383 * t18895 - t2609 * t50270 / 0.4e1 - 0.5e1 / 0.36e2 * t18901 * t30231 + t130713 - t120497 + 0.3e1 / 0.2e1 * t10426 * t2671 + 0.3e1 / 0.2e1 * t29089 * t18908 - t442 * t104589 / 0.12e2 + t104585 * t457 / 0.4e1 - t18736 * t1378 / 0.2e1 - t490 * t89632 / 0.4e1 + 0.3e1 / 0.2e1 * t1383 * t18725 + 0.3e1 * t5792 * t18729 - 0.3e1 / 0.2e1 * t10426 * t2663;
  t130739 = t30134 * t17042;
  t130746 = t62134 * t2337;
  t130747 = t1101 * t130746;
  t130756 = t4305 * t1013 * t16968;
  t130775 = t28999 * t5596;
  t130778 = -0.3e1 * t5792 * t18911 - 0.8e1 / 0.3e1 * t61124 * t17061 - 0.3e1 / 0.2e1 * t61173 * t130739 + 0.2e1 / 0.3e1 * t5673 * t104382 - 0.4e1 / 0.3e1 * t61124 * t17048 + t120530 + t1702 * t130747 / 0.2e1 + t490 * t123999 / 0.4e1 - t18916 * t15365 - 0.3e1 / 0.2e1 * t1383 * t18878 - 0.3e1 / 0.2e1 * t373 * t12424 * t130756 - 0.2e1 * t2609 * t120487 + 0.18e2 * t104012 * t5597 + 0.9e1 / 0.2e1 * t18901 * t118955 + 0.3e1 / 0.2e1 * t5792 * t18793 + 0.12e2 * t104745 * t2353 + 0.4e1 * t18916 * t15448 + 0.9e1 * t1029 * t103969 * t118950 - 0.43e2 / 0.9e1 * t104003 * t130775;
  t130795 = t2616 * t16968;
  t130797 = t9444 * t168 * t130795;
  t130800 = 0.9e1 / 0.2e1 * t124094;
  t130802 = t30141 * t17047;
  t130806 = t29474 * t4191 * t17046;
  t130811 = t1647 * t16992;
  t130815 = t2178 * t18740;
  t130817 = 0.3e1 * t124103;
  t130818 = 0.9e1 * t6955 * t16974 + 0.3e1 * t6955 * t16977 - t2604 * t17036 / 0.3e1 - t2604 * t16999 / 0.3e1 - t2604 * t15926 / 0.2e1 - 0.3e1 * t104745 * t2342 + 0.2e1 / 0.3e1 * t61720 * t17043 + t61122 * t17051 - 0.2e1 * t124091 - t6772 * t130797 / 0.3e1 + t130800 + t120532 / 0.4e1 + 0.3e1 / 0.2e1 * t61081 * t130802 + 0.9e1 / 0.2e1 * t61081 * t130806 - 0.3e1 / 0.4e1 * t10426 * t2668 - 0.3e1 / 0.4e1 * t130811 - 0.3e1 / 0.4e1 * t1647 * t16971 + t130815 / 0.4e1 + t130817;
  t130820 = t24435 * t17041;
  t130826 = t1165 * t130666;
  t130830 = t124114 / 0.4e1;
  t130831 = t29468 * t17047;
  t130834 = t81510 * t17042;
  t130840 = t4572 * t130666;
  t130844 = t4626 * t130666;
  t130854 = t4553 * t17035;
  t130857 = t24477 * t17046;
  t130864 = t30141 * t1018 * t17041;
  t130867 = t29474 * t17064;
  t130873 = -0.9e1 / 0.2e1 * t5639 * t2633 * t130820 - t5673 * t104858 / 0.3e1 + t5665 * t1716 * t130826 / 0.2e1 - t130830 + 0.11e2 / 0.6e1 * t61081 * t130831 - t6772 * t130834 / 0.2e1 - 0.8e1 * t5639 * t12551 * t90689 + t5639 * t1720 * t130840 / 0.2e1 - t5665 * t1720 * t130844 / 0.2e1 - 0.18e2 * t4718 * t104513 * t17174 - 0.9e1 / 0.2e1 * t4718 * t103969 * t118918 + t2609 * t130854 / 0.2e1 - 0.9e1 / 0.2e1 * t10513 * t12580 * t130857 + 0.16e2 / 0.3e1 * t61124 * t17065 + 0.3e1 * t61173 * t130864 - 0.23e2 / 0.12e2 * t61081 * t130867 - 0.3e1 * t5665 * t12606 * t17190 + t16918 + t120573;
  t130874 = 0.3e1 / 0.2e1 * t124132;
  t130880 = t18772 * t2196;
  t130882 = t45083 * t168 * t130880;
  t130885 = t130874 + t16919 - t16920 + t16921 + t16922 - t16923 + t16924 - t16925 + t118987 + t120590 + t120594 + 0.3e1 / 0.2e1 * t50860 * t17191 - t5673 * t104496 + 0.3e1 / 0.2e1 * t50860 * t17195 + t6772 * t130882 / 0.2e1 + t120601 - t120603 - t16926 - t16927;
  t130892 = t24678 * t17173;
  t130896 = t24678 * t17198;
  t130900 = t5563 * t17024;
  t130914 = t1423 * t130746;
  t130921 = t5595 * t17024;
  t130927 = t29118 * t2352;
  t130930 = t29545 * t2338;
  t130935 = -0.18e2 * t373 * t104513 * t17015 - 0.18e2 * t1029 * t104024 * t130892 + 0.6e1 * t373 * t104024 * t130896 - 0.3e1 / 0.2e1 * t12414 * t130900 + 0.7e1 * t12414 * t5733 * t17211 - 0.6e1 * t12535 * t17212 + 0.22e2 / 0.3e1 * t104012 * t17183 - 0.3e1 / 0.2e1 * t61509 * t2390 + 0.3e1 / 0.2e1 * t12474 * t2403 - t1683 * t130914 / 0.2e1 + 0.3e1 / 0.2e1 * t12535 * t17025 + t2609 * t120385 / 0.2e1 - 0.5e1 / 0.12e2 * t12414 * t130921 - 0.18e2 * t1029 * t103997 * t2389 + 0.89e2 / 0.9e1 * t104003 * t130927 - 0.2e1 * t104003 * t130930 - 0.3e1 / 0.2e1 * t12474 * t2395 + t120617 - t120636;
  t130943 = t28999 * t2338;
  t130946 = t18761 * t2196;
  t130947 = t4575 * t130946;
  t130955 = t50503 * t17047;
  t130958 = t5674 * t130667;
  t130962 = t4305 * t1008 * t16968;
  t130973 = t373 * t9409 * t18774;
  t130974 = t130973 / 0.2e1;
  t130975 = t2178 * t18780;
  t130976 = t130975 / 0.6e1;
  t130977 = -0.3e1 / 0.4e1 * t12474 * t2398 + t1421 * t104761 + 0.5e1 / 0.3e1 * t104012 * t17004 + 0.5e1 / 0.12e2 * t18901 * t118881 - 0.35e2 / 0.108e3 * t104003 * t130943 + t5665 * t494 * t130947 / 0.2e1 - t120639 - t16951 + 0.3e1 / 0.2e1 * t51176 * t17054 - 0.3e1 / 0.2e1 * t50860 * t17058 + t6769 * t130955 / 0.2e1 + t6769 * t130958 / 0.6e1 - t18783 + 0.3e1 / 0.2e1 * t1029 * t12424 * t130962 + 0.9e1 / 0.2e1 * t1647 * t16984 + 0.3e1 / 0.2e1 * t1647 * t16987 + t1383 * t18775 / 0.2e1 + t130974 - t130976;
  t131000 = t29118 * t2338;
  t131003 = t28999 * t2352;
  t131006 = t5733 * t17024;
  t131009 = t5595 * t17211;
  t131012 = t50296 * t17047;
  t131015 = -0.9e1 / 0.2e1 * t373 * t103969 * t119077 + 0.47e2 / 0.3e1 * t28997 * t103975 + t124222 + 0.3e1 * t124228 + t124233 - t124246 - 0.3e1 * t124252 - 0.9e1 * t1647 * t17019 - 0.3e1 * t1647 * t16982 + 0.18e2 * t373 * t103997 * t2402 + 0.6e1 * t373 * t104311 * t15455 - 0.28e2 * t29133 * t104315 - 0.3e1 / 0.2e1 * t12544 * t17028 - 0.61e2 / 0.27e2 * t104003 * t131000 + 0.44e2 / 0.27e2 * t104003 * t131003 - 0.11e2 / 0.6e1 * t12414 * t131006 + 0.23e2 / 0.12e2 * t12414 * t131009 + t6769 * t131012 / 0.4e1 - t120661;
  t131017 = t373 * t9409 * t18787;
  t131018 = t131017 / 0.4e1;
  t131027 = t78096 * t2667;
  t131028 = 0.2e1 * t131027;
  t131041 = 0.4e1 * t12377 * t91495 + 0.4e1 * t12383 * t91487 - 0.4e1 / 0.3e1 * t12380 * t90750 - 0.4e1 * t12380 * t90741 - t131028 - 0.2e1 * t12383 * t16970 + 0.12e2 * t104153 * t2394 + 0.4e1 * t104156 * t2257 - 0.8e1 * t104140 * t2389 - 0.8e1 / 0.3e1 * t104125 * t15388 + 0.16e2 / 0.9e1 * t104128 * t17174;
  t131050 = 0.8e1 * t123860;
  t131051 = 0.8e1 / 0.3e1 * t123862;
  t131052 = 0.4e1 * t119171;
  t131053 = 0.4e1 * t119173;
  t131054 = 0.2e1 * t119175;
  t131059 = -0.24e2 * t104140 * t2402 + 0.32e2 / 0.3e1 * t104128 * t17199 - 0.2e1 / 0.3e1 * t17054 + 0.12e2 * t104128 * t17015 + 0.4e1 * t17058 + t131050 + t131051 + t131052 - t131053 + t131054 + 0.24e2 * t104168 * t2402 - 0.12e2 * t104171 * t17015;
  t131073 = 0.8e1 * t123873;
  t131080 = 0.4e1 / 0.3e1 * t104171 * t17199 - 0.4e1 * t104168 * t2389 - 0.4e1 / 0.3e1 * t2641 * t15388 + 0.2e2 / 0.9e1 * t104171 * t17174 - 0.4e1 * t17195 - 0.8e1 * t104125 * t15455 - 0.4e1 * t17191 - t131073 + 0.2e1 * t496 * t16970 + 0.8e1 * t2641 * t15455 - 0.12e2 * t104178 * t2394;
  t131083 = t2227 * t2667;
  t131084 = 0.2e1 * t131083;
  t131085 = 0.8e1 * t123889;
  t131086 = 0.4e1 / 0.3e1 * t123896;
  t131087 = 0.8e1 * t123902;
  t131088 = 0.4e1 * t119179;
  t131089 = 0.4e1 * t119181;
  t131090 = 0.2e1 * t119183;
  t131091 = 0.4e1 / 0.3e1 * t119185;
  t131092 = 0.2e1 / 0.3e1 * t119216;
  t131093 = -0.4e1 * t2644 * t2257 + t131084 + t131085 + t131086 - t131087 + t131088 - t131089 - t131090 + t131091 + t131092 + t15340 - t15352;
  t131095 = t131041 + t131059 + t131080 + t131093;
  t131097 = t1076 * t348 * t131095;
  t131127 = 0.5e1 / 0.12e2 * t124262;
  t131128 = t9444 * t130634;
  t131131 = 0.7e1 * t124275;
  t131132 = -t131018 - t373 * t1693 * t131097 / 0.4e1 - 0.6e1 * t1029 * t104311 * t15388 - 0.3e1 / 0.2e1 * t373 * t104710 * t2257 + t1383 * t18798 + t373 * t12511 * t16970 - t1383 * t18788 / 0.4e1 - 0.7e1 * t18901 * t118928 - 0.6e1 * t373 * t104706 * t2394 + 0.3e1 / 0.2e1 * t18901 * t119081 - 0.23e2 / 0.12e2 * t18901 * t118760 + 0.11e2 / 0.6e1 * t18901 * t118876 - 0.6e1 * t104745 * t2347 - 0.2e1 * t18916 * t15451 + t18785 - t131127 + t6764 * t131128 / 0.3e1 + t131131 - t120676;
  t131151 = 0.6e1 * t124299;
  t131152 = t4553 * t16998;
  t131156 = t4376 * t1381 * t2617;
  t131159 = t4376 * t371 * t16997;
  t131164 = t24678 * t24581 * t439;
  t131169 = t24678 * t24556 * t439;
  t131173 = t1430 * t130746;
  t131176 = -0.2e1 * t120692 + t2609 * t51326 - 0.3e1 / 0.2e1 * t18901 * t29084 - 0.3e1 / 0.2e1 * t51333 * t2659 - 0.11e2 / 0.18e2 * t18901 * t29059 + 0.23e2 / 0.36e2 * t18901 * t29062 - t18901 * t29092 / 0.2e1 + 0.7e1 / 0.3e1 * t18901 * t29095 + 0.3e1 / 0.4e1 * t89637 * t505 - t120695 - t131151 - t124321 + t2609 * t131152 / 0.2e1 - t2609 * t131156 - t2609 * t131159 + 0.9e1 / 0.2e1 * t1647 * t17016 - 0.6e1 * t25474 * t104024 * t131164 + 0.18e2 * t4718 * t104024 * t131169 - t1683 * t131173 / 0.4e1;
  t131182 = 0.3e1 / 0.4e1 * t124346;
  t131183 = t24418 * t17046;
  t131187 = t24435 * t17046;
  t131191 = -0.23e2 / 0.3e1 * t104012 * t17187 + 0.36e2 * t1029 * t104513 * t17199 + t120718 - t18875 + t15913 + t120725 + t120735 - t120743 + t131182 + t18887 + t18888 + 0.9e1 * t5639 * t12580 * t131183 - 0.9e1 / 0.2e1 * t5665 * t12580 * t131187 + t120779 + t119123 - t119126 - t119130 - t119138 + t119143;
  t131193 = 0.3e1 * t124363;
  t131194 = 0.9e1 / 0.2e1 * t124368;
  t131195 = t5691 * t130667;
  t131201 = t24564 * t17041;
  t131207 = t4575 * t130633;
  t131210 = t24458 * t130880;
  t131216 = -t120781 - t131193 - t131194 - t18929 + t6769 * t131195 / 0.12e2 + 0.8e1 * t5665 * t12551 * t17057 + 0.9e1 / 0.2e1 * t5665 * t2633 * t131201 - 0.7e1 * t29352 * t104068 + t124384 - t5665 * t1716 * t131207 - 0.3e1 / 0.2e1 * t5665 * t494 * t131210 + t120788 - t18930 - t124740 - 0.2e1 / 0.3e1 * t124748 + t124751 / 0.2e1 + t120801 + t120826 - t120834;
  t131217 = t4376 * t16998;
  t131225 = t1094 * t50380 * t2617;
  t131229 = t1094 * t6755 * t16997;
  t131232 = t2178 * t18764;
  t131233 = t131232 / 0.12e2;
  t131235 = t1094 * t5553 * t18762;
  t131240 = t1094 * t1095 * t167 * t131095;
  t131243 = t4376 * t17035;
  t131246 = t30141 * t130634;
  t131253 = 0.2e1 * t124390;
  t131254 = 0.18e2 * t124395;
  t131261 = t4572 * t17076;
  t131264 = 0.36e2 * t124412;
  t131271 = 0.2e1 * t120845 - t120861 - t120864 - 0.16e2 * t12551 * t17122 - t131253 + t131254 - t120871 - 0.12e2 * t105063 * t2362 + 0.4e1 * t2629 * t17077 + 0.32e2 / 0.3e1 * t12551 * t17080 + t2633 * t131261 + t120874 + t124404 + 0.6e1 * t124411 - t131264 - 0.12e2 * t62421 * t17155 - 0.8e1 * t91102 * t17159 - 0.16e2 / 0.3e1 * t62424 * t17162;
  t131272 = t1173 * t17158;
  t131275 = t4586 * t17151;
  t131278 = 0.18e2 * t124421;
  t131279 = 0.6e1 * t124432;
  t131282 = t4599 * t17151;
  t131288 = t104882 * t439;
  t131289 = t1186 * t131288;
  t131292 = t104921 * t439;
  t131293 = t1186 * t131292;
  t131297 = t360 * t12560 * t16968;
  t131300 = t1173 * t131288;
  t131303 = t360 * t131292;
  t131307 = t360 * t104921 * t2196;
  t131310 = t1173 * t131292;
  t131314 = -0.3e1 * t91109 * t131272 + t62506 * t131275 / 0.3e1 + t131278 + t131279 + 0.32e2 * t62424 * t17152 + 0.2e1 * t62506 * t131282 - 0.18e2 * t62506 * t17162 - t120945 - 0.12e2 * t120960 + 0.4e1 * t34871 * t131289 - 0.2e1 * t7150 * t131293 + 0.4e1 * t10674 * t131297 - 0.2e1 / 0.3e1 * t34871 * t131300 + 0.2e1 * t7147 * t131303 + 0.2e1 * t10674 * t131307 + t7150 * t131310 / 0.3e1 - t124461 - 0.12e2 * t124468 + t124482;
  t131316 = t4626 * t17076;
  t131321 = t24557 * t2358;
  t131326 = t24435 * t17136;
  t131331 = t2209 * t18824;
  t131332 = t360 * t131288;
  t131336 = t360 * t104882 * t2196;
  t131339 = 0.9e1 * t124522;
  t131340 = t124526 / 0.6e1;
  t131341 = 0.1e2 * t124528;
  t131342 = -0.6e1 * t2633 * t131316 + 0.2e1 * t18816 * t119292 - 0.4e1 / 0.3e1 * t105045 * t131321 - 0.18e2 * t18816 * t119298 + 0.6e1 * t2633 * t131326 - 0.4e1 * t18812 * t15494 - t131331 - t17074 - t15480 - t17075 - t124514 - t124516 - 0.4e1 * t34877 * t131332 - 0.6e1 * t51596 * t131336 - t131339 + t131340 + t131341 - t124531;
  t131344 = t18804 * t439;
  t131345 = t4626 * t131344;
  t131350 = t1720 * t131345 + t119333 - t119342 + t119344 + t120977 + t120979 - t120988 - t120992 - t120995 + t121001 - 0.4e1 * t121009 + t121013 + 0.6e1 * t121019 + t121023 - 0.4e1 * t124536 + t124571 + 0.2e1 * t124576 - t16035 - t18800;
  t131354 = t1165 * t143 * t131095;
  t131356 = t24418 * t2358;
  t131359 = t24435 * t17079;
  t131362 = t2209 * t18805;
  t131363 = t131362 / 0.2e1;
  t131372 = t4626 * t17100;
  t131377 = t2209 * t18855;
  t131379 = t24477 * t17079;
  t131384 = t24477 * t2369;
  t131387 = t18801 - t494 * t131354 + 0.24e2 * t105045 * t131356 + 0.9e1 * t12580 * t131359 + t131363 - 0.2e1 * t2629 * t17101 + t17098 + 0.9e1 * t18816 * t119397 + 0.12e2 * t105058 * t2373 + 0.3e1 * t18857 * t2233 + 0.3e1 * t2633 * t131372 - 0.4e2 * t105033 * t17111 - t131377 + t121058 + 0.8e1 * t124603 - t12580 * t131379 / 0.6e1 + 0.24e2 * t18812 * t15489 + 0.5e2 / 0.3e1 * t105045 * t131384;
  t131390 = t24557 * t2369;
  t131403 = t24582 * t2358;
  t131410 = t4572 * t131344;
  t131413 = t18854 * t439;
  t131414 = t4575 * t131413;
  t131418 = t24458 * t18854 * t2196;
  t131422 = t4575 * t2646 * t16968;
  t131429 = t2209 * t18820;
  t131430 = 0.2e1 * t131429;
  t131431 = t24435 * t131413;
  t131434 = -0.1e2 * t18816 * t119421 + 0.1e2 / 0.3e1 * t105045 * t131390 + 0.24e2 * t105063 * t2370 + 0.8e1 * t18812 * t15528 - 0.2e1 / 0.3e1 * t105033 * t17108 - t18816 * t119411 / 0.6e1 + t18816 * t119262 / 0.3e1 - t105045 * t131403 / 0.9e1 + t17119 + 0.6e1 * t12606 * t17134 + 0.4e1 * t2629 * t17137 - 0.2e1 / 0.3e1 * t1720 * t131410 + 0.2e1 * t1716 * t131414 + 0.3e1 * t494 * t131418 - 0.2e1 * t494 * t131422 - 0.24e2 * t105058 * t2359 - 0.6e1 * t18857 * t2220 + t131430 + 0.4e1 / 0.3e1 * t1720 * t131431;
  t131436 = t24564 * t17136;
  t131439 = t24418 * t17079;
  t131447 = t24477 * t2358;
  t131450 = t1186 * t17158;
  t131453 = t124637 / 0.3e1;
  t131454 = t1165 * t131344;
  t131457 = t4575 * t18804 * t2196;
  t131461 = -0.9e1 * t2633 * t131436 - 0.1e2 * t12580 * t131439 - 0.4e1 * t124617 + 0.4e1 / 0.3e1 * t105033 * t17141 - 0.72e2 * t105033 * t17129 + 0.8e1 / 0.3e1 * t105045 * t131447 - t18839 - t124625 + t124628 + 0.18e2 * t91109 * t131450 - t131453 - t1716 * t131454 - t494 * t131457 + 0.8e1 * t105033 * t17126 - t119443 - t119445 + t119455 - t18851 + t18852;
  t131462 = t24564 * t131413;
  t131473 = t24418 * t2369;
  t131477 = t1165 * t140 * t131095;
  t131480 = t4572 * t17100;
  t131483 = 0.18e2 * t124695;
  t131484 = 0.9e1 * t124698;
  t131485 = 0.12e2 * t124701;
  t131486 = -0.2e1 * t1720 * t131462 + 0.72e2 * t105063 * t2366 - 0.12e2 * t18812 * t15535 - 0.36e2 * t105063 * t2377 + 0.36e2 * t105033 * t17095 - 0.12e2 * t105045 * t131473 + t494 * t131477 / 0.2e1 + t18853 - 0.2e1 * t2633 * t131480 + t131483 - t131484 - t15516 + t17149 + t17150 + t15538 - t2229 - t131485 + t2210 + t124707;
  t131494 = t4575 * t130795;
  t131498 = t9444 * t168 * t130946;
  t131501 = -t120840 + t2609 * t131217 / 0.4e1 + 0.2e1 * t104447 * t2339 + t18736 * t2199 / 0.2e1 + t490 * t131225 / 0.4e1 + t490 * t131229 / 0.4e1 + t131233 + t490 * t131235 / 0.12e2 + t490 * t131240 / 0.12e2 + t2609 * t131243 / 0.4e1 - t6769 * t131246 / 0.6e1 + t124810 + 0.2e1 * t124817 - t110 * t139 * (t131271 + t131314 + t131342 + t131350 + t131387 + t131434 + t131461 + t131486) * t168 / 0.4e1 + t121110 + t5665 * t494 * t131494 - t6772 * t131498 / 0.6e1 - t18931 - t18932 + t18933;
  t131506 = my_piecewise3(t100, 0, t130641 + t130663 + t130696 + t130732 + t130778 + t130818 + t130873 + t130885 + t130935 + t130977 + t131015 + t131132 + t131176 + t131191 + t131216 + t131501);
  tv4sigmalapl311 = t3 * t131506;

  if(out->v4sigmalapl3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl3[ip*p->dim.v4sigmalapl3 + 11] += tv4sigmalapl311;

  t131508 = t124841 / 0.2e1;
  t131509 = t124843 / 0.6e1;
  t131515 = 0.6e1 * t124854;
  t131516 = t124869 / 0.3e1;
  t131522 = t121120 / 0.2e1 + t131508 - t131509 - t3266 * t12998 * t87753 / 0.2e1 - t121128 / 0.12e2 - t121132 / 0.6e1 - t131515 - t119532 + t119534 - t122650 - t131516 - t124871 + t124872 + t124873 - 0.3e1 * t3266 * t105587 * t2331 - t3266 * t106017 * t15215;
  t131523 = t95 * t87322;
  t131556 = 0.5e1 / 0.18e2 * t124886;
  t131557 = -0.35e2 / 0.108e3 * t52309 * t47881 * t131523 - t7254 * t130484 / 0.3e1 - 0.2e1 * t52309 * t26847 * t131523 - 0.3e1 * t4993 * t106022 * t16651 + 0.3e1 / 0.2e1 * t3266 * t106022 * t16905 - 0.6e1 * t48902 * t36075 * t20845 * t87322 + 0.18e2 * t9877 * t36075 * t20871 * t87322 + t122656 - t122658 + 0.8e1 * t4772 * t7680 * t3556 * t87735 + 0.9e1 / 0.2e1 * t4772 * t1876 * t22309 * t87674 + t2534 * t121332 / 0.3e1 - t2089 + t2160 - t124877 - t131556 - t124899;
  t131559 = 0.4e1 * t124905;
  t131563 = 0.11e2 / 0.9e1 * t124934;
  t131565 = t9845 * t17335;
  t131569 = -t124900 - t124901 - t124902 - t131559 + t124919 / 0.2e1 - t124921 + t121177 / 0.4e1 - t122677 + t121200 / 0.6e1 + t124927 + t119627 - t131563 - t121203 / 0.6e1 - t122688 - 0.11e2 / 0.18e2 * t58252 * t131565 + t58268 * t17517;
  t131587 = 0.3e1 * t124948;
  t131589 = 0.23e2 / 0.18e2 * t124973;
  t131594 = t58249 * t121491 / 0.3e1 + t4772 * t1872 * t788 * t89045 - t515 * t130370 / 0.6e1 - t466 * t92503 / 0.6e1 - t2534 * t52380 / 0.6e1 + t2534 * t52384 / 0.3e1 - t5286 * t19071 / 0.2e1 - t12030 * t17260 / 0.2e1 - t122700 - t122703 + t131587 + t124953 + 0.3e1 / 0.2e1 * t121211 + t131589 + 0.7e1 / 0.3e1 * t121216 + t3266 * t12753 * t87680 / 0.2e1 - t124993;
  t131603 = t4748 * t18970;
  t131610 = t125000 / 0.3e1;
  t131611 = t125004 / 0.6e1;
  t131612 = t125006 / 0.3e1;
  t131613 = t95 * t87735;
  t131621 = -t129771 + t122719 - t121227 / 0.2e1 + t121231 / 0.2e1 - 0.18e2 * t4983 * t36084 * t683 * t87322 - 0.5e1 / 0.36e2 * t7196 * t4808 * t131603 + t515 * t129970 / 0.6e1 + t12047 * t17273 + t131610 - t131611 + t131612 - t125011 + 0.3e1 / 0.2e1 * t10757 * t26405 * t131613 + t119679 - t7251 * t129920 / 0.6e1 - t7248 * t130351 / 0.3e1;
  t131631 = t7248 * t129757 / 0.2e1 + t122724 - t122727 + 0.2e1 / 0.3e1 * t1779 * t88479 - t122730 - t122733 - t122735 + t122741 + t125047 + t125048 - t119694 + t121255 / 0.12e2 - t121270 / 0.2e1 + t125049 - t119706 - t119707 - t7254 * t26645 * t18966 / 0.3e1;
  t131633 = t95 * t87380;
  t131643 = t30 * t27151;
  t131646 = t1770 * t16755;
  t131670 = t11019 * t3273 * t131633 / 0.2e1 + 0.6e1 * t52236 * t4877 * t131523 + 0.3e1 / 0.2e1 * t10757 * t26405 * t131633 + 0.47e2 / 0.3e1 * t131643 * t105458 - t131646 / 0.4e1 - t1770 * t16761 / 0.4e1 - t9948 * t2737 / 0.2e1 - t1516 * t17313 / 0.2e1 + 0.3e1 / 0.2e1 * t1770 * t16687 + t3266 * t13185 * t87741 / 0.2e1 - t125054 + t119732 + t4772 * t1872 * t130545 / 0.2e1 - t10757 * t47795 * t17291 - 0.61e2 / 0.27e2 * t52309 * t47807 * t131523 - 0.23e2 / 0.12e2 * t10757 * t26189 * t87381;
  t131690 = 0.2e1 / 0.3e1 * t125059;
  t131691 = 0.2e1 / 0.3e1 * t125067;
  t131692 = t125069 / 0.3e1;
  t131696 = -t7248 * t130487 / 0.3e1 + t7251 * t130024 / 0.6e1 - 0.4e1 / 0.3e1 * t7251 * t88802 + 0.23e2 / 0.18e2 * t10757 * t86943 * t17295 - 0.18e2 * t9877 * t36087 * t3168 * t87322 + 0.5e1 / 0.3e1 * t52236 * t9744 * t131523 + 0.5e1 / 0.12e2 * t10757 * t26189 * t131633 + t131690 + t131691 - t131692 + 0.3e1 / 0.2e1 * t125072 - t121288 / 0.2e1 + 0.3e1 * t121296 + t121301 - t122761 + t118050 + t122778;
  t131700 = t125087 / 0.6e1;
  t131713 = 0.6e1 * t125122;
  t131724 = t122781 - t131700 + 0.2e1 * t10838 * t47377 * t17291 + 0.2e1 / 0.3e1 * t7251 * t46876 * t17477 - 0.11e2 / 0.9e1 * t10757 * t86970 * t17291 - t11019 * t48404 * t17291 - t121304 / 0.2e1 - t122808 + t122815 - t131713 - t125131 + t1228 * t19074 / 0.2e1 + 0.3e1 / 0.2e1 * t26784 * t19079 - t11843 * t2447 / 0.2e1 - t11843 * t2450 / 0.4e1 + t1252 * t105792 / 0.3e1;
  t131738 = t2087 * t19003;
  t131741 = t836 * t52780 * t2542;
  t131744 = t47044 * t2676;
  t131748 = -t417 * t105580 / 0.12e2 + t11843 * t2462 / 0.4e1 - t7187 * t843 * t131603 / 0.2e1 - t121330 / 0.6e1 + t121335 / 0.2e1 + t121338 / 0.3e1 + t121339 / 0.3e1 - t121356 - t2529 * t16167 / 0.6e1 + t131738 / 0.12e2 + t466 * t131741 / 0.12e2 - t1779 * t1261 * t131744 / 0.6e1 + t122845 + t122849 + t122861 - t118171 + t118172;
  t131751 = t125209 / 0.3e1;
  t131754 = 0.3e1 * t125245;
  t131759 = -t118178 - t118190 - t122866 - 0.3e1 * t121391 - t125174 + t125201 - t125202 - t131751 + 0.3e1 / 0.2e1 * t121399 - t121403 / 0.6e1 + t125233 + t125234 - t125235 + t131754 - 0.3e1 * t4772 * t7690 * t788 * t87735 + t125265;
  t131775 = t4851 * t17242;
  t131778 = t4808 * t17524;
  t131792 = t63293 * t2266;
  t131793 = t1261 * t131792;
  t131796 = -0.2e1 * t7243 * t88675 - 0.11e2 / 0.18e2 * t7196 * t4851 * t131603 + 0.7e1 / 0.3e1 * t7196 * t88829 - 0.3e1 / 0.2e1 * t7196 * t88650 + t7243 * t1254 * t131603 - t60007 * t2444 / 0.2e1 + t11843 * t2453 / 0.2e1 - 0.11e2 / 0.18e2 * t12052 * t131775 + 0.23e2 / 0.36e2 * t12052 * t131778 - t63486 * t2319 + t4993 * t106017 * t15163 + 0.11e2 / 0.6e1 * t10757 * t26847 * t131633 - 0.7e1 * t10757 * t87508 + 0.89e2 / 0.9e1 * t52309 * t47807 * t87585 - t125271 + t125273 - t1541 * t131793 / 0.6e1;
  t131801 = t843 * t131792;
  t131813 = t3266 * t83079 * t2592;
  t131827 = t36464 * t16666;
  t131838 = t30 * t27226;
  t131841 = 0.3e1 / 0.2e1 * t1228 * t19063 + t1568 * t131801 / 0.3e1 + t466 * t125442 / 0.6e1 - t1779 * t130387 / 0.12e2 - t122934 - t13203 * t2324 - 0.38e2 / 0.9e1 * t52309 * t26189 * t131523 - t131813 / 0.4e1 - 0.18e2 * t4772 * t36087 * t3130 * t87322 - 0.9e1 / 0.2e1 * t4772 * t7686 * t22290 * t87380 + t7251 * t130562 / 0.3e1 + t7251 * t130612 / 0.6e1 - t6454 * t131827 / 0.6e1 + 0.18e2 * t4772 * t36084 * t689 * t87322 + 0.6e1 * t4772 * t7680 * t3556 * t87380 - 0.28e2 * t131838 * t105763;
  t131867 = t8790 * t253 * t19121 * t2105;
  t131878 = t47381 * t17370 - t417 * t106045 / 0.12e2 + t106050 * t432 / 0.4e1 + t2534 * t54103 / 0.3e1 - t2534 * t54099 / 0.6e1 + t93186 * t481 / 0.2e1 - t10777 * t2588 / 0.2e1 + t2529 * t10808 / 0.6e1 - t122944 + t122950 - t2534 * t54036 / 0.12e2 + 0.11e2 / 0.6e1 * t10757 * t26847 * t131613 - 0.8e1 / 0.3e1 * t10838 * t5175 * t131613 - t6451 * t131867 / 0.6e1 - 0.8e1 * t4983 * t7680 * t3130 * t87735 - 0.9e1 / 0.2e1 * t4983 * t1876 * t22290 * t87674 - t16134;
  t131884 = t130333 / 0.2e1;
  t131894 = t95 * t89045;
  t131907 = t16144 + t118266 - t118270 - 0.2e1 * t4772 * t1872 * t3562 * t87674 + t125324 - t131884 + t1770 * t16690 / 0.2e1 - t10777 * t2593 / 0.4e1 + t121433 / 0.6e1 - t4983 * t1876 * t130505 + t7254 * t130354 / 0.3e1 + t7251 * t4877 * t131894 / 0.4e1 - 0.11e2 / 0.18e2 * t121446 + t121448 + t1815 * t843 * t131744 / 0.3e1 + t7243 * t1261 * t131603 / 0.2e1 + t515 * t130427 / 0.6e1;
  t131926 = t19121 * t414;
  t131927 = t253 * t131926;
  t131928 = t5175 * t131927;
  t131935 = t515 * t130583 / 0.12e2 + t515 * t130037 / 0.12e2 - t1779 * t1254 * t131744 / 0.3e1 - 0.2e1 / 0.3e1 * t2534 * t121341 + 0.3e1 * t7587 * t16695 + 0.23e2 / 0.36e2 * t7196 * t4808 * t88674 - 0.2e1 * t12047 * t17525 - 0.3e1 / 0.2e1 * t125381 + t123346 + 0.3e1 / 0.2e1 * t121451 + t6439 * t131928 / 0.6e1 - t6439 * t4877 * t3264 * t131926 / 0.3e1 - t16163 + t16165 + t16622 - t130368 + t130375;
  t131957 = -t16623 - t16624 + t16625 - t16171 + t1228 * t18987 / 0.2e1 + t2529 * t10965 / 0.6e1 - t1228 * t19101 / 0.2e1 - t4772 * t1872 * t130305 + t121460 / 0.3e1 - 0.3e1 / 0.2e1 * t42708 * t19105 - 0.3e1 / 0.2e1 * t4772 * t1876 * t3556 * t89045 + t119863 - t119865 + t125397 + t16191 - 0.3e1 * t1228 * t19089;
  t131966 = 0.3e1 / 0.2e1 * t123376;
  t131972 = t9744 * t17503;
  t131980 = -t7196 * t4867 * t131603 / 0.2e1 + t7587 * t16678 - 0.3e1 * t1770 * t16902 - t1770 * t16685 + t121469 / 0.6e1 - t131966 + t121473 / 0.12e2 - t121478 / 0.4e1 - 0.3e1 * t121487 - t123380 - 0.2e1 / 0.3e1 * t58249 * t121579 + 0.23e2 / 0.36e2 * t58252 * t131972 - 0.2e1 * t58268 * t17504 + t7251 * t41697 * t18966 / 0.4e1 + t16199 - t16203 - t125434;
  t131983 = t125450 / 0.3e1;
  t131984 = t125460 / 0.6e1;
  t131990 = t125467 / 0.3e1;
  t131991 = t130490 / 0.6e1;
  t131992 = 0.3e1 / 0.2e1 * t123400;
  t131998 = -t125436 - t119904 + t125437 / 0.4e1 - t123391 - t131983 - t125452 + t125456 - t131984 + 0.3e1 * t47384 * t17514 + 0.3e1 * t4993 * t105587 * t2318 + t131990 + t131991 + t131992 - t47384 * t17373 + t52936 * t16662 / 0.2e1 - t52942 * t16786 / 0.2e1;
  t131999 = t53027 * t16666;
  t132003 = 0.3e1 * t125497;
  t132006 = 0.2e1 / 0.3e1 * t125511;
  t132010 = t6439 * t131999 / 0.6e1 + t125490 + t123420 - t121510 / 0.2e1 - t132003 - t125503 - t7251 * t87649 - t7251 * t89047 + t132006 - t119931 - t121528 / 0.12e2 - t121535 / 0.12e2 + t121550 / 0.2e1 + t123452 + t16698 - t16699 + t16700;
  t132039 = -t16701 + t16704 + t16705 + 0.9e1 * t4983 * t7686 * t20862 * t87380 - t9948 * t2734 + 0.18e2 * t52236 * t87324 + 0.9e1 / 0.2e1 * t10757 * t88544 - t47374 * t17507 + t31651 * t17510 + t4983 * t1876 * t130509 / 0.2e1 - t4772 * t1876 * t130012 / 0.2e1 + 0.44e2 / 0.27e2 * t52309 * t47881 * t87585 + t7251 * t43406 * t18966 / 0.2e1 + t7251 * t5175 * t131894 / 0.2e1 - t125543 + t123480;
  t132040 = t123483 / 0.2e1;
  t132041 = 0.2e1 * t125545;
  t132056 = t48404 * t17335;
  t132061 = t47865 * t17335;
  t132067 = t132040 + t16706 + t15675 - t15680 - t15683 + t132041 + 0.3e1 * t47384 * t17354 + t47384 * t17358 - t7254 * t3273 * t131894 / 0.3e1 + t52942 * t16767 / 0.2e1 + t52942 * t16772 / 0.2e1 - t4872 * t106331 / 0.3e1 + t12047 * t17243 / 0.2e1 + t6454 * t132056 / 0.3e1 + t6451 * t125405 / 0.6e1 - t6439 * t132061 / 0.6e1 - t3266 * t12753 * t16760 / 0.4e1;
  t132087 = 0.3e1 * t125575;
  t132089 = t836 * t7213 * t16750;
  t132100 = -t125564 + t125565 - 0.9e1 / 0.2e1 * t4772 * t7686 * t22290 * t87735 + 0.9e1 / 0.2e1 * t10757 * t87876 - t515 * t87106 / 0.12e2 - t2534 * t54159 / 0.12e2 + t87111 * t530 / 0.4e1 - t54113 * t2584 / 0.2e1 + t10777 * t2596 / 0.2e1 - t466 * t93181 / 0.6e1 + t132087 + t466 * t132089 / 0.12e2 - t18626 + t7251 * t130300 / 0.12e2 + 0.6e1 * t47381 * t17363 + 0.2e1 * t47381 * t17366 - 0.3e1 * t26050 * t106464;
  t132117 = 0.6e1 * t122999;
  t132118 = t106586 * t414;
  t132119 = t802 * t132118;
  t132122 = t106586 * t2105;
  t132126 = 0.2e2 / 0.3e1 * t125715;
  t132128 = 0.2e1 / 0.9e1 * t125736;
  t132129 = 0.24e2 * t36194 * t815 * t132122 - 0.9e1 * t36191 * t815 * t87674 - 0.12e2 * t53421 * t132119 - 0.4e1 * t121682 + 0.6e1 * t121684 - t122992 + t123010 + 0.3e1 * t125727 - t132117 + t132126 - t132128;
  t132140 = t87989 * t463;
  t132146 = t802 * t132122;
  t132150 = 0.12e2 * t125755;
  t132151 = -t123013 - t123018 + t123026 + 0.4e1 * t11138 * t130150 - 0.2e1 / 0.3e1 * t36191 * t130153 - 0.24e2 * t53518 * t233 * t132118 - 0.6e1 * t36105 * t233 * t132122 - 0.6e1 * t7651 * t815 * t132140 - 0.72e2 * t53424 * t132119 - 0.18e2 * t36092 * t132146 - 0.6e1 * t125750 + t132150;
  t132153 = 0.4e1 / 0.3e1 * t125761;
  t132154 = 0.24e2 * t125768;
  t132158 = 0.4e1 * t123059;
  t132164 = t802 * t87735;
  t132167 = -t132153 - t132154 - t123039 - t123042 - t123049 + t123054 + 0.72e2 * t53421 * t815 * t132118 + t132158 - 0.2e1 * t7651 * t130272 - 0.4e1 / 0.3e1 * t53409 * t22190 * t132118 + 0.9e1 * t36092 * t132164 + t123069;
  t132168 = t3590 * t132118;
  t132187 = t19155 * t2105;
  t132191 = t19155 * t414;
  t132195 = t16851 * t463;
  t132202 = 0.8e1 / 0.3e1 * t53409 * t132168 - 0.4e1 * t36100 * t130169 - 0.6e1 * t53473 * t130252 + 0.4e1 * t7655 * t233 * t132140 + 0.32e2 / 0.3e1 * t36194 * t132164 + t7651 * t802 * t132140 - t36092 * t3590 * t87735 / 0.6e1 - 0.2e1 * t519 * t130225 - 0.12e2 * t7680 * t3556 * t132187 - 0.4e2 * t36087 * t3125 * t132191 + 0.3e1 * t1876 * t3556 * t132195 + 0.9e1 * t7686 * t22290 * t132187;
  t132228 = 0.5e2 / 0.3e1 * t36075 * t20876 * t132191 - t1872 * t130213 - t519 * t130216 + 0.2e1 * t121711 - t121713 - t519 * t130259 - 0.2e1 / 0.3e1 * t1876 * t130091 - 0.2e1 * t1876 * t3130 * t132195 + 0.12e2 * t36211 * t229 * t132191 - 0.1e2 * t7686 * t20862 * t132187 + 0.1e2 / 0.3e1 * t36075 * t20871 * t132191 + 0.4e1 / 0.3e1 * t1876 * t130108;
  t132238 = t3580 * t132118;
  t132243 = 0.2e1 * t123127;
  t132248 = 0.24e2 * t36084 * t683 * t132191 - 0.1e2 * t36092 * t3580 * t87735 - 0.16e2 * t36194 * t815 * t87735 + 0.3e1 * t519 * t130221 + 0.2e1 * t1872 * t130228 + 0.8e1 * t53424 * t132238 + 0.6e1 * t121723 + 0.2e1 * t121725 - t123102 + t123109 + t130106 - t132243;
  t132254 = -0.4e1 * t121737 - 0.3e1 * t121745 + 0.6e1 * t121747 - 0.12e2 * t121751 - t123131 + t123135 + t123137 + t123143 + t125786 - t125787 - t16305 - t16309;
  t132262 = -t125788 - t125789 - t125791 + t118539 + t1876 * t130114 + t125792 + t125793 + 0.2e1 / 0.3e1 * t121754 + 0.2e1 * t121760 - t121762 / 0.9e1 - t125797 - 0.2e1 * t1872 * t788 * t132195;
  t132268 = 0.6e1 * t125804;
  t132269 = 0.8e1 * t125812;
  t132270 = t125818 / 0.9e1;
  t132273 = t519 * t130128 / 0.2e1 + t125800 - t125801 - t132268 - t132269 + t132270 - t130165 - t118587 - t18629 + 0.4e1 * t36191 * t130142 - t125830 - t125831;
  t132275 = 0.6e1 * t125865;
  t132276 = 0.12e2 * t125868;
  t132278 = 0.2e1 * t123199;
  t132279 = 0.12e2 * t125877;
  t132280 = 0.4e1 * t125884;
  t132281 = 0.4e1 * t125886;
  t132282 = t121775 / 0.18e2 - t132275 + t132276 - 0.2e1 * t125870 + t123195 - t132278 + t118606 + t125875 + t132279 + t132280 + t16808 + t132281;
  t132293 = 0.2e1 * t125911;
  t132294 = t125894 + t125907 - t16809 - t15239 - t16810 + t16812 + 0.2e1 * t7655 * t130158 + 0.2e1 * t11138 * t130278 + t7651 * t130194 / 0.3e1 + 0.6e1 * t36191 * t802 * t87674 - t132293 - t16813;
  t132300 = 0.3e1 * t7690 * t788 * t132187 + 0.24e2 * t53409 * t132238 + t118668 - t118674 - t123245 + t125917 - t125918 - t130186 + t130198 + t16318 - t16814 + t16849;
  t132317 = -t118677 + t123255 - t123259 + 0.8e1 * t7680 * t3130 * t132187 - t7686 * t20876 * t132187 / 0.6e1 - 0.2e1 / 0.3e1 * t121811 + t16336 + t16337 - t16340 + 0.2e1 * t36092 * t3580 * t132122 - 0.4e1 * t36194 * t132146 + 0.4e1 / 0.3e1 * t53424 * t132168;
  t132324 = 0.3e1 * t123266;
  t132333 = t36092 * t3590 * t132122 / 0.3e1 - t53409 * t48481 * t132118 / 0.9e1 + t132324 - t123271 + t16862 - t16864 + t16865 + t125945 + t125946 - 0.12e2 * t36105 * t43071 * t87735 - 0.8e1 * t36100 * t43071 * t87674 - 0.2e1 * t1876 * t130116;
  t132350 = t43067 * t87735;
  t132361 = -0.36e2 * t36084 * t689 * t132191 + 0.36e2 * t36087 * t3130 * t132191 - 0.12e2 * t36075 * t20862 * t132191 + t123297 - 0.2e1 / 0.3e1 * t36087 * t3168 * t132191 - 0.4e1 / 0.3e1 * t121815 + 0.1e2 / 0.3e1 * t121818 - 0.3e1 * t121822 - 0.16e2 / 0.3e1 * t36194 * t132350 - 0.3e1 * t36191 * t43067 * t87674 + t36092 * t48556 * t87735 / 0.3e1 - 0.18e2 * t36092 * t132350;
  t132377 = 0.4e1 * t36100 * t233 * t87674 + 0.6e1 * t36105 * t233 * t87735 + 0.2e1 * t36092 * t48591 * t87735 + 0.18e2 * t36191 * t43075 * t87674 + 0.32e2 * t36194 * t43075 * t87735 + t123304 - t15274 + t15282 + t16880 + t16881 + t2119 - t2138;
  t132386 = t95 * t87674;
  t132405 = t47377 * t17335;
  t132408 = t47865 * t17503;
  t132411 = t16764 - t16765 - 0.6e1 * t4983 * t7680 * t3130 * t87380 + 0.2e1 * t53040 * t4762 * t131523 - t26650 * t19126 / 0.4e1 + t121570 / 0.2e1 + 0.23e2 / 0.36e2 * t121572 + t123538 - t30 * t59 * (t132129 + t132151 + t132167 + t132202 + t132228 + t132248 + t132254 + t132262 + t132273 + t132282 + t132294 + t132300 + t132317 + t132333 + t132361 + t132377) * t95 / 0.4e1 - 0.3e1 / 0.4e1 * t7251 * t26405 * t132386 + 0.5e1 / 0.12e2 * t10757 * t26189 * t131613 - 0.9e1 / 0.2e1 * t9877 * t7686 * t20876 * t87735 - 0.4e1 / 0.3e1 * t10838 * t4877 * t131613 + 0.2e1 / 0.3e1 * t7254 * t8790 * t132386 + t11019 * t3273 * t131613 - t6439 * t132405 / 0.3e1 + 0.2e1 / 0.3e1 * t6439 * t132408;
  t132443 = t3273 * t253 * t543 * t16749;
  t132446 = t26645 * t19122;
  t132449 = 0.3e1 * t88552 * t17377 - 0.6e1 * t47381 * t17381 + t16273 - t16280 - t16283 + 0.12e2 * t53916 * t89039 + 0.4e1 * t10838 * t87382 - 0.23e2 / 0.3e1 * t52236 * t9744 * t87585 - 0.43e2 / 0.9e1 * t52309 * t47881 * t87323 + 0.14e2 / 0.3e1 * t26050 * t106955 - 0.4e1 * t10838 * t88520 - 0.62e2 / 0.3e1 * t131643 * t106993 + t3266 * t105369 * t2166 / 0.2e1 + 0.3e1 / 0.2e1 * t3266 * t106200 * t2323 + t6451 * t132443 / 0.12e2 + t6451 * t132446 / 0.12e2;
  t132450 = t42408 * t19123;
  t132461 = 0.14e2 / 0.3e1 * t125624;
  t132477 = t132450 / 0.12e2 - t58255 * t16229 / 0.6e1 - t58266 * t17336 / 0.2e1 + t121577 / 0.3e1 + t47384 * t17347 + t47384 * t17350 - 0.2e1 / 0.3e1 * t4872 * t105377 + t132461 + t4993 * t12998 * t87880 / 0.2e1 - t16789 + t125632 - t13203 * t2327 / 0.2e1 + 0.2e1 / 0.3e1 * t1252 * t106427 + t1815 * t130406 / 0.6e1 + t515 * t123473 / 0.12e2 + 0.3e1 * t5286 * t18979 + 0.3e1 / 0.2e1 * t1228 * t18984;
  t132481 = t4877 * t131927;
  t132488 = t123582 / 0.3e1;
  t132490 = t3273 * t131927;
  t132501 = -0.3e1 * t5286 * t19084 + t6439 * t132481 / 0.12e2 + t121584 / 0.6e1 - t121592 / 0.2e1 - t121595 / 0.12e2 - 0.2e1 / 0.3e1 * t121599 - t132488 - 0.3e1 / 0.2e1 * t121603 - t16889 - t6454 * t132490 / 0.6e1 + 0.16e2 / 0.3e1 * t10838 * t87737 + 0.3e1 * t7251 * t87676 - t16890 + t123590 - 0.7e1 * t26050 * t106169 - t1228 * t19042 / 0.4e1;
  t132526 = t4877 * t17335;
  t132547 = -t246 * t1797 * t129850 / 0.4e1 - 0.23e2 / 0.12e2 * t10757 * t26189 * t87736 - t16891 - 0.9e1 / 0.2e1 * t9877 * t7686 * t20876 * t87380 + 0.8e1 * t131643 * t107004 + 0.36e2 * t4983 * t36087 * t3125 * t87322 - 0.18e2 * t4983 * t36075 * t20876 * t87322 + 0.6e1 * t4772 * t36075 * t20862 * t87322 - t58252 * t132526 / 0.2e1 + 0.7e1 / 0.3e1 * t58252 * t52988 - 0.3e1 / 0.2e1 * t58252 * t9744 * t4991 * t17334 + 0.3e1 / 0.2e1 * t26550 * t106022 * t16646 + t4772 * t519 * t130541 / 0.2e1 - t4872 * t105913 / 0.3e1 + t130581 + t4772 * t1876 * t130514 - t7251 * t130312 / 0.3e1;
  t132570 = t125999 / 0.2e1;
  t132573 = t9744 * t17335;
  t132576 = 0.2e1 / 0.3e1 * t7251 * t26405 * t670 * t129918 + t4772 * t519 * t130357 - 0.3e1 / 0.2e1 * t4772 * t519 * t130308 - t7254 * t129977 / 0.6e1 - t7248 * t129982 / 0.6e1 + t18628 - t121610 / 0.2e1 - t121615 / 0.4e1 + t121619 / 0.4e1 - t121621 / 0.12e2 - t30 * t16885 * t544 / 0.4e1 - t125988 - t123604 + t132570 - t31651 * t17279 / 0.2e1 - 0.5e1 / 0.36e2 * t58252 * t132573;
  t132596 = t4867 * t17242;
  t132602 = t1254 * t131792;
  t132608 = -t31651 * t17276 - t7254 * t31478 * t17477 / 0.3e1 + t10838 * t47865 * t17291 - 0.3e1 * t53916 * t4873 * t131523 - t10838 * t4877 * t131633 + t58268 * t17341 / 0.2e1 - 0.5e1 / 0.36e2 * t121629 - 0.2e1 * t121631 + t126017 - t126018 - 0.3e1 * t7587 * t16652 + 0.3e1 / 0.2e1 * t1770 * t16906 - t12052 * t132596 / 0.2e1 + t13203 * t2332 - t1779 * t129954 / 0.6e1 - t1541 * t132602 / 0.3e1 + 0.7e1 / 0.3e1 * t12052 * t4851 * t17524;
  t132618 = t4808 * t17242;
  t132623 = t123650 / 0.4e1;
  t132629 = 0.6e1 * t126050;
  t132630 = t82971 * t16778;
  t132633 = -0.3e1 / 0.2e1 * t12052 * t4808 * t7585 * t2266 + 0.3e1 / 0.2e1 * t36012 * t16647 - t47008 * t2729 + t9948 * t2742 + t123634 + t123636 - 0.5e1 / 0.36e2 * t12052 * t132618 - t123641 + t2534 * t121265 / 0.6e1 - t123648 + t132623 + t123662 - t121678 / 0.2e1 + 0.9e1 * t4983 * t7686 * t20862 * t87735 + t126047 + t132629 - t6451 * t132630 / 0.6e1;
  t132634 = t52331 * t16666;
  t132673 = t126080 / 0.6e1;
  t132679 = t6439 * t132634 / 0.12e2 + t7251 * t47795 * t17477 / 0.3e1 - 0.5e1 / 0.18e2 * t10757 * t86943 * t17291 - 0.6e1 * t47384 * t17521 - 0.2e1 * t47384 * t17345 - 0.6e1 * t53916 * t4996 * t131523 - 0.2e1 * t10838 * t5175 * t131633 + 0.22e2 / 0.3e1 * t52236 * t9845 * t131523 + t58249 * t121542 / 0.6e1 + t42708 * t19118 - 0.3e1 / 0.2e1 * t4772 * t7690 * t788 * t87380 - 0.6e1 * t4772 * t36211 * t229 * t87322 + 0.3e1 / 0.2e1 * t4983 * t1876 * t3130 * t89045 + 0.3e1 / 0.2e1 * t43351 * t19114 - t132673 - 0.3e1 / 0.2e1 * t7251 * t26400 * t132386 + t9948 * t2751 / 0.2e1;
  t132685 = my_piecewise3(t2, 0, t131724 + t131522 + t132010 + t131594 + t131759 + t132501 + t131748 + t131998 + t131621 + t131631 + t132067 + t132608 + t132100 + t131796 + t132449 + t132411 + t132576 + t132679 + t131569 + t131907 + t132633 + t132039 + t131980 + t131878 + t131841 + t132477 + t131957 + t131557 + t131670 + t131935 + t131696 + t132547);
  tv4sigmalapl2tau0 = t3 * t132685;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 0] += tv4sigmalapl2tau0;

  tv4sigmalapl2tau1 = 0.e0;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 1] += tv4sigmalapl2tau1;

  tv4sigmalapl2tau2 = 0.e0;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 2] += tv4sigmalapl2tau2;

  tv4sigmalapl2tau3 = 0.e0;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 3] += tv4sigmalapl2tau3;

  tv4sigmalapl2tau4 = 0.e0;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 4] += tv4sigmalapl2tau4;

  tv4sigmalapl2tau5 = 0.e0;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 5] += tv4sigmalapl2tau5;

  tv4sigmalapl2tau6 = 0.e0;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 6] += tv4sigmalapl2tau6;

  tv4sigmalapl2tau7 = 0.e0;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 7] += tv4sigmalapl2tau7;

  tv4sigmalapl2tau8 = 0.e0;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 8] += tv4sigmalapl2tau8;

  tv4sigmalapl2tau9 = 0.e0;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 9] += tv4sigmalapl2tau9;

  tv4sigmalapl2tau10 = 0.e0;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 10] += tv4sigmalapl2tau10;

  tv4sigmalapl2tau11 = 0.e0;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 11] += tv4sigmalapl2tau11;

  tv4sigmalapl2tau12 = 0.e0;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 12] += tv4sigmalapl2tau12;

  tv4sigmalapl2tau13 = 0.e0;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 13] += tv4sigmalapl2tau13;

  tv4sigmalapl2tau14 = 0.e0;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 14] += tv4sigmalapl2tau14;

  tv4sigmalapl2tau15 = 0.e0;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 15] += tv4sigmalapl2tau15;

  tv4sigmalapl2tau16 = 0.e0;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 16] += tv4sigmalapl2tau16;

  t132688 = t126097 / 0.6e1;
  t132689 = 0.5e1 / 0.18e2 * t126111;
  t132690 = t50292 * t17597;
  t132702 = t126096 - t123703 - t8214 * t130834 / 0.3e1 - t132688 - t132689 - t6769 * t132690 / 0.6e1 + t121843 / 0.3e1 - t123730 - t123738 + t121858 / 0.4e1 - t121866 / 0.6e1 - 0.2e1 / 0.3e1 * t61173 * t122210 + t8063 * t131012 / 0.6e1 - t121870 / 0.6e1 - t121874 / 0.12e2 - t120331;
  t132714 = t5691 * t17597;
  t132730 = t123793 / 0.2e1;
  t132732 = -0.3e1 * t4695 * t107491 * t2402 - 0.18e2 * t5639 * t40324 * t24477 * t90070 + 0.6e1 * t5665 * t40324 * t24418 * t90070 - t61081 * t132714 / 0.2e1 + 0.7e1 / 0.3e1 * t61081 * t57467 - 0.3e1 / 0.2e1 * t61081 * t10358 * t5647 * t17596 + 0.3e1 / 0.2e1 * t30451 * t108066 * t17174 + 0.3e1 * t5649 * t107491 * t2389 - 0.2e1 / 0.3e1 * t121888 - t123774 + t132730 + t123798 - t2180 + t2251 + t123811 + t123812 + t121896 / 0.6e1;
  t132744 = t45379 * t19379;
  t132748 = t4687 * t380 * t583 * t16968;
  t132751 = t50305 * t17597;
  t132761 = t121898 / 0.12e2 - t121900 / 0.12e2 - t123820 - t123822 - t123829 - t126191 - t120357 - 0.5e1 / 0.18e2 * t11399 * t89824 * t17822 + t11510 * t50292 * t17822 + t8063 * t50296 * t17809 / 0.3e1 + t132744 / 0.12e2 + t6772 * t132748 / 0.12e2 + t6764 * t132751 / 0.3e1 + t6772 * t126795 / 0.6e1 + t5665 * t559 * t130947 / 0.2e1 - t5673 * t108163 / 0.3e1;
  t132774 = t110 * t29627;
  t132779 = -t120378 + t123839 + t123841 - 0.6e1 * t50541 * t40324 * t24582 * t90070 + t12535 * t17585 + t555 * t123999 / 0.12e2 + t2609 * t121879 / 0.3e1 - t126194 + t123927 - 0.6e1 * t51176 * t17689 - 0.5e1 / 0.36e2 * t121912 + t126198 + t126199 + 0.47e2 / 0.3e1 * t132774 * t107801 - t126205 - t126214 + 0.3e1 * t50860 * t17709;
  t132782 = t126222 / 0.3e1;
  t132795 = t5733 * t17550;
  t132798 = t5595 * t17663;
  t132801 = t2178 * t19231;
  t132803 = t132782 + t123938 - t126231 + t126236 - t5665 * t2060 * t130844 / 0.2e1 - t126238 - t120435 + t123967 + 0.23e2 / 0.36e2 * t8169 * t5595 * t90356 + t12535 * t17568 / 0.2e1 - 0.3e1 * t1383 * t19365 + t12474 * t2512 / 0.2e1 - 0.11e2 / 0.18e2 * t12414 * t132795 + 0.23e2 / 0.36e2 * t12414 * t132798 + t132801 / 0.12e2 + t126247;
  t132810 = t67282 * t2337;
  t132811 = t1430 * t132810;
  t132816 = 0.14e2 / 0.3e1 * t126262;
  t132817 = 0.2e1 / 0.3e1 * t126272;
  t132818 = t168 * t90447;
  t132834 = 0.11e2 / 0.9e1 * t126301;
  t132837 = -t118825 - t442 * t107539 / 0.12e2 + t12474 * t2521 / 0.4e1 - t2609 * t57338 / 0.12e2 - t1683 * t132811 / 0.6e1 - 0.3e1 * t5792 * t19359 + t132816 + t132817 + 0.3e1 / 0.2e1 * t11399 * t30141 * t132818 + t126293 + t121943 / 0.12e2 - t121946 / 0.2e1 + 0.9e1 * t5639 * t8438 * t24418 * t90447 - 0.9e1 / 0.2e1 * t5665 * t8438 * t24435 * t90447 - t61720 * t16589 / 0.6e1 - t132834 - t61122 * t17699 / 0.2e1;
  t132846 = 0.2e1 * t126314;
  t132860 = -t123989 - t123995 - t121952 / 0.2e1 - t121959 / 0.2e1 - t121975 / 0.12e2 - 0.18e2 * t10513 * t40336 * t4609 * t90070 + t132846 + 0.6e1 * t51176 * t17719 + 0.2e1 * t51176 * t17601 - t4695 * t13533 * t90741 / 0.2e1 + t121977 / 0.2e1 - t124020 + 0.3e1 / 0.2e1 * t122013 + t124029 + 0.14e2 / 0.3e1 * t29352 * t108050 - 0.6e1 * t50860 * t17693;
  t132867 = 0.23e2 / 0.18e2 * t126336;
  t132876 = t168 * t89738;
  t132880 = t168 * t90070;
  t132902 = t126373 / 0.2e1;
  t132903 = -0.2e1 * t50860 * t17697 + 0.9e1 * t5639 * t8438 * t24418 * t89738 - t126325 + t132867 - 0.6e1 * t5639 * t8460 * t4572 * t89738 - 0.18e2 * t5639 * t40329 * t1033 * t90070 - 0.2e1 * t11510 * t5674 * t132876 - 0.6e1 * t56113 * t5679 * t132880 - 0.35e2 / 0.108e3 * t55994 * t50144 * t132880 + t126348 - 0.7e1 * t11399 * t89740 - 0.18e2 * t5665 * t40336 * t4572 * t90070 - 0.61e2 / 0.27e2 * t55994 * t50318 * t132880 + t8214 * t130882 / 0.2e1 + 0.3e1 / 0.2e1 * t29089 * t19458 + 0.2e1 / 0.3e1 * t1981 * t89812 + t132902;
  t132908 = t1094 * t57102 * t2617;
  t132912 = t1094 * t8262 * t16997;
  t132915 = t5595 * t17550;
  t132923 = t126398 / 0.3e1;
  t132934 = t490 * t132908 / 0.12e2 + t490 * t132912 / 0.12e2 - 0.5e1 / 0.36e2 * t12414 * t132915 - 0.2e1 * t12535 * t17664 - 0.2e1 / 0.3e1 * t2609 * t122536 + t126383 + t126388 / 0.2e1 - t124052 - t132923 + 0.22e2 / 0.3e1 * t55987 * t10447 * t132880 - 0.9e1 / 0.2e1 * t10513 * t8438 * t24477 * t89738 - t126412 + t122032 / 0.2e1 + t124056 - t126413 + 0.18e2 * t55987 * t90094;
  t132951 = t126426 / 0.6e1;
  t132954 = t5553 * t19368;
  t132966 = t29988 * t19378;
  t132969 = -t10426 * t2817 / 0.2e1 - t1647 * t17654 / 0.2e1 - t12544 * t17551 / 0.2e1 - t2604 * t16510 / 0.6e1 - t490 * t95421 / 0.6e1 - t1383 * t19314 / 0.4e1 + 0.16e2 / 0.3e1 * t11510 * t90449 + 0.3e1 * t8063 * t91482 - t132951 - t126431 + 0.7e1 / 0.3e1 * t8169 * t90357 - t8169 * t5563 * t132954 / 0.2e1 - 0.11e2 / 0.18e2 * t8169 * t5733 * t132954 - t1981 * t131173 / 0.12e2 + t122037 / 0.2e1 + 0.3e1 * t89703 * t17685 + t6772 * t132966 / 0.12e2;
  t132971 = 0.6e1 * t126451;
  t132977 = t168 * t90823;
  t132988 = t5563 * t17550;
  t132991 = t5733 * t17663;
  t132995 = t5595 * t8278 * t2337;
  t133005 = t132971 + 0.36e2 * t5639 * t40336 * t4619 * t90070 + t50860 * t17713 + t120529 + t8063 * t5691 * t132977 / 0.4e1 + t555 * t131240 / 0.12e2 + 0.2e1 / 0.3e1 * t1421 * t107874 - t13591 * t2398 / 0.2e1 - t13591 * t2395 - t12414 * t132988 / 0.2e1 + 0.7e1 / 0.3e1 * t12414 * t132991 - 0.3e1 / 0.2e1 * t12414 * t132995 + t57324 * t17195 / 0.2e1 + t57324 * t17191 / 0.2e1 - t8219 * t130659 / 0.3e1 - 0.3e1 * t122075;
  t133007 = t50552 * t17597;
  t133025 = t19377 * t439;
  t133026 = t380 * t133025;
  t133027 = t4687 * t133026;
  t133032 = t9444 * t380 * t19377 * t2196;
  t133037 = t50380 * t2756;
  t133041 = -t122078 + 0.3e1 / 0.2e1 * t122083 - t124091 - t6769 * t133007 / 0.3e1 - 0.23e2 / 0.12e2 * t11399 * t29474 * t89739 + t124095 - t122097 / 0.2e1 - t122099 / 0.2e1 + t122103 / 0.2e1 - t122119 / 0.12e2 - 0.3e1 * t5665 * t8443 * t1165 * t90447 - 0.2e1 * t5665 * t2056 * t4575 * t91480 - t6764 * t133027 / 0.6e1 - t6772 * t133032 / 0.6e1 + t120533 + t555 * t131225 / 0.6e1 - t1981 * t1430 * t133037 / 0.6e1;
  t133047 = t130811 / 0.2e1;
  t133048 = t130815 / 0.6e1;
  t133051 = t1101 * t132810;
  t133071 = -t1956 * t16982 + t555 * t131229 / 0.6e1 - t133047 + t133048 + t555 * t131235 / 0.12e2 + t1702 * t133051 / 0.3e1 + t490 * t126782 / 0.6e1 - t1981 * t1423 * t133037 / 0.3e1 + 0.11e2 / 0.6e1 * t11399 * t29468 * t132876 - t8214 * t130797 / 0.3e1 - 0.9e1 / 0.2e1 * t5665 * t8438 * t24435 * t89738 - 0.3e1 * t122131 + t124103 - 0.3e1 / 0.2e1 * t126509 + 0.3e1 * t122140 + t122145;
  t133082 = t126516 / 0.6e1;
  t133083 = 0.2e1 / 0.3e1 * t126519;
  t133084 = t126531 / 0.3e1;
  t133103 = t1956 * t16987 / 0.2e1 + t10426 * t2822 - 0.23e2 / 0.12e2 * t11399 * t29474 * t90448 + 0.11e2 / 0.6e1 * t11399 * t29468 * t132818 + t122150 / 0.4e1 - t124115 - t133082 + t133083 - t133084 + t89637 * t570 / 0.4e1 - t442 * t108107 / 0.12e2 + t109160 * t457 / 0.4e1 + 0.8e1 * t5665 * t8460 * t4626 * t90447 - t2609 * t57443 / 0.6e1 - 0.3e1 * t1956 * t17019 - 0.3e1 / 0.2e1 * t8169 * t89722 + 0.3e1 / 0.2e1 * t1383 * t19343;
  t133107 = t126560 / 0.2e1;
  t133110 = -0.3e1 * t29352 * t108200 + 0.3e1 * t50860 * t17615 + t118987 + t120572 + t124133 + t126562 + t126563 + t133107 + t16374 + t16918 + t16919 - t16920 + t16921 + t16922 - t16923 + t16924 - t16925;
  t133111 = t126567 / 0.3e1;
  t133112 = t126571 / 0.6e1;
  t133117 = 0.2e1 / 0.3e1 * t126586;
  t133118 = t126596 / 0.3e1;
  t133120 = t4695 * t86611 * t2667;
  t133129 = t133111 - t133112 - t122170 / 0.2e1 - 0.2e1 * t122181 + 0.9e1 / 0.2e1 * t11399 * t90746 + t133117 + t133118 - t126598 + t126605 - t126607 - t133120 / 0.4e1 - t4695 * t13663 * t16970 / 0.4e1 - t29985 * t19382 / 0.4e1 - t16926 - t16927 + t122191 / 0.6e1 + t8280 * t16977;
  t133175 = t2609 * t121876 / 0.6e1 + 0.3e1 / 0.2e1 * t1956 * t16984 + 0.18e2 * t5665 * t40329 * t1038 * t90070 + t5665 * t2056 * t1165 * t90823 + t45289 * t19389 - 0.3e1 * t5649 * t108066 * t17199 + 0.3e1 / 0.2e1 * t4695 * t108066 * t17015 + 0.18e2 * t10513 * t40324 * t24557 * t90070 + t5665 * t2060 * t130642 - t5639 * t2060 * t130638 - 0.3e1 / 0.2e1 * t5665 * t8443 * t1165 * t89738 - t5665 * t2056 * t131207 - 0.3e1 / 0.2e1 * t5665 * t559 * t131210 - t12474 * t2506 / 0.2e1 + t11501 * t2671 / 0.2e1 - t56071 * t2659 / 0.2e1;
  t133193 = 0.3e1 * t126659;
  t133194 = 0.4e1 * t126669;
  t133203 = t2609 * t57671 / 0.3e1 - t2609 * t56036 / 0.6e1 + t126633 - t6769 * t5691 * t4693 * t133025 / 0.3e1 + t5649 * t13533 * t90750 / 0.2e1 - 0.2e1 * t8091 * t91379 - t69146 * t2390 + t13591 * t2403 - t61509 * t2503 / 0.2e1 - t126642 + t126644 + t133193 - t133194 + t1383 * t19329 / 0.2e1 + t2604 * t11368 / 0.6e1 + 0.3e1 / 0.2e1 * t1383 * t19326 + t1974 * t130747 / 0.6e1;
  t133229 = -0.5e1 / 0.36e2 * t8169 * t5595 * t132954 - t120638 - t16951 - t16419 - t57324 * t17058 / 0.2e1 - 0.9e1 / 0.2e1 * t10513 * t8438 * t24477 * t90447 - t18783 + t8063 * t130958 / 0.6e1 + t8091 * t1430 * t132954 / 0.2e1 + t130974 - t130976 - t555 * t130656 / 0.6e1 + 0.3e1 * t5792 * t19321 - t8145 * t1101 * t132954 / 0.2e1 - t51333 * t2809 - t12474 * t2509 / 0.4e1;
  t133233 = 0.3e1 / 0.2e1 * t124228;
  t133234 = 0.3e1 / 0.2e1 * t124252;
  t133246 = t1423 * t132810;
  t133253 = t1421 * t108364 / 0.3e1 + 0.3e1 / 0.2e1 * t122201 + t124222 + t133233 + t124233 - t126707 + t16440 - t124246 - t133234 + t4695 * t108423 * t2257 / 0.2e1 + 0.3e1 / 0.2e1 * t39807 * t17175 - 0.3e1 * t8280 * t17200 + 0.3e1 / 0.2e1 * t1956 * t17016 - t1981 * t130914 / 0.6e1 - t1683 * t133246 / 0.3e1 - t8214 * t131498 / 0.6e1 + t8063 * t131195 / 0.12e2;
  t133276 = t168 * t91480;
  t133291 = -0.4e1 / 0.3e1 * t8063 * t90653 + 0.23e2 / 0.18e2 * t11399 * t89824 * t17839 - t122204 / 0.4e1 - 0.9e1 / 0.2e1 * t5639 * t2060 * t24435 * t91480 - 0.8e1 * t5639 * t8460 * t4572 * t90447 + 0.8e1 * t55994 * t50144 * t10511 * t90070 + t11646 * t4687 * t132818 + 0.2e1 / 0.3e1 * t8219 * t9444 * t133276 - t126715 - t131018 - 0.62e2 / 0.3e1 * t132774 * t107561 + t18785 - t124263 + 0.3e1 / 0.2e1 * t4695 * t108419 * t2394 + t8063 * t45452 * t19398 / 0.4e1 - t8219 * t4687 * t132977 / 0.3e1;
  t133293 = 0.3e1 * t126726;
  t133294 = 0.3e1 * t126736;
  t133317 = t61124 * t17618 - t133293 + t133294 - 0.6e1 * t5665 * t40350 * t356 * t90070 + 0.3e1 / 0.2e1 * t5639 * t2060 * t4572 * t90823 - 0.4e1 * t11510 * t90290 + 0.4e1 * t11510 * t91411 - t126744 - 0.23e2 / 0.3e1 * t55987 * t10358 * t90071 + t57328 * t17054 / 0.2e1 + t124276 + t16464 - t16467 - t126751 - 0.11e2 / 0.18e2 * t122214 + t8091 * t1423 * t132954 + t8063 * t130955 / 0.3e1;
  t133343 = t56429 * t17047;
  t133346 = t56645 * t17064;
  t133351 = -0.2e1 / 0.3e1 * t8063 * t50296 * t17064 - t126753 + t5665 * t2056 * t130826 / 0.2e1 + 0.2e1 / 0.3e1 * t5673 * t107867 - 0.43e2 / 0.9e1 * t55994 * t50144 * t90093 + t122219 / 0.6e1 - t122225 / 0.6e1 - t126760 + 0.44e2 / 0.27e2 * t55994 * t50144 * t90071 - 0.3e1 / 0.2e1 * t5665 * t2060 * t4626 * t90823 - 0.3e1 / 0.2e1 * t45289 * t19434 - t11399 * t50296 * t17822 + t6769 * t133343 / 0.6e1 - t6769 * t133346 / 0.3e1 + t122248 / 0.3e1 + t122249 / 0.3e1 - t124300;
  t133352 = t126777 / 0.3e1;
  t133373 = t56645 * t17047;
  t133376 = t40145 * t17047;
  t133379 = t85758 * t17042;
  t133392 = -t133352 - t4695 * t108576 * t15455 + 0.89e2 / 0.9e1 * t55994 * t50318 * t90071 - t11646 * t50305 * t17822 - t8219 * t34283 * t17809 / 0.3e1 - 0.38e2 / 0.9e1 * t55994 * t29474 * t132880 - 0.2e1 * t29461 * t107906 - t373 * t2040 * t131097 / 0.4e1 + t10426 * t2831 / 0.2e1 - t124321 + t6769 * t133373 / 0.12e2 - t6764 * t133376 / 0.6e1 - t6772 * t133379 / 0.6e1 - t8219 * t29988 * t19398 / 0.3e1 + t8219 * t131128 / 0.3e1 + t5649 * t108576 * t15388 + 0.5e1 / 0.12e2 * t11399 * t29474 * t132876;
  t133402 = t1956 * t16992;
  t133420 = 0.5e1 / 0.3e1 * t55987 * t10358 * t132880 - t10426 * t2814 - t11501 * t2668 / 0.4e1 - t133402 / 0.4e1 - t1956 * t16971 / 0.4e1 + 0.3e1 * t8280 * t16974 - t16473 - 0.8e1 / 0.3e1 * t11510 * t5674 * t132818 - 0.3e1 / 0.2e1 * t8063 * t30134 * t133276 + 0.9e1 / 0.2e1 * t5665 * t2060 * t24564 * t91480 - 0.7e1 * t29352 * t107864 + t126841 - t16493 - t17070 + t17072 + t126842;
  t133435 = 0.3e1 * t126854;
  t133439 = t120734 + t2604 * t11422 / 0.6e1 - t490 * t95992 / 0.6e1 + t95997 * t505 / 0.2e1 - t11501 * t2663 / 0.2e1 - t555 * t89632 / 0.12e2 - t2609 * t56960 / 0.12e2 - t120742 + t122272 / 0.3e1 - 0.3e1 / 0.2e1 * t122280 + t133435 + 0.23e2 / 0.36e2 * t122284 + 0.7e1 / 0.3e1 * t122286 - t122288 / 0.6e1 + t124347 + t17073 + t17172;
  t133449 = t110 * t29594;
  t133468 = t5691 * t133026;
  t133471 = t2369 * t2601;
  t133475 = t2788 * t16968;
  t133490 = t19240 * t2196;
  t133497 = -0.2e1 / 0.3e1 * t40336 * t4609 * t133471 - 0.2e1 * t2056 * t1165 * t133475 + 0.2e1 * t2056 * t131414 + 0.3e1 * t559 * t131418 + 0.36e2 * t40336 * t4572 * t133471 - 0.12e2 * t40324 * t24418 * t133471 - t559 * t131457 - 0.1e2 * t8438 * t24418 * t133490 - t8438 * t24477 * t133490 / 0.6e1 + t126942 - t126943;
  t133498 = t1173 * t90447;
  t133507 = t108691 * t2196;
  t133511 = t108691 * t439;
  t133512 = t1173 * t133511;
  t133521 = t91080 * t487;
  t133525 = -t126944 + t126947 - t124391 + t124396 + 0.32e2 / 0.3e1 * t40318 * t133498 + 0.6e1 * t40458 * t360 * t90447 + 0.4e1 * t40461 * t360 * t91480 - 0.6e1 * t40458 * t360 * t133507 - 0.12e2 * t57964 * t133512 - 0.24e2 * t57984 * t360 * t133511 - 0.9e1 * t40455 * t1186 * t91480 - 0.6e1 * t8508 * t1186 * t133521;
  t133527 = t1173 * t133507;
  t133532 = 0.6e1 * t126959;
  t133533 = 0.2e1 * t126971;
  t133534 = 0.3e1 * t124411;
  t133538 = t2060 * t131345 + 0.9e1 * t40315 * t133498 - 0.18e2 * t40315 * t133527 + 0.6e1 * t122299 + 0.2e1 * t122301 + t124404 - t124413 - t126955 + t126989 - t133532 - t133533 + t133534;
  t133543 = 0.2e2 / 0.3e1 * t127046;
  t133544 = 0.8e1 * t127060;
  t133545 = t127066 / 0.9e1;
  t133549 = 0.24e2 * t127084;
  t133550 = 0.4e1 / 0.3e1 * t127089;
  t133551 = 0.4e1 * t127095;
  t133552 = t124422 + t124433 + 0.24e2 * t40329 * t1033 * t133471 + 0.2e1 / 0.3e1 * t122312 + t133543 - t133544 + t133545 + t8508 * t1173 * t133521 - 0.6e1 * t127074 - t133549 - t133550 + t133551;
  t133569 = t4599 * t133511;
  t133577 = 0.6e1 * t124468;
  t133578 = -t127097 - t127100 + 0.24e2 * t40318 * t1186 * t133507 - 0.2e1 * t8508 * t131293 - 0.1e2 * t40315 * t4599 * t90447 + 0.72e2 * t57964 * t1186 * t133511 - 0.16e2 * t40318 * t1186 * t90447 + 0.8e1 * t57967 * t133569 - 0.4e1 / 0.3e1 * t57753 * t24682 * t133511 + 0.4e1 * t40455 * t131289 - t124461 - t133577;
  t133606 = t124482 + 0.12e2 * t40350 * t356 * t133471 + 0.3e1 * t8443 * t1165 * t133490 + 0.4e1 / 0.3e1 * t2060 * t131431 + 0.3e1 * t2060 * t4626 * t133475 - 0.2e1 / 0.3e1 * t2060 * t131410 - 0.2e1 * t2060 * t4572 * t133475 - 0.4e1 / 0.3e1 * t122330 + t8508 * t131310 / 0.3e1 + 0.6e1 * t40455 * t1173 * t91480 - t57753 * t51643 * t133511 / 0.9e1 + 0.2e1 * t8511 * t131303;
  t133615 = t4586 * t133511;
  t133628 = 0.2e1 * t11656 * t131307 + t40315 * t4586 * t133507 / 0.3e1 - 0.4e1 * t40318 * t133527 + 0.4e1 / 0.3e1 * t57967 * t133615 + 0.4e1 * t8511 * t360 * t133521 + 0.2e1 * t40315 * t4599 * t133507 - 0.72e2 * t57967 * t133512 + 0.8e1 / 0.3e1 * t57753 * t133615 - t131331 - t17074 - t15480 - t17075;
  t133635 = 0.12e2 * t127125;
  t133636 = 0.2e1 * t124536;
  t133637 = t122340 / 0.18e2 - t122342 - 0.36e2 * t40329 * t1038 * t133471 - 0.2e1 * t2060 * t131462 - t124514 - t124516 + t133635 - t124523 + t124527 + t124529 - t124531 - t133636;
  t133641 = t46252 * t90447;
  t133650 = 0.12e2 * t127135;
  t133652 = 0.6e1 * t127141;
  t133653 = -t16527 - 0.16e2 / 0.3e1 * t40318 * t133641 - 0.3e1 * t40455 * t46252 * t91480 + t40315 * t51878 * t90447 / 0.3e1 + t133650 + 0.3e1 * t127139 - t133652 + t16546 - t16551 + t119333 - t119342 + t119344;
  t133673 = -t559 * t131354 + 0.9e1 * t8438 * t24435 * t133490 + 0.5e2 / 0.3e1 * t40324 * t24477 * t133471 - 0.2e1 * t559 * t131422 - 0.12e2 * t8460 * t4626 * t133490 - 0.4e2 * t40336 * t4619 * t133471 + 0.1e2 / 0.3e1 * t122351 + t127153 + t127154 - t122357 / 0.9e1 - 0.12e2 * t122359 - 0.2e1 / 0.3e1 * t122361;
  t133678 = 0.2e1 / 0.9e1 * t127169;
  t133679 = 0.4e1 * t127174;
  t133680 = 0.2e1 * t122363 - 0.4e1 * t122372 + 0.6e1 * t122374 - t127165 - t127166 - t127167 - t133678 + t124571 + t133679 + t124576 + t127181 - t127182;
  t133683 = -t2056 * t131454 + 0.2e1 * t122381 + t127183 + t127185 + t127186 + t127188 + t131363 - t131377 - t17089 - t17090 + t17091 + t17098;
  t133686 = 0.4e1 * t124603;
  t133700 = 0.2e1 * t124617;
  t133707 = t133686 + 0.24e2 * t57753 * t133569 - t40315 * t4586 * t90447 / 0.6e1 - 0.4e1 * t40461 * t131332 - 0.6e1 * t58028 * t131336 + 0.4e1 * t11656 * t131297 - 0.2e1 / 0.3e1 * t40455 * t131300 + t17119 + t131430 - t133700 + 0.2e1 * t40315 * t51889 * t90447 - 0.12e2 * t40458 * t46256 * t90447;
  t133719 = 0.18e2 * t40455 * t46248 * t91480 - 0.8e1 * t40461 * t46256 * t91480 - 0.18e2 * t40315 * t133641 - 0.3e1 * t122416 - 0.3e1 * t122424 + 0.6e1 * t122426 - t124625 + t124628 - t16558 + t16560 + t16561 - t18839;
  t133721 = 0.12e2 * t127214;
  t133730 = t133721 - t124638 - 0.4e1 * t122432 + 0.1e2 / 0.3e1 * t40324 * t24557 * t133471 + 0.8e1 * t8460 * t4572 * t133490 - t119443 - t119445 + t119455 - t17145 + t17147 - 0.2e1 * t127221 + t17148;
  t133736 = 0.32e2 * t40318 * t46248 * t90447 + t559 * t131477 / 0.2e1 + t124696 - t124699 - t15516 + t17149 + t17150 + t15538 - t2229 - t124702 + t2210 + t124707;
  t133745 = t126897 / 0.3e1;
  t133748 = t11646 * t4687 * t132876 / 0.2e1 + 0.2e1 * t56930 * t6005 * t132880 - t8063 * t131246 / 0.6e1 - 0.28e2 * t133449 * t108327 + 0.6e1 * t5665 * t8460 * t4626 * t89738 - t16506 + t16514 - 0.2e1 * t55994 * t29468 * t132880 - t110 * t17168 * t584 / 0.4e1 + t4695 * t13659 * t91495 / 0.2e1 + t4695 * t13663 * t91487 / 0.2e1 + t6769 * t133468 / 0.12e2 - t110 * t139 * (t133497 + t133525 + t133538 + t133552 + t133578 + t133606 + t133628 + t133637 + t133653 + t133673 + t133680 + t133683 + t133707 + t133719 + t133730 + t133736) * t168 / 0.4e1 + t126879 - t133745 + t61124 * t17598 / 0.2e1;
  t133751 = 0.6e1 * t127273;
  t133752 = t127286 / 0.6e1;
  t133755 = -t126906 + t120778 - t122456 / 0.2e1 + t119123 - t119126 - t119130 - t119138 + t119143 - t126929 - t120780 - t124363 - t124369 + t127257 / 0.4e1 - t133751 - t17178 - t133752 + 0.12e2 * t56113 * t91414;
  t133767 = t10447 * t17597;
  t133770 = t10358 * t17621;
  t133780 = t124748 / 0.3e1;
  t133781 = t124751 / 0.4e1;
  t133785 = t124385 + t127295 - t17179 - 0.3e1 / 0.4e1 * t8063 * t30141 * t133276 + 0.5e1 / 0.12e2 * t11399 * t29474 * t132818 - 0.4e1 / 0.3e1 * t11510 * t5691 * t132818 - 0.11e2 / 0.18e2 * t61081 * t133767 + 0.23e2 / 0.36e2 * t61081 * t133770 - t51173 * t17676 + t34833 * t17603 + t5639 * t2060 * t130840 / 0.2e1 + 0.9e1 / 0.2e1 * t11399 * t90133 - t124740 - t133780 + t133781 + 0.6e1 * t55987 * t5691 * t132880;
  t133791 = 0.6e1 * t127316;
  t133806 = t10358 * t17597;
  t133813 = 0.3e1 / 0.2e1 * t11399 * t30141 * t132876 - t1383 * t19339 / 0.2e1 + t127313 - t133791 + t8063 * t5674 * t132977 / 0.2e1 + 0.3e1 / 0.2e1 * t127328 + t51176 * t17607 - t50860 * t17610 + 0.2e1 / 0.3e1 * t8063 * t50503 * t17809 - t34833 * t17588 - t34833 * t17591 / 0.2e1 + t127333 + t61173 * t122449 / 0.6e1 - 0.5e1 / 0.36e2 * t61081 * t133806 + t50860 * t17702 + t50860 * t17705 - t8063 * t130635 / 0.3e1;
  t133837 = 0.2e1 / 0.3e1 * t8063 * t30141 * t1018 * t130633 + 0.3e1 / 0.2e1 * t45286 * t19385 - t127334 - t127336 - t122531 / 0.4e1 - t122538 / 0.2e1 + t1383 * t19354 / 0.2e1 - t5792 * t19351 / 0.2e1 + t2609 * t57166 / 0.3e1 + t131233 + t1974 * t1101 * t133037 / 0.3e1 + t124810 + t124817 - t8063 * t89675 - t8063 * t90825 + t8063 * t45283 * t19398 / 0.2e1 + t127343;
  t133844 = t5674 * t133026;
  t133861 = -0.11e2 / 0.9e1 * t11399 * t89846 * t17822 + t122540 / 0.2e1 + t122545 - t122547 / 0.12e2 + t122550 / 0.6e1 - t16593 + t6769 * t133844 / 0.6e1 + t61173 * t121935 / 0.3e1 + 0.2e1 * t11510 * t50552 * t17822 + t5665 * t559 * t131494 - 0.3e1 * t56113 * t5695 * t132880 - t11510 * t5691 * t132876 - t8219 * t130668 / 0.6e1 - t16114 - t16119 + t16127 + t16605;
  t133867 = my_piecewise3(t100, 0, t132732 + t132860 + t133392 + t133748 + t132903 + t133755 + t133071 + t133439 + t132803 + t132779 + t133785 + t133175 + t132702 + t133420 + t133253 + t133317 + t132837 + t132969 + t133813 + t133291 + t133351 + t132934 + t133837 + t132761 + t133229 + t133005 + t133110 + t133129 + t133041 + t133103 + t133203 + t133861);
  tv4sigmalapl2tau17 = t3 * t133867;

  if(out->v4sigmalapl2tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapl2tau[ip*p->dim.v4sigmalapl2tau + 17] += tv4sigmalapl2tau17;

  t133868 = t19501 * t2105;
  t133869 = t95 * t133868;
  t133873 = t19618 * t414;
  t133874 = t95 * t133873;
  t133878 = t19618 * t2105;
  t133894 = t121120 - t7251 * t26405 * t133869 / 0.4e1 + t7254 * t8790 * t133874 / 0.3e1 + t7248 * t42389 * t95 * t133878 / 0.2e1 - t7251 * t26405 * t133874 / 0.6e1 - t127361 + t131508 - t131509 - t124845 - t124846 + 0.36e2 * t4983 * t70494 * t91925 + 0.5e1 / 0.3e1 * t97746 * t17493 - t131515 + t127365 - t127369 + t127373 - t119532 / 0.2e1 + t119534 / 0.2e1 - t122649 / 0.4e1;
  t133920 = -0.4e1 / 0.3e1 * t7251 * t92240 - t131516 + 0.2e1 / 0.3e1 * t7251 * t53027 * t17477 - 0.5e1 / 0.36e2 * t119554 + t119556 / 0.6e1 + t119559 - t71059 * t129749 + t7254 * t132056 / 0.3e1 - t2089 + t2160 - t119571 / 0.12e2 - t127379 - t131556 - t119582 / 0.12e2 - 0.38e2 / 0.9e1 * t97025 * t26189 * t17291 + 0.89e2 / 0.9e1 * t97025 * t47807 * t17295 - t3266 * t110262 * t2323 / 0.2e1 - t3266 * t110518 * t2166 / 0.4e1 - t119595 / 0.6e1 - t119601;
  t133945 = -0.2e1 * t119611 - t515 * t92503 / 0.6e1 + t13894 * t16633 + t2844 * t119966 / 0.3e1 - t10777 * t2734 + 0.23e2 / 0.36e2 * t13908 * t4808 * t17263 - t13908 * t4867 * t17223 / 0.2e1 - 0.61e2 / 0.27e2 * t97025 * t47807 * t17291 + 0.44e2 / 0.27e2 * t97025 * t47881 * t17295 - t131559 + 0.2e1 / 0.3e1 * t124919 - 0.4e1 / 0.3e1 * t124921 + t124923 - t127395 - t127398 + t124926 + t119624 / 0.6e1 + t119626 / 0.12e2 - t131563;
  t133956 = -t124936 + t127404 - t127414 - t122702 / 0.3e1 + t131587 + t124953 + t124971 + t131589 + t124989 + t127427 - t127431 / 0.2e1 - t127443 - t119641 / 0.6e1 + t122719 / 0.2e1 - t121227 + t121231 - t43357 * t19626 - t1516 * t18059 + t10777 * t2751 / 0.2e1 + 0.7e1 / 0.3e1 * t13908 * t46959;
  t133986 = t19501 * t414;
  t133991 = t515 * t125442 / 0.6e1 - t1516 * t18056 / 0.4e1 + t5286 * t19701 + t679 * t13885 * t130441 + t9948 * t2903 / 0.2e1 - t417 * t110223 / 0.6e1 + t13203 * t2462 / 0.2e1 + t10777 * t2742 + 0.3e1 / 0.2e1 * t1516 * t18066 + t1516 * t18061 / 0.2e1 + t131610 - t131611 + t131612 - t125011 + t3266 * t14062 * t87741 + t3266 * t14065 * t87680 - 0.2e1 / 0.3e1 * t4872 * t110064 + 0.3e1 * t3266 * t70108 * t93392 - 0.3e1 / 0.2e1 * t9877 * t7686 * t20876 * t133986;
  t134000 = t95 * t133986;
  t134027 = 0.3e1 * t4983 * t7686 * t20862 * t133986 - 0.3e1 / 0.2e1 * t4772 * t7686 * t22290 * t133986 + 0.11e2 / 0.18e2 * t10757 * t26847 * t134000 - 0.23e2 / 0.36e2 * t10757 * t26189 * t670 * t133986 + 0.3e1 * t26550 * t70108 * t92786 - 0.6e1 * t4993 * t70108 * t93052 + t127453 - t127457 + t119679 / 0.2e1 + t1815 * t131801 / 0.3e1 - t63486 * t2444 + t13203 * t2453 + 0.7e1 / 0.3e1 * t13908 * t129957 - 0.11e2 / 0.18e2 * t13908 * t130409 - t13908 * t129960 / 0.2e1 + t127475 - t127478 + t119686 + 0.7e1 / 0.3e1 * t119691 - t119694 / 0.2e1;
  t134037 = t4983 * t9020 * t109551;
  t134039 = t18018 * t463;
  t134047 = t4772 * t9020 * t19633;
  t134053 = t41761 * t19638;
  t134065 = t131646 / 0.2e1;
  t134068 = t121256 - t121270 + t119704 / 0.3e1 - t119705 / 0.4e1 - t119707 / 0.2e1 + 0.18e2 * t9877 * t70446 * t20871 * t17286 + t134037 / 0.2e1 + t4983 * t1876 * t3130 * t134039 / 0.2e1 - t42708 * t19634 / 0.2e1 - t134047 / 0.2e1 - t4772 * t1876 * t3556 * t134039 / 0.2e1 + t134053 / 0.6e1 + 0.3e1 / 0.2e1 * t70173 * t26405 * t17477 - 0.2e1 / 0.3e1 * t2844 * t130434 - 0.2e1 / 0.3e1 * t2844 * t130588 + t6411 * t17988 - 0.3e1 / 0.2e1 * t4806 * t110233 - t134065 - 0.2e1 / 0.3e1 * t119718 + t119732 / 0.2e1;
  t134082 = t95 * t134039;
  t134091 = t246 * t8897 * t19664;
  t134113 = t15109 - 0.8e1 * t14169 * t92485 - 0.4e1 * t14169 * t87753 + 0.12e2 * t69704 * t93392 - 0.24e2 * t69699 * t93490 + 0.32e2 / 0.3e1 * t69704 * t93052 + 0.12e2 * t69715 * t93532 + 0.4e1 * t14166 * t93290 - 0.8e1 * t69699 * t93305 - 0.8e1 / 0.3e1 * t14169 * t91700 + 0.2e1 * t521 * t16760 - t129780 - t129781;
  t134122 = t129782 + t129783 + t129784 + 0.16e2 / 0.9e1 * t69704 * t92786 + 0.4e1 * t14166 * t87741 + 0.4e1 * t14172 * t87680 - 0.4e1 / 0.3e1 * t14169 * t87880 - t129785 + t127654 - t127657 + t127661 + t129795 + t122586;
  t134126 = -t122589 + t122593 - t127691 + t127693 + t127697 - t15121 + t129809 - t122603 + t122609 + t122617 - t129822 + 0.4e1 * t17373 - 0.12e2 * t17514;
  t134140 = 0.4e1 / 0.3e1 * t17381 - 0.2e1 / 0.3e1 * t17370 + 0.24e2 * t17521 + t129845 - 0.4e1 * t17347 - 0.4e1 * t17350 + 0.8e1 * t17345 - 0.2e1 * t14172 * t16760 - 0.12e2 * t17354 - 0.4e1 * t17358 - 0.4e1 * t17363 - 0.4e1 / 0.3e1 * t17366 + 0.2e2 / 0.9e1 * t17377;
  t134142 = t134113 + t134122 + t134126 + t134140;
  t134153 = t1516 * t18051;
  t134160 = -0.3e1 / 0.2e1 * t4772 * t14313 * t16766 - t4772 * t2866 * t16771 - t10757 * t52331 * t17291 + 0.14e2 / 0.3e1 * t10757 * t91726 * t17295 - t7254 * t26645 * t19614 / 0.6e1 - t7254 * t3273 * t134082 / 0.6e1 - t1779 * t132602 / 0.3e1 - t1228 * t19665 / 0.4e1 - t134091 / 0.4e1 - t246 * t1797 * t824 * t221 * t134142 / 0.4e1 - t1228 * t19668 - t246 * t13885 * t129937 - t9948 * t2912 / 0.4e1 - t134153 / 0.4e1 + 0.6e1 * t97746 * t17384 + 0.5e1 / 0.12e2 * t70173 * t26189 * t17477 - t127495 + t131690 + t127500 + t131691;
  t134190 = -t131692 - 0.14e2 / 0.3e1 * t70173 * t130315 + t10838 * t52565 * t17291 + 0.2e1 * t125072 - t121288 + t125076 + t125079 + t118050 - t3266 * t14065 * t16760 / 0.2e1 + t122781 / 0.2e1 - t131700 - 0.2e1 * t97025 * t26847 * t17291 - 0.2e1 * t69822 * t17478 - 0.9e1 / 0.2e1 * t9877 * t14328 * t20876 * t9897 - 0.6e1 * t4772 * t70488 * t17353 - 0.3e1 / 0.2e1 * t4772 * t14313 * t17357 - t121304 - t122807 / 0.6e1 + t122815 / 0.2e1;
  t134195 = t52780 * t2676;
  t134203 = t69265 * t2266;
  t134204 = t1261 * t134203;
  t134207 = t843 * t134203;
  t134212 = t131738 / 0.6e1;
  t134222 = -t131713 - t125131 - t7254 * t132490 / 0.3e1 - t7248 * t131867 / 0.3e1 + t1815 * t843 * t134195 / 0.3e1 - t14011 * t2324 / 0.2e1 - t14011 * t2327 / 0.4e1 - t1541 * t134204 / 0.12e2 + t1568 * t134207 / 0.6e1 + t466 * t128289 / 0.12e2 - t125142 + t121335 + t125143 + t125144 - t125145 + t134212 - t30 * t17469 * t544 / 0.2e1 - t30 * t2309 * t2933 / 0.4e1 - t52942 * t17373 + 0.22e2 / 0.3e1 * t97746 * t17292;
  t134244 = t19598 * t414;
  t134263 = -0.23e2 / 0.3e1 * t97746 * t17296 + 0.11e2 / 0.9e1 * t70173 * t130574 - 0.23e2 / 0.18e2 * t70173 * t130577 - 0.3e1 * t4983 * t7680 * t3130 * t133986 + 0.3e1 * t4772 * t7680 * t3556 * t133986 - t4983 * t1876 * t22290 * t133873 + t3266 * t109195 * t2331 / 0.2e1 + t4983 * t1876 * t3130 * t134244 / 0.2e1 - t4772 * t1876 * t3556 * t134244 / 0.2e1 + 0.6e1 * t4983 * t14328 * t130549 - 0.3e1 * t4772 * t14328 * t130553 - t127566 - t127570 + t31651 * t17921 - t127572 - 0.3e1 * t9877 * t14328 * t130493 - t118171 + t118172 - t118178;
  t134285 = -t118190 - t122865 / 0.6e1 - t125171 - t125174 + t127588 - t127590 + t127595 - t127596 / 0.4e1 + 0.3e1 / 0.2e1 * t26050 * t109470 + 0.3e1 / 0.2e1 * t119776 - 0.3e1 * t119780 + 0.9e1 * t4983 * t14328 * t20862 * t9897 - t131751 - 0.28e2 * t131838 * t109335 - 0.6e1 * t97112 * t17304 + 0.12e2 * t97112 * t17306 - 0.5e1 / 0.3e1 * t69822 * t16667 + 0.1e2 / 0.3e1 * t69822 * t16671 + t26650 * t19628 + t125231;
  t134315 = -t125232 - t31651 * t17932 / 0.2e1 + t119798 / 0.3e1 + 0.23e2 / 0.36e2 * t119804 - 0.11e2 / 0.18e2 * t119807 - 0.35e2 / 0.108e3 * t97025 * t47881 * t17291 + 0.2e1 * t97121 * t17497 + t71047 * t17500 / 0.2e1 + 0.3e1 * t70173 * t130319 + t131754 + t125265 + 0.47e2 / 0.3e1 * t131643 * t109893 + t71047 * t16775 / 0.2e1 + t127609 - t125271 + t125273 - 0.3e1 / 0.2e1 * t4772 * t7690 * t788 * t133986 - t4772 * t1872 * t3562 * t133868 + 0.2e1 * t26106 * t110704;
  t134335 = t253 * t92682;
  t134339 = t19506 * t414;
  t134340 = t253 * t134339;
  t134372 = -t466 * t98424 / 0.12e2 - t47008 * t2899 / 0.2e1 + t2839 * t10198 / 0.6e1 + t9948 * t2915 / 0.2e1 - t9948 * t2907 / 0.2e1 + t11019 * t3273 * t134000 / 0.2e1 + t7254 * t8790 * t133869 / 0.3e1 - t10838 * t4877 * t134000 / 0.2e1 + t7251 * t4877 * t134335 / 0.3e1 - 0.5e1 / 0.18e2 * t10757 * t9744 * t134340 - t11019 * t4762 * t134340 + t10757 * t26405 * t134000 / 0.2e1 - t10757 * t4877 * t134340 - 0.11e2 / 0.9e1 * t10757 * t9845 * t134340 + 0.23e2 / 0.18e2 * t10757 * t9744 * t3264 * t134339 + 0.3e1 / 0.2e1 * t4772 * t1876 * t22309 * t133868 - 0.7e1 / 0.3e1 * t26050 * t110478 - 0.2e1 * t3266 * t14120 * t92485 + 0.14e2 / 0.3e1 * t26050 * t109261 + t4772 * t1876 * t22309 * t133873;
  t134384 = t2932 * t414;
  t134385 = t253 * t134384;
  t134386 = t4762 * t134385;
  t134391 = t131813 / 0.2e1;
  t134395 = t95 * t134244;
  t134399 = t19598 * t2105;
  t134407 = t4772 * t9045 * t19676;
  t134423 = t41761 * t19623;
  t134425 = 0.6e1 * t4993 * t69526 * t93305 - 0.6e1 * t3266 * t69526 * t93490 + t4993 * t14120 * t87880 - t7251 * t132061 / 0.6e1 + t6454 * t134386 / 0.6e1 + 0.2e1 * t71059 * t130363 - t134391 + 0.3e1 * t52942 * t17354 + t52942 * t17358 - t7254 * t3273 * t134395 / 0.6e1 - t7248 * t8790 * t95 * t134399 / 0.6e1 + t42708 * t19677 / 0.2e1 + t134407 / 0.2e1 + t4772 * t1872 * t788 * t134039 / 0.2e1 - 0.5e1 / 0.6e1 * t69822 * t16782 - t71059 * t129879 / 0.2e1 + 0.5e1 / 0.18e2 * t70173 * t130615 + t52942 * t17347 + 0.5e1 / 0.36e2 * t10757 * t26189 * t134000 + t134423 / 0.12e2;
  t134439 = t53031 * t17335;
  t134455 = t7251 * t41697 * t19614 / 0.12e2 + t7251 * t4877 * t134082 / 0.12e2 + t97854 * t481 / 0.4e1 - t17872 + t16143 + t118266 - t118270 + t119851 / 0.6e1 + 0.2e1 / 0.3e1 * t6439 * t98170 - t52940 * t17507 + t36004 * t17510 - t6439 * t134439 / 0.3e1 + t52936 * t17370 - 0.4e1 / 0.3e1 * t7251 * t92684 + t125350 + t3266 * t14062 * t93290 - 0.4e1 * t26106 * t110071 + 0.2e1 / 0.3e1 * t4872 * t109870 + 0.3e1 * t3266 * t70312 * t93532 - t31651 * t17930;
  t134479 = t2118 * t19752;
  t134486 = t2118 * t19747;
  t134492 = -0.12e2 * t98879 * t17423 - 0.6e1 * t70364 * t16867 + 0.12e2 * t98856 * t130057 + 0.4e1 / 0.3e1 * t70373 * t130146 + 0.3e1 * t36105 * t233 * t133986 - t125676 + t125677 - t134479 - t519 * t3562 * t18094 * t2541 - t519 * t3562 * t2883 * t16749 - t134486 - 0.2e1 * t122991 + 0.4e1 * t2870 * t130206 - t14328 * t130063 / 0.9e1;
  t134510 = t42744 * t19765;
  t134512 = t99097 * t463;
  t134525 = t111142 * t414;
  t134533 = t70373 * t3590 * t17402 / 0.3e1 - t98874 * t48481 * t17406 / 0.9e1 - 0.72e2 * t98897 * t17423 - 0.18e2 * t70373 * t17426 + 0.8e1 / 0.3e1 * t98874 * t17407 + 0.24e2 * t98874 * t17453 + 0.2e1 * t70373 * t3580 * t17402 - 0.2e1 * t134510 - 0.2e1 * t7651 * t815 * t134512 + 0.2e1 * t36100 * t233 * t133873 + 0.3e1 * t53473 * t233 * t133878 + 0.4e1 / 0.3e1 * t36191 * t802 * t133873 + 0.2e1 * t7655 * t233 * t134525 + 0.2e1 * t11138 * t233 * t111142 * t2105 + t132126;
  t134538 = t9045 * t19736;
  t134539 = t18094 * t463;
  t134553 = 0.2e1 * t36100 * t233 * t133868 - t1872 * t788 * t134539 - 0.12e2 * t70446 * t20862 * t17390 - 0.4e1 * t2870 * t130067 - 0.1e2 * t14318 * t16792 - 0.36e2 * t70499 * t17462 + t123025 + 0.4e1 * t125727 - 0.8e1 * t125750 - t132128 + t132150 - t132153 - t132154 - t134538;
  t134570 = t9020 * t19724;
  t134576 = t127949 - t123038 - 0.2e1 / 0.3e1 * t123041 + 0.36e2 * t70494 * t17459 + 0.2e2 / 0.3e1 * t14318 * t16818 - 0.2e1 / 0.3e1 * t70494 * t17394 - t14328 * t20876 * t17431 / 0.6e1 - 0.4e2 * t70494 * t17435 - t123048 + 0.2e1 * t2866 * t16816 + 0.2e1 / 0.3e1 * t2870 * t130111 + t134570 + t1876 * t3556 * t134539 + 0.2e1 * t123053 - 0.4e1 * t98887 * t16871;
  t134599 = t802 * t133986;
  t134605 = -t127965 - t127968 - 0.2e1 / 0.3e1 * t127970 - 0.12e2 * t70373 * t16874 - 0.6e1 * t36194 * t815 * t133986 + 0.72e2 * t98879 * t17456 + t123068 / 0.3e1 - 0.4e1 * t70384 * t17426 + 0.4e1 / 0.3e1 * t98897 * t17407 - 0.2e1 * t98856 * t130166 + 0.2e1 / 0.9e1 * t70373 * t130161 + t7651 * t802 * t134525 / 0.3e1 + 0.4e1 * t36194 * t134599 + 0.2e1 * t36191 * t802 * t133868;
  t134629 = -t36092 * t3590 * t133986 / 0.18e2 + t125773 - t125774 - 0.1e2 * t14328 * t20862 * t17431 + 0.12e2 * t70488 * t17443 + 0.3e1 * t14313 * t17446 + 0.24e2 * t70499 * t17391 + 0.3e1 * t14313 * t16802 + 0.2e1 * t2866 * t16805 + t127985 - 0.6e1 * t2870 * t130082 - 0.1e2 / 0.3e1 * t70384 * t16874 + t125775 + t125776 - 0.2e1 * t36191 * t815 * t133873;
  t134643 = -0.2e1 * t7651 * t815 * t134525 - t125780 - t125781 + t125782 - t125783 + 0.2e1 / 0.3e1 * t120035 - 0.24e2 * t98903 * t17417 - 0.6e1 * t70364 * t17420 - t120039 / 0.9e1 - t18070 - t18071 - 0.12e2 * t120049 - 0.4e1 * t120052 - 0.2e1 / 0.3e1 * t120055 + t118539;
  t134652 = 0.6e1 * t120063 + 0.2e1 * t120066 + t125794 + t125795 - t125796 - 0.4e1 / 0.3e1 * t120091 - 0.2e1 / 0.3e1 * t1876 * t3130 * t134539 - t128027 + t120111 / 0.18e2 - 0.4e1 * t120116 - t128044 + t128048 - t128050 + t128054 + t128056;
  t134666 = -t128058 - t132268 - t132269 + t132270 + 0.3e1 * t36092 * t134599 + 0.8e1 * t98897 * t17453 - 0.4e1 / 0.3e1 * t98874 * t22190 * t17406 - 0.1e2 / 0.3e1 * t36092 * t3580 * t133986 - t118587 - t16807 - t128075 + t128081 + t128083 - t128085;
  t134667 = t2298 * t19598;
  t134671 = t9020 * t19731;
  t134682 = -0.2e1 / 0.3e1 * t1876 * t3130 * t134667 - 0.2e1 / 0.3e1 * t134671 + t128087 + t128095 + 0.2e2 * t70384 * t16877 - 0.3e1 * t120155 - t120158 + t125852 - t132275 + t132276 - 0.8e1 / 0.3e1 * t125870 - t519 * t788 * t63 * t134142 + t118606 + 0.1e2 / 0.3e1 * t120180 - 0.2e1 * t128134;
  t134701 = t132279 + t132280 - 0.12e2 * t14318 * t17432 + 0.9e1 * t14328 * t22290 * t17431 + 0.8e1 * t14318 * t17440 - t1872 * t788 * t134667 - t519 * t3562 * t19783 * t2105 + t15762 + t132281 + 0.4e1 / 0.3e1 * t125894 - t128148 + 0.2e1 * t128152 + t128154 / 0.3e1 + 0.2e1 * t128163 + 0.2e1 * t120193;
  t134709 = t2118 * t19784;
  t134711 = -t16809 - t15239 - t16810 + t16812 - t132293 - t15768 - t15774 + t18089 + 0.6e1 * t120203 - 0.3e1 * t36191 * t815 * t133868 + 0.24e2 * t70384 * t17403 - 0.3e1 * t120214 - t128175 - t128177 + t134709 / 0.2e1;
  t134733 = t43067 * t133986;
  t134736 = t18114 + t1876 * t3556 * t134667 + 0.1e2 / 0.3e1 * t70446 * t20871 * t17390 + 0.5e2 / 0.3e1 * t70446 * t20876 * t17390 - 0.2e2 / 0.3e1 * t14328 * t130085 + t128186 + t16850 + t118668 - t118674 - t118677 - 0.4e1 * t36100 * t43071 * t133873 - 0.6e1 * t53473 * t43071 * t133878 - 0.4e1 * t36100 * t43071 * t133868 - 0.2e1 * t36194 * t134733;
  t134746 = t42744 * t19713;
  t134759 = t128191 / 0.2e1 + 0.2e1 * t11138 * t233 * t99097 * t2541 + 0.2e1 * t11138 * t233 * t14357 * t16749 + t134746 / 0.3e1 + t7651 * t802 * t134512 / 0.3e1 + 0.2e1 * t123254 - t128194 + t519 * t788 * t60 * t134142 / 0.2e1 - t2866 * t16852 - t125922 + t18135 + t18136 - t18137 - t123270 + 0.6e1 * t14328 * t130179;
  t134778 = t42887 * t19768;
  t134783 = t76113 * t19773;
  t134785 = -0.4e1 / 0.3e1 * t2870 * t130233 + t15802 - t15811 + t15813 + 0.6e1 * t120233 + 0.2e1 * t120239 - t18149 + 0.4e1 * t36191 * t43075 * t133873 - 0.6e1 * t36092 * t134733 - 0.2e1 / 0.3e1 * t36191 * t43067 * t133873 - t36191 * t43067 * t133868 + t36092 * t48556 * t133986 / 0.9e1 + 0.2e1 * t134778 + 0.2e1 * t7655 * t233 * t134512 + 0.2e1 * t134783;
  t134801 = -t125949 + t125950 - t125951 + 0.6e1 * t36191 * t43075 * t133868 + 0.2e1 / 0.3e1 * t36092 * t48591 * t133986 - 0.6e1 * t36105 * t43071 * t133986 + 0.12e2 * t36194 * t43075 * t133986 + t16880 - t15274 + t15282 + t16881 + t123304 / 0.2e1 - t2138 + t2119 + 0.2e1 * t2870 * t130281;
  t134810 = -t127752 + t127754 + t127759 - t127761 - t125375 + t125379 - 0.2e1 * t125381 - t7254 * t3273 * t134335 / 0.3e1 + t10838 * t4873 * t134340 + t7251 * t132481 / 0.6e1 + t125383 - t30 * t59 * (t134492 + t134533 + t134553 + t134576 + t134605 + t134629 + t134643 + t134652 + t134666 + t134682 + t134701 + t134711 + t134736 + t134759 + t134785 + t134801) * t95 / 0.4e1 - t17902 + t17903 + t15613 - t15624 - t15634 + t15641 - t17904;
  t134819 = t1254 * t134203;
  t134854 = t1516 * t18048 / 0.4e1 + 0.3e1 / 0.2e1 * t1228 * t19606 + 0.3e1 / 0.2e1 * t32356 * t18026 - 0.3e1 * t6411 * t17888 - t1541 * t134819 / 0.6e1 + t1541 * t1261 * t14009 * t2266 / 0.3e1 - t70846 * t2319 / 0.2e1 + t14011 * t2332 / 0.2e1 + t13894 * t17230 / 0.2e1 + t2844 * t129894 / 0.6e1 - 0.3e1 * t1228 * t19517 + 0.3e1 / 0.2e1 * t1228 * t19521 + t125390 - 0.18e2 * t4772 * t70494 * t17513 - 0.18e2 * t4983 * t70446 * t20876 * t17286 + t47381 * t17951 / 0.2e1 - t47384 * t17912 / 0.2e1 + t119863 / 0.2e1 - t119865 / 0.2e1 + 0.2e1 / 0.3e1 * t7251 * t5175 * t134335;
  t134882 = t7251 * t26405 * t670 * t133868 - t10838 * t5175 * t134000 - t7251 * t26400 * t133874 / 0.3e1 + t119870 / 0.3e1 + t17954 + t125408 + t121474 - t121479 - t125409 - t123379 / 0.4e1 + t7251 * t52331 * t17477 / 0.3e1 - 0.5e1 / 0.18e2 * t10757 * t91730 * t17291 - t7248 * t132630 / 0.3e1 + t7251 * t132634 / 0.6e1 - t7254 * t131827 / 0.3e1 + t17955 - t17957 + t7248 * t132446 / 0.6e1 + t7248 * t132443 / 0.6e1;
  t134902 = -t13203 * t2447 - t13203 * t2450 / 0.2e1 + 0.2e1 / 0.3e1 * t1252 * t109512 - t10777 * t2737 / 0.2e1 - t1770 * t17313 / 0.2e1 - t466 * t97385 / 0.6e1 + 0.2e1 / 0.3e1 * t1779 * t92758 - t125434 - t119901 / 0.6e1 - t119904 / 0.2e1 + t125437 / 0.3e1 + t127807 - t131983 - t125452 + t125456 - t131984 - t127825 / 0.6e1 + t71614 * t16779 / 0.3e1 + t131990 - t127844;
  t134915 = t52327 * t17335;
  t134922 = t4996 * t134385;
  t134943 = -t127864 - 0.5e1 * t4983 * t14318 * t87554 + 0.5e1 * t4772 * t14318 * t16785 - 0.18e2 * t4983 * t70499 * t92831 + t17973 + t52942 * t17350 + t6454 * t134915 / 0.3e1 - t7251 * t132405 / 0.3e1 + 0.2e1 / 0.3e1 * t7251 * t132408 - t6439 * t134922 / 0.6e1 + t6439 * t4873 * t3264 * t134384 / 0.3e1 + 0.3e1 * t52942 * t17514 - 0.6e1 * t48902 * t70446 * t20845 * t17286 + 0.3e1 * t119920 - t127868 / 0.6e1 + t127895 / 0.2e1 + t127896 / 0.6e1 - t417 * t110666 / 0.12e2 - 0.3e1 * t1516 * t17885;
  t134953 = t42408 * t19620;
  t134958 = t18018 * t2541;
  t134963 = t2851 * t16749;
  t134971 = t4772 * t2118 * t19680;
  t134982 = 0.3e1 / 0.2e1 * t1516 * t17882 + t13894 * t16894 / 0.2e1 + t2844 * t119566 / 0.6e1 - t121510 - t132003 - t125503 + 0.18e2 * t4772 * t70499 * t17520 - t134953 / 0.6e1 - t7248 * t75396 * t19619 / 0.6e1 - t7248 * t8790 * t95 * t134958 / 0.6e1 - t7248 * t8790 * t95 * t134963 / 0.6e1 + t42708 * t19681 / 0.2e1 + t134971 / 0.2e1 + t4772 * t519 * t3562 * t134958 / 0.2e1 + t4772 * t519 * t3562 * t134963 / 0.2e1 + t132006 - t119931 / 0.2e1 - t125513 - t125514 + t121550;
  t135014 = t2087 * t19576;
  t135024 = t2087 * t19601;
  t135035 = 0.2e1 * t4993 * t14120 * t91700 - 0.3e1 * t26050 * t110378 - t4772 * t1872 * t3562 * t133873 - 0.3e1 / 0.2e1 * t4772 * t519 * t22302 * t133878 - 0.6e1 * t52942 * t17521 - 0.2e1 * t52942 * t17345 - 0.18e2 * t9877 * t70494 * t93032 + 0.3e1 * t5286 * t19698 - 0.2e1 * t13894 * t17264 - 0.11e2 / 0.18e2 * t13908 * t4851 * t17223 - t2839 * t16730 / 0.6e1 - t2839 * t16752 / 0.6e1 + t135014 / 0.12e2 + t515 * t836 * t47044 * t2852 / 0.12e2 + t515 * t836 * t6119 * t18019 / 0.12e2 + t135024 / 0.12e2 + t515 * t836 * t4748 * t19599 / 0.12e2 + t1228 * t19609 / 0.2e1 + t246 * t14249 * t16760 / 0.2e1 + t127936;
  t135056 = t16698 - t16699 + t16700 - t16701 + t16704 + t16705 - t128240 + t4772 * t1872 * t788 * t134244 / 0.2e1 + t4772 * t519 * t3562 * t134399 / 0.2e1 - 0.3e1 * t119964 - 0.9e1 / 0.2e1 * t4772 * t14328 * t22290 * t9897 + t123479 / 0.6e1 + t15662 + t15676 - t15681 - t15684 + t132041 - t7251 * t4877 * t670 * t134244 / 0.3e1 + t70173 * t130559 - t26650 * t19685;
  t135064 = t4873 * t134385;
  t135102 = -0.7e1 * t70173 * t47932 + t6451 * t127619 / 0.12e2 - t6439 * t135064 / 0.12e2 - 0.11e2 / 0.9e1 * t10757 * t91726 * t17291 + 0.23e2 / 0.18e2 * t10757 * t91730 * t17295 - t11019 * t52327 * t17291 - t7254 * t36464 * t17477 / 0.3e1 + 0.6e1 * t52936 * t17363 + 0.2e1 * t52936 * t17366 + 0.18e2 * t97746 * t17288 + 0.9e1 / 0.2e1 * t70173 * t47897 - 0.43e2 / 0.9e1 * t97025 * t47881 * t17287 - t7251 * t41850 * t19507 / 0.6e1 - 0.23e2 / 0.12e2 * t70173 * t26189 * t17473 - t119983 / 0.12e2 + t119988 / 0.4e1 + t132087 - t3266 * t14120 * t87753 + 0.2e1 * t10838 * t4996 * t134340;
  t135117 = t52565 * t17335;
  t135133 = t7251 * t131928 / 0.3e1 - t13915 * t16897 / 0.2e1 - 0.2e1 * t13894 * t16637 - 0.2e1 / 0.3e1 * t2844 * t119716 + 0.23e2 / 0.36e2 * t13908 * t129933 - t16757 + 0.4e1 * t69822 * t17474 + t16764 - t16765 + t6451 * t127405 / 0.6e1 - t6439 * t135117 / 0.6e1 - t36004 * t17276 - t36004 * t17279 / 0.2e1 + t121570 + t125594 - t2839 * t15691 / 0.6e1 - 0.3e1 / 0.2e1 * t13908 * t47198 - t54113 * t2729 - t1779 * t1254 * t134195 / 0.3e1 - t1779 * t131793 / 0.6e1;
  t135157 = t41761 * t19503;
  t135165 = t132450 / 0.6e1;
  t135168 = t2844 * t129897 / 0.6e1 - 0.5e1 / 0.36e2 * t13908 * t4808 * t17223 - t13915 * t17224 / 0.2e1 + t515 * t836 * t837 * t94 * t134142 / 0.12e2 + t2844 * t129941 / 0.3e1 + t2844 * t129944 / 0.3e1 + t128267 + t7251 * t43406 * t19614 / 0.6e1 + t7251 * t5175 * t134082 / 0.6e1 - t135157 / 0.3e1 + t128277 + t18044 - t16279 - t16282 - 0.6e1 * t4983 * t14318 * t9898 - 0.3e1 * t4983 * t2870 * t130608 + t135165 + t125620 + t47384 * t17927 / 0.2e1;
  t135184 = 0.2e1 * t10838 * t53031 * t17291 - 0.4e1 * t10838 * t92253 + t7251 * t131999 / 0.3e1 - 0.2e1 / 0.3e1 * t7251 * t52331 * t16670 - t4993 * t109195 * t2318 / 0.2e1 - t128292 / 0.3e1 + t128295 / 0.2e1 - t18053 + t132461 - t128328 + t128330 - t16789 + t125632 + t125654 - t121592 - t125655 - t125656 - t125657 - t16889 - t16890;
  t135214 = 0.3e1 / 0.2e1 * t26784 * t19552 - 0.3e1 * t5286 * t19557 + t13894 * t17227 - 0.5e1 / 0.36e2 * t13908 * t130598 - t466 * t97328 / 0.12e2 + t1228 * t19660 / 0.4e1 + t515 * t131741 / 0.6e1 + t515 * t132089 / 0.6e1 - t1779 * t1261 * t134195 / 0.6e1 + 0.3e1 * t6411 * t17985 - t15734 + t128357 / 0.12e2 + 0.11e2 / 0.6e1 * t70173 * t26847 * t17477 + t128366 + t16901 + t7254 * t42321 * t19507 / 0.3e1 - t121610 - t121616 + t125665;
  t135239 = -t125666 - t47374 * t17919 + t128425 - t125988 + t128430 / 0.12e2 + t128438 / 0.12e2 + t132570 - t128445 - t7251 * t41697 * t19502 / 0.3e1 + t128449 - t7251 * t4877 * t670 * t134039 / 0.3e1 + 0.6e1 * t4772 * t14318 * t17344 - t126009 - t126010 + 0.3e1 / 0.2e1 * t120285 - 0.3e1 / 0.2e1 * t120291 + t7248 * t125405 / 0.6e1 + t43351 * t19630 / 0.2e1 - t26650 * t19687 / 0.2e1 - t7251 * t43371 * t19507 / 0.3e1;
  t135282 = 0.2e1 / 0.3e1 * t7251 * t92512 - 0.3e1 * t97112 * t17487 - t69822 * t17490 + t123633 / 0.12e2 + t123635 / 0.12e2 - t7251 * t26400 * t133869 / 0.2e1 - 0.3e1 / 0.2e1 * t4983 * t1876 * t22290 * t133868 - t417 * t110374 / 0.12e2 + t109921 * t432 / 0.4e1 - t2844 * t47013 / 0.6e1 - t2844 * t47299 / 0.12e2 + t2844 * t47003 / 0.3e1 + t93186 * t530 / 0.2e1 - t515 * t93181 / 0.6e1 + t47384 * t18174 / 0.2e1 + t7251 * t46876 * t17874 / 0.6e1 - t7251 * t47795 * t17878 / 0.3e1 + t7251 * t5175 * t134395 / 0.6e1 - t123648 / 0.2e1 + t123661 / 0.12e2;
  t135299 = t42342 * t19615;
  t135321 = -t121678 + 0.3e1 / 0.2e1 * t120298 + t132629 + t7251 * t4877 * t134395 / 0.12e2 - t7254 * t31478 * t17874 / 0.6e1 - t7248 * t80110 * t17941 / 0.6e1 + t7251 * t47795 * t17874 / 0.12e2 + 0.3e1 * t4772 * t2870 * t130480 - t135299 / 0.6e1 + t128522 / 0.2e1 - t128524 / 0.4e1 - t132673 + 0.6e1 * t4772 * t70446 * t20862 * t17286 - 0.3e1 * t10757 * t91730 * t17287 - 0.62e2 / 0.3e1 * t97025 * t47807 * t17287 + 0.8e1 * t97025 * t47881 * t9875 * t17286 + 0.3e1 * t92565 * t17377 - 0.6e1 * t52936 * t17381 - t128531 + t128536;
  t135327 = my_piecewise3(t2, 0, t135056 + t134943 + t135102 + t134160 + t133956 + t134854 + t135133 + t135321 + t133894 + t135239 + t134068 + t133945 + t134810 + t135214 + t134285 + t135184 + t134455 + t134190 + t134263 + t135168 + t134222 + t134902 + t134315 + t135282 + t134882 + t134425 + t134982 + t133991 + t134372 + t135035 + t134027 + t133920);
  tv4sigmalapltau20 = t3 * t135327;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 0] += tv4sigmalapltau20;

  tv4sigmalapltau21 = 0.e0;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 1] += tv4sigmalapltau21;

  tv4sigmalapltau22 = 0.e0;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 2] += tv4sigmalapltau22;

  tv4sigmalapltau23 = 0.e0;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 3] += tv4sigmalapltau23;

  tv4sigmalapltau24 = 0.e0;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 4] += tv4sigmalapltau24;

  tv4sigmalapltau25 = 0.e0;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 5] += tv4sigmalapltau25;

  tv4sigmalapltau26 = 0.e0;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 6] += tv4sigmalapltau26;

  tv4sigmalapltau27 = 0.e0;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 7] += tv4sigmalapltau27;

  tv4sigmalapltau28 = 0.e0;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 8] += tv4sigmalapltau28;

  tv4sigmalapltau29 = 0.e0;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 9] += tv4sigmalapltau29;

  tv4sigmalapltau210 = 0.e0;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 10] += tv4sigmalapltau210;

  tv4sigmalapltau211 = 0.e0;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 11] += tv4sigmalapltau211;

  tv4sigmalapltau212 = 0.e0;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 12] += tv4sigmalapltau212;

  tv4sigmalapltau213 = 0.e0;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 13] += tv4sigmalapltau213;

  tv4sigmalapltau214 = 0.e0;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 14] += tv4sigmalapltau214;

  tv4sigmalapltau215 = 0.e0;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 15] += tv4sigmalapltau215;

  tv4sigmalapltau216 = 0.e0;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 16] += tv4sigmalapltau216;

  t135352 = -t51333 * t3002 / 0.2e1 - t490 * t100276 / 0.12e2 + t95997 * t570 / 0.2e1 + t100281 * t505 / 0.4e1 - t2947 * t51336 / 0.6e1 - t555 * t95992 / 0.6e1 + t120314 / 0.6e1 - t5673 * t114061 / 0.3e1 - t132688 - t132689 + 0.47e2 / 0.3e1 * t132774 * t112375 - 0.9e1 / 0.2e1 * t5665 * t14932 * t24435 * t10534 - t128550 + t128554 + 0.6e1 * t5665 * t14928 * t17696 + t126126 - t128560 - t128566 + t126148;
  t135387 = -t126149 + t50860 * t18286 / 0.2e1 + t50860 * t18282 / 0.2e1 + 0.2e1 * t101593 * t17832 - 0.23e2 / 0.12e2 * t73218 * t29474 * t17858 + 0.44e2 / 0.27e2 * t100187 * t50144 * t17839 - 0.3e1 * t10513 * t14932 * t130857 - t126150 - t126151 - t128578 - t120330 / 0.4e1 - t1981 * t132811 / 0.6e1 - t11501 * t2817 / 0.2e1 - t490 * t99971 / 0.12e2 + 0.3e1 * t5665 * t2973 * t131201 + 0.5e1 * t5665 * t14928 * t17057 - t126155 + t11501 * t2831 / 0.2e1 - t490 * t100815 / 0.6e1 - t1383 * t19868 / 0.4e1;
  t135394 = t19877 * t439;
  t135401 = t132744 / 0.6e1;
  t135408 = -t1956 * t17654 / 0.2e1 - t123773 / 0.6e1 + t123797 / 0.6e1 - t2180 + t2251 + t126182 + t121899 - t126183 - t123828 / 0.4e1 - 0.23e2 / 0.36e2 * t11399 * t29474 * t1018 * t135394 - t120353 / 0.6e1 - t120357 / 0.2e1 + t135401 - t120378 / 0.2e1 + t123838 / 0.12e2 - t8063 * t45481 * t19927 / 0.6e1 - t128628 - t120409 / 0.12e2 - t126195;
  t135432 = t5665 * t2209 * t19987;
  t135434 = 0.3e1 * t120421 + t120424 - t126205 - t126214 - t128692 - 0.2e1 * t14831 * t17572 - t15036 * t17641 / 0.2e1 + t132782 + t123937 / 0.12e2 - t126231 + t126236 - t128705 - t120430 / 0.6e1 - t120435 / 0.2e1 - 0.18e2 * t10513 * t74545 * t95199 - 0.5e1 * t5639 * t14928 * t90689 + 0.12e2 * t101237 * t17855 + 0.11e2 / 0.6e1 * t73218 * t29468 * t17809 - 0.61e2 / 0.27e2 * t100187 * t50318 * t17822 + t135432 / 0.2e1;
  t135437 = t18272 * t2616;
  t135442 = t19865 * t2196;
  t135447 = t19865 * t439;
  t135448 = t168 * t135447;
  t135455 = t18272 * t487;
  t135456 = t168 * t135455;
  t135463 = t45946 * t20101;
  t135465 = t132801 / 0.6e1;
  t135469 = t5665 * t559 * t4575 * t135437 / 0.2e1 - t8214 * t9444 * t168 * t135442 / 0.6e1 + t8063 * t5691 * t135448 / 0.12e2 - t128715 + t128717 / 0.2e1 + t128719 / 0.2e1 - t128720 / 0.3e1 - t8219 * t4687 * t135456 / 0.6e1 - t8219 * t29988 * t20097 / 0.6e1 - t135463 / 0.6e1 + t135465 + t120449 - t118825 + t132816 + t132817 + 0.2e1 * t5649 * t14814 * t96856 + t126293 + t128781 + t121944;
  t135470 = t168 * t135394;
  t135474 = t19986 * t439;
  t135475 = t168 * t135474;
  t135487 = t2178 * t19896;
  t135496 = t1647 * t18253;
  t135498 = t2954 * t16968;
  t135503 = -t121946 + 0.5e1 / 0.36e2 * t11399 * t29474 * t135470 - t132834 - t121952 - t121959 - t126306 + t132846 + t8219 * t9444 * t135475 / 0.3e1 + t121977 + t126324 + t10426 * t3006 / 0.2e1 + t5792 * t19836 + t1029 * t14857 * t130962 + 0.23e2 / 0.36e2 * t14711 * t5595 * t17571 + t135487 / 0.12e2 + t555 * t1094 * t5553 * t19894 / 0.12e2 + t14831 * t17208 + t2947 * t120432 / 0.3e1 - t135496 / 0.4e1 + t5665 * t559 * t4575 * t135498 / 0.2e1;
  t135513 = t56641 * t17597;
  t135521 = t380 * t96820;
  t135546 = 0.3e1 / 0.2e1 * t73218 * t30141 * t17809 - 0.38e2 / 0.9e1 * t100187 * t29474 * t17822 - t39906 * t17591 / 0.2e1 + t6764 * t135513 / 0.3e1 + t124028 / 0.12e2 + t73218 * t130802 + t128820 - 0.2e1 / 0.3e1 * t5673 * t113627 - 0.2e1 * t120458 + 0.2e1 / 0.3e1 * t8063 * t5674 * t135521 - 0.7e1 / 0.3e1 * t29352 * t112566 + t373 * t14685 * t16970 / 0.2e1 + t1383 * t19874 / 0.2e1 + t2947 * t131217 / 0.6e1 - 0.5e1 / 0.36e2 * t14711 * t5595 * t17637 - t442 * t113980 / 0.6e1 + t13591 * t2521 / 0.2e1 + t2947 * t131243 / 0.6e1 - t14711 * t130900 / 0.2e1 + t13591 * t2512;
  t135557 = t45376 * t19879;
  t135586 = t45379 * t20094;
  t135592 = -t8063 * t45452 * t19878 / 0.3e1 - t8063 * t5691 * t1018 * t135455 / 0.3e1 + t8063 * t5674 * t135456 / 0.6e1 - t135557 / 0.3e1 + t128827 / 0.6e1 - 0.35e2 / 0.108e3 * t100187 * t50144 * t17822 + t132867 - 0.5e1 / 0.18e2 * t11399 * t95375 * t17822 + t8063 * t56645 * t17809 / 0.3e1 + 0.23e2 / 0.36e2 * t120461 + t128839 - t110 * t17805 * t584 / 0.2e1 - t110 * t2380 * t3036 / 0.4e1 + t8063 * t50296 * t18192 / 0.12e2 - t8214 * t81510 * t18187 / 0.6e1 + 0.2e1 / 0.3e1 * t8063 * t56429 * t17809 - t128844 / 0.6e1 - t135586 / 0.6e1 - 0.6e1 * t57324 * t17693 - 0.2e1 * t57324 * t17697;
  t135618 = t132902 + t126383 + 0.2e1 / 0.3e1 * t126388 - t124051 / 0.3e1 - t132923 + 0.3e1 * t95749 * t17685 - 0.6e1 * t57328 * t17689 + 0.3e1 * t57324 * t17615 - t120467 + t122032 - t120496 / 0.12e2 - t128876 / 0.2e1 + t128878 / 0.2e1 + 0.89e2 / 0.9e1 * t100187 * t50318 * t17839 - t10426 * t3015 / 0.4e1 - t132951 - t126431 - 0.18e2 * t5639 * t74561 * t94775 - 0.6e1 * t5639 * t14928 * t10535;
  t135632 = t45376 * t20098;
  t135638 = t380 * t96825;
  t135652 = -0.6e1 * t101237 * t17853 - 0.4e1 / 0.3e1 * t8063 * t95855 - t39906 * t17588 - 0.7e1 * t73218 * t50487 + t122037 + t8063 * t5691 * t135456 / 0.12e2 + t8063 * t45452 * t20097 / 0.12e2 + t135632 / 0.12e2 + t128881 + t132971 - 0.5e1 / 0.3e1 * t73070 * t17061 + t128888 + 0.2e1 * t73236 * t130864 - t11646 * t6005 * t135638 + t8063 * t5691 * t135521 / 0.3e1 - t8219 * t133027 / 0.3e1 - t8214 * t133032 / 0.3e1 + t8063 * t133468 / 0.6e1 - t128899 / 0.4e1 + t120529 / 0.2e1;
  t135657 = t19877 * t2196;
  t135669 = t168 * t135657;
  t135675 = t56433 * t17597;
  t135682 = -t126483 - t126484 + t126485 + 0.2e1 * t11510 * t5679 * t135638 - t122097 - t122099 + t128921 + t122103 + 0.3e1 / 0.2e1 * t5665 * t2060 * t24564 * t135657 - t126499 + t4695 * t14605 * t91495 + t4695 * t14608 * t91487 + t11646 * t4687 * t135470 / 0.2e1 + t8219 * t9444 * t135669 / 0.3e1 + t120532 / 0.12e2 - t57332 * t17676 - t6769 * t135675 / 0.3e1 + 0.2e1 / 0.3e1 * t6769 * t56637 * t17621 - t57324 * t17610;
  t135716 = t57328 * t17607 - 0.2e1 / 0.3e1 * t8063 * t133346 - 0.11e2 / 0.9e1 * t11399 * t96162 * t17822 - t126500 + t8063 * t133844 / 0.3e1 - 0.11e2 / 0.9e1 * t11399 * t10447 * t135638 + 0.23e2 / 0.18e2 * t11399 * t10358 * t96826 - 0.2e1 * t126509 + t126511 + t126512 + t126515 - t128935 - t133082 + t133083 - t133084 + t5665 * t559 * t4575 * t135442 / 0.2e1 + t5665 * t2056 * t1165 * t135447 / 0.2e1 - t5673 * t112338 / 0.3e1 - 0.3e1 * t5639 * t8460 * t4572 * t135394 + 0.3e1 * t5665 * t8460 * t4626 * t135394;
  t135725 = t5639 * t9584 * t112752;
  t135745 = -t5639 * t2060 * t24435 * t135474 + 0.1e2 / 0.3e1 * t73070 * t17065 + t135725 / 0.2e1 + t8063 * t50503 * t18192 / 0.6e1 + t8219 * t44549 * t19927 / 0.3e1 + t18182 + 0.5e1 / 0.3e1 * t101213 * t17823 - 0.2e1 * t73070 * t17810 + 0.22e2 / 0.3e1 * t101213 * t17836 + t8063 * t133373 / 0.6e1 - 0.6e1 * t5665 * t74808 * t17708 + t16918 + t120572 / 0.2e1 + t16919 - t16920 + t16921 + t16922 - t16923 + t16924;
  t135775 = -t16925 - 0.4e1 * t29461 * t112837 + 0.2e1 / 0.3e1 * t5673 * t113599 + t2942 * t10421 / 0.6e1 + t118987 + t133107 - t1383 * t19820 + t1383 * t19816 / 0.4e1 + 0.2e1 / 0.3e1 * t1421 * t112405 + t1974 * t133051 / 0.3e1 - 0.11e2 / 0.18e2 * t14711 * t5733 * t17637 + t129032 + 0.3e1 / 0.2e1 * t120589 + 0.3e1 / 0.2e1 * t120593 - 0.4e1 / 0.3e1 * t8063 * t96822 - 0.3e1 / 0.2e1 * t5639 * t2060 * t24435 * t135657 + 0.3e1 / 0.2e1 * t29352 * t112188 - t129041 - 0.23e2 / 0.18e2 * t73218 * t130867 - t129045 / 0.4e1;
  t135777 = t72986 * t2337;
  t135778 = t1430 * t135777;
  t135781 = t19986 * t2196;
  t135787 = t380 * t3035 * t439;
  t135788 = t5695 * t135787;
  t135793 = t133120 / 0.2e1;
  t135807 = t133111 - t133112 - t1683 * t135778 / 0.12e2 - t122170 - t126583 + t133117 + t133118 - t126598 - 0.3e1 / 0.2e1 * t5665 * t559 * t24458 * t135781 - t6769 * t135788 / 0.12e2 + 0.7e1 / 0.3e1 * t120600 - 0.3e1 / 0.2e1 * t120602 - t135793 + t490 * t129277 / 0.12e2 - 0.2e1 / 0.3e1 * t2947 * t120487 + 0.23e2 / 0.36e2 * t14711 * t131009 + 0.7e1 / 0.3e1 * t5562 * t114096 - t1647 * t18243 + t2947 * t120385 / 0.6e1 - 0.5e1 / 0.36e2 * t14711 * t130921;
  t135842 = t14831 * t17025 / 0.2e1 + t555 * t126782 / 0.6e1 + t73900 * t17051 / 0.2e1 + t73912 * t17043 / 0.3e1 - 0.5e1 / 0.6e1 * t73070 * t17048 + t34833 * t18209 - 0.6e1 * t50541 * t74549 * t24582 * t17613 + 0.18e2 * t10513 * t74549 * t24557 * t17613 - 0.18e2 * t5639 * t74549 * t24477 * t17613 + t129071 / 0.12e2 + t129075 / 0.12e2 - t129080 - t129083 - t16926 - t16927 + t126616 + 0.6e1 * t5639 * t14932 * t131183 - t51173 * t18207 + t39906 * t17603 + t8214 * t45083 * t168 * t135781 / 0.2e1;
  t135863 = t56637 * t17597;
  t135874 = t129097 + t129100 + t120616 / 0.4e1 + t5665 * t2060 * t24564 * t135474 + 0.6e1 * t5649 * t72807 * t95825 - 0.6e1 * t4695 * t72807 * t94934 + t5649 * t14814 * t90750 - t4695 * t14814 * t90741 + t6772 * t128871 / 0.6e1 - t6769 * t135863 / 0.6e1 + t14831 * t17644 / 0.2e1 - t2942 * t17036 / 0.6e1 - 0.11e2 / 0.18e2 * t120635 + t126644 + t133193 - t133194 - 0.3e1 * t11399 * t95388 - t120638 / 0.2e1 - t16951;
  t135893 = t373 * t9409 * t19867;
  t135909 = -0.4e1 / 0.3e1 * t14730 * t90750 - 0.8e1 * t14730 * t94889 - 0.8e1 / 0.3e1 * t14730 * t96856 + 0.16e2 / 0.9e1 * t73998 * t95688 + 0.4e1 * t14727 * t91495 + 0.4e1 * t14733 * t91487 + 0.12e2 * t74008 * t96883 - t131028 + t123861 + t128639 + t123863 + t131052 - t131053;
  t135922 = t131054 - t128650 + t128654 + t128656 + 0.4e1 * t14727 * t95960 - 0.8e1 * t74003 * t95825 + 0.12e2 * t73998 * t95590 - 0.24e2 * t74003 * t94934 + 0.32e2 / 0.3e1 * t73998 * t95697 - 0.4e1 * t14730 * t90741 - t123874 + t131084 + t123890;
  t135928 = -t15352 + 0.2e1 * t561 * t16970 + t123897 - t123903 + t128681 - t128683 + t131088 - t131089 - t131090 + t131091 + t131092 + 0.24e2 * t17693 - 0.2e1 / 0.3e1 * t17607;
  t135942 = 0.4e1 / 0.3e1 * t17689 + 0.4e1 * t17610 - 0.12e2 * t17615 + t15340 - 0.4e1 * t17719 - 0.4e1 / 0.3e1 * t17601 + 0.2e2 / 0.9e1 * t17685 + 0.8e1 * t17697 - 0.12e2 * t17709 - 0.4e1 * t17713 - 0.4e1 * t17702 - 0.4e1 * t17705 - 0.2e1 * t14733 * t16970;
  t135944 = t135909 + t135922 + t135928 + t135942;
  t135955 = t2178 * t19891;
  t135967 = -0.3e1 / 0.2e1 * t10513 * t8438 * t24477 * t135394 - t18237 + t8214 * t132966 / 0.6e1 - t16994 + t45289 * t19988 / 0.2e1 + 0.6e1 * t101213 * t17847 - t8063 * t30141 * t135475 / 0.6e1 - t2942 * t16999 / 0.6e1 + t126689 + 0.3e1 / 0.2e1 * t1383 * t19871 - t135893 / 0.4e1 - t373 * t2040 * t1076 * t348 * t135944 / 0.4e1 - t13591 * t2509 / 0.2e1 - t13591 * t2506 - t2942 * t15926 / 0.6e1 + t135955 / 0.12e2 + t555 * t1094 * t50380 * t2955 / 0.12e2 + t555 * t1094 * t6755 * t18328 / 0.12e2 - t442 * t112718 / 0.12e2 - t129117;
  t135990 = -t14666 * t2398 / 0.4e1 - t14666 * t2395 / 0.2e1 + t14831 * t17638 + t124222 / 0.2e1 + t124233 / 0.2e1 - 0.4e1 / 0.3e1 * t126707 + t18241 - t11646 * t56641 * t17822 - t124246 / 0.2e1 - t129143 - t8063 * t132690 / 0.6e1 + t8219 * t132751 / 0.3e1 + t8214 * t126795 / 0.6e1 - t129150 + t129156 - t122205 - t120660 / 0.12e2 + t17003 + 0.3e1 * t4695 * t73153 * t96883;
  t136001 = t5665 * t9608 * t19982;
  t136024 = t4695 * t14605 * t95960 - t5665 * t2056 * t4575 * t135474 + t45289 * t19983 / 0.2e1 - t29985 * t19975 / 0.2e1 + t136001 / 0.2e1 - t18255 + t129167 - t129178 + t8214 * t132748 / 0.6e1 - t73070 * t17819 - t133293 + t133294 - t8219 * t133376 / 0.3e1 - t8214 * t133379 / 0.3e1 + t11510 * t56637 * t17822 - t126744 + t8063 * t30141 * t1018 * t135657 - t8063 * t30134 * t135669 / 0.2e1 - 0.2e1 * t4695 * t14814 * t94889 - t11510 * t5691 * t135470 / 0.2e1;
  t136039 = t57102 * t2756;
  t136056 = -t8063 * t30141 * t135669 / 0.4e1 + t16463 - t16466 - 0.5e1 / 0.36e2 * t120675 - t126752 - t29985 * t19980 - t34833 * t18289 - t34833 * t18291 / 0.2e1 - 0.2e1 / 0.3e1 * t120692 + t6955 * t18474 + 0.3e1 * t6955 * t18471 + t1974 * t1101 * t136039 / 0.3e1 - 0.3e1 * t5792 * t19947 + 0.3e1 / 0.2e1 * t29089 * t19842 + t11501 * t2822 - t56071 * t2809 - 0.3e1 / 0.2e1 * t14711 * t52077 + 0.2e1 / 0.3e1 * t1981 * t94981 - t1981 * t1423 * t136039 / 0.3e1;
  t136083 = 0.7e1 / 0.3e1 * t14711 * t52071 + t129216 + t126756 - t126757 - t10426 * t3010 / 0.2e1 + t10426 * t3018 / 0.2e1 + t2947 * t51326 / 0.3e1 - t2947 * t50270 / 0.12e2 - t442 * t112138 / 0.12e2 + t112143 * t457 / 0.4e1 - t120694 / 0.6e1 + t126769 + t126770 - 0.62e2 / 0.3e1 * t132774 * t113822 + 0.9e1 * t5639 * t14932 * t24418 * t10534 + 0.36e2 * t5639 * t74545 * t95214 + t129223 + t129232 - t133352 - 0.28e2 * t133449 * t113999;
  t136130 = 0.18e2 * t5665 * t74561 * t17692 - t8219 * t4687 * t135448 / 0.6e1 + 0.5e1 / 0.12e2 * t73218 * t29474 * t17809 - 0.9e1 / 0.2e1 * t10513 * t14932 * t24477 * t10534 + 0.8e1 * t132774 * t112800 + t1647 * t18248 / 0.4e1 - 0.3e1 / 0.2e1 * t5562 * t111993 - t15036 * t17028 / 0.2e1 - 0.3e1 * t1647 * t18485 - t1981 * t1430 * t136039 / 0.6e1 + t555 * t132912 / 0.6e1 + t555 * t132908 / 0.6e1 - t11501 * t2814 + 0.3e1 * t5792 * t19811 + t18322 + t5673 * t112868 / 0.3e1 - t4695 * t112858 * t2394 / 0.2e1 - t4695 * t112862 * t2257 / 0.4e1 - t124320 / 0.4e1 + t8063 * t5674 * t135448 / 0.6e1;
  t136131 = t133402 / 0.2e1;
  t136138 = t1101 * t135777;
  t136143 = t6005 * t135787;
  t136158 = -t136131 - t18339 + 0.2e1 * t29461 * t113813 - 0.3e1 / 0.2e1 * t5665 * t8443 * t1165 * t135394 + t129249 - t129256 + t1702 * t136138 / 0.6e1 - t129264 + t129266 - t129268 - t129270 + t57324 * t17702 + t57324 * t17705 + t6764 * t136143 / 0.6e1 + t6772 * t129241 / 0.12e2 + 0.4e1 * t73070 * t17859 - 0.23e2 / 0.3e1 * t101213 * t17840 - t8219 * t34283 * t18192 / 0.6e1 + 0.3e1 * t57324 * t17709 + t57324 * t17713;
  t136185 = t45376 * t20104;
  t136194 = t73900 * t17826 / 0.2e1 - 0.3e1 * t101237 * t17829 - t14711 * t5563 * t17637 / 0.2e1 + 0.3e1 / 0.2e1 * t1383 * t19954 - 0.3e1 * t1383 * t19950 + 0.3e1 / 0.2e1 * t1647 * t18278 + t1647 * t18466 / 0.2e1 - 0.2e1 * t5631 * t113733 - t373 * t14857 * t130756 + t120718 / 0.3e1 - t16492 - t15910 + t15914 + t8063 * t45283 * t20097 / 0.6e1 + t136185 / 0.6e1 + t29985 * t20107 - t45293 * t20109 + t51176 * t18196 / 0.2e1 - 0.3e1 * t5665 * t14932 * t131187;
  t136195 = t5679 * t135787;
  t136217 = t5665 * t9584 * t19899;
  t136225 = -t6769 * t136195 / 0.6e1 + t120725 / 0.3e1 + t120734 / 0.2e1 - t120742 / 0.2e1 + t126850 - t126851 + t133435 + t126856 + t126857 - t126861 - 0.2e1 / 0.3e1 * t2947 * t131156 - 0.2e1 / 0.3e1 * t2947 * t131159 + 0.2e1 / 0.3e1 * t8063 * t96028 - t8063 * t45269 * t19927 / 0.3e1 - t5665 * t2060 * t4626 * t135455 / 0.2e1 - t45289 * t19900 / 0.2e1 - t136217 / 0.2e1 + t5639 * t2060 * t4572 * t135455 / 0.2e1 + t45286 * t20111 / 0.2e1 + t15946;
  t136234 = t1423 * t135777;
  t136261 = t15949 - t1981 * t133246 / 0.3e1 - t72822 * t2390 / 0.2e1 + t14666 * t2403 / 0.2e1 - t69146 * t2503 - t1683 * t136234 / 0.6e1 + t1683 * t1430 * t14664 * t2337 / 0.3e1 - 0.3e1 * t6955 * t18355 + 0.3e1 / 0.2e1 * t1647 * t18482 + 0.3e1 / 0.2e1 * t34264 * t18352 + t555 * t1094 * t1095 * t167 * t135944 / 0.12e2 + t2947 * t130854 / 0.3e1 + t2947 * t131152 / 0.3e1 - t11399 * t56645 * t17822 - t18340 + t18341 - 0.5e1 / 0.18e2 * t11399 * t10358 * t135638 + t129316 + t126879;
  t136295 = -t129322 - t133745 + 0.14e2 / 0.3e1 * t11399 * t96711 - t126906 + t120778 / 0.2e1 - t122456 - t8063 * t30134 * t135475 / 0.3e1 + 0.11e2 / 0.18e2 * t11399 * t29468 * t135470 - 0.3e1 * t11399 * t10358 * t5647 * t96825 + 0.3e1 * t30451 * t73081 * t95688 - 0.6e1 * t5649 * t73081 * t95697 + 0.3e1 * t4695 * t73081 * t95590 + 0.3e1 * t5639 * t8438 * t24418 * t135394 - 0.3e1 / 0.2e1 * t5665 * t8438 * t24435 * t135394 + t119123 - t119126 - t119130 - t119138 + t119143 + t11399 * t30141 * t135470 / 0.2e1;
  t136310 = t9584 * t20010;
  t136312 = t2788 * t18272;
  t136318 = -0.2e1 * t129432 - t129441 + 0.2e1 * t129442 + 0.2e1 / 0.3e1 * t120845 - 0.2e1 / 0.3e1 * t120860 - 0.12e2 * t120863 + 0.4e1 / 0.3e1 * t126947 - t120870 / 0.9e1 - t133532 - t133533 + 0.2e1 * t120873 - 0.2e1 / 0.3e1 * t136310 - 0.2e1 / 0.3e1 * t2060 * t4572 * t136312 - 0.4e1 * t2973 * t131316;
  t136321 = t2369 * t19865;
  t136329 = t1173 * t135394;
  t136332 = t46364 * t19995;
  t136338 = -0.2e2 / 0.3e1 * t14932 * t131439 - 0.2e1 / 0.3e1 * t2060 * t4572 * t136321 + t124403 + t126999 + t127000 + 0.6e1 * t14932 * t131359 + t2060 * t4626 * t136321 + t127034 + t133543 - t133544 + t133545 + 0.3e1 * t40315 * t136329 + 0.2e1 * t136332 + 0.4e1 * t2973 * t131326 + 0.12e2 * t74808 * t17731;
  t136359 = 0.3e1 * t14955 * t17734 + 0.8e1 * t14928 * t17793 - t14932 * t24477 * t17726 / 0.6e1 + 0.36e2 * t74545 * t17781 - 0.12e2 * t74549 * t24418 * t17730 - 0.8e1 * t127074 - t133549 - t133550 + t133551 - 0.3e1 * t120944 - 0.4e1 * t120960 - 0.2e1 * t124460 + 0.2e1 * t124481 - 0.1e2 * t14928 * t17122;
  t136360 = t112968 * t439;
  t136397 = -t127117 + t129476 + 0.2e1 * t8511 * t360 * t136360 + 0.2e1 * t11656 * t360 * t112968 * t2196 + t8508 * t1173 * t136360 / 0.3e1 + 0.2e1 * t40461 * t360 * t135474 + 0.3e1 * t58028 * t360 * t135781 + 0.4e1 / 0.3e1 * t101906 * t17758 + t74564 * t4586 * t17738 / 0.3e1 - t101981 * t51643 * t17745 / 0.9e1 - 0.6e1 * t40318 * t1186 * t135394 - 0.3e1 * t40455 * t1186 * t135657 - 0.2e1 * t101781 * t131272 + 0.2e1 / 0.9e1 * t74564 * t131275 - 0.4e1 * t74592 * t17755;
  t136422 = -0.1e2 / 0.3e1 * t74592 * t17162 - 0.6e1 * t74875 * t17155 - 0.4e1 * t102057 * t17159 - 0.12e2 * t14928 * t17727 - 0.36e2 * t74561 * t17777 - t559 * t4575 * t20044 * t2196 + 0.3e1 * t14955 * t17134 + 0.2e1 * t2969 * t17137 - t2056 * t1165 * t136321 - 0.1e2 * t14932 * t24418 * t17726 - t17074 - t15480 - t17075 + t127120;
  t136429 = t9584 * t20023;
  t136432 = -t127121 - t124513 - t124515 + 0.9e1 * t14932 * t24435 * t17726 + 0.5e2 / 0.3e1 * t74549 * t24477 * t17730 + t136429 - t129508 + t133635 - 0.2e1 / 0.3e1 * t124530 - t18369 + t129538 + t133650 - t129540 - t129547 + 0.4e1 * t127139;
  t136448 = -t133652 + 0.24e2 * t74561 * t17796 + 0.2e1 * t2969 * t17077 + 0.2e2 / 0.3e1 * t14928 * t17080 - 0.2e1 / 0.3e1 * t74545 * t17799 + 0.2e1 / 0.3e1 * t2973 * t131261 - t14932 * t131379 / 0.9e1 + t18370 - t18371 + t119333 - t119342 + t119344 + t129553 / 0.2e1 + t127152 + 0.6e1 * t120976;
  t136465 = 0.2e1 * t120978 - t127155 - t127156 - t127157 + t127158 - t127161 + t127162 - t18380 - t129571 - 0.2e1 * t40455 * t1186 * t135474 - 0.72e2 * t101906 * t17746 - 0.18e2 * t74564 * t17755 + 0.8e1 * t101906 * t17752 + 0.2e1 * t74564 * t4599 * t17738 - 0.4e1 / 0.3e1 * t101981 * t24682 * t17745;
  t136472 = t2209 * t20007;
  t136473 = t2209 * t20038;
  t136477 = t101865 * t487;
  t136483 = t78305 * t19999;
  t136496 = t46214 * t20002;
  t136501 = t129579 + t129585 - t559 * t1165 * t143 * t135944 - t136472 - t136473 - t559 * t4575 * t18423 * t2616 + 0.2e1 * t8511 * t360 * t136477 + 0.4e1 * t40318 * t136329 + 0.2e1 * t136483 + 0.2e1 * t11656 * t360 * t101865 * t2616 + 0.2e1 * t11656 * t360 * t14969 * t16968 + 0.4e1 / 0.3e1 * t40455 * t1173 * t135474 + t136496 / 0.3e1 + t8508 * t1173 * t136477 / 0.3e1;
  t136521 = -t40315 * t4586 * t135394 / 0.18e2 - 0.12e2 * t74564 * t17162 - 0.3e1 * t120987 - t120991 - 0.4e1 * t120994 + 0.3e1 * t40458 * t360 * t135394 + 0.2e1 * t40461 * t360 * t135657 - t133678 + t124570 / 0.3e1 + t133679 + 0.6e1 * t121000 - 0.4e1 / 0.3e1 * t121009 + t121012 / 0.18e2 + 0.2e1 * t121019 + 0.1e2 / 0.3e1 * t121022;
  t136531 = -t16030 - t16036 + t16046 - t129610 + t127187 + t129613 - t129615 + t129618 - t129632 + t129636 + t129638 + 0.2e1 / 0.3e1 * t40315 * t51889 * t135394 + 0.4e1 * t40455 * t46248 * t135474 - 0.6e1 * t2973 * t131436 + t17099;
  t136546 = t46214 * t19992;
  t136559 = 0.6e1 * t121057 + t129654 + 0.24e2 * t101981 * t17752 + 0.8e1 / 0.3e1 * t101981 * t17758 - 0.2e1 * t8508 * t1186 * t136360 - 0.2e1 * t8508 * t1186 * t136477 - 0.1e2 / 0.3e1 * t40315 * t4599 * t135394 - 0.2e1 * t136546 + 0.72e2 * t101795 * t17749 + 0.24e2 * t74592 * t17739 + 0.2e1 * t40455 * t1173 * t135657 + t17119 + 0.1e2 / 0.3e1 * t74549 * t24557 * t17730 - t129660 - 0.2e1 / 0.3e1 * t129662;
  t136581 = -0.24e2 * t101790 * t17767 - 0.6e1 * t74875 * t17770 - 0.12e2 * t101795 * t17746 + 0.2e2 * t74592 * t17152 + 0.12e2 * t101781 * t131450 + 0.4e1 / 0.3e1 * t74564 * t131282 + t2060 * t4626 * t136312 - t2056 * t1165 * t136312 - t559 * t4575 * t2986 * t16968 + t18436 - t17144 - t127202 - t129681 - t127203;
  t136593 = -t124624 + t127204 - t18437 + t18438 + t18439 - 0.4e2 * t74545 * t17790 + 0.2e1 * t124627 + t133721 + 0.2e1 * t2973 * t131372 - 0.4e1 / 0.3e1 * t2973 * t131480 + t559 * t1165 * t140 * t135944 / 0.2e1 - t127216 - t119443 - t119445 + t119455;
  t136595 = t2209 * t20045;
  t136598 = t46252 * t135394;
  t136602 = t9608 * t20035;
  t136617 = -t16069 + t16075 + t136595 / 0.2e1 - 0.8e1 / 0.3e1 * t127221 - 0.6e1 * t40315 * t136598 + t16083 - t2969 * t17101 - t136602 - t129702 - t129703 - 0.2e1 / 0.3e1 * t40455 * t46252 * t135474 - 0.6e1 * t40458 * t46256 * t135394 - 0.4e1 * t40461 * t46256 * t135657 - 0.2e1 * t40318 * t136598 + 0.6e1 * t40455 * t46248 * t135657;
  t136635 = -t40455 * t46252 * t135657 + t40315 * t51878 * t135394 / 0.9e1 - 0.4e1 * t40461 * t46256 * t135474 - 0.6e1 * t58028 * t46256 * t135781 + 0.12e2 * t40318 * t46248 * t135394 - t15516 + t17149 + t17150 + t15538 - t2229 + 0.2e1 * t129710 + t129720 + t129723 / 0.3e1 + t2210 + t124707 / 0.2e1;
  t136681 = -t8219 * t40145 * t17809 / 0.3e1 - t126929 - t120780 / 0.2e1 - t110 * t139 * (t136318 + t136338 + t136359 + t136397 + t136422 + t136432 + t136448 + t136465 + t136501 + t136521 + t136531 + t136559 + t136581 + t136593 + t136617 + t136635) * t168 / 0.4e1 + 0.2e1 * t57328 * t17601 + 0.6e1 * t57328 * t17719 - 0.3e1 / 0.2e1 * t5665 * t14955 * t17190 - t5665 * t2969 * t17194 - t5665 * t2060 * t4626 * t135447 / 0.2e1 + t5639 * t2060 * t4572 * t135447 / 0.2e1 - t50860 * t18200 / 0.2e1 + t127257 / 0.3e1 - t133751 + t5665 * t2056 * t1165 * t135455 / 0.2e1 - t4695 * t14608 * t16970 / 0.2e1 - 0.3e1 * t5639 * t2973 * t130820 - 0.14e2 / 0.3e1 * t73218 * t29468 * t17064 + 0.3e1 * t73218 * t130806 - t8063 * t133007 / 0.3e1;
  t136702 = 0.2e1 / 0.3e1 * t8063 * t50292 * t17621 - t15994 - t133752 - t555 * t95421 / 0.6e1 - t1647 * t18275 / 0.4e1 - t129381 + t129383 + 0.11e2 / 0.9e1 * t73218 * t130831 - t73236 * t130739 + 0.3e1 / 0.2e1 * t120787 + 0.14e2 / 0.3e1 * t11399 * t96844 - t11399 * t5691 * t135638 - t16104 + t129404 - t124739 / 0.6e1 + t129416 + t120801 / 0.3e1 - t133791 + 0.2e1 * t127328 + t8063 * t133343 / 0.3e1;
  t136739 = t120825 / 0.6e1 - 0.11e2 / 0.18e2 * t14711 * t131006 + 0.23e2 / 0.18e2 * t11399 * t95375 * t17839 + 0.2e1 * t11510 * t56433 * t17822 - 0.4e1 * t11510 * t95780 - 0.3e1 * t120833 - 0.3e1 * t120839 - t122532 - t122538 + t124810 / 0.2e1 + t129422 / 0.12e2 - t129424 / 0.6e1 + t121109 / 0.6e1 - 0.18e2 * t5665 * t74545 * t17614 + 0.6e1 * t5665 * t74549 * t24418 * t17613 - 0.2e1 * t100187 * t29468 * t17822 - 0.3e1 / 0.2e1 * t5665 * t14955 * t17712 + t122540 - t11510 * t5674 * t135470 - t8219 * t4687 * t135521 / 0.3e1;
  t136773 = t11510 * t5695 * t135638 + t127346 - t127347 + t127348 - t5649 * t112643 * t2389 / 0.2e1 + t4695 * t112643 * t2402 / 0.2e1 - t5665 * t2056 * t4575 * t135657 - t8214 * t9444 * t168 * t135437 / 0.6e1 - t8214 * t9444 * t168 * t135498 / 0.6e1 - t8214 * t77794 * t20093 / 0.6e1 - t18481 - 0.43e2 / 0.9e1 * t100187 * t50144 * t17679 + 0.9e1 / 0.2e1 * t73218 * t50443 + 0.18e2 * t101213 * t17680 - t73236 * t130648 / 0.2e1 + 0.5e1 / 0.18e2 * t73218 * t130671 - t16115 - t16120 + t16128 + t18488;
  t136779 = my_piecewise3(t100, 0, t136225 + t135434 + t136083 + t136056 + t136681 + t136773 + t136194 + t135745 + t136261 + t135408 + t135352 + t135807 + t135967 + t135546 + t136702 + t135469 + t135618 + t135990 + t135874 + t135716 + t136024 + t135592 + t136158 + t135387 + t136739 + t135682 + t135842 + t135503 + t136130 + t135652 + t135775 + t136295);
  tv4sigmalapltau217 = t3 * t136779;

  if(out->v4sigmalapltau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmalapltau2[ip*p->dim.v4sigmalapltau2 + 17] += tv4sigmalapltau217;

  t136787 = 0.3e1 / 0.2e1 * t127360;
  t136788 = 0.2e1 * t127364;
  t136789 = 0.7e1 * t127372;
  t136793 = t20146 * t414;
  t136798 = t121121 + 0.3e1 / 0.2e1 * t3266 * t14062 * t97323 + 0.3e1 / 0.2e1 * t3266 * t14065 * t97675 - t4872 * t115823 - t136787 - t121129 - t121133 + t136788 - t127368 + t136789 - 0.9e1 * t3266 * t114664 * t2331 + t4772 * t1872 * t788 * t136793 / 0.2e1;
  t136799 = 0.9e1 * t127378;
  t136806 = t20162 * t414;
  t136816 = t127394 / 0.2e1;
  t136817 = 0.3e1 * t127398;
  t136818 = -t2089 + t2160 - t136799 - t30 * t427 * t20390 / 0.4e1 + 0.18e2 * t3167 * t115296 * t130455 + t4772 * t1876 * t22309 * t136806 + 0.9e1 * t4993 * t114664 * t2318 - 0.2e1 * t4772 * t2866 * t17926 + t121178 - t136816 - t136817 + t121201 - t121204;
  t136820 = t127413 / 0.2e1;
  t136840 = t15109 + 0.2e1 * t521 * t18055 + 0.8e1 * t2878 * t15215 - t129780 - t129781 + t129782 + t129783 + t129784 + 0.4e1 * t14166 * t97323 + 0.4e1 * t14172 * t97675 - 0.4e1 / 0.3e1 * t14169 * t97610;
  t136841 = 0.8e1 * t127653;
  t136842 = 0.8e1 * t127656;
  t136843 = 0.8e1 / 0.3e1 * t127660;
  t136848 = t2136 * t2911;
  t136849 = 0.2e1 * t136848;
  t136850 = 0.8e1 * t127690;
  t136851 = 0.4e1 / 0.3e1 * t127692;
  t136852 = 0.8e1 * t127696;
  t136853 = -0.12e2 * t114465 * t16905 - 0.4e1 * t14169 * t97187 - t129785 + t129809 + t136841 - t136842 + t136843 + t136849 - t136850 + t136851 + t136852 - t15121;
  t136865 = t75345 * t2911;
  t136866 = 0.2e1 * t136865;
  t136875 = 0.12e2 * t114486 * t16905 - 0.2e1 / 0.3e1 * t17951 + 0.4e1 * t17912 - 0.24e2 * t114478 * t2331 + 0.32e2 / 0.3e1 * t114486 * t16651 + 0.16e2 / 0.9e1 * t114486 * t16646 - t136866 + 0.12e2 * t114472 * t2323 + 0.4e1 * t114475 * t2166 - 0.8e1 * t114478 * t2318 - 0.8e1 / 0.3e1 * t114483 * t15163;
  t136896 = -0.2e1 * t14172 * t18055 - 0.8e1 * t114483 * t15215 - 0.4e1 * t114502 * t2318 - 0.4e1 / 0.3e1 * t2878 * t15163 + 0.2e2 / 0.9e1 * t114465 * t16646 + 0.4e1 / 0.3e1 * t114465 * t16651 + 0.24e2 * t114502 * t2331 - 0.12e2 * t114495 * t2323 - 0.4e1 * t2881 * t2166 - 0.4e1 * t18174 - 0.4e1 * t17927 + t129845;
  t136898 = t136840 + t136853 + t136875 + t136896;
  t136904 = 0.3e1 * t127442;
  t136905 = t127403 - t136820 - 0.9e1 / 0.2e1 * t246 * t114597 * t118018 - 0.9e1 * t1770 * t17885 - 0.3e1 * t1770 * t18059 + 0.7e1 * t4806 * t115244 - t246 * t1797 * t824 * t221 * t136898 / 0.4e1 + t121212 + t121217 + t127426 - t127431 - t136904;
  t136928 = 0.6e1 * t114325 * t16656 + 0.3e1 / 0.2e1 * t20319 * t118022 + 0.8e1 * t26009 * t114602 - 0.23e2 / 0.3e1 * t114325 * t16629 - 0.23e2 / 0.12e2 * t20319 * t118367 + 0.44e2 / 0.27e2 * t114977 * t130006 + 0.11e2 / 0.6e1 * t20319 * t118448 + 0.5e1 / 0.12e2 * t20319 * t118477 - 0.35e2 / 0.108e3 * t114977 * t130324 - 0.6e1 * t246 * t115337 * t2323 + t1252 * t114372 - t121228 + t121232;
  t136951 = 0.23e2 / 0.12e2 * t127452;
  t136952 = 0.3e1 / 0.2e1 * t127456;
  t136957 = 0.3e1 / 0.4e1 * t1228 * t20250 + 0.36e2 * t679 * t115160 * t16651 + 0.9e1 * t679 * t114597 * t118353 + t2839 * t10965 / 0.2e1 - 0.3e1 / 0.2e1 * t13915 * t17260 - t2839 * t16167 / 0.2e1 - 0.18e2 * t3167 * t115160 * t16646 - 0.9e1 / 0.2e1 * t3167 * t114597 * t118313 + t136951 - t136952 + t4872 * t114830 - 0.3e1 * t4772 * t14313 * t18173;
  t136963 = 0.3e1 * t127475;
  t136964 = 0.3e1 * t127478;
  t136976 = t95 * t136793;
  t136986 = 0.3e1 / 0.2e1 * t3266 * t115277 * t2166 - 0.3e1 / 0.2e1 * t5286 * t20245 + t136963 - t136964 + t121255 / 0.4e1 - t121271 - 0.4e1 / 0.3e1 * t69822 * t17945 - 0.3e1 / 0.4e1 * t71059 * t26405 * t17941 - 0.3e1 / 0.2e1 * t70173 * t132526 + t7251 * t53027 * t17874 / 0.2e1 + t7251 * t5175 * t136976 / 0.6e1 + t7248 * t26645 * t20399 / 0.4e1 + t2844 * t3690 * t17998 / 0.2e1;
  t137001 = 0.9e1 * t127494;
  t137002 = 0.9e1 / 0.2e1 * t127499;
  t137019 = -0.3e1 / 0.2e1 * t1228 * t20271 - 0.3e1 / 0.2e1 * t246 * t13885 * t3360 * t665 * t18018 + 0.7e1 * t26050 * t114972 - t2839 * t17999 / 0.3e1 - t2839 * t18021 / 0.3e1 - t137001 + t137002 + t2844 * t3690 * t18020 / 0.2e1 + t2844 * t3520 * t17998 / 0.4e1 + t2844 * t3520 * t18020 / 0.4e1 + 0.22e2 / 0.3e1 * t114325 * t16640 - 0.28e2 * t25893 * t114382 + 0.18e2 * t246 * t114876 * t2331;
  t137041 = 0.6e1 * t246 * t114869 * t15215 - t121289 + t121297 + 0.3e1 * t121301 + t118050 - 0.61e2 / 0.27e2 * t114977 * t130003 - t121305 - 0.3e1 / 0.2e1 * t70846 * t2444 + 0.3e1 / 0.2e1 * t14011 * t2453 - 0.18e2 * t679 * t114876 * t2318 - 0.18e2 * t246 * t115160 * t16905 - 0.23e2 / 0.12e2 * t70173 * t26189 * t17878 - t4872 * t114617 / 0.3e1;
  t137062 = t246 * t8897 * t20265;
  t137063 = t137062 / 0.4e1;
  t137064 = 0.3e1 / 0.2e1 * t52936 * t17951 - 0.3e1 / 0.2e1 * t52942 * t17912 + 0.9e1 / 0.2e1 * t70173 * t26189 * t3156 * t17873 - 0.3e1 / 0.2e1 * t246 * t115092 * t2166 + 0.9e1 / 0.2e1 * t1770 * t18066 - t121331 + t121336 + t121338 + t121339 - 0.3e1 * t121356 - t1228 * t20266 / 0.4e1 - t137063;
  t137076 = t3266 * t83079 * t2911;
  t137077 = 0.3e1 / 0.4e1 * t137076;
  t137080 = 0.3e1 * t127566;
  t137081 = 0.2e1 * t127569;
  t137082 = 0.2e1 * t115323 * t2268 + t20305 * t2108 / 0.2e1 - 0.3e1 * t114364 * t2271 - t1779 * t134204 / 0.4e1 - t7251 * t135117 / 0.2e1 - t137077 - t2844 * t54159 / 0.4e1 - t137080 - t137081 - t127571 - t118171 + t118172 - t118178;
  t137084 = 0.3e1 / 0.4e1 * t127587;
  t137085 = t127589 / 0.4e1;
  t137086 = 0.3e1 * t127595;
  t137092 = t1770 * t18051;
  t137093 = 0.3e1 / 0.4e1 * t137092;
  t137098 = -t118190 - t121392 + t137084 - t137085 + t137086 - t127597 + 0.3e1 / 0.2e1 * t1228 * t20367 + 0.9e1 / 0.2e1 * t20319 * t118062 + t2844 * t121332 - t137093 - 0.3e1 / 0.4e1 * t1770 * t18056 + 0.9e1 * t7587 * t17985;
  t137122 = t95 * t136806;
  t137126 = t20162 * t2105;
  t137131 = 0.23e2 / 0.12e2 * t70173 * t131972 - 0.3e1 / 0.4e1 * t30 * t2436 * t2933 + 0.5e1 / 0.12e2 * t70173 * t26189 * t17874 + 0.3e1 * t69822 * t17517 + t71059 * t121491 - 0.3e1 * t3266 * t114966 * t15215 + 0.9e1 / 0.2e1 * t4772 * t2870 * t22309 * t17925 - 0.7e1 * t26050 * t114960 + 0.8e1 * t4772 * t14318 * t17911 + t7254 * t8790 * t137122 / 0.3e1 + t7248 * t42389 * t95 * t137126 / 0.2e1 + t121400 - t121404;
  t137157 = 0.18e2 * t114325 * t16910 - 0.6e1 * t13894 * t17525 - 0.2e1 * t2844 * t121341 - 0.9e1 / 0.2e1 * t4806 * t115181 + t2844 * t54103 + 0.7e1 / 0.3e1 * t20319 * t27637 - t20319 * t26795 / 0.2e1 - t2844 * t54099 / 0.2e1 - t20305 * t1223 / 0.2e1 + 0.23e2 / 0.36e2 * t20319 * t27559 - 0.11e2 / 0.18e2 * t20319 * t26432 - 0.3e1 * t1228 * t20338;
  t137177 = t246 * t8897 * t20354;
  t137178 = t137177 / 0.2e1;
  t137183 = -0.3e1 * t5286 * t20335 - 0.3e1 / 0.2e1 * t10777 * t2907 + 0.3e1 * t5286 * t20298 + 0.3e1 / 0.2e1 * t1228 * t20292 + t2839 * t10808 / 0.2e1 - 0.5e1 / 0.36e2 * t20319 * t26863 + t20285 * t5229 / 0.2e1 + 0.3e1 / 0.4e1 * t14011 * t2462 + t1228 * t20355 / 0.2e1 + t137178 + t127608 + 0.3e1 / 0.4e1 * t97854 * t530 - 0.2e1 * t20285 * t5281;
  t137211 = t20285 * t5291 - 0.3e1 / 0.2e1 * t20319 * t27641 + 0.3e1 / 0.2e1 * t26784 * t20332 + 0.3e1 / 0.2e1 * t10777 * t2915 + 0.3e1 / 0.2e1 * t1228 * t20325 - 0.3e1 / 0.2e1 * t54113 * t2899 - t515 * t98424 / 0.4e1 - 0.3e1 / 0.4e1 * t3266 * t114788 * t2166 - 0.9e1 / 0.2e1 * t26050 * t115834 + t71059 * t121542 / 0.2e1 - 0.5e1 / 0.12e2 * t70173 * t132573 + t246 * t14249 * t18055 - 0.3e1 / 0.2e1 * t13908 * t132596;
  t137240 = t2851 * t18018;
  t137246 = -t1779 * t134819 / 0.2e1 - t2844 * t52380 / 0.2e1 + 0.3e1 / 0.2e1 * t1770 * t18061 - t417 * t115841 / 0.4e1 + 0.3e1 / 0.4e1 * t1770 * t18048 - t417 * t115848 / 0.12e2 + t246 * t115846 * t420 * t249 / 0.4e1 + t4983 * t1876 * t3130 * t136793 / 0.2e1 - 0.11e2 / 0.6e1 * t70173 * t131565 - 0.3e1 / 0.2e1 * t71059 * t26400 * t17941 + 0.11e2 / 0.6e1 * t70173 * t26847 * t17874 + t4772 * t519 * t3562 * t137240 + 0.2e1 / 0.3e1 * t4872 * t114316;
  t137279 = -0.9e1 * t4993 * t114741 * t16651 + 0.9e1 / 0.2e1 * t3266 * t114741 * t16905 + 0.9e1 * t4983 * t14328 * t20862 * t17873 - t7251 * t26400 * t137122 / 0.3e1 - t4772 * t1872 * t3562 * t136806 - 0.3e1 / 0.2e1 * t4772 * t519 * t22302 * t137126 + t7251 * t4877 * t136976 / 0.12e2 + t7248 * t3273 * t253 * t543 * t18018 / 0.4e1 - t20119 + t20120 + t118266 - t118270;
  t137289 = 0.3e1 * t127752;
  t137290 = 0.2e1 * t127753;
  t137291 = 0.3e1 * t127759;
  t137292 = t127760 / 0.2e1;
  t137299 = -t2844 * t3520 * t244 * t18019 - 0.38e2 / 0.9e1 * t114977 * t129903 + 0.89e2 / 0.9e1 * t114977 * t129906 - 0.43e2 / 0.9e1 * t114977 * t130047 + t121434 - t137289 + t137290 + t137291 - t137292 - t4772 * t1876 * t3556 * t136793 / 0.2e1 - t121447 + t121449 + t1815 * t134207 / 0.2e1;
  t137315 = t42408 * t20400;
  t137316 = t137315 / 0.4e1;
  t137325 = -0.9e1 / 0.2e1 * t4772 * t14328 * t22290 * t17873 + 0.3e1 / 0.2e1 * t70173 * t26405 * t17874 - t7248 * t8790 * t95 * t137240 / 0.3e1 - t7251 * t26405 * t137122 / 0.6e1 + t137316 + t121452 - t20235 + t16164 - 0.62e2 / 0.3e1 * t26009 * t114594 + 0.3e1 / 0.2e1 * t13894 * t17243 + t2844 * t121265 / 0.2e1 - 0.5e1 / 0.12e2 * t13908 * t132618;
  t137347 = -t20236 + t121460 + t515 * t128289 / 0.4e1 + 0.3e1 * t13894 * t17273 + 0.47e2 / 0.3e1 * t26009 * t115154 + 0.23e2 / 0.12e2 * t13908 * t131778 - 0.8e1 / 0.3e1 * t69822 * t17875 + 0.3e1 / 0.2e1 * t4993 * t14120 * t97610 - 0.3e1 / 0.2e1 * t3266 * t14120 * t97187 - t2844 * t3520 * t1226 * t2852 - 0.11e2 / 0.6e1 * t13908 * t131775 + t20280 + t121470;
  t137354 = 0.3e1 / 0.2e1 * t127806;
  t137355 = 0.9e1 / 0.2e1 * t127843;
  t137356 = 0.6e1 * t127863;
  t137363 = t121473 / 0.4e1 - 0.3e1 / 0.4e1 * t121478 - t121488 + t20281 - t20282 + 0.3e1 * t7587 * t17988 + t137354 - t127826 - t137355 - t137356 - 0.3e1 / 0.4e1 * t10777 * t2912 - 0.9e1 / 0.2e1 * t9877 * t14328 * t20876 * t17873;
  t137384 = 0.9e1 / 0.2e1 * t26550 * t114741 * t16646 - 0.6e1 * t26106 * t115381 + t20316 - t127869 + t127895 + t127897 + 0.3e1 / 0.2e1 * t679 * t13885 * t3360 * t660 * t18018 - 0.6e1 * t679 * t114869 * t15163 + 0.3e1 / 0.2e1 * t10777 * t2903 - t20285 * t15094 + 0.5e1 / 0.3e1 * t114325 * t16613 - t121511 - 0.3e1 / 0.4e1 * t26650 * t20403;
  t137412 = -t121529 - t121536 - 0.2e1 * t71059 * t121579 - 0.3e1 / 0.2e1 * t4993 * t115314 * t2318 + 0.3e1 / 0.2e1 * t3266 * t115314 * t2331 - 0.3e1 * t52940 * t17919 + 0.3e1 * t36004 * t17921 - 0.3e1 / 0.4e1 * t3266 * t14065 * t18055 - 0.6e1 * t114364 * t2276 - 0.2e1 * t20285 * t15211 - 0.2e1 * t114977 * t129900 + 0.9e1 / 0.2e1 * t1770 * t17882 - 0.6e1 * t20841 * t115296 * t130466;
  t137413 = 0.9e1 * t127935;
  t137424 = t121551 + t137413 - t417 * t114291 / 0.12e2 + t114296 * t432 / 0.4e1 + t16698 - t16699 + t16700 - t16701 + t16704 + t16705 - 0.3e1 * t36004 * t17930 - 0.3e1 / 0.2e1 * t36004 * t17932 - t7251 * t134922 / 0.2e1;
  t137429 = 0.5e1 / 0.12e2 * t128239;
  t137446 = t20146 * t2105;
  t137458 = -t7251 * t134439 - t137429 + 0.9e1 / 0.2e1 * t3266 * t114238 * t2323 - t7254 * t3273 * t136976 / 0.6e1 - t7254 * t36464 * t17874 / 0.2e1 - t7248 * t82971 * t17941 / 0.2e1 - 0.7e1 * t20319 * t118438 - t417 * t114392 / 0.4e1 - t7248 * t8790 * t95 * t137446 / 0.6e1 + t71047 * t17948 + 0.2e1 / 0.3e1 * t71614 * t17942 - 0.9e1 / 0.2e1 * t4983 * t2870 * t22290 * t17925;
  t137483 = t2087 * t20223;
  t137484 = t137483 / 0.12e2;
  t137485 = t7251 * t52331 * t17874 / 0.4e1 + t16764 - t16765 + t121571 + t121573 - 0.8e1 * t4983 * t14318 * t98141 - 0.9e1 * t7587 * t17888 + 0.6e1 * t246 * t115296 * t130447 + 0.9e1 / 0.2e1 * t36012 * t18026 - 0.18e2 * t679 * t115296 * t130459 + t515 * t836 * t52780 * t2852 / 0.4e1 + t515 * t836 * t7213 * t18019 / 0.4e1 + t137484;
  t137500 = t128266 / 0.2e1;
  t137501 = 0.3e1 * t128276;
  t137509 = t115441 * t414;
  t137525 = t20147 * t414;
  t137547 = 0.9e1 * t14328 * t22290 * t18076 + t2870 * t3130 * t18129 + 0.32e2 * t70384 * t18116 - 0.4e1 * t36100 * t233 * t137509 - 0.6e1 * t53473 * t233 * t115441 * t2105 + 0.4e1 * t11138 * t233 * t14357 * t18018 - 0.2e1 / 0.3e1 * t36191 * t802 * t137509 - 0.12e2 * t121682 + t121685 - 0.2e1 / 0.3e1 * t1876 * t3130 * t137525 + 0.6e1 * t2870 * t22290 * t18085 - t14328 * t20876 * t18076 / 0.6e1 - 0.12e2 * t115463 * t2291 - 0.4e1 * t20155 * t15253 + 0.6e1 * t14313 * t18083 + 0.4e1 * t2866 * t18086 + 0.32e2 / 0.3e1 * t14318 * t18132 - 0.4e1 / 0.3e1 * t115524 * t130102;
  t137548 = 0.8e1 * t127948;
  t137549 = t2298 * t20162;
  t137553 = t127964 / 0.3e1;
  t137559 = t2118 * t20187;
  t137560 = t137548 + 0.4e1 / 0.3e1 * t1876 * t22290 * t137549 - t137553 - t127969 - t127971 + 0.6e1 * t121711 - t121714 + t127986 + t121724 + t121726 + 0.4e1 / 0.3e1 * t115468 * t16831 + 0.24e2 * t115524 * t130119 - t121738 - t121746 + t121748 - t121752 - t137559 - t20166 - t16308;
  t137563 = t2118 * t20192;
  t137564 = 0.2e1 * t137563;
  t137565 = 0.4e1 * t128027;
  t137566 = 0.12e2 * t128043;
  t137567 = 0.18e2 * t128047;
  t137568 = 0.9e1 * t128049;
  t137569 = t128053 / 0.6e1;
  t137570 = 0.1e2 * t128055;
  t137571 = 0.9e1 * t128057;
  t137572 = 0.4e1 * t128074;
  t137573 = 0.18e2 * t128080;
  t137574 = 0.6e1 * t128083;
  t137575 = 0.36e2 * t128084;
  t137576 = 0.18e2 * t128086;
  t137577 = t118539 + 0.2e1 * t121754 + t121761 - t121763 + t137564 - t137565 - t137566 + t137567 - t137568 + t137569 + t137570 - t137571 - t118587 - t137572 + t137573 + t137574 - t137575 + t137576;
  t137578 = 0.6e1 * t128094;
  t137617 = t115501 * t414;
  t137628 = t137578 - 0.6e1 * t2870 * t3556 * t18129 - t1872 * t788 * t137525 - t519 * t3562 * t20147 * t2105 + 0.4e1 * t2866 * t18130 - 0.2e1 * t1876 * t22309 * t137549 + t1876 * t3556 * t137525 + 0.18e2 * t98856 * t815 * t18125 + 0.2e1 * t70373 * t3580 * t18115 + t121776 + t20159 * t118645 / 0.3e1 - t115524 * t130074 / 0.9e1 + 0.2e1 * t1872 * t3562 * t137549 + 0.3e1 * t519 * t22302 * t20163 * t2105 - 0.2e1 * t519 * t3562 * t2883 * t18018 - 0.18e2 * t70373 * t18119 + 0.2e1 * t7655 * t233 * t137617 + 0.2e1 * t11138 * t233 * t115501 * t2105 + t7651 * t802 * t137617 / 0.3e1;
  t137655 = 0.12e2 * t128147;
  t137656 = -0.12e2 * t70364 * t18122 + 0.72e2 * t115463 * t2295 + 0.24e2 * t20155 * t15246 + 0.8e1 * t115468 * t16796 + 0.2e1 * t20159 * t118552 - 0.72e2 * t115468 * t16799 + t118606 - t128135 - 0.18e2 * t20159 * t118546 + 0.8e1 / 0.3e1 * t115524 * t130124 - 0.16e2 * t14318 * t18077 - 0.9e1 * t2870 * t22309 * t18085 - 0.1e2 * t14328 * t20862 * t18076 - t137655 + t128153 + t128155 + t128164 - t16809;
  t137680 = 0.2e1 * t128185;
  t137681 = -t15239 - t16810 + t16812 - 0.24e2 * t115418 * t2288 - 0.6e1 * t20123 * t2129 - 0.8e1 * t98887 * t18126 + 0.4e1 * t36191 * t815 * t137509 + t20182 + 0.9e1 * t20159 * t118688 + 0.36e2 * t115468 * t16838 - 0.4e2 * t115468 * t16855 + 0.1e2 / 0.3e1 * t115524 * t130286 - 0.12e2 * t115524 * t130131 - 0.36e2 * t115463 * t2306 - 0.12e2 * t20155 * t15293 - t128176 - t128178 + t18113 + t137680;
  t137687 = 0.2e1 * t128193;
  t137688 = t2118 * t20164;
  t137693 = t2118 * t20148;
  t137694 = t137693 / 0.2e1;
  t137707 = t519 * t788 * t60 * t136898 / 0.2e1 + t118668 - t118674 - t118677 + t128191 - t137687 - t137688 - t121812 + 0.12e2 * t115418 * t2302 + 0.3e1 * t20123 * t2142 + t20198 + t20199 - t20200 + t137694 - 0.1e2 * t20159 * t118720 - 0.2e1 * t2866 * t18095 - 0.2e1 * t2870 * t3130 * t18094 + 0.3e1 * t2870 * t3556 * t18094 + 0.24e2 * t115463 * t2299;
  t137731 = 0.8e1 * t20155 * t15263 - 0.2e1 / 0.3e1 * t115468 * t16841 - t20159 * t118730 / 0.6e1 + 0.5e2 / 0.3e1 * t115524 * t130289 - 0.2e1 * t7651 * t815 * t137617 - 0.16e2 / 0.3e1 * t70384 * t18119 - 0.3e1 * t98856 * t802 * t18125 + t70373 * t3590 * t18115 / 0.3e1 - t20210 - 0.4e1 * t121815 + t121819 - t121823 + t16880 - t15274 + t15282 + t16881 - t519 * t788 * t63 * t136898 - t2138 + t2119;
  t137739 = t515 * t836 * t4748 * t20221 / 0.12e2 + t515 * t836 * t837 * t94 * t136898 / 0.12e2 - t2844 * t54036 / 0.4e1 + 0.3e1 / 0.2e1 * t5286 * t20241 + t137500 + t137501 + t20370 - t20371 - t20372 - t30 * t59 * (t137547 + t137560 + t137577 + t137628 + t137656 + t137681 + t137707 + t137731) * t95 / 0.4e1 + t121577 - t128293 + t128295;
  t137740 = t128327 / 0.4e1;
  t137741 = 0.3e1 / 0.4e1 * t128329;
  t137743 = t253 * t20398 * t414;
  t137747 = t2087 * t20218;
  t137748 = t137747 / 0.4e1;
  t137756 = -t20397 - t137740 + t137741 + t7251 * t5175 * t137743 / 0.2e1 - t16789 + t137748 - t515 * t97385 / 0.2e1 - t515 * t97328 / 0.4e1 + t2844 * t52384 + t121584 / 0.2e1 - t121593 - t121596 - 0.2e1 * t121599;
  t137770 = 0.3e1 / 0.2e1 * t128365;
  t137776 = -t121604 - t16889 - 0.3e1 / 0.4e1 * t30 * t18153 * t544 - t16890 - t4983 * t1876 * t22290 * t136806 + 0.4e1 * t20285 * t15209 + 0.12e2 * t114364 * t2282 + t1228 * t20237 + t128358 + t137770 - t71614 * t16229 / 0.2e1 + 0.3e1 * t4993 * t114966 * t15163;
  t137791 = 0.9e1 / 0.2e1 * t128424;
  t137800 = t4772 * t519 * t3562 * t137446 / 0.2e1 + 0.3e1 / 0.2e1 * t69822 * t17341 + 0.3e1 / 0.2e1 * t52942 * t18174 + 0.3e1 / 0.2e1 * t52942 * t17927 - t4872 * t115386 + 0.2e1 * t4872 * t114842 - t121611 - 0.3e1 / 0.4e1 * t121615 + t121620 - t121622 + t137791 - t7248 * t8790 * t253 * t20398 * t2105 / 0.2e1 + t7251 * t4877 * t137743 / 0.4e1;
  t137802 = 0.2e1 / 0.3e1 * t128444;
  t137803 = 0.2e1 * t128448;
  t137824 = t128431 + t128439 - t137802 + t137803 + t7254 * t134915 + t7248 * t127405 / 0.2e1 + t7254 * t134386 / 0.2e1 + t7248 * t127619 / 0.4e1 - t7251 * t135064 / 0.4e1 - 0.3e1 / 0.2e1 * t3266 * t114792 * t2323 + 0.16e2 / 0.3e1 * t69822 * t17879 + 0.3e1 * t71059 * t26405 * t670 * t17925 - 0.3e1 / 0.2e1 * t71047 * t17336;
  t137829 = t2087 * t20364;
  t137830 = t137829 / 0.6e1;
  t137840 = 0.11e2 / 0.6e1 * t128530;
  t137841 = 0.9e1 / 0.2e1 * t128535;
  t137842 = -t121630 - t121632 - 0.3e1 / 0.2e1 * t14011 * t2447 - 0.3e1 / 0.4e1 * t14011 * t2450 - t137830 - t515 * t3460 * t4748 * t20362 / 0.6e1 - 0.3e1 / 0.2e1 * t1228 * t20359 - t121679 - t7254 * t3273 * t137743 / 0.2e1 + t128522 - t128525 - t137840 + t137841;
  t137848 = my_piecewise3(t2, 0, t137211 + t137041 + t137082 + t137458 + t137424 + t137299 + t137131 + t137776 + t137363 + t137347 + t137325 + t136818 + t136905 + t137800 + t137246 + t136798 + t137384 + t137183 + t137064 + t137098 + t136957 + t137412 + t137824 + t136928 + t137157 + t137756 + t137019 + t137279 + t137739 + t137485 + t137842 + t136986);
  tv4sigmatau30 = t3 * t137848;

  if(out->v4sigmatau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 0] += tv4sigmatau30;

  tv4sigmatau31 = 0.e0;

  if(out->v4sigmatau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 1] += tv4sigmatau31;

  tv4sigmatau32 = 0.e0;

  if(out->v4sigmatau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 2] += tv4sigmatau32;

  tv4sigmatau33 = 0.e0;

  if(out->v4sigmatau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 3] += tv4sigmatau33;

  tv4sigmatau34 = 0.e0;

  if(out->v4sigmatau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 4] += tv4sigmatau34;

  tv4sigmatau35 = 0.e0;

  if(out->v4sigmatau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 5] += tv4sigmatau35;

  tv4sigmatau36 = 0.e0;

  if(out->v4sigmatau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 6] += tv4sigmatau36;

  tv4sigmatau37 = 0.e0;

  if(out->v4sigmatau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 7] += tv4sigmatau37;

  tv4sigmatau38 = 0.e0;

  if(out->v4sigmatau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 8] += tv4sigmatau38;

  tv4sigmatau39 = 0.e0;

  if(out->v4sigmatau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 9] += tv4sigmatau39;

  tv4sigmatau310 = 0.e0;

  if(out->v4sigmatau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 10] += tv4sigmatau310;

  t137849 = t2954 * t18272;
  t137853 = t20487 * t2196;
  t137858 = t20487 * t439;
  t137870 = t45379 * t20593;
  t137871 = t137870 / 0.4e1;
  t137874 = 0.2e1 * t128549;
  t137875 = 0.3e1 * t128560;
  t137876 = 0.9e1 / 0.2e1 * t128565;
  t137877 = t5665 * t559 * t4575 * t137849 - 0.3e1 / 0.2e1 * t5665 * t559 * t24458 * t137853 - t5665 * t2056 * t4575 * t137858 + t8214 * t4687 * t380 * t583 * t18272 / 0.4e1 + t8214 * t29988 * t20592 / 0.4e1 + t137871 + t8219 * t136143 / 0.2e1 - t137874 + t128553 + t121843 - t137875 - t137876;
  t137884 = 0.3e1 / 0.2e1 * t128577;
  t137895 = 0.23e2 / 0.36e2 * t20422 * t29062 + t121859 - t121867 - t8063 * t135788 / 0.4e1 - 0.6e1 * t73070 * t17622 - t121871 - t121875 - t137884 - t442 * t116346 / 0.12e2 - t555 * t100815 / 0.2e1 - t442 * t117236 / 0.4e1 + 0.3e1 / 0.4e1 * t14666 * t2521 - 0.3e1 / 0.2e1 * t1383 * t20620;
  t137916 = t2178 * t20611;
  t137917 = t137916 / 0.4e1;
  t137922 = -t2942 * t16510 / 0.2e1 - 0.3e1 / 0.2e1 * t15036 * t17551 - 0.35e2 / 0.108e3 * t116335 * t130943 + 0.5e1 / 0.12e2 * t20422 * t118881 + 0.8e1 * t28997 * t116636 - 0.9e1 / 0.2e1 * t4718 * t116630 * t118918 + 0.44e2 / 0.27e2 * t116335 * t131003 - 0.38e2 / 0.9e1 * t116335 * t130679 + 0.3e1 / 0.2e1 * t20422 * t119081 + t137917 + t2947 * t57166 - 0.3e1 / 0.2e1 * t4695 * t116756 * t2394;
  t137929 = t128627 / 0.4e1;
  t137936 = -0.3e1 / 0.4e1 * t4695 * t116760 * t2257 + t5673 * t116754 - 0.2e1 * t121888 - t2180 + t2251 + t121897 + t121898 / 0.4e1 - t121901 - t137929 - t121913 - t128691 - 0.18e2 * t373 * t117583 * t17015 - 0.18e2 * t1029 * t117313 * t130892;
  t137960 = t128714 / 0.2e1;
  t137961 = 0.18e2 * t373 * t117587 * t2402 + 0.3e1 / 0.2e1 * t14666 * t2512 + t373 * t116344 * t445 * t376 / 0.4e1 + 0.22e2 / 0.3e1 * t116627 * t17183 - t128704 - 0.3e1 / 0.2e1 * t57324 * t18200 - 0.3e1 * t57332 * t18207 + 0.3e1 * t39906 * t18209 - 0.9e1 / 0.2e1 * t5665 * t14932 * t24435 * t18191 - t137960 + t128717 + t128719;
  t137983 = -t128721 - t118825 + 0.3e1 / 0.2e1 * t1956 * t18466 - 0.6e1 * t5631 * t116620 + 0.3e1 / 0.2e1 * t1383 * t20642 - 0.3e1 / 0.2e1 * t1383 * t20639 + 0.3e1 / 0.2e1 * t1383 * t20576 + 0.3e1 / 0.2e1 * t11501 * t3018 - 0.3e1 / 0.2e1 * t56071 * t3002 + 0.3e1 / 0.4e1 * t100281 * t570 - 0.3e1 / 0.2e1 * t20422 * t29084 + t2947 * t57671 + 0.7e1 / 0.3e1 * t20422 * t29095;
  t137997 = 0.9e1 / 0.2e1 * t128780;
  t138008 = -t20422 * t29092 / 0.2e1 + 0.3e1 / 0.2e1 * t1383 * t20561 - 0.3e1 * t1383 * t20558 - 0.3e1 * t5792 * t20554 - t555 * t100276 / 0.4e1 - t20429 * t1378 / 0.2e1 + t137997 + t2942 * t11368 / 0.2e1 + t121943 / 0.4e1 - t121947 + t73236 * t122449 / 0.2e1 - 0.5e1 / 0.12e2 * t73218 * t133806 - 0.3e1 / 0.4e1 * t110 * t2495 * t3036;
  t138026 = 0.3e1 / 0.4e1 * t1956 * t18248 - t121953 - 0.3e1 / 0.2e1 * t72822 * t2503 - 0.28e2 * t29133 * t117338 - 0.2e1 * t2947 * t122536 - t121960 - t121976 + t121978 + t122014 + 0.3e1 / 0.2e1 * t14831 * t17568 + t2947 * t121876 / 0.2e1 + 0.9e1 * t8280 * t18471 + 0.36e2 * t1029 * t117583 * t17199;
  t138036 = t20462 * t439;
  t138061 = -0.18e2 * t4718 * t117583 * t17174 - 0.18e2 * t1029 * t117587 * t2389 + t5639 * t2060 * t4572 * t138036 / 0.2e1 - t5665 * t2060 * t4626 * t138036 / 0.2e1 - 0.8e1 * t5639 * t14928 * t100521 + 0.8e1 * t5665 * t14928 * t18199 + 0.3e1 / 0.2e1 * t57328 * t18196 - t8063 * t136195 / 0.2e1 - t8063 * t135675 - 0.3e1 / 0.2e1 * t73218 * t132714 - 0.3e1 / 0.4e1 * t14666 * t2509 + t1421 * t116580;
  t138066 = 0.3e1 / 0.4e1 * t128819;
  t138080 = 0.9e1 * t128838;
  t138085 = -0.3e1 / 0.2e1 * t14666 * t2506 - t555 * t99971 / 0.4e1 + t138066 + 0.7e1 * t14711 * t132991 - 0.9e1 / 0.2e1 * t14711 * t132995 + 0.18e2 * t4718 * t117313 * t131169 - 0.3e1 / 0.2e1 * t5792 * t20625 + t555 * t129277 / 0.4e1 + t128828 + t8214 * t129241 / 0.4e1 + t138080 - t442 * t116354 / 0.4e1 + 0.3e1 / 0.2e1 * t57324 * t18286;
  t138104 = 0.8e1 / 0.3e1 * t128638;
  t138105 = 0.8e1 * t128649;
  t138106 = 0.4e1 / 0.3e1 * t128653;
  t138107 = 0.8e1 * t128655;
  t138114 = 0.12e2 * t117132 * t2394 + 0.4e1 * t117135 * t2257 - 0.2e1 * t14733 * t18274 + t131052 - t131053 + t131054 + t138104 - t138105 + t138106 + t138107 - t15352;
  t138133 = t78096 * t3014;
  t138134 = 0.2e1 * t138133;
  t138135 = -0.8e1 * t117138 * t2389 - 0.24e2 * t117138 * t2402 + 0.32e2 / 0.3e1 * t117122 * t17199 - 0.2e1 / 0.3e1 * t18196 + 0.12e2 * t117122 * t17015 + 0.4e1 * t18200 - 0.8e1 * t117115 * t15455 - 0.4e1 * t18282 - 0.4e1 * t18286 - 0.8e1 / 0.3e1 * t117115 * t15388 + 0.16e2 / 0.9e1 * t117122 * t17174 - t138134;
  t138137 = 0.8e1 * t128680;
  t138138 = 0.8e1 * t128682;
  t138147 = t138137 - t138138 + t131088 - t131089 - t131090 + t131091 + t131092 + 0.2e2 / 0.9e1 * t117090 * t17174 + 0.8e1 * t2981 * t15455 - 0.12e2 * t117090 * t17015 + 0.4e1 / 0.3e1 * t117090 * t17199;
  t138154 = t2227 * t3014;
  t138155 = 0.2e1 * t138154;
  t138170 = 0.24e2 * t117085 * t2402 - 0.12e2 * t117104 * t2394 - 0.4e1 * t2984 * t2257 + t138155 + 0.2e1 * t561 * t18274 - 0.4e1 * t117085 * t2389 - 0.4e1 / 0.3e1 * t2981 * t15388 - 0.4e1 * t14730 * t100664 - 0.4e1 / 0.3e1 * t14730 * t100444 + 0.4e1 * t14727 * t101638 + 0.4e1 * t14733 * t101419 + t15340;
  t138172 = t138114 + t138135 + t138147 + t138170;
  t138182 = -t128845 + t8063 * t56429 * t18192 / 0.2e1 - 0.8e1 / 0.3e1 * t73070 * t18211 - 0.3e1 / 0.2e1 * t73236 * t30134 * t18187 + 0.11e2 / 0.6e1 * t73218 * t29468 * t18192 - 0.3e1 / 0.2e1 * t5649 * t117189 * t2389 + 0.3e1 / 0.2e1 * t4695 * t117189 * t2402 + t122033 - t128876 + t128878 + t555 * t1094 * t1095 * t167 * t138172 / 0.12e2 + t555 * t1094 * t5553 * t20603 / 0.12e2;
  t138183 = t2178 * t20605;
  t138184 = t138183 / 0.12e2;
  t138187 = t168 * t137858;
  t138191 = 0.7e1 * t128880;
  t138201 = t4695 * t86611 * t3014;
  t138202 = 0.3e1 / 0.4e1 * t138201;
  t138206 = 0.3e1 * t128888;
  t138209 = t138184 + 0.3e1 / 0.2e1 * t5792 * t20692 + t122038 - t8063 * t30134 * t138187 / 0.3e1 + t138191 + 0.9e1 / 0.2e1 * t5665 * t2973 * t24564 * t18186 - 0.7e1 * t29352 * t116716 - 0.3e1 / 0.4e1 * t29985 * t20680 - t138202 - 0.3e1 / 0.4e1 * t4695 * t14608 * t18274 + t138206 + 0.2e1 * t5673 * t116842 - t128900;
  t138213 = 0.9e1 / 0.2e1 * t128920;
  t138215 = t380 * t20591 * t439;
  t138227 = -t122076 - 0.3e1 * t122078 + t122084 - t122098 - t122100 + t138213 + t122104 + t8063 * t5691 * t138215 / 0.4e1 - t8214 * t9444 * t380 * t20591 * t2196 / 0.2e1 - t8219 * t4687 * t138215 / 0.2e1 - t122120 - t122132;
  t138229 = t128934 / 0.4e1;
  t138252 = t122141 + 0.3e1 * t122145 + t122151 - t138229 - 0.61e2 / 0.27e2 * t116335 * t131000 - 0.11e2 / 0.6e1 * t14711 * t132795 + t2947 * t121879 + 0.3e1 * t14831 * t17585 + t5665 * t2056 * t1165 * t138036 / 0.2e1 - 0.3e1 * t39906 * t18289 - t2947 * t4376 * t371 * t18328 - 0.3e1 / 0.2e1 * t373 * t14857 * t4305 * t1013 * t18272 + t73900 * t18303;
  t138264 = -t8214 * t85758 * t18187 / 0.2e1 + t20429 * t2199 / 0.2e1 + t2947 * t4376 * t18324 / 0.4e1 + t20410 - 0.3e1 / 0.2e1 * t39906 * t18291 + t16918 + t16919 - t16920 + t16921 + t16922 - t16923 + t16924 - t16925;
  t138277 = 0.3e1 / 0.4e1 * t129031;
  t138278 = 0.3e1 * t129041;
  t138287 = t118987 + 0.3e1 / 0.2e1 * t11501 * t3006 + t555 * t1094 * t8262 * t18328 / 0.4e1 + t555 * t1094 * t57102 * t2955 / 0.4e1 + t1974 * t136138 / 0.2e1 + t138277 - t138278 - t129046 + 0.9e1 * t1029 * t116630 * t118950 - t122171 - t122182 + 0.6e1 * t373 * t117313 * t130896 - 0.2e1 * t116335 * t130930;
  t138300 = 0.5e1 / 0.12e2 * t129079;
  t138301 = 0.9e1 * t129082;
  t138307 = 0.3e1 / 0.4e1 * t1383 * t20629 + 0.9e1 / 0.2e1 * t4695 * t117007 * t17015 + 0.3e1 / 0.2e1 * t73218 * t30141 * t18192 + t129072 + t129076 - t138300 - t138301 + 0.89e2 / 0.9e1 * t116335 * t130927 - 0.7e1 * t20422 * t118928 - t16926 - t16927 + t122191 / 0.2e1;
  t138308 = 0.2e1 * t129096;
  t138309 = t2178 * t20584;
  t138310 = t138309 / 0.6e1;
  t138311 = 0.3e1 * t129100;
  t138339 = t138308 - t138310 + t138311 - 0.3e1 / 0.4e1 * t110 * t18443 * t584 - t110 * t452 * t20672 / 0.4e1 - t8063 * t30141 * t138187 / 0.6e1 - t8214 * t9444 * t168 * t137849 / 0.3e1 + t8214 * t45083 * t168 * t137853 / 0.2e1 - 0.62e2 / 0.3e1 * t28997 * t117625 - 0.6e1 * t116370 * t2347 - 0.2e1 * t20416 * t15451 - 0.3e1 * t1956 * t18243 - 0.3e1 / 0.4e1 * t11501 * t3015;
  t138341 = t1956 * t18253;
  t138342 = 0.3e1 / 0.4e1 * t138341;
  t138346 = 0.12e2 * t129440;
  t138347 = t117707 * t439;
  t138355 = t2369 * t20462;
  t138380 = -t129433 - t138346 + t129443 - 0.2e1 * t8508 * t1186 * t138347 + 0.4e1 * t2969 * t18382 + 0.32e2 / 0.3e1 * t14928 * t18384 - 0.2e1 / 0.3e1 * t2060 * t4572 * t138355 - 0.24e2 * t117773 * t2359 - 0.6e1 * t20492 * t2220 + t2973 * t4572 * t18381 - 0.12e2 * t74875 * t18401 - 0.8e1 * t102057 * t18407 + t8508 * t1173 * t138347 / 0.3e1 + 0.2e1 * t74564 * t4599 * t18397 + 0.32e2 * t74592 * t18398 + 0.18e2 * t101781 * t1186 * t18406 + t122300 + t122302;
  t138389 = t117670 * t439;
  t138396 = t20488 * t439;
  t138429 = -0.6e1 * t58028 * t360 * t117670 * t2196 + 0.4e1 * t11656 * t360 * t14969 * t18272 - 0.2e1 / 0.3e1 * t40455 * t1173 * t138389 + 0.2e1 * t122312 + t2060 * t4626 * t138355 - 0.2e1 * t2060 * t24564 * t138396 + 0.8e1 / 0.3e1 * t117699 * t131447 - 0.4e1 * t40461 * t360 * t138389 - 0.4e1 * t20475 * t15494 + 0.24e2 * t117699 * t131356 + 0.9e1 * t14932 * t24435 * t18360 - 0.72e2 * t117695 * t17129 + 0.4e1 / 0.3e1 * t2060 * t24435 * t138396 - 0.4e1 * t122330 + t129477 - 0.16e2 * t14928 * t18361 - 0.9e1 * t2973 * t24564 * t18372 - 0.1e2 * t14932 * t24418 * t18360 + 0.6e1 * t2973 * t24435 * t18372;
  t138437 = t2209 * t20522;
  t138438 = 0.2e1 * t138437;
  t138456 = -t17074 - t15480 - t17075 + t122341 - t122343 + 0.2e1 * t20468 * t119292 - t129509 + 0.6e1 * t14955 * t18395 + 0.4e1 * t2969 * t18373 + t138438 - t20468 * t119411 / 0.6e1 - 0.4e2 * t117695 * t17111 - 0.1e2 * t20468 * t119421 + 0.1e2 / 0.3e1 * t117699 * t131390 + 0.24e2 * t117650 * t2370 + 0.8e1 * t20475 * t15528 - 0.2e1 / 0.3e1 * t117695 * t17108 + 0.3e1 * t2973 * t4626 * t18423;
  t138460 = t2209 * t20489;
  t138477 = 0.18e2 * t129537;
  t138482 = t129539 / 0.3e1;
  t138483 = 0.4e1 * t129547;
  t138486 = -0.2e1 * t2973 * t4572 * t18423 - t16526 - t138460 + 0.5e2 / 0.3e1 * t117699 * t131384 - 0.12e2 * t20475 * t15535 + 0.12e2 * t117773 * t2373 + 0.3e1 * t20492 * t2233 + 0.36e2 * t117695 * t17095 + 0.9e1 * t20468 * t119397 - 0.36e2 * t117650 * t2377 - 0.2e1 * t2969 * t18424 + t138477 + t559 * t1165 * t140 * t138172 / 0.2e1 - t138482 - t138483 - 0.12e2 * t117650 * t2362 + t20511 - t20512 + t119333;
  t138493 = 0.9e1 * t129570;
  t138494 = 0.18e2 * t129578;
  t138495 = 0.6e1 * t129584;
  t138504 = -t559 * t1165 * t143 * t138172 + 0.2e1 * t8511 * t360 * t138347 + 0.2e1 * t2056 * t4575 * t138396 - 0.18e2 * t74564 * t18410 - t119342 + t119344 + t122352 - t122358 - t122360 - t122362 + t122364 - 0.12e2 * t122372 + t122375 + t129553 - t138493 + t138494 + t138495 - t20513;
  t138509 = 0.2e1 * t129609;
  t138514 = t2209 * t20517;
  t138515 = 0.18e2 * t129612;
  t138516 = 0.9e1 * t129614;
  t138517 = 0.8e1 * t129617;
  t138518 = 0.12e2 * t129631;
  t138519 = t129635 / 0.6e1;
  t138520 = 0.1e2 * t129637;
  t138538 = 0.8e1 * t117695 * t17126 + 0.24e2 * t20475 * t15489 - t138509 + 0.6e1 * t122381 - t14932 * t24477 * t18360 / 0.6e1 - t138514 + t138515 - t138516 + t138517 - t138518 + t138519 + t138520 - t559 * t4575 * t20463 * t2196 + 0.4e1 / 0.3e1 * t117695 * t17141 + t20468 * t119262 / 0.3e1 - t117699 * t131403 / 0.9e1 + 0.4e1 * t40455 * t1186 * t138389 - 0.18e2 * t20468 * t119298 - 0.6e1 * t2973 * t4626 * t18381;
  t138544 = 0.6e1 * t129654;
  t138545 = t2209 * t20464;
  t138546 = t138545 / 0.2e1;
  t138565 = 0.36e2 * t129680;
  t138566 = -0.4e1 / 0.3e1 * t117699 * t131321 + 0.72e2 * t117650 * t2366 + t138544 + t17119 - t129661 - t129663 + t138546 - 0.12e2 * t117699 * t131473 - 0.2e1 * t559 * t4575 * t2986 * t18272 - 0.16e2 / 0.3e1 * t74592 * t18410 - 0.3e1 * t101781 * t1173 * t18406 + t74564 * t4586 * t18397 / 0.3e1 + 0.3e1 * t559 * t24458 * t20488 * t2196 + t18435 - t122417 - t138565 - t122425 + t122427 - t20528;
  t138573 = 0.4e1 * t129701;
  t138574 = 0.2e1 * t129719;
  t138575 = 0.2e1 * t11656 * t360 * t117707 * t2196 - t2056 * t1165 * t138355 - t119443 - t119445 + t119455 - t122433 - t129704 + t129711 + t129724 - t138573 + t138574 - t15516 + t15538 + t17149 + t17150 + t20529 + t20530 + t2210 - t2229;
  t138589 = t129116 / 0.2e1;
  t138594 = -t138342 - t16951 - t20542 - 0.3e1 / 0.2e1 * t4695 * t14814 * t100664 - t110 * t139 * (t138380 + t138429 + t138456 + t138486 + t138504 + t138538 + t138566 + t138575) * t168 / 0.4e1 + t122202 - t20416 * t15365 + 0.5e1 / 0.3e1 * t116627 * t17004 + t2947 * t4553 * t18329 / 0.2e1 - t138589 - 0.2e1 * t73236 * t122210 + 0.23e2 / 0.12e2 * t73218 * t133770;
  t138600 = 0.3e1 * t129143;
  t138601 = 0.3e1 * t129149;
  t138602 = 0.3e1 * t129155;
  t138612 = 0.9e1 * t129177;
  t138613 = t8219 * t135513 - 0.9e1 / 0.2e1 * t10513 * t14932 * t24477 * t18191 + t20546 - t138600 - t138601 + t138602 - 0.3e1 / 0.4e1 * t122204 + t8063 * t5674 * t138215 / 0.2e1 + 0.9e1 / 0.2e1 * t1956 * t18278 - 0.9e1 * t4695 * t116703 * t2402 - t20547 + t129166 - t138612;
  t138641 = 0.3e1 * t8280 * t18474 + t20587 - t20590 - t122215 - 0.9e1 / 0.2e1 * t5639 * t2973 * t24435 * t18186 + 0.9e1 / 0.2e1 * t29352 * t116820 + t8219 * t9444 * t138187 / 0.3e1 - t555 * t4354 * t5553 * t20582 / 0.6e1 + t1383 * t20539 / 0.2e1 + 0.9e1 / 0.2e1 * t4695 * t117044 * t2394 + 0.3e1 / 0.2e1 * t4695 * t117048 * t2257 - t2947 * t57443 / 0.2e1;
  t138645 = 0.9e1 / 0.2e1 * t129215;
  t138658 = 0.3e1 * t129232;
  t138659 = 0.6e1 * t373 * t116433 * t15455 + t138645 + t122220 - t122226 - t73912 * t16589 / 0.2e1 + 0.2e1 / 0.3e1 * t73912 * t18188 - 0.3e1 / 0.2e1 * t73900 * t17699 + t122248 + t122249 + 0.9e1 * t5639 * t14932 * t24418 * t18191 + t129222 - 0.5e1 / 0.12e2 * t14711 * t132915 + t138658;
  t138671 = t373 * t9409 * t20538;
  t138672 = t138671 / 0.2e1;
  t138681 = t168 * t138036;
  t138690 = -t5673 * t117457 + 0.9e1 / 0.2e1 * t30451 * t117007 * t17174 - 0.9e1 * t5649 * t117007 * t17199 + 0.12e2 * t29181 * t117299 + t138672 + t20623 + 0.9e1 * t5649 * t116703 * t2389 + 0.3e1 * t5649 * t116521 * t15388 - 0.9e1 / 0.2e1 * t29352 * t116518 + t8063 * t5674 * t138681 / 0.6e1 + t8063 * t56645 * t18192 / 0.4e1 - 0.4e1 / 0.3e1 * t73070 * t18193 - t20651;
  t138691 = t129248 / 0.2e1;
  t138692 = 0.2e1 / 0.3e1 * t129255;
  t138714 = 0.3e1 / 0.2e1 * t129263;
  t138715 = t138691 - t138692 + 0.11e2 / 0.6e1 * t20422 * t118876 + 0.4e1 * t20416 * t15448 - 0.23e2 / 0.3e1 * t116627 * t17187 + 0.6e1 * t116627 * t17203 + 0.47e2 / 0.3e1 * t28997 * t117351 - 0.9e1 / 0.2e1 * t373 * t116630 * t119077 - 0.3e1 * t116370 * t2342 + 0.9e1 / 0.2e1 * t1956 * t18482 - 0.9e1 * t8280 * t18355 + 0.9e1 / 0.2e1 * t39807 * t18352 - t138714;
  t138719 = 0.23e2 / 0.12e2 * t129265;
  t138720 = 0.11e2 / 0.6e1 * t129267;
  t138721 = 0.6e1 * t129269;
  t138741 = t138719 - t138720 - t138721 - t1981 * t136234 / 0.2e1 - 0.3e1 / 0.2e1 * t14711 * t132988 - 0.43e2 / 0.9e1 * t116335 * t130775 + 0.9e1 / 0.2e1 * t20422 * t118955 - 0.3e1 / 0.2e1 * t373 * t117294 * t2257 - 0.6e1 * t373 * t117309 * t2394 + t373 * t14685 * t18274 + t1383 * t20688 - t1383 * t20685 / 0.4e1;
  t138743 = t373 * t9409 * t20684;
  t138744 = t138743 / 0.4e1;
  t138764 = -t138744 - t373 * t2040 * t1076 * t348 * t138172 / 0.4e1 + 0.7e1 * t29352 * t116711 + 0.3e1 / 0.2e1 * t1029 * t14857 * t4305 * t1008 * t18272 - t2947 * t57338 / 0.4e1 - 0.3e1 / 0.4e1 * t1956 * t18275 - t20652 + 0.5e1 / 0.12e2 * t73218 * t29474 * t18192 + t122272 - t122281 + t122285 + t122287 - t122289;
  t138770 = t20462 * t2196;
  t138788 = 0.3e1 / 0.2e1 * t129315;
  t138789 = t129321 / 0.2e1;
  t138796 = 0.2e1 / 0.3e1 * t8063 * t30141 * t1018 * t137858 - t8214 * t9444 * t168 * t138770 / 0.6e1 + t8063 * t5691 * t138681 / 0.12e2 + 0.3e1 / 0.2e1 * t73070 * t17598 + t5665 * t2060 * t24564 * t137858 - t20679 + t16513 + t2947 * t4376 * t18329 / 0.4e1 - t1981 * t135778 / 0.4e1 + t138788 - t138789 + 0.3e1 / 0.2e1 * t4695 * t14608 * t101419 + 0.3e1 / 0.2e1 * t4695 * t14605 * t101638;
  t138813 = -t122457 - t2947 * t4376 * t1381 * t2955 + t2947 * t4553 * t18324 / 0.2e1 + t119123 - t119126 - t119130 - t119138 + t119143 - t442 * t117503 / 0.12e2 + t117508 * t457 / 0.4e1 - 0.5e1 / 0.36e2 * t20422 * t30231 + t2942 * t11422 / 0.2e1 - 0.2e1 * t20416 * t5804;
  t138838 = -0.11e2 / 0.18e2 * t20422 * t29059 + 0.3e1 / 0.2e1 * t29089 * t20551 - 0.3e1 / 0.2e1 * t11501 * t3010 + 0.3e1 * t5792 * t20579 - t2947 * t56960 / 0.4e1 + t20416 * t5819 / 0.2e1 - t2947 * t56036 / 0.2e1 + t20416 * t5800 - t5673 * t116903 + t8214 * t128871 / 0.2e1 - t8063 * t135863 / 0.2e1 + 0.3e1 * t73070 * t17618;
  t138852 = 0.3e1 * t129381;
  t138853 = 0.3e1 / 0.2e1 * t129382;
  t138866 = 0.2e1 * t129403;
  t138867 = 0.2e1 * t129415;
  t138868 = -0.3e1 / 0.4e1 * t73236 * t30141 * t18187 - 0.9e1 * t1956 * t18485 - 0.6e1 * t25474 * t117313 * t131164 - 0.3e1 * t4695 * t116521 * t15455 + 0.2e1 * t117275 * t2339 - t138852 + t138853 + t5665 * t559 * t4575 * t138770 / 0.2e1 + 0.18e2 * t29133 * t117281 - 0.6e1 * t1029 * t116433 * t15388 - t8219 * t40145 * t18192 / 0.2e1 + t138866 + t138867;
  t138894 = -t2942 * t18325 / 0.3e1 - t2942 * t18330 / 0.3e1 + 0.23e2 / 0.12e2 * t14711 * t132798 - 0.23e2 / 0.12e2 * t73218 * t29474 * t18214 - 0.3e1 * t5665 * t14955 * t18281 - 0.2e1 * t5665 * t2969 * t18285 + 0.16e2 / 0.3e1 * t29461 * t117379 + 0.3e1 * t73236 * t30141 * t1018 * t18186 - 0.3e1 / 0.4e1 * t122531 - t122539 + t129423 - t129425 - t5673 * t117471 / 0.3e1;
  t138911 = 0.3e1 / 0.2e1 * t57324 * t18282 + t122541 + t122546 - t122548 + t122551 - t5639 * t2060 * t24435 * t137858 - 0.23e2 / 0.12e2 * t20422 * t118760 - t20695 + 0.3e1 / 0.2e1 * t5649 * t14814 * t100444 + t73236 * t121935 - 0.11e2 / 0.6e1 * t73218 * t133767 - t8219 * t4687 * t138681 / 0.6e1 + t20696;
  t138917 = my_piecewise3(t100, 0, t138911 + t138894 + t138868 + t138838 + t138813 + t138796 + t138764 + t138741 + t138715 + t138690 + t138659 + t138641 + t138613 + t138594 + t138339 + t138307 + t138287 + t138264 + t138252 + t138227 + t138209 + t138182 + t138085 + t138061 + t138026 + t138008 + t137983 + t137961 + t137936 + t137922 + t137895 + t137877);
  tv4sigmatau311 = t3 * t138917;

  if(out->v4sigmatau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4sigmatau3[ip*p->dim.v4sigmatau3 + 11] += tv4sigmatau311;

  t138922 = t2526 * t2526;
  t138923 = t680 * t138922;
  t138929 = t191 * t649 * t138922 * t3118;
  t138938 = t191 * t3135 * t138922 * t20811;
  t138943 = t191 * t20823 * t138922 * t20825;
  t138957 = t836 * t6119 * t18579;
  t138964 = 0.6e1 * t1516 * t18711 + 0.2e1 * t2534 * t60002 - 0.18e2 * t679 * t138923 * t21139 - 0.6e1 * t138929 * t667 + 0.12e2 * t138929 * t672 + 0.12e2 * t6411 * t18714 + 0.18e2 * t138938 * t3158 - 0.35e2 / 0.108e3 * t138943 * t21698 - 0.5e1 / 0.9e1 * t18529 * t31970 + 0.5e1 / 0.3e1 * t138938 * t3178 + 0.2e1 * t18539 * t6233 - t2534 * t58580 / 0.2e1 + 0.2e1 * t1516 * t18499 + t466 * t138957 / 0.3e1 + t2529 * t18504 + 0.2e1 * t122655 - t122657 - t2089 + t2160 - 0.8e1 * t18539 * t6424;
  t138965 = t3690 * t18580;
  t138969 = t3520 * t1514 * t2542;
  t138972 = t21628 * t2543;
  t138975 = t21624 * t18607;
  t138983 = 0.3e1 / 0.4e1 * t129770;
  t138989 = t18496 * t2541;
  t138992 = t21238 * t837 * t94 * t138989;
  t138996 = t3520 * t244 * t18579;
  t139007 = 0.2e1 / 0.3e1 * t2534 * t138965 - 0.4e1 * t2534 * t138969 + 0.11e2 / 0.3e1 * t18529 * t138972 - 0.23e2 / 0.6e1 * t18529 * t138975 + 0.22e2 / 0.3e1 * t138938 * t3141 - 0.18e2 * t122676 - 0.6e1 * t122688 - 0.14e2 / 0.3e1 * t122700 - t138983 - 0.6e1 * t1516 * t18612 + 0.14e2 * t246 * t102784 * t18611 + t466 * t138992 / 0.2e1 - 0.4e1 / 0.3e1 * t2534 * t138996 + 0.3e1 / 0.2e1 * t18510 * t2544 + 0.4e1 * t122723 - 0.12e2 * t122726 - 0.2e1 * t122729 - 0.18e2 * t122732 - 0.3e1 * t122734 + 0.9e1 * t122740;
  t139012 = 0.4e1 * t129794;
  t139018 = t3428 * t18507;
  t139021 = t21298 * t18507;
  t139039 = t15109 - 0.8e1 * t2569 * t2592 + t139012 + 0.12e2 * t122585 - 0.12e2 * t122588 + 0.4e1 * t122592 + 0.2e1 * t472 * t18585 - 0.24e2 * t139018 * t3082 + 0.32e2 / 0.3e1 * t139021 * t3126 + 0.12e2 * t139021 * t3131 + 0.12e2 * t2566 * t18611 + 0.12e2 * t789 * t18507 * t3260 + 0.8e1 * t102260 * t2592 - 0.4e1 * t102249 * t18594 - 0.2e1 * t11930 * t18585 - 0.12e2 * t102249 * t18611;
  t139045 = 0.4e1 * t129821;
  t139066 = 0.4e1 * t11930 * t18498 - t15121 - 0.12e2 * t122602 + 0.12e2 * t122608 + 0.2e1 * t122616 - t139045 - 0.12e2 * t18695 * t222 + 0.2e2 / 0.9e1 * t18642 * t3145 + 0.4e1 / 0.3e1 * t18642 * t3140 + 0.24e2 * t18646 * t666 - 0.12e2 * t18642 * t3149 - 0.4e1 * t18646 * t661 - 0.2e1 * t2566 * t18594 - 0.4e1 * t472 * t18498 - 0.8e1 * t139018 * t3078 + 0.16e2 / 0.9e1 * t139021 * t3169;
  t139067 = t139039 + t139066;
  t139069 = t824 * t221 * t139067;
  t139074 = t21755 * t244 * t18502;
  t139101 = t3115 * t138922;
  t139109 = -t1516 * t18586 - t246 * t1559 * t139069 / 0.4e1 + 0.11e2 / 0.3e1 * t2534 * t139074 - 0.23e2 / 0.3e1 * t138938 * t3146 + 0.44e2 / 0.27e2 * t138943 * t21122 - t122760 / 0.2e1 + t118050 - 0.2e1 * t138943 * t20851 - 0.2e1 * t18510 * t1511 - 0.6e1 * t18529 * t31474 - 0.43e2 / 0.9e1 * t138943 * t20859 - 0.28e2 * t138938 * t3153 + 0.6e1 * t1516 * t18524 + 0.47e2 / 0.3e1 * t138943 * t22100 + 0.6e1 * t138938 * t3150 + t2529 * t11838 - 0.3e1 * t138929 * t662 + 0.36e2 * t679 * t139101 * t20890 - 0.22e2 / 0.9e1 * t18529 * t31459 - t466 * t102728 / 0.3e1;
  t139141 = -t118178 - t118190 - 0.6e1 * t246 * t247 * t138922 * t21715 - 0.18e2 * t246 * t139101 * t20886 - 0.38e2 / 0.9e1 * t138943 * t20868 + 0.4e1 * t1516 * t18589 - 0.3e1 * t246 * t12135 * t18498 - 0.11e2 / 0.3e1 * t122933 - 0.3e1 * t122943 + 0.3e1 * t122949 + t102733 * t481;
  t139155 = t130367 / 0.2e1;
  t139156 = 0.3e1 / 0.2e1 * t130374;
  t139161 = t2541 * t18578;
  t139163 = t8790 * t95 * t139161;
  t139166 = t3520 * t18619;
  t139169 = t836 * t58670 * t2542;
  t139176 = t118266 - t118270 - 0.2e1 * t130333 + 0.3e1 / 0.2e1 * t123345 + 0.89e2 / 0.9e1 * t138943 * t20856 - 0.18e2 * t3167 * t139101 * t21997 - 0.3e1 * t60007 * t2584 + 0.2e1 / 0.3e1 * t15612 - t139155 + t139156 - t15623 / 0.3e1 - 0.2e1 / 0.3e1 * t15633 + 0.4e1 / 0.3e1 * t15640 - 0.7e1 * t123376 - t6451 * t139163 / 0.2e1 + t2534 * t139166 + t466 * t139169 / 0.2e1 - 0.7e1 / 0.3e1 * t18539 * t18623 - 0.5e1 / 0.6e1 * t123390 + 0.2e1 / 0.3e1 * t130490;
  t139177 = t20842 * t138922;
  t139187 = t3520 * t18580;
  t139193 = t21755 * t18503;
  t139197 = t3460 * t6119 * t18502;
  t139202 = t836 * t837 * t94 * t139067;
  t139231 = 0.6e1 * t123452 - 0.2e1 * t18529 * t32351 + 0.28e2 / 0.3e1 * t18529 * t31470 + 0.3e1 * t11843 * t2596 + 0.6e1 * t246 * t139177 * t20863 + 0.4e1 * t18539 * t6402 + 0.2e1 * t191 * t194 * t138922 * t3076 * t223 - 0.12e2 * t1516 * t18521 - 0.12e2 * t6411 * t18517 - 0.62e2 / 0.3e1 * t138943 * t22091 + 0.6e1 * t32356 * t18514;
  t139251 = t21237 * t221 * t138989;
  t139256 = t20760 * t3144 * t2541;
  t139261 = t3360 * t660 * t18578;
  t139268 = 0.3e1 / 0.4e1 * t16756;
  t139270 = t3690 * t18619;
  t139273 = t21628 * t18607;
  t139277 = t21624 * t677 * t2542;
  t139281 = t20760 * t3124 * t2541;
  t139285 = 0.8e1 * t138943 * t20834 + 0.18e2 * t246 * t138923 * t21143 - 0.6e1 * t20841 * t139177 * t20846 - t2534 * t59998 + 0.7e1 / 0.3e1 * t123483 + t15661 + 0.2e1 * t15675 - 0.2e1 * t15680 - 0.2e1 * t15683 + 0.3e1 / 0.2e1 * t246 * t12135 * t18585 - 0.3e1 / 0.2e1 * t246 * t1559 * t139251 - 0.9e1 * t3167 * t102654 * t139256 + 0.2e1 * t679 * t12147 * t139261 - 0.14e2 * t679 * t102784 * t18594 - t139268 + 0.9e1 * t123537 + 0.2e1 * t2534 * t139270 - 0.14e2 * t18529 * t139273 + 0.9e1 * t18529 * t139277 + 0.18e2 * t679 * t102654 * t139281;
  t139286 = t20760 * t18593;
  t139290 = t20930 * t2543;
  t139293 = t21624 * t2543;
  t139298 = t3562 * t139161;
  t139304 = t3360 * t665 * t18578;
  t139313 = t21336 * t660 * t18496;
  t139319 = t21336 * t665 * t18496;
  t139323 = t21363 * t18503;
  t139328 = t130580 / 0.4e1;
  t139329 = t16900 / 0.4e1;
  t139336 = t20862 * t2561;
  t139340 = t3562 * t2571 * t18578;
  t139343 = t22309 * t18630;
  t139353 = t22302 * t63 * t138989;
  t139363 = t233 * t11963 * t18578;
  t139368 = 0.6e1 * t130105;
  t139374 = -0.72e2 * t123017 + 0.18e2 * t123059 + 0.6e1 * t10088 * t139363 - 0.2e1 / 0.3e1 * t123101 + 0.12e2 * t123108 + t139368 - 0.9e1 * t123127 - 0.24e2 * t123130 + t123134 / 0.3e1 + 0.2e2 * t123136 + 0.36e2 * t123142;
  t139376 = t20822 * t138922;
  t139377 = t139376 * t20825;
  t139382 = t69 * t138922;
  t139383 = t139382 * t20811;
  t139386 = t648 * t138922;
  t139387 = t139386 * t3118;
  t139392 = 0.3e1 * t130165;
  t139399 = t118539 + 0.1e2 / 0.3e1 * t139377 * t22191 + 0.5e2 / 0.3e1 * t139377 * t22240 - 0.4e2 * t139383 * t3581 + 0.24e2 * t139387 * t803 - 0.2e1 / 0.3e1 * t139383 * t3591 - t139392 - t118587 - 0.12e2 * t139377 * t22237 - 0.36e2 * t139387 * t816 + 0.36e2 * t139383 * t3573;
  t139400 = 0.3e1 * t16807;
  t139403 = t22290 * t18630;
  t139406 = t3130 * t18636;
  t139409 = t20876 * t2561;
  t139412 = t22290 * t2561;
  t139419 = -t139400 + 0.36e2 * t123194 - 0.28e2 / 0.3e1 * t123199 + t118606 - 0.11e2 / 0.3e1 * t2558 * t139403 + 0.4e1 / 0.3e1 * t2558 * t139406 + 0.2e1 / 0.3e1 * t18658 * t139409 - 0.36e2 * t18658 * t139412 + 0.56e2 * t18655 * t18671 + 0.8e1 * t15761 - 0.8e1 * t15767;
  t139423 = t3130 * t18679;
  t139426 = t139376 * t20844;
  t139431 = t22309 * t18674;
  t139435 = t22302 * t60 * t138989;
  t139440 = t139386 * t21138;
  t139443 = 0.3e1 / 0.2e1 * t16849;
  t139444 = 0.3e1 * t130186;
  t139445 = 0.3e1 / 0.2e1 * t130197;
  t139446 = -0.4e1 / 0.3e1 * t15773 - 0.8e1 / 0.3e1 * t2558 * t139423 + 0.24e2 * t139426 * t22413 - 0.28e2 * t18655 * t18686 - 0.11e2 * t2558 * t139431 + 0.3e1 * t470 * t139435 + 0.6e1 * t2554 * t18675 + 0.72e2 * t139440 * t798 + t139443 - t139444 + t139445;
  t139448 = t139382 * t20885;
  t139460 = t788 * t60 * t139067;
  t139463 = t3556 * t18679;
  t139466 = -0.18e2 * t123244 + t118668 - t118674 - t118677 + 0.4e1 / 0.3e1 * t139448 * t3628 - t139426 * t22347 / 0.9e1 - 0.3e1 * t2554 * t18680 + 0.56e2 / 0.3e1 * t18655 * t18683 + 0.9e1 * t18662 * t2572 + t470 * t139460 / 0.2e1 + 0.4e1 * t2558 * t139463;
  t139468 = t22290 * t2571;
  t139477 = t193 * t138922;
  t139481 = t22290 * t18674;
  t139484 = t20862 * t2571;
  t139492 = t20876 * t2571;
  t139495 = 0.18e2 * t18658 * t139468 - 0.72e2 * t139448 * t3596 + 0.8e1 / 0.3e1 * t139426 * t22410 - 0.12e2 * t139440 * t785 - 0.24e2 * t139477 * t21714 * t230 + 0.22e2 / 0.3e1 * t2558 * t139481 - 0.2e2 * t18658 * t139484 + 0.8e1 * t139448 * t3613 - 0.4e1 / 0.3e1 * t139426 * t22433 - 0.18e2 * t123258 - t18658 * t139492 / 0.3e1;
  t139497 = t788 * t63 * t139067;
  t139499 = t3556 * t18636;
  t139512 = -t470 * t139497 - 0.8e1 * t2558 * t139499 - 0.18e2 * t18662 * t2562 + 0.14e2 * t123266 + 0.8e1 / 0.3e1 * t15801 - 0.4e1 * t15811 + 0.4e1 * t15813 + 0.14e2 / 0.3e1 * t123297 - t2138 + 0.12e2 * t139477 * t3076 * t234 + t2119;
  t139520 = 0.11e2 / 0.2e1 * t246 * t12147 * t139319 - 0.11e2 / 0.6e1 * t2534 * t139323 + 0.9e1 * t123589 - t15733 / 0.3e1 + t139328 + t139329 - 0.9e1 * t123603 - 0.9e1 / 0.2e1 * t246 * t102587 * t2592 - 0.6e1 * t123641 + 0.7e1 / 0.6e1 * t123650 - t30 * t59 * (0.4e1 * t18658 * t139336 - 0.3e1 * t470 * t139340 + 0.22e2 * t2558 * t139343 + 0.6e1 * t2554 * t18637 - 0.28e2 / 0.3e1 * t18655 * t18634 - 0.12e2 * t2554 * t18631 - 0.6e1 * t470 * t139353 - 0.28e2 * t122999 + 0.36e2 * t123009 - 0.4e1 * t123012 + t139374 + t139399 + t139419 + t139446 + t139466 + t139495 + t139512) * t95 / 0.4e1;
  t139525 = my_piecewise3(t2, 0, 0.18e2 * t3167 * t139177 * t20872 - 0.18e2 * t679 * t139177 * t20877 - 0.9e1 * t246 * t102654 * t139286 + 0.3e1 / 0.2e1 * t4772 * t470 * t139298 - 0.2e1 * t246 * t12147 * t139304 - 0.11e2 / 0.2e1 * t679 * t12147 * t139313 + 0.14e2 * t122860 + 0.6e1 * t122845 + 0.23e2 / 0.6e1 * t122848 + 0.9e1 / 0.2e1 * t122778 - t118171 + t118172 - 0.3e1 / 0.2e1 * t123582 + 0.18e2 * t123419 + 0.7e1 * t123400 + t139520 + t139285 + t139231 + t139176 + t139141 + t139109 + t139007 + t138964 + 0.6e1 * t6411 * t18595 - 0.3e1 * t11843 * t2588 - 0.4e1 / 0.3e1 * t2529 * t18620 + 0.23e2 / 0.9e1 * t18529 * t32001 - 0.61e2 / 0.27e2 * t138943 * t21119 - 0.14e2 / 0.3e1 * t18539 * t18615 + 0.28e2 / 0.3e1 * t18539 * t18608 + 0.3e1 * t18529 * t139290 + 0.5e1 / 0.6e1 * t18529 * t139293 - t2529 * t18581 / 0.2e1 - 0.11e2 / 0.12e2 * t2534 * t139193 - 0.2e1 / 0.3e1 * t466 * t139197 + t466 * t139202 / 0.12e2 - 0.3e1 / 0.2e1 * t11843 * t2593 + t2534 * t139187 / 0.3e1);
  tv4lapl40 = t3 * t139525;

  if(out->v4lapl4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 0] += tv4lapl40;

  tv4lapl41 = 0.e0;

  if(out->v4lapl4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 1] += tv4lapl41;

  tv4lapl42 = 0.e0;

  if(out->v4lapl4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 2] += tv4lapl42;

  tv4lapl43 = 0.e0;

  if(out->v4lapl4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 3] += tv4lapl43;

  t139543 = t2616 * t18761;
  t139544 = t4575 * t139543;
  t139548 = -0.11e2 / 0.3e1 * t123702 - 0.18e2 * t123729 - t123737 + 0.7e1 / 0.3e1 * t123793 - t2180 + t2251 + 0.9e1 * t123810 + 0.6e1 * t123812 - 0.18e2 * t123819 - 0.3e1 * t123821 + 0.4e1 * t123840 + 0.18e2 * t123926 + 0.23e2 / 0.6e1 * t123966 - t118825 - 0.2e1 * t18736 * t1642 + 0.4e1 * t18916 * t6946 - 0.3e1 * t123988 - 0.2e1 * t123994 - 0.6e1 * t124020 + 0.3e1 / 0.2e1 * t5665 * t494 * t139544;
  t139549 = t2601 * t2601;
  t139552 = t321 * t20823 * t139549 * t24537;
  t139559 = t4719 * t139549;
  t139571 = t1030 * t139549;
  t139577 = t321 * t649 * t139549 * t4140;
  t139585 = t24147 * t4149 * t2616;
  t139589 = t24147 * t18791;
  t139599 = 0.4e1 * t131027;
  t139613 = 0.4e1 * t131083;
  t139623 = -t139599 - 0.2e1 * t12383 * t18787 - 0.12e2 * t104125 * t18877 + 0.8e1 * t104156 * t2667 - 0.4e1 * t104125 * t18792 + 0.4e1 * t12383 * t18774 + 0.12e2 * t123860 + 0.4e1 * t123862 - 0.12e2 * t123873 + t139613 + 0.12e2 * t123889 - t15352 - 0.12e2 * t18845 * t349 + 0.2e2 / 0.9e1 * t18830 * t4155 + 0.24e2 * t18833 * t1014 - 0.12e2 * t18830 * t4706;
  t139630 = t24205 * t18723;
  t139635 = t4388 * t18723;
  t139655 = 0.4e1 / 0.3e1 * t18830 * t4150 + 0.2e1 * t123896 - 0.12e2 * t123902 - 0.4e1 * t18833 * t1009 + 0.12e2 * t139630 * t4729 + 0.12e2 * t2641 * t18877 - 0.24e2 * t139635 * t4215 + 0.32e2 / 0.3e1 * t139630 * t4725 - 0.4e1 * t496 * t18774 - 0.8e1 * t2644 * t2667 + 0.2e1 * t496 * t18787 + 0.12e2 * t1077 * t18723 * t4209 - 0.8e1 * t139635 * t4219 + 0.16e2 / 0.9e1 * t139630 * t4721 - 0.2e1 * t2641 * t18792 + t15340;
  t139656 = t139623 + t139655;
  t139658 = t1076 * t348 * t139656;
  t139664 = t321 * t3135 * t139549 * t24087;
  t139667 = -0.38e2 / 0.9e1 * t139552 * t25454 + 0.89e2 / 0.9e1 * t139552 * t25646 - 0.2e1 * t139552 * t25451 - 0.18e2 * t4718 * t139559 * t25298 + 0.2e1 * t2609 * t61518 + t2604 * t12469 - 0.22e2 / 0.9e1 * t18901 * t34463 + 0.23e2 / 0.9e1 * t18901 * t34466 + 0.9e1 * t124055 + 0.18e2 * t373 * t139571 * t25407 - 0.6e1 * t139577 * t1015 + t104585 * t505 - 0.18e2 * t1029 * t139571 * t25403 + 0.18e2 * t1029 * t103969 * t139585 - 0.9e1 * t373 * t103969 * t139589 + 0.4e1 * t1647 * t18798 + 0.3e1 / 0.2e1 * t373 * t12511 * t18787 - t1647 * t18788 - t373 * t1693 * t139658 / 0.4e1 - 0.28e2 * t139664 * t4200;
  t139683 = t4553 * t18739;
  t139686 = t24148 * t2618;
  t139693 = t1094 * t1095 * t167 * t139656;
  t139696 = t4376 * t18763;
  t139706 = t4305 * t1013 * t18761;
  t139710 = t24275 * t18884;
  t139716 = 0.6e1 * t34264 * t18908 - 0.12e2 * t6955 * t18911 - 0.43e2 / 0.9e1 * t139552 * t25609 + 0.6e1 * t1647 * t18895 + 0.47e2 / 0.3e1 * t139552 * t25287 + 0.22e2 / 0.3e1 * t139664 * t4151 - 0.23e2 / 0.3e1 * t139664 * t4156 + 0.2e1 * t2609 * t139683 + 0.5e1 / 0.6e1 * t18901 * t139686 + 0.3e1 / 0.2e1 * t18736 * t2619 + t490 * t139693 / 0.12e2 + t2609 * t139696 / 0.3e1 + 0.28e2 / 0.3e1 * t18916 * t18885 - 0.7e1 / 0.3e1 * t18916 * t18767 - 0.6e1 * t1647 * t18878 - 0.2e1 * t373 * t12424 * t139706 - 0.14e2 * t18901 * t139710 - 0.14e2 / 0.3e1 * t124091 + 0.9e1 * t124094 - 0.2e1 * t130811;
  t139728 = t24141 * t1008 * t18772;
  t139733 = t24141 * t1013 * t18772;
  t139740 = t25460 * t139549;
  t139755 = t4553 * t18763;
  t139758 = t24275 * t2618;
  t139762 = t4376 * t1645 * t2617;
  t139766 = t4376 * t371 * t18762;
  t139772 = t24142 * t371 * t18778;
  t139775 = 0.18e2 * t4718 * t139740 * t25479 + 0.6e1 * t139664 * t4707 - 0.3e1 * t61509 * t2659 + 0.3e1 * t12474 * t2671 - t2609 * t61514 + 0.2e1 / 0.3e1 * t2609 * t139755 + 0.11e2 / 0.3e1 * t18901 * t139758 - 0.4e1 * t2609 * t139762 - 0.4e1 / 0.3e1 * t2609 * t139766 + 0.2e1 * t1647 * t18775 + 0.11e2 / 0.3e1 * t2609 * t139772;
  t139782 = t18772 * t2616;
  t139784 = t25183 * t348 * t139782;
  t139807 = 0.3e1 / 0.4e1 * t16993;
  t139808 = 0.3e1 / 0.2e1 * t130973;
  t139809 = t130975 / 0.2e1;
  t139812 = 0.3e1 / 0.4e1 * t131017;
  t139813 = t17002 / 0.4e1;
  t139818 = -0.3e1 * t373 * t12511 * t18774 - 0.3e1 / 0.2e1 * t373 * t1693 * t139784 + 0.3e1 * t124132 + t118987 + 0.36e2 * t1029 * t139559 * t25302 - 0.18e2 * t373 * t139559 * t25306 - 0.18e2 * t1029 * t139740 * t25462 + 0.6e1 * t373 * t139740 * t25466 - 0.2e1 * t18901 * t34456 + 0.28e2 / 0.3e1 * t18901 * t34460 - 0.8e1 * t18916 * t6950 - t139807 + t139808 - t139809 + 0.7e1 * t124228 - 0.7e1 * t124252 - t139812 + t139813 - 0.3e1 / 0.2e1 * t12474 * t2668 - 0.14e2 / 0.3e1 * t18916 * t18881;
  t139823 = t25570 * t18779;
  t139827 = t9444 * t168 * t139543;
  t139830 = t4376 * t18739;
  t139835 = t24148 * t18884;
  t139841 = t4305 * t1008 * t18761;
  t139848 = t24147 * t4154 * t2616;
  t139853 = t1094 * t62134 * t2617;
  t139872 = -0.12e2 * t124299 - 0.9e1 * t4718 * t103969 * t139848 + t490 * t139853 / 0.2e1 - 0.2e1 / 0.3e1 * t15909 + 0.4e1 / 0.3e1 * t15913 + 0.3e1 / 0.2e1 * t124346 + 0.5e1 / 0.3e1 * t139664 * t4231 + 0.2e1 * t321 * t194 * t139549 * t4160 * t350 - 0.3e1 * t139577 * t1010 + 0.2e1 * t18916 * t7021 - 0.5e1 / 0.9e1 * t18901 * t34611;
  t139892 = t24435 * t18819;
  t139896 = t360 * t12560 * t18761;
  t139903 = t4626 * t18823;
  t139910 = t4575 * t2646 * t18761;
  t139915 = t24435 * t2636;
  t139919 = 0.3e1 * t131331;
  t139925 = t1165 * t143 * t139656;
  t139927 = t4572 * t18823;
  t139930 = -0.3e1 * t494 * t139910 - 0.18e2 * t18857 * t2637 - 0.36e2 * t18816 * t139915 - 0.28e2 * t124468 - t139919 - 0.18e2 * t124522 + t124526 / 0.3e1 + 0.2e2 * t124528 - 0.28e2 / 0.3e1 * t124536 - t494 * t139925 + 0.4e1 / 0.3e1 * t2633 * t139927;
  t139937 = t24458 * t143 * t139782;
  t139944 = t24564 * t18819;
  t139947 = t119333 - t119342 + t119344 + 0.14e2 / 0.3e1 * t124576 - 0.8e1 * t16029 - 0.4e1 / 0.3e1 * t16035 + 0.8e1 * t16045 - 0.6e1 * t494 * t139937 + 0.6e1 * t2629 * t18824 - 0.12e2 * t2629 * t18820 + 0.22e2 * t2633 * t139944;
  t139950 = t69 * t139549;
  t139951 = t139950 * t24087;
  t139954 = t648 * t139549;
  t139955 = t139954 * t4140;
  t139958 = 0.3e1 / 0.2e1 * t131362;
  t139959 = 0.3e1 / 0.2e1 * t17098;
  t139960 = 0.3e1 * t131377;
  t139962 = t20822 * t139549;
  t139963 = t139962 * t24537;
  t139972 = -0.3e1 * t2629 * t18805 - 0.4e2 * t139951 * t4600 + 0.24e2 * t139955 * t1174 + t139958 + t139959 - t139960 + 0.18e2 * t124603 + 0.1e2 / 0.3e1 * t139963 * t24683 - 0.2e1 / 0.3e1 * t139951 * t4587 + 0.36e2 * t139951 * t4590 - 0.12e2 * t139963 * t24689;
  t139979 = t193 * t139549;
  t139983 = 0.6e1 * t131429;
  t139990 = t24477 * t2646;
  t139994 = t1165 * t140 * t139656;
  t140000 = t24458 * t140 * t139782;
  t140003 = 0.5e2 / 0.3e1 * t139963 * t24679 - 0.36e2 * t139955 * t1187 + 0.12e2 * t139979 * t4160 * t361 + t139983 - 0.9e1 * t124617 - 0.24e2 * t139979 * t24126 * t357 + 0.56e2 / 0.3e1 * t18812 * t18808 - t18816 * t139990 / 0.3e1 + t494 * t139994 / 0.2e1 + 0.6e1 * t2629 * t18855 + 0.3e1 * t494 * t140000;
  t140004 = 0.3e1 * t17144;
  t140005 = t139950 * t24552;
  t140008 = t139962 * t24540;
  t140013 = t4626 * t18804;
  t140016 = t4572 * t18804;
  t140019 = t24564 * t18854;
  t140022 = t139954 * t24522;
  t140030 = -t140004 - 0.72e2 * t140005 * t4623 + 0.8e1 / 0.3e1 * t140008 * t24542 + 0.24e2 * t140008 * t24545 + 0.4e1 * t2633 * t140013 - 0.8e1 / 0.3e1 * t2633 * t140016 - 0.11e2 * t2633 * t140019 + 0.72e2 * t140022 * t1169 - 0.28e2 * t18812 * t18866 + 0.9e1 * t18857 * t2647 - 0.2e1 / 0.3e1 * t124637;
  t140037 = t24477 * t2636;
  t140040 = t24418 * t2636;
  t140045 = -t119443 - t119445 + t119455 - 0.4e1 * t16069 + 0.8e1 / 0.3e1 * t16074 + 0.4e1 * t16083 - 0.28e2 / 0.3e1 * t18812 * t18828 + 0.2e1 / 0.3e1 * t18816 * t140037 + 0.4e1 * t18816 * t140040 + 0.36e2 * t124695 - 0.18e2 * t124698;
  t140050 = t24435 * t18854;
  t140053 = t24435 * t2646;
  t140062 = t24418 * t2646;
  t140066 = 0.4e1 / 0.3e1 * t140005 * t4610 - t140008 * t24583 / 0.9e1 - t2229 + 0.22e2 / 0.3e1 * t2633 * t140050 + 0.18e2 * t18816 * t140053 + 0.8e1 * t140005 * t4620 - 0.4e1 / 0.3e1 * t140008 * t24558 - 0.12e2 * t140022 * t1162 - 0.2e2 * t18816 * t140062 - 0.24e2 * t124701 + t2210;
  t140082 = -0.35e2 / 0.108e3 * t139552 * t25509 + t15945 + 0.2e1 / 0.3e1 * t15948 + 0.18e2 * t139664 * t4193 + 0.12e2 * t139577 * t1020 + 0.6e1 * t1647 * t18725 - t2609 * t62826 / 0.2e1 - t490 * t104589 / 0.3e1 - 0.12e2 * t1647 * t18891 + t119123 - t119126 - t119130 - t119138 + t119143 - t110 * t139 * (-0.4e1 * t124390 + 0.36e2 * t124395 - 0.11e2 / 0.3e1 * t2633 * t139892 + 0.6e1 * t10674 * t139896 + 0.14e2 * t124411 - 0.72e2 * t124412 + 0.36e2 * t124421 + 0.12e2 * t124432 - 0.8e1 * t2633 * t139903 + 0.56e2 * t18812 * t18848 + t139930 + t139947 + t139972 + t140003 + t140030 + t140045 + t140066) * t168 / 0.4e1 - 0.6e1 * t124363 - 0.9e1 * t124368 - 0.61e2 / 0.27e2 * t139552 * t24715 + 0.44e2 / 0.27e2 * t139552 * t24719 - 0.6e1 * t18901 * t34257;
  t140098 = t131232 / 0.4e1;
  t140103 = t25411 * t1095 * t167 * t139782;
  t140107 = t4354 * t6755 * t18778;
  t140110 = t24142 * t18779;
  t140113 = t25628 * t2618;
  t140117 = t24148 * t1027 * t2617;
  t140121 = t1094 * t6755 * t18762;
  t140128 = t2604 * t18780 + t490 * t140103 / 0.2e1 - 0.2e1 / 0.3e1 * t490 * t140107 - 0.11e2 / 0.12e2 * t2609 * t140110 + 0.3e1 * t18901 * t140113 + 0.9e1 * t18901 * t140117 + t490 * t140121 / 0.3e1 + 0.9e1 / 0.2e1 * t124817 - 0.2e1 * t16114 - 0.2e1 * t16119 + 0.2e1 * t16127;
  t140133 = my_piecewise3(t100, 0, -t6772 * t139827 / 0.2e1 + t2609 * t139830 - 0.23e2 / 0.6e1 * t18901 * t139835 - t2604 * t18764 / 0.2e1 - 0.4e1 / 0.3e1 * t2604 * t18740 - 0.11e2 / 0.6e1 * t2609 * t139823 - 0.3e1 * t12474 * t2663 + 0.6e1 * t6955 * t18793 - 0.62e2 / 0.3e1 * t139552 * t25280 + 0.8e1 * t139552 * t25283 + 0.12e2 * t6955 * t18729 + 0.14e2 * t373 * t104311 * t18877 - 0.9e1 / 0.2e1 * t373 * t104710 * t2667 - 0.11e2 / 0.2e1 * t1029 * t12424 * t139728 + 0.11e2 / 0.2e1 * t373 * t12424 * t139733 - 0.6e1 * t25474 * t139740 * t25475 - 0.14e2 * t1029 * t104311 * t18792 + 0.2e1 * t1029 * t12424 * t139841 + 0.7e1 / 0.6e1 * t124751 - 0.3e1 / 0.2e1 * t124748 + 0.2e1 * t124384 + 0.14e2 * t124275 - 0.5e1 / 0.6e1 * t124262 - t124114 / 0.2e1 + 0.6e1 * t124103 + t140128 + t140098 + t140082 + t139872 + t139818 + t139775 + t139716 + t139667 + t139548 + 0.2e1 / 0.3e1 * t130815 - 0.6e1 * t373 * t374 * t139549 * t24127 - t15993 / 0.3e1 - t16103 / 0.3e1);
  tv4lapl44 = t3 * t140133;

  if(out->v4lapl4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl4[ip*p->dim.v4lapl4 + 4] += tv4lapl44;

  t140134 = 0.3e1 / 0.4e1 * t124841;
  t140135 = t124843 / 0.4e1;
  t140136 = 0.9e1 * t124854;
  t140137 = t2526 * t2541;
  t140142 = t124869 / 0.2e1;
  t140143 = 0.5e1 / 0.12e2 * t124886;
  t140156 = t6119 * t18970;
  t140162 = t140134 - t140135 - t140136 - 0.9e1 / 0.2e1 * t4772 * t7690 * t788 * t140137 - t140142 + t122655 - t129743 - t2089 + t2160 - t140143 + 0.9e1 / 0.2e1 * t32356 * t19079 + 0.8e1 * t102318 * t121359 - 0.9e1 * t6411 * t19084 - 0.62e2 / 0.3e1 * t102318 * t121164 + 0.3e1 / 0.2e1 * t1516 * t19074 - t2534 * t63224 / 0.4e1 - 0.3e1 / 0.2e1 * t7187 * t843 * t140156 + 0.9e1 / 0.2e1 * t1516 * t18984;
  t140165 = t3124 * t18507;
  t140170 = 0.6e1 * t124905;
  t140180 = 0.11e2 / 0.6e1 * t124934;
  t140185 = t1805 * t18641;
  t140191 = t58670 * t2676;
  t140196 = t836 * t63293 * t2542;
  t140199 = t3520 * t19002;
  t140210 = 0.3e1 / 0.2e1 * t7587 * t18595 + 0.36e2 * t679 * t35914 * t3139 * t140165 - t140170 + 0.5e1 / 0.6e1 * t124919 - 0.5e1 / 0.3e1 * t124921 - 0.9e1 * t4772 * t7686 * t22290 * t140137 + 0.3e1 / 0.4e1 * t7251 * t47795 * t18966 - t129745 - t140180 - t129747 - 0.9e1 * t9877 * t7686 * t20876 * t140137 - 0.3e1 * t679 * t140185 * t3126 + 0.7e1 / 0.3e1 * t18529 * t37121 - t1779 * t1261 * t140191 / 0.4e1 + t466 * t140196 / 0.4e1 + t2534 * t140199 / 0.4e1 - t18529 * t35311 / 0.2e1 - t515 * t139197 / 0.2e1 + 0.6e1 * t246 * t35527 * t20831 * t140165;
  t140212 = t3144 * t18507;
  t140218 = t836 * t7213 * t18579;
  t140222 = 0.9e1 / 0.2e1 * t124948;
  t140223 = 0.3e1 / 0.2e1 * t124953;
  t140224 = 0.23e2 / 0.12e2 * t124973;
  t140228 = t5175 * t19122;
  t140231 = t125000 / 0.2e1;
  t140232 = t125004 / 0.4e1;
  t140233 = t125006 / 0.2e1;
  t140234 = 0.3e1 / 0.2e1 * t125011;
  t140248 = -0.18e2 * t679 * t35527 * t20831 * t140212 + t466 * t140218 / 0.12e2 - 0.3e1 * t122700 + t140222 + t140223 + t140224 - t138983 - 0.3e1 / 0.2e1 * t3266 * t106017 * t18611 + t58249 * t140228 / 0.2e1 + t140231 - t140232 + t140233 - t140234 - 0.4e1 / 0.3e1 * t7251 * t102983 - 0.14e2 * t58252 * t63941 - 0.3e1 * t7251 * t47795 * t19108 - 0.9e1 / 0.2e1 * t47384 * t19105 - 0.2e1 * t4772 * t1876 * t3556 * t102981 + t129882;
  t140259 = t837 * t102658;
  t140271 = t125069 / 0.2e1;
  t140273 = -t129883 - t122729 - t129884 - t129885 + t129886 - t134065 - 0.3e1 / 0.2e1 * t1770 * t18612 - 0.18e2 * t3167 * t35914 * t3139 * t140212 + t2529 * t12910 / 0.2e1 + 0.3e1 / 0.2e1 * t1516 * t18987 + 0.2e1 * t35499 * t843 * t140259 - 0.3e1 / 0.2e1 * t246 * t1797 * t139251 - t18510 * t1807 / 0.2e1 + t2534 * t63521 + 0.23e2 / 0.36e2 * t18529 * t35649 + t125059 + t125067 - t140271 + 0.5e1 / 0.2e1 * t125072;
  t140277 = t125087 / 0.4e1;
  t140278 = t95 * t140137;
  t140298 = 0.9e1 * t125122;
  t140299 = 0.3e1 / 0.2e1 * t125131;
  t140303 = t3690 * t19002;
  t140308 = -t129985 + t118050 + 0.3e1 * t122778 - t140277 - 0.14e2 / 0.3e1 * t10838 * t5175 * t140278 + 0.3e1 * t7587 * t18714 + 0.7e1 / 0.3e1 * t18529 * t36032 - 0.3e1 / 0.2e1 * t18529 * t36022 + 0.3e1 / 0.2e1 * t36012 * t18514 - 0.3e1 * t7587 * t18517 + 0.3e1 / 0.2e1 * t1770 * t18524 - t18529 * t36029 / 0.2e1 + 0.3e1 / 0.2e1 * t1770 * t18711 - t140298 - t140299 + t515 * t138957 / 0.4e1 + t18539 * t7487 + t2534 * t140303 / 0.2e1 - 0.3e1 / 0.2e1 * t1516 * t19101;
  t140331 = t1805 * t18645;
  t140360 = -0.6e1 * t246 * t35595 * t219 * t221 * t18507 + 0.47e2 / 0.3e1 * t102318 * t121189 - t2534 * t63517 / 0.2e1 - 0.11e2 / 0.18e2 * t18529 * t37252 + 0.6e1 * t35417 * t4867 * t140259 - 0.6e1 * t35438 * t1254 * t140259 - 0.3e1 / 0.2e1 * t6411 * t19071 + 0.18e2 * t35417 * t4808 * t102770 + 0.3e1 * t679 * t140331 * t3078 - 0.3e1 * t246 * t140331 * t3082 + 0.3e1 / 0.2e1 * t246 * t1805 * t18661 * t3260 - 0.3e1 * t35438 * t1261 * t140259 + t1770 * t18499 / 0.2e1 - 0.43e2 / 0.9e1 * t35300 * t26011 * t102770 + 0.3e1 * t7243 * t1254 * t140156 + 0.22e2 / 0.3e1 * t35417 * t4851 * t140259 + t134212 - 0.11e2 / 0.2e1 * t4983 * t1876 * t22290 * t102538 + t130016;
  t140362 = 0.3e1 / 0.2e1 * t125174;
  t140363 = t125209 / 0.2e1;
  t140364 = t95 * t102538;
  t140368 = 0.9e1 / 0.2e1 * t125245;
  t140369 = 0.3e1 / 0.2e1 * t125265;
  t140372 = t3273 * t253 * t543 * t18578;
  t140378 = 0.3e1 / 0.2e1 * t125271;
  t140379 = 0.3e1 / 0.2e1 * t125273;
  t140388 = t130017 + t130018 - t118171 + t118172 - t118178 - t118190 - t140362 - t140363 - 0.11e2 / 0.6e1 * t7251 * t26400 * t140364 + t140368 + t140369 + t6451 * t140372 / 0.12e2 + 0.3e1 / 0.2e1 * t4993 * t106017 * t18594 - t140378 + t140379 - t130027 + 0.9e1 * t6411 * t18979 + t18539 * t7516 / 0.2e1 + 0.2e1 * t4983 * t1876 * t3130 * t102981;
  t140393 = t95 * t102981;
  t140402 = t8790 * t253 * t543 * t18496;
  t140425 = 0.18e2 * t4983 * t7686 * t20862 * t140137 + t7251 * t4877 * t140393 / 0.3e1 + t3266 * t12753 * t18498 / 0.2e1 - t6451 * t140402 / 0.6e1 - t134391 + 0.3e1 / 0.2e1 * t7251 * t46876 * t18966 + 0.2e1 / 0.3e1 * t7251 * t5175 * t140393 - 0.3e1 / 0.4e1 * t31651 * t19126 - t7254 * t31478 * t18966 + t102733 * t530 / 0.4e1 - 0.3e1 * t1770 * t18521 - t515 * t102728 / 0.12e2 - t466 * t106045 / 0.4e1 - 0.5e1 / 0.36e2 * t18529 * t36759 - t130054 + t130055 - t16134 + t16144 + t118266;
  t140461 = t3460 * t7213 * t18502;
  t140478 = -t118270 + 0.3e1 / 0.2e1 * t11843 * t2742 - t1779 * t1254 * t140191 / 0.2e1 - 0.3e1 / 0.2e1 * t60007 * t2729 - 0.9e1 * t1516 * t19089 - 0.28e2 * t102371 * t37951 - 0.3e1 / 0.2e1 * t7196 * t4867 * t140156 - 0.38e2 / 0.9e1 * t35300 * t25709 * t140259 + t3266 * t105369 * t2592 - t3266 * t12753 * t18585 / 0.4e1 - t58255 * t19123 / 0.3e1 - 0.3e1 / 0.2e1 * t130333 + 0.5e1 / 0.3e1 * t35417 * t4808 * t140259 + 0.12e2 * t35438 * t1261 * t102659 - t466 * t140461 / 0.6e1 - 0.5e1 / 0.36e2 * t18529 * t36813 - 0.3e1 / 0.4e1 * t13203 * t2593 + 0.18e2 * t3167 * t35527 * t20831 * t20854 * t18507 - 0.6e1 * t20841 * t35527 * t20831 * t20832 * t18507;
  t140494 = t31478 * t19122;
  t140502 = 0.3e1 / 0.2e1 * t246 * t140185 * t3131 - 0.3e1 / 0.2e1 * t18529 * t36896 + 0.3e1 / 0.2e1 * t3167 * t140185 * t3169 - 0.5e1 / 0.2e1 * t125381 + t130366 + 0.5e1 / 0.6e1 * t10757 * t26189 * t140278 - 0.7e1 / 0.3e1 * t10838 * t4877 * t140278 + t6451 * t140494 / 0.4e1 + 0.3e1 / 0.4e1 * t106050 * t481 - t16163 + t16165 + t18600 - t139155 + t139156 - t18601 - t18602 + t15640 - t16171 + 0.3e1 / 0.2e1 * t11019 * t3273 * t140278;
  t140506 = t1514 * t18970;
  t140515 = 0.3e1 / 0.2e1 * t125434;
  t140517 = t125450 / 0.2e1;
  t140518 = 0.3e1 / 0.2e1 * t125452;
  t140519 = 0.3e1 / 0.2e1 * t125456;
  t140520 = t125460 / 0.4e1;
  t140529 = t16191 - 0.9e1 / 0.2e1 * t123376 + t1770 * t18589 + 0.7e1 * t7196 * t4851 * t140506 + 0.89e2 / 0.9e1 * t35300 * t25714 * t102659 - 0.9e1 / 0.2e1 * t7196 * t102566 + t16199 - t16203 - t140515 + 0.5e1 / 0.12e2 * t125437 - t130472 - t140517 - t140518 + t140519 - t140520 - t1770 * t18586 / 0.4e1 - t2529 * t19003 / 0.3e1 - t466 * t105580 / 0.4e1 + 0.3e1 / 0.4e1 * t11843 * t2751;
  t140538 = t125467 / 0.2e1;
  t140545 = 0.9e1 / 0.2e1 * t125497;
  t140546 = 0.3e1 / 0.2e1 * t125503;
  t140548 = t2708 * t18578;
  t140552 = t19155 * t2541;
  t140559 = t63 * t18507;
  t140570 = 0.1e2 * t125715;
  t140572 = t103271 * t463;
  t140576 = t106586 * t2541;
  t140583 = -t519 * t139497 - 0.8e1 / 0.3e1 * t1876 * t3130 * t140548 - 0.2e2 * t7686 * t20862 * t140552 - 0.28e2 * t7680 * t3556 * t140552 + 0.8e1 * t36087 * t3125 * t140559 - 0.4e1 / 0.3e1 * t36075 * t20871 * t140559 + 0.18e2 * t7686 * t22290 * t140552 - 0.18e2 * t122999 + t140570 + 0.5e1 * t125727 - 0.8e1 * t7651 * t815 * t140572 + 0.56e2 * t36194 * t815 * t140576 + 0.4e1 * t36092 * t3580 * t140576;
  t140584 = t125736 / 0.3e1;
  t140586 = 0.18e2 * t125755;
  t140587 = 0.2e1 * t125761;
  t140588 = 0.36e2 * t125768;
  t140590 = t18674 * t463;
  t140595 = -0.11e2 * t1876 * t22309 * t140590 + 0.12e2 * t123059 - 0.6e1 * t123127 - 0.1e2 * t125750 + t130060 - t130061 - t130062 - t130094 + t130095 + t139368 - t140584 + t140586 - t140587 - t140588;
  t140621 = -t130136 + t130137 + t130138 + t130139 - t16305 - t16309 + 0.22e2 / 0.3e1 * t1876 * t22290 * t140590 - 0.12e2 * t36084 * t683 * t140559 + 0.56e2 / 0.3e1 * t7680 * t3130 * t140552 - t7686 * t20876 * t140552 / 0.3e1 + 0.4e1 / 0.3e1 * t36087 * t3168 * t140559 - t36075 * t20845 * t140559 / 0.9e1 + 0.4e1 * t1876 * t3556 * t140548 - 0.24e2 * t36211 * t229 * t140559;
  t140622 = 0.9e1 * t125804;
  t140623 = 0.12e2 * t125812;
  t140624 = t125818 / 0.6e1;
  t140625 = t802 * t140576;
  t140639 = t103256 * t463;
  t140646 = t118539 - t140622 - t140623 + t140624 - t139392 - t118587 - t139400 - 0.36e2 * t36092 * t140625 + 0.6e1 * t7655 * t233 * t140572 - 0.28e2 / 0.3e1 * t36194 * t140625 + 0.4e1 / 0.3e1 * t7651 * t802 * t140572 + 0.2e1 / 0.3e1 * t36092 * t3590 * t140576 - 0.11e2 / 0.3e1 * t36191 * t802 * t140639 - 0.18e2 * t36105 * t233 * t140576;
  t140652 = 0.9e1 * t125865;
  t140653 = 0.18e2 * t125868;
  t140656 = t60 * t18507;
  t140671 = 0.18e2 * t125877;
  t140672 = 0.6e1 * t125884;
  t140673 = 0.22e2 * t36191 * t815 * t140639 - t140652 + t140653 - 0.1e2 / 0.3e1 * t125870 + t130174 - 0.6e1 * t123199 - 0.36e2 * t36084 * t689 * t140656 + 0.36e2 * t36087 * t3130 * t140656 - 0.12e2 * t36075 * t20862 * t140656 + t118606 - 0.12e2 * t36100 * t233 * t140639 + 0.6e1 * t11138 * t139363 + t140671 + t140672;
  t140693 = 0.6e1 * t125886;
  t140698 = 0.3e1 * t125911;
  t140699 = -0.6e1 * t519 * t139353 + t18639 + 0.72e2 * t36084 * t689 * t140559 - 0.72e2 * t36087 * t3130 * t140559 + 0.9e1 * t7690 * t788 * t140552 - 0.3e1 * t1872 * t788 * t140548 + 0.6e1 * t1872 * t3562 * t140590 - 0.3e1 * t519 * t139340 + t140693 + 0.5e1 / 0.3e1 * t125894 + 0.5e2 / 0.3e1 * t36075 * t20876 * t140656 - t140698 - t18640 - t15773;
  t140706 = t16318 + 0.12e2 * t36211 * t229 * t140656 + t139443 - t139444 + t519 * t139460 / 0.2e1 + t139445 - t130199 + t118668 - t118674 - t118677 - t130238 + t16336 + t16337 - t16340;
  t140729 = 0.8e1 / 0.3e1 * t36075 * t20876 * t140559 + 0.24e2 * t36075 * t20862 * t140559 + 0.3e1 * t519 * t139435 - 0.2e1 / 0.3e1 * t36087 * t3168 * t140656 - 0.4e2 * t36087 * t3125 * t140656 + 0.9e1 * t123266 + t18666 - t18667 + t18668 + 0.3e1 * t123297 - t2138 + 0.24e2 * t36084 * t683 * t140656 + 0.1e2 / 0.3e1 * t36075 * t20871 * t140656 + t2119;
  t140739 = t4877 * t19122;
  t140742 = t670 * t140137;
  t140751 = -0.3e1 / 0.4e1 * t1516 * t19042 - t246 * t1797 * t139069 / 0.4e1 - 0.2e1 * t35300 * t26954 * t140259 + t140538 + t130490 / 0.2e1 - 0.14e2 * t4983 * t7680 * t3130 * t140137 + 0.9e1 / 0.2e1 * t123400 + t130497 - t140545 - t140546 + t125511 - t30 * t59 * (t140583 + t140595 + t140621 + t140646 + t140673 + t140699 + t140706 + t140729) * t95 / 0.4e1 + 0.9e1 / 0.2e1 * t47381 * t19114 + t58249 * t140739 / 0.4e1 - 0.23e2 / 0.6e1 * t10757 * t26189 * t140742 + t130508 + t18539 * t7595 + t2534 * t63481 - t30 * t18700 * t544 / 0.4e1;
  t140758 = 0.3e1 * t125545;
  t140785 = 0.3e1 / 0.2e1 * t123483 - 0.11e2 / 0.12e2 * t7251 * t26405 * t140364 + t18603 + t18604 - t18605 - t18606 + t140758 + 0.11e2 / 0.3e1 * t10757 * t26847 * t140278 - t7254 * t3273 * t140393 / 0.2e1 - t7248 * t139163 / 0.2e1 - 0.11e2 / 0.18e2 * t18529 * t37193 + 0.23e2 / 0.36e2 * t18529 * t37190 - 0.3e1 / 0.2e1 * t63486 * t2584 + 0.3e1 / 0.2e1 * t13203 * t2596 - t2534 * t63477 / 0.2e1 - 0.3e1 / 0.2e1 * t13203 * t2588 + t2529 * t13198 / 0.2e1 + t18539 * t7532 / 0.2e1 - t18510 * t1765 / 0.2e1;
  t140788 = 0.9e1 / 0.2e1 * t125575;
  t140797 = 0.7e1 * t125624;
  t140816 = t3520 * t1768 * t2542;
  t140818 = 0.3e1 / 0.2e1 * t125632;
  t140819 = -t2534 * t65118 / 0.4e1 + t140788 - t139268 - 0.3e1 * t4772 * t1872 * t3562 * t102538 + t7254 * t8790 * t140364 - 0.2e1 * t18539 * t7582 + t130517 + t16273 - t16280 - t16283 + t135165 + t140797 + 0.18e2 * t246 * t35430 * t659 * t665 * t18507 - 0.11e2 / 0.6e1 * t7196 * t4851 * t140156 - 0.61e2 / 0.27e2 * t35300 * t25714 * t140259 + 0.23e2 / 0.12e2 * t7196 * t4808 * t140506 + 0.44e2 / 0.27e2 * t35300 * t26011 * t102659 - t2534 * t140816 + t140818;
  t140831 = t660 * t18507;
  t140850 = t4877 * t3264 * t19121;
  t140860 = 0.3e1 / 0.2e1 * t125988;
  t140861 = -0.2e1 * t18539 * t7491 - 0.6e1 * t7243 * t1261 * t140506 - 0.23e2 / 0.3e1 * t35417 * t4808 * t102659 + 0.9e1 / 0.2e1 * t1516 * t19063 - 0.18e2 * t246 * t35914 * t3139 * t140831 - t123582 + t130573 - t18627 + t139328 + t139329 + 0.3e1 / 0.2e1 * t4772 * t519 * t139298 + 0.3e1 / 0.2e1 * t4772 * t1872 * t788 * t102981 + 0.9e1 * t10757 * t26189 * t3156 * t140137 + 0.3e1 * t47384 * t19118 - t58249 * t140850 + 0.3e1 * t10757 * t26405 * t140278 + 0.28e2 / 0.3e1 * t10838 * t4877 * t140742 + 0.11e2 / 0.3e1 * t7251 * t102540 - t140860;
  t140862 = 0.3e1 / 0.4e1 * t125999;
  t140872 = 0.9e1 * t126050;
  t140873 = t126080 / 0.4e1;
  t140901 = -t130605 + t140862 - t130606 + 0.3e1 / 0.4e1 * t123650 + 0.14e2 * t4772 * t7680 * t3556 * t140137 + 0.11e2 / 0.2e1 * t4772 * t1876 * t22309 * t102538 + t140872 - t140873 - 0.3e1 / 0.2e1 * t11843 * t2734 - 0.3e1 / 0.4e1 * t11843 * t2737 + t1541 * t105792 - 0.18e2 * t679 * t35430 * t659 * t140831 + t515 * t138992 / 0.2e1 + 0.3e1 / 0.2e1 * t7243 * t1261 * t140156 + t1815 * t843 * t140191 / 0.2e1 + t515 * t139169 / 0.4e1 + t515 * t139202 / 0.12e2 - 0.5e1 / 0.12e2 * t7196 * t4808 * t140156 - 0.35e2 / 0.108e3 * t35300 * t26011 * t140259;
  t140906 = my_piecewise3(t2, 0, t140162 + t140210 + t140248 + t140273 + t140308 + t140360 + t140388 + t140425 + t140478 + t140502 + t140529 + t140751 + t140785 + t140819 + t140861 + t140901);
  tv4lapl3tau0 = t3 * t140906;

  if(out->v4lapl3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 0] += tv4lapl3tau0;

  tv4lapl3tau1 = 0.e0;

  if(out->v4lapl3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 1] += tv4lapl3tau1;

  tv4lapl3tau2 = 0.e0;

  if(out->v4lapl3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 2] += tv4lapl3tau2;

  tv4lapl3tau3 = 0.e0;

  if(out->v4lapl3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 3] += tv4lapl3tau3;

  tv4lapl3tau4 = 0.e0;

  if(out->v4lapl3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 4] += tv4lapl3tau4;

  tv4lapl3tau5 = 0.e0;

  if(out->v4lapl3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 5] += tv4lapl3tau5;

  tv4lapl3tau6 = 0.e0;

  if(out->v4lapl3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 6] += tv4lapl3tau6;

  t140913 = t168 * t104066;
  t140919 = t126097 / 0.4e1;
  t140920 = 0.5e1 / 0.12e2 * t126111;
  t140921 = t168 * t104856;
  t140925 = t1095 * t103973;
  t140930 = -0.3e1 / 0.2e1 * t13591 * t2663 - 0.3e1 * t1956 * t18891 + 0.3e1 / 0.4e1 * t109160 * t505 - t130625 - 0.7e1 / 0.3e1 * t11510 * t5691 * t140913 - 0.14e2 * t61081 * t67944 - t140919 - t140920 - t130626 - t130627 - t8219 * t4687 * t140921 / 0.2e1 - 0.3e1 * t39492 * t1430 * t140925 + 0.3e1 / 0.2e1 * t123793 - t2180 + t2251 + t130629 + t130630 - t130631;
  t140936 = t4376 * t19230;
  t140939 = 0.3e1 / 0.2e1 * t126205;
  t140940 = 0.3e1 / 0.2e1 * t126214;
  t140941 = t126222 / 0.2e1;
  t140942 = 0.3e1 / 0.2e1 * t126231;
  t140943 = 0.3e1 / 0.2e1 * t126236;
  t140952 = -t130632 + t135401 + 0.3e1 / 0.4e1 * t8063 * t50296 * t19398 - t61720 * t19379 / 0.3e1 + t130645 + t2609 * t140936 / 0.4e1 + t130646 - t140939 - t140940 + t140941 - t140942 + t140943 + t130654 - t18901 * t40942 / 0.2e1 + 0.7e1 / 0.3e1 * t18901 * t40945 + t135465 - t118825 - 0.9e1 * t6955 * t19359 - 0.62e2 / 0.3e1 * t104003 * t39505;
  t140957 = t62134 * t2756;
  t140961 = t1963 * t18815;
  t140975 = 0.7e1 * t126262;
  t140976 = 0.3e1 / 0.2e1 * t126293;
  t140977 = t6755 * t19368;
  t140994 = t1094 * t67282 * t2617;
  t141003 = t1963 * t18811;
  t141010 = -0.3e1 / 0.2e1 * t373 * t2040 * t139784 - t1981 * t1423 * t140957 / 0.2e1 + 0.3e1 / 0.2e1 * t373 * t140961 * t4729 + 0.18e2 * t4718 * t39467 * t24678 * t24556 * t18723 - 0.6e1 * t373 * t40779 * t346 * t348 * t18723 + t140975 + t126272 + t140976 - 0.5e1 / 0.12e2 * t8169 * t5595 * t140977 - 0.35e2 / 0.108e3 * t39461 * t28999 * t140925 + 0.5e1 / 0.3e1 * t39293 * t5595 * t140925 + 0.3e1 / 0.2e1 * t8091 * t1430 * t140977 - t1981 * t1430 * t140957 / 0.4e1 + t490 * t140994 / 0.4e1 + 0.3e1 / 0.2e1 * t1647 * t19329 - 0.3e1 / 0.2e1 * t61509 * t2809 + 0.3e1 / 0.2e1 * t12474 * t2822 + 0.3e1 * t1029 * t141003 * t4219 - 0.3e1 * t373 * t141003 * t4215;
  t141011 = t4154 * t18723;
  t141016 = t4149 * t18723;
  t141027 = t4376 * t1954 * t2617;
  t141033 = 0.11e2 / 0.6e1 * t126301;
  t141041 = 0.3e1 * t126314;
  t141055 = t1027 * t103973;
  t141059 = -0.18e2 * t1029 * t39467 * t24678 * t141011 + 0.6e1 * t373 * t39467 * t24678 * t141016 + 0.36e2 * t1029 * t39264 * t4148 * t141016 + t18916 * t8153 - t2609 * t141027 + 0.3e1 / 0.2e1 * t8280 * t18793 + 0.3e1 / 0.4e1 * t12474 * t2831 - t141033 - t130662 - t123994 + 0.2e1 * t39302 * t1101 * t140925 + 0.3e1 / 0.2e1 * t373 * t1963 * t18844 * t4209 + t141041 + t2609 * t67347 - 0.3e1 / 0.4e1 * t1647 * t19314 - t373 * t2040 * t139658 / 0.4e1 + 0.89e2 / 0.9e1 * t39461 * t29118 * t103974 - 0.9e1 / 0.2e1 * t8169 * t5595 * t6953 * t19368 - 0.43e2 / 0.9e1 * t39461 * t28999 * t141055;
  t141074 = t1645 * t19368;
  t141096 = 0.23e2 / 0.12e2 * t126336;
  t141105 = 0.9e1 / 0.2e1 * t34264 * t19458 + 0.47e2 / 0.3e1 * t104003 * t122490 + t2604 * t13580 / 0.2e1 + 0.3e1 * t8091 * t1423 * t140977 + 0.22e2 / 0.3e1 * t39293 * t5733 * t140925 - 0.6e1 * t8091 * t1430 * t141074 - t1956 * t18788 / 0.4e1 + t1956 * t18798 - t130665 - 0.2e1 * t5665 * t2060 * t4626 * t104856 + 0.2e1 * t5639 * t2060 * t4572 * t104856 + 0.5e1 / 0.6e1 * t11399 * t29474 * t140913 - t8219 * t34283 * t19398 + t18916 * t8150 / 0.2e1 + t141096 + 0.23e2 / 0.36e2 * t18901 * t40870 - 0.3e1 / 0.2e1 * t6955 * t19351 + 0.3e1 / 0.2e1 * t1647 * t19354 + 0.3e1 * t50860 * t19389;
  t141110 = 0.3e1 / 0.4e1 * t126373;
  t141111 = 0.3e1 / 0.2e1 * t126383;
  t141113 = t126398 / 0.2e1;
  t141126 = t126426 / 0.4e1;
  t141127 = 0.3e1 / 0.2e1 * t126431;
  t141139 = 0.9e1 * t126451;
  t141147 = -0.9e1 / 0.2e1 * t5665 * t8443 * t1165 * t104066 + t141110 + t141111 + 0.5e1 / 0.6e1 * t126388 - t141113 + t130713 + 0.3e1 / 0.2e1 * t11646 * t4687 * t140913 + 0.8e1 * t39461 * t28999 * t4716 * t103973 - 0.6e1 * t25474 * t39467 * t24678 * t24581 * t18723 - t141126 - t141127 - 0.3e1 / 0.2e1 * t18901 * t40931 + 0.3e1 / 0.2e1 * t4718 * t140961 * t4721 + 0.14e2 * t5665 * t8460 * t4626 * t104066 - 0.9e1 / 0.2e1 * t50860 * t19434 + t141139 - t2609 * t68331 / 0.4e1 - 0.5e1 / 0.36e2 * t18901 * t39127 - 0.23e2 / 0.3e1 * t39293 * t5595 * t103974;
  t141166 = t126516 / 0.4e1;
  t141167 = t126531 / 0.2e1;
  t141176 = -0.11e2 / 0.6e1 * t8169 * t5733 * t140977 - 0.61e2 / 0.27e2 * t39461 * t29118 * t140925 + 0.23e2 / 0.12e2 * t8169 * t5595 * t141074 - t18736 * t1965 / 0.2e1 - 0.3e1 * t124091 + t130800 - 0.3e1 / 0.2e1 * t130811 + t130815 / 0.2e1 + t130817 - 0.5e1 / 0.2e1 * t126509 + t555 * t140103 / 0.2e1 - t130830 - t141166 + t126519 - t141167 + t2604 * t13616 / 0.2e1 - 0.3e1 / 0.2e1 * t69146 * t2659 + 0.3e1 / 0.2e1 * t13591 * t2671 - 0.11e2 / 0.18e2 * t18901 * t40226;
  t141204 = t34283 * t19378;
  t141220 = 0.3e1 * t8280 * t18729 + 0.3e1 / 0.2e1 * t1956 * t18725 + 0.9e1 * t11399 * t29474 * t4191 * t104066 - 0.9e1 * t10513 * t8438 * t24477 * t104066 - 0.3e1 / 0.2e1 * t4695 * t108576 * t18877 + 0.9e1 / 0.2e1 * t51176 * t19385 - 0.9e1 * t1647 * t19365 - 0.3e1 / 0.2e1 * t8145 * t1101 * t140977 + t16374 + 0.3e1 / 0.2e1 * t5665 * t559 * t139544 - 0.4e1 / 0.3e1 * t6769 * t108163 + t6772 * t141204 / 0.4e1 - t110 * t18871 * t584 / 0.4e1 + t130874 - t2609 * t67678 / 0.4e1 - 0.5e1 / 0.36e2 * t18901 * t39880 + t18916 * t8309 / 0.2e1 - t18901 * t39810 / 0.2e1 + 0.7e1 / 0.3e1 * t18901 * t39044;
  t141233 = 0.3e1 / 0.4e1 * t126560;
  t141240 = t126567 / 0.2e1;
  t141241 = t126571 / 0.4e1;
  t141243 = t4354 * t8262 * t18778;
  t141248 = t126596 / 0.2e1;
  t141249 = 0.3e1 / 0.2e1 * t126598;
  t141257 = -0.3e1 / 0.2e1 * t18901 * t39048 + 0.3e1 / 0.2e1 * t39807 * t18908 - 0.3e1 * t8280 * t18911 + t2609 * t69150 + t104585 * t570 / 0.4e1 + t118987 + t141233 + 0.12e2 * t39492 * t1430 * t103974 - 0.2e1 * t39461 * t29545 * t140925 + t141240 - t141241 - t490 * t141243 / 0.6e1 + t126586 + t1956 * t18775 / 0.2e1 + t141248 - t141249 - t135793 - 0.6e1 * t39492 * t1423 * t140925 - 0.18e2 * t4718 * t39264 * t4148 * t141011;
  t141260 = t168 * t104380;
  t141263 = t4553 * t19230;
  t141266 = 0.3e1 / 0.2e1 * t126644;
  t141267 = 0.9e1 / 0.2e1 * t126659;
  t141268 = 0.6e1 * t126669;
  t141273 = t1008 * t18723;
  t141289 = 0.9e1 * t6955 * t19321 + t8219 * t9444 * t141260 + t2609 * t141263 / 0.2e1 + t141266 + t141267 - t141268 - t16419 - t139807 - 0.14e2 * t5639 * t8460 * t4572 * t104066 + t139808 - t139809 - 0.18e2 * t373 * t39264 * t4148 * t141273 + 0.9e1 / 0.2e1 * t124228 - 0.5e1 / 0.3e1 * t126707 + t16440 - 0.9e1 / 0.2e1 * t124252 - 0.28e2 * t104012 * t8254 - 0.3e1 / 0.2e1 * t8169 * t5563 * t140977 - 0.38e2 / 0.9e1 * t39461 * t29113 * t140925;
  t141319 = t1094 * t8262 * t18762;
  t141324 = 0.9e1 / 0.2e1 * t126726;
  t141325 = 0.9e1 / 0.2e1 * t126736;
  t141326 = 0.3e1 / 0.2e1 * t126744;
  t141327 = 0.7e1 * t8169 * t5733 * t141074 + 0.18e2 * t39293 * t5595 * t141055 - 0.3e1 / 0.4e1 * t13591 * t2668 + 0.6e1 * t39293 * t5563 * t140925 - t139812 + t139813 + t8063 * t5691 * t140921 / 0.3e1 - t2609 * t67343 / 0.2e1 - 0.11e2 / 0.18e2 * t18901 * t40885 + t1974 * t1101 * t140957 / 0.2e1 + t555 * t139853 / 0.4e1 - 0.2e1 * t18916 * t8157 + 0.9e1 / 0.2e1 * t1647 * t19343 + t490 * t141319 / 0.12e2 - t2604 * t19231 / 0.3e1 - t131127 - t141324 + t141325 - t141326;
  t141338 = t4687 * t380 * t583 * t18761;
  t141347 = t9444 * t380 * t583 * t18772;
  t141368 = t126777 / 0.2e1;
  t141369 = t131131 + t16464 - t16467 - 0.11e2 / 0.12e2 * t8063 * t30141 * t141260 - 0.3e1 / 0.2e1 * t12474 * t2814 - 0.3e1 / 0.4e1 * t12474 * t2817 + t1683 * t108364 + t6772 * t141338 / 0.12e2 + 0.18e2 * t5639 * t8438 * t24418 * t104066 - t6772 * t141347 / 0.6e1 - 0.3e1 / 0.2e1 * t1647 * t19339 + 0.44e2 / 0.27e2 * t39461 * t28999 * t103974 + t4695 * t108423 * t2667 - 0.11e2 / 0.6e1 * t8063 * t30134 * t141260 + 0.11e2 / 0.3e1 * t8063 * t104382 - 0.3e1 / 0.4e1 * t34833 * t19382 + 0.3e1 / 0.2e1 * t5665 * t2056 * t1165 * t104856 - t131151 - t141368;
  t141390 = 0.9e1 / 0.2e1 * t126854;
  t141398 = -t8214 * t139827 / 0.2e1 + 0.3e1 / 0.2e1 * t8063 * t50503 * t19398 + 0.2e1 / 0.3e1 * t8063 * t5674 * t140921 - t136131 - t16473 + t555 * t140121 / 0.4e1 + t555 * t139693 / 0.12e2 - t16493 - t18875 + t15913 + 0.3e1 / 0.2e1 * t1956 * t18895 + 0.23e2 / 0.36e2 * t18901 * t40229 - t2609 * t69153 / 0.2e1 + t141390 + 0.9e1 / 0.2e1 * t1647 * t19326 + 0.18e2 * t373 * t39318 * t1007 * t1013 * t18723 + t131182 + t18887 + t18888;
  t141409 = 0.3e1 / 0.2e1 * t126879;
  t141410 = t126897 / 0.2e1;
  t141411 = 0.3e1 / 0.2e1 * t126906;
  t141421 = 0.3e1 / 0.2e1 * t126929;
  t141422 = -0.3e1 / 0.2e1 * t1956 * t18878 - 0.11e2 / 0.2e1 * t5639 * t2060 * t24435 * t104380 - t16506 + t16514 - t555 * t140107 / 0.2e1 - t490 * t107539 / 0.4e1 + t141409 - t141410 - t141411 - 0.3e1 * t8063 * t104496 - t4695 * t13663 * t18787 / 0.4e1 - 0.9e1 * t5665 * t8438 * t24435 * t104066 + t119123 - t119126 - t119130 - t119138 + t119143 - t141421 - t131193;
  t141430 = t2788 * t18761;
  t141436 = t143 * t18723;
  t141440 = t19240 * t2616;
  t141450 = t2788 * t18772;
  t141461 = 0.9e1 * t126959;
  t141462 = -0.3e1 * t2056 * t1165 * t141430 - 0.3e1 * t559 * t139910 - 0.12e2 * t40329 * t1033 * t141436 + 0.56e2 / 0.3e1 * t8460 * t4572 * t141440 + 0.9e1 * t8443 * t1165 * t141440 - t8438 * t24477 * t141440 / 0.3e1 + 0.22e2 / 0.3e1 * t2060 * t24435 * t141450 - 0.28e2 * t8460 * t4626 * t141440 + 0.72e2 * t40329 * t1038 * t141436 + 0.5e1 / 0.3e1 * t126947 - t131253 + t131254 - t141461;
  t141463 = 0.3e1 * t126971;
  t141464 = t104882 * t487;
  t141468 = t108691 * t2616;
  t141472 = t13390 * t18761;
  t141477 = t1173 * t141468;
  t141491 = 0.1e2 * t127046;
  t141492 = -t141463 + 0.22e2 * t40455 * t1186 * t141464 - 0.18e2 * t40458 * t360 * t141468 + 0.4e1 / 0.3e1 * t8508 * t1173 * t141472 + 0.9e1 * t124411 - t131264 - 0.36e2 * t40315 * t141477 + 0.56e2 * t40318 * t1186 * t141468 + 0.4e1 * t40315 * t4599 * t141468 - 0.28e2 / 0.3e1 * t40318 * t141477 + t131278 + t131279 - 0.8e1 * t8508 * t1186 * t141472 + t141491;
  t141500 = 0.12e2 * t127060;
  t141501 = t127066 / 0.6e1;
  t141503 = 0.36e2 * t127084;
  t141504 = 0.2e1 * t127089;
  t141505 = 0.6e1 * t127095;
  t141512 = t140 * t18723;
  t141522 = -0.36e2 * t40329 * t1038 * t141512 - 0.24e2 * t40350 * t356 * t141436 + 0.6e1 * t2056 * t4575 * t141450 - 0.11e2 * t2060 * t24564 * t141450 - 0.12e2 * t40324 * t24418 * t141512 + 0.36e2 * t40336 * t4572 * t141512 - 0.6e1 * t559 * t139937 - 0.18e2 * t124468 - 0.1e2 * t127074 - t141500 + t141501 - t141503 - t141504 + t141505;
  t141536 = 0.18e2 * t127125;
  t141538 = 0.18e2 * t127135;
  t141540 = 0.12e2 * t40350 * t356 * t141512 + 0.3e1 * t559 * t140000 + 0.2e1 / 0.3e1 * t40315 * t4586 * t141468 - 0.12e2 * t40461 * t360 * t141464 + 0.6e1 * t11656 * t139896 - t139919 + t141536 - t131339 + t131340 + t131341 - 0.6e1 * t124536 - t16527 + t141538 + 0.5e1 * t127139;
  t141543 = 0.9e1 * t127141;
  t141557 = t127169 / 0.3e1;
  t141558 = 0.6e1 * t127174;
  t141560 = -t141543 + t16546 - t16551 + t119333 - t119342 + t119344 + 0.4e1 * t2060 * t4626 * t141430 - 0.8e1 / 0.3e1 * t2060 * t4572 * t141430 - t559 * t139925 + 0.4e1 / 0.3e1 * t40336 * t4609 * t141436 - t40324 * t24582 * t141436 / 0.9e1 - t141557 + t141558 + 0.3e1 * t124576;
  t141583 = -t18800 - t16035 + t18801 - 0.72e2 * t40336 * t4572 * t141436 + 0.8e1 / 0.3e1 * t40324 * t24477 * t141436 + 0.18e2 * t8438 * t24435 * t141440 - 0.2e2 * t8438 * t24418 * t141440 - 0.4e1 / 0.3e1 * t40324 * t24557 * t141436 + 0.8e1 * t40336 * t4619 * t141436 + t139958 + t139959 - t139960 + 0.12e2 * t124603 + 0.24e2 * t40324 * t24418 * t141436;
  t141609 = -0.11e2 / 0.3e1 * t40455 * t1173 * t141464 + t139983 + t559 * t139994 / 0.2e1 - 0.6e1 * t124617 + 0.6e1 * t8511 * t360 * t141472 - t140004 - t16558 + t16560 + t16561 + 0.1e2 / 0.3e1 * t40324 * t24557 * t141512 + 0.5e2 / 0.3e1 * t40324 * t24477 * t141512 - 0.4e2 * t40336 * t4619 * t141512 + 0.24e2 * t40329 * t1033 * t141512 - 0.2e1 / 0.3e1 * t40336 * t4609 * t141512;
  t141610 = 0.18e2 * t127214;
  t141612 = t141610 - t131453 - t119443 - t119445 + t119455 - t18851 + t18852 - 0.1e2 / 0.3e1 * t127221 + t18853 + t131483 - t131484 - t2229 - t131485 + t2210;
  t141621 = 0.9e1 * t127273;
  t141630 = t5691 * t19378;
  t141639 = t127286 / 0.4e1;
  t141650 = -t131194 + 0.3e1 * t11399 * t30141 * t140913 + 0.28e2 / 0.3e1 * t11510 * t5691 * t104067 - t110 * t139 * (t141462 + t141492 + t141522 + t141540 + t141560 + t141583 + t141609 + t141612) * t168 / 0.4e1 + 0.5e1 / 0.12e2 * t127257 - t141621 - 0.3e1 * t5665 * t2056 * t4575 * t104380 + 0.11e2 / 0.2e1 * t5665 * t2060 * t24564 * t104380 + t61173 * t141630 / 0.4e1 + t4695 * t13663 * t18774 / 0.2e1 - 0.14e2 / 0.3e1 * t11510 * t5674 * t140913 - t18929 - t141639 + t124384 - 0.18e2 * t1029 * t39318 * t1007 * t141273 - t18930 + 0.11e2 / 0.3e1 * t11399 * t29468 * t140913 - 0.23e2 / 0.6e1 * t11399 * t29474 * t104067 - t124748;
  t141655 = 0.9e1 * t127316;
  t141667 = t5674 * t19378;
  t141671 = t5691 * t4693 * t19377;
  t141676 = 0.3e1 / 0.4e1 * t124751 - 0.3e1 * t1029 * t140961 * t4725 - t141655 + 0.5e1 / 0.2e1 * t127328 - t18736 * t1951 / 0.2e1 - t490 * t108107 / 0.4e1 - t555 * t104589 / 0.12e2 + t18916 * t8271 - 0.2e1 * t18916 * t8275 + t140098 + 0.3e1 * t124817 - t16593 + t61173 * t141667 / 0.2e1 - t61173 * t141671 + 0.3e1 / 0.2e1 * t5649 * t108576 * t18792 - t18931 - t18932 + t18933 + t16605;
  t141681 = my_piecewise3(t100, 0, t140930 + t140952 + t141010 + t141059 + t141105 + t141147 + t141176 + t141220 + t141257 + t141289 + t141327 + t141369 + t141398 + t141422 + t141650 + t141676);
  tv4lapl3tau7 = t3 * t141681;

  if(out->v4lapl3tau != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl3tau[ip*p->dim.v4lapl3tau + 7] += tv4lapl3tau7;

  t141691 = t543 * t2526;
  t141692 = t253 * t141691;
  t141701 = t3273 * t253 * t2932 * t2541;
  t141712 = t14011 * t2596 / 0.2e1 - t2844 * t59998 / 0.6e1 - t2844 * t58580 / 0.12e2 + t2844 * t60002 / 0.3e1 - t127361 + t124841 - t124843 / 0.3e1 + 0.2e1 * t10838 * t4996 * t141692 + t7251 * t46876 * t19614 / 0.3e1 + t6451 * t141701 / 0.12e2 - 0.11e2 * t4983 * t14318 * t12233 + t10838 * t4873 * t141692 + 0.2e1 / 0.3e1 * t7254 * t48404 * t19507;
  t141742 = -0.115e3 / 0.36e2 * t70173 * t26189 * t19108 - 0.3e1 * t4772 * t14313 * t19117 + 0.55e2 / 0.18e2 * t70173 * t26847 * t18966 - 0.12e2 * t124854 + t127365 - t127369 + t127373 + 0.18e2 * t3167 * t69249 * t20831 * t20854 * t2526 - 0.7e1 / 0.3e1 * t58252 * t71562 + 0.4e1 / 0.3e1 * t7251 * t47865 * t19511 - 0.2e1 * t47374 * t19626 + 0.89e2 / 0.9e1 * t69237 * t25714 * t19051 - t246 * t13885 * t139304 - 0.2e1 * t1516 * t19668;
  t141760 = -0.12e2 * t14169 * t106173 - 0.4e1 * t14169 * t105657 + t15109 + 0.8e1 * t14166 * t105648 + 0.12e2 * t19105 + 0.4e1 * t14172 * t18498 + 0.12e2 * t69715 * t18983 + t127654 - t127657 + t127661 + t139012 - 0.8e1 * t19118 - 0.8e1 * t69699 * t18978 + 0.16e2 / 0.9e1 * t69704 * t19078 + t129804 - t129805 + t129806 - t127691 + t127693;
  t141786 = t127697 - t15121 - 0.2e1 * t14172 * t18585 - 0.2e1 * t19114 - 0.24e2 * t69699 * t19088 + 0.32e2 / 0.3e1 * t69704 * t19083 + 0.12e2 * t69704 * t19062 - t129815 + t129816 + t129817 - t139045 + 0.2e1 * t521 * t18585 - 0.4e1 * t521 * t18498 - 0.12e2 * t69760 * t18983 - 0.4e1 * t102219 * t14160 - 0.12e2 * t69770 * t19062 + 0.4e1 / 0.3e1 * t102223 * t69774 + 0.24e2 * t69767 * t19088 + 0.2e2 / 0.9e1 * t102223 * t69749;
  t141787 = t141760 + t141786;
  t141800 = t19598 * t2541;
  t141805 = t19598 * t463;
  t141806 = t95 * t141805;
  t141810 = t2851 * t2526;
  t141811 = t95 * t141810;
  t141834 = -t246 * t1797 * t824 * t221 * t141787 / 0.4e1 - 0.3e1 * t71096 * t19021 + t3266 * t14065 * t18498 - 0.2e1 / 0.3e1 * t7254 * t36464 * t18966 - t7248 * t8790 * t95 * t141800 / 0.3e1 + t7251 * t4877 * t141806 / 0.6e1 + 0.5e1 / 0.36e2 * t10757 * t26189 * t141811 - t10838 * t5175 * t141811 - 0.6e1 * t3266 * t69526 * t19088 - 0.11e2 / 0.9e1 * t10757 * t9845 * t141692 + 0.23e2 / 0.18e2 * t10757 * t9744 * t3264 * t141691 + 0.3e1 * t3266 * t70312 * t18983 - 0.3e1 * t58252 * t9744 * t4991 * t72115;
  t141841 = t14228 * t2557;
  t141854 = -0.4e1 * t58268 * t72117 + t7248 * t140494 / 0.3e1 - 0.2e1 / 0.3e1 * t124869 + t122656 - t122658 - t2089 + t2160 - t127379 - 0.5e1 / 0.9e1 * t124886 + t246 * t141841 * t690 / 0.2e1 - t515 * t105580 / 0.6e1 + 0.8e1 * t69237 * t26011 * t3165 * t18970 + 0.3e1 * t1770 * t18984 - 0.8e1 * t124905;
  t141876 = 0.4e1 / 0.3e1 * t124919 - 0.8e1 / 0.3e1 * t124921 - t127395 - t122677 - t127398 + t2529 * t14230 / 0.6e1 - t2844 * t139323 - 0.6e1 * t1516 * t19517 - t466 * t110666 / 0.6e1 + t1516 * t19660 / 0.2e1 + t2844 * t138965 / 0.3e1 - 0.18e2 * t679 * t71565 * t18978 + 0.18e2 * t246 * t71565 * t19088;
  t141894 = t36464 * t19122;
  t141899 = -0.38e2 / 0.9e1 * t69237 * t25709 * t18971 - 0.22e2 / 0.9e1 * t124934 - t122688 + t127404 - t127414 + 0.25e2 / 0.36e2 * t70173 * t26189 * t18966 + t4772 * t1872 * t788 * t141805 - t10757 * t4877 * t141692 - t7254 * t3273 * t141806 / 0.3e1 + 0.3e1 / 0.2e1 * t58252 * t71383 + t6451 * t141894 / 0.6e1 - t122700 + 0.6e1 * t124948 + 0.2e1 * t124953;
  t141915 = t19618 * t463;
  t141916 = t95 * t141915;
  t141927 = t253 * t19121 * t463;
  t141933 = 0.23e2 / 0.9e1 * t124973 - t4772 * t1876 * t3556 * t141805 + 0.15e2 * t4983 * t14328 * t20862 * t12232 + 0.11e2 * t4772 * t14318 * t19104 - t3266 * t110518 * t2592 / 0.4e1 + t127427 - t127443 - 0.5e1 / 0.12e2 * t7251 * t26405 * t141916 - t129771 - 0.5e1 / 0.18e2 * t10757 * t9744 * t141692 + t7251 * t52331 * t18966 / 0.2e1 + t7251 * t4877 * t141927 / 0.2e1 + 0.2e1 * t2844 * t139074;
  t141948 = t2851 * t18496;
  t141953 = 0.2e1 / 0.3e1 * t125000 - t125004 / 0.3e1 + 0.2e1 / 0.3e1 * t125006 - 0.2e1 * t125011 + t7251 * t53027 * t18966 - 0.2e1 * t7251 * t106331 + t71047 * t18994 - 0.2e1 / 0.3e1 * t7251 * t47795 * t19502 + t127453 - t127457 - 0.2e1 * t13203 * t2734 - 0.3e1 / 0.2e1 * t4772 * t519 * t22302 * t141948 + t127475 - t127478;
  t141976 = t122724 - t122727 - t122730 - t122733 - t122735 + t122741 - 0.23e2 / 0.36e2 * t10757 * t26189 * t670 * t141810 + 0.3e1 * t26550 * t70108 * t19078 - 0.6e1 * t4993 * t70108 * t19083 + 0.22e2 / 0.3e1 * t69822 * t19109 - 0.11e2 / 0.3e1 * t69822 * t18967 + 0.14e2 / 0.3e1 * t58252 * t9845 * t72116 - t11019 * t4762 * t141692;
  t141984 = t134053 / 0.3e1;
  t141985 = t63293 * t2676;
  t141990 = t134091 / 0.2e1;
  t141991 = t134153 / 0.2e1;
  t141993 = 0.2e1 * t52942 * t19118 + 0.6e1 * t6411 * t19698 + t13203 * t2751 - t466 * t110223 / 0.3e1 + t134037 - t134047 + t141984 - 0.2e1 / 0.3e1 * t1779 * t1254 * t141985 + t13894 * t19024 - t131646 - t141990 - t141991 - t127495 + 0.4e1 / 0.3e1 * t125059;
  t142006 = t127500 + 0.4e1 / 0.3e1 * t125067 - 0.2e1 / 0.3e1 * t125069 + 0.4e1 * t125072 - t122761 + t118050 + t122778 - t125087 / 0.3e1 - 0.12e2 * t125122 - 0.2e1 * t125131 + 0.2e1 * t13894 * t19015 - 0.3e1 * t6100 * t110233 + t131738 / 0.3e1;
  t142034 = 0.2e1 / 0.3e1 * t7254 * t8790 * t141916 + t122845 + t122849 - 0.3e1 * t52942 * t19105 + t4983 * t1876 * t3130 * t141805 + t7251 * t5175 * t141806 / 0.3e1 - t1516 * t19665 / 0.2e1 - t11843 * t2912 / 0.4e1 - 0.6e1 * t71096 * t19049 + 0.12e2 * t71096 * t19052 + t11843 * t2915 / 0.2e1 - t60007 * t2899 / 0.2e1 - t515 * t106045 / 0.6e1 + t2529 * t14006 / 0.6e1;
  t142040 = -t11843 * t2907 / 0.2e1 + t122861 - t127566 - t127570 - t127572 - t118171 + t118172 - t118178 - t118190 - 0.2e1 * t125174 + t127588 - t127590 + t127595;
  t142049 = t836 * t69265 * t2542;
  t142075 = -0.23e2 / 0.3e1 * t69246 * t19059 - 0.6e1 * t246 * t69593 * t18983 + t11843 * t2903 / 0.2e1 + t466 * t142049 / 0.12e2 - 0.2e1 / 0.3e1 * t125209 + 0.5e1 / 0.3e1 * t6439 * t109870 - t2534 * t71035 / 0.12e2 + 0.3e1 * t1770 * t19063 - 0.6e1 * t20841 * t69249 * t20831 * t20832 * t2526 - 0.6e1 * t7587 * t19084 + 0.47e2 / 0.3e1 * t58604 * t69499 + 0.3e1 * t1516 * t19521 - 0.3e1 * t7196 * t4808 * t7585 * t18970 + 0.6e1 * t125245;
  t142106 = 0.2e1 * t125265 - 0.18e2 * t246 * t69897 * t19062 - 0.18e2 * t679 * t69249 * t20831 * t19077 + 0.6e1 * t246 * t69249 * t20831 * t19082 + 0.36e2 * t679 * t69897 * t19083 - t1770 * t19042 / 0.2e1 + t127609 - t30 * t2577 * t2933 / 0.4e1 - 0.2e1 * t125271 + 0.2e1 * t125273 - t122934 + 0.5e1 / 0.2e1 * t70173 * t26405 * t18966 - 0.2e1 / 0.3e1 * t7251 * t4877 * t670 * t141805;
  t142130 = t1516 * t19609 - t13203 * t2737 - 0.6e1 * t1770 * t19089 + t7251 * t5175 * t141927 + 0.3e1 * t4993 * t14120 * t105657 - t14011 * t2588 / 0.2e1 - t2534 * t70025 / 0.6e1 + t2534 * t70841 / 0.3e1 - t70846 * t2584 / 0.2e1 + t2839 * t11838 / 0.6e1 - t466 * t110374 / 0.6e1 + t2844 * t139166 / 0.3e1 - t131813 + t134407;
  t142163 = t134423 / 0.6e1;
  t142164 = 0.3e1 * t52936 * t19114 - 0.3e1 / 0.2e1 * t4772 * t7686 * t22290 * t141810 + t10757 * t26405 * t141811 / 0.2e1 + 0.3e1 * t3266 * t70108 * t19062 - 0.3e1 / 0.2e1 * t9877 * t7686 * t20876 * t141810 + 0.3e1 * t4983 * t7686 * t20862 * t141810 - 0.2e1 * t6439 * t110064 - 0.5e1 / 0.6e1 * t7251 * t26400 * t141916 - 0.2e1 / 0.3e1 * t7254 * t3273 * t141927 + t142163 - t122944 + t122950 - t17872;
  t142174 = t7213 * t18970;
  t142178 = t1768 * t18970;
  t142184 = t16143 + t118266 - t118270 - t2839 * t18581 / 0.6e1 + 0.18e2 * t69246 * t19046 - t2839 * t18620 / 0.3e1 - 0.43e2 / 0.9e1 * t69237 * t26011 * t19045 - 0.11e2 / 0.9e1 * t7196 * t4851 * t142174 + 0.23e2 / 0.18e2 * t7196 * t4808 * t142178 + 0.2e1 * t6411 * t19701 - t131884 - t127752 + t127754 + t127759;
  t142200 = -t127761 - 0.35e2 / 0.3e1 * t70173 * t123366 - 0.3e1 * t4983 * t7680 * t3130 * t141810 - 0.2e1 / 0.3e1 * t7251 * t47377 * t19507 - t31651 * t19687 - 0.4e1 * t125381 + t123346 - t30 * t19207 * t544 / 0.2e1 - t17902 + t17903 + t16622 - t130368 + t130375;
  t142224 = 0.3e1 * t246 * t13885 * t139319 + 0.5e1 / 0.3e1 * t69246 * t19007 - t16623 - t16624 + t16625 - t17904 - t7187 * t843 * t142174 - 0.3e1 / 0.2e1 * t4772 * t7690 * t788 * t141810 - t47384 * t19634 + t47381 * t19630 - t3266 * t14065 * t18585 / 0.2e1 + t17954 + 0.3e1 * t4772 * t7680 * t3556 * t141810 + 0.6e1 * t4993 * t69526 * t18978;
  t142241 = t2851 * t18578;
  t142253 = -t131966 - t2844 * t139193 / 0.2e1 + t2529 * t14400 / 0.3e1 + 0.6e1 * t69246 * t19092 + 0.4e1 / 0.3e1 * t1541 * t109512 - t13915 * t19018 + t17955 - t17957 - t7248 * t140402 / 0.3e1 + t4772 * t519 * t3562 * t141800 + t4772 * t519 * t3562 * t142241 / 0.2e1 - t10838 * t4877 * t141811 / 0.2e1 + t515 * t836 * t6119 * t19599 / 0.6e1;
  t142266 = -0.2e1 * t125434 + 0.2e1 / 0.3e1 * t125437 - t123391 + t127807 - 0.2e1 / 0.3e1 * t125450 - 0.2e1 * t125452 + 0.2e1 * t125456 - t125460 / 0.3e1 + 0.2e1 / 0.3e1 * t125467 - 0.3e1 * t3266 * t14120 * t106173 - t127844 + t131991 - t127864 - 0.4e1 * t13894 * t19033;
  t142291 = t131992 + t17973 + 0.44e2 / 0.27e2 * t69237 * t26011 * t19051 + 0.3e1 * t32356 * t19552 - 0.6e1 * t6411 * t19557 - t246 * t14249 * t18498 - 0.61e2 / 0.27e2 * t69237 * t25714 * t18971 + 0.22e2 / 0.3e1 * t69246 * t19056 + 0.2e1 * t7243 * t1254 * t142174 - 0.4e1 * t7243 * t1261 * t142178 - 0.11e2 / 0.6e1 * t69822 * t19111 + t123420 - 0.6e1 * t125497;
  t142293 = t134953 / 0.3e1;
  t142317 = -0.2e1 * t125503 - t142293 + t134971 + 0.4e1 / 0.3e1 * t125511 + t7248 * t42389 * t95 * t141948 / 0.2e1 + t47384 * t19681 + t11019 * t3273 * t141811 / 0.2e1 - 0.15e2 / 0.2e1 * t9877 * t14328 * t20876 * t12232 - t36004 * t19126 / 0.2e1 + t47384 * t19677 + t123452 + 0.14e2 / 0.3e1 * t13908 * t122685 - 0.11e2 / 0.9e1 * t13908 * t4851 * t19014 - t13908 * t4867 * t19014;
  t142321 = t135014 / 0.6e1;
  t142322 = t135024 / 0.6e1;
  t142345 = t142321 + t142322 + t127936 + t106050 * t530 / 0.2e1 + t109921 * t481 / 0.2e1 - t2534 * t69927 / 0.12e2 + 0.23e2 / 0.18e2 * t13908 * t4808 * t19032 - t2534 * t69971 / 0.3e1 + 0.2e1 / 0.3e1 * t2534 * t69975 - t7196 * t4867 * t142174 + 0.14e2 / 0.3e1 * t7196 * t4851 * t142178 - t14011 * t2593 / 0.4e1 - t515 * t140461 / 0.3e1;
  t142366 = 0.3e1 * t36012 * t19079 - t128240 + t515 * t836 * t58670 * t2852 / 0.12e2 - 0.5e1 / 0.18e2 * t7196 * t4808 * t142174 - t1779 * t1261 * t141985 / 0.3e1 + t515 * t140218 / 0.6e1 + t132040 + t16706 + t15675 - t15680 - t15683 + 0.4e1 * t125545 - 0.5e1 / 0.18e2 * t13908 * t4808 * t19014 + t2839 * t18504 / 0.3e1;
  t142398 = -0.2e1 * t63486 * t2729 + 0.2e1 * t13203 * t2742 - 0.4e1 / 0.3e1 * t2844 * t138969 + 0.2e1 * t58268 * t72107 - 0.2e1 * t31651 * t19685 + t7251 * t47795 * t19614 / 0.6e1 - t7587 * t19071 + t1770 * t19074 - 0.3e1 * t679 * t13885 * t139313 + t1770 * t18987 - t246 * t14228 * t2553 * t597 / 0.2e1 + 0.2e1 / 0.3e1 * t2844 * t139270 + t515 * t836 * t837 * t94 * t141787 / 0.12e2;
  t142427 = -t2534 * t71585 / 0.6e1 + t2534 * t71579 / 0.3e1 - t679 * t141841 * t684 / 0.2e1 + 0.6e1 * t125575 + 0.3e1 * t1516 * t19606 - 0.62e2 / 0.3e1 * t69237 * t25714 * t19045 + t679 * t13885 * t139261 - 0.18e2 * t3167 * t69897 * t19078 - 0.2e1 / 0.3e1 * t2844 * t138996 - t1770 * t19101 - 0.28e2 * t58610 * t69359 - t2534 * t70297 / 0.6e1 - t18626 - 0.35e2 / 0.108e3 * t69237 * t26011 * t18971;
  t142439 = 0.2e1 / 0.3e1 * t135157;
  t142441 = t515 * t140196 / 0.3e1 + t7243 * t1261 * t142174 + t2844 * t139187 / 0.6e1 + 0.2e1 / 0.3e1 * t1815 * t843 * t141985 + t123538 + t128267 - t142439 + t128277 + t18044 - t16279 - t16282 + t132450 / 0.3e1 - t18053;
  t142453 = 0.28e2 / 0.3e1 * t125624 - t128328 + t128330 + 0.2e1 * t125632 - t132488 + t123590 - t16891 + t130581 + t128366 + t18628 - t7251 * t47865 * t19507 / 0.3e1 + 0.15e2 / 0.2e1 * t70173 * t123404 - 0.15e2 / 0.2e1 * t4772 * t14328 * t22290 * t12232 + t128425;
  t142455 = 0.2e1 * t134479;
  t142456 = 0.2e1 * t134486;
  t142457 = 0.4e1 * t134510;
  t142460 = 0.2e1 * t134538;
  t142461 = t19155 * t2851;
  t142474 = t111142 * t463;
  t142481 = t14357 * t2526;
  t142482 = t802 * t142481;
  t142492 = -t142455 - t142456 - t132117 - t142457 + 0.4e2 / 0.3e1 * t125715 + 0.8e1 * t125727 - t142460 - 0.1e2 / 0.3e1 * t7686 * t20862 * t142461 - 0.22e2 * t14318 * t19187 + 0.24e2 * t70446 * t20862 * t19143 + 0.3e1 * t7686 * t22290 * t142461 - 0.4e1 / 0.9e1 * t125736 - 0.4e1 * t7651 * t815 * t142474 - 0.5e1 * t36191 * t815 * t141915 - 0.6e1 * t36092 * t142482 + t123010 - t123013 - t123018 + 0.2e1 / 0.3e1 * t7651 * t802 * t142474 + 0.4e1 * t11138 * t233 * t111142 * t2541;
  t142514 = 0.2e1 * t134570;
  t142535 = t142514 + t132158 - t127965 + 0.12e2 * t2870 * t139343 - 0.5e2 / 0.3e1 * t14328 * t20862 * t19186 + 0.44e2 / 0.3e1 * t14318 * t19193 - 0.5e1 / 0.18e2 * t14328 * t20876 * t19186 + 0.6e1 * t14313 * t19196 - 0.4e1 / 0.3e1 * t70446 * t20871 * t19143 + 0.8e1 * t70494 * t19177 - 0.6e1 * t7680 * t3556 * t142461;
  t142544 = t19783 * t463;
  t142564 = -0.6e1 * t53473 * t233 * t14357 * t18496 - 0.6e1 * t36105 * t233 * t142481 + 0.12e2 * t36194 * t815 * t142481 + t118539 - t123131 + t123135 + t123137 + t123143 - t128027 - t18070 - t18071;
  t142570 = 0.4e1 / 0.3e1 * t134671;
  t142577 = -t118587 - t18629 - t128075 + t128081 + t128083 - t128085 - t142570 + t128087 + 0.3e1 * t7690 * t788 * t142461 + t128095 + 0.5e1 / 0.9e1 * t70373 * t3590 * t19148;
  t142622 = t36092 * t3590 * t142481 / 0.9e1 + 0.2e1 * t11138 * t233 * t14357 * t18578 + 0.24e2 * t125877 + 0.8e1 * t125884 - 0.2e1 * t1872 * t788 * t142544 - t7686 * t20876 * t142461 / 0.18e2 - 0.4e1 * t2870 * t139499 - 0.4e1 / 0.3e1 * t1876 * t3130 * t142544 + 0.4e1 / 0.3e1 * t70494 * t19190 - 0.24e2 * t70488 * t19144 + 0.4e1 * t7680 * t3130 * t142461;
  t142634 = -0.3e2 * t70373 * t19152 + t118668 - t118674 - t118677 - t123245 + t128186 - t130186 + t130198 + t134709 + t16849 + t18114;
  t142637 = 0.2e1 / 0.3e1 * t134746;
  t142677 = 0.2e1 * t2870 * t139463 - 0.36e2 * t70499 * t19159 + 0.1e2 / 0.3e1 * t70446 * t20871 * t19155 - t519 * t788 * t63 * t141787 - 0.2e1 * t519 * t3562 * t19783 * t2541 - t519 * t3562 * t2883 * t18578 - 0.2e1 * t2870 * t139403 - 0.4e1 * t2866 * t18631 - 0.12e2 * t70364 * t19149 + 0.2e1 / 0.3e1 * t36092 * t3580 * t142481 + 0.5e2 / 0.3e1 * t70446 * t20876 * t19155;
  t142694 = 0.4e1 * t134778;
  t142695 = 0.4e1 * t134783;
  t142708 = t142694 + t142695 + t123297 - t2866 * t18680 + 0.24e2 * t70499 * t19171 - 0.4e1 / 0.3e1 * t2870 * t139423 - t2138 + 0.36e2 * t70494 * t19162 - 0.12e2 * t70446 * t20862 * t19155 - 0.6e1 * t2870 * t139431 + t2119;
  t142736 = -t30 * t59 * (-t123259 + t123195 + t123109 - t123102 + t118606 - t128194 - t128148 + t128056 - t128058 + t128054 + t128048 - t128050 - t128044 + t127949 - 0.2e1 / 0.3e1 * t70494 * t19174 + 0.12e2 * t70488 * t19156 + 0.4e1 * t2870 * t139481 + 0.2e1 * t2866 * t18675 - 0.4e2 * t70494 * t19168 + 0.44e2 * t70384 * t19202 - 0.2e1 * t36194 * t142482 - 0.22e2 / 0.3e1 * t70384 * t19152 - 0.72e2 * t70494 * t19180 + 0.72e2 * t70499 * t19183 - 0.12e2 * t70499 * t19199 + 0.2e1 * t2866 * t18637 + 0.2e1 / 0.3e1 * t2870 * t139406 - 0.4e1 * t125911 + 0.8e1 / 0.3e1 * t125894 + 0.8e1 * t125886 - 0.16e2 / 0.3e1 * t125870 - 0.12e2 * t125865 + 0.24e2 * t125868 + 0.2e1 / 0.9e1 * t125818 - 0.16e2 * t125812 - 0.12e2 * t125804 - 0.48e2 * t125768 - 0.8e1 / 0.3e1 * t125761 + 0.24e2 * t125755 - 0.16e2 * t125750 + 0.1e2 / 0.3e1 * t36191 * t802 * t141915 + 0.4e1 * t7655 * t233 * t142474 + 0.4e1 * t36100 * t233 * t141915 + 0.8e1 / 0.3e1 * t70446 * t20876 * t19143 + 0.2e1 * t1876 * t3556 * t142544 - t70446 * t20845 * t19143 / 0.9e1 + 0.1e2 / 0.3e1 * t70373 * t3580 * t19148 + 0.15e2 * t14328 * t22290 * t19186 + 0.1e2 * t36191 * t43075 * t141915 - 0.8e1 * t36100 * t43071 * t141915 - 0.5e1 / 0.3e1 * t36191 * t43067 * t141915 + t142708 + t142677 + t18135 + t18136 - t18137 - t132243 + t132324 + t142622 - t16864 + t16865 + t142492 - t18149 - t132278 + t142577 + t142634 + t18089 + t16862 - t16814 + t142535 - t16813 + t142637 - t130165 + t142564 + t519 * t788 * t60 * t141787 / 0.2e1 + 0.3e1 * t519 * t22302 * t2883 * t18496 + t130106 + t16808) * t95 / 0.4e1 - 0.2e1 * t125988 - t123604 + t125999 - t128445 + t128449 - 0.5e1 / 0.2e1 * t4983 * t1876 * t22290 * t141915 + 0.5e1 / 0.2e1 * t4772 * t1876 * t22309 * t141915 + 0.2e1 * t3266 * t14062 * t105648 - t123641 + 0.2e1 * t71224 * t18972 + t246 * t14249 * t18585 / 0.2e1 + 0.6e1 * t7587 * t18979;
  t142754 = t135299 / 0.3e1;
  t142764 = -0.2e1 * t69237 * t26954 * t18971 + t132623 - t7248 * t8790 * t95 * t142241 / 0.6e1 + 0.2e1 * t31651 * t19628 + 0.11e2 / 0.18e2 * t10757 * t26847 * t141811 - 0.2e1 * t4772 * t1872 * t3562 * t141915 + 0.12e2 * t126050 - t142754 - t126080 / 0.3e1 + t7248 * t140372 / 0.6e1 - t7254 * t31478 * t19614 / 0.3e1 - t7248 * t80110 * t19619 / 0.3e1 - t128531 + t128536;
  t142770 = my_piecewise3(t2, 0, t142164 + t142441 + t142006 + t142266 + t141742 + t142224 + t142200 + t142291 + t142106 + t142184 + t142034 + t142366 + t141933 + t142130 + t141976 + t141854 + t142764 + t142736 + t142453 + t141712 + t142345 + t142040 + t141993 + t141953 + t142317 + t141899 + t142075 + t142427 + t141834 + t141876 + t142253 + t142398);
  tv4lapl2tau20 = t3 * t142770;

  if(out->v4lapl2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 0] += tv4lapl2tau20;

  tv4lapl2tau21 = 0.e0;

  if(out->v4lapl2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 1] += tv4lapl2tau21;

  tv4lapl2tau22 = 0.e0;

  if(out->v4lapl2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 2] += tv4lapl2tau22;

  tv4lapl2tau23 = 0.e0;

  if(out->v4lapl2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 3] += tv4lapl2tau23;

  tv4lapl2tau24 = 0.e0;

  if(out->v4lapl2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 4] += tv4lapl2tau24;

  tv4lapl2tau25 = 0.e0;

  if(out->v4lapl2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 5] += tv4lapl2tau25;

  tv4lapl2tau26 = 0.e0;

  if(out->v4lapl2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 6] += tv4lapl2tau26;

  tv4lapl2tau27 = 0.e0;

  if(out->v4lapl2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 7] += tv4lapl2tau27;

  t142775 = t380 * t107904;
  t142782 = -t123703 - t126097 / 0.3e1 - 0.5e1 / 0.9e1 * t126111 - t128550 + t128554 - t128560 - t128566 - t123730 - t123738 - 0.11e2 / 0.3e1 * t73070 * t19439 - t128578 - 0.11e2 / 0.9e1 * t11399 * t10447 * t142775 + 0.23e2 / 0.18e2 * t11399 * t10358 * t107905;
  t142794 = t132730 - t2180 + t2251 + t123811 + t123812 - t123820 - t123822 + t132744 / 0.3e1 + t123841 - t128628 - 0.62e2 / 0.3e1 * t61342 * t29118 * t128829 - 0.6e1 * t1647 * t19950 - 0.28e2 * t61327 * t72786 - 0.11e2 / 0.9e1 * t14711 * t5733 * t19226;
  t142812 = t4687 * t380 * t3035 * t2616;
  t142815 = -0.61e2 / 0.27e2 * t73366 * t29118 * t19369 + 0.23e2 / 0.18e2 * t14711 * t5595 * t19413 + 0.44e2 / 0.27e2 * t73366 * t28999 * t19373 + t123927 - 0.2e1 * t126205 - 0.2e1 * t126214 - t128692 + 0.2e1 / 0.3e1 * t126222 - 0.2e1 * t126231 + 0.2e1 * t126236 - t128705 + t123967 + t6772 * t142812 / 0.12e2;
  t142823 = t67282 * t2756;
  t142832 = t2954 * t2601;
  t142841 = t135463 / 0.3e1;
  t142847 = t135432 + 0.2e1 * t13591 * t2822 - 0.2e1 * t69146 * t2809 + 0.89e2 / 0.9e1 * t73366 * t29118 * t19373 - 0.2e1 / 0.3e1 * t1981 * t1423 * t142823 - 0.38e2 / 0.9e1 * t73366 * t29113 * t19369 + 0.14e2 / 0.3e1 * t14711 * t123813 - t128715 - 0.3e1 / 0.2e1 * t5665 * t8438 * t24435 * t142832 - 0.3e1 / 0.2e1 * t10513 * t8438 * t24477 * t142832 - t142841 + t132801 / 0.3e1 - t118825 - t373 * t14704 * t2628 * t1047 / 0.2e1;
  t142871 = 0.3e1 * t1647 * t19871 + t1647 * t19874 - 0.4e1 / 0.3e1 * t2947 * t139762 + 0.6e1 * t6955 * t19811 + t13591 * t2831 - t490 * t113980 / 0.3e1 + 0.28e2 / 0.3e1 * t126262 + 0.4e1 / 0.3e1 * t126272 + 0.2e1 * t126293 - t2609 * t72756 / 0.6e1 + 0.2e1 / 0.3e1 * t2947 * t139683 - t14666 * t2668 / 0.4e1 + t2609 * t73000 / 0.3e1;
  t142886 = t19877 * t2616;
  t142900 = -0.2e1 * t1647 * t19820 + t128781 - t373 * t14857 * t139706 - 0.6e1 * t25474 * t73842 * t24678 * t24581 * t2601 + 0.18e2 * t4718 * t73842 * t24678 * t24556 * t2601 - 0.2e1 * t5665 * t2056 * t4575 * t142886 - 0.22e2 / 0.9e1 * t126301 - t123989 - t123995 + 0.4e1 * t126314 - 0.2e1 * t13591 * t2814 + 0.5e1 / 0.3e1 * t73825 * t19420 - t124020 - 0.3e1 * t5665 * t14955 * t19388;
  t142902 = t135487 / 0.6e1;
  t142903 = t135496 / 0.2e1;
  t142911 = 0.2e1 / 0.3e1 * t135557;
  t142918 = t135586 / 0.3e1;
  t142921 = t142902 - t142903 + 0.2e1 / 0.3e1 * t8219 * t50305 * t19927 + t11510 * t5695 * t142775 - 0.3e1 * t57324 * t19434 + t128820 - t142911 + 0.23e2 / 0.9e1 * t126336 - 0.115e3 / 0.36e2 * t73218 * t29474 * t19442 + 0.22e2 / 0.3e1 * t73070 * t19443 + t128839 - t142918 - 0.4e1 * t61124 * t129037;
  t142928 = t19865 * t487;
  t142932 = t168 * t142832;
  t142939 = t2954 * t18772;
  t142952 = -t12474 * t3010 / 0.2e1 + 0.2e1 * t61124 * t129398 + t50860 * t19988 + t50860 * t19983 + t5665 * t2056 * t1165 * t142928 + t11646 * t4687 * t142932 / 0.2e1 - t11510 * t5691 * t142932 / 0.2e1 + t8214 * t45083 * t168 * t142939 / 0.2e1 + 0.55e2 / 0.18e2 * t73218 * t29468 * t19398 - t8214 * t141347 / 0.3e1 + t126373 + 0.2e1 * t126383 + 0.4e1 / 0.3e1 * t126388 - 0.2e1 / 0.3e1 * t126398;
  t142997 = -0.4e1 * t14730 * t109056 + 0.2e1 * t561 * t18787 - 0.4e1 * t104168 * t14721 + 0.2e2 / 0.9e1 * t104171 * t73971 - t139599 + t131050 + t128639 + t131051 - 0.12e2 * t73982 * t19342 + 0.4e1 / 0.3e1 * t104171 * t73951 + 0.24e2 * t73979 * t19364 - 0.12e2 * t73943 * t19325 - 0.4e1 * t561 * t18774 - t128650 + t128654 + t128656 + 0.8e1 * t14727 * t108173 - 0.12e2 * t14730 * t107971 - 0.8e1 * t74003 * t19320;
  t143015 = 0.4e1 * t14733 * t18774 - t131073 + t139613 + t131085 - t15352 + t131086 - t131087 + t128681 - t128683 - 0.8e1 * t19389 - 0.24e2 * t74003 * t19364 + 0.32e2 / 0.3e1 * t73998 * t19358 + 0.12e2 * t73998 * t19342 + 0.12e2 * t19434 - 0.2e1 * t14733 * t18787 - 0.2e1 * t19385 + 0.12e2 * t74008 * t19325 + 0.16e2 / 0.9e1 * t73998 * t19457 + t15340;
  t143016 = t142997 + t143015;
  t143022 = t14704 * t2632;
  t143033 = t2942 * t12469 / 0.6e1 - t2947 * t62826 / 0.12e2 + 0.11e2 / 0.18e2 * t11399 * t29468 * t142932 - 0.23e2 / 0.36e2 * t11399 * t29474 * t1018 * t142832 - t11510 * t5674 * t142932 + t124056 - 0.2e1 * t51173 * t20109 - t1647 * t19868 / 0.2e1 - t373 * t2040 * t1076 * t348 * t143016 / 0.4e1 - t1029 * t143022 * t1034 / 0.2e1 + t373 * t143022 * t1039 / 0.2e1 - t490 * t112718 / 0.6e1 + t14666 * t2671 / 0.2e1;
  t143050 = t1954 * t19368;
  t143069 = -t490 * t112138 / 0.6e1 + 0.25e2 / 0.36e2 * t73218 * t29474 * t19398 - 0.11e2 / 0.6e1 * t73070 * t19402 + t2947 * t61518 / 0.3e1 - t2947 * t61514 / 0.6e1 - t2609 * t72996 / 0.6e1 + 0.3e1 * t373 * t14857 * t139733 + 0.23e2 / 0.18e2 * t8169 * t5595 * t143050 + t2947 * t139696 / 0.6e1 - 0.35e2 / 0.108e3 * t73366 * t28999 * t19369 + t555 * t1094 * t62134 * t2955 / 0.12e2 + 0.3e1 * t39807 * t19458 + 0.4e1 / 0.3e1 * t1981 * t107874 + t12474 * t3006 / 0.2e1;
  t143095 = t135632 / 0.6e1;
  t143098 = 0.3e1 * t34264 * t19842 + t2947 * t139830 / 0.3e1 + 0.36e2 * t1029 * t73284 * t19358 - t126426 / 0.3e1 - 0.2e1 * t126431 - t11399 * t5691 * t142775 + 0.14e2 / 0.3e1 * t11399 * t10447 * t107905 - 0.3e1 * t11399 * t10358 * t5647 * t107904 + 0.3e1 * t30451 * t73081 * t19457 - 0.6e1 * t5649 * t73081 * t19358 + t143095 + t128881 + t12474 * t3018 / 0.2e1;
  t143101 = t168 * t142886;
  t143116 = t380 * t19377 * t487;
  t143120 = -t61509 * t3002 / 0.2e1 - 0.5e1 / 0.6e1 * t8063 * t30134 * t143101 + 0.12e2 * t126451 + t128888 + 0.2e1 * t6955 * t19836 + t1029 * t14857 * t139841 - t555 * t141243 / 0.3e1 - 0.5e1 / 0.12e2 * t8063 * t30141 * t143101 + t8063 * t5691 * t143116 / 0.2e1 - t124091 + t124095 + t128921 - t133047 + t133048;
  t143143 = 0.11e2 * t5665 * t14928 * t19433 + 0.6e1 * t373 * t73842 * t24678 * t19357 - 0.2e1 * t73366 * t29545 * t19369 + t1647 * t19816 / 0.2e1 + t373 * t14685 * t18787 / 0.2e1 - t15036 * t19427 + t124103 - 0.4e1 * t126509 - t124115 - t128935 - t126516 / 0.3e1 + 0.4e1 / 0.3e1 * t126519 - 0.2e1 / 0.3e1 * t126531;
  t143175 = t8262 * t19368;
  t143185 = t73900 * t19399 + t4695 * t14608 * t18774 + 0.6e1 * t5649 * t72807 * t19320 - 0.6e1 * t4695 * t72807 * t19364 - 0.3e1 * t5639 * t8460 * t4572 * t142832 + 0.3e1 * t5665 * t8460 * t4626 * t142832 - t8063 * t50292 * t19927 / 0.3e1 + t8063 * t5674 * t143116 - 0.2e1 * t6769 * t113627 + 0.5e1 / 0.2e1 * t5665 * t2060 * t24564 * t142886 + 0.3e1 * t5649 * t14814 * t109056 + 0.2e1 * t8091 * t1423 * t143175 - 0.4e1 * t8091 * t1430 * t143050 - 0.11e2 / 0.9e1 * t8169 * t5733 * t143175;
  t143205 = t135725 - 0.6e1 * t373 * t73268 * t19325 - t373 * t14685 * t18774 + 0.12e2 * t74261 * t19463 - t2947 * t140110 / 0.2e1 - 0.3e1 * t14711 * t124365 - 0.43e2 / 0.9e1 * t73366 * t28999 * t19394 + t18182 - t2609 * t72961 / 0.12e2 + t112143 * t505 / 0.2e1 + t124133 + t118987 + t126560;
  t143225 = t129032 - t2609 * t73604 / 0.12e2 - t12474 * t3015 / 0.4e1 + 0.18e2 * t73825 * t19395 - 0.5e1 / 0.18e2 * t14711 * t5595 * t19226 - t129041 + t8063 * t56645 * t19398 / 0.2e1 + 0.2e1 / 0.3e1 * t126567 - t126571 / 0.3e1 + 0.5e1 / 0.3e1 * t6769 * t113599 + 0.4e1 / 0.3e1 * t126586 + 0.2e1 / 0.3e1 * t126596 - 0.2e1 * t126598 - t133120;
  t143251 = -t129080 - t129083 - 0.18e2 * t1029 * t73842 * t24678 * t19456 - 0.18e2 * t373 * t73284 * t19342 + t2604 * t14706 / 0.6e1 + 0.2e1 / 0.3e1 * t1974 * t1101 * t142823 + t8091 * t1430 * t143175 - t2947 * t139823 + 0.2e1 * t14831 * t19227 + 0.22e2 / 0.3e1 * t73825 * t19466 + t129097 + t129100 + t109160 * t570 / 0.2e1;
  t143262 = t168 * t142928;
  t143268 = t2954 * t18761;
  t143286 = -0.5e1 / 0.18e2 * t11399 * t10358 * t142775 + t8214 * t141204 / 0.3e1 + t8214 * t141338 / 0.6e1 + t8063 * t50503 * t20097 / 0.3e1 + t8063 * t5674 * t143262 / 0.3e1 - t2609 * t72825 / 0.6e1 - t8214 * t9444 * t168 * t143268 / 0.6e1 + t8063 * t56429 * t19398 - 0.2e1 * t8063 * t56645 * t19442 - 0.2e1 / 0.3e1 * t8063 * t50552 * t19927 + 0.4e1 / 0.3e1 * t8063 * t107867 + 0.2e1 * t126644 + 0.6e1 * t126659 - 0.8e1 * t126669;
  t143291 = t20044 * t487;
  t143306 = t112968 * t487;
  t143310 = t14969 * t2601;
  t143311 = t1173 * t143310;
  t143327 = 0.4e1 / 0.3e1 * t136310;
  t143328 = 0.5e1 / 0.9e1 * t74564 * t4586 * t19262 - t129441 - 0.2e1 * t2056 * t1165 * t143291 - 0.2e1 * t559 * t4575 * t20044 * t2616 - t559 * t4575 * t2986 * t18761 - t74549 * t24582 * t19272 / 0.9e1 + 0.8e1 / 0.3e1 * t126947 - t124391 + t124396 + 0.4e1 * t8511 * t360 * t143306 - 0.2e1 * t40318 * t143311 + 0.4e1 * t11656 * t360 * t112968 * t2616 + 0.2e1 * t11656 * t360 * t14969 * t18761 + 0.1e2 / 0.3e1 * t40455 * t1173 * t142886 - 0.12e2 * t126959 - 0.4e1 * t126971 - t143327 + t133534 - t124413 + t124422;
  t143348 = 0.4e1 * t136332;
  t143365 = t143348 - 0.16e2 * t127074 - 0.48e2 * t127084 - 0.8e1 / 0.3e1 * t127089 + 0.8e1 * t127095 + 0.12e2 * t40318 * t1186 * t143310 + 0.2e1 / 0.3e1 * t40315 * t4599 * t143310 - t133577 + 0.4e1 * t2973 * t140050 + 0.12e2 * t74808 * t19259 - 0.6e1 * t2973 * t140019;
  t143378 = t2986 * t2601;
  t143392 = 0.2e1 * t136429;
  t143402 = t143392 + 0.24e2 * t127125 - t124523 + t124527 + t124529 + 0.2e1 * t2973 * t140013 - t133636 + 0.24e2 * t74561 * t19241 - 0.2e1 / 0.3e1 * t74545 * t19244 + 0.2e1 * t2969 * t18855 - t18369;
  t143418 = 0.2e1 * t136472;
  t143419 = 0.2e1 * t136473;
  t143420 = 0.4e1 * t136483;
  t143421 = -0.4e1 * t8508 * t1186 * t143306 + 0.1e2 * t40455 * t46248 * t142886 - t119342 + t119344 - t129571 + t129579 + t129585 - t143418 - t143419 + t143420 - t18380;
  t143425 = 0.2e1 / 0.3e1 * t136496;
  t143456 = -0.2e1 * t2973 * t139892 - 0.1e2 / 0.3e1 * t8438 * t24418 * t143378 - t17089 - t17090 + t17091 - t129610 + t129613 - t129615 + t129618 - 0.22e2 / 0.3e1 * t74592 * t19266 + 0.2e1 / 0.3e1 * t8508 * t1173 * t143306;
  t143458 = 0.4e1 * t136546;
  t143483 = -0.36e2 * t74561 * t19253 + 0.1e2 / 0.3e1 * t74549 * t24557 * t19240 - 0.4e2 * t74545 * t19247 + 0.5e2 / 0.3e1 * t74549 * t24477 * t19240 - 0.4e1 / 0.3e1 * t2973 * t140016 - t2969 * t18805 - t133700 - 0.5e1 * t40455 * t1186 * t142886 + 0.1e2 / 0.3e1 * t74564 * t4599 * t19262 - 0.3e2 * t74564 * t19266 + 0.44e2 * t74592 * t19263;
  t143521 = -t124638 - 0.22e2 * t14928 * t19283 + 0.15e2 * t14932 * t24435 * t19282 + 0.2e1 * t2969 * t18824 + 0.44e2 / 0.3e1 * t14928 * t19287 + 0.2e1 / 0.3e1 * t2973 * t139927 - 0.5e1 / 0.18e2 * t14932 * t24477 * t19282 - t559 * t1165 * t143 * t143016 + 0.3e1 * t559 * t24458 * t2986 * t18772 + 0.4e1 / 0.3e1 * t74545 * t19293 + 0.6e1 * t14955 * t19301;
  t143524 = 0.2e1 * t136602;
  t143541 = -0.5e1 / 0.3e1 * t40455 * t46252 * t142886 - 0.8e1 * t40461 * t46256 * t142886 + t124696 - t124699 - t2229 + t40315 * t4586 * t143310 / 0.9e1 + t129720 - t124702 + 0.3e1 * t8438 * t24435 * t143378 + 0.8e1 / 0.3e1 * t74549 * t24477 * t19272 + t2210;
  t143550 = t19865 * t2616;
  t143565 = t135893 / 0.2e1;
  t143566 = t135955 / 0.6e1;
  t143567 = -t18237 - t110 * t139 * (0.2e1 * t2060 * t4626 * t143291 - 0.4e1 / 0.3e1 * t74549 * t24557 * t19272 + 0.24e2 * t74549 * t24418 * t19272 - 0.4e1 / 0.3e1 * t2060 * t4572 * t143291 - 0.5e2 / 0.3e1 * t14932 * t24418 * t19282 - 0.6e1 * t8460 * t4626 * t143378 + 0.3e1 * t8443 * t1165 * t143378 - 0.6e1 * t40458 * t360 * t143310 + 0.4e1 * t8460 * t4572 * t143378 - t8438 * t24477 * t143378 / 0.18e2 + 0.4e1 * t40461 * t360 * t142886 - 0.12e2 * t74549 * t24418 * t19240 + t119455 - t119445 - t119443 + t119333 + 0.72e2 * t74561 * t19273 - 0.4e1 * t2973 * t139903 - 0.12e2 * t74561 * t19290 + 0.12e2 * t2973 * t139944 - 0.24e2 * t74808 * t19298 - 0.6e1 * t40315 * t143311 + 0.36e2 * t74545 * t19256 - 0.12e2 * t74875 * t19268 - 0.4e1 * t2969 * t18820 + 0.8e1 * t74545 * t19276 - 0.72e2 * t74545 * t19279 - 0.16e2 / 0.3e1 * t127221 + 0.24e2 * t127214 + 0.8e1 * t127174 - 0.4e1 / 0.9e1 * t127169 - 0.12e2 * t127141 + 0.8e1 * t127139 + 0.24e2 * t127135 + 0.2e1 / 0.9e1 * t127066 - 0.16e2 * t127060 + 0.4e2 / 0.3e1 * t127046 + t124576 + t124433 + t131430 + t17098 + t133686 + t143483 - t131377 - t131331 + t131363 + t143402 - t18839 + t143456 + t143521 - t17145 + t17147 + t17148 + t559 * t1165 * t140 * t143016 / 0.2e1 - 0.6e1 * t58028 * t360 * t14969 * t18772 - t143524 + t18436 - t18437 + t18438 + t18439 + t18370 - t18371 + t136595 - t143458 + t143365 + t143541 - t129702 - t129681 + t143425 + t129654 + t129638 + t129636 - t129632 + t143328 - t129547 + t129538 - t129540 + t143421) * t168 / 0.4e1 - t18783 + t5665 * t559 * t4575 * t143550 + t5665 * t559 * t4575 * t143268 / 0.2e1 - 0.2e1 / 0.3e1 * t8219 * t4687 * t143116 - 0.5e1 / 0.2e1 * t5639 * t2060 * t24435 * t142886 + t130974 - t130976 - t143565 + t143566 - t129117 + t133233;
  t143583 = -0.8e1 / 0.3e1 * t126707 + t18241 - t133234 - t129143 - t129150 + t129156 - t2942 * t18740 / 0.3e1 - t2942 * t18764 / 0.6e1 + t14831 * t19417 - 0.18e2 * t4718 * t73284 * t19457 - t2609 * t74392 / 0.3e1 + t2604 * t14793 / 0.3e1 + 0.6e1 * t73825 * t19370 - t131018;
  t143611 = 0.2e1 * t34833 * t20107 + t18785 - t110 * t2652 * t3036 / 0.4e1 + 0.15e2 * t5639 * t14932 * t24418 * t12349 - 0.2e1 / 0.3e1 * t8063 * t50296 * t19878 - 0.2e1 / 0.3e1 * t8063 * t5691 * t1018 * t142928 + t136001 - t18255 + t129167 + 0.3e1 * t57328 * t19385 + 0.3e1 * t5639 * t8438 * t24418 * t142832 - t13591 * t2817 - t1956 * t19314 / 0.2e1;
  t143638 = 0.2e1 * t2947 * t139772 - t1981 * t1430 * t142823 / 0.3e1 - 0.5e1 / 0.18e2 * t8169 * t5595 * t143175 - 0.6e1 * t74261 * t19461 + 0.18e2 * t373 * t74066 * t19364 + t555 * t1094 * t6755 * t19894 / 0.6e1 + 0.3e1 * t4695 * t73081 * t19342 + t11399 * t30141 * t142932 / 0.2e1 - t129178 - t124263 - 0.6e1 * t126726 + 0.6e1 * t126736 - 0.2e1 * t126744 + t124276;
  t143666 = t16463 - t16466 - t34833 * t19975 - t4695 * t14608 * t18787 / 0.2e1 - t555 * t108107 / 0.6e1 - t14666 * t2663 / 0.2e1 + t2604 * t14661 / 0.6e1 + t129216 - 0.15e2 / 0.2e1 * t10513 * t14932 * t24477 * t12349 - t8219 * t34283 * t20097 / 0.3e1 - t8219 * t4687 * t143262 / 0.3e1 + t8063 * t5691 * t143262 / 0.6e1 + 0.5e1 / 0.36e2 * t11399 * t29474 * t142932;
  t143692 = t51176 * t20111 + t5639 * t2060 * t4572 * t142928 + 0.3e1 / 0.2e1 * t61081 * t74297 + t8063 * t50296 * t20097 / 0.6e1 + 0.3e1 * t4695 * t73153 * t19325 - 0.3e1 / 0.2e1 * t5665 * t559 * t24458 * t142939 - 0.3e1 / 0.2e1 * t5665 * t8443 * t1165 * t142832 - t124300 + t129223 + t129232 - 0.2e1 / 0.3e1 * t126777 + t18322 + 0.2e1 * t57324 * t19389 - t11646 * t6005 * t142775;
  t143707 = 0.2e1 * t74407 * t19405 - t133402 - t18339 + t129249 - t129256 + 0.2e1 / 0.3e1 * t8219 * t9444 * t143101 - t129264 + t129266 - t129268 - t129270 - 0.3e1 * t74261 * t19430 + t555 * t140994 / 0.3e1 + t555 * t141319 / 0.6e1;
  t143718 = t136185 / 0.3e1;
  t143724 = t2942 * t18780 / 0.3e1 - t39906 * t19382 / 0.2e1 - t16492 + 0.3e1 * t1956 * t19326 - t1956 * t19339 - 0.18e2 * t1029 * t74066 * t19320 - t17070 + t17072 + t143718 + 0.6e1 * t126854 + t124347 + t2609 * t72817 / 0.3e1 - t72822 * t2659 / 0.2e1 - t136217;
  t143744 = t17073 + t17172 - 0.15e2 / 0.2e1 * t5665 * t14932 * t24435 * t12349 - 0.11e2 * t5639 * t14928 * t12350 - t18340 + t18341 + 0.2e1 * t4695 * t14605 * t108173 + 0.6e1 * t8280 * t19321 - t8145 * t1101 * t143175 - 0.3e1 * t1029 * t14857 * t139728 + t129316 + 0.2e1 * t126879 - t129322;
  t143761 = -0.2e1 / 0.3e1 * t126897 - 0.2e1 * t126906 - 0.2e1 / 0.3e1 * t2947 * t139766 - t555 * t107539 / 0.6e1 + 0.2e1 / 0.3e1 * t2609 * t74396 - t8280 * t19351 + t1956 * t19354 + 0.8e1 * t61342 * t28999 * t4716 * t72781 - 0.6e1 * t6955 * t19947 + t119123 - t119126 - t119130 - t119138 + t119143;
  t143778 = -0.2e1 * t126929 - t124363 - t124369 + 0.2e1 * t11510 * t5679 * t142775 - t8214 * t81510 * t20093 / 0.3e1 - t8214 * t9444 * t168 * t143550 / 0.3e1 + 0.2e1 / 0.3e1 * t127257 - 0.12e2 * t127273 - t17178 - t127286 / 0.3e1 + t124385 - t129381 + t129383;
  t143794 = t40145 * t19378;
  t143803 = -t110 * t19306 * t584 / 0.2e1 - t4695 * t112862 * t2667 / 0.4e1 - t17179 - 0.3e1 * t4695 * t14814 * t107971 + t129404 - t50860 * t19900 - t5665 * t2060 * t4626 * t142928 - 0.7e1 / 0.3e1 * t61081 * t72887 + t6772 * t143794 / 0.6e1 + 0.5e1 / 0.2e1 * t73218 * t30141 * t19398 - 0.2e1 / 0.3e1 * t8219 * t40145 * t19398 - t133780 + t133781 + t129416;
  t143815 = t1094 * t72986 * t2617;
  t143829 = -0.12e2 * t127316 + 0.4e1 * t127328 + t131233 + t124817 + t555 * t1094 * t1095 * t167 * t143016 / 0.12e2 + t2947 * t139755 / 0.3e1 + t490 * t143815 / 0.12e2 - 0.6e1 * t1956 * t19365 + t1956 * t19329 + 0.3e1 * t1647 * t19954 + 0.47e2 / 0.3e1 * t61342 * t72783 - t14711 * t5563 * t19226 - t8169 * t5563 * t143175;
  t143851 = 0.14e2 / 0.3e1 * t8169 * t5733 * t143050 - 0.3e1 * t8169 * t5595 * t8278 * t19368 - 0.6e1 * t8280 * t19359 + 0.3e1 * t1956 * t19343 - 0.4e1 * t14831 * t19414 - 0.23e2 / 0.3e1 * t73825 * t19469 - t18481 - 0.35e2 / 0.3e1 * t73218 * t62177 + 0.15e2 / 0.2e1 * t73218 * t62124 - 0.2e1 * t34833 * t19980 - t16114 - t16119 + t16127 + t18488;
  t143857 = my_piecewise3(t100, 0, t143829 + t143205 + t143761 + t142952 + t143225 + t142900 + t142794 + t143286 + t143120 + t142815 + t143611 + t143638 + t142782 + t142871 + t143666 + t143707 + t143724 + t143803 + t143098 + t143583 + t143251 + t143567 + t143692 + t143744 + t142847 + t143143 + t142921 + t143851 + t143778 + t143069 + t143033 + t143185);
  tv4lapl2tau28 = t3 * t143857;

  if(out->v4lapl2tau2 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapl2tau2[ip*p->dim.v4lapl2tau2 + 8] += tv4lapl2tau28;

  t143879 = -0.3e1 / 0.2e1 * t63486 * t2899 + t20285 * t6233 / 0.2e1 - t2844 * t65118 / 0.4e1 - t136787 + t140134 - t140135 + 0.36e2 * t679 * t115160 * t19556 + 0.9e1 * t679 * t114597 * t139281 - 0.28e2 * t30842 * t114382 + 0.22e2 / 0.3e1 * t114325 * t19563 + 0.11e2 / 0.6e1 * t20319 * t138972 - 0.61e2 / 0.27e2 * t114977 * t25714 * t2677;
  t143888 = t253 * t2932 * t463;
  t143908 = -0.23e2 / 0.3e1 * t114325 * t19566 - 0.23e2 / 0.12e2 * t20319 * t138975 + 0.3e1 / 0.2e1 * t3266 * t115277 * t2592 - t7251 * t4996 * t143888 / 0.2e1 - t7251 * t53031 * t19507 - 0.3e1 / 0.2e1 * t70173 * t4877 * t19507 + t7251 * t53027 * t19614 / 0.2e1 + 0.23e2 / 0.36e2 * t20319 * t32001 - t20319 * t32351 / 0.2e1 + 0.3e1 / 0.2e1 * t32356 * t20332 - 0.3e1 * t6411 * t20335 - t140136 + t136788;
  t143913 = t20146 * t2541;
  t143918 = t20146 * t463;
  t143919 = t95 * t143918;
  t143930 = t20162 * t463;
  t143934 = -t127368 + t136789 - 0.11e2 / 0.6e1 * t70173 * t9845 * t19507 - t7248 * t8790 * t95 * t143913 / 0.6e1 + t7251 * t4877 * t143919 / 0.12e2 + 0.3e1 / 0.2e1 * t69822 * t19695 + t71059 * t140739 / 0.2e1 - t7254 * t36464 * t19614 / 0.2e1 - t4983 * t1876 * t22290 * t143930 - t140142 - t2089 + t2160;
  t143950 = -t136799 - t140143 - t140170 + t124919 - 0.2e1 * t124921 - 0.9e1 / 0.2e1 * t9743 * t115834 - t136816 - 0.2e1 * t114977 * t26954 * t2677 - 0.43e2 / 0.9e1 * t114977 * t26011 * t19648 + 0.3e1 * t7587 * t19701 - 0.9e1 / 0.2e1 * t6100 * t115181 + 0.47e2 / 0.3e1 * t31048 * t115154 - t136817;
  t143961 = -t140180 + t127403 - t136820 + t140222 + t140223 - 0.3e1 / 0.2e1 * t14011 * t2734 - 0.3e1 / 0.4e1 * t14011 * t2737 + t1541 * t114372 + t140224 - 0.3e1 * t4772 * t14313 * t19676 + t127426 - t136904;
  t143986 = 0.12e2 * t114364 * t2692 + 0.4e1 * t20285 * t18608 - 0.9e1 * t1770 * t19517 - 0.3e1 * t1770 * t19668 + 0.7e1 * t6100 * t115244 - t2844 * t63517 / 0.2e1 + t515 * t836 * t63293 * t2852 / 0.4e1 - t20285 * t18623 + t4772 * t1876 * t22309 * t143930 - t515 * t110374 / 0.4e1 - 0.11e2 / 0.18e2 * t20319 * t31459 + t140231 - t140232;
  t144011 = t140233 - t140234 + t136951 - t136952 - 0.9e1 / 0.2e1 * t4983 * t2870 * t22290 * t19618 + 0.8e1 * t4772 * t14318 * t19633 + 0.9e1 / 0.2e1 * t4772 * t2870 * t22309 * t19618 - 0.7e1 * t9743 * t114960 - t515 * t110666 / 0.4e1 + t1516 * t20355 / 0.2e1 + 0.9e1 / 0.2e1 * t1770 * t19606 + 0.3e1 / 0.2e1 * t1770 * t19609 - 0.3e1 / 0.4e1 * t13203 * t2912;
  t144039 = t69265 * t2676;
  t144043 = 0.3e1 / 0.2e1 * t13203 * t2903 - 0.6e1 * t13894 * t19645 - 0.2e1 * t2844 * t140816 + 0.23e2 / 0.12e2 * t13908 * t4808 * t19644 + t2844 * t3690 * t19600 / 0.2e1 - t2844 * t3520 * t1514 * t2852 - t2844 * t3520 * t244 * t19599 + t136963 - t136964 - 0.5e1 / 0.12e2 * t13908 * t4808 * t19487 - 0.18e2 * t246 * t115160 * t19520 - 0.9e1 / 0.2e1 * t246 * t114597 * t139286 - t1779 * t1261 * t144039 / 0.4e1;
  t144065 = t95 * t143930;
  t144069 = t20162 * t2541;
  t144079 = -0.38e2 / 0.9e1 * t114977 * t25709 * t2677 + 0.89e2 / 0.9e1 * t114977 * t25714 * t2691 + t134037 - t134047 + t141984 - 0.9e1 / 0.2e1 * t9877 * t14328 * t20876 * t19501 + 0.9e1 / 0.2e1 * t26550 * t114741 * t19551 + t7248 * t3273 * t253 * t543 * t19598 / 0.4e1 + t7254 * t8790 * t144065 / 0.3e1 + t7248 * t42389 * t95 * t144069 / 0.2e1 + t4772 * t1872 * t788 * t143918 / 0.2e1 - 0.3e1 / 0.4e1 * t131646;
  t144099 = -t141990 - t141991 - 0.3e1 / 0.2e1 * t4993 * t115314 * t2728 + 0.3e1 / 0.2e1 * t3266 * t115314 * t2741 + t4983 * t1876 * t3130 * t143918 / 0.2e1 - t4772 * t1876 * t3556 * t143918 / 0.2e1 - 0.8e1 * t4983 * t14318 * t109551 - t137001 + t125059 + t137002 + t125067 - t140271 + t2839 * t13198 / 0.2e1;
  t144119 = 0.3e1 * t125072 + t118050 - 0.3e1 * t1516 * t20338 - t140277 - t140298 - t140299 + t131738 / 0.4e1 - t137063 + 0.18e2 * t3167 * t115296 * t20831 * t20854 * t463 - 0.9e1 * t7587 * t19557 + 0.9e1 / 0.2e1 * t1770 * t19521 - 0.6e1 * t20841 * t115296 * t20831 * t20832 * t463;
  t144141 = 0.6e1 * t246 * t115296 * t20831 * t19555 + 0.9e1 / 0.2e1 * t36012 * t19552 - 0.18e2 * t679 * t115296 * t20831 * t19550 - 0.62e2 / 0.3e1 * t31048 * t114594 + 0.18e2 * t246 * t114876 * t2741 + 0.6e1 * t246 * t114869 * t18611 - t137077 - t7251 * t52565 * t19507 / 0.2e1 - t137080 - t137081 - t127571 - t118171 + t118172;
  t144148 = -t118178 - t118190 - t140362 + t137084 - t137085 + t137086 - t137093 - t140363 - 0.3e1 / 0.2e1 * t71047 * t19690 - t71614 * t19123 / 0.2e1 + t140368 + t140369;
  t144176 = t137178 + t127608 - t140378 + t140379 + 0.3e1 * t71059 * t26405 * t670 * t19618 - 0.23e2 / 0.12e2 * t70173 * t26189 * t19502 - 0.3e1 * t3266 * t114966 * t18611 + 0.7e1 * t9743 * t114972 + t7251 * t5175 * t143919 / 0.6e1 + 0.9e1 * t4993 * t114664 * t2728 - 0.9e1 * t3266 * t114664 * t2741 - t7251 * t26400 * t144065 / 0.3e1 - 0.9e1 * t4993 * t114741 * t19556;
  t144215 = -t4772 * t1872 * t3562 * t143930 - 0.3e1 / 0.2e1 * t4772 * t519 * t22302 * t144069 - 0.3e1 / 0.4e1 * t131813 + t134407 + 0.9e1 / 0.2e1 * t3266 * t114741 * t19520 + 0.9e1 * t4983 * t14328 * t20862 * t19501 - 0.9e1 / 0.2e1 * t4772 * t14328 * t22290 * t19501 + 0.3e1 / 0.2e1 * t70173 * t26405 * t19614 + 0.9e1 / 0.2e1 * t70173 * t26189 * t3156 * t19501 - 0.5e1 / 0.12e2 * t70173 * t9744 * t19507 - 0.4e1 / 0.3e1 * t69822 * t19623 - 0.3e1 / 0.4e1 * t71059 * t26405 * t19619 + 0.5e1 / 0.12e2 * t70173 * t26189 * t19614;
  t144229 = -0.3e1 / 0.4e1 * t30 * t2719 * t2933 - t30 * t476 * t20390 / 0.4e1 + t142163 - t2844 * t63477 / 0.2e1 + 0.3e1 / 0.2e1 * t1516 * t20325 - t20119 + t20120 + t118266 - t118270 - 0.3e1 / 0.4e1 * t30 * t19792 * t544 - t137289 + t137290 + t137291;
  t144261 = t15109 - 0.4e1 * t14169 * t110482 + 0.4e1 * t14166 * t110708 + 0.4e1 * t14172 * t109874 - 0.4e1 / 0.3e1 * t14169 * t110491 + t136841 - t136842 + t136843 + t129795 + 0.8e1 * t2878 * t18611 + 0.24e2 * t114502 * t2741;
  t144272 = -0.12e2 * t114465 * t19520 + 0.4e1 / 0.3e1 * t114465 * t19556 - 0.4e1 * t114502 * t2728 - 0.4e1 / 0.3e1 * t2878 * t18594 + 0.2e2 / 0.9e1 * t114465 * t19551 + t136849 + t122586 - t122589 + t122593 - t136850 + t136851 + t136852;
  t144281 = -t15121 - t122603 + t122609 + t122617 - t136866 - t129822 - 0.2e1 / 0.3e1 * t19630 - 0.24e2 * t114478 * t2741 + 0.32e2 / 0.3e1 * t114486 * t19556 - 0.4e1 * t19681 - 0.4e1 * t19677;
  t144305 = 0.2e1 * t521 * t19664 - 0.12e2 * t114495 * t2733 - 0.4e1 * t2881 * t2592 + 0.12e2 * t114486 * t19520 + 0.4e1 * t19634 - 0.8e1 / 0.3e1 * t114483 * t18594 + 0.16e2 / 0.9e1 * t114486 * t19551 - 0.2e1 * t14172 * t19664 - 0.8e1 * t114483 * t18611 + 0.12e2 * t114472 * t2733 + 0.4e1 * t114475 * t2592 - 0.8e1 * t114478 * t2728;
  t144307 = t144261 + t144272 + t144281 + t144305;
  t144320 = -t137292 - 0.3e1 * t125381 + t137316 + 0.9e1 * t7587 * t19698 + 0.18e2 * t114325 * t19649 + 0.9e1 / 0.2e1 * t20319 * t139277 + t515 * t836 * t7213 * t19599 / 0.4e1 + t515 * t836 * t6119 * t20221 / 0.12e2 + t515 * t836 * t837 * t94 * t144307 / 0.12e2 - t2844 * t63224 / 0.4e1 - t515 * t110223 / 0.2e1 + 0.44e2 / 0.27e2 * t114977 * t26011 * t2691;
  t144334 = 0.6e1 * t114325 * t19569 + 0.3e1 / 0.2e1 * t20319 * t139290 - 0.3e1 / 0.2e1 * t246 * t115092 * t2592 - t20235 + t16164 + t15613 - t15624 - t15634 + t15641 - t20236 - 0.3e1 * t36004 * t19685 - 0.3e1 / 0.2e1 * t36004 * t19687 - 0.3e1 * t52940 * t19626;
  t144342 = t2851 * t19598;
  t144357 = 0.3e1 * t36004 * t19628 + 0.3e1 / 0.2e1 * t52936 * t19630 - 0.3e1 / 0.2e1 * t52942 * t19634 + t4772 * t519 * t3562 * t144342 + 0.2e1 / 0.3e1 * t6439 * t114316 + 0.9e1 / 0.2e1 * t3266 * t114238 * t2733 + t7254 * t52327 * t19507 + t7248 * t141894 / 0.2e1 + t20280 + 0.2e1 * t6439 * t114842 + t20281 - t20282;
  t144363 = t253 * t20398 * t463;
  t144367 = -t140515 + t125437 / 0.2e1 + t137354 - t140517 - t140518 + t140519 - t140520 + t140538 - t137355 - t137356 + 0.3e1 * t69822 * t19508 + t71059 * t140228 - t7254 * t3273 * t144363 / 0.2e1;
  t144387 = 0.3e1 / 0.2e1 * t3266 * t14062 * t110708 + 0.3e1 / 0.2e1 * t3266 * t14065 * t109874 - t6439 * t115823 + t20316 - t140545 - t140546 - t142293 + t134971 - t7248 * t8790 * t95 * t144342 / 0.3e1 - t7251 * t26405 * t144065 / 0.6e1 + t7248 * t31478 * t20399 / 0.4e1 + t125511;
  t144411 = -0.2e1 * t4772 * t2866 * t19680 + t7251 * t5175 * t144363 / 0.2e1 + t4772 * t519 * t3562 * t143913 / 0.2e1 - t6439 * t114617 / 0.3e1 + t142321 + t142322 + t137413 + 0.3e1 / 0.2e1 * t1516 * t20292 + 0.3e1 * t6411 * t20298 - 0.3e1 / 0.2e1 * t13203 * t2907 - 0.3e1 / 0.2e1 * t20319 * t31474 + t20285 * t6402 - t466 * t114291 / 0.12e2;
  t144434 = t114296 * t481 / 0.4e1 - 0.5e1 / 0.36e2 * t20319 * t31970 - t137429 - 0.3e1 / 0.2e1 * t13908 * t4867 * t19487 - 0.6e1 * t246 * t115337 * t2733 - 0.18e2 * t679 * t114876 * t2728 - 0.3e1 / 0.2e1 * t70846 * t2729 + t15662 + t15676 - t15681 - t15684 - 0.18e2 * t3167 * t115160 * t19551 - 0.9e1 / 0.2e1 * t3167 * t114597 * t139256;
  t144461 = 0.8e1 * t31048 * t114602 + 0.3e1 * t13894 * t19641 + t2844 * t140303 - 0.11e2 / 0.6e1 * t13908 * t4851 * t19487 - 0.3e1 / 0.4e1 * t1770 * t19665 + t2844 * t63521 + t140758 + 0.5e1 / 0.3e1 * t114325 * t19480 - 0.6e1 * t114364 * t2686 - 0.2e1 * t20285 * t18615 - t1779 * t1254 * t144039 / 0.2e1 - 0.3e1 / 0.2e1 * t3266 * t114792 * t2733 - 0.3e1 / 0.4e1 * t3266 * t114788 * t2592;
  t144479 = t20147 * t463;
  t144501 = t115501 * t463;
  t144515 = t1876 * t3556 * t144479 + 0.24e2 * t115524 * t20862 * t2697 - t142455 - t142456 - 0.3e1 * t98856 * t802 * t19772 + t70373 * t3590 * t19712 / 0.3e1 + 0.18e2 * t98856 * t815 * t19772 + 0.2e1 * t70373 * t3580 * t19712 - t142457 + 0.2e1 * t11138 * t233 * t115501 * t2541 + t7651 * t802 * t144501 / 0.3e1 + t140570 + 0.6e1 * t125727 - t142460 - t140584 - 0.2e1 / 0.3e1 * t1876 * t3130 * t144479 + 0.6e1 * t2870 * t22290 * t19751 - t14328 * t20876 * t19723 / 0.6e1;
  t144540 = t115441 * t463;
  t144547 = 0.6e1 * t14313 * t19736 + 0.4e1 * t2866 * t19752 + 0.32e2 / 0.3e1 * t14318 * t19731 - 0.12e2 * t125750 + t140586 - t140587 - t140588 + t137548 - t519 * t788 * t63 * t144307 - 0.6e1 * t2870 * t3556 * t19746 - 0.24e2 * t115418 * t2698 - 0.6e1 * t20123 * t2562 + 0.4e1 * t2866 * t19747 + t142514 - 0.2e1 * t7651 * t815 * t144501 - 0.18e2 * t70373 * t19713 + 0.4e1 * t36191 * t815 * t144540 - t137553 + 0.2e1 * t7655 * t233 * t144501;
  t144567 = t2708 * t20162;
  t144589 = -0.2e1 * t519 * t3562 * t2883 * t19598 + t2870 * t3130 * t19746 - 0.12e2 * t70364 * t19768 - 0.4e1 * t36100 * t233 * t144540 - 0.6e1 * t53473 * t233 * t115441 * t2541 - t137559 + 0.9e1 * t14328 * t22290 * t19723 + 0.4e1 / 0.3e1 * t1876 * t22290 * t144567 - 0.72e2 * t115468 * t19720 - 0.18e2 * t20159 * t139412 + 0.8e1 / 0.3e1 * t115524 * t20876 * t2697 - 0.16e2 * t14318 * t19724 - t20166 - t16308 + 0.3e1 * t2870 * t3556 * t19783 - 0.1e2 * t20159 * t139484 + 0.24e2 * t115463 * t2709 + 0.8e1 * t20155 * t18683;
  t144602 = -0.2e1 / 0.3e1 * t115468 * t19757 - t20159 * t139492 / 0.6e1 + 0.5e2 / 0.3e1 * t115524 * t20876 * t2708 - 0.4e2 * t115468 * t19760 + 0.1e2 / 0.3e1 * t115524 * t20871 * t2708 + t118539 + t137564 - t137565 - t137566 + t137567 - t137568 + t137569 + t137570 - t137571 - t140622 - t140623 + t140624 - t118587 - t16807;
  t144624 = -t137572 + t137573 + t137574 - t137575 - t142570 + t137576 + t137578 - 0.12e2 * t115463 * t2701 - 0.4e1 * t20155 * t18634 + 0.4e1 / 0.3e1 * t115468 * t19716 + t20159 * t139409 / 0.3e1 - t115524 * t20845 * t2697 / 0.9e1 + 0.2e1 * t1872 * t3562 * t144567 + 0.3e1 * t519 * t22302 * t20163 * t2541 - t140652 + t140653 - 0.4e1 * t125870 + t118606;
  t144647 = -0.2e1 * t1876 * t22309 * t144567 - 0.9e1 * t2870 * t22309 * t19751 + t140671 + t140672 + t15762 + t140693 + 0.2e1 * t125894 - t137655 - t140698 - 0.8e1 * t98887 * t19773 - 0.16e2 / 0.3e1 * t70384 * t19713 - t15768 - t15774 + t20182 - 0.1e2 * t14328 * t20862 * t19723 + 0.72e2 * t115463 * t2705 + 0.24e2 * t20155 * t18671 + 0.8e1 * t115468 * t19728 + 0.2e1 * t20159 * t139336;
  t144675 = -0.4e1 / 0.3e1 * t115524 * t20871 * t2697 + 0.36e2 * t115468 * t19778 + 0.9e1 * t20159 * t139468 + t134709 + t18113 + t137680 + t16850 + t118668 - t118674 - t118677 + t142637 - t137687 - 0.2e1 * t2866 * t19784 - 0.12e2 * t115524 * t20862 * t2708 + 0.12e2 * t115418 * t2712 + 0.3e1 * t20123 * t2572 - 0.2e1 * t2870 * t3130 * t19783 + 0.4e1 * t11138 * t233 * t14357 * t19598 - 0.2e1 / 0.3e1 * t36191 * t802 * t144540;
  t144691 = 0.32e2 * t70384 * t19765 - t137688 - 0.36e2 * t115463 * t2716 - 0.12e2 * t20155 * t18686 + t20198 + t20199 - t20200 + t137694 - t1872 * t788 * t144479 - t519 * t3562 * t20147 * t2541 + t15802 - t15811 + t15813 - t20210 + t142694 + t142695 - t2138 + t2119 + t519 * t788 * t60 * t144307 / 0.2e1;
  t144704 = t6439 * t114830 - 0.8e1 / 0.3e1 * t69822 * t19638 - 0.3e1 / 0.2e1 * t71059 * t26400 * t19619 + 0.11e2 / 0.6e1 * t70173 * t26847 * t19614 + 0.16e2 / 0.3e1 * t69822 * t19503 + 0.3e1 * t4993 * t114966 * t18594 + t140788 - t16757 - t30 * t59 * (t144515 + t144547 + t144589 + t144602 + t144624 + t144647 + t144675 + t144691) * t95 / 0.4e1 + 0.3e1 / 0.2e1 * t13203 * t2915 + t137484 + 0.3e1 / 0.2e1 * t4993 * t14120 * t110491;
  t144721 = -0.3e1 / 0.2e1 * t3266 * t14120 * t110482 + t137500 - t142439 + t137501 + t20370 - t20371 - t20372 - 0.7e1 * t20319 * t139273 - t2839 * t19601 / 0.3e1 + 0.5e1 / 0.12e2 * t20319 * t139293 - 0.35e2 / 0.108e3 * t114977 * t26011 * t2677 - 0.3e1 / 0.2e1 * t13915 * t19488 - t2839 * t19003 / 0.2e1;
  t144741 = 0.3e1 / 0.2e1 * t13894 * t19493 + t2844 * t140199 / 0.2e1 + t132450 / 0.4e1 + t1516 * t20237 + t246 * t14249 * t19664 - t466 * t115841 / 0.4e1 + 0.3e1 / 0.4e1 * t1770 * t19660 - t466 * t115848 / 0.12e2 + t246 * t115846 * t469 * t249 / 0.4e1 - t20397 + t140797 - t137740 + t137741;
  t144778 = 0.3e1 / 0.2e1 * t14011 * t2742 + t1815 * t843 * t144039 / 0.2e1 + t515 * t142049 / 0.4e1 - t1516 * t20266 / 0.4e1 - t246 * t1797 * t824 * t221 * t144307 / 0.4e1 + t140818 + t2844 * t3520 * t19575 / 0.4e1 + t2844 * t3520 * t19600 / 0.4e1 + t2839 * t12910 / 0.2e1 - 0.3e1 / 0.2e1 * t1516 * t20271 - 0.3e1 / 0.2e1 * t246 * t13885 * t3360 * t665 * t19598 + t2844 * t3690 * t19575 / 0.2e1 - t515 * t3460 * t6119 * t20362 / 0.6e1;
  t144805 = 0.3e1 / 0.2e1 * t1516 * t20367 + t137748 + 0.23e2 / 0.12e2 * t70173 * t9744 * t19511 + t7254 * t4762 * t143888 / 0.2e1 + t7248 * t141701 / 0.4e1 - t7251 * t4873 * t143888 / 0.4e1 + 0.3e1 / 0.2e1 * t52942 * t19677 + 0.3e1 / 0.2e1 * t52942 * t19681 - t6439 * t115386 - 0.2e1 * t71059 * t140850 - 0.2e1 * t20285 * t6424 + 0.7e1 / 0.3e1 * t20319 * t31470;
  t144831 = t2844 * t63481 - t7248 * t8790 * t253 * t20398 * t2541 / 0.2e1 + t7251 * t4877 * t144363 / 0.4e1 - t15734 + t137770 + t16901 + t71047 * t19615 + 0.2e1 / 0.3e1 * t71614 * t19620 - t7248 * t82971 * t19619 / 0.2e1 + t7251 * t52331 * t19614 / 0.4e1 - t7254 * t3273 * t143919 / 0.6e1 - 0.6e1 * t9863 * t115381 - 0.3e1 / 0.4e1 * t31651 * t20403;
  t144850 = -0.3e1 / 0.4e1 * t3266 * t14065 * t19664 + t137791 - t140860 + t140862 - t137802 + t137803 - 0.3e1 / 0.2e1 * t1516 * t20359 + 0.2e1 * t115323 * t2678 + t20305 * t2544 / 0.2e1 - 0.3e1 * t114364 * t2681 - t2839 * t19576 / 0.3e1 - t466 * t114392 / 0.4e1 + 0.3e1 / 0.4e1 * t14011 * t2751;
  t144869 = 0.3e1 / 0.4e1 * t1516 * t20250 - 0.6e1 * t679 * t114869 * t18594 + 0.3e1 / 0.2e1 * t6411 * t20241 + 0.3e1 / 0.2e1 * t679 * t13885 * t3360 * t660 * t19598 - 0.3e1 / 0.2e1 * t6411 * t20245 + 0.3e1 / 0.4e1 * t109921 * t530 - t20305 * t1511 / 0.2e1 - t137830 + t140872 - t142754 - t140873 - t137840 + t137841;
  t144875 = my_piecewise3(t2, 0, t144411 + t143908 + t143934 + t144387 + t144704 + t144367 + t144741 + t144320 + t144461 + t144215 + t144869 + t144831 + t144079 + t144850 + t144119 + t144434 + t144043 + t143879 + t144334 + t143986 + t144357 + t144176 + t144141 + t143961 + t144805 + t144229 + t144148 + t144099 + t144011 + t143950 + t144778 + t144721);
  tv4lapltau30 = t3 * t144875;

  if(out->v4lapltau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 0] += tv4lapltau30;

  tv4lapltau31 = 0.e0;

  if(out->v4lapltau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 1] += tv4lapltau31;

  tv4lapltau32 = 0.e0;

  if(out->v4lapltau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 2] += tv4lapltau32;

  tv4lapltau33 = 0.e0;

  if(out->v4lapltau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 3] += tv4lapltau33;

  tv4lapltau34 = 0.e0;

  if(out->v4lapltau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 4] += tv4lapltau34;

  tv4lapltau35 = 0.e0;

  if(out->v4lapltau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 5] += tv4lapltau35;

  tv4lapltau36 = 0.e0;

  if(out->v4lapltau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 6] += tv4lapltau36;

  t144878 = t2954 * t19865;
  t144883 = t20487 * t487;
  t144884 = t168 * t144883;
  t144893 = 0.23e2 / 0.36e2 * t20422 * t34466 - t8214 * t9444 * t168 * t144878 / 0.3e1 + t137871 - t8063 * t30141 * t144884 / 0.6e1 + t8214 * t34283 * t20592 / 0.4e1 - t140919 - t140920 - t137874 + t128553 - t137875 - t137876 + 0.3e1 / 0.2e1 * t57324 * t19983;
  t144924 = 0.3e1 / 0.2e1 * t57324 * t19988 - t6769 * t117457 - 0.3e1 / 0.2e1 * t4695 * t116756 * t2813 - 0.3e1 / 0.4e1 * t4695 * t116760 * t2667 - t8063 * t56637 * t19927 / 0.2e1 - t137884 + t137917 + 0.6e1 * t116627 * t19957 + t5665 * t2060 * t24564 * t144883 - t8063 * t30134 * t144884 / 0.3e1 + 0.2e1 / 0.3e1 * t8063 * t30141 * t1018 * t144883 - t5639 * t2060 * t24435 * t144883 - t8214 * t85758 * t20093 / 0.2e1;
  t144929 = t20462 * t487;
  t144934 = t20462 * t2616;
  t144958 = -t8219 * t40145 * t20097 / 0.2e1 + t5665 * t2056 * t1165 * t144929 / 0.2e1 + t5665 * t559 * t4575 * t144934 / 0.2e1 - 0.5e1 / 0.12e2 * t73218 * t10358 * t19927 + t73236 * t141630 / 0.2e1 - t2180 + t2251 + t132744 / 0.4e1 + t2947 * t4553 * t19890 / 0.2e1 + t2947 * t4553 * t19895 / 0.2e1 + 0.3e1 / 0.2e1 * t1647 * t20642 - 0.3e1 / 0.2e1 * t373 * t14857 * t4305 * t1013 * t19865;
  t144972 = -0.3e1 / 0.2e1 * t1647 * t20639 + 0.3e1 / 0.2e1 * t13591 * t3006 - 0.3e1 / 0.4e1 * t1956 * t19868 - 0.3e1 / 0.2e1 * t14711 * t5563 * t19962 - t555 * t113980 / 0.2e1 - 0.3e1 / 0.2e1 * t39906 * t19975 - t137929 - t140939 - t140940 - t128691 + t140941 - t140942 + t140943;
  t145000 = -t128704 + t135432 - 0.6e1 * t1029 * t116433 * t18792 - 0.43e2 / 0.9e1 * t116335 * t28999 * t6780 + 0.9e1 / 0.2e1 * t20422 * t140117 + 0.12e2 * t33976 * t117299 - 0.3e1 / 0.2e1 * t373 * t117294 * t2667 - 0.3e1 / 0.4e1 * t13591 * t3015 - 0.62e2 / 0.3e1 * t33874 * t117625 + 0.9e1 * t1029 * t116630 * t139585 + 0.8e1 * t33874 * t116636 - 0.9e1 / 0.2e1 * t4718 * t116630 * t139848;
  t145033 = -t2947 * t4376 * t1645 * t2955 - t2947 * t4376 * t371 * t19894 - t137960 + t555 * t143815 / 0.4e1 - t20416 * t18767 - 0.18e2 * t373 * t117583 * t19953 + 0.6e1 * t373 * t117313 * t24678 * t19945 - 0.2e1 * t116335 * t29545 * t2757 + 0.3e1 * t8280 * t19836 - 0.6e1 * t25474 * t117313 * t24678 * t24581 * t487 + 0.18e2 * t4718 * t117313 * t24678 * t24556 * t487 - t142841 + t132801 / 0.4e1;
  t145055 = -t118825 + t140975 - 0.9e1 / 0.2e1 * t10513 * t14932 * t24477 * t19877 + 0.9e1 * t5639 * t14932 * t24418 * t19877 + t126272 + t140976 + 0.3e1 / 0.2e1 * t20422 * t140113 - 0.38e2 / 0.9e1 * t116335 * t29113 * t2757 - t555 * t112718 / 0.4e1 + t137997 + t117508 * t505 / 0.4e1 - 0.23e2 / 0.12e2 * t73218 * t29474 * t19878 - t141033;
  t145060 = t168 * t144929;
  t145079 = t380 * t112866;
  t145093 = 0.3e1 * t39906 * t20107 + 0.3e1 / 0.2e1 * t73070 * t20090 + t8063 * t5691 * t145060 / 0.12e2 - t8214 * t9444 * t168 * t144934 / 0.6e1 - t8219 * t4687 * t145060 / 0.6e1 - 0.8e1 / 0.3e1 * t73070 * t20104 + t141041 - 0.3e1 / 0.2e1 * t73218 * t5691 * t19927 + t8063 * t5674 * t145060 / 0.6e1 - t8063 * t5679 * t145079 / 0.2e1 - t8063 * t56433 * t19927 + t5639 * t2060 * t4572 * t144929 / 0.2e1 - t5665 * t2060 * t4626 * t144929 / 0.2e1;
  t145121 = 0.3e1 * t73236 * t30141 * t1018 * t19986 + t142902 - t142903 + 0.7e1 * t10357 * t116711 - 0.3e1 * t1956 * t19820 - t490 * t117236 / 0.4e1 + 0.3e1 / 0.4e1 * t14666 * t2831 + t2942 * t13580 / 0.2e1 - 0.23e2 / 0.3e1 * t116627 * t19931 + t20429 * t2619 / 0.2e1 - 0.6e1 * t373 * t117309 * t2813 + t2947 * t4376 * t19895 / 0.4e1;
  t145136 = t2947 * t4376 * t19890 / 0.4e1 + t138066 - t142911 - 0.3e1 / 0.2e1 * t57324 * t19900 - 0.3e1 * t57332 * t20109 + t141096 - 0.9e1 / 0.2e1 * t5639 * t2973 * t24435 * t19986 + t138080 - t142918 + 0.3e1 / 0.2e1 * t73218 * t30141 * t20097 + t141110 + t141111 + t126388;
  t145145 = t380 * t20591 * t487;
  t145166 = -t141113 + 0.3e1 / 0.2e1 * t1647 * t20576 + t20416 * t7021 / 0.2e1 - t555 * t112138 / 0.4e1 + t8063 * t5674 * t145145 / 0.2e1 - t8219 * t4687 * t145145 / 0.2e1 - t8214 * t9444 * t380 * t20591 * t2616 / 0.2e1 + t8063 * t5691 * t145145 / 0.4e1 - 0.3e1 / 0.2e1 * t6955 * t20625 + 0.3e1 * t6955 * t20579 - t20429 * t1642 / 0.2e1 + t138184;
  t145183 = -t141126 - t141127 + t143095 + t138191 - t490 * t116346 / 0.12e2 + t373 * t116344 * t493 * t376 / 0.4e1 - 0.9e1 * t1956 * t19950 + t141139 - t138202 - 0.5e1 / 0.36e2 * t20422 * t34611 - t2947 * t67678 / 0.4e1 - t2947 * t69153 / 0.2e1 + 0.3e1 / 0.2e1 * t13591 * t3018;
  t145209 = t138206 + 0.9e1 / 0.2e1 * t1956 * t19871 - 0.8e1 * t5639 * t14928 * t112752 + t138213 + 0.3e1 / 0.2e1 * t4695 * t14605 * t113817 + 0.3e1 / 0.2e1 * t4695 * t14608 * t112543 - t6769 * t116903 + t2942 * t13616 / 0.2e1 - 0.3e1 * t126509 + 0.23e2 / 0.12e2 * t14711 * t5595 * t19966 - 0.2e1 * t2947 * t141027 - 0.2e1 * t5665 * t2969 * t19987;
  t145234 = 0.16e2 / 0.3e1 * t10440 * t117379 - t138229 - 0.18e2 * t1029 * t117313 * t24678 * t19840 + t1647 * t20539 / 0.2e1 + 0.44e2 / 0.27e2 * t116335 * t28999 * t2771 - 0.23e2 / 0.12e2 * t20422 * t139835 - 0.35e2 / 0.108e3 * t116335 * t28999 * t2757 + 0.5e1 / 0.12e2 * t20422 * t139686 - 0.5e1 / 0.12e2 * t14711 * t5595 * t19962 + 0.3e1 * t14831 * t19963 + t1683 * t116580 - t141166 + t126519;
  t145246 = t20487 * t2616;
  t145262 = -t141167 + 0.2e1 * t6769 * t116842 + 0.3e1 / 0.2e1 * t5649 * t14814 * t112178 - 0.3e1 * t1647 * t20558 - 0.2e1 * t20416 * t6950 + t20416 * t6946 + t8214 * t45083 * t168 * t145246 / 0.2e1 + 0.8e1 * t5665 * t14928 * t19899 + t135725 + t20410 - 0.9e1 * t4695 * t116703 * t2821 - 0.3e1 * t4695 * t116521 * t18877 - 0.3e1 / 0.4e1 * t34833 * t20680;
  t145283 = -0.3e1 / 0.2e1 * t69146 * t3002 + t118987 + t141233 - t2942 * t19891 / 0.3e1 - t2942 * t19896 / 0.3e1 + t555 * t1094 * t8262 * t19894 / 0.4e1 + 0.3e1 / 0.2e1 * t14831 * t20084 + t2947 * t140936 / 0.2e1 - t2947 * t68331 / 0.4e1 + 0.18e2 * t34074 * t117281 - t490 * t117503 / 0.12e2 + t138277 - t138278;
  t145301 = -0.3e1 * t5665 * t14955 * t19982 + t141240 - t141241 + t126586 + t141248 - t141249 - 0.3e1 / 0.4e1 * t133120 - 0.9e1 / 0.2e1 * t373 * t116630 * t139589 - 0.7e1 * t10357 * t116716 + 0.9e1 / 0.2e1 * t5665 * t2973 * t24564 * t19986 - t138300 - t138301;
  t145343 = -0.4e1 * t14730 * t112570 + 0.4e1 * t14733 * t112543 - 0.4e1 / 0.3e1 * t14730 * t112178 + 0.4e1 * t14727 * t113817 - t131028 + 0.16e2 / 0.9e1 * t117122 * t19841 - 0.2e1 * t14733 * t19867 + 0.12e2 * t117132 * t2813 + 0.4e1 * t117135 * t2667 - 0.8e1 * t117138 * t2808 - 0.8e1 * t117115 * t18877;
  t145356 = -0.4e1 * t19983 - 0.4e1 * t19988 - 0.8e1 / 0.3e1 * t117115 * t18792 + t123861 + t138104 + t123863 + 0.4e1 * t19900 - 0.24e2 * t117138 * t2821 + 0.32e2 / 0.3e1 * t117122 * t19946 - 0.2e1 / 0.3e1 * t20111 + 0.12e2 * t117122 * t19953 - t138105;
  t145370 = t138106 + t138107 + 0.2e1 * t561 * t19867 - t123874 + t131084 - 0.12e2 * t117090 * t19953 + 0.4e1 / 0.3e1 * t117090 * t19946 + 0.24e2 * t117085 * t2821 + 0.8e1 * t2981 * t18877 + t123890 - 0.4e1 * t117085 * t2808;
  t145379 = -0.4e1 / 0.3e1 * t2981 * t18792 + 0.2e2 / 0.9e1 * t117090 * t19841 - 0.12e2 * t117104 * t2813 - 0.4e1 * t2984 * t2667 - t15352 - t138134 + t123897 - t123903 + t138137 - t138138 + t138155 + t15340;
  t145381 = t145343 + t145356 + t145370 + t145379;
  t145396 = -0.3e1 / 0.4e1 * t14666 * t2817 - 0.3e1 / 0.2e1 * t14666 * t2814 + t555 * t1094 * t67282 * t2955 / 0.4e1 - 0.61e2 / 0.27e2 * t116335 * t29118 * t2757 + 0.11e2 / 0.6e1 * t20422 * t139758 - 0.3e1 / 0.2e1 * t15036 * t20079 - t2942 * t19231 / 0.2e1 - t555 * t4354 * t6755 * t20582 / 0.6e1 + t555 * t1094 * t1095 * t167 * t145381 / 0.12e2 + t555 * t1094 * t6755 * t20603 / 0.12e2 - t2947 * t67343 / 0.2e1 - 0.11e2 / 0.6e1 * t14711 * t5733 * t19962 + t138308;
  t145414 = -t138310 + t138311 - 0.3e1 / 0.2e1 * t20422 * t34257 + t2947 * t69150 + 0.3e1 / 0.4e1 * t112143 * t570 + 0.7e1 / 0.3e1 * t20422 * t34460 - t20422 * t34456 / 0.2e1 + t8214 * t143794 / 0.2e1 + t8219 * t56641 * t19927 - 0.3e1 / 0.4e1 * t4695 * t14608 * t19867 + t141266 + t141267;
  t145431 = -t141268 - t138342 + t73900 * t20101 - t20542 + 0.9e1 / 0.2e1 * t30451 * t117007 * t19841 - 0.9e1 * t5649 * t117007 * t19946 - 0.3e1 * t39906 * t19980 - t16994 + 0.11e2 / 0.6e1 * t73218 * t29468 * t20097 - t143565 + t373 * t14685 * t19867 + t143566 + 0.9e1 / 0.2e1 * t10357 * t116820;
  t145454 = 0.9e1 * t5649 * t116703 * t2808 + 0.3e1 * t5649 * t116521 * t18792 - 0.9e1 / 0.2e1 * t10357 * t116518 + 0.5e1 / 0.12e2 * t73218 * t29474 * t20097 - 0.3e1 / 0.4e1 * t73236 * t30141 * t20093 - 0.4e1 / 0.3e1 * t73070 * t20098 + t8063 * t56645 * t20097 / 0.4e1 - t138589 - 0.2e1 * t126707 + t20546 - t138600 - t138601;
  t145477 = t72986 * t2756;
  t145488 = t138602 - 0.7e1 * t20422 * t139710 - 0.3e1 / 0.2e1 * t73236 * t30134 * t20093 - t73912 * t19379 / 0.2e1 - 0.3e1 / 0.2e1 * t73900 * t19972 + 0.9e1 / 0.2e1 * t4695 * t117044 * t2813 + 0.3e1 / 0.2e1 * t4695 * t117048 * t2667 - 0.9e1 / 0.2e1 * t5665 * t14932 * t24435 * t19877 + 0.9e1 / 0.2e1 * t4695 * t117007 * t19953 + t17003 - t1981 * t1430 * t145477 / 0.4e1 + 0.3e1 / 0.2e1 * t6955 * t20692 + 0.3e1 / 0.2e1 * t1029 * t14857 * t4305 * t1008 * t19865;
  t145508 = 0.89e2 / 0.9e1 * t116335 * t29118 * t2771 + 0.4e1 * t20416 * t18885 + t136001 - t20547 + t129166 + t5665 * t559 * t4575 * t144878 - t5665 * t2056 * t4575 * t144883 - 0.3e1 / 0.2e1 * t5665 * t559 * t24458 * t145246 - t138612 - 0.3e1 / 0.2e1 * t5649 * t117189 * t2808 - t141324 + t141325 - t141326;
  t145527 = t20587 - t20590 + t2947 * t67347 + 0.23e2 / 0.12e2 * t73218 * t10358 * t19934 + t138645 - 0.11e2 / 0.18e2 * t20422 * t34463 - 0.6e1 * t6788 * t116620 + 0.3e1 / 0.2e1 * t1956 * t19874 - 0.3e1 / 0.2e1 * t1647 * t20620 - t1981 * t1423 * t145477 / 0.2e1 - 0.3e1 / 0.4e1 * t110 * t20071 * t584 + t129222 + t138658;
  t145544 = -t141368 + 0.3e1 / 0.2e1 * t4695 * t117189 * t2821 + 0.3e1 / 0.2e1 * t57328 * t20111 + t1647 * t20688 + t138672 + t20623 - 0.11e2 / 0.6e1 * t73218 * t10447 * t19927 - 0.3e1 / 0.4e1 * t133402 - t20651 + t138691 - t138692 + t1974 * t1101 * t145477 / 0.2e1;
  t145554 = -0.3e1 / 0.2e1 * t4695 * t14814 * t112570 - t138714 + t138719 - t138720 - t138721 - t138744 - t6769 * t117471 / 0.3e1 - 0.6e1 * t116370 * t2766 - t20652 - t15910 + t15914 + t143718 + 0.3e1 / 0.2e1 * t1647 * t20561;
  t145563 = t141390 - t136217 + t15946 + t15949 + 0.2e1 * t117275 * t2758 - t373 * t2040 * t1076 * t348 * t145381 / 0.4e1 - t20679 + t16513 + t138788 + t141409 - t138789 - t141410 - t141411;
  t145586 = 0.5e1 / 0.3e1 * t116627 * t19887 + 0.3e1 / 0.4e1 * t1647 * t20629 + 0.6e1 * t373 * t116433 * t18877 - 0.28e2 * t34074 * t117338 - t1647 * t20685 / 0.4e1 + 0.47e2 / 0.3e1 * t33874 * t117351 + 0.18e2 * t373 * t117587 * t2821 - t490 * t116354 / 0.4e1 + 0.3e1 / 0.4e1 * t1956 * t19816 - 0.3e1 * t116370 * t2761 + t119123 - t119126 - t119130;
  t145598 = -t119138 + t119143 - 0.3e1 / 0.2e1 * t13591 * t3010 - t141421 + t127257 / 0.2e1 - t141621 - t15994 - t141639 - 0.3e1 / 0.4e1 * t110 * t2799 * t3036 - t110 * t500 * t20672 / 0.4e1 - t138852 + t138853;
  t145620 = t8214 * t4687 * t380 * t583 * t19865 / 0.4e1 - t16104 + t138866 + t138867 - t141655 + 0.3e1 * t127328 - 0.3e1 * t6955 * t20554 + 0.3e1 / 0.2e1 * t34264 * t20551 + 0.2e1 / 0.3e1 * t73912 * t20094 + t2947 * t141263 + 0.9e1 / 0.2e1 * t1956 * t19954 - 0.18e2 * t4718 * t117583 * t19841 + 0.36e2 * t1029 * t117583 * t19946;
  t145649 = 0.9e1 * t8280 * t19811 - 0.3e1 / 0.2e1 * t72822 * t2809 + 0.3e1 / 0.2e1 * t14666 * t2822 - 0.18e2 * t1029 * t117587 * t2808 + 0.9e1 / 0.2e1 * t39807 * t19842 - 0.9e1 * t8280 * t19947 + 0.7e1 * t14711 * t126881 - 0.9e1 / 0.2e1 * t14711 * t126208 + 0.22e2 / 0.3e1 * t116627 * t19827 - 0.2e1 * t20416 * t18881 + t8063 * t56429 * t20097 / 0.2e1 + t8219 * t9444 * t144884 / 0.3e1 - t20695;
  t145666 = t20463 * t487;
  t145683 = -0.16e2 / 0.3e1 * t74592 * t20002 - 0.18e2 * t74564 * t20002 - t138346 + 0.2e1 * t126947 - 0.2e1 * t559 * t4575 * t2986 * t19865 + t2973 * t4572 * t20006 - t14932 * t24477 * t20009 / 0.6e1 - t141461 - t141463 - t143327 + 0.4e1 / 0.3e1 * t117695 * t20040 - t2056 * t1165 * t145666 - t559 * t4575 * t20463 * t2616 + 0.6e1 * t14955 * t20035 + 0.4e1 * t2969 * t20038 + 0.32e2 / 0.3e1 * t14928 * t20010 + 0.9e1 * t14932 * t24435 * t20009 - 0.72e2 * t117695 * t20028;
  t145688 = t117707 * t487;
  t145696 = t20488 * t487;
  t145713 = -0.12e2 * t74875 * t19995 - 0.8e1 * t102057 * t19999 + 0.2e1 * t8511 * t360 * t145688 + 0.2e1 * t11656 * t360 * t117707 * t2616 + t141491 - t141500 + t141501 + 0.2e1 * t2056 * t4575 * t145696 + 0.3e1 * t559 * t24458 * t20488 * t2616 + t143348 - 0.12e2 * t127074 - t141503 - t141504 + t141505 + t143392 + t141536 - 0.2e1 * t2060 * t24564 * t145696 + 0.24e2 * t117699 * t24418 * t2777 + t2060 * t4626 * t145666;
  t145724 = t138438 - t16526 + 0.3e1 * t2973 * t4626 * t20044 - t138460 + t138477 + t141538 - t138482 - t138483 + 0.6e1 * t127139 - t141543 + t20511 - t20512 + t119333 - t119342 + t119344 + 0.8e1 / 0.3e1 * t117699 * t24477 * t2777 - t20513 - 0.12e2 * t20475 * t18866;
  t145752 = 0.12e2 * t117773 * t2792 + 0.3e1 * t20492 * t2647 - t138493 + 0.36e2 * t117695 * t20053 + 0.9e1 * t20468 * t140053 - 0.12e2 * t117699 * t24418 * t2788 + t138494 + t138495 - t143418 - t143419 + t143420 + t143425 - 0.6e1 * t2973 * t4626 * t20006 - 0.18e2 * t20468 * t139915 + 0.24e2 * t20475 * t18848 + 0.8e1 * t117695 * t20025 + 0.2e1 * t20468 * t140040 - 0.4e1 / 0.3e1 * t117699 * t24557 * t2777 - 0.16e2 * t14928 * t20023;
  t145785 = t117670 * t487;
  t145793 = -0.9e1 * t2973 * t24564 * t20037 - 0.1e2 * t14932 * t24418 * t20009 + 0.72e2 * t117650 * t2785 + 0.4e1 / 0.3e1 * t2060 * t24435 * t145696 + 0.6e1 * t2973 * t24435 * t20037 + t20468 * t140037 / 0.3e1 - t117699 * t24582 * t2777 / 0.9e1 - t141557 + t141558 + t8508 * t1173 * t145688 / 0.3e1 + 0.32e2 * t74592 * t19992 + 0.18e2 * t101781 * t1186 * t19998 + 0.2e1 * t74564 * t4599 * t19991 - 0.2e1 / 0.3e1 * t40455 * t1173 * t145785 - 0.6e1 * t58028 * t360 * t117670 * t2616 - t16030 - t16036 + t16046;
  t145821 = -t138509 - t559 * t1165 * t143 * t145381 + 0.4e1 * t11656 * t360 * t14969 * t19865 - 0.4e1 * t40461 * t360 * t145785 - 0.3e1 * t101781 * t1173 * t19998 + t74564 * t4586 * t19991 / 0.3e1 - t138514 + t138515 - t138516 + t138517 + 0.4e1 * t40455 * t1186 * t145785 + t559 * t1165 * t140 * t145381 / 0.2e1 - t138518 + t138519 + t138520 - 0.2e1 * t2969 * t20045 - 0.36e2 * t117650 * t2796 + t17099 + t138544;
  t145844 = -t143458 + 0.4e1 * t2969 * t20007 - 0.2e1 / 0.3e1 * t2060 * t4572 * t145666 - 0.24e2 * t117773 * t2778 - 0.6e1 * t20492 * t2637 - 0.12e2 * t117650 * t2781 - 0.4e1 * t20475 * t18828 + t138546 + t18435 - t17144 - t138565 - t20528 + t20529 + t20530 - t20468 * t139990 / 0.6e1 + 0.24e2 * t117650 * t2789 + 0.8e1 * t20475 * t18808 - 0.2e1 / 0.3e1 * t117695 * t20058 + t141610;
  t145862 = -t119443 - t119445 + t119455 - t16069 + t16075 + t136595 - 0.4e1 * t127221 + t16083 - t143524 - t138573 - t2229 - 0.2e1 * t8508 * t1186 * t145688 + t138574 - 0.1e2 * t20468 * t140062 + 0.1e2 / 0.3e1 * t117699 * t24557 * t2788 + 0.5e2 / 0.3e1 * t117699 * t24477 * t2788 - 0.4e2 * t117695 * t20061 - 0.2e1 * t2973 * t4572 * t20044 + t2210;
  t145886 = -t110 * t139 * (t145683 + t145713 + t145724 + t145752 + t145793 + t145821 + t145844 + t145862) * t168 / 0.4e1 - t16115 - t16120 + t16128 + t6769 * t116754 + t73236 * t141667 + 0.3e1 * t73070 * t19928 - 0.2e1 * t73236 * t141671 - 0.6e1 * t73070 * t19935 - t8063 * t5695 * t145079 / 0.4e1 + t8214 * t142812 / 0.4e1 + t8219 * t6005 * t145079 / 0.2e1 + t20696;
  t145892 = my_piecewise3(t100, 0, t145886 + t145649 + t145620 + t145598 + t145586 + t145563 + t145554 + t145544 + t145527 + t145508 + t145488 + t145454 + t145431 + t145414 + t145396 + t145301 + t145283 + t145262 + t145234 + t145209 + t145183 + t145166 + t145136 + t145121 + t145093 + t145055 + t145033 + t145000 + t144924 + t144893 + t144958 + t144972);
  tv4lapltau37 = t3 * t145892;

  if(out->v4lapltau3 != NULL && (p->info->flags & XC_FLAGS_NEEDS_LAPLACIAN) && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4lapltau3[ip*p->dim.v4lapltau3 + 7] += tv4lapltau37;

  t145894 = t2836 * t2836;
  t145897 = t191 * t3135 * t145894 * t20811;
  t145906 = t191 * t20823 * t145894 * t20825;
  t145909 = t20842 * t145894;
  t145915 = t680 * t145894;
  t145926 = t3115 * t145894;
  t145935 = -0.3e1 * t127360 + 0.5e1 / 0.3e1 * t145897 * t3178 - t2844 * t69927 / 0.2e1 + 0.18e2 * t145897 * t3158 - 0.35e2 / 0.108e3 * t145906 * t21698 - 0.18e2 * t679 * t145909 * t20877 - 0.3e1 * t14011 * t2907 - 0.18e2 * t679 * t145915 * t21139 + 0.4e1 * t20285 * t7595 + 0.18e2 * t246 * t145915 * t21143 + 0.2e1 * t2844 * t70841 - 0.18e2 * t246 * t145926 * t20886 + 0.6e1 * t246 * t145909 * t20863 + 0.6e1 * t36012 * t20332;
  t145955 = t191 * t649 * t145894 * t3118;
  t145960 = 0.4e1 * t127364 - 0.2e1 * t127368 + 0.14e2 * t127372 - t2089 + t2160 - 0.18e2 * t127378 - t2844 * t71585 + 0.6e1 * t7587 * t20241 - t127394 + 0.14e2 * t246 * t114869 * t20270 - 0.2e1 * t20305 * t1807 + 0.18e2 * t3167 * t145909 * t20872 - 0.38e2 / 0.9e1 * t145906 * t20868 + 0.12e2 * t145955 * t672 + 0.12e2 * t7587 * t20298;
  t145991 = -0.62e2 / 0.3e1 * t145906 * t22091 + 0.8e1 * t145906 * t20834 + 0.28e2 / 0.3e1 * t20319 * t36032 - 0.6e1 * t20319 * t36022 + 0.3e1 * t14011 * t2915 + 0.6e1 * t1770 * t20325 + 0.47e2 / 0.3e1 * t145906 * t22100 - 0.3e1 * t70846 * t2899 - 0.23e2 / 0.3e1 * t145897 * t3146 + 0.22e2 / 0.3e1 * t145897 * t3141 + 0.2e1 * t191 * t194 * t145894 * t3076 * t223 + 0.2e1 * t20285 * t7532 - 0.6e1 * t127398 + 0.2e1 * t127403;
  t146025 = -t127413 + 0.7e1 / 0.3e1 * t127426 - 0.7e1 * t127442 + 0.2e1 * t679 * t13885 * t3360 * t660 * t20146 - 0.14e2 * t679 * t114869 * t20240 - t515 * t114392 - t2839 * t20223 / 0.2e1 + 0.28e2 / 0.3e1 * t20285 * t20278 - 0.9e1 * t246 * t114597 * t20760 * t20239 + 0.3e1 * t20319 * t20930 * t2853 - 0.18e2 * t3167 * t145926 * t21997 + 0.23e2 / 0.9e1 * t20319 * t37190 + 0.44e2 / 0.27e2 * t145906 * t21122 - 0.6e1 * t145955 * t667 - t515 * t114291 / 0.3e1;
  t146054 = -0.12e2 * t1770 * t20338 + 0.89e2 / 0.9e1 * t145906 * t20856 - 0.43e2 / 0.9e1 * t145906 * t20859 - 0.2e1 * t145906 * t20851 + t2839 * t14006 - 0.8e1 * t20285 * t7582 + 0.23e2 / 0.6e1 * t127452 - 0.3e1 * t127456 + t246 * t115846 * t518 * t249 + 0.2e1 * t2844 * t71579 + 0.6e1 * t127475 - 0.6e1 * t127478 + 0.2e1 * t71059 * t5175 * t20399 - 0.6e1 * t3266 * t114966 * t20270;
  t146074 = t14228 * t2869;
  t146080 = -0.2e1 * t20319 * t35311 + t2839 * t14230 - 0.5e1 / 0.9e1 * t20319 * t36813 - 0.18e2 * t127494 + 0.9e1 * t127499 + t118050 + 0.4e1 * t2844 * t69975 - 0.4e1 / 0.3e1 * t2839 * t20218 - 0.3e1 / 0.2e1 * t14011 * t2912 + 0.3e1 * t14011 * t2903 - 0.3e1 / 0.4e1 * t137062 - 0.2e1 * t137076 + 0.28e2 / 0.3e1 * t20319 * t37121 - 0.3e1 * t679 * t146074 * t684 + 0.3e1 * t1770 * t20250;
  t146096 = -0.6e1 * t127566 - 0.14e2 / 0.3e1 * t127569 - 0.2e1 * t127571 - t118171 + t118172 - t118178 - t118190 + 0.3e1 / 0.2e1 * t127587 - t127589 / 0.2e1 + 0.6e1 * t127595 - 0.3e1 / 0.2e1 * t30 * t2889 * t2933 - 0.2e1 * t137092 - t30 * t20213 * t544 - t30 * t525 * t20390;
  t146129 = 0.3e1 / 0.2e1 * t137177 - 0.12e2 * t7587 * t20335 - 0.6e1 * t20841 * t145909 * t20846 - 0.2e1 * t20305 * t1765 + t114296 * t530 - 0.6e1 * t246 * t247 * t145894 * t21715 - 0.5e1 / 0.9e1 * t20319 * t36759 - 0.3e1 * t145955 * t662 + 0.6e1 * t1770 * t20292 - 0.22e2 / 0.9e1 * t20319 * t37193 - 0.61e2 / 0.27e2 * t145906 * t21119 - 0.28e2 * t145897 * t3153 + 0.36e2 * t679 * t145926 * t20890 + 0.6e1 * t145897 * t3150 - 0.2e1 * t20319 * t36029;
  t146156 = t1805 * t20154;
  t146163 = t1805 * t20158;
  t146175 = -t2844 * t70025 + 0.2e1 * t127608 - 0.6e1 * t1770 * t20271 - 0.9e1 / 0.2e1 * t246 * t115092 * t2911 - 0.4e1 * t2844 * t3520 * t1768 * t2852 - 0.4e1 / 0.3e1 * t2844 * t3520 * t244 * t20221 - 0.23e2 / 0.6e1 * t20319 * t21624 * t20277 - 0.6e1 * t20319 * t36896 - 0.11e2 / 0.12e2 * t2844 * t21755 * t20363 - 0.12e2 * t246 * t146156 * t3082 - 0.11e2 / 0.6e1 * t2844 * t21363 * t20363 - 0.12e2 * t679 * t146163 * t3126 + 0.6e1 * t246 * t146163 * t3131 + 0.18e2 * t679 * t114597 * t20760 * t3124 * t2851;
  t146197 = 0.23e2 / 0.9e1 * t20319 * t35649 - 0.6e1 * t7587 * t20245 + 0.2e1 * t2839 * t14400 + 0.6e1 * t4993 * t114966 * t20240 - t16133 / 0.3e1 + 0.2e1 * t16143 + t118266 - t118270 - 0.22e2 / 0.9e1 * t20319 * t37252 - 0.7e1 / 0.3e1 * t20285 * t20228 - 0.6e1 * t127752 + 0.4e1 * t127753 + 0.6e1 * t127759 - t127760 + 0.2e1 * t2844 * t3690 * t20217;
  t146231 = t3428 * t20121;
  t146234 = t21298 * t20121;
  t146254 = t15109 - 0.4e1 * t521 * t20354 - 0.8e1 * t2881 * t2911 + 0.12e2 * t2878 * t20270 - 0.24e2 * t146231 * t3082 + 0.32e2 / 0.3e1 * t146234 * t3126 + 0.12e2 * t146234 * t3131 + 0.12e2 * t789 * t20121 * t3260 + 0.12e2 * t127653 - 0.12e2 * t127656 + 0.4e1 * t127660 + 0.8e1 * t114475 * t2911 - 0.4e1 * t114483 * t20240 - 0.2e1 * t14172 * t20265 - 0.12e2 * t114483 * t20270 + 0.4e1 * t136848;
  t146281 = -0.12e2 * t127690 + 0.2e1 * t127692 + 0.12e2 * t127696 + 0.16e2 / 0.9e1 * t146234 * t3169 - 0.2e1 * t2878 * t20240 - 0.8e1 * t146231 * t3078 + 0.2e1 * t521 * t20265 - t15121 + 0.2e2 / 0.9e1 * t20173 * t3145 - 0.4e1 * t20170 * t661 + 0.24e2 * t20170 * t666 - 0.12e2 * t20173 * t3149 - 0.12e2 * t20167 * t222 + 0.4e1 / 0.3e1 * t20173 * t3140 + 0.4e1 * t14172 * t20354 - 0.4e1 * t136865;
  t146282 = t146254 + t146281;
  t146295 = 0.6e1 * t246 * t1805 * t20122 * t3260 - 0.2e1 * t246 * t13885 * t3360 * t665 * t20146 - 0.14e2 * t20319 * t21628 * t20277 + 0.2e1 / 0.3e1 * t137315 - 0.9e1 * t3167 * t114597 * t20760 * t3144 * t2851 + 0.6e1 * t3167 * t146163 * t3169 + 0.4e1 * t1770 * t20237 - 0.2e1 / 0.3e1 * t16162 + 0.4e1 / 0.3e1 * t16164 - t16170 / 0.3e1 + t16190 + t515 * t836 * t837 * t94 * t146282 / 0.12e2 + t2844 * t3520 * t20222 / 0.3e1 + t515 * t836 * t69265 * t2852 / 0.2e1;
  t146324 = t515 * t836 * t7213 * t20221 / 0.3e1 + t2844 * t3520 * t20217 + t16198 - t16202 / 0.3e1 + 0.3e1 * t127806 + 0.3e1 / 0.2e1 * t20305 * t2854 - 0.9e1 * t127843 - 0.12e2 * t127863 - t3266 * t14065 * t20265 - 0.4e1 * t71059 * t4877 * t3264 * t20398 - 0.3e1 * t36004 * t20403 + t17972 / 0.4e1 + 0.9e1 * t20319 * t21624 * t677 * t2852 - t515 * t115841 + t7248 * t36464 * t20399;
  t146330 = t2851 * t20146;
  t146350 = t20162 * t2851;
  t146372 = 0.2e1 * t3266 * t14065 * t20354 + 0.3e1 / 0.2e1 * t4772 * t519 * t3562 * t146330 + 0.18e2 * t127935 - 0.5e1 / 0.6e1 * t128239 + t2839 * t20364 - 0.11e2 / 0.2e1 * t679 * t13885 * t21336 * t660 * t20162 + 0.11e2 / 0.2e1 * t246 * t13885 * t21336 * t665 * t20162 + 0.2e1 * t20285 * t7516 + t515 * t21238 * t837 * t94 * t146350 / 0.2e1 - t2844 * t70297 + t7248 * t3273 * t253 * t543 * t20146 / 0.3e1 + t71059 * t4877 * t20399 + t7248 * t3273 * t253 * t2932 * t2851 / 0.2e1 - 0.3e1 / 0.2e1 * t3266 * t114788 * t2911;
  t146397 = 0.5e1 / 0.6e1 * t20319 * t21624 * t2853 - 0.14e2 / 0.3e1 * t20285 * t20274 + t137483 / 0.4e1 + 0.7e1 / 0.6e1 * t128266 + 0.7e1 * t128276 + 0.2e1 / 0.3e1 * t16272 - 0.2e1 * t16279 - 0.2e1 * t16282 + 0.4e1 * t20285 * t7487 - 0.3e1 / 0.4e1 * t18052 - t128327 / 0.2e1 + 0.3e1 / 0.2e1 * t128329 - 0.6e1 * t1770 * t20359 - 0.3e1 * t246 * t14228 * t2865 * t597 - 0.8e1 * t20285 * t7491;
  t146433 = t20822 * t145894;
  t146434 = t146433 * t20825;
  t146437 = t69 * t145894;
  t146438 = t146437 * t20811;
  t146477 = t146437 * t20885;
  t146480 = -0.8e1 * t2870 * t3556 * t20186 - 0.28e2 / 0.3e1 * t20155 * t20184 - 0.18e2 * t20123 * t2874 - 0.3e1 * t137559 + 0.3e1 * t519 * t22302 * t60 * t146350 - 0.8e1 * t16304 - 0.4e1 / 0.3e1 * t16308 + 0.6e1 * t11138 * t233 * t14357 * t20146 + 0.6e1 * t2866 * t20164 + 0.18e2 * t20159 * t22290 * t2883 - 0.72e2 * t146477 * t3596;
  t146484 = t648 * t145894;
  t146485 = t146484 * t21138;
  t146502 = 0.4e1 * t20159 * t20862 * t2873 - 0.11e2 * t2870 * t22309 * t20163 + 0.72e2 * t146485 * t798 + 0.9e1 * t20123 * t2884 + 0.56e2 * t20155 * t20195 - 0.28e2 * t20155 * t20203 + t118539 - 0.9e1 * t128027 - 0.24e2 * t128043 + 0.36e2 * t128047 + 0.6e1 * t137563;
  t146513 = -0.18e2 * t128049 + t128053 / 0.3e1 + 0.2e2 * t128055 - 0.18e2 * t128057 - t118587 - 0.28e2 / 0.3e1 * t128074 + 0.36e2 * t128080 + 0.14e2 * t128083 - 0.72e2 * t128084 + 0.36e2 * t128086 + 0.12e2 * t128094;
  t146523 = t146433 * t20844;
  t146538 = -0.12e2 * t2866 * t20192 - 0.6e1 * t519 * t22302 * t63 * t146350 + t118606 - 0.28e2 * t128147 + 0.24e2 * t146523 * t22413 + 0.8e1 * t16317 + 0.3e1 / 0.2e1 * t18113 + 0.14e2 / 0.3e1 * t128185 + t519 * t788 * t60 * t146282 / 0.2e1 - 0.3e1 * t2866 * t20148 + 0.22e2 / 0.3e1 * t2870 * t22290 * t20163;
  t146556 = 0.56e2 / 0.3e1 * t20155 * t20151 - t20159 * t20876 * t2883 / 0.3e1 + 0.4e1 / 0.3e1 * t146477 * t3628 + t118668 - t118674 - t118677 - 0.4e1 * t128193 - 0.3e1 * t137688 - 0.4e1 / 0.3e1 * t146523 * t22433 + 0.4e1 * t2870 * t3556 * t20147 - 0.2e2 * t20159 * t20862 * t2883;
  t146562 = t193 * t145894;
  t146580 = 0.8e1 * t146477 * t3613 - 0.12e2 * t146485 * t785 - 0.24e2 * t146562 * t21714 * t230 + 0.8e1 / 0.3e1 * t146523 * t22410 + 0.8e1 / 0.3e1 * t16335 + 0.4e1 * t16337 - 0.4e1 * t16340 + 0.3e1 / 0.2e1 * t137693 - 0.8e1 / 0.3e1 * t2870 * t3130 * t20147 - t146523 * t22347 / 0.9e1 - 0.11e2 / 0.3e1 * t2870 * t22290 * t20191;
  t146583 = t146484 * t3118;
  t146600 = 0.36e2 * t146438 * t3573 - 0.36e2 * t146583 * t816 - 0.4e2 * t146438 * t3581 + 0.1e2 / 0.3e1 * t146434 * t22191 - 0.12e2 * t146434 * t22237 - 0.3e1 * t18149 + 0.6e1 * t2866 * t20187 + 0.12e2 * t146562 * t3076 * t234 + 0.24e2 * t146583 * t803 - t2138 + t2119;
  t146630 = 0.2e1 / 0.3e1 * t137747 + 0.3e1 / 0.2e1 * t246 * t14249 * t20265 - 0.2e1 / 0.3e1 * t515 * t3460 * t7213 * t20362 - t30 * t65 * t253 * (-0.24e3 * t21827 * t21686 + 0.288e4 * t21830 * t21686 + 0.42e4 * t21833 * t21686 + 0.168e4 * t21838 * t21686 - 0.72e3 * t21843 * t21686 - 0.12e3 * t21686 * t264) / 0.4e1 - t30 * t59 * (-t519 * t788 * t63 * t146282 + 0.4e1 / 0.3e1 * t2870 * t3130 * t20186 + 0.2e1 / 0.3e1 * t20159 * t20876 * t2873 + 0.5e2 / 0.3e1 * t146434 * t22240 - 0.2e1 / 0.3e1 * t146438 * t3591 + 0.18e2 * t127948 - 0.2e1 / 0.3e1 * t127964 - 0.36e2 * t20159 * t22290 * t2873 + 0.22e2 * t2870 * t22309 * t20191 - 0.3e1 * t519 * t3562 * t20147 * t2851 + t146480 + t146502 + t146513 + t146538 + t146556 + t146580 + t146600) * t95 / 0.4e1 + 0.3e1 * t128365 + 0.4e1 * t3266 * t115277 * t2911 - 0.4e1 / 0.3e1 * t71614 * t20400 + 0.9e1 * t128424 - 0.3e1 / 0.2e1 * t128444 + 0.9e1 / 0.2e1 * t128448 - t7248 * t8790 * t95 * t146330 / 0.2e1 - 0.2e1 / 0.3e1 * t7248 * t8790 * t253 * t543 * t20162 - t137829 / 0.2e1 + 0.12e2 * t679 * t146156 * t3078;
  t146670 = -0.3e1 * t246 * t14249 * t20354 - t1770 * t20266 - t246 * t1797 * t824 * t221 * t146282 / 0.4e1 + 0.2e1 * t1770 * t20355 + 0.11e2 / 0.3e1 * t2844 * t21755 * t244 * t20362 - t515 * t115848 / 0.3e1 - t2844 * t71035 / 0.2e1 + 0.6e1 * t1770 * t20367 + 0.3e1 * t246 * t146074 * t690 - 0.3e1 / 0.2e1 * t246 * t1797 * t21237 * t221 * t146350 - 0.2e1 * t2844 * t69971 + 0.2e1 / 0.3e1 * t2844 * t3690 * t20222 + 0.11e2 / 0.3e1 * t20319 * t21628 * t2853 - 0.11e2 / 0.3e1 * t128530 + 0.9e1 * t128535;
  t146675 = my_piecewise3(t2, 0, t145935 + t145960 + t145991 + t146025 + t146054 + t146080 + t146096 + t146129 + t146175 + t146197 + t146295 + t146324 + t146372 + t146397 + t146630 + t146670);
  tv4tau40 = t3 * t146675;

  if(out->v4tau4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 0] += tv4tau40;

  tv4tau41 = 0.e0;

  if(out->v4tau4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 1] += tv4tau41;

  tv4tau42 = 0.e0;

  if(out->v4tau4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 2] += tv4tau42;

  tv4tau43 = 0.e0;

  if(out->v4tau4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 3] += tv4tau43;

  t146684 = t1963 * t20467;
  t146708 = 0.2e1 / 0.3e1 * t137870 - 0.14e2 / 0.3e1 * t128549 + 0.7e1 / 0.3e1 * t128553 + 0.18e2 * t1029 * t116630 * t24147 * t4149 * t2954 + 0.6e1 * t4718 * t146684 * t4721 - 0.2e1 * t373 * t14857 * t4305 * t1013 * t20462 - 0.14e2 * t1029 * t116433 * t20691 + 0.14e2 * t373 * t116433 * t20638 - 0.6e1 * t128560 - 0.9e1 * t128565 - 0.3e1 * t128577 - 0.2e1 / 0.3e1 * t8214 * t9444 * t380 * t583 * t20487 + 0.2e1 / 0.3e1 * t137916 - t2180;
  t146733 = t2251 + 0.2e1 * t4695 * t14608 * t20538 - t128627 / 0.2e1 - 0.2e1 * t128691 + t2942 * t14706 - 0.2e1 * t128704 + t8214 * t4687 * t380 * t583 * t20462 / 0.3e1 - t128714 - 0.3e1 * t373 * t14704 * t2968 * t1047 - t118825 + 0.9e1 * t128780 + t8214 * t40145 * t20592 - 0.4e1 / 0.3e1 * t73912 * t20593 - 0.3e1 / 0.2e1 * t14666 * t3015 - t1956 * t20685;
  t146750 = t4388 * t20413;
  t146753 = t24205 * t20413;
  t146762 = 0.4e1 * t14733 * t20538 - 0.12e2 * t117115 * t20638 + 0.8e1 * t117135 * t3014 - 0.4e1 * t117115 * t20691 - 0.2e1 * t14733 * t20684 + 0.4e1 * t128638 - 0.12e2 * t128649 + 0.2e1 * t128653 + 0.12e2 * t128655 - t15352 - 0.4e1 * t138133 - 0.24e2 * t146750 * t4215 + 0.32e2 / 0.3e1 * t146753 * t4725 + 0.12e2 * t146753 * t4729 + 0.12e2 * t2981 * t20638 - 0.8e1 * t2984 * t3014;
  t146791 = 0.2e1 * t561 * t20684 - 0.8e1 * t146750 * t4219 + 0.16e2 / 0.9e1 * t146753 * t4721 - 0.2e1 * t2981 * t20691 - 0.4e1 * t561 * t20538 + 0.12e2 * t1077 * t20413 * t4209 + 0.4e1 / 0.3e1 * t20495 * t4150 + 0.24e2 * t20498 * t1014 - 0.12e2 * t20495 * t4706 + 0.12e2 * t128680 - 0.12e2 * t128682 + 0.4e1 * t138154 - 0.12e2 * t20501 * t349 - 0.4e1 * t20498 * t1009 + 0.2e2 / 0.9e1 * t20495 * t4155 + t15340;
  t146792 = t146762 + t146791;
  t146825 = -t373 * t2040 * t1076 * t348 * t146792 / 0.4e1 - 0.4e1 / 0.3e1 * t2947 * t4376 * t371 * t20603 + 0.4e1 * t1956 * t20688 + 0.3e1 / 0.2e1 * t20429 * t2957 + 0.3e1 * t14666 * t3006 - t555 * t116354 - t555 * t116346 / 0.3e1 - t2947 * t73604 / 0.2e1 + 0.2e1 * t2942 * t14793 + 0.3e1 / 0.2e1 * t128819 - 0.6e1 * t1956 * t20639 + 0.6e1 * t1956 * t20642 - 0.9e1 * t373 * t116630 * t24147 * t20690 + 0.18e2 * t128838;
  t146826 = t2939 * t2939;
  t146829 = t321 * t3135 * t146826 * t24087;
  t146842 = t321 * t20823 * t146826 * t24537;
  t146845 = t4719 * t146826;
  t146849 = t25460 * t146826;
  t146866 = 0.22e2 / 0.3e1 * t146829 * t4151 - 0.23e2 / 0.3e1 * t146829 * t4156 + 0.18e2 * t146829 * t4193 - 0.8e1 * t20416 * t8275 - 0.5e1 / 0.9e1 * t20422 * t39880 - 0.35e2 / 0.108e3 * t146842 * t25509 - 0.18e2 * t373 * t146845 * t25306 + 0.6e1 * t373 * t146849 * t25466 - 0.2e1 * t146842 * t25451 - t2947 * t72961 / 0.2e1 - t2947 * t72825 + 0.18e2 * t4718 * t146849 * t25479 - 0.18e2 * t1029 * t146849 * t25462 + t2942 * t14661 + t117508 * t570;
  t146875 = t321 * t649 * t146826 * t4140;
  t146882 = t1030 * t146826;
  t146902 = 0.23e2 / 0.9e1 * t20422 * t40229 - 0.43e2 / 0.9e1 * t146842 * t25609 - 0.6e1 * t146875 * t1015 - 0.3e1 * t72822 * t3002 + 0.3e1 * t14666 * t3018 - 0.18e2 * t1029 * t146882 * t25403 + 0.18e2 * t373 * t146882 * t25407 - 0.6e1 * t20422 * t39048 + 0.6e1 * t146829 * t4707 + 0.44e2 / 0.27e2 * t146842 * t24719 + 0.6e1 * t1956 * t20576 - 0.22e2 / 0.9e1 * t20422 * t40885 + t138183 / 0.4e1 - 0.2e1 * t20429 * t1965;
  t146918 = t20462 * t2954;
  t146943 = -0.6e1 * t1956 * t20620 - 0.4e1 * t2947 * t4376 * t1954 * t2955 - 0.12e2 * t1029 * t146684 * t4725 + 0.14e2 * t128880 + t8214 * t4687 * t380 * t3035 * t2954 / 0.2e1 - t8214 * t9444 * t168 * t146918 / 0.2e1 - 0.3e1 * t39906 * t20680 - 0.11e2 / 0.2e1 * t1029 * t14857 * t24141 * t1008 * t20487 - 0.2e1 * t138201 + 0.6e1 * t128888 + 0.9e1 * t128920 + 0.2e1 * t1956 * t20539 - t128934 / 0.2e1 - 0.6e1 * t4695 * t116521 * t20638 + 0.3e1 / 0.2e1 * t5665 * t559 * t4575 * t146918;
  t146975 = 0.4e1 * t4695 * t117048 * t3014 - 0.14e2 / 0.3e1 * t20416 * t20645 - 0.11e2 / 0.6e1 * t2947 * t25570 * t20583 + 0.5e1 / 0.6e1 * t20422 * t24148 * t2956 + 0.23e2 / 0.9e1 * t20422 * t40870 + 0.2e1 / 0.3e1 * t16373 + 0.12e2 * t146875 * t1020 + 0.12e2 * t8280 * t20579 + 0.2e1 * t2947 * t72817 + 0.2e1 * t20416 * t8309 + 0.5e1 / 0.3e1 * t146829 * t4231 - 0.12e2 * t8280 * t20554 - 0.62e2 / 0.3e1 * t146842 * t25280 - 0.28e2 * t146829 * t4200;
  t147009 = -0.38e2 / 0.9e1 * t146842 * t25454 + 0.28e2 / 0.3e1 * t20422 * t39044 + 0.89e2 / 0.9e1 * t146842 * t25646 + 0.6e1 * t1956 * t20561 + 0.47e2 / 0.3e1 * t146842 * t25287 - 0.2e1 * t20422 * t39810 + 0.2e1 * t321 * t194 * t146826 * t4160 * t350 + t118987 - 0.3e1 * t373 * t14685 * t20538 + 0.2e1 / 0.3e1 * t2947 * t4553 * t20604 + 0.11e2 / 0.3e1 * t20422 * t24275 * t2956 - 0.23e2 / 0.6e1 * t20422 * t24148 * t20648 + 0.3e1 / 0.2e1 * t129031 - 0.6e1 * t129041 + 0.6e1 * t8280 * t20692;
  t147067 = t648 * t146826;
  t147068 = t147067 * t24522;
  t147071 = t69 * t146826;
  t147072 = t147071 * t24552;
  t147076 = t20822 * t146826;
  t147077 = t147076 * t24540;
  t147104 = -0.4e1 / 0.3e1 * t147077 * t24558 + 0.22e2 / 0.3e1 * t2973 * t24435 * t20488 + 0.56e2 / 0.3e1 * t20475 * t20471 - t20468 * t24477 * t2986 / 0.3e1 - t147077 * t24583 / 0.9e1 - 0.28e2 * t20475 * t20478 - 0.11e2 * t2973 * t24564 * t20488 + 0.18e2 * t20468 * t24435 * t2986 - 0.72e2 * t147072 * t4623 + 0.8e1 / 0.3e1 * t147077 * t24542 + 0.24e2 * t147077 * t24545;
  t147107 = t193 * t146826;
  t147127 = 0.6e1 * t138437 - 0.24e2 * t147107 * t24126 * t357 - 0.4e1 / 0.3e1 * t16526 - 0.8e1 / 0.3e1 * t2973 * t4572 * t20463 - 0.3e1 * t138460 - 0.12e2 * t147068 * t1162 + 0.9e1 * t20492 * t2987 + t559 * t1165 * t140 * t146792 / 0.2e1 + 0.36e2 * t129537 - 0.2e1 / 0.3e1 * t129539 - 0.9e1 * t129547;
  t147140 = 0.6e1 * t11656 * t360 * t14969 * t20462 + 0.56e2 * t20475 * t20525 + t119333 - t119342 + t119344 - 0.18e2 * t129570 + 0.36e2 * t129578 + 0.12e2 * t129584 + 0.8e1 * t16545 - 0.8e1 * t16550 - 0.3e1 * t18380;
  t147159 = 0.4e1 * t20468 * t24418 * t2976 - 0.4e1 * t129609 - 0.3e1 * t138514 + 0.36e2 * t129612 - 0.18e2 * t129614 + 0.18e2 * t129617 - 0.24e2 * t129631 + t129635 / 0.3e1 + 0.2e2 * t129637 - t559 * t1165 * t143 * t146792 - 0.12e2 * t2969 * t20522;
  t147160 = t20487 * t2954;
  t147178 = t147067 * t4140;
  t147181 = -0.6e1 * t559 * t24458 * t143 * t147160 + 0.14e2 * t129654 + 0.3e1 / 0.2e1 * t138545 + 0.3e1 * t559 * t24458 * t140 * t147160 - 0.3e1 * t2969 * t20464 + 0.3e1 / 0.2e1 * t18435 - 0.72e2 * t129680 - 0.4e1 * t16558 + 0.8e1 / 0.3e1 * t16559 + 0.4e1 * t16561 + 0.24e2 * t147178 * t1174;
  t147183 = t147071 * t24087;
  t147200 = t147076 * t24537;
  t147212 = -0.4e2 * t147183 * t4600 + 0.6e1 * t2969 * t20489 + 0.4e1 / 0.3e1 * t147072 * t4610 - 0.11e2 / 0.3e1 * t2973 * t24435 * t20521 + 0.22e2 * t2973 * t24564 * t20521 - 0.3e1 * t559 * t4575 * t2986 * t20462 + 0.1e2 / 0.3e1 * t147200 * t24683 - 0.2e1 / 0.3e1 * t147183 * t4587 + 0.36e2 * t147183 * t4590 - 0.36e2 * t147178 * t1187 + 0.12e2 * t147107 * t4160 * t361;
  t147225 = -0.12e2 * t147200 * t24689 + 0.5e2 / 0.3e1 * t147200 * t24679 - t119443 - t119445 + t119455 - 0.36e2 * t20468 * t24435 * t2976 - 0.8e1 * t2973 * t4626 * t20516 - 0.28e2 / 0.3e1 * t129701 - t2229 + 0.14e2 / 0.3e1 * t129719 + t2210;
  t147233 = -t110 * t565 * t20672 - t110 * t145 * t380 * (0.288e4 * t25049 * t24591 + 0.42e4 * t25057 * t24591 + 0.168e4 * t25062 * t24591 - 0.72e3 * t25067 * t24591 - 0.24e3 * t25070 * t24591 - 0.12e3 * t24591 * t391) / 0.4e1 - 0.5e1 / 0.6e1 * t129079 - 0.18e2 * t129082 - t4695 * t14608 * t20684 + 0.28e2 / 0.3e1 * t20416 * t20649 + 0.4e1 * t129096 - t138309 / 0.2e1 + 0.6e1 * t129100 - 0.2e1 * t138341 - 0.3e1 / 0.2e1 * t110 * t2992 * t3036 - t16418 / 0.3e1 - t110 * t20533 * t584 - t110 * t139 * (-0.28e2 * t129440 - 0.18e2 * t20492 * t2977 - 0.28e2 / 0.3e1 * t20475 * t20514 + 0.6e1 * t2969 * t20517 + 0.4e1 / 0.3e1 * t2973 * t4572 * t20516 + 0.2e1 / 0.3e1 * t20468 * t24477 * t2976 + 0.4e1 * t2973 * t4626 * t20463 - 0.2e2 * t20468 * t24418 * t2986 + 0.72e2 * t147068 * t1169 + 0.8e1 * t147072 * t4620 + t147104 + t147127 + t147140 + t147159 + t147181 + t147212 + t147225) * t168 / 0.4e1;
  t147252 = t1963 * t20474;
  t147260 = 0.9e1 * t20422 * t24148 * t1027 * t2955 - 0.6e1 * t8280 * t20625 - t129116 + t16439 - 0.6e1 * t129143 - 0.4e1 * t73236 * t5691 * t4693 * t20591 + t73236 * t5691 * t20592 + 0.6e1 * t5649 * t116521 * t20691 - 0.7e1 * t129149 + 0.7e1 * t129155 - 0.12e2 * t373 * t147252 * t4215 - 0.3e1 / 0.4e1 * t18254 + 0.2e1 * t129166 - 0.18e2 * t129177 + 0.2e1 * t16463;
  t147293 = -0.2e1 * t16466 - 0.5e1 / 0.9e1 * t20422 * t39127 + 0.9e1 * t129215 + 0.2e1 * t20416 * t8150 + 0.11e2 / 0.3e1 * t2947 * t24142 * t371 * t20582 - t2942 * t20605 / 0.2e1 - t555 * t117236 - t2947 * t72756 - 0.9e1 / 0.2e1 * t373 * t117294 * t3014 + 0.6e1 * t373 * t146684 * t4729 + 0.3e1 * t20422 * t25628 * t2956 - 0.7e1 / 0.3e1 * t20416 * t20614 - 0.4e1 / 0.3e1 * t2942 * t20611 - 0.2e1 / 0.3e1 * t555 * t4354 * t8262 * t20582;
  t147316 = 0.12e2 * t1029 * t147252 * t4219 + 0.6e1 * t373 * t1963 * t20491 * t4209 + 0.2e1 * t129222 + 0.6e1 * t129232 + 0.3e1 / 0.2e1 * t138671 + t18321 / 0.4e1 + 0.4e1 * t20416 * t8153 - 0.8e1 * t20416 * t8157 - t16472 / 0.3e1 + 0.7e1 / 0.6e1 * t129248 - 0.3e1 / 0.2e1 * t129255 - 0.3e1 * t129263 + 0.23e2 / 0.6e1 * t129265 - 0.11e2 / 0.3e1 * t129267 - 0.12e2 * t129269;
  t147350 = -0.3e1 / 0.4e1 * t138743 - 0.2e1 * t16492 - 0.6e1 * t373 * t374 * t146826 * t24127 + 0.6e1 * t39807 * t20551 + 0.8e1 * t146842 * t25283 - 0.18e2 * t4718 * t146845 * t25298 + 0.36e2 * t1029 * t146845 * t25302 - 0.12e2 * t1956 * t20558 - 0.6e1 * t25474 * t146849 * t25475 - 0.2e1 * t20429 * t1951 - 0.3e1 * t146875 * t1010 - t555 * t117503 / 0.3e1 - 0.3e1 * t14666 * t3010 - 0.22e2 / 0.9e1 * t20422 * t40226;
  t147388 = -0.61e2 / 0.27e2 * t146842 * t24715 + 0.4e1 * t20416 * t8271 + t555 * t1094 * t1095 * t167 * t146792 / 0.12e2 + t2947 * t4376 * t20604 / 0.3e1 + t2942 * t20584 + t555 * t25411 * t1095 * t167 * t147160 / 0.2e1 - t2947 * t72996 - 0.2e1 * t2947 * t74392 - 0.2e1 * t20422 * t40942 - 0.2e1 / 0.3e1 * t16505 + 0.4e1 / 0.3e1 * t16513 + 0.2e1 * t1029 * t14857 * t4305 * t1008 * t20462 + 0.28e2 / 0.3e1 * t20422 * t40945 + 0.2e1 * t2947 * t4553 * t20610 + 0.4e1 * t2947 * t74396;
  t147393 = t14704 * t2972;
  t147425 = -0.14e2 * t20422 * t24275 * t20648 - 0.3e1 * t1029 * t147393 * t1034 - 0.6e1 * t20422 * t40931 + 0.3e1 * t1956 * t20629 + t373 * t116344 * t558 * t376 + 0.2e1 * t2947 * t73000 + t555 * t1094 * t8262 * t20603 / 0.3e1 + 0.3e1 * t129315 - t129321 + 0.3e1 * t373 * t147393 * t1039 + t555 * t1094 * t72986 * t2955 / 0.2e1 + t2947 * t4376 * t20610 - 0.9e1 * t4718 * t116630 * t24147 * t4154 * t2954 + t119123 - t119126;
  t147453 = -t119130 - t119138 + t119143 - 0.6e1 * t129381 + 0.3e1 * t129382 + 0.9e1 / 0.2e1 * t129403 + 0.4e1 * t129415 + 0.11e2 / 0.2e1 * t373 * t14857 * t24141 * t1013 * t20487 + 0.3e1 / 0.2e1 * t373 * t14685 * t20684 - 0.11e2 / 0.12e2 * t2947 * t24142 * t20583 - 0.3e1 / 0.2e1 * t373 * t2040 * t25183 * t348 * t147160 - 0.3e1 / 0.2e1 * t4695 * t116760 * t3014 + 0.2e1 * t73236 * t5674 * t20592 - t16592 / 0.3e1 + t16604;
  t147458 = my_piecewise3(t100, 0, t146708 + t146733 + t146825 + t146866 + t146902 + t146943 + t146975 + t147009 + t147233 + t147260 + t147293 + t147316 + t147350 + t147388 + t147425 + t147453);
  tv4tau44 = t3 * t147458;

  if(out->v4tau4 != NULL && (p->info->flags & XC_FLAGS_NEEDS_TAU) && (p->info->flags & XC_FLAGS_HAVE_LXC))
    out->v4tau4[ip*p->dim.v4tau4 + 4] += tv4tau44;

}

#endif

